# !!!!!!!   DO NOT EDIT THIS FILE   !!!!!!!
# This file is machine-generated by lib/unicore/mktables from the Unicode
# database, Version 8.0.0.  Any changes made here will be lost!

use strict;
use warnings;

# Test qr/\X/ and the \p{} regular expression constructs.  This file is
# constructed by mktables from the tables it generates, so if mktables is
# buggy, this won't necessarily catch those bugs.  Tests are generated for all
# feasible properties; a few aren't currently feasible; see
# is_code_point_usable() in mktables for details.

# Standard test packages are not used because this manipulates SIG_WARN.  It
# exits 0 if every non-skipped test succeeded; -1 if any failed.

my $Tests = 0;
my $Fails = 0;

# loc_tools.pl requires this function to be defined
sub ok($@) {
    my ($pass, @msg) = @_;
    print "not " unless $pass;
    print "ok ";
    print ++$Tests;
    print " - ", join "", @msg if @msg;
    print "\n";
}

sub Expect($$$$) {
    my $expected = shift;
    my $ord = shift;
    my $regex  = shift;
    my $warning_type = shift;   # Type of warning message, like 'deprecated'
                                # or empty if none
    my $line   = (caller)[2];

    # Convert the code point to hex form
    my $string = sprintf "\"\\x{%04X}\"", $ord;

    my @tests = "";

    # The first time through, use all warnings.  If the input should generate
    # a warning, add another time through with them turned off
    push @tests, "no warnings '$warning_type';" if $warning_type;

    foreach my $no_warnings (@tests) {

        # Store any warning messages instead of outputting them
        local $SIG{__WARN__} = $SIG{__WARN__};
        my $warning_message;
        $SIG{__WARN__} = sub { $warning_message = $_[0] };

        $Tests++;

        # A string eval is needed because of the 'no warnings'.
        # Assumes no parens in the regular expression
        my $result = eval "$no_warnings
                            my \$RegObj = qr($regex);
                            $string =~ \$RegObj ? 1 : 0";
        if (not defined $result) {
            print "not ok $Tests - couldn't compile /$regex/; line $line: $@\n";
            $Fails++;
        }
        elsif ($result ^ $expected) {
            print "not ok $Tests - expected $expected but got $result for $string =~ qr/$regex/; line $line\n";
            $Fails++;
        }
        elsif ($warning_message) {
            if (! $warning_type || ($warning_type && $no_warnings)) {
                print "not ok $Tests - for qr/$regex/ did not expect warning message '$warning_message'; line $line\n";
                $Fails++;
            }
            else {
                print "ok $Tests - expected and got a warning message for qr/$regex/; line $line\n";
            }
        }
        elsif ($warning_type && ! $no_warnings) {
            print "not ok $Tests - for qr/$regex/ expected a $warning_type warning message, but got none; line $line\n";
            $Fails++;
        }
        else {
            print "ok $Tests - got $result for $string =~ qr/$regex/; line $line\n";
        }
    }
    return;
}

sub Error($) {
    my $regex  = shift;
    $Tests++;
    if (eval { 'x' =~ qr/$regex/; 1 }) {
        $Fails++;
        my $line = (caller)[2];
        print "not ok $Tests - re compiled ok, but expected error for qr/$regex/; line $line: $@\n";
    }
    else {
        my $line = (caller)[2];
        print "ok $Tests - got and expected error for qr/$regex/; line $line\n";
    }
    return;
}

# Break test files (e.g. GCBTest.txt) character that break allowed here
my $breakable_utf8 = my $breakable = chr(utf8::unicode_to_native(0xF7));
utf8::upgrade($breakable_utf8);

# Break test files (e.g. GCBTest.txt) character that indicates can't break
# here
my $nobreak_utf8 = my $nobreak = chr(utf8::unicode_to_native(0xD7));
utf8::upgrade($nobreak_utf8);

my $are_ctype_locales_available;
my $utf8_locale;
chdir 't' if -d 't';
eval { require "./loc_tools.pl" };
if (defined &locales_enabled) {
    $are_ctype_locales_available = locales_enabled('LC_CTYPE');
    if ($are_ctype_locales_available) {
        $utf8_locale = &find_utf8_ctype_locale;
    }
}

# Eval'd so can run on versions earlier than the property is available in
my $WB_Extend_or_Format_re = eval 'qr/[\p{WB=Extend}\p{WB=Format}]/';

sub _test_break($$) {
    # Test various break property matches.  The 2nd parameter gives the
    # property name.  The input is a line from auxiliary/*Test.txt for the
    # given property.  Each such line is a sequence of Unicode (not native)
    # code points given by their hex numbers, separated by the two characters
    # defined just before this subroutine that indicate that either there can
    # or cannot be a break between the adjacent code points.  All these are
    # tested.
    #
    # For the gcb property extra tests are made.  if there isn't a break, that
    # means the sequence forms an extended grapheme cluster, which means that
    # \X should match the whole thing.  If there is a break, \X should stop
    # there.  This is all converted by this routine into a match: $string =~
    # /(\X)/, Each \X should match the next cluster; and that is what is
    # checked.

    my $template = shift;
    my $break_type = shift;

    my $line   = (caller 1)[2];   # Line number

    # The line contains characters above the ASCII range, but in Latin1.  It
    # may or may not be in utf8, and if it is, it may or may not know it.  So,
    # convert these characters to 8 bits.  If knows is in utf8, simply
    # downgrade.
    if (utf8::is_utf8($template)) {
        utf8::downgrade($template);
    } else {

        # Otherwise, if it is in utf8, but doesn't know it, the next lines
        # convert the two problematic characters to their 8-bit equivalents.
        # If it isn't in utf8, they don't harm anything.
        use bytes;
        $template =~ s/$nobreak_utf8/$nobreak/g;
        $template =~ s/$breakable_utf8/$breakable/g;
    }

    # Perl customizes wb.  So change the official tests accordingly
    if ($break_type eq 'wb' && $WB_Extend_or_Format_re) {

        # Split into elements that alternate between code point and
        # break/no-break
        my @line = split / +/, $template;

        # Look at each code point and its following one
        for (my $i = 1; $i <  @line - 1 - 1; $i+=2) {

            # The customization only involves changing some breaks to
            # non-breaks.
            next if $line[$i+1] =~ /$nobreak/;

            my $lhs = chr utf8::unicode_to_native(hex $line[$i]);
            my $rhs = chr utf8::unicode_to_native(hex $line[$i+2]);

            # And it only affects adjacent space characters.
            next if $lhs !~ /\s/u;

            # But, we want to make sure to test spaces followed by a Extend
            # or Format.
            next if $rhs !~ /\s|$WB_Extend_or_Format_re/;

            # To test the customization, add some white-space before this to
            # create a span.  The $lhs white space may or may not be bound to
            # that span, and also with the $rhs.  If the $rhs is a binding
            # character, the $lhs is bound to it and not to the span, unless
            # $lhs is vertical space.  In all other cases, the $lhs is bound
            # to the span.  If the $rhs is white space, it is bound to the
            # $lhs
            my $bound;
            my $span;
            if ($rhs =~ /$WB_Extend_or_Format_re/) {
                if ($lhs =~ /\v/) {
                    $bound = $breakable;
                    $span = $nobreak;
                }
                else {
                    $bound = $nobreak;
                    $span = $breakable;
                }
            }
            else {
                $span = $nobreak;
                $bound = $nobreak;
            }

            splice @line, $i, 0, ( '0020', $nobreak, '0020', $span);
            $i += 4;
            $line[$i+1] = $bound;
        }
        $template = join " ", @line;
    }

    # The input is just the break/no-break symbols and sequences of Unicode
    # code points as hex digits separated by spaces for legibility. e.g.:
    # ÷ 0020 × 0308 ÷ 0020 ÷
    # Convert to native \x format
    $template =~ s/ \s* ( [[:xdigit:]]+ ) \s* /sprintf("\\x{%02X}", utf8::unicode_to_native(hex $1))/gex;
    $template =~ s/ \s* //gx;   # Probably the line above removed all spaces;
                                # but be sure

    # Make a copy of the input with the symbols replaced by \b{} and \B{} as
    # appropriate
    my $break_pattern = $template =~ s/ $breakable /\\b{$break_type}/grx;
    $break_pattern =~ s/ $nobreak /\\B{$break_type}/gx;

    my $display_string = $template =~ s/[$breakable$nobreak]//gr;
    my $string = eval "\"$display_string\"";

    # The remaining massaging of the input is for the \X tests.  Get rid of
    # the leading and trailing breakables
    $template =~ s/^ \s* $breakable \s* //x;
    $template =~ s/ \s* $breakable \s* $ //x;

    # Delete no-breaks
    $template =~ s/ \s* $nobreak \s* //xg;

    # Split the input into segments that are breakable between them.
    my @should_display = split /\s*$breakable\s*/, $template;
    my @should_match = map { eval "\"$_\"" } @should_display;

    # If a string can be represented in both non-ut8 and utf8, test both cases
    my $display_upgrade = "";
    UPGRADE:
    for my $to_upgrade (0 .. 1) {

        if ($to_upgrade) {

            # If already in utf8, would just be a repeat
            next UPGRADE if utf8::is_utf8($string);

            utf8::upgrade($string);
            $display_upgrade = " (utf8-upgraded)";
        }

        my @modifiers = qw(a aa d u i);
        if ($are_ctype_locales_available) {
            push @modifiers, "l$utf8_locale" if defined $utf8_locale;

            # The /l modifier has C after it to indicate the locale to try
            push @modifiers, "lC";
        }

        # Test for each of the regex modifiers.
        for my $modifier (@modifiers) {
            my $display_locale = "";

            # For /l, set the locale to what it says to.
            if ($modifier =~ / ^ l (.*) /x) {
                my $locale = $1;
                $display_locale = "(locale = $locale)";
                POSIX::setlocale(&POSIX::LC_CTYPE, $locale);
                $modifier = 'l';
            }

            no warnings qw(locale regexp surrogate);
            my $pattern = "(?$modifier:$break_pattern)";

            # Actually do the test
            my $matched = $string =~ qr/$pattern/;
            print "not " unless $matched;

            # Fancy display of test results
            $matched = ($matched) ? "matched" : "failed to match";
            print "ok ", ++$Tests, " - \"$display_string\" $matched /$pattern/$display_upgrade; line $line $display_locale\n";

            # Repeat with the first \B{} in the pattern.  This makes sure the
            # code in regexec.c:find_byclass() for \B gets executed
            if ($pattern =~ / ( .*? : ) .* ( \\B\{ .* ) /x) {
                my $B_pattern = "$1$2";
                $matched = $string =~ qr/$B_pattern/;
                print "not " unless $matched;
                $matched = ($matched) ? "matched" : "failed to match";
                print "ok ", ++$Tests, " - \"$display_string\" $matched /$B_pattern/$display_upgrade; line $line $display_locale\n";
            }
        }

        next if $break_type ne 'gcb';

        # Finally, do the \X match.
        my @matches = $string =~ /(\X)/g;

        # Look through each matched cluster to verify that it matches what we
        # expect.
        my $min = (@matches < @should_match) ? @matches : @should_match;
        for my $i (0 .. $min - 1) {
            $Tests++;
            if ($matches[$i] eq $should_match[$i]) {
                print "ok $Tests - ";
                if ($i == 0) {
                    print "In \"$display_string\" =~ /(\\X)/g, \\X #1";
                } else {
                    print "And \\X #", $i + 1,
                }
                print " correctly matched $should_display[$i]; line $line\n";
            } else {
                $matches[$i] = join("", map { sprintf "\\x{%04X}", ord $_ }
                                                    split "", $matches[$i]);
                print "not ok $Tests - In \"$display_string\" =~ /(\\X)/g, \\X #",
                    $i + 1,
                    " should have matched $should_display[$i]",
                    " but instead matched $matches[$i]",
                    ".  Abandoning rest of line $line\n";
                next UPGRADE;
            }
        }

        # And the number of matches should equal the number of expected matches.
        $Tests++;
        if (@matches == @should_match) {
            print "ok $Tests - Nothing was left over; line $line\n";
        } else {
            print "not ok $Tests - There were ", scalar @should_match, " \\X matches expected, but got ", scalar @matches, " instead; line $line\n";
        }
    }

    return;
}

sub Test_GCB($) {
    _test_break(shift, 'gcb');
}

sub Test_LB($) {
    _test_break(shift, 'lb');
}

sub Test_SB($) {
    _test_break(shift, 'sb');
}

sub Test_WB($) {
    _test_break(shift, 'wb');
}

sub Finished() {
    print "1..$Tests\n";
    exit($Fails ? -1 : 0);
}

Error('\p{Script=InGreek}');    # Bug #69018
Test_GCB("1100 $nobreak 1161");  # Bug #70940
Expect(0, 0x2028, '\p{Print}', ""); # Bug # 71722
Expect(0, 0x2029, '\p{Print}', ""); # Bug # 71722
Expect(1, 0xFF10, '\p{XDigit}', ""); # Bug # 71726

# Make sure this gets tested; it was not part of the official test suite at
# the time this was addded.  Note that this is as it would appear in the
# official suite, and gets modified to check for the perl tailoring by
# Test_WB()
Test_WB("$breakable 0020 $breakable 0020 $breakable 0308 $breakable");
Test_LB("$nobreak 200B $nobreak 0020 $nobreak 0020 $breakable 2060 $breakable");
Error('\p{ASCII_Hex_Digit=:=	No}');
Error('\P{ASCII_Hex_Digit=:=	No}');
Expect(1, 103, '\p{ASCII_Hex_Digit=no}', "");
Expect(0, 103, '\p{^ASCII_Hex_Digit=no}', "");
Expect(0, 103, '\P{ASCII_Hex_Digit=no}', "");
Expect(1, 103, '\P{^ASCII_Hex_Digit=no}', "");
Expect(0, 102, '\p{ASCII_Hex_Digit=no}', "");
Expect(1, 102, '\p{^ASCII_Hex_Digit=no}', "");
Expect(1, 102, '\P{ASCII_Hex_Digit=no}', "");
Expect(0, 102, '\P{^ASCII_Hex_Digit=no}', "");
Expect(1, 103, '\p{ASCII_Hex_Digit=--No}', "");
Expect(0, 103, '\p{^ASCII_Hex_Digit=--No}', "");
Expect(0, 103, '\P{ASCII_Hex_Digit=--No}', "");
Expect(1, 103, '\P{^ASCII_Hex_Digit=--No}', "");
Expect(0, 102, '\p{ASCII_Hex_Digit=--No}', "");
Expect(1, 102, '\p{^ASCII_Hex_Digit=--No}', "");
Expect(1, 102, '\P{ASCII_Hex_Digit=--No}', "");
Expect(0, 102, '\P{^ASCII_Hex_Digit=--No}', "");
Error('\p{AHex=		N:=}');
Error('\P{AHex=		N:=}');
Expect(1, 103, '\p{AHex=n}', "");
Expect(0, 103, '\p{^AHex=n}', "");
Expect(0, 103, '\P{AHex=n}', "");
Expect(1, 103, '\P{^AHex=n}', "");
Expect(0, 102, '\p{AHex=n}', "");
Expect(1, 102, '\p{^AHex=n}', "");
Expect(1, 102, '\P{AHex=n}', "");
Expect(0, 102, '\P{^AHex=n}', "");
Expect(1, 103, '\p{AHex:	N}', "");
Expect(0, 103, '\p{^AHex:	N}', "");
Expect(0, 103, '\P{AHex:	N}', "");
Expect(1, 103, '\P{^AHex:	N}', "");
Expect(0, 102, '\p{AHex:	N}', "");
Expect(1, 102, '\p{^AHex:	N}', "");
Expect(1, 102, '\P{AHex:	N}', "");
Expect(0, 102, '\P{^AHex:	N}', "");
Error('\p{Is_ASCII_Hex_Digit=/a/		F}');
Error('\P{Is_ASCII_Hex_Digit=/a/		F}');
Expect(1, 103, '\p{Is_ASCII_Hex_Digit=f}', "");
Expect(0, 103, '\p{^Is_ASCII_Hex_Digit=f}', "");
Expect(0, 103, '\P{Is_ASCII_Hex_Digit=f}', "");
Expect(1, 103, '\P{^Is_ASCII_Hex_Digit=f}', "");
Expect(0, 102, '\p{Is_ASCII_Hex_Digit=f}', "");
Expect(1, 102, '\p{^Is_ASCII_Hex_Digit=f}', "");
Expect(1, 102, '\P{Is_ASCII_Hex_Digit=f}', "");
Expect(0, 102, '\P{^Is_ASCII_Hex_Digit=f}', "");
Expect(1, 103, '\p{Is_ASCII_Hex_Digit=-F}', "");
Expect(0, 103, '\p{^Is_ASCII_Hex_Digit=-F}', "");
Expect(0, 103, '\P{Is_ASCII_Hex_Digit=-F}', "");
Expect(1, 103, '\P{^Is_ASCII_Hex_Digit=-F}', "");
Expect(0, 102, '\p{Is_ASCII_Hex_Digit=-F}', "");
Expect(1, 102, '\p{^Is_ASCII_Hex_Digit=-F}', "");
Expect(1, 102, '\P{Is_ASCII_Hex_Digit=-F}', "");
Expect(0, 102, '\P{^Is_ASCII_Hex_Digit=-F}', "");
Error('\p{Is_AHex=		False/a/}');
Error('\P{Is_AHex=		False/a/}');
Expect(1, 103, '\p{Is_AHex=false}', "");
Expect(0, 103, '\p{^Is_AHex=false}', "");
Expect(0, 103, '\P{Is_AHex=false}', "");
Expect(1, 103, '\P{^Is_AHex=false}', "");
Expect(0, 102, '\p{Is_AHex=false}', "");
Expect(1, 102, '\p{^Is_AHex=false}', "");
Expect(1, 102, '\P{Is_AHex=false}', "");
Expect(0, 102, '\P{^Is_AHex=false}', "");
Expect(1, 103, '\p{Is_AHex=_-false}', "");
Expect(0, 103, '\p{^Is_AHex=_-false}', "");
Expect(0, 103, '\P{Is_AHex=_-false}', "");
Expect(1, 103, '\P{^Is_AHex=_-false}', "");
Expect(0, 102, '\p{Is_AHex=_-false}', "");
Expect(1, 102, '\p{^Is_AHex=_-false}', "");
Expect(1, 102, '\P{Is_AHex=_-false}', "");
Expect(0, 102, '\P{^Is_AHex=_-false}', "");
Error('\p{ASCII_Hex_Digit=_ YES:=}');
Error('\P{ASCII_Hex_Digit=_ YES:=}');
Expect(1, 102, '\p{ASCII_Hex_Digit=yes}', "");
Expect(0, 102, '\p{^ASCII_Hex_Digit=yes}', "");
Expect(0, 102, '\P{ASCII_Hex_Digit=yes}', "");
Expect(1, 102, '\P{^ASCII_Hex_Digit=yes}', "");
Expect(0, 103, '\p{ASCII_Hex_Digit=yes}', "");
Expect(1, 103, '\p{^ASCII_Hex_Digit=yes}', "");
Expect(1, 103, '\P{ASCII_Hex_Digit=yes}', "");
Expect(0, 103, '\P{^ASCII_Hex_Digit=yes}', "");
Expect(1, 102, '\p{ASCII_Hex_Digit=_	yes}', "");
Expect(0, 102, '\p{^ASCII_Hex_Digit=_	yes}', "");
Expect(0, 102, '\P{ASCII_Hex_Digit=_	yes}', "");
Expect(1, 102, '\P{^ASCII_Hex_Digit=_	yes}', "");
Expect(0, 103, '\p{ASCII_Hex_Digit=_	yes}', "");
Expect(1, 103, '\p{^ASCII_Hex_Digit=_	yes}', "");
Expect(1, 103, '\P{ASCII_Hex_Digit=_	yes}', "");
Expect(0, 103, '\P{^ASCII_Hex_Digit=_	yes}', "");
Error('\p{AHex:   /a/	Y}');
Error('\P{AHex:   /a/	Y}');
Expect(1, 102, '\p{AHex=y}', "");
Expect(0, 102, '\p{^AHex=y}', "");
Expect(0, 102, '\P{AHex=y}', "");
Expect(1, 102, '\P{^AHex=y}', "");
Expect(0, 103, '\p{AHex=y}', "");
Expect(1, 103, '\p{^AHex=y}', "");
Expect(1, 103, '\P{AHex=y}', "");
Expect(0, 103, '\P{^AHex=y}', "");
Expect(1, 102, '\p{AHex= y}', "");
Expect(0, 102, '\p{^AHex= y}', "");
Expect(0, 102, '\P{AHex= y}', "");
Expect(1, 102, '\P{^AHex= y}', "");
Expect(0, 103, '\p{AHex= y}', "");
Expect(1, 103, '\p{^AHex= y}', "");
Expect(1, 103, '\P{AHex= y}', "");
Expect(0, 103, '\P{^AHex= y}', "");
Error('\p{Is_ASCII_Hex_Digit::=-	T}');
Error('\P{Is_ASCII_Hex_Digit::=-	T}');
Expect(1, 102, '\p{Is_ASCII_Hex_Digit=t}', "");
Expect(0, 102, '\p{^Is_ASCII_Hex_Digit=t}', "");
Expect(0, 102, '\P{Is_ASCII_Hex_Digit=t}', "");
Expect(1, 102, '\P{^Is_ASCII_Hex_Digit=t}', "");
Expect(0, 103, '\p{Is_ASCII_Hex_Digit=t}', "");
Expect(1, 103, '\p{^Is_ASCII_Hex_Digit=t}', "");
Expect(1, 103, '\P{Is_ASCII_Hex_Digit=t}', "");
Expect(0, 103, '\P{^Is_ASCII_Hex_Digit=t}', "");
Expect(1, 102, '\p{Is_ASCII_Hex_Digit:  T}', "");
Expect(0, 102, '\p{^Is_ASCII_Hex_Digit:  T}', "");
Expect(0, 102, '\P{Is_ASCII_Hex_Digit:  T}', "");
Expect(1, 102, '\P{^Is_ASCII_Hex_Digit:  T}', "");
Expect(0, 103, '\p{Is_ASCII_Hex_Digit:  T}', "");
Expect(1, 103, '\p{^Is_ASCII_Hex_Digit:  T}', "");
Expect(1, 103, '\P{Is_ASCII_Hex_Digit:  T}', "");
Expect(0, 103, '\P{^Is_ASCII_Hex_Digit:  T}', "");
Error('\p{Is_AHex=	:=True}');
Error('\P{Is_AHex=	:=True}');
Expect(1, 102, '\p{Is_AHex=true}', "");
Expect(0, 102, '\p{^Is_AHex=true}', "");
Expect(0, 102, '\P{Is_AHex=true}', "");
Expect(1, 102, '\P{^Is_AHex=true}', "");
Expect(0, 103, '\p{Is_AHex=true}', "");
Expect(1, 103, '\p{^Is_AHex=true}', "");
Expect(1, 103, '\P{Is_AHex=true}', "");
Expect(0, 103, '\P{^Is_AHex=true}', "");
Expect(1, 102, '\p{Is_AHex=_	True}', "");
Expect(0, 102, '\p{^Is_AHex=_	True}', "");
Expect(0, 102, '\P{Is_AHex=_	True}', "");
Expect(1, 102, '\P{^Is_AHex=_	True}', "");
Expect(0, 103, '\p{Is_AHex=_	True}', "");
Expect(1, 103, '\p{^Is_AHex=_	True}', "");
Expect(1, 103, '\P{Is_AHex=_	True}', "");
Expect(0, 103, '\P{^Is_AHex=_	True}', "");
Error('\p{Alphabetic= No:=}');
Error('\P{Alphabetic= No:=}');
Expect(1, 195102, '\p{Alphabetic=no}', "");
Expect(0, 195102, '\p{^Alphabetic=no}', "");
Expect(0, 195102, '\P{Alphabetic=no}', "");
Expect(1, 195102, '\P{^Alphabetic=no}', "");
Expect(0, 195101, '\p{Alphabetic=no}', "");
Expect(1, 195101, '\p{^Alphabetic=no}', "");
Expect(1, 195101, '\P{Alphabetic=no}', "");
Expect(0, 195101, '\P{^Alphabetic=no}', "");
Expect(1, 195102, '\p{Alphabetic:   -_No}', "");
Expect(0, 195102, '\p{^Alphabetic:   -_No}', "");
Expect(0, 195102, '\P{Alphabetic:   -_No}', "");
Expect(1, 195102, '\P{^Alphabetic:   -_No}', "");
Expect(0, 195101, '\p{Alphabetic:   -_No}', "");
Expect(1, 195101, '\p{^Alphabetic:   -_No}', "");
Expect(1, 195101, '\P{Alphabetic:   -_No}', "");
Expect(0, 195101, '\P{^Alphabetic:   -_No}', "");
Error('\p{Alpha=-_n/a/}');
Error('\P{Alpha=-_n/a/}');
Expect(1, 195102, '\p{Alpha=n}', "");
Expect(0, 195102, '\p{^Alpha=n}', "");
Expect(0, 195102, '\P{Alpha=n}', "");
Expect(1, 195102, '\P{^Alpha=n}', "");
Expect(0, 195101, '\p{Alpha=n}', "");
Expect(1, 195101, '\p{^Alpha=n}', "");
Expect(1, 195101, '\P{Alpha=n}', "");
Expect(0, 195101, '\P{^Alpha=n}', "");
Expect(1, 195102, '\p{Alpha=	 N}', "");
Expect(0, 195102, '\p{^Alpha=	 N}', "");
Expect(0, 195102, '\P{Alpha=	 N}', "");
Expect(1, 195102, '\P{^Alpha=	 N}', "");
Expect(0, 195101, '\p{Alpha=	 N}', "");
Expect(1, 195101, '\p{^Alpha=	 N}', "");
Expect(1, 195101, '\P{Alpha=	 N}', "");
Expect(0, 195101, '\P{^Alpha=	 N}', "");
Error('\p{Is_Alphabetic:	:=_F}');
Error('\P{Is_Alphabetic:	:=_F}');
Expect(1, 195102, '\p{Is_Alphabetic=f}', "");
Expect(0, 195102, '\p{^Is_Alphabetic=f}', "");
Expect(0, 195102, '\P{Is_Alphabetic=f}', "");
Expect(1, 195102, '\P{^Is_Alphabetic=f}', "");
Expect(0, 195101, '\p{Is_Alphabetic=f}', "");
Expect(1, 195101, '\p{^Is_Alphabetic=f}', "");
Expect(1, 195101, '\P{Is_Alphabetic=f}', "");
Expect(0, 195101, '\P{^Is_Alphabetic=f}', "");
Expect(1, 195102, '\p{Is_Alphabetic= F}', "");
Expect(0, 195102, '\p{^Is_Alphabetic= F}', "");
Expect(0, 195102, '\P{Is_Alphabetic= F}', "");
Expect(1, 195102, '\P{^Is_Alphabetic= F}', "");
Expect(0, 195101, '\p{Is_Alphabetic= F}', "");
Expect(1, 195101, '\p{^Is_Alphabetic= F}', "");
Expect(1, 195101, '\P{Is_Alphabetic= F}', "");
Expect(0, 195101, '\P{^Is_Alphabetic= F}', "");
Error('\p{Is_Alpha=/a/--false}');
Error('\P{Is_Alpha=/a/--false}');
Expect(1, 195102, '\p{Is_Alpha=false}', "");
Expect(0, 195102, '\p{^Is_Alpha=false}', "");
Expect(0, 195102, '\P{Is_Alpha=false}', "");
Expect(1, 195102, '\P{^Is_Alpha=false}', "");
Expect(0, 195101, '\p{Is_Alpha=false}', "");
Expect(1, 195101, '\p{^Is_Alpha=false}', "");
Expect(1, 195101, '\P{Is_Alpha=false}', "");
Expect(0, 195101, '\P{^Is_Alpha=false}', "");
Expect(1, 195102, '\p{Is_Alpha: false}', "");
Expect(0, 195102, '\p{^Is_Alpha: false}', "");
Expect(0, 195102, '\P{Is_Alpha: false}', "");
Expect(1, 195102, '\P{^Is_Alpha: false}', "");
Expect(0, 195101, '\p{Is_Alpha: false}', "");
Expect(1, 195101, '\p{^Is_Alpha: false}', "");
Expect(1, 195101, '\P{Is_Alpha: false}', "");
Expect(0, 195101, '\P{^Is_Alpha: false}', "");
Error('\p{Alphabetic= Yes/a/}');
Error('\P{Alphabetic= Yes/a/}');
Expect(1, 195101, '\p{Alphabetic=yes}', "");
Expect(0, 195101, '\p{^Alphabetic=yes}', "");
Expect(0, 195101, '\P{Alphabetic=yes}', "");
Expect(1, 195101, '\P{^Alphabetic=yes}', "");
Expect(0, 195102, '\p{Alphabetic=yes}', "");
Expect(1, 195102, '\p{^Alphabetic=yes}', "");
Expect(1, 195102, '\P{Alphabetic=yes}', "");
Expect(0, 195102, '\P{^Alphabetic=yes}', "");
Expect(1, 195101, '\p{Alphabetic=-	yes}', "");
Expect(0, 195101, '\p{^Alphabetic=-	yes}', "");
Expect(0, 195101, '\P{Alphabetic=-	yes}', "");
Expect(1, 195101, '\P{^Alphabetic=-	yes}', "");
Expect(0, 195102, '\p{Alphabetic=-	yes}', "");
Expect(1, 195102, '\p{^Alphabetic=-	yes}', "");
Expect(1, 195102, '\P{Alphabetic=-	yes}', "");
Expect(0, 195102, '\P{^Alphabetic=-	yes}', "");
Error('\p{Alpha=:=Y}');
Error('\P{Alpha=:=Y}');
Expect(1, 195101, '\p{Alpha=y}', "");
Expect(0, 195101, '\p{^Alpha=y}', "");
Expect(0, 195101, '\P{Alpha=y}', "");
Expect(1, 195101, '\P{^Alpha=y}', "");
Expect(0, 195102, '\p{Alpha=y}', "");
Expect(1, 195102, '\p{^Alpha=y}', "");
Expect(1, 195102, '\P{Alpha=y}', "");
Expect(0, 195102, '\P{^Alpha=y}', "");
Expect(1, 195101, '\p{Alpha=__Y}', "");
Expect(0, 195101, '\p{^Alpha=__Y}', "");
Expect(0, 195101, '\P{Alpha=__Y}', "");
Expect(1, 195101, '\P{^Alpha=__Y}', "");
Expect(0, 195102, '\p{Alpha=__Y}', "");
Expect(1, 195102, '\p{^Alpha=__Y}', "");
Expect(1, 195102, '\P{Alpha=__Y}', "");
Expect(0, 195102, '\P{^Alpha=__Y}', "");
Error('\p{Is_Alphabetic=	T/a/}');
Error('\P{Is_Alphabetic=	T/a/}');
Expect(1, 195101, '\p{Is_Alphabetic:t}', "");
Expect(0, 195101, '\p{^Is_Alphabetic:t}', "");
Expect(0, 195101, '\P{Is_Alphabetic:t}', "");
Expect(1, 195101, '\P{^Is_Alphabetic:t}', "");
Expect(0, 195102, '\p{Is_Alphabetic:t}', "");
Expect(1, 195102, '\p{^Is_Alphabetic:t}', "");
Expect(1, 195102, '\P{Is_Alphabetic:t}', "");
Expect(0, 195102, '\P{^Is_Alphabetic:t}', "");
Expect(1, 195101, '\p{Is_Alphabetic=_-T}', "");
Expect(0, 195101, '\p{^Is_Alphabetic=_-T}', "");
Expect(0, 195101, '\P{Is_Alphabetic=_-T}', "");
Expect(1, 195101, '\P{^Is_Alphabetic=_-T}', "");
Expect(0, 195102, '\p{Is_Alphabetic=_-T}', "");
Expect(1, 195102, '\p{^Is_Alphabetic=_-T}', "");
Expect(1, 195102, '\P{Is_Alphabetic=_-T}', "");
Expect(0, 195102, '\P{^Is_Alphabetic=_-T}', "");
Error('\p{Is_Alpha=/a/		True}');
Error('\P{Is_Alpha=/a/		True}');
Expect(1, 195101, '\p{Is_Alpha=true}', "");
Expect(0, 195101, '\p{^Is_Alpha=true}', "");
Expect(0, 195101, '\P{Is_Alpha=true}', "");
Expect(1, 195101, '\P{^Is_Alpha=true}', "");
Expect(0, 195102, '\p{Is_Alpha=true}', "");
Expect(1, 195102, '\p{^Is_Alpha=true}', "");
Expect(1, 195102, '\P{Is_Alpha=true}', "");
Expect(0, 195102, '\P{^Is_Alpha=true}', "");
Expect(1, 195101, '\p{Is_Alpha=	-TRUE}', "");
Expect(0, 195101, '\p{^Is_Alpha=	-TRUE}', "");
Expect(0, 195101, '\P{Is_Alpha=	-TRUE}', "");
Expect(1, 195101, '\P{^Is_Alpha=	-TRUE}', "");
Expect(0, 195102, '\p{Is_Alpha=	-TRUE}', "");
Expect(1, 195102, '\p{^Is_Alpha=	-TRUE}', "");
Expect(1, 195102, '\P{Is_Alpha=	-TRUE}', "");
Expect(0, 195102, '\P{^Is_Alpha=	-TRUE}', "");
Error('\p{Bidi_Control=-no:=}');
Error('\P{Bidi_Control=-no:=}');
Expect(1, 8298, '\p{Bidi_Control=no}', "");
Expect(0, 8298, '\p{^Bidi_Control=no}', "");
Expect(0, 8298, '\P{Bidi_Control=no}', "");
Expect(1, 8298, '\P{^Bidi_Control=no}', "");
Expect(0, 8297, '\p{Bidi_Control=no}', "");
Expect(1, 8297, '\p{^Bidi_Control=no}', "");
Expect(1, 8297, '\P{Bidi_Control=no}', "");
Expect(0, 8297, '\P{^Bidi_Control=no}', "");
Expect(1, 8298, '\p{Bidi_Control= NO}', "");
Expect(0, 8298, '\p{^Bidi_Control= NO}', "");
Expect(0, 8298, '\P{Bidi_Control= NO}', "");
Expect(1, 8298, '\P{^Bidi_Control= NO}', "");
Expect(0, 8297, '\p{Bidi_Control= NO}', "");
Expect(1, 8297, '\p{^Bidi_Control= NO}', "");
Expect(1, 8297, '\P{Bidi_Control= NO}', "");
Expect(0, 8297, '\P{^Bidi_Control= NO}', "");
Error('\p{Bidi_C=/a/	-N}');
Error('\P{Bidi_C=/a/	-N}');
Expect(1, 8298, '\p{Bidi_C=n}', "");
Expect(0, 8298, '\p{^Bidi_C=n}', "");
Expect(0, 8298, '\P{Bidi_C=n}', "");
Expect(1, 8298, '\P{^Bidi_C=n}', "");
Expect(0, 8297, '\p{Bidi_C=n}', "");
Expect(1, 8297, '\p{^Bidi_C=n}', "");
Expect(1, 8297, '\P{Bidi_C=n}', "");
Expect(0, 8297, '\P{^Bidi_C=n}', "");
Expect(1, 8298, '\p{Bidi_C=-n}', "");
Expect(0, 8298, '\p{^Bidi_C=-n}', "");
Expect(0, 8298, '\P{Bidi_C=-n}', "");
Expect(1, 8298, '\P{^Bidi_C=-n}', "");
Expect(0, 8297, '\p{Bidi_C=-n}', "");
Expect(1, 8297, '\p{^Bidi_C=-n}', "");
Expect(1, 8297, '\P{Bidi_C=-n}', "");
Expect(0, 8297, '\P{^Bidi_C=-n}', "");
Error('\p{Is_Bidi_Control=	 F:=}');
Error('\P{Is_Bidi_Control=	 F:=}');
Expect(1, 8298, '\p{Is_Bidi_Control=f}', "");
Expect(0, 8298, '\p{^Is_Bidi_Control=f}', "");
Expect(0, 8298, '\P{Is_Bidi_Control=f}', "");
Expect(1, 8298, '\P{^Is_Bidi_Control=f}', "");
Expect(0, 8297, '\p{Is_Bidi_Control=f}', "");
Expect(1, 8297, '\p{^Is_Bidi_Control=f}', "");
Expect(1, 8297, '\P{Is_Bidi_Control=f}', "");
Expect(0, 8297, '\P{^Is_Bidi_Control=f}', "");
Expect(1, 8298, '\p{Is_Bidi_Control=  F}', "");
Expect(0, 8298, '\p{^Is_Bidi_Control=  F}', "");
Expect(0, 8298, '\P{Is_Bidi_Control=  F}', "");
Expect(1, 8298, '\P{^Is_Bidi_Control=  F}', "");
Expect(0, 8297, '\p{Is_Bidi_Control=  F}', "");
Expect(1, 8297, '\p{^Is_Bidi_Control=  F}', "");
Expect(1, 8297, '\P{Is_Bidi_Control=  F}', "");
Expect(0, 8297, '\P{^Is_Bidi_Control=  F}', "");
Error('\p{Is_Bidi_C=-False/a/}');
Error('\P{Is_Bidi_C=-False/a/}');
Expect(1, 8298, '\p{Is_Bidi_C=false}', "");
Expect(0, 8298, '\p{^Is_Bidi_C=false}', "");
Expect(0, 8298, '\P{Is_Bidi_C=false}', "");
Expect(1, 8298, '\P{^Is_Bidi_C=false}', "");
Expect(0, 8297, '\p{Is_Bidi_C=false}', "");
Expect(1, 8297, '\p{^Is_Bidi_C=false}', "");
Expect(1, 8297, '\P{Is_Bidi_C=false}', "");
Expect(0, 8297, '\P{^Is_Bidi_C=false}', "");
Expect(1, 8298, '\p{Is_Bidi_C=FALSE}', "");
Expect(0, 8298, '\p{^Is_Bidi_C=FALSE}', "");
Expect(0, 8298, '\P{Is_Bidi_C=FALSE}', "");
Expect(1, 8298, '\P{^Is_Bidi_C=FALSE}', "");
Expect(0, 8297, '\p{Is_Bidi_C=FALSE}', "");
Expect(1, 8297, '\p{^Is_Bidi_C=FALSE}', "");
Expect(1, 8297, '\P{Is_Bidi_C=FALSE}', "");
Expect(0, 8297, '\P{^Is_Bidi_C=FALSE}', "");
Error('\p{Bidi_Control=--Yes/a/}');
Error('\P{Bidi_Control=--Yes/a/}');
Expect(1, 8297, '\p{Bidi_Control=yes}', "");
Expect(0, 8297, '\p{^Bidi_Control=yes}', "");
Expect(0, 8297, '\P{Bidi_Control=yes}', "");
Expect(1, 8297, '\P{^Bidi_Control=yes}', "");
Expect(0, 8298, '\p{Bidi_Control=yes}', "");
Expect(1, 8298, '\p{^Bidi_Control=yes}', "");
Expect(1, 8298, '\P{Bidi_Control=yes}', "");
Expect(0, 8298, '\P{^Bidi_Control=yes}', "");
Expect(1, 8297, '\p{Bidi_Control=	_Yes}', "");
Expect(0, 8297, '\p{^Bidi_Control=	_Yes}', "");
Expect(0, 8297, '\P{Bidi_Control=	_Yes}', "");
Expect(1, 8297, '\P{^Bidi_Control=	_Yes}', "");
Expect(0, 8298, '\p{Bidi_Control=	_Yes}', "");
Expect(1, 8298, '\p{^Bidi_Control=	_Yes}', "");
Expect(1, 8298, '\P{Bidi_Control=	_Yes}', "");
Expect(0, 8298, '\P{^Bidi_Control=	_Yes}', "");
Error('\p{Bidi_C=:= _Y}');
Error('\P{Bidi_C=:= _Y}');
Expect(1, 8297, '\p{Bidi_C=y}', "");
Expect(0, 8297, '\p{^Bidi_C=y}', "");
Expect(0, 8297, '\P{Bidi_C=y}', "");
Expect(1, 8297, '\P{^Bidi_C=y}', "");
Expect(0, 8298, '\p{Bidi_C=y}', "");
Expect(1, 8298, '\p{^Bidi_C=y}', "");
Expect(1, 8298, '\P{Bidi_C=y}', "");
Expect(0, 8298, '\P{^Bidi_C=y}', "");
Expect(1, 8297, '\p{Bidi_C=_Y}', "");
Expect(0, 8297, '\p{^Bidi_C=_Y}', "");
Expect(0, 8297, '\P{Bidi_C=_Y}', "");
Expect(1, 8297, '\P{^Bidi_C=_Y}', "");
Expect(0, 8298, '\p{Bidi_C=_Y}', "");
Expect(1, 8298, '\p{^Bidi_C=_Y}', "");
Expect(1, 8298, '\P{Bidi_C=_Y}', "");
Expect(0, 8298, '\P{^Bidi_C=_Y}', "");
Error('\p{Is_Bidi_Control= -T/a/}');
Error('\P{Is_Bidi_Control= -T/a/}');
Expect(1, 8297, '\p{Is_Bidi_Control=t}', "");
Expect(0, 8297, '\p{^Is_Bidi_Control=t}', "");
Expect(0, 8297, '\P{Is_Bidi_Control=t}', "");
Expect(1, 8297, '\P{^Is_Bidi_Control=t}', "");
Expect(0, 8298, '\p{Is_Bidi_Control=t}', "");
Expect(1, 8298, '\p{^Is_Bidi_Control=t}', "");
Expect(1, 8298, '\P{Is_Bidi_Control=t}', "");
Expect(0, 8298, '\P{^Is_Bidi_Control=t}', "");
Expect(1, 8297, '\p{Is_Bidi_Control= -T}', "");
Expect(0, 8297, '\p{^Is_Bidi_Control= -T}', "");
Expect(0, 8297, '\P{Is_Bidi_Control= -T}', "");
Expect(1, 8297, '\P{^Is_Bidi_Control= -T}', "");
Expect(0, 8298, '\p{Is_Bidi_Control= -T}', "");
Expect(1, 8298, '\p{^Is_Bidi_Control= -T}', "");
Expect(1, 8298, '\P{Is_Bidi_Control= -T}', "");
Expect(0, 8298, '\P{^Is_Bidi_Control= -T}', "");
Error('\p{Is_Bidi_C=		TRUE/a/}');
Error('\P{Is_Bidi_C=		TRUE/a/}');
Expect(1, 8297, '\p{Is_Bidi_C=true}', "");
Expect(0, 8297, '\p{^Is_Bidi_C=true}', "");
Expect(0, 8297, '\P{Is_Bidi_C=true}', "");
Expect(1, 8297, '\P{^Is_Bidi_C=true}', "");
Expect(0, 8298, '\p{Is_Bidi_C=true}', "");
Expect(1, 8298, '\p{^Is_Bidi_C=true}', "");
Expect(1, 8298, '\P{Is_Bidi_C=true}', "");
Expect(0, 8298, '\P{^Is_Bidi_C=true}', "");
Expect(1, 8297, '\p{Is_Bidi_C=  true}', "");
Expect(0, 8297, '\p{^Is_Bidi_C=  true}', "");
Expect(0, 8297, '\P{Is_Bidi_C=  true}', "");
Expect(1, 8297, '\P{^Is_Bidi_C=  true}', "");
Expect(0, 8298, '\p{Is_Bidi_C=  true}', "");
Expect(1, 8298, '\p{^Is_Bidi_C=  true}', "");
Expect(1, 8298, '\P{Is_Bidi_C=  true}', "");
Expect(0, 8298, '\P{^Is_Bidi_C=  true}', "");
Error('\p{Bidi_Mirrored=		No:=}');
Error('\P{Bidi_Mirrored=		No:=}');
Expect(1, 120772, '\p{Bidi_Mirrored=no}', "");
Expect(0, 120772, '\p{^Bidi_Mirrored=no}', "");
Expect(0, 120772, '\P{Bidi_Mirrored=no}', "");
Expect(1, 120772, '\P{^Bidi_Mirrored=no}', "");
Expect(0, 120771, '\p{Bidi_Mirrored=no}', "");
Expect(1, 120771, '\p{^Bidi_Mirrored=no}', "");
Expect(1, 120771, '\P{Bidi_Mirrored=no}', "");
Expect(0, 120771, '\P{^Bidi_Mirrored=no}', "");
Expect(1, 120772, '\p{Bidi_Mirrored=No}', "");
Expect(0, 120772, '\p{^Bidi_Mirrored=No}', "");
Expect(0, 120772, '\P{Bidi_Mirrored=No}', "");
Expect(1, 120772, '\P{^Bidi_Mirrored=No}', "");
Expect(0, 120771, '\p{Bidi_Mirrored=No}', "");
Expect(1, 120771, '\p{^Bidi_Mirrored=No}', "");
Expect(1, 120771, '\P{Bidi_Mirrored=No}', "");
Expect(0, 120771, '\P{^Bidi_Mirrored=No}', "");
Error('\p{Bidi_M= :=N}');
Error('\P{Bidi_M= :=N}');
Expect(1, 120772, '\p{Bidi_M=n}', "");
Expect(0, 120772, '\p{^Bidi_M=n}', "");
Expect(0, 120772, '\P{Bidi_M=n}', "");
Expect(1, 120772, '\P{^Bidi_M=n}', "");
Expect(0, 120771, '\p{Bidi_M=n}', "");
Expect(1, 120771, '\p{^Bidi_M=n}', "");
Expect(1, 120771, '\P{Bidi_M=n}', "");
Expect(0, 120771, '\P{^Bidi_M=n}', "");
Expect(1, 120772, '\p{Bidi_M=  N}', "");
Expect(0, 120772, '\p{^Bidi_M=  N}', "");
Expect(0, 120772, '\P{Bidi_M=  N}', "");
Expect(1, 120772, '\P{^Bidi_M=  N}', "");
Expect(0, 120771, '\p{Bidi_M=  N}', "");
Expect(1, 120771, '\p{^Bidi_M=  N}', "");
Expect(1, 120771, '\P{Bidi_M=  N}', "");
Expect(0, 120771, '\P{^Bidi_M=  N}', "");
Error('\p{Is_Bidi_Mirrored=/a/-F}');
Error('\P{Is_Bidi_Mirrored=/a/-F}');
Expect(1, 120772, '\p{Is_Bidi_Mirrored=f}', "");
Expect(0, 120772, '\p{^Is_Bidi_Mirrored=f}', "");
Expect(0, 120772, '\P{Is_Bidi_Mirrored=f}', "");
Expect(1, 120772, '\P{^Is_Bidi_Mirrored=f}', "");
Expect(0, 120771, '\p{Is_Bidi_Mirrored=f}', "");
Expect(1, 120771, '\p{^Is_Bidi_Mirrored=f}', "");
Expect(1, 120771, '\P{Is_Bidi_Mirrored=f}', "");
Expect(0, 120771, '\P{^Is_Bidi_Mirrored=f}', "");
Expect(1, 120772, '\p{Is_Bidi_Mirrored=	 F}', "");
Expect(0, 120772, '\p{^Is_Bidi_Mirrored=	 F}', "");
Expect(0, 120772, '\P{Is_Bidi_Mirrored=	 F}', "");
Expect(1, 120772, '\P{^Is_Bidi_Mirrored=	 F}', "");
Expect(0, 120771, '\p{Is_Bidi_Mirrored=	 F}', "");
Expect(1, 120771, '\p{^Is_Bidi_Mirrored=	 F}', "");
Expect(1, 120771, '\P{Is_Bidi_Mirrored=	 F}', "");
Expect(0, 120771, '\P{^Is_Bidi_Mirrored=	 F}', "");
Error('\p{Is_Bidi_M: _-false/a/}');
Error('\P{Is_Bidi_M: _-false/a/}');
Expect(1, 120772, '\p{Is_Bidi_M=false}', "");
Expect(0, 120772, '\p{^Is_Bidi_M=false}', "");
Expect(0, 120772, '\P{Is_Bidi_M=false}', "");
Expect(1, 120772, '\P{^Is_Bidi_M=false}', "");
Expect(0, 120771, '\p{Is_Bidi_M=false}', "");
Expect(1, 120771, '\p{^Is_Bidi_M=false}', "");
Expect(1, 120771, '\P{Is_Bidi_M=false}', "");
Expect(0, 120771, '\P{^Is_Bidi_M=false}', "");
Expect(1, 120772, '\p{Is_Bidi_M= 	False}', "");
Expect(0, 120772, '\p{^Is_Bidi_M= 	False}', "");
Expect(0, 120772, '\P{Is_Bidi_M= 	False}', "");
Expect(1, 120772, '\P{^Is_Bidi_M= 	False}', "");
Expect(0, 120771, '\p{Is_Bidi_M= 	False}', "");
Expect(1, 120771, '\p{^Is_Bidi_M= 	False}', "");
Expect(1, 120771, '\P{Is_Bidi_M= 	False}', "");
Expect(0, 120771, '\P{^Is_Bidi_M= 	False}', "");
Error('\p{Bidi_Mirrored:	/a/	-YES}');
Error('\P{Bidi_Mirrored:	/a/	-YES}');
Expect(1, 120771, '\p{Bidi_Mirrored=yes}', "");
Expect(0, 120771, '\p{^Bidi_Mirrored=yes}', "");
Expect(0, 120771, '\P{Bidi_Mirrored=yes}', "");
Expect(1, 120771, '\P{^Bidi_Mirrored=yes}', "");
Expect(0, 120772, '\p{Bidi_Mirrored=yes}', "");
Expect(1, 120772, '\p{^Bidi_Mirrored=yes}', "");
Expect(1, 120772, '\P{Bidi_Mirrored=yes}', "");
Expect(0, 120772, '\P{^Bidi_Mirrored=yes}', "");
Expect(1, 120771, '\p{Bidi_Mirrored=  Yes}', "");
Expect(0, 120771, '\p{^Bidi_Mirrored=  Yes}', "");
Expect(0, 120771, '\P{Bidi_Mirrored=  Yes}', "");
Expect(1, 120771, '\P{^Bidi_Mirrored=  Yes}', "");
Expect(0, 120772, '\p{Bidi_Mirrored=  Yes}', "");
Expect(1, 120772, '\p{^Bidi_Mirrored=  Yes}', "");
Expect(1, 120772, '\P{Bidi_Mirrored=  Yes}', "");
Expect(0, 120772, '\P{^Bidi_Mirrored=  Yes}', "");
Error('\p{Bidi_M=-	y:=}');
Error('\P{Bidi_M=-	y:=}');
Expect(1, 120771, '\p{Bidi_M=y}', "");
Expect(0, 120771, '\p{^Bidi_M=y}', "");
Expect(0, 120771, '\P{Bidi_M=y}', "");
Expect(1, 120771, '\P{^Bidi_M=y}', "");
Expect(0, 120772, '\p{Bidi_M=y}', "");
Expect(1, 120772, '\p{^Bidi_M=y}', "");
Expect(1, 120772, '\P{Bidi_M=y}', "");
Expect(0, 120772, '\P{^Bidi_M=y}', "");
Expect(1, 120771, '\p{Bidi_M=	_y}', "");
Expect(0, 120771, '\p{^Bidi_M=	_y}', "");
Expect(0, 120771, '\P{Bidi_M=	_y}', "");
Expect(1, 120771, '\P{^Bidi_M=	_y}', "");
Expect(0, 120772, '\p{Bidi_M=	_y}', "");
Expect(1, 120772, '\p{^Bidi_M=	_y}', "");
Expect(1, 120772, '\P{Bidi_M=	_y}', "");
Expect(0, 120772, '\P{^Bidi_M=	_y}', "");
Error('\p{Is_Bidi_Mirrored=_	T/a/}');
Error('\P{Is_Bidi_Mirrored=_	T/a/}');
Expect(1, 120771, '\p{Is_Bidi_Mirrored=t}', "");
Expect(0, 120771, '\p{^Is_Bidi_Mirrored=t}', "");
Expect(0, 120771, '\P{Is_Bidi_Mirrored=t}', "");
Expect(1, 120771, '\P{^Is_Bidi_Mirrored=t}', "");
Expect(0, 120772, '\p{Is_Bidi_Mirrored=t}', "");
Expect(1, 120772, '\p{^Is_Bidi_Mirrored=t}', "");
Expect(1, 120772, '\P{Is_Bidi_Mirrored=t}', "");
Expect(0, 120772, '\P{^Is_Bidi_Mirrored=t}', "");
Expect(1, 120771, '\p{Is_Bidi_Mirrored=-t}', "");
Expect(0, 120771, '\p{^Is_Bidi_Mirrored=-t}', "");
Expect(0, 120771, '\P{Is_Bidi_Mirrored=-t}', "");
Expect(1, 120771, '\P{^Is_Bidi_Mirrored=-t}', "");
Expect(0, 120772, '\p{Is_Bidi_Mirrored=-t}', "");
Expect(1, 120772, '\p{^Is_Bidi_Mirrored=-t}', "");
Expect(1, 120772, '\P{Is_Bidi_Mirrored=-t}', "");
Expect(0, 120772, '\P{^Is_Bidi_Mirrored=-t}', "");
Error('\p{Is_Bidi_M=	/a/TRUE}');
Error('\P{Is_Bidi_M=	/a/TRUE}');
Expect(1, 120771, '\p{Is_Bidi_M=true}', "");
Expect(0, 120771, '\p{^Is_Bidi_M=true}', "");
Expect(0, 120771, '\P{Is_Bidi_M=true}', "");
Expect(1, 120771, '\P{^Is_Bidi_M=true}', "");
Expect(0, 120772, '\p{Is_Bidi_M=true}', "");
Expect(1, 120772, '\p{^Is_Bidi_M=true}', "");
Expect(1, 120772, '\P{Is_Bidi_M=true}', "");
Expect(0, 120772, '\P{^Is_Bidi_M=true}', "");
Expect(1, 120771, '\p{Is_Bidi_M:	-_True}', "");
Expect(0, 120771, '\p{^Is_Bidi_M:	-_True}', "");
Expect(0, 120771, '\P{Is_Bidi_M:	-_True}', "");
Expect(1, 120771, '\P{^Is_Bidi_M:	-_True}', "");
Expect(0, 120772, '\p{Is_Bidi_M:	-_True}', "");
Expect(1, 120772, '\p{^Is_Bidi_M:	-_True}', "");
Expect(1, 120772, '\P{Is_Bidi_M:	-_True}', "");
Expect(0, 120772, '\P{^Is_Bidi_M:	-_True}', "");
Error('\p{Composition_Exclusion=:=-_NO}');
Error('\P{Composition_Exclusion=:=-_NO}');
Expect(1, 119233, '\p{Composition_Exclusion:no}', "");
Expect(0, 119233, '\p{^Composition_Exclusion:no}', "");
Expect(0, 119233, '\P{Composition_Exclusion:no}', "");
Expect(1, 119233, '\P{^Composition_Exclusion:no}', "");
Expect(0, 119232, '\p{Composition_Exclusion:no}', "");
Expect(1, 119232, '\p{^Composition_Exclusion:no}', "");
Expect(1, 119232, '\P{Composition_Exclusion:no}', "");
Expect(0, 119232, '\P{^Composition_Exclusion:no}', "");
Expect(1, 119233, '\p{Composition_Exclusion=_	NO}', "");
Expect(0, 119233, '\p{^Composition_Exclusion=_	NO}', "");
Expect(0, 119233, '\P{Composition_Exclusion=_	NO}', "");
Expect(1, 119233, '\P{^Composition_Exclusion=_	NO}', "");
Expect(0, 119232, '\p{Composition_Exclusion=_	NO}', "");
Expect(1, 119232, '\p{^Composition_Exclusion=_	NO}', "");
Expect(1, 119232, '\P{Composition_Exclusion=_	NO}', "");
Expect(0, 119232, '\P{^Composition_Exclusion=_	NO}', "");
Error('\p{CE=_/a/N}');
Error('\P{CE=_/a/N}');
Expect(1, 119233, '\p{CE=n}', "");
Expect(0, 119233, '\p{^CE=n}', "");
Expect(0, 119233, '\P{CE=n}', "");
Expect(1, 119233, '\P{^CE=n}', "");
Expect(0, 119232, '\p{CE=n}', "");
Expect(1, 119232, '\p{^CE=n}', "");
Expect(1, 119232, '\P{CE=n}', "");
Expect(0, 119232, '\P{^CE=n}', "");
Expect(1, 119233, '\p{CE=N}', "");
Expect(0, 119233, '\p{^CE=N}', "");
Expect(0, 119233, '\P{CE=N}', "");
Expect(1, 119233, '\P{^CE=N}', "");
Expect(0, 119232, '\p{CE=N}', "");
Expect(1, 119232, '\p{^CE=N}', "");
Expect(1, 119232, '\P{CE=N}', "");
Expect(0, 119232, '\P{^CE=N}', "");
Error('\p{Is_Composition_Exclusion=__F:=}');
Error('\P{Is_Composition_Exclusion=__F:=}');
Expect(1, 119233, '\p{Is_Composition_Exclusion=f}', "");
Expect(0, 119233, '\p{^Is_Composition_Exclusion=f}', "");
Expect(0, 119233, '\P{Is_Composition_Exclusion=f}', "");
Expect(1, 119233, '\P{^Is_Composition_Exclusion=f}', "");
Expect(0, 119232, '\p{Is_Composition_Exclusion=f}', "");
Expect(1, 119232, '\p{^Is_Composition_Exclusion=f}', "");
Expect(1, 119232, '\P{Is_Composition_Exclusion=f}', "");
Expect(0, 119232, '\P{^Is_Composition_Exclusion=f}', "");
Expect(1, 119233, '\p{Is_Composition_Exclusion=_-F}', "");
Expect(0, 119233, '\p{^Is_Composition_Exclusion=_-F}', "");
Expect(0, 119233, '\P{Is_Composition_Exclusion=_-F}', "");
Expect(1, 119233, '\P{^Is_Composition_Exclusion=_-F}', "");
Expect(0, 119232, '\p{Is_Composition_Exclusion=_-F}', "");
Expect(1, 119232, '\p{^Is_Composition_Exclusion=_-F}', "");
Expect(1, 119232, '\P{Is_Composition_Exclusion=_-F}', "");
Expect(0, 119232, '\P{^Is_Composition_Exclusion=_-F}', "");
Error('\p{Is_CE=--false/a/}');
Error('\P{Is_CE=--false/a/}');
Expect(1, 119233, '\p{Is_CE=false}', "");
Expect(0, 119233, '\p{^Is_CE=false}', "");
Expect(0, 119233, '\P{Is_CE=false}', "");
Expect(1, 119233, '\P{^Is_CE=false}', "");
Expect(0, 119232, '\p{Is_CE=false}', "");
Expect(1, 119232, '\p{^Is_CE=false}', "");
Expect(1, 119232, '\P{Is_CE=false}', "");
Expect(0, 119232, '\P{^Is_CE=false}', "");
Expect(1, 119233, '\p{Is_CE:    false}', "");
Expect(0, 119233, '\p{^Is_CE:    false}', "");
Expect(0, 119233, '\P{Is_CE:    false}', "");
Expect(1, 119233, '\P{^Is_CE:    false}', "");
Expect(0, 119232, '\p{Is_CE:    false}', "");
Expect(1, 119232, '\p{^Is_CE:    false}', "");
Expect(1, 119232, '\P{Is_CE:    false}', "");
Expect(0, 119232, '\P{^Is_CE:    false}', "");
Error('\p{Composition_Exclusion=:=_yes}');
Error('\P{Composition_Exclusion=:=_yes}');
Expect(1, 119232, '\p{Composition_Exclusion:yes}', "");
Expect(0, 119232, '\p{^Composition_Exclusion:yes}', "");
Expect(0, 119232, '\P{Composition_Exclusion:yes}', "");
Expect(1, 119232, '\P{^Composition_Exclusion:yes}', "");
Expect(0, 119233, '\p{Composition_Exclusion:yes}', "");
Expect(1, 119233, '\p{^Composition_Exclusion:yes}', "");
Expect(1, 119233, '\P{Composition_Exclusion:yes}', "");
Expect(0, 119233, '\P{^Composition_Exclusion:yes}', "");
Expect(1, 119232, '\p{Composition_Exclusion=_	Yes}', "");
Expect(0, 119232, '\p{^Composition_Exclusion=_	Yes}', "");
Expect(0, 119232, '\P{Composition_Exclusion=_	Yes}', "");
Expect(1, 119232, '\P{^Composition_Exclusion=_	Yes}', "");
Expect(0, 119233, '\p{Composition_Exclusion=_	Yes}', "");
Expect(1, 119233, '\p{^Composition_Exclusion=_	Yes}', "");
Expect(1, 119233, '\P{Composition_Exclusion=_	Yes}', "");
Expect(0, 119233, '\P{^Composition_Exclusion=_	Yes}', "");
Error('\p{CE=--y:=}');
Error('\P{CE=--y:=}');
Expect(1, 119232, '\p{CE=y}', "");
Expect(0, 119232, '\p{^CE=y}', "");
Expect(0, 119232, '\P{CE=y}', "");
Expect(1, 119232, '\P{^CE=y}', "");
Expect(0, 119233, '\p{CE=y}', "");
Expect(1, 119233, '\p{^CE=y}', "");
Expect(1, 119233, '\P{CE=y}', "");
Expect(0, 119233, '\P{^CE=y}', "");
Expect(1, 119232, '\p{CE=__y}', "");
Expect(0, 119232, '\p{^CE=__y}', "");
Expect(0, 119232, '\P{CE=__y}', "");
Expect(1, 119232, '\P{^CE=__y}', "");
Expect(0, 119233, '\p{CE=__y}', "");
Expect(1, 119233, '\p{^CE=__y}', "");
Expect(1, 119233, '\P{CE=__y}', "");
Expect(0, 119233, '\P{^CE=__y}', "");
Error('\p{Is_Composition_Exclusion=:=		T}');
Error('\P{Is_Composition_Exclusion=:=		T}');
Expect(1, 119232, '\p{Is_Composition_Exclusion=t}', "");
Expect(0, 119232, '\p{^Is_Composition_Exclusion=t}', "");
Expect(0, 119232, '\P{Is_Composition_Exclusion=t}', "");
Expect(1, 119232, '\P{^Is_Composition_Exclusion=t}', "");
Expect(0, 119233, '\p{Is_Composition_Exclusion=t}', "");
Expect(1, 119233, '\p{^Is_Composition_Exclusion=t}', "");
Expect(1, 119233, '\P{Is_Composition_Exclusion=t}', "");
Expect(0, 119233, '\P{^Is_Composition_Exclusion=t}', "");
Expect(1, 119232, '\p{Is_Composition_Exclusion=__t}', "");
Expect(0, 119232, '\p{^Is_Composition_Exclusion=__t}', "");
Expect(0, 119232, '\P{Is_Composition_Exclusion=__t}', "");
Expect(1, 119232, '\P{^Is_Composition_Exclusion=__t}', "");
Expect(0, 119233, '\p{Is_Composition_Exclusion=__t}', "");
Expect(1, 119233, '\p{^Is_Composition_Exclusion=__t}', "");
Expect(1, 119233, '\P{Is_Composition_Exclusion=__t}', "");
Expect(0, 119233, '\P{^Is_Composition_Exclusion=__t}', "");
Error('\p{Is_CE=_:=true}');
Error('\P{Is_CE=_:=true}');
Expect(1, 119232, '\p{Is_CE=true}', "");
Expect(0, 119232, '\p{^Is_CE=true}', "");
Expect(0, 119232, '\P{Is_CE=true}', "");
Expect(1, 119232, '\P{^Is_CE=true}', "");
Expect(0, 119233, '\p{Is_CE=true}', "");
Expect(1, 119233, '\p{^Is_CE=true}', "");
Expect(1, 119233, '\P{Is_CE=true}', "");
Expect(0, 119233, '\P{^Is_CE=true}', "");
Expect(1, 119232, '\p{Is_CE=_true}', "");
Expect(0, 119232, '\p{^Is_CE=_true}', "");
Expect(0, 119232, '\P{Is_CE=_true}', "");
Expect(1, 119232, '\P{^Is_CE=_true}', "");
Expect(0, 119233, '\p{Is_CE=_true}', "");
Expect(1, 119233, '\p{^Is_CE=_true}', "");
Expect(1, 119233, '\P{Is_CE=_true}', "");
Expect(0, 119233, '\P{^Is_CE=_true}', "");
Error('\p{Case_Ignorable=/a/no}');
Error('\P{Case_Ignorable=/a/no}');
Expect(1, 918000, '\p{Case_Ignorable=no}', "");
Expect(0, 918000, '\p{^Case_Ignorable=no}', "");
Expect(0, 918000, '\P{Case_Ignorable=no}', "");
Expect(1, 918000, '\P{^Case_Ignorable=no}', "");
Expect(0, 917999, '\p{Case_Ignorable=no}', "");
Expect(1, 917999, '\p{^Case_Ignorable=no}', "");
Expect(1, 917999, '\P{Case_Ignorable=no}', "");
Expect(0, 917999, '\P{^Case_Ignorable=no}', "");
Expect(1, 918000, '\p{Case_Ignorable=__No}', "");
Expect(0, 918000, '\p{^Case_Ignorable=__No}', "");
Expect(0, 918000, '\P{Case_Ignorable=__No}', "");
Expect(1, 918000, '\P{^Case_Ignorable=__No}', "");
Expect(0, 917999, '\p{Case_Ignorable=__No}', "");
Expect(1, 917999, '\p{^Case_Ignorable=__No}', "");
Expect(1, 917999, '\P{Case_Ignorable=__No}', "");
Expect(0, 917999, '\P{^Case_Ignorable=__No}', "");
Error('\p{CI:/a/		N}');
Error('\P{CI:/a/		N}');
Expect(1, 918000, '\p{CI=n}', "");
Expect(0, 918000, '\p{^CI=n}', "");
Expect(0, 918000, '\P{CI=n}', "");
Expect(1, 918000, '\P{^CI=n}', "");
Expect(0, 917999, '\p{CI=n}', "");
Expect(1, 917999, '\p{^CI=n}', "");
Expect(1, 917999, '\P{CI=n}', "");
Expect(0, 917999, '\P{^CI=n}', "");
Expect(1, 918000, '\p{CI:   _N}', "");
Expect(0, 918000, '\p{^CI:   _N}', "");
Expect(0, 918000, '\P{CI:   _N}', "");
Expect(1, 918000, '\P{^CI:   _N}', "");
Expect(0, 917999, '\p{CI:   _N}', "");
Expect(1, 917999, '\p{^CI:   _N}', "");
Expect(1, 917999, '\P{CI:   _N}', "");
Expect(0, 917999, '\P{^CI:   _N}', "");
Error('\p{Is_Case_Ignorable=-/a/F}');
Error('\P{Is_Case_Ignorable=-/a/F}');
Expect(1, 918000, '\p{Is_Case_Ignorable=f}', "");
Expect(0, 918000, '\p{^Is_Case_Ignorable=f}', "");
Expect(0, 918000, '\P{Is_Case_Ignorable=f}', "");
Expect(1, 918000, '\P{^Is_Case_Ignorable=f}', "");
Expect(0, 917999, '\p{Is_Case_Ignorable=f}', "");
Expect(1, 917999, '\p{^Is_Case_Ignorable=f}', "");
Expect(1, 917999, '\P{Is_Case_Ignorable=f}', "");
Expect(0, 917999, '\P{^Is_Case_Ignorable=f}', "");
Expect(1, 918000, '\p{Is_Case_Ignorable= -F}', "");
Expect(0, 918000, '\p{^Is_Case_Ignorable= -F}', "");
Expect(0, 918000, '\P{Is_Case_Ignorable= -F}', "");
Expect(1, 918000, '\P{^Is_Case_Ignorable= -F}', "");
Expect(0, 917999, '\p{Is_Case_Ignorable= -F}', "");
Expect(1, 917999, '\p{^Is_Case_Ignorable= -F}', "");
Expect(1, 917999, '\P{Is_Case_Ignorable= -F}', "");
Expect(0, 917999, '\P{^Is_Case_Ignorable= -F}', "");
Error('\p{Is_CI=	 False/a/}');
Error('\P{Is_CI=	 False/a/}');
Expect(1, 918000, '\p{Is_CI=false}', "");
Expect(0, 918000, '\p{^Is_CI=false}', "");
Expect(0, 918000, '\P{Is_CI=false}', "");
Expect(1, 918000, '\P{^Is_CI=false}', "");
Expect(0, 917999, '\p{Is_CI=false}', "");
Expect(1, 917999, '\p{^Is_CI=false}', "");
Expect(1, 917999, '\P{Is_CI=false}', "");
Expect(0, 917999, '\P{^Is_CI=false}', "");
Expect(1, 918000, '\p{Is_CI=- FALSE}', "");
Expect(0, 918000, '\p{^Is_CI=- FALSE}', "");
Expect(0, 918000, '\P{Is_CI=- FALSE}', "");
Expect(1, 918000, '\P{^Is_CI=- FALSE}', "");
Expect(0, 917999, '\p{Is_CI=- FALSE}', "");
Expect(1, 917999, '\p{^Is_CI=- FALSE}', "");
Expect(1, 917999, '\P{Is_CI=- FALSE}', "");
Expect(0, 917999, '\P{^Is_CI=- FALSE}', "");
Error('\p{Case_Ignorable=:= Yes}');
Error('\P{Case_Ignorable=:= Yes}');
Expect(1, 917999, '\p{Case_Ignorable:yes}', "");
Expect(0, 917999, '\p{^Case_Ignorable:yes}', "");
Expect(0, 917999, '\P{Case_Ignorable:yes}', "");
Expect(1, 917999, '\P{^Case_Ignorable:yes}', "");
Expect(0, 918000, '\p{Case_Ignorable:yes}', "");
Expect(1, 918000, '\p{^Case_Ignorable:yes}', "");
Expect(1, 918000, '\P{Case_Ignorable:yes}', "");
Expect(0, 918000, '\P{^Case_Ignorable:yes}', "");
Expect(1, 917999, '\p{Case_Ignorable:	_-yes}', "");
Expect(0, 917999, '\p{^Case_Ignorable:	_-yes}', "");
Expect(0, 917999, '\P{Case_Ignorable:	_-yes}', "");
Expect(1, 917999, '\P{^Case_Ignorable:	_-yes}', "");
Expect(0, 918000, '\p{Case_Ignorable:	_-yes}', "");
Expect(1, 918000, '\p{^Case_Ignorable:	_-yes}', "");
Expect(1, 918000, '\P{Case_Ignorable:	_-yes}', "");
Expect(0, 918000, '\P{^Case_Ignorable:	_-yes}', "");
Error('\p{CI:  :=y}');
Error('\P{CI:  :=y}');
Expect(1, 917999, '\p{CI=y}', "");
Expect(0, 917999, '\p{^CI=y}', "");
Expect(0, 917999, '\P{CI=y}', "");
Expect(1, 917999, '\P{^CI=y}', "");
Expect(0, 918000, '\p{CI=y}', "");
Expect(1, 918000, '\p{^CI=y}', "");
Expect(1, 918000, '\P{CI=y}', "");
Expect(0, 918000, '\P{^CI=y}', "");
Expect(1, 917999, '\p{CI=__Y}', "");
Expect(0, 917999, '\p{^CI=__Y}', "");
Expect(0, 917999, '\P{CI=__Y}', "");
Expect(1, 917999, '\P{^CI=__Y}', "");
Expect(0, 918000, '\p{CI=__Y}', "");
Expect(1, 918000, '\p{^CI=__Y}', "");
Expect(1, 918000, '\P{CI=__Y}', "");
Expect(0, 918000, '\P{^CI=__Y}', "");
Error('\p{Is_Case_Ignorable:   -:=T}');
Error('\P{Is_Case_Ignorable:   -:=T}');
Expect(1, 917999, '\p{Is_Case_Ignorable=t}', "");
Expect(0, 917999, '\p{^Is_Case_Ignorable=t}', "");
Expect(0, 917999, '\P{Is_Case_Ignorable=t}', "");
Expect(1, 917999, '\P{^Is_Case_Ignorable=t}', "");
Expect(0, 918000, '\p{Is_Case_Ignorable=t}', "");
Expect(1, 918000, '\p{^Is_Case_Ignorable=t}', "");
Expect(1, 918000, '\P{Is_Case_Ignorable=t}', "");
Expect(0, 918000, '\P{^Is_Case_Ignorable=t}', "");
Expect(1, 917999, '\p{Is_Case_Ignorable= T}', "");
Expect(0, 917999, '\p{^Is_Case_Ignorable= T}', "");
Expect(0, 917999, '\P{Is_Case_Ignorable= T}', "");
Expect(1, 917999, '\P{^Is_Case_Ignorable= T}', "");
Expect(0, 918000, '\p{Is_Case_Ignorable= T}', "");
Expect(1, 918000, '\p{^Is_Case_Ignorable= T}', "");
Expect(1, 918000, '\P{Is_Case_Ignorable= T}', "");
Expect(0, 918000, '\P{^Is_Case_Ignorable= T}', "");
Error('\p{Is_CI=/a/TRUE}');
Error('\P{Is_CI=/a/TRUE}');
Expect(1, 917999, '\p{Is_CI:	true}', "");
Expect(0, 917999, '\p{^Is_CI:	true}', "");
Expect(0, 917999, '\P{Is_CI:	true}', "");
Expect(1, 917999, '\P{^Is_CI:	true}', "");
Expect(0, 918000, '\p{Is_CI:	true}', "");
Expect(1, 918000, '\p{^Is_CI:	true}', "");
Expect(1, 918000, '\P{Is_CI:	true}', "");
Expect(0, 918000, '\P{^Is_CI:	true}', "");
Expect(1, 917999, '\p{Is_CI= -True}', "");
Expect(0, 917999, '\p{^Is_CI= -True}', "");
Expect(0, 917999, '\P{Is_CI= -True}', "");
Expect(1, 917999, '\P{^Is_CI= -True}', "");
Expect(0, 918000, '\p{Is_CI= -True}', "");
Expect(1, 918000, '\p{^Is_CI= -True}', "");
Expect(1, 918000, '\P{Is_CI= -True}', "");
Expect(0, 918000, '\P{^Is_CI= -True}', "");
Error('\p{Changes_When_Casefolded=:=_	no}');
Error('\P{Changes_When_Casefolded=:=_	no}');
Expect(1, 71872, '\p{Changes_When_Casefolded=no}', "");
Expect(0, 71872, '\p{^Changes_When_Casefolded=no}', "");
Expect(0, 71872, '\P{Changes_When_Casefolded=no}', "");
Expect(1, 71872, '\P{^Changes_When_Casefolded=no}', "");
Expect(0, 71871, '\p{Changes_When_Casefolded=no}', "");
Expect(1, 71871, '\p{^Changes_When_Casefolded=no}', "");
Expect(1, 71871, '\P{Changes_When_Casefolded=no}', "");
Expect(0, 71871, '\P{^Changes_When_Casefolded=no}', "");
Expect(1, 71872, '\p{Changes_When_Casefolded:--No}', "");
Expect(0, 71872, '\p{^Changes_When_Casefolded:--No}', "");
Expect(0, 71872, '\P{Changes_When_Casefolded:--No}', "");
Expect(1, 71872, '\P{^Changes_When_Casefolded:--No}', "");
Expect(0, 71871, '\p{Changes_When_Casefolded:--No}', "");
Expect(1, 71871, '\p{^Changes_When_Casefolded:--No}', "");
Expect(1, 71871, '\P{Changes_When_Casefolded:--No}', "");
Expect(0, 71871, '\P{^Changes_When_Casefolded:--No}', "");
Error('\p{CWCF=_/a/N}');
Error('\P{CWCF=_/a/N}');
Expect(1, 71872, '\p{CWCF=n}', "");
Expect(0, 71872, '\p{^CWCF=n}', "");
Expect(0, 71872, '\P{CWCF=n}', "");
Expect(1, 71872, '\P{^CWCF=n}', "");
Expect(0, 71871, '\p{CWCF=n}', "");
Expect(1, 71871, '\p{^CWCF=n}', "");
Expect(1, 71871, '\P{CWCF=n}', "");
Expect(0, 71871, '\P{^CWCF=n}', "");
Expect(1, 71872, '\p{CWCF:   N}', "");
Expect(0, 71872, '\p{^CWCF:   N}', "");
Expect(0, 71872, '\P{CWCF:   N}', "");
Expect(1, 71872, '\P{^CWCF:   N}', "");
Expect(0, 71871, '\p{CWCF:   N}', "");
Expect(1, 71871, '\p{^CWCF:   N}', "");
Expect(1, 71871, '\P{CWCF:   N}', "");
Expect(0, 71871, '\P{^CWCF:   N}', "");
Error('\p{Is_Changes_When_Casefolded=	/a/F}');
Error('\P{Is_Changes_When_Casefolded=	/a/F}');
Expect(1, 71872, '\p{Is_Changes_When_Casefolded=f}', "");
Expect(0, 71872, '\p{^Is_Changes_When_Casefolded=f}', "");
Expect(0, 71872, '\P{Is_Changes_When_Casefolded=f}', "");
Expect(1, 71872, '\P{^Is_Changes_When_Casefolded=f}', "");
Expect(0, 71871, '\p{Is_Changes_When_Casefolded=f}', "");
Expect(1, 71871, '\p{^Is_Changes_When_Casefolded=f}', "");
Expect(1, 71871, '\P{Is_Changes_When_Casefolded=f}', "");
Expect(0, 71871, '\P{^Is_Changes_When_Casefolded=f}', "");
Expect(1, 71872, '\p{Is_Changes_When_Casefolded= -f}', "");
Expect(0, 71872, '\p{^Is_Changes_When_Casefolded= -f}', "");
Expect(0, 71872, '\P{Is_Changes_When_Casefolded= -f}', "");
Expect(1, 71872, '\P{^Is_Changes_When_Casefolded= -f}', "");
Expect(0, 71871, '\p{Is_Changes_When_Casefolded= -f}', "");
Expect(1, 71871, '\p{^Is_Changes_When_Casefolded= -f}', "");
Expect(1, 71871, '\P{Is_Changes_When_Casefolded= -f}', "");
Expect(0, 71871, '\P{^Is_Changes_When_Casefolded= -f}', "");
Error('\p{Is_CWCF= :=False}');
Error('\P{Is_CWCF= :=False}');
Expect(1, 71872, '\p{Is_CWCF=false}', "");
Expect(0, 71872, '\p{^Is_CWCF=false}', "");
Expect(0, 71872, '\P{Is_CWCF=false}', "");
Expect(1, 71872, '\P{^Is_CWCF=false}', "");
Expect(0, 71871, '\p{Is_CWCF=false}', "");
Expect(1, 71871, '\p{^Is_CWCF=false}', "");
Expect(1, 71871, '\P{Is_CWCF=false}', "");
Expect(0, 71871, '\P{^Is_CWCF=false}', "");
Expect(1, 71872, '\p{Is_CWCF=	_false}', "");
Expect(0, 71872, '\p{^Is_CWCF=	_false}', "");
Expect(0, 71872, '\P{Is_CWCF=	_false}', "");
Expect(1, 71872, '\P{^Is_CWCF=	_false}', "");
Expect(0, 71871, '\p{Is_CWCF=	_false}', "");
Expect(1, 71871, '\p{^Is_CWCF=	_false}', "");
Expect(1, 71871, '\P{Is_CWCF=	_false}', "");
Expect(0, 71871, '\P{^Is_CWCF=	_false}', "");
Error('\p{Changes_When_Casefolded= -Yes:=}');
Error('\P{Changes_When_Casefolded= -Yes:=}');
Expect(1, 71871, '\p{Changes_When_Casefolded=yes}', "");
Expect(0, 71871, '\p{^Changes_When_Casefolded=yes}', "");
Expect(0, 71871, '\P{Changes_When_Casefolded=yes}', "");
Expect(1, 71871, '\P{^Changes_When_Casefolded=yes}', "");
Expect(0, 71872, '\p{Changes_When_Casefolded=yes}', "");
Expect(1, 71872, '\p{^Changes_When_Casefolded=yes}', "");
Expect(1, 71872, '\P{Changes_When_Casefolded=yes}', "");
Expect(0, 71872, '\P{^Changes_When_Casefolded=yes}', "");
Expect(1, 71871, '\p{Changes_When_Casefolded=_Yes}', "");
Expect(0, 71871, '\p{^Changes_When_Casefolded=_Yes}', "");
Expect(0, 71871, '\P{Changes_When_Casefolded=_Yes}', "");
Expect(1, 71871, '\P{^Changes_When_Casefolded=_Yes}', "");
Expect(0, 71872, '\p{Changes_When_Casefolded=_Yes}', "");
Expect(1, 71872, '\p{^Changes_When_Casefolded=_Yes}', "");
Expect(1, 71872, '\P{Changes_When_Casefolded=_Yes}', "");
Expect(0, 71872, '\P{^Changes_When_Casefolded=_Yes}', "");
Error('\p{CWCF=/a/ 	Y}');
Error('\P{CWCF=/a/ 	Y}');
Expect(1, 71871, '\p{CWCF:y}', "");
Expect(0, 71871, '\p{^CWCF:y}', "");
Expect(0, 71871, '\P{CWCF:y}', "");
Expect(1, 71871, '\P{^CWCF:y}', "");
Expect(0, 71872, '\p{CWCF:y}', "");
Expect(1, 71872, '\p{^CWCF:y}', "");
Expect(1, 71872, '\P{CWCF:y}', "");
Expect(0, 71872, '\P{^CWCF:y}', "");
Expect(1, 71871, '\p{CWCF=-y}', "");
Expect(0, 71871, '\p{^CWCF=-y}', "");
Expect(0, 71871, '\P{CWCF=-y}', "");
Expect(1, 71871, '\P{^CWCF=-y}', "");
Expect(0, 71872, '\p{CWCF=-y}', "");
Expect(1, 71872, '\p{^CWCF=-y}', "");
Expect(1, 71872, '\P{CWCF=-y}', "");
Expect(0, 71872, '\P{^CWCF=-y}', "");
Error('\p{Is_Changes_When_Casefolded= :=T}');
Error('\P{Is_Changes_When_Casefolded= :=T}');
Expect(1, 71871, '\p{Is_Changes_When_Casefolded:   t}', "");
Expect(0, 71871, '\p{^Is_Changes_When_Casefolded:   t}', "");
Expect(0, 71871, '\P{Is_Changes_When_Casefolded:   t}', "");
Expect(1, 71871, '\P{^Is_Changes_When_Casefolded:   t}', "");
Expect(0, 71872, '\p{Is_Changes_When_Casefolded:   t}', "");
Expect(1, 71872, '\p{^Is_Changes_When_Casefolded:   t}', "");
Expect(1, 71872, '\P{Is_Changes_When_Casefolded:   t}', "");
Expect(0, 71872, '\P{^Is_Changes_When_Casefolded:   t}', "");
Expect(1, 71871, '\p{Is_Changes_When_Casefolded=_-T}', "");
Expect(0, 71871, '\p{^Is_Changes_When_Casefolded=_-T}', "");
Expect(0, 71871, '\P{Is_Changes_When_Casefolded=_-T}', "");
Expect(1, 71871, '\P{^Is_Changes_When_Casefolded=_-T}', "");
Expect(0, 71872, '\p{Is_Changes_When_Casefolded=_-T}', "");
Expect(1, 71872, '\p{^Is_Changes_When_Casefolded=_-T}', "");
Expect(1, 71872, '\P{Is_Changes_When_Casefolded=_-T}', "");
Expect(0, 71872, '\P{^Is_Changes_When_Casefolded=_-T}', "");
Error('\p{Is_CWCF=TRUE/a/}');
Error('\P{Is_CWCF=TRUE/a/}');
Expect(1, 71871, '\p{Is_CWCF=true}', "");
Expect(0, 71871, '\p{^Is_CWCF=true}', "");
Expect(0, 71871, '\P{Is_CWCF=true}', "");
Expect(1, 71871, '\P{^Is_CWCF=true}', "");
Expect(0, 71872, '\p{Is_CWCF=true}', "");
Expect(1, 71872, '\p{^Is_CWCF=true}', "");
Expect(1, 71872, '\P{Is_CWCF=true}', "");
Expect(0, 71872, '\P{^Is_CWCF=true}', "");
Expect(1, 71871, '\p{Is_CWCF=-True}', "");
Expect(0, 71871, '\p{^Is_CWCF=-True}', "");
Expect(0, 71871, '\P{Is_CWCF=-True}', "");
Expect(1, 71871, '\P{^Is_CWCF=-True}', "");
Expect(0, 71872, '\p{Is_CWCF=-True}', "");
Expect(1, 71872, '\p{^Is_CWCF=-True}', "");
Expect(1, 71872, '\P{Is_CWCF=-True}', "");
Expect(0, 71872, '\P{^Is_CWCF=-True}', "");
Error('\p{Changes_When_Casemapped= /a/No}');
Error('\P{Changes_When_Casemapped= /a/No}');
Expect(1, 71904, '\p{Changes_When_Casemapped=no}', "");
Expect(0, 71904, '\p{^Changes_When_Casemapped=no}', "");
Expect(0, 71904, '\P{Changes_When_Casemapped=no}', "");
Expect(1, 71904, '\P{^Changes_When_Casemapped=no}', "");
Expect(0, 71903, '\p{Changes_When_Casemapped=no}', "");
Expect(1, 71903, '\p{^Changes_When_Casemapped=no}', "");
Expect(1, 71903, '\P{Changes_When_Casemapped=no}', "");
Expect(0, 71903, '\P{^Changes_When_Casemapped=no}', "");
Expect(1, 71904, '\p{Changes_When_Casemapped=	-no}', "");
Expect(0, 71904, '\p{^Changes_When_Casemapped=	-no}', "");
Expect(0, 71904, '\P{Changes_When_Casemapped=	-no}', "");
Expect(1, 71904, '\P{^Changes_When_Casemapped=	-no}', "");
Expect(0, 71903, '\p{Changes_When_Casemapped=	-no}', "");
Expect(1, 71903, '\p{^Changes_When_Casemapped=	-no}', "");
Expect(1, 71903, '\P{Changes_When_Casemapped=	-no}', "");
Expect(0, 71903, '\P{^Changes_When_Casemapped=	-no}', "");
Error('\p{CWCM:-N/a/}');
Error('\P{CWCM:-N/a/}');
Expect(1, 71904, '\p{CWCM=n}', "");
Expect(0, 71904, '\p{^CWCM=n}', "");
Expect(0, 71904, '\P{CWCM=n}', "");
Expect(1, 71904, '\P{^CWCM=n}', "");
Expect(0, 71903, '\p{CWCM=n}', "");
Expect(1, 71903, '\p{^CWCM=n}', "");
Expect(1, 71903, '\P{CWCM=n}', "");
Expect(0, 71903, '\P{^CWCM=n}', "");
Expect(1, 71904, '\p{CWCM=_	n}', "");
Expect(0, 71904, '\p{^CWCM=_	n}', "");
Expect(0, 71904, '\P{CWCM=_	n}', "");
Expect(1, 71904, '\P{^CWCM=_	n}', "");
Expect(0, 71903, '\p{CWCM=_	n}', "");
Expect(1, 71903, '\p{^CWCM=_	n}', "");
Expect(1, 71903, '\P{CWCM=_	n}', "");
Expect(0, 71903, '\P{^CWCM=_	n}', "");
Error('\p{Is_Changes_When_Casemapped=/a/-F}');
Error('\P{Is_Changes_When_Casemapped=/a/-F}');
Expect(1, 71904, '\p{Is_Changes_When_Casemapped=f}', "");
Expect(0, 71904, '\p{^Is_Changes_When_Casemapped=f}', "");
Expect(0, 71904, '\P{Is_Changes_When_Casemapped=f}', "");
Expect(1, 71904, '\P{^Is_Changes_When_Casemapped=f}', "");
Expect(0, 71903, '\p{Is_Changes_When_Casemapped=f}', "");
Expect(1, 71903, '\p{^Is_Changes_When_Casemapped=f}', "");
Expect(1, 71903, '\P{Is_Changes_When_Casemapped=f}', "");
Expect(0, 71903, '\P{^Is_Changes_When_Casemapped=f}', "");
Expect(1, 71904, '\p{Is_Changes_When_Casemapped=--F}', "");
Expect(0, 71904, '\p{^Is_Changes_When_Casemapped=--F}', "");
Expect(0, 71904, '\P{Is_Changes_When_Casemapped=--F}', "");
Expect(1, 71904, '\P{^Is_Changes_When_Casemapped=--F}', "");
Expect(0, 71903, '\p{Is_Changes_When_Casemapped=--F}', "");
Expect(1, 71903, '\p{^Is_Changes_When_Casemapped=--F}', "");
Expect(1, 71903, '\P{Is_Changes_When_Casemapped=--F}', "");
Expect(0, 71903, '\P{^Is_Changes_When_Casemapped=--F}', "");
Error('\p{Is_CWCM=	/a/False}');
Error('\P{Is_CWCM=	/a/False}');
Expect(1, 71904, '\p{Is_CWCM=false}', "");
Expect(0, 71904, '\p{^Is_CWCM=false}', "");
Expect(0, 71904, '\P{Is_CWCM=false}', "");
Expect(1, 71904, '\P{^Is_CWCM=false}', "");
Expect(0, 71903, '\p{Is_CWCM=false}', "");
Expect(1, 71903, '\p{^Is_CWCM=false}', "");
Expect(1, 71903, '\P{Is_CWCM=false}', "");
Expect(0, 71903, '\P{^Is_CWCM=false}', "");
Expect(1, 71904, '\p{Is_CWCM=-_false}', "");
Expect(0, 71904, '\p{^Is_CWCM=-_false}', "");
Expect(0, 71904, '\P{Is_CWCM=-_false}', "");
Expect(1, 71904, '\P{^Is_CWCM=-_false}', "");
Expect(0, 71903, '\p{Is_CWCM=-_false}', "");
Expect(1, 71903, '\p{^Is_CWCM=-_false}', "");
Expect(1, 71903, '\P{Is_CWCM=-_false}', "");
Expect(0, 71903, '\P{^Is_CWCM=-_false}', "");
Error('\p{Changes_When_Casemapped=_/a/YES}');
Error('\P{Changes_When_Casemapped=_/a/YES}');
Expect(1, 71903, '\p{Changes_When_Casemapped=yes}', "");
Expect(0, 71903, '\p{^Changes_When_Casemapped=yes}', "");
Expect(0, 71903, '\P{Changes_When_Casemapped=yes}', "");
Expect(1, 71903, '\P{^Changes_When_Casemapped=yes}', "");
Expect(0, 71904, '\p{Changes_When_Casemapped=yes}', "");
Expect(1, 71904, '\p{^Changes_When_Casemapped=yes}', "");
Expect(1, 71904, '\P{Changes_When_Casemapped=yes}', "");
Expect(0, 71904, '\P{^Changes_When_Casemapped=yes}', "");
Expect(1, 71903, '\p{Changes_When_Casemapped=-	yes}', "");
Expect(0, 71903, '\p{^Changes_When_Casemapped=-	yes}', "");
Expect(0, 71903, '\P{Changes_When_Casemapped=-	yes}', "");
Expect(1, 71903, '\P{^Changes_When_Casemapped=-	yes}', "");
Expect(0, 71904, '\p{Changes_When_Casemapped=-	yes}', "");
Expect(1, 71904, '\p{^Changes_When_Casemapped=-	yes}', "");
Expect(1, 71904, '\P{Changes_When_Casemapped=-	yes}', "");
Expect(0, 71904, '\P{^Changes_When_Casemapped=-	yes}', "");
Error('\p{CWCM=-:=Y}');
Error('\P{CWCM=-:=Y}');
Expect(1, 71903, '\p{CWCM=y}', "");
Expect(0, 71903, '\p{^CWCM=y}', "");
Expect(0, 71903, '\P{CWCM=y}', "");
Expect(1, 71903, '\P{^CWCM=y}', "");
Expect(0, 71904, '\p{CWCM=y}', "");
Expect(1, 71904, '\p{^CWCM=y}', "");
Expect(1, 71904, '\P{CWCM=y}', "");
Expect(0, 71904, '\P{^CWCM=y}', "");
Expect(1, 71903, '\p{CWCM=_ Y}', "");
Expect(0, 71903, '\p{^CWCM=_ Y}', "");
Expect(0, 71903, '\P{CWCM=_ Y}', "");
Expect(1, 71903, '\P{^CWCM=_ Y}', "");
Expect(0, 71904, '\p{CWCM=_ Y}', "");
Expect(1, 71904, '\p{^CWCM=_ Y}', "");
Expect(1, 71904, '\P{CWCM=_ Y}', "");
Expect(0, 71904, '\P{^CWCM=_ Y}', "");
Error('\p{Is_Changes_When_Casemapped=	 T/a/}');
Error('\P{Is_Changes_When_Casemapped=	 T/a/}');
Expect(1, 71903, '\p{Is_Changes_When_Casemapped=t}', "");
Expect(0, 71903, '\p{^Is_Changes_When_Casemapped=t}', "");
Expect(0, 71903, '\P{Is_Changes_When_Casemapped=t}', "");
Expect(1, 71903, '\P{^Is_Changes_When_Casemapped=t}', "");
Expect(0, 71904, '\p{Is_Changes_When_Casemapped=t}', "");
Expect(1, 71904, '\p{^Is_Changes_When_Casemapped=t}', "");
Expect(1, 71904, '\P{Is_Changes_When_Casemapped=t}', "");
Expect(0, 71904, '\P{^Is_Changes_When_Casemapped=t}', "");
Expect(1, 71903, '\p{Is_Changes_When_Casemapped:	 t}', "");
Expect(0, 71903, '\p{^Is_Changes_When_Casemapped:	 t}', "");
Expect(0, 71903, '\P{Is_Changes_When_Casemapped:	 t}', "");
Expect(1, 71903, '\P{^Is_Changes_When_Casemapped:	 t}', "");
Expect(0, 71904, '\p{Is_Changes_When_Casemapped:	 t}', "");
Expect(1, 71904, '\p{^Is_Changes_When_Casemapped:	 t}', "");
Expect(1, 71904, '\P{Is_Changes_When_Casemapped:	 t}', "");
Expect(0, 71904, '\P{^Is_Changes_When_Casemapped:	 t}', "");
Error('\p{Is_CWCM=:=True}');
Error('\P{Is_CWCM=:=True}');
Expect(1, 71903, '\p{Is_CWCM=true}', "");
Expect(0, 71903, '\p{^Is_CWCM=true}', "");
Expect(0, 71903, '\P{Is_CWCM=true}', "");
Expect(1, 71903, '\P{^Is_CWCM=true}', "");
Expect(0, 71904, '\p{Is_CWCM=true}', "");
Expect(1, 71904, '\p{^Is_CWCM=true}', "");
Expect(1, 71904, '\P{Is_CWCM=true}', "");
Expect(0, 71904, '\P{^Is_CWCM=true}', "");
Expect(1, 71903, '\p{Is_CWCM=_-TRUE}', "");
Expect(0, 71903, '\p{^Is_CWCM=_-TRUE}', "");
Expect(0, 71903, '\P{Is_CWCM=_-TRUE}', "");
Expect(1, 71903, '\P{^Is_CWCM=_-TRUE}', "");
Expect(0, 71904, '\p{Is_CWCM=_-TRUE}', "");
Expect(1, 71904, '\p{^Is_CWCM=_-TRUE}', "");
Expect(1, 71904, '\P{Is_CWCM=_-TRUE}', "");
Expect(0, 71904, '\P{^Is_CWCM=_-TRUE}', "");
Error('\p{Changes_When_NFKC_Casefolded=-_NO/a/}');
Error('\P{Changes_When_NFKC_Casefolded=-_NO/a/}');
Expect(1, 921600, '\p{Changes_When_NFKC_Casefolded:   no}', "");
Expect(0, 921600, '\p{^Changes_When_NFKC_Casefolded:   no}', "");
Expect(0, 921600, '\P{Changes_When_NFKC_Casefolded:   no}', "");
Expect(1, 921600, '\P{^Changes_When_NFKC_Casefolded:   no}', "");
Expect(0, 921599, '\p{Changes_When_NFKC_Casefolded:   no}', "");
Expect(1, 921599, '\p{^Changes_When_NFKC_Casefolded:   no}', "");
Expect(1, 921599, '\P{Changes_When_NFKC_Casefolded:   no}', "");
Expect(0, 921599, '\P{^Changes_When_NFKC_Casefolded:   no}', "");
Expect(1, 921600, '\p{Changes_When_NFKC_Casefolded=	-no}', "");
Expect(0, 921600, '\p{^Changes_When_NFKC_Casefolded=	-no}', "");
Expect(0, 921600, '\P{Changes_When_NFKC_Casefolded=	-no}', "");
Expect(1, 921600, '\P{^Changes_When_NFKC_Casefolded=	-no}', "");
Expect(0, 921599, '\p{Changes_When_NFKC_Casefolded=	-no}', "");
Expect(1, 921599, '\p{^Changes_When_NFKC_Casefolded=	-no}', "");
Expect(1, 921599, '\P{Changes_When_NFKC_Casefolded=	-no}', "");
Expect(0, 921599, '\P{^Changes_When_NFKC_Casefolded=	-no}', "");
Error('\p{CWKCF=/a/	n}');
Error('\P{CWKCF=/a/	n}');
Expect(1, 921600, '\p{CWKCF=n}', "");
Expect(0, 921600, '\p{^CWKCF=n}', "");
Expect(0, 921600, '\P{CWKCF=n}', "");
Expect(1, 921600, '\P{^CWKCF=n}', "");
Expect(0, 921599, '\p{CWKCF=n}', "");
Expect(1, 921599, '\p{^CWKCF=n}', "");
Expect(1, 921599, '\P{CWKCF=n}', "");
Expect(0, 921599, '\P{^CWKCF=n}', "");
Expect(1, 921600, '\p{CWKCF:   -N}', "");
Expect(0, 921600, '\p{^CWKCF:   -N}', "");
Expect(0, 921600, '\P{CWKCF:   -N}', "");
Expect(1, 921600, '\P{^CWKCF:   -N}', "");
Expect(0, 921599, '\p{CWKCF:   -N}', "");
Expect(1, 921599, '\p{^CWKCF:   -N}', "");
Expect(1, 921599, '\P{CWKCF:   -N}', "");
Expect(0, 921599, '\P{^CWKCF:   -N}', "");
Error('\p{Is_Changes_When_NFKC_Casefolded=/a/  F}');
Error('\P{Is_Changes_When_NFKC_Casefolded=/a/  F}');
Expect(1, 921600, '\p{Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(0, 921600, '\p{^Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(0, 921600, '\P{Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(1, 921600, '\P{^Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(0, 921599, '\p{Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(1, 921599, '\p{^Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(1, 921599, '\P{Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(0, 921599, '\P{^Is_Changes_When_NFKC_Casefolded=f}', "");
Expect(1, 921600, '\p{Is_Changes_When_NFKC_Casefolded:    	f}', "");
Expect(0, 921600, '\p{^Is_Changes_When_NFKC_Casefolded:    	f}', "");
Expect(0, 921600, '\P{Is_Changes_When_NFKC_Casefolded:    	f}', "");
Expect(1, 921600, '\P{^Is_Changes_When_NFKC_Casefolded:    	f}', "");
Expect(0, 921599, '\p{Is_Changes_When_NFKC_Casefolded:    	f}', "");
Expect(1, 921599, '\p{^Is_Changes_When_NFKC_Casefolded:    	f}', "");
Expect(1, 921599, '\P{Is_Changes_When_NFKC_Casefolded:    	f}', "");
Expect(0, 921599, '\P{^Is_Changes_When_NFKC_Casefolded:    	f}', "");
Error('\p{Is_CWKCF=	 False:=}');
Error('\P{Is_CWKCF=	 False:=}');
Expect(1, 921600, '\p{Is_CWKCF=false}', "");
Expect(0, 921600, '\p{^Is_CWKCF=false}', "");
Expect(0, 921600, '\P{Is_CWKCF=false}', "");
Expect(1, 921600, '\P{^Is_CWKCF=false}', "");
Expect(0, 921599, '\p{Is_CWKCF=false}', "");
Expect(1, 921599, '\p{^Is_CWKCF=false}', "");
Expect(1, 921599, '\P{Is_CWKCF=false}', "");
Expect(0, 921599, '\P{^Is_CWKCF=false}', "");
Expect(1, 921600, '\p{Is_CWKCF=_-FALSE}', "");
Expect(0, 921600, '\p{^Is_CWKCF=_-FALSE}', "");
Expect(0, 921600, '\P{Is_CWKCF=_-FALSE}', "");
Expect(1, 921600, '\P{^Is_CWKCF=_-FALSE}', "");
Expect(0, 921599, '\p{Is_CWKCF=_-FALSE}', "");
Expect(1, 921599, '\p{^Is_CWKCF=_-FALSE}', "");
Expect(1, 921599, '\P{Is_CWKCF=_-FALSE}', "");
Expect(0, 921599, '\P{^Is_CWKCF=_-FALSE}', "");
Error('\p{Changes_When_NFKC_Casefolded=/a/		Yes}');
Error('\P{Changes_When_NFKC_Casefolded=/a/		Yes}');
Expect(1, 921599, '\p{Changes_When_NFKC_Casefolded=yes}', "");
Expect(0, 921599, '\p{^Changes_When_NFKC_Casefolded=yes}', "");
Expect(0, 921599, '\P{Changes_When_NFKC_Casefolded=yes}', "");
Expect(1, 921599, '\P{^Changes_When_NFKC_Casefolded=yes}', "");
Expect(0, 921600, '\p{Changes_When_NFKC_Casefolded=yes}', "");
Expect(1, 921600, '\p{^Changes_When_NFKC_Casefolded=yes}', "");
Expect(1, 921600, '\P{Changes_When_NFKC_Casefolded=yes}', "");
Expect(0, 921600, '\P{^Changes_When_NFKC_Casefolded=yes}', "");
Expect(1, 921599, '\p{Changes_When_NFKC_Casefolded=	-yes}', "");
Expect(0, 921599, '\p{^Changes_When_NFKC_Casefolded=	-yes}', "");
Expect(0, 921599, '\P{Changes_When_NFKC_Casefolded=	-yes}', "");
Expect(1, 921599, '\P{^Changes_When_NFKC_Casefolded=	-yes}', "");
Expect(0, 921600, '\p{Changes_When_NFKC_Casefolded=	-yes}', "");
Expect(1, 921600, '\p{^Changes_When_NFKC_Casefolded=	-yes}', "");
Expect(1, 921600, '\P{Changes_When_NFKC_Casefolded=	-yes}', "");
Expect(0, 921600, '\P{^Changes_When_NFKC_Casefolded=	-yes}', "");
Error('\p{CWKCF=		Y:=}');
Error('\P{CWKCF=		Y:=}');
Expect(1, 921599, '\p{CWKCF=y}', "");
Expect(0, 921599, '\p{^CWKCF=y}', "");
Expect(0, 921599, '\P{CWKCF=y}', "");
Expect(1, 921599, '\P{^CWKCF=y}', "");
Expect(0, 921600, '\p{CWKCF=y}', "");
Expect(1, 921600, '\p{^CWKCF=y}', "");
Expect(1, 921600, '\P{CWKCF=y}', "");
Expect(0, 921600, '\P{^CWKCF=y}', "");
Expect(1, 921599, '\p{CWKCF=-Y}', "");
Expect(0, 921599, '\p{^CWKCF=-Y}', "");
Expect(0, 921599, '\P{CWKCF=-Y}', "");
Expect(1, 921599, '\P{^CWKCF=-Y}', "");
Expect(0, 921600, '\p{CWKCF=-Y}', "");
Expect(1, 921600, '\p{^CWKCF=-Y}', "");
Expect(1, 921600, '\P{CWKCF=-Y}', "");
Expect(0, 921600, '\P{^CWKCF=-Y}', "");
Error('\p{Is_Changes_When_NFKC_Casefolded= 	t:=}');
Error('\P{Is_Changes_When_NFKC_Casefolded= 	t:=}');
Expect(1, 921599, '\p{Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(0, 921599, '\p{^Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(0, 921599, '\P{Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(1, 921599, '\P{^Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(0, 921600, '\p{Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(1, 921600, '\p{^Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(1, 921600, '\P{Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(0, 921600, '\P{^Is_Changes_When_NFKC_Casefolded=t}', "");
Expect(1, 921599, '\p{Is_Changes_When_NFKC_Casefolded= _T}', "");
Expect(0, 921599, '\p{^Is_Changes_When_NFKC_Casefolded= _T}', "");
Expect(0, 921599, '\P{Is_Changes_When_NFKC_Casefolded= _T}', "");
Expect(1, 921599, '\P{^Is_Changes_When_NFKC_Casefolded= _T}', "");
Expect(0, 921600, '\p{Is_Changes_When_NFKC_Casefolded= _T}', "");
Expect(1, 921600, '\p{^Is_Changes_When_NFKC_Casefolded= _T}', "");
Expect(1, 921600, '\P{Is_Changes_When_NFKC_Casefolded= _T}', "");
Expect(0, 921600, '\P{^Is_Changes_When_NFKC_Casefolded= _T}', "");
Error('\p{Is_CWKCF=:=	true}');
Error('\P{Is_CWKCF=:=	true}');
Expect(1, 921599, '\p{Is_CWKCF=true}', "");
Expect(0, 921599, '\p{^Is_CWKCF=true}', "");
Expect(0, 921599, '\P{Is_CWKCF=true}', "");
Expect(1, 921599, '\P{^Is_CWKCF=true}', "");
Expect(0, 921600, '\p{Is_CWKCF=true}', "");
Expect(1, 921600, '\p{^Is_CWKCF=true}', "");
Expect(1, 921600, '\P{Is_CWKCF=true}', "");
Expect(0, 921600, '\P{^Is_CWKCF=true}', "");
Expect(1, 921599, '\p{Is_CWKCF=- True}', "");
Expect(0, 921599, '\p{^Is_CWKCF=- True}', "");
Expect(0, 921599, '\P{Is_CWKCF=- True}', "");
Expect(1, 921599, '\P{^Is_CWKCF=- True}', "");
Expect(0, 921600, '\p{Is_CWKCF=- True}', "");
Expect(1, 921600, '\p{^Is_CWKCF=- True}', "");
Expect(1, 921600, '\P{Is_CWKCF=- True}', "");
Expect(0, 921600, '\P{^Is_CWKCF=- True}', "");
Error('\p{Changes_When_Lowercased=_No/a/}');
Error('\P{Changes_When_Lowercased=_No/a/}');
Expect(1, 71872, '\p{Changes_When_Lowercased=no}', "");
Expect(0, 71872, '\p{^Changes_When_Lowercased=no}', "");
Expect(0, 71872, '\P{Changes_When_Lowercased=no}', "");
Expect(1, 71872, '\P{^Changes_When_Lowercased=no}', "");
Expect(0, 71871, '\p{Changes_When_Lowercased=no}', "");
Expect(1, 71871, '\p{^Changes_When_Lowercased=no}', "");
Expect(1, 71871, '\P{Changes_When_Lowercased=no}', "");
Expect(0, 71871, '\P{^Changes_When_Lowercased=no}', "");
Expect(1, 71872, '\p{Changes_When_Lowercased=-	No}', "");
Expect(0, 71872, '\p{^Changes_When_Lowercased=-	No}', "");
Expect(0, 71872, '\P{Changes_When_Lowercased=-	No}', "");
Expect(1, 71872, '\P{^Changes_When_Lowercased=-	No}', "");
Expect(0, 71871, '\p{Changes_When_Lowercased=-	No}', "");
Expect(1, 71871, '\p{^Changes_When_Lowercased=-	No}', "");
Expect(1, 71871, '\P{Changes_When_Lowercased=-	No}', "");
Expect(0, 71871, '\P{^Changes_When_Lowercased=-	No}', "");
Error('\p{CWL=-/a/N}');
Error('\P{CWL=-/a/N}');
Expect(1, 71872, '\p{CWL=n}', "");
Expect(0, 71872, '\p{^CWL=n}', "");
Expect(0, 71872, '\P{CWL=n}', "");
Expect(1, 71872, '\P{^CWL=n}', "");
Expect(0, 71871, '\p{CWL=n}', "");
Expect(1, 71871, '\p{^CWL=n}', "");
Expect(1, 71871, '\P{CWL=n}', "");
Expect(0, 71871, '\P{^CWL=n}', "");
Expect(1, 71872, '\p{CWL:	_N}', "");
Expect(0, 71872, '\p{^CWL:	_N}', "");
Expect(0, 71872, '\P{CWL:	_N}', "");
Expect(1, 71872, '\P{^CWL:	_N}', "");
Expect(0, 71871, '\p{CWL:	_N}', "");
Expect(1, 71871, '\p{^CWL:	_N}', "");
Expect(1, 71871, '\P{CWL:	_N}', "");
Expect(0, 71871, '\P{^CWL:	_N}', "");
Error('\p{Is_Changes_When_Lowercased=/a/f}');
Error('\P{Is_Changes_When_Lowercased=/a/f}');
Expect(1, 71872, '\p{Is_Changes_When_Lowercased:	f}', "");
Expect(0, 71872, '\p{^Is_Changes_When_Lowercased:	f}', "");
Expect(0, 71872, '\P{Is_Changes_When_Lowercased:	f}', "");
Expect(1, 71872, '\P{^Is_Changes_When_Lowercased:	f}', "");
Expect(0, 71871, '\p{Is_Changes_When_Lowercased:	f}', "");
Expect(1, 71871, '\p{^Is_Changes_When_Lowercased:	f}', "");
Expect(1, 71871, '\P{Is_Changes_When_Lowercased:	f}', "");
Expect(0, 71871, '\P{^Is_Changes_When_Lowercased:	f}', "");
Expect(1, 71872, '\p{Is_Changes_When_Lowercased=_-F}', "");
Expect(0, 71872, '\p{^Is_Changes_When_Lowercased=_-F}', "");
Expect(0, 71872, '\P{Is_Changes_When_Lowercased=_-F}', "");
Expect(1, 71872, '\P{^Is_Changes_When_Lowercased=_-F}', "");
Expect(0, 71871, '\p{Is_Changes_When_Lowercased=_-F}', "");
Expect(1, 71871, '\p{^Is_Changes_When_Lowercased=_-F}', "");
Expect(1, 71871, '\P{Is_Changes_When_Lowercased=_-F}', "");
Expect(0, 71871, '\P{^Is_Changes_When_Lowercased=_-F}', "");
Error('\p{Is_CWL=_-False:=}');
Error('\P{Is_CWL=_-False:=}');
Expect(1, 71872, '\p{Is_CWL=false}', "");
Expect(0, 71872, '\p{^Is_CWL=false}', "");
Expect(0, 71872, '\P{Is_CWL=false}', "");
Expect(1, 71872, '\P{^Is_CWL=false}', "");
Expect(0, 71871, '\p{Is_CWL=false}', "");
Expect(1, 71871, '\p{^Is_CWL=false}', "");
Expect(1, 71871, '\P{Is_CWL=false}', "");
Expect(0, 71871, '\P{^Is_CWL=false}', "");
Expect(1, 71872, '\p{Is_CWL=  false}', "");
Expect(0, 71872, '\p{^Is_CWL=  false}', "");
Expect(0, 71872, '\P{Is_CWL=  false}', "");
Expect(1, 71872, '\P{^Is_CWL=  false}', "");
Expect(0, 71871, '\p{Is_CWL=  false}', "");
Expect(1, 71871, '\p{^Is_CWL=  false}', "");
Expect(1, 71871, '\P{Is_CWL=  false}', "");
Expect(0, 71871, '\P{^Is_CWL=  false}', "");
Error('\p{Changes_When_Lowercased=_	Yes:=}');
Error('\P{Changes_When_Lowercased=_	Yes:=}');
Expect(1, 71871, '\p{Changes_When_Lowercased=yes}', "");
Expect(0, 71871, '\p{^Changes_When_Lowercased=yes}', "");
Expect(0, 71871, '\P{Changes_When_Lowercased=yes}', "");
Expect(1, 71871, '\P{^Changes_When_Lowercased=yes}', "");
Expect(0, 71872, '\p{Changes_When_Lowercased=yes}', "");
Expect(1, 71872, '\p{^Changes_When_Lowercased=yes}', "");
Expect(1, 71872, '\P{Changes_When_Lowercased=yes}', "");
Expect(0, 71872, '\P{^Changes_When_Lowercased=yes}', "");
Expect(1, 71871, '\p{Changes_When_Lowercased=	Yes}', "");
Expect(0, 71871, '\p{^Changes_When_Lowercased=	Yes}', "");
Expect(0, 71871, '\P{Changes_When_Lowercased=	Yes}', "");
Expect(1, 71871, '\P{^Changes_When_Lowercased=	Yes}', "");
Expect(0, 71872, '\p{Changes_When_Lowercased=	Yes}', "");
Expect(1, 71872, '\p{^Changes_When_Lowercased=	Yes}', "");
Expect(1, 71872, '\P{Changes_When_Lowercased=	Yes}', "");
Expect(0, 71872, '\P{^Changes_When_Lowercased=	Yes}', "");
Error('\p{CWL=	Y/a/}');
Error('\P{CWL=	Y/a/}');
Expect(1, 71871, '\p{CWL=y}', "");
Expect(0, 71871, '\p{^CWL=y}', "");
Expect(0, 71871, '\P{CWL=y}', "");
Expect(1, 71871, '\P{^CWL=y}', "");
Expect(0, 71872, '\p{CWL=y}', "");
Expect(1, 71872, '\p{^CWL=y}', "");
Expect(1, 71872, '\P{CWL=y}', "");
Expect(0, 71872, '\P{^CWL=y}', "");
Expect(1, 71871, '\p{CWL=_	Y}', "");
Expect(0, 71871, '\p{^CWL=_	Y}', "");
Expect(0, 71871, '\P{CWL=_	Y}', "");
Expect(1, 71871, '\P{^CWL=_	Y}', "");
Expect(0, 71872, '\p{CWL=_	Y}', "");
Expect(1, 71872, '\p{^CWL=_	Y}', "");
Expect(1, 71872, '\P{CWL=_	Y}', "");
Expect(0, 71872, '\P{^CWL=_	Y}', "");
Error('\p{Is_Changes_When_Lowercased= /a/T}');
Error('\P{Is_Changes_When_Lowercased= /a/T}');
Expect(1, 71871, '\p{Is_Changes_When_Lowercased=t}', "");
Expect(0, 71871, '\p{^Is_Changes_When_Lowercased=t}', "");
Expect(0, 71871, '\P{Is_Changes_When_Lowercased=t}', "");
Expect(1, 71871, '\P{^Is_Changes_When_Lowercased=t}', "");
Expect(0, 71872, '\p{Is_Changes_When_Lowercased=t}', "");
Expect(1, 71872, '\p{^Is_Changes_When_Lowercased=t}', "");
Expect(1, 71872, '\P{Is_Changes_When_Lowercased=t}', "");
Expect(0, 71872, '\P{^Is_Changes_When_Lowercased=t}', "");
Expect(1, 71871, '\p{Is_Changes_When_Lowercased=- T}', "");
Expect(0, 71871, '\p{^Is_Changes_When_Lowercased=- T}', "");
Expect(0, 71871, '\P{Is_Changes_When_Lowercased=- T}', "");
Expect(1, 71871, '\P{^Is_Changes_When_Lowercased=- T}', "");
Expect(0, 71872, '\p{Is_Changes_When_Lowercased=- T}', "");
Expect(1, 71872, '\p{^Is_Changes_When_Lowercased=- T}', "");
Expect(1, 71872, '\P{Is_Changes_When_Lowercased=- T}', "");
Expect(0, 71872, '\P{^Is_Changes_When_Lowercased=- T}', "");
Error('\p{Is_CWL:   :=	 True}');
Error('\P{Is_CWL:   :=	 True}');
Expect(1, 71871, '\p{Is_CWL=true}', "");
Expect(0, 71871, '\p{^Is_CWL=true}', "");
Expect(0, 71871, '\P{Is_CWL=true}', "");
Expect(1, 71871, '\P{^Is_CWL=true}', "");
Expect(0, 71872, '\p{Is_CWL=true}', "");
Expect(1, 71872, '\p{^Is_CWL=true}', "");
Expect(1, 71872, '\P{Is_CWL=true}', "");
Expect(0, 71872, '\P{^Is_CWL=true}', "");
Expect(1, 71871, '\p{Is_CWL=-True}', "");
Expect(0, 71871, '\p{^Is_CWL=-True}', "");
Expect(0, 71871, '\P{Is_CWL=-True}', "");
Expect(1, 71871, '\P{^Is_CWL=-True}', "");
Expect(0, 71872, '\p{Is_CWL=-True}', "");
Expect(1, 71872, '\p{^Is_CWL=-True}', "");
Expect(1, 71872, '\P{Is_CWL=-True}', "");
Expect(0, 71872, '\P{^Is_CWL=-True}', "");
Error('\p{Changes_When_Titlecased: -/a/No}');
Error('\P{Changes_When_Titlecased: -/a/No}');
Expect(1, 71904, '\p{Changes_When_Titlecased=no}', "");
Expect(0, 71904, '\p{^Changes_When_Titlecased=no}', "");
Expect(0, 71904, '\P{Changes_When_Titlecased=no}', "");
Expect(1, 71904, '\P{^Changes_When_Titlecased=no}', "");
Expect(0, 71903, '\p{Changes_When_Titlecased=no}', "");
Expect(1, 71903, '\p{^Changes_When_Titlecased=no}', "");
Expect(1, 71903, '\P{Changes_When_Titlecased=no}', "");
Expect(0, 71903, '\P{^Changes_When_Titlecased=no}', "");
Expect(1, 71904, '\p{Changes_When_Titlecased= _No}', "");
Expect(0, 71904, '\p{^Changes_When_Titlecased= _No}', "");
Expect(0, 71904, '\P{Changes_When_Titlecased= _No}', "");
Expect(1, 71904, '\P{^Changes_When_Titlecased= _No}', "");
Expect(0, 71903, '\p{Changes_When_Titlecased= _No}', "");
Expect(1, 71903, '\p{^Changes_When_Titlecased= _No}', "");
Expect(1, 71903, '\P{Changes_When_Titlecased= _No}', "");
Expect(0, 71903, '\P{^Changes_When_Titlecased= _No}', "");
Error('\p{CWT=/a/		N}');
Error('\P{CWT=/a/		N}');
Expect(1, 71904, '\p{CWT=n}', "");
Expect(0, 71904, '\p{^CWT=n}', "");
Expect(0, 71904, '\P{CWT=n}', "");
Expect(1, 71904, '\P{^CWT=n}', "");
Expect(0, 71903, '\p{CWT=n}', "");
Expect(1, 71903, '\p{^CWT=n}', "");
Expect(1, 71903, '\P{CWT=n}', "");
Expect(0, 71903, '\P{^CWT=n}', "");
Expect(1, 71904, '\p{CWT:	_n}', "");
Expect(0, 71904, '\p{^CWT:	_n}', "");
Expect(0, 71904, '\P{CWT:	_n}', "");
Expect(1, 71904, '\P{^CWT:	_n}', "");
Expect(0, 71903, '\p{CWT:	_n}', "");
Expect(1, 71903, '\p{^CWT:	_n}', "");
Expect(1, 71903, '\P{CWT:	_n}', "");
Expect(0, 71903, '\P{^CWT:	_n}', "");
Error('\p{Is_Changes_When_Titlecased=  F/a/}');
Error('\P{Is_Changes_When_Titlecased=  F/a/}');
Expect(1, 71904, '\p{Is_Changes_When_Titlecased=f}', "");
Expect(0, 71904, '\p{^Is_Changes_When_Titlecased=f}', "");
Expect(0, 71904, '\P{Is_Changes_When_Titlecased=f}', "");
Expect(1, 71904, '\P{^Is_Changes_When_Titlecased=f}', "");
Expect(0, 71903, '\p{Is_Changes_When_Titlecased=f}', "");
Expect(1, 71903, '\p{^Is_Changes_When_Titlecased=f}', "");
Expect(1, 71903, '\P{Is_Changes_When_Titlecased=f}', "");
Expect(0, 71903, '\P{^Is_Changes_When_Titlecased=f}', "");
Expect(1, 71904, '\p{Is_Changes_When_Titlecased=	_F}', "");
Expect(0, 71904, '\p{^Is_Changes_When_Titlecased=	_F}', "");
Expect(0, 71904, '\P{Is_Changes_When_Titlecased=	_F}', "");
Expect(1, 71904, '\P{^Is_Changes_When_Titlecased=	_F}', "");
Expect(0, 71903, '\p{Is_Changes_When_Titlecased=	_F}', "");
Expect(1, 71903, '\p{^Is_Changes_When_Titlecased=	_F}', "");
Expect(1, 71903, '\P{Is_Changes_When_Titlecased=	_F}', "");
Expect(0, 71903, '\P{^Is_Changes_When_Titlecased=	_F}', "");
Error('\p{Is_CWT=/a/	 FALSE}');
Error('\P{Is_CWT=/a/	 FALSE}');
Expect(1, 71904, '\p{Is_CWT=false}', "");
Expect(0, 71904, '\p{^Is_CWT=false}', "");
Expect(0, 71904, '\P{Is_CWT=false}', "");
Expect(1, 71904, '\P{^Is_CWT=false}', "");
Expect(0, 71903, '\p{Is_CWT=false}', "");
Expect(1, 71903, '\p{^Is_CWT=false}', "");
Expect(1, 71903, '\P{Is_CWT=false}', "");
Expect(0, 71903, '\P{^Is_CWT=false}', "");
Expect(1, 71904, '\p{Is_CWT=	false}', "");
Expect(0, 71904, '\p{^Is_CWT=	false}', "");
Expect(0, 71904, '\P{Is_CWT=	false}', "");
Expect(1, 71904, '\P{^Is_CWT=	false}', "");
Expect(0, 71903, '\p{Is_CWT=	false}', "");
Expect(1, 71903, '\p{^Is_CWT=	false}', "");
Expect(1, 71903, '\P{Is_CWT=	false}', "");
Expect(0, 71903, '\P{^Is_CWT=	false}', "");
Error('\p{Changes_When_Titlecased=:=	YES}');
Error('\P{Changes_When_Titlecased=:=	YES}');
Expect(1, 71903, '\p{Changes_When_Titlecased=yes}', "");
Expect(0, 71903, '\p{^Changes_When_Titlecased=yes}', "");
Expect(0, 71903, '\P{Changes_When_Titlecased=yes}', "");
Expect(1, 71903, '\P{^Changes_When_Titlecased=yes}', "");
Expect(0, 71904, '\p{Changes_When_Titlecased=yes}', "");
Expect(1, 71904, '\p{^Changes_When_Titlecased=yes}', "");
Expect(1, 71904, '\P{Changes_When_Titlecased=yes}', "");
Expect(0, 71904, '\P{^Changes_When_Titlecased=yes}', "");
Expect(1, 71903, '\p{Changes_When_Titlecased= 	yes}', "");
Expect(0, 71903, '\p{^Changes_When_Titlecased= 	yes}', "");
Expect(0, 71903, '\P{Changes_When_Titlecased= 	yes}', "");
Expect(1, 71903, '\P{^Changes_When_Titlecased= 	yes}', "");
Expect(0, 71904, '\p{Changes_When_Titlecased= 	yes}', "");
Expect(1, 71904, '\p{^Changes_When_Titlecased= 	yes}', "");
Expect(1, 71904, '\P{Changes_When_Titlecased= 	yes}', "");
Expect(0, 71904, '\P{^Changes_When_Titlecased= 	yes}', "");
Error('\p{CWT=:=Y}');
Error('\P{CWT=:=Y}');
Expect(1, 71903, '\p{CWT=y}', "");
Expect(0, 71903, '\p{^CWT=y}', "");
Expect(0, 71903, '\P{CWT=y}', "");
Expect(1, 71903, '\P{^CWT=y}', "");
Expect(0, 71904, '\p{CWT=y}', "");
Expect(1, 71904, '\p{^CWT=y}', "");
Expect(1, 71904, '\P{CWT=y}', "");
Expect(0, 71904, '\P{^CWT=y}', "");
Expect(1, 71903, '\p{CWT=_ Y}', "");
Expect(0, 71903, '\p{^CWT=_ Y}', "");
Expect(0, 71903, '\P{CWT=_ Y}', "");
Expect(1, 71903, '\P{^CWT=_ Y}', "");
Expect(0, 71904, '\p{CWT=_ Y}', "");
Expect(1, 71904, '\p{^CWT=_ Y}', "");
Expect(1, 71904, '\P{CWT=_ Y}', "");
Expect(0, 71904, '\P{^CWT=_ Y}', "");
Error('\p{Is_Changes_When_Titlecased=/a/_T}');
Error('\P{Is_Changes_When_Titlecased=/a/_T}');
Expect(1, 71903, '\p{Is_Changes_When_Titlecased:   t}', "");
Expect(0, 71903, '\p{^Is_Changes_When_Titlecased:   t}', "");
Expect(0, 71903, '\P{Is_Changes_When_Titlecased:   t}', "");
Expect(1, 71903, '\P{^Is_Changes_When_Titlecased:   t}', "");
Expect(0, 71904, '\p{Is_Changes_When_Titlecased:   t}', "");
Expect(1, 71904, '\p{^Is_Changes_When_Titlecased:   t}', "");
Expect(1, 71904, '\P{Is_Changes_When_Titlecased:   t}', "");
Expect(0, 71904, '\P{^Is_Changes_When_Titlecased:   t}', "");
Expect(1, 71903, '\p{Is_Changes_When_Titlecased=- T}', "");
Expect(0, 71903, '\p{^Is_Changes_When_Titlecased=- T}', "");
Expect(0, 71903, '\P{Is_Changes_When_Titlecased=- T}', "");
Expect(1, 71903, '\P{^Is_Changes_When_Titlecased=- T}', "");
Expect(0, 71904, '\p{Is_Changes_When_Titlecased=- T}', "");
Expect(1, 71904, '\p{^Is_Changes_When_Titlecased=- T}', "");
Expect(1, 71904, '\P{Is_Changes_When_Titlecased=- T}', "");
Expect(0, 71904, '\P{^Is_Changes_When_Titlecased=- T}', "");
Error('\p{Is_CWT:   _-True/a/}');
Error('\P{Is_CWT:   _-True/a/}');
Expect(1, 71903, '\p{Is_CWT=true}', "");
Expect(0, 71903, '\p{^Is_CWT=true}', "");
Expect(0, 71903, '\P{Is_CWT=true}', "");
Expect(1, 71903, '\P{^Is_CWT=true}', "");
Expect(0, 71904, '\p{Is_CWT=true}', "");
Expect(1, 71904, '\p{^Is_CWT=true}', "");
Expect(1, 71904, '\P{Is_CWT=true}', "");
Expect(0, 71904, '\P{^Is_CWT=true}', "");
Expect(1, 71903, '\p{Is_CWT=_true}', "");
Expect(0, 71903, '\p{^Is_CWT=_true}', "");
Expect(0, 71903, '\P{Is_CWT=_true}', "");
Expect(1, 71903, '\P{^Is_CWT=_true}', "");
Expect(0, 71904, '\p{Is_CWT=_true}', "");
Expect(1, 71904, '\p{^Is_CWT=_true}', "");
Expect(1, 71904, '\P{Is_CWT=_true}', "");
Expect(0, 71904, '\P{^Is_CWT=_true}', "");
Error('\p{Changes_When_Uppercased=/a/_NO}');
Error('\P{Changes_When_Uppercased=/a/_NO}');
Expect(1, 71904, '\p{Changes_When_Uppercased=no}', "");
Expect(0, 71904, '\p{^Changes_When_Uppercased=no}', "");
Expect(0, 71904, '\P{Changes_When_Uppercased=no}', "");
Expect(1, 71904, '\P{^Changes_When_Uppercased=no}', "");
Expect(0, 71903, '\p{Changes_When_Uppercased=no}', "");
Expect(1, 71903, '\p{^Changes_When_Uppercased=no}', "");
Expect(1, 71903, '\P{Changes_When_Uppercased=no}', "");
Expect(0, 71903, '\P{^Changes_When_Uppercased=no}', "");
Expect(1, 71904, '\p{Changes_When_Uppercased=-No}', "");
Expect(0, 71904, '\p{^Changes_When_Uppercased=-No}', "");
Expect(0, 71904, '\P{Changes_When_Uppercased=-No}', "");
Expect(1, 71904, '\P{^Changes_When_Uppercased=-No}', "");
Expect(0, 71903, '\p{Changes_When_Uppercased=-No}', "");
Expect(1, 71903, '\p{^Changes_When_Uppercased=-No}', "");
Expect(1, 71903, '\P{Changes_When_Uppercased=-No}', "");
Expect(0, 71903, '\P{^Changes_When_Uppercased=-No}', "");
Error('\p{CWU=-N/a/}');
Error('\P{CWU=-N/a/}');
Expect(1, 71904, '\p{CWU=n}', "");
Expect(0, 71904, '\p{^CWU=n}', "");
Expect(0, 71904, '\P{CWU=n}', "");
Expect(1, 71904, '\P{^CWU=n}', "");
Expect(0, 71903, '\p{CWU=n}', "");
Expect(1, 71903, '\p{^CWU=n}', "");
Expect(1, 71903, '\P{CWU=n}', "");
Expect(0, 71903, '\P{^CWU=n}', "");
Expect(1, 71904, '\p{CWU=_-n}', "");
Expect(0, 71904, '\p{^CWU=_-n}', "");
Expect(0, 71904, '\P{CWU=_-n}', "");
Expect(1, 71904, '\P{^CWU=_-n}', "");
Expect(0, 71903, '\p{CWU=_-n}', "");
Expect(1, 71903, '\p{^CWU=_-n}', "");
Expect(1, 71903, '\P{CWU=_-n}', "");
Expect(0, 71903, '\P{^CWU=_-n}', "");
Error('\p{Is_Changes_When_Uppercased= _F/a/}');
Error('\P{Is_Changes_When_Uppercased= _F/a/}');
Expect(1, 71904, '\p{Is_Changes_When_Uppercased=f}', "");
Expect(0, 71904, '\p{^Is_Changes_When_Uppercased=f}', "");
Expect(0, 71904, '\P{Is_Changes_When_Uppercased=f}', "");
Expect(1, 71904, '\P{^Is_Changes_When_Uppercased=f}', "");
Expect(0, 71903, '\p{Is_Changes_When_Uppercased=f}', "");
Expect(1, 71903, '\p{^Is_Changes_When_Uppercased=f}', "");
Expect(1, 71903, '\P{Is_Changes_When_Uppercased=f}', "");
Expect(0, 71903, '\P{^Is_Changes_When_Uppercased=f}', "");
Expect(1, 71904, '\p{Is_Changes_When_Uppercased=  F}', "");
Expect(0, 71904, '\p{^Is_Changes_When_Uppercased=  F}', "");
Expect(0, 71904, '\P{Is_Changes_When_Uppercased=  F}', "");
Expect(1, 71904, '\P{^Is_Changes_When_Uppercased=  F}', "");
Expect(0, 71903, '\p{Is_Changes_When_Uppercased=  F}', "");
Expect(1, 71903, '\p{^Is_Changes_When_Uppercased=  F}', "");
Expect(1, 71903, '\P{Is_Changes_When_Uppercased=  F}', "");
Expect(0, 71903, '\P{^Is_Changes_When_Uppercased=  F}', "");
Error('\p{Is_CWU=	_False:=}');
Error('\P{Is_CWU=	_False:=}');
Expect(1, 71904, '\p{Is_CWU=false}', "");
Expect(0, 71904, '\p{^Is_CWU=false}', "");
Expect(0, 71904, '\P{Is_CWU=false}', "");
Expect(1, 71904, '\P{^Is_CWU=false}', "");
Expect(0, 71903, '\p{Is_CWU=false}', "");
Expect(1, 71903, '\p{^Is_CWU=false}', "");
Expect(1, 71903, '\P{Is_CWU=false}', "");
Expect(0, 71903, '\P{^Is_CWU=false}', "");
Expect(1, 71904, '\p{Is_CWU= -False}', "");
Expect(0, 71904, '\p{^Is_CWU= -False}', "");
Expect(0, 71904, '\P{Is_CWU= -False}', "");
Expect(1, 71904, '\P{^Is_CWU= -False}', "");
Expect(0, 71903, '\p{Is_CWU= -False}', "");
Expect(1, 71903, '\p{^Is_CWU= -False}', "");
Expect(1, 71903, '\P{Is_CWU= -False}', "");
Expect(0, 71903, '\P{^Is_CWU= -False}', "");
Error('\p{Changes_When_Uppercased=:=_Yes}');
Error('\P{Changes_When_Uppercased=:=_Yes}');
Expect(1, 71903, '\p{Changes_When_Uppercased=yes}', "");
Expect(0, 71903, '\p{^Changes_When_Uppercased=yes}', "");
Expect(0, 71903, '\P{Changes_When_Uppercased=yes}', "");
Expect(1, 71903, '\P{^Changes_When_Uppercased=yes}', "");
Expect(0, 71904, '\p{Changes_When_Uppercased=yes}', "");
Expect(1, 71904, '\p{^Changes_When_Uppercased=yes}', "");
Expect(1, 71904, '\P{Changes_When_Uppercased=yes}', "");
Expect(0, 71904, '\P{^Changes_When_Uppercased=yes}', "");
Expect(1, 71903, '\p{Changes_When_Uppercased=_YES}', "");
Expect(0, 71903, '\p{^Changes_When_Uppercased=_YES}', "");
Expect(0, 71903, '\P{Changes_When_Uppercased=_YES}', "");
Expect(1, 71903, '\P{^Changes_When_Uppercased=_YES}', "");
Expect(0, 71904, '\p{Changes_When_Uppercased=_YES}', "");
Expect(1, 71904, '\p{^Changes_When_Uppercased=_YES}', "");
Expect(1, 71904, '\P{Changes_When_Uppercased=_YES}', "");
Expect(0, 71904, '\P{^Changes_When_Uppercased=_YES}', "");
Error('\p{CWU=:= 	Y}');
Error('\P{CWU=:= 	Y}');
Expect(1, 71903, '\p{CWU=y}', "");
Expect(0, 71903, '\p{^CWU=y}', "");
Expect(0, 71903, '\P{CWU=y}', "");
Expect(1, 71903, '\P{^CWU=y}', "");
Expect(0, 71904, '\p{CWU=y}', "");
Expect(1, 71904, '\p{^CWU=y}', "");
Expect(1, 71904, '\P{CWU=y}', "");
Expect(0, 71904, '\P{^CWU=y}', "");
Expect(1, 71903, '\p{CWU=_ Y}', "");
Expect(0, 71903, '\p{^CWU=_ Y}', "");
Expect(0, 71903, '\P{CWU=_ Y}', "");
Expect(1, 71903, '\P{^CWU=_ Y}', "");
Expect(0, 71904, '\p{CWU=_ Y}', "");
Expect(1, 71904, '\p{^CWU=_ Y}', "");
Expect(1, 71904, '\P{CWU=_ Y}', "");
Expect(0, 71904, '\P{^CWU=_ Y}', "");
Error('\p{Is_Changes_When_Uppercased=/a/T}');
Error('\P{Is_Changes_When_Uppercased=/a/T}');
Expect(1, 71903, '\p{Is_Changes_When_Uppercased=t}', "");
Expect(0, 71903, '\p{^Is_Changes_When_Uppercased=t}', "");
Expect(0, 71903, '\P{Is_Changes_When_Uppercased=t}', "");
Expect(1, 71903, '\P{^Is_Changes_When_Uppercased=t}', "");
Expect(0, 71904, '\p{Is_Changes_When_Uppercased=t}', "");
Expect(1, 71904, '\p{^Is_Changes_When_Uppercased=t}', "");
Expect(1, 71904, '\P{Is_Changes_When_Uppercased=t}', "");
Expect(0, 71904, '\P{^Is_Changes_When_Uppercased=t}', "");
Expect(1, 71903, '\p{Is_Changes_When_Uppercased=	t}', "");
Expect(0, 71903, '\p{^Is_Changes_When_Uppercased=	t}', "");
Expect(0, 71903, '\P{Is_Changes_When_Uppercased=	t}', "");
Expect(1, 71903, '\P{^Is_Changes_When_Uppercased=	t}', "");
Expect(0, 71904, '\p{Is_Changes_When_Uppercased=	t}', "");
Expect(1, 71904, '\p{^Is_Changes_When_Uppercased=	t}', "");
Expect(1, 71904, '\P{Is_Changes_When_Uppercased=	t}', "");
Expect(0, 71904, '\P{^Is_Changes_When_Uppercased=	t}', "");
Error('\p{Is_CWU=	:=True}');
Error('\P{Is_CWU=	:=True}');
Expect(1, 71903, '\p{Is_CWU=true}', "");
Expect(0, 71903, '\p{^Is_CWU=true}', "");
Expect(0, 71903, '\P{Is_CWU=true}', "");
Expect(1, 71903, '\P{^Is_CWU=true}', "");
Expect(0, 71904, '\p{Is_CWU=true}', "");
Expect(1, 71904, '\p{^Is_CWU=true}', "");
Expect(1, 71904, '\P{Is_CWU=true}', "");
Expect(0, 71904, '\P{^Is_CWU=true}', "");
Expect(1, 71903, '\p{Is_CWU=_True}', "");
Expect(0, 71903, '\p{^Is_CWU=_True}', "");
Expect(0, 71903, '\P{Is_CWU=_True}', "");
Expect(1, 71903, '\P{^Is_CWU=_True}', "");
Expect(0, 71904, '\p{Is_CWU=_True}', "");
Expect(1, 71904, '\p{^Is_CWU=_True}', "");
Expect(1, 71904, '\P{Is_CWU=_True}', "");
Expect(0, 71904, '\P{^Is_CWU=_True}', "");
Error('\p{Cased=:= _no}');
Error('\P{Cased=:= _no}');
Expect(1, 127370, '\p{Cased=no}', "");
Expect(0, 127370, '\p{^Cased=no}', "");
Expect(0, 127370, '\P{Cased=no}', "");
Expect(1, 127370, '\P{^Cased=no}', "");
Expect(0, 127369, '\p{Cased=no}', "");
Expect(1, 127369, '\p{^Cased=no}', "");
Expect(1, 127369, '\P{Cased=no}', "");
Expect(0, 127369, '\P{^Cased=no}', "");
Expect(1, 127370, '\p{Cased=No}', "");
Expect(0, 127370, '\p{^Cased=No}', "");
Expect(0, 127370, '\P{Cased=No}', "");
Expect(1, 127370, '\P{^Cased=No}', "");
Expect(0, 127369, '\p{Cased=No}', "");
Expect(1, 127369, '\p{^Cased=No}', "");
Expect(1, 127369, '\P{Cased=No}', "");
Expect(0, 127369, '\P{^Cased=No}', "");
Error('\p{Is_Cased=:= -n}');
Error('\P{Is_Cased=:= -n}');
Expect(1, 127370, '\p{Is_Cased=n}', "");
Expect(0, 127370, '\p{^Is_Cased=n}', "");
Expect(0, 127370, '\P{Is_Cased=n}', "");
Expect(1, 127370, '\P{^Is_Cased=n}', "");
Expect(0, 127369, '\p{Is_Cased=n}', "");
Expect(1, 127369, '\p{^Is_Cased=n}', "");
Expect(1, 127369, '\P{Is_Cased=n}', "");
Expect(0, 127369, '\P{^Is_Cased=n}', "");
Expect(1, 127370, '\p{Is_Cased=- n}', "");
Expect(0, 127370, '\p{^Is_Cased=- n}', "");
Expect(0, 127370, '\P{Is_Cased=- n}', "");
Expect(1, 127370, '\P{^Is_Cased=- n}', "");
Expect(0, 127369, '\p{Is_Cased=- n}', "");
Expect(1, 127369, '\p{^Is_Cased=- n}', "");
Expect(1, 127369, '\P{Is_Cased=- n}', "");
Expect(0, 127369, '\P{^Is_Cased=- n}', "");
Error('\p{Cased=__f/a/}');
Error('\P{Cased=__f/a/}');
Expect(1, 127370, '\p{Cased=f}', "");
Expect(0, 127370, '\p{^Cased=f}', "");
Expect(0, 127370, '\P{Cased=f}', "");
Expect(1, 127370, '\P{^Cased=f}', "");
Expect(0, 127369, '\p{Cased=f}', "");
Expect(1, 127369, '\p{^Cased=f}', "");
Expect(1, 127369, '\P{Cased=f}', "");
Expect(0, 127369, '\P{^Cased=f}', "");
Expect(1, 127370, '\p{Cased=F}', "");
Expect(0, 127370, '\p{^Cased=F}', "");
Expect(0, 127370, '\P{Cased=F}', "");
Expect(1, 127370, '\P{^Cased=F}', "");
Expect(0, 127369, '\p{Cased=F}', "");
Expect(1, 127369, '\p{^Cased=F}', "");
Expect(1, 127369, '\P{Cased=F}', "");
Expect(0, 127369, '\P{^Cased=F}', "");
Error('\p{Is_Cased=_ False:=}');
Error('\P{Is_Cased=_ False:=}');
Expect(1, 127370, '\p{Is_Cased=false}', "");
Expect(0, 127370, '\p{^Is_Cased=false}', "");
Expect(0, 127370, '\P{Is_Cased=false}', "");
Expect(1, 127370, '\P{^Is_Cased=false}', "");
Expect(0, 127369, '\p{Is_Cased=false}', "");
Expect(1, 127369, '\p{^Is_Cased=false}', "");
Expect(1, 127369, '\P{Is_Cased=false}', "");
Expect(0, 127369, '\P{^Is_Cased=false}', "");
Expect(1, 127370, '\p{Is_Cased=- false}', "");
Expect(0, 127370, '\p{^Is_Cased=- false}', "");
Expect(0, 127370, '\P{Is_Cased=- false}', "");
Expect(1, 127370, '\P{^Is_Cased=- false}', "");
Expect(0, 127369, '\p{Is_Cased=- false}', "");
Expect(1, 127369, '\p{^Is_Cased=- false}', "");
Expect(1, 127369, '\P{Is_Cased=- false}', "");
Expect(0, 127369, '\P{^Is_Cased=- false}', "");
Error('\p{Cased=_Yes:=}');
Error('\P{Cased=_Yes:=}');
Expect(1, 127369, '\p{Cased=yes}', "");
Expect(0, 127369, '\p{^Cased=yes}', "");
Expect(0, 127369, '\P{Cased=yes}', "");
Expect(1, 127369, '\P{^Cased=yes}', "");
Expect(0, 127370, '\p{Cased=yes}', "");
Expect(1, 127370, '\p{^Cased=yes}', "");
Expect(1, 127370, '\P{Cased=yes}', "");
Expect(0, 127370, '\P{^Cased=yes}', "");
Expect(1, 127369, '\p{Cased=_yes}', "");
Expect(0, 127369, '\p{^Cased=_yes}', "");
Expect(0, 127369, '\P{Cased=_yes}', "");
Expect(1, 127369, '\P{^Cased=_yes}', "");
Expect(0, 127370, '\p{Cased=_yes}', "");
Expect(1, 127370, '\p{^Cased=_yes}', "");
Expect(1, 127370, '\P{Cased=_yes}', "");
Expect(0, 127370, '\P{^Cased=_yes}', "");
Error('\p{Is_Cased=_/a/Y}');
Error('\P{Is_Cased=_/a/Y}');
Expect(1, 127369, '\p{Is_Cased=y}', "");
Expect(0, 127369, '\p{^Is_Cased=y}', "");
Expect(0, 127369, '\P{Is_Cased=y}', "");
Expect(1, 127369, '\P{^Is_Cased=y}', "");
Expect(0, 127370, '\p{Is_Cased=y}', "");
Expect(1, 127370, '\p{^Is_Cased=y}', "");
Expect(1, 127370, '\P{Is_Cased=y}', "");
Expect(0, 127370, '\P{^Is_Cased=y}', "");
Expect(1, 127369, '\p{Is_Cased=_ Y}', "");
Expect(0, 127369, '\p{^Is_Cased=_ Y}', "");
Expect(0, 127369, '\P{Is_Cased=_ Y}', "");
Expect(1, 127369, '\P{^Is_Cased=_ Y}', "");
Expect(0, 127370, '\p{Is_Cased=_ Y}', "");
Expect(1, 127370, '\p{^Is_Cased=_ Y}', "");
Expect(1, 127370, '\P{Is_Cased=_ Y}', "");
Expect(0, 127370, '\P{^Is_Cased=_ Y}', "");
Error('\p{Cased=/a/-_T}');
Error('\P{Cased=/a/-_T}');
Expect(1, 127369, '\p{Cased=t}', "");
Expect(0, 127369, '\p{^Cased=t}', "");
Expect(0, 127369, '\P{Cased=t}', "");
Expect(1, 127369, '\P{^Cased=t}', "");
Expect(0, 127370, '\p{Cased=t}', "");
Expect(1, 127370, '\p{^Cased=t}', "");
Expect(1, 127370, '\P{Cased=t}', "");
Expect(0, 127370, '\P{^Cased=t}', "");
Expect(1, 127369, '\p{Cased=_ T}', "");
Expect(0, 127369, '\p{^Cased=_ T}', "");
Expect(0, 127369, '\P{Cased=_ T}', "");
Expect(1, 127369, '\P{^Cased=_ T}', "");
Expect(0, 127370, '\p{Cased=_ T}', "");
Expect(1, 127370, '\p{^Cased=_ T}', "");
Expect(1, 127370, '\P{Cased=_ T}', "");
Expect(0, 127370, '\P{^Cased=_ T}', "");
Error('\p{Is_Cased=__true:=}');
Error('\P{Is_Cased=__true:=}');
Expect(1, 127369, '\p{Is_Cased=true}', "");
Expect(0, 127369, '\p{^Is_Cased=true}', "");
Expect(0, 127369, '\P{Is_Cased=true}', "");
Expect(1, 127369, '\P{^Is_Cased=true}', "");
Expect(0, 127370, '\p{Is_Cased=true}', "");
Expect(1, 127370, '\p{^Is_Cased=true}', "");
Expect(1, 127370, '\P{Is_Cased=true}', "");
Expect(0, 127370, '\P{^Is_Cased=true}', "");
Expect(1, 127369, '\p{Is_Cased:_true}', "");
Expect(0, 127369, '\p{^Is_Cased:_true}', "");
Expect(0, 127369, '\P{Is_Cased:_true}', "");
Expect(1, 127369, '\P{^Is_Cased:_true}', "");
Expect(0, 127370, '\p{Is_Cased:_true}', "");
Expect(1, 127370, '\p{^Is_Cased:_true}', "");
Expect(1, 127370, '\P{Is_Cased:_true}', "");
Expect(0, 127370, '\P{^Is_Cased:_true}', "");
Error('\p{Full_Composition_Exclusion= :=NO}');
Error('\P{Full_Composition_Exclusion= :=NO}');
Expect(1, 195102, '\p{Full_Composition_Exclusion=no}', "");
Expect(0, 195102, '\p{^Full_Composition_Exclusion=no}', "");
Expect(0, 195102, '\P{Full_Composition_Exclusion=no}', "");
Expect(1, 195102, '\P{^Full_Composition_Exclusion=no}', "");
Expect(0, 195101, '\p{Full_Composition_Exclusion=no}', "");
Expect(1, 195101, '\p{^Full_Composition_Exclusion=no}', "");
Expect(1, 195101, '\P{Full_Composition_Exclusion=no}', "");
Expect(0, 195101, '\P{^Full_Composition_Exclusion=no}', "");
Expect(1, 195102, '\p{Full_Composition_Exclusion:	no}', "");
Expect(0, 195102, '\p{^Full_Composition_Exclusion:	no}', "");
Expect(0, 195102, '\P{Full_Composition_Exclusion:	no}', "");
Expect(1, 195102, '\P{^Full_Composition_Exclusion:	no}', "");
Expect(0, 195101, '\p{Full_Composition_Exclusion:	no}', "");
Expect(1, 195101, '\p{^Full_Composition_Exclusion:	no}', "");
Expect(1, 195101, '\P{Full_Composition_Exclusion:	no}', "");
Expect(0, 195101, '\P{^Full_Composition_Exclusion:	no}', "");
Error('\p{Comp_Ex:- N:=}');
Error('\P{Comp_Ex:- N:=}');
Expect(1, 195102, '\p{Comp_Ex=n}', "");
Expect(0, 195102, '\p{^Comp_Ex=n}', "");
Expect(0, 195102, '\P{Comp_Ex=n}', "");
Expect(1, 195102, '\P{^Comp_Ex=n}', "");
Expect(0, 195101, '\p{Comp_Ex=n}', "");
Expect(1, 195101, '\p{^Comp_Ex=n}', "");
Expect(1, 195101, '\P{Comp_Ex=n}', "");
Expect(0, 195101, '\P{^Comp_Ex=n}', "");
Expect(1, 195102, '\p{Comp_Ex=__n}', "");
Expect(0, 195102, '\p{^Comp_Ex=__n}', "");
Expect(0, 195102, '\P{Comp_Ex=__n}', "");
Expect(1, 195102, '\P{^Comp_Ex=__n}', "");
Expect(0, 195101, '\p{Comp_Ex=__n}', "");
Expect(1, 195101, '\p{^Comp_Ex=__n}', "");
Expect(1, 195101, '\P{Comp_Ex=__n}', "");
Expect(0, 195101, '\P{^Comp_Ex=__n}', "");
Error('\p{Is_Full_Composition_Exclusion:	-	f/a/}');
Error('\P{Is_Full_Composition_Exclusion:	-	f/a/}');
Expect(1, 195102, '\p{Is_Full_Composition_Exclusion=f}', "");
Expect(0, 195102, '\p{^Is_Full_Composition_Exclusion=f}', "");
Expect(0, 195102, '\P{Is_Full_Composition_Exclusion=f}', "");
Expect(1, 195102, '\P{^Is_Full_Composition_Exclusion=f}', "");
Expect(0, 195101, '\p{Is_Full_Composition_Exclusion=f}', "");
Expect(1, 195101, '\p{^Is_Full_Composition_Exclusion=f}', "");
Expect(1, 195101, '\P{Is_Full_Composition_Exclusion=f}', "");
Expect(0, 195101, '\P{^Is_Full_Composition_Exclusion=f}', "");
Expect(1, 195102, '\p{Is_Full_Composition_Exclusion= F}', "");
Expect(0, 195102, '\p{^Is_Full_Composition_Exclusion= F}', "");
Expect(0, 195102, '\P{Is_Full_Composition_Exclusion= F}', "");
Expect(1, 195102, '\P{^Is_Full_Composition_Exclusion= F}', "");
Expect(0, 195101, '\p{Is_Full_Composition_Exclusion= F}', "");
Expect(1, 195101, '\p{^Is_Full_Composition_Exclusion= F}', "");
Expect(1, 195101, '\P{Is_Full_Composition_Exclusion= F}', "");
Expect(0, 195101, '\P{^Is_Full_Composition_Exclusion= F}', "");
Error('\p{Is_Comp_Ex=/a/__FALSE}');
Error('\P{Is_Comp_Ex=/a/__FALSE}');
Expect(1, 195102, '\p{Is_Comp_Ex=false}', "");
Expect(0, 195102, '\p{^Is_Comp_Ex=false}', "");
Expect(0, 195102, '\P{Is_Comp_Ex=false}', "");
Expect(1, 195102, '\P{^Is_Comp_Ex=false}', "");
Expect(0, 195101, '\p{Is_Comp_Ex=false}', "");
Expect(1, 195101, '\p{^Is_Comp_Ex=false}', "");
Expect(1, 195101, '\P{Is_Comp_Ex=false}', "");
Expect(0, 195101, '\P{^Is_Comp_Ex=false}', "");
Expect(1, 195102, '\p{Is_Comp_Ex= FALSE}', "");
Expect(0, 195102, '\p{^Is_Comp_Ex= FALSE}', "");
Expect(0, 195102, '\P{Is_Comp_Ex= FALSE}', "");
Expect(1, 195102, '\P{^Is_Comp_Ex= FALSE}', "");
Expect(0, 195101, '\p{Is_Comp_Ex= FALSE}', "");
Expect(1, 195101, '\p{^Is_Comp_Ex= FALSE}', "");
Expect(1, 195101, '\P{Is_Comp_Ex= FALSE}', "");
Expect(0, 195101, '\P{^Is_Comp_Ex= FALSE}', "");
Error('\p{Full_Composition_Exclusion=	/a/Yes}');
Error('\P{Full_Composition_Exclusion=	/a/Yes}');
Expect(1, 195101, '\p{Full_Composition_Exclusion: yes}', "");
Expect(0, 195101, '\p{^Full_Composition_Exclusion: yes}', "");
Expect(0, 195101, '\P{Full_Composition_Exclusion: yes}', "");
Expect(1, 195101, '\P{^Full_Composition_Exclusion: yes}', "");
Expect(0, 195102, '\p{Full_Composition_Exclusion: yes}', "");
Expect(1, 195102, '\p{^Full_Composition_Exclusion: yes}', "");
Expect(1, 195102, '\P{Full_Composition_Exclusion: yes}', "");
Expect(0, 195102, '\P{^Full_Composition_Exclusion: yes}', "");
Expect(1, 195101, '\p{Full_Composition_Exclusion=_	YES}', "");
Expect(0, 195101, '\p{^Full_Composition_Exclusion=_	YES}', "");
Expect(0, 195101, '\P{Full_Composition_Exclusion=_	YES}', "");
Expect(1, 195101, '\P{^Full_Composition_Exclusion=_	YES}', "");
Expect(0, 195102, '\p{Full_Composition_Exclusion=_	YES}', "");
Expect(1, 195102, '\p{^Full_Composition_Exclusion=_	YES}', "");
Expect(1, 195102, '\P{Full_Composition_Exclusion=_	YES}', "");
Expect(0, 195102, '\P{^Full_Composition_Exclusion=_	YES}', "");
Error('\p{Comp_Ex:		:=Y}');
Error('\P{Comp_Ex:		:=Y}');
Expect(1, 195101, '\p{Comp_Ex=y}', "");
Expect(0, 195101, '\p{^Comp_Ex=y}', "");
Expect(0, 195101, '\P{Comp_Ex=y}', "");
Expect(1, 195101, '\P{^Comp_Ex=y}', "");
Expect(0, 195102, '\p{Comp_Ex=y}', "");
Expect(1, 195102, '\p{^Comp_Ex=y}', "");
Expect(1, 195102, '\P{Comp_Ex=y}', "");
Expect(0, 195102, '\P{^Comp_Ex=y}', "");
Expect(1, 195101, '\p{Comp_Ex=--Y}', "");
Expect(0, 195101, '\p{^Comp_Ex=--Y}', "");
Expect(0, 195101, '\P{Comp_Ex=--Y}', "");
Expect(1, 195101, '\P{^Comp_Ex=--Y}', "");
Expect(0, 195102, '\p{Comp_Ex=--Y}', "");
Expect(1, 195102, '\p{^Comp_Ex=--Y}', "");
Expect(1, 195102, '\P{Comp_Ex=--Y}', "");
Expect(0, 195102, '\P{^Comp_Ex=--Y}', "");
Error('\p{Is_Full_Composition_Exclusion= :=t}');
Error('\P{Is_Full_Composition_Exclusion= :=t}');
Expect(1, 195101, '\p{Is_Full_Composition_Exclusion=t}', "");
Expect(0, 195101, '\p{^Is_Full_Composition_Exclusion=t}', "");
Expect(0, 195101, '\P{Is_Full_Composition_Exclusion=t}', "");
Expect(1, 195101, '\P{^Is_Full_Composition_Exclusion=t}', "");
Expect(0, 195102, '\p{Is_Full_Composition_Exclusion=t}', "");
Expect(1, 195102, '\p{^Is_Full_Composition_Exclusion=t}', "");
Expect(1, 195102, '\P{Is_Full_Composition_Exclusion=t}', "");
Expect(0, 195102, '\P{^Is_Full_Composition_Exclusion=t}', "");
Expect(1, 195101, '\p{Is_Full_Composition_Exclusion= _T}', "");
Expect(0, 195101, '\p{^Is_Full_Composition_Exclusion= _T}', "");
Expect(0, 195101, '\P{Is_Full_Composition_Exclusion= _T}', "");
Expect(1, 195101, '\P{^Is_Full_Composition_Exclusion= _T}', "");
Expect(0, 195102, '\p{Is_Full_Composition_Exclusion= _T}', "");
Expect(1, 195102, '\p{^Is_Full_Composition_Exclusion= _T}', "");
Expect(1, 195102, '\P{Is_Full_Composition_Exclusion= _T}', "");
Expect(0, 195102, '\P{^Is_Full_Composition_Exclusion= _T}', "");
Error('\p{Is_Comp_Ex:	True:=}');
Error('\P{Is_Comp_Ex:	True:=}');
Expect(1, 195101, '\p{Is_Comp_Ex=true}', "");
Expect(0, 195101, '\p{^Is_Comp_Ex=true}', "");
Expect(0, 195101, '\P{Is_Comp_Ex=true}', "");
Expect(1, 195101, '\P{^Is_Comp_Ex=true}', "");
Expect(0, 195102, '\p{Is_Comp_Ex=true}', "");
Expect(1, 195102, '\p{^Is_Comp_Ex=true}', "");
Expect(1, 195102, '\P{Is_Comp_Ex=true}', "");
Expect(0, 195102, '\P{^Is_Comp_Ex=true}', "");
Expect(1, 195101, '\p{Is_Comp_Ex:	True}', "");
Expect(0, 195101, '\p{^Is_Comp_Ex:	True}', "");
Expect(0, 195101, '\P{Is_Comp_Ex:	True}', "");
Expect(1, 195101, '\P{^Is_Comp_Ex:	True}', "");
Expect(0, 195102, '\p{Is_Comp_Ex:	True}', "");
Expect(1, 195102, '\p{^Is_Comp_Ex:	True}', "");
Expect(1, 195102, '\P{Is_Comp_Ex:	True}', "");
Expect(0, 195102, '\P{^Is_Comp_Ex:	True}', "");
Error('\p{Default_Ignorable_Code_Point=	-NO:=}');
Error('\P{Default_Ignorable_Code_Point=	-NO:=}');
Expect(1, 921600, '\p{Default_Ignorable_Code_Point=no}', "");
Expect(0, 921600, '\p{^Default_Ignorable_Code_Point=no}', "");
Expect(0, 921600, '\P{Default_Ignorable_Code_Point=no}', "");
Expect(1, 921600, '\P{^Default_Ignorable_Code_Point=no}', "");
Expect(0, 921599, '\p{Default_Ignorable_Code_Point=no}', "");
Expect(1, 921599, '\p{^Default_Ignorable_Code_Point=no}', "");
Expect(1, 921599, '\P{Default_Ignorable_Code_Point=no}', "");
Expect(0, 921599, '\P{^Default_Ignorable_Code_Point=no}', "");
Expect(1, 921600, '\p{Default_Ignorable_Code_Point=_No}', "");
Expect(0, 921600, '\p{^Default_Ignorable_Code_Point=_No}', "");
Expect(0, 921600, '\P{Default_Ignorable_Code_Point=_No}', "");
Expect(1, 921600, '\P{^Default_Ignorable_Code_Point=_No}', "");
Expect(0, 921599, '\p{Default_Ignorable_Code_Point=_No}', "");
Expect(1, 921599, '\p{^Default_Ignorable_Code_Point=_No}', "");
Expect(1, 921599, '\P{Default_Ignorable_Code_Point=_No}', "");
Expect(0, 921599, '\P{^Default_Ignorable_Code_Point=_No}', "");
Error('\p{DI=	:=N}');
Error('\P{DI=	:=N}');
Expect(1, 921600, '\p{DI=n}', "");
Expect(0, 921600, '\p{^DI=n}', "");
Expect(0, 921600, '\P{DI=n}', "");
Expect(1, 921600, '\P{^DI=n}', "");
Expect(0, 921599, '\p{DI=n}', "");
Expect(1, 921599, '\p{^DI=n}', "");
Expect(1, 921599, '\P{DI=n}', "");
Expect(0, 921599, '\P{^DI=n}', "");
Expect(1, 921600, '\p{DI:_	N}', "");
Expect(0, 921600, '\p{^DI:_	N}', "");
Expect(0, 921600, '\P{DI:_	N}', "");
Expect(1, 921600, '\P{^DI:_	N}', "");
Expect(0, 921599, '\p{DI:_	N}', "");
Expect(1, 921599, '\p{^DI:_	N}', "");
Expect(1, 921599, '\P{DI:_	N}', "");
Expect(0, 921599, '\P{^DI:_	N}', "");
Error('\p{Is_Default_Ignorable_Code_Point=:=  f}');
Error('\P{Is_Default_Ignorable_Code_Point=:=  f}');
Expect(1, 921600, '\p{Is_Default_Ignorable_Code_Point=f}', "");
Expect(0, 921600, '\p{^Is_Default_Ignorable_Code_Point=f}', "");
Expect(0, 921600, '\P{Is_Default_Ignorable_Code_Point=f}', "");
Expect(1, 921600, '\P{^Is_Default_Ignorable_Code_Point=f}', "");
Expect(0, 921599, '\p{Is_Default_Ignorable_Code_Point=f}', "");
Expect(1, 921599, '\p{^Is_Default_Ignorable_Code_Point=f}', "");
Expect(1, 921599, '\P{Is_Default_Ignorable_Code_Point=f}', "");
Expect(0, 921599, '\P{^Is_Default_Ignorable_Code_Point=f}', "");
Expect(1, 921600, '\p{Is_Default_Ignorable_Code_Point= F}', "");
Expect(0, 921600, '\p{^Is_Default_Ignorable_Code_Point= F}', "");
Expect(0, 921600, '\P{Is_Default_Ignorable_Code_Point= F}', "");
Expect(1, 921600, '\P{^Is_Default_Ignorable_Code_Point= F}', "");
Expect(0, 921599, '\p{Is_Default_Ignorable_Code_Point= F}', "");
Expect(1, 921599, '\p{^Is_Default_Ignorable_Code_Point= F}', "");
Expect(1, 921599, '\P{Is_Default_Ignorable_Code_Point= F}', "");
Expect(0, 921599, '\P{^Is_Default_Ignorable_Code_Point= F}', "");
Error('\p{Is_DI= 	False:=}');
Error('\P{Is_DI= 	False:=}');
Expect(1, 921600, '\p{Is_DI=false}', "");
Expect(0, 921600, '\p{^Is_DI=false}', "");
Expect(0, 921600, '\P{Is_DI=false}', "");
Expect(1, 921600, '\P{^Is_DI=false}', "");
Expect(0, 921599, '\p{Is_DI=false}', "");
Expect(1, 921599, '\p{^Is_DI=false}', "");
Expect(1, 921599, '\P{Is_DI=false}', "");
Expect(0, 921599, '\P{^Is_DI=false}', "");
Expect(1, 921600, '\p{Is_DI=_-False}', "");
Expect(0, 921600, '\p{^Is_DI=_-False}', "");
Expect(0, 921600, '\P{Is_DI=_-False}', "");
Expect(1, 921600, '\P{^Is_DI=_-False}', "");
Expect(0, 921599, '\p{Is_DI=_-False}', "");
Expect(1, 921599, '\p{^Is_DI=_-False}', "");
Expect(1, 921599, '\P{Is_DI=_-False}', "");
Expect(0, 921599, '\P{^Is_DI=_-False}', "");
Error('\p{Default_Ignorable_Code_Point:	yes:=}');
Error('\P{Default_Ignorable_Code_Point:	yes:=}');
Expect(1, 921599, '\p{Default_Ignorable_Code_Point=yes}', "");
Expect(0, 921599, '\p{^Default_Ignorable_Code_Point=yes}', "");
Expect(0, 921599, '\P{Default_Ignorable_Code_Point=yes}', "");
Expect(1, 921599, '\P{^Default_Ignorable_Code_Point=yes}', "");
Expect(0, 921600, '\p{Default_Ignorable_Code_Point=yes}', "");
Expect(1, 921600, '\p{^Default_Ignorable_Code_Point=yes}', "");
Expect(1, 921600, '\P{Default_Ignorable_Code_Point=yes}', "");
Expect(0, 921600, '\P{^Default_Ignorable_Code_Point=yes}', "");
Expect(1, 921599, '\p{Default_Ignorable_Code_Point=_	yes}', "");
Expect(0, 921599, '\p{^Default_Ignorable_Code_Point=_	yes}', "");
Expect(0, 921599, '\P{Default_Ignorable_Code_Point=_	yes}', "");
Expect(1, 921599, '\P{^Default_Ignorable_Code_Point=_	yes}', "");
Expect(0, 921600, '\p{Default_Ignorable_Code_Point=_	yes}', "");
Expect(1, 921600, '\p{^Default_Ignorable_Code_Point=_	yes}', "");
Expect(1, 921600, '\P{Default_Ignorable_Code_Point=_	yes}', "");
Expect(0, 921600, '\P{^Default_Ignorable_Code_Point=_	yes}', "");
Error('\p{DI= 	Y/a/}');
Error('\P{DI= 	Y/a/}');
Expect(1, 921599, '\p{DI=y}', "");
Expect(0, 921599, '\p{^DI=y}', "");
Expect(0, 921599, '\P{DI=y}', "");
Expect(1, 921599, '\P{^DI=y}', "");
Expect(0, 921600, '\p{DI=y}', "");
Expect(1, 921600, '\p{^DI=y}', "");
Expect(1, 921600, '\P{DI=y}', "");
Expect(0, 921600, '\P{^DI=y}', "");
Expect(1, 921599, '\p{DI=-Y}', "");
Expect(0, 921599, '\p{^DI=-Y}', "");
Expect(0, 921599, '\P{DI=-Y}', "");
Expect(1, 921599, '\P{^DI=-Y}', "");
Expect(0, 921600, '\p{DI=-Y}', "");
Expect(1, 921600, '\p{^DI=-Y}', "");
Expect(1, 921600, '\P{DI=-Y}', "");
Expect(0, 921600, '\P{^DI=-Y}', "");
Error('\p{Is_Default_Ignorable_Code_Point=	T:=}');
Error('\P{Is_Default_Ignorable_Code_Point=	T:=}');
Expect(1, 921599, '\p{Is_Default_Ignorable_Code_Point=t}', "");
Expect(0, 921599, '\p{^Is_Default_Ignorable_Code_Point=t}', "");
Expect(0, 921599, '\P{Is_Default_Ignorable_Code_Point=t}', "");
Expect(1, 921599, '\P{^Is_Default_Ignorable_Code_Point=t}', "");
Expect(0, 921600, '\p{Is_Default_Ignorable_Code_Point=t}', "");
Expect(1, 921600, '\p{^Is_Default_Ignorable_Code_Point=t}', "");
Expect(1, 921600, '\P{Is_Default_Ignorable_Code_Point=t}', "");
Expect(0, 921600, '\P{^Is_Default_Ignorable_Code_Point=t}', "");
Expect(1, 921599, '\p{Is_Default_Ignorable_Code_Point=	T}', "");
Expect(0, 921599, '\p{^Is_Default_Ignorable_Code_Point=	T}', "");
Expect(0, 921599, '\P{Is_Default_Ignorable_Code_Point=	T}', "");
Expect(1, 921599, '\P{^Is_Default_Ignorable_Code_Point=	T}', "");
Expect(0, 921600, '\p{Is_Default_Ignorable_Code_Point=	T}', "");
Expect(1, 921600, '\p{^Is_Default_Ignorable_Code_Point=	T}', "");
Expect(1, 921600, '\P{Is_Default_Ignorable_Code_Point=	T}', "");
Expect(0, 921600, '\P{^Is_Default_Ignorable_Code_Point=	T}', "");
Error('\p{Is_DI: -_TRUE:=}');
Error('\P{Is_DI: -_TRUE:=}');
Expect(1, 921599, '\p{Is_DI=true}', "");
Expect(0, 921599, '\p{^Is_DI=true}', "");
Expect(0, 921599, '\P{Is_DI=true}', "");
Expect(1, 921599, '\P{^Is_DI=true}', "");
Expect(0, 921600, '\p{Is_DI=true}', "");
Expect(1, 921600, '\p{^Is_DI=true}', "");
Expect(1, 921600, '\P{Is_DI=true}', "");
Expect(0, 921600, '\P{^Is_DI=true}', "");
Expect(1, 921599, '\p{Is_DI: 	_TRUE}', "");
Expect(0, 921599, '\p{^Is_DI: 	_TRUE}', "");
Expect(0, 921599, '\P{Is_DI: 	_TRUE}', "");
Expect(1, 921599, '\P{^Is_DI: 	_TRUE}', "");
Expect(0, 921600, '\p{Is_DI: 	_TRUE}', "");
Expect(1, 921600, '\p{^Is_DI: 	_TRUE}', "");
Expect(1, 921600, '\P{Is_DI: 	_TRUE}', "");
Expect(0, 921600, '\P{^Is_DI: 	_TRUE}', "");
Error('\p{Dash=_-No/a/}');
Error('\P{Dash=_-No/a/}');
Expect(1, 65294, '\p{Dash: no}', "");
Expect(0, 65294, '\p{^Dash: no}', "");
Expect(0, 65294, '\P{Dash: no}', "");
Expect(1, 65294, '\P{^Dash: no}', "");
Expect(0, 65293, '\p{Dash: no}', "");
Expect(1, 65293, '\p{^Dash: no}', "");
Expect(1, 65293, '\P{Dash: no}', "");
Expect(0, 65293, '\P{^Dash: no}', "");
Expect(1, 65294, '\p{Dash= _NO}', "");
Expect(0, 65294, '\p{^Dash= _NO}', "");
Expect(0, 65294, '\P{Dash= _NO}', "");
Expect(1, 65294, '\P{^Dash= _NO}', "");
Expect(0, 65293, '\p{Dash= _NO}', "");
Expect(1, 65293, '\p{^Dash= _NO}', "");
Expect(1, 65293, '\P{Dash= _NO}', "");
Expect(0, 65293, '\P{^Dash= _NO}', "");
Error('\p{Is_Dash=	:=N}');
Error('\P{Is_Dash=	:=N}');
Expect(1, 65294, '\p{Is_Dash=n}', "");
Expect(0, 65294, '\p{^Is_Dash=n}', "");
Expect(0, 65294, '\P{Is_Dash=n}', "");
Expect(1, 65294, '\P{^Is_Dash=n}', "");
Expect(0, 65293, '\p{Is_Dash=n}', "");
Expect(1, 65293, '\p{^Is_Dash=n}', "");
Expect(1, 65293, '\P{Is_Dash=n}', "");
Expect(0, 65293, '\P{^Is_Dash=n}', "");
Expect(1, 65294, '\p{Is_Dash= 	N}', "");
Expect(0, 65294, '\p{^Is_Dash= 	N}', "");
Expect(0, 65294, '\P{Is_Dash= 	N}', "");
Expect(1, 65294, '\P{^Is_Dash= 	N}', "");
Expect(0, 65293, '\p{Is_Dash= 	N}', "");
Expect(1, 65293, '\p{^Is_Dash= 	N}', "");
Expect(1, 65293, '\P{Is_Dash= 	N}', "");
Expect(0, 65293, '\P{^Is_Dash= 	N}', "");
Error('\p{Dash= /a/F}');
Error('\P{Dash= /a/F}');
Expect(1, 65294, '\p{Dash=f}', "");
Expect(0, 65294, '\p{^Dash=f}', "");
Expect(0, 65294, '\P{Dash=f}', "");
Expect(1, 65294, '\P{^Dash=f}', "");
Expect(0, 65293, '\p{Dash=f}', "");
Expect(1, 65293, '\p{^Dash=f}', "");
Expect(1, 65293, '\P{Dash=f}', "");
Expect(0, 65293, '\P{^Dash=f}', "");
Expect(1, 65294, '\p{Dash=	 f}', "");
Expect(0, 65294, '\p{^Dash=	 f}', "");
Expect(0, 65294, '\P{Dash=	 f}', "");
Expect(1, 65294, '\P{^Dash=	 f}', "");
Expect(0, 65293, '\p{Dash=	 f}', "");
Expect(1, 65293, '\p{^Dash=	 f}', "");
Expect(1, 65293, '\P{Dash=	 f}', "");
Expect(0, 65293, '\P{^Dash=	 f}', "");
Error('\p{Is_Dash=:=_-False}');
Error('\P{Is_Dash=:=_-False}');
Expect(1, 65294, '\p{Is_Dash: false}', "");
Expect(0, 65294, '\p{^Is_Dash: false}', "");
Expect(0, 65294, '\P{Is_Dash: false}', "");
Expect(1, 65294, '\P{^Is_Dash: false}', "");
Expect(0, 65293, '\p{Is_Dash: false}', "");
Expect(1, 65293, '\p{^Is_Dash: false}', "");
Expect(1, 65293, '\P{Is_Dash: false}', "");
Expect(0, 65293, '\P{^Is_Dash: false}', "");
Expect(1, 65294, '\p{Is_Dash=-false}', "");
Expect(0, 65294, '\p{^Is_Dash=-false}', "");
Expect(0, 65294, '\P{Is_Dash=-false}', "");
Expect(1, 65294, '\P{^Is_Dash=-false}', "");
Expect(0, 65293, '\p{Is_Dash=-false}', "");
Expect(1, 65293, '\p{^Is_Dash=-false}', "");
Expect(1, 65293, '\P{Is_Dash=-false}', "");
Expect(0, 65293, '\P{^Is_Dash=-false}', "");
Error('\p{Dash:  :=yes}');
Error('\P{Dash:  :=yes}');
Expect(1, 65293, '\p{Dash=yes}', "");
Expect(0, 65293, '\p{^Dash=yes}', "");
Expect(0, 65293, '\P{Dash=yes}', "");
Expect(1, 65293, '\P{^Dash=yes}', "");
Expect(0, 65294, '\p{Dash=yes}', "");
Expect(1, 65294, '\p{^Dash=yes}', "");
Expect(1, 65294, '\P{Dash=yes}', "");
Expect(0, 65294, '\P{^Dash=yes}', "");
Expect(1, 65293, '\p{Dash=--Yes}', "");
Expect(0, 65293, '\p{^Dash=--Yes}', "");
Expect(0, 65293, '\P{Dash=--Yes}', "");
Expect(1, 65293, '\P{^Dash=--Yes}', "");
Expect(0, 65294, '\p{Dash=--Yes}', "");
Expect(1, 65294, '\p{^Dash=--Yes}', "");
Expect(1, 65294, '\P{Dash=--Yes}', "");
Expect(0, 65294, '\P{^Dash=--Yes}', "");
Error('\p{Is_Dash=	/a/Y}');
Error('\P{Is_Dash=	/a/Y}');
Expect(1, 65293, '\p{Is_Dash=y}', "");
Expect(0, 65293, '\p{^Is_Dash=y}', "");
Expect(0, 65293, '\P{Is_Dash=y}', "");
Expect(1, 65293, '\P{^Is_Dash=y}', "");
Expect(0, 65294, '\p{Is_Dash=y}', "");
Expect(1, 65294, '\p{^Is_Dash=y}', "");
Expect(1, 65294, '\P{Is_Dash=y}', "");
Expect(0, 65294, '\P{^Is_Dash=y}', "");
Expect(1, 65293, '\p{Is_Dash=	-y}', "");
Expect(0, 65293, '\p{^Is_Dash=	-y}', "");
Expect(0, 65293, '\P{Is_Dash=	-y}', "");
Expect(1, 65293, '\P{^Is_Dash=	-y}', "");
Expect(0, 65294, '\p{Is_Dash=	-y}', "");
Expect(1, 65294, '\p{^Is_Dash=	-y}', "");
Expect(1, 65294, '\P{Is_Dash=	-y}', "");
Expect(0, 65294, '\P{^Is_Dash=	-y}', "");
Error('\p{Dash= T/a/}');
Error('\P{Dash= T/a/}');
Expect(1, 65293, '\p{Dash=t}', "");
Expect(0, 65293, '\p{^Dash=t}', "");
Expect(0, 65293, '\P{Dash=t}', "");
Expect(1, 65293, '\P{^Dash=t}', "");
Expect(0, 65294, '\p{Dash=t}', "");
Expect(1, 65294, '\p{^Dash=t}', "");
Expect(1, 65294, '\P{Dash=t}', "");
Expect(0, 65294, '\P{^Dash=t}', "");
Expect(1, 65293, '\p{Dash=-T}', "");
Expect(0, 65293, '\p{^Dash=-T}', "");
Expect(0, 65293, '\P{Dash=-T}', "");
Expect(1, 65293, '\P{^Dash=-T}', "");
Expect(0, 65294, '\p{Dash=-T}', "");
Expect(1, 65294, '\p{^Dash=-T}', "");
Expect(1, 65294, '\P{Dash=-T}', "");
Expect(0, 65294, '\P{^Dash=-T}', "");
Error('\p{Is_Dash=-:=TRUE}');
Error('\P{Is_Dash=-:=TRUE}');
Expect(1, 65293, '\p{Is_Dash=true}', "");
Expect(0, 65293, '\p{^Is_Dash=true}', "");
Expect(0, 65293, '\P{Is_Dash=true}', "");
Expect(1, 65293, '\P{^Is_Dash=true}', "");
Expect(0, 65294, '\p{Is_Dash=true}', "");
Expect(1, 65294, '\p{^Is_Dash=true}', "");
Expect(1, 65294, '\P{Is_Dash=true}', "");
Expect(0, 65294, '\P{^Is_Dash=true}', "");
Expect(1, 65293, '\p{Is_Dash= _True}', "");
Expect(0, 65293, '\p{^Is_Dash= _True}', "");
Expect(0, 65293, '\P{Is_Dash= _True}', "");
Expect(1, 65293, '\P{^Is_Dash= _True}', "");
Expect(0, 65294, '\p{Is_Dash= _True}', "");
Expect(1, 65294, '\p{^Is_Dash= _True}', "");
Expect(1, 65294, '\P{Is_Dash= _True}', "");
Expect(0, 65294, '\P{^Is_Dash= _True}', "");
Error('\p{Deprecated=-/a/NO}');
Error('\P{Deprecated=-/a/NO}');
Expect(1, 917632, '\p{Deprecated=no}', "");
Expect(0, 917632, '\p{^Deprecated=no}', "");
Expect(0, 917632, '\P{Deprecated=no}', "");
Expect(1, 917632, '\P{^Deprecated=no}', "");
Expect(0, 917631, '\p{Deprecated=no}', "");
Expect(1, 917631, '\p{^Deprecated=no}', "");
Expect(1, 917631, '\P{Deprecated=no}', "");
Expect(0, 917631, '\P{^Deprecated=no}', "");
Expect(1, 917632, '\p{Deprecated:   - No}', "");
Expect(0, 917632, '\p{^Deprecated:   - No}', "");
Expect(0, 917632, '\P{Deprecated:   - No}', "");
Expect(1, 917632, '\P{^Deprecated:   - No}', "");
Expect(0, 917631, '\p{Deprecated:   - No}', "");
Expect(1, 917631, '\p{^Deprecated:   - No}', "");
Expect(1, 917631, '\P{Deprecated:   - No}', "");
Expect(0, 917631, '\P{^Deprecated:   - No}', "");
Error('\p{Dep=_:=N}');
Error('\P{Dep=_:=N}');
Expect(1, 917632, '\p{Dep=n}', "");
Expect(0, 917632, '\p{^Dep=n}', "");
Expect(0, 917632, '\P{Dep=n}', "");
Expect(1, 917632, '\P{^Dep=n}', "");
Expect(0, 917631, '\p{Dep=n}', "");
Expect(1, 917631, '\p{^Dep=n}', "");
Expect(1, 917631, '\P{Dep=n}', "");
Expect(0, 917631, '\P{^Dep=n}', "");
Expect(1, 917632, '\p{Dep= N}', "");
Expect(0, 917632, '\p{^Dep= N}', "");
Expect(0, 917632, '\P{Dep= N}', "");
Expect(1, 917632, '\P{^Dep= N}', "");
Expect(0, 917631, '\p{Dep= N}', "");
Expect(1, 917631, '\p{^Dep= N}', "");
Expect(1, 917631, '\P{Dep= N}', "");
Expect(0, 917631, '\P{^Dep= N}', "");
Error('\p{Is_Deprecated= /a/F}');
Error('\P{Is_Deprecated= /a/F}');
Expect(1, 917632, '\p{Is_Deprecated=f}', "");
Expect(0, 917632, '\p{^Is_Deprecated=f}', "");
Expect(0, 917632, '\P{Is_Deprecated=f}', "");
Expect(1, 917632, '\P{^Is_Deprecated=f}', "");
Expect(0, 917631, '\p{Is_Deprecated=f}', "");
Expect(1, 917631, '\p{^Is_Deprecated=f}', "");
Expect(1, 917631, '\P{Is_Deprecated=f}', "");
Expect(0, 917631, '\P{^Is_Deprecated=f}', "");
Expect(1, 917632, '\p{Is_Deprecated=-_F}', "");
Expect(0, 917632, '\p{^Is_Deprecated=-_F}', "");
Expect(0, 917632, '\P{Is_Deprecated=-_F}', "");
Expect(1, 917632, '\P{^Is_Deprecated=-_F}', "");
Expect(0, 917631, '\p{Is_Deprecated=-_F}', "");
Expect(1, 917631, '\p{^Is_Deprecated=-_F}', "");
Expect(1, 917631, '\P{Is_Deprecated=-_F}', "");
Expect(0, 917631, '\P{^Is_Deprecated=-_F}', "");
Error('\p{Is_Dep:		:=FALSE}');
Error('\P{Is_Dep:		:=FALSE}');
Expect(1, 917632, '\p{Is_Dep: false}', "");
Expect(0, 917632, '\p{^Is_Dep: false}', "");
Expect(0, 917632, '\P{Is_Dep: false}', "");
Expect(1, 917632, '\P{^Is_Dep: false}', "");
Expect(0, 917631, '\p{Is_Dep: false}', "");
Expect(1, 917631, '\p{^Is_Dep: false}', "");
Expect(1, 917631, '\P{Is_Dep: false}', "");
Expect(0, 917631, '\P{^Is_Dep: false}', "");
Expect(1, 917632, '\p{Is_Dep=		False}', "");
Expect(0, 917632, '\p{^Is_Dep=		False}', "");
Expect(0, 917632, '\P{Is_Dep=		False}', "");
Expect(1, 917632, '\P{^Is_Dep=		False}', "");
Expect(0, 917631, '\p{Is_Dep=		False}', "");
Expect(1, 917631, '\p{^Is_Dep=		False}', "");
Expect(1, 917631, '\P{Is_Dep=		False}', "");
Expect(0, 917631, '\P{^Is_Dep=		False}', "");
Error('\p{Deprecated=/a/	-yes}');
Error('\P{Deprecated=/a/	-yes}');
Expect(1, 917631, '\p{Deprecated=yes}', "");
Expect(0, 917631, '\p{^Deprecated=yes}', "");
Expect(0, 917631, '\P{Deprecated=yes}', "");
Expect(1, 917631, '\P{^Deprecated=yes}', "");
Expect(0, 917632, '\p{Deprecated=yes}', "");
Expect(1, 917632, '\p{^Deprecated=yes}', "");
Expect(1, 917632, '\P{Deprecated=yes}', "");
Expect(0, 917632, '\P{^Deprecated=yes}', "");
Expect(1, 917631, '\p{Deprecated=__Yes}', "");
Expect(0, 917631, '\p{^Deprecated=__Yes}', "");
Expect(0, 917631, '\P{Deprecated=__Yes}', "");
Expect(1, 917631, '\P{^Deprecated=__Yes}', "");
Expect(0, 917632, '\p{Deprecated=__Yes}', "");
Expect(1, 917632, '\p{^Deprecated=__Yes}', "");
Expect(1, 917632, '\P{Deprecated=__Yes}', "");
Expect(0, 917632, '\P{^Deprecated=__Yes}', "");
Error('\p{Dep=_/a/Y}');
Error('\P{Dep=_/a/Y}');
Expect(1, 917631, '\p{Dep=y}', "");
Expect(0, 917631, '\p{^Dep=y}', "");
Expect(0, 917631, '\P{Dep=y}', "");
Expect(1, 917631, '\P{^Dep=y}', "");
Expect(0, 917632, '\p{Dep=y}', "");
Expect(1, 917632, '\p{^Dep=y}', "");
Expect(1, 917632, '\P{Dep=y}', "");
Expect(0, 917632, '\P{^Dep=y}', "");
Expect(1, 917631, '\p{Dep= y}', "");
Expect(0, 917631, '\p{^Dep= y}', "");
Expect(0, 917631, '\P{Dep= y}', "");
Expect(1, 917631, '\P{^Dep= y}', "");
Expect(0, 917632, '\p{Dep= y}', "");
Expect(1, 917632, '\p{^Dep= y}', "");
Expect(1, 917632, '\P{Dep= y}', "");
Expect(0, 917632, '\P{^Dep= y}', "");
Error('\p{Is_Deprecated:   	/a/t}');
Error('\P{Is_Deprecated:   	/a/t}');
Expect(1, 917631, '\p{Is_Deprecated=t}', "");
Expect(0, 917631, '\p{^Is_Deprecated=t}', "");
Expect(0, 917631, '\P{Is_Deprecated=t}', "");
Expect(1, 917631, '\P{^Is_Deprecated=t}', "");
Expect(0, 917632, '\p{Is_Deprecated=t}', "");
Expect(1, 917632, '\p{^Is_Deprecated=t}', "");
Expect(1, 917632, '\P{Is_Deprecated=t}', "");
Expect(0, 917632, '\P{^Is_Deprecated=t}', "");
Expect(1, 917631, '\p{Is_Deprecated=--T}', "");
Expect(0, 917631, '\p{^Is_Deprecated=--T}', "");
Expect(0, 917631, '\P{Is_Deprecated=--T}', "");
Expect(1, 917631, '\P{^Is_Deprecated=--T}', "");
Expect(0, 917632, '\p{Is_Deprecated=--T}', "");
Expect(1, 917632, '\p{^Is_Deprecated=--T}', "");
Expect(1, 917632, '\P{Is_Deprecated=--T}', "");
Expect(0, 917632, '\P{^Is_Deprecated=--T}', "");
Error('\p{Is_Dep=True/a/}');
Error('\P{Is_Dep=True/a/}');
Expect(1, 917631, '\p{Is_Dep=true}', "");
Expect(0, 917631, '\p{^Is_Dep=true}', "");
Expect(0, 917631, '\P{Is_Dep=true}', "");
Expect(1, 917631, '\P{^Is_Dep=true}', "");
Expect(0, 917632, '\p{Is_Dep=true}', "");
Expect(1, 917632, '\p{^Is_Dep=true}', "");
Expect(1, 917632, '\P{Is_Dep=true}', "");
Expect(0, 917632, '\P{^Is_Dep=true}', "");
Expect(1, 917631, '\p{Is_Dep=--True}', "");
Expect(0, 917631, '\p{^Is_Dep=--True}', "");
Expect(0, 917631, '\P{Is_Dep=--True}', "");
Expect(1, 917631, '\P{^Is_Dep=--True}', "");
Expect(0, 917632, '\p{Is_Dep=--True}', "");
Expect(1, 917632, '\p{^Is_Dep=--True}', "");
Expect(1, 917632, '\P{Is_Dep=--True}', "");
Expect(0, 917632, '\P{^Is_Dep=--True}', "");
Error('\p{Diacritic:		/a/NO}');
Error('\P{Diacritic:		/a/NO}');
Expect(1, 125143, '\p{Diacritic=no}', "");
Expect(0, 125143, '\p{^Diacritic=no}', "");
Expect(0, 125143, '\P{Diacritic=no}', "");
Expect(1, 125143, '\P{^Diacritic=no}', "");
Expect(0, 125142, '\p{Diacritic=no}', "");
Expect(1, 125142, '\p{^Diacritic=no}', "");
Expect(1, 125142, '\P{Diacritic=no}', "");
Expect(0, 125142, '\P{^Diacritic=no}', "");
Expect(1, 125143, '\p{Diacritic=- NO}', "");
Expect(0, 125143, '\p{^Diacritic=- NO}', "");
Expect(0, 125143, '\P{Diacritic=- NO}', "");
Expect(1, 125143, '\P{^Diacritic=- NO}', "");
Expect(0, 125142, '\p{Diacritic=- NO}', "");
Expect(1, 125142, '\p{^Diacritic=- NO}', "");
Expect(1, 125142, '\P{Diacritic=- NO}', "");
Expect(0, 125142, '\P{^Diacritic=- NO}', "");
Error('\p{Dia=/a/  N}');
Error('\P{Dia=/a/  N}');
Expect(1, 125143, '\p{Dia=n}', "");
Expect(0, 125143, '\p{^Dia=n}', "");
Expect(0, 125143, '\P{Dia=n}', "");
Expect(1, 125143, '\P{^Dia=n}', "");
Expect(0, 125142, '\p{Dia=n}', "");
Expect(1, 125142, '\p{^Dia=n}', "");
Expect(1, 125142, '\P{Dia=n}', "");
Expect(0, 125142, '\P{^Dia=n}', "");
Expect(1, 125143, '\p{Dia=-_N}', "");
Expect(0, 125143, '\p{^Dia=-_N}', "");
Expect(0, 125143, '\P{Dia=-_N}', "");
Expect(1, 125143, '\P{^Dia=-_N}', "");
Expect(0, 125142, '\p{Dia=-_N}', "");
Expect(1, 125142, '\p{^Dia=-_N}', "");
Expect(1, 125142, '\P{Dia=-_N}', "");
Expect(0, 125142, '\P{^Dia=-_N}', "");
Error('\p{Is_Diacritic=F:=}');
Error('\P{Is_Diacritic=F:=}');
Expect(1, 125143, '\p{Is_Diacritic=f}', "");
Expect(0, 125143, '\p{^Is_Diacritic=f}', "");
Expect(0, 125143, '\P{Is_Diacritic=f}', "");
Expect(1, 125143, '\P{^Is_Diacritic=f}', "");
Expect(0, 125142, '\p{Is_Diacritic=f}', "");
Expect(1, 125142, '\p{^Is_Diacritic=f}', "");
Expect(1, 125142, '\P{Is_Diacritic=f}', "");
Expect(0, 125142, '\P{^Is_Diacritic=f}', "");
Expect(1, 125143, '\p{Is_Diacritic= 	F}', "");
Expect(0, 125143, '\p{^Is_Diacritic= 	F}', "");
Expect(0, 125143, '\P{Is_Diacritic= 	F}', "");
Expect(1, 125143, '\P{^Is_Diacritic= 	F}', "");
Expect(0, 125142, '\p{Is_Diacritic= 	F}', "");
Expect(1, 125142, '\p{^Is_Diacritic= 	F}', "");
Expect(1, 125142, '\P{Is_Diacritic= 	F}', "");
Expect(0, 125142, '\P{^Is_Diacritic= 	F}', "");
Error('\p{Is_Dia= -False:=}');
Error('\P{Is_Dia= -False:=}');
Expect(1, 125143, '\p{Is_Dia=false}', "");
Expect(0, 125143, '\p{^Is_Dia=false}', "");
Expect(0, 125143, '\P{Is_Dia=false}', "");
Expect(1, 125143, '\P{^Is_Dia=false}', "");
Expect(0, 125142, '\p{Is_Dia=false}', "");
Expect(1, 125142, '\p{^Is_Dia=false}', "");
Expect(1, 125142, '\P{Is_Dia=false}', "");
Expect(0, 125142, '\P{^Is_Dia=false}', "");
Expect(1, 125143, '\p{Is_Dia=- False}', "");
Expect(0, 125143, '\p{^Is_Dia=- False}', "");
Expect(0, 125143, '\P{Is_Dia=- False}', "");
Expect(1, 125143, '\P{^Is_Dia=- False}', "");
Expect(0, 125142, '\p{Is_Dia=- False}', "");
Expect(1, 125142, '\p{^Is_Dia=- False}', "");
Expect(1, 125142, '\P{Is_Dia=- False}', "");
Expect(0, 125142, '\P{^Is_Dia=- False}', "");
Error('\p{Diacritic=-:=Yes}');
Error('\P{Diacritic=-:=Yes}');
Expect(1, 125142, '\p{Diacritic:	yes}', "");
Expect(0, 125142, '\p{^Diacritic:	yes}', "");
Expect(0, 125142, '\P{Diacritic:	yes}', "");
Expect(1, 125142, '\P{^Diacritic:	yes}', "");
Expect(0, 125143, '\p{Diacritic:	yes}', "");
Expect(1, 125143, '\p{^Diacritic:	yes}', "");
Expect(1, 125143, '\P{Diacritic:	yes}', "");
Expect(0, 125143, '\P{^Diacritic:	yes}', "");
Expect(1, 125142, '\p{Diacritic= 	yes}', "");
Expect(0, 125142, '\p{^Diacritic= 	yes}', "");
Expect(0, 125142, '\P{Diacritic= 	yes}', "");
Expect(1, 125142, '\P{^Diacritic= 	yes}', "");
Expect(0, 125143, '\p{Diacritic= 	yes}', "");
Expect(1, 125143, '\p{^Diacritic= 	yes}', "");
Expect(1, 125143, '\P{Diacritic= 	yes}', "");
Expect(0, 125143, '\P{^Diacritic= 	yes}', "");
Error('\p{Dia=_:=Y}');
Error('\P{Dia=_:=Y}');
Expect(1, 125142, '\p{Dia=y}', "");
Expect(0, 125142, '\p{^Dia=y}', "");
Expect(0, 125142, '\P{Dia=y}', "");
Expect(1, 125142, '\P{^Dia=y}', "");
Expect(0, 125143, '\p{Dia=y}', "");
Expect(1, 125143, '\p{^Dia=y}', "");
Expect(1, 125143, '\P{Dia=y}', "");
Expect(0, 125143, '\P{^Dia=y}', "");
Expect(1, 125142, '\p{Dia=	Y}', "");
Expect(0, 125142, '\p{^Dia=	Y}', "");
Expect(0, 125142, '\P{Dia=	Y}', "");
Expect(1, 125142, '\P{^Dia=	Y}', "");
Expect(0, 125143, '\p{Dia=	Y}', "");
Expect(1, 125143, '\p{^Dia=	Y}', "");
Expect(1, 125143, '\P{Dia=	Y}', "");
Expect(0, 125143, '\P{^Dia=	Y}', "");
Error('\p{Is_Diacritic:/a/_T}');
Error('\P{Is_Diacritic:/a/_T}');
Expect(1, 125142, '\p{Is_Diacritic=t}', "");
Expect(0, 125142, '\p{^Is_Diacritic=t}', "");
Expect(0, 125142, '\P{Is_Diacritic=t}', "");
Expect(1, 125142, '\P{^Is_Diacritic=t}', "");
Expect(0, 125143, '\p{Is_Diacritic=t}', "");
Expect(1, 125143, '\p{^Is_Diacritic=t}', "");
Expect(1, 125143, '\P{Is_Diacritic=t}', "");
Expect(0, 125143, '\P{^Is_Diacritic=t}', "");
Expect(1, 125142, '\p{Is_Diacritic=_	T}', "");
Expect(0, 125142, '\p{^Is_Diacritic=_	T}', "");
Expect(0, 125142, '\P{Is_Diacritic=_	T}', "");
Expect(1, 125142, '\P{^Is_Diacritic=_	T}', "");
Expect(0, 125143, '\p{Is_Diacritic=_	T}', "");
Expect(1, 125143, '\p{^Is_Diacritic=_	T}', "");
Expect(1, 125143, '\P{Is_Diacritic=_	T}', "");
Expect(0, 125143, '\P{^Is_Diacritic=_	T}', "");
Error('\p{Is_Dia=:=_TRUE}');
Error('\P{Is_Dia=:=_TRUE}');
Expect(1, 125142, '\p{Is_Dia:   true}', "");
Expect(0, 125142, '\p{^Is_Dia:   true}', "");
Expect(0, 125142, '\P{Is_Dia:   true}', "");
Expect(1, 125142, '\P{^Is_Dia:   true}', "");
Expect(0, 125143, '\p{Is_Dia:   true}', "");
Expect(1, 125143, '\p{^Is_Dia:   true}', "");
Expect(1, 125143, '\P{Is_Dia:   true}', "");
Expect(0, 125143, '\P{^Is_Dia:   true}', "");
Expect(1, 125142, '\p{Is_Dia:	-TRUE}', "");
Expect(0, 125142, '\p{^Is_Dia:	-TRUE}', "");
Expect(0, 125142, '\P{Is_Dia:	-TRUE}', "");
Expect(1, 125142, '\P{^Is_Dia:	-TRUE}', "");
Expect(0, 125143, '\p{Is_Dia:	-TRUE}', "");
Expect(1, 125143, '\p{^Is_Dia:	-TRUE}', "");
Expect(1, 125143, '\P{Is_Dia:	-TRUE}', "");
Expect(0, 125143, '\P{^Is_Dia:	-TRUE}', "");
Error('\p{Extender=:= 	no}');
Error('\P{Extender=:= 	no}');
Expect(1, 92996, '\p{Extender=no}', "");
Expect(0, 92996, '\p{^Extender=no}', "");
Expect(0, 92996, '\P{Extender=no}', "");
Expect(1, 92996, '\P{^Extender=no}', "");
Expect(0, 92995, '\p{Extender=no}', "");
Expect(1, 92995, '\p{^Extender=no}', "");
Expect(1, 92995, '\P{Extender=no}', "");
Expect(0, 92995, '\P{^Extender=no}', "");
Expect(1, 92996, '\p{Extender= no}', "");
Expect(0, 92996, '\p{^Extender= no}', "");
Expect(0, 92996, '\P{Extender= no}', "");
Expect(1, 92996, '\P{^Extender= no}', "");
Expect(0, 92995, '\p{Extender= no}', "");
Expect(1, 92995, '\p{^Extender= no}', "");
Expect(1, 92995, '\P{Extender= no}', "");
Expect(0, 92995, '\P{^Extender= no}', "");
Error('\p{Ext= /a/N}');
Error('\P{Ext= /a/N}');
Expect(1, 92996, '\p{Ext=n}', "");
Expect(0, 92996, '\p{^Ext=n}', "");
Expect(0, 92996, '\P{Ext=n}', "");
Expect(1, 92996, '\P{^Ext=n}', "");
Expect(0, 92995, '\p{Ext=n}', "");
Expect(1, 92995, '\p{^Ext=n}', "");
Expect(1, 92995, '\P{Ext=n}', "");
Expect(0, 92995, '\P{^Ext=n}', "");
Expect(1, 92996, '\p{Ext= n}', "");
Expect(0, 92996, '\p{^Ext= n}', "");
Expect(0, 92996, '\P{Ext= n}', "");
Expect(1, 92996, '\P{^Ext= n}', "");
Expect(0, 92995, '\p{Ext= n}', "");
Expect(1, 92995, '\p{^Ext= n}', "");
Expect(1, 92995, '\P{Ext= n}', "");
Expect(0, 92995, '\P{^Ext= n}', "");
Error('\p{Is_Extender=:= _F}');
Error('\P{Is_Extender=:= _F}');
Expect(1, 92996, '\p{Is_Extender=f}', "");
Expect(0, 92996, '\p{^Is_Extender=f}', "");
Expect(0, 92996, '\P{Is_Extender=f}', "");
Expect(1, 92996, '\P{^Is_Extender=f}', "");
Expect(0, 92995, '\p{Is_Extender=f}', "");
Expect(1, 92995, '\p{^Is_Extender=f}', "");
Expect(1, 92995, '\P{Is_Extender=f}', "");
Expect(0, 92995, '\P{^Is_Extender=f}', "");
Expect(1, 92996, '\p{Is_Extender=-F}', "");
Expect(0, 92996, '\p{^Is_Extender=-F}', "");
Expect(0, 92996, '\P{Is_Extender=-F}', "");
Expect(1, 92996, '\P{^Is_Extender=-F}', "");
Expect(0, 92995, '\p{Is_Extender=-F}', "");
Expect(1, 92995, '\p{^Is_Extender=-F}', "");
Expect(1, 92995, '\P{Is_Extender=-F}', "");
Expect(0, 92995, '\P{^Is_Extender=-F}', "");
Error('\p{Is_Ext=/a/-False}');
Error('\P{Is_Ext=/a/-False}');
Expect(1, 92996, '\p{Is_Ext=false}', "");
Expect(0, 92996, '\p{^Is_Ext=false}', "");
Expect(0, 92996, '\P{Is_Ext=false}', "");
Expect(1, 92996, '\P{^Is_Ext=false}', "");
Expect(0, 92995, '\p{Is_Ext=false}', "");
Expect(1, 92995, '\p{^Is_Ext=false}', "");
Expect(1, 92995, '\P{Is_Ext=false}', "");
Expect(0, 92995, '\P{^Is_Ext=false}', "");
Expect(1, 92996, '\p{Is_Ext=		False}', "");
Expect(0, 92996, '\p{^Is_Ext=		False}', "");
Expect(0, 92996, '\P{Is_Ext=		False}', "");
Expect(1, 92996, '\P{^Is_Ext=		False}', "");
Expect(0, 92995, '\p{Is_Ext=		False}', "");
Expect(1, 92995, '\p{^Is_Ext=		False}', "");
Expect(1, 92995, '\P{Is_Ext=		False}', "");
Expect(0, 92995, '\P{^Is_Ext=		False}', "");
Error('\p{Extender=	 Yes:=}');
Error('\P{Extender=	 Yes:=}');
Expect(1, 92995, '\p{Extender=yes}', "");
Expect(0, 92995, '\p{^Extender=yes}', "");
Expect(0, 92995, '\P{Extender=yes}', "");
Expect(1, 92995, '\P{^Extender=yes}', "");
Expect(0, 92996, '\p{Extender=yes}', "");
Expect(1, 92996, '\p{^Extender=yes}', "");
Expect(1, 92996, '\P{Extender=yes}', "");
Expect(0, 92996, '\P{^Extender=yes}', "");
Expect(1, 92995, '\p{Extender= yes}', "");
Expect(0, 92995, '\p{^Extender= yes}', "");
Expect(0, 92995, '\P{Extender= yes}', "");
Expect(1, 92995, '\P{^Extender= yes}', "");
Expect(0, 92996, '\p{Extender= yes}', "");
Expect(1, 92996, '\p{^Extender= yes}', "");
Expect(1, 92996, '\P{Extender= yes}', "");
Expect(0, 92996, '\P{^Extender= yes}', "");
Error('\p{Ext= _Y:=}');
Error('\P{Ext= _Y:=}');
Expect(1, 92995, '\p{Ext:   y}', "");
Expect(0, 92995, '\p{^Ext:   y}', "");
Expect(0, 92995, '\P{Ext:   y}', "");
Expect(1, 92995, '\P{^Ext:   y}', "");
Expect(0, 92996, '\p{Ext:   y}', "");
Expect(1, 92996, '\p{^Ext:   y}', "");
Expect(1, 92996, '\P{Ext:   y}', "");
Expect(0, 92996, '\P{^Ext:   y}', "");
Expect(1, 92995, '\p{Ext=	_y}', "");
Expect(0, 92995, '\p{^Ext=	_y}', "");
Expect(0, 92995, '\P{Ext=	_y}', "");
Expect(1, 92995, '\P{^Ext=	_y}', "");
Expect(0, 92996, '\p{Ext=	_y}', "");
Expect(1, 92996, '\p{^Ext=	_y}', "");
Expect(1, 92996, '\P{Ext=	_y}', "");
Expect(0, 92996, '\P{^Ext=	_y}', "");
Error('\p{Is_Extender=	:=T}');
Error('\P{Is_Extender=	:=T}');
Expect(1, 92995, '\p{Is_Extender=t}', "");
Expect(0, 92995, '\p{^Is_Extender=t}', "");
Expect(0, 92995, '\P{Is_Extender=t}', "");
Expect(1, 92995, '\P{^Is_Extender=t}', "");
Expect(0, 92996, '\p{Is_Extender=t}', "");
Expect(1, 92996, '\p{^Is_Extender=t}', "");
Expect(1, 92996, '\P{Is_Extender=t}', "");
Expect(0, 92996, '\P{^Is_Extender=t}', "");
Expect(1, 92995, '\p{Is_Extender= T}', "");
Expect(0, 92995, '\p{^Is_Extender= T}', "");
Expect(0, 92995, '\P{Is_Extender= T}', "");
Expect(1, 92995, '\P{^Is_Extender= T}', "");
Expect(0, 92996, '\p{Is_Extender= T}', "");
Expect(1, 92996, '\p{^Is_Extender= T}', "");
Expect(1, 92996, '\P{Is_Extender= T}', "");
Expect(0, 92996, '\P{^Is_Extender= T}', "");
Error('\p{Is_Ext=/a/		True}');
Error('\P{Is_Ext=/a/		True}');
Expect(1, 92995, '\p{Is_Ext:	true}', "");
Expect(0, 92995, '\p{^Is_Ext:	true}', "");
Expect(0, 92995, '\P{Is_Ext:	true}', "");
Expect(1, 92995, '\P{^Is_Ext:	true}', "");
Expect(0, 92996, '\p{Is_Ext:	true}', "");
Expect(1, 92996, '\p{^Is_Ext:	true}', "");
Expect(1, 92996, '\P{Is_Ext:	true}', "");
Expect(0, 92996, '\P{^Is_Ext:	true}', "");
Expect(1, 92995, '\p{Is_Ext=		true}', "");
Expect(0, 92995, '\p{^Is_Ext=		true}', "");
Expect(0, 92995, '\P{Is_Ext=		true}', "");
Expect(1, 92995, '\P{^Is_Ext=		true}', "");
Expect(0, 92996, '\p{Is_Ext=		true}', "");
Expect(1, 92996, '\p{^Is_Ext=		true}', "");
Expect(1, 92996, '\P{Is_Ext=		true}', "");
Expect(0, 92996, '\P{^Is_Ext=		true}', "");
Error('\p{Grapheme_Cluster_Break=/a/	-Control}');
Error('\P{Grapheme_Cluster_Break=/a/	-Control}');
Expect(1, 921599, '\p{Grapheme_Cluster_Break=control}', "");
Expect(0, 921599, '\p{^Grapheme_Cluster_Break=control}', "");
Expect(0, 921599, '\P{Grapheme_Cluster_Break=control}', "");
Expect(1, 921599, '\P{^Grapheme_Cluster_Break=control}', "");
Expect(0, 921600, '\p{Grapheme_Cluster_Break=control}', "");
Expect(1, 921600, '\p{^Grapheme_Cluster_Break=control}', "");
Expect(1, 921600, '\P{Grapheme_Cluster_Break=control}', "");
Expect(0, 921600, '\P{^Grapheme_Cluster_Break=control}', "");
Expect(1, 921599, '\p{Grapheme_Cluster_Break=_-CONTROL}', "");
Expect(0, 921599, '\p{^Grapheme_Cluster_Break=_-CONTROL}', "");
Expect(0, 921599, '\P{Grapheme_Cluster_Break=_-CONTROL}', "");
Expect(1, 921599, '\P{^Grapheme_Cluster_Break=_-CONTROL}', "");
Expect(0, 921600, '\p{Grapheme_Cluster_Break=_-CONTROL}', "");
Expect(1, 921600, '\p{^Grapheme_Cluster_Break=_-CONTROL}', "");
Expect(1, 921600, '\P{Grapheme_Cluster_Break=_-CONTROL}', "");
Expect(0, 921600, '\P{^Grapheme_Cluster_Break=_-CONTROL}', "");
Error('\p{GCB=_/a/CN}');
Error('\P{GCB=_/a/CN}');
Expect(1, 921599, '\p{GCB:cn}', "");
Expect(0, 921599, '\p{^GCB:cn}', "");
Expect(0, 921599, '\P{GCB:cn}', "");
Expect(1, 921599, '\P{^GCB:cn}', "");
Expect(0, 921600, '\p{GCB:cn}', "");
Expect(1, 921600, '\p{^GCB:cn}', "");
Expect(1, 921600, '\P{GCB:cn}', "");
Expect(0, 921600, '\P{^GCB:cn}', "");
Expect(1, 921599, '\p{GCB=		CN}', "");
Expect(0, 921599, '\p{^GCB=		CN}', "");
Expect(0, 921599, '\P{GCB=		CN}', "");
Expect(1, 921599, '\P{^GCB=		CN}', "");
Expect(0, 921600, '\p{GCB=		CN}', "");
Expect(1, 921600, '\p{^GCB=		CN}', "");
Expect(1, 921600, '\P{GCB=		CN}', "");
Expect(0, 921600, '\P{^GCB=		CN}', "");
Error('\p{Is_Grapheme_Cluster_Break=-/a/Control}');
Error('\P{Is_Grapheme_Cluster_Break=-/a/Control}');
Expect(1, 921599, '\p{Is_Grapheme_Cluster_Break=control}', "");
Expect(0, 921599, '\p{^Is_Grapheme_Cluster_Break=control}', "");
Expect(0, 921599, '\P{Is_Grapheme_Cluster_Break=control}', "");
Expect(1, 921599, '\P{^Is_Grapheme_Cluster_Break=control}', "");
Expect(0, 921600, '\p{Is_Grapheme_Cluster_Break=control}', "");
Expect(1, 921600, '\p{^Is_Grapheme_Cluster_Break=control}', "");
Expect(1, 921600, '\P{Is_Grapheme_Cluster_Break=control}', "");
Expect(0, 921600, '\P{^Is_Grapheme_Cluster_Break=control}', "");
Expect(1, 921599, '\p{Is_Grapheme_Cluster_Break=	control}', "");
Expect(0, 921599, '\p{^Is_Grapheme_Cluster_Break=	control}', "");
Expect(0, 921599, '\P{Is_Grapheme_Cluster_Break=	control}', "");
Expect(1, 921599, '\P{^Is_Grapheme_Cluster_Break=	control}', "");
Expect(0, 921600, '\p{Is_Grapheme_Cluster_Break=	control}', "");
Expect(1, 921600, '\p{^Is_Grapheme_Cluster_Break=	control}', "");
Expect(1, 921600, '\P{Is_Grapheme_Cluster_Break=	control}', "");
Expect(0, 921600, '\P{^Is_Grapheme_Cluster_Break=	control}', "");
Error('\p{Is_GCB:	- CN/a/}');
Error('\P{Is_GCB:	- CN/a/}');
Expect(1, 921599, '\p{Is_GCB=cn}', "");
Expect(0, 921599, '\p{^Is_GCB=cn}', "");
Expect(0, 921599, '\P{Is_GCB=cn}', "");
Expect(1, 921599, '\P{^Is_GCB=cn}', "");
Expect(0, 921600, '\p{Is_GCB=cn}', "");
Expect(1, 921600, '\p{^Is_GCB=cn}', "");
Expect(1, 921600, '\P{Is_GCB=cn}', "");
Expect(0, 921600, '\P{^Is_GCB=cn}', "");
Expect(1, 921599, '\p{Is_GCB=	cn}', "");
Expect(0, 921599, '\p{^Is_GCB=	cn}', "");
Expect(0, 921599, '\P{Is_GCB=	cn}', "");
Expect(1, 921599, '\P{^Is_GCB=	cn}', "");
Expect(0, 921600, '\p{Is_GCB=	cn}', "");
Expect(1, 921600, '\p{^Is_GCB=	cn}', "");
Expect(1, 921600, '\P{Is_GCB=	cn}', "");
Expect(0, 921600, '\P{^Is_GCB=	cn}', "");
Error('\p{Grapheme_Cluster_Break=/a/ _CR}');
Error('\P{Grapheme_Cluster_Break=/a/ _CR}');
Expect(1, 13, '\p{Grapheme_Cluster_Break=cr}', "");
Expect(0, 13, '\p{^Grapheme_Cluster_Break=cr}', "");
Expect(0, 13, '\P{Grapheme_Cluster_Break=cr}', "");
Expect(1, 13, '\P{^Grapheme_Cluster_Break=cr}', "");
Expect(0, 14, '\p{Grapheme_Cluster_Break=cr}', "");
Expect(1, 14, '\p{^Grapheme_Cluster_Break=cr}', "");
Expect(1, 14, '\P{Grapheme_Cluster_Break=cr}', "");
Expect(0, 14, '\P{^Grapheme_Cluster_Break=cr}', "");
Expect(1, 13, '\p{Grapheme_Cluster_Break= CR}', "");
Expect(0, 13, '\p{^Grapheme_Cluster_Break= CR}', "");
Expect(0, 13, '\P{Grapheme_Cluster_Break= CR}', "");
Expect(1, 13, '\P{^Grapheme_Cluster_Break= CR}', "");
Expect(0, 14, '\p{Grapheme_Cluster_Break= CR}', "");
Expect(1, 14, '\p{^Grapheme_Cluster_Break= CR}', "");
Expect(1, 14, '\P{Grapheme_Cluster_Break= CR}', "");
Expect(0, 14, '\P{^Grapheme_Cluster_Break= CR}', "");
Error('\p{GCB=:=	 CR}');
Error('\P{GCB=:=	 CR}');
Expect(1, 13, '\p{GCB=cr}', "");
Expect(0, 13, '\p{^GCB=cr}', "");
Expect(0, 13, '\P{GCB=cr}', "");
Expect(1, 13, '\P{^GCB=cr}', "");
Expect(0, 14, '\p{GCB=cr}', "");
Expect(1, 14, '\p{^GCB=cr}', "");
Expect(1, 14, '\P{GCB=cr}', "");
Expect(0, 14, '\P{^GCB=cr}', "");
Expect(1, 13, '\p{GCB= 	CR}', "");
Expect(0, 13, '\p{^GCB= 	CR}', "");
Expect(0, 13, '\P{GCB= 	CR}', "");
Expect(1, 13, '\P{^GCB= 	CR}', "");
Expect(0, 14, '\p{GCB= 	CR}', "");
Expect(1, 14, '\p{^GCB= 	CR}', "");
Expect(1, 14, '\P{GCB= 	CR}', "");
Expect(0, 14, '\P{^GCB= 	CR}', "");
Error('\p{Is_Grapheme_Cluster_Break=	-cr/a/}');
Error('\P{Is_Grapheme_Cluster_Break=	-cr/a/}');
Expect(1, 13, '\p{Is_Grapheme_Cluster_Break=cr}', "");
Expect(0, 13, '\p{^Is_Grapheme_Cluster_Break=cr}', "");
Expect(0, 13, '\P{Is_Grapheme_Cluster_Break=cr}', "");
Expect(1, 13, '\P{^Is_Grapheme_Cluster_Break=cr}', "");
Expect(0, 14, '\p{Is_Grapheme_Cluster_Break=cr}', "");
Expect(1, 14, '\p{^Is_Grapheme_Cluster_Break=cr}', "");
Expect(1, 14, '\P{Is_Grapheme_Cluster_Break=cr}', "");
Expect(0, 14, '\P{^Is_Grapheme_Cluster_Break=cr}', "");
Expect(1, 13, '\p{Is_Grapheme_Cluster_Break=-CR}', "");
Expect(0, 13, '\p{^Is_Grapheme_Cluster_Break=-CR}', "");
Expect(0, 13, '\P{Is_Grapheme_Cluster_Break=-CR}', "");
Expect(1, 13, '\P{^Is_Grapheme_Cluster_Break=-CR}', "");
Expect(0, 14, '\p{Is_Grapheme_Cluster_Break=-CR}', "");
Expect(1, 14, '\p{^Is_Grapheme_Cluster_Break=-CR}', "");
Expect(1, 14, '\P{Is_Grapheme_Cluster_Break=-CR}', "");
Expect(0, 14, '\P{^Is_Grapheme_Cluster_Break=-CR}', "");
Error('\p{Is_GCB= -cr/a/}');
Error('\P{Is_GCB= -cr/a/}');
Expect(1, 13, '\p{Is_GCB=cr}', "");
Expect(0, 13, '\p{^Is_GCB=cr}', "");
Expect(0, 13, '\P{Is_GCB=cr}', "");
Expect(1, 13, '\P{^Is_GCB=cr}', "");
Expect(0, 14, '\p{Is_GCB=cr}', "");
Expect(1, 14, '\p{^Is_GCB=cr}', "");
Expect(1, 14, '\P{Is_GCB=cr}', "");
Expect(0, 14, '\P{^Is_GCB=cr}', "");
Expect(1, 13, '\p{Is_GCB= 	cr}', "");
Expect(0, 13, '\p{^Is_GCB= 	cr}', "");
Expect(0, 13, '\P{Is_GCB= 	cr}', "");
Expect(1, 13, '\P{^Is_GCB= 	cr}', "");
Expect(0, 14, '\p{Is_GCB= 	cr}', "");
Expect(1, 14, '\p{^Is_GCB= 	cr}', "");
Expect(1, 14, '\P{Is_GCB= 	cr}', "");
Expect(0, 14, '\P{^Is_GCB= 	cr}', "");
Error('\p{Grapheme_Cluster_Break=_extend:=}');
Error('\P{Grapheme_Cluster_Break=_extend:=}');
Expect(1, 917999, '\p{Grapheme_Cluster_Break:	extend}', "");
Expect(0, 917999, '\p{^Grapheme_Cluster_Break:	extend}', "");
Expect(0, 917999, '\P{Grapheme_Cluster_Break:	extend}', "");
Expect(1, 917999, '\P{^Grapheme_Cluster_Break:	extend}', "");
Expect(0, 918000, '\p{Grapheme_Cluster_Break:	extend}', "");
Expect(1, 918000, '\p{^Grapheme_Cluster_Break:	extend}', "");
Expect(1, 918000, '\P{Grapheme_Cluster_Break:	extend}', "");
Expect(0, 918000, '\P{^Grapheme_Cluster_Break:	extend}', "");
Expect(1, 917999, '\p{Grapheme_Cluster_Break=  EXTEND}', "");
Expect(0, 917999, '\p{^Grapheme_Cluster_Break=  EXTEND}', "");
Expect(0, 917999, '\P{Grapheme_Cluster_Break=  EXTEND}', "");
Expect(1, 917999, '\P{^Grapheme_Cluster_Break=  EXTEND}', "");
Expect(0, 918000, '\p{Grapheme_Cluster_Break=  EXTEND}', "");
Expect(1, 918000, '\p{^Grapheme_Cluster_Break=  EXTEND}', "");
Expect(1, 918000, '\P{Grapheme_Cluster_Break=  EXTEND}', "");
Expect(0, 918000, '\P{^Grapheme_Cluster_Break=  EXTEND}', "");
Error('\p{GCB=:= EX}');
Error('\P{GCB=:= EX}');
Expect(1, 917999, '\p{GCB=ex}', "");
Expect(0, 917999, '\p{^GCB=ex}', "");
Expect(0, 917999, '\P{GCB=ex}', "");
Expect(1, 917999, '\P{^GCB=ex}', "");
Expect(0, 918000, '\p{GCB=ex}', "");
Expect(1, 918000, '\p{^GCB=ex}', "");
Expect(1, 918000, '\P{GCB=ex}', "");
Expect(0, 918000, '\P{^GCB=ex}', "");
Expect(1, 917999, '\p{GCB:	 EX}', "");
Expect(0, 917999, '\p{^GCB:	 EX}', "");
Expect(0, 917999, '\P{GCB:	 EX}', "");
Expect(1, 917999, '\P{^GCB:	 EX}', "");
Expect(0, 918000, '\p{GCB:	 EX}', "");
Expect(1, 918000, '\p{^GCB:	 EX}', "");
Expect(1, 918000, '\P{GCB:	 EX}', "");
Expect(0, 918000, '\P{^GCB:	 EX}', "");
Error('\p{Is_Grapheme_Cluster_Break=:=	_extend}');
Error('\P{Is_Grapheme_Cluster_Break=:=	_extend}');
Expect(1, 917999, '\p{Is_Grapheme_Cluster_Break:	extend}', "");
Expect(0, 917999, '\p{^Is_Grapheme_Cluster_Break:	extend}', "");
Expect(0, 917999, '\P{Is_Grapheme_Cluster_Break:	extend}', "");
Expect(1, 917999, '\P{^Is_Grapheme_Cluster_Break:	extend}', "");
Expect(0, 918000, '\p{Is_Grapheme_Cluster_Break:	extend}', "");
Expect(1, 918000, '\p{^Is_Grapheme_Cluster_Break:	extend}', "");
Expect(1, 918000, '\P{Is_Grapheme_Cluster_Break:	extend}', "");
Expect(0, 918000, '\P{^Is_Grapheme_Cluster_Break:	extend}', "");
Expect(1, 917999, '\p{Is_Grapheme_Cluster_Break=	 EXTEND}', "");
Expect(0, 917999, '\p{^Is_Grapheme_Cluster_Break=	 EXTEND}', "");
Expect(0, 917999, '\P{Is_Grapheme_Cluster_Break=	 EXTEND}', "");
Expect(1, 917999, '\P{^Is_Grapheme_Cluster_Break=	 EXTEND}', "");
Expect(0, 918000, '\p{Is_Grapheme_Cluster_Break=	 EXTEND}', "");
Expect(1, 918000, '\p{^Is_Grapheme_Cluster_Break=	 EXTEND}', "");
Expect(1, 918000, '\P{Is_Grapheme_Cluster_Break=	 EXTEND}', "");
Expect(0, 918000, '\P{^Is_Grapheme_Cluster_Break=	 EXTEND}', "");
Error('\p{Is_GCB=:= 	EX}');
Error('\P{Is_GCB=:= 	EX}');
Expect(1, 917999, '\p{Is_GCB=ex}', "");
Expect(0, 917999, '\p{^Is_GCB=ex}', "");
Expect(0, 917999, '\P{Is_GCB=ex}', "");
Expect(1, 917999, '\P{^Is_GCB=ex}', "");
Expect(0, 918000, '\p{Is_GCB=ex}', "");
Expect(1, 918000, '\p{^Is_GCB=ex}', "");
Expect(1, 918000, '\P{Is_GCB=ex}', "");
Expect(0, 918000, '\P{^Is_GCB=ex}', "");
Expect(1, 917999, '\p{Is_GCB=- EX}', "");
Expect(0, 917999, '\p{^Is_GCB=- EX}', "");
Expect(0, 917999, '\P{Is_GCB=- EX}', "");
Expect(1, 917999, '\P{^Is_GCB=- EX}', "");
Expect(0, 918000, '\p{Is_GCB=- EX}', "");
Expect(1, 918000, '\p{^Is_GCB=- EX}', "");
Expect(1, 918000, '\P{Is_GCB=- EX}', "");
Expect(0, 918000, '\P{^Is_GCB=- EX}', "");
Error('\p{Grapheme_Cluster_Break=	l/a/}');
Error('\P{Grapheme_Cluster_Break=	l/a/}');
Expect(1, 43388, '\p{Grapheme_Cluster_Break=l}', "");
Expect(0, 43388, '\p{^Grapheme_Cluster_Break=l}', "");
Expect(0, 43388, '\P{Grapheme_Cluster_Break=l}', "");
Expect(1, 43388, '\P{^Grapheme_Cluster_Break=l}', "");
Expect(0, 43389, '\p{Grapheme_Cluster_Break=l}', "");
Expect(1, 43389, '\p{^Grapheme_Cluster_Break=l}', "");
Expect(1, 43389, '\P{Grapheme_Cluster_Break=l}', "");
Expect(0, 43389, '\P{^Grapheme_Cluster_Break=l}', "");
Expect(1, 43388, '\p{Grapheme_Cluster_Break=__L}', "");
Expect(0, 43388, '\p{^Grapheme_Cluster_Break=__L}', "");
Expect(0, 43388, '\P{Grapheme_Cluster_Break=__L}', "");
Expect(1, 43388, '\P{^Grapheme_Cluster_Break=__L}', "");
Expect(0, 43389, '\p{Grapheme_Cluster_Break=__L}', "");
Expect(1, 43389, '\p{^Grapheme_Cluster_Break=__L}', "");
Expect(1, 43389, '\P{Grapheme_Cluster_Break=__L}', "");
Expect(0, 43389, '\P{^Grapheme_Cluster_Break=__L}', "");
Error('\p{GCB=  L:=}');
Error('\P{GCB=  L:=}');
Expect(1, 43388, '\p{GCB=l}', "");
Expect(0, 43388, '\p{^GCB=l}', "");
Expect(0, 43388, '\P{GCB=l}', "");
Expect(1, 43388, '\P{^GCB=l}', "");
Expect(0, 43389, '\p{GCB=l}', "");
Expect(1, 43389, '\p{^GCB=l}', "");
Expect(1, 43389, '\P{GCB=l}', "");
Expect(0, 43389, '\P{^GCB=l}', "");
Expect(1, 43388, '\p{GCB= -L}', "");
Expect(0, 43388, '\p{^GCB= -L}', "");
Expect(0, 43388, '\P{GCB= -L}', "");
Expect(1, 43388, '\P{^GCB= -L}', "");
Expect(0, 43389, '\p{GCB= -L}', "");
Expect(1, 43389, '\p{^GCB= -L}', "");
Expect(1, 43389, '\P{GCB= -L}', "");
Expect(0, 43389, '\P{^GCB= -L}', "");
Error('\p{Is_Grapheme_Cluster_Break:	  l:=}');
Error('\P{Is_Grapheme_Cluster_Break:	  l:=}');
Expect(1, 43388, '\p{Is_Grapheme_Cluster_Break=l}', "");
Expect(0, 43388, '\p{^Is_Grapheme_Cluster_Break=l}', "");
Expect(0, 43388, '\P{Is_Grapheme_Cluster_Break=l}', "");
Expect(1, 43388, '\P{^Is_Grapheme_Cluster_Break=l}', "");
Expect(0, 43389, '\p{Is_Grapheme_Cluster_Break=l}', "");
Expect(1, 43389, '\p{^Is_Grapheme_Cluster_Break=l}', "");
Expect(1, 43389, '\P{Is_Grapheme_Cluster_Break=l}', "");
Expect(0, 43389, '\P{^Is_Grapheme_Cluster_Break=l}', "");
Expect(1, 43388, '\p{Is_Grapheme_Cluster_Break=L}', "");
Expect(0, 43388, '\p{^Is_Grapheme_Cluster_Break=L}', "");
Expect(0, 43388, '\P{Is_Grapheme_Cluster_Break=L}', "");
Expect(1, 43388, '\P{^Is_Grapheme_Cluster_Break=L}', "");
Expect(0, 43389, '\p{Is_Grapheme_Cluster_Break=L}', "");
Expect(1, 43389, '\p{^Is_Grapheme_Cluster_Break=L}', "");
Expect(1, 43389, '\P{Is_Grapheme_Cluster_Break=L}', "");
Expect(0, 43389, '\P{^Is_Grapheme_Cluster_Break=L}', "");
Error('\p{Is_GCB=	_L:=}');
Error('\P{Is_GCB=	_L:=}');
Expect(1, 43388, '\p{Is_GCB=l}', "");
Expect(0, 43388, '\p{^Is_GCB=l}', "");
Expect(0, 43388, '\P{Is_GCB=l}', "");
Expect(1, 43388, '\P{^Is_GCB=l}', "");
Expect(0, 43389, '\p{Is_GCB=l}', "");
Expect(1, 43389, '\p{^Is_GCB=l}', "");
Expect(1, 43389, '\P{Is_GCB=l}', "");
Expect(0, 43389, '\P{^Is_GCB=l}', "");
Expect(1, 43388, '\p{Is_GCB=-_L}', "");
Expect(0, 43388, '\p{^Is_GCB=-_L}', "");
Expect(0, 43388, '\P{Is_GCB=-_L}', "");
Expect(1, 43388, '\P{^Is_GCB=-_L}', "");
Expect(0, 43389, '\p{Is_GCB=-_L}', "");
Expect(1, 43389, '\p{^Is_GCB=-_L}', "");
Expect(1, 43389, '\P{Is_GCB=-_L}', "");
Expect(0, 43389, '\P{^Is_GCB=-_L}', "");
Error('\p{Grapheme_Cluster_Break:  LF:=}');
Error('\P{Grapheme_Cluster_Break:  LF:=}');
Expect(1, 10, '\p{Grapheme_Cluster_Break=lf}', "");
Expect(0, 10, '\p{^Grapheme_Cluster_Break=lf}', "");
Expect(0, 10, '\P{Grapheme_Cluster_Break=lf}', "");
Expect(1, 10, '\P{^Grapheme_Cluster_Break=lf}', "");
Expect(0, 11, '\p{Grapheme_Cluster_Break=lf}', "");
Expect(1, 11, '\p{^Grapheme_Cluster_Break=lf}', "");
Expect(1, 11, '\P{Grapheme_Cluster_Break=lf}', "");
Expect(0, 11, '\P{^Grapheme_Cluster_Break=lf}', "");
Expect(1, 10, '\p{Grapheme_Cluster_Break=__LF}', "");
Expect(0, 10, '\p{^Grapheme_Cluster_Break=__LF}', "");
Expect(0, 10, '\P{Grapheme_Cluster_Break=__LF}', "");
Expect(1, 10, '\P{^Grapheme_Cluster_Break=__LF}', "");
Expect(0, 11, '\p{Grapheme_Cluster_Break=__LF}', "");
Expect(1, 11, '\p{^Grapheme_Cluster_Break=__LF}', "");
Expect(1, 11, '\P{Grapheme_Cluster_Break=__LF}', "");
Expect(0, 11, '\P{^Grapheme_Cluster_Break=__LF}', "");
Error('\p{GCB= :=lf}');
Error('\P{GCB= :=lf}');
Expect(1, 10, '\p{GCB:   lf}', "");
Expect(0, 10, '\p{^GCB:   lf}', "");
Expect(0, 10, '\P{GCB:   lf}', "");
Expect(1, 10, '\P{^GCB:   lf}', "");
Expect(0, 11, '\p{GCB:   lf}', "");
Expect(1, 11, '\p{^GCB:   lf}', "");
Expect(1, 11, '\P{GCB:   lf}', "");
Expect(0, 11, '\P{^GCB:   lf}', "");
Expect(1, 10, '\p{GCB=	_LF}', "");
Expect(0, 10, '\p{^GCB=	_LF}', "");
Expect(0, 10, '\P{GCB=	_LF}', "");
Expect(1, 10, '\P{^GCB=	_LF}', "");
Expect(0, 11, '\p{GCB=	_LF}', "");
Expect(1, 11, '\p{^GCB=	_LF}', "");
Expect(1, 11, '\P{GCB=	_LF}', "");
Expect(0, 11, '\P{^GCB=	_LF}', "");
Error('\p{Is_Grapheme_Cluster_Break=	-LF/a/}');
Error('\P{Is_Grapheme_Cluster_Break=	-LF/a/}');
Expect(1, 10, '\p{Is_Grapheme_Cluster_Break=lf}', "");
Expect(0, 10, '\p{^Is_Grapheme_Cluster_Break=lf}', "");
Expect(0, 10, '\P{Is_Grapheme_Cluster_Break=lf}', "");
Expect(1, 10, '\P{^Is_Grapheme_Cluster_Break=lf}', "");
Expect(0, 11, '\p{Is_Grapheme_Cluster_Break=lf}', "");
Expect(1, 11, '\p{^Is_Grapheme_Cluster_Break=lf}', "");
Expect(1, 11, '\P{Is_Grapheme_Cluster_Break=lf}', "");
Expect(0, 11, '\P{^Is_Grapheme_Cluster_Break=lf}', "");
Expect(1, 10, '\p{Is_Grapheme_Cluster_Break=	_LF}', "");
Expect(0, 10, '\p{^Is_Grapheme_Cluster_Break=	_LF}', "");
Expect(0, 10, '\P{Is_Grapheme_Cluster_Break=	_LF}', "");
Expect(1, 10, '\P{^Is_Grapheme_Cluster_Break=	_LF}', "");
Expect(0, 11, '\p{Is_Grapheme_Cluster_Break=	_LF}', "");
Expect(1, 11, '\p{^Is_Grapheme_Cluster_Break=	_LF}', "");
Expect(1, 11, '\P{Is_Grapheme_Cluster_Break=	_LF}', "");
Expect(0, 11, '\P{^Is_Grapheme_Cluster_Break=	_LF}', "");
Error('\p{Is_GCB::=	lf}');
Error('\P{Is_GCB::=	lf}');
Expect(1, 10, '\p{Is_GCB: lf}', "");
Expect(0, 10, '\p{^Is_GCB: lf}', "");
Expect(0, 10, '\P{Is_GCB: lf}', "");
Expect(1, 10, '\P{^Is_GCB: lf}', "");
Expect(0, 11, '\p{Is_GCB: lf}', "");
Expect(1, 11, '\p{^Is_GCB: lf}', "");
Expect(1, 11, '\P{Is_GCB: lf}', "");
Expect(0, 11, '\P{^Is_GCB: lf}', "");
Expect(1, 10, '\p{Is_GCB= LF}', "");
Expect(0, 10, '\p{^Is_GCB= LF}', "");
Expect(0, 10, '\P{Is_GCB= LF}', "");
Expect(1, 10, '\P{^Is_GCB= LF}', "");
Expect(0, 11, '\p{Is_GCB= LF}', "");
Expect(1, 11, '\p{^Is_GCB= LF}', "");
Expect(1, 11, '\P{Is_GCB= LF}', "");
Expect(0, 11, '\P{^Is_GCB= LF}', "");
Error('\p{Grapheme_Cluster_Break=  lv/a/}');
Error('\P{Grapheme_Cluster_Break=  lv/a/}');
Expect(1, 55176, '\p{Grapheme_Cluster_Break=lv}', "");
Expect(0, 55176, '\p{^Grapheme_Cluster_Break=lv}', "");
Expect(0, 55176, '\P{Grapheme_Cluster_Break=lv}', "");
Expect(1, 55176, '\P{^Grapheme_Cluster_Break=lv}', "");
Expect(0, 55177, '\p{Grapheme_Cluster_Break=lv}', "");
Expect(1, 55177, '\p{^Grapheme_Cluster_Break=lv}', "");
Expect(1, 55177, '\P{Grapheme_Cluster_Break=lv}', "");
Expect(0, 55177, '\P{^Grapheme_Cluster_Break=lv}', "");
Expect(1, 55176, '\p{Grapheme_Cluster_Break:	-LV}', "");
Expect(0, 55176, '\p{^Grapheme_Cluster_Break:	-LV}', "");
Expect(0, 55176, '\P{Grapheme_Cluster_Break:	-LV}', "");
Expect(1, 55176, '\P{^Grapheme_Cluster_Break:	-LV}', "");
Expect(0, 55177, '\p{Grapheme_Cluster_Break:	-LV}', "");
Expect(1, 55177, '\p{^Grapheme_Cluster_Break:	-LV}', "");
Expect(1, 55177, '\P{Grapheme_Cluster_Break:	-LV}', "");
Expect(0, 55177, '\P{^Grapheme_Cluster_Break:	-LV}', "");
Error('\p{GCB=	LV:=}');
Error('\P{GCB=	LV:=}');
Expect(1, 55176, '\p{GCB: lv}', "");
Expect(0, 55176, '\p{^GCB: lv}', "");
Expect(0, 55176, '\P{GCB: lv}', "");
Expect(1, 55176, '\P{^GCB: lv}', "");
Expect(0, 55177, '\p{GCB: lv}', "");
Expect(1, 55177, '\p{^GCB: lv}', "");
Expect(1, 55177, '\P{GCB: lv}', "");
Expect(0, 55177, '\P{^GCB: lv}', "");
Expect(1, 55176, '\p{GCB=_ lv}', "");
Expect(0, 55176, '\p{^GCB=_ lv}', "");
Expect(0, 55176, '\P{GCB=_ lv}', "");
Expect(1, 55176, '\P{^GCB=_ lv}', "");
Expect(0, 55177, '\p{GCB=_ lv}', "");
Expect(1, 55177, '\p{^GCB=_ lv}', "");
Expect(1, 55177, '\P{GCB=_ lv}', "");
Expect(0, 55177, '\P{^GCB=_ lv}', "");
Error('\p{Is_Grapheme_Cluster_Break=:=- LV}');
Error('\P{Is_Grapheme_Cluster_Break=:=- LV}');
Expect(1, 55176, '\p{Is_Grapheme_Cluster_Break=lv}', "");
Expect(0, 55176, '\p{^Is_Grapheme_Cluster_Break=lv}', "");
Expect(0, 55176, '\P{Is_Grapheme_Cluster_Break=lv}', "");
Expect(1, 55176, '\P{^Is_Grapheme_Cluster_Break=lv}', "");
Expect(0, 55177, '\p{Is_Grapheme_Cluster_Break=lv}', "");
Expect(1, 55177, '\p{^Is_Grapheme_Cluster_Break=lv}', "");
Expect(1, 55177, '\P{Is_Grapheme_Cluster_Break=lv}', "");
Expect(0, 55177, '\P{^Is_Grapheme_Cluster_Break=lv}', "");
Expect(1, 55176, '\p{Is_Grapheme_Cluster_Break=-LV}', "");
Expect(0, 55176, '\p{^Is_Grapheme_Cluster_Break=-LV}', "");
Expect(0, 55176, '\P{Is_Grapheme_Cluster_Break=-LV}', "");
Expect(1, 55176, '\P{^Is_Grapheme_Cluster_Break=-LV}', "");
Expect(0, 55177, '\p{Is_Grapheme_Cluster_Break=-LV}', "");
Expect(1, 55177, '\p{^Is_Grapheme_Cluster_Break=-LV}', "");
Expect(1, 55177, '\P{Is_Grapheme_Cluster_Break=-LV}', "");
Expect(0, 55177, '\P{^Is_Grapheme_Cluster_Break=-LV}', "");
Error('\p{Is_GCB=_	LV:=}');
Error('\P{Is_GCB=_	LV:=}');
Expect(1, 55176, '\p{Is_GCB=lv}', "");
Expect(0, 55176, '\p{^Is_GCB=lv}', "");
Expect(0, 55176, '\P{Is_GCB=lv}', "");
Expect(1, 55176, '\P{^Is_GCB=lv}', "");
Expect(0, 55177, '\p{Is_GCB=lv}', "");
Expect(1, 55177, '\p{^Is_GCB=lv}', "");
Expect(1, 55177, '\P{Is_GCB=lv}', "");
Expect(0, 55177, '\P{^Is_GCB=lv}', "");
Expect(1, 55176, '\p{Is_GCB=	_lv}', "");
Expect(0, 55176, '\p{^Is_GCB=	_lv}', "");
Expect(0, 55176, '\P{Is_GCB=	_lv}', "");
Expect(1, 55176, '\P{^Is_GCB=	_lv}', "");
Expect(0, 55177, '\p{Is_GCB=	_lv}', "");
Expect(1, 55177, '\p{^Is_GCB=	_lv}', "");
Expect(1, 55177, '\P{Is_GCB=	_lv}', "");
Expect(0, 55177, '\P{^Is_GCB=	_lv}', "");
Error('\p{Grapheme_Cluster_Break=__lvt/a/}');
Error('\P{Grapheme_Cluster_Break=__lvt/a/}');
Expect(1, 55203, '\p{Grapheme_Cluster_Break=lvt}', "");
Expect(0, 55203, '\p{^Grapheme_Cluster_Break=lvt}', "");
Expect(0, 55203, '\P{Grapheme_Cluster_Break=lvt}', "");
Expect(1, 55203, '\P{^Grapheme_Cluster_Break=lvt}', "");
Expect(0, 55204, '\p{Grapheme_Cluster_Break=lvt}', "");
Expect(1, 55204, '\p{^Grapheme_Cluster_Break=lvt}', "");
Expect(1, 55204, '\P{Grapheme_Cluster_Break=lvt}', "");
Expect(0, 55204, '\P{^Grapheme_Cluster_Break=lvt}', "");
Expect(1, 55203, '\p{Grapheme_Cluster_Break=	 lvt}', "");
Expect(0, 55203, '\p{^Grapheme_Cluster_Break=	 lvt}', "");
Expect(0, 55203, '\P{Grapheme_Cluster_Break=	 lvt}', "");
Expect(1, 55203, '\P{^Grapheme_Cluster_Break=	 lvt}', "");
Expect(0, 55204, '\p{Grapheme_Cluster_Break=	 lvt}', "");
Expect(1, 55204, '\p{^Grapheme_Cluster_Break=	 lvt}', "");
Expect(1, 55204, '\P{Grapheme_Cluster_Break=	 lvt}', "");
Expect(0, 55204, '\P{^Grapheme_Cluster_Break=	 lvt}', "");
Error('\p{GCB= LVT/a/}');
Error('\P{GCB= LVT/a/}');
Expect(1, 55203, '\p{GCB=lvt}', "");
Expect(0, 55203, '\p{^GCB=lvt}', "");
Expect(0, 55203, '\P{GCB=lvt}', "");
Expect(1, 55203, '\P{^GCB=lvt}', "");
Expect(0, 55204, '\p{GCB=lvt}', "");
Expect(1, 55204, '\p{^GCB=lvt}', "");
Expect(1, 55204, '\P{GCB=lvt}', "");
Expect(0, 55204, '\P{^GCB=lvt}', "");
Expect(1, 55203, '\p{GCB=_ LVT}', "");
Expect(0, 55203, '\p{^GCB=_ LVT}', "");
Expect(0, 55203, '\P{GCB=_ LVT}', "");
Expect(1, 55203, '\P{^GCB=_ LVT}', "");
Expect(0, 55204, '\p{GCB=_ LVT}', "");
Expect(1, 55204, '\p{^GCB=_ LVT}', "");
Expect(1, 55204, '\P{GCB=_ LVT}', "");
Expect(0, 55204, '\P{^GCB=_ LVT}', "");
Error('\p{Is_Grapheme_Cluster_Break=--LVT/a/}');
Error('\P{Is_Grapheme_Cluster_Break=--LVT/a/}');
Expect(1, 55203, '\p{Is_Grapheme_Cluster_Break: lvt}', "");
Expect(0, 55203, '\p{^Is_Grapheme_Cluster_Break: lvt}', "");
Expect(0, 55203, '\P{Is_Grapheme_Cluster_Break: lvt}', "");
Expect(1, 55203, '\P{^Is_Grapheme_Cluster_Break: lvt}', "");
Expect(0, 55204, '\p{Is_Grapheme_Cluster_Break: lvt}', "");
Expect(1, 55204, '\p{^Is_Grapheme_Cluster_Break: lvt}', "");
Expect(1, 55204, '\P{Is_Grapheme_Cluster_Break: lvt}', "");
Expect(0, 55204, '\P{^Is_Grapheme_Cluster_Break: lvt}', "");
Expect(1, 55203, '\p{Is_Grapheme_Cluster_Break:   - LVT}', "");
Expect(0, 55203, '\p{^Is_Grapheme_Cluster_Break:   - LVT}', "");
Expect(0, 55203, '\P{Is_Grapheme_Cluster_Break:   - LVT}', "");
Expect(1, 55203, '\P{^Is_Grapheme_Cluster_Break:   - LVT}', "");
Expect(0, 55204, '\p{Is_Grapheme_Cluster_Break:   - LVT}', "");
Expect(1, 55204, '\p{^Is_Grapheme_Cluster_Break:   - LVT}', "");
Expect(1, 55204, '\P{Is_Grapheme_Cluster_Break:   - LVT}', "");
Expect(0, 55204, '\P{^Is_Grapheme_Cluster_Break:   - LVT}', "");
Error('\p{Is_GCB=-:=LVT}');
Error('\P{Is_GCB=-:=LVT}');
Expect(1, 55203, '\p{Is_GCB=lvt}', "");
Expect(0, 55203, '\p{^Is_GCB=lvt}', "");
Expect(0, 55203, '\P{Is_GCB=lvt}', "");
Expect(1, 55203, '\P{^Is_GCB=lvt}', "");
Expect(0, 55204, '\p{Is_GCB=lvt}', "");
Expect(1, 55204, '\p{^Is_GCB=lvt}', "");
Expect(1, 55204, '\P{Is_GCB=lvt}', "");
Expect(0, 55204, '\P{^Is_GCB=lvt}', "");
Expect(1, 55203, '\p{Is_GCB=-_lvt}', "");
Expect(0, 55203, '\p{^Is_GCB=-_lvt}', "");
Expect(0, 55203, '\P{Is_GCB=-_lvt}', "");
Expect(1, 55203, '\P{^Is_GCB=-_lvt}', "");
Expect(0, 55204, '\p{Is_GCB=-_lvt}', "");
Expect(1, 55204, '\p{^Is_GCB=-_lvt}', "");
Expect(1, 55204, '\P{Is_GCB=-_lvt}', "");
Expect(0, 55204, '\P{^Is_GCB=-_lvt}', "");
Error('\p{Grapheme_Cluster_Break=:=_ Prepend}');
Error('\P{Grapheme_Cluster_Break=:=_ Prepend}');
Expect(0, 1, '\p{Grapheme_Cluster_Break=prepend}', "");
Expect(1, 1, '\p{^Grapheme_Cluster_Break=prepend}', "");
Expect(1, 1, '\P{Grapheme_Cluster_Break=prepend}', "");
Expect(0, 1, '\P{^Grapheme_Cluster_Break=prepend}', "");
Expect(0, 1, '\p{Grapheme_Cluster_Break= 	PREPEND}', "");
Expect(1, 1, '\p{^Grapheme_Cluster_Break= 	PREPEND}', "");
Expect(1, 1, '\P{Grapheme_Cluster_Break= 	PREPEND}', "");
Expect(0, 1, '\P{^Grapheme_Cluster_Break= 	PREPEND}', "");
Error('\p{GCB:- PP/a/}');
Error('\P{GCB:- PP/a/}');
Expect(0, 1, '\p{GCB=pp}', "");
Expect(1, 1, '\p{^GCB=pp}', "");
Expect(1, 1, '\P{GCB=pp}', "");
Expect(0, 1, '\P{^GCB=pp}', "");
Expect(0, 1, '\p{GCB=_PP}', "");
Expect(1, 1, '\p{^GCB=_PP}', "");
Expect(1, 1, '\P{GCB=_PP}', "");
Expect(0, 1, '\P{^GCB=_PP}', "");
Error('\p{Is_Grapheme_Cluster_Break=:=-_prepend}');
Error('\P{Is_Grapheme_Cluster_Break=:=-_prepend}');
Expect(0, 1, '\p{Is_Grapheme_Cluster_Break=prepend}', "");
Expect(1, 1, '\p{^Is_Grapheme_Cluster_Break=prepend}', "");
Expect(1, 1, '\P{Is_Grapheme_Cluster_Break=prepend}', "");
Expect(0, 1, '\P{^Is_Grapheme_Cluster_Break=prepend}', "");
Expect(0, 1, '\p{Is_Grapheme_Cluster_Break=-_Prepend}', "");
Expect(1, 1, '\p{^Is_Grapheme_Cluster_Break=-_Prepend}', "");
Expect(1, 1, '\P{Is_Grapheme_Cluster_Break=-_Prepend}', "");
Expect(0, 1, '\P{^Is_Grapheme_Cluster_Break=-_Prepend}', "");
Error('\p{Is_GCB=/a/__PP}');
Error('\P{Is_GCB=/a/__PP}');
Expect(0, 1, '\p{Is_GCB=pp}', "");
Expect(1, 1, '\p{^Is_GCB=pp}', "");
Expect(1, 1, '\P{Is_GCB=pp}', "");
Expect(0, 1, '\P{^Is_GCB=pp}', "");
Expect(0, 1, '\p{Is_GCB=_PP}', "");
Expect(1, 1, '\p{^Is_GCB=_PP}', "");
Expect(1, 1, '\P{Is_GCB=_PP}', "");
Expect(0, 1, '\P{^Is_GCB=_PP}', "");
Error('\p{Grapheme_Cluster_Break=:= regional_indicator}');
Error('\P{Grapheme_Cluster_Break=:= regional_indicator}');
Expect(1, 127487, '\p{Grapheme_Cluster_Break=regionalindicator}', "");
Expect(0, 127487, '\p{^Grapheme_Cluster_Break=regionalindicator}', "");
Expect(0, 127487, '\P{Grapheme_Cluster_Break=regionalindicator}', "");
Expect(1, 127487, '\P{^Grapheme_Cluster_Break=regionalindicator}', "");
Expect(0, 127488, '\p{Grapheme_Cluster_Break=regionalindicator}', "");
Expect(1, 127488, '\p{^Grapheme_Cluster_Break=regionalindicator}', "");
Expect(1, 127488, '\P{Grapheme_Cluster_Break=regionalindicator}', "");
Expect(0, 127488, '\P{^Grapheme_Cluster_Break=regionalindicator}', "");
Expect(1, 127487, '\p{Grapheme_Cluster_Break= -Regional_Indicator}', "");
Expect(0, 127487, '\p{^Grapheme_Cluster_Break= -Regional_Indicator}', "");
Expect(0, 127487, '\P{Grapheme_Cluster_Break= -Regional_Indicator}', "");
Expect(1, 127487, '\P{^Grapheme_Cluster_Break= -Regional_Indicator}', "");
Expect(0, 127488, '\p{Grapheme_Cluster_Break= -Regional_Indicator}', "");
Expect(1, 127488, '\p{^Grapheme_Cluster_Break= -Regional_Indicator}', "");
Expect(1, 127488, '\P{Grapheme_Cluster_Break= -Regional_Indicator}', "");
Expect(0, 127488, '\P{^Grapheme_Cluster_Break= -Regional_Indicator}', "");
Error('\p{GCB=__RI/a/}');
Error('\P{GCB=__RI/a/}');
Expect(1, 127487, '\p{GCB=ri}', "");
Expect(0, 127487, '\p{^GCB=ri}', "");
Expect(0, 127487, '\P{GCB=ri}', "");
Expect(1, 127487, '\P{^GCB=ri}', "");
Expect(0, 127488, '\p{GCB=ri}', "");
Expect(1, 127488, '\p{^GCB=ri}', "");
Expect(1, 127488, '\P{GCB=ri}', "");
Expect(0, 127488, '\P{^GCB=ri}', "");
Expect(1, 127487, '\p{GCB:    ri}', "");
Expect(0, 127487, '\p{^GCB:    ri}', "");
Expect(0, 127487, '\P{GCB:    ri}', "");
Expect(1, 127487, '\P{^GCB:    ri}', "");
Expect(0, 127488, '\p{GCB:    ri}', "");
Expect(1, 127488, '\p{^GCB:    ri}', "");
Expect(1, 127488, '\P{GCB:    ri}', "");
Expect(0, 127488, '\P{^GCB:    ri}', "");
Error('\p{Is_Grapheme_Cluster_Break= 	regional_indicator/a/}');
Error('\P{Is_Grapheme_Cluster_Break= 	regional_indicator/a/}');
Expect(1, 127487, '\p{Is_Grapheme_Cluster_Break=regionalindicator}', "");
Expect(0, 127487, '\p{^Is_Grapheme_Cluster_Break=regionalindicator}', "");
Expect(0, 127487, '\P{Is_Grapheme_Cluster_Break=regionalindicator}', "");
Expect(1, 127487, '\P{^Is_Grapheme_Cluster_Break=regionalindicator}', "");
Expect(0, 127488, '\p{Is_Grapheme_Cluster_Break=regionalindicator}', "");
Expect(1, 127488, '\p{^Is_Grapheme_Cluster_Break=regionalindicator}', "");
Expect(1, 127488, '\P{Is_Grapheme_Cluster_Break=regionalindicator}', "");
Expect(0, 127488, '\P{^Is_Grapheme_Cluster_Break=regionalindicator}', "");
Expect(1, 127487, '\p{Is_Grapheme_Cluster_Break=-Regional_Indicator}', "");
Expect(0, 127487, '\p{^Is_Grapheme_Cluster_Break=-Regional_Indicator}', "");
Expect(0, 127487, '\P{Is_Grapheme_Cluster_Break=-Regional_Indicator}', "");
Expect(1, 127487, '\P{^Is_Grapheme_Cluster_Break=-Regional_Indicator}', "");
Expect(0, 127488, '\p{Is_Grapheme_Cluster_Break=-Regional_Indicator}', "");
Expect(1, 127488, '\p{^Is_Grapheme_Cluster_Break=-Regional_Indicator}', "");
Expect(1, 127488, '\P{Is_Grapheme_Cluster_Break=-Regional_Indicator}', "");
Expect(0, 127488, '\P{^Is_Grapheme_Cluster_Break=-Regional_Indicator}', "");
Error('\p{Is_GCB=-:=RI}');
Error('\P{Is_GCB=-:=RI}');
Expect(1, 127487, '\p{Is_GCB=ri}', "");
Expect(0, 127487, '\p{^Is_GCB=ri}', "");
Expect(0, 127487, '\P{Is_GCB=ri}', "");
Expect(1, 127487, '\P{^Is_GCB=ri}', "");
Expect(0, 127488, '\p{Is_GCB=ri}', "");
Expect(1, 127488, '\p{^Is_GCB=ri}', "");
Expect(1, 127488, '\P{Is_GCB=ri}', "");
Expect(0, 127488, '\P{^Is_GCB=ri}', "");
Expect(1, 127487, '\p{Is_GCB= RI}', "");
Expect(0, 127487, '\p{^Is_GCB= RI}', "");
Expect(0, 127487, '\P{Is_GCB= RI}', "");
Expect(1, 127487, '\P{^Is_GCB= RI}', "");
Expect(0, 127488, '\p{Is_GCB= RI}', "");
Expect(1, 127488, '\p{^Is_GCB= RI}', "");
Expect(1, 127488, '\P{Is_GCB= RI}', "");
Expect(0, 127488, '\P{^Is_GCB= RI}', "");
Error('\p{Grapheme_Cluster_Break=:=--SPACINGMARK}');
Error('\P{Grapheme_Cluster_Break=:=--SPACINGMARK}');
Expect(1, 119149, '\p{Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 119149, '\p{^Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 119149, '\P{Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 119149, '\P{^Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 119150, '\p{Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 119150, '\p{^Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 119150, '\P{Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 119150, '\P{^Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 119149, '\p{Grapheme_Cluster_Break= SPACINGMARK}', "");
Expect(0, 119149, '\p{^Grapheme_Cluster_Break= SPACINGMARK}', "");
Expect(0, 119149, '\P{Grapheme_Cluster_Break= SPACINGMARK}', "");
Expect(1, 119149, '\P{^Grapheme_Cluster_Break= SPACINGMARK}', "");
Expect(0, 119150, '\p{Grapheme_Cluster_Break= SPACINGMARK}', "");
Expect(1, 119150, '\p{^Grapheme_Cluster_Break= SPACINGMARK}', "");
Expect(1, 119150, '\P{Grapheme_Cluster_Break= SPACINGMARK}', "");
Expect(0, 119150, '\P{^Grapheme_Cluster_Break= SPACINGMARK}', "");
Error('\p{GCB= SM:=}');
Error('\P{GCB= SM:=}');
Expect(1, 119149, '\p{GCB:sm}', "");
Expect(0, 119149, '\p{^GCB:sm}', "");
Expect(0, 119149, '\P{GCB:sm}', "");
Expect(1, 119149, '\P{^GCB:sm}', "");
Expect(0, 119150, '\p{GCB:sm}', "");
Expect(1, 119150, '\p{^GCB:sm}', "");
Expect(1, 119150, '\P{GCB:sm}', "");
Expect(0, 119150, '\P{^GCB:sm}', "");
Expect(1, 119149, '\p{GCB=-_sm}', "");
Expect(0, 119149, '\p{^GCB=-_sm}', "");
Expect(0, 119149, '\P{GCB=-_sm}', "");
Expect(1, 119149, '\P{^GCB=-_sm}', "");
Expect(0, 119150, '\p{GCB=-_sm}', "");
Expect(1, 119150, '\p{^GCB=-_sm}', "");
Expect(1, 119150, '\P{GCB=-_sm}', "");
Expect(0, 119150, '\P{^GCB=-_sm}', "");
Error('\p{Is_Grapheme_Cluster_Break= -SpacingMark/a/}');
Error('\P{Is_Grapheme_Cluster_Break= -SpacingMark/a/}');
Expect(1, 119149, '\p{Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 119149, '\p{^Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 119149, '\P{Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 119149, '\P{^Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 119150, '\p{Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 119150, '\p{^Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 119150, '\P{Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(0, 119150, '\P{^Is_Grapheme_Cluster_Break=spacingmark}', "");
Expect(1, 119149, '\p{Is_Grapheme_Cluster_Break=__spacingmark}', "");
Expect(0, 119149, '\p{^Is_Grapheme_Cluster_Break=__spacingmark}', "");
Expect(0, 119149, '\P{Is_Grapheme_Cluster_Break=__spacingmark}', "");
Expect(1, 119149, '\P{^Is_Grapheme_Cluster_Break=__spacingmark}', "");
Expect(0, 119150, '\p{Is_Grapheme_Cluster_Break=__spacingmark}', "");
Expect(1, 119150, '\p{^Is_Grapheme_Cluster_Break=__spacingmark}', "");
Expect(1, 119150, '\P{Is_Grapheme_Cluster_Break=__spacingmark}', "");
Expect(0, 119150, '\P{^Is_Grapheme_Cluster_Break=__spacingmark}', "");
Error('\p{Is_GCB=  SM/a/}');
Error('\P{Is_GCB=  SM/a/}');
Expect(1, 119149, '\p{Is_GCB=sm}', "");
Expect(0, 119149, '\p{^Is_GCB=sm}', "");
Expect(0, 119149, '\P{Is_GCB=sm}', "");
Expect(1, 119149, '\P{^Is_GCB=sm}', "");
Expect(0, 119150, '\p{Is_GCB=sm}', "");
Expect(1, 119150, '\p{^Is_GCB=sm}', "");
Expect(1, 119150, '\P{Is_GCB=sm}', "");
Expect(0, 119150, '\P{^Is_GCB=sm}', "");
Expect(1, 119149, '\p{Is_GCB= -SM}', "");
Expect(0, 119149, '\p{^Is_GCB= -SM}', "");
Expect(0, 119149, '\P{Is_GCB= -SM}', "");
Expect(1, 119149, '\P{^Is_GCB= -SM}', "");
Expect(0, 119150, '\p{Is_GCB= -SM}', "");
Expect(1, 119150, '\p{^Is_GCB= -SM}', "");
Expect(1, 119150, '\P{Is_GCB= -SM}', "");
Expect(0, 119150, '\P{^Is_GCB= -SM}', "");
Error('\p{Grapheme_Cluster_Break=/a/_-t}');
Error('\P{Grapheme_Cluster_Break=/a/_-t}');
Expect(1, 55291, '\p{Grapheme_Cluster_Break=t}', "");
Expect(0, 55291, '\p{^Grapheme_Cluster_Break=t}', "");
Expect(0, 55291, '\P{Grapheme_Cluster_Break=t}', "");
Expect(1, 55291, '\P{^Grapheme_Cluster_Break=t}', "");
Expect(0, 55292, '\p{Grapheme_Cluster_Break=t}', "");
Expect(1, 55292, '\p{^Grapheme_Cluster_Break=t}', "");
Expect(1, 55292, '\P{Grapheme_Cluster_Break=t}', "");
Expect(0, 55292, '\P{^Grapheme_Cluster_Break=t}', "");
Expect(1, 55291, '\p{Grapheme_Cluster_Break= T}', "");
Expect(0, 55291, '\p{^Grapheme_Cluster_Break= T}', "");
Expect(0, 55291, '\P{Grapheme_Cluster_Break= T}', "");
Expect(1, 55291, '\P{^Grapheme_Cluster_Break= T}', "");
Expect(0, 55292, '\p{Grapheme_Cluster_Break= T}', "");
Expect(1, 55292, '\p{^Grapheme_Cluster_Break= T}', "");
Expect(1, 55292, '\P{Grapheme_Cluster_Break= T}', "");
Expect(0, 55292, '\P{^Grapheme_Cluster_Break= T}', "");
Error('\p{GCB=:=-T}');
Error('\P{GCB=:=-T}');
Expect(1, 55291, '\p{GCB:   t}', "");
Expect(0, 55291, '\p{^GCB:   t}', "");
Expect(0, 55291, '\P{GCB:   t}', "");
Expect(1, 55291, '\P{^GCB:   t}', "");
Expect(0, 55292, '\p{GCB:   t}', "");
Expect(1, 55292, '\p{^GCB:   t}', "");
Expect(1, 55292, '\P{GCB:   t}', "");
Expect(0, 55292, '\P{^GCB:   t}', "");
Expect(1, 55291, '\p{GCB=_-t}', "");
Expect(0, 55291, '\p{^GCB=_-t}', "");
Expect(0, 55291, '\P{GCB=_-t}', "");
Expect(1, 55291, '\P{^GCB=_-t}', "");
Expect(0, 55292, '\p{GCB=_-t}', "");
Expect(1, 55292, '\p{^GCB=_-t}', "");
Expect(1, 55292, '\P{GCB=_-t}', "");
Expect(0, 55292, '\P{^GCB=_-t}', "");
Error('\p{Is_Grapheme_Cluster_Break=-/a/T}');
Error('\P{Is_Grapheme_Cluster_Break=-/a/T}');
Expect(1, 55291, '\p{Is_Grapheme_Cluster_Break=t}', "");
Expect(0, 55291, '\p{^Is_Grapheme_Cluster_Break=t}', "");
Expect(0, 55291, '\P{Is_Grapheme_Cluster_Break=t}', "");
Expect(1, 55291, '\P{^Is_Grapheme_Cluster_Break=t}', "");
Expect(0, 55292, '\p{Is_Grapheme_Cluster_Break=t}', "");
Expect(1, 55292, '\p{^Is_Grapheme_Cluster_Break=t}', "");
Expect(1, 55292, '\P{Is_Grapheme_Cluster_Break=t}', "");
Expect(0, 55292, '\P{^Is_Grapheme_Cluster_Break=t}', "");
Expect(1, 55291, '\p{Is_Grapheme_Cluster_Break=_T}', "");
Expect(0, 55291, '\p{^Is_Grapheme_Cluster_Break=_T}', "");
Expect(0, 55291, '\P{Is_Grapheme_Cluster_Break=_T}', "");
Expect(1, 55291, '\P{^Is_Grapheme_Cluster_Break=_T}', "");
Expect(0, 55292, '\p{Is_Grapheme_Cluster_Break=_T}', "");
Expect(1, 55292, '\p{^Is_Grapheme_Cluster_Break=_T}', "");
Expect(1, 55292, '\P{Is_Grapheme_Cluster_Break=_T}', "");
Expect(0, 55292, '\P{^Is_Grapheme_Cluster_Break=_T}', "");
Error('\p{Is_GCB=	T/a/}');
Error('\P{Is_GCB=	T/a/}');
Expect(1, 55291, '\p{Is_GCB=t}', "");
Expect(0, 55291, '\p{^Is_GCB=t}', "");
Expect(0, 55291, '\P{Is_GCB=t}', "");
Expect(1, 55291, '\P{^Is_GCB=t}', "");
Expect(0, 55292, '\p{Is_GCB=t}', "");
Expect(1, 55292, '\p{^Is_GCB=t}', "");
Expect(1, 55292, '\P{Is_GCB=t}', "");
Expect(0, 55292, '\P{^Is_GCB=t}', "");
Expect(1, 55291, '\p{Is_GCB=	t}', "");
Expect(0, 55291, '\p{^Is_GCB=	t}', "");
Expect(0, 55291, '\P{Is_GCB=	t}', "");
Expect(1, 55291, '\P{^Is_GCB=	t}', "");
Expect(0, 55292, '\p{Is_GCB=	t}', "");
Expect(1, 55292, '\p{^Is_GCB=	t}', "");
Expect(1, 55292, '\P{Is_GCB=	t}', "");
Expect(0, 55292, '\P{^Is_GCB=	t}', "");
Error('\p{Grapheme_Cluster_Break=--V:=}');
Error('\P{Grapheme_Cluster_Break=--V:=}');
Expect(1, 55238, '\p{Grapheme_Cluster_Break:	v}', "");
Expect(0, 55238, '\p{^Grapheme_Cluster_Break:	v}', "");
Expect(0, 55238, '\P{Grapheme_Cluster_Break:	v}', "");
Expect(1, 55238, '\P{^Grapheme_Cluster_Break:	v}', "");
Expect(0, 55239, '\p{Grapheme_Cluster_Break:	v}', "");
Expect(1, 55239, '\p{^Grapheme_Cluster_Break:	v}', "");
Expect(1, 55239, '\P{Grapheme_Cluster_Break:	v}', "");
Expect(0, 55239, '\P{^Grapheme_Cluster_Break:	v}', "");
Expect(1, 55238, '\p{Grapheme_Cluster_Break=_ V}', "");
Expect(0, 55238, '\p{^Grapheme_Cluster_Break=_ V}', "");
Expect(0, 55238, '\P{Grapheme_Cluster_Break=_ V}', "");
Expect(1, 55238, '\P{^Grapheme_Cluster_Break=_ V}', "");
Expect(0, 55239, '\p{Grapheme_Cluster_Break=_ V}', "");
Expect(1, 55239, '\p{^Grapheme_Cluster_Break=_ V}', "");
Expect(1, 55239, '\P{Grapheme_Cluster_Break=_ V}', "");
Expect(0, 55239, '\P{^Grapheme_Cluster_Break=_ V}', "");
Error('\p{GCB=/a/-_V}');
Error('\P{GCB=/a/-_V}');
Expect(1, 55238, '\p{GCB=v}', "");
Expect(0, 55238, '\p{^GCB=v}', "");
Expect(0, 55238, '\P{GCB=v}', "");
Expect(1, 55238, '\P{^GCB=v}', "");
Expect(0, 55239, '\p{GCB=v}', "");
Expect(1, 55239, '\p{^GCB=v}', "");
Expect(1, 55239, '\P{GCB=v}', "");
Expect(0, 55239, '\P{^GCB=v}', "");
Expect(1, 55238, '\p{GCB=	 V}', "");
Expect(0, 55238, '\p{^GCB=	 V}', "");
Expect(0, 55238, '\P{GCB=	 V}', "");
Expect(1, 55238, '\P{^GCB=	 V}', "");
Expect(0, 55239, '\p{GCB=	 V}', "");
Expect(1, 55239, '\p{^GCB=	 V}', "");
Expect(1, 55239, '\P{GCB=	 V}', "");
Expect(0, 55239, '\P{^GCB=	 V}', "");
Error('\p{Is_Grapheme_Cluster_Break=/a/V}');
Error('\P{Is_Grapheme_Cluster_Break=/a/V}');
Expect(1, 55238, '\p{Is_Grapheme_Cluster_Break=v}', "");
Expect(0, 55238, '\p{^Is_Grapheme_Cluster_Break=v}', "");
Expect(0, 55238, '\P{Is_Grapheme_Cluster_Break=v}', "");
Expect(1, 55238, '\P{^Is_Grapheme_Cluster_Break=v}', "");
Expect(0, 55239, '\p{Is_Grapheme_Cluster_Break=v}', "");
Expect(1, 55239, '\p{^Is_Grapheme_Cluster_Break=v}', "");
Expect(1, 55239, '\P{Is_Grapheme_Cluster_Break=v}', "");
Expect(0, 55239, '\P{^Is_Grapheme_Cluster_Break=v}', "");
Expect(1, 55238, '\p{Is_Grapheme_Cluster_Break=__V}', "");
Expect(0, 55238, '\p{^Is_Grapheme_Cluster_Break=__V}', "");
Expect(0, 55238, '\P{Is_Grapheme_Cluster_Break=__V}', "");
Expect(1, 55238, '\P{^Is_Grapheme_Cluster_Break=__V}', "");
Expect(0, 55239, '\p{Is_Grapheme_Cluster_Break=__V}', "");
Expect(1, 55239, '\p{^Is_Grapheme_Cluster_Break=__V}', "");
Expect(1, 55239, '\P{Is_Grapheme_Cluster_Break=__V}', "");
Expect(0, 55239, '\P{^Is_Grapheme_Cluster_Break=__V}', "");
Error('\p{Is_GCB=:= V}');
Error('\P{Is_GCB=:= V}');
Expect(1, 55238, '\p{Is_GCB:v}', "");
Expect(0, 55238, '\p{^Is_GCB:v}', "");
Expect(0, 55238, '\P{Is_GCB:v}', "");
Expect(1, 55238, '\P{^Is_GCB:v}', "");
Expect(0, 55239, '\p{Is_GCB:v}', "");
Expect(1, 55239, '\p{^Is_GCB:v}', "");
Expect(1, 55239, '\P{Is_GCB:v}', "");
Expect(0, 55239, '\P{^Is_GCB:v}', "");
Expect(1, 55238, '\p{Is_GCB=_v}', "");
Expect(0, 55238, '\p{^Is_GCB=_v}', "");
Expect(0, 55238, '\P{Is_GCB=_v}', "");
Expect(1, 55238, '\P{^Is_GCB=_v}', "");
Expect(0, 55239, '\p{Is_GCB=_v}', "");
Expect(1, 55239, '\p{^Is_GCB=_v}', "");
Expect(1, 55239, '\P{Is_GCB=_v}', "");
Expect(0, 55239, '\P{^Is_GCB=_v}', "");
Error('\p{Grapheme_Cluster_Break=/a/ 	Other}');
Error('\P{Grapheme_Cluster_Break=/a/ 	Other}');
Expect(1, 921600, '\p{Grapheme_Cluster_Break=other}', "");
Expect(0, 921600, '\p{^Grapheme_Cluster_Break=other}', "");
Expect(0, 921600, '\P{Grapheme_Cluster_Break=other}', "");
Expect(1, 921600, '\P{^Grapheme_Cluster_Break=other}', "");
Expect(0, 921599, '\p{Grapheme_Cluster_Break=other}', "");
Expect(1, 921599, '\p{^Grapheme_Cluster_Break=other}', "");
Expect(1, 921599, '\P{Grapheme_Cluster_Break=other}', "");
Expect(0, 921599, '\P{^Grapheme_Cluster_Break=other}', "");
Expect(1, 921600, '\p{Grapheme_Cluster_Break=	Other}', "");
Expect(0, 921600, '\p{^Grapheme_Cluster_Break=	Other}', "");
Expect(0, 921600, '\P{Grapheme_Cluster_Break=	Other}', "");
Expect(1, 921600, '\P{^Grapheme_Cluster_Break=	Other}', "");
Expect(0, 921599, '\p{Grapheme_Cluster_Break=	Other}', "");
Expect(1, 921599, '\p{^Grapheme_Cluster_Break=	Other}', "");
Expect(1, 921599, '\P{Grapheme_Cluster_Break=	Other}', "");
Expect(0, 921599, '\P{^Grapheme_Cluster_Break=	Other}', "");
Error('\p{GCB:	-/a/xx}');
Error('\P{GCB:	-/a/xx}');
Expect(1, 921600, '\p{GCB=xx}', "");
Expect(0, 921600, '\p{^GCB=xx}', "");
Expect(0, 921600, '\P{GCB=xx}', "");
Expect(1, 921600, '\P{^GCB=xx}', "");
Expect(0, 921599, '\p{GCB=xx}', "");
Expect(1, 921599, '\p{^GCB=xx}', "");
Expect(1, 921599, '\P{GCB=xx}', "");
Expect(0, 921599, '\P{^GCB=xx}', "");
Expect(1, 921600, '\p{GCB=XX}', "");
Expect(0, 921600, '\p{^GCB=XX}', "");
Expect(0, 921600, '\P{GCB=XX}', "");
Expect(1, 921600, '\P{^GCB=XX}', "");
Expect(0, 921599, '\p{GCB=XX}', "");
Expect(1, 921599, '\p{^GCB=XX}', "");
Expect(1, 921599, '\P{GCB=XX}', "");
Expect(0, 921599, '\P{^GCB=XX}', "");
Error('\p{Is_Grapheme_Cluster_Break:	-_Other:=}');
Error('\P{Is_Grapheme_Cluster_Break:	-_Other:=}');
Expect(1, 921600, '\p{Is_Grapheme_Cluster_Break=other}', "");
Expect(0, 921600, '\p{^Is_Grapheme_Cluster_Break=other}', "");
Expect(0, 921600, '\P{Is_Grapheme_Cluster_Break=other}', "");
Expect(1, 921600, '\P{^Is_Grapheme_Cluster_Break=other}', "");
Expect(0, 921599, '\p{Is_Grapheme_Cluster_Break=other}', "");
Expect(1, 921599, '\p{^Is_Grapheme_Cluster_Break=other}', "");
Expect(1, 921599, '\P{Is_Grapheme_Cluster_Break=other}', "");
Expect(0, 921599, '\P{^Is_Grapheme_Cluster_Break=other}', "");
Expect(1, 921600, '\p{Is_Grapheme_Cluster_Break=_	Other}', "");
Expect(0, 921600, '\p{^Is_Grapheme_Cluster_Break=_	Other}', "");
Expect(0, 921600, '\P{Is_Grapheme_Cluster_Break=_	Other}', "");
Expect(1, 921600, '\P{^Is_Grapheme_Cluster_Break=_	Other}', "");
Expect(0, 921599, '\p{Is_Grapheme_Cluster_Break=_	Other}', "");
Expect(1, 921599, '\p{^Is_Grapheme_Cluster_Break=_	Other}', "");
Expect(1, 921599, '\P{Is_Grapheme_Cluster_Break=_	Other}', "");
Expect(0, 921599, '\P{^Is_Grapheme_Cluster_Break=_	Other}', "");
Error('\p{Is_GCB=:=		xx}');
Error('\P{Is_GCB=:=		xx}');
Expect(1, 921600, '\p{Is_GCB=xx}', "");
Expect(0, 921600, '\p{^Is_GCB=xx}', "");
Expect(0, 921600, '\P{Is_GCB=xx}', "");
Expect(1, 921600, '\P{^Is_GCB=xx}', "");
Expect(0, 921599, '\p{Is_GCB=xx}', "");
Expect(1, 921599, '\p{^Is_GCB=xx}', "");
Expect(1, 921599, '\P{Is_GCB=xx}', "");
Expect(0, 921599, '\P{^Is_GCB=xx}', "");
Expect(1, 921600, '\p{Is_GCB=_	XX}', "");
Expect(0, 921600, '\p{^Is_GCB=_	XX}', "");
Expect(0, 921600, '\P{Is_GCB=_	XX}', "");
Expect(1, 921600, '\P{^Is_GCB=_	XX}', "");
Expect(0, 921599, '\p{Is_GCB=_	XX}', "");
Expect(1, 921599, '\p{^Is_GCB=_	XX}', "");
Expect(1, 921599, '\P{Is_GCB=_	XX}', "");
Expect(0, 921599, '\P{^Is_GCB=_	XX}', "");
Error('\p{Grapheme_Base:/a/		no}');
Error('\P{Grapheme_Base:/a/		no}');
Expect(1, 195102, '\p{Grapheme_Base:no}', "");
Expect(0, 195102, '\p{^Grapheme_Base:no}', "");
Expect(0, 195102, '\P{Grapheme_Base:no}', "");
Expect(1, 195102, '\P{^Grapheme_Base:no}', "");
Expect(0, 195101, '\p{Grapheme_Base:no}', "");
Expect(1, 195101, '\p{^Grapheme_Base:no}', "");
Expect(1, 195101, '\P{Grapheme_Base:no}', "");
Expect(0, 195101, '\P{^Grapheme_Base:no}', "");
Expect(1, 195102, '\p{Grapheme_Base=__No}', "");
Expect(0, 195102, '\p{^Grapheme_Base=__No}', "");
Expect(0, 195102, '\P{Grapheme_Base=__No}', "");
Expect(1, 195102, '\P{^Grapheme_Base=__No}', "");
Expect(0, 195101, '\p{Grapheme_Base=__No}', "");
Expect(1, 195101, '\p{^Grapheme_Base=__No}', "");
Expect(1, 195101, '\P{Grapheme_Base=__No}', "");
Expect(0, 195101, '\P{^Grapheme_Base=__No}', "");
Error('\p{Gr_Base=:=_ n}');
Error('\P{Gr_Base=:=_ n}');
Expect(1, 195102, '\p{Gr_Base=n}', "");
Expect(0, 195102, '\p{^Gr_Base=n}', "");
Expect(0, 195102, '\P{Gr_Base=n}', "");
Expect(1, 195102, '\P{^Gr_Base=n}', "");
Expect(0, 195101, '\p{Gr_Base=n}', "");
Expect(1, 195101, '\p{^Gr_Base=n}', "");
Expect(1, 195101, '\P{Gr_Base=n}', "");
Expect(0, 195101, '\P{^Gr_Base=n}', "");
Expect(1, 195102, '\p{Gr_Base=	_N}', "");
Expect(0, 195102, '\p{^Gr_Base=	_N}', "");
Expect(0, 195102, '\P{Gr_Base=	_N}', "");
Expect(1, 195102, '\P{^Gr_Base=	_N}', "");
Expect(0, 195101, '\p{Gr_Base=	_N}', "");
Expect(1, 195101, '\p{^Gr_Base=	_N}', "");
Expect(1, 195101, '\P{Gr_Base=	_N}', "");
Expect(0, 195101, '\P{^Gr_Base=	_N}', "");
Error('\p{Is_Grapheme_Base:   -	f/a/}');
Error('\P{Is_Grapheme_Base:   -	f/a/}');
Expect(1, 195102, '\p{Is_Grapheme_Base=f}', "");
Expect(0, 195102, '\p{^Is_Grapheme_Base=f}', "");
Expect(0, 195102, '\P{Is_Grapheme_Base=f}', "");
Expect(1, 195102, '\P{^Is_Grapheme_Base=f}', "");
Expect(0, 195101, '\p{Is_Grapheme_Base=f}', "");
Expect(1, 195101, '\p{^Is_Grapheme_Base=f}', "");
Expect(1, 195101, '\P{Is_Grapheme_Base=f}', "");
Expect(0, 195101, '\P{^Is_Grapheme_Base=f}', "");
Expect(1, 195102, '\p{Is_Grapheme_Base=	f}', "");
Expect(0, 195102, '\p{^Is_Grapheme_Base=	f}', "");
Expect(0, 195102, '\P{Is_Grapheme_Base=	f}', "");
Expect(1, 195102, '\P{^Is_Grapheme_Base=	f}', "");
Expect(0, 195101, '\p{Is_Grapheme_Base=	f}', "");
Expect(1, 195101, '\p{^Is_Grapheme_Base=	f}', "");
Expect(1, 195101, '\P{Is_Grapheme_Base=	f}', "");
Expect(0, 195101, '\P{^Is_Grapheme_Base=	f}', "");
Error('\p{Is_Gr_Base= _False:=}');
Error('\P{Is_Gr_Base= _False:=}');
Expect(1, 195102, '\p{Is_Gr_Base=false}', "");
Expect(0, 195102, '\p{^Is_Gr_Base=false}', "");
Expect(0, 195102, '\P{Is_Gr_Base=false}', "");
Expect(1, 195102, '\P{^Is_Gr_Base=false}', "");
Expect(0, 195101, '\p{Is_Gr_Base=false}', "");
Expect(1, 195101, '\p{^Is_Gr_Base=false}', "");
Expect(1, 195101, '\P{Is_Gr_Base=false}', "");
Expect(0, 195101, '\P{^Is_Gr_Base=false}', "");
Expect(1, 195102, '\p{Is_Gr_Base=_-False}', "");
Expect(0, 195102, '\p{^Is_Gr_Base=_-False}', "");
Expect(0, 195102, '\P{Is_Gr_Base=_-False}', "");
Expect(1, 195102, '\P{^Is_Gr_Base=_-False}', "");
Expect(0, 195101, '\p{Is_Gr_Base=_-False}', "");
Expect(1, 195101, '\p{^Is_Gr_Base=_-False}', "");
Expect(1, 195101, '\P{Is_Gr_Base=_-False}', "");
Expect(0, 195101, '\P{^Is_Gr_Base=_-False}', "");
Error('\p{Grapheme_Base=- YES/a/}');
Error('\P{Grapheme_Base=- YES/a/}');
Expect(1, 195101, '\p{Grapheme_Base=yes}', "");
Expect(0, 195101, '\p{^Grapheme_Base=yes}', "");
Expect(0, 195101, '\P{Grapheme_Base=yes}', "");
Expect(1, 195101, '\P{^Grapheme_Base=yes}', "");
Expect(0, 195102, '\p{Grapheme_Base=yes}', "");
Expect(1, 195102, '\p{^Grapheme_Base=yes}', "");
Expect(1, 195102, '\P{Grapheme_Base=yes}', "");
Expect(0, 195102, '\P{^Grapheme_Base=yes}', "");
Expect(1, 195101, '\p{Grapheme_Base=-Yes}', "");
Expect(0, 195101, '\p{^Grapheme_Base=-Yes}', "");
Expect(0, 195101, '\P{Grapheme_Base=-Yes}', "");
Expect(1, 195101, '\P{^Grapheme_Base=-Yes}', "");
Expect(0, 195102, '\p{Grapheme_Base=-Yes}', "");
Expect(1, 195102, '\p{^Grapheme_Base=-Yes}', "");
Expect(1, 195102, '\P{Grapheme_Base=-Yes}', "");
Expect(0, 195102, '\P{^Grapheme_Base=-Yes}', "");
Error('\p{Gr_Base=-/a/y}');
Error('\P{Gr_Base=-/a/y}');
Expect(1, 195101, '\p{Gr_Base=y}', "");
Expect(0, 195101, '\p{^Gr_Base=y}', "");
Expect(0, 195101, '\P{Gr_Base=y}', "");
Expect(1, 195101, '\P{^Gr_Base=y}', "");
Expect(0, 195102, '\p{Gr_Base=y}', "");
Expect(1, 195102, '\p{^Gr_Base=y}', "");
Expect(1, 195102, '\P{Gr_Base=y}', "");
Expect(0, 195102, '\P{^Gr_Base=y}', "");
Expect(1, 195101, '\p{Gr_Base= _Y}', "");
Expect(0, 195101, '\p{^Gr_Base= _Y}', "");
Expect(0, 195101, '\P{Gr_Base= _Y}', "");
Expect(1, 195101, '\P{^Gr_Base= _Y}', "");
Expect(0, 195102, '\p{Gr_Base= _Y}', "");
Expect(1, 195102, '\p{^Gr_Base= _Y}', "");
Expect(1, 195102, '\P{Gr_Base= _Y}', "");
Expect(0, 195102, '\P{^Gr_Base= _Y}', "");
Error('\p{Is_Grapheme_Base=:=T}');
Error('\P{Is_Grapheme_Base=:=T}');
Expect(1, 195101, '\p{Is_Grapheme_Base=t}', "");
Expect(0, 195101, '\p{^Is_Grapheme_Base=t}', "");
Expect(0, 195101, '\P{Is_Grapheme_Base=t}', "");
Expect(1, 195101, '\P{^Is_Grapheme_Base=t}', "");
Expect(0, 195102, '\p{Is_Grapheme_Base=t}', "");
Expect(1, 195102, '\p{^Is_Grapheme_Base=t}', "");
Expect(1, 195102, '\P{Is_Grapheme_Base=t}', "");
Expect(0, 195102, '\P{^Is_Grapheme_Base=t}', "");
Expect(1, 195101, '\p{Is_Grapheme_Base:   	_T}', "");
Expect(0, 195101, '\p{^Is_Grapheme_Base:   	_T}', "");
Expect(0, 195101, '\P{Is_Grapheme_Base:   	_T}', "");
Expect(1, 195101, '\P{^Is_Grapheme_Base:   	_T}', "");
Expect(0, 195102, '\p{Is_Grapheme_Base:   	_T}', "");
Expect(1, 195102, '\p{^Is_Grapheme_Base:   	_T}', "");
Expect(1, 195102, '\P{Is_Grapheme_Base:   	_T}', "");
Expect(0, 195102, '\P{^Is_Grapheme_Base:   	_T}', "");
Error('\p{Is_Gr_Base=-:=TRUE}');
Error('\P{Is_Gr_Base=-:=TRUE}');
Expect(1, 195101, '\p{Is_Gr_Base=true}', "");
Expect(0, 195101, '\p{^Is_Gr_Base=true}', "");
Expect(0, 195101, '\P{Is_Gr_Base=true}', "");
Expect(1, 195101, '\P{^Is_Gr_Base=true}', "");
Expect(0, 195102, '\p{Is_Gr_Base=true}', "");
Expect(1, 195102, '\p{^Is_Gr_Base=true}', "");
Expect(1, 195102, '\P{Is_Gr_Base=true}', "");
Expect(0, 195102, '\P{^Is_Gr_Base=true}', "");
Expect(1, 195101, '\p{Is_Gr_Base=_TRUE}', "");
Expect(0, 195101, '\p{^Is_Gr_Base=_TRUE}', "");
Expect(0, 195101, '\P{Is_Gr_Base=_TRUE}', "");
Expect(1, 195101, '\P{^Is_Gr_Base=_TRUE}', "");
Expect(0, 195102, '\p{Is_Gr_Base=_TRUE}', "");
Expect(1, 195102, '\p{^Is_Gr_Base=_TRUE}', "");
Expect(1, 195102, '\P{Is_Gr_Base=_TRUE}', "");
Expect(0, 195102, '\P{^Is_Gr_Base=_TRUE}', "");
Error('\p{Grapheme_Extend=-_No/a/}');
Error('\P{Grapheme_Extend=-_No/a/}');
Expect(1, 918000, '\p{Grapheme_Extend=no}', "");
Expect(0, 918000, '\p{^Grapheme_Extend=no}', "");
Expect(0, 918000, '\P{Grapheme_Extend=no}', "");
Expect(1, 918000, '\P{^Grapheme_Extend=no}', "");
Expect(0, 917999, '\p{Grapheme_Extend=no}', "");
Expect(1, 917999, '\p{^Grapheme_Extend=no}', "");
Expect(1, 917999, '\P{Grapheme_Extend=no}', "");
Expect(0, 917999, '\P{^Grapheme_Extend=no}', "");
Expect(1, 918000, '\p{Grapheme_Extend=	 No}', "");
Expect(0, 918000, '\p{^Grapheme_Extend=	 No}', "");
Expect(0, 918000, '\P{Grapheme_Extend=	 No}', "");
Expect(1, 918000, '\P{^Grapheme_Extend=	 No}', "");
Expect(0, 917999, '\p{Grapheme_Extend=	 No}', "");
Expect(1, 917999, '\p{^Grapheme_Extend=	 No}', "");
Expect(1, 917999, '\P{Grapheme_Extend=	 No}', "");
Expect(0, 917999, '\P{^Grapheme_Extend=	 No}', "");
Error('\p{Gr_Ext=_/a/N}');
Error('\P{Gr_Ext=_/a/N}');
Expect(1, 918000, '\p{Gr_Ext=n}', "");
Expect(0, 918000, '\p{^Gr_Ext=n}', "");
Expect(0, 918000, '\P{Gr_Ext=n}', "");
Expect(1, 918000, '\P{^Gr_Ext=n}', "");
Expect(0, 917999, '\p{Gr_Ext=n}', "");
Expect(1, 917999, '\p{^Gr_Ext=n}', "");
Expect(1, 917999, '\P{Gr_Ext=n}', "");
Expect(0, 917999, '\P{^Gr_Ext=n}', "");
Expect(1, 918000, '\p{Gr_Ext=_-N}', "");
Expect(0, 918000, '\p{^Gr_Ext=_-N}', "");
Expect(0, 918000, '\P{Gr_Ext=_-N}', "");
Expect(1, 918000, '\P{^Gr_Ext=_-N}', "");
Expect(0, 917999, '\p{Gr_Ext=_-N}', "");
Expect(1, 917999, '\p{^Gr_Ext=_-N}', "");
Expect(1, 917999, '\P{Gr_Ext=_-N}', "");
Expect(0, 917999, '\P{^Gr_Ext=_-N}', "");
Error('\p{Is_Grapheme_Extend=-:=F}');
Error('\P{Is_Grapheme_Extend=-:=F}');
Expect(1, 918000, '\p{Is_Grapheme_Extend=f}', "");
Expect(0, 918000, '\p{^Is_Grapheme_Extend=f}', "");
Expect(0, 918000, '\P{Is_Grapheme_Extend=f}', "");
Expect(1, 918000, '\P{^Is_Grapheme_Extend=f}', "");
Expect(0, 917999, '\p{Is_Grapheme_Extend=f}', "");
Expect(1, 917999, '\p{^Is_Grapheme_Extend=f}', "");
Expect(1, 917999, '\P{Is_Grapheme_Extend=f}', "");
Expect(0, 917999, '\P{^Is_Grapheme_Extend=f}', "");
Expect(1, 918000, '\p{Is_Grapheme_Extend=-f}', "");
Expect(0, 918000, '\p{^Is_Grapheme_Extend=-f}', "");
Expect(0, 918000, '\P{Is_Grapheme_Extend=-f}', "");
Expect(1, 918000, '\P{^Is_Grapheme_Extend=-f}', "");
Expect(0, 917999, '\p{Is_Grapheme_Extend=-f}', "");
Expect(1, 917999, '\p{^Is_Grapheme_Extend=-f}', "");
Expect(1, 917999, '\P{Is_Grapheme_Extend=-f}', "");
Expect(0, 917999, '\P{^Is_Grapheme_Extend=-f}', "");
Error('\p{Is_Gr_Ext= False/a/}');
Error('\P{Is_Gr_Ext= False/a/}');
Expect(1, 918000, '\p{Is_Gr_Ext=false}', "");
Expect(0, 918000, '\p{^Is_Gr_Ext=false}', "");
Expect(0, 918000, '\P{Is_Gr_Ext=false}', "");
Expect(1, 918000, '\P{^Is_Gr_Ext=false}', "");
Expect(0, 917999, '\p{Is_Gr_Ext=false}', "");
Expect(1, 917999, '\p{^Is_Gr_Ext=false}', "");
Expect(1, 917999, '\P{Is_Gr_Ext=false}', "");
Expect(0, 917999, '\P{^Is_Gr_Ext=false}', "");
Expect(1, 918000, '\p{Is_Gr_Ext=	 False}', "");
Expect(0, 918000, '\p{^Is_Gr_Ext=	 False}', "");
Expect(0, 918000, '\P{Is_Gr_Ext=	 False}', "");
Expect(1, 918000, '\P{^Is_Gr_Ext=	 False}', "");
Expect(0, 917999, '\p{Is_Gr_Ext=	 False}', "");
Expect(1, 917999, '\p{^Is_Gr_Ext=	 False}', "");
Expect(1, 917999, '\P{Is_Gr_Ext=	 False}', "");
Expect(0, 917999, '\P{^Is_Gr_Ext=	 False}', "");
Error('\p{Grapheme_Extend= yes/a/}');
Error('\P{Grapheme_Extend= yes/a/}');
Expect(1, 917999, '\p{Grapheme_Extend=yes}', "");
Expect(0, 917999, '\p{^Grapheme_Extend=yes}', "");
Expect(0, 917999, '\P{Grapheme_Extend=yes}', "");
Expect(1, 917999, '\P{^Grapheme_Extend=yes}', "");
Expect(0, 918000, '\p{Grapheme_Extend=yes}', "");
Expect(1, 918000, '\p{^Grapheme_Extend=yes}', "");
Expect(1, 918000, '\P{Grapheme_Extend=yes}', "");
Expect(0, 918000, '\P{^Grapheme_Extend=yes}', "");
Expect(1, 917999, '\p{Grapheme_Extend=--Yes}', "");
Expect(0, 917999, '\p{^Grapheme_Extend=--Yes}', "");
Expect(0, 917999, '\P{Grapheme_Extend=--Yes}', "");
Expect(1, 917999, '\P{^Grapheme_Extend=--Yes}', "");
Expect(0, 918000, '\p{Grapheme_Extend=--Yes}', "");
Expect(1, 918000, '\p{^Grapheme_Extend=--Yes}', "");
Expect(1, 918000, '\P{Grapheme_Extend=--Yes}', "");
Expect(0, 918000, '\P{^Grapheme_Extend=--Yes}', "");
Error('\p{Gr_Ext=	:=y}');
Error('\P{Gr_Ext=	:=y}');
Expect(1, 917999, '\p{Gr_Ext=y}', "");
Expect(0, 917999, '\p{^Gr_Ext=y}', "");
Expect(0, 917999, '\P{Gr_Ext=y}', "");
Expect(1, 917999, '\P{^Gr_Ext=y}', "");
Expect(0, 918000, '\p{Gr_Ext=y}', "");
Expect(1, 918000, '\p{^Gr_Ext=y}', "");
Expect(1, 918000, '\P{Gr_Ext=y}', "");
Expect(0, 918000, '\P{^Gr_Ext=y}', "");
Expect(1, 917999, '\p{Gr_Ext= 	Y}', "");
Expect(0, 917999, '\p{^Gr_Ext= 	Y}', "");
Expect(0, 917999, '\P{Gr_Ext= 	Y}', "");
Expect(1, 917999, '\P{^Gr_Ext= 	Y}', "");
Expect(0, 918000, '\p{Gr_Ext= 	Y}', "");
Expect(1, 918000, '\p{^Gr_Ext= 	Y}', "");
Expect(1, 918000, '\P{Gr_Ext= 	Y}', "");
Expect(0, 918000, '\P{^Gr_Ext= 	Y}', "");
Error('\p{Is_Grapheme_Extend: - T:=}');
Error('\P{Is_Grapheme_Extend: - T:=}');
Expect(1, 917999, '\p{Is_Grapheme_Extend=t}', "");
Expect(0, 917999, '\p{^Is_Grapheme_Extend=t}', "");
Expect(0, 917999, '\P{Is_Grapheme_Extend=t}', "");
Expect(1, 917999, '\P{^Is_Grapheme_Extend=t}', "");
Expect(0, 918000, '\p{Is_Grapheme_Extend=t}', "");
Expect(1, 918000, '\p{^Is_Grapheme_Extend=t}', "");
Expect(1, 918000, '\P{Is_Grapheme_Extend=t}', "");
Expect(0, 918000, '\P{^Is_Grapheme_Extend=t}', "");
Expect(1, 917999, '\p{Is_Grapheme_Extend=--t}', "");
Expect(0, 917999, '\p{^Is_Grapheme_Extend=--t}', "");
Expect(0, 917999, '\P{Is_Grapheme_Extend=--t}', "");
Expect(1, 917999, '\P{^Is_Grapheme_Extend=--t}', "");
Expect(0, 918000, '\p{Is_Grapheme_Extend=--t}', "");
Expect(1, 918000, '\p{^Is_Grapheme_Extend=--t}', "");
Expect(1, 918000, '\P{Is_Grapheme_Extend=--t}', "");
Expect(0, 918000, '\P{^Is_Grapheme_Extend=--t}', "");
Error('\p{Is_Gr_Ext=/a/ -TRUE}');
Error('\P{Is_Gr_Ext=/a/ -TRUE}');
Expect(1, 917999, '\p{Is_Gr_Ext=true}', "");
Expect(0, 917999, '\p{^Is_Gr_Ext=true}', "");
Expect(0, 917999, '\P{Is_Gr_Ext=true}', "");
Expect(1, 917999, '\P{^Is_Gr_Ext=true}', "");
Expect(0, 918000, '\p{Is_Gr_Ext=true}', "");
Expect(1, 918000, '\p{^Is_Gr_Ext=true}', "");
Expect(1, 918000, '\P{Is_Gr_Ext=true}', "");
Expect(0, 918000, '\P{^Is_Gr_Ext=true}', "");
Expect(1, 917999, '\p{Is_Gr_Ext=_true}', "");
Expect(0, 917999, '\p{^Is_Gr_Ext=_true}', "");
Expect(0, 917999, '\P{Is_Gr_Ext=_true}', "");
Expect(1, 917999, '\P{^Is_Gr_Ext=_true}', "");
Expect(0, 918000, '\p{Is_Gr_Ext=_true}', "");
Expect(1, 918000, '\p{^Is_Gr_Ext=_true}', "");
Expect(1, 918000, '\P{Is_Gr_Ext=_true}', "");
Expect(0, 918000, '\P{^Is_Gr_Ext=_true}', "");
Error('\p{Grapheme_Link=No}');
Error('\P{Grapheme_Link=No}');
Error('\p{Gr_Link=N}');
Error('\P{Gr_Link=N}');
Error('\p{Is_Grapheme_Link=F}');
Error('\P{Is_Grapheme_Link=F}');
Error('\p{Is_Gr_Link=False}');
Error('\P{Is_Gr_Link=False}');
Error('\p{Grapheme_Link:	Yes}');
Error('\P{Grapheme_Link:	Yes}');
Error('\p{Gr_Link=Y}');
Error('\P{Gr_Link=Y}');
Error('\p{Is_Grapheme_Link=T}');
Error('\P{Is_Grapheme_Link=T}');
Error('\p{Is_Gr_Link=True}');
Error('\P{Is_Gr_Link=True}');
Error('\p{Hex_Digit:   := NO}');
Error('\P{Hex_Digit:   := NO}');
Expect(1, 65351, '\p{Hex_Digit=no}', "");
Expect(0, 65351, '\p{^Hex_Digit=no}', "");
Expect(0, 65351, '\P{Hex_Digit=no}', "");
Expect(1, 65351, '\P{^Hex_Digit=no}', "");
Expect(0, 65350, '\p{Hex_Digit=no}', "");
Expect(1, 65350, '\p{^Hex_Digit=no}', "");
Expect(1, 65350, '\P{Hex_Digit=no}', "");
Expect(0, 65350, '\P{^Hex_Digit=no}', "");
Expect(1, 65351, '\p{Hex_Digit=--No}', "");
Expect(0, 65351, '\p{^Hex_Digit=--No}', "");
Expect(0, 65351, '\P{Hex_Digit=--No}', "");
Expect(1, 65351, '\P{^Hex_Digit=--No}', "");
Expect(0, 65350, '\p{Hex_Digit=--No}', "");
Expect(1, 65350, '\p{^Hex_Digit=--No}', "");
Expect(1, 65350, '\P{Hex_Digit=--No}', "");
Expect(0, 65350, '\P{^Hex_Digit=--No}', "");
Error('\p{Hex=- N/a/}');
Error('\P{Hex=- N/a/}');
Expect(1, 65351, '\p{Hex=n}', "");
Expect(0, 65351, '\p{^Hex=n}', "");
Expect(0, 65351, '\P{Hex=n}', "");
Expect(1, 65351, '\P{^Hex=n}', "");
Expect(0, 65350, '\p{Hex=n}', "");
Expect(1, 65350, '\p{^Hex=n}', "");
Expect(1, 65350, '\P{Hex=n}', "");
Expect(0, 65350, '\P{^Hex=n}', "");
Expect(1, 65351, '\p{Hex= -N}', "");
Expect(0, 65351, '\p{^Hex= -N}', "");
Expect(0, 65351, '\P{Hex= -N}', "");
Expect(1, 65351, '\P{^Hex= -N}', "");
Expect(0, 65350, '\p{Hex= -N}', "");
Expect(1, 65350, '\p{^Hex= -N}', "");
Expect(1, 65350, '\P{Hex= -N}', "");
Expect(0, 65350, '\P{^Hex= -N}', "");
Error('\p{Is_Hex_Digit=-F:=}');
Error('\P{Is_Hex_Digit=-F:=}');
Expect(1, 65351, '\p{Is_Hex_Digit=f}', "");
Expect(0, 65351, '\p{^Is_Hex_Digit=f}', "");
Expect(0, 65351, '\P{Is_Hex_Digit=f}', "");
Expect(1, 65351, '\P{^Is_Hex_Digit=f}', "");
Expect(0, 65350, '\p{Is_Hex_Digit=f}', "");
Expect(1, 65350, '\p{^Is_Hex_Digit=f}', "");
Expect(1, 65350, '\P{Is_Hex_Digit=f}', "");
Expect(0, 65350, '\P{^Is_Hex_Digit=f}', "");
Expect(1, 65351, '\p{Is_Hex_Digit=	 f}', "");
Expect(0, 65351, '\p{^Is_Hex_Digit=	 f}', "");
Expect(0, 65351, '\P{Is_Hex_Digit=	 f}', "");
Expect(1, 65351, '\P{^Is_Hex_Digit=	 f}', "");
Expect(0, 65350, '\p{Is_Hex_Digit=	 f}', "");
Expect(1, 65350, '\p{^Is_Hex_Digit=	 f}', "");
Expect(1, 65350, '\P{Is_Hex_Digit=	 f}', "");
Expect(0, 65350, '\P{^Is_Hex_Digit=	 f}', "");
Error('\p{Is_Hex=:= False}');
Error('\P{Is_Hex=:= False}');
Expect(1, 65351, '\p{Is_Hex=false}', "");
Expect(0, 65351, '\p{^Is_Hex=false}', "");
Expect(0, 65351, '\P{Is_Hex=false}', "");
Expect(1, 65351, '\P{^Is_Hex=false}', "");
Expect(0, 65350, '\p{Is_Hex=false}', "");
Expect(1, 65350, '\p{^Is_Hex=false}', "");
Expect(1, 65350, '\P{Is_Hex=false}', "");
Expect(0, 65350, '\P{^Is_Hex=false}', "");
Expect(1, 65351, '\p{Is_Hex=-false}', "");
Expect(0, 65351, '\p{^Is_Hex=-false}', "");
Expect(0, 65351, '\P{Is_Hex=-false}', "");
Expect(1, 65351, '\P{^Is_Hex=-false}', "");
Expect(0, 65350, '\p{Is_Hex=-false}', "");
Expect(1, 65350, '\p{^Is_Hex=-false}', "");
Expect(1, 65350, '\P{Is_Hex=-false}', "");
Expect(0, 65350, '\P{^Is_Hex=-false}', "");
Error('\p{Hex_Digit=:= Yes}');
Error('\P{Hex_Digit=:= Yes}');
Expect(1, 65350, '\p{Hex_Digit=yes}', "");
Expect(0, 65350, '\p{^Hex_Digit=yes}', "");
Expect(0, 65350, '\P{Hex_Digit=yes}', "");
Expect(1, 65350, '\P{^Hex_Digit=yes}', "");
Expect(0, 65351, '\p{Hex_Digit=yes}', "");
Expect(1, 65351, '\p{^Hex_Digit=yes}', "");
Expect(1, 65351, '\P{Hex_Digit=yes}', "");
Expect(0, 65351, '\P{^Hex_Digit=yes}', "");
Expect(1, 65350, '\p{Hex_Digit:	-Yes}', "");
Expect(0, 65350, '\p{^Hex_Digit:	-Yes}', "");
Expect(0, 65350, '\P{Hex_Digit:	-Yes}', "");
Expect(1, 65350, '\P{^Hex_Digit:	-Yes}', "");
Expect(0, 65351, '\p{Hex_Digit:	-Yes}', "");
Expect(1, 65351, '\p{^Hex_Digit:	-Yes}', "");
Expect(1, 65351, '\P{Hex_Digit:	-Yes}', "");
Expect(0, 65351, '\P{^Hex_Digit:	-Yes}', "");
Error('\p{Hex=_/a/Y}');
Error('\P{Hex=_/a/Y}');
Expect(1, 65350, '\p{Hex=y}', "");
Expect(0, 65350, '\p{^Hex=y}', "");
Expect(0, 65350, '\P{Hex=y}', "");
Expect(1, 65350, '\P{^Hex=y}', "");
Expect(0, 65351, '\p{Hex=y}', "");
Expect(1, 65351, '\p{^Hex=y}', "");
Expect(1, 65351, '\P{Hex=y}', "");
Expect(0, 65351, '\P{^Hex=y}', "");
Expect(1, 65350, '\p{Hex=-	y}', "");
Expect(0, 65350, '\p{^Hex=-	y}', "");
Expect(0, 65350, '\P{Hex=-	y}', "");
Expect(1, 65350, '\P{^Hex=-	y}', "");
Expect(0, 65351, '\p{Hex=-	y}', "");
Expect(1, 65351, '\p{^Hex=-	y}', "");
Expect(1, 65351, '\P{Hex=-	y}', "");
Expect(0, 65351, '\P{^Hex=-	y}', "");
Error('\p{Is_Hex_Digit=/a/-T}');
Error('\P{Is_Hex_Digit=/a/-T}');
Expect(1, 65350, '\p{Is_Hex_Digit=t}', "");
Expect(0, 65350, '\p{^Is_Hex_Digit=t}', "");
Expect(0, 65350, '\P{Is_Hex_Digit=t}', "");
Expect(1, 65350, '\P{^Is_Hex_Digit=t}', "");
Expect(0, 65351, '\p{Is_Hex_Digit=t}', "");
Expect(1, 65351, '\p{^Is_Hex_Digit=t}', "");
Expect(1, 65351, '\P{Is_Hex_Digit=t}', "");
Expect(0, 65351, '\P{^Is_Hex_Digit=t}', "");
Expect(1, 65350, '\p{Is_Hex_Digit=_	T}', "");
Expect(0, 65350, '\p{^Is_Hex_Digit=_	T}', "");
Expect(0, 65350, '\P{Is_Hex_Digit=_	T}', "");
Expect(1, 65350, '\P{^Is_Hex_Digit=_	T}', "");
Expect(0, 65351, '\p{Is_Hex_Digit=_	T}', "");
Expect(1, 65351, '\p{^Is_Hex_Digit=_	T}', "");
Expect(1, 65351, '\P{Is_Hex_Digit=_	T}', "");
Expect(0, 65351, '\P{^Is_Hex_Digit=_	T}', "");
Error('\p{Is_Hex=-TRUE:=}');
Error('\P{Is_Hex=-TRUE:=}');
Expect(1, 65350, '\p{Is_Hex=true}', "");
Expect(0, 65350, '\p{^Is_Hex=true}', "");
Expect(0, 65350, '\P{Is_Hex=true}', "");
Expect(1, 65350, '\P{^Is_Hex=true}', "");
Expect(0, 65351, '\p{Is_Hex=true}', "");
Expect(1, 65351, '\p{^Is_Hex=true}', "");
Expect(1, 65351, '\P{Is_Hex=true}', "");
Expect(0, 65351, '\P{^Is_Hex=true}', "");
Expect(1, 65350, '\p{Is_Hex= _True}', "");
Expect(0, 65350, '\p{^Is_Hex= _True}', "");
Expect(0, 65350, '\P{Is_Hex= _True}', "");
Expect(1, 65350, '\P{^Is_Hex= _True}', "");
Expect(0, 65351, '\p{Is_Hex= _True}', "");
Expect(1, 65351, '\p{^Is_Hex= _True}', "");
Expect(1, 65351, '\P{Is_Hex= _True}', "");
Expect(0, 65351, '\P{^Is_Hex= _True}', "");
Error('\p{Hyphen=:=_No}');
Error('\P{Hyphen=:=_No}');
Expect(1, 65382, '\p{Hyphen=no}', 'deprecated');
Expect(0, 65382, '\p{^Hyphen=no}', 'deprecated');
Expect(0, 65382, '\P{Hyphen=no}', 'deprecated');
Expect(1, 65382, '\P{^Hyphen=no}', 'deprecated');
Expect(0, 65381, '\p{Hyphen=no}', 'deprecated');
Expect(1, 65381, '\p{^Hyphen=no}', 'deprecated');
Expect(1, 65381, '\P{Hyphen=no}', 'deprecated');
Expect(0, 65381, '\P{^Hyphen=no}', 'deprecated');
Expect(1, 65382, '\p{Hyphen= No}', 'deprecated');
Expect(0, 65382, '\p{^Hyphen= No}', 'deprecated');
Expect(0, 65382, '\P{Hyphen= No}', 'deprecated');
Expect(1, 65382, '\P{^Hyphen= No}', 'deprecated');
Expect(0, 65381, '\p{Hyphen= No}', 'deprecated');
Expect(1, 65381, '\p{^Hyphen= No}', 'deprecated');
Expect(1, 65381, '\P{Hyphen= No}', 'deprecated');
Expect(0, 65381, '\P{^Hyphen= No}', 'deprecated');
Error('\p{Is_Hyphen=_:=N}');
Error('\P{Is_Hyphen=_:=N}');
Expect(1, 65382, '\p{Is_Hyphen=n}', 'deprecated');
Expect(0, 65382, '\p{^Is_Hyphen=n}', 'deprecated');
Expect(0, 65382, '\P{Is_Hyphen=n}', 'deprecated');
Expect(1, 65382, '\P{^Is_Hyphen=n}', 'deprecated');
Expect(0, 65381, '\p{Is_Hyphen=n}', 'deprecated');
Expect(1, 65381, '\p{^Is_Hyphen=n}', 'deprecated');
Expect(1, 65381, '\P{Is_Hyphen=n}', 'deprecated');
Expect(0, 65381, '\P{^Is_Hyphen=n}', 'deprecated');
Expect(1, 65382, '\p{Is_Hyphen=	-N}', 'deprecated');
Expect(0, 65382, '\p{^Is_Hyphen=	-N}', 'deprecated');
Expect(0, 65382, '\P{Is_Hyphen=	-N}', 'deprecated');
Expect(1, 65382, '\P{^Is_Hyphen=	-N}', 'deprecated');
Expect(0, 65381, '\p{Is_Hyphen=	-N}', 'deprecated');
Expect(1, 65381, '\p{^Is_Hyphen=	-N}', 'deprecated');
Expect(1, 65381, '\P{Is_Hyphen=	-N}', 'deprecated');
Expect(0, 65381, '\P{^Is_Hyphen=	-N}', 'deprecated');
Error('\p{Hyphen=	_F/a/}');
Error('\P{Hyphen=	_F/a/}');
Expect(1, 65382, '\p{Hyphen=f}', 'deprecated');
Expect(0, 65382, '\p{^Hyphen=f}', 'deprecated');
Expect(0, 65382, '\P{Hyphen=f}', 'deprecated');
Expect(1, 65382, '\P{^Hyphen=f}', 'deprecated');
Expect(0, 65381, '\p{Hyphen=f}', 'deprecated');
Expect(1, 65381, '\p{^Hyphen=f}', 'deprecated');
Expect(1, 65381, '\P{Hyphen=f}', 'deprecated');
Expect(0, 65381, '\P{^Hyphen=f}', 'deprecated');
Expect(1, 65382, '\p{Hyphen=		F}', 'deprecated');
Expect(0, 65382, '\p{^Hyphen=		F}', 'deprecated');
Expect(0, 65382, '\P{Hyphen=		F}', 'deprecated');
Expect(1, 65382, '\P{^Hyphen=		F}', 'deprecated');
Expect(0, 65381, '\p{Hyphen=		F}', 'deprecated');
Expect(1, 65381, '\p{^Hyphen=		F}', 'deprecated');
Expect(1, 65381, '\P{Hyphen=		F}', 'deprecated');
Expect(0, 65381, '\P{^Hyphen=		F}', 'deprecated');
Error('\p{Is_Hyphen=-	FALSE/a/}');
Error('\P{Is_Hyphen=-	FALSE/a/}');
Expect(1, 65382, '\p{Is_Hyphen=false}', 'deprecated');
Expect(0, 65382, '\p{^Is_Hyphen=false}', 'deprecated');
Expect(0, 65382, '\P{Is_Hyphen=false}', 'deprecated');
Expect(1, 65382, '\P{^Is_Hyphen=false}', 'deprecated');
Expect(0, 65381, '\p{Is_Hyphen=false}', 'deprecated');
Expect(1, 65381, '\p{^Is_Hyphen=false}', 'deprecated');
Expect(1, 65381, '\P{Is_Hyphen=false}', 'deprecated');
Expect(0, 65381, '\P{^Is_Hyphen=false}', 'deprecated');
Expect(1, 65382, '\p{Is_Hyphen=--False}', 'deprecated');
Expect(0, 65382, '\p{^Is_Hyphen=--False}', 'deprecated');
Expect(0, 65382, '\P{Is_Hyphen=--False}', 'deprecated');
Expect(1, 65382, '\P{^Is_Hyphen=--False}', 'deprecated');
Expect(0, 65381, '\p{Is_Hyphen=--False}', 'deprecated');
Expect(1, 65381, '\p{^Is_Hyphen=--False}', 'deprecated');
Expect(1, 65381, '\P{Is_Hyphen=--False}', 'deprecated');
Expect(0, 65381, '\P{^Is_Hyphen=--False}', 'deprecated');
Error('\p{Hyphen: /a/YES}');
Error('\P{Hyphen: /a/YES}');
Expect(1, 65381, '\p{Hyphen=yes}', 'deprecated');
Expect(0, 65381, '\p{^Hyphen=yes}', 'deprecated');
Expect(0, 65381, '\P{Hyphen=yes}', 'deprecated');
Expect(1, 65381, '\P{^Hyphen=yes}', 'deprecated');
Expect(0, 65382, '\p{Hyphen=yes}', 'deprecated');
Expect(1, 65382, '\p{^Hyphen=yes}', 'deprecated');
Expect(1, 65382, '\P{Hyphen=yes}', 'deprecated');
Expect(0, 65382, '\P{^Hyphen=yes}', 'deprecated');
Expect(1, 65381, '\p{Hyphen=	-yes}', 'deprecated');
Expect(0, 65381, '\p{^Hyphen=	-yes}', 'deprecated');
Expect(0, 65381, '\P{Hyphen=	-yes}', 'deprecated');
Expect(1, 65381, '\P{^Hyphen=	-yes}', 'deprecated');
Expect(0, 65382, '\p{Hyphen=	-yes}', 'deprecated');
Expect(1, 65382, '\p{^Hyphen=	-yes}', 'deprecated');
Expect(1, 65382, '\P{Hyphen=	-yes}', 'deprecated');
Expect(0, 65382, '\P{^Hyphen=	-yes}', 'deprecated');
Error('\p{Is_Hyphen=:=	Y}');
Error('\P{Is_Hyphen=:=	Y}');
Expect(1, 65381, '\p{Is_Hyphen=y}', 'deprecated');
Expect(0, 65381, '\p{^Is_Hyphen=y}', 'deprecated');
Expect(0, 65381, '\P{Is_Hyphen=y}', 'deprecated');
Expect(1, 65381, '\P{^Is_Hyphen=y}', 'deprecated');
Expect(0, 65382, '\p{Is_Hyphen=y}', 'deprecated');
Expect(1, 65382, '\p{^Is_Hyphen=y}', 'deprecated');
Expect(1, 65382, '\P{Is_Hyphen=y}', 'deprecated');
Expect(0, 65382, '\P{^Is_Hyphen=y}', 'deprecated');
Expect(1, 65381, '\p{Is_Hyphen=-y}', 'deprecated');
Expect(0, 65381, '\p{^Is_Hyphen=-y}', 'deprecated');
Expect(0, 65381, '\P{Is_Hyphen=-y}', 'deprecated');
Expect(1, 65381, '\P{^Is_Hyphen=-y}', 'deprecated');
Expect(0, 65382, '\p{Is_Hyphen=-y}', 'deprecated');
Expect(1, 65382, '\p{^Is_Hyphen=-y}', 'deprecated');
Expect(1, 65382, '\P{Is_Hyphen=-y}', 'deprecated');
Expect(0, 65382, '\P{^Is_Hyphen=-y}', 'deprecated');
Error('\p{Hyphen=/a/_T}');
Error('\P{Hyphen=/a/_T}');
Expect(1, 65381, '\p{Hyphen=t}', 'deprecated');
Expect(0, 65381, '\p{^Hyphen=t}', 'deprecated');
Expect(0, 65381, '\P{Hyphen=t}', 'deprecated');
Expect(1, 65381, '\P{^Hyphen=t}', 'deprecated');
Expect(0, 65382, '\p{Hyphen=t}', 'deprecated');
Expect(1, 65382, '\p{^Hyphen=t}', 'deprecated');
Expect(1, 65382, '\P{Hyphen=t}', 'deprecated');
Expect(0, 65382, '\P{^Hyphen=t}', 'deprecated');
Expect(1, 65381, '\p{Hyphen=_	t}', 'deprecated');
Expect(0, 65381, '\p{^Hyphen=_	t}', 'deprecated');
Expect(0, 65381, '\P{Hyphen=_	t}', 'deprecated');
Expect(1, 65381, '\P{^Hyphen=_	t}', 'deprecated');
Expect(0, 65382, '\p{Hyphen=_	t}', 'deprecated');
Expect(1, 65382, '\p{^Hyphen=_	t}', 'deprecated');
Expect(1, 65382, '\P{Hyphen=_	t}', 'deprecated');
Expect(0, 65382, '\P{^Hyphen=_	t}', 'deprecated');
Error('\p{Is_Hyphen=-/a/true}');
Error('\P{Is_Hyphen=-/a/true}');
Expect(1, 65381, '\p{Is_Hyphen=true}', 'deprecated');
Expect(0, 65381, '\p{^Is_Hyphen=true}', 'deprecated');
Expect(0, 65381, '\P{Is_Hyphen=true}', 'deprecated');
Expect(1, 65381, '\P{^Is_Hyphen=true}', 'deprecated');
Expect(0, 65382, '\p{Is_Hyphen=true}', 'deprecated');
Expect(1, 65382, '\p{^Is_Hyphen=true}', 'deprecated');
Expect(1, 65382, '\P{Is_Hyphen=true}', 'deprecated');
Expect(0, 65382, '\P{^Is_Hyphen=true}', 'deprecated');
Expect(1, 65381, '\p{Is_Hyphen=	True}', 'deprecated');
Expect(0, 65381, '\p{^Is_Hyphen=	True}', 'deprecated');
Expect(0, 65381, '\P{Is_Hyphen=	True}', 'deprecated');
Expect(1, 65381, '\P{^Is_Hyphen=	True}', 'deprecated');
Expect(0, 65382, '\p{Is_Hyphen=	True}', 'deprecated');
Expect(1, 65382, '\p{^Is_Hyphen=	True}', 'deprecated');
Expect(1, 65382, '\P{Is_Hyphen=	True}', 'deprecated');
Expect(0, 65382, '\P{^Is_Hyphen=	True}', 'deprecated');
Error('\p{ID_Continue= /a/no}');
Error('\P{ID_Continue= /a/no}');
Expect(1, 918000, '\p{ID_Continue=no}', "");
Expect(0, 918000, '\p{^ID_Continue=no}', "");
Expect(0, 918000, '\P{ID_Continue=no}', "");
Expect(1, 918000, '\P{^ID_Continue=no}', "");
Expect(0, 917999, '\p{ID_Continue=no}', "");
Expect(1, 917999, '\p{^ID_Continue=no}', "");
Expect(1, 917999, '\P{ID_Continue=no}', "");
Expect(0, 917999, '\P{^ID_Continue=no}', "");
Expect(1, 918000, '\p{ID_Continue=-	No}', "");
Expect(0, 918000, '\p{^ID_Continue=-	No}', "");
Expect(0, 918000, '\P{ID_Continue=-	No}', "");
Expect(1, 918000, '\P{^ID_Continue=-	No}', "");
Expect(0, 917999, '\p{ID_Continue=-	No}', "");
Expect(1, 917999, '\p{^ID_Continue=-	No}', "");
Expect(1, 917999, '\P{ID_Continue=-	No}', "");
Expect(0, 917999, '\P{^ID_Continue=-	No}', "");
Error('\p{IDC:  N:=}');
Error('\P{IDC:  N:=}');
Expect(1, 918000, '\p{IDC:	n}', "");
Expect(0, 918000, '\p{^IDC:	n}', "");
Expect(0, 918000, '\P{IDC:	n}', "");
Expect(1, 918000, '\P{^IDC:	n}', "");
Expect(0, 917999, '\p{IDC:	n}', "");
Expect(1, 917999, '\p{^IDC:	n}', "");
Expect(1, 917999, '\P{IDC:	n}', "");
Expect(0, 917999, '\P{^IDC:	n}', "");
Expect(1, 918000, '\p{IDC=_ n}', "");
Expect(0, 918000, '\p{^IDC=_ n}', "");
Expect(0, 918000, '\P{IDC=_ n}', "");
Expect(1, 918000, '\P{^IDC=_ n}', "");
Expect(0, 917999, '\p{IDC=_ n}', "");
Expect(1, 917999, '\p{^IDC=_ n}', "");
Expect(1, 917999, '\P{IDC=_ n}', "");
Expect(0, 917999, '\P{^IDC=_ n}', "");
Error('\p{Is_ID_Continue= F:=}');
Error('\P{Is_ID_Continue= F:=}');
Expect(1, 918000, '\p{Is_ID_Continue=f}', "");
Expect(0, 918000, '\p{^Is_ID_Continue=f}', "");
Expect(0, 918000, '\P{Is_ID_Continue=f}', "");
Expect(1, 918000, '\P{^Is_ID_Continue=f}', "");
Expect(0, 917999, '\p{Is_ID_Continue=f}', "");
Expect(1, 917999, '\p{^Is_ID_Continue=f}', "");
Expect(1, 917999, '\P{Is_ID_Continue=f}', "");
Expect(0, 917999, '\P{^Is_ID_Continue=f}', "");
Expect(1, 918000, '\p{Is_ID_Continue=--F}', "");
Expect(0, 918000, '\p{^Is_ID_Continue=--F}', "");
Expect(0, 918000, '\P{Is_ID_Continue=--F}', "");
Expect(1, 918000, '\P{^Is_ID_Continue=--F}', "");
Expect(0, 917999, '\p{Is_ID_Continue=--F}', "");
Expect(1, 917999, '\p{^Is_ID_Continue=--F}', "");
Expect(1, 917999, '\P{Is_ID_Continue=--F}', "");
Expect(0, 917999, '\P{^Is_ID_Continue=--F}', "");
Error('\p{Is_IDC=_:=false}');
Error('\P{Is_IDC=_:=false}');
Expect(1, 918000, '\p{Is_IDC=false}', "");
Expect(0, 918000, '\p{^Is_IDC=false}', "");
Expect(0, 918000, '\P{Is_IDC=false}', "");
Expect(1, 918000, '\P{^Is_IDC=false}', "");
Expect(0, 917999, '\p{Is_IDC=false}', "");
Expect(1, 917999, '\p{^Is_IDC=false}', "");
Expect(1, 917999, '\P{Is_IDC=false}', "");
Expect(0, 917999, '\P{^Is_IDC=false}', "");
Expect(1, 918000, '\p{Is_IDC= _False}', "");
Expect(0, 918000, '\p{^Is_IDC= _False}', "");
Expect(0, 918000, '\P{Is_IDC= _False}', "");
Expect(1, 918000, '\P{^Is_IDC= _False}', "");
Expect(0, 917999, '\p{Is_IDC= _False}', "");
Expect(1, 917999, '\p{^Is_IDC= _False}', "");
Expect(1, 917999, '\P{Is_IDC= _False}', "");
Expect(0, 917999, '\P{^Is_IDC= _False}', "");
Error('\p{ID_Continue=:=  Yes}');
Error('\P{ID_Continue=:=  Yes}');
Expect(1, 917999, '\p{ID_Continue=yes}', "");
Expect(0, 917999, '\p{^ID_Continue=yes}', "");
Expect(0, 917999, '\P{ID_Continue=yes}', "");
Expect(1, 917999, '\P{^ID_Continue=yes}', "");
Expect(0, 918000, '\p{ID_Continue=yes}', "");
Expect(1, 918000, '\p{^ID_Continue=yes}', "");
Expect(1, 918000, '\P{ID_Continue=yes}', "");
Expect(0, 918000, '\P{^ID_Continue=yes}', "");
Expect(1, 917999, '\p{ID_Continue=__yes}', "");
Expect(0, 917999, '\p{^ID_Continue=__yes}', "");
Expect(0, 917999, '\P{ID_Continue=__yes}', "");
Expect(1, 917999, '\P{^ID_Continue=__yes}', "");
Expect(0, 918000, '\p{ID_Continue=__yes}', "");
Expect(1, 918000, '\p{^ID_Continue=__yes}', "");
Expect(1, 918000, '\P{ID_Continue=__yes}', "");
Expect(0, 918000, '\P{^ID_Continue=__yes}', "");
Error('\p{IDC=:=Y}');
Error('\P{IDC=:=Y}');
Expect(1, 917999, '\p{IDC=y}', "");
Expect(0, 917999, '\p{^IDC=y}', "");
Expect(0, 917999, '\P{IDC=y}', "");
Expect(1, 917999, '\P{^IDC=y}', "");
Expect(0, 918000, '\p{IDC=y}', "");
Expect(1, 918000, '\p{^IDC=y}', "");
Expect(1, 918000, '\P{IDC=y}', "");
Expect(0, 918000, '\P{^IDC=y}', "");
Expect(1, 917999, '\p{IDC=-_Y}', "");
Expect(0, 917999, '\p{^IDC=-_Y}', "");
Expect(0, 917999, '\P{IDC=-_Y}', "");
Expect(1, 917999, '\P{^IDC=-_Y}', "");
Expect(0, 918000, '\p{IDC=-_Y}', "");
Expect(1, 918000, '\p{^IDC=-_Y}', "");
Expect(1, 918000, '\P{IDC=-_Y}', "");
Expect(0, 918000, '\P{^IDC=-_Y}', "");
Error('\p{Is_ID_Continue=	-T/a/}');
Error('\P{Is_ID_Continue=	-T/a/}');
Expect(1, 917999, '\p{Is_ID_Continue=t}', "");
Expect(0, 917999, '\p{^Is_ID_Continue=t}', "");
Expect(0, 917999, '\P{Is_ID_Continue=t}', "");
Expect(1, 917999, '\P{^Is_ID_Continue=t}', "");
Expect(0, 918000, '\p{Is_ID_Continue=t}', "");
Expect(1, 918000, '\p{^Is_ID_Continue=t}', "");
Expect(1, 918000, '\P{Is_ID_Continue=t}', "");
Expect(0, 918000, '\P{^Is_ID_Continue=t}', "");
Expect(1, 917999, '\p{Is_ID_Continue:_T}', "");
Expect(0, 917999, '\p{^Is_ID_Continue:_T}', "");
Expect(0, 917999, '\P{Is_ID_Continue:_T}', "");
Expect(1, 917999, '\P{^Is_ID_Continue:_T}', "");
Expect(0, 918000, '\p{Is_ID_Continue:_T}', "");
Expect(1, 918000, '\p{^Is_ID_Continue:_T}', "");
Expect(1, 918000, '\P{Is_ID_Continue:_T}', "");
Expect(0, 918000, '\P{^Is_ID_Continue:_T}', "");
Error('\p{Is_IDC=_:=true}');
Error('\P{Is_IDC=_:=true}');
Expect(1, 917999, '\p{Is_IDC=true}', "");
Expect(0, 917999, '\p{^Is_IDC=true}', "");
Expect(0, 917999, '\P{Is_IDC=true}', "");
Expect(1, 917999, '\P{^Is_IDC=true}', "");
Expect(0, 918000, '\p{Is_IDC=true}', "");
Expect(1, 918000, '\p{^Is_IDC=true}', "");
Expect(1, 918000, '\P{Is_IDC=true}', "");
Expect(0, 918000, '\P{^Is_IDC=true}', "");
Expect(1, 917999, '\p{Is_IDC=True}', "");
Expect(0, 917999, '\p{^Is_IDC=True}', "");
Expect(0, 917999, '\P{Is_IDC=True}', "");
Expect(1, 917999, '\P{^Is_IDC=True}', "");
Expect(0, 918000, '\p{Is_IDC=True}', "");
Expect(1, 918000, '\p{^Is_IDC=True}', "");
Expect(1, 918000, '\P{Is_IDC=True}', "");
Expect(0, 918000, '\P{^Is_IDC=True}', "");
Error('\p{ID_Start=/a/- No}');
Error('\P{ID_Start=/a/- No}');
Expect(1, 195102, '\p{ID_Start=no}', "");
Expect(0, 195102, '\p{^ID_Start=no}', "");
Expect(0, 195102, '\P{ID_Start=no}', "");
Expect(1, 195102, '\P{^ID_Start=no}', "");
Expect(0, 195101, '\p{ID_Start=no}', "");
Expect(1, 195101, '\p{^ID_Start=no}', "");
Expect(1, 195101, '\P{ID_Start=no}', "");
Expect(0, 195101, '\P{^ID_Start=no}', "");
Expect(1, 195102, '\p{ID_Start=--NO}', "");
Expect(0, 195102, '\p{^ID_Start=--NO}', "");
Expect(0, 195102, '\P{ID_Start=--NO}', "");
Expect(1, 195102, '\P{^ID_Start=--NO}', "");
Expect(0, 195101, '\p{ID_Start=--NO}', "");
Expect(1, 195101, '\p{^ID_Start=--NO}', "");
Expect(1, 195101, '\P{ID_Start=--NO}', "");
Expect(0, 195101, '\P{^ID_Start=--NO}', "");
Error('\p{IDS=	:=N}');
Error('\P{IDS=	:=N}');
Expect(1, 195102, '\p{IDS=n}', "");
Expect(0, 195102, '\p{^IDS=n}', "");
Expect(0, 195102, '\P{IDS=n}', "");
Expect(1, 195102, '\P{^IDS=n}', "");
Expect(0, 195101, '\p{IDS=n}', "");
Expect(1, 195101, '\p{^IDS=n}', "");
Expect(1, 195101, '\P{IDS=n}', "");
Expect(0, 195101, '\P{^IDS=n}', "");
Expect(1, 195102, '\p{IDS=-N}', "");
Expect(0, 195102, '\p{^IDS=-N}', "");
Expect(0, 195102, '\P{IDS=-N}', "");
Expect(1, 195102, '\P{^IDS=-N}', "");
Expect(0, 195101, '\p{IDS=-N}', "");
Expect(1, 195101, '\p{^IDS=-N}', "");
Expect(1, 195101, '\P{IDS=-N}', "");
Expect(0, 195101, '\P{^IDS=-N}', "");
Error('\p{Is_ID_Start= _F/a/}');
Error('\P{Is_ID_Start= _F/a/}');
Expect(1, 195102, '\p{Is_ID_Start=f}', "");
Expect(0, 195102, '\p{^Is_ID_Start=f}', "");
Expect(0, 195102, '\P{Is_ID_Start=f}', "");
Expect(1, 195102, '\P{^Is_ID_Start=f}', "");
Expect(0, 195101, '\p{Is_ID_Start=f}', "");
Expect(1, 195101, '\p{^Is_ID_Start=f}', "");
Expect(1, 195101, '\P{Is_ID_Start=f}', "");
Expect(0, 195101, '\P{^Is_ID_Start=f}', "");
Expect(1, 195102, '\p{Is_ID_Start=-	F}', "");
Expect(0, 195102, '\p{^Is_ID_Start=-	F}', "");
Expect(0, 195102, '\P{Is_ID_Start=-	F}', "");
Expect(1, 195102, '\P{^Is_ID_Start=-	F}', "");
Expect(0, 195101, '\p{Is_ID_Start=-	F}', "");
Expect(1, 195101, '\p{^Is_ID_Start=-	F}', "");
Expect(1, 195101, '\P{Is_ID_Start=-	F}', "");
Expect(0, 195101, '\P{^Is_ID_Start=-	F}', "");
Error('\p{Is_IDS= 	False:=}');
Error('\P{Is_IDS= 	False:=}');
Expect(1, 195102, '\p{Is_IDS=false}', "");
Expect(0, 195102, '\p{^Is_IDS=false}', "");
Expect(0, 195102, '\P{Is_IDS=false}', "");
Expect(1, 195102, '\P{^Is_IDS=false}', "");
Expect(0, 195101, '\p{Is_IDS=false}', "");
Expect(1, 195101, '\p{^Is_IDS=false}', "");
Expect(1, 195101, '\P{Is_IDS=false}', "");
Expect(0, 195101, '\P{^Is_IDS=false}', "");
Expect(1, 195102, '\p{Is_IDS= FALSE}', "");
Expect(0, 195102, '\p{^Is_IDS= FALSE}', "");
Expect(0, 195102, '\P{Is_IDS= FALSE}', "");
Expect(1, 195102, '\P{^Is_IDS= FALSE}', "");
Expect(0, 195101, '\p{Is_IDS= FALSE}', "");
Expect(1, 195101, '\p{^Is_IDS= FALSE}', "");
Expect(1, 195101, '\P{Is_IDS= FALSE}', "");
Expect(0, 195101, '\P{^Is_IDS= FALSE}', "");
Error('\p{ID_Start=:=		YES}');
Error('\P{ID_Start=:=		YES}');
Expect(1, 195101, '\p{ID_Start=yes}', "");
Expect(0, 195101, '\p{^ID_Start=yes}', "");
Expect(0, 195101, '\P{ID_Start=yes}', "");
Expect(1, 195101, '\P{^ID_Start=yes}', "");
Expect(0, 195102, '\p{ID_Start=yes}', "");
Expect(1, 195102, '\p{^ID_Start=yes}', "");
Expect(1, 195102, '\P{ID_Start=yes}', "");
Expect(0, 195102, '\P{^ID_Start=yes}', "");
Expect(1, 195101, '\p{ID_Start= _YES}', "");
Expect(0, 195101, '\p{^ID_Start= _YES}', "");
Expect(0, 195101, '\P{ID_Start= _YES}', "");
Expect(1, 195101, '\P{^ID_Start= _YES}', "");
Expect(0, 195102, '\p{ID_Start= _YES}', "");
Expect(1, 195102, '\p{^ID_Start= _YES}', "");
Expect(1, 195102, '\P{ID_Start= _YES}', "");
Expect(0, 195102, '\P{^ID_Start= _YES}', "");
Error('\p{IDS=-	y:=}');
Error('\P{IDS=-	y:=}');
Expect(1, 195101, '\p{IDS=y}', "");
Expect(0, 195101, '\p{^IDS=y}', "");
Expect(0, 195101, '\P{IDS=y}', "");
Expect(1, 195101, '\P{^IDS=y}', "");
Expect(0, 195102, '\p{IDS=y}', "");
Expect(1, 195102, '\p{^IDS=y}', "");
Expect(1, 195102, '\P{IDS=y}', "");
Expect(0, 195102, '\P{^IDS=y}', "");
Expect(1, 195101, '\p{IDS=_-Y}', "");
Expect(0, 195101, '\p{^IDS=_-Y}', "");
Expect(0, 195101, '\P{IDS=_-Y}', "");
Expect(1, 195101, '\P{^IDS=_-Y}', "");
Expect(0, 195102, '\p{IDS=_-Y}', "");
Expect(1, 195102, '\p{^IDS=_-Y}', "");
Expect(1, 195102, '\P{IDS=_-Y}', "");
Expect(0, 195102, '\P{^IDS=_-Y}', "");
Error('\p{Is_ID_Start=	/a/T}');
Error('\P{Is_ID_Start=	/a/T}');
Expect(1, 195101, '\p{Is_ID_Start:	t}', "");
Expect(0, 195101, '\p{^Is_ID_Start:	t}', "");
Expect(0, 195101, '\P{Is_ID_Start:	t}', "");
Expect(1, 195101, '\P{^Is_ID_Start:	t}', "");
Expect(0, 195102, '\p{Is_ID_Start:	t}', "");
Expect(1, 195102, '\p{^Is_ID_Start:	t}', "");
Expect(1, 195102, '\P{Is_ID_Start:	t}', "");
Expect(0, 195102, '\P{^Is_ID_Start:	t}', "");
Expect(1, 195101, '\p{Is_ID_Start=_ T}', "");
Expect(0, 195101, '\p{^Is_ID_Start=_ T}', "");
Expect(0, 195101, '\P{Is_ID_Start=_ T}', "");
Expect(1, 195101, '\P{^Is_ID_Start=_ T}', "");
Expect(0, 195102, '\p{Is_ID_Start=_ T}', "");
Expect(1, 195102, '\p{^Is_ID_Start=_ T}', "");
Expect(1, 195102, '\P{Is_ID_Start=_ T}', "");
Expect(0, 195102, '\P{^Is_ID_Start=_ T}', "");
Error('\p{Is_IDS:	_True/a/}');
Error('\P{Is_IDS:	_True/a/}');
Expect(1, 195101, '\p{Is_IDS:	true}', "");
Expect(0, 195101, '\p{^Is_IDS:	true}', "");
Expect(0, 195101, '\P{Is_IDS:	true}', "");
Expect(1, 195101, '\P{^Is_IDS:	true}', "");
Expect(0, 195102, '\p{Is_IDS:	true}', "");
Expect(1, 195102, '\p{^Is_IDS:	true}', "");
Expect(1, 195102, '\P{Is_IDS:	true}', "");
Expect(0, 195102, '\P{^Is_IDS:	true}', "");
Expect(1, 195101, '\p{Is_IDS:	_True}', "");
Expect(0, 195101, '\p{^Is_IDS:	_True}', "");
Expect(0, 195101, '\P{Is_IDS:	_True}', "");
Expect(1, 195101, '\P{^Is_IDS:	_True}', "");
Expect(0, 195102, '\p{Is_IDS:	_True}', "");
Expect(1, 195102, '\p{^Is_IDS:	_True}', "");
Expect(1, 195102, '\P{Is_IDS:	_True}', "");
Expect(0, 195102, '\P{^Is_IDS:	_True}', "");
Error('\p{IDS_Binary_Operator=	NO/a/}');
Error('\P{IDS_Binary_Operator=	NO/a/}');
Expect(1, 12284, '\p{IDS_Binary_Operator=no}', "");
Expect(0, 12284, '\p{^IDS_Binary_Operator=no}', "");
Expect(0, 12284, '\P{IDS_Binary_Operator=no}', "");
Expect(1, 12284, '\P{^IDS_Binary_Operator=no}', "");
Expect(0, 12283, '\p{IDS_Binary_Operator=no}', "");
Expect(1, 12283, '\p{^IDS_Binary_Operator=no}', "");
Expect(1, 12283, '\P{IDS_Binary_Operator=no}', "");
Expect(0, 12283, '\P{^IDS_Binary_Operator=no}', "");
Expect(1, 12284, '\p{IDS_Binary_Operator=-NO}', "");
Expect(0, 12284, '\p{^IDS_Binary_Operator=-NO}', "");
Expect(0, 12284, '\P{IDS_Binary_Operator=-NO}', "");
Expect(1, 12284, '\P{^IDS_Binary_Operator=-NO}', "");
Expect(0, 12283, '\p{IDS_Binary_Operator=-NO}', "");
Expect(1, 12283, '\p{^IDS_Binary_Operator=-NO}', "");
Expect(1, 12283, '\P{IDS_Binary_Operator=-NO}', "");
Expect(0, 12283, '\P{^IDS_Binary_Operator=-NO}', "");
Error('\p{IDSB:   --N/a/}');
Error('\P{IDSB:   --N/a/}');
Expect(1, 12284, '\p{IDSB:n}', "");
Expect(0, 12284, '\p{^IDSB:n}', "");
Expect(0, 12284, '\P{IDSB:n}', "");
Expect(1, 12284, '\P{^IDSB:n}', "");
Expect(0, 12283, '\p{IDSB:n}', "");
Expect(1, 12283, '\p{^IDSB:n}', "");
Expect(1, 12283, '\P{IDSB:n}', "");
Expect(0, 12283, '\P{^IDSB:n}', "");
Expect(1, 12284, '\p{IDSB=	-n}', "");
Expect(0, 12284, '\p{^IDSB=	-n}', "");
Expect(0, 12284, '\P{IDSB=	-n}', "");
Expect(1, 12284, '\P{^IDSB=	-n}', "");
Expect(0, 12283, '\p{IDSB=	-n}', "");
Expect(1, 12283, '\p{^IDSB=	-n}', "");
Expect(1, 12283, '\P{IDSB=	-n}', "");
Expect(0, 12283, '\P{^IDSB=	-n}', "");
Error('\p{Is_IDS_Binary_Operator= _F/a/}');
Error('\P{Is_IDS_Binary_Operator= _F/a/}');
Expect(1, 12284, '\p{Is_IDS_Binary_Operator=f}', "");
Expect(0, 12284, '\p{^Is_IDS_Binary_Operator=f}', "");
Expect(0, 12284, '\P{Is_IDS_Binary_Operator=f}', "");
Expect(1, 12284, '\P{^Is_IDS_Binary_Operator=f}', "");
Expect(0, 12283, '\p{Is_IDS_Binary_Operator=f}', "");
Expect(1, 12283, '\p{^Is_IDS_Binary_Operator=f}', "");
Expect(1, 12283, '\P{Is_IDS_Binary_Operator=f}', "");
Expect(0, 12283, '\P{^Is_IDS_Binary_Operator=f}', "");
Expect(1, 12284, '\p{Is_IDS_Binary_Operator:   -	f}', "");
Expect(0, 12284, '\p{^Is_IDS_Binary_Operator:   -	f}', "");
Expect(0, 12284, '\P{Is_IDS_Binary_Operator:   -	f}', "");
Expect(1, 12284, '\P{^Is_IDS_Binary_Operator:   -	f}', "");
Expect(0, 12283, '\p{Is_IDS_Binary_Operator:   -	f}', "");
Expect(1, 12283, '\p{^Is_IDS_Binary_Operator:   -	f}', "");
Expect(1, 12283, '\P{Is_IDS_Binary_Operator:   -	f}', "");
Expect(0, 12283, '\P{^Is_IDS_Binary_Operator:   -	f}', "");
Error('\p{Is_IDSB=	/a/False}');
Error('\P{Is_IDSB=	/a/False}');
Expect(1, 12284, '\p{Is_IDSB=false}', "");
Expect(0, 12284, '\p{^Is_IDSB=false}', "");
Expect(0, 12284, '\P{Is_IDSB=false}', "");
Expect(1, 12284, '\P{^Is_IDSB=false}', "");
Expect(0, 12283, '\p{Is_IDSB=false}', "");
Expect(1, 12283, '\p{^Is_IDSB=false}', "");
Expect(1, 12283, '\P{Is_IDSB=false}', "");
Expect(0, 12283, '\P{^Is_IDSB=false}', "");
Expect(1, 12284, '\p{Is_IDSB=FALSE}', "");
Expect(0, 12284, '\p{^Is_IDSB=FALSE}', "");
Expect(0, 12284, '\P{Is_IDSB=FALSE}', "");
Expect(1, 12284, '\P{^Is_IDSB=FALSE}', "");
Expect(0, 12283, '\p{Is_IDSB=FALSE}', "");
Expect(1, 12283, '\p{^Is_IDSB=FALSE}', "");
Expect(1, 12283, '\P{Is_IDSB=FALSE}', "");
Expect(0, 12283, '\P{^Is_IDSB=FALSE}', "");
Error('\p{IDS_Binary_Operator= _Yes:=}');
Error('\P{IDS_Binary_Operator= _Yes:=}');
Expect(1, 12283, '\p{IDS_Binary_Operator=yes}', "");
Expect(0, 12283, '\p{^IDS_Binary_Operator=yes}', "");
Expect(0, 12283, '\P{IDS_Binary_Operator=yes}', "");
Expect(1, 12283, '\P{^IDS_Binary_Operator=yes}', "");
Expect(0, 12284, '\p{IDS_Binary_Operator=yes}', "");
Expect(1, 12284, '\p{^IDS_Binary_Operator=yes}', "");
Expect(1, 12284, '\P{IDS_Binary_Operator=yes}', "");
Expect(0, 12284, '\P{^IDS_Binary_Operator=yes}', "");
Expect(1, 12283, '\p{IDS_Binary_Operator=Yes}', "");
Expect(0, 12283, '\p{^IDS_Binary_Operator=Yes}', "");
Expect(0, 12283, '\P{IDS_Binary_Operator=Yes}', "");
Expect(1, 12283, '\P{^IDS_Binary_Operator=Yes}', "");
Expect(0, 12284, '\p{IDS_Binary_Operator=Yes}', "");
Expect(1, 12284, '\p{^IDS_Binary_Operator=Yes}', "");
Expect(1, 12284, '\P{IDS_Binary_Operator=Yes}', "");
Expect(0, 12284, '\P{^IDS_Binary_Operator=Yes}', "");
Error('\p{IDSB=- Y:=}');
Error('\P{IDSB=- Y:=}');
Expect(1, 12283, '\p{IDSB=y}', "");
Expect(0, 12283, '\p{^IDSB=y}', "");
Expect(0, 12283, '\P{IDSB=y}', "");
Expect(1, 12283, '\P{^IDSB=y}', "");
Expect(0, 12284, '\p{IDSB=y}', "");
Expect(1, 12284, '\p{^IDSB=y}', "");
Expect(1, 12284, '\P{IDSB=y}', "");
Expect(0, 12284, '\P{^IDSB=y}', "");
Expect(1, 12283, '\p{IDSB=_y}', "");
Expect(0, 12283, '\p{^IDSB=_y}', "");
Expect(0, 12283, '\P{IDSB=_y}', "");
Expect(1, 12283, '\P{^IDSB=_y}', "");
Expect(0, 12284, '\p{IDSB=_y}', "");
Expect(1, 12284, '\p{^IDSB=_y}', "");
Expect(1, 12284, '\P{IDSB=_y}', "");
Expect(0, 12284, '\P{^IDSB=_y}', "");
Error('\p{Is_IDS_Binary_Operator= :=T}');
Error('\P{Is_IDS_Binary_Operator= :=T}');
Expect(1, 12283, '\p{Is_IDS_Binary_Operator:	t}', "");
Expect(0, 12283, '\p{^Is_IDS_Binary_Operator:	t}', "");
Expect(0, 12283, '\P{Is_IDS_Binary_Operator:	t}', "");
Expect(1, 12283, '\P{^Is_IDS_Binary_Operator:	t}', "");
Expect(0, 12284, '\p{Is_IDS_Binary_Operator:	t}', "");
Expect(1, 12284, '\p{^Is_IDS_Binary_Operator:	t}', "");
Expect(1, 12284, '\P{Is_IDS_Binary_Operator:	t}', "");
Expect(0, 12284, '\P{^Is_IDS_Binary_Operator:	t}', "");
Expect(1, 12283, '\p{Is_IDS_Binary_Operator=__T}', "");
Expect(0, 12283, '\p{^Is_IDS_Binary_Operator=__T}', "");
Expect(0, 12283, '\P{Is_IDS_Binary_Operator=__T}', "");
Expect(1, 12283, '\P{^Is_IDS_Binary_Operator=__T}', "");
Expect(0, 12284, '\p{Is_IDS_Binary_Operator=__T}', "");
Expect(1, 12284, '\p{^Is_IDS_Binary_Operator=__T}', "");
Expect(1, 12284, '\P{Is_IDS_Binary_Operator=__T}', "");
Expect(0, 12284, '\P{^Is_IDS_Binary_Operator=__T}', "");
Error('\p{Is_IDSB=- true/a/}');
Error('\P{Is_IDSB=- true/a/}');
Expect(1, 12283, '\p{Is_IDSB=true}', "");
Expect(0, 12283, '\p{^Is_IDSB=true}', "");
Expect(0, 12283, '\P{Is_IDSB=true}', "");
Expect(1, 12283, '\P{^Is_IDSB=true}', "");
Expect(0, 12284, '\p{Is_IDSB=true}', "");
Expect(1, 12284, '\p{^Is_IDSB=true}', "");
Expect(1, 12284, '\P{Is_IDSB=true}', "");
Expect(0, 12284, '\P{^Is_IDSB=true}', "");
Expect(1, 12283, '\p{Is_IDSB: -TRUE}', "");
Expect(0, 12283, '\p{^Is_IDSB: -TRUE}', "");
Expect(0, 12283, '\P{Is_IDSB: -TRUE}', "");
Expect(1, 12283, '\P{^Is_IDSB: -TRUE}', "");
Expect(0, 12284, '\p{Is_IDSB: -TRUE}', "");
Expect(1, 12284, '\p{^Is_IDSB: -TRUE}', "");
Expect(1, 12284, '\P{Is_IDSB: -TRUE}', "");
Expect(0, 12284, '\P{^Is_IDSB: -TRUE}', "");
Error('\p{IDS_Trinary_Operator=	:=No}');
Error('\P{IDS_Trinary_Operator=	:=No}');
Expect(1, 12276, '\p{IDS_Trinary_Operator=no}', "");
Expect(0, 12276, '\p{^IDS_Trinary_Operator=no}', "");
Expect(0, 12276, '\P{IDS_Trinary_Operator=no}', "");
Expect(1, 12276, '\P{^IDS_Trinary_Operator=no}', "");
Expect(0, 12275, '\p{IDS_Trinary_Operator=no}', "");
Expect(1, 12275, '\p{^IDS_Trinary_Operator=no}', "");
Expect(1, 12275, '\P{IDS_Trinary_Operator=no}', "");
Expect(0, 12275, '\P{^IDS_Trinary_Operator=no}', "");
Expect(1, 12276, '\p{IDS_Trinary_Operator=	No}', "");
Expect(0, 12276, '\p{^IDS_Trinary_Operator=	No}', "");
Expect(0, 12276, '\P{IDS_Trinary_Operator=	No}', "");
Expect(1, 12276, '\P{^IDS_Trinary_Operator=	No}', "");
Expect(0, 12275, '\p{IDS_Trinary_Operator=	No}', "");
Expect(1, 12275, '\p{^IDS_Trinary_Operator=	No}', "");
Expect(1, 12275, '\P{IDS_Trinary_Operator=	No}', "");
Expect(0, 12275, '\P{^IDS_Trinary_Operator=	No}', "");
Error('\p{IDST=/a/__N}');
Error('\P{IDST=/a/__N}');
Expect(1, 12276, '\p{IDST=n}', "");
Expect(0, 12276, '\p{^IDST=n}', "");
Expect(0, 12276, '\P{IDST=n}', "");
Expect(1, 12276, '\P{^IDST=n}', "");
Expect(0, 12275, '\p{IDST=n}', "");
Expect(1, 12275, '\p{^IDST=n}', "");
Expect(1, 12275, '\P{IDST=n}', "");
Expect(0, 12275, '\P{^IDST=n}', "");
Expect(1, 12276, '\p{IDST=_	N}', "");
Expect(0, 12276, '\p{^IDST=_	N}', "");
Expect(0, 12276, '\P{IDST=_	N}', "");
Expect(1, 12276, '\P{^IDST=_	N}', "");
Expect(0, 12275, '\p{IDST=_	N}', "");
Expect(1, 12275, '\p{^IDST=_	N}', "");
Expect(1, 12275, '\P{IDST=_	N}', "");
Expect(0, 12275, '\P{^IDST=_	N}', "");
Error('\p{Is_IDS_Trinary_Operator=-:=F}');
Error('\P{Is_IDS_Trinary_Operator=-:=F}');
Expect(1, 12276, '\p{Is_IDS_Trinary_Operator=f}', "");
Expect(0, 12276, '\p{^Is_IDS_Trinary_Operator=f}', "");
Expect(0, 12276, '\P{Is_IDS_Trinary_Operator=f}', "");
Expect(1, 12276, '\P{^Is_IDS_Trinary_Operator=f}', "");
Expect(0, 12275, '\p{Is_IDS_Trinary_Operator=f}', "");
Expect(1, 12275, '\p{^Is_IDS_Trinary_Operator=f}', "");
Expect(1, 12275, '\P{Is_IDS_Trinary_Operator=f}', "");
Expect(0, 12275, '\P{^Is_IDS_Trinary_Operator=f}', "");
Expect(1, 12276, '\p{Is_IDS_Trinary_Operator=_F}', "");
Expect(0, 12276, '\p{^Is_IDS_Trinary_Operator=_F}', "");
Expect(0, 12276, '\P{Is_IDS_Trinary_Operator=_F}', "");
Expect(1, 12276, '\P{^Is_IDS_Trinary_Operator=_F}', "");
Expect(0, 12275, '\p{Is_IDS_Trinary_Operator=_F}', "");
Expect(1, 12275, '\p{^Is_IDS_Trinary_Operator=_F}', "");
Expect(1, 12275, '\P{Is_IDS_Trinary_Operator=_F}', "");
Expect(0, 12275, '\P{^Is_IDS_Trinary_Operator=_F}', "");
Error('\p{Is_IDST=:=--False}');
Error('\P{Is_IDST=:=--False}');
Expect(1, 12276, '\p{Is_IDST=false}', "");
Expect(0, 12276, '\p{^Is_IDST=false}', "");
Expect(0, 12276, '\P{Is_IDST=false}', "");
Expect(1, 12276, '\P{^Is_IDST=false}', "");
Expect(0, 12275, '\p{Is_IDST=false}', "");
Expect(1, 12275, '\p{^Is_IDST=false}', "");
Expect(1, 12275, '\P{Is_IDST=false}', "");
Expect(0, 12275, '\P{^Is_IDST=false}', "");
Expect(1, 12276, '\p{Is_IDST=_-False}', "");
Expect(0, 12276, '\p{^Is_IDST=_-False}', "");
Expect(0, 12276, '\P{Is_IDST=_-False}', "");
Expect(1, 12276, '\P{^Is_IDST=_-False}', "");
Expect(0, 12275, '\p{Is_IDST=_-False}', "");
Expect(1, 12275, '\p{^Is_IDST=_-False}', "");
Expect(1, 12275, '\P{Is_IDST=_-False}', "");
Expect(0, 12275, '\P{^Is_IDST=_-False}', "");
Error('\p{IDS_Trinary_Operator=/a/-Yes}');
Error('\P{IDS_Trinary_Operator=/a/-Yes}');
Expect(1, 12275, '\p{IDS_Trinary_Operator:	yes}', "");
Expect(0, 12275, '\p{^IDS_Trinary_Operator:	yes}', "");
Expect(0, 12275, '\P{IDS_Trinary_Operator:	yes}', "");
Expect(1, 12275, '\P{^IDS_Trinary_Operator:	yes}', "");
Expect(0, 12276, '\p{IDS_Trinary_Operator:	yes}', "");
Expect(1, 12276, '\p{^IDS_Trinary_Operator:	yes}', "");
Expect(1, 12276, '\P{IDS_Trinary_Operator:	yes}', "");
Expect(0, 12276, '\P{^IDS_Trinary_Operator:	yes}', "");
Expect(1, 12275, '\p{IDS_Trinary_Operator=-Yes}', "");
Expect(0, 12275, '\p{^IDS_Trinary_Operator=-Yes}', "");
Expect(0, 12275, '\P{IDS_Trinary_Operator=-Yes}', "");
Expect(1, 12275, '\P{^IDS_Trinary_Operator=-Yes}', "");
Expect(0, 12276, '\p{IDS_Trinary_Operator=-Yes}', "");
Expect(1, 12276, '\p{^IDS_Trinary_Operator=-Yes}', "");
Expect(1, 12276, '\P{IDS_Trinary_Operator=-Yes}', "");
Expect(0, 12276, '\P{^IDS_Trinary_Operator=-Yes}', "");
Error('\p{IDST= /a/Y}');
Error('\P{IDST= /a/Y}');
Expect(1, 12275, '\p{IDST=y}', "");
Expect(0, 12275, '\p{^IDST=y}', "");
Expect(0, 12275, '\P{IDST=y}', "");
Expect(1, 12275, '\P{^IDST=y}', "");
Expect(0, 12276, '\p{IDST=y}', "");
Expect(1, 12276, '\p{^IDST=y}', "");
Expect(1, 12276, '\P{IDST=y}', "");
Expect(0, 12276, '\P{^IDST=y}', "");
Expect(1, 12275, '\p{IDST=-_Y}', "");
Expect(0, 12275, '\p{^IDST=-_Y}', "");
Expect(0, 12275, '\P{IDST=-_Y}', "");
Expect(1, 12275, '\P{^IDST=-_Y}', "");
Expect(0, 12276, '\p{IDST=-_Y}', "");
Expect(1, 12276, '\p{^IDST=-_Y}', "");
Expect(1, 12276, '\P{IDST=-_Y}', "");
Expect(0, 12276, '\P{^IDST=-_Y}', "");
Error('\p{Is_IDS_Trinary_Operator: 	/a/T}');
Error('\P{Is_IDS_Trinary_Operator: 	/a/T}');
Expect(1, 12275, '\p{Is_IDS_Trinary_Operator=t}', "");
Expect(0, 12275, '\p{^Is_IDS_Trinary_Operator=t}', "");
Expect(0, 12275, '\P{Is_IDS_Trinary_Operator=t}', "");
Expect(1, 12275, '\P{^Is_IDS_Trinary_Operator=t}', "");
Expect(0, 12276, '\p{Is_IDS_Trinary_Operator=t}', "");
Expect(1, 12276, '\p{^Is_IDS_Trinary_Operator=t}', "");
Expect(1, 12276, '\P{Is_IDS_Trinary_Operator=t}', "");
Expect(0, 12276, '\P{^Is_IDS_Trinary_Operator=t}', "");
Expect(1, 12275, '\p{Is_IDS_Trinary_Operator=- T}', "");
Expect(0, 12275, '\p{^Is_IDS_Trinary_Operator=- T}', "");
Expect(0, 12275, '\P{Is_IDS_Trinary_Operator=- T}', "");
Expect(1, 12275, '\P{^Is_IDS_Trinary_Operator=- T}', "");
Expect(0, 12276, '\p{Is_IDS_Trinary_Operator=- T}', "");
Expect(1, 12276, '\p{^Is_IDS_Trinary_Operator=- T}', "");
Expect(1, 12276, '\P{Is_IDS_Trinary_Operator=- T}', "");
Expect(0, 12276, '\P{^Is_IDS_Trinary_Operator=- T}', "");
Error('\p{Is_IDST=:=-true}');
Error('\P{Is_IDST=:=-true}');
Expect(1, 12275, '\p{Is_IDST=true}', "");
Expect(0, 12275, '\p{^Is_IDST=true}', "");
Expect(0, 12275, '\P{Is_IDST=true}', "");
Expect(1, 12275, '\P{^Is_IDST=true}', "");
Expect(0, 12276, '\p{Is_IDST=true}', "");
Expect(1, 12276, '\p{^Is_IDST=true}', "");
Expect(1, 12276, '\P{Is_IDST=true}', "");
Expect(0, 12276, '\P{^Is_IDST=true}', "");
Expect(1, 12275, '\p{Is_IDST=	-true}', "");
Expect(0, 12275, '\p{^Is_IDST=	-true}', "");
Expect(0, 12275, '\P{Is_IDST=	-true}', "");
Expect(1, 12275, '\P{^Is_IDST=	-true}', "");
Expect(0, 12276, '\p{Is_IDST=	-true}', "");
Expect(1, 12276, '\p{^Is_IDST=	-true}', "");
Expect(1, 12276, '\P{Is_IDST=	-true}', "");
Expect(0, 12276, '\P{^Is_IDST=	-true}', "");
Error('\p{Ideographic= _No/a/}');
Error('\P{Ideographic= _No/a/}');
Expect(1, 195102, '\p{Ideographic=no}', "");
Expect(0, 195102, '\p{^Ideographic=no}', "");
Expect(0, 195102, '\P{Ideographic=no}', "");
Expect(1, 195102, '\P{^Ideographic=no}', "");
Expect(0, 195101, '\p{Ideographic=no}', "");
Expect(1, 195101, '\p{^Ideographic=no}', "");
Expect(1, 195101, '\P{Ideographic=no}', "");
Expect(0, 195101, '\P{^Ideographic=no}', "");
Expect(1, 195102, '\p{Ideographic=-_no}', "");
Expect(0, 195102, '\p{^Ideographic=-_no}', "");
Expect(0, 195102, '\P{Ideographic=-_no}', "");
Expect(1, 195102, '\P{^Ideographic=-_no}', "");
Expect(0, 195101, '\p{Ideographic=-_no}', "");
Expect(1, 195101, '\p{^Ideographic=-_no}', "");
Expect(1, 195101, '\P{Ideographic=-_no}', "");
Expect(0, 195101, '\P{^Ideographic=-_no}', "");
Error('\p{Ideo= N/a/}');
Error('\P{Ideo= N/a/}');
Expect(1, 195102, '\p{Ideo=n}', "");
Expect(0, 195102, '\p{^Ideo=n}', "");
Expect(0, 195102, '\P{Ideo=n}', "");
Expect(1, 195102, '\P{^Ideo=n}', "");
Expect(0, 195101, '\p{Ideo=n}', "");
Expect(1, 195101, '\p{^Ideo=n}', "");
Expect(1, 195101, '\P{Ideo=n}', "");
Expect(0, 195101, '\P{^Ideo=n}', "");
Expect(1, 195102, '\p{Ideo= 	N}', "");
Expect(0, 195102, '\p{^Ideo= 	N}', "");
Expect(0, 195102, '\P{Ideo= 	N}', "");
Expect(1, 195102, '\P{^Ideo= 	N}', "");
Expect(0, 195101, '\p{Ideo= 	N}', "");
Expect(1, 195101, '\p{^Ideo= 	N}', "");
Expect(1, 195101, '\P{Ideo= 	N}', "");
Expect(0, 195101, '\P{^Ideo= 	N}', "");
Error('\p{Is_Ideographic=/a/f}');
Error('\P{Is_Ideographic=/a/f}');
Expect(1, 195102, '\p{Is_Ideographic=f}', "");
Expect(0, 195102, '\p{^Is_Ideographic=f}', "");
Expect(0, 195102, '\P{Is_Ideographic=f}', "");
Expect(1, 195102, '\P{^Is_Ideographic=f}', "");
Expect(0, 195101, '\p{Is_Ideographic=f}', "");
Expect(1, 195101, '\p{^Is_Ideographic=f}', "");
Expect(1, 195101, '\P{Is_Ideographic=f}', "");
Expect(0, 195101, '\P{^Is_Ideographic=f}', "");
Expect(1, 195102, '\p{Is_Ideographic=- F}', "");
Expect(0, 195102, '\p{^Is_Ideographic=- F}', "");
Expect(0, 195102, '\P{Is_Ideographic=- F}', "");
Expect(1, 195102, '\P{^Is_Ideographic=- F}', "");
Expect(0, 195101, '\p{Is_Ideographic=- F}', "");
Expect(1, 195101, '\p{^Is_Ideographic=- F}', "");
Expect(1, 195101, '\P{Is_Ideographic=- F}', "");
Expect(0, 195101, '\P{^Is_Ideographic=- F}', "");
Error('\p{Is_Ideo=__False/a/}');
Error('\P{Is_Ideo=__False/a/}');
Expect(1, 195102, '\p{Is_Ideo=false}', "");
Expect(0, 195102, '\p{^Is_Ideo=false}', "");
Expect(0, 195102, '\P{Is_Ideo=false}', "");
Expect(1, 195102, '\P{^Is_Ideo=false}', "");
Expect(0, 195101, '\p{Is_Ideo=false}', "");
Expect(1, 195101, '\p{^Is_Ideo=false}', "");
Expect(1, 195101, '\P{Is_Ideo=false}', "");
Expect(0, 195101, '\P{^Is_Ideo=false}', "");
Expect(1, 195102, '\p{Is_Ideo=_	False}', "");
Expect(0, 195102, '\p{^Is_Ideo=_	False}', "");
Expect(0, 195102, '\P{Is_Ideo=_	False}', "");
Expect(1, 195102, '\P{^Is_Ideo=_	False}', "");
Expect(0, 195101, '\p{Is_Ideo=_	False}', "");
Expect(1, 195101, '\p{^Is_Ideo=_	False}', "");
Expect(1, 195101, '\P{Is_Ideo=_	False}', "");
Expect(0, 195101, '\P{^Is_Ideo=_	False}', "");
Error('\p{Ideographic=/a/	-YES}');
Error('\P{Ideographic=/a/	-YES}');
Expect(1, 195101, '\p{Ideographic=yes}', "");
Expect(0, 195101, '\p{^Ideographic=yes}', "");
Expect(0, 195101, '\P{Ideographic=yes}', "");
Expect(1, 195101, '\P{^Ideographic=yes}', "");
Expect(0, 195102, '\p{Ideographic=yes}', "");
Expect(1, 195102, '\p{^Ideographic=yes}', "");
Expect(1, 195102, '\P{Ideographic=yes}', "");
Expect(0, 195102, '\P{^Ideographic=yes}', "");
Expect(1, 195101, '\p{Ideographic=--yes}', "");
Expect(0, 195101, '\p{^Ideographic=--yes}', "");
Expect(0, 195101, '\P{Ideographic=--yes}', "");
Expect(1, 195101, '\P{^Ideographic=--yes}', "");
Expect(0, 195102, '\p{Ideographic=--yes}', "");
Expect(1, 195102, '\p{^Ideographic=--yes}', "");
Expect(1, 195102, '\P{Ideographic=--yes}', "");
Expect(0, 195102, '\P{^Ideographic=--yes}', "");
Error('\p{Ideo=_Y/a/}');
Error('\P{Ideo=_Y/a/}');
Expect(1, 195101, '\p{Ideo:	y}', "");
Expect(0, 195101, '\p{^Ideo:	y}', "");
Expect(0, 195101, '\P{Ideo:	y}', "");
Expect(1, 195101, '\P{^Ideo:	y}', "");
Expect(0, 195102, '\p{Ideo:	y}', "");
Expect(1, 195102, '\p{^Ideo:	y}', "");
Expect(1, 195102, '\P{Ideo:	y}', "");
Expect(0, 195102, '\P{^Ideo:	y}', "");
Expect(1, 195101, '\p{Ideo=_Y}', "");
Expect(0, 195101, '\p{^Ideo=_Y}', "");
Expect(0, 195101, '\P{Ideo=_Y}', "");
Expect(1, 195101, '\P{^Ideo=_Y}', "");
Expect(0, 195102, '\p{Ideo=_Y}', "");
Expect(1, 195102, '\p{^Ideo=_Y}', "");
Expect(1, 195102, '\P{Ideo=_Y}', "");
Expect(0, 195102, '\P{^Ideo=_Y}', "");
Error('\p{Is_Ideographic=_/a/T}');
Error('\P{Is_Ideographic=_/a/T}');
Expect(1, 195101, '\p{Is_Ideographic=t}', "");
Expect(0, 195101, '\p{^Is_Ideographic=t}', "");
Expect(0, 195101, '\P{Is_Ideographic=t}', "");
Expect(1, 195101, '\P{^Is_Ideographic=t}', "");
Expect(0, 195102, '\p{Is_Ideographic=t}', "");
Expect(1, 195102, '\p{^Is_Ideographic=t}', "");
Expect(1, 195102, '\P{Is_Ideographic=t}', "");
Expect(0, 195102, '\P{^Is_Ideographic=t}', "");
Expect(1, 195101, '\p{Is_Ideographic=- t}', "");
Expect(0, 195101, '\p{^Is_Ideographic=- t}', "");
Expect(0, 195101, '\P{Is_Ideographic=- t}', "");
Expect(1, 195101, '\P{^Is_Ideographic=- t}', "");
Expect(0, 195102, '\p{Is_Ideographic=- t}', "");
Expect(1, 195102, '\p{^Is_Ideographic=- t}', "");
Expect(1, 195102, '\P{Is_Ideographic=- t}', "");
Expect(0, 195102, '\P{^Is_Ideographic=- t}', "");
Error('\p{Is_Ideo=:= True}');
Error('\P{Is_Ideo=:= True}');
Expect(1, 195101, '\p{Is_Ideo=true}', "");
Expect(0, 195101, '\p{^Is_Ideo=true}', "");
Expect(0, 195101, '\P{Is_Ideo=true}', "");
Expect(1, 195101, '\P{^Is_Ideo=true}', "");
Expect(0, 195102, '\p{Is_Ideo=true}', "");
Expect(1, 195102, '\p{^Is_Ideo=true}', "");
Expect(1, 195102, '\P{Is_Ideo=true}', "");
Expect(0, 195102, '\P{^Is_Ideo=true}', "");
Expect(1, 195101, '\p{Is_Ideo:  True}', "");
Expect(0, 195101, '\p{^Is_Ideo:  True}', "");
Expect(0, 195101, '\P{Is_Ideo:  True}', "");
Expect(1, 195101, '\P{^Is_Ideo:  True}', "");
Expect(0, 195102, '\p{Is_Ideo:  True}', "");
Expect(1, 195102, '\p{^Is_Ideo:  True}', "");
Expect(1, 195102, '\P{Is_Ideo:  True}', "");
Expect(0, 195102, '\P{^Is_Ideo:  True}', "");
Error('\p{Present_In=	:=00001.1}');
Error('\P{Present_In=	:=00001.1}');
Expect(1, 65533, '\p{Present_In=+00001.1}', "");
Expect(0, 65533, '\p{^Present_In=+00001.1}', "");
Expect(0, 65533, '\P{Present_In=+00001.1}', "");
Expect(1, 65533, '\P{^Present_In=+00001.1}', "");
Expect(0, 65536, '\p{Present_In=+00001.1}', "");
Expect(1, 65536, '\p{^Present_In=+00001.1}', "");
Expect(1, 65536, '\P{Present_In=+00001.1}', "");
Expect(0, 65536, '\P{^Present_In=+00001.1}', "");
Error('\p{In= 1.1/a/}');
Error('\P{In= 1.1/a/}');
Expect(1, 65533, '\p{In=0000_0000_1.1}', "");
Expect(0, 65533, '\p{^In=0000_0000_1.1}', "");
Expect(0, 65533, '\P{In=0000_0000_1.1}', "");
Expect(1, 65533, '\P{^In=0000_0000_1.1}', "");
Expect(0, 65536, '\p{In=0000_0000_1.1}', "");
Expect(1, 65536, '\p{^In=0000_0000_1.1}', "");
Expect(1, 65536, '\P{In=0000_0000_1.1}', "");
Expect(0, 65536, '\P{^In=0000_0000_1.1}', "");
Error('\p{Is_Present_In=- +00_1.1/a/}');
Error('\P{Is_Present_In=- +00_1.1/a/}');
Expect(1, 65533, '\p{Is_Present_In=+000001.1}', "");
Expect(0, 65533, '\p{^Is_Present_In=+000001.1}', "");
Expect(0, 65533, '\P{Is_Present_In=+000001.1}', "");
Expect(1, 65533, '\P{^Is_Present_In=+000001.1}', "");
Expect(0, 65536, '\p{Is_Present_In=+000001.1}', "");
Expect(1, 65536, '\p{^Is_Present_In=+000001.1}', "");
Expect(1, 65536, '\P{Is_Present_In=+000001.1}', "");
Expect(0, 65536, '\P{^Is_Present_In=+000001.1}', "");
Error('\p{Is_In=-/a/+00000001.1}');
Error('\P{Is_In=-/a/+00000001.1}');
Expect(1, 65533, '\p{Is_In=0_1.1}', "");
Expect(0, 65533, '\p{^Is_In=0_1.1}', "");
Expect(0, 65533, '\P{Is_In=0_1.1}', "");
Expect(1, 65533, '\P{^Is_In=0_1.1}', "");
Expect(0, 65536, '\p{Is_In=0_1.1}', "");
Expect(1, 65536, '\p{^Is_In=0_1.1}', "");
Expect(1, 65536, '\P{Is_In=0_1.1}', "");
Expect(0, 65536, '\P{^Is_In=0_1.1}', "");
Error('\p{Present_In=/a/ -2.0}');
Error('\P{Present_In=/a/ -2.0}');
Expect(1, 983040, '\p{Present_In:+00000002.0}', "");
Expect(0, 983040, '\p{^Present_In:+00000002.0}', "");
Expect(0, 983040, '\P{Present_In:+00000002.0}', "");
Expect(1, 983040, '\P{^Present_In:+00000002.0}', "");
Expect(0, 983037, '\p{Present_In:+00000002.0}', "");
Expect(1, 983037, '\p{^Present_In:+00000002.0}', "");
Expect(1, 983037, '\P{Present_In:+00000002.0}', "");
Expect(0, 983037, '\P{^Present_In:+00000002.0}', "");
Error('\p{In: _ 0002.0:=}');
Error('\P{In: _ 0002.0:=}');
Expect(1, 983040, '\p{In=+0000002.0}', "");
Expect(0, 983040, '\p{^In=+0000002.0}', "");
Expect(0, 983040, '\P{In=+0000002.0}', "");
Expect(1, 983040, '\P{^In=+0000002.0}', "");
Expect(0, 983037, '\p{In=+0000002.0}', "");
Expect(1, 983037, '\p{^In=+0000002.0}', "");
Expect(1, 983037, '\P{In=+0000002.0}', "");
Expect(0, 983037, '\P{^In=+0000002.0}', "");
Error('\p{Is_Present_In= -0000000002.0/a/}');
Error('\P{Is_Present_In= -0000000002.0/a/}');
Expect(1, 983040, '\p{Is_Present_In=+000_000_2.0}', "");
Expect(0, 983040, '\p{^Is_Present_In=+000_000_2.0}', "");
Expect(0, 983040, '\P{Is_Present_In=+000_000_2.0}', "");
Expect(1, 983040, '\P{^Is_Present_In=+000_000_2.0}', "");
Expect(0, 983037, '\p{Is_Present_In=+000_000_2.0}', "");
Expect(1, 983037, '\p{^Is_Present_In=+000_000_2.0}', "");
Expect(1, 983037, '\P{Is_Present_In=+000_000_2.0}', "");
Expect(0, 983037, '\P{^Is_Present_In=+000_000_2.0}', "");
Error('\p{Is_In=:= _0_2.0}');
Error('\P{Is_In=:= _0_2.0}');
Expect(1, 983040, '\p{Is_In=000002.0}', "");
Expect(0, 983040, '\p{^Is_In=000002.0}', "");
Expect(0, 983040, '\P{Is_In=000002.0}', "");
Expect(1, 983040, '\P{^Is_In=000002.0}', "");
Expect(0, 983037, '\p{Is_In=000002.0}', "");
Expect(1, 983037, '\p{^Is_In=000002.0}', "");
Expect(1, 983037, '\P{Is_In=000002.0}', "");
Expect(0, 983037, '\P{^Is_In=000002.0}', "");
Error('\p{Present_In=- 000_000_000_2.1/a/}');
Error('\P{Present_In=- 000_000_000_2.1/a/}');
Expect(1, 983040, '\p{Present_In=00_00_2.1}', "");
Expect(0, 983040, '\p{^Present_In=00_00_2.1}', "");
Expect(0, 983040, '\P{Present_In=00_00_2.1}', "");
Expect(1, 983040, '\P{^Present_In=00_00_2.1}', "");
Expect(0, 983037, '\p{Present_In=00_00_2.1}', "");
Expect(1, 983037, '\p{^Present_In=00_00_2.1}', "");
Expect(1, 983037, '\P{Present_In=00_00_2.1}', "");
Expect(0, 983037, '\P{^Present_In=00_00_2.1}', "");
Error('\p{In=:=000002.1}');
Error('\P{In=:=000002.1}');
Expect(1, 983040, '\p{In=+0_0_0_0_0_0_0_0_02.1}', "");
Expect(0, 983040, '\p{^In=+0_0_0_0_0_0_0_0_02.1}', "");
Expect(0, 983040, '\P{In=+0_0_0_0_0_0_0_0_02.1}', "");
Expect(1, 983040, '\P{^In=+0_0_0_0_0_0_0_0_02.1}', "");
Expect(0, 983037, '\p{In=+0_0_0_0_0_0_0_0_02.1}', "");
Expect(1, 983037, '\p{^In=+0_0_0_0_0_0_0_0_02.1}', "");
Expect(1, 983037, '\P{In=+0_0_0_0_0_0_0_0_02.1}', "");
Expect(0, 983037, '\P{^In=+0_0_0_0_0_0_0_0_02.1}', "");
Error('\p{Is_Present_In=-:=0_0_0_0_002.1}');
Error('\P{Is_Present_In=-:=0_0_0_0_002.1}');
Expect(1, 983040, '\p{Is_Present_In=+0000002.1}', "");
Expect(0, 983040, '\p{^Is_Present_In=+0000002.1}', "");
Expect(0, 983040, '\P{Is_Present_In=+0000002.1}', "");
Expect(1, 983040, '\P{^Is_Present_In=+0000002.1}', "");
Expect(0, 983037, '\p{Is_Present_In=+0000002.1}', "");
Expect(1, 983037, '\p{^Is_Present_In=+0000002.1}', "");
Expect(1, 983037, '\P{Is_Present_In=+0000002.1}', "");
Expect(0, 983037, '\P{^Is_Present_In=+0000002.1}', "");
Error('\p{Is_In=_/a/+000_000_000_2.1}');
Error('\P{Is_In=_/a/+000_000_000_2.1}');
Expect(1, 983040, '\p{Is_In=0_0_0_0_0002.1}', "");
Expect(0, 983040, '\p{^Is_In=0_0_0_0_0002.1}', "");
Expect(0, 983040, '\P{Is_In=0_0_0_0_0002.1}', "");
Expect(1, 983040, '\P{^Is_In=0_0_0_0_0002.1}', "");
Expect(0, 983037, '\p{Is_In=0_0_0_0_0002.1}', "");
Expect(1, 983037, '\p{^Is_In=0_0_0_0_0002.1}', "");
Expect(1, 983037, '\P{Is_In=0_0_0_0_0002.1}', "");
Expect(0, 983037, '\P{^Is_In=0_0_0_0_0002.1}', "");
Error('\p{Present_In=	-+0003.0:=}');
Error('\P{Present_In=	-+0003.0:=}');
Expect(1, 983040, '\p{Present_In=000003.0}', "");
Expect(0, 983040, '\p{^Present_In=000003.0}', "");
Expect(0, 983040, '\P{Present_In=000003.0}', "");
Expect(1, 983040, '\P{^Present_In=000003.0}', "");
Expect(0, 983037, '\p{Present_In=000003.0}', "");
Expect(1, 983037, '\p{^Present_In=000003.0}', "");
Expect(1, 983037, '\P{Present_In=000003.0}', "");
Expect(0, 983037, '\P{^Present_In=000003.0}', "");
Error('\p{In=/a/+0_0_0_0_0003.0}');
Error('\P{In=/a/+0_0_0_0_0003.0}');
Expect(1, 983040, '\p{In=000_3.0}', "");
Expect(0, 983040, '\p{^In=000_3.0}', "");
Expect(0, 983040, '\P{In=000_3.0}', "");
Expect(1, 983040, '\P{^In=000_3.0}', "");
Expect(0, 983037, '\p{In=000_3.0}', "");
Expect(1, 983037, '\p{^In=000_3.0}', "");
Expect(1, 983037, '\P{In=000_3.0}', "");
Expect(0, 983037, '\P{^In=000_3.0}', "");
Error('\p{Is_Present_In=:= +0_3.0}');
Error('\P{Is_Present_In=:= +0_3.0}');
Expect(1, 983040, '\p{Is_Present_In:   3.0}', "");
Expect(0, 983040, '\p{^Is_Present_In:   3.0}', "");
Expect(0, 983040, '\P{Is_Present_In:   3.0}', "");
Expect(1, 983040, '\P{^Is_Present_In:   3.0}', "");
Expect(0, 983037, '\p{Is_Present_In:   3.0}', "");
Expect(1, 983037, '\p{^Is_Present_In:   3.0}', "");
Expect(1, 983037, '\P{Is_Present_In:   3.0}', "");
Expect(0, 983037, '\P{^Is_Present_In:   3.0}', "");
Error('\p{Is_In=	:=0000_0000_3.0}');
Error('\P{Is_In=	:=0000_0000_3.0}');
Expect(1, 983040, '\p{Is_In=+03.0}', "");
Expect(0, 983040, '\p{^Is_In=+03.0}', "");
Expect(0, 983040, '\P{Is_In=+03.0}', "");
Expect(1, 983040, '\P{^Is_In=+03.0}', "");
Expect(0, 983037, '\p{Is_In=+03.0}', "");
Expect(1, 983037, '\p{^Is_In=+03.0}', "");
Expect(1, 983037, '\P{Is_In=+03.0}', "");
Expect(0, 983037, '\P{^Is_In=+03.0}', "");
Error('\p{Present_In=/a/	_+0000000003.1}');
Error('\P{Present_In=/a/	_+0000000003.1}');
Expect(1, 983040, '\p{Present_In=003.1}', "");
Expect(0, 983040, '\p{^Present_In=003.1}', "");
Expect(0, 983040, '\P{Present_In=003.1}', "");
Expect(1, 983040, '\P{^Present_In=003.1}', "");
Expect(0, 983037, '\p{Present_In=003.1}', "");
Expect(1, 983037, '\p{^Present_In=003.1}', "");
Expect(1, 983037, '\P{Present_In=003.1}', "");
Expect(0, 983037, '\P{^Present_In=003.1}', "");
Error('\p{In=_ +00_00_3.1/a/}');
Error('\P{In=_ +00_00_3.1/a/}');
Expect(1, 983040, '\p{In=+0000000003.1}', "");
Expect(0, 983040, '\p{^In=+0000000003.1}', "");
Expect(0, 983040, '\P{In=+0000000003.1}', "");
Expect(1, 983040, '\P{^In=+0000000003.1}', "");
Expect(0, 983037, '\p{In=+0000000003.1}', "");
Expect(1, 983037, '\p{^In=+0000000003.1}', "");
Expect(1, 983037, '\P{In=+0000000003.1}', "");
Expect(0, 983037, '\P{^In=+0000000003.1}', "");
Error('\p{Is_Present_In=	_0000000003.1:=}');
Error('\P{Is_Present_In=	_0000000003.1:=}');
Expect(1, 983040, '\p{Is_Present_In=3.1}', "");
Expect(0, 983040, '\p{^Is_Present_In=3.1}', "");
Expect(0, 983040, '\P{Is_Present_In=3.1}', "");
Expect(1, 983040, '\P{^Is_Present_In=3.1}', "");
Expect(0, 983037, '\p{Is_Present_In=3.1}', "");
Expect(1, 983037, '\p{^Is_Present_In=3.1}', "");
Expect(1, 983037, '\P{Is_Present_In=3.1}', "");
Expect(0, 983037, '\P{^Is_Present_In=3.1}', "");
Error('\p{Is_In=:=_+000_000_03.1}');
Error('\P{Is_In=:=_+000_000_03.1}');
Expect(1, 983040, '\p{Is_In:0000003.1}', "");
Expect(0, 983040, '\p{^Is_In:0000003.1}', "");
Expect(0, 983040, '\P{Is_In:0000003.1}', "");
Expect(1, 983040, '\P{^Is_In:0000003.1}', "");
Expect(0, 983037, '\p{Is_In:0000003.1}', "");
Expect(1, 983037, '\p{^Is_In:0000003.1}', "");
Expect(1, 983037, '\P{Is_In:0000003.1}', "");
Expect(0, 983037, '\P{^Is_In:0000003.1}', "");
Error('\p{Present_In=:= 	+03.2}');
Error('\P{Present_In=:= 	+03.2}');
Expect(1, 983040, '\p{Present_In=+0000000_3.2}', "");
Expect(0, 983040, '\p{^Present_In=+0000000_3.2}', "");
Expect(0, 983040, '\P{Present_In=+0000000_3.2}', "");
Expect(1, 983040, '\P{^Present_In=+0000000_3.2}', "");
Expect(0, 983037, '\p{Present_In=+0000000_3.2}', "");
Expect(1, 983037, '\p{^Present_In=+0000000_3.2}', "");
Expect(1, 983037, '\P{Present_In=+0000000_3.2}', "");
Expect(0, 983037, '\P{^Present_In=+0000000_3.2}', "");
Error('\p{In=_/a/00000_3.2}');
Error('\P{In=_/a/00000_3.2}');
Expect(1, 983040, '\p{In=00000000_3.2}', "");
Expect(0, 983040, '\p{^In=00000000_3.2}', "");
Expect(0, 983040, '\P{In=00000000_3.2}', "");
Expect(1, 983040, '\P{^In=00000000_3.2}', "");
Expect(0, 983037, '\p{In=00000000_3.2}', "");
Expect(1, 983037, '\p{^In=00000000_3.2}', "");
Expect(1, 983037, '\P{In=00000000_3.2}', "");
Expect(0, 983037, '\P{^In=00000000_3.2}', "");
Error('\p{Is_Present_In:	:=--000000000_3.2}');
Error('\P{Is_Present_In:	:=--000000000_3.2}');
Expect(1, 983040, '\p{Is_Present_In=0003.2}', "");
Expect(0, 983040, '\p{^Is_Present_In=0003.2}', "");
Expect(0, 983040, '\P{Is_Present_In=0003.2}', "");
Expect(1, 983040, '\P{^Is_Present_In=0003.2}', "");
Expect(0, 983037, '\p{Is_Present_In=0003.2}', "");
Expect(1, 983037, '\p{^Is_Present_In=0003.2}', "");
Expect(1, 983037, '\P{Is_Present_In=0003.2}', "");
Expect(0, 983037, '\P{^Is_Present_In=0003.2}', "");
Error('\p{Is_In=	/a/+3.2}');
Error('\P{Is_In=	/a/+3.2}');
Expect(1, 983040, '\p{Is_In:	+000_000_03.2}', "");
Expect(0, 983040, '\p{^Is_In:	+000_000_03.2}', "");
Expect(0, 983040, '\P{Is_In:	+000_000_03.2}', "");
Expect(1, 983040, '\P{^Is_In:	+000_000_03.2}', "");
Expect(0, 983037, '\p{Is_In:	+000_000_03.2}', "");
Expect(1, 983037, '\p{^Is_In:	+000_000_03.2}', "");
Expect(1, 983037, '\P{Is_In:	+000_000_03.2}', "");
Expect(0, 983037, '\P{^Is_In:	+000_000_03.2}', "");
Error('\p{Present_In=-+0_0_0_004.0:=}');
Error('\P{Present_In=-+0_0_0_004.0:=}');
Expect(1, 983040, '\p{Present_In=0004.0}', "");
Expect(0, 983040, '\p{^Present_In=0004.0}', "");
Expect(0, 983040, '\P{Present_In=0004.0}', "");
Expect(1, 983040, '\P{^Present_In=0004.0}', "");
Expect(0, 983037, '\p{Present_In=0004.0}', "");
Expect(1, 983037, '\p{^Present_In=0004.0}', "");
Expect(1, 983037, '\P{Present_In=0004.0}', "");
Expect(0, 983037, '\P{^Present_In=0004.0}', "");
Error('\p{In=- +0000000004.0:=}');
Error('\P{In=- +0000000004.0:=}');
Expect(1, 983040, '\p{In=+4.0}', "");
Expect(0, 983040, '\p{^In=+4.0}', "");
Expect(0, 983040, '\P{In=+4.0}', "");
Expect(1, 983040, '\P{^In=+4.0}', "");
Expect(0, 983037, '\p{In=+4.0}', "");
Expect(1, 983037, '\p{^In=+4.0}', "");
Expect(1, 983037, '\P{In=+4.0}', "");
Expect(0, 983037, '\P{^In=+4.0}', "");
Error('\p{Is_Present_In=:=000_000_4.0}');
Error('\P{Is_Present_In=:=000_000_4.0}');
Expect(1, 983040, '\p{Is_Present_In=+0004.0}', "");
Expect(0, 983040, '\p{^Is_Present_In=+0004.0}', "");
Expect(0, 983040, '\P{Is_Present_In=+0004.0}', "");
Expect(1, 983040, '\P{^Is_Present_In=+0004.0}', "");
Expect(0, 983037, '\p{Is_Present_In=+0004.0}', "");
Expect(1, 983037, '\p{^Is_Present_In=+0004.0}', "");
Expect(1, 983037, '\P{Is_Present_In=+0004.0}', "");
Expect(0, 983037, '\P{^Is_Present_In=+0004.0}', "");
Error('\p{Is_In=/a/	-004.0}');
Error('\P{Is_In=/a/	-004.0}');
Expect(1, 983040, '\p{Is_In=0004.0}', "");
Expect(0, 983040, '\p{^Is_In=0004.0}', "");
Expect(0, 983040, '\P{Is_In=0004.0}', "");
Expect(1, 983040, '\P{^Is_In=0004.0}', "");
Expect(0, 983037, '\p{Is_In=0004.0}', "");
Expect(1, 983037, '\p{^Is_In=0004.0}', "");
Expect(1, 983037, '\P{Is_In=0004.0}', "");
Expect(0, 983037, '\P{^Is_In=0004.0}', "");
Error('\p{Present_In:	 /a/4.1}');
Error('\P{Present_In:	 /a/4.1}');
Expect(1, 983040, '\p{Present_In=0000004.1}', "");
Expect(0, 983040, '\p{^Present_In=0000004.1}', "");
Expect(0, 983040, '\P{Present_In=0000004.1}', "");
Expect(1, 983040, '\P{^Present_In=0000004.1}', "");
Expect(0, 983037, '\p{Present_In=0000004.1}', "");
Expect(1, 983037, '\p{^Present_In=0000004.1}', "");
Expect(1, 983037, '\P{Present_In=0000004.1}', "");
Expect(0, 983037, '\P{^Present_In=0000004.1}', "");
Error('\p{In=:=4.1}');
Error('\P{In=:=4.1}');
Expect(1, 983040, '\p{In:   +004.1}', "");
Expect(0, 983040, '\p{^In:   +004.1}', "");
Expect(0, 983040, '\P{In:   +004.1}', "");
Expect(1, 983040, '\P{^In:   +004.1}', "");
Expect(0, 983037, '\p{In:   +004.1}', "");
Expect(1, 983037, '\p{^In:   +004.1}', "");
Expect(1, 983037, '\P{In:   +004.1}', "");
Expect(0, 983037, '\P{^In:   +004.1}', "");
Error('\p{Is_Present_In=/a/+00000004.1}');
Error('\P{Is_Present_In=/a/+00000004.1}');
Expect(1, 983040, '\p{Is_Present_In=00000004.1}', "");
Expect(0, 983040, '\p{^Is_Present_In=00000004.1}', "");
Expect(0, 983040, '\P{Is_Present_In=00000004.1}', "");
Expect(1, 983040, '\P{^Is_Present_In=00000004.1}', "");
Expect(0, 983037, '\p{Is_Present_In=00000004.1}', "");
Expect(1, 983037, '\p{^Is_Present_In=00000004.1}', "");
Expect(1, 983037, '\P{Is_Present_In=00000004.1}', "");
Expect(0, 983037, '\P{^Is_Present_In=00000004.1}', "");
Error('\p{Is_In=/a/  +0004.1}');
Error('\P{Is_In=/a/  +0004.1}');
Expect(1, 983040, '\p{Is_In=0004.1}', "");
Expect(0, 983040, '\p{^Is_In=0004.1}', "");
Expect(0, 983040, '\P{Is_In=0004.1}', "");
Expect(1, 983040, '\P{^Is_In=0004.1}', "");
Expect(0, 983037, '\p{Is_In=0004.1}', "");
Expect(1, 983037, '\p{^Is_In=0004.1}', "");
Expect(1, 983037, '\P{Is_In=0004.1}', "");
Expect(0, 983037, '\P{^Is_In=0004.1}', "");
Error('\p{Present_In=:=_0000005.0}');
Error('\P{Present_In=:=_0000005.0}');
Expect(1, 983040, '\p{Present_In=005.0}', "");
Expect(0, 983040, '\p{^Present_In=005.0}', "");
Expect(0, 983040, '\P{Present_In=005.0}', "");
Expect(1, 983040, '\P{^Present_In=005.0}', "");
Expect(0, 983037, '\p{Present_In=005.0}', "");
Expect(1, 983037, '\p{^Present_In=005.0}', "");
Expect(1, 983037, '\P{Present_In=005.0}', "");
Expect(0, 983037, '\P{^Present_In=005.0}', "");
Error('\p{In:	/a/00000000_5.0}');
Error('\P{In:	/a/00000000_5.0}');
Expect(1, 983040, '\p{In=+00_00_5.0}', "");
Expect(0, 983040, '\p{^In=+00_00_5.0}', "");
Expect(0, 983040, '\P{In=+00_00_5.0}', "");
Expect(1, 983040, '\P{^In=+00_00_5.0}', "");
Expect(0, 983037, '\p{In=+00_00_5.0}', "");
Expect(1, 983037, '\p{^In=+00_00_5.0}', "");
Expect(1, 983037, '\P{In=+00_00_5.0}', "");
Expect(0, 983037, '\P{^In=+00_00_5.0}', "");
Error('\p{Is_Present_In=:=	-00000005.0}');
Error('\P{Is_Present_In=:=	-00000005.0}');
Expect(1, 983040, '\p{Is_Present_In=0_0_0_05.0}', "");
Expect(0, 983040, '\p{^Is_Present_In=0_0_0_05.0}', "");
Expect(0, 983040, '\P{Is_Present_In=0_0_0_05.0}', "");
Expect(1, 983040, '\P{^Is_Present_In=0_0_0_05.0}', "");
Expect(0, 983037, '\p{Is_Present_In=0_0_0_05.0}', "");
Expect(1, 983037, '\p{^Is_Present_In=0_0_0_05.0}', "");
Expect(1, 983037, '\P{Is_Present_In=0_0_0_05.0}', "");
Expect(0, 983037, '\P{^Is_Present_In=0_0_0_05.0}', "");
Error('\p{Is_In=/a/	-5.0}');
Error('\P{Is_In=/a/	-5.0}');
Expect(1, 983040, '\p{Is_In=000000005.0}', "");
Expect(0, 983040, '\p{^Is_In=000000005.0}', "");
Expect(0, 983040, '\P{Is_In=000000005.0}', "");
Expect(1, 983040, '\P{^Is_In=000000005.0}', "");
Expect(0, 983037, '\p{Is_In=000000005.0}', "");
Expect(1, 983037, '\p{^Is_In=000000005.0}', "");
Expect(1, 983037, '\P{Is_In=000000005.0}', "");
Expect(0, 983037, '\P{^Is_In=000000005.0}', "");
Error('\p{Present_In=__00000_5.1:=}');
Error('\P{Present_In=__00000_5.1:=}');
Expect(1, 983040, '\p{Present_In=0_0_0_05.1}', "");
Expect(0, 983040, '\p{^Present_In=0_0_0_05.1}', "");
Expect(0, 983040, '\P{Present_In=0_0_0_05.1}', "");
Expect(1, 983040, '\P{^Present_In=0_0_0_05.1}', "");
Expect(0, 983037, '\p{Present_In=0_0_0_05.1}', "");
Expect(1, 983037, '\p{^Present_In=0_0_0_05.1}', "");
Expect(1, 983037, '\P{Present_In=0_0_0_05.1}', "");
Expect(0, 983037, '\P{^Present_In=0_0_0_05.1}', "");
Error('\p{In::=-+0_0_0_0_0_05.1}');
Error('\P{In::=-+0_0_0_0_0_05.1}');
Expect(1, 983040, '\p{In=0000000005.1}', "");
Expect(0, 983040, '\p{^In=0000000005.1}', "");
Expect(0, 983040, '\P{In=0000000005.1}', "");
Expect(1, 983040, '\P{^In=0000000005.1}', "");
Expect(0, 983037, '\p{In=0000000005.1}', "");
Expect(1, 983037, '\p{^In=0000000005.1}', "");
Expect(1, 983037, '\P{In=0000000005.1}', "");
Expect(0, 983037, '\P{^In=0000000005.1}', "");
Error('\p{Is_Present_In=	:=00000_5.1}');
Error('\P{Is_Present_In=	:=00000_5.1}');
Expect(1, 983040, '\p{Is_Present_In=0_0_0_0_05.1}', "");
Expect(0, 983040, '\p{^Is_Present_In=0_0_0_0_05.1}', "");
Expect(0, 983040, '\P{Is_Present_In=0_0_0_0_05.1}', "");
Expect(1, 983040, '\P{^Is_Present_In=0_0_0_0_05.1}', "");
Expect(0, 983037, '\p{Is_Present_In=0_0_0_0_05.1}', "");
Expect(1, 983037, '\p{^Is_Present_In=0_0_0_0_05.1}', "");
Expect(1, 983037, '\P{Is_Present_In=0_0_0_0_05.1}', "");
Expect(0, 983037, '\P{^Is_Present_In=0_0_0_0_05.1}', "");
Error('\p{Is_In: 	-0_5.1:=}');
Error('\P{Is_In: 	-0_5.1:=}');
Expect(1, 983040, '\p{Is_In=0_0_0_0_005.1}', "");
Expect(0, 983040, '\p{^Is_In=0_0_0_0_005.1}', "");
Expect(0, 983040, '\P{Is_In=0_0_0_0_005.1}', "");
Expect(1, 983040, '\P{^Is_In=0_0_0_0_005.1}', "");
Expect(0, 983037, '\p{Is_In=0_0_0_0_005.1}', "");
Expect(1, 983037, '\p{^Is_In=0_0_0_0_005.1}', "");
Expect(1, 983037, '\P{Is_In=0_0_0_0_005.1}', "");
Expect(0, 983037, '\P{^Is_In=0_0_0_0_005.1}', "");
Error('\p{Present_In:		/a/0_0_05.2}');
Error('\P{Present_In:		/a/0_0_05.2}');
Expect(1, 983040, '\p{Present_In=0_0_0_0_0_00005.2}', "");
Expect(0, 983040, '\p{^Present_In=0_0_0_0_0_00005.2}', "");
Expect(0, 983040, '\P{Present_In=0_0_0_0_0_00005.2}', "");
Expect(1, 983040, '\P{^Present_In=0_0_0_0_0_00005.2}', "");
Expect(0, 983037, '\p{Present_In=0_0_0_0_0_00005.2}', "");
Expect(1, 983037, '\p{^Present_In=0_0_0_0_0_00005.2}', "");
Expect(1, 983037, '\P{Present_In=0_0_0_0_0_00005.2}', "");
Expect(0, 983037, '\P{^Present_In=0_0_0_0_0_00005.2}', "");
Error('\p{In=-:=+005.2}');
Error('\P{In=-:=+005.2}');
Expect(1, 983040, '\p{In:	00000005.2}', "");
Expect(0, 983040, '\p{^In:	00000005.2}', "");
Expect(0, 983040, '\P{In:	00000005.2}', "");
Expect(1, 983040, '\P{^In:	00000005.2}', "");
Expect(0, 983037, '\p{In:	00000005.2}', "");
Expect(1, 983037, '\p{^In:	00000005.2}', "");
Expect(1, 983037, '\P{In:	00000005.2}', "");
Expect(0, 983037, '\P{^In:	00000005.2}', "");
Error('\p{Is_Present_In=	:=+0_0_0_0_0_0_0_05.2}');
Error('\P{Is_Present_In=	:=+0_0_0_0_0_0_0_05.2}');
Expect(1, 983040, '\p{Is_Present_In=+00005.2}', "");
Expect(0, 983040, '\p{^Is_Present_In=+00005.2}', "");
Expect(0, 983040, '\P{Is_Present_In=+00005.2}', "");
Expect(1, 983040, '\P{^Is_Present_In=+00005.2}', "");
Expect(0, 983037, '\p{Is_Present_In=+00005.2}', "");
Expect(1, 983037, '\p{^Is_Present_In=+00005.2}', "");
Expect(1, 983037, '\P{Is_Present_In=+00005.2}', "");
Expect(0, 983037, '\P{^Is_Present_In=+00005.2}', "");
Error('\p{Is_In: := 	+00000005.2}');
Error('\P{Is_In: := 	+00000005.2}');
Expect(1, 983040, '\p{Is_In=0_5.2}', "");
Expect(0, 983040, '\p{^Is_In=0_5.2}', "");
Expect(0, 983040, '\P{Is_In=0_5.2}', "");
Expect(1, 983040, '\P{^Is_In=0_5.2}', "");
Expect(0, 983037, '\p{Is_In=0_5.2}', "");
Expect(1, 983037, '\p{^Is_In=0_5.2}', "");
Expect(1, 983037, '\P{Is_In=0_5.2}', "");
Expect(0, 983037, '\P{^Is_In=0_5.2}', "");
Error('\p{Present_In::=_-+00_00_06.0}');
Error('\P{Present_In::=_-+00_00_06.0}');
Expect(1, 983040, '\p{Present_In=06.0}', "");
Expect(0, 983040, '\p{^Present_In=06.0}', "");
Expect(0, 983040, '\P{Present_In=06.0}', "");
Expect(1, 983040, '\P{^Present_In=06.0}', "");
Expect(0, 983037, '\p{Present_In=06.0}', "");
Expect(1, 983037, '\p{^Present_In=06.0}', "");
Expect(1, 983037, '\P{Present_In=06.0}', "");
Expect(0, 983037, '\P{^Present_In=06.0}', "");
Error('\p{In=:=	 006.0}');
Error('\P{In=:=	 006.0}');
Expect(1, 983040, '\p{In=+0006.0}', "");
Expect(0, 983040, '\p{^In=+0006.0}', "");
Expect(0, 983040, '\P{In=+0006.0}', "");
Expect(1, 983040, '\P{^In=+0006.0}', "");
Expect(0, 983037, '\p{In=+0006.0}', "");
Expect(1, 983037, '\p{^In=+0006.0}', "");
Expect(1, 983037, '\P{In=+0006.0}', "");
Expect(0, 983037, '\P{^In=+0006.0}', "");
Error('\p{Is_Present_In=/a/ 0_0_06.0}');
Error('\P{Is_Present_In=/a/ 0_0_06.0}');
Expect(1, 983040, '\p{Is_Present_In=000000_6.0}', "");
Expect(0, 983040, '\p{^Is_Present_In=000000_6.0}', "");
Expect(0, 983040, '\P{Is_Present_In=000000_6.0}', "");
Expect(1, 983040, '\P{^Is_Present_In=000000_6.0}', "");
Expect(0, 983037, '\p{Is_Present_In=000000_6.0}', "");
Expect(1, 983037, '\p{^Is_Present_In=000000_6.0}', "");
Expect(1, 983037, '\P{Is_Present_In=000000_6.0}', "");
Expect(0, 983037, '\P{^Is_Present_In=000000_6.0}', "");
Error('\p{Is_In=__0006.0:=}');
Error('\P{Is_In=__0006.0:=}');
Expect(1, 983040, '\p{Is_In=6.0}', "");
Expect(0, 983040, '\p{^Is_In=6.0}', "");
Expect(0, 983040, '\P{Is_In=6.0}', "");
Expect(1, 983040, '\P{^Is_In=6.0}', "");
Expect(0, 983037, '\p{Is_In=6.0}', "");
Expect(1, 983037, '\p{^Is_In=6.0}', "");
Expect(1, 983037, '\P{Is_In=6.0}', "");
Expect(0, 983037, '\P{^Is_In=6.0}', "");
Error('\p{Present_In=:=00000006.1}');
Error('\P{Present_In=:=00000006.1}');
Expect(1, 983040, '\p{Present_In=+000_000_06.1}', "");
Expect(0, 983040, '\p{^Present_In=+000_000_06.1}', "");
Expect(0, 983040, '\P{Present_In=+000_000_06.1}', "");
Expect(1, 983040, '\P{^Present_In=+000_000_06.1}', "");
Expect(0, 983037, '\p{Present_In=+000_000_06.1}', "");
Expect(1, 983037, '\p{^Present_In=+000_000_06.1}', "");
Expect(1, 983037, '\P{Present_In=+000_000_06.1}', "");
Expect(0, 983037, '\P{^Present_In=+000_000_06.1}', "");
Error('\p{In=	/a/+6.1}');
Error('\P{In=	/a/+6.1}');
Expect(1, 983040, '\p{In=+00_6.1}', "");
Expect(0, 983040, '\p{^In=+00_6.1}', "");
Expect(0, 983040, '\P{In=+00_6.1}', "");
Expect(1, 983040, '\P{^In=+00_6.1}', "");
Expect(0, 983037, '\p{In=+00_6.1}', "");
Expect(1, 983037, '\p{^In=+00_6.1}', "");
Expect(1, 983037, '\P{In=+00_6.1}', "");
Expect(0, 983037, '\P{^In=+00_6.1}', "");
Error('\p{Is_Present_In=/a/	6.1}');
Error('\P{Is_Present_In=/a/	6.1}');
Expect(1, 983040, '\p{Is_Present_In:	+0_0_0_0_0_0006.1}', "");
Expect(0, 983040, '\p{^Is_Present_In:	+0_0_0_0_0_0006.1}', "");
Expect(0, 983040, '\P{Is_Present_In:	+0_0_0_0_0_0006.1}', "");
Expect(1, 983040, '\P{^Is_Present_In:	+0_0_0_0_0_0006.1}', "");
Expect(0, 983037, '\p{Is_Present_In:	+0_0_0_0_0_0006.1}', "");
Expect(1, 983037, '\p{^Is_Present_In:	+0_0_0_0_0_0006.1}', "");
Expect(1, 983037, '\P{Is_Present_In:	+0_0_0_0_0_0006.1}', "");
Expect(0, 983037, '\P{^Is_Present_In:	+0_0_0_0_0_0006.1}', "");
Error('\p{Is_In:	:=-	+0_0_0_0_0_006.1}');
Error('\P{Is_In:	:=-	+0_0_0_0_0_006.1}');
Expect(1, 983040, '\p{Is_In=0000000006.1}', "");
Expect(0, 983040, '\p{^Is_In=0000000006.1}', "");
Expect(0, 983040, '\P{Is_In=0000000006.1}', "");
Expect(1, 983040, '\P{^Is_In=0000000006.1}', "");
Expect(0, 983037, '\p{Is_In=0000000006.1}', "");
Expect(1, 983037, '\p{^Is_In=0000000006.1}', "");
Expect(1, 983037, '\P{Is_In=0000000006.1}', "");
Expect(0, 983037, '\P{^Is_In=0000000006.1}', "");
Error('\p{Present_In=:=		000006.2}');
Error('\P{Present_In=:=		000006.2}');
Expect(1, 983040, '\p{Present_In=+000006.2}', "");
Expect(0, 983040, '\p{^Present_In=+000006.2}', "");
Expect(0, 983040, '\P{Present_In=+000006.2}', "");
Expect(1, 983040, '\P{^Present_In=+000006.2}', "");
Expect(0, 983037, '\p{Present_In=+000006.2}', "");
Expect(1, 983037, '\p{^Present_In=+000006.2}', "");
Expect(1, 983037, '\P{Present_In=+000006.2}', "");
Expect(0, 983037, '\P{^Present_In=+000006.2}', "");
Error('\p{In=_/a/0000_6.2}');
Error('\P{In=_/a/0000_6.2}');
Expect(1, 983040, '\p{In=000000_6.2}', "");
Expect(0, 983040, '\p{^In=000000_6.2}', "");
Expect(0, 983040, '\P{In=000000_6.2}', "");
Expect(1, 983040, '\P{^In=000000_6.2}', "");
Expect(0, 983037, '\p{In=000000_6.2}', "");
Expect(1, 983037, '\p{^In=000000_6.2}', "");
Expect(1, 983037, '\P{In=000000_6.2}', "");
Expect(0, 983037, '\P{^In=000000_6.2}', "");
Error('\p{Is_Present_In=:=	 +00_00_6.2}');
Error('\P{Is_Present_In=:=	 +00_00_6.2}');
Expect(1, 983040, '\p{Is_Present_In=0000006.2}', "");
Expect(0, 983040, '\p{^Is_Present_In=0000006.2}', "");
Expect(0, 983040, '\P{Is_Present_In=0000006.2}', "");
Expect(1, 983040, '\P{^Is_Present_In=0000006.2}', "");
Expect(0, 983037, '\p{Is_Present_In=0000006.2}', "");
Expect(1, 983037, '\p{^Is_Present_In=0000006.2}', "");
Expect(1, 983037, '\P{Is_Present_In=0000006.2}', "");
Expect(0, 983037, '\P{^Is_Present_In=0000006.2}', "");
Error('\p{Is_In=/a/_ 000000006.2}');
Error('\P{Is_In=/a/_ 000000006.2}');
Expect(1, 983040, '\p{Is_In=6.2}', "");
Expect(0, 983040, '\p{^Is_In=6.2}', "");
Expect(0, 983040, '\P{Is_In=6.2}', "");
Expect(1, 983040, '\P{^Is_In=6.2}', "");
Expect(0, 983037, '\p{Is_In=6.2}', "");
Expect(1, 983037, '\p{^Is_In=6.2}', "");
Expect(1, 983037, '\P{Is_In=6.2}', "");
Expect(0, 983037, '\P{^Is_In=6.2}', "");
Error('\p{Present_In= +006.3/a/}');
Error('\P{Present_In= +006.3/a/}');
Expect(1, 983040, '\p{Present_In=000_000_06.3}', "");
Expect(0, 983040, '\p{^Present_In=000_000_06.3}', "");
Expect(0, 983040, '\P{Present_In=000_000_06.3}', "");
Expect(1, 983040, '\P{^Present_In=000_000_06.3}', "");
Expect(0, 983037, '\p{Present_In=000_000_06.3}', "");
Expect(1, 983037, '\p{^Present_In=000_000_06.3}', "");
Expect(1, 983037, '\P{Present_In=000_000_06.3}', "");
Expect(0, 983037, '\P{^Present_In=000_000_06.3}', "");
Error('\p{In=--+00_00_00_006.3/a/}');
Error('\P{In=--+00_00_00_006.3/a/}');
Expect(1, 983040, '\p{In=000006.3}', "");
Expect(0, 983040, '\p{^In=000006.3}', "");
Expect(0, 983040, '\P{In=000006.3}', "");
Expect(1, 983040, '\P{^In=000006.3}', "");
Expect(0, 983037, '\p{In=000006.3}', "");
Expect(1, 983037, '\p{^In=000006.3}', "");
Expect(1, 983037, '\P{In=000006.3}', "");
Expect(0, 983037, '\P{^In=000006.3}', "");
Error('\p{Is_Present_In=-000000006.3/a/}');
Error('\P{Is_Present_In=-000000006.3/a/}');
Expect(1, 983040, '\p{Is_Present_In=000006.3}', "");
Expect(0, 983040, '\p{^Is_Present_In=000006.3}', "");
Expect(0, 983040, '\P{Is_Present_In=000006.3}', "");
Expect(1, 983040, '\P{^Is_Present_In=000006.3}', "");
Expect(0, 983037, '\p{Is_Present_In=000006.3}', "");
Expect(1, 983037, '\p{^Is_Present_In=000006.3}', "");
Expect(1, 983037, '\P{Is_Present_In=000006.3}', "");
Expect(0, 983037, '\P{^Is_Present_In=000006.3}', "");
Error('\p{Is_In=_/a/06.3}');
Error('\P{Is_In=_/a/06.3}');
Expect(1, 983040, '\p{Is_In=+000000006.3}', "");
Expect(0, 983040, '\p{^Is_In=+000000006.3}', "");
Expect(0, 983040, '\P{Is_In=+000000006.3}', "");
Expect(1, 983040, '\P{^Is_In=+000000006.3}', "");
Expect(0, 983037, '\p{Is_In=+000000006.3}', "");
Expect(1, 983037, '\p{^Is_In=+000000006.3}', "");
Expect(1, 983037, '\P{Is_In=+000000006.3}', "");
Expect(0, 983037, '\P{^Is_In=+000000006.3}', "");
Error('\p{Present_In=_:=+0_0_0_0_0_0_0_007.0}');
Error('\P{Present_In=_:=+0_0_0_0_0_0_0_007.0}');
Expect(1, 983040, '\p{Present_In=00007.0}', "");
Expect(0, 983040, '\p{^Present_In=00007.0}', "");
Expect(0, 983040, '\P{Present_In=00007.0}', "");
Expect(1, 983040, '\P{^Present_In=00007.0}', "");
Expect(0, 983037, '\p{Present_In=00007.0}', "");
Expect(1, 983037, '\p{^Present_In=00007.0}', "");
Expect(1, 983037, '\P{Present_In=00007.0}', "");
Expect(0, 983037, '\P{^Present_In=00007.0}', "");
Error('\p{In=/a/000_7.0}');
Error('\P{In=/a/000_7.0}');
Expect(1, 983040, '\p{In=00_00_07.0}', "");
Expect(0, 983040, '\p{^In=00_00_07.0}', "");
Expect(0, 983040, '\P{In=00_00_07.0}', "");
Expect(1, 983040, '\P{^In=00_00_07.0}', "");
Expect(0, 983037, '\p{In=00_00_07.0}', "");
Expect(1, 983037, '\p{^In=00_00_07.0}', "");
Expect(1, 983037, '\P{In=00_00_07.0}', "");
Expect(0, 983037, '\P{^In=00_00_07.0}', "");
Error('\p{Is_Present_In=	:=0_0_0_0_0_07.0}');
Error('\P{Is_Present_In=	:=0_0_0_0_0_07.0}');
Expect(1, 983040, '\p{Is_Present_In=000007.0}', "");
Expect(0, 983040, '\p{^Is_Present_In=000007.0}', "");
Expect(0, 983040, '\P{Is_Present_In=000007.0}', "");
Expect(1, 983040, '\P{^Is_Present_In=000007.0}', "");
Expect(0, 983037, '\p{Is_Present_In=000007.0}', "");
Expect(1, 983037, '\p{^Is_Present_In=000007.0}', "");
Expect(1, 983037, '\P{Is_Present_In=000007.0}', "");
Expect(0, 983037, '\P{^Is_Present_In=000007.0}', "");
Error('\p{Is_In= 	00007.0/a/}');
Error('\P{Is_In= 	00007.0/a/}');
Expect(1, 983040, '\p{Is_In=00_00_7.0}', "");
Expect(0, 983040, '\p{^Is_In=00_00_7.0}', "");
Expect(0, 983040, '\P{Is_In=00_00_7.0}', "");
Expect(1, 983040, '\P{^Is_In=00_00_7.0}', "");
Expect(0, 983037, '\p{Is_In=00_00_7.0}', "");
Expect(1, 983037, '\p{^Is_In=00_00_7.0}', "");
Expect(1, 983037, '\P{Is_In=00_00_7.0}', "");
Expect(0, 983037, '\P{^Is_In=00_00_7.0}', "");
Error('\p{Present_In=:= 	0_0_0_008.0}');
Error('\P{Present_In=:= 	0_0_0_008.0}');
Expect(1, 983040, '\p{Present_In=08.0}', "");
Expect(0, 983040, '\p{^Present_In=08.0}', "");
Expect(0, 983040, '\P{Present_In=08.0}', "");
Expect(1, 983040, '\P{^Present_In=08.0}', "");
Expect(0, 983037, '\p{Present_In=08.0}', "");
Expect(1, 983037, '\p{^Present_In=08.0}', "");
Expect(1, 983037, '\P{Present_In=08.0}', "");
Expect(0, 983037, '\P{^Present_In=08.0}', "");
Error('\p{In=/a/000000008.0}');
Error('\P{In=/a/000000008.0}');
Expect(1, 983040, '\p{In=+0000000008.0}', "");
Expect(0, 983040, '\p{^In=+0000000008.0}', "");
Expect(0, 983040, '\P{In=+0000000008.0}', "");
Expect(1, 983040, '\P{^In=+0000000008.0}', "");
Expect(0, 983037, '\p{In=+0000000008.0}', "");
Expect(1, 983037, '\p{^In=+0000000008.0}', "");
Expect(1, 983037, '\P{In=+0000000008.0}', "");
Expect(0, 983037, '\P{^In=+0000000008.0}', "");
Error('\p{Is_Present_In=	+8.0:=}');
Error('\P{Is_Present_In=	+8.0:=}');
Expect(1, 983040, '\p{Is_Present_In=00008.0}', "");
Expect(0, 983040, '\p{^Is_Present_In=00008.0}', "");
Expect(0, 983040, '\P{Is_Present_In=00008.0}', "");
Expect(1, 983040, '\P{^Is_Present_In=00008.0}', "");
Expect(0, 983037, '\p{Is_Present_In=00008.0}', "");
Expect(1, 983037, '\p{^Is_Present_In=00008.0}', "");
Expect(1, 983037, '\P{Is_Present_In=00008.0}', "");
Expect(0, 983037, '\P{^Is_Present_In=00008.0}', "");
Error('\p{Is_In=-:=0008.0}');
Error('\P{Is_In=-:=0008.0}');
Expect(1, 983040, '\p{Is_In=+00_8.0}', "");
Expect(0, 983040, '\p{^Is_In=+00_8.0}', "");
Expect(0, 983040, '\P{Is_In=+00_8.0}', "");
Expect(1, 983040, '\P{^Is_In=+00_8.0}', "");
Expect(0, 983037, '\p{Is_In=+00_8.0}', "");
Expect(1, 983037, '\p{^Is_In=+00_8.0}', "");
Expect(1, 983037, '\P{Is_In=+00_8.0}', "");
Expect(0, 983037, '\P{^Is_In=+00_8.0}', "");
Error('\p{Present_In=:= UNASSIGNED}');
Error('\P{Present_In=:= UNASSIGNED}');
Expect(1, 983037, '\p{Present_In=unassigned}', "");
Expect(0, 983037, '\p{^Present_In=unassigned}', "");
Expect(0, 983037, '\P{Present_In=unassigned}', "");
Expect(1, 983037, '\P{^Present_In=unassigned}', "");
Expect(0, 983040, '\p{Present_In=unassigned}', "");
Expect(1, 983040, '\p{^Present_In=unassigned}', "");
Expect(1, 983040, '\P{Present_In=unassigned}', "");
Expect(0, 983040, '\P{^Present_In=unassigned}', "");
Expect(1, 983037, '\p{Present_In=- unassigned}', "");
Expect(0, 983037, '\p{^Present_In=- unassigned}', "");
Expect(0, 983037, '\P{Present_In=- unassigned}', "");
Expect(1, 983037, '\P{^Present_In=- unassigned}', "");
Expect(0, 983040, '\p{Present_In=- unassigned}', "");
Expect(1, 983040, '\p{^Present_In=- unassigned}', "");
Expect(1, 983040, '\P{Present_In=- unassigned}', "");
Expect(0, 983040, '\P{^Present_In=- unassigned}', "");
Error('\p{In=/a/-Unassigned}');
Error('\P{In=/a/-Unassigned}');
Expect(1, 983037, '\p{In=unassigned}', "");
Expect(0, 983037, '\p{^In=unassigned}', "");
Expect(0, 983037, '\P{In=unassigned}', "");
Expect(1, 983037, '\P{^In=unassigned}', "");
Expect(0, 983040, '\p{In=unassigned}', "");
Expect(1, 983040, '\p{^In=unassigned}', "");
Expect(1, 983040, '\P{In=unassigned}', "");
Expect(0, 983040, '\P{^In=unassigned}', "");
Expect(1, 983037, '\p{In=	_Unassigned}', "");
Expect(0, 983037, '\p{^In=	_Unassigned}', "");
Expect(0, 983037, '\P{In=	_Unassigned}', "");
Expect(1, 983037, '\P{^In=	_Unassigned}', "");
Expect(0, 983040, '\p{In=	_Unassigned}', "");
Expect(1, 983040, '\p{^In=	_Unassigned}', "");
Expect(1, 983040, '\P{In=	_Unassigned}', "");
Expect(0, 983040, '\P{^In=	_Unassigned}', "");
Error('\p{Is_Present_In:	/a/_	Unassigned}');
Error('\P{Is_Present_In:	/a/_	Unassigned}');
Expect(1, 983037, '\p{Is_Present_In=unassigned}', "");
Expect(0, 983037, '\p{^Is_Present_In=unassigned}', "");
Expect(0, 983037, '\P{Is_Present_In=unassigned}', "");
Expect(1, 983037, '\P{^Is_Present_In=unassigned}', "");
Expect(0, 983040, '\p{Is_Present_In=unassigned}', "");
Expect(1, 983040, '\p{^Is_Present_In=unassigned}', "");
Expect(1, 983040, '\P{Is_Present_In=unassigned}', "");
Expect(0, 983040, '\P{^Is_Present_In=unassigned}', "");
Expect(1, 983037, '\p{Is_Present_In=__Unassigned}', "");
Expect(0, 983037, '\p{^Is_Present_In=__Unassigned}', "");
Expect(0, 983037, '\P{Is_Present_In=__Unassigned}', "");
Expect(1, 983037, '\P{^Is_Present_In=__Unassigned}', "");
Expect(0, 983040, '\p{Is_Present_In=__Unassigned}', "");
Expect(1, 983040, '\p{^Is_Present_In=__Unassigned}', "");
Expect(1, 983040, '\P{Is_Present_In=__Unassigned}', "");
Expect(0, 983040, '\P{^Is_Present_In=__Unassigned}', "");
Error('\p{Is_In=:=-Unassigned}');
Error('\P{Is_In=:=-Unassigned}');
Expect(1, 983037, '\p{Is_In=unassigned}', "");
Expect(0, 983037, '\p{^Is_In=unassigned}', "");
Expect(0, 983037, '\P{Is_In=unassigned}', "");
Expect(1, 983037, '\P{^Is_In=unassigned}', "");
Expect(0, 983040, '\p{Is_In=unassigned}', "");
Expect(1, 983040, '\p{^Is_In=unassigned}', "");
Expect(1, 983040, '\P{Is_In=unassigned}', "");
Expect(0, 983040, '\P{^Is_In=unassigned}', "");
Expect(1, 983037, '\p{Is_In:    Unassigned}', "");
Expect(0, 983037, '\p{^Is_In:    Unassigned}', "");
Expect(0, 983037, '\P{Is_In:    Unassigned}', "");
Expect(1, 983037, '\P{^Is_In:    Unassigned}', "");
Expect(0, 983040, '\p{Is_In:    Unassigned}', "");
Expect(1, 983040, '\p{^Is_In:    Unassigned}', "");
Expect(1, 983040, '\P{Is_In:    Unassigned}', "");
Expect(0, 983040, '\P{^Is_In:    Unassigned}', "");
Error('\p{Indic_Positional_Category=:=- bottom}');
Error('\P{Indic_Positional_Category=:=- bottom}');
Expect(1, 71464, '\p{Indic_Positional_Category=bottom}', "");
Expect(0, 71464, '\p{^Indic_Positional_Category=bottom}', "");
Expect(0, 71464, '\P{Indic_Positional_Category=bottom}', "");
Expect(1, 71464, '\P{^Indic_Positional_Category=bottom}', "");
Expect(0, 71465, '\p{Indic_Positional_Category=bottom}', "");
Expect(1, 71465, '\p{^Indic_Positional_Category=bottom}', "");
Expect(1, 71465, '\P{Indic_Positional_Category=bottom}', "");
Expect(0, 71465, '\P{^Indic_Positional_Category=bottom}', "");
Expect(1, 71464, '\p{Indic_Positional_Category:-_BOTTOM}', "");
Expect(0, 71464, '\p{^Indic_Positional_Category:-_BOTTOM}', "");
Expect(0, 71464, '\P{Indic_Positional_Category:-_BOTTOM}', "");
Expect(1, 71464, '\P{^Indic_Positional_Category:-_BOTTOM}', "");
Expect(0, 71465, '\p{Indic_Positional_Category:-_BOTTOM}', "");
Expect(1, 71465, '\p{^Indic_Positional_Category:-_BOTTOM}', "");
Expect(1, 71465, '\P{Indic_Positional_Category:-_BOTTOM}', "");
Expect(0, 71465, '\P{^Indic_Positional_Category:-_BOTTOM}', "");
Error('\p{InPC=/a/_bottom}');
Error('\P{InPC=/a/_bottom}');
Expect(1, 71464, '\p{InPC=bottom}', "");
Expect(0, 71464, '\p{^InPC=bottom}', "");
Expect(0, 71464, '\P{InPC=bottom}', "");
Expect(1, 71464, '\P{^InPC=bottom}', "");
Expect(0, 71465, '\p{InPC=bottom}', "");
Expect(1, 71465, '\p{^InPC=bottom}', "");
Expect(1, 71465, '\P{InPC=bottom}', "");
Expect(0, 71465, '\P{^InPC=bottom}', "");
Expect(1, 71464, '\p{InPC=- Bottom}', "");
Expect(0, 71464, '\p{^InPC=- Bottom}', "");
Expect(0, 71464, '\P{InPC=- Bottom}', "");
Expect(1, 71464, '\P{^InPC=- Bottom}', "");
Expect(0, 71465, '\p{InPC=- Bottom}', "");
Expect(1, 71465, '\p{^InPC=- Bottom}', "");
Expect(1, 71465, '\P{InPC=- Bottom}', "");
Expect(0, 71465, '\P{^InPC=- Bottom}', "");
Error('\p{Is_Indic_Positional_Category=BOTTOM/a/}');
Error('\P{Is_Indic_Positional_Category=BOTTOM/a/}');
Expect(1, 71464, '\p{Is_Indic_Positional_Category=bottom}', "");
Expect(0, 71464, '\p{^Is_Indic_Positional_Category=bottom}', "");
Expect(0, 71464, '\P{Is_Indic_Positional_Category=bottom}', "");
Expect(1, 71464, '\P{^Is_Indic_Positional_Category=bottom}', "");
Expect(0, 71465, '\p{Is_Indic_Positional_Category=bottom}', "");
Expect(1, 71465, '\p{^Is_Indic_Positional_Category=bottom}', "");
Expect(1, 71465, '\P{Is_Indic_Positional_Category=bottom}', "");
Expect(0, 71465, '\P{^Is_Indic_Positional_Category=bottom}', "");
Expect(1, 71464, '\p{Is_Indic_Positional_Category=	 BOTTOM}', "");
Expect(0, 71464, '\p{^Is_Indic_Positional_Category=	 BOTTOM}', "");
Expect(0, 71464, '\P{Is_Indic_Positional_Category=	 BOTTOM}', "");
Expect(1, 71464, '\P{^Is_Indic_Positional_Category=	 BOTTOM}', "");
Expect(0, 71465, '\p{Is_Indic_Positional_Category=	 BOTTOM}', "");
Expect(1, 71465, '\p{^Is_Indic_Positional_Category=	 BOTTOM}', "");
Expect(1, 71465, '\P{Is_Indic_Positional_Category=	 BOTTOM}', "");
Expect(0, 71465, '\P{^Is_Indic_Positional_Category=	 BOTTOM}', "");
Error('\p{Is_InPC=_bottom/a/}');
Error('\P{Is_InPC=_bottom/a/}');
Expect(1, 71464, '\p{Is_InPC=bottom}', "");
Expect(0, 71464, '\p{^Is_InPC=bottom}', "");
Expect(0, 71464, '\P{Is_InPC=bottom}', "");
Expect(1, 71464, '\P{^Is_InPC=bottom}', "");
Expect(0, 71465, '\p{Is_InPC=bottom}', "");
Expect(1, 71465, '\p{^Is_InPC=bottom}', "");
Expect(1, 71465, '\P{Is_InPC=bottom}', "");
Expect(0, 71465, '\P{^Is_InPC=bottom}', "");
Expect(1, 71464, '\p{Is_InPC:   BOTTOM}', "");
Expect(0, 71464, '\p{^Is_InPC:   BOTTOM}', "");
Expect(0, 71464, '\P{Is_InPC:   BOTTOM}', "");
Expect(1, 71464, '\P{^Is_InPC:   BOTTOM}', "");
Expect(0, 71465, '\p{Is_InPC:   BOTTOM}', "");
Expect(1, 71465, '\p{^Is_InPC:   BOTTOM}', "");
Expect(1, 71465, '\P{Is_InPC:   BOTTOM}', "");
Expect(0, 71465, '\P{^Is_InPC:   BOTTOM}', "");
Error('\p{Indic_Positional_Category=/a/ 	bottom_and_right}');
Error('\P{Indic_Positional_Category=/a/ 	bottom_and_right}');
Expect(1, 43456, '\p{Indic_Positional_Category=bottomandright}', "");
Expect(0, 43456, '\p{^Indic_Positional_Category=bottomandright}', "");
Expect(0, 43456, '\P{Indic_Positional_Category=bottomandright}', "");
Expect(1, 43456, '\P{^Indic_Positional_Category=bottomandright}', "");
Expect(0, 43457, '\p{Indic_Positional_Category=bottomandright}', "");
Expect(1, 43457, '\p{^Indic_Positional_Category=bottomandright}', "");
Expect(1, 43457, '\P{Indic_Positional_Category=bottomandright}', "");
Expect(0, 43457, '\P{^Indic_Positional_Category=bottomandright}', "");
Expect(1, 43456, '\p{Indic_Positional_Category=		Bottom_and_right}', "");
Expect(0, 43456, '\p{^Indic_Positional_Category=		Bottom_and_right}', "");
Expect(0, 43456, '\P{Indic_Positional_Category=		Bottom_and_right}', "");
Expect(1, 43456, '\P{^Indic_Positional_Category=		Bottom_and_right}', "");
Expect(0, 43457, '\p{Indic_Positional_Category=		Bottom_and_right}', "");
Expect(1, 43457, '\p{^Indic_Positional_Category=		Bottom_and_right}', "");
Expect(1, 43457, '\P{Indic_Positional_Category=		Bottom_and_right}', "");
Expect(0, 43457, '\P{^Indic_Positional_Category=		Bottom_and_right}', "");
Error('\p{InPC= /a/Bottom_AND_Right}');
Error('\P{InPC= /a/Bottom_AND_Right}');
Expect(1, 43456, '\p{InPC=bottomandright}', "");
Expect(0, 43456, '\p{^InPC=bottomandright}', "");
Expect(0, 43456, '\P{InPC=bottomandright}', "");
Expect(1, 43456, '\P{^InPC=bottomandright}', "");
Expect(0, 43457, '\p{InPC=bottomandright}', "");
Expect(1, 43457, '\p{^InPC=bottomandright}', "");
Expect(1, 43457, '\P{InPC=bottomandright}', "");
Expect(0, 43457, '\P{^InPC=bottomandright}', "");
Expect(1, 43456, '\p{InPC= bottom_And_Right}', "");
Expect(0, 43456, '\p{^InPC= bottom_And_Right}', "");
Expect(0, 43456, '\P{InPC= bottom_And_Right}', "");
Expect(1, 43456, '\P{^InPC= bottom_And_Right}', "");
Expect(0, 43457, '\p{InPC= bottom_And_Right}', "");
Expect(1, 43457, '\p{^InPC= bottom_And_Right}', "");
Expect(1, 43457, '\P{InPC= bottom_And_Right}', "");
Expect(0, 43457, '\P{^InPC= bottom_And_Right}', "");
Error('\p{Is_Indic_Positional_Category=/a/-BOTTOM_AND_RIGHT}');
Error('\P{Is_Indic_Positional_Category=/a/-BOTTOM_AND_RIGHT}');
Expect(1, 43456, '\p{Is_Indic_Positional_Category=bottomandright}', "");
Expect(0, 43456, '\p{^Is_Indic_Positional_Category=bottomandright}', "");
Expect(0, 43456, '\P{Is_Indic_Positional_Category=bottomandright}', "");
Expect(1, 43456, '\P{^Is_Indic_Positional_Category=bottomandright}', "");
Expect(0, 43457, '\p{Is_Indic_Positional_Category=bottomandright}', "");
Expect(1, 43457, '\p{^Is_Indic_Positional_Category=bottomandright}', "");
Expect(1, 43457, '\P{Is_Indic_Positional_Category=bottomandright}', "");
Expect(0, 43457, '\P{^Is_Indic_Positional_Category=bottomandright}', "");
Expect(1, 43456, '\p{Is_Indic_Positional_Category=--Bottom_and_Right}', "");
Expect(0, 43456, '\p{^Is_Indic_Positional_Category=--Bottom_and_Right}', "");
Expect(0, 43456, '\P{Is_Indic_Positional_Category=--Bottom_and_Right}', "");
Expect(1, 43456, '\P{^Is_Indic_Positional_Category=--Bottom_and_Right}', "");
Expect(0, 43457, '\p{Is_Indic_Positional_Category=--Bottom_and_Right}', "");
Expect(1, 43457, '\p{^Is_Indic_Positional_Category=--Bottom_and_Right}', "");
Expect(1, 43457, '\P{Is_Indic_Positional_Category=--Bottom_and_Right}', "");
Expect(0, 43457, '\P{^Is_Indic_Positional_Category=--Bottom_and_Right}', "");
Error('\p{Is_InPC=	-Bottom_And_Right/a/}');
Error('\P{Is_InPC=	-Bottom_And_Right/a/}');
Expect(1, 43456, '\p{Is_InPC=bottomandright}', "");
Expect(0, 43456, '\p{^Is_InPC=bottomandright}', "");
Expect(0, 43456, '\P{Is_InPC=bottomandright}', "");
Expect(1, 43456, '\P{^Is_InPC=bottomandright}', "");
Expect(0, 43457, '\p{Is_InPC=bottomandright}', "");
Expect(1, 43457, '\p{^Is_InPC=bottomandright}', "");
Expect(1, 43457, '\P{Is_InPC=bottomandright}', "");
Expect(0, 43457, '\P{^Is_InPC=bottomandright}', "");
Expect(1, 43456, '\p{Is_InPC=_bottom_and_RIGHT}', "");
Expect(0, 43456, '\p{^Is_InPC=_bottom_and_RIGHT}', "");
Expect(0, 43456, '\P{Is_InPC=_bottom_and_RIGHT}', "");
Expect(1, 43456, '\P{^Is_InPC=_bottom_and_RIGHT}', "");
Expect(0, 43457, '\p{Is_InPC=_bottom_and_RIGHT}', "");
Expect(1, 43457, '\p{^Is_InPC=_bottom_and_RIGHT}', "");
Expect(1, 43457, '\P{Is_InPC=_bottom_and_RIGHT}', "");
Expect(0, 43457, '\P{^Is_InPC=_bottom_and_RIGHT}', "");
Error('\p{Indic_Positional_Category=/a/ 	Left}');
Error('\P{Indic_Positional_Category=/a/ 	Left}');
Expect(1, 71462, '\p{Indic_Positional_Category=left}', "");
Expect(0, 71462, '\p{^Indic_Positional_Category=left}', "");
Expect(0, 71462, '\P{Indic_Positional_Category=left}', "");
Expect(1, 71462, '\P{^Indic_Positional_Category=left}', "");
Expect(0, 71463, '\p{Indic_Positional_Category=left}', "");
Expect(1, 71463, '\p{^Indic_Positional_Category=left}', "");
Expect(1, 71463, '\P{Indic_Positional_Category=left}', "");
Expect(0, 71463, '\P{^Indic_Positional_Category=left}', "");
Expect(1, 71462, '\p{Indic_Positional_Category=_Left}', "");
Expect(0, 71462, '\p{^Indic_Positional_Category=_Left}', "");
Expect(0, 71462, '\P{Indic_Positional_Category=_Left}', "");
Expect(1, 71462, '\P{^Indic_Positional_Category=_Left}', "");
Expect(0, 71463, '\p{Indic_Positional_Category=_Left}', "");
Expect(1, 71463, '\p{^Indic_Positional_Category=_Left}', "");
Expect(1, 71463, '\P{Indic_Positional_Category=_Left}', "");
Expect(0, 71463, '\P{^Indic_Positional_Category=_Left}', "");
Error('\p{InPC=/a/-	Left}');
Error('\P{InPC=/a/-	Left}');
Expect(1, 71462, '\p{InPC=left}', "");
Expect(0, 71462, '\p{^InPC=left}', "");
Expect(0, 71462, '\P{InPC=left}', "");
Expect(1, 71462, '\P{^InPC=left}', "");
Expect(0, 71463, '\p{InPC=left}', "");
Expect(1, 71463, '\p{^InPC=left}', "");
Expect(1, 71463, '\P{InPC=left}', "");
Expect(0, 71463, '\P{^InPC=left}', "");
Expect(1, 71462, '\p{InPC= left}', "");
Expect(0, 71462, '\p{^InPC= left}', "");
Expect(0, 71462, '\P{InPC= left}', "");
Expect(1, 71462, '\P{^InPC= left}', "");
Expect(0, 71463, '\p{InPC= left}', "");
Expect(1, 71463, '\p{^InPC= left}', "");
Expect(1, 71463, '\P{InPC= left}', "");
Expect(0, 71463, '\P{^InPC= left}', "");
Error('\p{Is_Indic_Positional_Category=-_Left/a/}');
Error('\P{Is_Indic_Positional_Category=-_Left/a/}');
Expect(1, 71462, '\p{Is_Indic_Positional_Category=left}', "");
Expect(0, 71462, '\p{^Is_Indic_Positional_Category=left}', "");
Expect(0, 71462, '\P{Is_Indic_Positional_Category=left}', "");
Expect(1, 71462, '\P{^Is_Indic_Positional_Category=left}', "");
Expect(0, 71463, '\p{Is_Indic_Positional_Category=left}', "");
Expect(1, 71463, '\p{^Is_Indic_Positional_Category=left}', "");
Expect(1, 71463, '\P{Is_Indic_Positional_Category=left}', "");
Expect(0, 71463, '\P{^Is_Indic_Positional_Category=left}', "");
Expect(1, 71462, '\p{Is_Indic_Positional_Category= -left}', "");
Expect(0, 71462, '\p{^Is_Indic_Positional_Category= -left}', "");
Expect(0, 71462, '\P{Is_Indic_Positional_Category= -left}', "");
Expect(1, 71462, '\P{^Is_Indic_Positional_Category= -left}', "");
Expect(0, 71463, '\p{Is_Indic_Positional_Category= -left}', "");
Expect(1, 71463, '\p{^Is_Indic_Positional_Category= -left}', "");
Expect(1, 71463, '\P{Is_Indic_Positional_Category= -left}', "");
Expect(0, 71463, '\P{^Is_Indic_Positional_Category= -left}', "");
Error('\p{Is_InPC=-:=Left}');
Error('\P{Is_InPC=-:=Left}');
Expect(1, 71462, '\p{Is_InPC=left}', "");
Expect(0, 71462, '\p{^Is_InPC=left}', "");
Expect(0, 71462, '\P{Is_InPC=left}', "");
Expect(1, 71462, '\P{^Is_InPC=left}', "");
Expect(0, 71463, '\p{Is_InPC=left}', "");
Expect(1, 71463, '\p{^Is_InPC=left}', "");
Expect(1, 71463, '\P{Is_InPC=left}', "");
Expect(0, 71463, '\P{^Is_InPC=left}', "");
Expect(1, 71462, '\p{Is_InPC=	_Left}', "");
Expect(0, 71462, '\p{^Is_InPC=	_Left}', "");
Expect(0, 71462, '\P{Is_InPC=	_Left}', "");
Expect(1, 71462, '\P{^Is_InPC=	_Left}', "");
Expect(0, 71463, '\p{Is_InPC=	_Left}', "");
Expect(1, 71463, '\p{^Is_InPC=	_Left}', "");
Expect(1, 71463, '\P{Is_InPC=	_Left}', "");
Expect(0, 71463, '\P{^Is_InPC=	_Left}', "");
Error('\p{Indic_Positional_Category= -Left_And_right:=}');
Error('\P{Indic_Positional_Category= -Left_And_right:=}');
Expect(1, 71098, '\p{Indic_Positional_Category=leftandright}', "");
Expect(0, 71098, '\p{^Indic_Positional_Category=leftandright}', "");
Expect(0, 71098, '\P{Indic_Positional_Category=leftandright}', "");
Expect(1, 71098, '\P{^Indic_Positional_Category=leftandright}', "");
Expect(0, 71099, '\p{Indic_Positional_Category=leftandright}', "");
Expect(1, 71099, '\p{^Indic_Positional_Category=leftandright}', "");
Expect(1, 71099, '\P{Indic_Positional_Category=leftandright}', "");
Expect(0, 71099, '\P{^Indic_Positional_Category=leftandright}', "");
Expect(1, 71098, '\p{Indic_Positional_Category=_Left_AND_RIGHT}', "");
Expect(0, 71098, '\p{^Indic_Positional_Category=_Left_AND_RIGHT}', "");
Expect(0, 71098, '\P{Indic_Positional_Category=_Left_AND_RIGHT}', "");
Expect(1, 71098, '\P{^Indic_Positional_Category=_Left_AND_RIGHT}', "");
Expect(0, 71099, '\p{Indic_Positional_Category=_Left_AND_RIGHT}', "");
Expect(1, 71099, '\p{^Indic_Positional_Category=_Left_AND_RIGHT}', "");
Expect(1, 71099, '\P{Indic_Positional_Category=_Left_AND_RIGHT}', "");
Expect(0, 71099, '\P{^Indic_Positional_Category=_Left_AND_RIGHT}', "");
Error('\p{InPC=/a/Left_AND_RIGHT}');
Error('\P{InPC=/a/Left_AND_RIGHT}');
Expect(1, 71098, '\p{InPC=leftandright}', "");
Expect(0, 71098, '\p{^InPC=leftandright}', "");
Expect(0, 71098, '\P{InPC=leftandright}', "");
Expect(1, 71098, '\P{^InPC=leftandright}', "");
Expect(0, 71099, '\p{InPC=leftandright}', "");
Expect(1, 71099, '\p{^InPC=leftandright}', "");
Expect(1, 71099, '\P{InPC=leftandright}', "");
Expect(0, 71099, '\P{^InPC=leftandright}', "");
Expect(1, 71098, '\p{InPC=_LEFT_AND_RIGHT}', "");
Expect(0, 71098, '\p{^InPC=_LEFT_AND_RIGHT}', "");
Expect(0, 71098, '\P{InPC=_LEFT_AND_RIGHT}', "");
Expect(1, 71098, '\P{^InPC=_LEFT_AND_RIGHT}', "");
Expect(0, 71099, '\p{InPC=_LEFT_AND_RIGHT}', "");
Expect(1, 71099, '\p{^InPC=_LEFT_AND_RIGHT}', "");
Expect(1, 71099, '\P{InPC=_LEFT_AND_RIGHT}', "");
Expect(0, 71099, '\P{^InPC=_LEFT_AND_RIGHT}', "");
Error('\p{Is_Indic_Positional_Category:   	/a/left_And_Right}');
Error('\P{Is_Indic_Positional_Category:   	/a/left_And_Right}');
Expect(1, 71098, '\p{Is_Indic_Positional_Category:leftandright}', "");
Expect(0, 71098, '\p{^Is_Indic_Positional_Category:leftandright}', "");
Expect(0, 71098, '\P{Is_Indic_Positional_Category:leftandright}', "");
Expect(1, 71098, '\P{^Is_Indic_Positional_Category:leftandright}', "");
Expect(0, 71099, '\p{Is_Indic_Positional_Category:leftandright}', "");
Expect(1, 71099, '\p{^Is_Indic_Positional_Category:leftandright}', "");
Expect(1, 71099, '\P{Is_Indic_Positional_Category:leftandright}', "");
Expect(0, 71099, '\P{^Is_Indic_Positional_Category:leftandright}', "");
Expect(1, 71098, '\p{Is_Indic_Positional_Category=	-Left_AND_Right}', "");
Expect(0, 71098, '\p{^Is_Indic_Positional_Category=	-Left_AND_Right}', "");
Expect(0, 71098, '\P{Is_Indic_Positional_Category=	-Left_AND_Right}', "");
Expect(1, 71098, '\P{^Is_Indic_Positional_Category=	-Left_AND_Right}', "");
Expect(0, 71099, '\p{Is_Indic_Positional_Category=	-Left_AND_Right}', "");
Expect(1, 71099, '\p{^Is_Indic_Positional_Category=	-Left_AND_Right}', "");
Expect(1, 71099, '\P{Is_Indic_Positional_Category=	-Left_AND_Right}', "");
Expect(0, 71099, '\P{^Is_Indic_Positional_Category=	-Left_AND_Right}', "");
Error('\p{Is_InPC=:= -LEFT_and_Right}');
Error('\P{Is_InPC=:= -LEFT_and_Right}');
Expect(1, 71098, '\p{Is_InPC=leftandright}', "");
Expect(0, 71098, '\p{^Is_InPC=leftandright}', "");
Expect(0, 71098, '\P{Is_InPC=leftandright}', "");
Expect(1, 71098, '\P{^Is_InPC=leftandright}', "");
Expect(0, 71099, '\p{Is_InPC=leftandright}', "");
Expect(1, 71099, '\p{^Is_InPC=leftandright}', "");
Expect(1, 71099, '\P{Is_InPC=leftandright}', "");
Expect(0, 71099, '\P{^Is_InPC=leftandright}', "");
Expect(1, 71098, '\p{Is_InPC=_Left_AND_RIGHT}', "");
Expect(0, 71098, '\p{^Is_InPC=_Left_AND_RIGHT}', "");
Expect(0, 71098, '\P{Is_InPC=_Left_AND_RIGHT}', "");
Expect(1, 71098, '\P{^Is_InPC=_Left_AND_RIGHT}', "");
Expect(0, 71099, '\p{Is_InPC=_Left_AND_RIGHT}', "");
Expect(1, 71099, '\p{^Is_InPC=_Left_AND_RIGHT}', "");
Expect(1, 71099, '\P{Is_InPC=_Left_AND_RIGHT}', "");
Expect(0, 71099, '\P{^Is_InPC=_Left_AND_RIGHT}', "");
Error('\p{Indic_Positional_Category=__NA:=}');
Error('\P{Indic_Positional_Category=__NA:=}');
Expect(1, 71468, '\p{Indic_Positional_Category=na}', "");
Expect(0, 71468, '\p{^Indic_Positional_Category=na}', "");
Expect(0, 71468, '\P{Indic_Positional_Category=na}', "");
Expect(1, 71468, '\P{^Indic_Positional_Category=na}', "");
Expect(0, 71467, '\p{Indic_Positional_Category=na}', "");
Expect(1, 71467, '\p{^Indic_Positional_Category=na}', "");
Expect(1, 71467, '\P{Indic_Positional_Category=na}', "");
Expect(0, 71467, '\P{^Indic_Positional_Category=na}', "");
Expect(1, 71468, '\p{Indic_Positional_Category=	_NA}', "");
Expect(0, 71468, '\p{^Indic_Positional_Category=	_NA}', "");
Expect(0, 71468, '\P{Indic_Positional_Category=	_NA}', "");
Expect(1, 71468, '\P{^Indic_Positional_Category=	_NA}', "");
Expect(0, 71467, '\p{Indic_Positional_Category=	_NA}', "");
Expect(1, 71467, '\p{^Indic_Positional_Category=	_NA}', "");
Expect(1, 71467, '\P{Indic_Positional_Category=	_NA}', "");
Expect(0, 71467, '\P{^Indic_Positional_Category=	_NA}', "");
Error('\p{InPC=	na/a/}');
Error('\P{InPC=	na/a/}');
Expect(1, 71468, '\p{InPC: na}', "");
Expect(0, 71468, '\p{^InPC: na}', "");
Expect(0, 71468, '\P{InPC: na}', "");
Expect(1, 71468, '\P{^InPC: na}', "");
Expect(0, 71467, '\p{InPC: na}', "");
Expect(1, 71467, '\p{^InPC: na}', "");
Expect(1, 71467, '\P{InPC: na}', "");
Expect(0, 71467, '\P{^InPC: na}', "");
Expect(1, 71468, '\p{InPC=_NA}', "");
Expect(0, 71468, '\p{^InPC=_NA}', "");
Expect(0, 71468, '\P{InPC=_NA}', "");
Expect(1, 71468, '\P{^InPC=_NA}', "");
Expect(0, 71467, '\p{InPC=_NA}', "");
Expect(1, 71467, '\p{^InPC=_NA}', "");
Expect(1, 71467, '\P{InPC=_NA}', "");
Expect(0, 71467, '\P{^InPC=_NA}', "");
Error('\p{Is_Indic_Positional_Category=	/a/na}');
Error('\P{Is_Indic_Positional_Category=	/a/na}');
Expect(1, 71468, '\p{Is_Indic_Positional_Category=na}', "");
Expect(0, 71468, '\p{^Is_Indic_Positional_Category=na}', "");
Expect(0, 71468, '\P{Is_Indic_Positional_Category=na}', "");
Expect(1, 71468, '\P{^Is_Indic_Positional_Category=na}', "");
Expect(0, 71467, '\p{Is_Indic_Positional_Category=na}', "");
Expect(1, 71467, '\p{^Is_Indic_Positional_Category=na}', "");
Expect(1, 71467, '\P{Is_Indic_Positional_Category=na}', "");
Expect(0, 71467, '\P{^Is_Indic_Positional_Category=na}', "");
Expect(1, 71468, '\p{Is_Indic_Positional_Category=	-NA}', "");
Expect(0, 71468, '\p{^Is_Indic_Positional_Category=	-NA}', "");
Expect(0, 71468, '\P{Is_Indic_Positional_Category=	-NA}', "");
Expect(1, 71468, '\P{^Is_Indic_Positional_Category=	-NA}', "");
Expect(0, 71467, '\p{Is_Indic_Positional_Category=	-NA}', "");
Expect(1, 71467, '\p{^Is_Indic_Positional_Category=	-NA}', "");
Expect(1, 71467, '\P{Is_Indic_Positional_Category=	-NA}', "");
Expect(0, 71467, '\P{^Is_Indic_Positional_Category=	-NA}', "");
Error('\p{Is_InPC= -NA/a/}');
Error('\P{Is_InPC= -NA/a/}');
Expect(1, 71468, '\p{Is_InPC=na}', "");
Expect(0, 71468, '\p{^Is_InPC=na}', "");
Expect(0, 71468, '\P{Is_InPC=na}', "");
Expect(1, 71468, '\P{^Is_InPC=na}', "");
Expect(0, 71467, '\p{Is_InPC=na}', "");
Expect(1, 71467, '\p{^Is_InPC=na}', "");
Expect(1, 71467, '\P{Is_InPC=na}', "");
Expect(0, 71467, '\P{^Is_InPC=na}', "");
Expect(1, 71468, '\p{Is_InPC=	NA}', "");
Expect(0, 71468, '\p{^Is_InPC=	NA}', "");
Expect(0, 71468, '\P{Is_InPC=	NA}', "");
Expect(1, 71468, '\P{^Is_InPC=	NA}', "");
Expect(0, 71467, '\p{Is_InPC=	NA}', "");
Expect(1, 71467, '\p{^Is_InPC=	NA}', "");
Expect(1, 71467, '\P{Is_InPC=	NA}', "");
Expect(0, 71467, '\P{^Is_InPC=	NA}', "");
Error('\p{Indic_Positional_Category=:= 	Overstruck}');
Error('\P{Indic_Positional_Category=:= 	Overstruck}');
Expect(1, 68102, '\p{Indic_Positional_Category=overstruck}', "");
Expect(0, 68102, '\p{^Indic_Positional_Category=overstruck}', "");
Expect(0, 68102, '\P{Indic_Positional_Category=overstruck}', "");
Expect(1, 68102, '\P{^Indic_Positional_Category=overstruck}', "");
Expect(0, 68103, '\p{Indic_Positional_Category=overstruck}', "");
Expect(1, 68103, '\p{^Indic_Positional_Category=overstruck}', "");
Expect(1, 68103, '\P{Indic_Positional_Category=overstruck}', "");
Expect(0, 68103, '\P{^Indic_Positional_Category=overstruck}', "");
Expect(1, 68102, '\p{Indic_Positional_Category= -overstruck}', "");
Expect(0, 68102, '\p{^Indic_Positional_Category= -overstruck}', "");
Expect(0, 68102, '\P{Indic_Positional_Category= -overstruck}', "");
Expect(1, 68102, '\P{^Indic_Positional_Category= -overstruck}', "");
Expect(0, 68103, '\p{Indic_Positional_Category= -overstruck}', "");
Expect(1, 68103, '\p{^Indic_Positional_Category= -overstruck}', "");
Expect(1, 68103, '\P{Indic_Positional_Category= -overstruck}', "");
Expect(0, 68103, '\P{^Indic_Positional_Category= -overstruck}', "");
Error('\p{InPC=:=	_overstruck}');
Error('\P{InPC=:=	_overstruck}');
Expect(1, 68102, '\p{InPC=overstruck}', "");
Expect(0, 68102, '\p{^InPC=overstruck}', "");
Expect(0, 68102, '\P{InPC=overstruck}', "");
Expect(1, 68102, '\P{^InPC=overstruck}', "");
Expect(0, 68103, '\p{InPC=overstruck}', "");
Expect(1, 68103, '\p{^InPC=overstruck}', "");
Expect(1, 68103, '\P{InPC=overstruck}', "");
Expect(0, 68103, '\P{^InPC=overstruck}', "");
Expect(1, 68102, '\p{InPC=		overstruck}', "");
Expect(0, 68102, '\p{^InPC=		overstruck}', "");
Expect(0, 68102, '\P{InPC=		overstruck}', "");
Expect(1, 68102, '\P{^InPC=		overstruck}', "");
Expect(0, 68103, '\p{InPC=		overstruck}', "");
Expect(1, 68103, '\p{^InPC=		overstruck}', "");
Expect(1, 68103, '\P{InPC=		overstruck}', "");
Expect(0, 68103, '\P{^InPC=		overstruck}', "");
Error('\p{Is_Indic_Positional_Category=/a/OVERSTRUCK}');
Error('\P{Is_Indic_Positional_Category=/a/OVERSTRUCK}');
Expect(1, 68102, '\p{Is_Indic_Positional_Category=overstruck}', "");
Expect(0, 68102, '\p{^Is_Indic_Positional_Category=overstruck}', "");
Expect(0, 68102, '\P{Is_Indic_Positional_Category=overstruck}', "");
Expect(1, 68102, '\P{^Is_Indic_Positional_Category=overstruck}', "");
Expect(0, 68103, '\p{Is_Indic_Positional_Category=overstruck}', "");
Expect(1, 68103, '\p{^Is_Indic_Positional_Category=overstruck}', "");
Expect(1, 68103, '\P{Is_Indic_Positional_Category=overstruck}', "");
Expect(0, 68103, '\P{^Is_Indic_Positional_Category=overstruck}', "");
Expect(1, 68102, '\p{Is_Indic_Positional_Category=_Overstruck}', "");
Expect(0, 68102, '\p{^Is_Indic_Positional_Category=_Overstruck}', "");
Expect(0, 68102, '\P{Is_Indic_Positional_Category=_Overstruck}', "");
Expect(1, 68102, '\P{^Is_Indic_Positional_Category=_Overstruck}', "");
Expect(0, 68103, '\p{Is_Indic_Positional_Category=_Overstruck}', "");
Expect(1, 68103, '\p{^Is_Indic_Positional_Category=_Overstruck}', "");
Expect(1, 68103, '\P{Is_Indic_Positional_Category=_Overstruck}', "");
Expect(0, 68103, '\P{^Is_Indic_Positional_Category=_Overstruck}', "");
Error('\p{Is_InPC=	/a/overstruck}');
Error('\P{Is_InPC=	/a/overstruck}');
Expect(1, 68102, '\p{Is_InPC=overstruck}', "");
Expect(0, 68102, '\p{^Is_InPC=overstruck}', "");
Expect(0, 68102, '\P{Is_InPC=overstruck}', "");
Expect(1, 68102, '\P{^Is_InPC=overstruck}', "");
Expect(0, 68103, '\p{Is_InPC=overstruck}', "");
Expect(1, 68103, '\p{^Is_InPC=overstruck}', "");
Expect(1, 68103, '\P{Is_InPC=overstruck}', "");
Expect(0, 68103, '\P{^Is_InPC=overstruck}', "");
Expect(1, 68102, '\p{Is_InPC=_Overstruck}', "");
Expect(0, 68102, '\p{^Is_InPC=_Overstruck}', "");
Expect(0, 68102, '\P{Is_InPC=_Overstruck}', "");
Expect(1, 68102, '\P{^Is_InPC=_Overstruck}', "");
Expect(0, 68103, '\p{Is_InPC=_Overstruck}', "");
Expect(1, 68103, '\p{^Is_InPC=_Overstruck}', "");
Expect(1, 68103, '\P{Is_InPC=_Overstruck}', "");
Expect(0, 68103, '\P{^Is_InPC=_Overstruck}', "");
Error('\p{Indic_Positional_Category=_-RIGHT/a/}');
Error('\P{Indic_Positional_Category=_-RIGHT/a/}');
Expect(1, 71457, '\p{Indic_Positional_Category=right}', "");
Expect(0, 71457, '\p{^Indic_Positional_Category=right}', "");
Expect(0, 71457, '\P{Indic_Positional_Category=right}', "");
Expect(1, 71457, '\P{^Indic_Positional_Category=right}', "");
Expect(0, 71458, '\p{Indic_Positional_Category=right}', "");
Expect(1, 71458, '\p{^Indic_Positional_Category=right}', "");
Expect(1, 71458, '\P{Indic_Positional_Category=right}', "");
Expect(0, 71458, '\P{^Indic_Positional_Category=right}', "");
Expect(1, 71457, '\p{Indic_Positional_Category:    _RIGHT}', "");
Expect(0, 71457, '\p{^Indic_Positional_Category:    _RIGHT}', "");
Expect(0, 71457, '\P{Indic_Positional_Category:    _RIGHT}', "");
Expect(1, 71457, '\P{^Indic_Positional_Category:    _RIGHT}', "");
Expect(0, 71458, '\p{Indic_Positional_Category:    _RIGHT}', "");
Expect(1, 71458, '\p{^Indic_Positional_Category:    _RIGHT}', "");
Expect(1, 71458, '\P{Indic_Positional_Category:    _RIGHT}', "");
Expect(0, 71458, '\P{^Indic_Positional_Category:    _RIGHT}', "");
Error('\p{InPC:- Right:=}');
Error('\P{InPC:- Right:=}');
Expect(1, 71457, '\p{InPC:	right}', "");
Expect(0, 71457, '\p{^InPC:	right}', "");
Expect(0, 71457, '\P{InPC:	right}', "");
Expect(1, 71457, '\P{^InPC:	right}', "");
Expect(0, 71458, '\p{InPC:	right}', "");
Expect(1, 71458, '\p{^InPC:	right}', "");
Expect(1, 71458, '\P{InPC:	right}', "");
Expect(0, 71458, '\P{^InPC:	right}', "");
Expect(1, 71457, '\p{InPC: _Right}', "");
Expect(0, 71457, '\p{^InPC: _Right}', "");
Expect(0, 71457, '\P{InPC: _Right}', "");
Expect(1, 71457, '\P{^InPC: _Right}', "");
Expect(0, 71458, '\p{InPC: _Right}', "");
Expect(1, 71458, '\p{^InPC: _Right}', "");
Expect(1, 71458, '\P{InPC: _Right}', "");
Expect(0, 71458, '\P{^InPC: _Right}', "");
Error('\p{Is_Indic_Positional_Category= -Right/a/}');
Error('\P{Is_Indic_Positional_Category= -Right/a/}');
Expect(1, 71457, '\p{Is_Indic_Positional_Category=right}', "");
Expect(0, 71457, '\p{^Is_Indic_Positional_Category=right}', "");
Expect(0, 71457, '\P{Is_Indic_Positional_Category=right}', "");
Expect(1, 71457, '\P{^Is_Indic_Positional_Category=right}', "");
Expect(0, 71458, '\p{Is_Indic_Positional_Category=right}', "");
Expect(1, 71458, '\p{^Is_Indic_Positional_Category=right}', "");
Expect(1, 71458, '\P{Is_Indic_Positional_Category=right}', "");
Expect(0, 71458, '\P{^Is_Indic_Positional_Category=right}', "");
Expect(1, 71457, '\p{Is_Indic_Positional_Category=	-RIGHT}', "");
Expect(0, 71457, '\p{^Is_Indic_Positional_Category=	-RIGHT}', "");
Expect(0, 71457, '\P{Is_Indic_Positional_Category=	-RIGHT}', "");
Expect(1, 71457, '\P{^Is_Indic_Positional_Category=	-RIGHT}', "");
Expect(0, 71458, '\p{Is_Indic_Positional_Category=	-RIGHT}', "");
Expect(1, 71458, '\p{^Is_Indic_Positional_Category=	-RIGHT}', "");
Expect(1, 71458, '\P{Is_Indic_Positional_Category=	-RIGHT}', "");
Expect(0, 71458, '\P{^Is_Indic_Positional_Category=	-RIGHT}', "");
Error('\p{Is_InPC=/a/--right}');
Error('\P{Is_InPC=/a/--right}');
Expect(1, 71457, '\p{Is_InPC:right}', "");
Expect(0, 71457, '\p{^Is_InPC:right}', "");
Expect(0, 71457, '\P{Is_InPC:right}', "");
Expect(1, 71457, '\P{^Is_InPC:right}', "");
Expect(0, 71458, '\p{Is_InPC:right}', "");
Expect(1, 71458, '\p{^Is_InPC:right}', "");
Expect(1, 71458, '\P{Is_InPC:right}', "");
Expect(0, 71458, '\P{^Is_InPC:right}', "");
Expect(1, 71457, '\p{Is_InPC:-_right}', "");
Expect(0, 71457, '\p{^Is_InPC:-_right}', "");
Expect(0, 71457, '\P{Is_InPC:-_right}', "");
Expect(1, 71457, '\P{^Is_InPC:-_right}', "");
Expect(0, 71458, '\p{Is_InPC:-_right}', "");
Expect(1, 71458, '\p{^Is_InPC:-_right}', "");
Expect(1, 71458, '\P{Is_InPC:-_right}', "");
Expect(0, 71458, '\P{^Is_InPC:-_right}', "");
Error('\p{Indic_Positional_Category=/a/ -TOP}');
Error('\P{Indic_Positional_Category=/a/ -TOP}');
Expect(1, 71467, '\p{Indic_Positional_Category=top}', "");
Expect(0, 71467, '\p{^Indic_Positional_Category=top}', "");
Expect(0, 71467, '\P{Indic_Positional_Category=top}', "");
Expect(1, 71467, '\P{^Indic_Positional_Category=top}', "");
Expect(0, 71468, '\p{Indic_Positional_Category=top}', "");
Expect(1, 71468, '\p{^Indic_Positional_Category=top}', "");
Expect(1, 71468, '\P{Indic_Positional_Category=top}', "");
Expect(0, 71468, '\P{^Indic_Positional_Category=top}', "");
Expect(1, 71467, '\p{Indic_Positional_Category=__top}', "");
Expect(0, 71467, '\p{^Indic_Positional_Category=__top}', "");
Expect(0, 71467, '\P{Indic_Positional_Category=__top}', "");
Expect(1, 71467, '\P{^Indic_Positional_Category=__top}', "");
Expect(0, 71468, '\p{Indic_Positional_Category=__top}', "");
Expect(1, 71468, '\p{^Indic_Positional_Category=__top}', "");
Expect(1, 71468, '\P{Indic_Positional_Category=__top}', "");
Expect(0, 71468, '\P{^Indic_Positional_Category=__top}', "");
Error('\p{InPC=_/a/TOP}');
Error('\P{InPC=_/a/TOP}');
Expect(1, 71467, '\p{InPC=top}', "");
Expect(0, 71467, '\p{^InPC=top}', "");
Expect(0, 71467, '\P{InPC=top}', "");
Expect(1, 71467, '\P{^InPC=top}', "");
Expect(0, 71468, '\p{InPC=top}', "");
Expect(1, 71468, '\p{^InPC=top}', "");
Expect(1, 71468, '\P{InPC=top}', "");
Expect(0, 71468, '\P{^InPC=top}', "");
Expect(1, 71467, '\p{InPC=	_TOP}', "");
Expect(0, 71467, '\p{^InPC=	_TOP}', "");
Expect(0, 71467, '\P{InPC=	_TOP}', "");
Expect(1, 71467, '\P{^InPC=	_TOP}', "");
Expect(0, 71468, '\p{InPC=	_TOP}', "");
Expect(1, 71468, '\p{^InPC=	_TOP}', "");
Expect(1, 71468, '\P{InPC=	_TOP}', "");
Expect(0, 71468, '\P{^InPC=	_TOP}', "");
Error('\p{Is_Indic_Positional_Category=:= _Top}');
Error('\P{Is_Indic_Positional_Category=:= _Top}');
Expect(1, 71467, '\p{Is_Indic_Positional_Category=top}', "");
Expect(0, 71467, '\p{^Is_Indic_Positional_Category=top}', "");
Expect(0, 71467, '\P{Is_Indic_Positional_Category=top}', "");
Expect(1, 71467, '\P{^Is_Indic_Positional_Category=top}', "");
Expect(0, 71468, '\p{Is_Indic_Positional_Category=top}', "");
Expect(1, 71468, '\p{^Is_Indic_Positional_Category=top}', "");
Expect(1, 71468, '\P{Is_Indic_Positional_Category=top}', "");
Expect(0, 71468, '\P{^Is_Indic_Positional_Category=top}', "");
Expect(1, 71467, '\p{Is_Indic_Positional_Category=	TOP}', "");
Expect(0, 71467, '\p{^Is_Indic_Positional_Category=	TOP}', "");
Expect(0, 71467, '\P{Is_Indic_Positional_Category=	TOP}', "");
Expect(1, 71467, '\P{^Is_Indic_Positional_Category=	TOP}', "");
Expect(0, 71468, '\p{Is_Indic_Positional_Category=	TOP}', "");
Expect(1, 71468, '\p{^Is_Indic_Positional_Category=	TOP}', "");
Expect(1, 71468, '\P{Is_Indic_Positional_Category=	TOP}', "");
Expect(0, 71468, '\P{^Is_Indic_Positional_Category=	TOP}', "");
Error('\p{Is_InPC=_ Top/a/}');
Error('\P{Is_InPC=_ Top/a/}');
Expect(1, 71467, '\p{Is_InPC=top}', "");
Expect(0, 71467, '\p{^Is_InPC=top}', "");
Expect(0, 71467, '\P{Is_InPC=top}', "");
Expect(1, 71467, '\P{^Is_InPC=top}', "");
Expect(0, 71468, '\p{Is_InPC=top}', "");
Expect(1, 71468, '\p{^Is_InPC=top}', "");
Expect(1, 71468, '\P{Is_InPC=top}', "");
Expect(0, 71468, '\P{^Is_InPC=top}', "");
Expect(1, 71467, '\p{Is_InPC: Top}', "");
Expect(0, 71467, '\p{^Is_InPC: Top}', "");
Expect(0, 71467, '\P{Is_InPC: Top}', "");
Expect(1, 71467, '\P{^Is_InPC: Top}', "");
Expect(0, 71468, '\p{Is_InPC: Top}', "");
Expect(1, 71468, '\p{^Is_InPC: Top}', "");
Expect(1, 71468, '\P{Is_InPC: Top}', "");
Expect(0, 71468, '\P{^Is_InPC: Top}', "");
Error('\p{Indic_Positional_Category=:=-TOP_AND_BOTTOM}');
Error('\P{Indic_Positional_Category=:=-TOP_AND_BOTTOM}');
Expect(1, 69935, '\p{Indic_Positional_Category=topandbottom}', "");
Expect(0, 69935, '\p{^Indic_Positional_Category=topandbottom}', "");
Expect(0, 69935, '\P{Indic_Positional_Category=topandbottom}', "");
Expect(1, 69935, '\P{^Indic_Positional_Category=topandbottom}', "");
Expect(0, 69936, '\p{Indic_Positional_Category=topandbottom}', "");
Expect(1, 69936, '\p{^Indic_Positional_Category=topandbottom}', "");
Expect(1, 69936, '\P{Indic_Positional_Category=topandbottom}', "");
Expect(0, 69936, '\P{^Indic_Positional_Category=topandbottom}', "");
Expect(1, 69935, '\p{Indic_Positional_Category= 	top_AND_BOTTOM}', "");
Expect(0, 69935, '\p{^Indic_Positional_Category= 	top_AND_BOTTOM}', "");
Expect(0, 69935, '\P{Indic_Positional_Category= 	top_AND_BOTTOM}', "");
Expect(1, 69935, '\P{^Indic_Positional_Category= 	top_AND_BOTTOM}', "");
Expect(0, 69936, '\p{Indic_Positional_Category= 	top_AND_BOTTOM}', "");
Expect(1, 69936, '\p{^Indic_Positional_Category= 	top_AND_BOTTOM}', "");
Expect(1, 69936, '\P{Indic_Positional_Category= 	top_AND_BOTTOM}', "");
Expect(0, 69936, '\P{^Indic_Positional_Category= 	top_AND_BOTTOM}', "");
Error('\p{InPC:   	:=TOP_AND_bottom}');
Error('\P{InPC:   	:=TOP_AND_bottom}');
Expect(1, 69935, '\p{InPC=topandbottom}', "");
Expect(0, 69935, '\p{^InPC=topandbottom}', "");
Expect(0, 69935, '\P{InPC=topandbottom}', "");
Expect(1, 69935, '\P{^InPC=topandbottom}', "");
Expect(0, 69936, '\p{InPC=topandbottom}', "");
Expect(1, 69936, '\p{^InPC=topandbottom}', "");
Expect(1, 69936, '\P{InPC=topandbottom}', "");
Expect(0, 69936, '\P{^InPC=topandbottom}', "");
Expect(1, 69935, '\p{InPC=_	Top_AND_Bottom}', "");
Expect(0, 69935, '\p{^InPC=_	Top_AND_Bottom}', "");
Expect(0, 69935, '\P{InPC=_	Top_AND_Bottom}', "");
Expect(1, 69935, '\P{^InPC=_	Top_AND_Bottom}', "");
Expect(0, 69936, '\p{InPC=_	Top_AND_Bottom}', "");
Expect(1, 69936, '\p{^InPC=_	Top_AND_Bottom}', "");
Expect(1, 69936, '\P{InPC=_	Top_AND_Bottom}', "");
Expect(0, 69936, '\P{^InPC=_	Top_AND_Bottom}', "");
Error('\p{Is_Indic_Positional_Category=-/a/Top_AND_Bottom}');
Error('\P{Is_Indic_Positional_Category=-/a/Top_AND_Bottom}');
Expect(1, 69935, '\p{Is_Indic_Positional_Category=topandbottom}', "");
Expect(0, 69935, '\p{^Is_Indic_Positional_Category=topandbottom}', "");
Expect(0, 69935, '\P{Is_Indic_Positional_Category=topandbottom}', "");
Expect(1, 69935, '\P{^Is_Indic_Positional_Category=topandbottom}', "");
Expect(0, 69936, '\p{Is_Indic_Positional_Category=topandbottom}', "");
Expect(1, 69936, '\p{^Is_Indic_Positional_Category=topandbottom}', "");
Expect(1, 69936, '\P{Is_Indic_Positional_Category=topandbottom}', "");
Expect(0, 69936, '\P{^Is_Indic_Positional_Category=topandbottom}', "");
Expect(1, 69935, '\p{Is_Indic_Positional_Category= _Top_And_bottom}', "");
Expect(0, 69935, '\p{^Is_Indic_Positional_Category= _Top_And_bottom}', "");
Expect(0, 69935, '\P{Is_Indic_Positional_Category= _Top_And_bottom}', "");
Expect(1, 69935, '\P{^Is_Indic_Positional_Category= _Top_And_bottom}', "");
Expect(0, 69936, '\p{Is_Indic_Positional_Category= _Top_And_bottom}', "");
Expect(1, 69936, '\p{^Is_Indic_Positional_Category= _Top_And_bottom}', "");
Expect(1, 69936, '\P{Is_Indic_Positional_Category= _Top_And_bottom}', "");
Expect(0, 69936, '\P{^Is_Indic_Positional_Category= _Top_And_bottom}', "");
Error('\p{Is_InPC= /a/Top_And_Bottom}');
Error('\P{Is_InPC= /a/Top_And_Bottom}');
Expect(1, 69935, '\p{Is_InPC=topandbottom}', "");
Expect(0, 69935, '\p{^Is_InPC=topandbottom}', "");
Expect(0, 69935, '\P{Is_InPC=topandbottom}', "");
Expect(1, 69935, '\P{^Is_InPC=topandbottom}', "");
Expect(0, 69936, '\p{Is_InPC=topandbottom}', "");
Expect(1, 69936, '\p{^Is_InPC=topandbottom}', "");
Expect(1, 69936, '\P{Is_InPC=topandbottom}', "");
Expect(0, 69936, '\P{^Is_InPC=topandbottom}', "");
Expect(1, 69935, '\p{Is_InPC=_ Top_AND_Bottom}', "");
Expect(0, 69935, '\p{^Is_InPC=_ Top_AND_Bottom}', "");
Expect(0, 69935, '\P{Is_InPC=_ Top_AND_Bottom}', "");
Expect(1, 69935, '\P{^Is_InPC=_ Top_AND_Bottom}', "");
Expect(0, 69936, '\p{Is_InPC=_ Top_AND_Bottom}', "");
Expect(1, 69936, '\p{^Is_InPC=_ Top_AND_Bottom}', "");
Expect(1, 69936, '\P{Is_InPC=_ Top_AND_Bottom}', "");
Expect(0, 69936, '\P{^Is_InPC=_ Top_AND_Bottom}', "");
Error('\p{Indic_Positional_Category=/a/	_Top_and_bottom_AND_Right}');
Error('\P{Indic_Positional_Category=/a/	_Top_and_bottom_AND_Right}');
Expect(1, 6973, '\p{Indic_Positional_Category=topandbottomandright}', "");
Expect(0, 6973, '\p{^Indic_Positional_Category=topandbottomandright}', "");
Expect(0, 6973, '\P{Indic_Positional_Category=topandbottomandright}', "");
Expect(1, 6973, '\P{^Indic_Positional_Category=topandbottomandright}', "");
Expect(0, 6974, '\p{Indic_Positional_Category=topandbottomandright}', "");
Expect(1, 6974, '\p{^Indic_Positional_Category=topandbottomandright}', "");
Expect(1, 6974, '\P{Indic_Positional_Category=topandbottomandright}', "");
Expect(0, 6974, '\P{^Indic_Positional_Category=topandbottomandright}', "");
Expect(1, 6973, '\p{Indic_Positional_Category=_	top_And_Bottom_AND_Right}', "");
Expect(0, 6973, '\p{^Indic_Positional_Category=_	top_And_Bottom_AND_Right}', "");
Expect(0, 6973, '\P{Indic_Positional_Category=_	top_And_Bottom_AND_Right}', "");
Expect(1, 6973, '\P{^Indic_Positional_Category=_	top_And_Bottom_AND_Right}', "");
Expect(0, 6974, '\p{Indic_Positional_Category=_	top_And_Bottom_AND_Right}', "");
Expect(1, 6974, '\p{^Indic_Positional_Category=_	top_And_Bottom_AND_Right}', "");
Expect(1, 6974, '\P{Indic_Positional_Category=_	top_And_Bottom_AND_Right}', "");
Expect(0, 6974, '\P{^Indic_Positional_Category=_	top_And_Bottom_AND_Right}', "");
Error('\p{InPC=:=-_Top_And_bottom_And_right}');
Error('\P{InPC=:=-_Top_And_bottom_And_right}');
Expect(1, 6973, '\p{InPC=topandbottomandright}', "");
Expect(0, 6973, '\p{^InPC=topandbottomandright}', "");
Expect(0, 6973, '\P{InPC=topandbottomandright}', "");
Expect(1, 6973, '\P{^InPC=topandbottomandright}', "");
Expect(0, 6974, '\p{InPC=topandbottomandright}', "");
Expect(1, 6974, '\p{^InPC=topandbottomandright}', "");
Expect(1, 6974, '\P{InPC=topandbottomandright}', "");
Expect(0, 6974, '\P{^InPC=topandbottomandright}', "");
Expect(1, 6973, '\p{InPC=-	TOP_And_Bottom_AND_right}', "");
Expect(0, 6973, '\p{^InPC=-	TOP_And_Bottom_AND_right}', "");
Expect(0, 6973, '\P{InPC=-	TOP_And_Bottom_AND_right}', "");
Expect(1, 6973, '\P{^InPC=-	TOP_And_Bottom_AND_right}', "");
Expect(0, 6974, '\p{InPC=-	TOP_And_Bottom_AND_right}', "");
Expect(1, 6974, '\p{^InPC=-	TOP_And_Bottom_AND_right}', "");
Expect(1, 6974, '\P{InPC=-	TOP_And_Bottom_AND_right}', "");
Expect(0, 6974, '\P{^InPC=-	TOP_And_Bottom_AND_right}', "");
Error('\p{Is_Indic_Positional_Category:  top_And_Bottom_AND_right:=}');
Error('\P{Is_Indic_Positional_Category:  top_And_Bottom_AND_right:=}');
Expect(1, 6973, '\p{Is_Indic_Positional_Category=topandbottomandright}', "");
Expect(0, 6973, '\p{^Is_Indic_Positional_Category=topandbottomandright}', "");
Expect(0, 6973, '\P{Is_Indic_Positional_Category=topandbottomandright}', "");
Expect(1, 6973, '\P{^Is_Indic_Positional_Category=topandbottomandright}', "");
Expect(0, 6974, '\p{Is_Indic_Positional_Category=topandbottomandright}', "");
Expect(1, 6974, '\p{^Is_Indic_Positional_Category=topandbottomandright}', "");
Expect(1, 6974, '\P{Is_Indic_Positional_Category=topandbottomandright}', "");
Expect(0, 6974, '\P{^Is_Indic_Positional_Category=topandbottomandright}', "");
Expect(1, 6973, '\p{Is_Indic_Positional_Category:   -Top_and_Bottom_And_Right}', "");
Expect(0, 6973, '\p{^Is_Indic_Positional_Category:   -Top_and_Bottom_And_Right}', "");
Expect(0, 6973, '\P{Is_Indic_Positional_Category:   -Top_and_Bottom_And_Right}', "");
Expect(1, 6973, '\P{^Is_Indic_Positional_Category:   -Top_and_Bottom_And_Right}', "");
Expect(0, 6974, '\p{Is_Indic_Positional_Category:   -Top_and_Bottom_And_Right}', "");
Expect(1, 6974, '\p{^Is_Indic_Positional_Category:   -Top_and_Bottom_And_Right}', "");
Expect(1, 6974, '\P{Is_Indic_Positional_Category:   -Top_and_Bottom_And_Right}', "");
Expect(0, 6974, '\P{^Is_Indic_Positional_Category:   -Top_and_Bottom_And_Right}', "");
Error('\p{Is_InPC=:=top_and_bottom_AND_RIGHT}');
Error('\P{Is_InPC=:=top_and_bottom_AND_RIGHT}');
Expect(1, 6973, '\p{Is_InPC=topandbottomandright}', "");
Expect(0, 6973, '\p{^Is_InPC=topandbottomandright}', "");
Expect(0, 6973, '\P{Is_InPC=topandbottomandright}', "");
Expect(1, 6973, '\P{^Is_InPC=topandbottomandright}', "");
Expect(0, 6974, '\p{Is_InPC=topandbottomandright}', "");
Expect(1, 6974, '\p{^Is_InPC=topandbottomandright}', "");
Expect(1, 6974, '\P{Is_InPC=topandbottomandright}', "");
Expect(0, 6974, '\P{^Is_InPC=topandbottomandright}', "");
Expect(1, 6973, '\p{Is_InPC=__Top_AND_Bottom_And_Right}', "");
Expect(0, 6973, '\p{^Is_InPC=__Top_AND_Bottom_And_Right}', "");
Expect(0, 6973, '\P{Is_InPC=__Top_AND_Bottom_And_Right}', "");
Expect(1, 6973, '\P{^Is_InPC=__Top_AND_Bottom_And_Right}', "");
Expect(0, 6974, '\p{Is_InPC=__Top_AND_Bottom_And_Right}', "");
Expect(1, 6974, '\p{^Is_InPC=__Top_AND_Bottom_And_Right}', "");
Expect(1, 6974, '\P{Is_InPC=__Top_AND_Bottom_And_Right}', "");
Expect(0, 6974, '\P{^Is_InPC=__Top_AND_Bottom_And_Right}', "");
Error('\p{Indic_Positional_Category=_/a/Top_And_LEFT}');
Error('\P{Indic_Positional_Category=_/a/Top_And_LEFT}');
Expect(1, 71097, '\p{Indic_Positional_Category=topandleft}', "");
Expect(0, 71097, '\p{^Indic_Positional_Category=topandleft}', "");
Expect(0, 71097, '\P{Indic_Positional_Category=topandleft}', "");
Expect(1, 71097, '\P{^Indic_Positional_Category=topandleft}', "");
Expect(0, 71098, '\p{Indic_Positional_Category=topandleft}', "");
Expect(1, 71098, '\p{^Indic_Positional_Category=topandleft}', "");
Expect(1, 71098, '\P{Indic_Positional_Category=topandleft}', "");
Expect(0, 71098, '\P{^Indic_Positional_Category=topandleft}', "");
Expect(1, 71097, '\p{Indic_Positional_Category=--Top_And_LEFT}', "");
Expect(0, 71097, '\p{^Indic_Positional_Category=--Top_And_LEFT}', "");
Expect(0, 71097, '\P{Indic_Positional_Category=--Top_And_LEFT}', "");
Expect(1, 71097, '\P{^Indic_Positional_Category=--Top_And_LEFT}', "");
Expect(0, 71098, '\p{Indic_Positional_Category=--Top_And_LEFT}', "");
Expect(1, 71098, '\p{^Indic_Positional_Category=--Top_And_LEFT}', "");
Expect(1, 71098, '\P{Indic_Positional_Category=--Top_And_LEFT}', "");
Expect(0, 71098, '\P{^Indic_Positional_Category=--Top_And_LEFT}', "");
Error('\p{InPC=/a/_ Top_and_Left}');
Error('\P{InPC=/a/_ Top_and_Left}');
Expect(1, 71097, '\p{InPC=topandleft}', "");
Expect(0, 71097, '\p{^InPC=topandleft}', "");
Expect(0, 71097, '\P{InPC=topandleft}', "");
Expect(1, 71097, '\P{^InPC=topandleft}', "");
Expect(0, 71098, '\p{InPC=topandleft}', "");
Expect(1, 71098, '\p{^InPC=topandleft}', "");
Expect(1, 71098, '\P{InPC=topandleft}', "");
Expect(0, 71098, '\P{^InPC=topandleft}', "");
Expect(1, 71097, '\p{InPC=__top_And_Left}', "");
Expect(0, 71097, '\p{^InPC=__top_And_Left}', "");
Expect(0, 71097, '\P{InPC=__top_And_Left}', "");
Expect(1, 71097, '\P{^InPC=__top_And_Left}', "");
Expect(0, 71098, '\p{InPC=__top_And_Left}', "");
Expect(1, 71098, '\p{^InPC=__top_And_Left}', "");
Expect(1, 71098, '\P{InPC=__top_And_Left}', "");
Expect(0, 71098, '\P{^InPC=__top_And_Left}', "");
Error('\p{Is_Indic_Positional_Category=:=-_top_and_LEFT}');
Error('\P{Is_Indic_Positional_Category=:=-_top_and_LEFT}');
Expect(1, 71097, '\p{Is_Indic_Positional_Category=topandleft}', "");
Expect(0, 71097, '\p{^Is_Indic_Positional_Category=topandleft}', "");
Expect(0, 71097, '\P{Is_Indic_Positional_Category=topandleft}', "");
Expect(1, 71097, '\P{^Is_Indic_Positional_Category=topandleft}', "");
Expect(0, 71098, '\p{Is_Indic_Positional_Category=topandleft}', "");
Expect(1, 71098, '\p{^Is_Indic_Positional_Category=topandleft}', "");
Expect(1, 71098, '\P{Is_Indic_Positional_Category=topandleft}', "");
Expect(0, 71098, '\P{^Is_Indic_Positional_Category=topandleft}', "");
Expect(1, 71097, '\p{Is_Indic_Positional_Category=_ Top_and_LEFT}', "");
Expect(0, 71097, '\p{^Is_Indic_Positional_Category=_ Top_and_LEFT}', "");
Expect(0, 71097, '\P{Is_Indic_Positional_Category=_ Top_and_LEFT}', "");
Expect(1, 71097, '\P{^Is_Indic_Positional_Category=_ Top_and_LEFT}', "");
Expect(0, 71098, '\p{Is_Indic_Positional_Category=_ Top_and_LEFT}', "");
Expect(1, 71098, '\p{^Is_Indic_Positional_Category=_ Top_and_LEFT}', "");
Expect(1, 71098, '\P{Is_Indic_Positional_Category=_ Top_and_LEFT}', "");
Expect(0, 71098, '\P{^Is_Indic_Positional_Category=_ Top_and_LEFT}', "");
Error('\p{Is_InPC= 	TOP_And_Left/a/}');
Error('\P{Is_InPC= 	TOP_And_Left/a/}');
Expect(1, 71097, '\p{Is_InPC=topandleft}', "");
Expect(0, 71097, '\p{^Is_InPC=topandleft}', "");
Expect(0, 71097, '\P{Is_InPC=topandleft}', "");
Expect(1, 71097, '\P{^Is_InPC=topandleft}', "");
Expect(0, 71098, '\p{Is_InPC=topandleft}', "");
Expect(1, 71098, '\p{^Is_InPC=topandleft}', "");
Expect(1, 71098, '\P{Is_InPC=topandleft}', "");
Expect(0, 71098, '\P{^Is_InPC=topandleft}', "");
Expect(1, 71097, '\p{Is_InPC=--top_And_Left}', "");
Expect(0, 71097, '\p{^Is_InPC=--top_And_Left}', "");
Expect(0, 71097, '\P{Is_InPC=--top_And_Left}', "");
Expect(1, 71097, '\P{^Is_InPC=--top_And_Left}', "");
Expect(0, 71098, '\p{Is_InPC=--top_And_Left}', "");
Expect(1, 71098, '\p{^Is_InPC=--top_And_Left}', "");
Expect(1, 71098, '\P{Is_InPC=--top_And_Left}', "");
Expect(0, 71098, '\P{^Is_InPC=--top_And_Left}', "");
Error('\p{Indic_Positional_Category=:= -TOP_AND_Left_and_Right}');
Error('\P{Indic_Positional_Category=:= -TOP_AND_Left_and_Right}');
Expect(1, 71099, '\p{Indic_Positional_Category=topandleftandright}', "");
Expect(0, 71099, '\p{^Indic_Positional_Category=topandleftandright}', "");
Expect(0, 71099, '\P{Indic_Positional_Category=topandleftandright}', "");
Expect(1, 71099, '\P{^Indic_Positional_Category=topandleftandright}', "");
Expect(0, 71100, '\p{Indic_Positional_Category=topandleftandright}', "");
Expect(1, 71100, '\p{^Indic_Positional_Category=topandleftandright}', "");
Expect(1, 71100, '\P{Indic_Positional_Category=topandleftandright}', "");
Expect(0, 71100, '\P{^Indic_Positional_Category=topandleftandright}', "");
Expect(1, 71099, '\p{Indic_Positional_Category=-	TOP_And_Left_and_Right}', "");
Expect(0, 71099, '\p{^Indic_Positional_Category=-	TOP_And_Left_and_Right}', "");
Expect(0, 71099, '\P{Indic_Positional_Category=-	TOP_And_Left_and_Right}', "");
Expect(1, 71099, '\P{^Indic_Positional_Category=-	TOP_And_Left_and_Right}', "");
Expect(0, 71100, '\p{Indic_Positional_Category=-	TOP_And_Left_and_Right}', "");
Expect(1, 71100, '\p{^Indic_Positional_Category=-	TOP_And_Left_and_Right}', "");
Expect(1, 71100, '\P{Indic_Positional_Category=-	TOP_And_Left_and_Right}', "");
Expect(0, 71100, '\P{^Indic_Positional_Category=-	TOP_And_Left_and_Right}', "");
Error('\p{InPC=/a/_	TOP_AND_Left_and_Right}');
Error('\P{InPC=/a/_	TOP_AND_Left_and_Right}');
Expect(1, 71099, '\p{InPC=topandleftandright}', "");
Expect(0, 71099, '\p{^InPC=topandleftandright}', "");
Expect(0, 71099, '\P{InPC=topandleftandright}', "");
Expect(1, 71099, '\P{^InPC=topandleftandright}', "");
Expect(0, 71100, '\p{InPC=topandleftandright}', "");
Expect(1, 71100, '\p{^InPC=topandleftandright}', "");
Expect(1, 71100, '\P{InPC=topandleftandright}', "");
Expect(0, 71100, '\P{^InPC=topandleftandright}', "");
Expect(1, 71099, '\p{InPC=-Top_And_left_AND_right}', "");
Expect(0, 71099, '\p{^InPC=-Top_And_left_AND_right}', "");
Expect(0, 71099, '\P{InPC=-Top_And_left_AND_right}', "");
Expect(1, 71099, '\P{^InPC=-Top_And_left_AND_right}', "");
Expect(0, 71100, '\p{InPC=-Top_And_left_AND_right}', "");
Expect(1, 71100, '\p{^InPC=-Top_And_left_AND_right}', "");
Expect(1, 71100, '\P{InPC=-Top_And_left_AND_right}', "");
Expect(0, 71100, '\P{^InPC=-Top_And_left_AND_right}', "");
Error('\p{Is_Indic_Positional_Category=_:=Top_And_left_AND_right}');
Error('\P{Is_Indic_Positional_Category=_:=Top_And_left_AND_right}');
Expect(1, 71099, '\p{Is_Indic_Positional_Category=topandleftandright}', "");
Expect(0, 71099, '\p{^Is_Indic_Positional_Category=topandleftandright}', "");
Expect(0, 71099, '\P{Is_Indic_Positional_Category=topandleftandright}', "");
Expect(1, 71099, '\P{^Is_Indic_Positional_Category=topandleftandright}', "");
Expect(0, 71100, '\p{Is_Indic_Positional_Category=topandleftandright}', "");
Expect(1, 71100, '\p{^Is_Indic_Positional_Category=topandleftandright}', "");
Expect(1, 71100, '\P{Is_Indic_Positional_Category=topandleftandright}', "");
Expect(0, 71100, '\P{^Is_Indic_Positional_Category=topandleftandright}', "");
Expect(1, 71099, '\p{Is_Indic_Positional_Category= -TOP_And_left_and_Right}', "");
Expect(0, 71099, '\p{^Is_Indic_Positional_Category= -TOP_And_left_and_Right}', "");
Expect(0, 71099, '\P{Is_Indic_Positional_Category= -TOP_And_left_and_Right}', "");
Expect(1, 71099, '\P{^Is_Indic_Positional_Category= -TOP_And_left_and_Right}', "");
Expect(0, 71100, '\p{Is_Indic_Positional_Category= -TOP_And_left_and_Right}', "");
Expect(1, 71100, '\p{^Is_Indic_Positional_Category= -TOP_And_left_and_Right}', "");
Expect(1, 71100, '\P{Is_Indic_Positional_Category= -TOP_And_left_and_Right}', "");
Expect(0, 71100, '\P{^Is_Indic_Positional_Category= -TOP_And_left_and_Right}', "");
Error('\p{Is_InPC:-/a/TOP_and_LEFT_and_RIGHT}');
Error('\P{Is_InPC:-/a/TOP_and_LEFT_and_RIGHT}');
Expect(1, 71099, '\p{Is_InPC=topandleftandright}', "");
Expect(0, 71099, '\p{^Is_InPC=topandleftandright}', "");
Expect(0, 71099, '\P{Is_InPC=topandleftandright}', "");
Expect(1, 71099, '\P{^Is_InPC=topandleftandright}', "");
Expect(0, 71100, '\p{Is_InPC=topandleftandright}', "");
Expect(1, 71100, '\p{^Is_InPC=topandleftandright}', "");
Expect(1, 71100, '\P{Is_InPC=topandleftandright}', "");
Expect(0, 71100, '\P{^Is_InPC=topandleftandright}', "");
Expect(1, 71099, '\p{Is_InPC=- TOP_AND_left_AND_Right}', "");
Expect(0, 71099, '\p{^Is_InPC=- TOP_AND_left_AND_Right}', "");
Expect(0, 71099, '\P{Is_InPC=- TOP_AND_left_AND_Right}', "");
Expect(1, 71099, '\P{^Is_InPC=- TOP_AND_left_AND_Right}', "");
Expect(0, 71100, '\p{Is_InPC=- TOP_AND_left_AND_Right}', "");
Expect(1, 71100, '\p{^Is_InPC=- TOP_AND_left_AND_Right}', "");
Expect(1, 71100, '\P{Is_InPC=- TOP_AND_left_AND_Right}', "");
Expect(0, 71100, '\P{^Is_InPC=- TOP_AND_left_AND_Right}', "");
Error('\p{Indic_Positional_Category=_ top_And_right:=}');
Error('\P{Indic_Positional_Category=_ top_And_right:=}');
Expect(1, 70195, '\p{Indic_Positional_Category:   topandright}', "");
Expect(0, 70195, '\p{^Indic_Positional_Category:   topandright}', "");
Expect(0, 70195, '\P{Indic_Positional_Category:   topandright}', "");
Expect(1, 70195, '\P{^Indic_Positional_Category:   topandright}', "");
Expect(0, 70196, '\p{Indic_Positional_Category:   topandright}', "");
Expect(1, 70196, '\p{^Indic_Positional_Category:   topandright}', "");
Expect(1, 70196, '\P{Indic_Positional_Category:   topandright}', "");
Expect(0, 70196, '\P{^Indic_Positional_Category:   topandright}', "");
Expect(1, 70195, '\p{Indic_Positional_Category:  _Top_AND_RIGHT}', "");
Expect(0, 70195, '\p{^Indic_Positional_Category:  _Top_AND_RIGHT}', "");
Expect(0, 70195, '\P{Indic_Positional_Category:  _Top_AND_RIGHT}', "");
Expect(1, 70195, '\P{^Indic_Positional_Category:  _Top_AND_RIGHT}', "");
Expect(0, 70196, '\p{Indic_Positional_Category:  _Top_AND_RIGHT}', "");
Expect(1, 70196, '\p{^Indic_Positional_Category:  _Top_AND_RIGHT}', "");
Expect(1, 70196, '\P{Indic_Positional_Category:  _Top_AND_RIGHT}', "");
Expect(0, 70196, '\P{^Indic_Positional_Category:  _Top_AND_RIGHT}', "");
Error('\p{InPC=/a/-Top_AND_Right}');
Error('\P{InPC=/a/-Top_AND_Right}');
Expect(1, 70195, '\p{InPC=topandright}', "");
Expect(0, 70195, '\p{^InPC=topandright}', "");
Expect(0, 70195, '\P{InPC=topandright}', "");
Expect(1, 70195, '\P{^InPC=topandright}', "");
Expect(0, 70196, '\p{InPC=topandright}', "");
Expect(1, 70196, '\p{^InPC=topandright}', "");
Expect(1, 70196, '\P{InPC=topandright}', "");
Expect(0, 70196, '\P{^InPC=topandright}', "");
Expect(1, 70195, '\p{InPC=  top_And_right}', "");
Expect(0, 70195, '\p{^InPC=  top_And_right}', "");
Expect(0, 70195, '\P{InPC=  top_And_right}', "");
Expect(1, 70195, '\P{^InPC=  top_And_right}', "");
Expect(0, 70196, '\p{InPC=  top_And_right}', "");
Expect(1, 70196, '\p{^InPC=  top_And_right}', "");
Expect(1, 70196, '\P{InPC=  top_And_right}', "");
Expect(0, 70196, '\P{^InPC=  top_And_right}', "");
Error('\p{Is_Indic_Positional_Category=-:=top_AND_Right}');
Error('\P{Is_Indic_Positional_Category=-:=top_AND_Right}');
Expect(1, 70195, '\p{Is_Indic_Positional_Category=topandright}', "");
Expect(0, 70195, '\p{^Is_Indic_Positional_Category=topandright}', "");
Expect(0, 70195, '\P{Is_Indic_Positional_Category=topandright}', "");
Expect(1, 70195, '\P{^Is_Indic_Positional_Category=topandright}', "");
Expect(0, 70196, '\p{Is_Indic_Positional_Category=topandright}', "");
Expect(1, 70196, '\p{^Is_Indic_Positional_Category=topandright}', "");
Expect(1, 70196, '\P{Is_Indic_Positional_Category=topandright}', "");
Expect(0, 70196, '\P{^Is_Indic_Positional_Category=topandright}', "");
Expect(1, 70195, '\p{Is_Indic_Positional_Category=  Top_And_right}', "");
Expect(0, 70195, '\p{^Is_Indic_Positional_Category=  Top_And_right}', "");
Expect(0, 70195, '\P{Is_Indic_Positional_Category=  Top_And_right}', "");
Expect(1, 70195, '\P{^Is_Indic_Positional_Category=  Top_And_right}', "");
Expect(0, 70196, '\p{Is_Indic_Positional_Category=  Top_And_right}', "");
Expect(1, 70196, '\p{^Is_Indic_Positional_Category=  Top_And_right}', "");
Expect(1, 70196, '\P{Is_Indic_Positional_Category=  Top_And_right}', "");
Expect(0, 70196, '\P{^Is_Indic_Positional_Category=  Top_And_right}', "");
Error('\p{Is_InPC=:=-top_and_RIGHT}');
Error('\P{Is_InPC=:=-top_and_RIGHT}');
Expect(1, 70195, '\p{Is_InPC=topandright}', "");
Expect(0, 70195, '\p{^Is_InPC=topandright}', "");
Expect(0, 70195, '\P{Is_InPC=topandright}', "");
Expect(1, 70195, '\P{^Is_InPC=topandright}', "");
Expect(0, 70196, '\p{Is_InPC=topandright}', "");
Expect(1, 70196, '\p{^Is_InPC=topandright}', "");
Expect(1, 70196, '\P{Is_InPC=topandright}', "");
Expect(0, 70196, '\P{^Is_InPC=topandright}', "");
Expect(1, 70195, '\p{Is_InPC= _top_and_Right}', "");
Expect(0, 70195, '\p{^Is_InPC= _top_and_Right}', "");
Expect(0, 70195, '\P{Is_InPC= _top_and_Right}', "");
Expect(1, 70195, '\P{^Is_InPC= _top_and_Right}', "");
Expect(0, 70196, '\p{Is_InPC= _top_and_Right}', "");
Expect(1, 70196, '\p{^Is_InPC= _top_and_Right}', "");
Expect(1, 70196, '\P{Is_InPC= _top_and_Right}', "");
Expect(0, 70196, '\P{^Is_InPC= _top_and_Right}', "");
Error('\p{Indic_Positional_Category=:=_	VISUAL_Order_Left}');
Error('\P{Indic_Positional_Category=:=_	VISUAL_Order_Left}');
Expect(1, 43708, '\p{Indic_Positional_Category=visualorderleft}', "");
Expect(0, 43708, '\p{^Indic_Positional_Category=visualorderleft}', "");
Expect(0, 43708, '\P{Indic_Positional_Category=visualorderleft}', "");
Expect(1, 43708, '\P{^Indic_Positional_Category=visualorderleft}', "");
Expect(0, 43709, '\p{Indic_Positional_Category=visualorderleft}', "");
Expect(1, 43709, '\p{^Indic_Positional_Category=visualorderleft}', "");
Expect(1, 43709, '\P{Indic_Positional_Category=visualorderleft}', "");
Expect(0, 43709, '\P{^Indic_Positional_Category=visualorderleft}', "");
Expect(1, 43708, '\p{Indic_Positional_Category=_-VISUAL_Order_Left}', "");
Expect(0, 43708, '\p{^Indic_Positional_Category=_-VISUAL_Order_Left}', "");
Expect(0, 43708, '\P{Indic_Positional_Category=_-VISUAL_Order_Left}', "");
Expect(1, 43708, '\P{^Indic_Positional_Category=_-VISUAL_Order_Left}', "");
Expect(0, 43709, '\p{Indic_Positional_Category=_-VISUAL_Order_Left}', "");
Expect(1, 43709, '\p{^Indic_Positional_Category=_-VISUAL_Order_Left}', "");
Expect(1, 43709, '\P{Indic_Positional_Category=_-VISUAL_Order_Left}', "");
Expect(0, 43709, '\P{^Indic_Positional_Category=_-VISUAL_Order_Left}', "");
Error('\p{InPC=--Visual_Order_Left/a/}');
Error('\P{InPC=--Visual_Order_Left/a/}');
Expect(1, 43708, '\p{InPC=visualorderleft}', "");
Expect(0, 43708, '\p{^InPC=visualorderleft}', "");
Expect(0, 43708, '\P{InPC=visualorderleft}', "");
Expect(1, 43708, '\P{^InPC=visualorderleft}', "");
Expect(0, 43709, '\p{InPC=visualorderleft}', "");
Expect(1, 43709, '\p{^InPC=visualorderleft}', "");
Expect(1, 43709, '\P{InPC=visualorderleft}', "");
Expect(0, 43709, '\P{^InPC=visualorderleft}', "");
Expect(1, 43708, '\p{InPC=-visual_Order_LEFT}', "");
Expect(0, 43708, '\p{^InPC=-visual_Order_LEFT}', "");
Expect(0, 43708, '\P{InPC=-visual_Order_LEFT}', "");
Expect(1, 43708, '\P{^InPC=-visual_Order_LEFT}', "");
Expect(0, 43709, '\p{InPC=-visual_Order_LEFT}', "");
Expect(1, 43709, '\p{^InPC=-visual_Order_LEFT}', "");
Expect(1, 43709, '\P{InPC=-visual_Order_LEFT}', "");
Expect(0, 43709, '\P{^InPC=-visual_Order_LEFT}', "");
Error('\p{Is_Indic_Positional_Category=/a/	_Visual_Order_Left}');
Error('\P{Is_Indic_Positional_Category=/a/	_Visual_Order_Left}');
Expect(1, 43708, '\p{Is_Indic_Positional_Category=visualorderleft}', "");
Expect(0, 43708, '\p{^Is_Indic_Positional_Category=visualorderleft}', "");
Expect(0, 43708, '\P{Is_Indic_Positional_Category=visualorderleft}', "");
Expect(1, 43708, '\P{^Is_Indic_Positional_Category=visualorderleft}', "");
Expect(0, 43709, '\p{Is_Indic_Positional_Category=visualorderleft}', "");
Expect(1, 43709, '\p{^Is_Indic_Positional_Category=visualorderleft}', "");
Expect(1, 43709, '\P{Is_Indic_Positional_Category=visualorderleft}', "");
Expect(0, 43709, '\P{^Is_Indic_Positional_Category=visualorderleft}', "");
Expect(1, 43708, '\p{Is_Indic_Positional_Category=	_VISUAL_ORDER_left}', "");
Expect(0, 43708, '\p{^Is_Indic_Positional_Category=	_VISUAL_ORDER_left}', "");
Expect(0, 43708, '\P{Is_Indic_Positional_Category=	_VISUAL_ORDER_left}', "");
Expect(1, 43708, '\P{^Is_Indic_Positional_Category=	_VISUAL_ORDER_left}', "");
Expect(0, 43709, '\p{Is_Indic_Positional_Category=	_VISUAL_ORDER_left}', "");
Expect(1, 43709, '\p{^Is_Indic_Positional_Category=	_VISUAL_ORDER_left}', "");
Expect(1, 43709, '\P{Is_Indic_Positional_Category=	_VISUAL_ORDER_left}', "");
Expect(0, 43709, '\P{^Is_Indic_Positional_Category=	_VISUAL_ORDER_left}', "");
Error('\p{Is_InPC=-	VISUAL_order_Left:=}');
Error('\P{Is_InPC=-	VISUAL_order_Left:=}');
Expect(1, 43708, '\p{Is_InPC=visualorderleft}', "");
Expect(0, 43708, '\p{^Is_InPC=visualorderleft}', "");
Expect(0, 43708, '\P{Is_InPC=visualorderleft}', "");
Expect(1, 43708, '\P{^Is_InPC=visualorderleft}', "");
Expect(0, 43709, '\p{Is_InPC=visualorderleft}', "");
Expect(1, 43709, '\p{^Is_InPC=visualorderleft}', "");
Expect(1, 43709, '\P{Is_InPC=visualorderleft}', "");
Expect(0, 43709, '\P{^Is_InPC=visualorderleft}', "");
Expect(1, 43708, '\p{Is_InPC=_visual_Order_Left}', "");
Expect(0, 43708, '\p{^Is_InPC=_visual_Order_Left}', "");
Expect(0, 43708, '\P{Is_InPC=_visual_Order_Left}', "");
Expect(1, 43708, '\P{^Is_InPC=_visual_Order_Left}', "");
Expect(0, 43709, '\p{Is_InPC=_visual_Order_Left}', "");
Expect(1, 43709, '\p{^Is_InPC=_visual_Order_Left}', "");
Expect(1, 43709, '\P{Is_InPC=_visual_Order_Left}', "");
Expect(0, 43709, '\P{^Is_InPC=_visual_Order_Left}', "");
Error('\p{Indic_Syllabic_Category= 	Avagraha:=}');
Error('\P{Indic_Syllabic_Category= 	Avagraha:=}');
Expect(1, 70852, '\p{Indic_Syllabic_Category=avagraha}', "");
Expect(0, 70852, '\p{^Indic_Syllabic_Category=avagraha}', "");
Expect(0, 70852, '\P{Indic_Syllabic_Category=avagraha}', "");
Expect(1, 70852, '\P{^Indic_Syllabic_Category=avagraha}', "");
Expect(0, 70853, '\p{Indic_Syllabic_Category=avagraha}', "");
Expect(1, 70853, '\p{^Indic_Syllabic_Category=avagraha}', "");
Expect(1, 70853, '\P{Indic_Syllabic_Category=avagraha}', "");
Expect(0, 70853, '\P{^Indic_Syllabic_Category=avagraha}', "");
Expect(1, 70852, '\p{Indic_Syllabic_Category: _-Avagraha}', "");
Expect(0, 70852, '\p{^Indic_Syllabic_Category: _-Avagraha}', "");
Expect(0, 70852, '\P{Indic_Syllabic_Category: _-Avagraha}', "");
Expect(1, 70852, '\P{^Indic_Syllabic_Category: _-Avagraha}', "");
Expect(0, 70853, '\p{Indic_Syllabic_Category: _-Avagraha}', "");
Expect(1, 70853, '\p{^Indic_Syllabic_Category: _-Avagraha}', "");
Expect(1, 70853, '\P{Indic_Syllabic_Category: _-Avagraha}', "");
Expect(0, 70853, '\P{^Indic_Syllabic_Category: _-Avagraha}', "");
Error('\p{InSC=:= Avagraha}');
Error('\P{InSC=:= Avagraha}');
Expect(1, 70852, '\p{InSC=avagraha}', "");
Expect(0, 70852, '\p{^InSC=avagraha}', "");
Expect(0, 70852, '\P{InSC=avagraha}', "");
Expect(1, 70852, '\P{^InSC=avagraha}', "");
Expect(0, 70853, '\p{InSC=avagraha}', "");
Expect(1, 70853, '\p{^InSC=avagraha}', "");
Expect(1, 70853, '\P{InSC=avagraha}', "");
Expect(0, 70853, '\P{^InSC=avagraha}', "");
Expect(1, 70852, '\p{InSC= -Avagraha}', "");
Expect(0, 70852, '\p{^InSC= -Avagraha}', "");
Expect(0, 70852, '\P{InSC= -Avagraha}', "");
Expect(1, 70852, '\P{^InSC= -Avagraha}', "");
Expect(0, 70853, '\p{InSC= -Avagraha}', "");
Expect(1, 70853, '\p{^InSC= -Avagraha}', "");
Expect(1, 70853, '\P{InSC= -Avagraha}', "");
Expect(0, 70853, '\P{^InSC= -Avagraha}', "");
Error('\p{Is_Indic_Syllabic_Category=	:=Avagraha}');
Error('\P{Is_Indic_Syllabic_Category=	:=Avagraha}');
Expect(1, 70852, '\p{Is_Indic_Syllabic_Category=avagraha}', "");
Expect(0, 70852, '\p{^Is_Indic_Syllabic_Category=avagraha}', "");
Expect(0, 70852, '\P{Is_Indic_Syllabic_Category=avagraha}', "");
Expect(1, 70852, '\P{^Is_Indic_Syllabic_Category=avagraha}', "");
Expect(0, 70853, '\p{Is_Indic_Syllabic_Category=avagraha}', "");
Expect(1, 70853, '\p{^Is_Indic_Syllabic_Category=avagraha}', "");
Expect(1, 70853, '\P{Is_Indic_Syllabic_Category=avagraha}', "");
Expect(0, 70853, '\P{^Is_Indic_Syllabic_Category=avagraha}', "");
Expect(1, 70852, '\p{Is_Indic_Syllabic_Category=-avagraha}', "");
Expect(0, 70852, '\p{^Is_Indic_Syllabic_Category=-avagraha}', "");
Expect(0, 70852, '\P{Is_Indic_Syllabic_Category=-avagraha}', "");
Expect(1, 70852, '\P{^Is_Indic_Syllabic_Category=-avagraha}', "");
Expect(0, 70853, '\p{Is_Indic_Syllabic_Category=-avagraha}', "");
Expect(1, 70853, '\p{^Is_Indic_Syllabic_Category=-avagraha}', "");
Expect(1, 70853, '\P{Is_Indic_Syllabic_Category=-avagraha}', "");
Expect(0, 70853, '\P{^Is_Indic_Syllabic_Category=-avagraha}', "");
Error('\p{Is_InSC=	:=Avagraha}');
Error('\P{Is_InSC=	:=Avagraha}');
Expect(1, 70852, '\p{Is_InSC=avagraha}', "");
Expect(0, 70852, '\p{^Is_InSC=avagraha}', "");
Expect(0, 70852, '\P{Is_InSC=avagraha}', "");
Expect(1, 70852, '\P{^Is_InSC=avagraha}', "");
Expect(0, 70853, '\p{Is_InSC=avagraha}', "");
Expect(1, 70853, '\p{^Is_InSC=avagraha}', "");
Expect(1, 70853, '\P{Is_InSC=avagraha}', "");
Expect(0, 70853, '\P{^Is_InSC=avagraha}', "");
Expect(1, 70852, '\p{Is_InSC=	AVAGRAHA}', "");
Expect(0, 70852, '\p{^Is_InSC=	AVAGRAHA}', "");
Expect(0, 70852, '\P{Is_InSC=	AVAGRAHA}', "");
Expect(1, 70852, '\P{^Is_InSC=	AVAGRAHA}', "");
Expect(0, 70853, '\p{Is_InSC=	AVAGRAHA}', "");
Expect(1, 70853, '\p{^Is_InSC=	AVAGRAHA}', "");
Expect(1, 70853, '\P{Is_InSC=	AVAGRAHA}', "");
Expect(0, 70853, '\P{^Is_InSC=	AVAGRAHA}', "");
Error('\p{Indic_Syllabic_Category= :=Bindu}');
Error('\P{Indic_Syllabic_Category= :=Bindu}');
Expect(1, 71339, '\p{Indic_Syllabic_Category=bindu}', "");
Expect(0, 71339, '\p{^Indic_Syllabic_Category=bindu}', "");
Expect(0, 71339, '\P{Indic_Syllabic_Category=bindu}', "");
Expect(1, 71339, '\P{^Indic_Syllabic_Category=bindu}', "");
Expect(0, 71340, '\p{Indic_Syllabic_Category=bindu}', "");
Expect(1, 71340, '\p{^Indic_Syllabic_Category=bindu}', "");
Expect(1, 71340, '\P{Indic_Syllabic_Category=bindu}', "");
Expect(0, 71340, '\P{^Indic_Syllabic_Category=bindu}', "");
Expect(1, 71339, '\p{Indic_Syllabic_Category=_ bindu}', "");
Expect(0, 71339, '\p{^Indic_Syllabic_Category=_ bindu}', "");
Expect(0, 71339, '\P{Indic_Syllabic_Category=_ bindu}', "");
Expect(1, 71339, '\P{^Indic_Syllabic_Category=_ bindu}', "");
Expect(0, 71340, '\p{Indic_Syllabic_Category=_ bindu}', "");
Expect(1, 71340, '\p{^Indic_Syllabic_Category=_ bindu}', "");
Expect(1, 71340, '\P{Indic_Syllabic_Category=_ bindu}', "");
Expect(0, 71340, '\P{^Indic_Syllabic_Category=_ bindu}', "");
Error('\p{InSC=-/a/bindu}');
Error('\P{InSC=-/a/bindu}');
Expect(1, 71339, '\p{InSC=bindu}', "");
Expect(0, 71339, '\p{^InSC=bindu}', "");
Expect(0, 71339, '\P{InSC=bindu}', "");
Expect(1, 71339, '\P{^InSC=bindu}', "");
Expect(0, 71340, '\p{InSC=bindu}', "");
Expect(1, 71340, '\p{^InSC=bindu}', "");
Expect(1, 71340, '\P{InSC=bindu}', "");
Expect(0, 71340, '\P{^InSC=bindu}', "");
Expect(1, 71339, '\p{InSC=		bindu}', "");
Expect(0, 71339, '\p{^InSC=		bindu}', "");
Expect(0, 71339, '\P{InSC=		bindu}', "");
Expect(1, 71339, '\P{^InSC=		bindu}', "");
Expect(0, 71340, '\p{InSC=		bindu}', "");
Expect(1, 71340, '\p{^InSC=		bindu}', "");
Expect(1, 71340, '\P{InSC=		bindu}', "");
Expect(0, 71340, '\P{^InSC=		bindu}', "");
Error('\p{Is_Indic_Syllabic_Category=-/a/BINDU}');
Error('\P{Is_Indic_Syllabic_Category=-/a/BINDU}');
Expect(1, 71339, '\p{Is_Indic_Syllabic_Category=bindu}', "");
Expect(0, 71339, '\p{^Is_Indic_Syllabic_Category=bindu}', "");
Expect(0, 71339, '\P{Is_Indic_Syllabic_Category=bindu}', "");
Expect(1, 71339, '\P{^Is_Indic_Syllabic_Category=bindu}', "");
Expect(0, 71340, '\p{Is_Indic_Syllabic_Category=bindu}', "");
Expect(1, 71340, '\p{^Is_Indic_Syllabic_Category=bindu}', "");
Expect(1, 71340, '\P{Is_Indic_Syllabic_Category=bindu}', "");
Expect(0, 71340, '\P{^Is_Indic_Syllabic_Category=bindu}', "");
Expect(1, 71339, '\p{Is_Indic_Syllabic_Category=		Bindu}', "");
Expect(0, 71339, '\p{^Is_Indic_Syllabic_Category=		Bindu}', "");
Expect(0, 71339, '\P{Is_Indic_Syllabic_Category=		Bindu}', "");
Expect(1, 71339, '\P{^Is_Indic_Syllabic_Category=		Bindu}', "");
Expect(0, 71340, '\p{Is_Indic_Syllabic_Category=		Bindu}', "");
Expect(1, 71340, '\p{^Is_Indic_Syllabic_Category=		Bindu}', "");
Expect(1, 71340, '\P{Is_Indic_Syllabic_Category=		Bindu}', "");
Expect(0, 71340, '\P{^Is_Indic_Syllabic_Category=		Bindu}', "");
Error('\p{Is_InSC= /a/Bindu}');
Error('\P{Is_InSC= /a/Bindu}');
Expect(1, 71339, '\p{Is_InSC=bindu}', "");
Expect(0, 71339, '\p{^Is_InSC=bindu}', "");
Expect(0, 71339, '\P{Is_InSC=bindu}', "");
Expect(1, 71339, '\P{^Is_InSC=bindu}', "");
Expect(0, 71340, '\p{Is_InSC=bindu}', "");
Expect(1, 71340, '\p{^Is_InSC=bindu}', "");
Expect(1, 71340, '\P{Is_InSC=bindu}', "");
Expect(0, 71340, '\P{^Is_InSC=bindu}', "");
Expect(1, 71339, '\p{Is_InSC= _BINDU}', "");
Expect(0, 71339, '\p{^Is_InSC= _BINDU}', "");
Expect(0, 71339, '\P{Is_InSC= _BINDU}', "");
Expect(1, 71339, '\P{^Is_InSC= _BINDU}', "");
Expect(0, 71340, '\p{Is_InSC= _BINDU}', "");
Expect(1, 71340, '\p{^Is_InSC= _BINDU}', "");
Expect(1, 71340, '\P{Is_InSC= _BINDU}', "");
Expect(0, 71340, '\P{^Is_InSC= _BINDU}', "");
Error('\p{Indic_Syllabic_Category=  BRAHMI_Joining_Number:=}');
Error('\P{Indic_Syllabic_Category=  BRAHMI_Joining_Number:=}');
Expect(1, 69733, '\p{Indic_Syllabic_Category=brahmijoiningnumber}', "");
Expect(0, 69733, '\p{^Indic_Syllabic_Category=brahmijoiningnumber}', "");
Expect(0, 69733, '\P{Indic_Syllabic_Category=brahmijoiningnumber}', "");
Expect(1, 69733, '\P{^Indic_Syllabic_Category=brahmijoiningnumber}', "");
Expect(0, 69734, '\p{Indic_Syllabic_Category=brahmijoiningnumber}', "");
Expect(1, 69734, '\p{^Indic_Syllabic_Category=brahmijoiningnumber}', "");
Expect(1, 69734, '\P{Indic_Syllabic_Category=brahmijoiningnumber}', "");
Expect(0, 69734, '\P{^Indic_Syllabic_Category=brahmijoiningnumber}', "");
Expect(1, 69733, '\p{Indic_Syllabic_Category:  _BRAHMI_Joining_Number}', "");
Expect(0, 69733, '\p{^Indic_Syllabic_Category:  _BRAHMI_Joining_Number}', "");
Expect(0, 69733, '\P{Indic_Syllabic_Category:  _BRAHMI_Joining_Number}', "");
Expect(1, 69733, '\P{^Indic_Syllabic_Category:  _BRAHMI_Joining_Number}', "");
Expect(0, 69734, '\p{Indic_Syllabic_Category:  _BRAHMI_Joining_Number}', "");
Expect(1, 69734, '\p{^Indic_Syllabic_Category:  _BRAHMI_Joining_Number}', "");
Expect(1, 69734, '\P{Indic_Syllabic_Category:  _BRAHMI_Joining_Number}', "");
Expect(0, 69734, '\P{^Indic_Syllabic_Category:  _BRAHMI_Joining_Number}', "");
Error('\p{InSC=/a/	 Brahmi_JOINING_number}');
Error('\P{InSC=/a/	 Brahmi_JOINING_number}');
Expect(1, 69733, '\p{InSC=brahmijoiningnumber}', "");
Expect(0, 69733, '\p{^InSC=brahmijoiningnumber}', "");
Expect(0, 69733, '\P{InSC=brahmijoiningnumber}', "");
Expect(1, 69733, '\P{^InSC=brahmijoiningnumber}', "");
Expect(0, 69734, '\p{InSC=brahmijoiningnumber}', "");
Expect(1, 69734, '\p{^InSC=brahmijoiningnumber}', "");
Expect(1, 69734, '\P{InSC=brahmijoiningnumber}', "");
Expect(0, 69734, '\P{^InSC=brahmijoiningnumber}', "");
Expect(1, 69733, '\p{InSC=--Brahmi_JOINING_Number}', "");
Expect(0, 69733, '\p{^InSC=--Brahmi_JOINING_Number}', "");
Expect(0, 69733, '\P{InSC=--Brahmi_JOINING_Number}', "");
Expect(1, 69733, '\P{^InSC=--Brahmi_JOINING_Number}', "");
Expect(0, 69734, '\p{InSC=--Brahmi_JOINING_Number}', "");
Expect(1, 69734, '\p{^InSC=--Brahmi_JOINING_Number}', "");
Expect(1, 69734, '\P{InSC=--Brahmi_JOINING_Number}', "");
Expect(0, 69734, '\P{^InSC=--Brahmi_JOINING_Number}', "");
Error('\p{Is_Indic_Syllabic_Category= :=Brahmi_Joining_NUMBER}');
Error('\P{Is_Indic_Syllabic_Category= :=Brahmi_Joining_NUMBER}');
Expect(1, 69733, '\p{Is_Indic_Syllabic_Category=brahmijoiningnumber}', "");
Expect(0, 69733, '\p{^Is_Indic_Syllabic_Category=brahmijoiningnumber}', "");
Expect(0, 69733, '\P{Is_Indic_Syllabic_Category=brahmijoiningnumber}', "");
Expect(1, 69733, '\P{^Is_Indic_Syllabic_Category=brahmijoiningnumber}', "");
Expect(0, 69734, '\p{Is_Indic_Syllabic_Category=brahmijoiningnumber}', "");
Expect(1, 69734, '\p{^Is_Indic_Syllabic_Category=brahmijoiningnumber}', "");
Expect(1, 69734, '\P{Is_Indic_Syllabic_Category=brahmijoiningnumber}', "");
Expect(0, 69734, '\P{^Is_Indic_Syllabic_Category=brahmijoiningnumber}', "");
Expect(1, 69733, '\p{Is_Indic_Syllabic_Category=_ Brahmi_Joining_NUMBER}', "");
Expect(0, 69733, '\p{^Is_Indic_Syllabic_Category=_ Brahmi_Joining_NUMBER}', "");
Expect(0, 69733, '\P{Is_Indic_Syllabic_Category=_ Brahmi_Joining_NUMBER}', "");
Expect(1, 69733, '\P{^Is_Indic_Syllabic_Category=_ Brahmi_Joining_NUMBER}', "");
Expect(0, 69734, '\p{Is_Indic_Syllabic_Category=_ Brahmi_Joining_NUMBER}', "");
Expect(1, 69734, '\p{^Is_Indic_Syllabic_Category=_ Brahmi_Joining_NUMBER}', "");
Expect(1, 69734, '\P{Is_Indic_Syllabic_Category=_ Brahmi_Joining_NUMBER}', "");
Expect(0, 69734, '\P{^Is_Indic_Syllabic_Category=_ Brahmi_Joining_NUMBER}', "");
Error('\p{Is_InSC=_Brahmi_joining_number/a/}');
Error('\P{Is_InSC=_Brahmi_joining_number/a/}');
Expect(1, 69733, '\p{Is_InSC=brahmijoiningnumber}', "");
Expect(0, 69733, '\p{^Is_InSC=brahmijoiningnumber}', "");
Expect(0, 69733, '\P{Is_InSC=brahmijoiningnumber}', "");
Expect(1, 69733, '\P{^Is_InSC=brahmijoiningnumber}', "");
Expect(0, 69734, '\p{Is_InSC=brahmijoiningnumber}', "");
Expect(1, 69734, '\p{^Is_InSC=brahmijoiningnumber}', "");
Expect(1, 69734, '\P{Is_InSC=brahmijoiningnumber}', "");
Expect(0, 69734, '\P{^Is_InSC=brahmijoiningnumber}', "");
Expect(1, 69733, '\p{Is_InSC=	_BRAHMI_JOINING_number}', "");
Expect(0, 69733, '\p{^Is_InSC=	_BRAHMI_JOINING_number}', "");
Expect(0, 69733, '\P{Is_InSC=	_BRAHMI_JOINING_number}', "");
Expect(1, 69733, '\P{^Is_InSC=	_BRAHMI_JOINING_number}', "");
Expect(0, 69734, '\p{Is_InSC=	_BRAHMI_JOINING_number}', "");
Expect(1, 69734, '\p{^Is_InSC=	_BRAHMI_JOINING_number}', "");
Expect(1, 69734, '\P{Is_InSC=	_BRAHMI_JOINING_number}', "");
Expect(0, 69734, '\P{^Is_InSC=	_BRAHMI_JOINING_number}', "");
Error('\p{Indic_Syllabic_Category= :=CANTILLATION_MARK}');
Error('\P{Indic_Syllabic_Category= :=CANTILLATION_MARK}');
Expect(1, 70516, '\p{Indic_Syllabic_Category=cantillationmark}', "");
Expect(0, 70516, '\p{^Indic_Syllabic_Category=cantillationmark}', "");
Expect(0, 70516, '\P{Indic_Syllabic_Category=cantillationmark}', "");
Expect(1, 70516, '\P{^Indic_Syllabic_Category=cantillationmark}', "");
Expect(0, 70517, '\p{Indic_Syllabic_Category=cantillationmark}', "");
Expect(1, 70517, '\p{^Indic_Syllabic_Category=cantillationmark}', "");
Expect(1, 70517, '\P{Indic_Syllabic_Category=cantillationmark}', "");
Expect(0, 70517, '\P{^Indic_Syllabic_Category=cantillationmark}', "");
Expect(1, 70516, '\p{Indic_Syllabic_Category=	-Cantillation_MARK}', "");
Expect(0, 70516, '\p{^Indic_Syllabic_Category=	-Cantillation_MARK}', "");
Expect(0, 70516, '\P{Indic_Syllabic_Category=	-Cantillation_MARK}', "");
Expect(1, 70516, '\P{^Indic_Syllabic_Category=	-Cantillation_MARK}', "");
Expect(0, 70517, '\p{Indic_Syllabic_Category=	-Cantillation_MARK}', "");
Expect(1, 70517, '\p{^Indic_Syllabic_Category=	-Cantillation_MARK}', "");
Expect(1, 70517, '\P{Indic_Syllabic_Category=	-Cantillation_MARK}', "");
Expect(0, 70517, '\P{^Indic_Syllabic_Category=	-Cantillation_MARK}', "");
Error('\p{InSC: _:=Cantillation_Mark}');
Error('\P{InSC: _:=Cantillation_Mark}');
Expect(1, 70516, '\p{InSC=cantillationmark}', "");
Expect(0, 70516, '\p{^InSC=cantillationmark}', "");
Expect(0, 70516, '\P{InSC=cantillationmark}', "");
Expect(1, 70516, '\P{^InSC=cantillationmark}', "");
Expect(0, 70517, '\p{InSC=cantillationmark}', "");
Expect(1, 70517, '\p{^InSC=cantillationmark}', "");
Expect(1, 70517, '\P{InSC=cantillationmark}', "");
Expect(0, 70517, '\P{^InSC=cantillationmark}', "");
Expect(1, 70516, '\p{InSC= -cantillation_Mark}', "");
Expect(0, 70516, '\p{^InSC= -cantillation_Mark}', "");
Expect(0, 70516, '\P{InSC= -cantillation_Mark}', "");
Expect(1, 70516, '\P{^InSC= -cantillation_Mark}', "");
Expect(0, 70517, '\p{InSC= -cantillation_Mark}', "");
Expect(1, 70517, '\p{^InSC= -cantillation_Mark}', "");
Expect(1, 70517, '\P{InSC= -cantillation_Mark}', "");
Expect(0, 70517, '\P{^InSC= -cantillation_Mark}', "");
Error('\p{Is_Indic_Syllabic_Category=:= CANTILLATION_mark}');
Error('\P{Is_Indic_Syllabic_Category=:= CANTILLATION_mark}');
Expect(1, 70516, '\p{Is_Indic_Syllabic_Category:   cantillationmark}', "");
Expect(0, 70516, '\p{^Is_Indic_Syllabic_Category:   cantillationmark}', "");
Expect(0, 70516, '\P{Is_Indic_Syllabic_Category:   cantillationmark}', "");
Expect(1, 70516, '\P{^Is_Indic_Syllabic_Category:   cantillationmark}', "");
Expect(0, 70517, '\p{Is_Indic_Syllabic_Category:   cantillationmark}', "");
Expect(1, 70517, '\p{^Is_Indic_Syllabic_Category:   cantillationmark}', "");
Expect(1, 70517, '\P{Is_Indic_Syllabic_Category:   cantillationmark}', "");
Expect(0, 70517, '\P{^Is_Indic_Syllabic_Category:   cantillationmark}', "");
Expect(1, 70516, '\p{Is_Indic_Syllabic_Category=	_CANTILLATION_Mark}', "");
Expect(0, 70516, '\p{^Is_Indic_Syllabic_Category=	_CANTILLATION_Mark}', "");
Expect(0, 70516, '\P{Is_Indic_Syllabic_Category=	_CANTILLATION_Mark}', "");
Expect(1, 70516, '\P{^Is_Indic_Syllabic_Category=	_CANTILLATION_Mark}', "");
Expect(0, 70517, '\p{Is_Indic_Syllabic_Category=	_CANTILLATION_Mark}', "");
Expect(1, 70517, '\p{^Is_Indic_Syllabic_Category=	_CANTILLATION_Mark}', "");
Expect(1, 70517, '\P{Is_Indic_Syllabic_Category=	_CANTILLATION_Mark}', "");
Expect(0, 70517, '\P{^Is_Indic_Syllabic_Category=	_CANTILLATION_Mark}', "");
Error('\p{Is_InSC=		Cantillation_mark:=}');
Error('\P{Is_InSC=		Cantillation_mark:=}');
Expect(1, 70516, '\p{Is_InSC=cantillationmark}', "");
Expect(0, 70516, '\p{^Is_InSC=cantillationmark}', "");
Expect(0, 70516, '\P{Is_InSC=cantillationmark}', "");
Expect(1, 70516, '\P{^Is_InSC=cantillationmark}', "");
Expect(0, 70517, '\p{Is_InSC=cantillationmark}', "");
Expect(1, 70517, '\p{^Is_InSC=cantillationmark}', "");
Expect(1, 70517, '\P{Is_InSC=cantillationmark}', "");
Expect(0, 70517, '\P{^Is_InSC=cantillationmark}', "");
Expect(1, 70516, '\p{Is_InSC=-Cantillation_MARK}', "");
Expect(0, 70516, '\p{^Is_InSC=-Cantillation_MARK}', "");
Expect(0, 70516, '\P{Is_InSC=-Cantillation_MARK}', "");
Expect(1, 70516, '\P{^Is_InSC=-Cantillation_MARK}', "");
Expect(0, 70517, '\p{Is_InSC=-Cantillation_MARK}', "");
Expect(1, 70517, '\p{^Is_InSC=-Cantillation_MARK}', "");
Expect(1, 70517, '\P{Is_InSC=-Cantillation_MARK}', "");
Expect(0, 70517, '\P{^Is_InSC=-Cantillation_MARK}', "");
Error('\p{Indic_Syllabic_Category=:=-	CONSONANT}');
Error('\P{Indic_Syllabic_Category=:=-	CONSONANT}');
Expect(1, 71449, '\p{Indic_Syllabic_Category=consonant}', "");
Expect(0, 71449, '\p{^Indic_Syllabic_Category=consonant}', "");
Expect(0, 71449, '\P{Indic_Syllabic_Category=consonant}', "");
Expect(1, 71449, '\P{^Indic_Syllabic_Category=consonant}', "");
Expect(0, 71450, '\p{Indic_Syllabic_Category=consonant}', "");
Expect(1, 71450, '\p{^Indic_Syllabic_Category=consonant}', "");
Expect(1, 71450, '\P{Indic_Syllabic_Category=consonant}', "");
Expect(0, 71450, '\P{^Indic_Syllabic_Category=consonant}', "");
Expect(1, 71449, '\p{Indic_Syllabic_Category= _Consonant}', "");
Expect(0, 71449, '\p{^Indic_Syllabic_Category= _Consonant}', "");
Expect(0, 71449, '\P{Indic_Syllabic_Category= _Consonant}', "");
Expect(1, 71449, '\P{^Indic_Syllabic_Category= _Consonant}', "");
Expect(0, 71450, '\p{Indic_Syllabic_Category= _Consonant}', "");
Expect(1, 71450, '\p{^Indic_Syllabic_Category= _Consonant}', "");
Expect(1, 71450, '\P{Indic_Syllabic_Category= _Consonant}', "");
Expect(0, 71450, '\P{^Indic_Syllabic_Category= _Consonant}', "");
Error('\p{InSC=-_Consonant:=}');
Error('\P{InSC=-_Consonant:=}');
Expect(1, 71449, '\p{InSC:	consonant}', "");
Expect(0, 71449, '\p{^InSC:	consonant}', "");
Expect(0, 71449, '\P{InSC:	consonant}', "");
Expect(1, 71449, '\P{^InSC:	consonant}', "");
Expect(0, 71450, '\p{InSC:	consonant}', "");
Expect(1, 71450, '\p{^InSC:	consonant}', "");
Expect(1, 71450, '\P{InSC:	consonant}', "");
Expect(0, 71450, '\P{^InSC:	consonant}', "");
Expect(1, 71449, '\p{InSC=_	Consonant}', "");
Expect(0, 71449, '\p{^InSC=_	Consonant}', "");
Expect(0, 71449, '\P{InSC=_	Consonant}', "");
Expect(1, 71449, '\P{^InSC=_	Consonant}', "");
Expect(0, 71450, '\p{InSC=_	Consonant}', "");
Expect(1, 71450, '\p{^InSC=_	Consonant}', "");
Expect(1, 71450, '\P{InSC=_	Consonant}', "");
Expect(0, 71450, '\P{^InSC=_	Consonant}', "");
Error('\p{Is_Indic_Syllabic_Category=:= -CONSONANT}');
Error('\P{Is_Indic_Syllabic_Category=:= -CONSONANT}');
Expect(1, 71449, '\p{Is_Indic_Syllabic_Category=consonant}', "");
Expect(0, 71449, '\p{^Is_Indic_Syllabic_Category=consonant}', "");
Expect(0, 71449, '\P{Is_Indic_Syllabic_Category=consonant}', "");
Expect(1, 71449, '\P{^Is_Indic_Syllabic_Category=consonant}', "");
Expect(0, 71450, '\p{Is_Indic_Syllabic_Category=consonant}', "");
Expect(1, 71450, '\p{^Is_Indic_Syllabic_Category=consonant}', "");
Expect(1, 71450, '\P{Is_Indic_Syllabic_Category=consonant}', "");
Expect(0, 71450, '\P{^Is_Indic_Syllabic_Category=consonant}', "");
Expect(1, 71449, '\p{Is_Indic_Syllabic_Category=-_consonant}', "");
Expect(0, 71449, '\p{^Is_Indic_Syllabic_Category=-_consonant}', "");
Expect(0, 71449, '\P{Is_Indic_Syllabic_Category=-_consonant}', "");
Expect(1, 71449, '\P{^Is_Indic_Syllabic_Category=-_consonant}', "");
Expect(0, 71450, '\p{Is_Indic_Syllabic_Category=-_consonant}', "");
Expect(1, 71450, '\p{^Is_Indic_Syllabic_Category=-_consonant}', "");
Expect(1, 71450, '\P{Is_Indic_Syllabic_Category=-_consonant}', "");
Expect(0, 71450, '\P{^Is_Indic_Syllabic_Category=-_consonant}', "");
Error('\p{Is_InSC=	:=Consonant}');
Error('\P{Is_InSC=	:=Consonant}');
Expect(1, 71449, '\p{Is_InSC=consonant}', "");
Expect(0, 71449, '\p{^Is_InSC=consonant}', "");
Expect(0, 71449, '\P{Is_InSC=consonant}', "");
Expect(1, 71449, '\P{^Is_InSC=consonant}', "");
Expect(0, 71450, '\p{Is_InSC=consonant}', "");
Expect(1, 71450, '\p{^Is_InSC=consonant}', "");
Expect(1, 71450, '\P{Is_InSC=consonant}', "");
Expect(0, 71450, '\P{^Is_InSC=consonant}', "");
Expect(1, 71449, '\p{Is_InSC=-CONSONANT}', "");
Expect(0, 71449, '\p{^Is_InSC=-CONSONANT}', "");
Expect(0, 71449, '\P{Is_InSC=-CONSONANT}', "");
Expect(1, 71449, '\P{^Is_InSC=-CONSONANT}', "");
Expect(0, 71450, '\p{Is_InSC=-CONSONANT}', "");
Expect(1, 71450, '\p{^Is_InSC=-CONSONANT}', "");
Expect(1, 71450, '\P{Is_InSC=-CONSONANT}', "");
Expect(0, 71450, '\P{^Is_InSC=-CONSONANT}', "");
Error('\p{Indic_Syllabic_Category= CONSONANT_Dead/a/}');
Error('\P{Indic_Syllabic_Category= CONSONANT_Dead/a/}');
Expect(1, 3455, '\p{Indic_Syllabic_Category=consonantdead}', "");
Expect(0, 3455, '\p{^Indic_Syllabic_Category=consonantdead}', "");
Expect(0, 3455, '\P{Indic_Syllabic_Category=consonantdead}', "");
Expect(1, 3455, '\P{^Indic_Syllabic_Category=consonantdead}', "");
Expect(0, 3456, '\p{Indic_Syllabic_Category=consonantdead}', "");
Expect(1, 3456, '\p{^Indic_Syllabic_Category=consonantdead}', "");
Expect(1, 3456, '\P{Indic_Syllabic_Category=consonantdead}', "");
Expect(0, 3456, '\P{^Indic_Syllabic_Category=consonantdead}', "");
Expect(1, 3455, '\p{Indic_Syllabic_Category=--Consonant_Dead}', "");
Expect(0, 3455, '\p{^Indic_Syllabic_Category=--Consonant_Dead}', "");
Expect(0, 3455, '\P{Indic_Syllabic_Category=--Consonant_Dead}', "");
Expect(1, 3455, '\P{^Indic_Syllabic_Category=--Consonant_Dead}', "");
Expect(0, 3456, '\p{Indic_Syllabic_Category=--Consonant_Dead}', "");
Expect(1, 3456, '\p{^Indic_Syllabic_Category=--Consonant_Dead}', "");
Expect(1, 3456, '\P{Indic_Syllabic_Category=--Consonant_Dead}', "");
Expect(0, 3456, '\P{^Indic_Syllabic_Category=--Consonant_Dead}', "");
Error('\p{InSC=- CONSONANT_dead/a/}');
Error('\P{InSC=- CONSONANT_dead/a/}');
Expect(1, 3455, '\p{InSC=consonantdead}', "");
Expect(0, 3455, '\p{^InSC=consonantdead}', "");
Expect(0, 3455, '\P{InSC=consonantdead}', "");
Expect(1, 3455, '\P{^InSC=consonantdead}', "");
Expect(0, 3456, '\p{InSC=consonantdead}', "");
Expect(1, 3456, '\p{^InSC=consonantdead}', "");
Expect(1, 3456, '\P{InSC=consonantdead}', "");
Expect(0, 3456, '\P{^InSC=consonantdead}', "");
Expect(1, 3455, '\p{InSC= consonant_Dead}', "");
Expect(0, 3455, '\p{^InSC= consonant_Dead}', "");
Expect(0, 3455, '\P{InSC= consonant_Dead}', "");
Expect(1, 3455, '\P{^InSC= consonant_Dead}', "");
Expect(0, 3456, '\p{InSC= consonant_Dead}', "");
Expect(1, 3456, '\p{^InSC= consonant_Dead}', "");
Expect(1, 3456, '\P{InSC= consonant_Dead}', "");
Expect(0, 3456, '\P{^InSC= consonant_Dead}', "");
Error('\p{Is_Indic_Syllabic_Category= 	Consonant_Dead:=}');
Error('\P{Is_Indic_Syllabic_Category= 	Consonant_Dead:=}');
Expect(1, 3455, '\p{Is_Indic_Syllabic_Category=consonantdead}', "");
Expect(0, 3455, '\p{^Is_Indic_Syllabic_Category=consonantdead}', "");
Expect(0, 3455, '\P{Is_Indic_Syllabic_Category=consonantdead}', "");
Expect(1, 3455, '\P{^Is_Indic_Syllabic_Category=consonantdead}', "");
Expect(0, 3456, '\p{Is_Indic_Syllabic_Category=consonantdead}', "");
Expect(1, 3456, '\p{^Is_Indic_Syllabic_Category=consonantdead}', "");
Expect(1, 3456, '\P{Is_Indic_Syllabic_Category=consonantdead}', "");
Expect(0, 3456, '\P{^Is_Indic_Syllabic_Category=consonantdead}', "");
Expect(1, 3455, '\p{Is_Indic_Syllabic_Category= Consonant_Dead}', "");
Expect(0, 3455, '\p{^Is_Indic_Syllabic_Category= Consonant_Dead}', "");
Expect(0, 3455, '\P{Is_Indic_Syllabic_Category= Consonant_Dead}', "");
Expect(1, 3455, '\P{^Is_Indic_Syllabic_Category= Consonant_Dead}', "");
Expect(0, 3456, '\p{Is_Indic_Syllabic_Category= Consonant_Dead}', "");
Expect(1, 3456, '\p{^Is_Indic_Syllabic_Category= Consonant_Dead}', "");
Expect(1, 3456, '\P{Is_Indic_Syllabic_Category= Consonant_Dead}', "");
Expect(0, 3456, '\P{^Is_Indic_Syllabic_Category= Consonant_Dead}', "");
Error('\p{Is_InSC=/a/-Consonant_Dead}');
Error('\P{Is_InSC=/a/-Consonant_Dead}');
Expect(1, 3455, '\p{Is_InSC=consonantdead}', "");
Expect(0, 3455, '\p{^Is_InSC=consonantdead}', "");
Expect(0, 3455, '\P{Is_InSC=consonantdead}', "");
Expect(1, 3455, '\P{^Is_InSC=consonantdead}', "");
Expect(0, 3456, '\p{Is_InSC=consonantdead}', "");
Expect(1, 3456, '\p{^Is_InSC=consonantdead}', "");
Expect(1, 3456, '\P{Is_InSC=consonantdead}', "");
Expect(0, 3456, '\P{^Is_InSC=consonantdead}', "");
Expect(1, 3455, '\p{Is_InSC=	-consonant_dead}', "");
Expect(0, 3455, '\p{^Is_InSC=	-consonant_dead}', "");
Expect(0, 3455, '\P{Is_InSC=	-consonant_dead}', "");
Expect(1, 3455, '\P{^Is_InSC=	-consonant_dead}', "");
Expect(0, 3456, '\p{Is_InSC=	-consonant_dead}', "");
Expect(1, 3456, '\p{^Is_InSC=	-consonant_dead}', "");
Expect(1, 3456, '\P{Is_InSC=	-consonant_dead}', "");
Expect(0, 3456, '\P{^Is_InSC=	-consonant_dead}', "");
Error('\p{Indic_Syllabic_Category:    CONSONANT_final:=}');
Error('\P{Indic_Syllabic_Category:    CONSONANT_final:=}');
Expect(1, 44002, '\p{Indic_Syllabic_Category: consonantfinal}', "");
Expect(0, 44002, '\p{^Indic_Syllabic_Category: consonantfinal}', "");
Expect(0, 44002, '\P{Indic_Syllabic_Category: consonantfinal}', "");
Expect(1, 44002, '\P{^Indic_Syllabic_Category: consonantfinal}', "");
Expect(0, 44003, '\p{Indic_Syllabic_Category: consonantfinal}', "");
Expect(1, 44003, '\p{^Indic_Syllabic_Category: consonantfinal}', "");
Expect(1, 44003, '\P{Indic_Syllabic_Category: consonantfinal}', "");
Expect(0, 44003, '\P{^Indic_Syllabic_Category: consonantfinal}', "");
Expect(1, 44002, '\p{Indic_Syllabic_Category=_	Consonant_Final}', "");
Expect(0, 44002, '\p{^Indic_Syllabic_Category=_	Consonant_Final}', "");
Expect(0, 44002, '\P{Indic_Syllabic_Category=_	Consonant_Final}', "");
Expect(1, 44002, '\P{^Indic_Syllabic_Category=_	Consonant_Final}', "");
Expect(0, 44003, '\p{Indic_Syllabic_Category=_	Consonant_Final}', "");
Expect(1, 44003, '\p{^Indic_Syllabic_Category=_	Consonant_Final}', "");
Expect(1, 44003, '\P{Indic_Syllabic_Category=_	Consonant_Final}', "");
Expect(0, 44003, '\P{^Indic_Syllabic_Category=_	Consonant_Final}', "");
Error('\p{InSC=__consonant_Final:=}');
Error('\P{InSC=__consonant_Final:=}');
Expect(1, 44002, '\p{InSC=consonantfinal}', "");
Expect(0, 44002, '\p{^InSC=consonantfinal}', "");
Expect(0, 44002, '\P{InSC=consonantfinal}', "");
Expect(1, 44002, '\P{^InSC=consonantfinal}', "");
Expect(0, 44003, '\p{InSC=consonantfinal}', "");
Expect(1, 44003, '\p{^InSC=consonantfinal}', "");
Expect(1, 44003, '\P{InSC=consonantfinal}', "");
Expect(0, 44003, '\P{^InSC=consonantfinal}', "");
Expect(1, 44002, '\p{InSC=  Consonant_Final}', "");
Expect(0, 44002, '\p{^InSC=  Consonant_Final}', "");
Expect(0, 44002, '\P{InSC=  Consonant_Final}', "");
Expect(1, 44002, '\P{^InSC=  Consonant_Final}', "");
Expect(0, 44003, '\p{InSC=  Consonant_Final}', "");
Expect(1, 44003, '\p{^InSC=  Consonant_Final}', "");
Expect(1, 44003, '\P{InSC=  Consonant_Final}', "");
Expect(0, 44003, '\P{^InSC=  Consonant_Final}', "");
Error('\p{Is_Indic_Syllabic_Category=__consonant_final/a/}');
Error('\P{Is_Indic_Syllabic_Category=__consonant_final/a/}');
Expect(1, 44002, '\p{Is_Indic_Syllabic_Category=consonantfinal}', "");
Expect(0, 44002, '\p{^Is_Indic_Syllabic_Category=consonantfinal}', "");
Expect(0, 44002, '\P{Is_Indic_Syllabic_Category=consonantfinal}', "");
Expect(1, 44002, '\P{^Is_Indic_Syllabic_Category=consonantfinal}', "");
Expect(0, 44003, '\p{Is_Indic_Syllabic_Category=consonantfinal}', "");
Expect(1, 44003, '\p{^Is_Indic_Syllabic_Category=consonantfinal}', "");
Expect(1, 44003, '\P{Is_Indic_Syllabic_Category=consonantfinal}', "");
Expect(0, 44003, '\P{^Is_Indic_Syllabic_Category=consonantfinal}', "");
Expect(1, 44002, '\p{Is_Indic_Syllabic_Category=	_Consonant_final}', "");
Expect(0, 44002, '\p{^Is_Indic_Syllabic_Category=	_Consonant_final}', "");
Expect(0, 44002, '\P{Is_Indic_Syllabic_Category=	_Consonant_final}', "");
Expect(1, 44002, '\P{^Is_Indic_Syllabic_Category=	_Consonant_final}', "");
Expect(0, 44003, '\p{Is_Indic_Syllabic_Category=	_Consonant_final}', "");
Expect(1, 44003, '\p{^Is_Indic_Syllabic_Category=	_Consonant_final}', "");
Expect(1, 44003, '\P{Is_Indic_Syllabic_Category=	_Consonant_final}', "");
Expect(0, 44003, '\P{^Is_Indic_Syllabic_Category=	_Consonant_final}', "");
Error('\p{Is_InSC=:= 	CONSONANT_final}');
Error('\P{Is_InSC=:= 	CONSONANT_final}');
Expect(1, 44002, '\p{Is_InSC=consonantfinal}', "");
Expect(0, 44002, '\p{^Is_InSC=consonantfinal}', "");
Expect(0, 44002, '\P{Is_InSC=consonantfinal}', "");
Expect(1, 44002, '\P{^Is_InSC=consonantfinal}', "");
Expect(0, 44003, '\p{Is_InSC=consonantfinal}', "");
Expect(1, 44003, '\p{^Is_InSC=consonantfinal}', "");
Expect(1, 44003, '\P{Is_InSC=consonantfinal}', "");
Expect(0, 44003, '\P{^Is_InSC=consonantfinal}', "");
Expect(1, 44002, '\p{Is_InSC=-	Consonant_final}', "");
Expect(0, 44002, '\p{^Is_InSC=-	Consonant_final}', "");
Expect(0, 44002, '\P{Is_InSC=-	Consonant_final}', "");
Expect(1, 44002, '\P{^Is_InSC=-	Consonant_final}', "");
Expect(0, 44003, '\p{Is_InSC=-	Consonant_final}', "");
Expect(1, 44003, '\p{^Is_InSC=-	Consonant_final}', "");
Expect(1, 44003, '\P{Is_InSC=-	Consonant_final}', "");
Expect(0, 44003, '\P{^Is_InSC=-	Consonant_final}', "");
Error('\p{Indic_Syllabic_Category=/a/_consonant_Head_Letter}');
Error('\P{Indic_Syllabic_Category=/a/_consonant_Head_Letter}');
Expect(1, 3980, '\p{Indic_Syllabic_Category=consonantheadletter}', "");
Expect(0, 3980, '\p{^Indic_Syllabic_Category=consonantheadletter}', "");
Expect(0, 3980, '\P{Indic_Syllabic_Category=consonantheadletter}', "");
Expect(1, 3980, '\P{^Indic_Syllabic_Category=consonantheadletter}', "");
Expect(0, 3981, '\p{Indic_Syllabic_Category=consonantheadletter}', "");
Expect(1, 3981, '\p{^Indic_Syllabic_Category=consonantheadletter}', "");
Expect(1, 3981, '\P{Indic_Syllabic_Category=consonantheadletter}', "");
Expect(0, 3981, '\P{^Indic_Syllabic_Category=consonantheadletter}', "");
Expect(1, 3980, '\p{Indic_Syllabic_Category=-Consonant_Head_Letter}', "");
Expect(0, 3980, '\p{^Indic_Syllabic_Category=-Consonant_Head_Letter}', "");
Expect(0, 3980, '\P{Indic_Syllabic_Category=-Consonant_Head_Letter}', "");
Expect(1, 3980, '\P{^Indic_Syllabic_Category=-Consonant_Head_Letter}', "");
Expect(0, 3981, '\p{Indic_Syllabic_Category=-Consonant_Head_Letter}', "");
Expect(1, 3981, '\p{^Indic_Syllabic_Category=-Consonant_Head_Letter}', "");
Expect(1, 3981, '\P{Indic_Syllabic_Category=-Consonant_Head_Letter}', "");
Expect(0, 3981, '\P{^Indic_Syllabic_Category=-Consonant_Head_Letter}', "");
Error('\p{InSC=-Consonant_head_letter/a/}');
Error('\P{InSC=-Consonant_head_letter/a/}');
Expect(1, 3980, '\p{InSC=consonantheadletter}', "");
Expect(0, 3980, '\p{^InSC=consonantheadletter}', "");
Expect(0, 3980, '\P{InSC=consonantheadletter}', "");
Expect(1, 3980, '\P{^InSC=consonantheadletter}', "");
Expect(0, 3981, '\p{InSC=consonantheadletter}', "");
Expect(1, 3981, '\p{^InSC=consonantheadletter}', "");
Expect(1, 3981, '\P{InSC=consonantheadletter}', "");
Expect(0, 3981, '\P{^InSC=consonantheadletter}', "");
Expect(1, 3980, '\p{InSC=_Consonant_HEAD_Letter}', "");
Expect(0, 3980, '\p{^InSC=_Consonant_HEAD_Letter}', "");
Expect(0, 3980, '\P{InSC=_Consonant_HEAD_Letter}', "");
Expect(1, 3980, '\P{^InSC=_Consonant_HEAD_Letter}', "");
Expect(0, 3981, '\p{InSC=_Consonant_HEAD_Letter}', "");
Expect(1, 3981, '\p{^InSC=_Consonant_HEAD_Letter}', "");
Expect(1, 3981, '\P{InSC=_Consonant_HEAD_Letter}', "");
Expect(0, 3981, '\P{^InSC=_Consonant_HEAD_Letter}', "");
Error('\p{Is_Indic_Syllabic_Category=_:=Consonant_Head_LETTER}');
Error('\P{Is_Indic_Syllabic_Category=_:=Consonant_Head_LETTER}');
Expect(1, 3980, '\p{Is_Indic_Syllabic_Category=consonantheadletter}', "");
Expect(0, 3980, '\p{^Is_Indic_Syllabic_Category=consonantheadletter}', "");
Expect(0, 3980, '\P{Is_Indic_Syllabic_Category=consonantheadletter}', "");
Expect(1, 3980, '\P{^Is_Indic_Syllabic_Category=consonantheadletter}', "");
Expect(0, 3981, '\p{Is_Indic_Syllabic_Category=consonantheadletter}', "");
Expect(1, 3981, '\p{^Is_Indic_Syllabic_Category=consonantheadletter}', "");
Expect(1, 3981, '\P{Is_Indic_Syllabic_Category=consonantheadletter}', "");
Expect(0, 3981, '\P{^Is_Indic_Syllabic_Category=consonantheadletter}', "");
Expect(1, 3980, '\p{Is_Indic_Syllabic_Category=	Consonant_Head_Letter}', "");
Expect(0, 3980, '\p{^Is_Indic_Syllabic_Category=	Consonant_Head_Letter}', "");
Expect(0, 3980, '\P{Is_Indic_Syllabic_Category=	Consonant_Head_Letter}', "");
Expect(1, 3980, '\P{^Is_Indic_Syllabic_Category=	Consonant_Head_Letter}', "");
Expect(0, 3981, '\p{Is_Indic_Syllabic_Category=	Consonant_Head_Letter}', "");
Expect(1, 3981, '\p{^Is_Indic_Syllabic_Category=	Consonant_Head_Letter}', "");
Expect(1, 3981, '\P{Is_Indic_Syllabic_Category=	Consonant_Head_Letter}', "");
Expect(0, 3981, '\P{^Is_Indic_Syllabic_Category=	Consonant_Head_Letter}', "");
Error('\p{Is_InSC: 	CONSONANT_Head_Letter/a/}');
Error('\P{Is_InSC: 	CONSONANT_Head_Letter/a/}');
Expect(1, 3980, '\p{Is_InSC: consonantheadletter}', "");
Expect(0, 3980, '\p{^Is_InSC: consonantheadletter}', "");
Expect(0, 3980, '\P{Is_InSC: consonantheadletter}', "");
Expect(1, 3980, '\P{^Is_InSC: consonantheadletter}', "");
Expect(0, 3981, '\p{Is_InSC: consonantheadletter}', "");
Expect(1, 3981, '\p{^Is_InSC: consonantheadletter}', "");
Expect(1, 3981, '\P{Is_InSC: consonantheadletter}', "");
Expect(0, 3981, '\P{^Is_InSC: consonantheadletter}', "");
Expect(1, 3980, '\p{Is_InSC=	Consonant_head_Letter}', "");
Expect(0, 3980, '\p{^Is_InSC=	Consonant_head_Letter}', "");
Expect(0, 3980, '\P{Is_InSC=	Consonant_head_Letter}', "");
Expect(1, 3980, '\P{^Is_InSC=	Consonant_head_Letter}', "");
Expect(0, 3981, '\p{Is_InSC=	Consonant_head_Letter}', "");
Expect(1, 3981, '\p{^Is_InSC=	Consonant_head_Letter}', "");
Expect(1, 3981, '\P{Is_InSC=	Consonant_head_Letter}', "");
Expect(0, 3981, '\P{^Is_InSC=	Consonant_head_Letter}', "");
Error('\p{Indic_Syllabic_Category=_/a/Consonant_Killer}');
Error('\P{Indic_Syllabic_Category=_/a/Consonant_Killer}');
Expect(1, 6093, '\p{Indic_Syllabic_Category=consonantkiller}', "");
Expect(0, 6093, '\p{^Indic_Syllabic_Category=consonantkiller}', "");
Expect(0, 6093, '\P{Indic_Syllabic_Category=consonantkiller}', "");
Expect(1, 6093, '\P{^Indic_Syllabic_Category=consonantkiller}', "");
Expect(0, 6094, '\p{Indic_Syllabic_Category=consonantkiller}', "");
Expect(1, 6094, '\p{^Indic_Syllabic_Category=consonantkiller}', "");
Expect(1, 6094, '\P{Indic_Syllabic_Category=consonantkiller}', "");
Expect(0, 6094, '\P{^Indic_Syllabic_Category=consonantkiller}', "");
Expect(1, 6093, '\p{Indic_Syllabic_Category=_	Consonant_Killer}', "");
Expect(0, 6093, '\p{^Indic_Syllabic_Category=_	Consonant_Killer}', "");
Expect(0, 6093, '\P{Indic_Syllabic_Category=_	Consonant_Killer}', "");
Expect(1, 6093, '\P{^Indic_Syllabic_Category=_	Consonant_Killer}', "");
Expect(0, 6094, '\p{Indic_Syllabic_Category=_	Consonant_Killer}', "");
Expect(1, 6094, '\p{^Indic_Syllabic_Category=_	Consonant_Killer}', "");
Expect(1, 6094, '\P{Indic_Syllabic_Category=_	Consonant_Killer}', "");
Expect(0, 6094, '\P{^Indic_Syllabic_Category=_	Consonant_Killer}', "");
Error('\p{InSC=-Consonant_KILLER/a/}');
Error('\P{InSC=-Consonant_KILLER/a/}');
Expect(1, 6093, '\p{InSC=consonantkiller}', "");
Expect(0, 6093, '\p{^InSC=consonantkiller}', "");
Expect(0, 6093, '\P{InSC=consonantkiller}', "");
Expect(1, 6093, '\P{^InSC=consonantkiller}', "");
Expect(0, 6094, '\p{InSC=consonantkiller}', "");
Expect(1, 6094, '\p{^InSC=consonantkiller}', "");
Expect(1, 6094, '\P{InSC=consonantkiller}', "");
Expect(0, 6094, '\P{^InSC=consonantkiller}', "");
Expect(1, 6093, '\p{InSC= _CONSONANT_killer}', "");
Expect(0, 6093, '\p{^InSC= _CONSONANT_killer}', "");
Expect(0, 6093, '\P{InSC= _CONSONANT_killer}', "");
Expect(1, 6093, '\P{^InSC= _CONSONANT_killer}', "");
Expect(0, 6094, '\p{InSC= _CONSONANT_killer}', "");
Expect(1, 6094, '\p{^InSC= _CONSONANT_killer}', "");
Expect(1, 6094, '\P{InSC= _CONSONANT_killer}', "");
Expect(0, 6094, '\P{^InSC= _CONSONANT_killer}', "");
Error('\p{Is_Indic_Syllabic_Category:   :=_Consonant_Killer}');
Error('\P{Is_Indic_Syllabic_Category:   :=_Consonant_Killer}');
Expect(1, 6093, '\p{Is_Indic_Syllabic_Category=consonantkiller}', "");
Expect(0, 6093, '\p{^Is_Indic_Syllabic_Category=consonantkiller}', "");
Expect(0, 6093, '\P{Is_Indic_Syllabic_Category=consonantkiller}', "");
Expect(1, 6093, '\P{^Is_Indic_Syllabic_Category=consonantkiller}', "");
Expect(0, 6094, '\p{Is_Indic_Syllabic_Category=consonantkiller}', "");
Expect(1, 6094, '\p{^Is_Indic_Syllabic_Category=consonantkiller}', "");
Expect(1, 6094, '\P{Is_Indic_Syllabic_Category=consonantkiller}', "");
Expect(0, 6094, '\P{^Is_Indic_Syllabic_Category=consonantkiller}', "");
Expect(1, 6093, '\p{Is_Indic_Syllabic_Category=	CONSONANT_Killer}', "");
Expect(0, 6093, '\p{^Is_Indic_Syllabic_Category=	CONSONANT_Killer}', "");
Expect(0, 6093, '\P{Is_Indic_Syllabic_Category=	CONSONANT_Killer}', "");
Expect(1, 6093, '\P{^Is_Indic_Syllabic_Category=	CONSONANT_Killer}', "");
Expect(0, 6094, '\p{Is_Indic_Syllabic_Category=	CONSONANT_Killer}', "");
Expect(1, 6094, '\p{^Is_Indic_Syllabic_Category=	CONSONANT_Killer}', "");
Expect(1, 6094, '\P{Is_Indic_Syllabic_Category=	CONSONANT_Killer}', "");
Expect(0, 6094, '\P{^Is_Indic_Syllabic_Category=	CONSONANT_Killer}', "");
Error('\p{Is_InSC:--Consonant_Killer:=}');
Error('\P{Is_InSC:--Consonant_Killer:=}');
Expect(1, 6093, '\p{Is_InSC=consonantkiller}', "");
Expect(0, 6093, '\p{^Is_InSC=consonantkiller}', "");
Expect(0, 6093, '\P{Is_InSC=consonantkiller}', "");
Expect(1, 6093, '\P{^Is_InSC=consonantkiller}', "");
Expect(0, 6094, '\p{Is_InSC=consonantkiller}', "");
Expect(1, 6094, '\p{^Is_InSC=consonantkiller}', "");
Expect(1, 6094, '\P{Is_InSC=consonantkiller}', "");
Expect(0, 6094, '\P{^Is_InSC=consonantkiller}', "");
Expect(1, 6093, '\p{Is_InSC:	- CONSONANT_killer}', "");
Expect(0, 6093, '\p{^Is_InSC:	- CONSONANT_killer}', "");
Expect(0, 6093, '\P{Is_InSC:	- CONSONANT_killer}', "");
Expect(1, 6093, '\P{^Is_InSC:	- CONSONANT_killer}', "");
Expect(0, 6094, '\p{Is_InSC:	- CONSONANT_killer}', "");
Expect(1, 6094, '\p{^Is_InSC:	- CONSONANT_killer}', "");
Expect(1, 6094, '\P{Is_InSC:	- CONSONANT_killer}', "");
Expect(0, 6094, '\P{^Is_InSC:	- CONSONANT_killer}', "");
Error('\p{Indic_Syllabic_Category=/a/	_Consonant_Medial}');
Error('\P{Indic_Syllabic_Category=/a/	_Consonant_Medial}');
Expect(1, 71455, '\p{Indic_Syllabic_Category=consonantmedial}', "");
Expect(0, 71455, '\p{^Indic_Syllabic_Category=consonantmedial}', "");
Expect(0, 71455, '\P{Indic_Syllabic_Category=consonantmedial}', "");
Expect(1, 71455, '\P{^Indic_Syllabic_Category=consonantmedial}', "");
Expect(0, 71456, '\p{Indic_Syllabic_Category=consonantmedial}', "");
Expect(1, 71456, '\p{^Indic_Syllabic_Category=consonantmedial}', "");
Expect(1, 71456, '\P{Indic_Syllabic_Category=consonantmedial}', "");
Expect(0, 71456, '\P{^Indic_Syllabic_Category=consonantmedial}', "");
Expect(1, 71455, '\p{Indic_Syllabic_Category=	-Consonant_Medial}', "");
Expect(0, 71455, '\p{^Indic_Syllabic_Category=	-Consonant_Medial}', "");
Expect(0, 71455, '\P{Indic_Syllabic_Category=	-Consonant_Medial}', "");
Expect(1, 71455, '\P{^Indic_Syllabic_Category=	-Consonant_Medial}', "");
Expect(0, 71456, '\p{Indic_Syllabic_Category=	-Consonant_Medial}', "");
Expect(1, 71456, '\p{^Indic_Syllabic_Category=	-Consonant_Medial}', "");
Expect(1, 71456, '\P{Indic_Syllabic_Category=	-Consonant_Medial}', "");
Expect(0, 71456, '\P{^Indic_Syllabic_Category=	-Consonant_Medial}', "");
Error('\p{InSC=_-Consonant_medial:=}');
Error('\P{InSC=_-Consonant_medial:=}');
Expect(1, 71455, '\p{InSC=consonantmedial}', "");
Expect(0, 71455, '\p{^InSC=consonantmedial}', "");
Expect(0, 71455, '\P{InSC=consonantmedial}', "");
Expect(1, 71455, '\P{^InSC=consonantmedial}', "");
Expect(0, 71456, '\p{InSC=consonantmedial}', "");
Expect(1, 71456, '\p{^InSC=consonantmedial}', "");
Expect(1, 71456, '\P{InSC=consonantmedial}', "");
Expect(0, 71456, '\P{^InSC=consonantmedial}', "");
Expect(1, 71455, '\p{InSC=_Consonant_medial}', "");
Expect(0, 71455, '\p{^InSC=_Consonant_medial}', "");
Expect(0, 71455, '\P{InSC=_Consonant_medial}', "");
Expect(1, 71455, '\P{^InSC=_Consonant_medial}', "");
Expect(0, 71456, '\p{InSC=_Consonant_medial}', "");
Expect(1, 71456, '\p{^InSC=_Consonant_medial}', "");
Expect(1, 71456, '\P{InSC=_Consonant_medial}', "");
Expect(0, 71456, '\P{^InSC=_Consonant_medial}', "");
Error('\p{Is_Indic_Syllabic_Category=:=-	CONSONANT_medial}');
Error('\P{Is_Indic_Syllabic_Category=:=-	CONSONANT_medial}');
Expect(1, 71455, '\p{Is_Indic_Syllabic_Category=consonantmedial}', "");
Expect(0, 71455, '\p{^Is_Indic_Syllabic_Category=consonantmedial}', "");
Expect(0, 71455, '\P{Is_Indic_Syllabic_Category=consonantmedial}', "");
Expect(1, 71455, '\P{^Is_Indic_Syllabic_Category=consonantmedial}', "");
Expect(0, 71456, '\p{Is_Indic_Syllabic_Category=consonantmedial}', "");
Expect(1, 71456, '\p{^Is_Indic_Syllabic_Category=consonantmedial}', "");
Expect(1, 71456, '\P{Is_Indic_Syllabic_Category=consonantmedial}', "");
Expect(0, 71456, '\P{^Is_Indic_Syllabic_Category=consonantmedial}', "");
Expect(1, 71455, '\p{Is_Indic_Syllabic_Category= -consonant_medial}', "");
Expect(0, 71455, '\p{^Is_Indic_Syllabic_Category= -consonant_medial}', "");
Expect(0, 71455, '\P{Is_Indic_Syllabic_Category= -consonant_medial}', "");
Expect(1, 71455, '\P{^Is_Indic_Syllabic_Category= -consonant_medial}', "");
Expect(0, 71456, '\p{Is_Indic_Syllabic_Category= -consonant_medial}', "");
Expect(1, 71456, '\p{^Is_Indic_Syllabic_Category= -consonant_medial}', "");
Expect(1, 71456, '\P{Is_Indic_Syllabic_Category= -consonant_medial}', "");
Expect(0, 71456, '\P{^Is_Indic_Syllabic_Category= -consonant_medial}', "");
Error('\p{Is_InSC=/a/ consonant_MEDIAL}');
Error('\P{Is_InSC=/a/ consonant_MEDIAL}');
Expect(1, 71455, '\p{Is_InSC=consonantmedial}', "");
Expect(0, 71455, '\p{^Is_InSC=consonantmedial}', "");
Expect(0, 71455, '\P{Is_InSC=consonantmedial}', "");
Expect(1, 71455, '\P{^Is_InSC=consonantmedial}', "");
Expect(0, 71456, '\p{Is_InSC=consonantmedial}', "");
Expect(1, 71456, '\p{^Is_InSC=consonantmedial}', "");
Expect(1, 71456, '\P{Is_InSC=consonantmedial}', "");
Expect(0, 71456, '\P{^Is_InSC=consonantmedial}', "");
Expect(1, 71455, '\p{Is_InSC=CONSONANT_medial}', "");
Expect(0, 71455, '\p{^Is_InSC=CONSONANT_medial}', "");
Expect(0, 71455, '\P{Is_InSC=CONSONANT_medial}', "");
Expect(1, 71455, '\P{^Is_InSC=CONSONANT_medial}', "");
Expect(0, 71456, '\p{Is_InSC=CONSONANT_medial}', "");
Expect(1, 71456, '\p{^Is_InSC=CONSONANT_medial}', "");
Expect(1, 71456, '\P{Is_InSC=CONSONANT_medial}', "");
Expect(0, 71456, '\P{^Is_InSC=CONSONANT_medial}', "");
Error('\p{Indic_Syllabic_Category=	-consonant_placeholder:=}');
Error('\P{Indic_Syllabic_Category=	-consonant_placeholder:=}');
Expect(1, 9676, '\p{Indic_Syllabic_Category=consonantplaceholder}', "");
Expect(0, 9676, '\p{^Indic_Syllabic_Category=consonantplaceholder}', "");
Expect(0, 9676, '\P{Indic_Syllabic_Category=consonantplaceholder}', "");
Expect(1, 9676, '\P{^Indic_Syllabic_Category=consonantplaceholder}', "");
Expect(0, 9677, '\p{Indic_Syllabic_Category=consonantplaceholder}', "");
Expect(1, 9677, '\p{^Indic_Syllabic_Category=consonantplaceholder}', "");
Expect(1, 9677, '\P{Indic_Syllabic_Category=consonantplaceholder}', "");
Expect(0, 9677, '\P{^Indic_Syllabic_Category=consonantplaceholder}', "");
Expect(1, 9676, '\p{Indic_Syllabic_Category=__CONSONANT_placeholder}', "");
Expect(0, 9676, '\p{^Indic_Syllabic_Category=__CONSONANT_placeholder}', "");
Expect(0, 9676, '\P{Indic_Syllabic_Category=__CONSONANT_placeholder}', "");
Expect(1, 9676, '\P{^Indic_Syllabic_Category=__CONSONANT_placeholder}', "");
Expect(0, 9677, '\p{Indic_Syllabic_Category=__CONSONANT_placeholder}', "");
Expect(1, 9677, '\p{^Indic_Syllabic_Category=__CONSONANT_placeholder}', "");
Expect(1, 9677, '\P{Indic_Syllabic_Category=__CONSONANT_placeholder}', "");
Expect(0, 9677, '\P{^Indic_Syllabic_Category=__CONSONANT_placeholder}', "");
Error('\p{InSC=__CONSONANT_PLACEHOLDER:=}');
Error('\P{InSC=__CONSONANT_PLACEHOLDER:=}');
Expect(1, 9676, '\p{InSC=consonantplaceholder}', "");
Expect(0, 9676, '\p{^InSC=consonantplaceholder}', "");
Expect(0, 9676, '\P{InSC=consonantplaceholder}', "");
Expect(1, 9676, '\P{^InSC=consonantplaceholder}', "");
Expect(0, 9677, '\p{InSC=consonantplaceholder}', "");
Expect(1, 9677, '\p{^InSC=consonantplaceholder}', "");
Expect(1, 9677, '\P{InSC=consonantplaceholder}', "");
Expect(0, 9677, '\P{^InSC=consonantplaceholder}', "");
Expect(1, 9676, '\p{InSC=	-CONSONANT_Placeholder}', "");
Expect(0, 9676, '\p{^InSC=	-CONSONANT_Placeholder}', "");
Expect(0, 9676, '\P{InSC=	-CONSONANT_Placeholder}', "");
Expect(1, 9676, '\P{^InSC=	-CONSONANT_Placeholder}', "");
Expect(0, 9677, '\p{InSC=	-CONSONANT_Placeholder}', "");
Expect(1, 9677, '\p{^InSC=	-CONSONANT_Placeholder}', "");
Expect(1, 9677, '\P{InSC=	-CONSONANT_Placeholder}', "");
Expect(0, 9677, '\P{^InSC=	-CONSONANT_Placeholder}', "");
Error('\p{Is_Indic_Syllabic_Category=	:=consonant_Placeholder}');
Error('\P{Is_Indic_Syllabic_Category=	:=consonant_Placeholder}');
Expect(1, 9676, '\p{Is_Indic_Syllabic_Category=consonantplaceholder}', "");
Expect(0, 9676, '\p{^Is_Indic_Syllabic_Category=consonantplaceholder}', "");
Expect(0, 9676, '\P{Is_Indic_Syllabic_Category=consonantplaceholder}', "");
Expect(1, 9676, '\P{^Is_Indic_Syllabic_Category=consonantplaceholder}', "");
Expect(0, 9677, '\p{Is_Indic_Syllabic_Category=consonantplaceholder}', "");
Expect(1, 9677, '\p{^Is_Indic_Syllabic_Category=consonantplaceholder}', "");
Expect(1, 9677, '\P{Is_Indic_Syllabic_Category=consonantplaceholder}', "");
Expect(0, 9677, '\P{^Is_Indic_Syllabic_Category=consonantplaceholder}', "");
Expect(1, 9676, '\p{Is_Indic_Syllabic_Category=__Consonant_PLACEHOLDER}', "");
Expect(0, 9676, '\p{^Is_Indic_Syllabic_Category=__Consonant_PLACEHOLDER}', "");
Expect(0, 9676, '\P{Is_Indic_Syllabic_Category=__Consonant_PLACEHOLDER}', "");
Expect(1, 9676, '\P{^Is_Indic_Syllabic_Category=__Consonant_PLACEHOLDER}', "");
Expect(0, 9677, '\p{Is_Indic_Syllabic_Category=__Consonant_PLACEHOLDER}', "");
Expect(1, 9677, '\p{^Is_Indic_Syllabic_Category=__Consonant_PLACEHOLDER}', "");
Expect(1, 9677, '\P{Is_Indic_Syllabic_Category=__Consonant_PLACEHOLDER}', "");
Expect(0, 9677, '\P{^Is_Indic_Syllabic_Category=__Consonant_PLACEHOLDER}', "");
Error('\p{Is_InSC: /a/Consonant_Placeholder}');
Error('\P{Is_InSC: /a/Consonant_Placeholder}');
Expect(1, 9676, '\p{Is_InSC=consonantplaceholder}', "");
Expect(0, 9676, '\p{^Is_InSC=consonantplaceholder}', "");
Expect(0, 9676, '\P{Is_InSC=consonantplaceholder}', "");
Expect(1, 9676, '\P{^Is_InSC=consonantplaceholder}', "");
Expect(0, 9677, '\p{Is_InSC=consonantplaceholder}', "");
Expect(1, 9677, '\p{^Is_InSC=consonantplaceholder}', "");
Expect(1, 9677, '\P{Is_InSC=consonantplaceholder}', "");
Expect(0, 9677, '\P{^Is_InSC=consonantplaceholder}', "");
Expect(1, 9676, '\p{Is_InSC=-	Consonant_Placeholder}', "");
Expect(0, 9676, '\p{^Is_InSC=-	Consonant_Placeholder}', "");
Expect(0, 9676, '\P{Is_InSC=-	Consonant_Placeholder}', "");
Expect(1, 9676, '\P{^Is_InSC=-	Consonant_Placeholder}', "");
Expect(0, 9677, '\p{Is_InSC=-	Consonant_Placeholder}', "");
Expect(1, 9677, '\p{^Is_InSC=-	Consonant_Placeholder}', "");
Expect(1, 9677, '\P{Is_InSC=-	Consonant_Placeholder}', "");
Expect(0, 9677, '\P{^Is_InSC=-	Consonant_Placeholder}', "");
Error('\p{Indic_Syllabic_Category=__Consonant_preceding_Repha:=}');
Error('\P{Indic_Syllabic_Category=__Consonant_preceding_Repha:=}');
Expect(1, 3406, '\p{Indic_Syllabic_Category=consonantprecedingrepha}', "");
Expect(0, 3406, '\p{^Indic_Syllabic_Category=consonantprecedingrepha}', "");
Expect(0, 3406, '\P{Indic_Syllabic_Category=consonantprecedingrepha}', "");
Expect(1, 3406, '\P{^Indic_Syllabic_Category=consonantprecedingrepha}', "");
Expect(0, 3407, '\p{Indic_Syllabic_Category=consonantprecedingrepha}', "");
Expect(1, 3407, '\p{^Indic_Syllabic_Category=consonantprecedingrepha}', "");
Expect(1, 3407, '\P{Indic_Syllabic_Category=consonantprecedingrepha}', "");
Expect(0, 3407, '\P{^Indic_Syllabic_Category=consonantprecedingrepha}', "");
Expect(1, 3406, '\p{Indic_Syllabic_Category= _Consonant_Preceding_Repha}', "");
Expect(0, 3406, '\p{^Indic_Syllabic_Category= _Consonant_Preceding_Repha}', "");
Expect(0, 3406, '\P{Indic_Syllabic_Category= _Consonant_Preceding_Repha}', "");
Expect(1, 3406, '\P{^Indic_Syllabic_Category= _Consonant_Preceding_Repha}', "");
Expect(0, 3407, '\p{Indic_Syllabic_Category= _Consonant_Preceding_Repha}', "");
Expect(1, 3407, '\p{^Indic_Syllabic_Category= _Consonant_Preceding_Repha}', "");
Expect(1, 3407, '\P{Indic_Syllabic_Category= _Consonant_Preceding_Repha}', "");
Expect(0, 3407, '\P{^Indic_Syllabic_Category= _Consonant_Preceding_Repha}', "");
Error('\p{InSC=:=Consonant_Preceding_Repha}');
Error('\P{InSC=:=Consonant_Preceding_Repha}');
Expect(1, 3406, '\p{InSC=consonantprecedingrepha}', "");
Expect(0, 3406, '\p{^InSC=consonantprecedingrepha}', "");
Expect(0, 3406, '\P{InSC=consonantprecedingrepha}', "");
Expect(1, 3406, '\P{^InSC=consonantprecedingrepha}', "");
Expect(0, 3407, '\p{InSC=consonantprecedingrepha}', "");
Expect(1, 3407, '\p{^InSC=consonantprecedingrepha}', "");
Expect(1, 3407, '\P{InSC=consonantprecedingrepha}', "");
Expect(0, 3407, '\P{^InSC=consonantprecedingrepha}', "");
Expect(1, 3406, '\p{InSC=	_Consonant_preceding_Repha}', "");
Expect(0, 3406, '\p{^InSC=	_Consonant_preceding_Repha}', "");
Expect(0, 3406, '\P{InSC=	_Consonant_preceding_Repha}', "");
Expect(1, 3406, '\P{^InSC=	_Consonant_preceding_Repha}', "");
Expect(0, 3407, '\p{InSC=	_Consonant_preceding_Repha}', "");
Expect(1, 3407, '\p{^InSC=	_Consonant_preceding_Repha}', "");
Expect(1, 3407, '\P{InSC=	_Consonant_preceding_Repha}', "");
Expect(0, 3407, '\P{^InSC=	_Consonant_preceding_Repha}', "");
Error('\p{Is_Indic_Syllabic_Category:   _-Consonant_preceding_repha/a/}');
Error('\P{Is_Indic_Syllabic_Category:   _-Consonant_preceding_repha/a/}');
Expect(1, 3406, '\p{Is_Indic_Syllabic_Category=consonantprecedingrepha}', "");
Expect(0, 3406, '\p{^Is_Indic_Syllabic_Category=consonantprecedingrepha}', "");
Expect(0, 3406, '\P{Is_Indic_Syllabic_Category=consonantprecedingrepha}', "");
Expect(1, 3406, '\P{^Is_Indic_Syllabic_Category=consonantprecedingrepha}', "");
Expect(0, 3407, '\p{Is_Indic_Syllabic_Category=consonantprecedingrepha}', "");
Expect(1, 3407, '\p{^Is_Indic_Syllabic_Category=consonantprecedingrepha}', "");
Expect(1, 3407, '\P{Is_Indic_Syllabic_Category=consonantprecedingrepha}', "");
Expect(0, 3407, '\P{^Is_Indic_Syllabic_Category=consonantprecedingrepha}', "");
Expect(1, 3406, '\p{Is_Indic_Syllabic_Category=	 Consonant_Preceding_Repha}', "");
Expect(0, 3406, '\p{^Is_Indic_Syllabic_Category=	 Consonant_Preceding_Repha}', "");
Expect(0, 3406, '\P{Is_Indic_Syllabic_Category=	 Consonant_Preceding_Repha}', "");
Expect(1, 3406, '\P{^Is_Indic_Syllabic_Category=	 Consonant_Preceding_Repha}', "");
Expect(0, 3407, '\p{Is_Indic_Syllabic_Category=	 Consonant_Preceding_Repha}', "");
Expect(1, 3407, '\p{^Is_Indic_Syllabic_Category=	 Consonant_Preceding_Repha}', "");
Expect(1, 3407, '\P{Is_Indic_Syllabic_Category=	 Consonant_Preceding_Repha}', "");
Expect(0, 3407, '\P{^Is_Indic_Syllabic_Category=	 Consonant_Preceding_Repha}', "");
Error('\p{Is_InSC=:=_Consonant_preceding_repha}');
Error('\P{Is_InSC=:=_Consonant_preceding_repha}');
Expect(1, 3406, '\p{Is_InSC:   consonantprecedingrepha}', "");
Expect(0, 3406, '\p{^Is_InSC:   consonantprecedingrepha}', "");
Expect(0, 3406, '\P{Is_InSC:   consonantprecedingrepha}', "");
Expect(1, 3406, '\P{^Is_InSC:   consonantprecedingrepha}', "");
Expect(0, 3407, '\p{Is_InSC:   consonantprecedingrepha}', "");
Expect(1, 3407, '\p{^Is_InSC:   consonantprecedingrepha}', "");
Expect(1, 3407, '\P{Is_InSC:   consonantprecedingrepha}', "");
Expect(0, 3407, '\P{^Is_InSC:   consonantprecedingrepha}', "");
Expect(1, 3406, '\p{Is_InSC: 	Consonant_preceding_Repha}', "");
Expect(0, 3406, '\p{^Is_InSC: 	Consonant_preceding_Repha}', "");
Expect(0, 3406, '\P{Is_InSC: 	Consonant_preceding_Repha}', "");
Expect(1, 3406, '\P{^Is_InSC: 	Consonant_preceding_Repha}', "");
Expect(0, 3407, '\p{Is_InSC: 	Consonant_preceding_Repha}', "");
Expect(1, 3407, '\p{^Is_InSC: 	Consonant_preceding_Repha}', "");
Expect(1, 3407, '\P{Is_InSC: 	Consonant_preceding_Repha}', "");
Expect(0, 3407, '\P{^Is_InSC: 	Consonant_preceding_Repha}', "");
Error('\p{Indic_Syllabic_Category= /a/Consonant_Prefixed}');
Error('\P{Indic_Syllabic_Category= /a/Consonant_Prefixed}');
Expect(1, 70083, '\p{Indic_Syllabic_Category=consonantprefixed}', "");
Expect(0, 70083, '\p{^Indic_Syllabic_Category=consonantprefixed}', "");
Expect(0, 70083, '\P{Indic_Syllabic_Category=consonantprefixed}', "");
Expect(1, 70083, '\P{^Indic_Syllabic_Category=consonantprefixed}', "");
Expect(0, 70084, '\p{Indic_Syllabic_Category=consonantprefixed}', "");
Expect(1, 70084, '\p{^Indic_Syllabic_Category=consonantprefixed}', "");
Expect(1, 70084, '\P{Indic_Syllabic_Category=consonantprefixed}', "");
Expect(0, 70084, '\P{^Indic_Syllabic_Category=consonantprefixed}', "");
Expect(1, 70083, '\p{Indic_Syllabic_Category= -Consonant_Prefixed}', "");
Expect(0, 70083, '\p{^Indic_Syllabic_Category= -Consonant_Prefixed}', "");
Expect(0, 70083, '\P{Indic_Syllabic_Category= -Consonant_Prefixed}', "");
Expect(1, 70083, '\P{^Indic_Syllabic_Category= -Consonant_Prefixed}', "");
Expect(0, 70084, '\p{Indic_Syllabic_Category= -Consonant_Prefixed}', "");
Expect(1, 70084, '\p{^Indic_Syllabic_Category= -Consonant_Prefixed}', "");
Expect(1, 70084, '\P{Indic_Syllabic_Category= -Consonant_Prefixed}', "");
Expect(0, 70084, '\P{^Indic_Syllabic_Category= -Consonant_Prefixed}', "");
Error('\p{InSC=		consonant_Prefixed:=}');
Error('\P{InSC=		consonant_Prefixed:=}');
Expect(1, 70083, '\p{InSC=consonantprefixed}', "");
Expect(0, 70083, '\p{^InSC=consonantprefixed}', "");
Expect(0, 70083, '\P{InSC=consonantprefixed}', "");
Expect(1, 70083, '\P{^InSC=consonantprefixed}', "");
Expect(0, 70084, '\p{InSC=consonantprefixed}', "");
Expect(1, 70084, '\p{^InSC=consonantprefixed}', "");
Expect(1, 70084, '\P{InSC=consonantprefixed}', "");
Expect(0, 70084, '\P{^InSC=consonantprefixed}', "");
Expect(1, 70083, '\p{InSC=-Consonant_Prefixed}', "");
Expect(0, 70083, '\p{^InSC=-Consonant_Prefixed}', "");
Expect(0, 70083, '\P{InSC=-Consonant_Prefixed}', "");
Expect(1, 70083, '\P{^InSC=-Consonant_Prefixed}', "");
Expect(0, 70084, '\p{InSC=-Consonant_Prefixed}', "");
Expect(1, 70084, '\p{^InSC=-Consonant_Prefixed}', "");
Expect(1, 70084, '\P{InSC=-Consonant_Prefixed}', "");
Expect(0, 70084, '\P{^InSC=-Consonant_Prefixed}', "");
Error('\p{Is_Indic_Syllabic_Category=-consonant_Prefixed:=}');
Error('\P{Is_Indic_Syllabic_Category=-consonant_Prefixed:=}');
Expect(1, 70083, '\p{Is_Indic_Syllabic_Category: consonantprefixed}', "");
Expect(0, 70083, '\p{^Is_Indic_Syllabic_Category: consonantprefixed}', "");
Expect(0, 70083, '\P{Is_Indic_Syllabic_Category: consonantprefixed}', "");
Expect(1, 70083, '\P{^Is_Indic_Syllabic_Category: consonantprefixed}', "");
Expect(0, 70084, '\p{Is_Indic_Syllabic_Category: consonantprefixed}', "");
Expect(1, 70084, '\p{^Is_Indic_Syllabic_Category: consonantprefixed}', "");
Expect(1, 70084, '\P{Is_Indic_Syllabic_Category: consonantprefixed}', "");
Expect(0, 70084, '\P{^Is_Indic_Syllabic_Category: consonantprefixed}', "");
Expect(1, 70083, '\p{Is_Indic_Syllabic_Category= 	consonant_Prefixed}', "");
Expect(0, 70083, '\p{^Is_Indic_Syllabic_Category= 	consonant_Prefixed}', "");
Expect(0, 70083, '\P{Is_Indic_Syllabic_Category= 	consonant_Prefixed}', "");
Expect(1, 70083, '\P{^Is_Indic_Syllabic_Category= 	consonant_Prefixed}', "");
Expect(0, 70084, '\p{Is_Indic_Syllabic_Category= 	consonant_Prefixed}', "");
Expect(1, 70084, '\p{^Is_Indic_Syllabic_Category= 	consonant_Prefixed}', "");
Expect(1, 70084, '\P{Is_Indic_Syllabic_Category= 	consonant_Prefixed}', "");
Expect(0, 70084, '\P{^Is_Indic_Syllabic_Category= 	consonant_Prefixed}', "");
Error('\p{Is_InSC=:=_-Consonant_Prefixed}');
Error('\P{Is_InSC=:=_-Consonant_Prefixed}');
Expect(1, 70083, '\p{Is_InSC=consonantprefixed}', "");
Expect(0, 70083, '\p{^Is_InSC=consonantprefixed}', "");
Expect(0, 70083, '\P{Is_InSC=consonantprefixed}', "");
Expect(1, 70083, '\P{^Is_InSC=consonantprefixed}', "");
Expect(0, 70084, '\p{Is_InSC=consonantprefixed}', "");
Expect(1, 70084, '\p{^Is_InSC=consonantprefixed}', "");
Expect(1, 70084, '\P{Is_InSC=consonantprefixed}', "");
Expect(0, 70084, '\P{^Is_InSC=consonantprefixed}', "");
Expect(1, 70083, '\p{Is_InSC= 	CONSONANT_PREFIXED}', "");
Expect(0, 70083, '\p{^Is_InSC= 	CONSONANT_PREFIXED}', "");
Expect(0, 70083, '\P{Is_InSC= 	CONSONANT_PREFIXED}', "");
Expect(1, 70083, '\P{^Is_InSC= 	CONSONANT_PREFIXED}', "");
Expect(0, 70084, '\p{Is_InSC= 	CONSONANT_PREFIXED}', "");
Expect(1, 70084, '\p{^Is_InSC= 	CONSONANT_PREFIXED}', "");
Expect(1, 70084, '\P{Is_InSC= 	CONSONANT_PREFIXED}', "");
Expect(0, 70084, '\P{^Is_InSC= 	CONSONANT_PREFIXED}', "");
Error('\p{Indic_Syllabic_Category=/a/	Consonant_Subjoined}');
Error('\P{Indic_Syllabic_Category=/a/	Consonant_Subjoined}');
Expect(1, 43453, '\p{Indic_Syllabic_Category=consonantsubjoined}', "");
Expect(0, 43453, '\p{^Indic_Syllabic_Category=consonantsubjoined}', "");
Expect(0, 43453, '\P{Indic_Syllabic_Category=consonantsubjoined}', "");
Expect(1, 43453, '\P{^Indic_Syllabic_Category=consonantsubjoined}', "");
Expect(0, 43454, '\p{Indic_Syllabic_Category=consonantsubjoined}', "");
Expect(1, 43454, '\p{^Indic_Syllabic_Category=consonantsubjoined}', "");
Expect(1, 43454, '\P{Indic_Syllabic_Category=consonantsubjoined}', "");
Expect(0, 43454, '\P{^Indic_Syllabic_Category=consonantsubjoined}', "");
Expect(1, 43453, '\p{Indic_Syllabic_Category= -CONSONANT_SUBJOINED}', "");
Expect(0, 43453, '\p{^Indic_Syllabic_Category= -CONSONANT_SUBJOINED}', "");
Expect(0, 43453, '\P{Indic_Syllabic_Category= -CONSONANT_SUBJOINED}', "");
Expect(1, 43453, '\P{^Indic_Syllabic_Category= -CONSONANT_SUBJOINED}', "");
Expect(0, 43454, '\p{Indic_Syllabic_Category= -CONSONANT_SUBJOINED}', "");
Expect(1, 43454, '\p{^Indic_Syllabic_Category= -CONSONANT_SUBJOINED}', "");
Expect(1, 43454, '\P{Indic_Syllabic_Category= -CONSONANT_SUBJOINED}', "");
Expect(0, 43454, '\P{^Indic_Syllabic_Category= -CONSONANT_SUBJOINED}', "");
Error('\p{InSC=:= -Consonant_subjoined}');
Error('\P{InSC=:= -Consonant_subjoined}');
Expect(1, 43453, '\p{InSC:   consonantsubjoined}', "");
Expect(0, 43453, '\p{^InSC:   consonantsubjoined}', "");
Expect(0, 43453, '\P{InSC:   consonantsubjoined}', "");
Expect(1, 43453, '\P{^InSC:   consonantsubjoined}', "");
Expect(0, 43454, '\p{InSC:   consonantsubjoined}', "");
Expect(1, 43454, '\p{^InSC:   consonantsubjoined}', "");
Expect(1, 43454, '\P{InSC:   consonantsubjoined}', "");
Expect(0, 43454, '\P{^InSC:   consonantsubjoined}', "");
Expect(1, 43453, '\p{InSC= Consonant_Subjoined}', "");
Expect(0, 43453, '\p{^InSC= Consonant_Subjoined}', "");
Expect(0, 43453, '\P{InSC= Consonant_Subjoined}', "");
Expect(1, 43453, '\P{^InSC= Consonant_Subjoined}', "");
Expect(0, 43454, '\p{InSC= Consonant_Subjoined}', "");
Expect(1, 43454, '\p{^InSC= Consonant_Subjoined}', "");
Expect(1, 43454, '\P{InSC= Consonant_Subjoined}', "");
Expect(0, 43454, '\P{^InSC= Consonant_Subjoined}', "");
Error('\p{Is_Indic_Syllabic_Category=/a/ Consonant_Subjoined}');
Error('\P{Is_Indic_Syllabic_Category=/a/ Consonant_Subjoined}');
Expect(1, 43453, '\p{Is_Indic_Syllabic_Category=consonantsubjoined}', "");
Expect(0, 43453, '\p{^Is_Indic_Syllabic_Category=consonantsubjoined}', "");
Expect(0, 43453, '\P{Is_Indic_Syllabic_Category=consonantsubjoined}', "");
Expect(1, 43453, '\P{^Is_Indic_Syllabic_Category=consonantsubjoined}', "");
Expect(0, 43454, '\p{Is_Indic_Syllabic_Category=consonantsubjoined}', "");
Expect(1, 43454, '\p{^Is_Indic_Syllabic_Category=consonantsubjoined}', "");
Expect(1, 43454, '\P{Is_Indic_Syllabic_Category=consonantsubjoined}', "");
Expect(0, 43454, '\P{^Is_Indic_Syllabic_Category=consonantsubjoined}', "");
Expect(1, 43453, '\p{Is_Indic_Syllabic_Category=	Consonant_Subjoined}', "");
Expect(0, 43453, '\p{^Is_Indic_Syllabic_Category=	Consonant_Subjoined}', "");
Expect(0, 43453, '\P{Is_Indic_Syllabic_Category=	Consonant_Subjoined}', "");
Expect(1, 43453, '\P{^Is_Indic_Syllabic_Category=	Consonant_Subjoined}', "");
Expect(0, 43454, '\p{Is_Indic_Syllabic_Category=	Consonant_Subjoined}', "");
Expect(1, 43454, '\p{^Is_Indic_Syllabic_Category=	Consonant_Subjoined}', "");
Expect(1, 43454, '\P{Is_Indic_Syllabic_Category=	Consonant_Subjoined}', "");
Expect(0, 43454, '\P{^Is_Indic_Syllabic_Category=	Consonant_Subjoined}', "");
Error('\p{Is_InSC=-:=CONSONANT_subjoined}');
Error('\P{Is_InSC=-:=CONSONANT_subjoined}');
Expect(1, 43453, '\p{Is_InSC=consonantsubjoined}', "");
Expect(0, 43453, '\p{^Is_InSC=consonantsubjoined}', "");
Expect(0, 43453, '\P{Is_InSC=consonantsubjoined}', "");
Expect(1, 43453, '\P{^Is_InSC=consonantsubjoined}', "");
Expect(0, 43454, '\p{Is_InSC=consonantsubjoined}', "");
Expect(1, 43454, '\p{^Is_InSC=consonantsubjoined}', "");
Expect(1, 43454, '\P{Is_InSC=consonantsubjoined}', "");
Expect(0, 43454, '\P{^Is_InSC=consonantsubjoined}', "");
Expect(1, 43453, '\p{Is_InSC=_consonant_Subjoined}', "");
Expect(0, 43453, '\p{^Is_InSC=_consonant_Subjoined}', "");
Expect(0, 43453, '\P{Is_InSC=_consonant_Subjoined}', "");
Expect(1, 43453, '\P{^Is_InSC=_consonant_Subjoined}', "");
Expect(0, 43454, '\p{Is_InSC=_consonant_Subjoined}', "");
Expect(1, 43454, '\p{^Is_InSC=_consonant_Subjoined}', "");
Expect(1, 43454, '\P{Is_InSC=_consonant_Subjoined}', "");
Expect(0, 43454, '\P{^Is_InSC=_consonant_Subjoined}', "");
Error('\p{Indic_Syllabic_Category=-:=Consonant_Succeeding_REPHA}');
Error('\P{Indic_Syllabic_Category=-:=Consonant_Succeeding_REPHA}');
Expect(1, 43394, '\p{Indic_Syllabic_Category=consonantsucceedingrepha}', "");
Expect(0, 43394, '\p{^Indic_Syllabic_Category=consonantsucceedingrepha}', "");
Expect(0, 43394, '\P{Indic_Syllabic_Category=consonantsucceedingrepha}', "");
Expect(1, 43394, '\P{^Indic_Syllabic_Category=consonantsucceedingrepha}', "");
Expect(0, 43395, '\p{Indic_Syllabic_Category=consonantsucceedingrepha}', "");
Expect(1, 43395, '\p{^Indic_Syllabic_Category=consonantsucceedingrepha}', "");
Expect(1, 43395, '\P{Indic_Syllabic_Category=consonantsucceedingrepha}', "");
Expect(0, 43395, '\P{^Indic_Syllabic_Category=consonantsucceedingrepha}', "");
Expect(1, 43394, '\p{Indic_Syllabic_Category=	 Consonant_SUCCEEDING_repha}', "");
Expect(0, 43394, '\p{^Indic_Syllabic_Category=	 Consonant_SUCCEEDING_repha}', "");
Expect(0, 43394, '\P{Indic_Syllabic_Category=	 Consonant_SUCCEEDING_repha}', "");
Expect(1, 43394, '\P{^Indic_Syllabic_Category=	 Consonant_SUCCEEDING_repha}', "");
Expect(0, 43395, '\p{Indic_Syllabic_Category=	 Consonant_SUCCEEDING_repha}', "");
Expect(1, 43395, '\p{^Indic_Syllabic_Category=	 Consonant_SUCCEEDING_repha}', "");
Expect(1, 43395, '\P{Indic_Syllabic_Category=	 Consonant_SUCCEEDING_repha}', "");
Expect(0, 43395, '\P{^Indic_Syllabic_Category=	 Consonant_SUCCEEDING_repha}', "");
Error('\p{InSC=:=		CONSONANT_succeeding_REPHA}');
Error('\P{InSC=:=		CONSONANT_succeeding_REPHA}');
Expect(1, 43394, '\p{InSC=consonantsucceedingrepha}', "");
Expect(0, 43394, '\p{^InSC=consonantsucceedingrepha}', "");
Expect(0, 43394, '\P{InSC=consonantsucceedingrepha}', "");
Expect(1, 43394, '\P{^InSC=consonantsucceedingrepha}', "");
Expect(0, 43395, '\p{InSC=consonantsucceedingrepha}', "");
Expect(1, 43395, '\p{^InSC=consonantsucceedingrepha}', "");
Expect(1, 43395, '\P{InSC=consonantsucceedingrepha}', "");
Expect(0, 43395, '\P{^InSC=consonantsucceedingrepha}', "");
Expect(1, 43394, '\p{InSC= Consonant_SUCCEEDING_Repha}', "");
Expect(0, 43394, '\p{^InSC= Consonant_SUCCEEDING_Repha}', "");
Expect(0, 43394, '\P{InSC= Consonant_SUCCEEDING_Repha}', "");
Expect(1, 43394, '\P{^InSC= Consonant_SUCCEEDING_Repha}', "");
Expect(0, 43395, '\p{InSC= Consonant_SUCCEEDING_Repha}', "");
Expect(1, 43395, '\p{^InSC= Consonant_SUCCEEDING_Repha}', "");
Expect(1, 43395, '\P{InSC= Consonant_SUCCEEDING_Repha}', "");
Expect(0, 43395, '\P{^InSC= Consonant_SUCCEEDING_Repha}', "");
Error('\p{Is_Indic_Syllabic_Category=_/a/consonant_SUCCEEDING_Repha}');
Error('\P{Is_Indic_Syllabic_Category=_/a/consonant_SUCCEEDING_Repha}');
Expect(1, 43394, '\p{Is_Indic_Syllabic_Category=consonantsucceedingrepha}', "");
Expect(0, 43394, '\p{^Is_Indic_Syllabic_Category=consonantsucceedingrepha}', "");
Expect(0, 43394, '\P{Is_Indic_Syllabic_Category=consonantsucceedingrepha}', "");
Expect(1, 43394, '\P{^Is_Indic_Syllabic_Category=consonantsucceedingrepha}', "");
Expect(0, 43395, '\p{Is_Indic_Syllabic_Category=consonantsucceedingrepha}', "");
Expect(1, 43395, '\p{^Is_Indic_Syllabic_Category=consonantsucceedingrepha}', "");
Expect(1, 43395, '\P{Is_Indic_Syllabic_Category=consonantsucceedingrepha}', "");
Expect(0, 43395, '\P{^Is_Indic_Syllabic_Category=consonantsucceedingrepha}', "");
Expect(1, 43394, '\p{Is_Indic_Syllabic_Category=CONSONANT_Succeeding_REPHA}', "");
Expect(0, 43394, '\p{^Is_Indic_Syllabic_Category=CONSONANT_Succeeding_REPHA}', "");
Expect(0, 43394, '\P{Is_Indic_Syllabic_Category=CONSONANT_Succeeding_REPHA}', "");
Expect(1, 43394, '\P{^Is_Indic_Syllabic_Category=CONSONANT_Succeeding_REPHA}', "");
Expect(0, 43395, '\p{Is_Indic_Syllabic_Category=CONSONANT_Succeeding_REPHA}', "");
Expect(1, 43395, '\p{^Is_Indic_Syllabic_Category=CONSONANT_Succeeding_REPHA}', "");
Expect(1, 43395, '\P{Is_Indic_Syllabic_Category=CONSONANT_Succeeding_REPHA}', "");
Expect(0, 43395, '\P{^Is_Indic_Syllabic_Category=CONSONANT_Succeeding_REPHA}', "");
Error('\p{Is_InSC: /a/CONSONANT_succeeding_repha}');
Error('\P{Is_InSC: /a/CONSONANT_succeeding_repha}');
Expect(1, 43394, '\p{Is_InSC=consonantsucceedingrepha}', "");
Expect(0, 43394, '\p{^Is_InSC=consonantsucceedingrepha}', "");
Expect(0, 43394, '\P{Is_InSC=consonantsucceedingrepha}', "");
Expect(1, 43394, '\P{^Is_InSC=consonantsucceedingrepha}', "");
Expect(0, 43395, '\p{Is_InSC=consonantsucceedingrepha}', "");
Expect(1, 43395, '\p{^Is_InSC=consonantsucceedingrepha}', "");
Expect(1, 43395, '\P{Is_InSC=consonantsucceedingrepha}', "");
Expect(0, 43395, '\P{^Is_InSC=consonantsucceedingrepha}', "");
Expect(1, 43394, '\p{Is_InSC=_	consonant_SUCCEEDING_Repha}', "");
Expect(0, 43394, '\p{^Is_InSC=_	consonant_SUCCEEDING_Repha}', "");
Expect(0, 43394, '\P{Is_InSC=_	consonant_SUCCEEDING_Repha}', "");
Expect(1, 43394, '\P{^Is_InSC=_	consonant_SUCCEEDING_Repha}', "");
Expect(0, 43395, '\p{Is_InSC=_	consonant_SUCCEEDING_Repha}', "");
Expect(1, 43395, '\p{^Is_InSC=_	consonant_SUCCEEDING_Repha}', "");
Expect(1, 43395, '\P{Is_InSC=_	consonant_SUCCEEDING_Repha}', "");
Expect(0, 43395, '\P{^Is_InSC=_	consonant_SUCCEEDING_Repha}', "");
Error('\p{Indic_Syllabic_Category=__CONSONANT_With_Stacker/a/}');
Error('\P{Indic_Syllabic_Category=__CONSONANT_With_Stacker/a/}');
Expect(1, 69636, '\p{Indic_Syllabic_Category=consonantwithstacker}', "");
Expect(0, 69636, '\p{^Indic_Syllabic_Category=consonantwithstacker}', "");
Expect(0, 69636, '\P{Indic_Syllabic_Category=consonantwithstacker}', "");
Expect(1, 69636, '\P{^Indic_Syllabic_Category=consonantwithstacker}', "");
Expect(0, 69637, '\p{Indic_Syllabic_Category=consonantwithstacker}', "");
Expect(1, 69637, '\p{^Indic_Syllabic_Category=consonantwithstacker}', "");
Expect(1, 69637, '\P{Indic_Syllabic_Category=consonantwithstacker}', "");
Expect(0, 69637, '\P{^Indic_Syllabic_Category=consonantwithstacker}', "");
Expect(1, 69636, '\p{Indic_Syllabic_Category:  _Consonant_WITH_STACKER}', "");
Expect(0, 69636, '\p{^Indic_Syllabic_Category:  _Consonant_WITH_STACKER}', "");
Expect(0, 69636, '\P{Indic_Syllabic_Category:  _Consonant_WITH_STACKER}', "");
Expect(1, 69636, '\P{^Indic_Syllabic_Category:  _Consonant_WITH_STACKER}', "");
Expect(0, 69637, '\p{Indic_Syllabic_Category:  _Consonant_WITH_STACKER}', "");
Expect(1, 69637, '\p{^Indic_Syllabic_Category:  _Consonant_WITH_STACKER}', "");
Expect(1, 69637, '\P{Indic_Syllabic_Category:  _Consonant_WITH_STACKER}', "");
Expect(0, 69637, '\P{^Indic_Syllabic_Category:  _Consonant_WITH_STACKER}', "");
Error('\p{InSC=:=_Consonant_With_STACKER}');
Error('\P{InSC=:=_Consonant_With_STACKER}');
Expect(1, 69636, '\p{InSC=consonantwithstacker}', "");
Expect(0, 69636, '\p{^InSC=consonantwithstacker}', "");
Expect(0, 69636, '\P{InSC=consonantwithstacker}', "");
Expect(1, 69636, '\P{^InSC=consonantwithstacker}', "");
Expect(0, 69637, '\p{InSC=consonantwithstacker}', "");
Expect(1, 69637, '\p{^InSC=consonantwithstacker}', "");
Expect(1, 69637, '\P{InSC=consonantwithstacker}', "");
Expect(0, 69637, '\P{^InSC=consonantwithstacker}', "");
Expect(1, 69636, '\p{InSC=-consonant_WITH_Stacker}', "");
Expect(0, 69636, '\p{^InSC=-consonant_WITH_Stacker}', "");
Expect(0, 69636, '\P{InSC=-consonant_WITH_Stacker}', "");
Expect(1, 69636, '\P{^InSC=-consonant_WITH_Stacker}', "");
Expect(0, 69637, '\p{InSC=-consonant_WITH_Stacker}', "");
Expect(1, 69637, '\p{^InSC=-consonant_WITH_Stacker}', "");
Expect(1, 69637, '\P{InSC=-consonant_WITH_Stacker}', "");
Expect(0, 69637, '\P{^InSC=-consonant_WITH_Stacker}', "");
Error('\p{Is_Indic_Syllabic_Category:	/a/-	CONSONANT_With_STACKER}');
Error('\P{Is_Indic_Syllabic_Category:	/a/-	CONSONANT_With_STACKER}');
Expect(1, 69636, '\p{Is_Indic_Syllabic_Category=consonantwithstacker}', "");
Expect(0, 69636, '\p{^Is_Indic_Syllabic_Category=consonantwithstacker}', "");
Expect(0, 69636, '\P{Is_Indic_Syllabic_Category=consonantwithstacker}', "");
Expect(1, 69636, '\P{^Is_Indic_Syllabic_Category=consonantwithstacker}', "");
Expect(0, 69637, '\p{Is_Indic_Syllabic_Category=consonantwithstacker}', "");
Expect(1, 69637, '\p{^Is_Indic_Syllabic_Category=consonantwithstacker}', "");
Expect(1, 69637, '\P{Is_Indic_Syllabic_Category=consonantwithstacker}', "");
Expect(0, 69637, '\P{^Is_Indic_Syllabic_Category=consonantwithstacker}', "");
Expect(1, 69636, '\p{Is_Indic_Syllabic_Category=_-Consonant_With_STACKER}', "");
Expect(0, 69636, '\p{^Is_Indic_Syllabic_Category=_-Consonant_With_STACKER}', "");
Expect(0, 69636, '\P{Is_Indic_Syllabic_Category=_-Consonant_With_STACKER}', "");
Expect(1, 69636, '\P{^Is_Indic_Syllabic_Category=_-Consonant_With_STACKER}', "");
Expect(0, 69637, '\p{Is_Indic_Syllabic_Category=_-Consonant_With_STACKER}', "");
Expect(1, 69637, '\p{^Is_Indic_Syllabic_Category=_-Consonant_With_STACKER}', "");
Expect(1, 69637, '\P{Is_Indic_Syllabic_Category=_-Consonant_With_STACKER}', "");
Expect(0, 69637, '\P{^Is_Indic_Syllabic_Category=_-Consonant_With_STACKER}', "");
Error('\p{Is_InSC=-/a/Consonant_With_STACKER}');
Error('\P{Is_InSC=-/a/Consonant_With_STACKER}');
Expect(1, 69636, '\p{Is_InSC=consonantwithstacker}', "");
Expect(0, 69636, '\p{^Is_InSC=consonantwithstacker}', "");
Expect(0, 69636, '\P{Is_InSC=consonantwithstacker}', "");
Expect(1, 69636, '\P{^Is_InSC=consonantwithstacker}', "");
Expect(0, 69637, '\p{Is_InSC=consonantwithstacker}', "");
Expect(1, 69637, '\p{^Is_InSC=consonantwithstacker}', "");
Expect(1, 69637, '\P{Is_InSC=consonantwithstacker}', "");
Expect(0, 69637, '\P{^Is_InSC=consonantwithstacker}', "");
Expect(1, 69636, '\p{Is_InSC=-_consonant_with_STACKER}', "");
Expect(0, 69636, '\p{^Is_InSC=-_consonant_with_STACKER}', "");
Expect(0, 69636, '\P{Is_InSC=-_consonant_with_STACKER}', "");
Expect(1, 69636, '\P{^Is_InSC=-_consonant_with_STACKER}', "");
Expect(0, 69637, '\p{Is_InSC=-_consonant_with_STACKER}', "");
Expect(1, 69637, '\p{^Is_InSC=-_consonant_with_STACKER}', "");
Expect(1, 69637, '\P{Is_InSC=-_consonant_with_STACKER}', "");
Expect(0, 69637, '\P{^Is_InSC=-_consonant_with_STACKER}', "");
Error('\p{Indic_Syllabic_Category=	:=Gemination_MARK}');
Error('\P{Indic_Syllabic_Category=	:=Gemination_MARK}');
Expect(1, 70199, '\p{Indic_Syllabic_Category=geminationmark}', "");
Expect(0, 70199, '\p{^Indic_Syllabic_Category=geminationmark}', "");
Expect(0, 70199, '\P{Indic_Syllabic_Category=geminationmark}', "");
Expect(1, 70199, '\P{^Indic_Syllabic_Category=geminationmark}', "");
Expect(0, 70200, '\p{Indic_Syllabic_Category=geminationmark}', "");
Expect(1, 70200, '\p{^Indic_Syllabic_Category=geminationmark}', "");
Expect(1, 70200, '\P{Indic_Syllabic_Category=geminationmark}', "");
Expect(0, 70200, '\P{^Indic_Syllabic_Category=geminationmark}', "");
Expect(1, 70199, '\p{Indic_Syllabic_Category=_	Gemination_MARK}', "");
Expect(0, 70199, '\p{^Indic_Syllabic_Category=_	Gemination_MARK}', "");
Expect(0, 70199, '\P{Indic_Syllabic_Category=_	Gemination_MARK}', "");
Expect(1, 70199, '\P{^Indic_Syllabic_Category=_	Gemination_MARK}', "");
Expect(0, 70200, '\p{Indic_Syllabic_Category=_	Gemination_MARK}', "");
Expect(1, 70200, '\p{^Indic_Syllabic_Category=_	Gemination_MARK}', "");
Expect(1, 70200, '\P{Indic_Syllabic_Category=_	Gemination_MARK}', "");
Expect(0, 70200, '\P{^Indic_Syllabic_Category=_	Gemination_MARK}', "");
Error('\p{InSC=/a/Gemination_Mark}');
Error('\P{InSC=/a/Gemination_Mark}');
Expect(1, 70199, '\p{InSC=geminationmark}', "");
Expect(0, 70199, '\p{^InSC=geminationmark}', "");
Expect(0, 70199, '\P{InSC=geminationmark}', "");
Expect(1, 70199, '\P{^InSC=geminationmark}', "");
Expect(0, 70200, '\p{InSC=geminationmark}', "");
Expect(1, 70200, '\p{^InSC=geminationmark}', "");
Expect(1, 70200, '\P{InSC=geminationmark}', "");
Expect(0, 70200, '\P{^InSC=geminationmark}', "");
Expect(1, 70199, '\p{InSC:   Gemination_MARK}', "");
Expect(0, 70199, '\p{^InSC:   Gemination_MARK}', "");
Expect(0, 70199, '\P{InSC:   Gemination_MARK}', "");
Expect(1, 70199, '\P{^InSC:   Gemination_MARK}', "");
Expect(0, 70200, '\p{InSC:   Gemination_MARK}', "");
Expect(1, 70200, '\p{^InSC:   Gemination_MARK}', "");
Expect(1, 70200, '\P{InSC:   Gemination_MARK}', "");
Expect(0, 70200, '\P{^InSC:   Gemination_MARK}', "");
Error('\p{Is_Indic_Syllabic_Category=:=GEMINATION_mark}');
Error('\P{Is_Indic_Syllabic_Category=:=GEMINATION_mark}');
Expect(1, 70199, '\p{Is_Indic_Syllabic_Category=geminationmark}', "");
Expect(0, 70199, '\p{^Is_Indic_Syllabic_Category=geminationmark}', "");
Expect(0, 70199, '\P{Is_Indic_Syllabic_Category=geminationmark}', "");
Expect(1, 70199, '\P{^Is_Indic_Syllabic_Category=geminationmark}', "");
Expect(0, 70200, '\p{Is_Indic_Syllabic_Category=geminationmark}', "");
Expect(1, 70200, '\p{^Is_Indic_Syllabic_Category=geminationmark}', "");
Expect(1, 70200, '\P{Is_Indic_Syllabic_Category=geminationmark}', "");
Expect(0, 70200, '\P{^Is_Indic_Syllabic_Category=geminationmark}', "");
Expect(1, 70199, '\p{Is_Indic_Syllabic_Category=__GEMINATION_Mark}', "");
Expect(0, 70199, '\p{^Is_Indic_Syllabic_Category=__GEMINATION_Mark}', "");
Expect(0, 70199, '\P{Is_Indic_Syllabic_Category=__GEMINATION_Mark}', "");
Expect(1, 70199, '\P{^Is_Indic_Syllabic_Category=__GEMINATION_Mark}', "");
Expect(0, 70200, '\p{Is_Indic_Syllabic_Category=__GEMINATION_Mark}', "");
Expect(1, 70200, '\p{^Is_Indic_Syllabic_Category=__GEMINATION_Mark}', "");
Expect(1, 70200, '\P{Is_Indic_Syllabic_Category=__GEMINATION_Mark}', "");
Expect(0, 70200, '\P{^Is_Indic_Syllabic_Category=__GEMINATION_Mark}', "");
Error('\p{Is_InSC=:=Gemination_Mark}');
Error('\P{Is_InSC=:=Gemination_Mark}');
Expect(1, 70199, '\p{Is_InSC=geminationmark}', "");
Expect(0, 70199, '\p{^Is_InSC=geminationmark}', "");
Expect(0, 70199, '\P{Is_InSC=geminationmark}', "");
Expect(1, 70199, '\P{^Is_InSC=geminationmark}', "");
Expect(0, 70200, '\p{Is_InSC=geminationmark}', "");
Expect(1, 70200, '\p{^Is_InSC=geminationmark}', "");
Expect(1, 70200, '\P{Is_InSC=geminationmark}', "");
Expect(0, 70200, '\P{^Is_InSC=geminationmark}', "");
Expect(1, 70199, '\p{Is_InSC=__gemination_Mark}', "");
Expect(0, 70199, '\p{^Is_InSC=__gemination_Mark}', "");
Expect(0, 70199, '\P{Is_InSC=__gemination_Mark}', "");
Expect(1, 70199, '\P{^Is_InSC=__gemination_Mark}', "");
Expect(0, 70200, '\p{Is_InSC=__gemination_Mark}', "");
Expect(1, 70200, '\p{^Is_InSC=__gemination_Mark}', "");
Expect(1, 70200, '\P{Is_InSC=__gemination_Mark}', "");
Expect(0, 70200, '\P{^Is_InSC=__gemination_Mark}', "");
Error('\p{Indic_Syllabic_Category:	 	Invisible_STACKER:=}');
Error('\P{Indic_Syllabic_Category:	 	Invisible_STACKER:=}');
Expect(1, 69939, '\p{Indic_Syllabic_Category=invisiblestacker}', "");
Expect(0, 69939, '\p{^Indic_Syllabic_Category=invisiblestacker}', "");
Expect(0, 69939, '\P{Indic_Syllabic_Category=invisiblestacker}', "");
Expect(1, 69939, '\P{^Indic_Syllabic_Category=invisiblestacker}', "");
Expect(0, 69940, '\p{Indic_Syllabic_Category=invisiblestacker}', "");
Expect(1, 69940, '\p{^Indic_Syllabic_Category=invisiblestacker}', "");
Expect(1, 69940, '\P{Indic_Syllabic_Category=invisiblestacker}', "");
Expect(0, 69940, '\P{^Indic_Syllabic_Category=invisiblestacker}', "");
Expect(1, 69939, '\p{Indic_Syllabic_Category=--Invisible_stacker}', "");
Expect(0, 69939, '\p{^Indic_Syllabic_Category=--Invisible_stacker}', "");
Expect(0, 69939, '\P{Indic_Syllabic_Category=--Invisible_stacker}', "");
Expect(1, 69939, '\P{^Indic_Syllabic_Category=--Invisible_stacker}', "");
Expect(0, 69940, '\p{Indic_Syllabic_Category=--Invisible_stacker}', "");
Expect(1, 69940, '\p{^Indic_Syllabic_Category=--Invisible_stacker}', "");
Expect(1, 69940, '\P{Indic_Syllabic_Category=--Invisible_stacker}', "");
Expect(0, 69940, '\P{^Indic_Syllabic_Category=--Invisible_stacker}', "");
Error('\p{InSC= -Invisible_Stacker/a/}');
Error('\P{InSC= -Invisible_Stacker/a/}');
Expect(1, 69939, '\p{InSC: invisiblestacker}', "");
Expect(0, 69939, '\p{^InSC: invisiblestacker}', "");
Expect(0, 69939, '\P{InSC: invisiblestacker}', "");
Expect(1, 69939, '\P{^InSC: invisiblestacker}', "");
Expect(0, 69940, '\p{InSC: invisiblestacker}', "");
Expect(1, 69940, '\p{^InSC: invisiblestacker}', "");
Expect(1, 69940, '\P{InSC: invisiblestacker}', "");
Expect(0, 69940, '\P{^InSC: invisiblestacker}', "");
Expect(1, 69939, '\p{InSC=	-Invisible_stacker}', "");
Expect(0, 69939, '\p{^InSC=	-Invisible_stacker}', "");
Expect(0, 69939, '\P{InSC=	-Invisible_stacker}', "");
Expect(1, 69939, '\P{^InSC=	-Invisible_stacker}', "");
Expect(0, 69940, '\p{InSC=	-Invisible_stacker}', "");
Expect(1, 69940, '\p{^InSC=	-Invisible_stacker}', "");
Expect(1, 69940, '\P{InSC=	-Invisible_stacker}', "");
Expect(0, 69940, '\P{^InSC=	-Invisible_stacker}', "");
Error('\p{Is_Indic_Syllabic_Category=/a/_ INVISIBLE_Stacker}');
Error('\P{Is_Indic_Syllabic_Category=/a/_ INVISIBLE_Stacker}');
Expect(1, 69939, '\p{Is_Indic_Syllabic_Category=invisiblestacker}', "");
Expect(0, 69939, '\p{^Is_Indic_Syllabic_Category=invisiblestacker}', "");
Expect(0, 69939, '\P{Is_Indic_Syllabic_Category=invisiblestacker}', "");
Expect(1, 69939, '\P{^Is_Indic_Syllabic_Category=invisiblestacker}', "");
Expect(0, 69940, '\p{Is_Indic_Syllabic_Category=invisiblestacker}', "");
Expect(1, 69940, '\p{^Is_Indic_Syllabic_Category=invisiblestacker}', "");
Expect(1, 69940, '\P{Is_Indic_Syllabic_Category=invisiblestacker}', "");
Expect(0, 69940, '\P{^Is_Indic_Syllabic_Category=invisiblestacker}', "");
Expect(1, 69939, '\p{Is_Indic_Syllabic_Category=  Invisible_Stacker}', "");
Expect(0, 69939, '\p{^Is_Indic_Syllabic_Category=  Invisible_Stacker}', "");
Expect(0, 69939, '\P{Is_Indic_Syllabic_Category=  Invisible_Stacker}', "");
Expect(1, 69939, '\P{^Is_Indic_Syllabic_Category=  Invisible_Stacker}', "");
Expect(0, 69940, '\p{Is_Indic_Syllabic_Category=  Invisible_Stacker}', "");
Expect(1, 69940, '\p{^Is_Indic_Syllabic_Category=  Invisible_Stacker}', "");
Expect(1, 69940, '\P{Is_Indic_Syllabic_Category=  Invisible_Stacker}', "");
Expect(0, 69940, '\P{^Is_Indic_Syllabic_Category=  Invisible_Stacker}', "");
Error('\p{Is_InSC=:=- invisible_STACKER}');
Error('\P{Is_InSC=:=- invisible_STACKER}');
Expect(1, 69939, '\p{Is_InSC: invisiblestacker}', "");
Expect(0, 69939, '\p{^Is_InSC: invisiblestacker}', "");
Expect(0, 69939, '\P{Is_InSC: invisiblestacker}', "");
Expect(1, 69939, '\P{^Is_InSC: invisiblestacker}', "");
Expect(0, 69940, '\p{Is_InSC: invisiblestacker}', "");
Expect(1, 69940, '\p{^Is_InSC: invisiblestacker}', "");
Expect(1, 69940, '\P{Is_InSC: invisiblestacker}', "");
Expect(0, 69940, '\P{^Is_InSC: invisiblestacker}', "");
Expect(1, 69939, '\p{Is_InSC=_ Invisible_STACKER}', "");
Expect(0, 69939, '\p{^Is_InSC=_ Invisible_STACKER}', "");
Expect(0, 69939, '\P{Is_InSC=_ Invisible_STACKER}', "");
Expect(1, 69939, '\P{^Is_InSC=_ Invisible_STACKER}', "");
Expect(0, 69940, '\p{Is_InSC=_ Invisible_STACKER}', "");
Expect(1, 69940, '\p{^Is_InSC=_ Invisible_STACKER}', "");
Expect(1, 69940, '\P{Is_InSC=_ Invisible_STACKER}', "");
Expect(0, 69940, '\P{^Is_InSC=_ Invisible_STACKER}', "");
Error('\p{Indic_Syllabic_Category=_JOINER:=}');
Error('\P{Indic_Syllabic_Category=_JOINER:=}');
Expect(1, 8205, '\p{Indic_Syllabic_Category=joiner}', "");
Expect(0, 8205, '\p{^Indic_Syllabic_Category=joiner}', "");
Expect(0, 8205, '\P{Indic_Syllabic_Category=joiner}', "");
Expect(1, 8205, '\P{^Indic_Syllabic_Category=joiner}', "");
Expect(0, 8206, '\p{Indic_Syllabic_Category=joiner}', "");
Expect(1, 8206, '\p{^Indic_Syllabic_Category=joiner}', "");
Expect(1, 8206, '\P{Indic_Syllabic_Category=joiner}', "");
Expect(0, 8206, '\P{^Indic_Syllabic_Category=joiner}', "");
Expect(1, 8205, '\p{Indic_Syllabic_Category=- Joiner}', "");
Expect(0, 8205, '\p{^Indic_Syllabic_Category=- Joiner}', "");
Expect(0, 8205, '\P{Indic_Syllabic_Category=- Joiner}', "");
Expect(1, 8205, '\P{^Indic_Syllabic_Category=- Joiner}', "");
Expect(0, 8206, '\p{Indic_Syllabic_Category=- Joiner}', "");
Expect(1, 8206, '\p{^Indic_Syllabic_Category=- Joiner}', "");
Expect(1, 8206, '\P{Indic_Syllabic_Category=- Joiner}', "");
Expect(0, 8206, '\P{^Indic_Syllabic_Category=- Joiner}', "");
Error('\p{InSC=:=	 joiner}');
Error('\P{InSC=:=	 joiner}');
Expect(1, 8205, '\p{InSC=joiner}', "");
Expect(0, 8205, '\p{^InSC=joiner}', "");
Expect(0, 8205, '\P{InSC=joiner}', "");
Expect(1, 8205, '\P{^InSC=joiner}', "");
Expect(0, 8206, '\p{InSC=joiner}', "");
Expect(1, 8206, '\p{^InSC=joiner}', "");
Expect(1, 8206, '\P{InSC=joiner}', "");
Expect(0, 8206, '\P{^InSC=joiner}', "");
Expect(1, 8205, '\p{InSC=	Joiner}', "");
Expect(0, 8205, '\p{^InSC=	Joiner}', "");
Expect(0, 8205, '\P{InSC=	Joiner}', "");
Expect(1, 8205, '\P{^InSC=	Joiner}', "");
Expect(0, 8206, '\p{InSC=	Joiner}', "");
Expect(1, 8206, '\p{^InSC=	Joiner}', "");
Expect(1, 8206, '\P{InSC=	Joiner}', "");
Expect(0, 8206, '\P{^InSC=	Joiner}', "");
Error('\p{Is_Indic_Syllabic_Category=	-Joiner/a/}');
Error('\P{Is_Indic_Syllabic_Category=	-Joiner/a/}');
Expect(1, 8205, '\p{Is_Indic_Syllabic_Category=joiner}', "");
Expect(0, 8205, '\p{^Is_Indic_Syllabic_Category=joiner}', "");
Expect(0, 8205, '\P{Is_Indic_Syllabic_Category=joiner}', "");
Expect(1, 8205, '\P{^Is_Indic_Syllabic_Category=joiner}', "");
Expect(0, 8206, '\p{Is_Indic_Syllabic_Category=joiner}', "");
Expect(1, 8206, '\p{^Is_Indic_Syllabic_Category=joiner}', "");
Expect(1, 8206, '\P{Is_Indic_Syllabic_Category=joiner}', "");
Expect(0, 8206, '\P{^Is_Indic_Syllabic_Category=joiner}', "");
Expect(1, 8205, '\p{Is_Indic_Syllabic_Category=-	Joiner}', "");
Expect(0, 8205, '\p{^Is_Indic_Syllabic_Category=-	Joiner}', "");
Expect(0, 8205, '\P{Is_Indic_Syllabic_Category=-	Joiner}', "");
Expect(1, 8205, '\P{^Is_Indic_Syllabic_Category=-	Joiner}', "");
Expect(0, 8206, '\p{Is_Indic_Syllabic_Category=-	Joiner}', "");
Expect(1, 8206, '\p{^Is_Indic_Syllabic_Category=-	Joiner}', "");
Expect(1, 8206, '\P{Is_Indic_Syllabic_Category=-	Joiner}', "");
Expect(0, 8206, '\P{^Is_Indic_Syllabic_Category=-	Joiner}', "");
Error('\p{Is_InSC=	/a/joiner}');
Error('\P{Is_InSC=	/a/joiner}');
Expect(1, 8205, '\p{Is_InSC=joiner}', "");
Expect(0, 8205, '\p{^Is_InSC=joiner}', "");
Expect(0, 8205, '\P{Is_InSC=joiner}', "");
Expect(1, 8205, '\P{^Is_InSC=joiner}', "");
Expect(0, 8206, '\p{Is_InSC=joiner}', "");
Expect(1, 8206, '\p{^Is_InSC=joiner}', "");
Expect(1, 8206, '\P{Is_InSC=joiner}', "");
Expect(0, 8206, '\P{^Is_InSC=joiner}', "");
Expect(1, 8205, '\p{Is_InSC=- Joiner}', "");
Expect(0, 8205, '\p{^Is_InSC=- Joiner}', "");
Expect(0, 8205, '\P{Is_InSC=- Joiner}', "");
Expect(1, 8205, '\P{^Is_InSC=- Joiner}', "");
Expect(0, 8206, '\p{Is_InSC=- Joiner}', "");
Expect(1, 8206, '\p{^Is_InSC=- Joiner}', "");
Expect(1, 8206, '\P{Is_InSC=- Joiner}', "");
Expect(0, 8206, '\P{^Is_InSC=- Joiner}', "");
Error('\p{Indic_Syllabic_Category=/a/__Modifying_Letter}');
Error('\P{Indic_Syllabic_Category=/a/__Modifying_Letter}');
Expect(1, 2947, '\p{Indic_Syllabic_Category=modifyingletter}', "");
Expect(0, 2947, '\p{^Indic_Syllabic_Category=modifyingletter}', "");
Expect(0, 2947, '\P{Indic_Syllabic_Category=modifyingletter}', "");
Expect(1, 2947, '\P{^Indic_Syllabic_Category=modifyingletter}', "");
Expect(0, 2948, '\p{Indic_Syllabic_Category=modifyingletter}', "");
Expect(1, 2948, '\p{^Indic_Syllabic_Category=modifyingletter}', "");
Expect(1, 2948, '\P{Indic_Syllabic_Category=modifyingletter}', "");
Expect(0, 2948, '\P{^Indic_Syllabic_Category=modifyingletter}', "");
Expect(1, 2947, '\p{Indic_Syllabic_Category=_modifying_Letter}', "");
Expect(0, 2947, '\p{^Indic_Syllabic_Category=_modifying_Letter}', "");
Expect(0, 2947, '\P{Indic_Syllabic_Category=_modifying_Letter}', "");
Expect(1, 2947, '\P{^Indic_Syllabic_Category=_modifying_Letter}', "");
Expect(0, 2948, '\p{Indic_Syllabic_Category=_modifying_Letter}', "");
Expect(1, 2948, '\p{^Indic_Syllabic_Category=_modifying_Letter}', "");
Expect(1, 2948, '\P{Indic_Syllabic_Category=_modifying_Letter}', "");
Expect(0, 2948, '\P{^Indic_Syllabic_Category=_modifying_Letter}', "");
Error('\p{InSC:   := _Modifying_letter}');
Error('\P{InSC:   := _Modifying_letter}');
Expect(1, 2947, '\p{InSC=modifyingletter}', "");
Expect(0, 2947, '\p{^InSC=modifyingletter}', "");
Expect(0, 2947, '\P{InSC=modifyingletter}', "");
Expect(1, 2947, '\P{^InSC=modifyingletter}', "");
Expect(0, 2948, '\p{InSC=modifyingletter}', "");
Expect(1, 2948, '\p{^InSC=modifyingletter}', "");
Expect(1, 2948, '\P{InSC=modifyingletter}', "");
Expect(0, 2948, '\P{^InSC=modifyingletter}', "");
Expect(1, 2947, '\p{InSC=	Modifying_Letter}', "");
Expect(0, 2947, '\p{^InSC=	Modifying_Letter}', "");
Expect(0, 2947, '\P{InSC=	Modifying_Letter}', "");
Expect(1, 2947, '\P{^InSC=	Modifying_Letter}', "");
Expect(0, 2948, '\p{InSC=	Modifying_Letter}', "");
Expect(1, 2948, '\p{^InSC=	Modifying_Letter}', "");
Expect(1, 2948, '\P{InSC=	Modifying_Letter}', "");
Expect(0, 2948, '\P{^InSC=	Modifying_Letter}', "");
Error('\p{Is_Indic_Syllabic_Category=-/a/MODIFYING_Letter}');
Error('\P{Is_Indic_Syllabic_Category=-/a/MODIFYING_Letter}');
Expect(1, 2947, '\p{Is_Indic_Syllabic_Category=modifyingletter}', "");
Expect(0, 2947, '\p{^Is_Indic_Syllabic_Category=modifyingletter}', "");
Expect(0, 2947, '\P{Is_Indic_Syllabic_Category=modifyingletter}', "");
Expect(1, 2947, '\P{^Is_Indic_Syllabic_Category=modifyingletter}', "");
Expect(0, 2948, '\p{Is_Indic_Syllabic_Category=modifyingletter}', "");
Expect(1, 2948, '\p{^Is_Indic_Syllabic_Category=modifyingletter}', "");
Expect(1, 2948, '\P{Is_Indic_Syllabic_Category=modifyingletter}', "");
Expect(0, 2948, '\P{^Is_Indic_Syllabic_Category=modifyingletter}', "");
Expect(1, 2947, '\p{Is_Indic_Syllabic_Category=--Modifying_Letter}', "");
Expect(0, 2947, '\p{^Is_Indic_Syllabic_Category=--Modifying_Letter}', "");
Expect(0, 2947, '\P{Is_Indic_Syllabic_Category=--Modifying_Letter}', "");
Expect(1, 2947, '\P{^Is_Indic_Syllabic_Category=--Modifying_Letter}', "");
Expect(0, 2948, '\p{Is_Indic_Syllabic_Category=--Modifying_Letter}', "");
Expect(1, 2948, '\p{^Is_Indic_Syllabic_Category=--Modifying_Letter}', "");
Expect(1, 2948, '\P{Is_Indic_Syllabic_Category=--Modifying_Letter}', "");
Expect(0, 2948, '\P{^Is_Indic_Syllabic_Category=--Modifying_Letter}', "");
Error('\p{Is_InSC=--modifying_Letter:=}');
Error('\P{Is_InSC=--modifying_Letter:=}');
Expect(1, 2947, '\p{Is_InSC=modifyingletter}', "");
Expect(0, 2947, '\p{^Is_InSC=modifyingletter}', "");
Expect(0, 2947, '\P{Is_InSC=modifyingletter}', "");
Expect(1, 2947, '\P{^Is_InSC=modifyingletter}', "");
Expect(0, 2948, '\p{Is_InSC=modifyingletter}', "");
Expect(1, 2948, '\p{^Is_InSC=modifyingletter}', "");
Expect(1, 2948, '\P{Is_InSC=modifyingletter}', "");
Expect(0, 2948, '\P{^Is_InSC=modifyingletter}', "");
Expect(1, 2947, '\p{Is_InSC=	modifying_letter}', "");
Expect(0, 2947, '\p{^Is_InSC=	modifying_letter}', "");
Expect(0, 2947, '\P{Is_InSC=	modifying_letter}', "");
Expect(1, 2947, '\P{^Is_InSC=	modifying_letter}', "");
Expect(0, 2948, '\p{Is_InSC=	modifying_letter}', "");
Expect(1, 2948, '\p{^Is_InSC=	modifying_letter}', "");
Expect(1, 2948, '\P{Is_InSC=	modifying_letter}', "");
Expect(0, 2948, '\P{^Is_InSC=	modifying_letter}', "");
Error('\p{Indic_Syllabic_Category=/a/ _NON_Joiner}');
Error('\P{Indic_Syllabic_Category=/a/ _NON_Joiner}');
Expect(1, 8204, '\p{Indic_Syllabic_Category:   nonjoiner}', "");
Expect(0, 8204, '\p{^Indic_Syllabic_Category:   nonjoiner}', "");
Expect(0, 8204, '\P{Indic_Syllabic_Category:   nonjoiner}', "");
Expect(1, 8204, '\P{^Indic_Syllabic_Category:   nonjoiner}', "");
Expect(0, 8205, '\p{Indic_Syllabic_Category:   nonjoiner}', "");
Expect(1, 8205, '\p{^Indic_Syllabic_Category:   nonjoiner}', "");
Expect(1, 8205, '\P{Indic_Syllabic_Category:   nonjoiner}', "");
Expect(0, 8205, '\P{^Indic_Syllabic_Category:   nonjoiner}', "");
Expect(1, 8204, '\p{Indic_Syllabic_Category=_Non_JOINER}', "");
Expect(0, 8204, '\p{^Indic_Syllabic_Category=_Non_JOINER}', "");
Expect(0, 8204, '\P{Indic_Syllabic_Category=_Non_JOINER}', "");
Expect(1, 8204, '\P{^Indic_Syllabic_Category=_Non_JOINER}', "");
Expect(0, 8205, '\p{Indic_Syllabic_Category=_Non_JOINER}', "");
Expect(1, 8205, '\p{^Indic_Syllabic_Category=_Non_JOINER}', "");
Expect(1, 8205, '\P{Indic_Syllabic_Category=_Non_JOINER}', "");
Expect(0, 8205, '\P{^Indic_Syllabic_Category=_Non_JOINER}', "");
Error('\p{InSC=	NON_Joiner/a/}');
Error('\P{InSC=	NON_Joiner/a/}');
Expect(1, 8204, '\p{InSC=nonjoiner}', "");
Expect(0, 8204, '\p{^InSC=nonjoiner}', "");
Expect(0, 8204, '\P{InSC=nonjoiner}', "");
Expect(1, 8204, '\P{^InSC=nonjoiner}', "");
Expect(0, 8205, '\p{InSC=nonjoiner}', "");
Expect(1, 8205, '\p{^InSC=nonjoiner}', "");
Expect(1, 8205, '\P{InSC=nonjoiner}', "");
Expect(0, 8205, '\P{^InSC=nonjoiner}', "");
Expect(1, 8204, '\p{InSC= 	non_joiner}', "");
Expect(0, 8204, '\p{^InSC= 	non_joiner}', "");
Expect(0, 8204, '\P{InSC= 	non_joiner}', "");
Expect(1, 8204, '\P{^InSC= 	non_joiner}', "");
Expect(0, 8205, '\p{InSC= 	non_joiner}', "");
Expect(1, 8205, '\p{^InSC= 	non_joiner}', "");
Expect(1, 8205, '\P{InSC= 	non_joiner}', "");
Expect(0, 8205, '\P{^InSC= 	non_joiner}', "");
Error('\p{Is_Indic_Syllabic_Category=/a/	-Non_Joiner}');
Error('\P{Is_Indic_Syllabic_Category=/a/	-Non_Joiner}');
Expect(1, 8204, '\p{Is_Indic_Syllabic_Category=nonjoiner}', "");
Expect(0, 8204, '\p{^Is_Indic_Syllabic_Category=nonjoiner}', "");
Expect(0, 8204, '\P{Is_Indic_Syllabic_Category=nonjoiner}', "");
Expect(1, 8204, '\P{^Is_Indic_Syllabic_Category=nonjoiner}', "");
Expect(0, 8205, '\p{Is_Indic_Syllabic_Category=nonjoiner}', "");
Expect(1, 8205, '\p{^Is_Indic_Syllabic_Category=nonjoiner}', "");
Expect(1, 8205, '\P{Is_Indic_Syllabic_Category=nonjoiner}', "");
Expect(0, 8205, '\P{^Is_Indic_Syllabic_Category=nonjoiner}', "");
Expect(1, 8204, '\p{Is_Indic_Syllabic_Category=_ Non_Joiner}', "");
Expect(0, 8204, '\p{^Is_Indic_Syllabic_Category=_ Non_Joiner}', "");
Expect(0, 8204, '\P{Is_Indic_Syllabic_Category=_ Non_Joiner}', "");
Expect(1, 8204, '\P{^Is_Indic_Syllabic_Category=_ Non_Joiner}', "");
Expect(0, 8205, '\p{Is_Indic_Syllabic_Category=_ Non_Joiner}', "");
Expect(1, 8205, '\p{^Is_Indic_Syllabic_Category=_ Non_Joiner}', "");
Expect(1, 8205, '\P{Is_Indic_Syllabic_Category=_ Non_Joiner}', "");
Expect(0, 8205, '\P{^Is_Indic_Syllabic_Category=_ Non_Joiner}', "");
Error('\p{Is_InSC=:=	Non_joiner}');
Error('\P{Is_InSC=:=	Non_joiner}');
Expect(1, 8204, '\p{Is_InSC=nonjoiner}', "");
Expect(0, 8204, '\p{^Is_InSC=nonjoiner}', "");
Expect(0, 8204, '\P{Is_InSC=nonjoiner}', "");
Expect(1, 8204, '\P{^Is_InSC=nonjoiner}', "");
Expect(0, 8205, '\p{Is_InSC=nonjoiner}', "");
Expect(1, 8205, '\p{^Is_InSC=nonjoiner}', "");
Expect(1, 8205, '\P{Is_InSC=nonjoiner}', "");
Expect(0, 8205, '\P{^Is_InSC=nonjoiner}', "");
Expect(1, 8204, '\p{Is_InSC= 	Non_JOINER}', "");
Expect(0, 8204, '\p{^Is_InSC= 	Non_JOINER}', "");
Expect(0, 8204, '\P{Is_InSC= 	Non_JOINER}', "");
Expect(1, 8204, '\P{^Is_InSC= 	Non_JOINER}', "");
Expect(0, 8205, '\p{Is_InSC= 	Non_JOINER}', "");
Expect(1, 8205, '\p{^Is_InSC= 	Non_JOINER}', "");
Expect(1, 8205, '\P{Is_InSC= 	Non_JOINER}', "");
Expect(0, 8205, '\P{^Is_InSC= 	Non_JOINER}', "");
Error('\p{Indic_Syllabic_Category=	_nukta/a/}');
Error('\P{Indic_Syllabic_Category=	_nukta/a/}');
Expect(1, 71351, '\p{Indic_Syllabic_Category=nukta}', "");
Expect(0, 71351, '\p{^Indic_Syllabic_Category=nukta}', "");
Expect(0, 71351, '\P{Indic_Syllabic_Category=nukta}', "");
Expect(1, 71351, '\P{^Indic_Syllabic_Category=nukta}', "");
Expect(0, 71352, '\p{Indic_Syllabic_Category=nukta}', "");
Expect(1, 71352, '\p{^Indic_Syllabic_Category=nukta}', "");
Expect(1, 71352, '\P{Indic_Syllabic_Category=nukta}', "");
Expect(0, 71352, '\P{^Indic_Syllabic_Category=nukta}', "");
Expect(1, 71351, '\p{Indic_Syllabic_Category:   Nukta}', "");
Expect(0, 71351, '\p{^Indic_Syllabic_Category:   Nukta}', "");
Expect(0, 71351, '\P{Indic_Syllabic_Category:   Nukta}', "");
Expect(1, 71351, '\P{^Indic_Syllabic_Category:   Nukta}', "");
Expect(0, 71352, '\p{Indic_Syllabic_Category:   Nukta}', "");
Expect(1, 71352, '\p{^Indic_Syllabic_Category:   Nukta}', "");
Expect(1, 71352, '\P{Indic_Syllabic_Category:   Nukta}', "");
Expect(0, 71352, '\P{^Indic_Syllabic_Category:   Nukta}', "");
Error('\p{InSC=:=-_nukta}');
Error('\P{InSC=:=-_nukta}');
Expect(1, 71351, '\p{InSC=nukta}', "");
Expect(0, 71351, '\p{^InSC=nukta}', "");
Expect(0, 71351, '\P{InSC=nukta}', "");
Expect(1, 71351, '\P{^InSC=nukta}', "");
Expect(0, 71352, '\p{InSC=nukta}', "");
Expect(1, 71352, '\p{^InSC=nukta}', "");
Expect(1, 71352, '\P{InSC=nukta}', "");
Expect(0, 71352, '\P{^InSC=nukta}', "");
Expect(1, 71351, '\p{InSC=-NUKTA}', "");
Expect(0, 71351, '\p{^InSC=-NUKTA}', "");
Expect(0, 71351, '\P{InSC=-NUKTA}', "");
Expect(1, 71351, '\P{^InSC=-NUKTA}', "");
Expect(0, 71352, '\p{InSC=-NUKTA}', "");
Expect(1, 71352, '\p{^InSC=-NUKTA}', "");
Expect(1, 71352, '\P{InSC=-NUKTA}', "");
Expect(0, 71352, '\P{^InSC=-NUKTA}', "");
Error('\p{Is_Indic_Syllabic_Category=:=-Nukta}');
Error('\P{Is_Indic_Syllabic_Category=:=-Nukta}');
Expect(1, 71351, '\p{Is_Indic_Syllabic_Category=nukta}', "");
Expect(0, 71351, '\p{^Is_Indic_Syllabic_Category=nukta}', "");
Expect(0, 71351, '\P{Is_Indic_Syllabic_Category=nukta}', "");
Expect(1, 71351, '\P{^Is_Indic_Syllabic_Category=nukta}', "");
Expect(0, 71352, '\p{Is_Indic_Syllabic_Category=nukta}', "");
Expect(1, 71352, '\p{^Is_Indic_Syllabic_Category=nukta}', "");
Expect(1, 71352, '\P{Is_Indic_Syllabic_Category=nukta}', "");
Expect(0, 71352, '\P{^Is_Indic_Syllabic_Category=nukta}', "");
Expect(1, 71351, '\p{Is_Indic_Syllabic_Category=- NUKTA}', "");
Expect(0, 71351, '\p{^Is_Indic_Syllabic_Category=- NUKTA}', "");
Expect(0, 71351, '\P{Is_Indic_Syllabic_Category=- NUKTA}', "");
Expect(1, 71351, '\P{^Is_Indic_Syllabic_Category=- NUKTA}', "");
Expect(0, 71352, '\p{Is_Indic_Syllabic_Category=- NUKTA}', "");
Expect(1, 71352, '\p{^Is_Indic_Syllabic_Category=- NUKTA}', "");
Expect(1, 71352, '\P{Is_Indic_Syllabic_Category=- NUKTA}', "");
Expect(0, 71352, '\P{^Is_Indic_Syllabic_Category=- NUKTA}', "");
Error('\p{Is_InSC=		Nukta:=}');
Error('\P{Is_InSC=		Nukta:=}');
Expect(1, 71351, '\p{Is_InSC=nukta}', "");
Expect(0, 71351, '\p{^Is_InSC=nukta}', "");
Expect(0, 71351, '\P{Is_InSC=nukta}', "");
Expect(1, 71351, '\P{^Is_InSC=nukta}', "");
Expect(0, 71352, '\p{Is_InSC=nukta}', "");
Expect(1, 71352, '\p{^Is_InSC=nukta}', "");
Expect(1, 71352, '\P{Is_InSC=nukta}', "");
Expect(0, 71352, '\P{^Is_InSC=nukta}', "");
Expect(1, 71351, '\p{Is_InSC=	-NUKTA}', "");
Expect(0, 71351, '\p{^Is_InSC=	-NUKTA}', "");
Expect(0, 71351, '\P{Is_InSC=	-NUKTA}', "");
Expect(1, 71351, '\P{^Is_InSC=	-NUKTA}', "");
Expect(0, 71352, '\p{Is_InSC=	-NUKTA}', "");
Expect(1, 71352, '\p{^Is_InSC=	-NUKTA}', "");
Expect(1, 71352, '\P{Is_InSC=	-NUKTA}', "");
Expect(0, 71352, '\P{^Is_InSC=	-NUKTA}', "");
Error('\p{Indic_Syllabic_Category=-/a/number}');
Error('\P{Indic_Syllabic_Category=-/a/number}');
Expect(1, 71483, '\p{Indic_Syllabic_Category=number}', "");
Expect(0, 71483, '\p{^Indic_Syllabic_Category=number}', "");
Expect(0, 71483, '\P{Indic_Syllabic_Category=number}', "");
Expect(1, 71483, '\P{^Indic_Syllabic_Category=number}', "");
Expect(0, 71484, '\p{Indic_Syllabic_Category=number}', "");
Expect(1, 71484, '\p{^Indic_Syllabic_Category=number}', "");
Expect(1, 71484, '\P{Indic_Syllabic_Category=number}', "");
Expect(0, 71484, '\P{^Indic_Syllabic_Category=number}', "");
Expect(1, 71483, '\p{Indic_Syllabic_Category= NUMBER}', "");
Expect(0, 71483, '\p{^Indic_Syllabic_Category= NUMBER}', "");
Expect(0, 71483, '\P{Indic_Syllabic_Category= NUMBER}', "");
Expect(1, 71483, '\P{^Indic_Syllabic_Category= NUMBER}', "");
Expect(0, 71484, '\p{Indic_Syllabic_Category= NUMBER}', "");
Expect(1, 71484, '\p{^Indic_Syllabic_Category= NUMBER}', "");
Expect(1, 71484, '\P{Indic_Syllabic_Category= NUMBER}', "");
Expect(0, 71484, '\P{^Indic_Syllabic_Category= NUMBER}', "");
Error('\p{InSC=-:=Number}');
Error('\P{InSC=-:=Number}');
Expect(1, 71483, '\p{InSC=number}', "");
Expect(0, 71483, '\p{^InSC=number}', "");
Expect(0, 71483, '\P{InSC=number}', "");
Expect(1, 71483, '\P{^InSC=number}', "");
Expect(0, 71484, '\p{InSC=number}', "");
Expect(1, 71484, '\p{^InSC=number}', "");
Expect(1, 71484, '\P{InSC=number}', "");
Expect(0, 71484, '\P{^InSC=number}', "");
Expect(1, 71483, '\p{InSC=	Number}', "");
Expect(0, 71483, '\p{^InSC=	Number}', "");
Expect(0, 71483, '\P{InSC=	Number}', "");
Expect(1, 71483, '\P{^InSC=	Number}', "");
Expect(0, 71484, '\p{InSC=	Number}', "");
Expect(1, 71484, '\p{^InSC=	Number}', "");
Expect(1, 71484, '\P{InSC=	Number}', "");
Expect(0, 71484, '\P{^InSC=	Number}', "");
Error('\p{Is_Indic_Syllabic_Category:/a/-_NUMBER}');
Error('\P{Is_Indic_Syllabic_Category:/a/-_NUMBER}');
Expect(1, 71483, '\p{Is_Indic_Syllabic_Category=number}', "");
Expect(0, 71483, '\p{^Is_Indic_Syllabic_Category=number}', "");
Expect(0, 71483, '\P{Is_Indic_Syllabic_Category=number}', "");
Expect(1, 71483, '\P{^Is_Indic_Syllabic_Category=number}', "");
Expect(0, 71484, '\p{Is_Indic_Syllabic_Category=number}', "");
Expect(1, 71484, '\p{^Is_Indic_Syllabic_Category=number}', "");
Expect(1, 71484, '\P{Is_Indic_Syllabic_Category=number}', "");
Expect(0, 71484, '\P{^Is_Indic_Syllabic_Category=number}', "");
Expect(1, 71483, '\p{Is_Indic_Syllabic_Category: _-NUMBER}', "");
Expect(0, 71483, '\p{^Is_Indic_Syllabic_Category: _-NUMBER}', "");
Expect(0, 71483, '\P{Is_Indic_Syllabic_Category: _-NUMBER}', "");
Expect(1, 71483, '\P{^Is_Indic_Syllabic_Category: _-NUMBER}', "");
Expect(0, 71484, '\p{Is_Indic_Syllabic_Category: _-NUMBER}', "");
Expect(1, 71484, '\p{^Is_Indic_Syllabic_Category: _-NUMBER}', "");
Expect(1, 71484, '\P{Is_Indic_Syllabic_Category: _-NUMBER}', "");
Expect(0, 71484, '\P{^Is_Indic_Syllabic_Category: _-NUMBER}', "");
Error('\p{Is_InSC=_NUMBER/a/}');
Error('\P{Is_InSC=_NUMBER/a/}');
Expect(1, 71483, '\p{Is_InSC=number}', "");
Expect(0, 71483, '\p{^Is_InSC=number}', "");
Expect(0, 71483, '\P{Is_InSC=number}', "");
Expect(1, 71483, '\P{^Is_InSC=number}', "");
Expect(0, 71484, '\p{Is_InSC=number}', "");
Expect(1, 71484, '\p{^Is_InSC=number}', "");
Expect(1, 71484, '\P{Is_InSC=number}', "");
Expect(0, 71484, '\P{^Is_InSC=number}', "");
Expect(1, 71483, '\p{Is_InSC=_ NUMBER}', "");
Expect(0, 71483, '\p{^Is_InSC=_ NUMBER}', "");
Expect(0, 71483, '\P{Is_InSC=_ NUMBER}', "");
Expect(1, 71483, '\P{^Is_InSC=_ NUMBER}', "");
Expect(0, 71484, '\p{Is_InSC=_ NUMBER}', "");
Expect(1, 71484, '\p{^Is_InSC=_ NUMBER}', "");
Expect(1, 71484, '\P{Is_InSC=_ NUMBER}', "");
Expect(0, 71484, '\P{^Is_InSC=_ NUMBER}', "");
Error('\p{Indic_Syllabic_Category=:=- NUMBER_Joiner}');
Error('\P{Indic_Syllabic_Category=:=- NUMBER_Joiner}');
Expect(1, 69759, '\p{Indic_Syllabic_Category=numberjoiner}', "");
Expect(0, 69759, '\p{^Indic_Syllabic_Category=numberjoiner}', "");
Expect(0, 69759, '\P{Indic_Syllabic_Category=numberjoiner}', "");
Expect(1, 69759, '\P{^Indic_Syllabic_Category=numberjoiner}', "");
Expect(0, 69760, '\p{Indic_Syllabic_Category=numberjoiner}', "");
Expect(1, 69760, '\p{^Indic_Syllabic_Category=numberjoiner}', "");
Expect(1, 69760, '\P{Indic_Syllabic_Category=numberjoiner}', "");
Expect(0, 69760, '\P{^Indic_Syllabic_Category=numberjoiner}', "");
Expect(1, 69759, '\p{Indic_Syllabic_Category=_-number_JOINER}', "");
Expect(0, 69759, '\p{^Indic_Syllabic_Category=_-number_JOINER}', "");
Expect(0, 69759, '\P{Indic_Syllabic_Category=_-number_JOINER}', "");
Expect(1, 69759, '\P{^Indic_Syllabic_Category=_-number_JOINER}', "");
Expect(0, 69760, '\p{Indic_Syllabic_Category=_-number_JOINER}', "");
Expect(1, 69760, '\p{^Indic_Syllabic_Category=_-number_JOINER}', "");
Expect(1, 69760, '\P{Indic_Syllabic_Category=_-number_JOINER}', "");
Expect(0, 69760, '\P{^Indic_Syllabic_Category=_-number_JOINER}', "");
Error('\p{InSC=-_number_joiner:=}');
Error('\P{InSC=-_number_joiner:=}');
Expect(1, 69759, '\p{InSC=numberjoiner}', "");
Expect(0, 69759, '\p{^InSC=numberjoiner}', "");
Expect(0, 69759, '\P{InSC=numberjoiner}', "");
Expect(1, 69759, '\P{^InSC=numberjoiner}', "");
Expect(0, 69760, '\p{InSC=numberjoiner}', "");
Expect(1, 69760, '\p{^InSC=numberjoiner}', "");
Expect(1, 69760, '\P{InSC=numberjoiner}', "");
Expect(0, 69760, '\P{^InSC=numberjoiner}', "");
Expect(1, 69759, '\p{InSC=-Number_joiner}', "");
Expect(0, 69759, '\p{^InSC=-Number_joiner}', "");
Expect(0, 69759, '\P{InSC=-Number_joiner}', "");
Expect(1, 69759, '\P{^InSC=-Number_joiner}', "");
Expect(0, 69760, '\p{InSC=-Number_joiner}', "");
Expect(1, 69760, '\p{^InSC=-Number_joiner}', "");
Expect(1, 69760, '\P{InSC=-Number_joiner}', "");
Expect(0, 69760, '\P{^InSC=-Number_joiner}', "");
Error('\p{Is_Indic_Syllabic_Category=	-Number_joiner:=}');
Error('\P{Is_Indic_Syllabic_Category=	-Number_joiner:=}');
Expect(1, 69759, '\p{Is_Indic_Syllabic_Category=numberjoiner}', "");
Expect(0, 69759, '\p{^Is_Indic_Syllabic_Category=numberjoiner}', "");
Expect(0, 69759, '\P{Is_Indic_Syllabic_Category=numberjoiner}', "");
Expect(1, 69759, '\P{^Is_Indic_Syllabic_Category=numberjoiner}', "");
Expect(0, 69760, '\p{Is_Indic_Syllabic_Category=numberjoiner}', "");
Expect(1, 69760, '\p{^Is_Indic_Syllabic_Category=numberjoiner}', "");
Expect(1, 69760, '\P{Is_Indic_Syllabic_Category=numberjoiner}', "");
Expect(0, 69760, '\P{^Is_Indic_Syllabic_Category=numberjoiner}', "");
Expect(1, 69759, '\p{Is_Indic_Syllabic_Category= -number_JOINER}', "");
Expect(0, 69759, '\p{^Is_Indic_Syllabic_Category= -number_JOINER}', "");
Expect(0, 69759, '\P{Is_Indic_Syllabic_Category= -number_JOINER}', "");
Expect(1, 69759, '\P{^Is_Indic_Syllabic_Category= -number_JOINER}', "");
Expect(0, 69760, '\p{Is_Indic_Syllabic_Category= -number_JOINER}', "");
Expect(1, 69760, '\p{^Is_Indic_Syllabic_Category= -number_JOINER}', "");
Expect(1, 69760, '\P{Is_Indic_Syllabic_Category= -number_JOINER}', "");
Expect(0, 69760, '\P{^Is_Indic_Syllabic_Category= -number_JOINER}', "");
Error('\p{Is_InSC=:=_number_JOINER}');
Error('\P{Is_InSC=:=_number_JOINER}');
Expect(1, 69759, '\p{Is_InSC=numberjoiner}', "");
Expect(0, 69759, '\p{^Is_InSC=numberjoiner}', "");
Expect(0, 69759, '\P{Is_InSC=numberjoiner}', "");
Expect(1, 69759, '\P{^Is_InSC=numberjoiner}', "");
Expect(0, 69760, '\p{Is_InSC=numberjoiner}', "");
Expect(1, 69760, '\p{^Is_InSC=numberjoiner}', "");
Expect(1, 69760, '\P{Is_InSC=numberjoiner}', "");
Expect(0, 69760, '\P{^Is_InSC=numberjoiner}', "");
Expect(1, 69759, '\p{Is_InSC=-Number_Joiner}', "");
Expect(0, 69759, '\p{^Is_InSC=-Number_Joiner}', "");
Expect(0, 69759, '\P{Is_InSC=-Number_Joiner}', "");
Expect(1, 69759, '\P{^Is_InSC=-Number_Joiner}', "");
Expect(0, 69760, '\p{Is_InSC=-Number_Joiner}', "");
Expect(1, 69760, '\p{^Is_InSC=-Number_Joiner}', "");
Expect(1, 69760, '\P{Is_InSC=-Number_Joiner}', "");
Expect(0, 69760, '\P{^Is_InSC=-Number_Joiner}', "");
Error('\p{Indic_Syllabic_Category=--Other:=}');
Error('\P{Indic_Syllabic_Category=--Other:=}');
Expect(1, 71484, '\p{Indic_Syllabic_Category=other}', "");
Expect(0, 71484, '\p{^Indic_Syllabic_Category=other}', "");
Expect(0, 71484, '\P{Indic_Syllabic_Category=other}', "");
Expect(1, 71484, '\P{^Indic_Syllabic_Category=other}', "");
Expect(0, 71483, '\p{Indic_Syllabic_Category=other}', "");
Expect(1, 71483, '\p{^Indic_Syllabic_Category=other}', "");
Expect(1, 71483, '\P{Indic_Syllabic_Category=other}', "");
Expect(0, 71483, '\P{^Indic_Syllabic_Category=other}', "");
Expect(1, 71484, '\p{Indic_Syllabic_Category=-_Other}', "");
Expect(0, 71484, '\p{^Indic_Syllabic_Category=-_Other}', "");
Expect(0, 71484, '\P{Indic_Syllabic_Category=-_Other}', "");
Expect(1, 71484, '\P{^Indic_Syllabic_Category=-_Other}', "");
Expect(0, 71483, '\p{Indic_Syllabic_Category=-_Other}', "");
Expect(1, 71483, '\p{^Indic_Syllabic_Category=-_Other}', "");
Expect(1, 71483, '\P{Indic_Syllabic_Category=-_Other}', "");
Expect(0, 71483, '\P{^Indic_Syllabic_Category=-_Other}', "");
Error('\p{InSC=:=OTHER}');
Error('\P{InSC=:=OTHER}');
Expect(1, 71484, '\p{InSC=other}', "");
Expect(0, 71484, '\p{^InSC=other}', "");
Expect(0, 71484, '\P{InSC=other}', "");
Expect(1, 71484, '\P{^InSC=other}', "");
Expect(0, 71483, '\p{InSC=other}', "");
Expect(1, 71483, '\p{^InSC=other}', "");
Expect(1, 71483, '\P{InSC=other}', "");
Expect(0, 71483, '\P{^InSC=other}', "");
Expect(1, 71484, '\p{InSC=		other}', "");
Expect(0, 71484, '\p{^InSC=		other}', "");
Expect(0, 71484, '\P{InSC=		other}', "");
Expect(1, 71484, '\P{^InSC=		other}', "");
Expect(0, 71483, '\p{InSC=		other}', "");
Expect(1, 71483, '\p{^InSC=		other}', "");
Expect(1, 71483, '\P{InSC=		other}', "");
Expect(0, 71483, '\P{^InSC=		other}', "");
Error('\p{Is_Indic_Syllabic_Category:   :=- Other}');
Error('\P{Is_Indic_Syllabic_Category:   :=- Other}');
Expect(1, 71484, '\p{Is_Indic_Syllabic_Category=other}', "");
Expect(0, 71484, '\p{^Is_Indic_Syllabic_Category=other}', "");
Expect(0, 71484, '\P{Is_Indic_Syllabic_Category=other}', "");
Expect(1, 71484, '\P{^Is_Indic_Syllabic_Category=other}', "");
Expect(0, 71483, '\p{Is_Indic_Syllabic_Category=other}', "");
Expect(1, 71483, '\p{^Is_Indic_Syllabic_Category=other}', "");
Expect(1, 71483, '\P{Is_Indic_Syllabic_Category=other}', "");
Expect(0, 71483, '\P{^Is_Indic_Syllabic_Category=other}', "");
Expect(1, 71484, '\p{Is_Indic_Syllabic_Category=-Other}', "");
Expect(0, 71484, '\p{^Is_Indic_Syllabic_Category=-Other}', "");
Expect(0, 71484, '\P{Is_Indic_Syllabic_Category=-Other}', "");
Expect(1, 71484, '\P{^Is_Indic_Syllabic_Category=-Other}', "");
Expect(0, 71483, '\p{Is_Indic_Syllabic_Category=-Other}', "");
Expect(1, 71483, '\p{^Is_Indic_Syllabic_Category=-Other}', "");
Expect(1, 71483, '\P{Is_Indic_Syllabic_Category=-Other}', "");
Expect(0, 71483, '\P{^Is_Indic_Syllabic_Category=-Other}', "");
Error('\p{Is_InSC=_	Other/a/}');
Error('\P{Is_InSC=_	Other/a/}');
Expect(1, 71484, '\p{Is_InSC=other}', "");
Expect(0, 71484, '\p{^Is_InSC=other}', "");
Expect(0, 71484, '\P{Is_InSC=other}', "");
Expect(1, 71484, '\P{^Is_InSC=other}', "");
Expect(0, 71483, '\p{Is_InSC=other}', "");
Expect(1, 71483, '\p{^Is_InSC=other}', "");
Expect(1, 71483, '\P{Is_InSC=other}', "");
Expect(0, 71483, '\P{^Is_InSC=other}', "");
Expect(1, 71484, '\p{Is_InSC=	 Other}', "");
Expect(0, 71484, '\p{^Is_InSC=	 Other}', "");
Expect(0, 71484, '\P{Is_InSC=	 Other}', "");
Expect(1, 71484, '\P{^Is_InSC=	 Other}', "");
Expect(0, 71483, '\p{Is_InSC=	 Other}', "");
Expect(1, 71483, '\p{^Is_InSC=	 Other}', "");
Expect(1, 71483, '\P{Is_InSC=	 Other}', "");
Expect(0, 71483, '\P{^Is_InSC=	 Other}', "");
Error('\p{Indic_Syllabic_Category=/a/-	Pure_Killer}');
Error('\P{Indic_Syllabic_Category=/a/-	Pure_Killer}');
Expect(1, 71467, '\p{Indic_Syllabic_Category=purekiller}', "");
Expect(0, 71467, '\p{^Indic_Syllabic_Category=purekiller}', "");
Expect(0, 71467, '\P{Indic_Syllabic_Category=purekiller}', "");
Expect(1, 71467, '\P{^Indic_Syllabic_Category=purekiller}', "");
Expect(0, 71468, '\p{Indic_Syllabic_Category=purekiller}', "");
Expect(1, 71468, '\p{^Indic_Syllabic_Category=purekiller}', "");
Expect(1, 71468, '\P{Indic_Syllabic_Category=purekiller}', "");
Expect(0, 71468, '\P{^Indic_Syllabic_Category=purekiller}', "");
Expect(1, 71467, '\p{Indic_Syllabic_Category=__Pure_Killer}', "");
Expect(0, 71467, '\p{^Indic_Syllabic_Category=__Pure_Killer}', "");
Expect(0, 71467, '\P{Indic_Syllabic_Category=__Pure_Killer}', "");
Expect(1, 71467, '\P{^Indic_Syllabic_Category=__Pure_Killer}', "");
Expect(0, 71468, '\p{Indic_Syllabic_Category=__Pure_Killer}', "");
Expect(1, 71468, '\p{^Indic_Syllabic_Category=__Pure_Killer}', "");
Expect(1, 71468, '\P{Indic_Syllabic_Category=__Pure_Killer}', "");
Expect(0, 71468, '\P{^Indic_Syllabic_Category=__Pure_Killer}', "");
Error('\p{InSC=/a/ _PURE_Killer}');
Error('\P{InSC=/a/ _PURE_Killer}');
Expect(1, 71467, '\p{InSC=purekiller}', "");
Expect(0, 71467, '\p{^InSC=purekiller}', "");
Expect(0, 71467, '\P{InSC=purekiller}', "");
Expect(1, 71467, '\P{^InSC=purekiller}', "");
Expect(0, 71468, '\p{InSC=purekiller}', "");
Expect(1, 71468, '\p{^InSC=purekiller}', "");
Expect(1, 71468, '\P{InSC=purekiller}', "");
Expect(0, 71468, '\P{^InSC=purekiller}', "");
Expect(1, 71467, '\p{InSC:Pure_Killer}', "");
Expect(0, 71467, '\p{^InSC:Pure_Killer}', "");
Expect(0, 71467, '\P{InSC:Pure_Killer}', "");
Expect(1, 71467, '\P{^InSC:Pure_Killer}', "");
Expect(0, 71468, '\p{InSC:Pure_Killer}', "");
Expect(1, 71468, '\p{^InSC:Pure_Killer}', "");
Expect(1, 71468, '\P{InSC:Pure_Killer}', "");
Expect(0, 71468, '\P{^InSC:Pure_Killer}', "");
Error('\p{Is_Indic_Syllabic_Category=_Pure_Killer:=}');
Error('\P{Is_Indic_Syllabic_Category=_Pure_Killer:=}');
Expect(1, 71467, '\p{Is_Indic_Syllabic_Category:purekiller}', "");
Expect(0, 71467, '\p{^Is_Indic_Syllabic_Category:purekiller}', "");
Expect(0, 71467, '\P{Is_Indic_Syllabic_Category:purekiller}', "");
Expect(1, 71467, '\P{^Is_Indic_Syllabic_Category:purekiller}', "");
Expect(0, 71468, '\p{Is_Indic_Syllabic_Category:purekiller}', "");
Expect(1, 71468, '\p{^Is_Indic_Syllabic_Category:purekiller}', "");
Expect(1, 71468, '\P{Is_Indic_Syllabic_Category:purekiller}', "");
Expect(0, 71468, '\P{^Is_Indic_Syllabic_Category:purekiller}', "");
Expect(1, 71467, '\p{Is_Indic_Syllabic_Category=_-pure_KILLER}', "");
Expect(0, 71467, '\p{^Is_Indic_Syllabic_Category=_-pure_KILLER}', "");
Expect(0, 71467, '\P{Is_Indic_Syllabic_Category=_-pure_KILLER}', "");
Expect(1, 71467, '\P{^Is_Indic_Syllabic_Category=_-pure_KILLER}', "");
Expect(0, 71468, '\p{Is_Indic_Syllabic_Category=_-pure_KILLER}', "");
Expect(1, 71468, '\p{^Is_Indic_Syllabic_Category=_-pure_KILLER}', "");
Expect(1, 71468, '\P{Is_Indic_Syllabic_Category=_-pure_KILLER}', "");
Expect(0, 71468, '\P{^Is_Indic_Syllabic_Category=_-pure_KILLER}', "");
Error('\p{Is_InSC=-/a/pure_killer}');
Error('\P{Is_InSC=-/a/pure_killer}');
Expect(1, 71467, '\p{Is_InSC=purekiller}', "");
Expect(0, 71467, '\p{^Is_InSC=purekiller}', "");
Expect(0, 71467, '\P{Is_InSC=purekiller}', "");
Expect(1, 71467, '\P{^Is_InSC=purekiller}', "");
Expect(0, 71468, '\p{Is_InSC=purekiller}', "");
Expect(1, 71468, '\p{^Is_InSC=purekiller}', "");
Expect(1, 71468, '\P{Is_InSC=purekiller}', "");
Expect(0, 71468, '\P{^Is_InSC=purekiller}', "");
Expect(1, 71467, '\p{Is_InSC=	 pure_Killer}', "");
Expect(0, 71467, '\p{^Is_InSC=	 pure_Killer}', "");
Expect(0, 71467, '\P{Is_InSC=	 pure_Killer}', "");
Expect(1, 71467, '\P{^Is_InSC=	 pure_Killer}', "");
Expect(0, 71468, '\p{Is_InSC=	 pure_Killer}', "");
Expect(1, 71468, '\p{^Is_InSC=	 pure_Killer}', "");
Expect(1, 71468, '\P{Is_InSC=	 pure_Killer}', "");
Expect(0, 71468, '\P{^Is_InSC=	 pure_Killer}', "");
Error('\p{Indic_Syllabic_Category=:=	_register_shifter}');
Error('\P{Indic_Syllabic_Category=:=	_register_shifter}');
Expect(1, 6090, '\p{Indic_Syllabic_Category:registershifter}', "");
Expect(0, 6090, '\p{^Indic_Syllabic_Category:registershifter}', "");
Expect(0, 6090, '\P{Indic_Syllabic_Category:registershifter}', "");
Expect(1, 6090, '\P{^Indic_Syllabic_Category:registershifter}', "");
Expect(0, 6091, '\p{Indic_Syllabic_Category:registershifter}', "");
Expect(1, 6091, '\p{^Indic_Syllabic_Category:registershifter}', "");
Expect(1, 6091, '\P{Indic_Syllabic_Category:registershifter}', "");
Expect(0, 6091, '\P{^Indic_Syllabic_Category:registershifter}', "");
Expect(1, 6090, '\p{Indic_Syllabic_Category= REGISTER_SHIFTER}', "");
Expect(0, 6090, '\p{^Indic_Syllabic_Category= REGISTER_SHIFTER}', "");
Expect(0, 6090, '\P{Indic_Syllabic_Category= REGISTER_SHIFTER}', "");
Expect(1, 6090, '\P{^Indic_Syllabic_Category= REGISTER_SHIFTER}', "");
Expect(0, 6091, '\p{Indic_Syllabic_Category= REGISTER_SHIFTER}', "");
Expect(1, 6091, '\p{^Indic_Syllabic_Category= REGISTER_SHIFTER}', "");
Expect(1, 6091, '\P{Indic_Syllabic_Category= REGISTER_SHIFTER}', "");
Expect(0, 6091, '\P{^Indic_Syllabic_Category= REGISTER_SHIFTER}', "");
Error('\p{InSC=:=register_SHIFTER}');
Error('\P{InSC=:=register_SHIFTER}');
Expect(1, 6090, '\p{InSC=registershifter}', "");
Expect(0, 6090, '\p{^InSC=registershifter}', "");
Expect(0, 6090, '\P{InSC=registershifter}', "");
Expect(1, 6090, '\P{^InSC=registershifter}', "");
Expect(0, 6091, '\p{InSC=registershifter}', "");
Expect(1, 6091, '\p{^InSC=registershifter}', "");
Expect(1, 6091, '\P{InSC=registershifter}', "");
Expect(0, 6091, '\P{^InSC=registershifter}', "");
Expect(1, 6090, '\p{InSC=	_register_shifter}', "");
Expect(0, 6090, '\p{^InSC=	_register_shifter}', "");
Expect(0, 6090, '\P{InSC=	_register_shifter}', "");
Expect(1, 6090, '\P{^InSC=	_register_shifter}', "");
Expect(0, 6091, '\p{InSC=	_register_shifter}', "");
Expect(1, 6091, '\p{^InSC=	_register_shifter}', "");
Expect(1, 6091, '\P{InSC=	_register_shifter}', "");
Expect(0, 6091, '\P{^InSC=	_register_shifter}', "");
Error('\p{Is_Indic_Syllabic_Category:	:=REGISTER_SHIFTER}');
Error('\P{Is_Indic_Syllabic_Category:	:=REGISTER_SHIFTER}');
Expect(1, 6090, '\p{Is_Indic_Syllabic_Category: registershifter}', "");
Expect(0, 6090, '\p{^Is_Indic_Syllabic_Category: registershifter}', "");
Expect(0, 6090, '\P{Is_Indic_Syllabic_Category: registershifter}', "");
Expect(1, 6090, '\P{^Is_Indic_Syllabic_Category: registershifter}', "");
Expect(0, 6091, '\p{Is_Indic_Syllabic_Category: registershifter}', "");
Expect(1, 6091, '\p{^Is_Indic_Syllabic_Category: registershifter}', "");
Expect(1, 6091, '\P{Is_Indic_Syllabic_Category: registershifter}', "");
Expect(0, 6091, '\P{^Is_Indic_Syllabic_Category: registershifter}', "");
Expect(1, 6090, '\p{Is_Indic_Syllabic_Category=-_Register_Shifter}', "");
Expect(0, 6090, '\p{^Is_Indic_Syllabic_Category=-_Register_Shifter}', "");
Expect(0, 6090, '\P{Is_Indic_Syllabic_Category=-_Register_Shifter}', "");
Expect(1, 6090, '\P{^Is_Indic_Syllabic_Category=-_Register_Shifter}', "");
Expect(0, 6091, '\p{Is_Indic_Syllabic_Category=-_Register_Shifter}', "");
Expect(1, 6091, '\p{^Is_Indic_Syllabic_Category=-_Register_Shifter}', "");
Expect(1, 6091, '\P{Is_Indic_Syllabic_Category=-_Register_Shifter}', "");
Expect(0, 6091, '\P{^Is_Indic_Syllabic_Category=-_Register_Shifter}', "");
Error('\p{Is_InSC= -Register_Shifter/a/}');
Error('\P{Is_InSC= -Register_Shifter/a/}');
Expect(1, 6090, '\p{Is_InSC=registershifter}', "");
Expect(0, 6090, '\p{^Is_InSC=registershifter}', "");
Expect(0, 6090, '\P{Is_InSC=registershifter}', "");
Expect(1, 6090, '\P{^Is_InSC=registershifter}', "");
Expect(0, 6091, '\p{Is_InSC=registershifter}', "");
Expect(1, 6091, '\p{^Is_InSC=registershifter}', "");
Expect(1, 6091, '\P{Is_InSC=registershifter}', "");
Expect(0, 6091, '\P{^Is_InSC=registershifter}', "");
Expect(1, 6090, '\p{Is_InSC=  register_Shifter}', "");
Expect(0, 6090, '\p{^Is_InSC=  register_Shifter}', "");
Expect(0, 6090, '\P{Is_InSC=  register_Shifter}', "");
Expect(1, 6090, '\P{^Is_InSC=  register_Shifter}', "");
Expect(0, 6091, '\p{Is_InSC=  register_Shifter}', "");
Expect(1, 6091, '\p{^Is_InSC=  register_Shifter}', "");
Expect(1, 6091, '\P{Is_InSC=  register_Shifter}', "");
Expect(0, 6091, '\P{^Is_InSC=  register_Shifter}', "");
Error('\p{Indic_Syllabic_Category=-:=Syllable_Modifier}');
Error('\P{Indic_Syllabic_Category=-:=Syllable_Modifier}');
Expect(1, 8324, '\p{Indic_Syllabic_Category=syllablemodifier}', "");
Expect(0, 8324, '\p{^Indic_Syllabic_Category=syllablemodifier}', "");
Expect(0, 8324, '\P{Indic_Syllabic_Category=syllablemodifier}', "");
Expect(1, 8324, '\P{^Indic_Syllabic_Category=syllablemodifier}', "");
Expect(0, 8325, '\p{Indic_Syllabic_Category=syllablemodifier}', "");
Expect(1, 8325, '\p{^Indic_Syllabic_Category=syllablemodifier}', "");
Expect(1, 8325, '\P{Indic_Syllabic_Category=syllablemodifier}', "");
Expect(0, 8325, '\P{^Indic_Syllabic_Category=syllablemodifier}', "");
Expect(1, 8324, '\p{Indic_Syllabic_Category=-syllable_Modifier}', "");
Expect(0, 8324, '\p{^Indic_Syllabic_Category=-syllable_Modifier}', "");
Expect(0, 8324, '\P{Indic_Syllabic_Category=-syllable_Modifier}', "");
Expect(1, 8324, '\P{^Indic_Syllabic_Category=-syllable_Modifier}', "");
Expect(0, 8325, '\p{Indic_Syllabic_Category=-syllable_Modifier}', "");
Expect(1, 8325, '\p{^Indic_Syllabic_Category=-syllable_Modifier}', "");
Expect(1, 8325, '\P{Indic_Syllabic_Category=-syllable_Modifier}', "");
Expect(0, 8325, '\P{^Indic_Syllabic_Category=-syllable_Modifier}', "");
Error('\p{InSC= 	Syllable_Modifier:=}');
Error('\P{InSC= 	Syllable_Modifier:=}');
Expect(1, 8324, '\p{InSC=syllablemodifier}', "");
Expect(0, 8324, '\p{^InSC=syllablemodifier}', "");
Expect(0, 8324, '\P{InSC=syllablemodifier}', "");
Expect(1, 8324, '\P{^InSC=syllablemodifier}', "");
Expect(0, 8325, '\p{InSC=syllablemodifier}', "");
Expect(1, 8325, '\p{^InSC=syllablemodifier}', "");
Expect(1, 8325, '\P{InSC=syllablemodifier}', "");
Expect(0, 8325, '\P{^InSC=syllablemodifier}', "");
Expect(1, 8324, '\p{InSC=	Syllable_Modifier}', "");
Expect(0, 8324, '\p{^InSC=	Syllable_Modifier}', "");
Expect(0, 8324, '\P{InSC=	Syllable_Modifier}', "");
Expect(1, 8324, '\P{^InSC=	Syllable_Modifier}', "");
Expect(0, 8325, '\p{InSC=	Syllable_Modifier}', "");
Expect(1, 8325, '\p{^InSC=	Syllable_Modifier}', "");
Expect(1, 8325, '\P{InSC=	Syllable_Modifier}', "");
Expect(0, 8325, '\P{^InSC=	Syllable_Modifier}', "");
Error('\p{Is_Indic_Syllabic_Category= 	SYLLABLE_modifier/a/}');
Error('\P{Is_Indic_Syllabic_Category= 	SYLLABLE_modifier/a/}');
Expect(1, 8324, '\p{Is_Indic_Syllabic_Category=syllablemodifier}', "");
Expect(0, 8324, '\p{^Is_Indic_Syllabic_Category=syllablemodifier}', "");
Expect(0, 8324, '\P{Is_Indic_Syllabic_Category=syllablemodifier}', "");
Expect(1, 8324, '\P{^Is_Indic_Syllabic_Category=syllablemodifier}', "");
Expect(0, 8325, '\p{Is_Indic_Syllabic_Category=syllablemodifier}', "");
Expect(1, 8325, '\p{^Is_Indic_Syllabic_Category=syllablemodifier}', "");
Expect(1, 8325, '\P{Is_Indic_Syllabic_Category=syllablemodifier}', "");
Expect(0, 8325, '\P{^Is_Indic_Syllabic_Category=syllablemodifier}', "");
Expect(1, 8324, '\p{Is_Indic_Syllabic_Category=  Syllable_Modifier}', "");
Expect(0, 8324, '\p{^Is_Indic_Syllabic_Category=  Syllable_Modifier}', "");
Expect(0, 8324, '\P{Is_Indic_Syllabic_Category=  Syllable_Modifier}', "");
Expect(1, 8324, '\P{^Is_Indic_Syllabic_Category=  Syllable_Modifier}', "");
Expect(0, 8325, '\p{Is_Indic_Syllabic_Category=  Syllable_Modifier}', "");
Expect(1, 8325, '\p{^Is_Indic_Syllabic_Category=  Syllable_Modifier}', "");
Expect(1, 8325, '\P{Is_Indic_Syllabic_Category=  Syllable_Modifier}', "");
Expect(0, 8325, '\P{^Is_Indic_Syllabic_Category=  Syllable_Modifier}', "");
Error('\p{Is_InSC=:= 	Syllable_MODIFIER}');
Error('\P{Is_InSC=:= 	Syllable_MODIFIER}');
Expect(1, 8324, '\p{Is_InSC=syllablemodifier}', "");
Expect(0, 8324, '\p{^Is_InSC=syllablemodifier}', "");
Expect(0, 8324, '\P{Is_InSC=syllablemodifier}', "");
Expect(1, 8324, '\P{^Is_InSC=syllablemodifier}', "");
Expect(0, 8325, '\p{Is_InSC=syllablemodifier}', "");
Expect(1, 8325, '\p{^Is_InSC=syllablemodifier}', "");
Expect(1, 8325, '\P{Is_InSC=syllablemodifier}', "");
Expect(0, 8325, '\P{^Is_InSC=syllablemodifier}', "");
Expect(1, 8324, '\p{Is_InSC=_-SYLLABLE_Modifier}', "");
Expect(0, 8324, '\p{^Is_InSC=_-SYLLABLE_Modifier}', "");
Expect(0, 8324, '\P{Is_InSC=_-SYLLABLE_Modifier}', "");
Expect(1, 8324, '\P{^Is_InSC=_-SYLLABLE_Modifier}', "");
Expect(0, 8325, '\p{Is_InSC=_-SYLLABLE_Modifier}', "");
Expect(1, 8325, '\p{^Is_InSC=_-SYLLABLE_Modifier}', "");
Expect(1, 8325, '\P{Is_InSC=_-SYLLABLE_Modifier}', "");
Expect(0, 8325, '\P{^Is_InSC=_-SYLLABLE_Modifier}', "");
Error('\p{Indic_Syllabic_Category=_/a/tone_LETTER}');
Error('\P{Indic_Syllabic_Category=_/a/tone_LETTER}');
Expect(1, 43714, '\p{Indic_Syllabic_Category=toneletter}', "");
Expect(0, 43714, '\p{^Indic_Syllabic_Category=toneletter}', "");
Expect(0, 43714, '\P{Indic_Syllabic_Category=toneletter}', "");
Expect(1, 43714, '\P{^Indic_Syllabic_Category=toneletter}', "");
Expect(0, 43715, '\p{Indic_Syllabic_Category=toneletter}', "");
Expect(1, 43715, '\p{^Indic_Syllabic_Category=toneletter}', "");
Expect(1, 43715, '\P{Indic_Syllabic_Category=toneletter}', "");
Expect(0, 43715, '\P{^Indic_Syllabic_Category=toneletter}', "");
Expect(1, 43714, '\p{Indic_Syllabic_Category=-tone_LETTER}', "");
Expect(0, 43714, '\p{^Indic_Syllabic_Category=-tone_LETTER}', "");
Expect(0, 43714, '\P{Indic_Syllabic_Category=-tone_LETTER}', "");
Expect(1, 43714, '\P{^Indic_Syllabic_Category=-tone_LETTER}', "");
Expect(0, 43715, '\p{Indic_Syllabic_Category=-tone_LETTER}', "");
Expect(1, 43715, '\p{^Indic_Syllabic_Category=-tone_LETTER}', "");
Expect(1, 43715, '\P{Indic_Syllabic_Category=-tone_LETTER}', "");
Expect(0, 43715, '\P{^Indic_Syllabic_Category=-tone_LETTER}', "");
Error('\p{InSC=:=--Tone_LETTER}');
Error('\P{InSC=:=--Tone_LETTER}');
Expect(1, 43714, '\p{InSC: toneletter}', "");
Expect(0, 43714, '\p{^InSC: toneletter}', "");
Expect(0, 43714, '\P{InSC: toneletter}', "");
Expect(1, 43714, '\P{^InSC: toneletter}', "");
Expect(0, 43715, '\p{InSC: toneletter}', "");
Expect(1, 43715, '\p{^InSC: toneletter}', "");
Expect(1, 43715, '\P{InSC: toneletter}', "");
Expect(0, 43715, '\P{^InSC: toneletter}', "");
Expect(1, 43714, '\p{InSC=		TONE_Letter}', "");
Expect(0, 43714, '\p{^InSC=		TONE_Letter}', "");
Expect(0, 43714, '\P{InSC=		TONE_Letter}', "");
Expect(1, 43714, '\P{^InSC=		TONE_Letter}', "");
Expect(0, 43715, '\p{InSC=		TONE_Letter}', "");
Expect(1, 43715, '\p{^InSC=		TONE_Letter}', "");
Expect(1, 43715, '\P{InSC=		TONE_Letter}', "");
Expect(0, 43715, '\P{^InSC=		TONE_Letter}', "");
Error('\p{Is_Indic_Syllabic_Category=_:=TONE_Letter}');
Error('\P{Is_Indic_Syllabic_Category=_:=TONE_Letter}');
Expect(1, 43714, '\p{Is_Indic_Syllabic_Category=toneletter}', "");
Expect(0, 43714, '\p{^Is_Indic_Syllabic_Category=toneletter}', "");
Expect(0, 43714, '\P{Is_Indic_Syllabic_Category=toneletter}', "");
Expect(1, 43714, '\P{^Is_Indic_Syllabic_Category=toneletter}', "");
Expect(0, 43715, '\p{Is_Indic_Syllabic_Category=toneletter}', "");
Expect(1, 43715, '\p{^Is_Indic_Syllabic_Category=toneletter}', "");
Expect(1, 43715, '\P{Is_Indic_Syllabic_Category=toneletter}', "");
Expect(0, 43715, '\P{^Is_Indic_Syllabic_Category=toneletter}', "");
Expect(1, 43714, '\p{Is_Indic_Syllabic_Category=-	TONE_Letter}', "");
Expect(0, 43714, '\p{^Is_Indic_Syllabic_Category=-	TONE_Letter}', "");
Expect(0, 43714, '\P{Is_Indic_Syllabic_Category=-	TONE_Letter}', "");
Expect(1, 43714, '\P{^Is_Indic_Syllabic_Category=-	TONE_Letter}', "");
Expect(0, 43715, '\p{Is_Indic_Syllabic_Category=-	TONE_Letter}', "");
Expect(1, 43715, '\p{^Is_Indic_Syllabic_Category=-	TONE_Letter}', "");
Expect(1, 43715, '\P{Is_Indic_Syllabic_Category=-	TONE_Letter}', "");
Expect(0, 43715, '\P{^Is_Indic_Syllabic_Category=-	TONE_Letter}', "");
Error('\p{Is_InSC=/a/- tone_Letter}');
Error('\P{Is_InSC=/a/- tone_Letter}');
Expect(1, 43714, '\p{Is_InSC=toneletter}', "");
Expect(0, 43714, '\p{^Is_InSC=toneletter}', "");
Expect(0, 43714, '\P{Is_InSC=toneletter}', "");
Expect(1, 43714, '\P{^Is_InSC=toneletter}', "");
Expect(0, 43715, '\p{Is_InSC=toneletter}', "");
Expect(1, 43715, '\p{^Is_InSC=toneletter}', "");
Expect(1, 43715, '\P{Is_InSC=toneletter}', "");
Expect(0, 43715, '\P{^Is_InSC=toneletter}', "");
Expect(1, 43714, '\p{Is_InSC:	TONE_Letter}', "");
Expect(0, 43714, '\p{^Is_InSC:	TONE_Letter}', "");
Expect(0, 43714, '\P{Is_InSC:	TONE_Letter}', "");
Expect(1, 43714, '\P{^Is_InSC:	TONE_Letter}', "");
Expect(0, 43715, '\p{Is_InSC:	TONE_Letter}', "");
Expect(1, 43715, '\p{^Is_InSC:	TONE_Letter}', "");
Expect(1, 43715, '\P{Is_InSC:	TONE_Letter}', "");
Expect(0, 43715, '\P{^Is_InSC:	TONE_Letter}', "");
Error('\p{Indic_Syllabic_Category=	Tone_MARK/a/}');
Error('\P{Indic_Syllabic_Category=	Tone_MARK/a/}');
Expect(1, 44012, '\p{Indic_Syllabic_Category:tonemark}', "");
Expect(0, 44012, '\p{^Indic_Syllabic_Category:tonemark}', "");
Expect(0, 44012, '\P{Indic_Syllabic_Category:tonemark}', "");
Expect(1, 44012, '\P{^Indic_Syllabic_Category:tonemark}', "");
Expect(0, 44013, '\p{Indic_Syllabic_Category:tonemark}', "");
Expect(1, 44013, '\p{^Indic_Syllabic_Category:tonemark}', "");
Expect(1, 44013, '\P{Indic_Syllabic_Category:tonemark}', "");
Expect(0, 44013, '\P{^Indic_Syllabic_Category:tonemark}', "");
Expect(1, 44012, '\p{Indic_Syllabic_Category=  TONE_MARK}', "");
Expect(0, 44012, '\p{^Indic_Syllabic_Category=  TONE_MARK}', "");
Expect(0, 44012, '\P{Indic_Syllabic_Category=  TONE_MARK}', "");
Expect(1, 44012, '\P{^Indic_Syllabic_Category=  TONE_MARK}', "");
Expect(0, 44013, '\p{Indic_Syllabic_Category=  TONE_MARK}', "");
Expect(1, 44013, '\p{^Indic_Syllabic_Category=  TONE_MARK}', "");
Expect(1, 44013, '\P{Indic_Syllabic_Category=  TONE_MARK}', "");
Expect(0, 44013, '\P{^Indic_Syllabic_Category=  TONE_MARK}', "");
Error('\p{InSC= :=Tone_mark}');
Error('\P{InSC= :=Tone_mark}');
Expect(1, 44012, '\p{InSC=tonemark}', "");
Expect(0, 44012, '\p{^InSC=tonemark}', "");
Expect(0, 44012, '\P{InSC=tonemark}', "");
Expect(1, 44012, '\P{^InSC=tonemark}', "");
Expect(0, 44013, '\p{InSC=tonemark}', "");
Expect(1, 44013, '\p{^InSC=tonemark}', "");
Expect(1, 44013, '\P{InSC=tonemark}', "");
Expect(0, 44013, '\P{^InSC=tonemark}', "");
Expect(1, 44012, '\p{InSC=-tone_MARK}', "");
Expect(0, 44012, '\p{^InSC=-tone_MARK}', "");
Expect(0, 44012, '\P{InSC=-tone_MARK}', "");
Expect(1, 44012, '\P{^InSC=-tone_MARK}', "");
Expect(0, 44013, '\p{InSC=-tone_MARK}', "");
Expect(1, 44013, '\p{^InSC=-tone_MARK}', "");
Expect(1, 44013, '\P{InSC=-tone_MARK}', "");
Expect(0, 44013, '\P{^InSC=-tone_MARK}', "");
Error('\p{Is_Indic_Syllabic_Category=_Tone_mark/a/}');
Error('\P{Is_Indic_Syllabic_Category=_Tone_mark/a/}');
Expect(1, 44012, '\p{Is_Indic_Syllabic_Category=tonemark}', "");
Expect(0, 44012, '\p{^Is_Indic_Syllabic_Category=tonemark}', "");
Expect(0, 44012, '\P{Is_Indic_Syllabic_Category=tonemark}', "");
Expect(1, 44012, '\P{^Is_Indic_Syllabic_Category=tonemark}', "");
Expect(0, 44013, '\p{Is_Indic_Syllabic_Category=tonemark}', "");
Expect(1, 44013, '\p{^Is_Indic_Syllabic_Category=tonemark}', "");
Expect(1, 44013, '\P{Is_Indic_Syllabic_Category=tonemark}', "");
Expect(0, 44013, '\P{^Is_Indic_Syllabic_Category=tonemark}', "");
Expect(1, 44012, '\p{Is_Indic_Syllabic_Category=__Tone_Mark}', "");
Expect(0, 44012, '\p{^Is_Indic_Syllabic_Category=__Tone_Mark}', "");
Expect(0, 44012, '\P{Is_Indic_Syllabic_Category=__Tone_Mark}', "");
Expect(1, 44012, '\P{^Is_Indic_Syllabic_Category=__Tone_Mark}', "");
Expect(0, 44013, '\p{Is_Indic_Syllabic_Category=__Tone_Mark}', "");
Expect(1, 44013, '\p{^Is_Indic_Syllabic_Category=__Tone_Mark}', "");
Expect(1, 44013, '\P{Is_Indic_Syllabic_Category=__Tone_Mark}', "");
Expect(0, 44013, '\P{^Is_Indic_Syllabic_Category=__Tone_Mark}', "");
Error('\p{Is_InSC=	/a/TONE_mark}');
Error('\P{Is_InSC=	/a/TONE_mark}');
Expect(1, 44012, '\p{Is_InSC=tonemark}', "");
Expect(0, 44012, '\p{^Is_InSC=tonemark}', "");
Expect(0, 44012, '\P{Is_InSC=tonemark}', "");
Expect(1, 44012, '\P{^Is_InSC=tonemark}', "");
Expect(0, 44013, '\p{Is_InSC=tonemark}', "");
Expect(1, 44013, '\p{^Is_InSC=tonemark}', "");
Expect(1, 44013, '\P{Is_InSC=tonemark}', "");
Expect(0, 44013, '\P{^Is_InSC=tonemark}', "");
Expect(1, 44012, '\p{Is_InSC=-	Tone_mark}', "");
Expect(0, 44012, '\p{^Is_InSC=-	Tone_mark}', "");
Expect(0, 44012, '\P{Is_InSC=-	Tone_mark}', "");
Expect(1, 44012, '\P{^Is_InSC=-	Tone_mark}', "");
Expect(0, 44013, '\p{Is_InSC=-	Tone_mark}', "");
Expect(1, 44013, '\p{^Is_InSC=-	Tone_mark}', "");
Expect(1, 44013, '\P{Is_InSC=-	Tone_mark}', "");
Expect(0, 44013, '\P{^Is_InSC=-	Tone_mark}', "");
Error('\p{Indic_Syllabic_Category= Virama:=}');
Error('\P{Indic_Syllabic_Category= Virama:=}');
Expect(1, 71350, '\p{Indic_Syllabic_Category=virama}', "");
Expect(0, 71350, '\p{^Indic_Syllabic_Category=virama}', "");
Expect(0, 71350, '\P{Indic_Syllabic_Category=virama}', "");
Expect(1, 71350, '\P{^Indic_Syllabic_Category=virama}', "");
Expect(0, 71351, '\p{Indic_Syllabic_Category=virama}', "");
Expect(1, 71351, '\p{^Indic_Syllabic_Category=virama}', "");
Expect(1, 71351, '\P{Indic_Syllabic_Category=virama}', "");
Expect(0, 71351, '\P{^Indic_Syllabic_Category=virama}', "");
Expect(1, 71350, '\p{Indic_Syllabic_Category:   __VIRAMA}', "");
Expect(0, 71350, '\p{^Indic_Syllabic_Category:   __VIRAMA}', "");
Expect(0, 71350, '\P{Indic_Syllabic_Category:   __VIRAMA}', "");
Expect(1, 71350, '\P{^Indic_Syllabic_Category:   __VIRAMA}', "");
Expect(0, 71351, '\p{Indic_Syllabic_Category:   __VIRAMA}', "");
Expect(1, 71351, '\p{^Indic_Syllabic_Category:   __VIRAMA}', "");
Expect(1, 71351, '\P{Indic_Syllabic_Category:   __VIRAMA}', "");
Expect(0, 71351, '\P{^Indic_Syllabic_Category:   __VIRAMA}', "");
Error('\p{InSC=:=VIRAMA}');
Error('\P{InSC=:=VIRAMA}');
Expect(1, 71350, '\p{InSC=virama}', "");
Expect(0, 71350, '\p{^InSC=virama}', "");
Expect(0, 71350, '\P{InSC=virama}', "");
Expect(1, 71350, '\P{^InSC=virama}', "");
Expect(0, 71351, '\p{InSC=virama}', "");
Expect(1, 71351, '\p{^InSC=virama}', "");
Expect(1, 71351, '\P{InSC=virama}', "");
Expect(0, 71351, '\P{^InSC=virama}', "");
Expect(1, 71350, '\p{InSC=	 Virama}', "");
Expect(0, 71350, '\p{^InSC=	 Virama}', "");
Expect(0, 71350, '\P{InSC=	 Virama}', "");
Expect(1, 71350, '\P{^InSC=	 Virama}', "");
Expect(0, 71351, '\p{InSC=	 Virama}', "");
Expect(1, 71351, '\p{^InSC=	 Virama}', "");
Expect(1, 71351, '\P{InSC=	 Virama}', "");
Expect(0, 71351, '\P{^InSC=	 Virama}', "");
Error('\p{Is_Indic_Syllabic_Category:	:=	-VIRAMA}');
Error('\P{Is_Indic_Syllabic_Category:	:=	-VIRAMA}');
Expect(1, 71350, '\p{Is_Indic_Syllabic_Category=virama}', "");
Expect(0, 71350, '\p{^Is_Indic_Syllabic_Category=virama}', "");
Expect(0, 71350, '\P{Is_Indic_Syllabic_Category=virama}', "");
Expect(1, 71350, '\P{^Is_Indic_Syllabic_Category=virama}', "");
Expect(0, 71351, '\p{Is_Indic_Syllabic_Category=virama}', "");
Expect(1, 71351, '\p{^Is_Indic_Syllabic_Category=virama}', "");
Expect(1, 71351, '\P{Is_Indic_Syllabic_Category=virama}', "");
Expect(0, 71351, '\P{^Is_Indic_Syllabic_Category=virama}', "");
Expect(1, 71350, '\p{Is_Indic_Syllabic_Category: Virama}', "");
Expect(0, 71350, '\p{^Is_Indic_Syllabic_Category: Virama}', "");
Expect(0, 71350, '\P{Is_Indic_Syllabic_Category: Virama}', "");
Expect(1, 71350, '\P{^Is_Indic_Syllabic_Category: Virama}', "");
Expect(0, 71351, '\p{Is_Indic_Syllabic_Category: Virama}', "");
Expect(1, 71351, '\p{^Is_Indic_Syllabic_Category: Virama}', "");
Expect(1, 71351, '\P{Is_Indic_Syllabic_Category: Virama}', "");
Expect(0, 71351, '\P{^Is_Indic_Syllabic_Category: Virama}', "");
Error('\p{Is_InSC= /a/VIRAMA}');
Error('\P{Is_InSC= /a/VIRAMA}');
Expect(1, 71350, '\p{Is_InSC: virama}', "");
Expect(0, 71350, '\p{^Is_InSC: virama}', "");
Expect(0, 71350, '\P{Is_InSC: virama}', "");
Expect(1, 71350, '\P{^Is_InSC: virama}', "");
Expect(0, 71351, '\p{Is_InSC: virama}', "");
Expect(1, 71351, '\p{^Is_InSC: virama}', "");
Expect(1, 71351, '\P{Is_InSC: virama}', "");
Expect(0, 71351, '\P{^Is_InSC: virama}', "");
Error('\p{Indic_Syllabic_Category: __Visarga/a/}');
Error('\P{Indic_Syllabic_Category: __Visarga/a/}');
Expect(1, 71340, '\p{Indic_Syllabic_Category:visarga}', "");
Expect(0, 71340, '\p{^Indic_Syllabic_Category:visarga}', "");
Expect(0, 71340, '\P{Indic_Syllabic_Category:visarga}', "");
Expect(1, 71340, '\P{^Indic_Syllabic_Category:visarga}', "");
Expect(0, 71341, '\p{Indic_Syllabic_Category:visarga}', "");
Expect(1, 71341, '\p{^Indic_Syllabic_Category:visarga}', "");
Expect(1, 71341, '\P{Indic_Syllabic_Category:visarga}', "");
Expect(0, 71341, '\P{^Indic_Syllabic_Category:visarga}', "");
Expect(1, 71340, '\p{Indic_Syllabic_Category=_	Visarga}', "");
Expect(0, 71340, '\p{^Indic_Syllabic_Category=_	Visarga}', "");
Expect(0, 71340, '\P{Indic_Syllabic_Category=_	Visarga}', "");
Expect(1, 71340, '\P{^Indic_Syllabic_Category=_	Visarga}', "");
Expect(0, 71341, '\p{Indic_Syllabic_Category=_	Visarga}', "");
Expect(1, 71341, '\p{^Indic_Syllabic_Category=_	Visarga}', "");
Expect(1, 71341, '\P{Indic_Syllabic_Category=_	Visarga}', "");
Expect(0, 71341, '\P{^Indic_Syllabic_Category=_	Visarga}', "");
Error('\p{InSC=/a/ 	visarga}');
Error('\P{InSC=/a/ 	visarga}');
Expect(1, 71340, '\p{InSC=visarga}', "");
Expect(0, 71340, '\p{^InSC=visarga}', "");
Expect(0, 71340, '\P{InSC=visarga}', "");
Expect(1, 71340, '\P{^InSC=visarga}', "");
Expect(0, 71341, '\p{InSC=visarga}', "");
Expect(1, 71341, '\p{^InSC=visarga}', "");
Expect(1, 71341, '\P{InSC=visarga}', "");
Expect(0, 71341, '\P{^InSC=visarga}', "");
Expect(1, 71340, '\p{InSC=_Visarga}', "");
Expect(0, 71340, '\p{^InSC=_Visarga}', "");
Expect(0, 71340, '\P{InSC=_Visarga}', "");
Expect(1, 71340, '\P{^InSC=_Visarga}', "");
Expect(0, 71341, '\p{InSC=_Visarga}', "");
Expect(1, 71341, '\p{^InSC=_Visarga}', "");
Expect(1, 71341, '\P{InSC=_Visarga}', "");
Expect(0, 71341, '\P{^InSC=_Visarga}', "");
Error('\p{Is_Indic_Syllabic_Category=	visarga:=}');
Error('\P{Is_Indic_Syllabic_Category=	visarga:=}');
Expect(1, 71340, '\p{Is_Indic_Syllabic_Category=visarga}', "");
Expect(0, 71340, '\p{^Is_Indic_Syllabic_Category=visarga}', "");
Expect(0, 71340, '\P{Is_Indic_Syllabic_Category=visarga}', "");
Expect(1, 71340, '\P{^Is_Indic_Syllabic_Category=visarga}', "");
Expect(0, 71341, '\p{Is_Indic_Syllabic_Category=visarga}', "");
Expect(1, 71341, '\p{^Is_Indic_Syllabic_Category=visarga}', "");
Expect(1, 71341, '\P{Is_Indic_Syllabic_Category=visarga}', "");
Expect(0, 71341, '\P{^Is_Indic_Syllabic_Category=visarga}', "");
Expect(1, 71340, '\p{Is_Indic_Syllabic_Category= _VISARGA}', "");
Expect(0, 71340, '\p{^Is_Indic_Syllabic_Category= _VISARGA}', "");
Expect(0, 71340, '\P{Is_Indic_Syllabic_Category= _VISARGA}', "");
Expect(1, 71340, '\P{^Is_Indic_Syllabic_Category= _VISARGA}', "");
Expect(0, 71341, '\p{Is_Indic_Syllabic_Category= _VISARGA}', "");
Expect(1, 71341, '\p{^Is_Indic_Syllabic_Category= _VISARGA}', "");
Expect(1, 71341, '\P{Is_Indic_Syllabic_Category= _VISARGA}', "");
Expect(0, 71341, '\P{^Is_Indic_Syllabic_Category= _VISARGA}', "");
Error('\p{Is_InSC=:=	 visarga}');
Error('\P{Is_InSC=:=	 visarga}');
Expect(1, 71340, '\p{Is_InSC=visarga}', "");
Expect(0, 71340, '\p{^Is_InSC=visarga}', "");
Expect(0, 71340, '\P{Is_InSC=visarga}', "");
Expect(1, 71340, '\P{^Is_InSC=visarga}', "");
Expect(0, 71341, '\p{Is_InSC=visarga}', "");
Expect(1, 71341, '\p{^Is_InSC=visarga}', "");
Expect(1, 71341, '\P{Is_InSC=visarga}', "");
Expect(0, 71341, '\P{^Is_InSC=visarga}', "");
Expect(1, 71340, '\p{Is_InSC=- Visarga}', "");
Expect(0, 71340, '\p{^Is_InSC=- Visarga}', "");
Expect(0, 71340, '\P{Is_InSC=- Visarga}', "");
Expect(1, 71340, '\P{^Is_InSC=- Visarga}', "");
Expect(0, 71341, '\p{Is_InSC=- Visarga}', "");
Expect(1, 71341, '\p{^Is_InSC=- Visarga}', "");
Expect(1, 71341, '\P{Is_InSC=- Visarga}', "");
Expect(0, 71341, '\P{^Is_InSC=- Visarga}', "");
Error('\p{Indic_Syllabic_Category: 	vowel:=}');
Error('\P{Indic_Syllabic_Category: 	vowel:=}');
Expect(1, 69972, '\p{Indic_Syllabic_Category=vowel}', "");
Expect(0, 69972, '\p{^Indic_Syllabic_Category=vowel}', "");
Expect(0, 69972, '\P{Indic_Syllabic_Category=vowel}', "");
Expect(1, 69972, '\P{^Indic_Syllabic_Category=vowel}', "");
Expect(0, 69973, '\p{Indic_Syllabic_Category=vowel}', "");
Expect(1, 69973, '\p{^Indic_Syllabic_Category=vowel}', "");
Expect(1, 69973, '\P{Indic_Syllabic_Category=vowel}', "");
Expect(0, 69973, '\P{^Indic_Syllabic_Category=vowel}', "");
Expect(1, 69972, '\p{Indic_Syllabic_Category=	vowel}', "");
Expect(0, 69972, '\p{^Indic_Syllabic_Category=	vowel}', "");
Expect(0, 69972, '\P{Indic_Syllabic_Category=	vowel}', "");
Expect(1, 69972, '\P{^Indic_Syllabic_Category=	vowel}', "");
Expect(0, 69973, '\p{Indic_Syllabic_Category=	vowel}', "");
Expect(1, 69973, '\p{^Indic_Syllabic_Category=	vowel}', "");
Expect(1, 69973, '\P{Indic_Syllabic_Category=	vowel}', "");
Expect(0, 69973, '\P{^Indic_Syllabic_Category=	vowel}', "");
Error('\p{InSC=	:=Vowel}');
Error('\P{InSC=	:=Vowel}');
Expect(1, 69972, '\p{InSC=vowel}', "");
Expect(0, 69972, '\p{^InSC=vowel}', "");
Expect(0, 69972, '\P{InSC=vowel}', "");
Expect(1, 69972, '\P{^InSC=vowel}', "");
Expect(0, 69973, '\p{InSC=vowel}', "");
Expect(1, 69973, '\p{^InSC=vowel}', "");
Expect(1, 69973, '\P{InSC=vowel}', "");
Expect(0, 69973, '\P{^InSC=vowel}', "");
Expect(1, 69972, '\p{InSC=	Vowel}', "");
Expect(0, 69972, '\p{^InSC=	Vowel}', "");
Expect(0, 69972, '\P{InSC=	Vowel}', "");
Expect(1, 69972, '\P{^InSC=	Vowel}', "");
Expect(0, 69973, '\p{InSC=	Vowel}', "");
Expect(1, 69973, '\p{^InSC=	Vowel}', "");
Expect(1, 69973, '\P{InSC=	Vowel}', "");
Expect(0, 69973, '\P{^InSC=	Vowel}', "");
Error('\p{Is_Indic_Syllabic_Category=:=	Vowel}');
Error('\P{Is_Indic_Syllabic_Category=:=	Vowel}');
Expect(1, 69972, '\p{Is_Indic_Syllabic_Category=vowel}', "");
Expect(0, 69972, '\p{^Is_Indic_Syllabic_Category=vowel}', "");
Expect(0, 69972, '\P{Is_Indic_Syllabic_Category=vowel}', "");
Expect(1, 69972, '\P{^Is_Indic_Syllabic_Category=vowel}', "");
Expect(0, 69973, '\p{Is_Indic_Syllabic_Category=vowel}', "");
Expect(1, 69973, '\p{^Is_Indic_Syllabic_Category=vowel}', "");
Expect(1, 69973, '\P{Is_Indic_Syllabic_Category=vowel}', "");
Expect(0, 69973, '\P{^Is_Indic_Syllabic_Category=vowel}', "");
Expect(1, 69972, '\p{Is_Indic_Syllabic_Category=	 Vowel}', "");
Expect(0, 69972, '\p{^Is_Indic_Syllabic_Category=	 Vowel}', "");
Expect(0, 69972, '\P{Is_Indic_Syllabic_Category=	 Vowel}', "");
Expect(1, 69972, '\P{^Is_Indic_Syllabic_Category=	 Vowel}', "");
Expect(0, 69973, '\p{Is_Indic_Syllabic_Category=	 Vowel}', "");
Expect(1, 69973, '\p{^Is_Indic_Syllabic_Category=	 Vowel}', "");
Expect(1, 69973, '\P{Is_Indic_Syllabic_Category=	 Vowel}', "");
Expect(0, 69973, '\P{^Is_Indic_Syllabic_Category=	 Vowel}', "");
Error('\p{Is_InSC=:=	 Vowel}');
Error('\P{Is_InSC=:=	 Vowel}');
Expect(1, 69972, '\p{Is_InSC=vowel}', "");
Expect(0, 69972, '\p{^Is_InSC=vowel}', "");
Expect(0, 69972, '\P{Is_InSC=vowel}', "");
Expect(1, 69972, '\P{^Is_InSC=vowel}', "");
Expect(0, 69973, '\p{Is_InSC=vowel}', "");
Expect(1, 69973, '\p{^Is_InSC=vowel}', "");
Expect(1, 69973, '\P{Is_InSC=vowel}', "");
Expect(0, 69973, '\P{^Is_InSC=vowel}', "");
Expect(1, 69972, '\p{Is_InSC=	Vowel}', "");
Expect(0, 69972, '\p{^Is_InSC=	Vowel}', "");
Expect(0, 69972, '\P{Is_InSC=	Vowel}', "");
Expect(1, 69972, '\P{^Is_InSC=	Vowel}', "");
Expect(0, 69973, '\p{Is_InSC=	Vowel}', "");
Expect(1, 69973, '\p{^Is_InSC=	Vowel}', "");
Expect(1, 69973, '\P{Is_InSC=	Vowel}', "");
Expect(0, 69973, '\P{^Is_InSC=	Vowel}', "");
Error('\p{Indic_Syllabic_Category=-	VOWEL_Dependent/a/}');
Error('\P{Indic_Syllabic_Category=-	VOWEL_Dependent/a/}');
Expect(1, 71466, '\p{Indic_Syllabic_Category=voweldependent}', "");
Expect(0, 71466, '\p{^Indic_Syllabic_Category=voweldependent}', "");
Expect(0, 71466, '\P{Indic_Syllabic_Category=voweldependent}', "");
Expect(1, 71466, '\P{^Indic_Syllabic_Category=voweldependent}', "");
Expect(0, 71467, '\p{Indic_Syllabic_Category=voweldependent}', "");
Expect(1, 71467, '\p{^Indic_Syllabic_Category=voweldependent}', "");
Expect(1, 71467, '\P{Indic_Syllabic_Category=voweldependent}', "");
Expect(0, 71467, '\P{^Indic_Syllabic_Category=voweldependent}', "");
Expect(1, 71466, '\p{Indic_Syllabic_Category= vowel_Dependent}', "");
Expect(0, 71466, '\p{^Indic_Syllabic_Category= vowel_Dependent}', "");
Expect(0, 71466, '\P{Indic_Syllabic_Category= vowel_Dependent}', "");
Expect(1, 71466, '\P{^Indic_Syllabic_Category= vowel_Dependent}', "");
Expect(0, 71467, '\p{Indic_Syllabic_Category= vowel_Dependent}', "");
Expect(1, 71467, '\p{^Indic_Syllabic_Category= vowel_Dependent}', "");
Expect(1, 71467, '\P{Indic_Syllabic_Category= vowel_Dependent}', "");
Expect(0, 71467, '\P{^Indic_Syllabic_Category= vowel_Dependent}', "");
Error('\p{InSC=-:=VOWEL_dependent}');
Error('\P{InSC=-:=VOWEL_dependent}');
Expect(1, 71466, '\p{InSC=voweldependent}', "");
Expect(0, 71466, '\p{^InSC=voweldependent}', "");
Expect(0, 71466, '\P{InSC=voweldependent}', "");
Expect(1, 71466, '\P{^InSC=voweldependent}', "");
Expect(0, 71467, '\p{InSC=voweldependent}', "");
Expect(1, 71467, '\p{^InSC=voweldependent}', "");
Expect(1, 71467, '\P{InSC=voweldependent}', "");
Expect(0, 71467, '\P{^InSC=voweldependent}', "");
Expect(1, 71466, '\p{InSC= VOWEL_Dependent}', "");
Expect(0, 71466, '\p{^InSC= VOWEL_Dependent}', "");
Expect(0, 71466, '\P{InSC= VOWEL_Dependent}', "");
Expect(1, 71466, '\P{^InSC= VOWEL_Dependent}', "");
Expect(0, 71467, '\p{InSC= VOWEL_Dependent}', "");
Expect(1, 71467, '\p{^InSC= VOWEL_Dependent}', "");
Expect(1, 71467, '\P{InSC= VOWEL_Dependent}', "");
Expect(0, 71467, '\P{^InSC= VOWEL_Dependent}', "");
Error('\p{Is_Indic_Syllabic_Category=/a/-_vowel_DEPENDENT}');
Error('\P{Is_Indic_Syllabic_Category=/a/-_vowel_DEPENDENT}');
Expect(1, 71466, '\p{Is_Indic_Syllabic_Category=voweldependent}', "");
Expect(0, 71466, '\p{^Is_Indic_Syllabic_Category=voweldependent}', "");
Expect(0, 71466, '\P{Is_Indic_Syllabic_Category=voweldependent}', "");
Expect(1, 71466, '\P{^Is_Indic_Syllabic_Category=voweldependent}', "");
Expect(0, 71467, '\p{Is_Indic_Syllabic_Category=voweldependent}', "");
Expect(1, 71467, '\p{^Is_Indic_Syllabic_Category=voweldependent}', "");
Expect(1, 71467, '\P{Is_Indic_Syllabic_Category=voweldependent}', "");
Expect(0, 71467, '\P{^Is_Indic_Syllabic_Category=voweldependent}', "");
Expect(1, 71466, '\p{Is_Indic_Syllabic_Category=_vowel_DEPENDENT}', "");
Expect(0, 71466, '\p{^Is_Indic_Syllabic_Category=_vowel_DEPENDENT}', "");
Expect(0, 71466, '\P{Is_Indic_Syllabic_Category=_vowel_DEPENDENT}', "");
Expect(1, 71466, '\P{^Is_Indic_Syllabic_Category=_vowel_DEPENDENT}', "");
Expect(0, 71467, '\p{Is_Indic_Syllabic_Category=_vowel_DEPENDENT}', "");
Expect(1, 71467, '\p{^Is_Indic_Syllabic_Category=_vowel_DEPENDENT}', "");
Expect(1, 71467, '\P{Is_Indic_Syllabic_Category=_vowel_DEPENDENT}', "");
Expect(0, 71467, '\P{^Is_Indic_Syllabic_Category=_vowel_DEPENDENT}', "");
Error('\p{Is_InSC: _	vowel_dependent:=}');
Error('\P{Is_InSC: _	vowel_dependent:=}');
Expect(1, 71466, '\p{Is_InSC=voweldependent}', "");
Expect(0, 71466, '\p{^Is_InSC=voweldependent}', "");
Expect(0, 71466, '\P{Is_InSC=voweldependent}', "");
Expect(1, 71466, '\P{^Is_InSC=voweldependent}', "");
Expect(0, 71467, '\p{Is_InSC=voweldependent}', "");
Expect(1, 71467, '\p{^Is_InSC=voweldependent}', "");
Expect(1, 71467, '\P{Is_InSC=voweldependent}', "");
Expect(0, 71467, '\P{^Is_InSC=voweldependent}', "");
Expect(1, 71466, '\p{Is_InSC=_Vowel_DEPENDENT}', "");
Expect(0, 71466, '\p{^Is_InSC=_Vowel_DEPENDENT}', "");
Expect(0, 71466, '\P{Is_InSC=_Vowel_DEPENDENT}', "");
Expect(1, 71466, '\P{^Is_InSC=_Vowel_DEPENDENT}', "");
Expect(0, 71467, '\p{Is_InSC=_Vowel_DEPENDENT}', "");
Expect(1, 71467, '\p{^Is_InSC=_Vowel_DEPENDENT}', "");
Expect(1, 71467, '\P{Is_InSC=_Vowel_DEPENDENT}', "");
Expect(0, 71467, '\P{^Is_InSC=_Vowel_DEPENDENT}', "");
Error('\p{Indic_Syllabic_Category=/a/-Vowel_INDEPENDENT}');
Error('\P{Indic_Syllabic_Category=/a/-Vowel_INDEPENDENT}');
Expect(1, 71305, '\p{Indic_Syllabic_Category=vowelindependent}', "");
Expect(0, 71305, '\p{^Indic_Syllabic_Category=vowelindependent}', "");
Expect(0, 71305, '\P{Indic_Syllabic_Category=vowelindependent}', "");
Expect(1, 71305, '\P{^Indic_Syllabic_Category=vowelindependent}', "");
Expect(0, 71306, '\p{Indic_Syllabic_Category=vowelindependent}', "");
Expect(1, 71306, '\p{^Indic_Syllabic_Category=vowelindependent}', "");
Expect(1, 71306, '\P{Indic_Syllabic_Category=vowelindependent}', "");
Expect(0, 71306, '\P{^Indic_Syllabic_Category=vowelindependent}', "");
Expect(1, 71305, '\p{Indic_Syllabic_Category=	 Vowel_Independent}', "");
Expect(0, 71305, '\p{^Indic_Syllabic_Category=	 Vowel_Independent}', "");
Expect(0, 71305, '\P{Indic_Syllabic_Category=	 Vowel_Independent}', "");
Expect(1, 71305, '\P{^Indic_Syllabic_Category=	 Vowel_Independent}', "");
Expect(0, 71306, '\p{Indic_Syllabic_Category=	 Vowel_Independent}', "");
Expect(1, 71306, '\p{^Indic_Syllabic_Category=	 Vowel_Independent}', "");
Expect(1, 71306, '\P{Indic_Syllabic_Category=	 Vowel_Independent}', "");
Expect(0, 71306, '\P{^Indic_Syllabic_Category=	 Vowel_Independent}', "");
Error('\p{InSC:   /a/_ Vowel_Independent}');
Error('\P{InSC:   /a/_ Vowel_Independent}');
Expect(1, 71305, '\p{InSC=vowelindependent}', "");
Expect(0, 71305, '\p{^InSC=vowelindependent}', "");
Expect(0, 71305, '\P{InSC=vowelindependent}', "");
Expect(1, 71305, '\P{^InSC=vowelindependent}', "");
Expect(0, 71306, '\p{InSC=vowelindependent}', "");
Expect(1, 71306, '\p{^InSC=vowelindependent}', "");
Expect(1, 71306, '\P{InSC=vowelindependent}', "");
Expect(0, 71306, '\P{^InSC=vowelindependent}', "");
Expect(1, 71305, '\p{InSC=  vowel_independent}', "");
Expect(0, 71305, '\p{^InSC=  vowel_independent}', "");
Expect(0, 71305, '\P{InSC=  vowel_independent}', "");
Expect(1, 71305, '\P{^InSC=  vowel_independent}', "");
Expect(0, 71306, '\p{InSC=  vowel_independent}', "");
Expect(1, 71306, '\p{^InSC=  vowel_independent}', "");
Expect(1, 71306, '\P{InSC=  vowel_independent}', "");
Expect(0, 71306, '\P{^InSC=  vowel_independent}', "");
Error('\p{Is_Indic_Syllabic_Category=:=_Vowel_Independent}');
Error('\P{Is_Indic_Syllabic_Category=:=_Vowel_Independent}');
Expect(1, 71305, '\p{Is_Indic_Syllabic_Category=vowelindependent}', "");
Expect(0, 71305, '\p{^Is_Indic_Syllabic_Category=vowelindependent}', "");
Expect(0, 71305, '\P{Is_Indic_Syllabic_Category=vowelindependent}', "");
Expect(1, 71305, '\P{^Is_Indic_Syllabic_Category=vowelindependent}', "");
Expect(0, 71306, '\p{Is_Indic_Syllabic_Category=vowelindependent}', "");
Expect(1, 71306, '\p{^Is_Indic_Syllabic_Category=vowelindependent}', "");
Expect(1, 71306, '\P{Is_Indic_Syllabic_Category=vowelindependent}', "");
Expect(0, 71306, '\P{^Is_Indic_Syllabic_Category=vowelindependent}', "");
Expect(1, 71305, '\p{Is_Indic_Syllabic_Category=VOWEL_Independent}', "");
Expect(0, 71305, '\p{^Is_Indic_Syllabic_Category=VOWEL_Independent}', "");
Expect(0, 71305, '\P{Is_Indic_Syllabic_Category=VOWEL_Independent}', "");
Expect(1, 71305, '\P{^Is_Indic_Syllabic_Category=VOWEL_Independent}', "");
Expect(0, 71306, '\p{Is_Indic_Syllabic_Category=VOWEL_Independent}', "");
Expect(1, 71306, '\p{^Is_Indic_Syllabic_Category=VOWEL_Independent}', "");
Expect(1, 71306, '\P{Is_Indic_Syllabic_Category=VOWEL_Independent}', "");
Expect(0, 71306, '\P{^Is_Indic_Syllabic_Category=VOWEL_Independent}', "");
Error('\p{Is_InSC=	/a/Vowel_INDEPENDENT}');
Error('\P{Is_InSC=	/a/Vowel_INDEPENDENT}');
Expect(1, 71305, '\p{Is_InSC=vowelindependent}', "");
Expect(0, 71305, '\p{^Is_InSC=vowelindependent}', "");
Expect(0, 71305, '\P{Is_InSC=vowelindependent}', "");
Expect(1, 71305, '\P{^Is_InSC=vowelindependent}', "");
Expect(0, 71306, '\p{Is_InSC=vowelindependent}', "");
Expect(1, 71306, '\p{^Is_InSC=vowelindependent}', "");
Expect(1, 71306, '\P{Is_InSC=vowelindependent}', "");
Expect(0, 71306, '\P{^Is_InSC=vowelindependent}', "");
Expect(1, 71305, '\p{Is_InSC:  	Vowel_INDEPENDENT}', "");
Expect(0, 71305, '\p{^Is_InSC:  	Vowel_INDEPENDENT}', "");
Expect(0, 71305, '\P{Is_InSC:  	Vowel_INDEPENDENT}', "");
Expect(1, 71305, '\P{^Is_InSC:  	Vowel_INDEPENDENT}', "");
Expect(0, 71306, '\p{Is_InSC:  	Vowel_INDEPENDENT}', "");
Expect(1, 71306, '\p{^Is_InSC:  	Vowel_INDEPENDENT}', "");
Expect(1, 71306, '\P{Is_InSC:  	Vowel_INDEPENDENT}', "");
Expect(0, 71306, '\P{^Is_InSC:  	Vowel_INDEPENDENT}', "");
Error('\p{Jamo_Short_Name=A}');
Error('\P{Jamo_Short_Name=A}');
Error('\p{JSN:   A}');
Error('\P{JSN:   A}');
Error('\p{Is_Jamo_Short_Name=A}');
Error('\P{Is_Jamo_Short_Name=A}');
Error('\p{Is_JSN=A}');
Error('\P{Is_JSN=A}');
Error('\p{Jamo_Short_Name=AE}');
Error('\P{Jamo_Short_Name=AE}');
Error('\p{JSN=AE}');
Error('\P{JSN=AE}');
Error('\p{Is_Jamo_Short_Name=AE}');
Error('\P{Is_Jamo_Short_Name=AE}');
Error('\p{Is_JSN:AE}');
Error('\P{Is_JSN:AE}');
Error('\p{Jamo_Short_Name: B}');
Error('\P{Jamo_Short_Name: B}');
Error('\p{JSN: B}');
Error('\P{JSN: B}');
Error('\p{Is_Jamo_Short_Name=B}');
Error('\P{Is_Jamo_Short_Name=B}');
Error('\p{Is_JSN=B}');
Error('\P{Is_JSN=B}');
Error('\p{Jamo_Short_Name=BB}');
Error('\P{Jamo_Short_Name=BB}');
Error('\p{JSN=BB}');
Error('\P{JSN=BB}');
Error('\p{Is_Jamo_Short_Name=BB}');
Error('\P{Is_Jamo_Short_Name=BB}');
Error('\p{Is_JSN=BB}');
Error('\P{Is_JSN=BB}');
Error('\p{Jamo_Short_Name=BS}');
Error('\P{Jamo_Short_Name=BS}');
Error('\p{JSN=BS}');
Error('\P{JSN=BS}');
Error('\p{Is_Jamo_Short_Name=BS}');
Error('\P{Is_Jamo_Short_Name=BS}');
Error('\p{Is_JSN=BS}');
Error('\P{Is_JSN=BS}');
Error('\p{Jamo_Short_Name=C}');
Error('\P{Jamo_Short_Name=C}');
Error('\p{JSN:	C}');
Error('\P{JSN:	C}');
Error('\p{Is_Jamo_Short_Name=C}');
Error('\P{Is_Jamo_Short_Name=C}');
Error('\p{Is_JSN=C}');
Error('\P{Is_JSN=C}');
Error('\p{Jamo_Short_Name=D}');
Error('\P{Jamo_Short_Name=D}');
Error('\p{JSN: D}');
Error('\P{JSN: D}');
Error('\p{Is_Jamo_Short_Name=D}');
Error('\P{Is_Jamo_Short_Name=D}');
Error('\p{Is_JSN=D}');
Error('\P{Is_JSN=D}');
Error('\p{Jamo_Short_Name=DD}');
Error('\P{Jamo_Short_Name=DD}');
Error('\p{JSN=DD}');
Error('\P{JSN=DD}');
Error('\p{Is_Jamo_Short_Name=DD}');
Error('\P{Is_Jamo_Short_Name=DD}');
Error('\p{Is_JSN=DD}');
Error('\P{Is_JSN=DD}');
Error('\p{Jamo_Short_Name=E}');
Error('\P{Jamo_Short_Name=E}');
Error('\p{JSN=E}');
Error('\P{JSN=E}');
Error('\p{Is_Jamo_Short_Name:	E}');
Error('\P{Is_Jamo_Short_Name:	E}');
Error('\p{Is_JSN=E}');
Error('\P{Is_JSN=E}');
Error('\p{Jamo_Short_Name=EO}');
Error('\P{Jamo_Short_Name=EO}');
Error('\p{JSN=EO}');
Error('\P{JSN=EO}');
Error('\p{Is_Jamo_Short_Name=EO}');
Error('\P{Is_Jamo_Short_Name=EO}');
Error('\p{Is_JSN=EO}');
Error('\P{Is_JSN=EO}');
Error('\p{Jamo_Short_Name=EU}');
Error('\P{Jamo_Short_Name=EU}');
Error('\p{JSN=EU}');
Error('\P{JSN=EU}');
Error('\p{Is_Jamo_Short_Name=EU}');
Error('\P{Is_Jamo_Short_Name=EU}');
Error('\p{Is_JSN=EU}');
Error('\P{Is_JSN=EU}');
Error('\p{Jamo_Short_Name=G}');
Error('\P{Jamo_Short_Name=G}');
Error('\p{JSN=G}');
Error('\P{JSN=G}');
Error('\p{Is_Jamo_Short_Name=G}');
Error('\P{Is_Jamo_Short_Name=G}');
Error('\p{Is_JSN=G}');
Error('\P{Is_JSN=G}');
Error('\p{Jamo_Short_Name=GG}');
Error('\P{Jamo_Short_Name=GG}');
Error('\p{JSN=GG}');
Error('\P{JSN=GG}');
Error('\p{Is_Jamo_Short_Name=GG}');
Error('\P{Is_Jamo_Short_Name=GG}');
Error('\p{Is_JSN=GG}');
Error('\P{Is_JSN=GG}');
Error('\p{Jamo_Short_Name=GS}');
Error('\P{Jamo_Short_Name=GS}');
Error('\p{JSN=GS}');
Error('\P{JSN=GS}');
Error('\p{Is_Jamo_Short_Name=GS}');
Error('\P{Is_Jamo_Short_Name=GS}');
Error('\p{Is_JSN=GS}');
Error('\P{Is_JSN=GS}');
Error('\p{Jamo_Short_Name=H}');
Error('\P{Jamo_Short_Name=H}');
Error('\p{JSN=H}');
Error('\P{JSN=H}');
Error('\p{Is_Jamo_Short_Name=H}');
Error('\P{Is_Jamo_Short_Name=H}');
Error('\p{Is_JSN=H}');
Error('\P{Is_JSN=H}');
Error('\p{Jamo_Short_Name=I}');
Error('\P{Jamo_Short_Name=I}');
Error('\p{JSN=I}');
Error('\P{JSN=I}');
Error('\p{Is_Jamo_Short_Name:	I}');
Error('\P{Is_Jamo_Short_Name:	I}');
Error('\p{Is_JSN=I}');
Error('\P{Is_JSN=I}');
Error('\p{Jamo_Short_Name=J}');
Error('\P{Jamo_Short_Name=J}');
Error('\p{JSN=J}');
Error('\P{JSN=J}');
Error('\p{Is_Jamo_Short_Name=J}');
Error('\P{Is_Jamo_Short_Name=J}');
Error('\p{Is_JSN=J}');
Error('\P{Is_JSN=J}');
Error('\p{Jamo_Short_Name=JJ}');
Error('\P{Jamo_Short_Name=JJ}');
Error('\p{JSN: JJ}');
Error('\P{JSN: JJ}');
Error('\p{Is_Jamo_Short_Name=JJ}');
Error('\P{Is_Jamo_Short_Name=JJ}');
Error('\p{Is_JSN=JJ}');
Error('\P{Is_JSN=JJ}');
Error('\p{Jamo_Short_Name: K}');
Error('\P{Jamo_Short_Name: K}');
Error('\p{JSN=K}');
Error('\P{JSN=K}');
Error('\p{Is_Jamo_Short_Name=K}');
Error('\P{Is_Jamo_Short_Name=K}');
Error('\p{Is_JSN=K}');
Error('\P{Is_JSN=K}');
Error('\p{Jamo_Short_Name=L}');
Error('\P{Jamo_Short_Name=L}');
Error('\p{JSN=L}');
Error('\P{JSN=L}');
Error('\p{Is_Jamo_Short_Name=L}');
Error('\P{Is_Jamo_Short_Name=L}');
Error('\p{Is_JSN=L}');
Error('\P{Is_JSN=L}');
Error('\p{Jamo_Short_Name=LB}');
Error('\P{Jamo_Short_Name=LB}');
Error('\p{JSN=LB}');
Error('\P{JSN=LB}');
Error('\p{Is_Jamo_Short_Name=LB}');
Error('\P{Is_Jamo_Short_Name=LB}');
Error('\p{Is_JSN=LB}');
Error('\P{Is_JSN=LB}');
Error('\p{Jamo_Short_Name=LG}');
Error('\P{Jamo_Short_Name=LG}');
Error('\p{JSN=LG}');
Error('\P{JSN=LG}');
Error('\p{Is_Jamo_Short_Name=LG}');
Error('\P{Is_Jamo_Short_Name=LG}');
Error('\p{Is_JSN=LG}');
Error('\P{Is_JSN=LG}');
Error('\p{Jamo_Short_Name=LH}');
Error('\P{Jamo_Short_Name=LH}');
Error('\p{JSN=LH}');
Error('\P{JSN=LH}');
Error('\p{Is_Jamo_Short_Name=LH}');
Error('\P{Is_Jamo_Short_Name=LH}');
Error('\p{Is_JSN=LH}');
Error('\P{Is_JSN=LH}');
Error('\p{Jamo_Short_Name=LM}');
Error('\P{Jamo_Short_Name=LM}');
Error('\p{JSN=LM}');
Error('\P{JSN=LM}');
Error('\p{Is_Jamo_Short_Name: LM}');
Error('\P{Is_Jamo_Short_Name: LM}');
Error('\p{Is_JSN=LM}');
Error('\P{Is_JSN=LM}');
Error('\p{Jamo_Short_Name=LP}');
Error('\P{Jamo_Short_Name=LP}');
Error('\p{JSN=LP}');
Error('\P{JSN=LP}');
Error('\p{Is_Jamo_Short_Name=LP}');
Error('\P{Is_Jamo_Short_Name=LP}');
Error('\p{Is_JSN: LP}');
Error('\P{Is_JSN: LP}');
Error('\p{Jamo_Short_Name=LS}');
Error('\P{Jamo_Short_Name=LS}');
Error('\p{JSN=LS}');
Error('\P{JSN=LS}');
Error('\p{Is_Jamo_Short_Name=LS}');
Error('\P{Is_Jamo_Short_Name=LS}');
Error('\p{Is_JSN=LS}');
Error('\P{Is_JSN=LS}');
Error('\p{Jamo_Short_Name=LT}');
Error('\P{Jamo_Short_Name=LT}');
Error('\p{JSN=LT}');
Error('\P{JSN=LT}');
Error('\p{Is_Jamo_Short_Name=LT}');
Error('\P{Is_Jamo_Short_Name=LT}');
Error('\p{Is_JSN=LT}');
Error('\P{Is_JSN=LT}');
Error('\p{Jamo_Short_Name=M}');
Error('\P{Jamo_Short_Name=M}');
Error('\p{JSN=M}');
Error('\P{JSN=M}');
Error('\p{Is_Jamo_Short_Name=M}');
Error('\P{Is_Jamo_Short_Name=M}');
Error('\p{Is_JSN=M}');
Error('\P{Is_JSN=M}');
Error('\p{Jamo_Short_Name=N}');
Error('\P{Jamo_Short_Name=N}');
Error('\p{JSN=N}');
Error('\P{JSN=N}');
Error('\p{Is_Jamo_Short_Name:N}');
Error('\P{Is_Jamo_Short_Name:N}');
Error('\p{Is_JSN=N}');
Error('\P{Is_JSN=N}');
Error('\p{Jamo_Short_Name=NG}');
Error('\P{Jamo_Short_Name=NG}');
Error('\p{JSN=NG}');
Error('\P{JSN=NG}');
Error('\p{Is_Jamo_Short_Name=NG}');
Error('\P{Is_Jamo_Short_Name=NG}');
Error('\p{Is_JSN=NG}');
Error('\P{Is_JSN=NG}');
Error('\p{Jamo_Short_Name=NH}');
Error('\P{Jamo_Short_Name=NH}');
Error('\p{JSN=NH}');
Error('\P{JSN=NH}');
Error('\p{Is_Jamo_Short_Name=NH}');
Error('\P{Is_Jamo_Short_Name=NH}');
Error('\p{Is_JSN=NH}');
Error('\P{Is_JSN=NH}');
Error('\p{Jamo_Short_Name=NJ}');
Error('\P{Jamo_Short_Name=NJ}');
Error('\p{JSN=NJ}');
Error('\P{JSN=NJ}');
Error('\p{Is_Jamo_Short_Name:NJ}');
Error('\P{Is_Jamo_Short_Name:NJ}');
Error('\p{Is_JSN=NJ}');
Error('\P{Is_JSN=NJ}');
Error('\p{Jamo_Short_Name=O}');
Error('\P{Jamo_Short_Name=O}');
Error('\p{JSN=O}');
Error('\P{JSN=O}');
Error('\p{Is_Jamo_Short_Name=O}');
Error('\P{Is_Jamo_Short_Name=O}');
Error('\p{Is_JSN=O}');
Error('\P{Is_JSN=O}');
Error('\p{Jamo_Short_Name: OE}');
Error('\P{Jamo_Short_Name: OE}');
Error('\p{JSN=OE}');
Error('\P{JSN=OE}');
Error('\p{Is_Jamo_Short_Name=OE}');
Error('\P{Is_Jamo_Short_Name=OE}');
Error('\p{Is_JSN=OE}');
Error('\P{Is_JSN=OE}');
Error('\p{Jamo_Short_Name=P}');
Error('\P{Jamo_Short_Name=P}');
Error('\p{JSN=P}');
Error('\P{JSN=P}');
Error('\p{Is_Jamo_Short_Name=P}');
Error('\P{Is_Jamo_Short_Name=P}');
Error('\p{Is_JSN=P}');
Error('\P{Is_JSN=P}');
Error('\p{Jamo_Short_Name=R}');
Error('\P{Jamo_Short_Name=R}');
Error('\p{JSN=R}');
Error('\P{JSN=R}');
Error('\p{Is_Jamo_Short_Name=R}');
Error('\P{Is_Jamo_Short_Name=R}');
Error('\p{Is_JSN=R}');
Error('\P{Is_JSN=R}');
Error('\p{Jamo_Short_Name=S}');
Error('\P{Jamo_Short_Name=S}');
Error('\p{JSN:S}');
Error('\P{JSN:S}');
Error('\p{Is_Jamo_Short_Name=S}');
Error('\P{Is_Jamo_Short_Name=S}');
Error('\p{Is_JSN=S}');
Error('\P{Is_JSN=S}');
Error('\p{Jamo_Short_Name=SS}');
Error('\P{Jamo_Short_Name=SS}');
Error('\p{JSN=SS}');
Error('\P{JSN=SS}');
Error('\p{Is_Jamo_Short_Name: SS}');
Error('\P{Is_Jamo_Short_Name: SS}');
Error('\p{Is_JSN: SS}');
Error('\P{Is_JSN: SS}');
Error('\p{Jamo_Short_Name:	T}');
Error('\P{Jamo_Short_Name:	T}');
Error('\p{JSN=T}');
Error('\P{JSN=T}');
Error('\p{Is_Jamo_Short_Name=T}');
Error('\P{Is_Jamo_Short_Name=T}');
Error('\p{Is_JSN=T}');
Error('\P{Is_JSN=T}');
Error('\p{Jamo_Short_Name=U}');
Error('\P{Jamo_Short_Name=U}');
Error('\p{JSN:U}');
Error('\P{JSN:U}');
Error('\p{Is_Jamo_Short_Name=U}');
Error('\P{Is_Jamo_Short_Name=U}');
Error('\p{Is_JSN=U}');
Error('\P{Is_JSN=U}');
Error('\p{Jamo_Short_Name=WA}');
Error('\P{Jamo_Short_Name=WA}');
Error('\p{JSN=WA}');
Error('\P{JSN=WA}');
Error('\p{Is_Jamo_Short_Name: WA}');
Error('\P{Is_Jamo_Short_Name: WA}');
Error('\p{Is_JSN=WA}');
Error('\P{Is_JSN=WA}');
Error('\p{Jamo_Short_Name=WAE}');
Error('\P{Jamo_Short_Name=WAE}');
Error('\p{JSN=WAE}');
Error('\P{JSN=WAE}');
Error('\p{Is_Jamo_Short_Name=WAE}');
Error('\P{Is_Jamo_Short_Name=WAE}');
Error('\p{Is_JSN=WAE}');
Error('\P{Is_JSN=WAE}');
Error('\p{Jamo_Short_Name:	WE}');
Error('\P{Jamo_Short_Name:	WE}');
Error('\p{JSN=WE}');
Error('\P{JSN=WE}');
Error('\p{Is_Jamo_Short_Name=WE}');
Error('\P{Is_Jamo_Short_Name=WE}');
Error('\p{Is_JSN=WE}');
Error('\P{Is_JSN=WE}');
Error('\p{Jamo_Short_Name=WEO}');
Error('\P{Jamo_Short_Name=WEO}');
Error('\p{JSN=WEO}');
Error('\P{JSN=WEO}');
Error('\p{Is_Jamo_Short_Name:   WEO}');
Error('\P{Is_Jamo_Short_Name:   WEO}');
Error('\p{Is_JSN=WEO}');
Error('\P{Is_JSN=WEO}');
Error('\p{Jamo_Short_Name=WI}');
Error('\P{Jamo_Short_Name=WI}');
Error('\p{JSN=WI}');
Error('\P{JSN=WI}');
Error('\p{Is_Jamo_Short_Name=WI}');
Error('\P{Is_Jamo_Short_Name=WI}');
Error('\p{Is_JSN=WI}');
Error('\P{Is_JSN=WI}');
Error('\p{Jamo_Short_Name=YA}');
Error('\P{Jamo_Short_Name=YA}');
Error('\p{JSN=YA}');
Error('\P{JSN=YA}');
Error('\p{Is_Jamo_Short_Name:   YA}');
Error('\P{Is_Jamo_Short_Name:   YA}');
Error('\p{Is_JSN=YA}');
Error('\P{Is_JSN=YA}');
Error('\p{Jamo_Short_Name=YAE}');
Error('\P{Jamo_Short_Name=YAE}');
Error('\p{JSN=YAE}');
Error('\P{JSN=YAE}');
Error('\p{Is_Jamo_Short_Name=YAE}');
Error('\P{Is_Jamo_Short_Name=YAE}');
Error('\p{Is_JSN=YAE}');
Error('\P{Is_JSN=YAE}');
Error('\p{Jamo_Short_Name=YE}');
Error('\P{Jamo_Short_Name=YE}');
Error('\p{JSN=YE}');
Error('\P{JSN=YE}');
Error('\p{Is_Jamo_Short_Name=YE}');
Error('\P{Is_Jamo_Short_Name=YE}');
Error('\p{Is_JSN=YE}');
Error('\P{Is_JSN=YE}');
Error('\p{Jamo_Short_Name=YEO}');
Error('\P{Jamo_Short_Name=YEO}');
Error('\p{JSN=YEO}');
Error('\P{JSN=YEO}');
Error('\p{Is_Jamo_Short_Name=YEO}');
Error('\P{Is_Jamo_Short_Name=YEO}');
Error('\p{Is_JSN=YEO}');
Error('\P{Is_JSN=YEO}');
Error('\p{Jamo_Short_Name=YI}');
Error('\P{Jamo_Short_Name=YI}');
Error('\p{JSN=YI}');
Error('\P{JSN=YI}');
Error('\p{Is_Jamo_Short_Name=YI}');
Error('\P{Is_Jamo_Short_Name=YI}');
Error('\p{Is_JSN=YI}');
Error('\P{Is_JSN=YI}');
Error('\p{Jamo_Short_Name=YO}');
Error('\P{Jamo_Short_Name=YO}');
Error('\p{JSN=YO}');
Error('\P{JSN=YO}');
Error('\p{Is_Jamo_Short_Name=YO}');
Error('\P{Is_Jamo_Short_Name=YO}');
Error('\p{Is_JSN=YO}');
Error('\P{Is_JSN=YO}');
Error('\p{Jamo_Short_Name=YU}');
Error('\P{Jamo_Short_Name=YU}');
Error('\p{JSN=YU}');
Error('\P{JSN=YU}');
Error('\p{Is_Jamo_Short_Name=YU}');
Error('\P{Is_Jamo_Short_Name=YU}');
Error('\p{Is_JSN=YU}');
Error('\P{Is_JSN=YU}');
Error('\p{Join_Control=_/a/no}');
Error('\P{Join_Control=_/a/no}');
Expect(1, 8206, '\p{Join_Control=no}', "");
Expect(0, 8206, '\p{^Join_Control=no}', "");
Expect(0, 8206, '\P{Join_Control=no}', "");
Expect(1, 8206, '\P{^Join_Control=no}', "");
Expect(0, 8205, '\p{Join_Control=no}', "");
Expect(1, 8205, '\p{^Join_Control=no}', "");
Expect(1, 8205, '\P{Join_Control=no}', "");
Expect(0, 8205, '\P{^Join_Control=no}', "");
Expect(1, 8206, '\p{Join_Control=		No}', "");
Expect(0, 8206, '\p{^Join_Control=		No}', "");
Expect(0, 8206, '\P{Join_Control=		No}', "");
Expect(1, 8206, '\P{^Join_Control=		No}', "");
Expect(0, 8205, '\p{Join_Control=		No}', "");
Expect(1, 8205, '\p{^Join_Control=		No}', "");
Expect(1, 8205, '\P{Join_Control=		No}', "");
Expect(0, 8205, '\P{^Join_Control=		No}', "");
Error('\p{Join_C=	/a/N}');
Error('\P{Join_C=	/a/N}');
Expect(1, 8206, '\p{Join_C: n}', "");
Expect(0, 8206, '\p{^Join_C: n}', "");
Expect(0, 8206, '\P{Join_C: n}', "");
Expect(1, 8206, '\P{^Join_C: n}', "");
Expect(0, 8205, '\p{Join_C: n}', "");
Expect(1, 8205, '\p{^Join_C: n}', "");
Expect(1, 8205, '\P{Join_C: n}', "");
Expect(0, 8205, '\P{^Join_C: n}', "");
Expect(1, 8206, '\p{Join_C=--N}', "");
Expect(0, 8206, '\p{^Join_C=--N}', "");
Expect(0, 8206, '\P{Join_C=--N}', "");
Expect(1, 8206, '\P{^Join_C=--N}', "");
Expect(0, 8205, '\p{Join_C=--N}', "");
Expect(1, 8205, '\p{^Join_C=--N}', "");
Expect(1, 8205, '\P{Join_C=--N}', "");
Expect(0, 8205, '\P{^Join_C=--N}', "");
Error('\p{Is_Join_Control= /a/F}');
Error('\P{Is_Join_Control= /a/F}');
Expect(1, 8206, '\p{Is_Join_Control=f}', "");
Expect(0, 8206, '\p{^Is_Join_Control=f}', "");
Expect(0, 8206, '\P{Is_Join_Control=f}', "");
Expect(1, 8206, '\P{^Is_Join_Control=f}', "");
Expect(0, 8205, '\p{Is_Join_Control=f}', "");
Expect(1, 8205, '\p{^Is_Join_Control=f}', "");
Expect(1, 8205, '\P{Is_Join_Control=f}', "");
Expect(0, 8205, '\P{^Is_Join_Control=f}', "");
Expect(1, 8206, '\p{Is_Join_Control=--F}', "");
Expect(0, 8206, '\p{^Is_Join_Control=--F}', "");
Expect(0, 8206, '\P{Is_Join_Control=--F}', "");
Expect(1, 8206, '\P{^Is_Join_Control=--F}', "");
Expect(0, 8205, '\p{Is_Join_Control=--F}', "");
Expect(1, 8205, '\p{^Is_Join_Control=--F}', "");
Expect(1, 8205, '\P{Is_Join_Control=--F}', "");
Expect(0, 8205, '\P{^Is_Join_Control=--F}', "");
Error('\p{Is_Join_C=/a/	_False}');
Error('\P{Is_Join_C=/a/	_False}');
Expect(1, 8206, '\p{Is_Join_C: false}', "");
Expect(0, 8206, '\p{^Is_Join_C: false}', "");
Expect(0, 8206, '\P{Is_Join_C: false}', "");
Expect(1, 8206, '\P{^Is_Join_C: false}', "");
Expect(0, 8205, '\p{Is_Join_C: false}', "");
Expect(1, 8205, '\p{^Is_Join_C: false}', "");
Expect(1, 8205, '\P{Is_Join_C: false}', "");
Expect(0, 8205, '\P{^Is_Join_C: false}', "");
Expect(1, 8206, '\p{Is_Join_C=- False}', "");
Expect(0, 8206, '\p{^Is_Join_C=- False}', "");
Expect(0, 8206, '\P{Is_Join_C=- False}', "");
Expect(1, 8206, '\P{^Is_Join_C=- False}', "");
Expect(0, 8205, '\p{Is_Join_C=- False}', "");
Expect(1, 8205, '\p{^Is_Join_C=- False}', "");
Expect(1, 8205, '\P{Is_Join_C=- False}', "");
Expect(0, 8205, '\P{^Is_Join_C=- False}', "");
Error('\p{Join_Control=-	Yes/a/}');
Error('\P{Join_Control=-	Yes/a/}');
Expect(1, 8205, '\p{Join_Control=yes}', "");
Expect(0, 8205, '\p{^Join_Control=yes}', "");
Expect(0, 8205, '\P{Join_Control=yes}', "");
Expect(1, 8205, '\P{^Join_Control=yes}', "");
Expect(0, 8206, '\p{Join_Control=yes}', "");
Expect(1, 8206, '\p{^Join_Control=yes}', "");
Expect(1, 8206, '\P{Join_Control=yes}', "");
Expect(0, 8206, '\P{^Join_Control=yes}', "");
Expect(1, 8205, '\p{Join_Control=	-yes}', "");
Expect(0, 8205, '\p{^Join_Control=	-yes}', "");
Expect(0, 8205, '\P{Join_Control=	-yes}', "");
Expect(1, 8205, '\P{^Join_Control=	-yes}', "");
Expect(0, 8206, '\p{Join_Control=	-yes}', "");
Expect(1, 8206, '\p{^Join_Control=	-yes}', "");
Expect(1, 8206, '\P{Join_Control=	-yes}', "");
Expect(0, 8206, '\P{^Join_Control=	-yes}', "");
Error('\p{Join_C=/a/ y}');
Error('\P{Join_C=/a/ y}');
Expect(1, 8205, '\p{Join_C=y}', "");
Expect(0, 8205, '\p{^Join_C=y}', "");
Expect(0, 8205, '\P{Join_C=y}', "");
Expect(1, 8205, '\P{^Join_C=y}', "");
Expect(0, 8206, '\p{Join_C=y}', "");
Expect(1, 8206, '\p{^Join_C=y}', "");
Expect(1, 8206, '\P{Join_C=y}', "");
Expect(0, 8206, '\P{^Join_C=y}', "");
Expect(1, 8205, '\p{Join_C=Y}', "");
Expect(0, 8205, '\p{^Join_C=Y}', "");
Expect(0, 8205, '\P{Join_C=Y}', "");
Expect(1, 8205, '\P{^Join_C=Y}', "");
Expect(0, 8206, '\p{Join_C=Y}', "");
Expect(1, 8206, '\p{^Join_C=Y}', "");
Expect(1, 8206, '\P{Join_C=Y}', "");
Expect(0, 8206, '\P{^Join_C=Y}', "");
Error('\p{Is_Join_Control=/a/ 	T}');
Error('\P{Is_Join_Control=/a/ 	T}');
Expect(1, 8205, '\p{Is_Join_Control=t}', "");
Expect(0, 8205, '\p{^Is_Join_Control=t}', "");
Expect(0, 8205, '\P{Is_Join_Control=t}', "");
Expect(1, 8205, '\P{^Is_Join_Control=t}', "");
Expect(0, 8206, '\p{Is_Join_Control=t}', "");
Expect(1, 8206, '\p{^Is_Join_Control=t}', "");
Expect(1, 8206, '\P{Is_Join_Control=t}', "");
Expect(0, 8206, '\P{^Is_Join_Control=t}', "");
Expect(1, 8205, '\p{Is_Join_Control=_T}', "");
Expect(0, 8205, '\p{^Is_Join_Control=_T}', "");
Expect(0, 8205, '\P{Is_Join_Control=_T}', "");
Expect(1, 8205, '\P{^Is_Join_Control=_T}', "");
Expect(0, 8206, '\p{Is_Join_Control=_T}', "");
Expect(1, 8206, '\p{^Is_Join_Control=_T}', "");
Expect(1, 8206, '\P{Is_Join_Control=_T}', "");
Expect(0, 8206, '\P{^Is_Join_Control=_T}', "");
Error('\p{Is_Join_C=	:=True}');
Error('\P{Is_Join_C=	:=True}');
Expect(1, 8205, '\p{Is_Join_C=true}', "");
Expect(0, 8205, '\p{^Is_Join_C=true}', "");
Expect(0, 8205, '\P{Is_Join_C=true}', "");
Expect(1, 8205, '\P{^Is_Join_C=true}', "");
Expect(0, 8206, '\p{Is_Join_C=true}', "");
Expect(1, 8206, '\p{^Is_Join_C=true}', "");
Expect(1, 8206, '\P{Is_Join_C=true}', "");
Expect(0, 8206, '\P{^Is_Join_C=true}', "");
Expect(1, 8205, '\p{Is_Join_C=-TRUE}', "");
Expect(0, 8205, '\p{^Is_Join_C=-TRUE}', "");
Expect(0, 8205, '\P{Is_Join_C=-TRUE}', "");
Expect(1, 8205, '\P{^Is_Join_C=-TRUE}', "");
Expect(0, 8206, '\p{Is_Join_C=-TRUE}', "");
Expect(1, 8206, '\p{^Is_Join_C=-TRUE}', "");
Expect(1, 8206, '\P{Is_Join_C=-TRUE}', "");
Expect(0, 8206, '\P{^Is_Join_C=-TRUE}', "");
Error('\p{Logical_Order_Exception=- no:=}');
Error('\P{Logical_Order_Exception=- no:=}');
Expect(1, 43709, '\p{Logical_Order_Exception=no}', "");
Expect(0, 43709, '\p{^Logical_Order_Exception=no}', "");
Expect(0, 43709, '\P{Logical_Order_Exception=no}', "");
Expect(1, 43709, '\P{^Logical_Order_Exception=no}', "");
Expect(0, 43708, '\p{Logical_Order_Exception=no}', "");
Expect(1, 43708, '\p{^Logical_Order_Exception=no}', "");
Expect(1, 43708, '\P{Logical_Order_Exception=no}', "");
Expect(0, 43708, '\P{^Logical_Order_Exception=no}', "");
Expect(1, 43709, '\p{Logical_Order_Exception=_-No}', "");
Expect(0, 43709, '\p{^Logical_Order_Exception=_-No}', "");
Expect(0, 43709, '\P{Logical_Order_Exception=_-No}', "");
Expect(1, 43709, '\P{^Logical_Order_Exception=_-No}', "");
Expect(0, 43708, '\p{Logical_Order_Exception=_-No}', "");
Expect(1, 43708, '\p{^Logical_Order_Exception=_-No}', "");
Expect(1, 43708, '\P{Logical_Order_Exception=_-No}', "");
Expect(0, 43708, '\P{^Logical_Order_Exception=_-No}', "");
Error('\p{LOE:  _N/a/}');
Error('\P{LOE:  _N/a/}');
Expect(1, 43709, '\p{LOE=n}', "");
Expect(0, 43709, '\p{^LOE=n}', "");
Expect(0, 43709, '\P{LOE=n}', "");
Expect(1, 43709, '\P{^LOE=n}', "");
Expect(0, 43708, '\p{LOE=n}', "");
Expect(1, 43708, '\p{^LOE=n}', "");
Expect(1, 43708, '\P{LOE=n}', "");
Expect(0, 43708, '\P{^LOE=n}', "");
Expect(1, 43709, '\p{LOE= n}', "");
Expect(0, 43709, '\p{^LOE= n}', "");
Expect(0, 43709, '\P{LOE= n}', "");
Expect(1, 43709, '\P{^LOE= n}', "");
Expect(0, 43708, '\p{LOE= n}', "");
Expect(1, 43708, '\p{^LOE= n}', "");
Expect(1, 43708, '\P{LOE= n}', "");
Expect(0, 43708, '\P{^LOE= n}', "");
Error('\p{Is_Logical_Order_Exception=_-f/a/}');
Error('\P{Is_Logical_Order_Exception=_-f/a/}');
Expect(1, 43709, '\p{Is_Logical_Order_Exception=f}', "");
Expect(0, 43709, '\p{^Is_Logical_Order_Exception=f}', "");
Expect(0, 43709, '\P{Is_Logical_Order_Exception=f}', "");
Expect(1, 43709, '\P{^Is_Logical_Order_Exception=f}', "");
Expect(0, 43708, '\p{Is_Logical_Order_Exception=f}', "");
Expect(1, 43708, '\p{^Is_Logical_Order_Exception=f}', "");
Expect(1, 43708, '\P{Is_Logical_Order_Exception=f}', "");
Expect(0, 43708, '\P{^Is_Logical_Order_Exception=f}', "");
Expect(1, 43709, '\p{Is_Logical_Order_Exception=	F}', "");
Expect(0, 43709, '\p{^Is_Logical_Order_Exception=	F}', "");
Expect(0, 43709, '\P{Is_Logical_Order_Exception=	F}', "");
Expect(1, 43709, '\P{^Is_Logical_Order_Exception=	F}', "");
Expect(0, 43708, '\p{Is_Logical_Order_Exception=	F}', "");
Expect(1, 43708, '\p{^Is_Logical_Order_Exception=	F}', "");
Expect(1, 43708, '\P{Is_Logical_Order_Exception=	F}', "");
Expect(0, 43708, '\P{^Is_Logical_Order_Exception=	F}', "");
Error('\p{Is_LOE=_ false:=}');
Error('\P{Is_LOE=_ false:=}');
Expect(1, 43709, '\p{Is_LOE=false}', "");
Expect(0, 43709, '\p{^Is_LOE=false}', "");
Expect(0, 43709, '\P{Is_LOE=false}', "");
Expect(1, 43709, '\P{^Is_LOE=false}', "");
Expect(0, 43708, '\p{Is_LOE=false}', "");
Expect(1, 43708, '\p{^Is_LOE=false}', "");
Expect(1, 43708, '\P{Is_LOE=false}', "");
Expect(0, 43708, '\P{^Is_LOE=false}', "");
Expect(1, 43709, '\p{Is_LOE=-False}', "");
Expect(0, 43709, '\p{^Is_LOE=-False}', "");
Expect(0, 43709, '\P{Is_LOE=-False}', "");
Expect(1, 43709, '\P{^Is_LOE=-False}', "");
Expect(0, 43708, '\p{Is_LOE=-False}', "");
Expect(1, 43708, '\p{^Is_LOE=-False}', "");
Expect(1, 43708, '\P{Is_LOE=-False}', "");
Expect(0, 43708, '\P{^Is_LOE=-False}', "");
Error('\p{Logical_Order_Exception: -/a/yes}');
Error('\P{Logical_Order_Exception: -/a/yes}');
Expect(1, 43708, '\p{Logical_Order_Exception: yes}', "");
Expect(0, 43708, '\p{^Logical_Order_Exception: yes}', "");
Expect(0, 43708, '\P{Logical_Order_Exception: yes}', "");
Expect(1, 43708, '\P{^Logical_Order_Exception: yes}', "");
Expect(0, 43709, '\p{Logical_Order_Exception: yes}', "");
Expect(1, 43709, '\p{^Logical_Order_Exception: yes}', "");
Expect(1, 43709, '\P{Logical_Order_Exception: yes}', "");
Expect(0, 43709, '\P{^Logical_Order_Exception: yes}', "");
Expect(1, 43708, '\p{Logical_Order_Exception=_YES}', "");
Expect(0, 43708, '\p{^Logical_Order_Exception=_YES}', "");
Expect(0, 43708, '\P{Logical_Order_Exception=_YES}', "");
Expect(1, 43708, '\P{^Logical_Order_Exception=_YES}', "");
Expect(0, 43709, '\p{Logical_Order_Exception=_YES}', "");
Expect(1, 43709, '\p{^Logical_Order_Exception=_YES}', "");
Expect(1, 43709, '\P{Logical_Order_Exception=_YES}', "");
Expect(0, 43709, '\P{^Logical_Order_Exception=_YES}', "");
Error('\p{LOE:	/a/-	Y}');
Error('\P{LOE:	/a/-	Y}');
Expect(1, 43708, '\p{LOE=y}', "");
Expect(0, 43708, '\p{^LOE=y}', "");
Expect(0, 43708, '\P{LOE=y}', "");
Expect(1, 43708, '\P{^LOE=y}', "");
Expect(0, 43709, '\p{LOE=y}', "");
Expect(1, 43709, '\p{^LOE=y}', "");
Expect(1, 43709, '\P{LOE=y}', "");
Expect(0, 43709, '\P{^LOE=y}', "");
Expect(1, 43708, '\p{LOE= 	Y}', "");
Expect(0, 43708, '\p{^LOE= 	Y}', "");
Expect(0, 43708, '\P{LOE= 	Y}', "");
Expect(1, 43708, '\P{^LOE= 	Y}', "");
Expect(0, 43709, '\p{LOE= 	Y}', "");
Expect(1, 43709, '\p{^LOE= 	Y}', "");
Expect(1, 43709, '\P{LOE= 	Y}', "");
Expect(0, 43709, '\P{^LOE= 	Y}', "");
Error('\p{Is_Logical_Order_Exception=-/a/t}');
Error('\P{Is_Logical_Order_Exception=-/a/t}');
Expect(1, 43708, '\p{Is_Logical_Order_Exception=t}', "");
Expect(0, 43708, '\p{^Is_Logical_Order_Exception=t}', "");
Expect(0, 43708, '\P{Is_Logical_Order_Exception=t}', "");
Expect(1, 43708, '\P{^Is_Logical_Order_Exception=t}', "");
Expect(0, 43709, '\p{Is_Logical_Order_Exception=t}', "");
Expect(1, 43709, '\p{^Is_Logical_Order_Exception=t}', "");
Expect(1, 43709, '\P{Is_Logical_Order_Exception=t}', "");
Expect(0, 43709, '\P{^Is_Logical_Order_Exception=t}', "");
Expect(1, 43708, '\p{Is_Logical_Order_Exception=_T}', "");
Expect(0, 43708, '\p{^Is_Logical_Order_Exception=_T}', "");
Expect(0, 43708, '\P{Is_Logical_Order_Exception=_T}', "");
Expect(1, 43708, '\P{^Is_Logical_Order_Exception=_T}', "");
Expect(0, 43709, '\p{Is_Logical_Order_Exception=_T}', "");
Expect(1, 43709, '\p{^Is_Logical_Order_Exception=_T}', "");
Expect(1, 43709, '\P{Is_Logical_Order_Exception=_T}', "");
Expect(0, 43709, '\P{^Is_Logical_Order_Exception=_T}', "");
Error('\p{Is_LOE=:=-	True}');
Error('\P{Is_LOE=:=-	True}');
Expect(1, 43708, '\p{Is_LOE=true}', "");
Expect(0, 43708, '\p{^Is_LOE=true}', "");
Expect(0, 43708, '\P{Is_LOE=true}', "");
Expect(1, 43708, '\P{^Is_LOE=true}', "");
Expect(0, 43709, '\p{Is_LOE=true}', "");
Expect(1, 43709, '\p{^Is_LOE=true}', "");
Expect(1, 43709, '\P{Is_LOE=true}', "");
Expect(0, 43709, '\P{^Is_LOE=true}', "");
Expect(1, 43708, '\p{Is_LOE= 	TRUE}', "");
Expect(0, 43708, '\p{^Is_LOE= 	TRUE}', "");
Expect(0, 43708, '\P{Is_LOE= 	TRUE}', "");
Expect(1, 43708, '\P{^Is_LOE= 	TRUE}', "");
Expect(0, 43709, '\p{Is_LOE= 	TRUE}', "");
Expect(1, 43709, '\p{^Is_LOE= 	TRUE}', "");
Expect(1, 43709, '\P{Is_LOE= 	TRUE}', "");
Expect(0, 43709, '\P{^Is_LOE= 	TRUE}', "");
Error('\p{Lowercase=_:=no}');
Error('\P{Lowercase=_:=no}');
Expect(1, 120780, '\p{Lowercase=no}', "");
Expect(0, 120780, '\p{^Lowercase=no}', "");
Expect(0, 120780, '\P{Lowercase=no}', "");
Expect(1, 120780, '\P{^Lowercase=no}', "");
Expect(0, 120779, '\p{Lowercase=no}', "");
Expect(1, 120779, '\p{^Lowercase=no}', "");
Expect(1, 120779, '\P{Lowercase=no}', "");
Expect(0, 120779, '\P{^Lowercase=no}', "");
Expect(1, 120780, '\p{Lowercase:_	NO}', "");
Expect(0, 120780, '\p{^Lowercase:_	NO}', "");
Expect(0, 120780, '\P{Lowercase:_	NO}', "");
Expect(1, 120780, '\P{^Lowercase:_	NO}', "");
Expect(0, 120779, '\p{Lowercase:_	NO}', "");
Expect(1, 120779, '\p{^Lowercase:_	NO}', "");
Expect(1, 120779, '\P{Lowercase:_	NO}', "");
Expect(0, 120779, '\P{^Lowercase:_	NO}', "");
Error('\p{Lower:		:=N}');
Error('\P{Lower:		:=N}');
Expect(1, 120780, '\p{Lower:   n}', "");
Expect(0, 120780, '\p{^Lower:   n}', "");
Expect(0, 120780, '\P{Lower:   n}', "");
Expect(1, 120780, '\P{^Lower:   n}', "");
Expect(0, 120779, '\p{Lower:   n}', "");
Expect(1, 120779, '\p{^Lower:   n}', "");
Expect(1, 120779, '\P{Lower:   n}', "");
Expect(0, 120779, '\P{^Lower:   n}', "");
Expect(1, 120780, '\p{Lower:    -N}', "");
Expect(0, 120780, '\p{^Lower:    -N}', "");
Expect(0, 120780, '\P{Lower:    -N}', "");
Expect(1, 120780, '\P{^Lower:    -N}', "");
Expect(0, 120779, '\p{Lower:    -N}', "");
Expect(1, 120779, '\p{^Lower:    -N}', "");
Expect(1, 120779, '\P{Lower:    -N}', "");
Expect(0, 120779, '\P{^Lower:    -N}', "");
Error('\p{Is_Lowercase: :=	 F}');
Error('\P{Is_Lowercase: :=	 F}');
Expect(1, 120780, '\p{Is_Lowercase: f}', "");
Expect(0, 120780, '\p{^Is_Lowercase: f}', "");
Expect(0, 120780, '\P{Is_Lowercase: f}', "");
Expect(1, 120780, '\P{^Is_Lowercase: f}', "");
Expect(0, 120779, '\p{Is_Lowercase: f}', "");
Expect(1, 120779, '\p{^Is_Lowercase: f}', "");
Expect(1, 120779, '\P{Is_Lowercase: f}', "");
Expect(0, 120779, '\P{^Is_Lowercase: f}', "");
Expect(1, 120780, '\p{Is_Lowercase=_	F}', "");
Expect(0, 120780, '\p{^Is_Lowercase=_	F}', "");
Expect(0, 120780, '\P{Is_Lowercase=_	F}', "");
Expect(1, 120780, '\P{^Is_Lowercase=_	F}', "");
Expect(0, 120779, '\p{Is_Lowercase=_	F}', "");
Expect(1, 120779, '\p{^Is_Lowercase=_	F}', "");
Expect(1, 120779, '\P{Is_Lowercase=_	F}', "");
Expect(0, 120779, '\P{^Is_Lowercase=_	F}', "");
Error('\p{Is_Lower=:=--false}');
Error('\P{Is_Lower=:=--false}');
Expect(1, 120780, '\p{Is_Lower=false}', "");
Expect(0, 120780, '\p{^Is_Lower=false}', "");
Expect(0, 120780, '\P{Is_Lower=false}', "");
Expect(1, 120780, '\P{^Is_Lower=false}', "");
Expect(0, 120779, '\p{Is_Lower=false}', "");
Expect(1, 120779, '\p{^Is_Lower=false}', "");
Expect(1, 120779, '\P{Is_Lower=false}', "");
Expect(0, 120779, '\P{^Is_Lower=false}', "");
Expect(1, 120780, '\p{Is_Lower:   	False}', "");
Expect(0, 120780, '\p{^Is_Lower:   	False}', "");
Expect(0, 120780, '\P{Is_Lower:   	False}', "");
Expect(1, 120780, '\P{^Is_Lower:   	False}', "");
Expect(0, 120779, '\p{Is_Lower:   	False}', "");
Expect(1, 120779, '\p{^Is_Lower:   	False}', "");
Expect(1, 120779, '\P{Is_Lower:   	False}', "");
Expect(0, 120779, '\P{^Is_Lower:   	False}', "");
Error('\p{Lowercase=	_Yes:=}');
Error('\P{Lowercase=	_Yes:=}');
Expect(1, 120779, '\p{Lowercase=yes}', "");
Expect(0, 120779, '\p{^Lowercase=yes}', "");
Expect(0, 120779, '\P{Lowercase=yes}', "");
Expect(1, 120779, '\P{^Lowercase=yes}', "");
Expect(0, 120780, '\p{Lowercase=yes}', "");
Expect(1, 120780, '\p{^Lowercase=yes}', "");
Expect(1, 120780, '\P{Lowercase=yes}', "");
Expect(0, 120780, '\P{^Lowercase=yes}', "");
Expect(1, 120779, '\p{Lowercase=		yes}', "");
Expect(0, 120779, '\p{^Lowercase=		yes}', "");
Expect(0, 120779, '\P{Lowercase=		yes}', "");
Expect(1, 120779, '\P{^Lowercase=		yes}', "");
Expect(0, 120780, '\p{Lowercase=		yes}', "");
Expect(1, 120780, '\p{^Lowercase=		yes}', "");
Expect(1, 120780, '\P{Lowercase=		yes}', "");
Expect(0, 120780, '\P{^Lowercase=		yes}', "");
Error('\p{Lower=	:=Y}');
Error('\P{Lower=	:=Y}');
Expect(1, 120779, '\p{Lower=y}', "");
Expect(0, 120779, '\p{^Lower=y}', "");
Expect(0, 120779, '\P{Lower=y}', "");
Expect(1, 120779, '\P{^Lower=y}', "");
Expect(0, 120780, '\p{Lower=y}', "");
Expect(1, 120780, '\p{^Lower=y}', "");
Expect(1, 120780, '\P{Lower=y}', "");
Expect(0, 120780, '\P{^Lower=y}', "");
Expect(1, 120779, '\p{Lower=-y}', "");
Expect(0, 120779, '\p{^Lower=-y}', "");
Expect(0, 120779, '\P{Lower=-y}', "");
Expect(1, 120779, '\P{^Lower=-y}', "");
Expect(0, 120780, '\p{Lower=-y}', "");
Expect(1, 120780, '\p{^Lower=-y}', "");
Expect(1, 120780, '\P{Lower=-y}', "");
Expect(0, 120780, '\P{^Lower=-y}', "");
Error('\p{Is_Lowercase=	:=T}');
Error('\P{Is_Lowercase=	:=T}');
Expect(1, 120779, '\p{Is_Lowercase:t}', "");
Expect(0, 120779, '\p{^Is_Lowercase:t}', "");
Expect(0, 120779, '\P{Is_Lowercase:t}', "");
Expect(1, 120779, '\P{^Is_Lowercase:t}', "");
Expect(0, 120780, '\p{Is_Lowercase:t}', "");
Expect(1, 120780, '\p{^Is_Lowercase:t}', "");
Expect(1, 120780, '\P{Is_Lowercase:t}', "");
Expect(0, 120780, '\P{^Is_Lowercase:t}', "");
Expect(1, 120779, '\p{Is_Lowercase= _T}', "");
Expect(0, 120779, '\p{^Is_Lowercase= _T}', "");
Expect(0, 120779, '\P{Is_Lowercase= _T}', "");
Expect(1, 120779, '\P{^Is_Lowercase= _T}', "");
Expect(0, 120780, '\p{Is_Lowercase= _T}', "");
Expect(1, 120780, '\p{^Is_Lowercase= _T}', "");
Expect(1, 120780, '\P{Is_Lowercase= _T}', "");
Expect(0, 120780, '\P{^Is_Lowercase= _T}', "");
Error('\p{Is_Lower:  /a/true}');
Error('\P{Is_Lower:  /a/true}');
Expect(1, 120779, '\p{Is_Lower=true}', "");
Expect(0, 120779, '\p{^Is_Lower=true}', "");
Expect(0, 120779, '\P{Is_Lower=true}', "");
Expect(1, 120779, '\P{^Is_Lower=true}', "");
Expect(0, 120780, '\p{Is_Lower=true}', "");
Expect(1, 120780, '\p{^Is_Lower=true}', "");
Expect(1, 120780, '\P{Is_Lower=true}', "");
Expect(0, 120780, '\P{^Is_Lower=true}', "");
Expect(1, 120779, '\p{Is_Lower=-	true}', "");
Expect(0, 120779, '\p{^Is_Lower=-	true}', "");
Expect(0, 120779, '\P{Is_Lower=-	true}', "");
Expect(1, 120779, '\P{^Is_Lower=-	true}', "");
Expect(0, 120780, '\p{Is_Lower=-	true}', "");
Expect(1, 120780, '\p{^Is_Lower=-	true}', "");
Expect(1, 120780, '\P{Is_Lower=-	true}', "");
Expect(0, 120780, '\P{^Is_Lower=-	true}', "");
Error('\p{Math=:=__No}');
Error('\P{Math=:=__No}');
Expect(1, 126706, '\p{Math=no}', "");
Expect(0, 126706, '\p{^Math=no}', "");
Expect(0, 126706, '\P{Math=no}', "");
Expect(1, 126706, '\P{^Math=no}', "");
Expect(0, 126705, '\p{Math=no}', "");
Expect(1, 126705, '\p{^Math=no}', "");
Expect(1, 126705, '\P{Math=no}', "");
Expect(0, 126705, '\P{^Math=no}', "");
Expect(1, 126706, '\p{Math=-	NO}', "");
Expect(0, 126706, '\p{^Math=-	NO}', "");
Expect(0, 126706, '\P{Math=-	NO}', "");
Expect(1, 126706, '\P{^Math=-	NO}', "");
Expect(0, 126705, '\p{Math=-	NO}', "");
Expect(1, 126705, '\p{^Math=-	NO}', "");
Expect(1, 126705, '\P{Math=-	NO}', "");
Expect(0, 126705, '\P{^Math=-	NO}', "");
Error('\p{Is_Math= _N/a/}');
Error('\P{Is_Math= _N/a/}');
Expect(1, 126706, '\p{Is_Math:	n}', "");
Expect(0, 126706, '\p{^Is_Math:	n}', "");
Expect(0, 126706, '\P{Is_Math:	n}', "");
Expect(1, 126706, '\P{^Is_Math:	n}', "");
Expect(0, 126705, '\p{Is_Math:	n}', "");
Expect(1, 126705, '\p{^Is_Math:	n}', "");
Expect(1, 126705, '\P{Is_Math:	n}', "");
Expect(0, 126705, '\P{^Is_Math:	n}', "");
Expect(1, 126706, '\p{Is_Math=	-n}', "");
Expect(0, 126706, '\p{^Is_Math=	-n}', "");
Expect(0, 126706, '\P{Is_Math=	-n}', "");
Expect(1, 126706, '\P{^Is_Math=	-n}', "");
Expect(0, 126705, '\p{Is_Math=	-n}', "");
Expect(1, 126705, '\p{^Is_Math=	-n}', "");
Expect(1, 126705, '\P{Is_Math=	-n}', "");
Expect(0, 126705, '\P{^Is_Math=	-n}', "");
Error('\p{Math:  _F/a/}');
Error('\P{Math:  _F/a/}');
Expect(1, 126706, '\p{Math=f}', "");
Expect(0, 126706, '\p{^Math=f}', "");
Expect(0, 126706, '\P{Math=f}', "");
Expect(1, 126706, '\P{^Math=f}', "");
Expect(0, 126705, '\p{Math=f}', "");
Expect(1, 126705, '\p{^Math=f}', "");
Expect(1, 126705, '\P{Math=f}', "");
Expect(0, 126705, '\P{^Math=f}', "");
Expect(1, 126706, '\p{Math=- F}', "");
Expect(0, 126706, '\p{^Math=- F}', "");
Expect(0, 126706, '\P{Math=- F}', "");
Expect(1, 126706, '\P{^Math=- F}', "");
Expect(0, 126705, '\p{Math=- F}', "");
Expect(1, 126705, '\p{^Math=- F}', "");
Expect(1, 126705, '\P{Math=- F}', "");
Expect(0, 126705, '\P{^Math=- F}', "");
Error('\p{Is_Math=--False/a/}');
Error('\P{Is_Math=--False/a/}');
Expect(1, 126706, '\p{Is_Math=false}', "");
Expect(0, 126706, '\p{^Is_Math=false}', "");
Expect(0, 126706, '\P{Is_Math=false}', "");
Expect(1, 126706, '\P{^Is_Math=false}', "");
Expect(0, 126705, '\p{Is_Math=false}', "");
Expect(1, 126705, '\p{^Is_Math=false}', "");
Expect(1, 126705, '\P{Is_Math=false}', "");
Expect(0, 126705, '\P{^Is_Math=false}', "");
Expect(1, 126706, '\p{Is_Math:   	FALSE}', "");
Expect(0, 126706, '\p{^Is_Math:   	FALSE}', "");
Expect(0, 126706, '\P{Is_Math:   	FALSE}', "");
Expect(1, 126706, '\P{^Is_Math:   	FALSE}', "");
Expect(0, 126705, '\p{Is_Math:   	FALSE}', "");
Expect(1, 126705, '\p{^Is_Math:   	FALSE}', "");
Expect(1, 126705, '\P{Is_Math:   	FALSE}', "");
Expect(0, 126705, '\P{^Is_Math:   	FALSE}', "");
Error('\p{Math=-:=yes}');
Error('\P{Math=-:=yes}');
Expect(1, 126705, '\p{Math=yes}', "");
Expect(0, 126705, '\p{^Math=yes}', "");
Expect(0, 126705, '\P{Math=yes}', "");
Expect(1, 126705, '\P{^Math=yes}', "");
Expect(0, 126706, '\p{Math=yes}', "");
Expect(1, 126706, '\p{^Math=yes}', "");
Expect(1, 126706, '\P{Math=yes}', "");
Expect(0, 126706, '\P{^Math=yes}', "");
Expect(1, 126705, '\p{Math=- yes}', "");
Expect(0, 126705, '\p{^Math=- yes}', "");
Expect(0, 126705, '\P{Math=- yes}', "");
Expect(1, 126705, '\P{^Math=- yes}', "");
Expect(0, 126706, '\p{Math=- yes}', "");
Expect(1, 126706, '\p{^Math=- yes}', "");
Expect(1, 126706, '\P{Math=- yes}', "");
Expect(0, 126706, '\P{^Math=- yes}', "");
Error('\p{Is_Math=:= -Y}');
Error('\P{Is_Math=:= -Y}');
Expect(1, 126705, '\p{Is_Math=y}', "");
Expect(0, 126705, '\p{^Is_Math=y}', "");
Expect(0, 126705, '\P{Is_Math=y}', "");
Expect(1, 126705, '\P{^Is_Math=y}', "");
Expect(0, 126706, '\p{Is_Math=y}', "");
Expect(1, 126706, '\p{^Is_Math=y}', "");
Expect(1, 126706, '\P{Is_Math=y}', "");
Expect(0, 126706, '\P{^Is_Math=y}', "");
Expect(1, 126705, '\p{Is_Math=_	Y}', "");
Expect(0, 126705, '\p{^Is_Math=_	Y}', "");
Expect(0, 126705, '\P{Is_Math=_	Y}', "");
Expect(1, 126705, '\P{^Is_Math=_	Y}', "");
Expect(0, 126706, '\p{Is_Math=_	Y}', "");
Expect(1, 126706, '\p{^Is_Math=_	Y}', "");
Expect(1, 126706, '\P{Is_Math=_	Y}', "");
Expect(0, 126706, '\P{^Is_Math=_	Y}', "");
Error('\p{Math=:= _T}');
Error('\P{Math=:= _T}');
Expect(1, 126705, '\p{Math=t}', "");
Expect(0, 126705, '\p{^Math=t}', "");
Expect(0, 126705, '\P{Math=t}', "");
Expect(1, 126705, '\P{^Math=t}', "");
Expect(0, 126706, '\p{Math=t}', "");
Expect(1, 126706, '\p{^Math=t}', "");
Expect(1, 126706, '\P{Math=t}', "");
Expect(0, 126706, '\P{^Math=t}', "");
Expect(1, 126705, '\p{Math=_T}', "");
Expect(0, 126705, '\p{^Math=_T}', "");
Expect(0, 126705, '\P{Math=_T}', "");
Expect(1, 126705, '\P{^Math=_T}', "");
Expect(0, 126706, '\p{Math=_T}', "");
Expect(1, 126706, '\p{^Math=_T}', "");
Expect(1, 126706, '\P{Math=_T}', "");
Expect(0, 126706, '\P{^Math=_T}', "");
Error('\p{Is_Math:/a/		True}');
Error('\P{Is_Math:/a/		True}');
Expect(1, 126705, '\p{Is_Math=true}', "");
Expect(0, 126705, '\p{^Is_Math=true}', "");
Expect(0, 126705, '\P{Is_Math=true}', "");
Expect(1, 126705, '\P{^Is_Math=true}', "");
Expect(0, 126706, '\p{Is_Math=true}', "");
Expect(1, 126706, '\p{^Is_Math=true}', "");
Expect(1, 126706, '\P{Is_Math=true}', "");
Expect(0, 126706, '\P{^Is_Math=true}', "");
Expect(1, 126705, '\p{Is_Math=-_TRUE}', "");
Expect(0, 126705, '\p{^Is_Math=-_TRUE}', "");
Expect(0, 126705, '\P{Is_Math=-_TRUE}', "");
Expect(1, 126705, '\P{^Is_Math=-_TRUE}', "");
Expect(0, 126706, '\p{Is_Math=-_TRUE}', "");
Expect(1, 126706, '\p{^Is_Math=-_TRUE}', "");
Expect(1, 126706, '\P{Is_Math=-_TRUE}', "");
Expect(0, 126706, '\P{^Is_Math=-_TRUE}', "");
Error('\p{Noncharacter_Code_Point=_No/a/}');
Error('\P{Noncharacter_Code_Point=_No/a/}');
Expect(1, 1114109, '\p{Noncharacter_Code_Point=no}', "");
Expect(0, 1114109, '\p{^Noncharacter_Code_Point=no}', "");
Expect(0, 1114109, '\P{Noncharacter_Code_Point=no}', "");
Expect(1, 1114109, '\P{^Noncharacter_Code_Point=no}', "");
Expect(0, 1114111, '\p{Noncharacter_Code_Point=no}', "");
Expect(1, 1114111, '\p{^Noncharacter_Code_Point=no}', "");
Expect(1, 1114111, '\P{Noncharacter_Code_Point=no}', "");
Expect(0, 1114111, '\P{^Noncharacter_Code_Point=no}', "");
Expect(1, 1114109, '\p{Noncharacter_Code_Point:   -_NO}', "");
Expect(0, 1114109, '\p{^Noncharacter_Code_Point:   -_NO}', "");
Expect(0, 1114109, '\P{Noncharacter_Code_Point:   -_NO}', "");
Expect(1, 1114109, '\P{^Noncharacter_Code_Point:   -_NO}', "");
Expect(0, 1114111, '\p{Noncharacter_Code_Point:   -_NO}', "");
Expect(1, 1114111, '\p{^Noncharacter_Code_Point:   -_NO}', "");
Expect(1, 1114111, '\P{Noncharacter_Code_Point:   -_NO}', "");
Expect(0, 1114111, '\P{^Noncharacter_Code_Point:   -_NO}', "");
Error('\p{NChar= :=N}');
Error('\P{NChar= :=N}');
Expect(1, 1114109, '\p{NChar: n}', "");
Expect(0, 1114109, '\p{^NChar: n}', "");
Expect(0, 1114109, '\P{NChar: n}', "");
Expect(1, 1114109, '\P{^NChar: n}', "");
Expect(0, 1114111, '\p{NChar: n}', "");
Expect(1, 1114111, '\p{^NChar: n}', "");
Expect(1, 1114111, '\P{NChar: n}', "");
Expect(0, 1114111, '\P{^NChar: n}', "");
Expect(1, 1114109, '\p{NChar=--N}', "");
Expect(0, 1114109, '\p{^NChar=--N}', "");
Expect(0, 1114109, '\P{NChar=--N}', "");
Expect(1, 1114109, '\P{^NChar=--N}', "");
Expect(0, 1114111, '\p{NChar=--N}', "");
Expect(1, 1114111, '\p{^NChar=--N}', "");
Expect(1, 1114111, '\P{NChar=--N}', "");
Expect(0, 1114111, '\P{^NChar=--N}', "");
Error('\p{Is_Noncharacter_Code_Point=/a/-f}');
Error('\P{Is_Noncharacter_Code_Point=/a/-f}');
Expect(1, 1114109, '\p{Is_Noncharacter_Code_Point=f}', "");
Expect(0, 1114109, '\p{^Is_Noncharacter_Code_Point=f}', "");
Expect(0, 1114109, '\P{Is_Noncharacter_Code_Point=f}', "");
Expect(1, 1114109, '\P{^Is_Noncharacter_Code_Point=f}', "");
Expect(0, 1114111, '\p{Is_Noncharacter_Code_Point=f}', "");
Expect(1, 1114111, '\p{^Is_Noncharacter_Code_Point=f}', "");
Expect(1, 1114111, '\P{Is_Noncharacter_Code_Point=f}', "");
Expect(0, 1114111, '\P{^Is_Noncharacter_Code_Point=f}', "");
Expect(1, 1114109, '\p{Is_Noncharacter_Code_Point:__F}', "");
Expect(0, 1114109, '\p{^Is_Noncharacter_Code_Point:__F}', "");
Expect(0, 1114109, '\P{Is_Noncharacter_Code_Point:__F}', "");
Expect(1, 1114109, '\P{^Is_Noncharacter_Code_Point:__F}', "");
Expect(0, 1114111, '\p{Is_Noncharacter_Code_Point:__F}', "");
Expect(1, 1114111, '\p{^Is_Noncharacter_Code_Point:__F}', "");
Expect(1, 1114111, '\P{Is_Noncharacter_Code_Point:__F}', "");
Expect(0, 1114111, '\P{^Is_Noncharacter_Code_Point:__F}', "");
Error('\p{Is_NChar=/a/False}');
Error('\P{Is_NChar=/a/False}');
Expect(1, 1114109, '\p{Is_NChar=false}', "");
Expect(0, 1114109, '\p{^Is_NChar=false}', "");
Expect(0, 1114109, '\P{Is_NChar=false}', "");
Expect(1, 1114109, '\P{^Is_NChar=false}', "");
Expect(0, 1114111, '\p{Is_NChar=false}', "");
Expect(1, 1114111, '\p{^Is_NChar=false}', "");
Expect(1, 1114111, '\P{Is_NChar=false}', "");
Expect(0, 1114111, '\P{^Is_NChar=false}', "");
Expect(1, 1114109, '\p{Is_NChar= 	False}', "");
Expect(0, 1114109, '\p{^Is_NChar= 	False}', "");
Expect(0, 1114109, '\P{Is_NChar= 	False}', "");
Expect(1, 1114109, '\P{^Is_NChar= 	False}', "");
Expect(0, 1114111, '\p{Is_NChar= 	False}', "");
Expect(1, 1114111, '\p{^Is_NChar= 	False}', "");
Expect(1, 1114111, '\P{Is_NChar= 	False}', "");
Expect(0, 1114111, '\P{^Is_NChar= 	False}', "");
Error('\p{Noncharacter_Code_Point=:=- YES}');
Error('\P{Noncharacter_Code_Point=:=- YES}');
Expect(1, 1114111, '\p{Noncharacter_Code_Point=yes}', "");
Expect(0, 1114111, '\p{^Noncharacter_Code_Point=yes}', "");
Expect(0, 1114111, '\P{Noncharacter_Code_Point=yes}', "");
Expect(1, 1114111, '\P{^Noncharacter_Code_Point=yes}', "");
Expect(0, 1114109, '\p{Noncharacter_Code_Point=yes}', "");
Expect(1, 1114109, '\p{^Noncharacter_Code_Point=yes}', "");
Expect(1, 1114109, '\P{Noncharacter_Code_Point=yes}', "");
Expect(0, 1114109, '\P{^Noncharacter_Code_Point=yes}', "");
Expect(1, 1114111, '\p{Noncharacter_Code_Point=	_yes}', "");
Expect(0, 1114111, '\p{^Noncharacter_Code_Point=	_yes}', "");
Expect(0, 1114111, '\P{Noncharacter_Code_Point=	_yes}', "");
Expect(1, 1114111, '\P{^Noncharacter_Code_Point=	_yes}', "");
Expect(0, 1114109, '\p{Noncharacter_Code_Point=	_yes}', "");
Expect(1, 1114109, '\p{^Noncharacter_Code_Point=	_yes}', "");
Expect(1, 1114109, '\P{Noncharacter_Code_Point=	_yes}', "");
Expect(0, 1114109, '\P{^Noncharacter_Code_Point=	_yes}', "");
Error('\p{NChar=/a/_ y}');
Error('\P{NChar=/a/_ y}');
Expect(1, 1114111, '\p{NChar=y}', "");
Expect(0, 1114111, '\p{^NChar=y}', "");
Expect(0, 1114111, '\P{NChar=y}', "");
Expect(1, 1114111, '\P{^NChar=y}', "");
Expect(0, 1114109, '\p{NChar=y}', "");
Expect(1, 1114109, '\p{^NChar=y}', "");
Expect(1, 1114109, '\P{NChar=y}', "");
Expect(0, 1114109, '\P{^NChar=y}', "");
Expect(1, 1114111, '\p{NChar=	_Y}', "");
Expect(0, 1114111, '\p{^NChar=	_Y}', "");
Expect(0, 1114111, '\P{NChar=	_Y}', "");
Expect(1, 1114111, '\P{^NChar=	_Y}', "");
Expect(0, 1114109, '\p{NChar=	_Y}', "");
Expect(1, 1114109, '\p{^NChar=	_Y}', "");
Expect(1, 1114109, '\P{NChar=	_Y}', "");
Expect(0, 1114109, '\P{^NChar=	_Y}', "");
Error('\p{Is_Noncharacter_Code_Point=:=T}');
Error('\P{Is_Noncharacter_Code_Point=:=T}');
Expect(1, 1114111, '\p{Is_Noncharacter_Code_Point=t}', "");
Expect(0, 1114111, '\p{^Is_Noncharacter_Code_Point=t}', "");
Expect(0, 1114111, '\P{Is_Noncharacter_Code_Point=t}', "");
Expect(1, 1114111, '\P{^Is_Noncharacter_Code_Point=t}', "");
Expect(0, 1114109, '\p{Is_Noncharacter_Code_Point=t}', "");
Expect(1, 1114109, '\p{^Is_Noncharacter_Code_Point=t}', "");
Expect(1, 1114109, '\P{Is_Noncharacter_Code_Point=t}', "");
Expect(0, 1114109, '\P{^Is_Noncharacter_Code_Point=t}', "");
Expect(1, 1114111, '\p{Is_Noncharacter_Code_Point= -T}', "");
Expect(0, 1114111, '\p{^Is_Noncharacter_Code_Point= -T}', "");
Expect(0, 1114111, '\P{Is_Noncharacter_Code_Point= -T}', "");
Expect(1, 1114111, '\P{^Is_Noncharacter_Code_Point= -T}', "");
Expect(0, 1114109, '\p{Is_Noncharacter_Code_Point= -T}', "");
Expect(1, 1114109, '\p{^Is_Noncharacter_Code_Point= -T}', "");
Expect(1, 1114109, '\P{Is_Noncharacter_Code_Point= -T}', "");
Expect(0, 1114109, '\P{^Is_Noncharacter_Code_Point= -T}', "");
Error('\p{Is_NChar=:= TRUE}');
Error('\P{Is_NChar=:= TRUE}');
Expect(1, 1114111, '\p{Is_NChar=true}', "");
Expect(0, 1114111, '\p{^Is_NChar=true}', "");
Expect(0, 1114111, '\P{Is_NChar=true}', "");
Expect(1, 1114111, '\P{^Is_NChar=true}', "");
Expect(0, 1114109, '\p{Is_NChar=true}', "");
Expect(1, 1114109, '\p{^Is_NChar=true}', "");
Expect(1, 1114109, '\P{Is_NChar=true}', "");
Expect(0, 1114109, '\P{^Is_NChar=true}', "");
Expect(1, 1114111, '\p{Is_NChar=  TRUE}', "");
Expect(0, 1114111, '\p{^Is_NChar=  TRUE}', "");
Expect(0, 1114111, '\P{Is_NChar=  TRUE}', "");
Expect(1, 1114111, '\P{^Is_NChar=  TRUE}', "");
Expect(0, 1114109, '\p{Is_NChar=  TRUE}', "");
Expect(1, 1114109, '\p{^Is_NChar=  TRUE}', "");
Expect(1, 1114109, '\P{Is_NChar=  TRUE}', "");
Expect(0, 1114109, '\P{^Is_NChar=  TRUE}', "");
Error('\p{NFC_Quick_Check= MAYBE/a/}');
Error('\P{NFC_Quick_Check= MAYBE/a/}');
Expect(1, 71087, '\p{NFC_Quick_Check=maybe}', "");
Expect(0, 71087, '\p{^NFC_Quick_Check=maybe}', "");
Expect(0, 71087, '\P{NFC_Quick_Check=maybe}', "");
Expect(1, 71087, '\P{^NFC_Quick_Check=maybe}', "");
Expect(0, 71088, '\p{NFC_Quick_Check=maybe}', "");
Expect(1, 71088, '\p{^NFC_Quick_Check=maybe}', "");
Expect(1, 71088, '\P{NFC_Quick_Check=maybe}', "");
Expect(0, 71088, '\P{^NFC_Quick_Check=maybe}', "");
Expect(1, 71087, '\p{NFC_Quick_Check=-	maybe}', "");
Expect(0, 71087, '\p{^NFC_Quick_Check=-	maybe}', "");
Expect(0, 71087, '\P{NFC_Quick_Check=-	maybe}', "");
Expect(1, 71087, '\P{^NFC_Quick_Check=-	maybe}', "");
Expect(0, 71088, '\p{NFC_Quick_Check=-	maybe}', "");
Expect(1, 71088, '\p{^NFC_Quick_Check=-	maybe}', "");
Expect(1, 71088, '\P{NFC_Quick_Check=-	maybe}', "");
Expect(0, 71088, '\P{^NFC_Quick_Check=-	maybe}', "");
Error('\p{NFC_QC=:=_M}');
Error('\P{NFC_QC=:=_M}');
Expect(1, 71087, '\p{NFC_QC=m}', "");
Expect(0, 71087, '\p{^NFC_QC=m}', "");
Expect(0, 71087, '\P{NFC_QC=m}', "");
Expect(1, 71087, '\P{^NFC_QC=m}', "");
Expect(0, 71088, '\p{NFC_QC=m}', "");
Expect(1, 71088, '\p{^NFC_QC=m}', "");
Expect(1, 71088, '\P{NFC_QC=m}', "");
Expect(0, 71088, '\P{^NFC_QC=m}', "");
Expect(1, 71087, '\p{NFC_QC=__M}', "");
Expect(0, 71087, '\p{^NFC_QC=__M}', "");
Expect(0, 71087, '\P{NFC_QC=__M}', "");
Expect(1, 71087, '\P{^NFC_QC=__M}', "");
Expect(0, 71088, '\p{NFC_QC=__M}', "");
Expect(1, 71088, '\p{^NFC_QC=__M}', "");
Expect(1, 71088, '\P{NFC_QC=__M}', "");
Expect(0, 71088, '\P{^NFC_QC=__M}', "");
Error('\p{Is_NFC_Quick_Check:   _/a/MAYBE}');
Error('\P{Is_NFC_Quick_Check:   _/a/MAYBE}');
Expect(1, 71087, '\p{Is_NFC_Quick_Check=maybe}', "");
Expect(0, 71087, '\p{^Is_NFC_Quick_Check=maybe}', "");
Expect(0, 71087, '\P{Is_NFC_Quick_Check=maybe}', "");
Expect(1, 71087, '\P{^Is_NFC_Quick_Check=maybe}', "");
Expect(0, 71088, '\p{Is_NFC_Quick_Check=maybe}', "");
Expect(1, 71088, '\p{^Is_NFC_Quick_Check=maybe}', "");
Expect(1, 71088, '\P{Is_NFC_Quick_Check=maybe}', "");
Expect(0, 71088, '\P{^Is_NFC_Quick_Check=maybe}', "");
Expect(1, 71087, '\p{Is_NFC_Quick_Check= _maybe}', "");
Expect(0, 71087, '\p{^Is_NFC_Quick_Check= _maybe}', "");
Expect(0, 71087, '\P{Is_NFC_Quick_Check= _maybe}', "");
Expect(1, 71087, '\P{^Is_NFC_Quick_Check= _maybe}', "");
Expect(0, 71088, '\p{Is_NFC_Quick_Check= _maybe}', "");
Expect(1, 71088, '\p{^Is_NFC_Quick_Check= _maybe}', "");
Expect(1, 71088, '\P{Is_NFC_Quick_Check= _maybe}', "");
Expect(0, 71088, '\P{^Is_NFC_Quick_Check= _maybe}', "");
Error('\p{Is_NFC_QC=/a/M}');
Error('\P{Is_NFC_QC=/a/M}');
Expect(1, 71087, '\p{Is_NFC_QC=m}', "");
Expect(0, 71087, '\p{^Is_NFC_QC=m}', "");
Expect(0, 71087, '\P{Is_NFC_QC=m}', "");
Expect(1, 71087, '\P{^Is_NFC_QC=m}', "");
Expect(0, 71088, '\p{Is_NFC_QC=m}', "");
Expect(1, 71088, '\p{^Is_NFC_QC=m}', "");
Expect(1, 71088, '\P{Is_NFC_QC=m}', "");
Expect(0, 71088, '\P{^Is_NFC_QC=m}', "");
Expect(1, 71087, '\p{Is_NFC_QC=	_M}', "");
Expect(0, 71087, '\p{^Is_NFC_QC=	_M}', "");
Expect(0, 71087, '\P{Is_NFC_QC=	_M}', "");
Expect(1, 71087, '\P{^Is_NFC_QC=	_M}', "");
Expect(0, 71088, '\p{Is_NFC_QC=	_M}', "");
Expect(1, 71088, '\p{^Is_NFC_QC=	_M}', "");
Expect(1, 71088, '\P{Is_NFC_QC=	_M}', "");
Expect(0, 71088, '\P{^Is_NFC_QC=	_M}', "");
Error('\p{NFC_Quick_Check:   :=	-No}');
Error('\P{NFC_Quick_Check:   :=	-No}');
Expect(1, 195101, '\p{NFC_Quick_Check:no}', "");
Expect(0, 195101, '\p{^NFC_Quick_Check:no}', "");
Expect(0, 195101, '\P{NFC_Quick_Check:no}', "");
Expect(1, 195101, '\P{^NFC_Quick_Check:no}', "");
Expect(0, 195102, '\p{NFC_Quick_Check:no}', "");
Expect(1, 195102, '\p{^NFC_Quick_Check:no}', "");
Expect(1, 195102, '\P{NFC_Quick_Check:no}', "");
Expect(0, 195102, '\P{^NFC_Quick_Check:no}', "");
Expect(1, 195101, '\p{NFC_Quick_Check= NO}', "");
Expect(0, 195101, '\p{^NFC_Quick_Check= NO}', "");
Expect(0, 195101, '\P{NFC_Quick_Check= NO}', "");
Expect(1, 195101, '\P{^NFC_Quick_Check= NO}', "");
Expect(0, 195102, '\p{NFC_Quick_Check= NO}', "");
Expect(1, 195102, '\p{^NFC_Quick_Check= NO}', "");
Expect(1, 195102, '\P{NFC_Quick_Check= NO}', "");
Expect(0, 195102, '\P{^NFC_Quick_Check= NO}', "");
Error('\p{NFC_QC:	 N/a/}');
Error('\P{NFC_QC:	 N/a/}');
Expect(1, 195101, '\p{NFC_QC=n}', "");
Expect(0, 195101, '\p{^NFC_QC=n}', "");
Expect(0, 195101, '\P{NFC_QC=n}', "");
Expect(1, 195101, '\P{^NFC_QC=n}', "");
Expect(0, 195102, '\p{NFC_QC=n}', "");
Expect(1, 195102, '\p{^NFC_QC=n}', "");
Expect(1, 195102, '\P{NFC_QC=n}', "");
Expect(0, 195102, '\P{^NFC_QC=n}', "");
Error('\p{Is_NFC_Quick_Check=-:=no}');
Error('\P{Is_NFC_Quick_Check=-:=no}');
Expect(1, 195101, '\p{Is_NFC_Quick_Check=no}', "");
Expect(0, 195101, '\p{^Is_NFC_Quick_Check=no}', "");
Expect(0, 195101, '\P{Is_NFC_Quick_Check=no}', "");
Expect(1, 195101, '\P{^Is_NFC_Quick_Check=no}', "");
Expect(0, 195102, '\p{Is_NFC_Quick_Check=no}', "");
Expect(1, 195102, '\p{^Is_NFC_Quick_Check=no}', "");
Expect(1, 195102, '\P{Is_NFC_Quick_Check=no}', "");
Expect(0, 195102, '\P{^Is_NFC_Quick_Check=no}', "");
Expect(1, 195101, '\p{Is_NFC_Quick_Check=	NO}', "");
Expect(0, 195101, '\p{^Is_NFC_Quick_Check=	NO}', "");
Expect(0, 195101, '\P{Is_NFC_Quick_Check=	NO}', "");
Expect(1, 195101, '\P{^Is_NFC_Quick_Check=	NO}', "");
Expect(0, 195102, '\p{Is_NFC_Quick_Check=	NO}', "");
Expect(1, 195102, '\p{^Is_NFC_Quick_Check=	NO}', "");
Expect(1, 195102, '\P{Is_NFC_Quick_Check=	NO}', "");
Expect(0, 195102, '\P{^Is_NFC_Quick_Check=	NO}', "");
Error('\p{Is_NFC_QC= -n:=}');
Error('\P{Is_NFC_QC= -n:=}');
Expect(1, 195101, '\p{Is_NFC_QC=n}', "");
Expect(0, 195101, '\p{^Is_NFC_QC=n}', "");
Expect(0, 195101, '\P{Is_NFC_QC=n}', "");
Expect(1, 195101, '\P{^Is_NFC_QC=n}', "");
Expect(0, 195102, '\p{Is_NFC_QC=n}', "");
Expect(1, 195102, '\p{^Is_NFC_QC=n}', "");
Expect(1, 195102, '\P{Is_NFC_QC=n}', "");
Expect(0, 195102, '\P{^Is_NFC_QC=n}', "");
Expect(1, 195101, '\p{Is_NFC_QC=N}', "");
Expect(0, 195101, '\p{^Is_NFC_QC=N}', "");
Expect(0, 195101, '\P{Is_NFC_QC=N}', "");
Expect(1, 195101, '\P{^Is_NFC_QC=N}', "");
Expect(0, 195102, '\p{Is_NFC_QC=N}', "");
Expect(1, 195102, '\p{^Is_NFC_QC=N}', "");
Expect(1, 195102, '\P{Is_NFC_QC=N}', "");
Expect(0, 195102, '\P{^Is_NFC_QC=N}', "");
Error('\p{NFC_Quick_Check= :=Yes}');
Error('\P{NFC_Quick_Check= :=Yes}');
Expect(1, 195102, '\p{NFC_Quick_Check=yes}', "");
Expect(0, 195102, '\p{^NFC_Quick_Check=yes}', "");
Expect(0, 195102, '\P{NFC_Quick_Check=yes}', "");
Expect(1, 195102, '\P{^NFC_Quick_Check=yes}', "");
Expect(0, 195101, '\p{NFC_Quick_Check=yes}', "");
Expect(1, 195101, '\p{^NFC_Quick_Check=yes}', "");
Expect(1, 195101, '\P{NFC_Quick_Check=yes}', "");
Expect(0, 195101, '\P{^NFC_Quick_Check=yes}', "");
Expect(1, 195102, '\p{NFC_Quick_Check:_-Yes}', "");
Expect(0, 195102, '\p{^NFC_Quick_Check:_-Yes}', "");
Expect(0, 195102, '\P{NFC_Quick_Check:_-Yes}', "");
Expect(1, 195102, '\P{^NFC_Quick_Check:_-Yes}', "");
Expect(0, 195101, '\p{NFC_Quick_Check:_-Yes}', "");
Expect(1, 195101, '\p{^NFC_Quick_Check:_-Yes}', "");
Expect(1, 195101, '\P{NFC_Quick_Check:_-Yes}', "");
Expect(0, 195101, '\P{^NFC_Quick_Check:_-Yes}', "");
Error('\p{NFC_QC:_ y/a/}');
Error('\P{NFC_QC:_ y/a/}');
Expect(1, 195102, '\p{NFC_QC=y}', "");
Expect(0, 195102, '\p{^NFC_QC=y}', "");
Expect(0, 195102, '\P{NFC_QC=y}', "");
Expect(1, 195102, '\P{^NFC_QC=y}', "");
Expect(0, 195101, '\p{NFC_QC=y}', "");
Expect(1, 195101, '\p{^NFC_QC=y}', "");
Expect(1, 195101, '\P{NFC_QC=y}', "");
Expect(0, 195101, '\P{^NFC_QC=y}', "");
Expect(1, 195102, '\p{NFC_QC=_ Y}', "");
Expect(0, 195102, '\p{^NFC_QC=_ Y}', "");
Expect(0, 195102, '\P{NFC_QC=_ Y}', "");
Expect(1, 195102, '\P{^NFC_QC=_ Y}', "");
Expect(0, 195101, '\p{NFC_QC=_ Y}', "");
Expect(1, 195101, '\p{^NFC_QC=_ Y}', "");
Expect(1, 195101, '\P{NFC_QC=_ Y}', "");
Expect(0, 195101, '\P{^NFC_QC=_ Y}', "");
Error('\p{Is_NFC_Quick_Check=_-Yes:=}');
Error('\P{Is_NFC_Quick_Check=_-Yes:=}');
Expect(1, 195102, '\p{Is_NFC_Quick_Check=yes}', "");
Expect(0, 195102, '\p{^Is_NFC_Quick_Check=yes}', "");
Expect(0, 195102, '\P{Is_NFC_Quick_Check=yes}', "");
Expect(1, 195102, '\P{^Is_NFC_Quick_Check=yes}', "");
Expect(0, 195101, '\p{Is_NFC_Quick_Check=yes}', "");
Expect(1, 195101, '\p{^Is_NFC_Quick_Check=yes}', "");
Expect(1, 195101, '\P{Is_NFC_Quick_Check=yes}', "");
Expect(0, 195101, '\P{^Is_NFC_Quick_Check=yes}', "");
Expect(1, 195102, '\p{Is_NFC_Quick_Check=__Yes}', "");
Expect(0, 195102, '\p{^Is_NFC_Quick_Check=__Yes}', "");
Expect(0, 195102, '\P{Is_NFC_Quick_Check=__Yes}', "");
Expect(1, 195102, '\P{^Is_NFC_Quick_Check=__Yes}', "");
Expect(0, 195101, '\p{Is_NFC_Quick_Check=__Yes}', "");
Expect(1, 195101, '\p{^Is_NFC_Quick_Check=__Yes}', "");
Expect(1, 195101, '\P{Is_NFC_Quick_Check=__Yes}', "");
Expect(0, 195101, '\P{^Is_NFC_Quick_Check=__Yes}', "");
Error('\p{Is_NFC_QC= Y:=}');
Error('\P{Is_NFC_QC= Y:=}');
Expect(1, 195102, '\p{Is_NFC_QC=y}', "");
Expect(0, 195102, '\p{^Is_NFC_QC=y}', "");
Expect(0, 195102, '\P{Is_NFC_QC=y}', "");
Expect(1, 195102, '\P{^Is_NFC_QC=y}', "");
Expect(0, 195101, '\p{Is_NFC_QC=y}', "");
Expect(1, 195101, '\p{^Is_NFC_QC=y}', "");
Expect(1, 195101, '\P{Is_NFC_QC=y}', "");
Expect(0, 195101, '\P{^Is_NFC_QC=y}', "");
Expect(1, 195102, '\p{Is_NFC_QC:   	y}', "");
Expect(0, 195102, '\p{^Is_NFC_QC:   	y}', "");
Expect(0, 195102, '\P{Is_NFC_QC:   	y}', "");
Expect(1, 195102, '\P{^Is_NFC_QC:   	y}', "");
Expect(0, 195101, '\p{Is_NFC_QC:   	y}', "");
Expect(1, 195101, '\p{^Is_NFC_QC:   	y}', "");
Expect(1, 195101, '\P{Is_NFC_QC:   	y}', "");
Expect(0, 195101, '\P{^Is_NFC_QC:   	y}', "");
Error('\p{NFD_Quick_Check=/a/__No}');
Error('\P{NFD_Quick_Check=/a/__No}');
Expect(1, 195101, '\p{NFD_Quick_Check: no}', "");
Expect(0, 195101, '\p{^NFD_Quick_Check: no}', "");
Expect(0, 195101, '\P{NFD_Quick_Check: no}', "");
Expect(1, 195101, '\P{^NFD_Quick_Check: no}', "");
Expect(0, 195102, '\p{NFD_Quick_Check: no}', "");
Expect(1, 195102, '\p{^NFD_Quick_Check: no}', "");
Expect(1, 195102, '\P{NFD_Quick_Check: no}', "");
Expect(0, 195102, '\P{^NFD_Quick_Check: no}', "");
Expect(1, 195101, '\p{NFD_Quick_Check= -no}', "");
Expect(0, 195101, '\p{^NFD_Quick_Check= -no}', "");
Expect(0, 195101, '\P{NFD_Quick_Check= -no}', "");
Expect(1, 195101, '\P{^NFD_Quick_Check= -no}', "");
Expect(0, 195102, '\p{NFD_Quick_Check= -no}', "");
Expect(1, 195102, '\p{^NFD_Quick_Check= -no}', "");
Expect(1, 195102, '\P{NFD_Quick_Check= -no}', "");
Expect(0, 195102, '\P{^NFD_Quick_Check= -no}', "");
Error('\p{NFD_QC=/a/ 	N}');
Error('\P{NFD_QC=/a/ 	N}');
Expect(1, 195101, '\p{NFD_QC=n}', "");
Expect(0, 195101, '\p{^NFD_QC=n}', "");
Expect(0, 195101, '\P{NFD_QC=n}', "");
Expect(1, 195101, '\P{^NFD_QC=n}', "");
Expect(0, 195102, '\p{NFD_QC=n}', "");
Expect(1, 195102, '\p{^NFD_QC=n}', "");
Expect(1, 195102, '\P{NFD_QC=n}', "");
Expect(0, 195102, '\P{^NFD_QC=n}', "");
Expect(1, 195101, '\p{NFD_QC=-N}', "");
Expect(0, 195101, '\p{^NFD_QC=-N}', "");
Expect(0, 195101, '\P{NFD_QC=-N}', "");
Expect(1, 195101, '\P{^NFD_QC=-N}', "");
Expect(0, 195102, '\p{NFD_QC=-N}', "");
Expect(1, 195102, '\p{^NFD_QC=-N}', "");
Expect(1, 195102, '\P{NFD_QC=-N}', "");
Expect(0, 195102, '\P{^NFD_QC=-N}', "");
Error('\p{Is_NFD_Quick_Check=--no:=}');
Error('\P{Is_NFD_Quick_Check=--no:=}');
Expect(1, 195101, '\p{Is_NFD_Quick_Check=no}', "");
Expect(0, 195101, '\p{^Is_NFD_Quick_Check=no}', "");
Expect(0, 195101, '\P{Is_NFD_Quick_Check=no}', "");
Expect(1, 195101, '\P{^Is_NFD_Quick_Check=no}', "");
Expect(0, 195102, '\p{Is_NFD_Quick_Check=no}', "");
Expect(1, 195102, '\p{^Is_NFD_Quick_Check=no}', "");
Expect(1, 195102, '\P{Is_NFD_Quick_Check=no}', "");
Expect(0, 195102, '\P{^Is_NFD_Quick_Check=no}', "");
Error('\p{Is_NFD_QC=_n:=}');
Error('\P{Is_NFD_QC=_n:=}');
Expect(1, 195101, '\p{Is_NFD_QC=n}', "");
Expect(0, 195101, '\p{^Is_NFD_QC=n}', "");
Expect(0, 195101, '\P{Is_NFD_QC=n}', "");
Expect(1, 195101, '\P{^Is_NFD_QC=n}', "");
Expect(0, 195102, '\p{Is_NFD_QC=n}', "");
Expect(1, 195102, '\p{^Is_NFD_QC=n}', "");
Expect(1, 195102, '\P{Is_NFD_QC=n}', "");
Expect(0, 195102, '\P{^Is_NFD_QC=n}', "");
Expect(1, 195101, '\p{Is_NFD_QC=__n}', "");
Expect(0, 195101, '\p{^Is_NFD_QC=__n}', "");
Expect(0, 195101, '\P{Is_NFD_QC=__n}', "");
Expect(1, 195101, '\P{^Is_NFD_QC=__n}', "");
Expect(0, 195102, '\p{Is_NFD_QC=__n}', "");
Expect(1, 195102, '\p{^Is_NFD_QC=__n}', "");
Expect(1, 195102, '\P{Is_NFD_QC=__n}', "");
Expect(0, 195102, '\P{^Is_NFD_QC=__n}', "");
Error('\p{NFD_Quick_Check=_yes:=}');
Error('\P{NFD_Quick_Check=_yes:=}');
Expect(1, 195102, '\p{NFD_Quick_Check=yes}', "");
Expect(0, 195102, '\p{^NFD_Quick_Check=yes}', "");
Expect(0, 195102, '\P{NFD_Quick_Check=yes}', "");
Expect(1, 195102, '\P{^NFD_Quick_Check=yes}', "");
Expect(0, 195101, '\p{NFD_Quick_Check=yes}', "");
Expect(1, 195101, '\p{^NFD_Quick_Check=yes}', "");
Expect(1, 195101, '\P{NFD_Quick_Check=yes}', "");
Expect(0, 195101, '\P{^NFD_Quick_Check=yes}', "");
Expect(1, 195102, '\p{NFD_Quick_Check=	-Yes}', "");
Expect(0, 195102, '\p{^NFD_Quick_Check=	-Yes}', "");
Expect(0, 195102, '\P{NFD_Quick_Check=	-Yes}', "");
Expect(1, 195102, '\P{^NFD_Quick_Check=	-Yes}', "");
Expect(0, 195101, '\p{NFD_Quick_Check=	-Yes}', "");
Expect(1, 195101, '\p{^NFD_Quick_Check=	-Yes}', "");
Expect(1, 195101, '\P{NFD_Quick_Check=	-Yes}', "");
Expect(0, 195101, '\P{^NFD_Quick_Check=	-Yes}', "");
Error('\p{NFD_QC=Y:=}');
Error('\P{NFD_QC=Y:=}');
Expect(1, 195102, '\p{NFD_QC=y}', "");
Expect(0, 195102, '\p{^NFD_QC=y}', "");
Expect(0, 195102, '\P{NFD_QC=y}', "");
Expect(1, 195102, '\P{^NFD_QC=y}', "");
Expect(0, 195101, '\p{NFD_QC=y}', "");
Expect(1, 195101, '\p{^NFD_QC=y}', "");
Expect(1, 195101, '\P{NFD_QC=y}', "");
Expect(0, 195101, '\P{^NFD_QC=y}', "");
Expect(1, 195102, '\p{NFD_QC= y}', "");
Expect(0, 195102, '\p{^NFD_QC= y}', "");
Expect(0, 195102, '\P{NFD_QC= y}', "");
Expect(1, 195102, '\P{^NFD_QC= y}', "");
Expect(0, 195101, '\p{NFD_QC= y}', "");
Expect(1, 195101, '\p{^NFD_QC= y}', "");
Expect(1, 195101, '\P{NFD_QC= y}', "");
Expect(0, 195101, '\P{^NFD_QC= y}', "");
Error('\p{Is_NFD_Quick_Check=_/a/Yes}');
Error('\P{Is_NFD_Quick_Check=_/a/Yes}');
Expect(1, 195102, '\p{Is_NFD_Quick_Check:	yes}', "");
Expect(0, 195102, '\p{^Is_NFD_Quick_Check:	yes}', "");
Expect(0, 195102, '\P{Is_NFD_Quick_Check:	yes}', "");
Expect(1, 195102, '\P{^Is_NFD_Quick_Check:	yes}', "");
Expect(0, 195101, '\p{Is_NFD_Quick_Check:	yes}', "");
Expect(1, 195101, '\p{^Is_NFD_Quick_Check:	yes}', "");
Expect(1, 195101, '\P{Is_NFD_Quick_Check:	yes}', "");
Expect(0, 195101, '\P{^Is_NFD_Quick_Check:	yes}', "");
Expect(1, 195102, '\p{Is_NFD_Quick_Check=- Yes}', "");
Expect(0, 195102, '\p{^Is_NFD_Quick_Check=- Yes}', "");
Expect(0, 195102, '\P{Is_NFD_Quick_Check=- Yes}', "");
Expect(1, 195102, '\P{^Is_NFD_Quick_Check=- Yes}', "");
Expect(0, 195101, '\p{Is_NFD_Quick_Check=- Yes}', "");
Expect(1, 195101, '\p{^Is_NFD_Quick_Check=- Yes}', "");
Expect(1, 195101, '\P{Is_NFD_Quick_Check=- Yes}', "");
Expect(0, 195101, '\P{^Is_NFD_Quick_Check=- Yes}', "");
Error('\p{Is_NFD_QC=/a/-_Y}');
Error('\P{Is_NFD_QC=/a/-_Y}');
Expect(1, 195102, '\p{Is_NFD_QC: y}', "");
Expect(0, 195102, '\p{^Is_NFD_QC: y}', "");
Expect(0, 195102, '\P{Is_NFD_QC: y}', "");
Expect(1, 195102, '\P{^Is_NFD_QC: y}', "");
Expect(0, 195101, '\p{Is_NFD_QC: y}', "");
Expect(1, 195101, '\p{^Is_NFD_QC: y}', "");
Expect(1, 195101, '\P{Is_NFD_QC: y}', "");
Expect(0, 195101, '\P{^Is_NFD_QC: y}', "");
Expect(1, 195102, '\p{Is_NFD_QC=	Y}', "");
Expect(0, 195102, '\p{^Is_NFD_QC=	Y}', "");
Expect(0, 195102, '\P{Is_NFD_QC=	Y}', "");
Expect(1, 195102, '\P{^Is_NFD_QC=	Y}', "");
Expect(0, 195101, '\p{Is_NFD_QC=	Y}', "");
Expect(1, 195101, '\p{^Is_NFD_QC=	Y}', "");
Expect(1, 195101, '\P{Is_NFD_QC=	Y}', "");
Expect(0, 195101, '\P{^Is_NFD_QC=	Y}', "");
Error('\p{NFKC_Quick_Check:-Maybe:=}');
Error('\P{NFKC_Quick_Check:-Maybe:=}');
Expect(1, 71087, '\p{NFKC_Quick_Check:   maybe}', "");
Expect(0, 71087, '\p{^NFKC_Quick_Check:   maybe}', "");
Expect(0, 71087, '\P{NFKC_Quick_Check:   maybe}', "");
Expect(1, 71087, '\P{^NFKC_Quick_Check:   maybe}', "");
Expect(0, 71088, '\p{NFKC_Quick_Check:   maybe}', "");
Expect(1, 71088, '\p{^NFKC_Quick_Check:   maybe}', "");
Expect(1, 71088, '\P{NFKC_Quick_Check:   maybe}', "");
Expect(0, 71088, '\P{^NFKC_Quick_Check:   maybe}', "");
Expect(1, 71087, '\p{NFKC_Quick_Check:   -Maybe}', "");
Expect(0, 71087, '\p{^NFKC_Quick_Check:   -Maybe}', "");
Expect(0, 71087, '\P{NFKC_Quick_Check:   -Maybe}', "");
Expect(1, 71087, '\P{^NFKC_Quick_Check:   -Maybe}', "");
Expect(0, 71088, '\p{NFKC_Quick_Check:   -Maybe}', "");
Expect(1, 71088, '\p{^NFKC_Quick_Check:   -Maybe}', "");
Expect(1, 71088, '\P{NFKC_Quick_Check:   -Maybe}', "");
Expect(0, 71088, '\P{^NFKC_Quick_Check:   -Maybe}', "");
Error('\p{NFKC_QC=	_M/a/}');
Error('\P{NFKC_QC=	_M/a/}');
Expect(1, 71087, '\p{NFKC_QC=m}', "");
Expect(0, 71087, '\p{^NFKC_QC=m}', "");
Expect(0, 71087, '\P{NFKC_QC=m}', "");
Expect(1, 71087, '\P{^NFKC_QC=m}', "");
Expect(0, 71088, '\p{NFKC_QC=m}', "");
Expect(1, 71088, '\p{^NFKC_QC=m}', "");
Expect(1, 71088, '\P{NFKC_QC=m}', "");
Expect(0, 71088, '\P{^NFKC_QC=m}', "");
Expect(1, 71087, '\p{NFKC_QC=-_M}', "");
Expect(0, 71087, '\p{^NFKC_QC=-_M}', "");
Expect(0, 71087, '\P{NFKC_QC=-_M}', "");
Expect(1, 71087, '\P{^NFKC_QC=-_M}', "");
Expect(0, 71088, '\p{NFKC_QC=-_M}', "");
Expect(1, 71088, '\p{^NFKC_QC=-_M}', "");
Expect(1, 71088, '\P{NFKC_QC=-_M}', "");
Expect(0, 71088, '\P{^NFKC_QC=-_M}', "");
Error('\p{Is_NFKC_Quick_Check= Maybe:=}');
Error('\P{Is_NFKC_Quick_Check= Maybe:=}');
Expect(1, 71087, '\p{Is_NFKC_Quick_Check=maybe}', "");
Expect(0, 71087, '\p{^Is_NFKC_Quick_Check=maybe}', "");
Expect(0, 71087, '\P{Is_NFKC_Quick_Check=maybe}', "");
Expect(1, 71087, '\P{^Is_NFKC_Quick_Check=maybe}', "");
Expect(0, 71088, '\p{Is_NFKC_Quick_Check=maybe}', "");
Expect(1, 71088, '\p{^Is_NFKC_Quick_Check=maybe}', "");
Expect(1, 71088, '\P{Is_NFKC_Quick_Check=maybe}', "");
Expect(0, 71088, '\P{^Is_NFKC_Quick_Check=maybe}', "");
Expect(1, 71087, '\p{Is_NFKC_Quick_Check=_maybe}', "");
Expect(0, 71087, '\p{^Is_NFKC_Quick_Check=_maybe}', "");
Expect(0, 71087, '\P{Is_NFKC_Quick_Check=_maybe}', "");
Expect(1, 71087, '\P{^Is_NFKC_Quick_Check=_maybe}', "");
Expect(0, 71088, '\p{Is_NFKC_Quick_Check=_maybe}', "");
Expect(1, 71088, '\p{^Is_NFKC_Quick_Check=_maybe}', "");
Expect(1, 71088, '\P{Is_NFKC_Quick_Check=_maybe}', "");
Expect(0, 71088, '\P{^Is_NFKC_Quick_Check=_maybe}', "");
Error('\p{Is_NFKC_QC:	_m/a/}');
Error('\P{Is_NFKC_QC:	_m/a/}');
Expect(1, 71087, '\p{Is_NFKC_QC=m}', "");
Expect(0, 71087, '\p{^Is_NFKC_QC=m}', "");
Expect(0, 71087, '\P{Is_NFKC_QC=m}', "");
Expect(1, 71087, '\P{^Is_NFKC_QC=m}', "");
Expect(0, 71088, '\p{Is_NFKC_QC=m}', "");
Expect(1, 71088, '\p{^Is_NFKC_QC=m}', "");
Expect(1, 71088, '\P{Is_NFKC_QC=m}', "");
Expect(0, 71088, '\P{^Is_NFKC_QC=m}', "");
Expect(1, 71087, '\p{Is_NFKC_QC: _M}', "");
Expect(0, 71087, '\p{^Is_NFKC_QC: _M}', "");
Expect(0, 71087, '\P{Is_NFKC_QC: _M}', "");
Expect(1, 71087, '\P{^Is_NFKC_QC: _M}', "");
Expect(0, 71088, '\p{Is_NFKC_QC: _M}', "");
Expect(1, 71088, '\p{^Is_NFKC_QC: _M}', "");
Expect(1, 71088, '\P{Is_NFKC_QC: _M}', "");
Expect(0, 71088, '\P{^Is_NFKC_QC: _M}', "");
Error('\p{NFKC_Quick_Check=	_No:=}');
Error('\P{NFKC_Quick_Check=	_No:=}');
Expect(1, 195101, '\p{NFKC_Quick_Check:   no}', "");
Expect(0, 195101, '\p{^NFKC_Quick_Check:   no}', "");
Expect(0, 195101, '\P{NFKC_Quick_Check:   no}', "");
Expect(1, 195101, '\P{^NFKC_Quick_Check:   no}', "");
Expect(0, 195102, '\p{NFKC_Quick_Check:   no}', "");
Expect(1, 195102, '\p{^NFKC_Quick_Check:   no}', "");
Expect(1, 195102, '\P{NFKC_Quick_Check:   no}', "");
Expect(0, 195102, '\P{^NFKC_Quick_Check:   no}', "");
Expect(1, 195101, '\p{NFKC_Quick_Check=-no}', "");
Expect(0, 195101, '\p{^NFKC_Quick_Check=-no}', "");
Expect(0, 195101, '\P{NFKC_Quick_Check=-no}', "");
Expect(1, 195101, '\P{^NFKC_Quick_Check=-no}', "");
Expect(0, 195102, '\p{NFKC_Quick_Check=-no}', "");
Expect(1, 195102, '\p{^NFKC_Quick_Check=-no}', "");
Expect(1, 195102, '\P{NFKC_Quick_Check=-no}', "");
Expect(0, 195102, '\P{^NFKC_Quick_Check=-no}', "");
Error('\p{NFKC_QC=/a/_-N}');
Error('\P{NFKC_QC=/a/_-N}');
Expect(1, 195101, '\p{NFKC_QC=n}', "");
Expect(0, 195101, '\p{^NFKC_QC=n}', "");
Expect(0, 195101, '\P{NFKC_QC=n}', "");
Expect(1, 195101, '\P{^NFKC_QC=n}', "");
Expect(0, 195102, '\p{NFKC_QC=n}', "");
Expect(1, 195102, '\p{^NFKC_QC=n}', "");
Expect(1, 195102, '\P{NFKC_QC=n}', "");
Expect(0, 195102, '\P{^NFKC_QC=n}', "");
Expect(1, 195101, '\p{NFKC_QC: 	N}', "");
Expect(0, 195101, '\p{^NFKC_QC: 	N}', "");
Expect(0, 195101, '\P{NFKC_QC: 	N}', "");
Expect(1, 195101, '\P{^NFKC_QC: 	N}', "");
Expect(0, 195102, '\p{NFKC_QC: 	N}', "");
Expect(1, 195102, '\p{^NFKC_QC: 	N}', "");
Expect(1, 195102, '\P{NFKC_QC: 	N}', "");
Expect(0, 195102, '\P{^NFKC_QC: 	N}', "");
Error('\p{Is_NFKC_Quick_Check=	:=no}');
Error('\P{Is_NFKC_Quick_Check=	:=no}');
Expect(1, 195101, '\p{Is_NFKC_Quick_Check:	no}', "");
Expect(0, 195101, '\p{^Is_NFKC_Quick_Check:	no}', "");
Expect(0, 195101, '\P{Is_NFKC_Quick_Check:	no}', "");
Expect(1, 195101, '\P{^Is_NFKC_Quick_Check:	no}', "");
Expect(0, 195102, '\p{Is_NFKC_Quick_Check:	no}', "");
Expect(1, 195102, '\p{^Is_NFKC_Quick_Check:	no}', "");
Expect(1, 195102, '\P{Is_NFKC_Quick_Check:	no}', "");
Expect(0, 195102, '\P{^Is_NFKC_Quick_Check:	no}', "");
Expect(1, 195101, '\p{Is_NFKC_Quick_Check= NO}', "");
Expect(0, 195101, '\p{^Is_NFKC_Quick_Check= NO}', "");
Expect(0, 195101, '\P{Is_NFKC_Quick_Check= NO}', "");
Expect(1, 195101, '\P{^Is_NFKC_Quick_Check= NO}', "");
Expect(0, 195102, '\p{Is_NFKC_Quick_Check= NO}', "");
Expect(1, 195102, '\p{^Is_NFKC_Quick_Check= NO}', "");
Expect(1, 195102, '\P{Is_NFKC_Quick_Check= NO}', "");
Expect(0, 195102, '\P{^Is_NFKC_Quick_Check= NO}', "");
Error('\p{Is_NFKC_QC=/a/  N}');
Error('\P{Is_NFKC_QC=/a/  N}');
Expect(1, 195101, '\p{Is_NFKC_QC=n}', "");
Expect(0, 195101, '\p{^Is_NFKC_QC=n}', "");
Expect(0, 195101, '\P{Is_NFKC_QC=n}', "");
Expect(1, 195101, '\P{^Is_NFKC_QC=n}', "");
Expect(0, 195102, '\p{Is_NFKC_QC=n}', "");
Expect(1, 195102, '\p{^Is_NFKC_QC=n}', "");
Expect(1, 195102, '\P{Is_NFKC_QC=n}', "");
Expect(0, 195102, '\P{^Is_NFKC_QC=n}', "");
Expect(1, 195101, '\p{Is_NFKC_QC=-	N}', "");
Expect(0, 195101, '\p{^Is_NFKC_QC=-	N}', "");
Expect(0, 195101, '\P{Is_NFKC_QC=-	N}', "");
Expect(1, 195101, '\P{^Is_NFKC_QC=-	N}', "");
Expect(0, 195102, '\p{Is_NFKC_QC=-	N}', "");
Expect(1, 195102, '\p{^Is_NFKC_QC=-	N}', "");
Expect(1, 195102, '\P{Is_NFKC_QC=-	N}', "");
Expect(0, 195102, '\P{^Is_NFKC_QC=-	N}', "");
Error('\p{NFKC_Quick_Check=:=Yes}');
Error('\P{NFKC_Quick_Check=:=Yes}');
Expect(1, 195102, '\p{NFKC_Quick_Check=yes}', "");
Expect(0, 195102, '\p{^NFKC_Quick_Check=yes}', "");
Expect(0, 195102, '\P{NFKC_Quick_Check=yes}', "");
Expect(1, 195102, '\P{^NFKC_Quick_Check=yes}', "");
Expect(0, 195101, '\p{NFKC_Quick_Check=yes}', "");
Expect(1, 195101, '\p{^NFKC_Quick_Check=yes}', "");
Expect(1, 195101, '\P{NFKC_Quick_Check=yes}', "");
Expect(0, 195101, '\P{^NFKC_Quick_Check=yes}', "");
Expect(1, 195102, '\p{NFKC_Quick_Check= yes}', "");
Expect(0, 195102, '\p{^NFKC_Quick_Check= yes}', "");
Expect(0, 195102, '\P{NFKC_Quick_Check= yes}', "");
Expect(1, 195102, '\P{^NFKC_Quick_Check= yes}', "");
Expect(0, 195101, '\p{NFKC_Quick_Check= yes}', "");
Expect(1, 195101, '\p{^NFKC_Quick_Check= yes}', "");
Expect(1, 195101, '\P{NFKC_Quick_Check= yes}', "");
Expect(0, 195101, '\P{^NFKC_Quick_Check= yes}', "");
Error('\p{NFKC_QC=:=- Y}');
Error('\P{NFKC_QC=:=- Y}');
Expect(1, 195102, '\p{NFKC_QC=y}', "");
Expect(0, 195102, '\p{^NFKC_QC=y}', "");
Expect(0, 195102, '\P{NFKC_QC=y}', "");
Expect(1, 195102, '\P{^NFKC_QC=y}', "");
Expect(0, 195101, '\p{NFKC_QC=y}', "");
Expect(1, 195101, '\p{^NFKC_QC=y}', "");
Expect(1, 195101, '\P{NFKC_QC=y}', "");
Expect(0, 195101, '\P{^NFKC_QC=y}', "");
Expect(1, 195102, '\p{NFKC_QC= _Y}', "");
Expect(0, 195102, '\p{^NFKC_QC= _Y}', "");
Expect(0, 195102, '\P{NFKC_QC= _Y}', "");
Expect(1, 195102, '\P{^NFKC_QC= _Y}', "");
Expect(0, 195101, '\p{NFKC_QC= _Y}', "");
Expect(1, 195101, '\p{^NFKC_QC= _Y}', "");
Expect(1, 195101, '\P{NFKC_QC= _Y}', "");
Expect(0, 195101, '\P{^NFKC_QC= _Y}', "");
Error('\p{Is_NFKC_Quick_Check:/a/_-yes}');
Error('\P{Is_NFKC_Quick_Check:/a/_-yes}');
Expect(1, 195102, '\p{Is_NFKC_Quick_Check=yes}', "");
Expect(0, 195102, '\p{^Is_NFKC_Quick_Check=yes}', "");
Expect(0, 195102, '\P{Is_NFKC_Quick_Check=yes}', "");
Expect(1, 195102, '\P{^Is_NFKC_Quick_Check=yes}', "");
Expect(0, 195101, '\p{Is_NFKC_Quick_Check=yes}', "");
Expect(1, 195101, '\p{^Is_NFKC_Quick_Check=yes}', "");
Expect(1, 195101, '\P{Is_NFKC_Quick_Check=yes}', "");
Expect(0, 195101, '\P{^Is_NFKC_Quick_Check=yes}', "");
Expect(1, 195102, '\p{Is_NFKC_Quick_Check= -Yes}', "");
Expect(0, 195102, '\p{^Is_NFKC_Quick_Check= -Yes}', "");
Expect(0, 195102, '\P{Is_NFKC_Quick_Check= -Yes}', "");
Expect(1, 195102, '\P{^Is_NFKC_Quick_Check= -Yes}', "");
Expect(0, 195101, '\p{Is_NFKC_Quick_Check= -Yes}', "");
Expect(1, 195101, '\p{^Is_NFKC_Quick_Check= -Yes}', "");
Expect(1, 195101, '\P{Is_NFKC_Quick_Check= -Yes}', "");
Expect(0, 195101, '\P{^Is_NFKC_Quick_Check= -Yes}', "");
Error('\p{Is_NFKC_QC=--Y:=}');
Error('\P{Is_NFKC_QC=--Y:=}');
Expect(1, 195102, '\p{Is_NFKC_QC=y}', "");
Expect(0, 195102, '\p{^Is_NFKC_QC=y}', "");
Expect(0, 195102, '\P{Is_NFKC_QC=y}', "");
Expect(1, 195102, '\P{^Is_NFKC_QC=y}', "");
Expect(0, 195101, '\p{Is_NFKC_QC=y}', "");
Expect(1, 195101, '\p{^Is_NFKC_QC=y}', "");
Expect(1, 195101, '\P{Is_NFKC_QC=y}', "");
Expect(0, 195101, '\P{^Is_NFKC_QC=y}', "");
Expect(1, 195102, '\p{Is_NFKC_QC: _	y}', "");
Expect(0, 195102, '\p{^Is_NFKC_QC: _	y}', "");
Expect(0, 195102, '\P{Is_NFKC_QC: _	y}', "");
Expect(1, 195102, '\P{^Is_NFKC_QC: _	y}', "");
Expect(0, 195101, '\p{Is_NFKC_QC: _	y}', "");
Expect(1, 195101, '\p{^Is_NFKC_QC: _	y}', "");
Expect(1, 195101, '\P{Is_NFKC_QC: _	y}', "");
Expect(0, 195101, '\P{^Is_NFKC_QC: _	y}', "");
Error('\p{NFKD_Quick_Check= /a/No}');
Error('\P{NFKD_Quick_Check= /a/No}');
Expect(1, 195101, '\p{NFKD_Quick_Check=no}', "");
Expect(0, 195101, '\p{^NFKD_Quick_Check=no}', "");
Expect(0, 195101, '\P{NFKD_Quick_Check=no}', "");
Expect(1, 195101, '\P{^NFKD_Quick_Check=no}', "");
Expect(0, 195102, '\p{NFKD_Quick_Check=no}', "");
Expect(1, 195102, '\p{^NFKD_Quick_Check=no}', "");
Expect(1, 195102, '\P{NFKD_Quick_Check=no}', "");
Expect(0, 195102, '\P{^NFKD_Quick_Check=no}', "");
Expect(1, 195101, '\p{NFKD_Quick_Check:	  No}', "");
Expect(0, 195101, '\p{^NFKD_Quick_Check:	  No}', "");
Expect(0, 195101, '\P{NFKD_Quick_Check:	  No}', "");
Expect(1, 195101, '\P{^NFKD_Quick_Check:	  No}', "");
Expect(0, 195102, '\p{NFKD_Quick_Check:	  No}', "");
Expect(1, 195102, '\p{^NFKD_Quick_Check:	  No}', "");
Expect(1, 195102, '\P{NFKD_Quick_Check:	  No}', "");
Expect(0, 195102, '\P{^NFKD_Quick_Check:	  No}', "");
Error('\p{NFKD_QC=  N/a/}');
Error('\P{NFKD_QC=  N/a/}');
Expect(1, 195101, '\p{NFKD_QC=n}', "");
Expect(0, 195101, '\p{^NFKD_QC=n}', "");
Expect(0, 195101, '\P{NFKD_QC=n}', "");
Expect(1, 195101, '\P{^NFKD_QC=n}', "");
Expect(0, 195102, '\p{NFKD_QC=n}', "");
Expect(1, 195102, '\p{^NFKD_QC=n}', "");
Expect(1, 195102, '\P{NFKD_QC=n}', "");
Expect(0, 195102, '\P{^NFKD_QC=n}', "");
Expect(1, 195101, '\p{NFKD_QC=_ N}', "");
Expect(0, 195101, '\p{^NFKD_QC=_ N}', "");
Expect(0, 195101, '\P{NFKD_QC=_ N}', "");
Expect(1, 195101, '\P{^NFKD_QC=_ N}', "");
Expect(0, 195102, '\p{NFKD_QC=_ N}', "");
Expect(1, 195102, '\p{^NFKD_QC=_ N}', "");
Expect(1, 195102, '\P{NFKD_QC=_ N}', "");
Expect(0, 195102, '\P{^NFKD_QC=_ N}', "");
Error('\p{Is_NFKD_Quick_Check=-:=no}');
Error('\P{Is_NFKD_Quick_Check=-:=no}');
Expect(1, 195101, '\p{Is_NFKD_Quick_Check=no}', "");
Expect(0, 195101, '\p{^Is_NFKD_Quick_Check=no}', "");
Expect(0, 195101, '\P{Is_NFKD_Quick_Check=no}', "");
Expect(1, 195101, '\P{^Is_NFKD_Quick_Check=no}', "");
Expect(0, 195102, '\p{Is_NFKD_Quick_Check=no}', "");
Expect(1, 195102, '\p{^Is_NFKD_Quick_Check=no}', "");
Expect(1, 195102, '\P{Is_NFKD_Quick_Check=no}', "");
Expect(0, 195102, '\P{^Is_NFKD_Quick_Check=no}', "");
Expect(1, 195101, '\p{Is_NFKD_Quick_Check=_No}', "");
Expect(0, 195101, '\p{^Is_NFKD_Quick_Check=_No}', "");
Expect(0, 195101, '\P{Is_NFKD_Quick_Check=_No}', "");
Expect(1, 195101, '\P{^Is_NFKD_Quick_Check=_No}', "");
Expect(0, 195102, '\p{Is_NFKD_Quick_Check=_No}', "");
Expect(1, 195102, '\p{^Is_NFKD_Quick_Check=_No}', "");
Expect(1, 195102, '\P{Is_NFKD_Quick_Check=_No}', "");
Expect(0, 195102, '\P{^Is_NFKD_Quick_Check=_No}', "");
Error('\p{Is_NFKD_QC=:= n}');
Error('\P{Is_NFKD_QC=:= n}');
Expect(1, 195101, '\p{Is_NFKD_QC=n}', "");
Expect(0, 195101, '\p{^Is_NFKD_QC=n}', "");
Expect(0, 195101, '\P{Is_NFKD_QC=n}', "");
Expect(1, 195101, '\P{^Is_NFKD_QC=n}', "");
Expect(0, 195102, '\p{Is_NFKD_QC=n}', "");
Expect(1, 195102, '\p{^Is_NFKD_QC=n}', "");
Expect(1, 195102, '\P{Is_NFKD_QC=n}', "");
Expect(0, 195102, '\P{^Is_NFKD_QC=n}', "");
Expect(1, 195101, '\p{Is_NFKD_QC= -N}', "");
Expect(0, 195101, '\p{^Is_NFKD_QC= -N}', "");
Expect(0, 195101, '\P{Is_NFKD_QC= -N}', "");
Expect(1, 195101, '\P{^Is_NFKD_QC= -N}', "");
Expect(0, 195102, '\p{Is_NFKD_QC= -N}', "");
Expect(1, 195102, '\p{^Is_NFKD_QC= -N}', "");
Expect(1, 195102, '\P{Is_NFKD_QC= -N}', "");
Expect(0, 195102, '\P{^Is_NFKD_QC= -N}', "");
Error('\p{NFKD_Quick_Check= /a/YES}');
Error('\P{NFKD_Quick_Check= /a/YES}');
Expect(1, 195102, '\p{NFKD_Quick_Check=yes}', "");
Expect(0, 195102, '\p{^NFKD_Quick_Check=yes}', "");
Expect(0, 195102, '\P{NFKD_Quick_Check=yes}', "");
Expect(1, 195102, '\P{^NFKD_Quick_Check=yes}', "");
Expect(0, 195101, '\p{NFKD_Quick_Check=yes}', "");
Expect(1, 195101, '\p{^NFKD_Quick_Check=yes}', "");
Expect(1, 195101, '\P{NFKD_Quick_Check=yes}', "");
Expect(0, 195101, '\P{^NFKD_Quick_Check=yes}', "");
Expect(1, 195102, '\p{NFKD_Quick_Check=-YES}', "");
Expect(0, 195102, '\p{^NFKD_Quick_Check=-YES}', "");
Expect(0, 195102, '\P{NFKD_Quick_Check=-YES}', "");
Expect(1, 195102, '\P{^NFKD_Quick_Check=-YES}', "");
Expect(0, 195101, '\p{NFKD_Quick_Check=-YES}', "");
Expect(1, 195101, '\p{^NFKD_Quick_Check=-YES}', "");
Expect(1, 195101, '\P{NFKD_Quick_Check=-YES}', "");
Expect(0, 195101, '\P{^NFKD_Quick_Check=-YES}', "");
Error('\p{NFKD_QC=__Y:=}');
Error('\P{NFKD_QC=__Y:=}');
Expect(1, 195102, '\p{NFKD_QC=y}', "");
Expect(0, 195102, '\p{^NFKD_QC=y}', "");
Expect(0, 195102, '\P{NFKD_QC=y}', "");
Expect(1, 195102, '\P{^NFKD_QC=y}', "");
Expect(0, 195101, '\p{NFKD_QC=y}', "");
Expect(1, 195101, '\p{^NFKD_QC=y}', "");
Expect(1, 195101, '\P{NFKD_QC=y}', "");
Expect(0, 195101, '\P{^NFKD_QC=y}', "");
Expect(1, 195102, '\p{NFKD_QC=-Y}', "");
Expect(0, 195102, '\p{^NFKD_QC=-Y}', "");
Expect(0, 195102, '\P{NFKD_QC=-Y}', "");
Expect(1, 195102, '\P{^NFKD_QC=-Y}', "");
Expect(0, 195101, '\p{NFKD_QC=-Y}', "");
Expect(1, 195101, '\p{^NFKD_QC=-Y}', "");
Expect(1, 195101, '\P{NFKD_QC=-Y}', "");
Expect(0, 195101, '\P{^NFKD_QC=-Y}', "");
Error('\p{Is_NFKD_Quick_Check=:=yes}');
Error('\P{Is_NFKD_Quick_Check=:=yes}');
Expect(1, 195102, '\p{Is_NFKD_Quick_Check=yes}', "");
Expect(0, 195102, '\p{^Is_NFKD_Quick_Check=yes}', "");
Expect(0, 195102, '\P{Is_NFKD_Quick_Check=yes}', "");
Expect(1, 195102, '\P{^Is_NFKD_Quick_Check=yes}', "");
Expect(0, 195101, '\p{Is_NFKD_Quick_Check=yes}', "");
Expect(1, 195101, '\p{^Is_NFKD_Quick_Check=yes}', "");
Expect(1, 195101, '\P{Is_NFKD_Quick_Check=yes}', "");
Expect(0, 195101, '\P{^Is_NFKD_Quick_Check=yes}', "");
Expect(1, 195102, '\p{Is_NFKD_Quick_Check=	-YES}', "");
Expect(0, 195102, '\p{^Is_NFKD_Quick_Check=	-YES}', "");
Expect(0, 195102, '\P{Is_NFKD_Quick_Check=	-YES}', "");
Expect(1, 195102, '\P{^Is_NFKD_Quick_Check=	-YES}', "");
Expect(0, 195101, '\p{Is_NFKD_Quick_Check=	-YES}', "");
Expect(1, 195101, '\p{^Is_NFKD_Quick_Check=	-YES}', "");
Expect(1, 195101, '\P{Is_NFKD_Quick_Check=	-YES}', "");
Expect(0, 195101, '\P{^Is_NFKD_Quick_Check=	-YES}', "");
Error('\p{Is_NFKD_QC=- y/a/}');
Error('\P{Is_NFKD_QC=- y/a/}');
Expect(1, 195102, '\p{Is_NFKD_QC=y}', "");
Expect(0, 195102, '\p{^Is_NFKD_QC=y}', "");
Expect(0, 195102, '\P{Is_NFKD_QC=y}', "");
Expect(1, 195102, '\P{^Is_NFKD_QC=y}', "");
Expect(0, 195101, '\p{Is_NFKD_QC=y}', "");
Expect(1, 195101, '\p{^Is_NFKD_QC=y}', "");
Expect(1, 195101, '\P{Is_NFKD_QC=y}', "");
Expect(0, 195101, '\P{^Is_NFKD_QC=y}', "");
Expect(1, 195102, '\p{Is_NFKD_QC=	Y}', "");
Expect(0, 195102, '\p{^Is_NFKD_QC=	Y}', "");
Expect(0, 195102, '\P{Is_NFKD_QC=	Y}', "");
Expect(1, 195102, '\P{^Is_NFKD_QC=	Y}', "");
Expect(0, 195101, '\p{Is_NFKD_QC=	Y}', "");
Expect(1, 195101, '\p{^Is_NFKD_QC=	Y}', "");
Expect(1, 195101, '\P{Is_NFKD_QC=	Y}', "");
Expect(0, 195101, '\P{^Is_NFKD_QC=	Y}', "");
Error('\p{Other_Alphabetic=No}');
Error('\P{Other_Alphabetic=No}');
Error('\p{OAlpha=N}');
Error('\P{OAlpha=N}');
Error('\p{Is_Other_Alphabetic=F}');
Error('\P{Is_Other_Alphabetic=F}');
Error('\p{Is_OAlpha=False}');
Error('\P{Is_OAlpha=False}');
Error('\p{Other_Alphabetic=Yes}');
Error('\P{Other_Alphabetic=Yes}');
Error('\p{OAlpha=Y}');
Error('\P{OAlpha=Y}');
Error('\p{Is_Other_Alphabetic=T}');
Error('\P{Is_Other_Alphabetic=T}');
Error('\p{Is_OAlpha=True}');
Error('\P{Is_OAlpha=True}');
Error('\p{Other_Default_Ignorable_Code_Point=No}');
Error('\P{Other_Default_Ignorable_Code_Point=No}');
Error('\p{ODI=N}');
Error('\P{ODI=N}');
Error('\p{Is_Other_Default_Ignorable_Code_Point=F}');
Error('\P{Is_Other_Default_Ignorable_Code_Point=F}');
Error('\p{Is_ODI=False}');
Error('\P{Is_ODI=False}');
Error('\p{Other_Default_Ignorable_Code_Point=Yes}');
Error('\P{Other_Default_Ignorable_Code_Point=Yes}');
Error('\p{ODI=Y}');
Error('\P{ODI=Y}');
Error('\p{Is_Other_Default_Ignorable_Code_Point:   T}');
Error('\P{Is_Other_Default_Ignorable_Code_Point:   T}');
Error('\p{Is_ODI=True}');
Error('\P{Is_ODI=True}');
Error('\p{Other_Grapheme_Extend=No}');
Error('\P{Other_Grapheme_Extend=No}');
Error('\p{OGr_Ext=N}');
Error('\P{OGr_Ext=N}');
Error('\p{Is_Other_Grapheme_Extend=F}');
Error('\P{Is_Other_Grapheme_Extend=F}');
Error('\p{Is_OGr_Ext=False}');
Error('\P{Is_OGr_Ext=False}');
Error('\p{Other_Grapheme_Extend:   Yes}');
Error('\P{Other_Grapheme_Extend:   Yes}');
Error('\p{OGr_Ext=Y}');
Error('\P{OGr_Ext=Y}');
Error('\p{Is_Other_Grapheme_Extend=T}');
Error('\P{Is_Other_Grapheme_Extend=T}');
Error('\p{Is_OGr_Ext=True}');
Error('\P{Is_OGr_Ext=True}');
Error('\p{Other_ID_Continue=No}');
Error('\P{Other_ID_Continue=No}');
Error('\p{OIDC=N}');
Error('\P{OIDC=N}');
Error('\p{Is_Other_ID_Continue=F}');
Error('\P{Is_Other_ID_Continue=F}');
Error('\p{Is_OIDC=False}');
Error('\P{Is_OIDC=False}');
Error('\p{Other_ID_Continue=Yes}');
Error('\P{Other_ID_Continue=Yes}');
Error('\p{OIDC=Y}');
Error('\P{OIDC=Y}');
Error('\p{Is_Other_ID_Continue=T}');
Error('\P{Is_Other_ID_Continue=T}');
Error('\p{Is_OIDC=True}');
Error('\P{Is_OIDC=True}');
Error('\p{Other_ID_Start=No}');
Error('\P{Other_ID_Start=No}');
Error('\p{OIDS=N}');
Error('\P{OIDS=N}');
Error('\p{Is_Other_ID_Start=F}');
Error('\P{Is_Other_ID_Start=F}');
Error('\p{Is_OIDS=False}');
Error('\P{Is_OIDS=False}');
Error('\p{Other_ID_Start=Yes}');
Error('\P{Other_ID_Start=Yes}');
Error('\p{OIDS=Y}');
Error('\P{OIDS=Y}');
Error('\p{Is_Other_ID_Start=T}');
Error('\P{Is_Other_ID_Start=T}');
Error('\p{Is_OIDS=True}');
Error('\P{Is_OIDS=True}');
Error('\p{Other_Lowercase=No}');
Error('\P{Other_Lowercase=No}');
Error('\p{OLower=N}');
Error('\P{OLower=N}');
Error('\p{Is_Other_Lowercase=F}');
Error('\P{Is_Other_Lowercase=F}');
Error('\p{Is_OLower=False}');
Error('\P{Is_OLower=False}');
Error('\p{Other_Lowercase=Yes}');
Error('\P{Other_Lowercase=Yes}');
Error('\p{OLower=Y}');
Error('\P{OLower=Y}');
Error('\p{Is_Other_Lowercase=T}');
Error('\P{Is_Other_Lowercase=T}');
Error('\p{Is_OLower=True}');
Error('\P{Is_OLower=True}');
Error('\p{Other_Math=No}');
Error('\P{Other_Math=No}');
Error('\p{OMath=N}');
Error('\P{OMath=N}');
Error('\p{Is_Other_Math:   F}');
Error('\P{Is_Other_Math:   F}');
Error('\p{Is_OMath=False}');
Error('\P{Is_OMath=False}');
Error('\p{Other_Math=Yes}');
Error('\P{Other_Math=Yes}');
Error('\p{OMath=Y}');
Error('\P{OMath=Y}');
Error('\p{Is_Other_Math=T}');
Error('\P{Is_Other_Math=T}');
Error('\p{Is_OMath=True}');
Error('\P{Is_OMath=True}');
Error('\p{Other_Uppercase=No}');
Error('\P{Other_Uppercase=No}');
Error('\p{OUpper=N}');
Error('\P{OUpper=N}');
Error('\p{Is_Other_Uppercase=F}');
Error('\P{Is_Other_Uppercase=F}');
Error('\p{Is_OUpper=False}');
Error('\P{Is_OUpper=False}');
Error('\p{Other_Uppercase=Yes}');
Error('\P{Other_Uppercase=Yes}');
Error('\p{OUpper=Y}');
Error('\P{OUpper=Y}');
Error('\p{Is_Other_Uppercase=T}');
Error('\P{Is_Other_Uppercase=T}');
Error('\p{Is_OUpper=True}');
Error('\P{Is_OUpper=True}');
Error('\p{Pattern_Syntax=	no/a/}');
Error('\P{Pattern_Syntax=	no/a/}');
Expect(1, 65095, '\p{Pattern_Syntax=no}', "");
Expect(0, 65095, '\p{^Pattern_Syntax=no}', "");
Expect(0, 65095, '\P{Pattern_Syntax=no}', "");
Expect(1, 65095, '\P{^Pattern_Syntax=no}', "");
Expect(0, 65094, '\p{Pattern_Syntax=no}', "");
Expect(1, 65094, '\p{^Pattern_Syntax=no}', "");
Expect(1, 65094, '\P{Pattern_Syntax=no}', "");
Expect(0, 65094, '\P{^Pattern_Syntax=no}', "");
Expect(1, 65095, '\p{Pattern_Syntax=-No}', "");
Expect(0, 65095, '\p{^Pattern_Syntax=-No}', "");
Expect(0, 65095, '\P{Pattern_Syntax=-No}', "");
Expect(1, 65095, '\P{^Pattern_Syntax=-No}', "");
Expect(0, 65094, '\p{Pattern_Syntax=-No}', "");
Expect(1, 65094, '\p{^Pattern_Syntax=-No}', "");
Expect(1, 65094, '\P{Pattern_Syntax=-No}', "");
Expect(0, 65094, '\P{^Pattern_Syntax=-No}', "");
Error('\p{Pat_Syn=/a/_N}');
Error('\P{Pat_Syn=/a/_N}');
Expect(1, 65095, '\p{Pat_Syn=n}', "");
Expect(0, 65095, '\p{^Pat_Syn=n}', "");
Expect(0, 65095, '\P{Pat_Syn=n}', "");
Expect(1, 65095, '\P{^Pat_Syn=n}', "");
Expect(0, 65094, '\p{Pat_Syn=n}', "");
Expect(1, 65094, '\p{^Pat_Syn=n}', "");
Expect(1, 65094, '\P{Pat_Syn=n}', "");
Expect(0, 65094, '\P{^Pat_Syn=n}', "");
Expect(1, 65095, '\p{Pat_Syn=__N}', "");
Expect(0, 65095, '\p{^Pat_Syn=__N}', "");
Expect(0, 65095, '\P{Pat_Syn=__N}', "");
Expect(1, 65095, '\P{^Pat_Syn=__N}', "");
Expect(0, 65094, '\p{Pat_Syn=__N}', "");
Expect(1, 65094, '\p{^Pat_Syn=__N}', "");
Expect(1, 65094, '\P{Pat_Syn=__N}', "");
Expect(0, 65094, '\P{^Pat_Syn=__N}', "");
Error('\p{Is_Pattern_Syntax= F:=}');
Error('\P{Is_Pattern_Syntax= F:=}');
Expect(1, 65095, '\p{Is_Pattern_Syntax:f}', "");
Expect(0, 65095, '\p{^Is_Pattern_Syntax:f}', "");
Expect(0, 65095, '\P{Is_Pattern_Syntax:f}', "");
Expect(1, 65095, '\P{^Is_Pattern_Syntax:f}', "");
Expect(0, 65094, '\p{Is_Pattern_Syntax:f}', "");
Expect(1, 65094, '\p{^Is_Pattern_Syntax:f}', "");
Expect(1, 65094, '\P{Is_Pattern_Syntax:f}', "");
Expect(0, 65094, '\P{^Is_Pattern_Syntax:f}', "");
Expect(1, 65095, '\p{Is_Pattern_Syntax=	F}', "");
Expect(0, 65095, '\p{^Is_Pattern_Syntax=	F}', "");
Expect(0, 65095, '\P{Is_Pattern_Syntax=	F}', "");
Expect(1, 65095, '\P{^Is_Pattern_Syntax=	F}', "");
Expect(0, 65094, '\p{Is_Pattern_Syntax=	F}', "");
Expect(1, 65094, '\p{^Is_Pattern_Syntax=	F}', "");
Expect(1, 65094, '\P{Is_Pattern_Syntax=	F}', "");
Expect(0, 65094, '\P{^Is_Pattern_Syntax=	F}', "");
Error('\p{Is_Pat_Syn=:=	-false}');
Error('\P{Is_Pat_Syn=:=	-false}');
Expect(1, 65095, '\p{Is_Pat_Syn=false}', "");
Expect(0, 65095, '\p{^Is_Pat_Syn=false}', "");
Expect(0, 65095, '\P{Is_Pat_Syn=false}', "");
Expect(1, 65095, '\P{^Is_Pat_Syn=false}', "");
Expect(0, 65094, '\p{Is_Pat_Syn=false}', "");
Expect(1, 65094, '\p{^Is_Pat_Syn=false}', "");
Expect(1, 65094, '\P{Is_Pat_Syn=false}', "");
Expect(0, 65094, '\P{^Is_Pat_Syn=false}', "");
Expect(1, 65095, '\p{Is_Pat_Syn=	-False}', "");
Expect(0, 65095, '\p{^Is_Pat_Syn=	-False}', "");
Expect(0, 65095, '\P{Is_Pat_Syn=	-False}', "");
Expect(1, 65095, '\P{^Is_Pat_Syn=	-False}', "");
Expect(0, 65094, '\p{Is_Pat_Syn=	-False}', "");
Expect(1, 65094, '\p{^Is_Pat_Syn=	-False}', "");
Expect(1, 65094, '\P{Is_Pat_Syn=	-False}', "");
Expect(0, 65094, '\P{^Is_Pat_Syn=	-False}', "");
Error('\p{Pattern_Syntax=--YES:=}');
Error('\P{Pattern_Syntax=--YES:=}');
Expect(1, 65094, '\p{Pattern_Syntax=yes}', "");
Expect(0, 65094, '\p{^Pattern_Syntax=yes}', "");
Expect(0, 65094, '\P{Pattern_Syntax=yes}', "");
Expect(1, 65094, '\P{^Pattern_Syntax=yes}', "");
Expect(0, 65095, '\p{Pattern_Syntax=yes}', "");
Expect(1, 65095, '\p{^Pattern_Syntax=yes}', "");
Expect(1, 65095, '\P{Pattern_Syntax=yes}', "");
Expect(0, 65095, '\P{^Pattern_Syntax=yes}', "");
Expect(1, 65094, '\p{Pattern_Syntax= yes}', "");
Expect(0, 65094, '\p{^Pattern_Syntax= yes}', "");
Expect(0, 65094, '\P{Pattern_Syntax= yes}', "");
Expect(1, 65094, '\P{^Pattern_Syntax= yes}', "");
Expect(0, 65095, '\p{Pattern_Syntax= yes}', "");
Expect(1, 65095, '\p{^Pattern_Syntax= yes}', "");
Expect(1, 65095, '\P{Pattern_Syntax= yes}', "");
Expect(0, 65095, '\P{^Pattern_Syntax= yes}', "");
Error('\p{Pat_Syn=:=	-Y}');
Error('\P{Pat_Syn=:=	-Y}');
Expect(1, 65094, '\p{Pat_Syn=y}', "");
Expect(0, 65094, '\p{^Pat_Syn=y}', "");
Expect(0, 65094, '\P{Pat_Syn=y}', "");
Expect(1, 65094, '\P{^Pat_Syn=y}', "");
Expect(0, 65095, '\p{Pat_Syn=y}', "");
Expect(1, 65095, '\p{^Pat_Syn=y}', "");
Expect(1, 65095, '\P{Pat_Syn=y}', "");
Expect(0, 65095, '\P{^Pat_Syn=y}', "");
Expect(1, 65094, '\p{Pat_Syn=--y}', "");
Expect(0, 65094, '\p{^Pat_Syn=--y}', "");
Expect(0, 65094, '\P{Pat_Syn=--y}', "");
Expect(1, 65094, '\P{^Pat_Syn=--y}', "");
Expect(0, 65095, '\p{Pat_Syn=--y}', "");
Expect(1, 65095, '\p{^Pat_Syn=--y}', "");
Expect(1, 65095, '\P{Pat_Syn=--y}', "");
Expect(0, 65095, '\P{^Pat_Syn=--y}', "");
Error('\p{Is_Pattern_Syntax= _T/a/}');
Error('\P{Is_Pattern_Syntax= _T/a/}');
Expect(1, 65094, '\p{Is_Pattern_Syntax=t}', "");
Expect(0, 65094, '\p{^Is_Pattern_Syntax=t}', "");
Expect(0, 65094, '\P{Is_Pattern_Syntax=t}', "");
Expect(1, 65094, '\P{^Is_Pattern_Syntax=t}', "");
Expect(0, 65095, '\p{Is_Pattern_Syntax=t}', "");
Expect(1, 65095, '\p{^Is_Pattern_Syntax=t}', "");
Expect(1, 65095, '\P{Is_Pattern_Syntax=t}', "");
Expect(0, 65095, '\P{^Is_Pattern_Syntax=t}', "");
Expect(1, 65094, '\p{Is_Pattern_Syntax:		T}', "");
Expect(0, 65094, '\p{^Is_Pattern_Syntax:		T}', "");
Expect(0, 65094, '\P{Is_Pattern_Syntax:		T}', "");
Expect(1, 65094, '\P{^Is_Pattern_Syntax:		T}', "");
Expect(0, 65095, '\p{Is_Pattern_Syntax:		T}', "");
Expect(1, 65095, '\p{^Is_Pattern_Syntax:		T}', "");
Expect(1, 65095, '\P{Is_Pattern_Syntax:		T}', "");
Expect(0, 65095, '\P{^Is_Pattern_Syntax:		T}', "");
Error('\p{Is_Pat_Syn=/a/_True}');
Error('\P{Is_Pat_Syn=/a/_True}');
Expect(1, 65094, '\p{Is_Pat_Syn=true}', "");
Expect(0, 65094, '\p{^Is_Pat_Syn=true}', "");
Expect(0, 65094, '\P{Is_Pat_Syn=true}', "");
Expect(1, 65094, '\P{^Is_Pat_Syn=true}', "");
Expect(0, 65095, '\p{Is_Pat_Syn=true}', "");
Expect(1, 65095, '\p{^Is_Pat_Syn=true}', "");
Expect(1, 65095, '\P{Is_Pat_Syn=true}', "");
Expect(0, 65095, '\P{^Is_Pat_Syn=true}', "");
Expect(1, 65094, '\p{Is_Pat_Syn=	TRUE}', "");
Expect(0, 65094, '\p{^Is_Pat_Syn=	TRUE}', "");
Expect(0, 65094, '\P{Is_Pat_Syn=	TRUE}', "");
Expect(1, 65094, '\P{^Is_Pat_Syn=	TRUE}', "");
Expect(0, 65095, '\p{Is_Pat_Syn=	TRUE}', "");
Expect(1, 65095, '\p{^Is_Pat_Syn=	TRUE}', "");
Expect(1, 65095, '\P{Is_Pat_Syn=	TRUE}', "");
Expect(0, 65095, '\P{^Is_Pat_Syn=	TRUE}', "");
Error('\p{Pattern_White_Space=--NO:=}');
Error('\P{Pattern_White_Space=--NO:=}');
Expect(1, 8234, '\p{Pattern_White_Space=no}', "");
Expect(0, 8234, '\p{^Pattern_White_Space=no}', "");
Expect(0, 8234, '\P{Pattern_White_Space=no}', "");
Expect(1, 8234, '\P{^Pattern_White_Space=no}', "");
Expect(0, 8233, '\p{Pattern_White_Space=no}', "");
Expect(1, 8233, '\p{^Pattern_White_Space=no}', "");
Expect(1, 8233, '\P{Pattern_White_Space=no}', "");
Expect(0, 8233, '\P{^Pattern_White_Space=no}', "");
Expect(1, 8234, '\p{Pattern_White_Space= _NO}', "");
Expect(0, 8234, '\p{^Pattern_White_Space= _NO}', "");
Expect(0, 8234, '\P{Pattern_White_Space= _NO}', "");
Expect(1, 8234, '\P{^Pattern_White_Space= _NO}', "");
Expect(0, 8233, '\p{Pattern_White_Space= _NO}', "");
Expect(1, 8233, '\p{^Pattern_White_Space= _NO}', "");
Expect(1, 8233, '\P{Pattern_White_Space= _NO}', "");
Expect(0, 8233, '\P{^Pattern_White_Space= _NO}', "");
Error('\p{Pat_WS:N:=}');
Error('\P{Pat_WS:N:=}');
Expect(1, 8234, '\p{Pat_WS:	n}', "");
Expect(0, 8234, '\p{^Pat_WS:	n}', "");
Expect(0, 8234, '\P{Pat_WS:	n}', "");
Expect(1, 8234, '\P{^Pat_WS:	n}', "");
Expect(0, 8233, '\p{Pat_WS:	n}', "");
Expect(1, 8233, '\p{^Pat_WS:	n}', "");
Expect(1, 8233, '\P{Pat_WS:	n}', "");
Expect(0, 8233, '\P{^Pat_WS:	n}', "");
Expect(1, 8234, '\p{Pat_WS=-N}', "");
Expect(0, 8234, '\p{^Pat_WS=-N}', "");
Expect(0, 8234, '\P{Pat_WS=-N}', "");
Expect(1, 8234, '\P{^Pat_WS=-N}', "");
Expect(0, 8233, '\p{Pat_WS=-N}', "");
Expect(1, 8233, '\p{^Pat_WS=-N}', "");
Expect(1, 8233, '\P{Pat_WS=-N}', "");
Expect(0, 8233, '\P{^Pat_WS=-N}', "");
Error('\p{Is_Pattern_White_Space=-	F/a/}');
Error('\P{Is_Pattern_White_Space=-	F/a/}');
Expect(1, 8234, '\p{Is_Pattern_White_Space: f}', "");
Expect(0, 8234, '\p{^Is_Pattern_White_Space: f}', "");
Expect(0, 8234, '\P{Is_Pattern_White_Space: f}', "");
Expect(1, 8234, '\P{^Is_Pattern_White_Space: f}', "");
Expect(0, 8233, '\p{Is_Pattern_White_Space: f}', "");
Expect(1, 8233, '\p{^Is_Pattern_White_Space: f}', "");
Expect(1, 8233, '\P{Is_Pattern_White_Space: f}', "");
Expect(0, 8233, '\P{^Is_Pattern_White_Space: f}', "");
Expect(1, 8234, '\p{Is_Pattern_White_Space= F}', "");
Expect(0, 8234, '\p{^Is_Pattern_White_Space= F}', "");
Expect(0, 8234, '\P{Is_Pattern_White_Space= F}', "");
Expect(1, 8234, '\P{^Is_Pattern_White_Space= F}', "");
Expect(0, 8233, '\p{Is_Pattern_White_Space= F}', "");
Expect(1, 8233, '\p{^Is_Pattern_White_Space= F}', "");
Expect(1, 8233, '\P{Is_Pattern_White_Space= F}', "");
Expect(0, 8233, '\P{^Is_Pattern_White_Space= F}', "");
Error('\p{Is_Pat_WS=  FALSE:=}');
Error('\P{Is_Pat_WS=  FALSE:=}');
Expect(1, 8234, '\p{Is_Pat_WS=false}', "");
Expect(0, 8234, '\p{^Is_Pat_WS=false}', "");
Expect(0, 8234, '\P{Is_Pat_WS=false}', "");
Expect(1, 8234, '\P{^Is_Pat_WS=false}', "");
Expect(0, 8233, '\p{Is_Pat_WS=false}', "");
Expect(1, 8233, '\p{^Is_Pat_WS=false}', "");
Expect(1, 8233, '\P{Is_Pat_WS=false}', "");
Expect(0, 8233, '\P{^Is_Pat_WS=false}', "");
Expect(1, 8234, '\p{Is_Pat_WS=  FALSE}', "");
Expect(0, 8234, '\p{^Is_Pat_WS=  FALSE}', "");
Expect(0, 8234, '\P{Is_Pat_WS=  FALSE}', "");
Expect(1, 8234, '\P{^Is_Pat_WS=  FALSE}', "");
Expect(0, 8233, '\p{Is_Pat_WS=  FALSE}', "");
Expect(1, 8233, '\p{^Is_Pat_WS=  FALSE}', "");
Expect(1, 8233, '\P{Is_Pat_WS=  FALSE}', "");
Expect(0, 8233, '\P{^Is_Pat_WS=  FALSE}', "");
Error('\p{Pattern_White_Space= -Yes/a/}');
Error('\P{Pattern_White_Space= -Yes/a/}');
Expect(1, 8233, '\p{Pattern_White_Space=yes}', "");
Expect(0, 8233, '\p{^Pattern_White_Space=yes}', "");
Expect(0, 8233, '\P{Pattern_White_Space=yes}', "");
Expect(1, 8233, '\P{^Pattern_White_Space=yes}', "");
Expect(0, 8234, '\p{Pattern_White_Space=yes}', "");
Expect(1, 8234, '\p{^Pattern_White_Space=yes}', "");
Expect(1, 8234, '\P{Pattern_White_Space=yes}', "");
Expect(0, 8234, '\P{^Pattern_White_Space=yes}', "");
Expect(1, 8233, '\p{Pattern_White_Space=	_yes}', "");
Expect(0, 8233, '\p{^Pattern_White_Space=	_yes}', "");
Expect(0, 8233, '\P{Pattern_White_Space=	_yes}', "");
Expect(1, 8233, '\P{^Pattern_White_Space=	_yes}', "");
Expect(0, 8234, '\p{Pattern_White_Space=	_yes}', "");
Expect(1, 8234, '\p{^Pattern_White_Space=	_yes}', "");
Expect(1, 8234, '\P{Pattern_White_Space=	_yes}', "");
Expect(0, 8234, '\P{^Pattern_White_Space=	_yes}', "");
Error('\p{Pat_WS=:=_ Y}');
Error('\P{Pat_WS=:=_ Y}');
Expect(1, 8233, '\p{Pat_WS=y}', "");
Expect(0, 8233, '\p{^Pat_WS=y}', "");
Expect(0, 8233, '\P{Pat_WS=y}', "");
Expect(1, 8233, '\P{^Pat_WS=y}', "");
Expect(0, 8234, '\p{Pat_WS=y}', "");
Expect(1, 8234, '\p{^Pat_WS=y}', "");
Expect(1, 8234, '\P{Pat_WS=y}', "");
Expect(0, 8234, '\P{^Pat_WS=y}', "");
Expect(1, 8233, '\p{Pat_WS=_Y}', "");
Expect(0, 8233, '\p{^Pat_WS=_Y}', "");
Expect(0, 8233, '\P{Pat_WS=_Y}', "");
Expect(1, 8233, '\P{^Pat_WS=_Y}', "");
Expect(0, 8234, '\p{Pat_WS=_Y}', "");
Expect(1, 8234, '\p{^Pat_WS=_Y}', "");
Expect(1, 8234, '\P{Pat_WS=_Y}', "");
Expect(0, 8234, '\P{^Pat_WS=_Y}', "");
Error('\p{Is_Pattern_White_Space=/a/	 T}');
Error('\P{Is_Pattern_White_Space=/a/	 T}');
Expect(1, 8233, '\p{Is_Pattern_White_Space=t}', "");
Expect(0, 8233, '\p{^Is_Pattern_White_Space=t}', "");
Expect(0, 8233, '\P{Is_Pattern_White_Space=t}', "");
Expect(1, 8233, '\P{^Is_Pattern_White_Space=t}', "");
Expect(0, 8234, '\p{Is_Pattern_White_Space=t}', "");
Expect(1, 8234, '\p{^Is_Pattern_White_Space=t}', "");
Expect(1, 8234, '\P{Is_Pattern_White_Space=t}', "");
Expect(0, 8234, '\P{^Is_Pattern_White_Space=t}', "");
Expect(1, 8233, '\p{Is_Pattern_White_Space=_-T}', "");
Expect(0, 8233, '\p{^Is_Pattern_White_Space=_-T}', "");
Expect(0, 8233, '\P{Is_Pattern_White_Space=_-T}', "");
Expect(1, 8233, '\P{^Is_Pattern_White_Space=_-T}', "");
Expect(0, 8234, '\p{Is_Pattern_White_Space=_-T}', "");
Expect(1, 8234, '\p{^Is_Pattern_White_Space=_-T}', "");
Expect(1, 8234, '\P{Is_Pattern_White_Space=_-T}', "");
Expect(0, 8234, '\P{^Is_Pattern_White_Space=_-T}', "");
Error('\p{Is_Pat_WS=_/a/TRUE}');
Error('\P{Is_Pat_WS=_/a/TRUE}');
Expect(1, 8233, '\p{Is_Pat_WS=true}', "");
Expect(0, 8233, '\p{^Is_Pat_WS=true}', "");
Expect(0, 8233, '\P{Is_Pat_WS=true}', "");
Expect(1, 8233, '\P{^Is_Pat_WS=true}', "");
Expect(0, 8234, '\p{Is_Pat_WS=true}', "");
Expect(1, 8234, '\p{^Is_Pat_WS=true}', "");
Expect(1, 8234, '\P{Is_Pat_WS=true}', "");
Expect(0, 8234, '\P{^Is_Pat_WS=true}', "");
Expect(1, 8233, '\p{Is_Pat_WS=	TRUE}', "");
Expect(0, 8233, '\p{^Is_Pat_WS=	TRUE}', "");
Expect(0, 8233, '\P{Is_Pat_WS=	TRUE}', "");
Expect(1, 8233, '\P{^Is_Pat_WS=	TRUE}', "");
Expect(0, 8234, '\p{Is_Pat_WS=	TRUE}', "");
Expect(1, 8234, '\p{^Is_Pat_WS=	TRUE}', "");
Expect(1, 8234, '\P{Is_Pat_WS=	TRUE}', "");
Expect(0, 8234, '\P{^Is_Pat_WS=	TRUE}', "");
Error('\p{Quotation_Mark=--No:=}');
Error('\P{Quotation_Mark=--No:=}');
Expect(1, 65380, '\p{Quotation_Mark=no}', "");
Expect(0, 65380, '\p{^Quotation_Mark=no}', "");
Expect(0, 65380, '\P{Quotation_Mark=no}', "");
Expect(1, 65380, '\P{^Quotation_Mark=no}', "");
Expect(0, 65379, '\p{Quotation_Mark=no}', "");
Expect(1, 65379, '\p{^Quotation_Mark=no}', "");
Expect(1, 65379, '\P{Quotation_Mark=no}', "");
Expect(0, 65379, '\P{^Quotation_Mark=no}', "");
Expect(1, 65380, '\p{Quotation_Mark=__No}', "");
Expect(0, 65380, '\p{^Quotation_Mark=__No}', "");
Expect(0, 65380, '\P{Quotation_Mark=__No}', "");
Expect(1, 65380, '\P{^Quotation_Mark=__No}', "");
Expect(0, 65379, '\p{Quotation_Mark=__No}', "");
Expect(1, 65379, '\p{^Quotation_Mark=__No}', "");
Expect(1, 65379, '\P{Quotation_Mark=__No}', "");
Expect(0, 65379, '\P{^Quotation_Mark=__No}', "");
Error('\p{QMark= /a/n}');
Error('\P{QMark= /a/n}');
Expect(1, 65380, '\p{QMark=n}', "");
Expect(0, 65380, '\p{^QMark=n}', "");
Expect(0, 65380, '\P{QMark=n}', "");
Expect(1, 65380, '\P{^QMark=n}', "");
Expect(0, 65379, '\p{QMark=n}', "");
Expect(1, 65379, '\p{^QMark=n}', "");
Expect(1, 65379, '\P{QMark=n}', "");
Expect(0, 65379, '\P{^QMark=n}', "");
Expect(1, 65380, '\p{QMark=--N}', "");
Expect(0, 65380, '\p{^QMark=--N}', "");
Expect(0, 65380, '\P{QMark=--N}', "");
Expect(1, 65380, '\P{^QMark=--N}', "");
Expect(0, 65379, '\p{QMark=--N}', "");
Expect(1, 65379, '\p{^QMark=--N}', "");
Expect(1, 65379, '\P{QMark=--N}', "");
Expect(0, 65379, '\P{^QMark=--N}', "");
Error('\p{Is_Quotation_Mark=/a/_	F}');
Error('\P{Is_Quotation_Mark=/a/_	F}');
Expect(1, 65380, '\p{Is_Quotation_Mark=f}', "");
Expect(0, 65380, '\p{^Is_Quotation_Mark=f}', "");
Expect(0, 65380, '\P{Is_Quotation_Mark=f}', "");
Expect(1, 65380, '\P{^Is_Quotation_Mark=f}', "");
Expect(0, 65379, '\p{Is_Quotation_Mark=f}', "");
Expect(1, 65379, '\p{^Is_Quotation_Mark=f}', "");
Expect(1, 65379, '\P{Is_Quotation_Mark=f}', "");
Expect(0, 65379, '\P{^Is_Quotation_Mark=f}', "");
Expect(1, 65380, '\p{Is_Quotation_Mark=-	f}', "");
Expect(0, 65380, '\p{^Is_Quotation_Mark=-	f}', "");
Expect(0, 65380, '\P{Is_Quotation_Mark=-	f}', "");
Expect(1, 65380, '\P{^Is_Quotation_Mark=-	f}', "");
Expect(0, 65379, '\p{Is_Quotation_Mark=-	f}', "");
Expect(1, 65379, '\p{^Is_Quotation_Mark=-	f}', "");
Expect(1, 65379, '\P{Is_Quotation_Mark=-	f}', "");
Expect(0, 65379, '\P{^Is_Quotation_Mark=-	f}', "");
Error('\p{Is_QMark= /a/False}');
Error('\P{Is_QMark= /a/False}');
Expect(1, 65380, '\p{Is_QMark:   false}', "");
Expect(0, 65380, '\p{^Is_QMark:   false}', "");
Expect(0, 65380, '\P{Is_QMark:   false}', "");
Expect(1, 65380, '\P{^Is_QMark:   false}', "");
Expect(0, 65379, '\p{Is_QMark:   false}', "");
Expect(1, 65379, '\p{^Is_QMark:   false}', "");
Expect(1, 65379, '\P{Is_QMark:   false}', "");
Expect(0, 65379, '\P{^Is_QMark:   false}', "");
Expect(1, 65380, '\p{Is_QMark=_-False}', "");
Expect(0, 65380, '\p{^Is_QMark=_-False}', "");
Expect(0, 65380, '\P{Is_QMark=_-False}', "");
Expect(1, 65380, '\P{^Is_QMark=_-False}', "");
Expect(0, 65379, '\p{Is_QMark=_-False}', "");
Expect(1, 65379, '\p{^Is_QMark=_-False}', "");
Expect(1, 65379, '\P{Is_QMark=_-False}', "");
Expect(0, 65379, '\P{^Is_QMark=_-False}', "");
Error('\p{Quotation_Mark= YES:=}');
Error('\P{Quotation_Mark= YES:=}');
Expect(1, 65379, '\p{Quotation_Mark=yes}', "");
Expect(0, 65379, '\p{^Quotation_Mark=yes}', "");
Expect(0, 65379, '\P{Quotation_Mark=yes}', "");
Expect(1, 65379, '\P{^Quotation_Mark=yes}', "");
Expect(0, 65380, '\p{Quotation_Mark=yes}', "");
Expect(1, 65380, '\p{^Quotation_Mark=yes}', "");
Expect(1, 65380, '\P{Quotation_Mark=yes}', "");
Expect(0, 65380, '\P{^Quotation_Mark=yes}', "");
Expect(1, 65379, '\p{Quotation_Mark=-_yes}', "");
Expect(0, 65379, '\p{^Quotation_Mark=-_yes}', "");
Expect(0, 65379, '\P{Quotation_Mark=-_yes}', "");
Expect(1, 65379, '\P{^Quotation_Mark=-_yes}', "");
Expect(0, 65380, '\p{Quotation_Mark=-_yes}', "");
Expect(1, 65380, '\p{^Quotation_Mark=-_yes}', "");
Expect(1, 65380, '\P{Quotation_Mark=-_yes}', "");
Expect(0, 65380, '\P{^Quotation_Mark=-_yes}', "");
Error('\p{QMark=/a/		Y}');
Error('\P{QMark=/a/		Y}');
Expect(1, 65379, '\p{QMark=y}', "");
Expect(0, 65379, '\p{^QMark=y}', "");
Expect(0, 65379, '\P{QMark=y}', "");
Expect(1, 65379, '\P{^QMark=y}', "");
Expect(0, 65380, '\p{QMark=y}', "");
Expect(1, 65380, '\p{^QMark=y}', "");
Expect(1, 65380, '\P{QMark=y}', "");
Expect(0, 65380, '\P{^QMark=y}', "");
Expect(1, 65379, '\p{QMark=-Y}', "");
Expect(0, 65379, '\p{^QMark=-Y}', "");
Expect(0, 65379, '\P{QMark=-Y}', "");
Expect(1, 65379, '\P{^QMark=-Y}', "");
Expect(0, 65380, '\p{QMark=-Y}', "");
Expect(1, 65380, '\p{^QMark=-Y}', "");
Expect(1, 65380, '\P{QMark=-Y}', "");
Expect(0, 65380, '\P{^QMark=-Y}', "");
Error('\p{Is_Quotation_Mark= 	T:=}');
Error('\P{Is_Quotation_Mark= 	T:=}');
Expect(1, 65379, '\p{Is_Quotation_Mark=t}', "");
Expect(0, 65379, '\p{^Is_Quotation_Mark=t}', "");
Expect(0, 65379, '\P{Is_Quotation_Mark=t}', "");
Expect(1, 65379, '\P{^Is_Quotation_Mark=t}', "");
Expect(0, 65380, '\p{Is_Quotation_Mark=t}', "");
Expect(1, 65380, '\p{^Is_Quotation_Mark=t}', "");
Expect(1, 65380, '\P{Is_Quotation_Mark=t}', "");
Expect(0, 65380, '\P{^Is_Quotation_Mark=t}', "");
Expect(1, 65379, '\p{Is_Quotation_Mark=- T}', "");
Expect(0, 65379, '\p{^Is_Quotation_Mark=- T}', "");
Expect(0, 65379, '\P{Is_Quotation_Mark=- T}', "");
Expect(1, 65379, '\P{^Is_Quotation_Mark=- T}', "");
Expect(0, 65380, '\p{Is_Quotation_Mark=- T}', "");
Expect(1, 65380, '\p{^Is_Quotation_Mark=- T}', "");
Expect(1, 65380, '\P{Is_Quotation_Mark=- T}', "");
Expect(0, 65380, '\P{^Is_Quotation_Mark=- T}', "");
Error('\p{Is_QMark=_/a/True}');
Error('\P{Is_QMark=_/a/True}');
Expect(1, 65379, '\p{Is_QMark=true}', "");
Expect(0, 65379, '\p{^Is_QMark=true}', "");
Expect(0, 65379, '\P{Is_QMark=true}', "");
Expect(1, 65379, '\P{^Is_QMark=true}', "");
Expect(0, 65380, '\p{Is_QMark=true}', "");
Expect(1, 65380, '\p{^Is_QMark=true}', "");
Expect(1, 65380, '\P{Is_QMark=true}', "");
Expect(0, 65380, '\P{^Is_QMark=true}', "");
Expect(1, 65379, '\p{Is_QMark=_TRUE}', "");
Expect(0, 65379, '\p{^Is_QMark=_TRUE}', "");
Expect(0, 65379, '\P{Is_QMark=_TRUE}', "");
Expect(1, 65379, '\P{^Is_QMark=_TRUE}', "");
Expect(0, 65380, '\p{Is_QMark=_TRUE}', "");
Expect(1, 65380, '\p{^Is_QMark=_TRUE}', "");
Expect(1, 65380, '\P{Is_QMark=_TRUE}', "");
Expect(0, 65380, '\P{^Is_QMark=_TRUE}', "");
Error('\p{Radical= /a/No}');
Error('\P{Radical= /a/No}');
Expect(1, 12246, '\p{Radical: no}', "");
Expect(0, 12246, '\p{^Radical: no}', "");
Expect(0, 12246, '\P{Radical: no}', "");
Expect(1, 12246, '\P{^Radical: no}', "");
Expect(0, 12245, '\p{Radical: no}', "");
Expect(1, 12245, '\p{^Radical: no}', "");
Expect(1, 12245, '\P{Radical: no}', "");
Expect(0, 12245, '\P{^Radical: no}', "");
Expect(1, 12246, '\p{Radical:     No}', "");
Expect(0, 12246, '\p{^Radical:     No}', "");
Expect(0, 12246, '\P{Radical:     No}', "");
Expect(1, 12246, '\P{^Radical:     No}', "");
Expect(0, 12245, '\p{Radical:     No}', "");
Expect(1, 12245, '\p{^Radical:     No}', "");
Expect(1, 12245, '\P{Radical:     No}', "");
Expect(0, 12245, '\P{^Radical:     No}', "");
Error('\p{Is_Radical= N/a/}');
Error('\P{Is_Radical= N/a/}');
Expect(1, 12246, '\p{Is_Radical=n}', "");
Expect(0, 12246, '\p{^Is_Radical=n}', "");
Expect(0, 12246, '\P{Is_Radical=n}', "");
Expect(1, 12246, '\P{^Is_Radical=n}', "");
Expect(0, 12245, '\p{Is_Radical=n}', "");
Expect(1, 12245, '\p{^Is_Radical=n}', "");
Expect(1, 12245, '\P{Is_Radical=n}', "");
Expect(0, 12245, '\P{^Is_Radical=n}', "");
Expect(1, 12246, '\p{Is_Radical=-N}', "");
Expect(0, 12246, '\p{^Is_Radical=-N}', "");
Expect(0, 12246, '\P{Is_Radical=-N}', "");
Expect(1, 12246, '\P{^Is_Radical=-N}', "");
Expect(0, 12245, '\p{Is_Radical=-N}', "");
Expect(1, 12245, '\p{^Is_Radical=-N}', "");
Expect(1, 12245, '\P{Is_Radical=-N}', "");
Expect(0, 12245, '\P{^Is_Radical=-N}', "");
Error('\p{Radical=/a/ 	F}');
Error('\P{Radical=/a/ 	F}');
Expect(1, 12246, '\p{Radical=f}', "");
Expect(0, 12246, '\p{^Radical=f}', "");
Expect(0, 12246, '\P{Radical=f}', "");
Expect(1, 12246, '\P{^Radical=f}', "");
Expect(0, 12245, '\p{Radical=f}', "");
Expect(1, 12245, '\p{^Radical=f}', "");
Expect(1, 12245, '\P{Radical=f}', "");
Expect(0, 12245, '\P{^Radical=f}', "");
Expect(1, 12246, '\p{Radical=_F}', "");
Expect(0, 12246, '\p{^Radical=_F}', "");
Expect(0, 12246, '\P{Radical=_F}', "");
Expect(1, 12246, '\P{^Radical=_F}', "");
Expect(0, 12245, '\p{Radical=_F}', "");
Expect(1, 12245, '\p{^Radical=_F}', "");
Expect(1, 12245, '\P{Radical=_F}', "");
Expect(0, 12245, '\P{^Radical=_F}', "");
Error('\p{Is_Radical=-	FALSE/a/}');
Error('\P{Is_Radical=-	FALSE/a/}');
Expect(1, 12246, '\p{Is_Radical=false}', "");
Expect(0, 12246, '\p{^Is_Radical=false}', "");
Expect(0, 12246, '\P{Is_Radical=false}', "");
Expect(1, 12246, '\P{^Is_Radical=false}', "");
Expect(0, 12245, '\p{Is_Radical=false}', "");
Expect(1, 12245, '\p{^Is_Radical=false}', "");
Expect(1, 12245, '\P{Is_Radical=false}', "");
Expect(0, 12245, '\P{^Is_Radical=false}', "");
Error('\p{Radical=--Yes/a/}');
Error('\P{Radical=--Yes/a/}');
Expect(1, 12245, '\p{Radical=yes}', "");
Expect(0, 12245, '\p{^Radical=yes}', "");
Expect(0, 12245, '\P{Radical=yes}', "");
Expect(1, 12245, '\P{^Radical=yes}', "");
Expect(0, 12246, '\p{Radical=yes}', "");
Expect(1, 12246, '\p{^Radical=yes}', "");
Expect(1, 12246, '\P{Radical=yes}', "");
Expect(0, 12246, '\P{^Radical=yes}', "");
Expect(1, 12245, '\p{Radical=	 yes}', "");
Expect(0, 12245, '\p{^Radical=	 yes}', "");
Expect(0, 12245, '\P{Radical=	 yes}', "");
Expect(1, 12245, '\P{^Radical=	 yes}', "");
Expect(0, 12246, '\p{Radical=	 yes}', "");
Expect(1, 12246, '\p{^Radical=	 yes}', "");
Expect(1, 12246, '\P{Radical=	 yes}', "");
Expect(0, 12246, '\P{^Radical=	 yes}', "");
Error('\p{Is_Radical= _Y/a/}');
Error('\P{Is_Radical= _Y/a/}');
Expect(1, 12245, '\p{Is_Radical=y}', "");
Expect(0, 12245, '\p{^Is_Radical=y}', "");
Expect(0, 12245, '\P{Is_Radical=y}', "");
Expect(1, 12245, '\P{^Is_Radical=y}', "");
Expect(0, 12246, '\p{Is_Radical=y}', "");
Expect(1, 12246, '\p{^Is_Radical=y}', "");
Expect(1, 12246, '\P{Is_Radical=y}', "");
Expect(0, 12246, '\P{^Is_Radical=y}', "");
Expect(1, 12245, '\p{Is_Radical=_	y}', "");
Expect(0, 12245, '\p{^Is_Radical=_	y}', "");
Expect(0, 12245, '\P{Is_Radical=_	y}', "");
Expect(1, 12245, '\P{^Is_Radical=_	y}', "");
Expect(0, 12246, '\p{Is_Radical=_	y}', "");
Expect(1, 12246, '\p{^Is_Radical=_	y}', "");
Expect(1, 12246, '\P{Is_Radical=_	y}', "");
Expect(0, 12246, '\P{^Is_Radical=_	y}', "");
Error('\p{Radical=:=-T}');
Error('\P{Radical=:=-T}');
Expect(1, 12245, '\p{Radical=t}', "");
Expect(0, 12245, '\p{^Radical=t}', "");
Expect(0, 12245, '\P{Radical=t}', "");
Expect(1, 12245, '\P{^Radical=t}', "");
Expect(0, 12246, '\p{Radical=t}', "");
Expect(1, 12246, '\p{^Radical=t}', "");
Expect(1, 12246, '\P{Radical=t}', "");
Expect(0, 12246, '\P{^Radical=t}', "");
Expect(1, 12245, '\p{Radical=	t}', "");
Expect(0, 12245, '\p{^Radical=	t}', "");
Expect(0, 12245, '\P{Radical=	t}', "");
Expect(1, 12245, '\P{^Radical=	t}', "");
Expect(0, 12246, '\p{Radical=	t}', "");
Expect(1, 12246, '\p{^Radical=	t}', "");
Expect(1, 12246, '\P{Radical=	t}', "");
Expect(0, 12246, '\P{^Radical=	t}', "");
Error('\p{Is_Radical:		True/a/}');
Error('\P{Is_Radical:		True/a/}');
Expect(1, 12245, '\p{Is_Radical=true}', "");
Expect(0, 12245, '\p{^Is_Radical=true}', "");
Expect(0, 12245, '\P{Is_Radical=true}', "");
Expect(1, 12245, '\P{^Is_Radical=true}', "");
Expect(0, 12246, '\p{Is_Radical=true}', "");
Expect(1, 12246, '\p{^Is_Radical=true}', "");
Expect(1, 12246, '\P{Is_Radical=true}', "");
Expect(0, 12246, '\P{^Is_Radical=true}', "");
Expect(1, 12245, '\p{Is_Radical=_	True}', "");
Expect(0, 12245, '\p{^Is_Radical=_	True}', "");
Expect(0, 12245, '\P{Is_Radical=_	True}', "");
Expect(1, 12245, '\P{^Is_Radical=_	True}', "");
Expect(0, 12246, '\p{Is_Radical=_	True}', "");
Expect(1, 12246, '\p{^Is_Radical=_	True}', "");
Expect(1, 12246, '\P{Is_Radical=_	True}', "");
Expect(0, 12246, '\P{^Is_Radical=_	True}', "");
Error('\p{Sentence_Break=	:=aterm}');
Error('\P{Sentence_Break=	:=aterm}');
Expect(1, 65294, '\p{Sentence_Break=aterm}', "");
Expect(0, 65294, '\p{^Sentence_Break=aterm}', "");
Expect(0, 65294, '\P{Sentence_Break=aterm}', "");
Expect(1, 65294, '\P{^Sentence_Break=aterm}', "");
Expect(0, 65295, '\p{Sentence_Break=aterm}', "");
Expect(1, 65295, '\p{^Sentence_Break=aterm}', "");
Expect(1, 65295, '\P{Sentence_Break=aterm}', "");
Expect(0, 65295, '\P{^Sentence_Break=aterm}', "");
Expect(1, 65294, '\p{Sentence_Break:   - aterm}', "");
Expect(0, 65294, '\p{^Sentence_Break:   - aterm}', "");
Expect(0, 65294, '\P{Sentence_Break:   - aterm}', "");
Expect(1, 65294, '\P{^Sentence_Break:   - aterm}', "");
Expect(0, 65295, '\p{Sentence_Break:   - aterm}', "");
Expect(1, 65295, '\p{^Sentence_Break:   - aterm}', "");
Expect(1, 65295, '\P{Sentence_Break:   - aterm}', "");
Expect(0, 65295, '\P{^Sentence_Break:   - aterm}', "");
Error('\p{SB=- AT/a/}');
Error('\P{SB=- AT/a/}');
Expect(1, 65294, '\p{SB=at}', "");
Expect(0, 65294, '\p{^SB=at}', "");
Expect(0, 65294, '\P{SB=at}', "");
Expect(1, 65294, '\P{^SB=at}', "");
Expect(0, 65295, '\p{SB=at}', "");
Expect(1, 65295, '\p{^SB=at}', "");
Expect(1, 65295, '\P{SB=at}', "");
Expect(0, 65295, '\P{^SB=at}', "");
Expect(1, 65294, '\p{SB=	at}', "");
Expect(0, 65294, '\p{^SB=	at}', "");
Expect(0, 65294, '\P{SB=	at}', "");
Expect(1, 65294, '\P{^SB=	at}', "");
Expect(0, 65295, '\p{SB=	at}', "");
Expect(1, 65295, '\p{^SB=	at}', "");
Expect(1, 65295, '\P{SB=	at}', "");
Expect(0, 65295, '\P{^SB=	at}', "");
Error('\p{Is_Sentence_Break=/a/_ATerm}');
Error('\P{Is_Sentence_Break=/a/_ATerm}');
Expect(1, 65294, '\p{Is_Sentence_Break=aterm}', "");
Expect(0, 65294, '\p{^Is_Sentence_Break=aterm}', "");
Expect(0, 65294, '\P{Is_Sentence_Break=aterm}', "");
Expect(1, 65294, '\P{^Is_Sentence_Break=aterm}', "");
Expect(0, 65295, '\p{Is_Sentence_Break=aterm}', "");
Expect(1, 65295, '\p{^Is_Sentence_Break=aterm}', "");
Expect(1, 65295, '\P{Is_Sentence_Break=aterm}', "");
Expect(0, 65295, '\P{^Is_Sentence_Break=aterm}', "");
Expect(1, 65294, '\p{Is_Sentence_Break=_ATERM}', "");
Expect(0, 65294, '\p{^Is_Sentence_Break=_ATERM}', "");
Expect(0, 65294, '\P{Is_Sentence_Break=_ATERM}', "");
Expect(1, 65294, '\P{^Is_Sentence_Break=_ATERM}', "");
Expect(0, 65295, '\p{Is_Sentence_Break=_ATERM}', "");
Expect(1, 65295, '\p{^Is_Sentence_Break=_ATERM}', "");
Expect(1, 65295, '\P{Is_Sentence_Break=_ATERM}', "");
Expect(0, 65295, '\P{^Is_Sentence_Break=_ATERM}', "");
Error('\p{Is_SB: 	 AT/a/}');
Error('\P{Is_SB: 	 AT/a/}');
Expect(1, 65294, '\p{Is_SB=at}', "");
Expect(0, 65294, '\p{^Is_SB=at}', "");
Expect(0, 65294, '\P{Is_SB=at}', "");
Expect(1, 65294, '\P{^Is_SB=at}', "");
Expect(0, 65295, '\p{Is_SB=at}', "");
Expect(1, 65295, '\p{^Is_SB=at}', "");
Expect(1, 65295, '\P{Is_SB=at}', "");
Expect(0, 65295, '\P{^Is_SB=at}', "");
Expect(1, 65294, '\p{Is_SB=-AT}', "");
Expect(0, 65294, '\p{^Is_SB=-AT}', "");
Expect(0, 65294, '\P{Is_SB=-AT}', "");
Expect(1, 65294, '\P{^Is_SB=-AT}', "");
Expect(0, 65295, '\p{Is_SB=-AT}', "");
Expect(1, 65295, '\p{^Is_SB=-AT}', "");
Expect(1, 65295, '\P{Is_SB=-AT}', "");
Expect(0, 65295, '\P{^Is_SB=-AT}', "");
Error('\p{Sentence_Break=:=-close}');
Error('\P{Sentence_Break=:=-close}');
Expect(1, 128632, '\p{Sentence_Break=close}', "");
Expect(0, 128632, '\p{^Sentence_Break=close}', "");
Expect(0, 128632, '\P{Sentence_Break=close}', "");
Expect(1, 128632, '\P{^Sentence_Break=close}', "");
Expect(0, 128633, '\p{Sentence_Break=close}', "");
Expect(1, 128633, '\p{^Sentence_Break=close}', "");
Expect(1, 128633, '\P{Sentence_Break=close}', "");
Expect(0, 128633, '\P{^Sentence_Break=close}', "");
Expect(1, 128632, '\p{Sentence_Break= -Close}', "");
Expect(0, 128632, '\p{^Sentence_Break= -Close}', "");
Expect(0, 128632, '\P{Sentence_Break= -Close}', "");
Expect(1, 128632, '\P{^Sentence_Break= -Close}', "");
Expect(0, 128633, '\p{Sentence_Break= -Close}', "");
Expect(1, 128633, '\p{^Sentence_Break= -Close}', "");
Expect(1, 128633, '\P{Sentence_Break= -Close}', "");
Expect(0, 128633, '\P{^Sentence_Break= -Close}', "");
Error('\p{SB: -_CL/a/}');
Error('\P{SB: -_CL/a/}');
Expect(1, 128632, '\p{SB=cl}', "");
Expect(0, 128632, '\p{^SB=cl}', "");
Expect(0, 128632, '\P{SB=cl}', "");
Expect(1, 128632, '\P{^SB=cl}', "");
Expect(0, 128633, '\p{SB=cl}', "");
Expect(1, 128633, '\p{^SB=cl}', "");
Expect(1, 128633, '\P{SB=cl}', "");
Expect(0, 128633, '\P{^SB=cl}', "");
Expect(1, 128632, '\p{SB=_ CL}', "");
Expect(0, 128632, '\p{^SB=_ CL}', "");
Expect(0, 128632, '\P{SB=_ CL}', "");
Expect(1, 128632, '\P{^SB=_ CL}', "");
Expect(0, 128633, '\p{SB=_ CL}', "");
Expect(1, 128633, '\p{^SB=_ CL}', "");
Expect(1, 128633, '\P{SB=_ CL}', "");
Expect(0, 128633, '\P{^SB=_ CL}', "");
Error('\p{Is_Sentence_Break=_:=CLOSE}');
Error('\P{Is_Sentence_Break=_:=CLOSE}');
Expect(1, 128632, '\p{Is_Sentence_Break=close}', "");
Expect(0, 128632, '\p{^Is_Sentence_Break=close}', "");
Expect(0, 128632, '\P{Is_Sentence_Break=close}', "");
Expect(1, 128632, '\P{^Is_Sentence_Break=close}', "");
Expect(0, 128633, '\p{Is_Sentence_Break=close}', "");
Expect(1, 128633, '\p{^Is_Sentence_Break=close}', "");
Expect(1, 128633, '\P{Is_Sentence_Break=close}', "");
Expect(0, 128633, '\P{^Is_Sentence_Break=close}', "");
Expect(1, 128632, '\p{Is_Sentence_Break=	 CLOSE}', "");
Expect(0, 128632, '\p{^Is_Sentence_Break=	 CLOSE}', "");
Expect(0, 128632, '\P{Is_Sentence_Break=	 CLOSE}', "");
Expect(1, 128632, '\P{^Is_Sentence_Break=	 CLOSE}', "");
Expect(0, 128633, '\p{Is_Sentence_Break=	 CLOSE}', "");
Expect(1, 128633, '\p{^Is_Sentence_Break=	 CLOSE}', "");
Expect(1, 128633, '\P{Is_Sentence_Break=	 CLOSE}', "");
Expect(0, 128633, '\P{^Is_Sentence_Break=	 CLOSE}', "");
Error('\p{Is_SB=/a/CL}');
Error('\P{Is_SB=/a/CL}');
Expect(1, 128632, '\p{Is_SB=cl}', "");
Expect(0, 128632, '\p{^Is_SB=cl}', "");
Expect(0, 128632, '\P{Is_SB=cl}', "");
Expect(1, 128632, '\P{^Is_SB=cl}', "");
Expect(0, 128633, '\p{Is_SB=cl}', "");
Expect(1, 128633, '\p{^Is_SB=cl}', "");
Expect(1, 128633, '\P{Is_SB=cl}', "");
Expect(0, 128633, '\P{^Is_SB=cl}', "");
Expect(1, 128632, '\p{Is_SB:	 cl}', "");
Expect(0, 128632, '\p{^Is_SB:	 cl}', "");
Expect(0, 128632, '\P{Is_SB:	 cl}', "");
Expect(1, 128632, '\P{^Is_SB:	 cl}', "");
Expect(0, 128633, '\p{Is_SB:	 cl}', "");
Expect(1, 128633, '\p{^Is_SB:	 cl}', "");
Expect(1, 128633, '\P{Is_SB:	 cl}', "");
Expect(0, 128633, '\P{^Is_SB:	 cl}', "");
Error('\p{Sentence_Break=	/a/cr}');
Error('\P{Sentence_Break=	/a/cr}');
Expect(1, 13, '\p{Sentence_Break=cr}', "");
Expect(0, 13, '\p{^Sentence_Break=cr}', "");
Expect(0, 13, '\P{Sentence_Break=cr}', "");
Expect(1, 13, '\P{^Sentence_Break=cr}', "");
Expect(0, 14, '\p{Sentence_Break=cr}', "");
Expect(1, 14, '\p{^Sentence_Break=cr}', "");
Expect(1, 14, '\P{Sentence_Break=cr}', "");
Expect(0, 14, '\P{^Sentence_Break=cr}', "");
Expect(1, 13, '\p{Sentence_Break=	 CR}', "");
Expect(0, 13, '\p{^Sentence_Break=	 CR}', "");
Expect(0, 13, '\P{Sentence_Break=	 CR}', "");
Expect(1, 13, '\P{^Sentence_Break=	 CR}', "");
Expect(0, 14, '\p{Sentence_Break=	 CR}', "");
Expect(1, 14, '\p{^Sentence_Break=	 CR}', "");
Expect(1, 14, '\P{Sentence_Break=	 CR}', "");
Expect(0, 14, '\P{^Sentence_Break=	 CR}', "");
Error('\p{SB=__cr/a/}');
Error('\P{SB=__cr/a/}');
Expect(1, 13, '\p{SB=cr}', "");
Expect(0, 13, '\p{^SB=cr}', "");
Expect(0, 13, '\P{SB=cr}', "");
Expect(1, 13, '\P{^SB=cr}', "");
Expect(0, 14, '\p{SB=cr}', "");
Expect(1, 14, '\p{^SB=cr}', "");
Expect(1, 14, '\P{SB=cr}', "");
Expect(0, 14, '\P{^SB=cr}', "");
Expect(1, 13, '\p{SB=--CR}', "");
Expect(0, 13, '\p{^SB=--CR}', "");
Expect(0, 13, '\P{SB=--CR}', "");
Expect(1, 13, '\P{^SB=--CR}', "");
Expect(0, 14, '\p{SB=--CR}', "");
Expect(1, 14, '\p{^SB=--CR}', "");
Expect(1, 14, '\P{SB=--CR}', "");
Expect(0, 14, '\P{^SB=--CR}', "");
Error('\p{Is_Sentence_Break=	_cr/a/}');
Error('\P{Is_Sentence_Break=	_cr/a/}');
Expect(1, 13, '\p{Is_Sentence_Break=cr}', "");
Expect(0, 13, '\p{^Is_Sentence_Break=cr}', "");
Expect(0, 13, '\P{Is_Sentence_Break=cr}', "");
Expect(1, 13, '\P{^Is_Sentence_Break=cr}', "");
Expect(0, 14, '\p{Is_Sentence_Break=cr}', "");
Expect(1, 14, '\p{^Is_Sentence_Break=cr}', "");
Expect(1, 14, '\P{Is_Sentence_Break=cr}', "");
Expect(0, 14, '\P{^Is_Sentence_Break=cr}', "");
Expect(1, 13, '\p{Is_Sentence_Break=	_CR}', "");
Expect(0, 13, '\p{^Is_Sentence_Break=	_CR}', "");
Expect(0, 13, '\P{Is_Sentence_Break=	_CR}', "");
Expect(1, 13, '\P{^Is_Sentence_Break=	_CR}', "");
Expect(0, 14, '\p{Is_Sentence_Break=	_CR}', "");
Expect(1, 14, '\p{^Is_Sentence_Break=	_CR}', "");
Expect(1, 14, '\P{Is_Sentence_Break=	_CR}', "");
Expect(0, 14, '\P{^Is_Sentence_Break=	_CR}', "");
Error('\p{Is_SB=CR:=}');
Error('\P{Is_SB=CR:=}');
Expect(1, 13, '\p{Is_SB=cr}', "");
Expect(0, 13, '\p{^Is_SB=cr}', "");
Expect(0, 13, '\P{Is_SB=cr}', "");
Expect(1, 13, '\P{^Is_SB=cr}', "");
Expect(0, 14, '\p{Is_SB=cr}', "");
Expect(1, 14, '\p{^Is_SB=cr}', "");
Expect(1, 14, '\P{Is_SB=cr}', "");
Expect(0, 14, '\P{^Is_SB=cr}', "");
Expect(1, 13, '\p{Is_SB=	_cr}', "");
Expect(0, 13, '\p{^Is_SB=	_cr}', "");
Expect(0, 13, '\P{Is_SB=	_cr}', "");
Expect(1, 13, '\P{^Is_SB=	_cr}', "");
Expect(0, 14, '\p{Is_SB=	_cr}', "");
Expect(1, 14, '\p{^Is_SB=	_cr}', "");
Expect(1, 14, '\P{Is_SB=	_cr}', "");
Expect(0, 14, '\P{^Is_SB=	_cr}', "");
Error('\p{Sentence_Break=/a/-_Extend}');
Error('\P{Sentence_Break=/a/-_Extend}');
Expect(1, 917999, '\p{Sentence_Break:	extend}', "");
Expect(0, 917999, '\p{^Sentence_Break:	extend}', "");
Expect(0, 917999, '\P{Sentence_Break:	extend}', "");
Expect(1, 917999, '\P{^Sentence_Break:	extend}', "");
Expect(0, 918000, '\p{Sentence_Break:	extend}', "");
Expect(1, 918000, '\p{^Sentence_Break:	extend}', "");
Expect(1, 918000, '\P{Sentence_Break:	extend}', "");
Expect(0, 918000, '\P{^Sentence_Break:	extend}', "");
Expect(1, 917999, '\p{Sentence_Break=-	Extend}', "");
Expect(0, 917999, '\p{^Sentence_Break=-	Extend}', "");
Expect(0, 917999, '\P{Sentence_Break=-	Extend}', "");
Expect(1, 917999, '\P{^Sentence_Break=-	Extend}', "");
Expect(0, 918000, '\p{Sentence_Break=-	Extend}', "");
Expect(1, 918000, '\p{^Sentence_Break=-	Extend}', "");
Expect(1, 918000, '\P{Sentence_Break=-	Extend}', "");
Expect(0, 918000, '\P{^Sentence_Break=-	Extend}', "");
Error('\p{SB=_/a/EX}');
Error('\P{SB=_/a/EX}');
Expect(1, 917999, '\p{SB=ex}', "");
Expect(0, 917999, '\p{^SB=ex}', "");
Expect(0, 917999, '\P{SB=ex}', "");
Expect(1, 917999, '\P{^SB=ex}', "");
Expect(0, 918000, '\p{SB=ex}', "");
Expect(1, 918000, '\p{^SB=ex}', "");
Expect(1, 918000, '\P{SB=ex}', "");
Expect(0, 918000, '\P{^SB=ex}', "");
Expect(1, 917999, '\p{SB=_-EX}', "");
Expect(0, 917999, '\p{^SB=_-EX}', "");
Expect(0, 917999, '\P{SB=_-EX}', "");
Expect(1, 917999, '\P{^SB=_-EX}', "");
Expect(0, 918000, '\p{SB=_-EX}', "");
Expect(1, 918000, '\p{^SB=_-EX}', "");
Expect(1, 918000, '\P{SB=_-EX}', "");
Expect(0, 918000, '\P{^SB=_-EX}', "");
Error('\p{Is_Sentence_Break=:= extend}');
Error('\P{Is_Sentence_Break=:= extend}');
Expect(1, 917999, '\p{Is_Sentence_Break=extend}', "");
Expect(0, 917999, '\p{^Is_Sentence_Break=extend}', "");
Expect(0, 917999, '\P{Is_Sentence_Break=extend}', "");
Expect(1, 917999, '\P{^Is_Sentence_Break=extend}', "");
Expect(0, 918000, '\p{Is_Sentence_Break=extend}', "");
Expect(1, 918000, '\p{^Is_Sentence_Break=extend}', "");
Expect(1, 918000, '\P{Is_Sentence_Break=extend}', "");
Expect(0, 918000, '\P{^Is_Sentence_Break=extend}', "");
Expect(1, 917999, '\p{Is_Sentence_Break=-extend}', "");
Expect(0, 917999, '\p{^Is_Sentence_Break=-extend}', "");
Expect(0, 917999, '\P{Is_Sentence_Break=-extend}', "");
Expect(1, 917999, '\P{^Is_Sentence_Break=-extend}', "");
Expect(0, 918000, '\p{Is_Sentence_Break=-extend}', "");
Expect(1, 918000, '\p{^Is_Sentence_Break=-extend}', "");
Expect(1, 918000, '\P{Is_Sentence_Break=-extend}', "");
Expect(0, 918000, '\P{^Is_Sentence_Break=-extend}', "");
Error('\p{Is_SB=:= EX}');
Error('\P{Is_SB=:= EX}');
Expect(1, 917999, '\p{Is_SB=ex}', "");
Expect(0, 917999, '\p{^Is_SB=ex}', "");
Expect(0, 917999, '\P{Is_SB=ex}', "");
Expect(1, 917999, '\P{^Is_SB=ex}', "");
Expect(0, 918000, '\p{Is_SB=ex}', "");
Expect(1, 918000, '\p{^Is_SB=ex}', "");
Expect(1, 918000, '\P{Is_SB=ex}', "");
Expect(0, 918000, '\P{^Is_SB=ex}', "");
Expect(1, 917999, '\p{Is_SB= _ex}', "");
Expect(0, 917999, '\p{^Is_SB= _ex}', "");
Expect(0, 917999, '\P{Is_SB= _ex}', "");
Expect(1, 917999, '\P{^Is_SB= _ex}', "");
Expect(0, 918000, '\p{Is_SB= _ex}', "");
Expect(1, 918000, '\p{^Is_SB= _ex}', "");
Expect(1, 918000, '\P{Is_SB= _ex}', "");
Expect(0, 918000, '\P{^Is_SB= _ex}', "");
Error('\p{Sentence_Break=/a/-format}');
Error('\P{Sentence_Break=/a/-format}');
Expect(1, 917631, '\p{Sentence_Break=format}', "");
Expect(0, 917631, '\p{^Sentence_Break=format}', "");
Expect(0, 917631, '\P{Sentence_Break=format}', "");
Expect(1, 917631, '\P{^Sentence_Break=format}', "");
Expect(0, 917632, '\p{Sentence_Break=format}', "");
Expect(1, 917632, '\p{^Sentence_Break=format}', "");
Expect(1, 917632, '\P{Sentence_Break=format}', "");
Expect(0, 917632, '\P{^Sentence_Break=format}', "");
Expect(1, 917631, '\p{Sentence_Break=	Format}', "");
Expect(0, 917631, '\p{^Sentence_Break=	Format}', "");
Expect(0, 917631, '\P{Sentence_Break=	Format}', "");
Expect(1, 917631, '\P{^Sentence_Break=	Format}', "");
Expect(0, 917632, '\p{Sentence_Break=	Format}', "");
Expect(1, 917632, '\p{^Sentence_Break=	Format}', "");
Expect(1, 917632, '\P{Sentence_Break=	Format}', "");
Expect(0, 917632, '\P{^Sentence_Break=	Format}', "");
Error('\p{SB=-/a/FO}');
Error('\P{SB=-/a/FO}');
Expect(1, 917631, '\p{SB=fo}', "");
Expect(0, 917631, '\p{^SB=fo}', "");
Expect(0, 917631, '\P{SB=fo}', "");
Expect(1, 917631, '\P{^SB=fo}', "");
Expect(0, 917632, '\p{SB=fo}', "");
Expect(1, 917632, '\p{^SB=fo}', "");
Expect(1, 917632, '\P{SB=fo}', "");
Expect(0, 917632, '\P{^SB=fo}', "");
Expect(1, 917631, '\p{SB=_FO}', "");
Expect(0, 917631, '\p{^SB=_FO}', "");
Expect(0, 917631, '\P{SB=_FO}', "");
Expect(1, 917631, '\P{^SB=_FO}', "");
Expect(0, 917632, '\p{SB=_FO}', "");
Expect(1, 917632, '\p{^SB=_FO}', "");
Expect(1, 917632, '\P{SB=_FO}', "");
Expect(0, 917632, '\P{^SB=_FO}', "");
Error('\p{Is_Sentence_Break: _Format/a/}');
Error('\P{Is_Sentence_Break: _Format/a/}');
Expect(1, 917631, '\p{Is_Sentence_Break=format}', "");
Expect(0, 917631, '\p{^Is_Sentence_Break=format}', "");
Expect(0, 917631, '\P{Is_Sentence_Break=format}', "");
Expect(1, 917631, '\P{^Is_Sentence_Break=format}', "");
Expect(0, 917632, '\p{Is_Sentence_Break=format}', "");
Expect(1, 917632, '\p{^Is_Sentence_Break=format}', "");
Expect(1, 917632, '\P{Is_Sentence_Break=format}', "");
Expect(0, 917632, '\P{^Is_Sentence_Break=format}', "");
Expect(1, 917631, '\p{Is_Sentence_Break=__FORMAT}', "");
Expect(0, 917631, '\p{^Is_Sentence_Break=__FORMAT}', "");
Expect(0, 917631, '\P{Is_Sentence_Break=__FORMAT}', "");
Expect(1, 917631, '\P{^Is_Sentence_Break=__FORMAT}', "");
Expect(0, 917632, '\p{Is_Sentence_Break=__FORMAT}', "");
Expect(1, 917632, '\p{^Is_Sentence_Break=__FORMAT}', "");
Expect(1, 917632, '\P{Is_Sentence_Break=__FORMAT}', "");
Expect(0, 917632, '\P{^Is_Sentence_Break=__FORMAT}', "");
Error('\p{Is_SB=_-fo:=}');
Error('\P{Is_SB=_-fo:=}');
Expect(1, 917631, '\p{Is_SB=fo}', "");
Expect(0, 917631, '\p{^Is_SB=fo}', "");
Expect(0, 917631, '\P{Is_SB=fo}', "");
Expect(1, 917631, '\P{^Is_SB=fo}', "");
Expect(0, 917632, '\p{Is_SB=fo}', "");
Expect(1, 917632, '\p{^Is_SB=fo}', "");
Expect(1, 917632, '\P{Is_SB=fo}', "");
Expect(0, 917632, '\P{^Is_SB=fo}', "");
Expect(1, 917631, '\p{Is_SB=_-FO}', "");
Expect(0, 917631, '\p{^Is_SB=_-FO}', "");
Expect(0, 917631, '\P{Is_SB=_-FO}', "");
Expect(1, 917631, '\P{^Is_SB=_-FO}', "");
Expect(0, 917632, '\p{Is_SB=_-FO}', "");
Expect(1, 917632, '\p{^Is_SB=_-FO}', "");
Expect(1, 917632, '\P{Is_SB=_-FO}', "");
Expect(0, 917632, '\P{^Is_SB=_-FO}', "");
Error('\p{Sentence_Break=_/a/OLETTER}');
Error('\P{Sentence_Break=_/a/OLETTER}');
Expect(1, 195101, '\p{Sentence_Break=oletter}', "");
Expect(0, 195101, '\p{^Sentence_Break=oletter}', "");
Expect(0, 195101, '\P{Sentence_Break=oletter}', "");
Expect(1, 195101, '\P{^Sentence_Break=oletter}', "");
Expect(0, 195102, '\p{Sentence_Break=oletter}', "");
Expect(1, 195102, '\p{^Sentence_Break=oletter}', "");
Expect(1, 195102, '\P{Sentence_Break=oletter}', "");
Expect(0, 195102, '\P{^Sentence_Break=oletter}', "");
Expect(1, 195101, '\p{Sentence_Break=-	OLetter}', "");
Expect(0, 195101, '\p{^Sentence_Break=-	OLetter}', "");
Expect(0, 195101, '\P{Sentence_Break=-	OLetter}', "");
Expect(1, 195101, '\P{^Sentence_Break=-	OLetter}', "");
Expect(0, 195102, '\p{Sentence_Break=-	OLetter}', "");
Expect(1, 195102, '\p{^Sentence_Break=-	OLetter}', "");
Expect(1, 195102, '\P{Sentence_Break=-	OLetter}', "");
Expect(0, 195102, '\P{^Sentence_Break=-	OLetter}', "");
Error('\p{SB=_	LE:=}');
Error('\P{SB=_	LE:=}');
Expect(1, 195101, '\p{SB=le}', "");
Expect(0, 195101, '\p{^SB=le}', "");
Expect(0, 195101, '\P{SB=le}', "");
Expect(1, 195101, '\P{^SB=le}', "");
Expect(0, 195102, '\p{SB=le}', "");
Expect(1, 195102, '\p{^SB=le}', "");
Expect(1, 195102, '\P{SB=le}', "");
Expect(0, 195102, '\P{^SB=le}', "");
Expect(1, 195101, '\p{SB=-LE}', "");
Expect(0, 195101, '\p{^SB=-LE}', "");
Expect(0, 195101, '\P{SB=-LE}', "");
Expect(1, 195101, '\P{^SB=-LE}', "");
Expect(0, 195102, '\p{SB=-LE}', "");
Expect(1, 195102, '\p{^SB=-LE}', "");
Expect(1, 195102, '\P{SB=-LE}', "");
Expect(0, 195102, '\P{^SB=-LE}', "");
Error('\p{Is_Sentence_Break=	/a/OLetter}');
Error('\P{Is_Sentence_Break=	/a/OLetter}');
Expect(1, 195101, '\p{Is_Sentence_Break=oletter}', "");
Expect(0, 195101, '\p{^Is_Sentence_Break=oletter}', "");
Expect(0, 195101, '\P{Is_Sentence_Break=oletter}', "");
Expect(1, 195101, '\P{^Is_Sentence_Break=oletter}', "");
Expect(0, 195102, '\p{Is_Sentence_Break=oletter}', "");
Expect(1, 195102, '\p{^Is_Sentence_Break=oletter}', "");
Expect(1, 195102, '\P{Is_Sentence_Break=oletter}', "");
Expect(0, 195102, '\P{^Is_Sentence_Break=oletter}', "");
Expect(1, 195101, '\p{Is_Sentence_Break= oletter}', "");
Expect(0, 195101, '\p{^Is_Sentence_Break= oletter}', "");
Expect(0, 195101, '\P{Is_Sentence_Break= oletter}', "");
Expect(1, 195101, '\P{^Is_Sentence_Break= oletter}', "");
Expect(0, 195102, '\p{Is_Sentence_Break= oletter}', "");
Expect(1, 195102, '\p{^Is_Sentence_Break= oletter}', "");
Expect(1, 195102, '\P{Is_Sentence_Break= oletter}', "");
Expect(0, 195102, '\P{^Is_Sentence_Break= oletter}', "");
Error('\p{Is_SB=		LE/a/}');
Error('\P{Is_SB=		LE/a/}');
Expect(1, 195101, '\p{Is_SB=le}', "");
Expect(0, 195101, '\p{^Is_SB=le}', "");
Expect(0, 195101, '\P{Is_SB=le}', "");
Expect(1, 195101, '\P{^Is_SB=le}', "");
Expect(0, 195102, '\p{Is_SB=le}', "");
Expect(1, 195102, '\p{^Is_SB=le}', "");
Expect(1, 195102, '\P{Is_SB=le}', "");
Expect(0, 195102, '\P{^Is_SB=le}', "");
Expect(1, 195101, '\p{Is_SB=		LE}', "");
Expect(0, 195101, '\p{^Is_SB=		LE}', "");
Expect(0, 195101, '\P{Is_SB=		LE}', "");
Expect(1, 195101, '\P{^Is_SB=		LE}', "");
Expect(0, 195102, '\p{Is_SB=		LE}', "");
Expect(1, 195102, '\p{^Is_SB=		LE}', "");
Expect(1, 195102, '\P{Is_SB=		LE}', "");
Expect(0, 195102, '\P{^Is_SB=		LE}', "");
Error('\p{Sentence_Break=:=--LF}');
Error('\P{Sentence_Break=:=--LF}');
Expect(1, 10, '\p{Sentence_Break:   lf}', "");
Expect(0, 10, '\p{^Sentence_Break:   lf}', "");
Expect(0, 10, '\P{Sentence_Break:   lf}', "");
Expect(1, 10, '\P{^Sentence_Break:   lf}', "");
Expect(0, 11, '\p{Sentence_Break:   lf}', "");
Expect(1, 11, '\p{^Sentence_Break:   lf}', "");
Expect(1, 11, '\P{Sentence_Break:   lf}', "");
Expect(0, 11, '\P{^Sentence_Break:   lf}', "");
Expect(1, 10, '\p{Sentence_Break=	LF}', "");
Expect(0, 10, '\p{^Sentence_Break=	LF}', "");
Expect(0, 10, '\P{Sentence_Break=	LF}', "");
Expect(1, 10, '\P{^Sentence_Break=	LF}', "");
Expect(0, 11, '\p{Sentence_Break=	LF}', "");
Expect(1, 11, '\p{^Sentence_Break=	LF}', "");
Expect(1, 11, '\P{Sentence_Break=	LF}', "");
Expect(0, 11, '\P{^Sentence_Break=	LF}', "");
Error('\p{SB=:=		LF}');
Error('\P{SB=:=		LF}');
Expect(1, 10, '\p{SB=lf}', "");
Expect(0, 10, '\p{^SB=lf}', "");
Expect(0, 10, '\P{SB=lf}', "");
Expect(1, 10, '\P{^SB=lf}', "");
Expect(0, 11, '\p{SB=lf}', "");
Expect(1, 11, '\p{^SB=lf}', "");
Expect(1, 11, '\P{SB=lf}', "");
Expect(0, 11, '\P{^SB=lf}', "");
Expect(1, 10, '\p{SB=	LF}', "");
Expect(0, 10, '\p{^SB=	LF}', "");
Expect(0, 10, '\P{SB=	LF}', "");
Expect(1, 10, '\P{^SB=	LF}', "");
Expect(0, 11, '\p{SB=	LF}', "");
Expect(1, 11, '\p{^SB=	LF}', "");
Expect(1, 11, '\P{SB=	LF}', "");
Expect(0, 11, '\P{^SB=	LF}', "");
Error('\p{Is_Sentence_Break=-	LF/a/}');
Error('\P{Is_Sentence_Break=-	LF/a/}');
Expect(1, 10, '\p{Is_Sentence_Break=lf}', "");
Expect(0, 10, '\p{^Is_Sentence_Break=lf}', "");
Expect(0, 10, '\P{Is_Sentence_Break=lf}', "");
Expect(1, 10, '\P{^Is_Sentence_Break=lf}', "");
Expect(0, 11, '\p{Is_Sentence_Break=lf}', "");
Expect(1, 11, '\p{^Is_Sentence_Break=lf}', "");
Expect(1, 11, '\P{Is_Sentence_Break=lf}', "");
Expect(0, 11, '\P{^Is_Sentence_Break=lf}', "");
Expect(1, 10, '\p{Is_Sentence_Break=_	LF}', "");
Expect(0, 10, '\p{^Is_Sentence_Break=_	LF}', "");
Expect(0, 10, '\P{Is_Sentence_Break=_	LF}', "");
Expect(1, 10, '\P{^Is_Sentence_Break=_	LF}', "");
Expect(0, 11, '\p{Is_Sentence_Break=_	LF}', "");
Expect(1, 11, '\p{^Is_Sentence_Break=_	LF}', "");
Expect(1, 11, '\P{Is_Sentence_Break=_	LF}', "");
Expect(0, 11, '\P{^Is_Sentence_Break=_	LF}', "");
Error('\p{Is_SB: :=lf}');
Error('\P{Is_SB: :=lf}');
Expect(1, 10, '\p{Is_SB=lf}', "");
Expect(0, 10, '\p{^Is_SB=lf}', "");
Expect(0, 10, '\P{Is_SB=lf}', "");
Expect(1, 10, '\P{^Is_SB=lf}', "");
Expect(0, 11, '\p{Is_SB=lf}', "");
Expect(1, 11, '\p{^Is_SB=lf}', "");
Expect(1, 11, '\P{Is_SB=lf}', "");
Expect(0, 11, '\P{^Is_SB=lf}', "");
Expect(1, 10, '\p{Is_SB=	 LF}', "");
Expect(0, 10, '\p{^Is_SB=	 LF}', "");
Expect(0, 10, '\P{Is_SB=	 LF}', "");
Expect(1, 10, '\P{^Is_SB=	 LF}', "");
Expect(0, 11, '\p{Is_SB=	 LF}', "");
Expect(1, 11, '\p{^Is_SB=	 LF}', "");
Expect(1, 11, '\P{Is_SB=	 LF}', "");
Expect(0, 11, '\P{^Is_SB=	 LF}', "");
Error('\p{Sentence_Break=_Lower/a/}');
Error('\P{Sentence_Break=_Lower/a/}');
Expect(1, 120779, '\p{Sentence_Break=lower}', "");
Expect(0, 120779, '\p{^Sentence_Break=lower}', "");
Expect(0, 120779, '\P{Sentence_Break=lower}', "");
Expect(1, 120779, '\P{^Sentence_Break=lower}', "");
Expect(0, 120780, '\p{Sentence_Break=lower}', "");
Expect(1, 120780, '\p{^Sentence_Break=lower}', "");
Expect(1, 120780, '\P{Sentence_Break=lower}', "");
Expect(0, 120780, '\P{^Sentence_Break=lower}', "");
Expect(1, 120779, '\p{Sentence_Break= -LOWER}', "");
Expect(0, 120779, '\p{^Sentence_Break= -LOWER}', "");
Expect(0, 120779, '\P{Sentence_Break= -LOWER}', "");
Expect(1, 120779, '\P{^Sentence_Break= -LOWER}', "");
Expect(0, 120780, '\p{Sentence_Break= -LOWER}', "");
Expect(1, 120780, '\p{^Sentence_Break= -LOWER}', "");
Expect(1, 120780, '\P{Sentence_Break= -LOWER}', "");
Expect(0, 120780, '\P{^Sentence_Break= -LOWER}', "");
Error('\p{SB=/a/lo}');
Error('\P{SB=/a/lo}');
Expect(1, 120779, '\p{SB=lo}', "");
Expect(0, 120779, '\p{^SB=lo}', "");
Expect(0, 120779, '\P{SB=lo}', "");
Expect(1, 120779, '\P{^SB=lo}', "");
Expect(0, 120780, '\p{SB=lo}', "");
Expect(1, 120780, '\p{^SB=lo}', "");
Expect(1, 120780, '\P{SB=lo}', "");
Expect(0, 120780, '\P{^SB=lo}', "");
Expect(1, 120779, '\p{SB=- LO}', "");
Expect(0, 120779, '\p{^SB=- LO}', "");
Expect(0, 120779, '\P{SB=- LO}', "");
Expect(1, 120779, '\P{^SB=- LO}', "");
Expect(0, 120780, '\p{SB=- LO}', "");
Expect(1, 120780, '\p{^SB=- LO}', "");
Expect(1, 120780, '\P{SB=- LO}', "");
Expect(0, 120780, '\P{^SB=- LO}', "");
Error('\p{Is_Sentence_Break=:= Lower}');
Error('\P{Is_Sentence_Break=:= Lower}');
Expect(1, 120779, '\p{Is_Sentence_Break=lower}', "");
Expect(0, 120779, '\p{^Is_Sentence_Break=lower}', "");
Expect(0, 120779, '\P{Is_Sentence_Break=lower}', "");
Expect(1, 120779, '\P{^Is_Sentence_Break=lower}', "");
Expect(0, 120780, '\p{Is_Sentence_Break=lower}', "");
Expect(1, 120780, '\p{^Is_Sentence_Break=lower}', "");
Expect(1, 120780, '\P{Is_Sentence_Break=lower}', "");
Expect(0, 120780, '\P{^Is_Sentence_Break=lower}', "");
Expect(1, 120779, '\p{Is_Sentence_Break=_Lower}', "");
Expect(0, 120779, '\p{^Is_Sentence_Break=_Lower}', "");
Expect(0, 120779, '\P{Is_Sentence_Break=_Lower}', "");
Expect(1, 120779, '\P{^Is_Sentence_Break=_Lower}', "");
Expect(0, 120780, '\p{Is_Sentence_Break=_Lower}', "");
Expect(1, 120780, '\p{^Is_Sentence_Break=_Lower}', "");
Expect(1, 120780, '\P{Is_Sentence_Break=_Lower}', "");
Expect(0, 120780, '\P{^Is_Sentence_Break=_Lower}', "");
Error('\p{Is_SB: :=		LO}');
Error('\P{Is_SB: :=		LO}');
Expect(1, 120779, '\p{Is_SB=lo}', "");
Expect(0, 120779, '\p{^Is_SB=lo}', "");
Expect(0, 120779, '\P{Is_SB=lo}', "");
Expect(1, 120779, '\P{^Is_SB=lo}', "");
Expect(0, 120780, '\p{Is_SB=lo}', "");
Expect(1, 120780, '\p{^Is_SB=lo}', "");
Expect(1, 120780, '\P{Is_SB=lo}', "");
Expect(0, 120780, '\P{^Is_SB=lo}', "");
Expect(1, 120779, '\p{Is_SB=	 lo}', "");
Expect(0, 120779, '\p{^Is_SB=	 lo}', "");
Expect(0, 120779, '\P{Is_SB=	 lo}', "");
Expect(1, 120779, '\P{^Is_SB=	 lo}', "");
Expect(0, 120780, '\p{Is_SB=	 lo}', "");
Expect(1, 120780, '\p{^Is_SB=	 lo}', "");
Expect(1, 120780, '\P{Is_SB=	 lo}', "");
Expect(0, 120780, '\P{^Is_SB=	 lo}', "");
Error('\p{Sentence_Break= NUMERIC/a/}');
Error('\P{Sentence_Break= NUMERIC/a/}');
Expect(1, 120831, '\p{Sentence_Break=numeric}', "");
Expect(0, 120831, '\p{^Sentence_Break=numeric}', "");
Expect(0, 120831, '\P{Sentence_Break=numeric}', "");
Expect(1, 120831, '\P{^Sentence_Break=numeric}', "");
Expect(0, 120832, '\p{Sentence_Break=numeric}', "");
Expect(1, 120832, '\p{^Sentence_Break=numeric}', "");
Expect(1, 120832, '\P{Sentence_Break=numeric}', "");
Expect(0, 120832, '\P{^Sentence_Break=numeric}', "");
Expect(1, 120831, '\p{Sentence_Break=	 Numeric}', "");
Expect(0, 120831, '\p{^Sentence_Break=	 Numeric}', "");
Expect(0, 120831, '\P{Sentence_Break=	 Numeric}', "");
Expect(1, 120831, '\P{^Sentence_Break=	 Numeric}', "");
Expect(0, 120832, '\p{Sentence_Break=	 Numeric}', "");
Expect(1, 120832, '\p{^Sentence_Break=	 Numeric}', "");
Expect(1, 120832, '\P{Sentence_Break=	 Numeric}', "");
Expect(0, 120832, '\P{^Sentence_Break=	 Numeric}', "");
Error('\p{SB=-/a/nu}');
Error('\P{SB=-/a/nu}');
Expect(1, 120831, '\p{SB=nu}', "");
Expect(0, 120831, '\p{^SB=nu}', "");
Expect(0, 120831, '\P{SB=nu}', "");
Expect(1, 120831, '\P{^SB=nu}', "");
Expect(0, 120832, '\p{SB=nu}', "");
Expect(1, 120832, '\p{^SB=nu}', "");
Expect(1, 120832, '\P{SB=nu}', "");
Expect(0, 120832, '\P{^SB=nu}', "");
Expect(1, 120831, '\p{SB=_-NU}', "");
Expect(0, 120831, '\p{^SB=_-NU}', "");
Expect(0, 120831, '\P{SB=_-NU}', "");
Expect(1, 120831, '\P{^SB=_-NU}', "");
Expect(0, 120832, '\p{SB=_-NU}', "");
Expect(1, 120832, '\p{^SB=_-NU}', "");
Expect(1, 120832, '\P{SB=_-NU}', "");
Expect(0, 120832, '\P{^SB=_-NU}', "");
Error('\p{Is_Sentence_Break=	-Numeric:=}');
Error('\P{Is_Sentence_Break=	-Numeric:=}');
Expect(1, 120831, '\p{Is_Sentence_Break=numeric}', "");
Expect(0, 120831, '\p{^Is_Sentence_Break=numeric}', "");
Expect(0, 120831, '\P{Is_Sentence_Break=numeric}', "");
Expect(1, 120831, '\P{^Is_Sentence_Break=numeric}', "");
Expect(0, 120832, '\p{Is_Sentence_Break=numeric}', "");
Expect(1, 120832, '\p{^Is_Sentence_Break=numeric}', "");
Expect(1, 120832, '\P{Is_Sentence_Break=numeric}', "");
Expect(0, 120832, '\P{^Is_Sentence_Break=numeric}', "");
Expect(1, 120831, '\p{Is_Sentence_Break=	Numeric}', "");
Expect(0, 120831, '\p{^Is_Sentence_Break=	Numeric}', "");
Expect(0, 120831, '\P{Is_Sentence_Break=	Numeric}', "");
Expect(1, 120831, '\P{^Is_Sentence_Break=	Numeric}', "");
Expect(0, 120832, '\p{Is_Sentence_Break=	Numeric}', "");
Expect(1, 120832, '\p{^Is_Sentence_Break=	Numeric}', "");
Expect(1, 120832, '\P{Is_Sentence_Break=	Numeric}', "");
Expect(0, 120832, '\P{^Is_Sentence_Break=	Numeric}', "");
Error('\p{Is_SB=_-NU/a/}');
Error('\P{Is_SB=_-NU/a/}');
Expect(1, 120831, '\p{Is_SB=nu}', "");
Expect(0, 120831, '\p{^Is_SB=nu}', "");
Expect(0, 120831, '\P{Is_SB=nu}', "");
Expect(1, 120831, '\P{^Is_SB=nu}', "");
Expect(0, 120832, '\p{Is_SB=nu}', "");
Expect(1, 120832, '\p{^Is_SB=nu}', "");
Expect(1, 120832, '\P{Is_SB=nu}', "");
Expect(0, 120832, '\P{^Is_SB=nu}', "");
Expect(1, 120831, '\p{Is_SB=--nu}', "");
Expect(0, 120831, '\p{^Is_SB=--nu}', "");
Expect(0, 120831, '\P{Is_SB=--nu}', "");
Expect(1, 120831, '\P{^Is_SB=--nu}', "");
Expect(0, 120832, '\p{Is_SB=--nu}', "");
Expect(1, 120832, '\p{^Is_SB=--nu}', "");
Expect(1, 120832, '\P{Is_SB=--nu}', "");
Expect(0, 120832, '\P{^Is_SB=--nu}', "");
Error('\p{Sentence_Break=_	SContinue:=}');
Error('\P{Sentence_Break=_	SContinue:=}');
Expect(1, 65380, '\p{Sentence_Break=scontinue}', "");
Expect(0, 65380, '\p{^Sentence_Break=scontinue}', "");
Expect(0, 65380, '\P{Sentence_Break=scontinue}', "");
Expect(1, 65380, '\P{^Sentence_Break=scontinue}', "");
Expect(0, 65381, '\p{Sentence_Break=scontinue}', "");
Expect(1, 65381, '\p{^Sentence_Break=scontinue}', "");
Expect(1, 65381, '\P{Sentence_Break=scontinue}', "");
Expect(0, 65381, '\P{^Sentence_Break=scontinue}', "");
Expect(1, 65380, '\p{Sentence_Break=	SContinue}', "");
Expect(0, 65380, '\p{^Sentence_Break=	SContinue}', "");
Expect(0, 65380, '\P{Sentence_Break=	SContinue}', "");
Expect(1, 65380, '\P{^Sentence_Break=	SContinue}', "");
Expect(0, 65381, '\p{Sentence_Break=	SContinue}', "");
Expect(1, 65381, '\p{^Sentence_Break=	SContinue}', "");
Expect(1, 65381, '\P{Sentence_Break=	SContinue}', "");
Expect(0, 65381, '\P{^Sentence_Break=	SContinue}', "");
Error('\p{SB:	 _SC/a/}');
Error('\P{SB:	 _SC/a/}');
Expect(1, 65380, '\p{SB=sc}', "");
Expect(0, 65380, '\p{^SB=sc}', "");
Expect(0, 65380, '\P{SB=sc}', "");
Expect(1, 65380, '\P{^SB=sc}', "");
Expect(0, 65381, '\p{SB=sc}', "");
Expect(1, 65381, '\p{^SB=sc}', "");
Expect(1, 65381, '\P{SB=sc}', "");
Expect(0, 65381, '\P{^SB=sc}', "");
Expect(1, 65380, '\p{SB= 	SC}', "");
Expect(0, 65380, '\p{^SB= 	SC}', "");
Expect(0, 65380, '\P{SB= 	SC}', "");
Expect(1, 65380, '\P{^SB= 	SC}', "");
Expect(0, 65381, '\p{SB= 	SC}', "");
Expect(1, 65381, '\p{^SB= 	SC}', "");
Expect(1, 65381, '\P{SB= 	SC}', "");
Expect(0, 65381, '\P{^SB= 	SC}', "");
Error('\p{Is_Sentence_Break=-	SContinue/a/}');
Error('\P{Is_Sentence_Break=-	SContinue/a/}');
Expect(1, 65380, '\p{Is_Sentence_Break=scontinue}', "");
Expect(0, 65380, '\p{^Is_Sentence_Break=scontinue}', "");
Expect(0, 65380, '\P{Is_Sentence_Break=scontinue}', "");
Expect(1, 65380, '\P{^Is_Sentence_Break=scontinue}', "");
Expect(0, 65381, '\p{Is_Sentence_Break=scontinue}', "");
Expect(1, 65381, '\p{^Is_Sentence_Break=scontinue}', "");
Expect(1, 65381, '\P{Is_Sentence_Break=scontinue}', "");
Expect(0, 65381, '\P{^Is_Sentence_Break=scontinue}', "");
Expect(1, 65380, '\p{Is_Sentence_Break=_-scontinue}', "");
Expect(0, 65380, '\p{^Is_Sentence_Break=_-scontinue}', "");
Expect(0, 65380, '\P{Is_Sentence_Break=_-scontinue}', "");
Expect(1, 65380, '\P{^Is_Sentence_Break=_-scontinue}', "");
Expect(0, 65381, '\p{Is_Sentence_Break=_-scontinue}', "");
Expect(1, 65381, '\p{^Is_Sentence_Break=_-scontinue}', "");
Expect(1, 65381, '\P{Is_Sentence_Break=_-scontinue}', "");
Expect(0, 65381, '\P{^Is_Sentence_Break=_-scontinue}', "");
Error('\p{Is_SB= 	SC:=}');
Error('\P{Is_SB= 	SC:=}');
Expect(1, 65380, '\p{Is_SB=sc}', "");
Expect(0, 65380, '\p{^Is_SB=sc}', "");
Expect(0, 65380, '\P{Is_SB=sc}', "");
Expect(1, 65380, '\P{^Is_SB=sc}', "");
Expect(0, 65381, '\p{Is_SB=sc}', "");
Expect(1, 65381, '\p{^Is_SB=sc}', "");
Expect(1, 65381, '\P{Is_SB=sc}', "");
Expect(0, 65381, '\P{^Is_SB=sc}', "");
Expect(1, 65380, '\p{Is_SB=	SC}', "");
Expect(0, 65380, '\p{^Is_SB=	SC}', "");
Expect(0, 65380, '\P{Is_SB=	SC}', "");
Expect(1, 65380, '\P{^Is_SB=	SC}', "");
Expect(0, 65381, '\p{Is_SB=	SC}', "");
Expect(1, 65381, '\p{^Is_SB=	SC}', "");
Expect(1, 65381, '\P{Is_SB=	SC}', "");
Expect(0, 65381, '\P{^Is_SB=	SC}', "");
Error('\p{Sentence_Break=/a/Sep}');
Error('\P{Sentence_Break=/a/Sep}');
Expect(1, 8233, '\p{Sentence_Break=sep}', "");
Expect(0, 8233, '\p{^Sentence_Break=sep}', "");
Expect(0, 8233, '\P{Sentence_Break=sep}', "");
Expect(1, 8233, '\P{^Sentence_Break=sep}', "");
Expect(0, 8234, '\p{Sentence_Break=sep}', "");
Expect(1, 8234, '\p{^Sentence_Break=sep}', "");
Expect(1, 8234, '\P{Sentence_Break=sep}', "");
Expect(0, 8234, '\P{^Sentence_Break=sep}', "");
Expect(1, 8233, '\p{Sentence_Break=_sep}', "");
Expect(0, 8233, '\p{^Sentence_Break=_sep}', "");
Expect(0, 8233, '\P{Sentence_Break=_sep}', "");
Expect(1, 8233, '\P{^Sentence_Break=_sep}', "");
Expect(0, 8234, '\p{Sentence_Break=_sep}', "");
Expect(1, 8234, '\p{^Sentence_Break=_sep}', "");
Expect(1, 8234, '\P{Sentence_Break=_sep}', "");
Expect(0, 8234, '\P{^Sentence_Break=_sep}', "");
Error('\p{SB=	:=se}');
Error('\P{SB=	:=se}');
Expect(1, 8233, '\p{SB=se}', "");
Expect(0, 8233, '\p{^SB=se}', "");
Expect(0, 8233, '\P{SB=se}', "");
Expect(1, 8233, '\P{^SB=se}', "");
Expect(0, 8234, '\p{SB=se}', "");
Expect(1, 8234, '\p{^SB=se}', "");
Expect(1, 8234, '\P{SB=se}', "");
Expect(0, 8234, '\P{^SB=se}', "");
Expect(1, 8233, '\p{SB=-SE}', "");
Expect(0, 8233, '\p{^SB=-SE}', "");
Expect(0, 8233, '\P{SB=-SE}', "");
Expect(1, 8233, '\P{^SB=-SE}', "");
Expect(0, 8234, '\p{SB=-SE}', "");
Expect(1, 8234, '\p{^SB=-SE}', "");
Expect(1, 8234, '\P{SB=-SE}', "");
Expect(0, 8234, '\P{^SB=-SE}', "");
Error('\p{Is_Sentence_Break=	 SEP:=}');
Error('\P{Is_Sentence_Break=	 SEP:=}');
Expect(1, 8233, '\p{Is_Sentence_Break=sep}', "");
Expect(0, 8233, '\p{^Is_Sentence_Break=sep}', "");
Expect(0, 8233, '\P{Is_Sentence_Break=sep}', "");
Expect(1, 8233, '\P{^Is_Sentence_Break=sep}', "");
Expect(0, 8234, '\p{Is_Sentence_Break=sep}', "");
Expect(1, 8234, '\p{^Is_Sentence_Break=sep}', "");
Expect(1, 8234, '\P{Is_Sentence_Break=sep}', "");
Expect(0, 8234, '\P{^Is_Sentence_Break=sep}', "");
Expect(1, 8233, '\p{Is_Sentence_Break=- Sep}', "");
Expect(0, 8233, '\p{^Is_Sentence_Break=- Sep}', "");
Expect(0, 8233, '\P{Is_Sentence_Break=- Sep}', "");
Expect(1, 8233, '\P{^Is_Sentence_Break=- Sep}', "");
Expect(0, 8234, '\p{Is_Sentence_Break=- Sep}', "");
Expect(1, 8234, '\p{^Is_Sentence_Break=- Sep}', "");
Expect(1, 8234, '\P{Is_Sentence_Break=- Sep}', "");
Expect(0, 8234, '\P{^Is_Sentence_Break=- Sep}', "");
Error('\p{Is_SB=:= SE}');
Error('\P{Is_SB=:= SE}');
Expect(1, 8233, '\p{Is_SB=se}', "");
Expect(0, 8233, '\p{^Is_SB=se}', "");
Expect(0, 8233, '\P{Is_SB=se}', "");
Expect(1, 8233, '\P{^Is_SB=se}', "");
Expect(0, 8234, '\p{Is_SB=se}', "");
Expect(1, 8234, '\p{^Is_SB=se}', "");
Expect(1, 8234, '\P{Is_SB=se}', "");
Expect(0, 8234, '\P{^Is_SB=se}', "");
Expect(1, 8233, '\p{Is_SB=	_SE}', "");
Expect(0, 8233, '\p{^Is_SB=	_SE}', "");
Expect(0, 8233, '\P{Is_SB=	_SE}', "");
Expect(1, 8233, '\P{^Is_SB=	_SE}', "");
Expect(0, 8234, '\p{Is_SB=	_SE}', "");
Expect(1, 8234, '\p{^Is_SB=	_SE}', "");
Expect(1, 8234, '\P{Is_SB=	_SE}', "");
Expect(0, 8234, '\P{^Is_SB=	_SE}', "");
Error('\p{Sentence_Break= /a/sp}');
Error('\P{Sentence_Break= /a/sp}');
Expect(1, 12288, '\p{Sentence_Break=sp}', "");
Expect(0, 12288, '\p{^Sentence_Break=sp}', "");
Expect(0, 12288, '\P{Sentence_Break=sp}', "");
Expect(1, 12288, '\P{^Sentence_Break=sp}', "");
Expect(0, 12289, '\p{Sentence_Break=sp}', "");
Expect(1, 12289, '\p{^Sentence_Break=sp}', "");
Expect(1, 12289, '\P{Sentence_Break=sp}', "");
Expect(0, 12289, '\P{^Sentence_Break=sp}', "");
Expect(1, 12288, '\p{Sentence_Break=- sp}', "");
Expect(0, 12288, '\p{^Sentence_Break=- sp}', "");
Expect(0, 12288, '\P{Sentence_Break=- sp}', "");
Expect(1, 12288, '\P{^Sentence_Break=- sp}', "");
Expect(0, 12289, '\p{Sentence_Break=- sp}', "");
Expect(1, 12289, '\p{^Sentence_Break=- sp}', "");
Expect(1, 12289, '\P{Sentence_Break=- sp}', "");
Expect(0, 12289, '\P{^Sentence_Break=- sp}', "");
Error('\p{SB=:= -Sp}');
Error('\P{SB=:= -Sp}');
Expect(1, 12288, '\p{SB: sp}', "");
Expect(0, 12288, '\p{^SB: sp}', "");
Expect(0, 12288, '\P{SB: sp}', "");
Expect(1, 12288, '\P{^SB: sp}', "");
Expect(0, 12289, '\p{SB: sp}', "");
Expect(1, 12289, '\p{^SB: sp}', "");
Expect(1, 12289, '\P{SB: sp}', "");
Expect(0, 12289, '\P{^SB: sp}', "");
Expect(1, 12288, '\p{SB= 	sp}', "");
Expect(0, 12288, '\p{^SB= 	sp}', "");
Expect(0, 12288, '\P{SB= 	sp}', "");
Expect(1, 12288, '\P{^SB= 	sp}', "");
Expect(0, 12289, '\p{SB= 	sp}', "");
Expect(1, 12289, '\p{^SB= 	sp}', "");
Expect(1, 12289, '\P{SB= 	sp}', "");
Expect(0, 12289, '\P{^SB= 	sp}', "");
Error('\p{Is_Sentence_Break=-	sp:=}');
Error('\P{Is_Sentence_Break=-	sp:=}');
Expect(1, 12288, '\p{Is_Sentence_Break=sp}', "");
Expect(0, 12288, '\p{^Is_Sentence_Break=sp}', "");
Expect(0, 12288, '\P{Is_Sentence_Break=sp}', "");
Expect(1, 12288, '\P{^Is_Sentence_Break=sp}', "");
Expect(0, 12289, '\p{Is_Sentence_Break=sp}', "");
Expect(1, 12289, '\p{^Is_Sentence_Break=sp}', "");
Expect(1, 12289, '\P{Is_Sentence_Break=sp}', "");
Expect(0, 12289, '\P{^Is_Sentence_Break=sp}', "");
Expect(1, 12288, '\p{Is_Sentence_Break= 	Sp}', "");
Expect(0, 12288, '\p{^Is_Sentence_Break= 	Sp}', "");
Expect(0, 12288, '\P{Is_Sentence_Break= 	Sp}', "");
Expect(1, 12288, '\P{^Is_Sentence_Break= 	Sp}', "");
Expect(0, 12289, '\p{Is_Sentence_Break= 	Sp}', "");
Expect(1, 12289, '\p{^Is_Sentence_Break= 	Sp}', "");
Expect(1, 12289, '\P{Is_Sentence_Break= 	Sp}', "");
Expect(0, 12289, '\P{^Is_Sentence_Break= 	Sp}', "");
Error('\p{Is_SB=:=-Sp}');
Error('\P{Is_SB=:=-Sp}');
Expect(1, 12288, '\p{Is_SB=sp}', "");
Expect(0, 12288, '\p{^Is_SB=sp}', "");
Expect(0, 12288, '\P{Is_SB=sp}', "");
Expect(1, 12288, '\P{^Is_SB=sp}', "");
Expect(0, 12289, '\p{Is_SB=sp}', "");
Expect(1, 12289, '\p{^Is_SB=sp}', "");
Expect(1, 12289, '\P{Is_SB=sp}', "");
Expect(0, 12289, '\P{^Is_SB=sp}', "");
Expect(1, 12288, '\p{Is_SB=  sp}', "");
Expect(0, 12288, '\p{^Is_SB=  sp}', "");
Expect(0, 12288, '\P{Is_SB=  sp}', "");
Expect(1, 12288, '\P{^Is_SB=  sp}', "");
Expect(0, 12289, '\p{Is_SB=  sp}', "");
Expect(1, 12289, '\p{^Is_SB=  sp}', "");
Expect(1, 12289, '\P{Is_SB=  sp}', "");
Expect(0, 12289, '\P{^Is_SB=  sp}', "");
Error('\p{Sentence_Break=/a/sterm}');
Error('\P{Sentence_Break=/a/sterm}');
Expect(1, 121480, '\p{Sentence_Break=sterm}', "");
Expect(0, 121480, '\p{^Sentence_Break=sterm}', "");
Expect(0, 121480, '\P{Sentence_Break=sterm}', "");
Expect(1, 121480, '\P{^Sentence_Break=sterm}', "");
Expect(0, 121481, '\p{Sentence_Break=sterm}', "");
Expect(1, 121481, '\p{^Sentence_Break=sterm}', "");
Expect(1, 121481, '\P{Sentence_Break=sterm}', "");
Expect(0, 121481, '\P{^Sentence_Break=sterm}', "");
Expect(1, 121480, '\p{Sentence_Break=_ STERM}', "");
Expect(0, 121480, '\p{^Sentence_Break=_ STERM}', "");
Expect(0, 121480, '\P{Sentence_Break=_ STERM}', "");
Expect(1, 121480, '\P{^Sentence_Break=_ STERM}', "");
Expect(0, 121481, '\p{Sentence_Break=_ STERM}', "");
Expect(1, 121481, '\p{^Sentence_Break=_ STERM}', "");
Expect(1, 121481, '\P{Sentence_Break=_ STERM}', "");
Expect(0, 121481, '\P{^Sentence_Break=_ STERM}', "");
Error('\p{SB=:=st}');
Error('\P{SB=:=st}');
Expect(1, 121480, '\p{SB=st}', "");
Expect(0, 121480, '\p{^SB=st}', "");
Expect(0, 121480, '\P{SB=st}', "");
Expect(1, 121480, '\P{^SB=st}', "");
Expect(0, 121481, '\p{SB=st}', "");
Expect(1, 121481, '\p{^SB=st}', "");
Expect(1, 121481, '\P{SB=st}', "");
Expect(0, 121481, '\P{^SB=st}', "");
Expect(1, 121480, '\p{SB:-_st}', "");
Expect(0, 121480, '\p{^SB:-_st}', "");
Expect(0, 121480, '\P{SB:-_st}', "");
Expect(1, 121480, '\P{^SB:-_st}', "");
Expect(0, 121481, '\p{SB:-_st}', "");
Expect(1, 121481, '\p{^SB:-_st}', "");
Expect(1, 121481, '\P{SB:-_st}', "");
Expect(0, 121481, '\P{^SB:-_st}', "");
Error('\p{Is_Sentence_Break:/a/ 	STerm}');
Error('\P{Is_Sentence_Break:/a/ 	STerm}');
Expect(1, 121480, '\p{Is_Sentence_Break:	sterm}', "");
Expect(0, 121480, '\p{^Is_Sentence_Break:	sterm}', "");
Expect(0, 121480, '\P{Is_Sentence_Break:	sterm}', "");
Expect(1, 121480, '\P{^Is_Sentence_Break:	sterm}', "");
Expect(0, 121481, '\p{Is_Sentence_Break:	sterm}', "");
Expect(1, 121481, '\p{^Is_Sentence_Break:	sterm}', "");
Expect(1, 121481, '\P{Is_Sentence_Break:	sterm}', "");
Expect(0, 121481, '\P{^Is_Sentence_Break:	sterm}', "");
Expect(1, 121480, '\p{Is_Sentence_Break=-STerm}', "");
Expect(0, 121480, '\p{^Is_Sentence_Break=-STerm}', "");
Expect(0, 121480, '\P{Is_Sentence_Break=-STerm}', "");
Expect(1, 121480, '\P{^Is_Sentence_Break=-STerm}', "");
Expect(0, 121481, '\p{Is_Sentence_Break=-STerm}', "");
Expect(1, 121481, '\p{^Is_Sentence_Break=-STerm}', "");
Expect(1, 121481, '\P{Is_Sentence_Break=-STerm}', "");
Expect(0, 121481, '\P{^Is_Sentence_Break=-STerm}', "");
Error('\p{Is_SB:     st:=}');
Error('\P{Is_SB:     st:=}');
Expect(1, 121480, '\p{Is_SB=st}', "");
Expect(0, 121480, '\p{^Is_SB=st}', "");
Expect(0, 121480, '\P{Is_SB=st}', "");
Expect(1, 121480, '\P{^Is_SB=st}', "");
Expect(0, 121481, '\p{Is_SB=st}', "");
Expect(1, 121481, '\p{^Is_SB=st}', "");
Expect(1, 121481, '\P{Is_SB=st}', "");
Expect(0, 121481, '\P{^Is_SB=st}', "");
Expect(1, 121480, '\p{Is_SB=	 ST}', "");
Expect(0, 121480, '\p{^Is_SB=	 ST}', "");
Expect(0, 121480, '\P{Is_SB=	 ST}', "");
Expect(1, 121480, '\P{^Is_SB=	 ST}', "");
Expect(0, 121481, '\p{Is_SB=	 ST}', "");
Expect(1, 121481, '\p{^Is_SB=	 ST}', "");
Expect(1, 121481, '\P{Is_SB=	 ST}', "");
Expect(0, 121481, '\P{^Is_SB=	 ST}', "");
Error('\p{Sentence_Break=/a/	Upper}');
Error('\P{Sentence_Break=/a/	Upper}');
Expect(1, 127369, '\p{Sentence_Break=upper}', "");
Expect(0, 127369, '\p{^Sentence_Break=upper}', "");
Expect(0, 127369, '\P{Sentence_Break=upper}', "");
Expect(1, 127369, '\P{^Sentence_Break=upper}', "");
Expect(0, 127370, '\p{Sentence_Break=upper}', "");
Expect(1, 127370, '\p{^Sentence_Break=upper}', "");
Expect(1, 127370, '\P{Sentence_Break=upper}', "");
Expect(0, 127370, '\P{^Sentence_Break=upper}', "");
Expect(1, 127369, '\p{Sentence_Break=_	UPPER}', "");
Expect(0, 127369, '\p{^Sentence_Break=_	UPPER}', "");
Expect(0, 127369, '\P{Sentence_Break=_	UPPER}', "");
Expect(1, 127369, '\P{^Sentence_Break=_	UPPER}', "");
Expect(0, 127370, '\p{Sentence_Break=_	UPPER}', "");
Expect(1, 127370, '\p{^Sentence_Break=_	UPPER}', "");
Expect(1, 127370, '\P{Sentence_Break=_	UPPER}', "");
Expect(0, 127370, '\P{^Sentence_Break=_	UPPER}', "");
Error('\p{SB=:= up}');
Error('\P{SB=:= up}');
Expect(1, 127369, '\p{SB=up}', "");
Expect(0, 127369, '\p{^SB=up}', "");
Expect(0, 127369, '\P{SB=up}', "");
Expect(1, 127369, '\P{^SB=up}', "");
Expect(0, 127370, '\p{SB=up}', "");
Expect(1, 127370, '\p{^SB=up}', "");
Expect(1, 127370, '\P{SB=up}', "");
Expect(0, 127370, '\P{^SB=up}', "");
Expect(1, 127369, '\p{SB: _UP}', "");
Expect(0, 127369, '\p{^SB: _UP}', "");
Expect(0, 127369, '\P{SB: _UP}', "");
Expect(1, 127369, '\P{^SB: _UP}', "");
Expect(0, 127370, '\p{SB: _UP}', "");
Expect(1, 127370, '\p{^SB: _UP}', "");
Expect(1, 127370, '\P{SB: _UP}', "");
Expect(0, 127370, '\P{^SB: _UP}', "");
Error('\p{Is_Sentence_Break=_UPPER:=}');
Error('\P{Is_Sentence_Break=_UPPER:=}');
Expect(1, 127369, '\p{Is_Sentence_Break=upper}', "");
Expect(0, 127369, '\p{^Is_Sentence_Break=upper}', "");
Expect(0, 127369, '\P{Is_Sentence_Break=upper}', "");
Expect(1, 127369, '\P{^Is_Sentence_Break=upper}', "");
Expect(0, 127370, '\p{Is_Sentence_Break=upper}', "");
Expect(1, 127370, '\p{^Is_Sentence_Break=upper}', "");
Expect(1, 127370, '\P{Is_Sentence_Break=upper}', "");
Expect(0, 127370, '\P{^Is_Sentence_Break=upper}', "");
Expect(1, 127369, '\p{Is_Sentence_Break=-_UPPER}', "");
Expect(0, 127369, '\p{^Is_Sentence_Break=-_UPPER}', "");
Expect(0, 127369, '\P{Is_Sentence_Break=-_UPPER}', "");
Expect(1, 127369, '\P{^Is_Sentence_Break=-_UPPER}', "");
Expect(0, 127370, '\p{Is_Sentence_Break=-_UPPER}', "");
Expect(1, 127370, '\p{^Is_Sentence_Break=-_UPPER}', "");
Expect(1, 127370, '\P{Is_Sentence_Break=-_UPPER}', "");
Expect(0, 127370, '\P{^Is_Sentence_Break=-_UPPER}', "");
Error('\p{Is_SB=_UP/a/}');
Error('\P{Is_SB=_UP/a/}');
Expect(1, 127369, '\p{Is_SB=up}', "");
Expect(0, 127369, '\p{^Is_SB=up}', "");
Expect(0, 127369, '\P{Is_SB=up}', "");
Expect(1, 127369, '\P{^Is_SB=up}', "");
Expect(0, 127370, '\p{Is_SB=up}', "");
Expect(1, 127370, '\p{^Is_SB=up}', "");
Expect(1, 127370, '\P{Is_SB=up}', "");
Expect(0, 127370, '\P{^Is_SB=up}', "");
Expect(1, 127369, '\p{Is_SB=_-UP}', "");
Expect(0, 127369, '\p{^Is_SB=_-UP}', "");
Expect(0, 127369, '\P{Is_SB=_-UP}', "");
Expect(1, 127369, '\P{^Is_SB=_-UP}', "");
Expect(0, 127370, '\p{Is_SB=_-UP}', "");
Expect(1, 127370, '\p{^Is_SB=_-UP}', "");
Expect(1, 127370, '\P{Is_SB=_-UP}', "");
Expect(0, 127370, '\P{^Is_SB=_-UP}', "");
Error('\p{Sentence_Break= /a/OTHER}');
Error('\P{Sentence_Break= /a/OTHER}');
Expect(1, 918000, '\p{Sentence_Break=other}', "");
Expect(0, 918000, '\p{^Sentence_Break=other}', "");
Expect(0, 918000, '\P{Sentence_Break=other}', "");
Expect(1, 918000, '\P{^Sentence_Break=other}', "");
Expect(0, 917999, '\p{Sentence_Break=other}', "");
Expect(1, 917999, '\p{^Sentence_Break=other}', "");
Expect(1, 917999, '\P{Sentence_Break=other}', "");
Expect(0, 917999, '\P{^Sentence_Break=other}', "");
Expect(1, 918000, '\p{Sentence_Break=		Other}', "");
Expect(0, 918000, '\p{^Sentence_Break=		Other}', "");
Expect(0, 918000, '\P{Sentence_Break=		Other}', "");
Expect(1, 918000, '\P{^Sentence_Break=		Other}', "");
Expect(0, 917999, '\p{Sentence_Break=		Other}', "");
Expect(1, 917999, '\p{^Sentence_Break=		Other}', "");
Expect(1, 917999, '\P{Sentence_Break=		Other}', "");
Expect(0, 917999, '\P{^Sentence_Break=		Other}', "");
Error('\p{SB: -/a/XX}');
Error('\P{SB: -/a/XX}');
Expect(1, 918000, '\p{SB=xx}', "");
Expect(0, 918000, '\p{^SB=xx}', "");
Expect(0, 918000, '\P{SB=xx}', "");
Expect(1, 918000, '\P{^SB=xx}', "");
Expect(0, 917999, '\p{SB=xx}', "");
Expect(1, 917999, '\p{^SB=xx}', "");
Expect(1, 917999, '\P{SB=xx}', "");
Expect(0, 917999, '\P{^SB=xx}', "");
Expect(1, 918000, '\p{SB=	xx}', "");
Expect(0, 918000, '\p{^SB=	xx}', "");
Expect(0, 918000, '\P{SB=	xx}', "");
Expect(1, 918000, '\P{^SB=	xx}', "");
Expect(0, 917999, '\p{SB=	xx}', "");
Expect(1, 917999, '\p{^SB=	xx}', "");
Expect(1, 917999, '\P{SB=	xx}', "");
Expect(0, 917999, '\P{^SB=	xx}', "");
Error('\p{Is_Sentence_Break= /a/OTHER}');
Error('\P{Is_Sentence_Break= /a/OTHER}');
Expect(1, 918000, '\p{Is_Sentence_Break=other}', "");
Expect(0, 918000, '\p{^Is_Sentence_Break=other}', "");
Expect(0, 918000, '\P{Is_Sentence_Break=other}', "");
Expect(1, 918000, '\P{^Is_Sentence_Break=other}', "");
Expect(0, 917999, '\p{Is_Sentence_Break=other}', "");
Expect(1, 917999, '\p{^Is_Sentence_Break=other}', "");
Expect(1, 917999, '\P{Is_Sentence_Break=other}', "");
Expect(0, 917999, '\P{^Is_Sentence_Break=other}', "");
Expect(1, 918000, '\p{Is_Sentence_Break=	Other}', "");
Expect(0, 918000, '\p{^Is_Sentence_Break=	Other}', "");
Expect(0, 918000, '\P{Is_Sentence_Break=	Other}', "");
Expect(1, 918000, '\P{^Is_Sentence_Break=	Other}', "");
Expect(0, 917999, '\p{Is_Sentence_Break=	Other}', "");
Expect(1, 917999, '\p{^Is_Sentence_Break=	Other}', "");
Expect(1, 917999, '\P{Is_Sentence_Break=	Other}', "");
Expect(0, 917999, '\P{^Is_Sentence_Break=	Other}', "");
Error('\p{Is_SB=/a/ _XX}');
Error('\P{Is_SB=/a/ _XX}');
Expect(1, 918000, '\p{Is_SB: xx}', "");
Expect(0, 918000, '\p{^Is_SB: xx}', "");
Expect(0, 918000, '\P{Is_SB: xx}', "");
Expect(1, 918000, '\P{^Is_SB: xx}', "");
Expect(0, 917999, '\p{Is_SB: xx}', "");
Expect(1, 917999, '\p{^Is_SB: xx}', "");
Expect(1, 917999, '\P{Is_SB: xx}', "");
Expect(0, 917999, '\P{^Is_SB: xx}', "");
Expect(1, 918000, '\p{Is_SB=_ XX}', "");
Expect(0, 918000, '\p{^Is_SB=_ XX}', "");
Expect(0, 918000, '\P{Is_SB=_ XX}', "");
Expect(1, 918000, '\P{^Is_SB=_ XX}', "");
Expect(0, 917999, '\p{Is_SB=_ XX}', "");
Expect(1, 917999, '\p{^Is_SB=_ XX}', "");
Expect(1, 917999, '\P{Is_SB=_ XX}', "");
Expect(0, 917999, '\P{^Is_SB=_ XX}', "");
Error('\p{Soft_Dotted: _	no/a/}');
Error('\P{Soft_Dotted: _	no/a/}');
Expect(1, 120468, '\p{Soft_Dotted=no}', "");
Expect(0, 120468, '\p{^Soft_Dotted=no}', "");
Expect(0, 120468, '\P{Soft_Dotted=no}', "");
Expect(1, 120468, '\P{^Soft_Dotted=no}', "");
Expect(0, 120467, '\p{Soft_Dotted=no}', "");
Expect(1, 120467, '\p{^Soft_Dotted=no}', "");
Expect(1, 120467, '\P{Soft_Dotted=no}', "");
Expect(0, 120467, '\P{^Soft_Dotted=no}', "");
Expect(1, 120468, '\p{Soft_Dotted:__NO}', "");
Expect(0, 120468, '\p{^Soft_Dotted:__NO}', "");
Expect(0, 120468, '\P{Soft_Dotted:__NO}', "");
Expect(1, 120468, '\P{^Soft_Dotted:__NO}', "");
Expect(0, 120467, '\p{Soft_Dotted:__NO}', "");
Expect(1, 120467, '\p{^Soft_Dotted:__NO}', "");
Expect(1, 120467, '\P{Soft_Dotted:__NO}', "");
Expect(0, 120467, '\P{^Soft_Dotted:__NO}', "");
Error('\p{SD: /a/		N}');
Error('\P{SD: /a/		N}');
Expect(1, 120468, '\p{SD=n}', "");
Expect(0, 120468, '\p{^SD=n}', "");
Expect(0, 120468, '\P{SD=n}', "");
Expect(1, 120468, '\P{^SD=n}', "");
Expect(0, 120467, '\p{SD=n}', "");
Expect(1, 120467, '\p{^SD=n}', "");
Expect(1, 120467, '\P{SD=n}', "");
Expect(0, 120467, '\P{^SD=n}', "");
Expect(1, 120468, '\p{SD=- N}', "");
Expect(0, 120468, '\p{^SD=- N}', "");
Expect(0, 120468, '\P{SD=- N}', "");
Expect(1, 120468, '\P{^SD=- N}', "");
Expect(0, 120467, '\p{SD=- N}', "");
Expect(1, 120467, '\p{^SD=- N}', "");
Expect(1, 120467, '\P{SD=- N}', "");
Expect(0, 120467, '\P{^SD=- N}', "");
Error('\p{Is_Soft_Dotted= F:=}');
Error('\P{Is_Soft_Dotted= F:=}');
Expect(1, 120468, '\p{Is_Soft_Dotted=f}', "");
Expect(0, 120468, '\p{^Is_Soft_Dotted=f}', "");
Expect(0, 120468, '\P{Is_Soft_Dotted=f}', "");
Expect(1, 120468, '\P{^Is_Soft_Dotted=f}', "");
Expect(0, 120467, '\p{Is_Soft_Dotted=f}', "");
Expect(1, 120467, '\p{^Is_Soft_Dotted=f}', "");
Expect(1, 120467, '\P{Is_Soft_Dotted=f}', "");
Expect(0, 120467, '\P{^Is_Soft_Dotted=f}', "");
Expect(1, 120468, '\p{Is_Soft_Dotted:_-F}', "");
Expect(0, 120468, '\p{^Is_Soft_Dotted:_-F}', "");
Expect(0, 120468, '\P{Is_Soft_Dotted:_-F}', "");
Expect(1, 120468, '\P{^Is_Soft_Dotted:_-F}', "");
Expect(0, 120467, '\p{Is_Soft_Dotted:_-F}', "");
Expect(1, 120467, '\p{^Is_Soft_Dotted:_-F}', "");
Expect(1, 120467, '\P{Is_Soft_Dotted:_-F}', "");
Expect(0, 120467, '\P{^Is_Soft_Dotted:_-F}', "");
Error('\p{Is_SD= 	False/a/}');
Error('\P{Is_SD= 	False/a/}');
Expect(1, 120468, '\p{Is_SD:	false}', "");
Expect(0, 120468, '\p{^Is_SD:	false}', "");
Expect(0, 120468, '\P{Is_SD:	false}', "");
Expect(1, 120468, '\P{^Is_SD:	false}', "");
Expect(0, 120467, '\p{Is_SD:	false}', "");
Expect(1, 120467, '\p{^Is_SD:	false}', "");
Expect(1, 120467, '\P{Is_SD:	false}', "");
Expect(0, 120467, '\P{^Is_SD:	false}', "");
Expect(1, 120468, '\p{Is_SD=	_False}', "");
Expect(0, 120468, '\p{^Is_SD=	_False}', "");
Expect(0, 120468, '\P{Is_SD=	_False}', "");
Expect(1, 120468, '\P{^Is_SD=	_False}', "");
Expect(0, 120467, '\p{Is_SD=	_False}', "");
Expect(1, 120467, '\p{^Is_SD=	_False}', "");
Expect(1, 120467, '\P{Is_SD=	_False}', "");
Expect(0, 120467, '\P{^Is_SD=	_False}', "");
Error('\p{Soft_Dotted=  Yes:=}');
Error('\P{Soft_Dotted=  Yes:=}');
Expect(1, 120467, '\p{Soft_Dotted=yes}', "");
Expect(0, 120467, '\p{^Soft_Dotted=yes}', "");
Expect(0, 120467, '\P{Soft_Dotted=yes}', "");
Expect(1, 120467, '\P{^Soft_Dotted=yes}', "");
Expect(0, 120468, '\p{Soft_Dotted=yes}', "");
Expect(1, 120468, '\p{^Soft_Dotted=yes}', "");
Expect(1, 120468, '\P{Soft_Dotted=yes}', "");
Expect(0, 120468, '\P{^Soft_Dotted=yes}', "");
Expect(1, 120467, '\p{Soft_Dotted=	YES}', "");
Expect(0, 120467, '\p{^Soft_Dotted=	YES}', "");
Expect(0, 120467, '\P{Soft_Dotted=	YES}', "");
Expect(1, 120467, '\P{^Soft_Dotted=	YES}', "");
Expect(0, 120468, '\p{Soft_Dotted=	YES}', "");
Expect(1, 120468, '\p{^Soft_Dotted=	YES}', "");
Expect(1, 120468, '\P{Soft_Dotted=	YES}', "");
Expect(0, 120468, '\P{^Soft_Dotted=	YES}', "");
Error('\p{SD=	/a/y}');
Error('\P{SD=	/a/y}');
Expect(1, 120467, '\p{SD=y}', "");
Expect(0, 120467, '\p{^SD=y}', "");
Expect(0, 120467, '\P{SD=y}', "");
Expect(1, 120467, '\P{^SD=y}', "");
Expect(0, 120468, '\p{SD=y}', "");
Expect(1, 120468, '\p{^SD=y}', "");
Expect(1, 120468, '\P{SD=y}', "");
Expect(0, 120468, '\P{^SD=y}', "");
Expect(1, 120467, '\p{SD=_y}', "");
Expect(0, 120467, '\p{^SD=_y}', "");
Expect(0, 120467, '\P{SD=_y}', "");
Expect(1, 120467, '\P{^SD=_y}', "");
Expect(0, 120468, '\p{SD=_y}', "");
Expect(1, 120468, '\p{^SD=_y}', "");
Expect(1, 120468, '\P{SD=_y}', "");
Expect(0, 120468, '\P{^SD=_y}', "");
Error('\p{Is_Soft_Dotted= :=t}');
Error('\P{Is_Soft_Dotted= :=t}');
Expect(1, 120467, '\p{Is_Soft_Dotted=t}', "");
Expect(0, 120467, '\p{^Is_Soft_Dotted=t}', "");
Expect(0, 120467, '\P{Is_Soft_Dotted=t}', "");
Expect(1, 120467, '\P{^Is_Soft_Dotted=t}', "");
Expect(0, 120468, '\p{Is_Soft_Dotted=t}', "");
Expect(1, 120468, '\p{^Is_Soft_Dotted=t}', "");
Expect(1, 120468, '\P{Is_Soft_Dotted=t}', "");
Expect(0, 120468, '\P{^Is_Soft_Dotted=t}', "");
Expect(1, 120467, '\p{Is_Soft_Dotted= T}', "");
Expect(0, 120467, '\p{^Is_Soft_Dotted= T}', "");
Expect(0, 120467, '\P{Is_Soft_Dotted= T}', "");
Expect(1, 120467, '\P{^Is_Soft_Dotted= T}', "");
Expect(0, 120468, '\p{Is_Soft_Dotted= T}', "");
Expect(1, 120468, '\p{^Is_Soft_Dotted= T}', "");
Expect(1, 120468, '\P{Is_Soft_Dotted= T}', "");
Expect(0, 120468, '\P{^Is_Soft_Dotted= T}', "");
Error('\p{Is_SD=/a/- true}');
Error('\P{Is_SD=/a/- true}');
Expect(1, 120467, '\p{Is_SD=true}', "");
Expect(0, 120467, '\p{^Is_SD=true}', "");
Expect(0, 120467, '\P{Is_SD=true}', "");
Expect(1, 120467, '\P{^Is_SD=true}', "");
Expect(0, 120468, '\p{Is_SD=true}', "");
Expect(1, 120468, '\p{^Is_SD=true}', "");
Expect(1, 120468, '\P{Is_SD=true}', "");
Expect(0, 120468, '\P{^Is_SD=true}', "");
Expect(1, 120467, '\p{Is_SD=-_true}', "");
Expect(0, 120467, '\p{^Is_SD=-_true}', "");
Expect(0, 120467, '\P{Is_SD=-_true}', "");
Expect(1, 120467, '\P{^Is_SD=-_true}', "");
Expect(0, 120468, '\p{Is_SD=-_true}', "");
Expect(1, 120468, '\p{^Is_SD=-_true}', "");
Expect(1, 120468, '\P{Is_SD=-_true}', "");
Expect(0, 120468, '\P{^Is_SD=-_true}', "");
Error('\p{STerm=-:=No}');
Error('\P{STerm=-:=No}');
Expect(1, 121481, '\p{STerm:   no}', "");
Expect(0, 121481, '\p{^STerm:   no}', "");
Expect(0, 121481, '\P{STerm:   no}', "");
Expect(1, 121481, '\P{^STerm:   no}', "");
Expect(0, 121480, '\p{STerm:   no}', "");
Expect(1, 121480, '\p{^STerm:   no}', "");
Expect(1, 121480, '\P{STerm:   no}', "");
Expect(0, 121480, '\P{^STerm:   no}', "");
Expect(1, 121481, '\p{STerm=-	No}', "");
Expect(0, 121481, '\p{^STerm=-	No}', "");
Expect(0, 121481, '\P{STerm=-	No}', "");
Expect(1, 121481, '\P{^STerm=-	No}', "");
Expect(0, 121480, '\p{STerm=-	No}', "");
Expect(1, 121480, '\p{^STerm=-	No}', "");
Expect(1, 121480, '\P{STerm=-	No}', "");
Expect(0, 121480, '\P{^STerm=-	No}', "");
Error('\p{Is_STerm=/a/ N}');
Error('\P{Is_STerm=/a/ N}');
Expect(1, 121481, '\p{Is_STerm=n}', "");
Expect(0, 121481, '\p{^Is_STerm=n}', "");
Expect(0, 121481, '\P{Is_STerm=n}', "");
Expect(1, 121481, '\P{^Is_STerm=n}', "");
Expect(0, 121480, '\p{Is_STerm=n}', "");
Expect(1, 121480, '\p{^Is_STerm=n}', "");
Expect(1, 121480, '\P{Is_STerm=n}', "");
Expect(0, 121480, '\P{^Is_STerm=n}', "");
Expect(1, 121481, '\p{Is_STerm=	_n}', "");
Expect(0, 121481, '\p{^Is_STerm=	_n}', "");
Expect(0, 121481, '\P{Is_STerm=	_n}', "");
Expect(1, 121481, '\P{^Is_STerm=	_n}', "");
Expect(0, 121480, '\p{Is_STerm=	_n}', "");
Expect(1, 121480, '\p{^Is_STerm=	_n}', "");
Expect(1, 121480, '\P{Is_STerm=	_n}', "");
Expect(0, 121480, '\P{^Is_STerm=	_n}', "");
Error('\p{STerm:   /a/ F}');
Error('\P{STerm:   /a/ F}');
Expect(1, 121481, '\p{STerm=f}', "");
Expect(0, 121481, '\p{^STerm=f}', "");
Expect(0, 121481, '\P{STerm=f}', "");
Expect(1, 121481, '\P{^STerm=f}', "");
Expect(0, 121480, '\p{STerm=f}', "");
Expect(1, 121480, '\p{^STerm=f}', "");
Expect(1, 121480, '\P{STerm=f}', "");
Expect(0, 121480, '\P{^STerm=f}', "");
Expect(1, 121481, '\p{STerm=	 F}', "");
Expect(0, 121481, '\p{^STerm=	 F}', "");
Expect(0, 121481, '\P{STerm=	 F}', "");
Expect(1, 121481, '\P{^STerm=	 F}', "");
Expect(0, 121480, '\p{STerm=	 F}', "");
Expect(1, 121480, '\p{^STerm=	 F}', "");
Expect(1, 121480, '\P{STerm=	 F}', "");
Expect(0, 121480, '\P{^STerm=	 F}', "");
Error('\p{Is_STerm=/a/_FALSE}');
Error('\P{Is_STerm=/a/_FALSE}');
Expect(1, 121481, '\p{Is_STerm=false}', "");
Expect(0, 121481, '\p{^Is_STerm=false}', "");
Expect(0, 121481, '\P{Is_STerm=false}', "");
Expect(1, 121481, '\P{^Is_STerm=false}', "");
Expect(0, 121480, '\p{Is_STerm=false}', "");
Expect(1, 121480, '\p{^Is_STerm=false}', "");
Expect(1, 121480, '\P{Is_STerm=false}', "");
Expect(0, 121480, '\P{^Is_STerm=false}', "");
Expect(1, 121481, '\p{Is_STerm= FALSE}', "");
Expect(0, 121481, '\p{^Is_STerm= FALSE}', "");
Expect(0, 121481, '\P{Is_STerm= FALSE}', "");
Expect(1, 121481, '\P{^Is_STerm= FALSE}', "");
Expect(0, 121480, '\p{Is_STerm= FALSE}', "");
Expect(1, 121480, '\p{^Is_STerm= FALSE}', "");
Expect(1, 121480, '\P{Is_STerm= FALSE}', "");
Expect(0, 121480, '\P{^Is_STerm= FALSE}', "");
Error('\p{STerm:	- YES:=}');
Error('\P{STerm:	- YES:=}');
Expect(1, 121480, '\p{STerm=yes}', "");
Expect(0, 121480, '\p{^STerm=yes}', "");
Expect(0, 121480, '\P{STerm=yes}', "");
Expect(1, 121480, '\P{^STerm=yes}', "");
Expect(0, 121481, '\p{STerm=yes}', "");
Expect(1, 121481, '\p{^STerm=yes}', "");
Expect(1, 121481, '\P{STerm=yes}', "");
Expect(0, 121481, '\P{^STerm=yes}', "");
Expect(1, 121480, '\p{STerm=Yes}', "");
Expect(0, 121480, '\p{^STerm=Yes}', "");
Expect(0, 121480, '\P{STerm=Yes}', "");
Expect(1, 121480, '\P{^STerm=Yes}', "");
Expect(0, 121481, '\p{STerm=Yes}', "");
Expect(1, 121481, '\p{^STerm=Yes}', "");
Expect(1, 121481, '\P{STerm=Yes}', "");
Expect(0, 121481, '\P{^STerm=Yes}', "");
Error('\p{Is_STerm=:=_y}');
Error('\P{Is_STerm=:=_y}');
Expect(1, 121480, '\p{Is_STerm=y}', "");
Expect(0, 121480, '\p{^Is_STerm=y}', "");
Expect(0, 121480, '\P{Is_STerm=y}', "");
Expect(1, 121480, '\P{^Is_STerm=y}', "");
Expect(0, 121481, '\p{Is_STerm=y}', "");
Expect(1, 121481, '\p{^Is_STerm=y}', "");
Expect(1, 121481, '\P{Is_STerm=y}', "");
Expect(0, 121481, '\P{^Is_STerm=y}', "");
Expect(1, 121480, '\p{Is_STerm=_	Y}', "");
Expect(0, 121480, '\p{^Is_STerm=_	Y}', "");
Expect(0, 121480, '\P{Is_STerm=_	Y}', "");
Expect(1, 121480, '\P{^Is_STerm=_	Y}', "");
Expect(0, 121481, '\p{Is_STerm=_	Y}', "");
Expect(1, 121481, '\p{^Is_STerm=_	Y}', "");
Expect(1, 121481, '\P{Is_STerm=_	Y}', "");
Expect(0, 121481, '\P{^Is_STerm=_	Y}', "");
Error('\p{STerm=_:=T}');
Error('\P{STerm=_:=T}');
Expect(1, 121480, '\p{STerm=t}', "");
Expect(0, 121480, '\p{^STerm=t}', "");
Expect(0, 121480, '\P{STerm=t}', "");
Expect(1, 121480, '\P{^STerm=t}', "");
Expect(0, 121481, '\p{STerm=t}', "");
Expect(1, 121481, '\p{^STerm=t}', "");
Expect(1, 121481, '\P{STerm=t}', "");
Expect(0, 121481, '\P{^STerm=t}', "");
Expect(1, 121480, '\p{STerm:   --T}', "");
Expect(0, 121480, '\p{^STerm:   --T}', "");
Expect(0, 121480, '\P{STerm:   --T}', "");
Expect(1, 121480, '\P{^STerm:   --T}', "");
Expect(0, 121481, '\p{STerm:   --T}', "");
Expect(1, 121481, '\p{^STerm:   --T}', "");
Expect(1, 121481, '\P{STerm:   --T}', "");
Expect(0, 121481, '\P{^STerm:   --T}', "");
Error('\p{Is_STerm= True:=}');
Error('\P{Is_STerm= True:=}');
Expect(1, 121480, '\p{Is_STerm=true}', "");
Expect(0, 121480, '\p{^Is_STerm=true}', "");
Expect(0, 121480, '\P{Is_STerm=true}', "");
Expect(1, 121480, '\P{^Is_STerm=true}', "");
Expect(0, 121481, '\p{Is_STerm=true}', "");
Expect(1, 121481, '\p{^Is_STerm=true}', "");
Expect(1, 121481, '\P{Is_STerm=true}', "");
Expect(0, 121481, '\P{^Is_STerm=true}', "");
Expect(1, 121480, '\p{Is_STerm=-true}', "");
Expect(0, 121480, '\p{^Is_STerm=-true}', "");
Expect(0, 121480, '\P{Is_STerm=-true}', "");
Expect(1, 121480, '\P{^Is_STerm=-true}', "");
Expect(0, 121481, '\p{Is_STerm=-true}', "");
Expect(1, 121481, '\p{^Is_STerm=-true}', "");
Expect(1, 121481, '\P{Is_STerm=-true}', "");
Expect(0, 121481, '\P{^Is_STerm=-true}', "");
Error('\p{Terminal_Punctuation=/a/- No}');
Error('\P{Terminal_Punctuation=/a/- No}');
Expect(1, 121483, '\p{Terminal_Punctuation:no}', "");
Expect(0, 121483, '\p{^Terminal_Punctuation:no}', "");
Expect(0, 121483, '\P{Terminal_Punctuation:no}', "");
Expect(1, 121483, '\P{^Terminal_Punctuation:no}', "");
Expect(0, 121482, '\p{Terminal_Punctuation:no}', "");
Expect(1, 121482, '\p{^Terminal_Punctuation:no}', "");
Expect(1, 121482, '\P{Terminal_Punctuation:no}', "");
Expect(0, 121482, '\P{^Terminal_Punctuation:no}', "");
Expect(1, 121483, '\p{Terminal_Punctuation=-_No}', "");
Expect(0, 121483, '\p{^Terminal_Punctuation=-_No}', "");
Expect(0, 121483, '\P{Terminal_Punctuation=-_No}', "");
Expect(1, 121483, '\P{^Terminal_Punctuation=-_No}', "");
Expect(0, 121482, '\p{Terminal_Punctuation=-_No}', "");
Expect(1, 121482, '\p{^Terminal_Punctuation=-_No}', "");
Expect(1, 121482, '\P{Terminal_Punctuation=-_No}', "");
Expect(0, 121482, '\P{^Terminal_Punctuation=-_No}', "");
Error('\p{Term=	/a/n}');
Error('\P{Term=	/a/n}');
Expect(1, 121483, '\p{Term=n}', "");
Expect(0, 121483, '\p{^Term=n}', "");
Expect(0, 121483, '\P{Term=n}', "");
Expect(1, 121483, '\P{^Term=n}', "");
Expect(0, 121482, '\p{Term=n}', "");
Expect(1, 121482, '\p{^Term=n}', "");
Expect(1, 121482, '\P{Term=n}', "");
Expect(0, 121482, '\P{^Term=n}', "");
Expect(1, 121483, '\p{Term=_	n}', "");
Expect(0, 121483, '\p{^Term=_	n}', "");
Expect(0, 121483, '\P{Term=_	n}', "");
Expect(1, 121483, '\P{^Term=_	n}', "");
Expect(0, 121482, '\p{Term=_	n}', "");
Expect(1, 121482, '\p{^Term=_	n}', "");
Expect(1, 121482, '\P{Term=_	n}', "");
Expect(0, 121482, '\P{^Term=_	n}', "");
Error('\p{Is_Terminal_Punctuation=	/a/F}');
Error('\P{Is_Terminal_Punctuation=	/a/F}');
Expect(1, 121483, '\p{Is_Terminal_Punctuation: f}', "");
Expect(0, 121483, '\p{^Is_Terminal_Punctuation: f}', "");
Expect(0, 121483, '\P{Is_Terminal_Punctuation: f}', "");
Expect(1, 121483, '\P{^Is_Terminal_Punctuation: f}', "");
Expect(0, 121482, '\p{Is_Terminal_Punctuation: f}', "");
Expect(1, 121482, '\p{^Is_Terminal_Punctuation: f}', "");
Expect(1, 121482, '\P{Is_Terminal_Punctuation: f}', "");
Expect(0, 121482, '\P{^Is_Terminal_Punctuation: f}', "");
Expect(1, 121483, '\p{Is_Terminal_Punctuation:- F}', "");
Expect(0, 121483, '\p{^Is_Terminal_Punctuation:- F}', "");
Expect(0, 121483, '\P{Is_Terminal_Punctuation:- F}', "");
Expect(1, 121483, '\P{^Is_Terminal_Punctuation:- F}', "");
Expect(0, 121482, '\p{Is_Terminal_Punctuation:- F}', "");
Expect(1, 121482, '\p{^Is_Terminal_Punctuation:- F}', "");
Expect(1, 121482, '\P{Is_Terminal_Punctuation:- F}', "");
Expect(0, 121482, '\P{^Is_Terminal_Punctuation:- F}', "");
Error('\p{Is_Term=:=-False}');
Error('\P{Is_Term=:=-False}');
Expect(1, 121483, '\p{Is_Term=false}', "");
Expect(0, 121483, '\p{^Is_Term=false}', "");
Expect(0, 121483, '\P{Is_Term=false}', "");
Expect(1, 121483, '\P{^Is_Term=false}', "");
Expect(0, 121482, '\p{Is_Term=false}', "");
Expect(1, 121482, '\p{^Is_Term=false}', "");
Expect(1, 121482, '\P{Is_Term=false}', "");
Expect(0, 121482, '\P{^Is_Term=false}', "");
Expect(1, 121483, '\p{Is_Term:-	False}', "");
Expect(0, 121483, '\p{^Is_Term:-	False}', "");
Expect(0, 121483, '\P{Is_Term:-	False}', "");
Expect(1, 121483, '\P{^Is_Term:-	False}', "");
Expect(0, 121482, '\p{Is_Term:-	False}', "");
Expect(1, 121482, '\p{^Is_Term:-	False}', "");
Expect(1, 121482, '\P{Is_Term:-	False}', "");
Expect(0, 121482, '\P{^Is_Term:-	False}', "");
Error('\p{Terminal_Punctuation: 	/a/YES}');
Error('\P{Terminal_Punctuation: 	/a/YES}');
Expect(1, 121482, '\p{Terminal_Punctuation=yes}', "");
Expect(0, 121482, '\p{^Terminal_Punctuation=yes}', "");
Expect(0, 121482, '\P{Terminal_Punctuation=yes}', "");
Expect(1, 121482, '\P{^Terminal_Punctuation=yes}', "");
Expect(0, 121483, '\p{Terminal_Punctuation=yes}', "");
Expect(1, 121483, '\p{^Terminal_Punctuation=yes}', "");
Expect(1, 121483, '\P{Terminal_Punctuation=yes}', "");
Expect(0, 121483, '\P{^Terminal_Punctuation=yes}', "");
Expect(1, 121482, '\p{Terminal_Punctuation=-_Yes}', "");
Expect(0, 121482, '\p{^Terminal_Punctuation=-_Yes}', "");
Expect(0, 121482, '\P{Terminal_Punctuation=-_Yes}', "");
Expect(1, 121482, '\P{^Terminal_Punctuation=-_Yes}', "");
Expect(0, 121483, '\p{Terminal_Punctuation=-_Yes}', "");
Expect(1, 121483, '\p{^Terminal_Punctuation=-_Yes}', "");
Expect(1, 121483, '\P{Terminal_Punctuation=-_Yes}', "");
Expect(0, 121483, '\P{^Terminal_Punctuation=-_Yes}', "");
Error('\p{Term=:=	Y}');
Error('\P{Term=:=	Y}');
Expect(1, 121482, '\p{Term=y}', "");
Expect(0, 121482, '\p{^Term=y}', "");
Expect(0, 121482, '\P{Term=y}', "");
Expect(1, 121482, '\P{^Term=y}', "");
Expect(0, 121483, '\p{Term=y}', "");
Expect(1, 121483, '\p{^Term=y}', "");
Expect(1, 121483, '\P{Term=y}', "");
Expect(0, 121483, '\P{^Term=y}', "");
Expect(1, 121482, '\p{Term=_Y}', "");
Expect(0, 121482, '\p{^Term=_Y}', "");
Expect(0, 121482, '\P{Term=_Y}', "");
Expect(1, 121482, '\P{^Term=_Y}', "");
Expect(0, 121483, '\p{Term=_Y}', "");
Expect(1, 121483, '\p{^Term=_Y}', "");
Expect(1, 121483, '\P{Term=_Y}', "");
Expect(0, 121483, '\P{^Term=_Y}', "");
Error('\p{Is_Terminal_Punctuation:	:=T}');
Error('\P{Is_Terminal_Punctuation:	:=T}');
Expect(1, 121482, '\p{Is_Terminal_Punctuation=t}', "");
Expect(0, 121482, '\p{^Is_Terminal_Punctuation=t}', "");
Expect(0, 121482, '\P{Is_Terminal_Punctuation=t}', "");
Expect(1, 121482, '\P{^Is_Terminal_Punctuation=t}', "");
Expect(0, 121483, '\p{Is_Terminal_Punctuation=t}', "");
Expect(1, 121483, '\p{^Is_Terminal_Punctuation=t}', "");
Expect(1, 121483, '\P{Is_Terminal_Punctuation=t}', "");
Expect(0, 121483, '\P{^Is_Terminal_Punctuation=t}', "");
Expect(1, 121482, '\p{Is_Terminal_Punctuation=--T}', "");
Expect(0, 121482, '\p{^Is_Terminal_Punctuation=--T}', "");
Expect(0, 121482, '\P{Is_Terminal_Punctuation=--T}', "");
Expect(1, 121482, '\P{^Is_Terminal_Punctuation=--T}', "");
Expect(0, 121483, '\p{Is_Terminal_Punctuation=--T}', "");
Expect(1, 121483, '\p{^Is_Terminal_Punctuation=--T}', "");
Expect(1, 121483, '\P{Is_Terminal_Punctuation=--T}', "");
Expect(0, 121483, '\P{^Is_Terminal_Punctuation=--T}', "");
Error('\p{Is_Term=:=  TRUE}');
Error('\P{Is_Term=:=  TRUE}');
Expect(1, 121482, '\p{Is_Term=true}', "");
Expect(0, 121482, '\p{^Is_Term=true}', "");
Expect(0, 121482, '\P{Is_Term=true}', "");
Expect(1, 121482, '\P{^Is_Term=true}', "");
Expect(0, 121483, '\p{Is_Term=true}', "");
Expect(1, 121483, '\p{^Is_Term=true}', "");
Expect(1, 121483, '\P{Is_Term=true}', "");
Expect(0, 121483, '\P{^Is_Term=true}', "");
Expect(1, 121482, '\p{Is_Term=	True}', "");
Expect(0, 121482, '\p{^Is_Term=	True}', "");
Expect(0, 121482, '\P{Is_Term=	True}', "");
Expect(1, 121482, '\P{^Is_Term=	True}', "");
Expect(0, 121483, '\p{Is_Term=	True}', "");
Expect(1, 121483, '\p{^Is_Term=	True}', "");
Expect(1, 121483, '\P{Is_Term=	True}', "");
Expect(0, 121483, '\P{^Is_Term=	True}', "");
Error('\p{Unified_Ideograph=:=	-No}');
Error('\P{Unified_Ideograph=:=	-No}');
Expect(1, 183970, '\p{Unified_Ideograph=no}', "");
Expect(0, 183970, '\p{^Unified_Ideograph=no}', "");
Expect(0, 183970, '\P{Unified_Ideograph=no}', "");
Expect(1, 183970, '\P{^Unified_Ideograph=no}', "");
Expect(0, 183969, '\p{Unified_Ideograph=no}', "");
Expect(1, 183969, '\p{^Unified_Ideograph=no}', "");
Expect(1, 183969, '\P{Unified_Ideograph=no}', "");
Expect(0, 183969, '\P{^Unified_Ideograph=no}', "");
Expect(1, 183970, '\p{Unified_Ideograph: 	No}', "");
Expect(0, 183970, '\p{^Unified_Ideograph: 	No}', "");
Expect(0, 183970, '\P{Unified_Ideograph: 	No}', "");
Expect(1, 183970, '\P{^Unified_Ideograph: 	No}', "");
Expect(0, 183969, '\p{Unified_Ideograph: 	No}', "");
Expect(1, 183969, '\p{^Unified_Ideograph: 	No}', "");
Expect(1, 183969, '\P{Unified_Ideograph: 	No}', "");
Expect(0, 183969, '\P{^Unified_Ideograph: 	No}', "");
Error('\p{UIdeo=N/a/}');
Error('\P{UIdeo=N/a/}');
Expect(1, 183970, '\p{UIdeo=n}', "");
Expect(0, 183970, '\p{^UIdeo=n}', "");
Expect(0, 183970, '\P{UIdeo=n}', "");
Expect(1, 183970, '\P{^UIdeo=n}', "");
Expect(0, 183969, '\p{UIdeo=n}', "");
Expect(1, 183969, '\p{^UIdeo=n}', "");
Expect(1, 183969, '\P{UIdeo=n}', "");
Expect(0, 183969, '\P{^UIdeo=n}', "");
Expect(1, 183970, '\p{UIdeo= _n}', "");
Expect(0, 183970, '\p{^UIdeo= _n}', "");
Expect(0, 183970, '\P{UIdeo= _n}', "");
Expect(1, 183970, '\P{^UIdeo= _n}', "");
Expect(0, 183969, '\p{UIdeo= _n}', "");
Expect(1, 183969, '\p{^UIdeo= _n}', "");
Expect(1, 183969, '\P{UIdeo= _n}', "");
Expect(0, 183969, '\P{^UIdeo= _n}', "");
Error('\p{Is_Unified_Ideograph=  f:=}');
Error('\P{Is_Unified_Ideograph=  f:=}');
Expect(1, 183970, '\p{Is_Unified_Ideograph=f}', "");
Expect(0, 183970, '\p{^Is_Unified_Ideograph=f}', "");
Expect(0, 183970, '\P{Is_Unified_Ideograph=f}', "");
Expect(1, 183970, '\P{^Is_Unified_Ideograph=f}', "");
Expect(0, 183969, '\p{Is_Unified_Ideograph=f}', "");
Expect(1, 183969, '\p{^Is_Unified_Ideograph=f}', "");
Expect(1, 183969, '\P{Is_Unified_Ideograph=f}', "");
Expect(0, 183969, '\P{^Is_Unified_Ideograph=f}', "");
Expect(1, 183970, '\p{Is_Unified_Ideograph= F}', "");
Expect(0, 183970, '\p{^Is_Unified_Ideograph= F}', "");
Expect(0, 183970, '\P{Is_Unified_Ideograph= F}', "");
Expect(1, 183970, '\P{^Is_Unified_Ideograph= F}', "");
Expect(0, 183969, '\p{Is_Unified_Ideograph= F}', "");
Expect(1, 183969, '\p{^Is_Unified_Ideograph= F}', "");
Expect(1, 183969, '\P{Is_Unified_Ideograph= F}', "");
Expect(0, 183969, '\P{^Is_Unified_Ideograph= F}', "");
Error('\p{Is_UIdeo:-False:=}');
Error('\P{Is_UIdeo:-False:=}');
Expect(1, 183970, '\p{Is_UIdeo=false}', "");
Expect(0, 183970, '\p{^Is_UIdeo=false}', "");
Expect(0, 183970, '\P{Is_UIdeo=false}', "");
Expect(1, 183970, '\P{^Is_UIdeo=false}', "");
Expect(0, 183969, '\p{Is_UIdeo=false}', "");
Expect(1, 183969, '\p{^Is_UIdeo=false}', "");
Expect(1, 183969, '\P{Is_UIdeo=false}', "");
Expect(0, 183969, '\P{^Is_UIdeo=false}', "");
Expect(1, 183970, '\p{Is_UIdeo:	_	false}', "");
Expect(0, 183970, '\p{^Is_UIdeo:	_	false}', "");
Expect(0, 183970, '\P{Is_UIdeo:	_	false}', "");
Expect(1, 183970, '\P{^Is_UIdeo:	_	false}', "");
Expect(0, 183969, '\p{Is_UIdeo:	_	false}', "");
Expect(1, 183969, '\p{^Is_UIdeo:	_	false}', "");
Expect(1, 183969, '\P{Is_UIdeo:	_	false}', "");
Expect(0, 183969, '\P{^Is_UIdeo:	_	false}', "");
Error('\p{Unified_Ideograph=- Yes/a/}');
Error('\P{Unified_Ideograph=- Yes/a/}');
Expect(1, 183969, '\p{Unified_Ideograph=yes}', "");
Expect(0, 183969, '\p{^Unified_Ideograph=yes}', "");
Expect(0, 183969, '\P{Unified_Ideograph=yes}', "");
Expect(1, 183969, '\P{^Unified_Ideograph=yes}', "");
Expect(0, 183970, '\p{Unified_Ideograph=yes}', "");
Expect(1, 183970, '\p{^Unified_Ideograph=yes}', "");
Expect(1, 183970, '\P{Unified_Ideograph=yes}', "");
Expect(0, 183970, '\P{^Unified_Ideograph=yes}', "");
Expect(1, 183969, '\p{Unified_Ideograph:	YES}', "");
Expect(0, 183969, '\p{^Unified_Ideograph:	YES}', "");
Expect(0, 183969, '\P{Unified_Ideograph:	YES}', "");
Expect(1, 183969, '\P{^Unified_Ideograph:	YES}', "");
Expect(0, 183970, '\p{Unified_Ideograph:	YES}', "");
Expect(1, 183970, '\p{^Unified_Ideograph:	YES}', "");
Expect(1, 183970, '\P{Unified_Ideograph:	YES}', "");
Expect(0, 183970, '\P{^Unified_Ideograph:	YES}', "");
Error('\p{UIdeo=/a/-	Y}');
Error('\P{UIdeo=/a/-	Y}');
Expect(1, 183969, '\p{UIdeo=y}', "");
Expect(0, 183969, '\p{^UIdeo=y}', "");
Expect(0, 183969, '\P{UIdeo=y}', "");
Expect(1, 183969, '\P{^UIdeo=y}', "");
Expect(0, 183970, '\p{UIdeo=y}', "");
Expect(1, 183970, '\p{^UIdeo=y}', "");
Expect(1, 183970, '\P{UIdeo=y}', "");
Expect(0, 183970, '\P{^UIdeo=y}', "");
Expect(1, 183969, '\p{UIdeo=--Y}', "");
Expect(0, 183969, '\p{^UIdeo=--Y}', "");
Expect(0, 183969, '\P{UIdeo=--Y}', "");
Expect(1, 183969, '\P{^UIdeo=--Y}', "");
Expect(0, 183970, '\p{UIdeo=--Y}', "");
Expect(1, 183970, '\p{^UIdeo=--Y}', "");
Expect(1, 183970, '\P{UIdeo=--Y}', "");
Expect(0, 183970, '\P{^UIdeo=--Y}', "");
Error('\p{Is_Unified_Ideograph=:=	T}');
Error('\P{Is_Unified_Ideograph=:=	T}');
Expect(1, 183969, '\p{Is_Unified_Ideograph=t}', "");
Expect(0, 183969, '\p{^Is_Unified_Ideograph=t}', "");
Expect(0, 183969, '\P{Is_Unified_Ideograph=t}', "");
Expect(1, 183969, '\P{^Is_Unified_Ideograph=t}', "");
Expect(0, 183970, '\p{Is_Unified_Ideograph=t}', "");
Expect(1, 183970, '\p{^Is_Unified_Ideograph=t}', "");
Expect(1, 183970, '\P{Is_Unified_Ideograph=t}', "");
Expect(0, 183970, '\P{^Is_Unified_Ideograph=t}', "");
Expect(1, 183969, '\p{Is_Unified_Ideograph= T}', "");
Expect(0, 183969, '\p{^Is_Unified_Ideograph= T}', "");
Expect(0, 183969, '\P{Is_Unified_Ideograph= T}', "");
Expect(1, 183969, '\P{^Is_Unified_Ideograph= T}', "");
Expect(0, 183970, '\p{Is_Unified_Ideograph= T}', "");
Expect(1, 183970, '\p{^Is_Unified_Ideograph= T}', "");
Expect(1, 183970, '\P{Is_Unified_Ideograph= T}', "");
Expect(0, 183970, '\P{^Is_Unified_Ideograph= T}', "");
Error('\p{Is_UIdeo=-True:=}');
Error('\P{Is_UIdeo=-True:=}');
Expect(1, 183969, '\p{Is_UIdeo: true}', "");
Expect(0, 183969, '\p{^Is_UIdeo: true}', "");
Expect(0, 183969, '\P{Is_UIdeo: true}', "");
Expect(1, 183969, '\P{^Is_UIdeo: true}', "");
Expect(0, 183970, '\p{Is_UIdeo: true}', "");
Expect(1, 183970, '\p{^Is_UIdeo: true}', "");
Expect(1, 183970, '\P{Is_UIdeo: true}', "");
Expect(0, 183970, '\P{^Is_UIdeo: true}', "");
Expect(1, 183969, '\p{Is_UIdeo=_TRUE}', "");
Expect(0, 183969, '\p{^Is_UIdeo=_TRUE}', "");
Expect(0, 183969, '\P{Is_UIdeo=_TRUE}', "");
Expect(1, 183969, '\P{^Is_UIdeo=_TRUE}', "");
Expect(0, 183970, '\p{Is_UIdeo=_TRUE}', "");
Expect(1, 183970, '\p{^Is_UIdeo=_TRUE}', "");
Expect(1, 183970, '\P{Is_UIdeo=_TRUE}', "");
Expect(0, 183970, '\P{^Is_UIdeo=_TRUE}', "");
Error('\p{Uppercase=-	No:=}');
Error('\P{Uppercase=-	No:=}');
Expect(1, 127370, '\p{Uppercase=no}', "");
Expect(0, 127370, '\p{^Uppercase=no}', "");
Expect(0, 127370, '\P{Uppercase=no}', "");
Expect(1, 127370, '\P{^Uppercase=no}', "");
Expect(0, 127369, '\p{Uppercase=no}', "");
Expect(1, 127369, '\p{^Uppercase=no}', "");
Expect(1, 127369, '\P{Uppercase=no}', "");
Expect(0, 127369, '\P{^Uppercase=no}', "");
Expect(1, 127370, '\p{Uppercase:	_-No}', "");
Expect(0, 127370, '\p{^Uppercase:	_-No}', "");
Expect(0, 127370, '\P{Uppercase:	_-No}', "");
Expect(1, 127370, '\P{^Uppercase:	_-No}', "");
Expect(0, 127369, '\p{Uppercase:	_-No}', "");
Expect(1, 127369, '\p{^Uppercase:	_-No}', "");
Expect(1, 127369, '\P{Uppercase:	_-No}', "");
Expect(0, 127369, '\P{^Uppercase:	_-No}', "");
Error('\p{Upper=:=-_N}');
Error('\P{Upper=:=-_N}');
Expect(1, 127370, '\p{Upper=n}', "");
Expect(0, 127370, '\p{^Upper=n}', "");
Expect(0, 127370, '\P{Upper=n}', "");
Expect(1, 127370, '\P{^Upper=n}', "");
Expect(0, 127369, '\p{Upper=n}', "");
Expect(1, 127369, '\p{^Upper=n}', "");
Expect(1, 127369, '\P{Upper=n}', "");
Expect(0, 127369, '\P{^Upper=n}', "");
Expect(1, 127370, '\p{Upper=	N}', "");
Expect(0, 127370, '\p{^Upper=	N}', "");
Expect(0, 127370, '\P{Upper=	N}', "");
Expect(1, 127370, '\P{^Upper=	N}', "");
Expect(0, 127369, '\p{Upper=	N}', "");
Expect(1, 127369, '\p{^Upper=	N}', "");
Expect(1, 127369, '\P{Upper=	N}', "");
Expect(0, 127369, '\P{^Upper=	N}', "");
Error('\p{Is_Uppercase:	/a/_ F}');
Error('\P{Is_Uppercase:	/a/_ F}');
Expect(1, 127370, '\p{Is_Uppercase=f}', "");
Expect(0, 127370, '\p{^Is_Uppercase=f}', "");
Expect(0, 127370, '\P{Is_Uppercase=f}', "");
Expect(1, 127370, '\P{^Is_Uppercase=f}', "");
Expect(0, 127369, '\p{Is_Uppercase=f}', "");
Expect(1, 127369, '\p{^Is_Uppercase=f}', "");
Expect(1, 127369, '\P{Is_Uppercase=f}', "");
Expect(0, 127369, '\P{^Is_Uppercase=f}', "");
Expect(1, 127370, '\p{Is_Uppercase=		F}', "");
Expect(0, 127370, '\p{^Is_Uppercase=		F}', "");
Expect(0, 127370, '\P{Is_Uppercase=		F}', "");
Expect(1, 127370, '\P{^Is_Uppercase=		F}', "");
Expect(0, 127369, '\p{Is_Uppercase=		F}', "");
Expect(1, 127369, '\p{^Is_Uppercase=		F}', "");
Expect(1, 127369, '\P{Is_Uppercase=		F}', "");
Expect(0, 127369, '\P{^Is_Uppercase=		F}', "");
Error('\p{Is_Upper=_ False:=}');
Error('\P{Is_Upper=_ False:=}');
Expect(1, 127370, '\p{Is_Upper:	false}', "");
Expect(0, 127370, '\p{^Is_Upper:	false}', "");
Expect(0, 127370, '\P{Is_Upper:	false}', "");
Expect(1, 127370, '\P{^Is_Upper:	false}', "");
Expect(0, 127369, '\p{Is_Upper:	false}', "");
Expect(1, 127369, '\p{^Is_Upper:	false}', "");
Expect(1, 127369, '\P{Is_Upper:	false}', "");
Expect(0, 127369, '\P{^Is_Upper:	false}', "");
Expect(1, 127370, '\p{Is_Upper=-False}', "");
Expect(0, 127370, '\p{^Is_Upper=-False}', "");
Expect(0, 127370, '\P{Is_Upper=-False}', "");
Expect(1, 127370, '\P{^Is_Upper=-False}', "");
Expect(0, 127369, '\p{Is_Upper=-False}', "");
Expect(1, 127369, '\p{^Is_Upper=-False}', "");
Expect(1, 127369, '\P{Is_Upper=-False}', "");
Expect(0, 127369, '\P{^Is_Upper=-False}', "");
Error('\p{Uppercase=/a/-_YES}');
Error('\P{Uppercase=/a/-_YES}');
Expect(1, 127369, '\p{Uppercase=yes}', "");
Expect(0, 127369, '\p{^Uppercase=yes}', "");
Expect(0, 127369, '\P{Uppercase=yes}', "");
Expect(1, 127369, '\P{^Uppercase=yes}', "");
Expect(0, 127370, '\p{Uppercase=yes}', "");
Expect(1, 127370, '\p{^Uppercase=yes}', "");
Expect(1, 127370, '\P{Uppercase=yes}', "");
Expect(0, 127370, '\P{^Uppercase=yes}', "");
Expect(1, 127369, '\p{Uppercase=	YES}', "");
Expect(0, 127369, '\p{^Uppercase=	YES}', "");
Expect(0, 127369, '\P{Uppercase=	YES}', "");
Expect(1, 127369, '\P{^Uppercase=	YES}', "");
Expect(0, 127370, '\p{Uppercase=	YES}', "");
Expect(1, 127370, '\p{^Uppercase=	YES}', "");
Expect(1, 127370, '\P{Uppercase=	YES}', "");
Expect(0, 127370, '\P{^Uppercase=	YES}', "");
Error('\p{Upper:	/a/__Y}');
Error('\P{Upper:	/a/__Y}');
Expect(1, 127369, '\p{Upper=y}', "");
Expect(0, 127369, '\p{^Upper=y}', "");
Expect(0, 127369, '\P{Upper=y}', "");
Expect(1, 127369, '\P{^Upper=y}', "");
Expect(0, 127370, '\p{Upper=y}', "");
Expect(1, 127370, '\p{^Upper=y}', "");
Expect(1, 127370, '\P{Upper=y}', "");
Expect(0, 127370, '\P{^Upper=y}', "");
Expect(1, 127369, '\p{Upper=	_Y}', "");
Expect(0, 127369, '\p{^Upper=	_Y}', "");
Expect(0, 127369, '\P{Upper=	_Y}', "");
Expect(1, 127369, '\P{^Upper=	_Y}', "");
Expect(0, 127370, '\p{Upper=	_Y}', "");
Expect(1, 127370, '\p{^Upper=	_Y}', "");
Expect(1, 127370, '\P{Upper=	_Y}', "");
Expect(0, 127370, '\P{^Upper=	_Y}', "");
Error('\p{Is_Uppercase: :=T}');
Error('\P{Is_Uppercase: :=T}');
Expect(1, 127369, '\p{Is_Uppercase=t}', "");
Expect(0, 127369, '\p{^Is_Uppercase=t}', "");
Expect(0, 127369, '\P{Is_Uppercase=t}', "");
Expect(1, 127369, '\P{^Is_Uppercase=t}', "");
Expect(0, 127370, '\p{Is_Uppercase=t}', "");
Expect(1, 127370, '\p{^Is_Uppercase=t}', "");
Expect(1, 127370, '\P{Is_Uppercase=t}', "");
Expect(0, 127370, '\P{^Is_Uppercase=t}', "");
Expect(1, 127369, '\p{Is_Uppercase=	-t}', "");
Expect(0, 127369, '\p{^Is_Uppercase=	-t}', "");
Expect(0, 127369, '\P{Is_Uppercase=	-t}', "");
Expect(1, 127369, '\P{^Is_Uppercase=	-t}', "");
Expect(0, 127370, '\p{Is_Uppercase=	-t}', "");
Expect(1, 127370, '\p{^Is_Uppercase=	-t}', "");
Expect(1, 127370, '\P{Is_Uppercase=	-t}', "");
Expect(0, 127370, '\P{^Is_Uppercase=	-t}', "");
Error('\p{Is_Upper=/a/-	True}');
Error('\P{Is_Upper=/a/-	True}');
Expect(1, 127369, '\p{Is_Upper=true}', "");
Expect(0, 127369, '\p{^Is_Upper=true}', "");
Expect(0, 127369, '\P{Is_Upper=true}', "");
Expect(1, 127369, '\P{^Is_Upper=true}', "");
Expect(0, 127370, '\p{Is_Upper=true}', "");
Expect(1, 127370, '\p{^Is_Upper=true}', "");
Expect(1, 127370, '\P{Is_Upper=true}', "");
Expect(0, 127370, '\P{^Is_Upper=true}', "");
Expect(1, 127369, '\p{Is_Upper=  True}', "");
Expect(0, 127369, '\p{^Is_Upper=  True}', "");
Expect(0, 127369, '\P{Is_Upper=  True}', "");
Expect(1, 127369, '\P{^Is_Upper=  True}', "");
Expect(0, 127370, '\p{Is_Upper=  True}', "");
Expect(1, 127370, '\p{^Is_Upper=  True}', "");
Expect(1, 127370, '\P{Is_Upper=  True}', "");
Expect(0, 127370, '\P{^Is_Upper=  True}', "");
Error('\p{Variation_Selector:	 _No:=}');
Error('\P{Variation_Selector:	 _No:=}');
Expect(1, 918000, '\p{Variation_Selector=no}', "");
Expect(0, 918000, '\p{^Variation_Selector=no}', "");
Expect(0, 918000, '\P{Variation_Selector=no}', "");
Expect(1, 918000, '\P{^Variation_Selector=no}', "");
Expect(0, 917999, '\p{Variation_Selector=no}', "");
Expect(1, 917999, '\p{^Variation_Selector=no}', "");
Expect(1, 917999, '\P{Variation_Selector=no}', "");
Expect(0, 917999, '\P{^Variation_Selector=no}', "");
Expect(1, 918000, '\p{Variation_Selector=  No}', "");
Expect(0, 918000, '\p{^Variation_Selector=  No}', "");
Expect(0, 918000, '\P{Variation_Selector=  No}', "");
Expect(1, 918000, '\P{^Variation_Selector=  No}', "");
Expect(0, 917999, '\p{Variation_Selector=  No}', "");
Expect(1, 917999, '\p{^Variation_Selector=  No}', "");
Expect(1, 917999, '\P{Variation_Selector=  No}', "");
Expect(0, 917999, '\P{^Variation_Selector=  No}', "");
Error('\p{VS=	/a/N}');
Error('\P{VS=	/a/N}');
Expect(1, 918000, '\p{VS=n}', "");
Expect(0, 918000, '\p{^VS=n}', "");
Expect(0, 918000, '\P{VS=n}', "");
Expect(1, 918000, '\P{^VS=n}', "");
Expect(0, 917999, '\p{VS=n}', "");
Expect(1, 917999, '\p{^VS=n}', "");
Expect(1, 917999, '\P{VS=n}', "");
Expect(0, 917999, '\P{^VS=n}', "");
Expect(1, 918000, '\p{VS=	-n}', "");
Expect(0, 918000, '\p{^VS=	-n}', "");
Expect(0, 918000, '\P{VS=	-n}', "");
Expect(1, 918000, '\P{^VS=	-n}', "");
Expect(0, 917999, '\p{VS=	-n}', "");
Expect(1, 917999, '\p{^VS=	-n}', "");
Expect(1, 917999, '\P{VS=	-n}', "");
Expect(0, 917999, '\P{^VS=	-n}', "");
Error('\p{Is_Variation_Selector:   :=_F}');
Error('\P{Is_Variation_Selector:   :=_F}');
Expect(1, 918000, '\p{Is_Variation_Selector:f}', "");
Expect(0, 918000, '\p{^Is_Variation_Selector:f}', "");
Expect(0, 918000, '\P{Is_Variation_Selector:f}', "");
Expect(1, 918000, '\P{^Is_Variation_Selector:f}', "");
Expect(0, 917999, '\p{Is_Variation_Selector:f}', "");
Expect(1, 917999, '\p{^Is_Variation_Selector:f}', "");
Expect(1, 917999, '\P{Is_Variation_Selector:f}', "");
Expect(0, 917999, '\P{^Is_Variation_Selector:f}', "");
Expect(1, 918000, '\p{Is_Variation_Selector=-F}', "");
Expect(0, 918000, '\p{^Is_Variation_Selector=-F}', "");
Expect(0, 918000, '\P{Is_Variation_Selector=-F}', "");
Expect(1, 918000, '\P{^Is_Variation_Selector=-F}', "");
Expect(0, 917999, '\p{Is_Variation_Selector=-F}', "");
Expect(1, 917999, '\p{^Is_Variation_Selector=-F}', "");
Expect(1, 917999, '\P{Is_Variation_Selector=-F}', "");
Expect(0, 917999, '\P{^Is_Variation_Selector=-F}', "");
Error('\p{Is_VS:	_:=FALSE}');
Error('\P{Is_VS:	_:=FALSE}');
Expect(1, 918000, '\p{Is_VS=false}', "");
Expect(0, 918000, '\p{^Is_VS=false}', "");
Expect(0, 918000, '\P{Is_VS=false}', "");
Expect(1, 918000, '\P{^Is_VS=false}', "");
Expect(0, 917999, '\p{Is_VS=false}', "");
Expect(1, 917999, '\p{^Is_VS=false}', "");
Expect(1, 917999, '\P{Is_VS=false}', "");
Expect(0, 917999, '\P{^Is_VS=false}', "");
Expect(1, 918000, '\p{Is_VS:		_False}', "");
Expect(0, 918000, '\p{^Is_VS:		_False}', "");
Expect(0, 918000, '\P{Is_VS:		_False}', "");
Expect(1, 918000, '\P{^Is_VS:		_False}', "");
Expect(0, 917999, '\p{Is_VS:		_False}', "");
Expect(1, 917999, '\p{^Is_VS:		_False}', "");
Expect(1, 917999, '\P{Is_VS:		_False}', "");
Expect(0, 917999, '\P{^Is_VS:		_False}', "");
Error('\p{Variation_Selector=_	yes/a/}');
Error('\P{Variation_Selector=_	yes/a/}');
Expect(1, 917999, '\p{Variation_Selector=yes}', "");
Expect(0, 917999, '\p{^Variation_Selector=yes}', "");
Expect(0, 917999, '\P{Variation_Selector=yes}', "");
Expect(1, 917999, '\P{^Variation_Selector=yes}', "");
Expect(0, 918000, '\p{Variation_Selector=yes}', "");
Expect(1, 918000, '\p{^Variation_Selector=yes}', "");
Expect(1, 918000, '\P{Variation_Selector=yes}', "");
Expect(0, 918000, '\P{^Variation_Selector=yes}', "");
Expect(1, 917999, '\p{Variation_Selector=-Yes}', "");
Expect(0, 917999, '\p{^Variation_Selector=-Yes}', "");
Expect(0, 917999, '\P{Variation_Selector=-Yes}', "");
Expect(1, 917999, '\P{^Variation_Selector=-Yes}', "");
Expect(0, 918000, '\p{Variation_Selector=-Yes}', "");
Expect(1, 918000, '\p{^Variation_Selector=-Yes}', "");
Expect(1, 918000, '\P{Variation_Selector=-Yes}', "");
Expect(0, 918000, '\P{^Variation_Selector=-Yes}', "");
Error('\p{VS=/a/_y}');
Error('\P{VS=/a/_y}');
Expect(1, 917999, '\p{VS=y}', "");
Expect(0, 917999, '\p{^VS=y}', "");
Expect(0, 917999, '\P{VS=y}', "");
Expect(1, 917999, '\P{^VS=y}', "");
Expect(0, 918000, '\p{VS=y}', "");
Expect(1, 918000, '\p{^VS=y}', "");
Expect(1, 918000, '\P{VS=y}', "");
Expect(0, 918000, '\P{^VS=y}', "");
Expect(1, 917999, '\p{VS=		y}', "");
Expect(0, 917999, '\p{^VS=		y}', "");
Expect(0, 917999, '\P{VS=		y}', "");
Expect(1, 917999, '\P{^VS=		y}', "");
Expect(0, 918000, '\p{VS=		y}', "");
Expect(1, 918000, '\p{^VS=		y}', "");
Expect(1, 918000, '\P{VS=		y}', "");
Expect(0, 918000, '\P{^VS=		y}', "");
Error('\p{Is_Variation_Selector=_/a/T}');
Error('\P{Is_Variation_Selector=_/a/T}');
Expect(1, 917999, '\p{Is_Variation_Selector=t}', "");
Expect(0, 917999, '\p{^Is_Variation_Selector=t}', "");
Expect(0, 917999, '\P{Is_Variation_Selector=t}', "");
Expect(1, 917999, '\P{^Is_Variation_Selector=t}', "");
Expect(0, 918000, '\p{Is_Variation_Selector=t}', "");
Expect(1, 918000, '\p{^Is_Variation_Selector=t}', "");
Expect(1, 918000, '\P{Is_Variation_Selector=t}', "");
Expect(0, 918000, '\P{^Is_Variation_Selector=t}', "");
Expect(1, 917999, '\p{Is_Variation_Selector= t}', "");
Expect(0, 917999, '\p{^Is_Variation_Selector= t}', "");
Expect(0, 917999, '\P{Is_Variation_Selector= t}', "");
Expect(1, 917999, '\P{^Is_Variation_Selector= t}', "");
Expect(0, 918000, '\p{Is_Variation_Selector= t}', "");
Expect(1, 918000, '\p{^Is_Variation_Selector= t}', "");
Expect(1, 918000, '\P{Is_Variation_Selector= t}', "");
Expect(0, 918000, '\P{^Is_Variation_Selector= t}', "");
Error('\p{Is_VS=/a/_ true}');
Error('\P{Is_VS=/a/_ true}');
Expect(1, 917999, '\p{Is_VS:	true}', "");
Expect(0, 917999, '\p{^Is_VS:	true}', "");
Expect(0, 917999, '\P{Is_VS:	true}', "");
Expect(1, 917999, '\P{^Is_VS:	true}', "");
Expect(0, 918000, '\p{Is_VS:	true}', "");
Expect(1, 918000, '\p{^Is_VS:	true}', "");
Expect(1, 918000, '\P{Is_VS:	true}', "");
Expect(0, 918000, '\P{^Is_VS:	true}', "");
Expect(1, 917999, '\p{Is_VS=True}', "");
Expect(0, 917999, '\p{^Is_VS=True}', "");
Expect(0, 917999, '\P{Is_VS=True}', "");
Expect(1, 917999, '\P{^Is_VS=True}', "");
Expect(0, 918000, '\p{Is_VS=True}', "");
Expect(1, 918000, '\p{^Is_VS=True}', "");
Expect(1, 918000, '\P{Is_VS=True}', "");
Expect(0, 918000, '\P{^Is_VS=True}', "");
Error('\p{Word_Break=:=_-CR}');
Error('\P{Word_Break=:=_-CR}');
Expect(1, 13, '\p{Word_Break=cr}', "");
Expect(0, 13, '\p{^Word_Break=cr}', "");
Expect(0, 13, '\P{Word_Break=cr}', "");
Expect(1, 13, '\P{^Word_Break=cr}', "");
Expect(0, 14, '\p{Word_Break=cr}', "");
Expect(1, 14, '\p{^Word_Break=cr}', "");
Expect(1, 14, '\P{Word_Break=cr}', "");
Expect(0, 14, '\P{^Word_Break=cr}', "");
Expect(1, 13, '\p{Word_Break=_CR}', "");
Expect(0, 13, '\p{^Word_Break=_CR}', "");
Expect(0, 13, '\P{Word_Break=_CR}', "");
Expect(1, 13, '\P{^Word_Break=_CR}', "");
Expect(0, 14, '\p{Word_Break=_CR}', "");
Expect(1, 14, '\p{^Word_Break=_CR}', "");
Expect(1, 14, '\P{Word_Break=_CR}', "");
Expect(0, 14, '\P{^Word_Break=_CR}', "");
Error('\p{WB=/a/cr}');
Error('\P{WB=/a/cr}');
Expect(1, 13, '\p{WB=cr}', "");
Expect(0, 13, '\p{^WB=cr}', "");
Expect(0, 13, '\P{WB=cr}', "");
Expect(1, 13, '\P{^WB=cr}', "");
Expect(0, 14, '\p{WB=cr}', "");
Expect(1, 14, '\p{^WB=cr}', "");
Expect(1, 14, '\P{WB=cr}', "");
Expect(0, 14, '\P{^WB=cr}', "");
Expect(1, 13, '\p{WB=		CR}', "");
Expect(0, 13, '\p{^WB=		CR}', "");
Expect(0, 13, '\P{WB=		CR}', "");
Expect(1, 13, '\P{^WB=		CR}', "");
Expect(0, 14, '\p{WB=		CR}', "");
Expect(1, 14, '\p{^WB=		CR}', "");
Expect(1, 14, '\P{WB=		CR}', "");
Expect(0, 14, '\P{^WB=		CR}', "");
Error('\p{Is_Word_Break:  _cr:=}');
Error('\P{Is_Word_Break:  _cr:=}');
Expect(1, 13, '\p{Is_Word_Break=cr}', "");
Expect(0, 13, '\p{^Is_Word_Break=cr}', "");
Expect(0, 13, '\P{Is_Word_Break=cr}', "");
Expect(1, 13, '\P{^Is_Word_Break=cr}', "");
Expect(0, 14, '\p{Is_Word_Break=cr}', "");
Expect(1, 14, '\p{^Is_Word_Break=cr}', "");
Expect(1, 14, '\P{Is_Word_Break=cr}', "");
Expect(0, 14, '\P{^Is_Word_Break=cr}', "");
Expect(1, 13, '\p{Is_Word_Break=	_cr}', "");
Expect(0, 13, '\p{^Is_Word_Break=	_cr}', "");
Expect(0, 13, '\P{Is_Word_Break=	_cr}', "");
Expect(1, 13, '\P{^Is_Word_Break=	_cr}', "");
Expect(0, 14, '\p{Is_Word_Break=	_cr}', "");
Expect(1, 14, '\p{^Is_Word_Break=	_cr}', "");
Expect(1, 14, '\P{Is_Word_Break=	_cr}', "");
Expect(0, 14, '\P{^Is_Word_Break=	_cr}', "");
Error('\p{Is_WB=:=CR}');
Error('\P{Is_WB=:=CR}');
Expect(1, 13, '\p{Is_WB=cr}', "");
Expect(0, 13, '\p{^Is_WB=cr}', "");
Expect(0, 13, '\P{Is_WB=cr}', "");
Expect(1, 13, '\P{^Is_WB=cr}', "");
Expect(0, 14, '\p{Is_WB=cr}', "");
Expect(1, 14, '\p{^Is_WB=cr}', "");
Expect(1, 14, '\P{Is_WB=cr}', "");
Expect(0, 14, '\P{^Is_WB=cr}', "");
Expect(1, 13, '\p{Is_WB=_CR}', "");
Expect(0, 13, '\p{^Is_WB=_CR}', "");
Expect(0, 13, '\P{Is_WB=_CR}', "");
Expect(1, 13, '\P{^Is_WB=_CR}', "");
Expect(0, 14, '\p{Is_WB=_CR}', "");
Expect(1, 14, '\p{^Is_WB=_CR}', "");
Expect(1, 14, '\P{Is_WB=_CR}', "");
Expect(0, 14, '\P{^Is_WB=_CR}', "");
Error('\p{Word_Break=	_DOUBLE_Quote:=}');
Error('\P{Word_Break=	_DOUBLE_Quote:=}');
Expect(1, 34, '\p{Word_Break=doublequote}', "");
Expect(0, 34, '\p{^Word_Break=doublequote}', "");
Expect(0, 34, '\P{Word_Break=doublequote}', "");
Expect(1, 34, '\P{^Word_Break=doublequote}', "");
Expect(0, 35, '\p{Word_Break=doublequote}', "");
Expect(1, 35, '\p{^Word_Break=doublequote}', "");
Expect(1, 35, '\P{Word_Break=doublequote}', "");
Expect(0, 35, '\P{^Word_Break=doublequote}', "");
Expect(1, 34, '\p{Word_Break=	-Double_Quote}', "");
Expect(0, 34, '\p{^Word_Break=	-Double_Quote}', "");
Expect(0, 34, '\P{Word_Break=	-Double_Quote}', "");
Expect(1, 34, '\P{^Word_Break=	-Double_Quote}', "");
Expect(0, 35, '\p{Word_Break=	-Double_Quote}', "");
Expect(1, 35, '\p{^Word_Break=	-Double_Quote}', "");
Expect(1, 35, '\P{Word_Break=	-Double_Quote}', "");
Expect(0, 35, '\P{^Word_Break=	-Double_Quote}', "");
Error('\p{WB=/a/ -DQ}');
Error('\P{WB=/a/ -DQ}');
Expect(1, 34, '\p{WB=dq}', "");
Expect(0, 34, '\p{^WB=dq}', "");
Expect(0, 34, '\P{WB=dq}', "");
Expect(1, 34, '\P{^WB=dq}', "");
Expect(0, 35, '\p{WB=dq}', "");
Expect(1, 35, '\p{^WB=dq}', "");
Expect(1, 35, '\P{WB=dq}', "");
Expect(0, 35, '\P{^WB=dq}', "");
Expect(1, 34, '\p{WB=__DQ}', "");
Expect(0, 34, '\p{^WB=__DQ}', "");
Expect(0, 34, '\P{WB=__DQ}', "");
Expect(1, 34, '\P{^WB=__DQ}', "");
Expect(0, 35, '\p{WB=__DQ}', "");
Expect(1, 35, '\p{^WB=__DQ}', "");
Expect(1, 35, '\P{WB=__DQ}', "");
Expect(0, 35, '\P{^WB=__DQ}', "");
Error('\p{Is_Word_Break=-/a/Double_QUOTE}');
Error('\P{Is_Word_Break=-/a/Double_QUOTE}');
Expect(1, 34, '\p{Is_Word_Break=doublequote}', "");
Expect(0, 34, '\p{^Is_Word_Break=doublequote}', "");
Expect(0, 34, '\P{Is_Word_Break=doublequote}', "");
Expect(1, 34, '\P{^Is_Word_Break=doublequote}', "");
Expect(0, 35, '\p{Is_Word_Break=doublequote}', "");
Expect(1, 35, '\p{^Is_Word_Break=doublequote}', "");
Expect(1, 35, '\P{Is_Word_Break=doublequote}', "");
Expect(0, 35, '\P{^Is_Word_Break=doublequote}', "");
Expect(1, 34, '\p{Is_Word_Break=	 double_QUOTE}', "");
Expect(0, 34, '\p{^Is_Word_Break=	 double_QUOTE}', "");
Expect(0, 34, '\P{Is_Word_Break=	 double_QUOTE}', "");
Expect(1, 34, '\P{^Is_Word_Break=	 double_QUOTE}', "");
Expect(0, 35, '\p{Is_Word_Break=	 double_QUOTE}', "");
Expect(1, 35, '\p{^Is_Word_Break=	 double_QUOTE}', "");
Expect(1, 35, '\P{Is_Word_Break=	 double_QUOTE}', "");
Expect(0, 35, '\P{^Is_Word_Break=	 double_QUOTE}', "");
Error('\p{Is_WB=  dq/a/}');
Error('\P{Is_WB=  dq/a/}');
Expect(1, 34, '\p{Is_WB=dq}', "");
Expect(0, 34, '\p{^Is_WB=dq}', "");
Expect(0, 34, '\P{Is_WB=dq}', "");
Expect(1, 34, '\P{^Is_WB=dq}', "");
Expect(0, 35, '\p{Is_WB=dq}', "");
Expect(1, 35, '\p{^Is_WB=dq}', "");
Expect(1, 35, '\P{Is_WB=dq}', "");
Expect(0, 35, '\P{^Is_WB=dq}', "");
Expect(1, 34, '\p{Is_WB=-DQ}', "");
Expect(0, 34, '\p{^Is_WB=-DQ}', "");
Expect(0, 34, '\P{Is_WB=-DQ}', "");
Expect(1, 34, '\P{^Is_WB=-DQ}', "");
Expect(0, 35, '\p{Is_WB=-DQ}', "");
Expect(1, 35, '\p{^Is_WB=-DQ}', "");
Expect(1, 35, '\P{Is_WB=-DQ}', "");
Expect(0, 35, '\P{^Is_WB=-DQ}', "");
Error('\p{Word_Break=__EXTENDNUMLET:=}');
Error('\P{Word_Break=__EXTENDNUMLET:=}');
Expect(1, 65343, '\p{Word_Break=extendnumlet}', "");
Expect(0, 65343, '\p{^Word_Break=extendnumlet}', "");
Expect(0, 65343, '\P{Word_Break=extendnumlet}', "");
Expect(1, 65343, '\P{^Word_Break=extendnumlet}', "");
Expect(0, 65344, '\p{Word_Break=extendnumlet}', "");
Expect(1, 65344, '\p{^Word_Break=extendnumlet}', "");
Expect(1, 65344, '\P{Word_Break=extendnumlet}', "");
Expect(0, 65344, '\P{^Word_Break=extendnumlet}', "");
Expect(1, 65343, '\p{Word_Break=- extendnumlet}', "");
Expect(0, 65343, '\p{^Word_Break=- extendnumlet}', "");
Expect(0, 65343, '\P{Word_Break=- extendnumlet}', "");
Expect(1, 65343, '\P{^Word_Break=- extendnumlet}', "");
Expect(0, 65344, '\p{Word_Break=- extendnumlet}', "");
Expect(1, 65344, '\p{^Word_Break=- extendnumlet}', "");
Expect(1, 65344, '\P{Word_Break=- extendnumlet}', "");
Expect(0, 65344, '\P{^Word_Break=- extendnumlet}', "");
Error('\p{WB=_:=EX}');
Error('\P{WB=_:=EX}');
Expect(1, 65343, '\p{WB: ex}', "");
Expect(0, 65343, '\p{^WB: ex}', "");
Expect(0, 65343, '\P{WB: ex}', "");
Expect(1, 65343, '\P{^WB: ex}', "");
Expect(0, 65344, '\p{WB: ex}', "");
Expect(1, 65344, '\p{^WB: ex}', "");
Expect(1, 65344, '\P{WB: ex}', "");
Expect(0, 65344, '\P{^WB: ex}', "");
Expect(1, 65343, '\p{WB= 	EX}', "");
Expect(0, 65343, '\p{^WB= 	EX}', "");
Expect(0, 65343, '\P{WB= 	EX}', "");
Expect(1, 65343, '\P{^WB= 	EX}', "");
Expect(0, 65344, '\p{WB= 	EX}', "");
Expect(1, 65344, '\p{^WB= 	EX}', "");
Expect(1, 65344, '\P{WB= 	EX}', "");
Expect(0, 65344, '\P{^WB= 	EX}', "");
Error('\p{Is_Word_Break:   _/a/ExtendNumLet}');
Error('\P{Is_Word_Break:   _/a/ExtendNumLet}');
Expect(1, 65343, '\p{Is_Word_Break=extendnumlet}', "");
Expect(0, 65343, '\p{^Is_Word_Break=extendnumlet}', "");
Expect(0, 65343, '\P{Is_Word_Break=extendnumlet}', "");
Expect(1, 65343, '\P{^Is_Word_Break=extendnumlet}', "");
Expect(0, 65344, '\p{Is_Word_Break=extendnumlet}', "");
Expect(1, 65344, '\p{^Is_Word_Break=extendnumlet}', "");
Expect(1, 65344, '\P{Is_Word_Break=extendnumlet}', "");
Expect(0, 65344, '\P{^Is_Word_Break=extendnumlet}', "");
Expect(1, 65343, '\p{Is_Word_Break:	-_extendnumlet}', "");
Expect(0, 65343, '\p{^Is_Word_Break:	-_extendnumlet}', "");
Expect(0, 65343, '\P{Is_Word_Break:	-_extendnumlet}', "");
Expect(1, 65343, '\P{^Is_Word_Break:	-_extendnumlet}', "");
Expect(0, 65344, '\p{Is_Word_Break:	-_extendnumlet}', "");
Expect(1, 65344, '\p{^Is_Word_Break:	-_extendnumlet}', "");
Expect(1, 65344, '\P{Is_Word_Break:	-_extendnumlet}', "");
Expect(0, 65344, '\P{^Is_Word_Break:	-_extendnumlet}', "");
Error('\p{Is_WB=	EX/a/}');
Error('\P{Is_WB=	EX/a/}');
Expect(1, 65343, '\p{Is_WB=ex}', "");
Expect(0, 65343, '\p{^Is_WB=ex}', "");
Expect(0, 65343, '\P{Is_WB=ex}', "");
Expect(1, 65343, '\P{^Is_WB=ex}', "");
Expect(0, 65344, '\p{Is_WB=ex}', "");
Expect(1, 65344, '\p{^Is_WB=ex}', "");
Expect(1, 65344, '\P{Is_WB=ex}', "");
Expect(0, 65344, '\P{^Is_WB=ex}', "");
Expect(1, 65343, '\p{Is_WB=-_ex}', "");
Expect(0, 65343, '\p{^Is_WB=-_ex}', "");
Expect(0, 65343, '\P{Is_WB=-_ex}', "");
Expect(1, 65343, '\P{^Is_WB=-_ex}', "");
Expect(0, 65344, '\p{Is_WB=-_ex}', "");
Expect(1, 65344, '\p{^Is_WB=-_ex}', "");
Expect(1, 65344, '\P{Is_WB=-_ex}', "");
Expect(0, 65344, '\P{^Is_WB=-_ex}', "");
Error('\p{Word_Break=:=	extend}');
Error('\P{Word_Break=:=	extend}');
Expect(1, 917999, '\p{Word_Break=extend}', "");
Expect(0, 917999, '\p{^Word_Break=extend}', "");
Expect(0, 917999, '\P{Word_Break=extend}', "");
Expect(1, 917999, '\P{^Word_Break=extend}', "");
Expect(0, 918000, '\p{Word_Break=extend}', "");
Expect(1, 918000, '\p{^Word_Break=extend}', "");
Expect(1, 918000, '\P{Word_Break=extend}', "");
Expect(0, 918000, '\P{^Word_Break=extend}', "");
Expect(1, 917999, '\p{Word_Break=--EXTEND}', "");
Expect(0, 917999, '\p{^Word_Break=--EXTEND}', "");
Expect(0, 917999, '\P{Word_Break=--EXTEND}', "");
Expect(1, 917999, '\P{^Word_Break=--EXTEND}', "");
Expect(0, 918000, '\p{Word_Break=--EXTEND}', "");
Expect(1, 918000, '\p{^Word_Break=--EXTEND}', "");
Expect(1, 918000, '\P{Word_Break=--EXTEND}', "");
Expect(0, 918000, '\P{^Word_Break=--EXTEND}', "");
Error('\p{WB=:=-EXTEND}');
Error('\P{WB=:=-EXTEND}');
Expect(1, 917999, '\p{WB=extend}', "");
Expect(0, 917999, '\p{^WB=extend}', "");
Expect(0, 917999, '\P{WB=extend}', "");
Expect(1, 917999, '\P{^WB=extend}', "");
Expect(0, 918000, '\p{WB=extend}', "");
Expect(1, 918000, '\p{^WB=extend}', "");
Expect(1, 918000, '\P{WB=extend}', "");
Expect(0, 918000, '\P{^WB=extend}', "");
Expect(1, 917999, '\p{WB=_ Extend}', "");
Expect(0, 917999, '\p{^WB=_ Extend}', "");
Expect(0, 917999, '\P{WB=_ Extend}', "");
Expect(1, 917999, '\P{^WB=_ Extend}', "");
Expect(0, 918000, '\p{WB=_ Extend}', "");
Expect(1, 918000, '\p{^WB=_ Extend}', "");
Expect(1, 918000, '\P{WB=_ Extend}', "");
Expect(0, 918000, '\P{^WB=_ Extend}', "");
Error('\p{Is_Word_Break=/a/ _Extend}');
Error('\P{Is_Word_Break=/a/ _Extend}');
Expect(1, 917999, '\p{Is_Word_Break:   extend}', "");
Expect(0, 917999, '\p{^Is_Word_Break:   extend}', "");
Expect(0, 917999, '\P{Is_Word_Break:   extend}', "");
Expect(1, 917999, '\P{^Is_Word_Break:   extend}', "");
Expect(0, 918000, '\p{Is_Word_Break:   extend}', "");
Expect(1, 918000, '\p{^Is_Word_Break:   extend}', "");
Expect(1, 918000, '\P{Is_Word_Break:   extend}', "");
Expect(0, 918000, '\P{^Is_Word_Break:   extend}', "");
Expect(1, 917999, '\p{Is_Word_Break=-EXTEND}', "");
Expect(0, 917999, '\p{^Is_Word_Break=-EXTEND}', "");
Expect(0, 917999, '\P{Is_Word_Break=-EXTEND}', "");
Expect(1, 917999, '\P{^Is_Word_Break=-EXTEND}', "");
Expect(0, 918000, '\p{Is_Word_Break=-EXTEND}', "");
Expect(1, 918000, '\p{^Is_Word_Break=-EXTEND}', "");
Expect(1, 918000, '\P{Is_Word_Break=-EXTEND}', "");
Expect(0, 918000, '\P{^Is_Word_Break=-EXTEND}', "");
Error('\p{Is_WB=-:=Extend}');
Error('\P{Is_WB=-:=Extend}');
Expect(1, 917999, '\p{Is_WB=extend}', "");
Expect(0, 917999, '\p{^Is_WB=extend}', "");
Expect(0, 917999, '\P{Is_WB=extend}', "");
Expect(1, 917999, '\P{^Is_WB=extend}', "");
Expect(0, 918000, '\p{Is_WB=extend}', "");
Expect(1, 918000, '\p{^Is_WB=extend}', "");
Expect(1, 918000, '\P{Is_WB=extend}', "");
Expect(0, 918000, '\P{^Is_WB=extend}', "");
Expect(1, 917999, '\p{Is_WB:	 _Extend}', "");
Expect(0, 917999, '\p{^Is_WB:	 _Extend}', "");
Expect(0, 917999, '\P{Is_WB:	 _Extend}', "");
Expect(1, 917999, '\P{^Is_WB:	 _Extend}', "");
Expect(0, 918000, '\p{Is_WB:	 _Extend}', "");
Expect(1, 918000, '\p{^Is_WB:	 _Extend}', "");
Expect(1, 918000, '\P{Is_WB:	 _Extend}', "");
Expect(0, 918000, '\P{^Is_WB:	 _Extend}', "");
Error('\p{Word_Break=:= format}');
Error('\P{Word_Break=:= format}');
Expect(1, 917631, '\p{Word_Break=format}', "");
Expect(0, 917631, '\p{^Word_Break=format}', "");
Expect(0, 917631, '\P{Word_Break=format}', "");
Expect(1, 917631, '\P{^Word_Break=format}', "");
Expect(0, 917632, '\p{Word_Break=format}', "");
Expect(1, 917632, '\p{^Word_Break=format}', "");
Expect(1, 917632, '\P{Word_Break=format}', "");
Expect(0, 917632, '\P{^Word_Break=format}', "");
Error('\p{WB=	/a/FO}');
Error('\P{WB=	/a/FO}');
Expect(1, 917631, '\p{WB=fo}', "");
Expect(0, 917631, '\p{^WB=fo}', "");
Expect(0, 917631, '\P{WB=fo}', "");
Expect(1, 917631, '\P{^WB=fo}', "");
Expect(0, 917632, '\p{WB=fo}', "");
Expect(1, 917632, '\p{^WB=fo}', "");
Expect(1, 917632, '\P{WB=fo}', "");
Expect(0, 917632, '\P{^WB=fo}', "");
Expect(1, 917631, '\p{WB:   fo}', "");
Expect(0, 917631, '\p{^WB:   fo}', "");
Expect(0, 917631, '\P{WB:   fo}', "");
Expect(1, 917631, '\P{^WB:   fo}', "");
Expect(0, 917632, '\p{WB:   fo}', "");
Expect(1, 917632, '\p{^WB:   fo}', "");
Expect(1, 917632, '\P{WB:   fo}', "");
Expect(0, 917632, '\P{^WB:   fo}', "");
Error('\p{Is_Word_Break=:=	_format}');
Error('\P{Is_Word_Break=:=	_format}');
Expect(1, 917631, '\p{Is_Word_Break=format}', "");
Expect(0, 917631, '\p{^Is_Word_Break=format}', "");
Expect(0, 917631, '\P{Is_Word_Break=format}', "");
Expect(1, 917631, '\P{^Is_Word_Break=format}', "");
Expect(0, 917632, '\p{Is_Word_Break=format}', "");
Expect(1, 917632, '\p{^Is_Word_Break=format}', "");
Expect(1, 917632, '\P{Is_Word_Break=format}', "");
Expect(0, 917632, '\P{^Is_Word_Break=format}', "");
Expect(1, 917631, '\p{Is_Word_Break= Format}', "");
Expect(0, 917631, '\p{^Is_Word_Break= Format}', "");
Expect(0, 917631, '\P{Is_Word_Break= Format}', "");
Expect(1, 917631, '\P{^Is_Word_Break= Format}', "");
Expect(0, 917632, '\p{Is_Word_Break= Format}', "");
Expect(1, 917632, '\p{^Is_Word_Break= Format}', "");
Expect(1, 917632, '\P{Is_Word_Break= Format}', "");
Expect(0, 917632, '\P{^Is_Word_Break= Format}', "");
Error('\p{Is_WB=_/a/FO}');
Error('\P{Is_WB=_/a/FO}');
Expect(1, 917631, '\p{Is_WB: fo}', "");
Expect(0, 917631, '\p{^Is_WB: fo}', "");
Expect(0, 917631, '\P{Is_WB: fo}', "");
Expect(1, 917631, '\P{^Is_WB: fo}', "");
Expect(0, 917632, '\p{Is_WB: fo}', "");
Expect(1, 917632, '\p{^Is_WB: fo}', "");
Expect(1, 917632, '\P{Is_WB: fo}', "");
Expect(0, 917632, '\P{^Is_WB: fo}', "");
Expect(1, 917631, '\p{Is_WB=	 FO}', "");
Expect(0, 917631, '\p{^Is_WB=	 FO}', "");
Expect(0, 917631, '\P{Is_WB=	 FO}', "");
Expect(1, 917631, '\P{^Is_WB=	 FO}', "");
Expect(0, 917632, '\p{Is_WB=	 FO}', "");
Expect(1, 917632, '\p{^Is_WB=	 FO}', "");
Expect(1, 917632, '\P{Is_WB=	 FO}', "");
Expect(0, 917632, '\P{^Is_WB=	 FO}', "");
Error('\p{Word_Break=-:=hebrew_Letter}');
Error('\P{Word_Break=-:=hebrew_Letter}');
Expect(1, 64335, '\p{Word_Break:	hebrewletter}', "");
Expect(0, 64335, '\p{^Word_Break:	hebrewletter}', "");
Expect(0, 64335, '\P{Word_Break:	hebrewletter}', "");
Expect(1, 64335, '\P{^Word_Break:	hebrewletter}', "");
Expect(0, 64336, '\p{Word_Break:	hebrewletter}', "");
Expect(1, 64336, '\p{^Word_Break:	hebrewletter}', "");
Expect(1, 64336, '\P{Word_Break:	hebrewletter}', "");
Expect(0, 64336, '\P{^Word_Break:	hebrewletter}', "");
Expect(1, 64335, '\p{Word_Break=Hebrew_LETTER}', "");
Expect(0, 64335, '\p{^Word_Break=Hebrew_LETTER}', "");
Expect(0, 64335, '\P{Word_Break=Hebrew_LETTER}', "");
Expect(1, 64335, '\P{^Word_Break=Hebrew_LETTER}', "");
Expect(0, 64336, '\p{Word_Break=Hebrew_LETTER}', "");
Expect(1, 64336, '\p{^Word_Break=Hebrew_LETTER}', "");
Expect(1, 64336, '\P{Word_Break=Hebrew_LETTER}', "");
Expect(0, 64336, '\P{^Word_Break=Hebrew_LETTER}', "");
Error('\p{WB=/a/ -HL}');
Error('\P{WB=/a/ -HL}');
Expect(1, 64335, '\p{WB:   hl}', "");
Expect(0, 64335, '\p{^WB:   hl}', "");
Expect(0, 64335, '\P{WB:   hl}', "");
Expect(1, 64335, '\P{^WB:   hl}', "");
Expect(0, 64336, '\p{WB:   hl}', "");
Expect(1, 64336, '\p{^WB:   hl}', "");
Expect(1, 64336, '\P{WB:   hl}', "");
Expect(0, 64336, '\P{^WB:   hl}', "");
Expect(1, 64335, '\p{WB=_	hl}', "");
Expect(0, 64335, '\p{^WB=_	hl}', "");
Expect(0, 64335, '\P{WB=_	hl}', "");
Expect(1, 64335, '\P{^WB=_	hl}', "");
Expect(0, 64336, '\p{WB=_	hl}', "");
Expect(1, 64336, '\p{^WB=_	hl}', "");
Expect(1, 64336, '\P{WB=_	hl}', "");
Expect(0, 64336, '\P{^WB=_	hl}', "");
Error('\p{Is_Word_Break=	/a/Hebrew_LETTER}');
Error('\P{Is_Word_Break=	/a/Hebrew_LETTER}');
Expect(1, 64335, '\p{Is_Word_Break=hebrewletter}', "");
Expect(0, 64335, '\p{^Is_Word_Break=hebrewletter}', "");
Expect(0, 64335, '\P{Is_Word_Break=hebrewletter}', "");
Expect(1, 64335, '\P{^Is_Word_Break=hebrewletter}', "");
Expect(0, 64336, '\p{Is_Word_Break=hebrewletter}', "");
Expect(1, 64336, '\p{^Is_Word_Break=hebrewletter}', "");
Expect(1, 64336, '\P{Is_Word_Break=hebrewletter}', "");
Expect(0, 64336, '\P{^Is_Word_Break=hebrewletter}', "");
Expect(1, 64335, '\p{Is_Word_Break=--HEBREW_letter}', "");
Expect(0, 64335, '\p{^Is_Word_Break=--HEBREW_letter}', "");
Expect(0, 64335, '\P{Is_Word_Break=--HEBREW_letter}', "");
Expect(1, 64335, '\P{^Is_Word_Break=--HEBREW_letter}', "");
Expect(0, 64336, '\p{Is_Word_Break=--HEBREW_letter}', "");
Expect(1, 64336, '\p{^Is_Word_Break=--HEBREW_letter}', "");
Expect(1, 64336, '\P{Is_Word_Break=--HEBREW_letter}', "");
Expect(0, 64336, '\P{^Is_Word_Break=--HEBREW_letter}', "");
Error('\p{Is_WB=:=  hl}');
Error('\P{Is_WB=:=  hl}');
Expect(1, 64335, '\p{Is_WB=hl}', "");
Expect(0, 64335, '\p{^Is_WB=hl}', "");
Expect(0, 64335, '\P{Is_WB=hl}', "");
Expect(1, 64335, '\P{^Is_WB=hl}', "");
Expect(0, 64336, '\p{Is_WB=hl}', "");
Expect(1, 64336, '\p{^Is_WB=hl}', "");
Expect(1, 64336, '\P{Is_WB=hl}', "");
Expect(0, 64336, '\P{^Is_WB=hl}', "");
Expect(1, 64335, '\p{Is_WB=-_hl}', "");
Expect(0, 64335, '\p{^Is_WB=-_hl}', "");
Expect(0, 64335, '\P{Is_WB=-_hl}', "");
Expect(1, 64335, '\P{^Is_WB=-_hl}', "");
Expect(0, 64336, '\p{Is_WB=-_hl}', "");
Expect(1, 64336, '\p{^Is_WB=-_hl}', "");
Expect(1, 64336, '\P{Is_WB=-_hl}', "");
Expect(0, 64336, '\P{^Is_WB=-_hl}', "");
Error('\p{Word_Break=	-Katakana/a/}');
Error('\P{Word_Break=	-Katakana/a/}');
Expect(1, 110592, '\p{Word_Break:katakana}', "");
Expect(0, 110592, '\p{^Word_Break:katakana}', "");
Expect(0, 110592, '\P{Word_Break:katakana}', "");
Expect(1, 110592, '\P{^Word_Break:katakana}', "");
Expect(0, 110593, '\p{Word_Break:katakana}', "");
Expect(1, 110593, '\p{^Word_Break:katakana}', "");
Expect(1, 110593, '\P{Word_Break:katakana}', "");
Expect(0, 110593, '\P{^Word_Break:katakana}', "");
Expect(1, 110592, '\p{Word_Break=	-KATAKANA}', "");
Expect(0, 110592, '\p{^Word_Break=	-KATAKANA}', "");
Expect(0, 110592, '\P{Word_Break=	-KATAKANA}', "");
Expect(1, 110592, '\P{^Word_Break=	-KATAKANA}', "");
Expect(0, 110593, '\p{Word_Break=	-KATAKANA}', "");
Expect(1, 110593, '\p{^Word_Break=	-KATAKANA}', "");
Expect(1, 110593, '\P{Word_Break=	-KATAKANA}', "");
Expect(0, 110593, '\P{^Word_Break=	-KATAKANA}', "");
Error('\p{WB= :=KA}');
Error('\P{WB= :=KA}');
Expect(1, 110592, '\p{WB=ka}', "");
Expect(0, 110592, '\p{^WB=ka}', "");
Expect(0, 110592, '\P{WB=ka}', "");
Expect(1, 110592, '\P{^WB=ka}', "");
Expect(0, 110593, '\p{WB=ka}', "");
Expect(1, 110593, '\p{^WB=ka}', "");
Expect(1, 110593, '\P{WB=ka}', "");
Expect(0, 110593, '\P{^WB=ka}', "");
Expect(1, 110592, '\p{WB=	 KA}', "");
Expect(0, 110592, '\p{^WB=	 KA}', "");
Expect(0, 110592, '\P{WB=	 KA}', "");
Expect(1, 110592, '\P{^WB=	 KA}', "");
Expect(0, 110593, '\p{WB=	 KA}', "");
Expect(1, 110593, '\p{^WB=	 KA}', "");
Expect(1, 110593, '\P{WB=	 KA}', "");
Expect(0, 110593, '\P{^WB=	 KA}', "");
Error('\p{Is_Word_Break=katakana:=}');
Error('\P{Is_Word_Break=katakana:=}');
Expect(1, 110592, '\p{Is_Word_Break:	katakana}', "");
Expect(0, 110592, '\p{^Is_Word_Break:	katakana}', "");
Expect(0, 110592, '\P{Is_Word_Break:	katakana}', "");
Expect(1, 110592, '\P{^Is_Word_Break:	katakana}', "");
Expect(0, 110593, '\p{Is_Word_Break:	katakana}', "");
Expect(1, 110593, '\p{^Is_Word_Break:	katakana}', "");
Expect(1, 110593, '\P{Is_Word_Break:	katakana}', "");
Expect(0, 110593, '\P{^Is_Word_Break:	katakana}', "");
Expect(1, 110592, '\p{Is_Word_Break=_Katakana}', "");
Expect(0, 110592, '\p{^Is_Word_Break=_Katakana}', "");
Expect(0, 110592, '\P{Is_Word_Break=_Katakana}', "");
Expect(1, 110592, '\P{^Is_Word_Break=_Katakana}', "");
Expect(0, 110593, '\p{Is_Word_Break=_Katakana}', "");
Expect(1, 110593, '\p{^Is_Word_Break=_Katakana}', "");
Expect(1, 110593, '\P{Is_Word_Break=_Katakana}', "");
Expect(0, 110593, '\P{^Is_Word_Break=_Katakana}', "");
Error('\p{Is_WB=- KA/a/}');
Error('\P{Is_WB=- KA/a/}');
Expect(1, 110592, '\p{Is_WB=ka}', "");
Expect(0, 110592, '\p{^Is_WB=ka}', "");
Expect(0, 110592, '\P{Is_WB=ka}', "");
Expect(1, 110592, '\P{^Is_WB=ka}', "");
Expect(0, 110593, '\p{Is_WB=ka}', "");
Expect(1, 110593, '\p{^Is_WB=ka}', "");
Expect(1, 110593, '\P{Is_WB=ka}', "");
Expect(0, 110593, '\P{^Is_WB=ka}', "");
Expect(1, 110592, '\p{Is_WB=KA}', "");
Expect(0, 110592, '\p{^Is_WB=KA}', "");
Expect(0, 110592, '\P{Is_WB=KA}', "");
Expect(1, 110592, '\P{^Is_WB=KA}', "");
Expect(0, 110593, '\p{Is_WB=KA}', "");
Expect(1, 110593, '\p{^Is_WB=KA}', "");
Expect(1, 110593, '\P{Is_WB=KA}', "");
Expect(0, 110593, '\P{^Is_WB=KA}', "");
Error('\p{Word_Break=-	ALETTER/a/}');
Error('\P{Word_Break=-	ALETTER/a/}');
Expect(1, 127369, '\p{Word_Break=aletter}', "");
Expect(0, 127369, '\p{^Word_Break=aletter}', "");
Expect(0, 127369, '\P{Word_Break=aletter}', "");
Expect(1, 127369, '\P{^Word_Break=aletter}', "");
Expect(0, 127370, '\p{Word_Break=aletter}', "");
Expect(1, 127370, '\p{^Word_Break=aletter}', "");
Expect(1, 127370, '\P{Word_Break=aletter}', "");
Expect(0, 127370, '\P{^Word_Break=aletter}', "");
Expect(1, 127369, '\p{Word_Break=_ALetter}', "");
Expect(0, 127369, '\p{^Word_Break=_ALetter}', "");
Expect(0, 127369, '\P{Word_Break=_ALetter}', "");
Expect(1, 127369, '\P{^Word_Break=_ALetter}', "");
Expect(0, 127370, '\p{Word_Break=_ALetter}', "");
Expect(1, 127370, '\p{^Word_Break=_ALetter}', "");
Expect(1, 127370, '\P{Word_Break=_ALetter}', "");
Expect(0, 127370, '\P{^Word_Break=_ALetter}', "");
Error('\p{WB=	_LE/a/}');
Error('\P{WB=	_LE/a/}');
Expect(1, 127369, '\p{WB=le}', "");
Expect(0, 127369, '\p{^WB=le}', "");
Expect(0, 127369, '\P{WB=le}', "");
Expect(1, 127369, '\P{^WB=le}', "");
Expect(0, 127370, '\p{WB=le}', "");
Expect(1, 127370, '\p{^WB=le}', "");
Expect(1, 127370, '\P{WB=le}', "");
Expect(0, 127370, '\P{^WB=le}', "");
Expect(1, 127369, '\p{WB=_	LE}', "");
Expect(0, 127369, '\p{^WB=_	LE}', "");
Expect(0, 127369, '\P{WB=_	LE}', "");
Expect(1, 127369, '\P{^WB=_	LE}', "");
Expect(0, 127370, '\p{WB=_	LE}', "");
Expect(1, 127370, '\p{^WB=_	LE}', "");
Expect(1, 127370, '\P{WB=_	LE}', "");
Expect(0, 127370, '\P{^WB=_	LE}', "");
Error('\p{Is_Word_Break=:= -ALETTER}');
Error('\P{Is_Word_Break=:= -ALETTER}');
Expect(1, 127369, '\p{Is_Word_Break=aletter}', "");
Expect(0, 127369, '\p{^Is_Word_Break=aletter}', "");
Expect(0, 127369, '\P{Is_Word_Break=aletter}', "");
Expect(1, 127369, '\P{^Is_Word_Break=aletter}', "");
Expect(0, 127370, '\p{Is_Word_Break=aletter}', "");
Expect(1, 127370, '\p{^Is_Word_Break=aletter}', "");
Expect(1, 127370, '\P{Is_Word_Break=aletter}', "");
Expect(0, 127370, '\P{^Is_Word_Break=aletter}', "");
Expect(1, 127369, '\p{Is_Word_Break= ALetter}', "");
Expect(0, 127369, '\p{^Is_Word_Break= ALetter}', "");
Expect(0, 127369, '\P{Is_Word_Break= ALetter}', "");
Expect(1, 127369, '\P{^Is_Word_Break= ALetter}', "");
Expect(0, 127370, '\p{Is_Word_Break= ALetter}', "");
Expect(1, 127370, '\p{^Is_Word_Break= ALetter}', "");
Expect(1, 127370, '\P{Is_Word_Break= ALetter}', "");
Expect(0, 127370, '\P{^Is_Word_Break= ALetter}', "");
Error('\p{Is_WB= :=LE}');
Error('\P{Is_WB= :=LE}');
Expect(1, 127369, '\p{Is_WB=le}', "");
Expect(0, 127369, '\p{^Is_WB=le}', "");
Expect(0, 127369, '\P{Is_WB=le}', "");
Expect(1, 127369, '\P{^Is_WB=le}', "");
Expect(0, 127370, '\p{Is_WB=le}', "");
Expect(1, 127370, '\p{^Is_WB=le}', "");
Expect(1, 127370, '\P{Is_WB=le}', "");
Expect(0, 127370, '\P{^Is_WB=le}', "");
Expect(1, 127369, '\p{Is_WB= _LE}', "");
Expect(0, 127369, '\p{^Is_WB= _LE}', "");
Expect(0, 127369, '\P{Is_WB= _LE}', "");
Expect(1, 127369, '\P{^Is_WB= _LE}', "");
Expect(0, 127370, '\p{Is_WB= _LE}', "");
Expect(1, 127370, '\p{^Is_WB= _LE}', "");
Expect(1, 127370, '\P{Is_WB= _LE}', "");
Expect(0, 127370, '\P{^Is_WB= _LE}', "");
Error('\p{Word_Break=/a/	_LF}');
Error('\P{Word_Break=/a/	_LF}');
Expect(1, 10, '\p{Word_Break=lf}', "");
Expect(0, 10, '\p{^Word_Break=lf}', "");
Expect(0, 10, '\P{Word_Break=lf}', "");
Expect(1, 10, '\P{^Word_Break=lf}', "");
Expect(0, 11, '\p{Word_Break=lf}', "");
Expect(1, 11, '\p{^Word_Break=lf}', "");
Expect(1, 11, '\P{Word_Break=lf}', "");
Expect(0, 11, '\P{^Word_Break=lf}', "");
Expect(1, 10, '\p{Word_Break=_	LF}', "");
Expect(0, 10, '\p{^Word_Break=_	LF}', "");
Expect(0, 10, '\P{Word_Break=_	LF}', "");
Expect(1, 10, '\P{^Word_Break=_	LF}', "");
Expect(0, 11, '\p{Word_Break=_	LF}', "");
Expect(1, 11, '\p{^Word_Break=_	LF}', "");
Expect(1, 11, '\P{Word_Break=_	LF}', "");
Expect(0, 11, '\P{^Word_Break=_	LF}', "");
Error('\p{WB=	:=LF}');
Error('\P{WB=	:=LF}');
Expect(1, 10, '\p{WB=lf}', "");
Expect(0, 10, '\p{^WB=lf}', "");
Expect(0, 10, '\P{WB=lf}', "");
Expect(1, 10, '\P{^WB=lf}', "");
Expect(0, 11, '\p{WB=lf}', "");
Expect(1, 11, '\p{^WB=lf}', "");
Expect(1, 11, '\P{WB=lf}', "");
Expect(0, 11, '\P{^WB=lf}', "");
Expect(1, 10, '\p{WB:__LF}', "");
Expect(0, 10, '\p{^WB:__LF}', "");
Expect(0, 10, '\P{WB:__LF}', "");
Expect(1, 10, '\P{^WB:__LF}', "");
Expect(0, 11, '\p{WB:__LF}', "");
Expect(1, 11, '\p{^WB:__LF}', "");
Expect(1, 11, '\P{WB:__LF}', "");
Expect(0, 11, '\P{^WB:__LF}', "");
Error('\p{Is_Word_Break=-/a/lf}');
Error('\P{Is_Word_Break=-/a/lf}');
Expect(1, 10, '\p{Is_Word_Break=lf}', "");
Expect(0, 10, '\p{^Is_Word_Break=lf}', "");
Expect(0, 10, '\P{Is_Word_Break=lf}', "");
Expect(1, 10, '\P{^Is_Word_Break=lf}', "");
Expect(0, 11, '\p{Is_Word_Break=lf}', "");
Expect(1, 11, '\p{^Is_Word_Break=lf}', "");
Expect(1, 11, '\P{Is_Word_Break=lf}', "");
Expect(0, 11, '\P{^Is_Word_Break=lf}', "");
Expect(1, 10, '\p{Is_Word_Break=-lf}', "");
Expect(0, 10, '\p{^Is_Word_Break=-lf}', "");
Expect(0, 10, '\P{Is_Word_Break=-lf}', "");
Expect(1, 10, '\P{^Is_Word_Break=-lf}', "");
Expect(0, 11, '\p{Is_Word_Break=-lf}', "");
Expect(1, 11, '\p{^Is_Word_Break=-lf}', "");
Expect(1, 11, '\P{Is_Word_Break=-lf}', "");
Expect(0, 11, '\P{^Is_Word_Break=-lf}', "");
Error('\p{Is_WB= 	lf:=}');
Error('\P{Is_WB= 	lf:=}');
Expect(1, 10, '\p{Is_WB=lf}', "");
Expect(0, 10, '\p{^Is_WB=lf}', "");
Expect(0, 10, '\P{Is_WB=lf}', "");
Expect(1, 10, '\P{^Is_WB=lf}', "");
Expect(0, 11, '\p{Is_WB=lf}', "");
Expect(1, 11, '\p{^Is_WB=lf}', "");
Expect(1, 11, '\P{Is_WB=lf}', "");
Expect(0, 11, '\P{^Is_WB=lf}', "");
Expect(1, 10, '\p{Is_WB= 	LF}', "");
Expect(0, 10, '\p{^Is_WB= 	LF}', "");
Expect(0, 10, '\P{Is_WB= 	LF}', "");
Expect(1, 10, '\P{^Is_WB= 	LF}', "");
Expect(0, 11, '\p{Is_WB= 	LF}', "");
Expect(1, 11, '\p{^Is_WB= 	LF}', "");
Expect(1, 11, '\P{Is_WB= 	LF}', "");
Expect(0, 11, '\P{^Is_WB= 	LF}', "");
Error('\p{Word_Break=/a/__MidNumLet}');
Error('\P{Word_Break=/a/__MidNumLet}');
Expect(1, 65294, '\p{Word_Break=midnumlet}', "");
Expect(0, 65294, '\p{^Word_Break=midnumlet}', "");
Expect(0, 65294, '\P{Word_Break=midnumlet}', "");
Expect(1, 65294, '\P{^Word_Break=midnumlet}', "");
Expect(0, 65295, '\p{Word_Break=midnumlet}', "");
Expect(1, 65295, '\p{^Word_Break=midnumlet}', "");
Expect(1, 65295, '\P{Word_Break=midnumlet}', "");
Expect(0, 65295, '\P{^Word_Break=midnumlet}', "");
Expect(1, 65294, '\p{Word_Break=_MidNumLet}', "");
Expect(0, 65294, '\p{^Word_Break=_MidNumLet}', "");
Expect(0, 65294, '\P{Word_Break=_MidNumLet}', "");
Expect(1, 65294, '\P{^Word_Break=_MidNumLet}', "");
Expect(0, 65295, '\p{Word_Break=_MidNumLet}', "");
Expect(1, 65295, '\p{^Word_Break=_MidNumLet}', "");
Expect(1, 65295, '\P{Word_Break=_MidNumLet}', "");
Expect(0, 65295, '\P{^Word_Break=_MidNumLet}', "");
Error('\p{WB:	  mb/a/}');
Error('\P{WB:	  mb/a/}');
Expect(1, 65294, '\p{WB=mb}', "");
Expect(0, 65294, '\p{^WB=mb}', "");
Expect(0, 65294, '\P{WB=mb}', "");
Expect(1, 65294, '\P{^WB=mb}', "");
Expect(0, 65295, '\p{WB=mb}', "");
Expect(1, 65295, '\p{^WB=mb}', "");
Expect(1, 65295, '\P{WB=mb}', "");
Expect(0, 65295, '\P{^WB=mb}', "");
Expect(1, 65294, '\p{WB=	_MB}', "");
Expect(0, 65294, '\p{^WB=	_MB}', "");
Expect(0, 65294, '\P{WB=	_MB}', "");
Expect(1, 65294, '\P{^WB=	_MB}', "");
Expect(0, 65295, '\p{WB=	_MB}', "");
Expect(1, 65295, '\p{^WB=	_MB}', "");
Expect(1, 65295, '\P{WB=	_MB}', "");
Expect(0, 65295, '\P{^WB=	_MB}', "");
Error('\p{Is_Word_Break=	-MidNumLet:=}');
Error('\P{Is_Word_Break=	-MidNumLet:=}');
Expect(1, 65294, '\p{Is_Word_Break=midnumlet}', "");
Expect(0, 65294, '\p{^Is_Word_Break=midnumlet}', "");
Expect(0, 65294, '\P{Is_Word_Break=midnumlet}', "");
Expect(1, 65294, '\P{^Is_Word_Break=midnumlet}', "");
Expect(0, 65295, '\p{Is_Word_Break=midnumlet}', "");
Expect(1, 65295, '\p{^Is_Word_Break=midnumlet}', "");
Expect(1, 65295, '\P{Is_Word_Break=midnumlet}', "");
Expect(0, 65295, '\P{^Is_Word_Break=midnumlet}', "");
Expect(1, 65294, '\p{Is_Word_Break=_	MidNumLet}', "");
Expect(0, 65294, '\p{^Is_Word_Break=_	MidNumLet}', "");
Expect(0, 65294, '\P{Is_Word_Break=_	MidNumLet}', "");
Expect(1, 65294, '\P{^Is_Word_Break=_	MidNumLet}', "");
Expect(0, 65295, '\p{Is_Word_Break=_	MidNumLet}', "");
Expect(1, 65295, '\p{^Is_Word_Break=_	MidNumLet}', "");
Expect(1, 65295, '\P{Is_Word_Break=_	MidNumLet}', "");
Expect(0, 65295, '\P{^Is_Word_Break=_	MidNumLet}', "");
Error('\p{Is_WB=	:=mb}');
Error('\P{Is_WB=	:=mb}');
Expect(1, 65294, '\p{Is_WB=mb}', "");
Expect(0, 65294, '\p{^Is_WB=mb}', "");
Expect(0, 65294, '\P{Is_WB=mb}', "");
Expect(1, 65294, '\P{^Is_WB=mb}', "");
Expect(0, 65295, '\p{Is_WB=mb}', "");
Expect(1, 65295, '\p{^Is_WB=mb}', "");
Expect(1, 65295, '\P{Is_WB=mb}', "");
Expect(0, 65295, '\P{^Is_WB=mb}', "");
Expect(1, 65294, '\p{Is_WB=__MB}', "");
Expect(0, 65294, '\p{^Is_WB=__MB}', "");
Expect(0, 65294, '\P{Is_WB=__MB}', "");
Expect(1, 65294, '\P{^Is_WB=__MB}', "");
Expect(0, 65295, '\p{Is_WB=__MB}', "");
Expect(1, 65295, '\p{^Is_WB=__MB}', "");
Expect(1, 65295, '\P{Is_WB=__MB}', "");
Expect(0, 65295, '\P{^Is_WB=__MB}', "");
Error('\p{Word_Break=_ MidLetter:=}');
Error('\P{Word_Break=_ MidLetter:=}');
Expect(1, 65306, '\p{Word_Break=midletter}', "");
Expect(0, 65306, '\p{^Word_Break=midletter}', "");
Expect(0, 65306, '\P{Word_Break=midletter}', "");
Expect(1, 65306, '\P{^Word_Break=midletter}', "");
Expect(0, 65307, '\p{Word_Break=midletter}', "");
Expect(1, 65307, '\p{^Word_Break=midletter}', "");
Expect(1, 65307, '\P{Word_Break=midletter}', "");
Expect(0, 65307, '\P{^Word_Break=midletter}', "");
Expect(1, 65306, '\p{Word_Break=	_MIDLETTER}', "");
Expect(0, 65306, '\p{^Word_Break=	_MIDLETTER}', "");
Expect(0, 65306, '\P{Word_Break=	_MIDLETTER}', "");
Expect(1, 65306, '\P{^Word_Break=	_MIDLETTER}', "");
Expect(0, 65307, '\p{Word_Break=	_MIDLETTER}', "");
Expect(1, 65307, '\p{^Word_Break=	_MIDLETTER}', "");
Expect(1, 65307, '\P{Word_Break=	_MIDLETTER}', "");
Expect(0, 65307, '\P{^Word_Break=	_MIDLETTER}', "");
Error('\p{WB=-_ML:=}');
Error('\P{WB=-_ML:=}');
Expect(1, 65306, '\p{WB:ml}', "");
Expect(0, 65306, '\p{^WB:ml}', "");
Expect(0, 65306, '\P{WB:ml}', "");
Expect(1, 65306, '\P{^WB:ml}', "");
Expect(0, 65307, '\p{WB:ml}', "");
Expect(1, 65307, '\p{^WB:ml}', "");
Expect(1, 65307, '\P{WB:ml}', "");
Expect(0, 65307, '\P{^WB:ml}', "");
Expect(1, 65306, '\p{WB=  ML}', "");
Expect(0, 65306, '\p{^WB=  ML}', "");
Expect(0, 65306, '\P{WB=  ML}', "");
Expect(1, 65306, '\P{^WB=  ML}', "");
Expect(0, 65307, '\p{WB=  ML}', "");
Expect(1, 65307, '\p{^WB=  ML}', "");
Expect(1, 65307, '\P{WB=  ML}', "");
Expect(0, 65307, '\P{^WB=  ML}', "");
Error('\p{Is_Word_Break=:=		MidLetter}');
Error('\P{Is_Word_Break=:=		MidLetter}');
Expect(1, 65306, '\p{Is_Word_Break=midletter}', "");
Expect(0, 65306, '\p{^Is_Word_Break=midletter}', "");
Expect(0, 65306, '\P{Is_Word_Break=midletter}', "");
Expect(1, 65306, '\P{^Is_Word_Break=midletter}', "");
Expect(0, 65307, '\p{Is_Word_Break=midletter}', "");
Expect(1, 65307, '\p{^Is_Word_Break=midletter}', "");
Expect(1, 65307, '\P{Is_Word_Break=midletter}', "");
Expect(0, 65307, '\P{^Is_Word_Break=midletter}', "");
Error('\p{Is_WB= ML:=}');
Error('\P{Is_WB= ML:=}');
Expect(1, 65306, '\p{Is_WB: ml}', "");
Expect(0, 65306, '\p{^Is_WB: ml}', "");
Expect(0, 65306, '\P{Is_WB: ml}', "");
Expect(1, 65306, '\P{^Is_WB: ml}', "");
Expect(0, 65307, '\p{Is_WB: ml}', "");
Expect(1, 65307, '\p{^Is_WB: ml}', "");
Expect(1, 65307, '\P{Is_WB: ml}', "");
Expect(0, 65307, '\P{^Is_WB: ml}', "");
Expect(1, 65306, '\p{Is_WB:	ML}', "");
Expect(0, 65306, '\p{^Is_WB:	ML}', "");
Expect(0, 65306, '\P{Is_WB:	ML}', "");
Expect(1, 65306, '\P{^Is_WB:	ML}', "");
Expect(0, 65307, '\p{Is_WB:	ML}', "");
Expect(1, 65307, '\p{^Is_WB:	ML}', "");
Expect(1, 65307, '\P{Is_WB:	ML}', "");
Expect(0, 65307, '\P{^Is_WB:	ML}', "");
Error('\p{Word_Break=--MidNum:=}');
Error('\P{Word_Break=--MidNum:=}');
Expect(1, 65307, '\p{Word_Break=midnum}', "");
Expect(0, 65307, '\p{^Word_Break=midnum}', "");
Expect(0, 65307, '\P{Word_Break=midnum}', "");
Expect(1, 65307, '\P{^Word_Break=midnum}', "");
Expect(0, 65308, '\p{Word_Break=midnum}', "");
Expect(1, 65308, '\p{^Word_Break=midnum}', "");
Expect(1, 65308, '\P{Word_Break=midnum}', "");
Expect(0, 65308, '\P{^Word_Break=midnum}', "");
Expect(1, 65307, '\p{Word_Break=-	MIDNUM}', "");
Expect(0, 65307, '\p{^Word_Break=-	MIDNUM}', "");
Expect(0, 65307, '\P{Word_Break=-	MIDNUM}', "");
Expect(1, 65307, '\P{^Word_Break=-	MIDNUM}', "");
Expect(0, 65308, '\p{Word_Break=-	MIDNUM}', "");
Expect(1, 65308, '\p{^Word_Break=-	MIDNUM}', "");
Expect(1, 65308, '\P{Word_Break=-	MIDNUM}', "");
Expect(0, 65308, '\P{^Word_Break=-	MIDNUM}', "");
Error('\p{WB=:=MN}');
Error('\P{WB=:=MN}');
Expect(1, 65307, '\p{WB=mn}', "");
Expect(0, 65307, '\p{^WB=mn}', "");
Expect(0, 65307, '\P{WB=mn}', "");
Expect(1, 65307, '\P{^WB=mn}', "");
Expect(0, 65308, '\p{WB=mn}', "");
Expect(1, 65308, '\p{^WB=mn}', "");
Expect(1, 65308, '\P{WB=mn}', "");
Expect(0, 65308, '\P{^WB=mn}', "");
Expect(1, 65307, '\p{WB=_ mn}', "");
Expect(0, 65307, '\p{^WB=_ mn}', "");
Expect(0, 65307, '\P{WB=_ mn}', "");
Expect(1, 65307, '\P{^WB=_ mn}', "");
Expect(0, 65308, '\p{WB=_ mn}', "");
Expect(1, 65308, '\p{^WB=_ mn}', "");
Expect(1, 65308, '\P{WB=_ mn}', "");
Expect(0, 65308, '\P{^WB=_ mn}', "");
Error('\p{Is_Word_Break=	_MIDNUM/a/}');
Error('\P{Is_Word_Break=	_MIDNUM/a/}');
Expect(1, 65307, '\p{Is_Word_Break=midnum}', "");
Expect(0, 65307, '\p{^Is_Word_Break=midnum}', "");
Expect(0, 65307, '\P{Is_Word_Break=midnum}', "");
Expect(1, 65307, '\P{^Is_Word_Break=midnum}', "");
Expect(0, 65308, '\p{Is_Word_Break=midnum}', "");
Expect(1, 65308, '\p{^Is_Word_Break=midnum}', "");
Expect(1, 65308, '\P{Is_Word_Break=midnum}', "");
Expect(0, 65308, '\P{^Is_Word_Break=midnum}', "");
Expect(1, 65307, '\p{Is_Word_Break=-midnum}', "");
Expect(0, 65307, '\p{^Is_Word_Break=-midnum}', "");
Expect(0, 65307, '\P{Is_Word_Break=-midnum}', "");
Expect(1, 65307, '\P{^Is_Word_Break=-midnum}', "");
Expect(0, 65308, '\p{Is_Word_Break=-midnum}', "");
Expect(1, 65308, '\p{^Is_Word_Break=-midnum}', "");
Expect(1, 65308, '\P{Is_Word_Break=-midnum}', "");
Expect(0, 65308, '\P{^Is_Word_Break=-midnum}', "");
Error('\p{Is_WB:   := MN}');
Error('\P{Is_WB:   := MN}');
Expect(1, 65307, '\p{Is_WB=mn}', "");
Expect(0, 65307, '\p{^Is_WB=mn}', "");
Expect(0, 65307, '\P{Is_WB=mn}', "");
Expect(1, 65307, '\P{^Is_WB=mn}', "");
Expect(0, 65308, '\p{Is_WB=mn}', "");
Expect(1, 65308, '\p{^Is_WB=mn}', "");
Expect(1, 65308, '\P{Is_WB=mn}', "");
Expect(0, 65308, '\P{^Is_WB=mn}', "");
Expect(1, 65307, '\p{Is_WB: MN}', "");
Expect(0, 65307, '\p{^Is_WB: MN}', "");
Expect(0, 65307, '\P{Is_WB: MN}', "");
Expect(1, 65307, '\P{^Is_WB: MN}', "");
Expect(0, 65308, '\p{Is_WB: MN}', "");
Expect(1, 65308, '\p{^Is_WB: MN}', "");
Expect(1, 65308, '\P{Is_WB: MN}', "");
Expect(0, 65308, '\P{^Is_WB: MN}', "");
Error('\p{Word_Break:   /a/ Newline}');
Error('\P{Word_Break:   /a/ Newline}');
Expect(1, 8233, '\p{Word_Break=newline}', "");
Expect(0, 8233, '\p{^Word_Break=newline}', "");
Expect(0, 8233, '\P{Word_Break=newline}', "");
Expect(1, 8233, '\P{^Word_Break=newline}', "");
Expect(0, 8234, '\p{Word_Break=newline}', "");
Expect(1, 8234, '\p{^Word_Break=newline}', "");
Expect(1, 8234, '\P{Word_Break=newline}', "");
Expect(0, 8234, '\P{^Word_Break=newline}', "");
Expect(1, 8233, '\p{Word_Break=_-NEWLINE}', "");
Expect(0, 8233, '\p{^Word_Break=_-NEWLINE}', "");
Expect(0, 8233, '\P{Word_Break=_-NEWLINE}', "");
Expect(1, 8233, '\P{^Word_Break=_-NEWLINE}', "");
Expect(0, 8234, '\p{Word_Break=_-NEWLINE}', "");
Expect(1, 8234, '\p{^Word_Break=_-NEWLINE}', "");
Expect(1, 8234, '\P{Word_Break=_-NEWLINE}', "");
Expect(0, 8234, '\P{^Word_Break=_-NEWLINE}', "");
Error('\p{WB=	NL:=}');
Error('\P{WB=	NL:=}');
Expect(1, 8233, '\p{WB=nl}', "");
Expect(0, 8233, '\p{^WB=nl}', "");
Expect(0, 8233, '\P{WB=nl}', "");
Expect(1, 8233, '\P{^WB=nl}', "");
Expect(0, 8234, '\p{WB=nl}', "");
Expect(1, 8234, '\p{^WB=nl}', "");
Expect(1, 8234, '\P{WB=nl}', "");
Expect(0, 8234, '\P{^WB=nl}', "");
Expect(1, 8233, '\p{WB=	NL}', "");
Expect(0, 8233, '\p{^WB=	NL}', "");
Expect(0, 8233, '\P{WB=	NL}', "");
Expect(1, 8233, '\P{^WB=	NL}', "");
Expect(0, 8234, '\p{WB=	NL}', "");
Expect(1, 8234, '\p{^WB=	NL}', "");
Expect(1, 8234, '\P{WB=	NL}', "");
Expect(0, 8234, '\P{^WB=	NL}', "");
Error('\p{Is_Word_Break=:= _newline}');
Error('\P{Is_Word_Break=:= _newline}');
Expect(1, 8233, '\p{Is_Word_Break:   newline}', "");
Expect(0, 8233, '\p{^Is_Word_Break:   newline}', "");
Expect(0, 8233, '\P{Is_Word_Break:   newline}', "");
Expect(1, 8233, '\P{^Is_Word_Break:   newline}', "");
Expect(0, 8234, '\p{Is_Word_Break:   newline}', "");
Expect(1, 8234, '\p{^Is_Word_Break:   newline}', "");
Expect(1, 8234, '\P{Is_Word_Break:   newline}', "");
Expect(0, 8234, '\P{^Is_Word_Break:   newline}', "");
Expect(1, 8233, '\p{Is_Word_Break=Newline}', "");
Expect(0, 8233, '\p{^Is_Word_Break=Newline}', "");
Expect(0, 8233, '\P{Is_Word_Break=Newline}', "");
Expect(1, 8233, '\P{^Is_Word_Break=Newline}', "");
Expect(0, 8234, '\p{Is_Word_Break=Newline}', "");
Expect(1, 8234, '\p{^Is_Word_Break=Newline}', "");
Expect(1, 8234, '\P{Is_Word_Break=Newline}', "");
Expect(0, 8234, '\P{^Is_Word_Break=Newline}', "");
Error('\p{Is_WB=		NL/a/}');
Error('\P{Is_WB=		NL/a/}');
Expect(1, 8233, '\p{Is_WB=nl}', "");
Expect(0, 8233, '\p{^Is_WB=nl}', "");
Expect(0, 8233, '\P{Is_WB=nl}', "");
Expect(1, 8233, '\P{^Is_WB=nl}', "");
Expect(0, 8234, '\p{Is_WB=nl}', "");
Expect(1, 8234, '\p{^Is_WB=nl}', "");
Expect(1, 8234, '\P{Is_WB=nl}', "");
Expect(0, 8234, '\P{^Is_WB=nl}', "");
Expect(1, 8233, '\p{Is_WB=	-NL}', "");
Expect(0, 8233, '\p{^Is_WB=	-NL}', "");
Expect(0, 8233, '\P{Is_WB=	-NL}', "");
Expect(1, 8233, '\P{^Is_WB=	-NL}', "");
Expect(0, 8234, '\p{Is_WB=	-NL}', "");
Expect(1, 8234, '\p{^Is_WB=	-NL}', "");
Expect(1, 8234, '\P{Is_WB=	-NL}', "");
Expect(0, 8234, '\P{^Is_WB=	-NL}', "");
Error('\p{Word_Break=-NUMERIC/a/}');
Error('\P{Word_Break=-NUMERIC/a/}');
Expect(1, 120831, '\p{Word_Break=numeric}', "");
Expect(0, 120831, '\p{^Word_Break=numeric}', "");
Expect(0, 120831, '\P{Word_Break=numeric}', "");
Expect(1, 120831, '\P{^Word_Break=numeric}', "");
Expect(0, 120832, '\p{Word_Break=numeric}', "");
Expect(1, 120832, '\p{^Word_Break=numeric}', "");
Expect(1, 120832, '\P{Word_Break=numeric}', "");
Expect(0, 120832, '\P{^Word_Break=numeric}', "");
Expect(1, 120831, '\p{Word_Break=	numeric}', "");
Expect(0, 120831, '\p{^Word_Break=	numeric}', "");
Expect(0, 120831, '\P{Word_Break=	numeric}', "");
Expect(1, 120831, '\P{^Word_Break=	numeric}', "");
Expect(0, 120832, '\p{Word_Break=	numeric}', "");
Expect(1, 120832, '\p{^Word_Break=	numeric}', "");
Expect(1, 120832, '\P{Word_Break=	numeric}', "");
Expect(0, 120832, '\P{^Word_Break=	numeric}', "");
Error('\p{WB: _:=NU}');
Error('\P{WB: _:=NU}');
Expect(1, 120831, '\p{WB=nu}', "");
Expect(0, 120831, '\p{^WB=nu}', "");
Expect(0, 120831, '\P{WB=nu}', "");
Expect(1, 120831, '\P{^WB=nu}', "");
Expect(0, 120832, '\p{WB=nu}', "");
Expect(1, 120832, '\p{^WB=nu}', "");
Expect(1, 120832, '\P{WB=nu}', "");
Expect(0, 120832, '\P{^WB=nu}', "");
Expect(1, 120831, '\p{WB= NU}', "");
Expect(0, 120831, '\p{^WB= NU}', "");
Expect(0, 120831, '\P{WB= NU}', "");
Expect(1, 120831, '\P{^WB= NU}', "");
Expect(0, 120832, '\p{WB= NU}', "");
Expect(1, 120832, '\p{^WB= NU}', "");
Expect(1, 120832, '\P{WB= NU}', "");
Expect(0, 120832, '\P{^WB= NU}', "");
Error('\p{Is_Word_Break:   _/a/Numeric}');
Error('\P{Is_Word_Break:   _/a/Numeric}');
Expect(1, 120831, '\p{Is_Word_Break=numeric}', "");
Expect(0, 120831, '\p{^Is_Word_Break=numeric}', "");
Expect(0, 120831, '\P{Is_Word_Break=numeric}', "");
Expect(1, 120831, '\P{^Is_Word_Break=numeric}', "");
Expect(0, 120832, '\p{Is_Word_Break=numeric}', "");
Expect(1, 120832, '\p{^Is_Word_Break=numeric}', "");
Expect(1, 120832, '\P{Is_Word_Break=numeric}', "");
Expect(0, 120832, '\P{^Is_Word_Break=numeric}', "");
Expect(1, 120831, '\p{Is_Word_Break=-NUMERIC}', "");
Expect(0, 120831, '\p{^Is_Word_Break=-NUMERIC}', "");
Expect(0, 120831, '\P{Is_Word_Break=-NUMERIC}', "");
Expect(1, 120831, '\P{^Is_Word_Break=-NUMERIC}', "");
Expect(0, 120832, '\p{Is_Word_Break=-NUMERIC}', "");
Expect(1, 120832, '\p{^Is_Word_Break=-NUMERIC}', "");
Expect(1, 120832, '\P{Is_Word_Break=-NUMERIC}', "");
Expect(0, 120832, '\P{^Is_Word_Break=-NUMERIC}', "");
Error('\p{Is_WB=/a/--NU}');
Error('\P{Is_WB=/a/--NU}');
Expect(1, 120831, '\p{Is_WB=nu}', "");
Expect(0, 120831, '\p{^Is_WB=nu}', "");
Expect(0, 120831, '\P{Is_WB=nu}', "");
Expect(1, 120831, '\P{^Is_WB=nu}', "");
Expect(0, 120832, '\p{Is_WB=nu}', "");
Expect(1, 120832, '\p{^Is_WB=nu}', "");
Expect(1, 120832, '\P{Is_WB=nu}', "");
Expect(0, 120832, '\P{^Is_WB=nu}', "");
Expect(1, 120831, '\p{Is_WB=-	NU}', "");
Expect(0, 120831, '\p{^Is_WB=-	NU}', "");
Expect(0, 120831, '\P{Is_WB=-	NU}', "");
Expect(1, 120831, '\P{^Is_WB=-	NU}', "");
Expect(0, 120832, '\p{Is_WB=-	NU}', "");
Expect(1, 120832, '\p{^Is_WB=-	NU}', "");
Expect(1, 120832, '\P{Is_WB=-	NU}', "");
Expect(0, 120832, '\P{^Is_WB=-	NU}', "");
Error('\p{Word_Break= Regional_indicator/a/}');
Error('\P{Word_Break= Regional_indicator/a/}');
Expect(1, 127487, '\p{Word_Break=regionalindicator}', "");
Expect(0, 127487, '\p{^Word_Break=regionalindicator}', "");
Expect(0, 127487, '\P{Word_Break=regionalindicator}', "");
Expect(1, 127487, '\P{^Word_Break=regionalindicator}', "");
Expect(0, 127488, '\p{Word_Break=regionalindicator}', "");
Expect(1, 127488, '\p{^Word_Break=regionalindicator}', "");
Expect(1, 127488, '\P{Word_Break=regionalindicator}', "");
Expect(0, 127488, '\P{^Word_Break=regionalindicator}', "");
Expect(1, 127487, '\p{Word_Break= -Regional_Indicator}', "");
Expect(0, 127487, '\p{^Word_Break= -Regional_Indicator}', "");
Expect(0, 127487, '\P{Word_Break= -Regional_Indicator}', "");
Expect(1, 127487, '\P{^Word_Break= -Regional_Indicator}', "");
Expect(0, 127488, '\p{Word_Break= -Regional_Indicator}', "");
Expect(1, 127488, '\p{^Word_Break= -Regional_Indicator}', "");
Expect(1, 127488, '\P{Word_Break= -Regional_Indicator}', "");
Expect(0, 127488, '\P{^Word_Break= -Regional_Indicator}', "");
Error('\p{WB:			ri/a/}');
Error('\P{WB:			ri/a/}');
Expect(1, 127487, '\p{WB=ri}', "");
Expect(0, 127487, '\p{^WB=ri}', "");
Expect(0, 127487, '\P{WB=ri}', "");
Expect(1, 127487, '\P{^WB=ri}', "");
Expect(0, 127488, '\p{WB=ri}', "");
Expect(1, 127488, '\p{^WB=ri}', "");
Expect(1, 127488, '\P{WB=ri}', "");
Expect(0, 127488, '\P{^WB=ri}', "");
Expect(1, 127487, '\p{WB= -RI}', "");
Expect(0, 127487, '\p{^WB= -RI}', "");
Expect(0, 127487, '\P{WB= -RI}', "");
Expect(1, 127487, '\P{^WB= -RI}', "");
Expect(0, 127488, '\p{WB= -RI}', "");
Expect(1, 127488, '\p{^WB= -RI}', "");
Expect(1, 127488, '\P{WB= -RI}', "");
Expect(0, 127488, '\P{^WB= -RI}', "");
Error('\p{Is_Word_Break=/a/REGIONAL_Indicator}');
Error('\P{Is_Word_Break=/a/REGIONAL_Indicator}');
Expect(1, 127487, '\p{Is_Word_Break=regionalindicator}', "");
Expect(0, 127487, '\p{^Is_Word_Break=regionalindicator}', "");
Expect(0, 127487, '\P{Is_Word_Break=regionalindicator}', "");
Expect(1, 127487, '\P{^Is_Word_Break=regionalindicator}', "");
Expect(0, 127488, '\p{Is_Word_Break=regionalindicator}', "");
Expect(1, 127488, '\p{^Is_Word_Break=regionalindicator}', "");
Expect(1, 127488, '\P{Is_Word_Break=regionalindicator}', "");
Expect(0, 127488, '\P{^Is_Word_Break=regionalindicator}', "");
Expect(1, 127487, '\p{Is_Word_Break=	REGIONAL_Indicator}', "");
Expect(0, 127487, '\p{^Is_Word_Break=	REGIONAL_Indicator}', "");
Expect(0, 127487, '\P{Is_Word_Break=	REGIONAL_Indicator}', "");
Expect(1, 127487, '\P{^Is_Word_Break=	REGIONAL_Indicator}', "");
Expect(0, 127488, '\p{Is_Word_Break=	REGIONAL_Indicator}', "");
Expect(1, 127488, '\p{^Is_Word_Break=	REGIONAL_Indicator}', "");
Expect(1, 127488, '\P{Is_Word_Break=	REGIONAL_Indicator}', "");
Expect(0, 127488, '\P{^Is_Word_Break=	REGIONAL_Indicator}', "");
Error('\p{Is_WB=-/a/RI}');
Error('\P{Is_WB=-/a/RI}');
Expect(1, 127487, '\p{Is_WB=ri}', "");
Expect(0, 127487, '\p{^Is_WB=ri}', "");
Expect(0, 127487, '\P{Is_WB=ri}', "");
Expect(1, 127487, '\P{^Is_WB=ri}', "");
Expect(0, 127488, '\p{Is_WB=ri}', "");
Expect(1, 127488, '\p{^Is_WB=ri}', "");
Expect(1, 127488, '\P{Is_WB=ri}', "");
Expect(0, 127488, '\P{^Is_WB=ri}', "");
Expect(1, 127487, '\p{Is_WB=_-RI}', "");
Expect(0, 127487, '\p{^Is_WB=_-RI}', "");
Expect(0, 127487, '\P{Is_WB=_-RI}', "");
Expect(1, 127487, '\P{^Is_WB=_-RI}', "");
Expect(0, 127488, '\p{Is_WB=_-RI}', "");
Expect(1, 127488, '\p{^Is_WB=_-RI}', "");
Expect(1, 127488, '\P{Is_WB=_-RI}', "");
Expect(0, 127488, '\P{^Is_WB=_-RI}', "");
Error('\p{Word_Break=	 Single_Quote/a/}');
Error('\P{Word_Break=	 Single_Quote/a/}');
Expect(1, 39, '\p{Word_Break=singlequote}', "");
Expect(0, 39, '\p{^Word_Break=singlequote}', "");
Expect(0, 39, '\P{Word_Break=singlequote}', "");
Expect(1, 39, '\P{^Word_Break=singlequote}', "");
Expect(0, 40, '\p{Word_Break=singlequote}', "");
Expect(1, 40, '\p{^Word_Break=singlequote}', "");
Expect(1, 40, '\P{Word_Break=singlequote}', "");
Expect(0, 40, '\P{^Word_Break=singlequote}', "");
Expect(1, 39, '\p{Word_Break=-	single_Quote}', "");
Expect(0, 39, '\p{^Word_Break=-	single_Quote}', "");
Expect(0, 39, '\P{Word_Break=-	single_Quote}', "");
Expect(1, 39, '\P{^Word_Break=-	single_Quote}', "");
Expect(0, 40, '\p{Word_Break=-	single_Quote}', "");
Expect(1, 40, '\p{^Word_Break=-	single_Quote}', "");
Expect(1, 40, '\P{Word_Break=-	single_Quote}', "");
Expect(0, 40, '\P{^Word_Break=-	single_Quote}', "");
Error('\p{WB= _sq/a/}');
Error('\P{WB= _sq/a/}');
Expect(1, 39, '\p{WB: sq}', "");
Expect(0, 39, '\p{^WB: sq}', "");
Expect(0, 39, '\P{WB: sq}', "");
Expect(1, 39, '\P{^WB: sq}', "");
Expect(0, 40, '\p{WB: sq}', "");
Expect(1, 40, '\p{^WB: sq}', "");
Expect(1, 40, '\P{WB: sq}', "");
Expect(0, 40, '\P{^WB: sq}', "");
Expect(1, 39, '\p{WB=	_SQ}', "");
Expect(0, 39, '\p{^WB=	_SQ}', "");
Expect(0, 39, '\P{WB=	_SQ}', "");
Expect(1, 39, '\P{^WB=	_SQ}', "");
Expect(0, 40, '\p{WB=	_SQ}', "");
Expect(1, 40, '\p{^WB=	_SQ}', "");
Expect(1, 40, '\P{WB=	_SQ}', "");
Expect(0, 40, '\P{^WB=	_SQ}', "");
Error('\p{Is_Word_Break=/a/ _SINGLE_Quote}');
Error('\P{Is_Word_Break=/a/ _SINGLE_Quote}');
Expect(1, 39, '\p{Is_Word_Break=singlequote}', "");
Expect(0, 39, '\p{^Is_Word_Break=singlequote}', "");
Expect(0, 39, '\P{Is_Word_Break=singlequote}', "");
Expect(1, 39, '\P{^Is_Word_Break=singlequote}', "");
Expect(0, 40, '\p{Is_Word_Break=singlequote}', "");
Expect(1, 40, '\p{^Is_Word_Break=singlequote}', "");
Expect(1, 40, '\P{Is_Word_Break=singlequote}', "");
Expect(0, 40, '\P{^Is_Word_Break=singlequote}', "");
Expect(1, 39, '\p{Is_Word_Break=	 Single_quote}', "");
Expect(0, 39, '\p{^Is_Word_Break=	 Single_quote}', "");
Expect(0, 39, '\P{Is_Word_Break=	 Single_quote}', "");
Expect(1, 39, '\P{^Is_Word_Break=	 Single_quote}', "");
Expect(0, 40, '\p{Is_Word_Break=	 Single_quote}', "");
Expect(1, 40, '\p{^Is_Word_Break=	 Single_quote}', "");
Expect(1, 40, '\P{Is_Word_Break=	 Single_quote}', "");
Expect(0, 40, '\P{^Is_Word_Break=	 Single_quote}', "");
Error('\p{Is_WB=--SQ/a/}');
Error('\P{Is_WB=--SQ/a/}');
Expect(1, 39, '\p{Is_WB=sq}', "");
Expect(0, 39, '\p{^Is_WB=sq}', "");
Expect(0, 39, '\P{Is_WB=sq}', "");
Expect(1, 39, '\P{^Is_WB=sq}', "");
Expect(0, 40, '\p{Is_WB=sq}', "");
Expect(1, 40, '\p{^Is_WB=sq}', "");
Expect(1, 40, '\P{Is_WB=sq}', "");
Expect(0, 40, '\P{^Is_WB=sq}', "");
Expect(1, 39, '\p{Is_WB= 	SQ}', "");
Expect(0, 39, '\p{^Is_WB= 	SQ}', "");
Expect(0, 39, '\P{Is_WB= 	SQ}', "");
Expect(1, 39, '\P{^Is_WB= 	SQ}', "");
Expect(0, 40, '\p{Is_WB= 	SQ}', "");
Expect(1, 40, '\p{^Is_WB= 	SQ}', "");
Expect(1, 40, '\P{Is_WB= 	SQ}', "");
Expect(0, 40, '\P{^Is_WB= 	SQ}', "");
Error('\p{Word_Break:/a/		Other}');
Error('\P{Word_Break:/a/		Other}');
Expect(1, 918000, '\p{Word_Break=other}', "");
Expect(0, 918000, '\p{^Word_Break=other}', "");
Expect(0, 918000, '\P{Word_Break=other}', "");
Expect(1, 918000, '\P{^Word_Break=other}', "");
Expect(0, 917999, '\p{Word_Break=other}', "");
Expect(1, 917999, '\p{^Word_Break=other}', "");
Expect(1, 917999, '\P{Word_Break=other}', "");
Expect(0, 917999, '\P{^Word_Break=other}', "");
Expect(1, 918000, '\p{Word_Break=Other}', "");
Expect(0, 918000, '\p{^Word_Break=Other}', "");
Expect(0, 918000, '\P{Word_Break=Other}', "");
Expect(1, 918000, '\P{^Word_Break=Other}', "");
Expect(0, 917999, '\p{Word_Break=Other}', "");
Expect(1, 917999, '\p{^Word_Break=Other}', "");
Expect(1, 917999, '\P{Word_Break=Other}', "");
Expect(0, 917999, '\P{^Word_Break=Other}', "");
Error('\p{WB=-/a/XX}');
Error('\P{WB=-/a/XX}');
Expect(1, 918000, '\p{WB=xx}', "");
Expect(0, 918000, '\p{^WB=xx}', "");
Expect(0, 918000, '\P{WB=xx}', "");
Expect(1, 918000, '\P{^WB=xx}', "");
Expect(0, 917999, '\p{WB=xx}', "");
Expect(1, 917999, '\p{^WB=xx}', "");
Expect(1, 917999, '\P{WB=xx}', "");
Expect(0, 917999, '\P{^WB=xx}', "");
Expect(1, 918000, '\p{WB=- XX}', "");
Expect(0, 918000, '\p{^WB=- XX}', "");
Expect(0, 918000, '\P{WB=- XX}', "");
Expect(1, 918000, '\P{^WB=- XX}', "");
Expect(0, 917999, '\p{WB=- XX}', "");
Expect(1, 917999, '\p{^WB=- XX}', "");
Expect(1, 917999, '\P{WB=- XX}', "");
Expect(0, 917999, '\P{^WB=- XX}', "");
Error('\p{Is_Word_Break: 	:=OTHER}');
Error('\P{Is_Word_Break: 	:=OTHER}');
Expect(1, 918000, '\p{Is_Word_Break: other}', "");
Expect(0, 918000, '\p{^Is_Word_Break: other}', "");
Expect(0, 918000, '\P{Is_Word_Break: other}', "");
Expect(1, 918000, '\P{^Is_Word_Break: other}', "");
Expect(0, 917999, '\p{Is_Word_Break: other}', "");
Expect(1, 917999, '\p{^Is_Word_Break: other}', "");
Expect(1, 917999, '\P{Is_Word_Break: other}', "");
Expect(0, 917999, '\P{^Is_Word_Break: other}', "");
Expect(1, 918000, '\p{Is_Word_Break= 	Other}', "");
Expect(0, 918000, '\p{^Is_Word_Break= 	Other}', "");
Expect(0, 918000, '\P{Is_Word_Break= 	Other}', "");
Expect(1, 918000, '\P{^Is_Word_Break= 	Other}', "");
Expect(0, 917999, '\p{Is_Word_Break= 	Other}', "");
Expect(1, 917999, '\p{^Is_Word_Break= 	Other}', "");
Expect(1, 917999, '\P{Is_Word_Break= 	Other}', "");
Expect(0, 917999, '\P{^Is_Word_Break= 	Other}', "");
Error('\p{Is_WB=/a/xx}');
Error('\P{Is_WB=/a/xx}');
Expect(1, 918000, '\p{Is_WB=xx}', "");
Expect(0, 918000, '\p{^Is_WB=xx}', "");
Expect(0, 918000, '\P{Is_WB=xx}', "");
Expect(1, 918000, '\P{^Is_WB=xx}', "");
Expect(0, 917999, '\p{Is_WB=xx}', "");
Expect(1, 917999, '\p{^Is_WB=xx}', "");
Expect(1, 917999, '\P{Is_WB=xx}', "");
Expect(0, 917999, '\P{^Is_WB=xx}', "");
Expect(1, 918000, '\p{Is_WB=	XX}', "");
Expect(0, 918000, '\p{^Is_WB=	XX}', "");
Expect(0, 918000, '\P{Is_WB=	XX}', "");
Expect(1, 918000, '\P{^Is_WB=	XX}', "");
Expect(0, 917999, '\p{Is_WB=	XX}', "");
Expect(1, 917999, '\p{^Is_WB=	XX}', "");
Expect(1, 917999, '\P{Is_WB=	XX}', "");
Expect(0, 917999, '\P{^Is_WB=	XX}', "");
Error('\p{White_Space=:=_No}');
Error('\P{White_Space=:=_No}');
Expect(1, 12289, '\p{White_Space=no}', "");
Expect(0, 12289, '\p{^White_Space=no}', "");
Expect(0, 12289, '\P{White_Space=no}', "");
Expect(1, 12289, '\P{^White_Space=no}', "");
Expect(0, 12288, '\p{White_Space=no}', "");
Expect(1, 12288, '\p{^White_Space=no}', "");
Expect(1, 12288, '\P{White_Space=no}', "");
Expect(0, 12288, '\P{^White_Space=no}', "");
Expect(1, 12289, '\p{White_Space=_-No}', "");
Expect(0, 12289, '\p{^White_Space=_-No}', "");
Expect(0, 12289, '\P{White_Space=_-No}', "");
Expect(1, 12289, '\P{^White_Space=_-No}', "");
Expect(0, 12288, '\p{White_Space=_-No}', "");
Expect(1, 12288, '\p{^White_Space=_-No}', "");
Expect(1, 12288, '\P{White_Space=_-No}', "");
Expect(0, 12288, '\P{^White_Space=_-No}', "");
Error('\p{WSpace=/a/_N}');
Error('\P{WSpace=/a/_N}');
Expect(1, 12289, '\p{WSpace=n}', "");
Expect(0, 12289, '\p{^WSpace=n}', "");
Expect(0, 12289, '\P{WSpace=n}', "");
Expect(1, 12289, '\P{^WSpace=n}', "");
Expect(0, 12288, '\p{WSpace=n}', "");
Expect(1, 12288, '\p{^WSpace=n}', "");
Expect(1, 12288, '\P{WSpace=n}', "");
Expect(0, 12288, '\P{^WSpace=n}', "");
Expect(1, 12289, '\p{WSpace:	 N}', "");
Expect(0, 12289, '\p{^WSpace:	 N}', "");
Expect(0, 12289, '\P{WSpace:	 N}', "");
Expect(1, 12289, '\P{^WSpace:	 N}', "");
Expect(0, 12288, '\p{WSpace:	 N}', "");
Expect(1, 12288, '\p{^WSpace:	 N}', "");
Expect(1, 12288, '\P{WSpace:	 N}', "");
Expect(0, 12288, '\P{^WSpace:	 N}', "");
Error('\p{Space=:=--f}');
Error('\P{Space=:=--f}');
Expect(1, 12289, '\p{Space=f}', "");
Expect(0, 12289, '\p{^Space=f}', "");
Expect(0, 12289, '\P{Space=f}', "");
Expect(1, 12289, '\P{^Space=f}', "");
Expect(0, 12288, '\p{Space=f}', "");
Expect(1, 12288, '\p{^Space=f}', "");
Expect(1, 12288, '\P{Space=f}', "");
Expect(0, 12288, '\P{^Space=f}', "");
Expect(1, 12289, '\p{Space=	f}', "");
Expect(0, 12289, '\p{^Space=	f}', "");
Expect(0, 12289, '\P{Space=	f}', "");
Expect(1, 12289, '\P{^Space=	f}', "");
Expect(0, 12288, '\p{Space=	f}', "");
Expect(1, 12288, '\p{^Space=	f}', "");
Expect(1, 12288, '\P{Space=	f}', "");
Expect(0, 12288, '\P{^Space=	f}', "");
Error('\p{Is_White_Space=	False/a/}');
Error('\P{Is_White_Space=	False/a/}');
Expect(1, 12289, '\p{Is_White_Space: false}', "");
Expect(0, 12289, '\p{^Is_White_Space: false}', "");
Expect(0, 12289, '\P{Is_White_Space: false}', "");
Expect(1, 12289, '\P{^Is_White_Space: false}', "");
Expect(0, 12288, '\p{Is_White_Space: false}', "");
Expect(1, 12288, '\p{^Is_White_Space: false}', "");
Expect(1, 12288, '\P{Is_White_Space: false}', "");
Expect(0, 12288, '\P{^Is_White_Space: false}', "");
Expect(1, 12289, '\p{Is_White_Space= _false}', "");
Expect(0, 12289, '\p{^Is_White_Space= _false}', "");
Expect(0, 12289, '\P{Is_White_Space= _false}', "");
Expect(1, 12289, '\P{^Is_White_Space= _false}', "");
Expect(0, 12288, '\p{Is_White_Space= _false}', "");
Expect(1, 12288, '\p{^Is_White_Space= _false}', "");
Expect(1, 12288, '\P{Is_White_Space= _false}', "");
Expect(0, 12288, '\P{^Is_White_Space= _false}', "");
Error('\p{Is_WSpace=/a/ NO}');
Error('\P{Is_WSpace=/a/ NO}');
Expect(1, 12289, '\p{Is_WSpace:	no}', "");
Expect(0, 12289, '\p{^Is_WSpace:	no}', "");
Expect(0, 12289, '\P{Is_WSpace:	no}', "");
Expect(1, 12289, '\P{^Is_WSpace:	no}', "");
Expect(0, 12288, '\p{Is_WSpace:	no}', "");
Expect(1, 12288, '\p{^Is_WSpace:	no}', "");
Expect(1, 12288, '\P{Is_WSpace:	no}', "");
Expect(0, 12288, '\P{^Is_WSpace:	no}', "");
Expect(1, 12289, '\p{Is_WSpace=_No}', "");
Expect(0, 12289, '\p{^Is_WSpace=_No}', "");
Expect(0, 12289, '\P{Is_WSpace=_No}', "");
Expect(1, 12289, '\P{^Is_WSpace=_No}', "");
Expect(0, 12288, '\p{Is_WSpace=_No}', "");
Expect(1, 12288, '\p{^Is_WSpace=_No}', "");
Expect(1, 12288, '\P{Is_WSpace=_No}', "");
Expect(0, 12288, '\P{^Is_WSpace=_No}', "");
Error('\p{Is_Space=	_N/a/}');
Error('\P{Is_Space=	_N/a/}');
Expect(1, 12289, '\p{Is_Space=n}', "");
Expect(0, 12289, '\p{^Is_Space=n}', "");
Expect(0, 12289, '\P{Is_Space=n}', "");
Expect(1, 12289, '\P{^Is_Space=n}', "");
Expect(0, 12288, '\p{Is_Space=n}', "");
Expect(1, 12288, '\p{^Is_Space=n}', "");
Expect(1, 12288, '\P{Is_Space=n}', "");
Expect(0, 12288, '\P{^Is_Space=n}', "");
Expect(1, 12289, '\p{Is_Space=	_N}', "");
Expect(0, 12289, '\p{^Is_Space=	_N}', "");
Expect(0, 12289, '\P{Is_Space=	_N}', "");
Expect(1, 12289, '\P{^Is_Space=	_N}', "");
Expect(0, 12288, '\p{Is_Space=	_N}', "");
Expect(1, 12288, '\p{^Is_Space=	_N}', "");
Expect(1, 12288, '\P{Is_Space=	_N}', "");
Expect(0, 12288, '\P{^Is_Space=	_N}', "");
Error('\p{White_Space=/a/	yes}');
Error('\P{White_Space=/a/	yes}');
Expect(1, 12288, '\p{White_Space=yes}', "");
Expect(0, 12288, '\p{^White_Space=yes}', "");
Expect(0, 12288, '\P{White_Space=yes}', "");
Expect(1, 12288, '\P{^White_Space=yes}', "");
Expect(0, 12289, '\p{White_Space=yes}', "");
Expect(1, 12289, '\p{^White_Space=yes}', "");
Expect(1, 12289, '\P{White_Space=yes}', "");
Expect(0, 12289, '\P{^White_Space=yes}', "");
Expect(1, 12288, '\p{White_Space=		YES}', "");
Expect(0, 12288, '\p{^White_Space=		YES}', "");
Expect(0, 12288, '\P{White_Space=		YES}', "");
Expect(1, 12288, '\P{^White_Space=		YES}', "");
Expect(0, 12289, '\p{White_Space=		YES}', "");
Expect(1, 12289, '\p{^White_Space=		YES}', "");
Expect(1, 12289, '\P{White_Space=		YES}', "");
Expect(0, 12289, '\P{^White_Space=		YES}', "");
Error('\p{WSpace=/a/	_Y}');
Error('\P{WSpace=/a/	_Y}');
Expect(1, 12288, '\p{WSpace=y}', "");
Expect(0, 12288, '\p{^WSpace=y}', "");
Expect(0, 12288, '\P{WSpace=y}', "");
Expect(1, 12288, '\P{^WSpace=y}', "");
Expect(0, 12289, '\p{WSpace=y}', "");
Expect(1, 12289, '\p{^WSpace=y}', "");
Expect(1, 12289, '\P{WSpace=y}', "");
Expect(0, 12289, '\P{^WSpace=y}', "");
Expect(1, 12288, '\p{WSpace= -Y}', "");
Expect(0, 12288, '\p{^WSpace= -Y}', "");
Expect(0, 12288, '\P{WSpace= -Y}', "");
Expect(1, 12288, '\P{^WSpace= -Y}', "");
Expect(0, 12289, '\p{WSpace= -Y}', "");
Expect(1, 12289, '\p{^WSpace= -Y}', "");
Expect(1, 12289, '\P{WSpace= -Y}', "");
Expect(0, 12289, '\P{^WSpace= -Y}', "");
Error('\p{Space:   _/a/T}');
Error('\P{Space:   _/a/T}');
Expect(1, 12288, '\p{Space=t}', "");
Expect(0, 12288, '\p{^Space=t}', "");
Expect(0, 12288, '\P{Space=t}', "");
Expect(1, 12288, '\P{^Space=t}', "");
Expect(0, 12289, '\p{Space=t}', "");
Expect(1, 12289, '\p{^Space=t}', "");
Expect(1, 12289, '\P{Space=t}', "");
Expect(0, 12289, '\P{^Space=t}', "");
Expect(1, 12288, '\p{Space:		T}', "");
Expect(0, 12288, '\p{^Space:		T}', "");
Expect(0, 12288, '\P{Space:		T}', "");
Expect(1, 12288, '\P{^Space:		T}', "");
Expect(0, 12289, '\p{Space:		T}', "");
Expect(1, 12289, '\p{^Space:		T}', "");
Expect(1, 12289, '\P{Space:		T}', "");
Expect(0, 12289, '\P{^Space:		T}', "");
Error('\p{Is_White_Space=:=  True}');
Error('\P{Is_White_Space=:=  True}');
Expect(1, 12288, '\p{Is_White_Space=true}', "");
Expect(0, 12288, '\p{^Is_White_Space=true}', "");
Expect(0, 12288, '\P{Is_White_Space=true}', "");
Expect(1, 12288, '\P{^Is_White_Space=true}', "");
Expect(0, 12289, '\p{Is_White_Space=true}', "");
Expect(1, 12289, '\p{^Is_White_Space=true}', "");
Expect(1, 12289, '\P{Is_White_Space=true}', "");
Expect(0, 12289, '\P{^Is_White_Space=true}', "");
Expect(1, 12288, '\p{Is_White_Space=_True}', "");
Expect(0, 12288, '\p{^Is_White_Space=_True}', "");
Expect(0, 12288, '\P{Is_White_Space=_True}', "");
Expect(1, 12288, '\P{^Is_White_Space=_True}', "");
Expect(0, 12289, '\p{Is_White_Space=_True}', "");
Expect(1, 12289, '\p{^Is_White_Space=_True}', "");
Expect(1, 12289, '\P{Is_White_Space=_True}', "");
Expect(0, 12289, '\P{^Is_White_Space=_True}', "");
Error('\p{Is_WSpace=/a/		Yes}');
Error('\P{Is_WSpace=/a/		Yes}');
Expect(1, 12288, '\p{Is_WSpace:yes}', "");
Expect(0, 12288, '\p{^Is_WSpace:yes}', "");
Expect(0, 12288, '\P{Is_WSpace:yes}', "");
Expect(1, 12288, '\P{^Is_WSpace:yes}', "");
Expect(0, 12289, '\p{Is_WSpace:yes}', "");
Expect(1, 12289, '\p{^Is_WSpace:yes}', "");
Expect(1, 12289, '\P{Is_WSpace:yes}', "");
Expect(0, 12289, '\P{^Is_WSpace:yes}', "");
Expect(1, 12288, '\p{Is_WSpace= 	yes}', "");
Expect(0, 12288, '\p{^Is_WSpace= 	yes}', "");
Expect(0, 12288, '\P{Is_WSpace= 	yes}', "");
Expect(1, 12288, '\P{^Is_WSpace= 	yes}', "");
Expect(0, 12289, '\p{Is_WSpace= 	yes}', "");
Expect(1, 12289, '\p{^Is_WSpace= 	yes}', "");
Expect(1, 12289, '\P{Is_WSpace= 	yes}', "");
Expect(0, 12289, '\P{^Is_WSpace= 	yes}', "");
Error('\p{Is_Space=_	Y/a/}');
Error('\P{Is_Space=_	Y/a/}');
Expect(1, 12288, '\p{Is_Space=y}', "");
Expect(0, 12288, '\p{^Is_Space=y}', "");
Expect(0, 12288, '\P{Is_Space=y}', "");
Expect(1, 12288, '\P{^Is_Space=y}', "");
Expect(0, 12289, '\p{Is_Space=y}', "");
Expect(1, 12289, '\p{^Is_Space=y}', "");
Expect(1, 12289, '\P{Is_Space=y}', "");
Expect(0, 12289, '\P{^Is_Space=y}', "");
Expect(1, 12288, '\p{Is_Space=_y}', "");
Expect(0, 12288, '\p{^Is_Space=_y}', "");
Expect(0, 12288, '\P{Is_Space=_y}', "");
Expect(1, 12288, '\P{^Is_Space=_y}', "");
Expect(0, 12289, '\p{Is_Space=_y}', "");
Expect(1, 12289, '\p{^Is_Space=_y}', "");
Expect(1, 12289, '\P{Is_Space=_y}', "");
Expect(0, 12289, '\P{^Is_Space=_y}', "");
Error('\p{XID_Continue= :=No}');
Error('\P{XID_Continue= :=No}');
Expect(1, 918000, '\p{XID_Continue=no}', "");
Expect(0, 918000, '\p{^XID_Continue=no}', "");
Expect(0, 918000, '\P{XID_Continue=no}', "");
Expect(1, 918000, '\P{^XID_Continue=no}', "");
Expect(0, 917999, '\p{XID_Continue=no}', "");
Expect(1, 917999, '\p{^XID_Continue=no}', "");
Expect(1, 917999, '\P{XID_Continue=no}', "");
Expect(0, 917999, '\P{^XID_Continue=no}', "");
Expect(1, 918000, '\p{XID_Continue=_	No}', "");
Expect(0, 918000, '\p{^XID_Continue=_	No}', "");
Expect(0, 918000, '\P{XID_Continue=_	No}', "");
Expect(1, 918000, '\P{^XID_Continue=_	No}', "");
Expect(0, 917999, '\p{XID_Continue=_	No}', "");
Expect(1, 917999, '\p{^XID_Continue=_	No}', "");
Expect(1, 917999, '\P{XID_Continue=_	No}', "");
Expect(0, 917999, '\P{^XID_Continue=_	No}', "");
Error('\p{XIDC=/a/	 n}');
Error('\P{XIDC=/a/	 n}');
Expect(1, 918000, '\p{XIDC=n}', "");
Expect(0, 918000, '\p{^XIDC=n}', "");
Expect(0, 918000, '\P{XIDC=n}', "");
Expect(1, 918000, '\P{^XIDC=n}', "");
Expect(0, 917999, '\p{XIDC=n}', "");
Expect(1, 917999, '\p{^XIDC=n}', "");
Expect(1, 917999, '\P{XIDC=n}', "");
Expect(0, 917999, '\P{^XIDC=n}', "");
Expect(1, 918000, '\p{XIDC:	-_N}', "");
Expect(0, 918000, '\p{^XIDC:	-_N}', "");
Expect(0, 918000, '\P{XIDC:	-_N}', "");
Expect(1, 918000, '\P{^XIDC:	-_N}', "");
Expect(0, 917999, '\p{XIDC:	-_N}', "");
Expect(1, 917999, '\p{^XIDC:	-_N}', "");
Expect(1, 917999, '\P{XIDC:	-_N}', "");
Expect(0, 917999, '\P{^XIDC:	-_N}', "");
Error('\p{Is_XID_Continue=_f/a/}');
Error('\P{Is_XID_Continue=_f/a/}');
Expect(1, 918000, '\p{Is_XID_Continue=f}', "");
Expect(0, 918000, '\p{^Is_XID_Continue=f}', "");
Expect(0, 918000, '\P{Is_XID_Continue=f}', "");
Expect(1, 918000, '\P{^Is_XID_Continue=f}', "");
Expect(0, 917999, '\p{Is_XID_Continue=f}', "");
Expect(1, 917999, '\p{^Is_XID_Continue=f}', "");
Expect(1, 917999, '\P{Is_XID_Continue=f}', "");
Expect(0, 917999, '\P{^Is_XID_Continue=f}', "");
Expect(1, 918000, '\p{Is_XID_Continue:_F}', "");
Expect(0, 918000, '\p{^Is_XID_Continue:_F}', "");
Expect(0, 918000, '\P{Is_XID_Continue:_F}', "");
Expect(1, 918000, '\P{^Is_XID_Continue:_F}', "");
Expect(0, 917999, '\p{Is_XID_Continue:_F}', "");
Expect(1, 917999, '\p{^Is_XID_Continue:_F}', "");
Expect(1, 917999, '\P{Is_XID_Continue:_F}', "");
Expect(0, 917999, '\P{^Is_XID_Continue:_F}', "");
Error('\p{Is_XIDC=	/a/FALSE}');
Error('\P{Is_XIDC=	/a/FALSE}');
Expect(1, 918000, '\p{Is_XIDC=false}', "");
Expect(0, 918000, '\p{^Is_XIDC=false}', "");
Expect(0, 918000, '\P{Is_XIDC=false}', "");
Expect(1, 918000, '\P{^Is_XIDC=false}', "");
Expect(0, 917999, '\p{Is_XIDC=false}', "");
Expect(1, 917999, '\p{^Is_XIDC=false}', "");
Expect(1, 917999, '\P{Is_XIDC=false}', "");
Expect(0, 917999, '\P{^Is_XIDC=false}', "");
Expect(1, 918000, '\p{Is_XIDC=-false}', "");
Expect(0, 918000, '\p{^Is_XIDC=-false}', "");
Expect(0, 918000, '\P{Is_XIDC=-false}', "");
Expect(1, 918000, '\P{^Is_XIDC=-false}', "");
Expect(0, 917999, '\p{Is_XIDC=-false}', "");
Expect(1, 917999, '\p{^Is_XIDC=-false}', "");
Expect(1, 917999, '\P{Is_XIDC=-false}', "");
Expect(0, 917999, '\P{^Is_XIDC=-false}', "");
Error('\p{XID_Continue=-/a/Yes}');
Error('\P{XID_Continue=-/a/Yes}');
Expect(1, 917999, '\p{XID_Continue=yes}', "");
Expect(0, 917999, '\p{^XID_Continue=yes}', "");
Expect(0, 917999, '\P{XID_Continue=yes}', "");
Expect(1, 917999, '\P{^XID_Continue=yes}', "");
Expect(0, 918000, '\p{XID_Continue=yes}', "");
Expect(1, 918000, '\p{^XID_Continue=yes}', "");
Expect(1, 918000, '\P{XID_Continue=yes}', "");
Expect(0, 918000, '\P{^XID_Continue=yes}', "");
Expect(1, 917999, '\p{XID_Continue: -_Yes}', "");
Expect(0, 917999, '\p{^XID_Continue: -_Yes}', "");
Expect(0, 917999, '\P{XID_Continue: -_Yes}', "");
Expect(1, 917999, '\P{^XID_Continue: -_Yes}', "");
Expect(0, 918000, '\p{XID_Continue: -_Yes}', "");
Expect(1, 918000, '\p{^XID_Continue: -_Yes}', "");
Expect(1, 918000, '\P{XID_Continue: -_Yes}', "");
Expect(0, 918000, '\P{^XID_Continue: -_Yes}', "");
Error('\p{XIDC=_:=Y}');
Error('\P{XIDC=_:=Y}');
Expect(1, 917999, '\p{XIDC=y}', "");
Expect(0, 917999, '\p{^XIDC=y}', "");
Expect(0, 917999, '\P{XIDC=y}', "");
Expect(1, 917999, '\P{^XIDC=y}', "");
Expect(0, 918000, '\p{XIDC=y}', "");
Expect(1, 918000, '\p{^XIDC=y}', "");
Expect(1, 918000, '\P{XIDC=y}', "");
Expect(0, 918000, '\P{^XIDC=y}', "");
Expect(1, 917999, '\p{XIDC=	 Y}', "");
Expect(0, 917999, '\p{^XIDC=	 Y}', "");
Expect(0, 917999, '\P{XIDC=	 Y}', "");
Expect(1, 917999, '\P{^XIDC=	 Y}', "");
Expect(0, 918000, '\p{XIDC=	 Y}', "");
Expect(1, 918000, '\p{^XIDC=	 Y}', "");
Expect(1, 918000, '\P{XIDC=	 Y}', "");
Expect(0, 918000, '\P{^XIDC=	 Y}', "");
Error('\p{Is_XID_Continue=_T/a/}');
Error('\P{Is_XID_Continue=_T/a/}');
Expect(1, 917999, '\p{Is_XID_Continue=t}', "");
Expect(0, 917999, '\p{^Is_XID_Continue=t}', "");
Expect(0, 917999, '\P{Is_XID_Continue=t}', "");
Expect(1, 917999, '\P{^Is_XID_Continue=t}', "");
Expect(0, 918000, '\p{Is_XID_Continue=t}', "");
Expect(1, 918000, '\p{^Is_XID_Continue=t}', "");
Expect(1, 918000, '\P{Is_XID_Continue=t}', "");
Expect(0, 918000, '\P{^Is_XID_Continue=t}', "");
Expect(1, 917999, '\p{Is_XID_Continue= _t}', "");
Expect(0, 917999, '\p{^Is_XID_Continue= _t}', "");
Expect(0, 917999, '\P{Is_XID_Continue= _t}', "");
Expect(1, 917999, '\P{^Is_XID_Continue= _t}', "");
Expect(0, 918000, '\p{Is_XID_Continue= _t}', "");
Expect(1, 918000, '\p{^Is_XID_Continue= _t}', "");
Expect(1, 918000, '\P{Is_XID_Continue= _t}', "");
Expect(0, 918000, '\P{^Is_XID_Continue= _t}', "");
Error('\p{Is_XIDC= :=True}');
Error('\P{Is_XIDC= :=True}');
Expect(1, 917999, '\p{Is_XIDC=true}', "");
Expect(0, 917999, '\p{^Is_XIDC=true}', "");
Expect(0, 917999, '\P{Is_XIDC=true}', "");
Expect(1, 917999, '\P{^Is_XIDC=true}', "");
Expect(0, 918000, '\p{Is_XIDC=true}', "");
Expect(1, 918000, '\p{^Is_XIDC=true}', "");
Expect(1, 918000, '\P{Is_XIDC=true}', "");
Expect(0, 918000, '\P{^Is_XIDC=true}', "");
Expect(1, 917999, '\p{Is_XIDC=		True}', "");
Expect(0, 917999, '\p{^Is_XIDC=		True}', "");
Expect(0, 917999, '\P{Is_XIDC=		True}', "");
Expect(1, 917999, '\P{^Is_XIDC=		True}', "");
Expect(0, 918000, '\p{Is_XIDC=		True}', "");
Expect(1, 918000, '\p{^Is_XIDC=		True}', "");
Expect(1, 918000, '\P{Is_XIDC=		True}', "");
Expect(0, 918000, '\P{^Is_XIDC=		True}', "");
Error('\p{XID_Start=/a/_No}');
Error('\P{XID_Start=/a/_No}');
Expect(1, 195102, '\p{XID_Start: no}', "");
Expect(0, 195102, '\p{^XID_Start: no}', "");
Expect(0, 195102, '\P{XID_Start: no}', "");
Expect(1, 195102, '\P{^XID_Start: no}', "");
Expect(0, 195101, '\p{XID_Start: no}', "");
Expect(1, 195101, '\p{^XID_Start: no}', "");
Expect(1, 195101, '\P{XID_Start: no}', "");
Expect(0, 195101, '\P{^XID_Start: no}', "");
Expect(1, 195102, '\p{XID_Start:	 -no}', "");
Expect(0, 195102, '\p{^XID_Start:	 -no}', "");
Expect(0, 195102, '\P{XID_Start:	 -no}', "");
Expect(1, 195102, '\P{^XID_Start:	 -no}', "");
Expect(0, 195101, '\p{XID_Start:	 -no}', "");
Expect(1, 195101, '\p{^XID_Start:	 -no}', "");
Expect(1, 195101, '\P{XID_Start:	 -no}', "");
Expect(0, 195101, '\P{^XID_Start:	 -no}', "");
Error('\p{XIDS=:=_N}');
Error('\P{XIDS=:=_N}');
Expect(1, 195102, '\p{XIDS=n}', "");
Expect(0, 195102, '\p{^XIDS=n}', "");
Expect(0, 195102, '\P{XIDS=n}', "");
Expect(1, 195102, '\P{^XIDS=n}', "");
Expect(0, 195101, '\p{XIDS=n}', "");
Expect(1, 195101, '\p{^XIDS=n}', "");
Expect(1, 195101, '\P{XIDS=n}', "");
Expect(0, 195101, '\P{^XIDS=n}', "");
Expect(1, 195102, '\p{XIDS=_n}', "");
Expect(0, 195102, '\p{^XIDS=_n}', "");
Expect(0, 195102, '\P{XIDS=_n}', "");
Expect(1, 195102, '\P{^XIDS=_n}', "");
Expect(0, 195101, '\p{XIDS=_n}', "");
Expect(1, 195101, '\p{^XIDS=_n}', "");
Expect(1, 195101, '\P{XIDS=_n}', "");
Expect(0, 195101, '\P{^XIDS=_n}', "");
Error('\p{Is_XID_Start=:=	F}');
Error('\P{Is_XID_Start=:=	F}');
Expect(1, 195102, '\p{Is_XID_Start=f}', "");
Expect(0, 195102, '\p{^Is_XID_Start=f}', "");
Expect(0, 195102, '\P{Is_XID_Start=f}', "");
Expect(1, 195102, '\P{^Is_XID_Start=f}', "");
Expect(0, 195101, '\p{Is_XID_Start=f}', "");
Expect(1, 195101, '\p{^Is_XID_Start=f}', "");
Expect(1, 195101, '\P{Is_XID_Start=f}', "");
Expect(0, 195101, '\P{^Is_XID_Start=f}', "");
Expect(1, 195102, '\p{Is_XID_Start:	F}', "");
Expect(0, 195102, '\p{^Is_XID_Start:	F}', "");
Expect(0, 195102, '\P{Is_XID_Start:	F}', "");
Expect(1, 195102, '\P{^Is_XID_Start:	F}', "");
Expect(0, 195101, '\p{Is_XID_Start:	F}', "");
Expect(1, 195101, '\p{^Is_XID_Start:	F}', "");
Expect(1, 195101, '\P{Is_XID_Start:	F}', "");
Expect(0, 195101, '\P{^Is_XID_Start:	F}', "");
Error('\p{Is_XIDS=  False/a/}');
Error('\P{Is_XIDS=  False/a/}');
Expect(1, 195102, '\p{Is_XIDS=false}', "");
Expect(0, 195102, '\p{^Is_XIDS=false}', "");
Expect(0, 195102, '\P{Is_XIDS=false}', "");
Expect(1, 195102, '\P{^Is_XIDS=false}', "");
Expect(0, 195101, '\p{Is_XIDS=false}', "");
Expect(1, 195101, '\p{^Is_XIDS=false}', "");
Expect(1, 195101, '\P{Is_XIDS=false}', "");
Expect(0, 195101, '\P{^Is_XIDS=false}', "");
Expect(1, 195102, '\p{Is_XIDS=_-False}', "");
Expect(0, 195102, '\p{^Is_XIDS=_-False}', "");
Expect(0, 195102, '\P{Is_XIDS=_-False}', "");
Expect(1, 195102, '\P{^Is_XIDS=_-False}', "");
Expect(0, 195101, '\p{Is_XIDS=_-False}', "");
Expect(1, 195101, '\p{^Is_XIDS=_-False}', "");
Expect(1, 195101, '\P{Is_XIDS=_-False}', "");
Expect(0, 195101, '\P{^Is_XIDS=_-False}', "");
Error('\p{XID_Start=-_YES:=}');
Error('\P{XID_Start=-_YES:=}');
Expect(1, 195101, '\p{XID_Start=yes}', "");
Expect(0, 195101, '\p{^XID_Start=yes}', "");
Expect(0, 195101, '\P{XID_Start=yes}', "");
Expect(1, 195101, '\P{^XID_Start=yes}', "");
Expect(0, 195102, '\p{XID_Start=yes}', "");
Expect(1, 195102, '\p{^XID_Start=yes}', "");
Expect(1, 195102, '\P{XID_Start=yes}', "");
Expect(0, 195102, '\P{^XID_Start=yes}', "");
Expect(1, 195101, '\p{XID_Start= 	Yes}', "");
Expect(0, 195101, '\p{^XID_Start= 	Yes}', "");
Expect(0, 195101, '\P{XID_Start= 	Yes}', "");
Expect(1, 195101, '\P{^XID_Start= 	Yes}', "");
Expect(0, 195102, '\p{XID_Start= 	Yes}', "");
Expect(1, 195102, '\p{^XID_Start= 	Yes}', "");
Expect(1, 195102, '\P{XID_Start= 	Yes}', "");
Expect(0, 195102, '\P{^XID_Start= 	Yes}', "");
Error('\p{XIDS:	-:=Y}');
Error('\P{XIDS:	-:=Y}');
Expect(1, 195101, '\p{XIDS=y}', "");
Expect(0, 195101, '\p{^XIDS=y}', "");
Expect(0, 195101, '\P{XIDS=y}', "");
Expect(1, 195101, '\P{^XIDS=y}', "");
Expect(0, 195102, '\p{XIDS=y}', "");
Expect(1, 195102, '\p{^XIDS=y}', "");
Expect(1, 195102, '\P{XIDS=y}', "");
Expect(0, 195102, '\P{^XIDS=y}', "");
Expect(1, 195101, '\p{XIDS=		Y}', "");
Expect(0, 195101, '\p{^XIDS=		Y}', "");
Expect(0, 195101, '\P{XIDS=		Y}', "");
Expect(1, 195101, '\P{^XIDS=		Y}', "");
Expect(0, 195102, '\p{XIDS=		Y}', "");
Expect(1, 195102, '\p{^XIDS=		Y}', "");
Expect(1, 195102, '\P{XIDS=		Y}', "");
Expect(0, 195102, '\P{^XIDS=		Y}', "");
Error('\p{Is_XID_Start=:=T}');
Error('\P{Is_XID_Start=:=T}');
Expect(1, 195101, '\p{Is_XID_Start=t}', "");
Expect(0, 195101, '\p{^Is_XID_Start=t}', "");
Expect(0, 195101, '\P{Is_XID_Start=t}', "");
Expect(1, 195101, '\P{^Is_XID_Start=t}', "");
Expect(0, 195102, '\p{Is_XID_Start=t}', "");
Expect(1, 195102, '\p{^Is_XID_Start=t}', "");
Expect(1, 195102, '\P{Is_XID_Start=t}', "");
Expect(0, 195102, '\P{^Is_XID_Start=t}', "");
Expect(1, 195101, '\p{Is_XID_Start=	T}', "");
Expect(0, 195101, '\p{^Is_XID_Start=	T}', "");
Expect(0, 195101, '\P{Is_XID_Start=	T}', "");
Expect(1, 195101, '\P{^Is_XID_Start=	T}', "");
Expect(0, 195102, '\p{Is_XID_Start=	T}', "");
Expect(1, 195102, '\p{^Is_XID_Start=	T}', "");
Expect(1, 195102, '\P{Is_XID_Start=	T}', "");
Expect(0, 195102, '\P{^Is_XID_Start=	T}', "");
Error('\p{Is_XIDS=/a/-_TRUE}');
Error('\P{Is_XIDS=/a/-_TRUE}');
Expect(1, 195101, '\p{Is_XIDS=true}', "");
Expect(0, 195101, '\p{^Is_XIDS=true}', "");
Expect(0, 195101, '\P{Is_XIDS=true}', "");
Expect(1, 195101, '\P{^Is_XIDS=true}', "");
Expect(0, 195102, '\p{Is_XIDS=true}', "");
Expect(1, 195102, '\p{^Is_XIDS=true}', "");
Expect(1, 195102, '\P{Is_XIDS=true}', "");
Expect(0, 195102, '\P{^Is_XIDS=true}', "");
Expect(1, 195101, '\p{Is_XIDS:   	_True}', "");
Expect(0, 195101, '\p{^Is_XIDS:   	_True}', "");
Expect(0, 195101, '\P{Is_XIDS:   	_True}', "");
Expect(1, 195101, '\P{^Is_XIDS:   	_True}', "");
Expect(0, 195102, '\p{Is_XIDS:   	_True}', "");
Expect(1, 195102, '\p{^Is_XIDS:   	_True}', "");
Expect(1, 195102, '\P{Is_XIDS:   	_True}', "");
Expect(0, 195102, '\P{^Is_XIDS:   	_True}', "");
Error('\p{Expands_On_NFC=No}');
Error('\P{Expands_On_NFC=No}');
Error('\p{XO_NFC=N}');
Error('\P{XO_NFC=N}');
Error('\p{Is_Expands_On_NFC=F}');
Error('\P{Is_Expands_On_NFC=F}');
Error('\p{Is_XO_NFC=False}');
Error('\P{Is_XO_NFC=False}');
Error('\p{Expands_On_NFC:Yes}');
Error('\P{Expands_On_NFC:Yes}');
Error('\p{XO_NFC=Y}');
Error('\P{XO_NFC=Y}');
Error('\p{Is_Expands_On_NFC=T}');
Error('\P{Is_Expands_On_NFC=T}');
Error('\p{Is_XO_NFC=True}');
Error('\P{Is_XO_NFC=True}');
Error('\p{Expands_On_NFD=No}');
Error('\P{Expands_On_NFD=No}');
Error('\p{XO_NFD=N}');
Error('\P{XO_NFD=N}');
Error('\p{Is_Expands_On_NFD: F}');
Error('\P{Is_Expands_On_NFD: F}');
Error('\p{Is_XO_NFD=False}');
Error('\P{Is_XO_NFD=False}');
Error('\p{Expands_On_NFD:Yes}');
Error('\P{Expands_On_NFD:Yes}');
Error('\p{XO_NFD=Y}');
Error('\P{XO_NFD=Y}');
Error('\p{Is_Expands_On_NFD=T}');
Error('\P{Is_Expands_On_NFD=T}');
Error('\p{Is_XO_NFD=True}');
Error('\P{Is_XO_NFD=True}');
Error('\p{Expands_On_NFKC=No}');
Error('\P{Expands_On_NFKC=No}');
Error('\p{XO_NFKC=N}');
Error('\P{XO_NFKC=N}');
Error('\p{Is_Expands_On_NFKC=F}');
Error('\P{Is_Expands_On_NFKC=F}');
Error('\p{Is_XO_NFKC=False}');
Error('\P{Is_XO_NFKC=False}');
Error('\p{Expands_On_NFKC=Yes}');
Error('\P{Expands_On_NFKC=Yes}');
Error('\p{XO_NFKC=Y}');
Error('\P{XO_NFKC=Y}');
Error('\p{Is_Expands_On_NFKC=T}');
Error('\P{Is_Expands_On_NFKC=T}');
Error('\p{Is_XO_NFKC=True}');
Error('\P{Is_XO_NFKC=True}');
Error('\p{Expands_On_NFKD=No}');
Error('\P{Expands_On_NFKD=No}');
Error('\p{XO_NFKD=N}');
Error('\P{XO_NFKD=N}');
Error('\p{Is_Expands_On_NFKD:F}');
Error('\P{Is_Expands_On_NFKD:F}');
Error('\p{Is_XO_NFKD=False}');
Error('\P{Is_XO_NFKD=False}');
Error('\p{Expands_On_NFKD=Yes}');
Error('\P{Expands_On_NFKD=Yes}');
Error('\p{XO_NFKD=Y}');
Error('\P{XO_NFKD=Y}');
Error('\p{Is_Expands_On_NFKD=T}');
Error('\P{Is_Expands_On_NFKD=T}');
Error('\p{Is_XO_NFKD=True}');
Error('\P{Is_XO_NFKD=True}');
Error('\p{Age= _V1_1/a/}');
Error('\P{Age= _V1_1/a/}');
Expect(1, 65533, '\p{Age=v11}', "");
Expect(0, 65533, '\p{^Age=v11}', "");
Expect(0, 65533, '\P{Age=v11}', "");
Expect(1, 65533, '\P{^Age=v11}', "");
Expect(0, 65536, '\p{Age=v11}', "");
Expect(1, 65536, '\p{^Age=v11}', "");
Expect(1, 65536, '\P{Age=v11}', "");
Expect(0, 65536, '\P{^Age=v11}', "");
Expect(1, 65533, '\p{Age= _v1_1}', "");
Expect(0, 65533, '\p{^Age= _v1_1}', "");
Expect(0, 65533, '\P{Age= _v1_1}', "");
Expect(1, 65533, '\P{^Age= _v1_1}', "");
Expect(0, 65536, '\p{Age= _v1_1}', "");
Expect(1, 65536, '\p{^Age= _v1_1}', "");
Expect(1, 65536, '\P{Age= _v1_1}', "");
Expect(0, 65536, '\P{^Age= _v1_1}', "");
Error('\p{Is_Age=/a/ -0_0_0_0_0_0_0_01.1}');
Error('\P{Is_Age=/a/ -0_0_0_0_0_0_0_01.1}');
Expect(1, 65533, '\p{Is_Age: 00000001.1}', "");
Expect(0, 65533, '\p{^Is_Age: 00000001.1}', "");
Expect(0, 65533, '\P{Is_Age: 00000001.1}', "");
Expect(1, 65533, '\P{^Is_Age: 00000001.1}', "");
Expect(0, 65536, '\p{Is_Age: 00000001.1}', "");
Expect(1, 65536, '\p{^Is_Age: 00000001.1}', "");
Expect(1, 65536, '\P{Is_Age: 00000001.1}', "");
Expect(0, 65536, '\P{^Is_Age: 00000001.1}', "");
Error('\p{Age=-V2_0:=}');
Error('\P{Age=-V2_0:=}');
Expect(1, 983040, '\p{Age=v20}', "");
Expect(0, 983040, '\p{^Age=v20}', "");
Expect(0, 983040, '\P{Age=v20}', "");
Expect(1, 983040, '\P{^Age=v20}', "");
Expect(0, 983037, '\p{Age=v20}', "");
Expect(1, 983037, '\p{^Age=v20}', "");
Expect(1, 983037, '\P{Age=v20}', "");
Expect(0, 983037, '\P{^Age=v20}', "");
Expect(1, 983040, '\p{Age:-	V2_0}', "");
Expect(0, 983040, '\p{^Age:-	V2_0}', "");
Expect(0, 983040, '\P{Age:-	V2_0}', "");
Expect(1, 983040, '\P{^Age:-	V2_0}', "");
Expect(0, 983037, '\p{Age:-	V2_0}', "");
Expect(1, 983037, '\p{^Age:-	V2_0}', "");
Expect(1, 983037, '\P{Age:-	V2_0}', "");
Expect(0, 983037, '\P{^Age:-	V2_0}', "");
Error('\p{Is_Age=/a/0_2.0}');
Error('\P{Is_Age=/a/0_2.0}');
Expect(1, 983040, '\p{Is_Age=0_0_0_0_0_0_0002.0}', "");
Expect(0, 983040, '\p{^Is_Age=0_0_0_0_0_0_0002.0}', "");
Expect(0, 983040, '\P{Is_Age=0_0_0_0_0_0_0002.0}', "");
Expect(1, 983040, '\P{^Is_Age=0_0_0_0_0_0_0002.0}', "");
Expect(0, 983037, '\p{Is_Age=0_0_0_0_0_0_0002.0}', "");
Expect(1, 983037, '\p{^Is_Age=0_0_0_0_0_0_0002.0}', "");
Expect(1, 983037, '\P{Is_Age=0_0_0_0_0_0_0002.0}', "");
Expect(0, 983037, '\P{^Is_Age=0_0_0_0_0_0_0002.0}', "");
Error('\p{Age=:=	_V2_1}');
Error('\P{Age=:=	_V2_1}');
Expect(1, 65532, '\p{Age=v21}', "");
Expect(0, 65532, '\p{^Age=v21}', "");
Expect(0, 65532, '\P{Age=v21}', "");
Expect(1, 65532, '\P{^Age=v21}', "");
Expect(0, 65533, '\p{Age=v21}', "");
Expect(1, 65533, '\p{^Age=v21}', "");
Expect(1, 65533, '\P{Age=v21}', "");
Expect(0, 65533, '\P{^Age=v21}', "");
Expect(1, 65532, '\p{Age=	V2_1}', "");
Expect(0, 65532, '\p{^Age=	V2_1}', "");
Expect(0, 65532, '\P{Age=	V2_1}', "");
Expect(1, 65532, '\P{^Age=	V2_1}', "");
Expect(0, 65533, '\p{Age=	V2_1}', "");
Expect(1, 65533, '\p{^Age=	V2_1}', "");
Expect(1, 65533, '\P{Age=	V2_1}', "");
Expect(0, 65533, '\P{^Age=	V2_1}', "");
Error('\p{Is_Age=-:=00002.1}');
Error('\P{Is_Age=-:=00002.1}');
Expect(1, 65532, '\p{Is_Age=+02.1}', "");
Expect(0, 65532, '\p{^Is_Age=+02.1}', "");
Expect(0, 65532, '\P{Is_Age=+02.1}', "");
Expect(1, 65532, '\P{^Is_Age=+02.1}', "");
Expect(0, 65533, '\p{Is_Age=+02.1}', "");
Expect(1, 65533, '\p{^Is_Age=+02.1}', "");
Expect(1, 65533, '\P{Is_Age=+02.1}', "");
Expect(0, 65533, '\P{^Is_Age=+02.1}', "");
Error('\p{Age=V3_0:=}');
Error('\P{Age=V3_0:=}');
Expect(1, 65531, '\p{Age=v30}', "");
Expect(0, 65531, '\p{^Age=v30}', "");
Expect(0, 65531, '\P{Age=v30}', "");
Expect(1, 65531, '\P{^Age=v30}', "");
Expect(0, 65532, '\p{Age=v30}', "");
Expect(1, 65532, '\p{^Age=v30}', "");
Expect(1, 65532, '\P{Age=v30}', "");
Expect(0, 65532, '\P{^Age=v30}', "");
Expect(1, 65531, '\p{Age=__v3_0}', "");
Expect(0, 65531, '\p{^Age=__v3_0}', "");
Expect(0, 65531, '\P{Age=__v3_0}', "");
Expect(1, 65531, '\P{^Age=__v3_0}', "");
Expect(0, 65532, '\p{Age=__v3_0}', "");
Expect(1, 65532, '\p{^Age=__v3_0}', "");
Expect(1, 65532, '\P{Age=__v3_0}', "");
Expect(0, 65532, '\P{^Age=__v3_0}', "");
Error('\p{Is_Age=/a/__0_3.0}');
Error('\P{Is_Age=/a/__0_3.0}');
Expect(1, 65531, '\p{Is_Age: 00_00_3.0}', "");
Expect(0, 65531, '\p{^Is_Age: 00_00_3.0}', "");
Expect(0, 65531, '\P{Is_Age: 00_00_3.0}', "");
Expect(1, 65531, '\P{^Is_Age: 00_00_3.0}', "");
Expect(0, 65532, '\p{Is_Age: 00_00_3.0}', "");
Expect(1, 65532, '\p{^Is_Age: 00_00_3.0}', "");
Expect(1, 65532, '\P{Is_Age: 00_00_3.0}', "");
Expect(0, 65532, '\P{^Is_Age: 00_00_3.0}', "");
Error('\p{Age=/a/__V3_1}');
Error('\P{Age=/a/__V3_1}');
Expect(1, 917631, '\p{Age=v31}', "");
Expect(0, 917631, '\p{^Age=v31}', "");
Expect(0, 917631, '\P{Age=v31}', "");
Expect(1, 917631, '\P{^Age=v31}', "");
Expect(0, 917632, '\p{Age=v31}', "");
Expect(1, 917632, '\p{^Age=v31}', "");
Expect(1, 917632, '\P{Age=v31}', "");
Expect(0, 917632, '\P{^Age=v31}', "");
Expect(1, 917631, '\p{Age=__V3_1}', "");
Expect(0, 917631, '\p{^Age=__V3_1}', "");
Expect(0, 917631, '\P{Age=__V3_1}', "");
Expect(1, 917631, '\P{^Age=__V3_1}', "");
Expect(0, 917632, '\p{Age=__V3_1}', "");
Expect(1, 917632, '\p{^Age=__V3_1}', "");
Expect(1, 917632, '\P{Age=__V3_1}', "");
Expect(0, 917632, '\P{^Age=__V3_1}', "");
Error('\p{Is_Age:    :=0_0_0_03.1}');
Error('\P{Is_Age:    :=0_0_0_03.1}');
Expect(1, 917631, '\p{Is_Age=0_3.1}', "");
Expect(0, 917631, '\p{^Is_Age=0_3.1}', "");
Expect(0, 917631, '\P{Is_Age=0_3.1}', "");
Expect(1, 917631, '\P{^Is_Age=0_3.1}', "");
Expect(0, 917632, '\p{Is_Age=0_3.1}', "");
Expect(1, 917632, '\p{^Is_Age=0_3.1}', "");
Expect(1, 917632, '\P{Is_Age=0_3.1}', "");
Expect(0, 917632, '\P{^Is_Age=0_3.1}', "");
Error('\p{Age=/a/ _V3_2}');
Error('\P{Age=/a/ _V3_2}');
Expect(1, 65376, '\p{Age=v32}', "");
Expect(0, 65376, '\p{^Age=v32}', "");
Expect(0, 65376, '\P{Age=v32}', "");
Expect(1, 65376, '\P{^Age=v32}', "");
Expect(0, 65377, '\p{Age=v32}', "");
Expect(1, 65377, '\p{^Age=v32}', "");
Expect(1, 65377, '\P{Age=v32}', "");
Expect(0, 65377, '\P{^Age=v32}', "");
Expect(1, 65376, '\p{Age=v3_2}', "");
Expect(0, 65376, '\p{^Age=v3_2}', "");
Expect(0, 65376, '\P{Age=v3_2}', "");
Expect(1, 65376, '\P{^Age=v3_2}', "");
Expect(0, 65377, '\p{Age=v3_2}', "");
Expect(1, 65377, '\p{^Age=v3_2}', "");
Expect(1, 65377, '\P{Age=v3_2}', "");
Expect(0, 65377, '\P{^Age=v3_2}', "");
Error('\p{Is_Age=	03.2:=}');
Error('\P{Is_Age=	03.2:=}');
Expect(1, 65376, '\p{Is_Age=00000003.2}', "");
Expect(0, 65376, '\p{^Is_Age=00000003.2}', "");
Expect(0, 65376, '\P{Is_Age=00000003.2}', "");
Expect(1, 65376, '\P{^Is_Age=00000003.2}', "");
Expect(0, 65377, '\p{Is_Age=00000003.2}', "");
Expect(1, 65377, '\p{^Is_Age=00000003.2}', "");
Expect(1, 65377, '\P{Is_Age=00000003.2}', "");
Expect(0, 65377, '\P{^Is_Age=00000003.2}', "");
Error('\p{Age= _V4_0:=}');
Error('\P{Age= _V4_0:=}');
Expect(1, 917999, '\p{Age=v40}', "");
Expect(0, 917999, '\p{^Age=v40}', "");
Expect(0, 917999, '\P{Age=v40}', "");
Expect(1, 917999, '\P{^Age=v40}', "");
Expect(0, 918000, '\p{Age=v40}', "");
Expect(1, 918000, '\p{^Age=v40}', "");
Expect(1, 918000, '\P{Age=v40}', "");
Expect(0, 918000, '\P{^Age=v40}', "");
Expect(1, 917999, '\p{Age: -	V4_0}', "");
Expect(0, 917999, '\p{^Age: -	V4_0}', "");
Expect(0, 917999, '\P{Age: -	V4_0}', "");
Expect(1, 917999, '\P{^Age: -	V4_0}', "");
Expect(0, 918000, '\p{Age: -	V4_0}', "");
Expect(1, 918000, '\p{^Age: -	V4_0}', "");
Expect(1, 918000, '\P{Age: -	V4_0}', "");
Expect(0, 918000, '\P{^Age: -	V4_0}', "");
Error('\p{Is_Age= :=04.0}');
Error('\P{Is_Age= :=04.0}');
Expect(1, 917999, '\p{Is_Age=004.0}', "");
Expect(0, 917999, '\p{^Is_Age=004.0}', "");
Expect(0, 917999, '\P{Is_Age=004.0}', "");
Expect(1, 917999, '\P{^Is_Age=004.0}', "");
Expect(0, 918000, '\p{Is_Age=004.0}', "");
Expect(1, 918000, '\p{^Is_Age=004.0}', "");
Expect(1, 918000, '\P{Is_Age=004.0}', "");
Expect(0, 918000, '\P{^Is_Age=004.0}', "");
Error('\p{Age=/a/_ V4_1}');
Error('\P{Age=/a/_ V4_1}');
Expect(1, 120485, '\p{Age=v41}', "");
Expect(0, 120485, '\p{^Age=v41}', "");
Expect(0, 120485, '\P{Age=v41}', "");
Expect(1, 120485, '\P{^Age=v41}', "");
Expect(0, 120486, '\p{Age=v41}', "");
Expect(1, 120486, '\p{^Age=v41}', "");
Expect(1, 120486, '\P{Age=v41}', "");
Expect(0, 120486, '\P{^Age=v41}', "");
Expect(1, 120485, '\p{Age=	v4_1}', "");
Expect(0, 120485, '\p{^Age=	v4_1}', "");
Expect(0, 120485, '\P{Age=	v4_1}', "");
Expect(1, 120485, '\P{^Age=	v4_1}', "");
Expect(0, 120486, '\p{Age=	v4_1}', "");
Expect(1, 120486, '\p{^Age=	v4_1}', "");
Expect(1, 120486, '\P{Age=	v4_1}', "");
Expect(0, 120486, '\P{^Age=	v4_1}', "");
Error('\p{Is_Age=-:=0000000004.1}');
Error('\P{Is_Age=-:=0000000004.1}');
Expect(1, 120485, '\p{Is_Age=004.1}', "");
Expect(0, 120485, '\p{^Is_Age=004.1}', "");
Expect(0, 120485, '\P{Is_Age=004.1}', "");
Expect(1, 120485, '\P{^Is_Age=004.1}', "");
Expect(0, 120486, '\p{Is_Age=004.1}', "");
Expect(1, 120486, '\p{^Is_Age=004.1}', "");
Expect(1, 120486, '\P{Is_Age=004.1}', "");
Expect(0, 120486, '\P{^Is_Age=004.1}', "");
Error('\p{Age=-_V5_0:=}');
Error('\P{Age=-_V5_0:=}');
Expect(1, 120779, '\p{Age=v50}', "");
Expect(0, 120779, '\p{^Age=v50}', "");
Expect(0, 120779, '\P{Age=v50}', "");
Expect(1, 120779, '\P{^Age=v50}', "");
Expect(0, 120780, '\p{Age=v50}', "");
Expect(1, 120780, '\p{^Age=v50}', "");
Expect(1, 120780, '\P{Age=v50}', "");
Expect(0, 120780, '\P{^Age=v50}', "");
Expect(1, 120779, '\p{Age= V5_0}', "");
Expect(0, 120779, '\p{^Age= V5_0}', "");
Expect(0, 120779, '\P{Age= V5_0}', "");
Expect(1, 120779, '\P{^Age= V5_0}', "");
Expect(0, 120780, '\p{Age= V5_0}', "");
Expect(1, 120780, '\p{^Age= V5_0}', "");
Expect(1, 120780, '\P{Age= V5_0}', "");
Expect(0, 120780, '\P{^Age= V5_0}', "");
Error('\p{Is_Age:	-	00000005.0:=}');
Error('\P{Is_Age:	-	00000005.0:=}');
Expect(1, 120779, '\p{Is_Age=+0_0_05.0}', "");
Expect(0, 120779, '\p{^Is_Age=+0_0_05.0}', "");
Expect(0, 120779, '\P{Is_Age=+0_0_05.0}', "");
Expect(1, 120779, '\P{^Is_Age=+0_0_05.0}', "");
Expect(0, 120780, '\p{Is_Age=+0_0_05.0}', "");
Expect(1, 120780, '\p{^Is_Age=+0_0_05.0}', "");
Expect(1, 120780, '\P{Is_Age=+0_0_05.0}', "");
Expect(0, 120780, '\P{^Is_Age=+0_0_05.0}', "");
Error('\p{Age=/a/- V5_1}');
Error('\P{Age=/a/- V5_1}');
Expect(1, 127123, '\p{Age=v51}', "");
Expect(0, 127123, '\p{^Age=v51}', "");
Expect(0, 127123, '\P{Age=v51}', "");
Expect(1, 127123, '\P{^Age=v51}', "");
Expect(0, 127124, '\p{Age=v51}', "");
Expect(1, 127124, '\p{^Age=v51}', "");
Expect(1, 127124, '\P{Age=v51}', "");
Expect(0, 127124, '\P{^Age=v51}', "");
Expect(1, 127123, '\p{Age:	 	V5_1}', "");
Expect(0, 127123, '\p{^Age:	 	V5_1}', "");
Expect(0, 127123, '\P{Age:	 	V5_1}', "");
Expect(1, 127123, '\P{^Age:	 	V5_1}', "");
Expect(0, 127124, '\p{Age:	 	V5_1}', "");
Expect(1, 127124, '\p{^Age:	 	V5_1}', "");
Expect(1, 127124, '\P{Age:	 	V5_1}', "");
Expect(0, 127124, '\P{^Age:	 	V5_1}', "");
Error('\p{Is_Age=:=-005.1}');
Error('\P{Is_Age=:=-005.1}');
Expect(1, 127123, '\p{Is_Age=000000_5.1}', "");
Expect(0, 127123, '\p{^Is_Age=000000_5.1}', "");
Expect(0, 127123, '\P{Is_Age=000000_5.1}', "");
Expect(1, 127123, '\P{^Is_Age=000000_5.1}', "");
Expect(0, 127124, '\p{Is_Age=000000_5.1}', "");
Expect(1, 127124, '\p{^Is_Age=000000_5.1}', "");
Expect(1, 127124, '\P{Is_Age=000000_5.1}', "");
Expect(0, 127124, '\P{^Is_Age=000000_5.1}', "");
Error('\p{Age=:=_V5_2}');
Error('\P{Age=:=_V5_2}');
Expect(1, 177972, '\p{Age=v52}', "");
Expect(0, 177972, '\p{^Age=v52}', "");
Expect(0, 177972, '\P{Age=v52}', "");
Expect(1, 177972, '\P{^Age=v52}', "");
Expect(0, 177973, '\p{Age=v52}', "");
Expect(1, 177973, '\p{^Age=v52}', "");
Expect(1, 177973, '\P{Age=v52}', "");
Expect(0, 177973, '\P{^Age=v52}', "");
Expect(1, 177972, '\p{Age=	-V5_2}', "");
Expect(0, 177972, '\p{^Age=	-V5_2}', "");
Expect(0, 177972, '\P{Age=	-V5_2}', "");
Expect(1, 177972, '\P{^Age=	-V5_2}', "");
Expect(0, 177973, '\p{Age=	-V5_2}', "");
Expect(1, 177973, '\p{^Age=	-V5_2}', "");
Expect(1, 177973, '\P{Age=	-V5_2}', "");
Expect(0, 177973, '\P{^Age=	-V5_2}', "");
Error('\p{Is_Age=:=_-0000000005.2}');
Error('\P{Is_Age=:=_-0000000005.2}');
Expect(1, 177972, '\p{Is_Age=005.2}', "");
Expect(0, 177972, '\p{^Is_Age=005.2}', "");
Expect(0, 177972, '\P{Is_Age=005.2}', "");
Expect(1, 177972, '\P{^Is_Age=005.2}', "");
Expect(0, 177973, '\p{Is_Age=005.2}', "");
Expect(1, 177973, '\p{^Is_Age=005.2}', "");
Expect(1, 177973, '\P{Is_Age=005.2}', "");
Expect(0, 177973, '\P{^Is_Age=005.2}', "");
Error('\p{Age= -V6_0/a/}');
Error('\P{Age= -V6_0/a/}');
Expect(1, 178205, '\p{Age=v60}', "");
Expect(0, 178205, '\p{^Age=v60}', "");
Expect(0, 178205, '\P{Age=v60}', "");
Expect(1, 178205, '\P{^Age=v60}', "");
Expect(0, 178206, '\p{Age=v60}', "");
Expect(1, 178206, '\p{^Age=v60}', "");
Expect(1, 178206, '\P{Age=v60}', "");
Expect(0, 178206, '\P{^Age=v60}', "");
Expect(1, 178205, '\p{Age=--V6_0}', "");
Expect(0, 178205, '\p{^Age=--V6_0}', "");
Expect(0, 178205, '\P{Age=--V6_0}', "");
Expect(1, 178205, '\P{^Age=--V6_0}', "");
Expect(0, 178206, '\p{Age=--V6_0}', "");
Expect(1, 178206, '\p{^Age=--V6_0}', "");
Expect(1, 178206, '\P{Age=--V6_0}', "");
Expect(0, 178206, '\P{^Age=--V6_0}', "");
Error('\p{Is_Age= _6.0:=}');
Error('\P{Is_Age= _6.0:=}');
Expect(1, 178205, '\p{Is_Age=+06.0}', "");
Expect(0, 178205, '\p{^Is_Age=+06.0}', "");
Expect(0, 178205, '\P{Is_Age=+06.0}', "");
Expect(1, 178205, '\P{^Is_Age=+06.0}', "");
Expect(0, 178206, '\p{Is_Age=+06.0}', "");
Expect(1, 178206, '\p{^Is_Age=+06.0}', "");
Expect(1, 178206, '\P{Is_Age=+06.0}', "");
Expect(0, 178206, '\P{^Is_Age=+06.0}', "");
Error('\p{Age:	:=V6_1}');
Error('\P{Age:	:=V6_1}');
Expect(1, 128564, '\p{Age=v61}', "");
Expect(0, 128564, '\p{^Age=v61}', "");
Expect(0, 128564, '\P{Age=v61}', "");
Expect(1, 128564, '\P{^Age=v61}', "");
Expect(0, 128565, '\p{Age=v61}', "");
Expect(1, 128565, '\p{^Age=v61}', "");
Expect(1, 128565, '\P{Age=v61}', "");
Expect(0, 128565, '\P{^Age=v61}', "");
Expect(1, 128564, '\p{Age= _v6_1}', "");
Expect(0, 128564, '\p{^Age= _v6_1}', "");
Expect(0, 128564, '\P{Age= _v6_1}', "");
Expect(1, 128564, '\P{^Age= _v6_1}', "");
Expect(0, 128565, '\p{Age= _v6_1}', "");
Expect(1, 128565, '\p{^Age= _v6_1}', "");
Expect(1, 128565, '\P{Age= _v6_1}', "");
Expect(0, 128565, '\P{^Age= _v6_1}', "");
Error('\p{Is_Age=	 6.1/a/}');
Error('\P{Is_Age=	 6.1/a/}');
Expect(1, 128564, '\p{Is_Age=+000_6.1}', "");
Expect(0, 128564, '\p{^Is_Age=+000_6.1}', "");
Expect(0, 128564, '\P{Is_Age=+000_6.1}', "");
Expect(1, 128564, '\P{^Is_Age=+000_6.1}', "");
Expect(0, 128565, '\p{Is_Age=+000_6.1}', "");
Expect(1, 128565, '\p{^Is_Age=+000_6.1}', "");
Expect(1, 128565, '\P{Is_Age=+000_6.1}', "");
Expect(0, 128565, '\P{^Is_Age=+000_6.1}', "");
Error('\p{Age=:=- V6_2}');
Error('\P{Age=:=- V6_2}');
Expect(1, 8378, '\p{Age=v62}', "");
Expect(0, 8378, '\p{^Age=v62}', "");
Expect(0, 8378, '\P{Age=v62}', "");
Expect(1, 8378, '\P{^Age=v62}', "");
Expect(0, 8379, '\p{Age=v62}', "");
Expect(1, 8379, '\p{^Age=v62}', "");
Expect(1, 8379, '\P{Age=v62}', "");
Expect(0, 8379, '\P{^Age=v62}', "");
Expect(1, 8378, '\p{Age=	_V6_2}', "");
Expect(0, 8378, '\p{^Age=	_V6_2}', "");
Expect(0, 8378, '\P{Age=	_V6_2}', "");
Expect(1, 8378, '\P{^Age=	_V6_2}', "");
Expect(0, 8379, '\p{Age=	_V6_2}', "");
Expect(1, 8379, '\p{^Age=	_V6_2}', "");
Expect(1, 8379, '\P{Age=	_V6_2}', "");
Expect(0, 8379, '\P{^Age=	_V6_2}', "");
Error('\p{Is_Age=__+0_0_0_06.2/a/}');
Error('\P{Is_Age=__+0_0_0_06.2/a/}');
Expect(1, 8378, '\p{Is_Age=+0_0_0_06.2}', "");
Expect(0, 8378, '\p{^Is_Age=+0_0_0_06.2}', "");
Expect(0, 8378, '\P{Is_Age=+0_0_0_06.2}', "");
Expect(1, 8378, '\P{^Is_Age=+0_0_0_06.2}', "");
Expect(0, 8379, '\p{Is_Age=+0_0_0_06.2}', "");
Expect(1, 8379, '\p{^Is_Age=+0_0_0_06.2}', "");
Expect(1, 8379, '\P{Is_Age=+0_0_0_06.2}', "");
Expect(0, 8379, '\P{^Is_Age=+0_0_0_06.2}', "");
Error('\p{Age=-V6_3/a/}');
Error('\P{Age=-V6_3/a/}');
Expect(1, 8297, '\p{Age=v63}', "");
Expect(0, 8297, '\p{^Age=v63}', "");
Expect(0, 8297, '\P{Age=v63}', "");
Expect(1, 8297, '\P{^Age=v63}', "");
Expect(0, 8298, '\p{Age=v63}', "");
Expect(1, 8298, '\p{^Age=v63}', "");
Expect(1, 8298, '\P{Age=v63}', "");
Expect(0, 8298, '\P{^Age=v63}', "");
Expect(1, 8297, '\p{Age=V6_3}', "");
Expect(0, 8297, '\p{^Age=V6_3}', "");
Expect(0, 8297, '\P{Age=V6_3}', "");
Expect(1, 8297, '\P{^Age=V6_3}', "");
Expect(0, 8298, '\p{Age=V6_3}', "");
Expect(1, 8298, '\p{^Age=V6_3}', "");
Expect(1, 8298, '\P{Age=V6_3}', "");
Expect(0, 8298, '\P{^Age=V6_3}', "");
Error('\p{Is_Age= _00_6.3/a/}');
Error('\P{Is_Age= _00_6.3/a/}');
Expect(1, 8297, '\p{Is_Age=0_0_06.3}', "");
Expect(0, 8297, '\p{^Is_Age=0_0_06.3}', "");
Expect(0, 8297, '\P{Is_Age=0_0_06.3}', "");
Expect(1, 8297, '\P{^Is_Age=0_0_06.3}', "");
Expect(0, 8298, '\p{Is_Age=0_0_06.3}', "");
Expect(1, 8298, '\p{^Is_Age=0_0_06.3}', "");
Expect(1, 8298, '\P{Is_Age=0_0_06.3}', "");
Expect(0, 8298, '\P{^Is_Age=0_0_06.3}', "");
Error('\p{Age= /a/v7_0}');
Error('\P{Age= /a/v7_0}');
Expect(1, 129197, '\p{Age=v70}', "");
Expect(0, 129197, '\p{^Age=v70}', "");
Expect(0, 129197, '\P{Age=v70}', "");
Expect(1, 129197, '\P{^Age=v70}', "");
Expect(0, 129198, '\p{Age=v70}', "");
Expect(1, 129198, '\p{^Age=v70}', "");
Expect(1, 129198, '\P{Age=v70}', "");
Expect(0, 129198, '\P{^Age=v70}', "");
Expect(1, 129197, '\p{Age= 	V7_0}', "");
Expect(0, 129197, '\p{^Age= 	V7_0}', "");
Expect(0, 129197, '\P{Age= 	V7_0}', "");
Expect(1, 129197, '\P{^Age= 	V7_0}', "");
Expect(0, 129198, '\p{Age= 	V7_0}', "");
Expect(1, 129198, '\p{^Age= 	V7_0}', "");
Expect(1, 129198, '\P{Age= 	V7_0}', "");
Expect(0, 129198, '\P{^Age= 	V7_0}', "");
Error('\p{Is_Age=	:=0_0_0_07.0}');
Error('\P{Is_Age=	:=0_0_0_07.0}');
Expect(1, 129197, '\p{Is_Age=00_7.0}', "");
Expect(0, 129197, '\p{^Is_Age=00_7.0}', "");
Expect(0, 129197, '\P{Is_Age=00_7.0}', "");
Expect(1, 129197, '\P{^Is_Age=00_7.0}', "");
Expect(0, 129198, '\p{Is_Age=00_7.0}', "");
Expect(1, 129198, '\p{^Is_Age=00_7.0}', "");
Expect(1, 129198, '\P{Is_Age=00_7.0}', "");
Expect(0, 129198, '\P{^Is_Age=00_7.0}', "");
Error('\p{Age=:=_-V8_0}');
Error('\P{Age=:=_-V8_0}');
Expect(1, 183969, '\p{Age=v80}', "");
Expect(0, 183969, '\p{^Age=v80}', "");
Expect(0, 183969, '\P{Age=v80}', "");
Expect(1, 183969, '\P{^Age=v80}', "");
Expect(0, 183970, '\p{Age=v80}', "");
Expect(1, 183970, '\p{^Age=v80}', "");
Expect(1, 183970, '\P{Age=v80}', "");
Expect(0, 183970, '\P{^Age=v80}', "");
Expect(1, 183969, '\p{Age=-_V8_0}', "");
Expect(0, 183969, '\p{^Age=-_V8_0}', "");
Expect(0, 183969, '\P{Age=-_V8_0}', "");
Expect(1, 183969, '\P{^Age=-_V8_0}', "");
Expect(0, 183970, '\p{Age=-_V8_0}', "");
Expect(1, 183970, '\p{^Age=-_V8_0}', "");
Expect(1, 183970, '\P{Age=-_V8_0}', "");
Expect(0, 183970, '\P{^Age=-_V8_0}', "");
Error('\p{Is_Age=:=--00_8.0}');
Error('\P{Is_Age=:=--00_8.0}');
Expect(1, 183969, '\p{Is_Age=+00_8.0}', "");
Expect(0, 183969, '\p{^Is_Age=+00_8.0}', "");
Expect(0, 183969, '\P{Is_Age=+00_8.0}', "");
Expect(1, 183969, '\P{^Is_Age=+00_8.0}', "");
Expect(0, 183970, '\p{Is_Age=+00_8.0}', "");
Expect(1, 183970, '\p{^Is_Age=+00_8.0}', "");
Expect(1, 183970, '\P{Is_Age=+00_8.0}', "");
Expect(0, 183970, '\P{^Is_Age=+00_8.0}', "");
Error('\p{Age=_:=UNASSIGNED}');
Error('\P{Age=_:=UNASSIGNED}');
Expect(1, 983037, '\p{Age=unassigned}', "");
Expect(0, 983037, '\p{^Age=unassigned}', "");
Expect(0, 983037, '\P{Age=unassigned}', "");
Expect(1, 983037, '\P{^Age=unassigned}', "");
Expect(0, 983040, '\p{Age=unassigned}', "");
Expect(1, 983040, '\p{^Age=unassigned}', "");
Expect(1, 983040, '\P{Age=unassigned}', "");
Expect(0, 983040, '\P{^Age=unassigned}', "");
Expect(1, 983037, '\p{Age=		unassigned}', "");
Expect(0, 983037, '\p{^Age=		unassigned}', "");
Expect(0, 983037, '\P{Age=		unassigned}', "");
Expect(1, 983037, '\P{^Age=		unassigned}', "");
Expect(0, 983040, '\p{Age=		unassigned}', "");
Expect(1, 983040, '\p{^Age=		unassigned}', "");
Expect(1, 983040, '\P{Age=		unassigned}', "");
Expect(0, 983040, '\P{^Age=		unassigned}', "");
Error('\p{Is_Age=:=--na}');
Error('\P{Is_Age=:=--na}');
Expect(1, 983037, '\p{Is_Age=na}', "");
Expect(0, 983037, '\p{^Is_Age=na}', "");
Expect(0, 983037, '\P{Is_Age=na}', "");
Expect(1, 983037, '\P{^Is_Age=na}', "");
Expect(0, 983040, '\p{Is_Age=na}', "");
Expect(1, 983040, '\p{^Is_Age=na}', "");
Expect(1, 983040, '\P{Is_Age=na}', "");
Expect(0, 983040, '\P{^Is_Age=na}', "");
Expect(1, 983037, '\p{Is_Age=  NA}', "");
Expect(0, 983037, '\p{^Is_Age=  NA}', "");
Expect(0, 983037, '\P{Is_Age=  NA}', "");
Expect(1, 983037, '\P{^Is_Age=  NA}', "");
Expect(0, 983040, '\p{Is_Age=  NA}', "");
Expect(1, 983040, '\p{^Is_Age=  NA}', "");
Expect(1, 983040, '\P{Is_Age=  NA}', "");
Expect(0, 983040, '\P{^Is_Age=  NA}', "");
Error('\p{Bidi_Class: -ARABIC_letter:=}');
Error('\P{Bidi_Class: -ARABIC_letter:=}');
Expect(1, 126719, '\p{Bidi_Class=arabicletter}', "");
Expect(0, 126719, '\p{^Bidi_Class=arabicletter}', "");
Expect(0, 126719, '\P{Bidi_Class=arabicletter}', "");
Expect(1, 126719, '\P{^Bidi_Class=arabicletter}', "");
Expect(0, 126720, '\p{Bidi_Class=arabicletter}', "");
Expect(1, 126720, '\p{^Bidi_Class=arabicletter}', "");
Expect(1, 126720, '\P{Bidi_Class=arabicletter}', "");
Expect(0, 126720, '\P{^Bidi_Class=arabicletter}', "");
Expect(1, 126719, '\p{Bidi_Class=  arabic_Letter}', "");
Expect(0, 126719, '\p{^Bidi_Class=  arabic_Letter}', "");
Expect(0, 126719, '\P{Bidi_Class=  arabic_Letter}', "");
Expect(1, 126719, '\P{^Bidi_Class=  arabic_Letter}', "");
Expect(0, 126720, '\p{Bidi_Class=  arabic_Letter}', "");
Expect(1, 126720, '\p{^Bidi_Class=  arabic_Letter}', "");
Expect(1, 126720, '\P{Bidi_Class=  arabic_Letter}', "");
Expect(0, 126720, '\P{^Bidi_Class=  arabic_Letter}', "");
Error('\p{Bc=	_AL/a/}');
Error('\P{Bc=	_AL/a/}');
Expect(1, 126719, '\p{Bc=al}', "");
Expect(0, 126719, '\p{^Bc=al}', "");
Expect(0, 126719, '\P{Bc=al}', "");
Expect(1, 126719, '\P{^Bc=al}', "");
Expect(0, 126720, '\p{Bc=al}', "");
Expect(1, 126720, '\p{^Bc=al}', "");
Expect(1, 126720, '\P{Bc=al}', "");
Expect(0, 126720, '\P{^Bc=al}', "");
Expect(1, 126719, '\p{Bc=		al}', "");
Expect(0, 126719, '\p{^Bc=		al}', "");
Expect(0, 126719, '\P{Bc=		al}', "");
Expect(1, 126719, '\P{^Bc=		al}', "");
Expect(0, 126720, '\p{Bc=		al}', "");
Expect(1, 126720, '\p{^Bc=		al}', "");
Expect(1, 126720, '\P{Bc=		al}', "");
Expect(0, 126720, '\P{^Bc=		al}', "");
Error('\p{Is_Bidi_Class:    /a/Arabic_LETTER}');
Error('\P{Is_Bidi_Class:    /a/Arabic_LETTER}');
Expect(1, 126719, '\p{Is_Bidi_Class:	arabicletter}', "");
Expect(0, 126719, '\p{^Is_Bidi_Class:	arabicletter}', "");
Expect(0, 126719, '\P{Is_Bidi_Class:	arabicletter}', "");
Expect(1, 126719, '\P{^Is_Bidi_Class:	arabicletter}', "");
Expect(0, 126720, '\p{Is_Bidi_Class:	arabicletter}', "");
Expect(1, 126720, '\p{^Is_Bidi_Class:	arabicletter}', "");
Expect(1, 126720, '\P{Is_Bidi_Class:	arabicletter}', "");
Expect(0, 126720, '\P{^Is_Bidi_Class:	arabicletter}', "");
Expect(1, 126719, '\p{Is_Bidi_Class:	 	ARABIC_LETTER}', "");
Expect(0, 126719, '\p{^Is_Bidi_Class:	 	ARABIC_LETTER}', "");
Expect(0, 126719, '\P{Is_Bidi_Class:	 	ARABIC_LETTER}', "");
Expect(1, 126719, '\P{^Is_Bidi_Class:	 	ARABIC_LETTER}', "");
Expect(0, 126720, '\p{Is_Bidi_Class:	 	ARABIC_LETTER}', "");
Expect(1, 126720, '\p{^Is_Bidi_Class:	 	ARABIC_LETTER}', "");
Expect(1, 126720, '\P{Is_Bidi_Class:	 	ARABIC_LETTER}', "");
Expect(0, 126720, '\P{^Is_Bidi_Class:	 	ARABIC_LETTER}', "");
Error('\p{Is_Bc=/a/ AL}');
Error('\P{Is_Bc=/a/ AL}');
Expect(1, 126719, '\p{Is_Bc=al}', "");
Expect(0, 126719, '\p{^Is_Bc=al}', "");
Expect(0, 126719, '\P{Is_Bc=al}', "");
Expect(1, 126719, '\P{^Is_Bc=al}', "");
Expect(0, 126720, '\p{Is_Bc=al}', "");
Expect(1, 126720, '\p{^Is_Bc=al}', "");
Expect(1, 126720, '\P{Is_Bc=al}', "");
Expect(0, 126720, '\P{^Is_Bc=al}', "");
Expect(1, 126719, '\p{Is_Bc=-AL}', "");
Expect(0, 126719, '\p{^Is_Bc=-AL}', "");
Expect(0, 126719, '\P{Is_Bc=-AL}', "");
Expect(1, 126719, '\P{^Is_Bc=-AL}', "");
Expect(0, 126720, '\p{Is_Bc=-AL}', "");
Expect(1, 126720, '\p{^Is_Bc=-AL}', "");
Expect(1, 126720, '\P{Is_Bc=-AL}', "");
Expect(0, 126720, '\P{^Is_Bc=-AL}', "");
Error('\p{Bidi_Class:    ARABIC_Number:=}');
Error('\P{Bidi_Class:    ARABIC_Number:=}');
Expect(1, 69246, '\p{Bidi_Class=arabicnumber}', "");
Expect(0, 69246, '\p{^Bidi_Class=arabicnumber}', "");
Expect(0, 69246, '\P{Bidi_Class=arabicnumber}', "");
Expect(1, 69246, '\P{^Bidi_Class=arabicnumber}', "");
Expect(0, 69247, '\p{Bidi_Class=arabicnumber}', "");
Expect(1, 69247, '\p{^Bidi_Class=arabicnumber}', "");
Expect(1, 69247, '\P{Bidi_Class=arabicnumber}', "");
Expect(0, 69247, '\P{^Bidi_Class=arabicnumber}', "");
Expect(1, 69246, '\p{Bidi_Class=	ARABIC_number}', "");
Expect(0, 69246, '\p{^Bidi_Class=	ARABIC_number}', "");
Expect(0, 69246, '\P{Bidi_Class=	ARABIC_number}', "");
Expect(1, 69246, '\P{^Bidi_Class=	ARABIC_number}', "");
Expect(0, 69247, '\p{Bidi_Class=	ARABIC_number}', "");
Expect(1, 69247, '\p{^Bidi_Class=	ARABIC_number}', "");
Expect(1, 69247, '\P{Bidi_Class=	ARABIC_number}', "");
Expect(0, 69247, '\P{^Bidi_Class=	ARABIC_number}', "");
Error('\p{Bc= /a/AN}');
Error('\P{Bc= /a/AN}');
Expect(1, 69246, '\p{Bc=an}', "");
Expect(0, 69246, '\p{^Bc=an}', "");
Expect(0, 69246, '\P{Bc=an}', "");
Expect(1, 69246, '\P{^Bc=an}', "");
Expect(0, 69247, '\p{Bc=an}', "");
Expect(1, 69247, '\p{^Bc=an}', "");
Expect(1, 69247, '\P{Bc=an}', "");
Expect(0, 69247, '\P{^Bc=an}', "");
Expect(1, 69246, '\p{Bc= AN}', "");
Expect(0, 69246, '\p{^Bc= AN}', "");
Expect(0, 69246, '\P{Bc= AN}', "");
Expect(1, 69246, '\P{^Bc= AN}', "");
Expect(0, 69247, '\p{Bc= AN}', "");
Expect(1, 69247, '\p{^Bc= AN}', "");
Expect(1, 69247, '\P{Bc= AN}', "");
Expect(0, 69247, '\P{^Bc= AN}', "");
Error('\p{Is_Bidi_Class=_:=ARABIC_Number}');
Error('\P{Is_Bidi_Class=_:=ARABIC_Number}');
Expect(1, 69246, '\p{Is_Bidi_Class=arabicnumber}', "");
Expect(0, 69246, '\p{^Is_Bidi_Class=arabicnumber}', "");
Expect(0, 69246, '\P{Is_Bidi_Class=arabicnumber}', "");
Expect(1, 69246, '\P{^Is_Bidi_Class=arabicnumber}', "");
Expect(0, 69247, '\p{Is_Bidi_Class=arabicnumber}', "");
Expect(1, 69247, '\p{^Is_Bidi_Class=arabicnumber}', "");
Expect(1, 69247, '\P{Is_Bidi_Class=arabicnumber}', "");
Expect(0, 69247, '\P{^Is_Bidi_Class=arabicnumber}', "");
Expect(1, 69246, '\p{Is_Bidi_Class=		ARABIC_number}', "");
Expect(0, 69246, '\p{^Is_Bidi_Class=		ARABIC_number}', "");
Expect(0, 69246, '\P{Is_Bidi_Class=		ARABIC_number}', "");
Expect(1, 69246, '\P{^Is_Bidi_Class=		ARABIC_number}', "");
Expect(0, 69247, '\p{Is_Bidi_Class=		ARABIC_number}', "");
Expect(1, 69247, '\p{^Is_Bidi_Class=		ARABIC_number}', "");
Expect(1, 69247, '\P{Is_Bidi_Class=		ARABIC_number}', "");
Expect(0, 69247, '\P{^Is_Bidi_Class=		ARABIC_number}', "");
Error('\p{Is_Bc::= 	an}');
Error('\P{Is_Bc::= 	an}');
Expect(1, 69246, '\p{Is_Bc=an}', "");
Expect(0, 69246, '\p{^Is_Bc=an}', "");
Expect(0, 69246, '\P{Is_Bc=an}', "");
Expect(1, 69246, '\P{^Is_Bc=an}', "");
Expect(0, 69247, '\p{Is_Bc=an}', "");
Expect(1, 69247, '\p{^Is_Bc=an}', "");
Expect(1, 69247, '\P{Is_Bc=an}', "");
Expect(0, 69247, '\P{^Is_Bc=an}', "");
Expect(1, 69246, '\p{Is_Bc=_	an}', "");
Expect(0, 69246, '\p{^Is_Bc=_	an}', "");
Expect(0, 69246, '\P{Is_Bc=_	an}', "");
Expect(1, 69246, '\P{^Is_Bc=_	an}', "");
Expect(0, 69247, '\p{Is_Bc=_	an}', "");
Expect(1, 69247, '\p{^Is_Bc=_	an}', "");
Expect(1, 69247, '\P{Is_Bc=_	an}', "");
Expect(0, 69247, '\P{^Is_Bc=_	an}', "");
Error('\p{Bidi_Class=/a/	 paragraph_Separator}');
Error('\P{Bidi_Class=/a/	 paragraph_Separator}');
Expect(1, 8233, '\p{Bidi_Class=paragraphseparator}', "");
Expect(0, 8233, '\p{^Bidi_Class=paragraphseparator}', "");
Expect(0, 8233, '\P{Bidi_Class=paragraphseparator}', "");
Expect(1, 8233, '\P{^Bidi_Class=paragraphseparator}', "");
Expect(0, 8234, '\p{Bidi_Class=paragraphseparator}', "");
Expect(1, 8234, '\p{^Bidi_Class=paragraphseparator}', "");
Expect(1, 8234, '\P{Bidi_Class=paragraphseparator}', "");
Expect(0, 8234, '\P{^Bidi_Class=paragraphseparator}', "");
Expect(1, 8233, '\p{Bidi_Class= PARAGRAPH_SEPARATOR}', "");
Expect(0, 8233, '\p{^Bidi_Class= PARAGRAPH_SEPARATOR}', "");
Expect(0, 8233, '\P{Bidi_Class= PARAGRAPH_SEPARATOR}', "");
Expect(1, 8233, '\P{^Bidi_Class= PARAGRAPH_SEPARATOR}', "");
Expect(0, 8234, '\p{Bidi_Class= PARAGRAPH_SEPARATOR}', "");
Expect(1, 8234, '\p{^Bidi_Class= PARAGRAPH_SEPARATOR}', "");
Expect(1, 8234, '\P{Bidi_Class= PARAGRAPH_SEPARATOR}', "");
Expect(0, 8234, '\P{^Bidi_Class= PARAGRAPH_SEPARATOR}', "");
Error('\p{Bc=/a/ 	B}');
Error('\P{Bc=/a/ 	B}');
Expect(1, 8233, '\p{Bc=b}', "");
Expect(0, 8233, '\p{^Bc=b}', "");
Expect(0, 8233, '\P{Bc=b}', "");
Expect(1, 8233, '\P{^Bc=b}', "");
Expect(0, 8234, '\p{Bc=b}', "");
Expect(1, 8234, '\p{^Bc=b}', "");
Expect(1, 8234, '\P{Bc=b}', "");
Expect(0, 8234, '\P{^Bc=b}', "");
Expect(1, 8233, '\p{Bc=  b}', "");
Expect(0, 8233, '\p{^Bc=  b}', "");
Expect(0, 8233, '\P{Bc=  b}', "");
Expect(1, 8233, '\P{^Bc=  b}', "");
Expect(0, 8234, '\p{Bc=  b}', "");
Expect(1, 8234, '\p{^Bc=  b}', "");
Expect(1, 8234, '\P{Bc=  b}', "");
Expect(0, 8234, '\P{^Bc=  b}', "");
Error('\p{Is_Bidi_Class=	-paragraph_Separator:=}');
Error('\P{Is_Bidi_Class=	-paragraph_Separator:=}');
Expect(1, 8233, '\p{Is_Bidi_Class=paragraphseparator}', "");
Expect(0, 8233, '\p{^Is_Bidi_Class=paragraphseparator}', "");
Expect(0, 8233, '\P{Is_Bidi_Class=paragraphseparator}', "");
Expect(1, 8233, '\P{^Is_Bidi_Class=paragraphseparator}', "");
Expect(0, 8234, '\p{Is_Bidi_Class=paragraphseparator}', "");
Expect(1, 8234, '\p{^Is_Bidi_Class=paragraphseparator}', "");
Expect(1, 8234, '\P{Is_Bidi_Class=paragraphseparator}', "");
Expect(0, 8234, '\P{^Is_Bidi_Class=paragraphseparator}', "");
Expect(1, 8233, '\p{Is_Bidi_Class=	paragraph_separator}', "");
Expect(0, 8233, '\p{^Is_Bidi_Class=	paragraph_separator}', "");
Expect(0, 8233, '\P{Is_Bidi_Class=	paragraph_separator}', "");
Expect(1, 8233, '\P{^Is_Bidi_Class=	paragraph_separator}', "");
Expect(0, 8234, '\p{Is_Bidi_Class=	paragraph_separator}', "");
Expect(1, 8234, '\p{^Is_Bidi_Class=	paragraph_separator}', "");
Expect(1, 8234, '\P{Is_Bidi_Class=	paragraph_separator}', "");
Expect(0, 8234, '\P{^Is_Bidi_Class=	paragraph_separator}', "");
Error('\p{Is_Bc:   	_b/a/}');
Error('\P{Is_Bc:   	_b/a/}');
Expect(1, 8233, '\p{Is_Bc=b}', "");
Expect(0, 8233, '\p{^Is_Bc=b}', "");
Expect(0, 8233, '\P{Is_Bc=b}', "");
Expect(1, 8233, '\P{^Is_Bc=b}', "");
Expect(0, 8234, '\p{Is_Bc=b}', "");
Expect(1, 8234, '\p{^Is_Bc=b}', "");
Expect(1, 8234, '\P{Is_Bc=b}', "");
Expect(0, 8234, '\P{^Is_Bc=b}', "");
Expect(1, 8233, '\p{Is_Bc= -b}', "");
Expect(0, 8233, '\p{^Is_Bc= -b}', "");
Expect(0, 8233, '\P{Is_Bc= -b}', "");
Expect(1, 8233, '\P{^Is_Bc= -b}', "");
Expect(0, 8234, '\p{Is_Bc= -b}', "");
Expect(1, 8234, '\p{^Is_Bc= -b}', "");
Expect(1, 8234, '\P{Is_Bc= -b}', "");
Expect(0, 8234, '\P{^Is_Bc= -b}', "");
Error('\p{Bidi_Class= boundary_neutral/a/}');
Error('\P{Bidi_Class= boundary_neutral/a/}');
Expect(1, 921599, '\p{Bidi_Class=boundaryneutral}', "");
Expect(0, 921599, '\p{^Bidi_Class=boundaryneutral}', "");
Expect(0, 921599, '\P{Bidi_Class=boundaryneutral}', "");
Expect(1, 921599, '\P{^Bidi_Class=boundaryneutral}', "");
Expect(0, 1114109, '\p{Bidi_Class=boundaryneutral}', "");
Expect(1, 1114109, '\p{^Bidi_Class=boundaryneutral}', "");
Expect(1, 1114109, '\P{Bidi_Class=boundaryneutral}', "");
Expect(0, 1114109, '\P{^Bidi_Class=boundaryneutral}', "");
Expect(1, 921599, '\p{Bidi_Class: 	-Boundary_NEUTRAL}', "");
Expect(0, 921599, '\p{^Bidi_Class: 	-Boundary_NEUTRAL}', "");
Expect(0, 921599, '\P{Bidi_Class: 	-Boundary_NEUTRAL}', "");
Expect(1, 921599, '\P{^Bidi_Class: 	-Boundary_NEUTRAL}', "");
Expect(0, 1114109, '\p{Bidi_Class: 	-Boundary_NEUTRAL}', "");
Expect(1, 1114109, '\p{^Bidi_Class: 	-Boundary_NEUTRAL}', "");
Expect(1, 1114109, '\P{Bidi_Class: 	-Boundary_NEUTRAL}', "");
Expect(0, 1114109, '\P{^Bidi_Class: 	-Boundary_NEUTRAL}', "");
Error('\p{Bc=/a/_bn}');
Error('\P{Bc=/a/_bn}');
Expect(1, 921599, '\p{Bc=bn}', "");
Expect(0, 921599, '\p{^Bc=bn}', "");
Expect(0, 921599, '\P{Bc=bn}', "");
Expect(1, 921599, '\P{^Bc=bn}', "");
Expect(0, 1114109, '\p{Bc=bn}', "");
Expect(1, 1114109, '\p{^Bc=bn}', "");
Expect(1, 1114109, '\P{Bc=bn}', "");
Expect(0, 1114109, '\P{^Bc=bn}', "");
Expect(1, 921599, '\p{Bc= BN}', "");
Expect(0, 921599, '\p{^Bc= BN}', "");
Expect(0, 921599, '\P{Bc= BN}', "");
Expect(1, 921599, '\P{^Bc= BN}', "");
Expect(0, 1114109, '\p{Bc= BN}', "");
Expect(1, 1114109, '\p{^Bc= BN}', "");
Expect(1, 1114109, '\P{Bc= BN}', "");
Expect(0, 1114109, '\P{^Bc= BN}', "");
Error('\p{Is_Bidi_Class:	/a/__boundary_Neutral}');
Error('\P{Is_Bidi_Class:	/a/__boundary_Neutral}');
Expect(1, 921599, '\p{Is_Bidi_Class:boundaryneutral}', "");
Expect(0, 921599, '\p{^Is_Bidi_Class:boundaryneutral}', "");
Expect(0, 921599, '\P{Is_Bidi_Class:boundaryneutral}', "");
Expect(1, 921599, '\P{^Is_Bidi_Class:boundaryneutral}', "");
Expect(0, 1114109, '\p{Is_Bidi_Class:boundaryneutral}', "");
Expect(1, 1114109, '\p{^Is_Bidi_Class:boundaryneutral}', "");
Expect(1, 1114109, '\P{Is_Bidi_Class:boundaryneutral}', "");
Expect(0, 1114109, '\P{^Is_Bidi_Class:boundaryneutral}', "");
Expect(1, 921599, '\p{Is_Bidi_Class=-Boundary_neutral}', "");
Expect(0, 921599, '\p{^Is_Bidi_Class=-Boundary_neutral}', "");
Expect(0, 921599, '\P{Is_Bidi_Class=-Boundary_neutral}', "");
Expect(1, 921599, '\P{^Is_Bidi_Class=-Boundary_neutral}', "");
Expect(0, 1114109, '\p{Is_Bidi_Class=-Boundary_neutral}', "");
Expect(1, 1114109, '\p{^Is_Bidi_Class=-Boundary_neutral}', "");
Expect(1, 1114109, '\P{Is_Bidi_Class=-Boundary_neutral}', "");
Expect(0, 1114109, '\P{^Is_Bidi_Class=-Boundary_neutral}', "");
Error('\p{Is_Bc= /a/BN}');
Error('\P{Is_Bc= /a/BN}');
Expect(1, 921599, '\p{Is_Bc=bn}', "");
Expect(0, 921599, '\p{^Is_Bc=bn}', "");
Expect(0, 921599, '\P{Is_Bc=bn}', "");
Expect(1, 921599, '\P{^Is_Bc=bn}', "");
Expect(0, 1114109, '\p{Is_Bc=bn}', "");
Expect(1, 1114109, '\p{^Is_Bc=bn}', "");
Expect(1, 1114109, '\P{Is_Bc=bn}', "");
Expect(0, 1114109, '\P{^Is_Bc=bn}', "");
Expect(1, 921599, '\p{Is_Bc= -bn}', "");
Expect(0, 921599, '\p{^Is_Bc= -bn}', "");
Expect(0, 921599, '\P{Is_Bc= -bn}', "");
Expect(1, 921599, '\P{^Is_Bc= -bn}', "");
Expect(0, 1114109, '\p{Is_Bc= -bn}', "");
Expect(1, 1114109, '\p{^Is_Bc= -bn}', "");
Expect(1, 1114109, '\P{Is_Bc= -bn}', "");
Expect(0, 1114109, '\P{^Is_Bc= -bn}', "");
Error('\p{Bidi_Class=_/a/COMMON_SEPARATOR}');
Error('\P{Bidi_Class=_/a/COMMON_SEPARATOR}');
Expect(1, 65306, '\p{Bidi_Class=commonseparator}', "");
Expect(0, 65306, '\p{^Bidi_Class=commonseparator}', "");
Expect(0, 65306, '\P{Bidi_Class=commonseparator}', "");
Expect(1, 65306, '\P{^Bidi_Class=commonseparator}', "");
Expect(0, 65307, '\p{Bidi_Class=commonseparator}', "");
Expect(1, 65307, '\p{^Bidi_Class=commonseparator}', "");
Expect(1, 65307, '\P{Bidi_Class=commonseparator}', "");
Expect(0, 65307, '\P{^Bidi_Class=commonseparator}', "");
Expect(1, 65306, '\p{Bidi_Class=_-Common_Separator}', "");
Expect(0, 65306, '\p{^Bidi_Class=_-Common_Separator}', "");
Expect(0, 65306, '\P{Bidi_Class=_-Common_Separator}', "");
Expect(1, 65306, '\P{^Bidi_Class=_-Common_Separator}', "");
Expect(0, 65307, '\p{Bidi_Class=_-Common_Separator}', "");
Expect(1, 65307, '\p{^Bidi_Class=_-Common_Separator}', "");
Expect(1, 65307, '\P{Bidi_Class=_-Common_Separator}', "");
Expect(0, 65307, '\P{^Bidi_Class=_-Common_Separator}', "");
Error('\p{Bc: :=  cs}');
Error('\P{Bc: :=  cs}');
Expect(1, 65306, '\p{Bc=cs}', "");
Expect(0, 65306, '\p{^Bc=cs}', "");
Expect(0, 65306, '\P{Bc=cs}', "");
Expect(1, 65306, '\P{^Bc=cs}', "");
Expect(0, 65307, '\p{Bc=cs}', "");
Expect(1, 65307, '\p{^Bc=cs}', "");
Expect(1, 65307, '\P{Bc=cs}', "");
Expect(0, 65307, '\P{^Bc=cs}', "");
Expect(1, 65306, '\p{Bc=_-CS}', "");
Expect(0, 65306, '\p{^Bc=_-CS}', "");
Expect(0, 65306, '\P{Bc=_-CS}', "");
Expect(1, 65306, '\P{^Bc=_-CS}', "");
Expect(0, 65307, '\p{Bc=_-CS}', "");
Expect(1, 65307, '\p{^Bc=_-CS}', "");
Expect(1, 65307, '\P{Bc=_-CS}', "");
Expect(0, 65307, '\P{^Bc=_-CS}', "");
Error('\p{Is_Bidi_Class=-/a/COMMON_Separator}');
Error('\P{Is_Bidi_Class=-/a/COMMON_Separator}');
Expect(1, 65306, '\p{Is_Bidi_Class=commonseparator}', "");
Expect(0, 65306, '\p{^Is_Bidi_Class=commonseparator}', "");
Expect(0, 65306, '\P{Is_Bidi_Class=commonseparator}', "");
Expect(1, 65306, '\P{^Is_Bidi_Class=commonseparator}', "");
Expect(0, 65307, '\p{Is_Bidi_Class=commonseparator}', "");
Expect(1, 65307, '\p{^Is_Bidi_Class=commonseparator}', "");
Expect(1, 65307, '\P{Is_Bidi_Class=commonseparator}', "");
Expect(0, 65307, '\P{^Is_Bidi_Class=commonseparator}', "");
Expect(1, 65306, '\p{Is_Bidi_Class=__COMMON_separator}', "");
Expect(0, 65306, '\p{^Is_Bidi_Class=__COMMON_separator}', "");
Expect(0, 65306, '\P{Is_Bidi_Class=__COMMON_separator}', "");
Expect(1, 65306, '\P{^Is_Bidi_Class=__COMMON_separator}', "");
Expect(0, 65307, '\p{Is_Bidi_Class=__COMMON_separator}', "");
Expect(1, 65307, '\p{^Is_Bidi_Class=__COMMON_separator}', "");
Expect(1, 65307, '\P{Is_Bidi_Class=__COMMON_separator}', "");
Expect(0, 65307, '\P{^Is_Bidi_Class=__COMMON_separator}', "");
Error('\p{Is_Bc=/a/	cs}');
Error('\P{Is_Bc=/a/	cs}');
Expect(1, 65306, '\p{Is_Bc=cs}', "");
Expect(0, 65306, '\p{^Is_Bc=cs}', "");
Expect(0, 65306, '\P{Is_Bc=cs}', "");
Expect(1, 65306, '\P{^Is_Bc=cs}', "");
Expect(0, 65307, '\p{Is_Bc=cs}', "");
Expect(1, 65307, '\p{^Is_Bc=cs}', "");
Expect(1, 65307, '\P{Is_Bc=cs}', "");
Expect(0, 65307, '\P{^Is_Bc=cs}', "");
Error('\p{Bidi_Class= 	EUROPEAN_NUMBER:=}');
Error('\P{Bidi_Class= 	EUROPEAN_NUMBER:=}');
Expect(1, 127242, '\p{Bidi_Class:europeannumber}', "");
Expect(0, 127242, '\p{^Bidi_Class:europeannumber}', "");
Expect(0, 127242, '\P{Bidi_Class:europeannumber}', "");
Expect(1, 127242, '\P{^Bidi_Class:europeannumber}', "");
Expect(0, 127243, '\p{Bidi_Class:europeannumber}', "");
Expect(1, 127243, '\p{^Bidi_Class:europeannumber}', "");
Expect(1, 127243, '\P{Bidi_Class:europeannumber}', "");
Expect(0, 127243, '\P{^Bidi_Class:europeannumber}', "");
Expect(1, 127242, '\p{Bidi_Class=  European_Number}', "");
Expect(0, 127242, '\p{^Bidi_Class=  European_Number}', "");
Expect(0, 127242, '\P{Bidi_Class=  European_Number}', "");
Expect(1, 127242, '\P{^Bidi_Class=  European_Number}', "");
Expect(0, 127243, '\p{Bidi_Class=  European_Number}', "");
Expect(1, 127243, '\p{^Bidi_Class=  European_Number}', "");
Expect(1, 127243, '\P{Bidi_Class=  European_Number}', "");
Expect(0, 127243, '\P{^Bidi_Class=  European_Number}', "");
Error('\p{Bc=_-EN:=}');
Error('\P{Bc=_-EN:=}');
Expect(1, 127242, '\p{Bc=en}', "");
Expect(0, 127242, '\p{^Bc=en}', "");
Expect(0, 127242, '\P{Bc=en}', "");
Expect(1, 127242, '\P{^Bc=en}', "");
Expect(0, 127243, '\p{Bc=en}', "");
Expect(1, 127243, '\p{^Bc=en}', "");
Expect(1, 127243, '\P{Bc=en}', "");
Expect(0, 127243, '\P{^Bc=en}', "");
Expect(1, 127242, '\p{Bc:_en}', "");
Expect(0, 127242, '\p{^Bc:_en}', "");
Expect(0, 127242, '\P{Bc:_en}', "");
Expect(1, 127242, '\P{^Bc:_en}', "");
Expect(0, 127243, '\p{Bc:_en}', "");
Expect(1, 127243, '\p{^Bc:_en}', "");
Expect(1, 127243, '\P{Bc:_en}', "");
Expect(0, 127243, '\P{^Bc:_en}', "");
Error('\p{Is_Bidi_Class= European_Number/a/}');
Error('\P{Is_Bidi_Class= European_Number/a/}');
Expect(1, 127242, '\p{Is_Bidi_Class=europeannumber}', "");
Expect(0, 127242, '\p{^Is_Bidi_Class=europeannumber}', "");
Expect(0, 127242, '\P{Is_Bidi_Class=europeannumber}', "");
Expect(1, 127242, '\P{^Is_Bidi_Class=europeannumber}', "");
Expect(0, 127243, '\p{Is_Bidi_Class=europeannumber}', "");
Expect(1, 127243, '\p{^Is_Bidi_Class=europeannumber}', "");
Expect(1, 127243, '\P{Is_Bidi_Class=europeannumber}', "");
Expect(0, 127243, '\P{^Is_Bidi_Class=europeannumber}', "");
Expect(1, 127242, '\p{Is_Bidi_Class=_ EUROPEAN_NUMBER}', "");
Expect(0, 127242, '\p{^Is_Bidi_Class=_ EUROPEAN_NUMBER}', "");
Expect(0, 127242, '\P{Is_Bidi_Class=_ EUROPEAN_NUMBER}', "");
Expect(1, 127242, '\P{^Is_Bidi_Class=_ EUROPEAN_NUMBER}', "");
Expect(0, 127243, '\p{Is_Bidi_Class=_ EUROPEAN_NUMBER}', "");
Expect(1, 127243, '\p{^Is_Bidi_Class=_ EUROPEAN_NUMBER}', "");
Expect(1, 127243, '\P{Is_Bidi_Class=_ EUROPEAN_NUMBER}', "");
Expect(0, 127243, '\P{^Is_Bidi_Class=_ EUROPEAN_NUMBER}', "");
Error('\p{Is_Bc=-/a/EN}');
Error('\P{Is_Bc=-/a/EN}');
Expect(1, 127242, '\p{Is_Bc=en}', "");
Expect(0, 127242, '\p{^Is_Bc=en}', "");
Expect(0, 127242, '\P{Is_Bc=en}', "");
Expect(1, 127242, '\P{^Is_Bc=en}', "");
Expect(0, 127243, '\p{Is_Bc=en}', "");
Expect(1, 127243, '\p{^Is_Bc=en}', "");
Expect(1, 127243, '\P{Is_Bc=en}', "");
Expect(0, 127243, '\P{^Is_Bc=en}', "");
Expect(1, 127242, '\p{Is_Bc:_	en}', "");
Expect(0, 127242, '\p{^Is_Bc:_	en}', "");
Expect(0, 127242, '\P{Is_Bc:_	en}', "");
Expect(1, 127242, '\P{^Is_Bc:_	en}', "");
Expect(0, 127243, '\p{Is_Bc:_	en}', "");
Expect(1, 127243, '\p{^Is_Bc:_	en}', "");
Expect(1, 127243, '\P{Is_Bc:_	en}', "");
Expect(0, 127243, '\P{^Is_Bc:_	en}', "");
Error('\p{Bidi_Class=_European_Separator:=}');
Error('\P{Bidi_Class=_European_Separator:=}');
Expect(1, 65293, '\p{Bidi_Class=europeanseparator}', "");
Expect(0, 65293, '\p{^Bidi_Class=europeanseparator}', "");
Expect(0, 65293, '\P{Bidi_Class=europeanseparator}', "");
Expect(1, 65293, '\P{^Bidi_Class=europeanseparator}', "");
Expect(0, 65294, '\p{Bidi_Class=europeanseparator}', "");
Expect(1, 65294, '\p{^Bidi_Class=europeanseparator}', "");
Expect(1, 65294, '\P{Bidi_Class=europeanseparator}', "");
Expect(0, 65294, '\P{^Bidi_Class=europeanseparator}', "");
Expect(1, 65293, '\p{Bidi_Class=-_European_Separator}', "");
Expect(0, 65293, '\p{^Bidi_Class=-_European_Separator}', "");
Expect(0, 65293, '\P{Bidi_Class=-_European_Separator}', "");
Expect(1, 65293, '\P{^Bidi_Class=-_European_Separator}', "");
Expect(0, 65294, '\p{Bidi_Class=-_European_Separator}', "");
Expect(1, 65294, '\p{^Bidi_Class=-_European_Separator}', "");
Expect(1, 65294, '\P{Bidi_Class=-_European_Separator}', "");
Expect(0, 65294, '\P{^Bidi_Class=-_European_Separator}', "");
Error('\p{Bc=:=	_ES}');
Error('\P{Bc=:=	_ES}');
Expect(1, 65293, '\p{Bc=es}', "");
Expect(0, 65293, '\p{^Bc=es}', "");
Expect(0, 65293, '\P{Bc=es}', "");
Expect(1, 65293, '\P{^Bc=es}', "");
Expect(0, 65294, '\p{Bc=es}', "");
Expect(1, 65294, '\p{^Bc=es}', "");
Expect(1, 65294, '\P{Bc=es}', "");
Expect(0, 65294, '\P{^Bc=es}', "");
Expect(1, 65293, '\p{Bc=-	ES}', "");
Expect(0, 65293, '\p{^Bc=-	ES}', "");
Expect(0, 65293, '\P{Bc=-	ES}', "");
Expect(1, 65293, '\P{^Bc=-	ES}', "");
Expect(0, 65294, '\p{Bc=-	ES}', "");
Expect(1, 65294, '\p{^Bc=-	ES}', "");
Expect(1, 65294, '\P{Bc=-	ES}', "");
Expect(0, 65294, '\P{^Bc=-	ES}', "");
Error('\p{Is_Bidi_Class=-	European_Separator:=}');
Error('\P{Is_Bidi_Class=-	European_Separator:=}');
Expect(1, 65293, '\p{Is_Bidi_Class:	europeanseparator}', "");
Expect(0, 65293, '\p{^Is_Bidi_Class:	europeanseparator}', "");
Expect(0, 65293, '\P{Is_Bidi_Class:	europeanseparator}', "");
Expect(1, 65293, '\P{^Is_Bidi_Class:	europeanseparator}', "");
Expect(0, 65294, '\p{Is_Bidi_Class:	europeanseparator}', "");
Expect(1, 65294, '\p{^Is_Bidi_Class:	europeanseparator}', "");
Expect(1, 65294, '\P{Is_Bidi_Class:	europeanseparator}', "");
Expect(0, 65294, '\P{^Is_Bidi_Class:	europeanseparator}', "");
Expect(1, 65293, '\p{Is_Bidi_Class= european_Separator}', "");
Expect(0, 65293, '\p{^Is_Bidi_Class= european_Separator}', "");
Expect(0, 65293, '\P{Is_Bidi_Class= european_Separator}', "");
Expect(1, 65293, '\P{^Is_Bidi_Class= european_Separator}', "");
Expect(0, 65294, '\p{Is_Bidi_Class= european_Separator}', "");
Expect(1, 65294, '\p{^Is_Bidi_Class= european_Separator}', "");
Expect(1, 65294, '\P{Is_Bidi_Class= european_Separator}', "");
Expect(0, 65294, '\P{^Is_Bidi_Class= european_Separator}', "");
Error('\p{Is_Bc:   -_es:=}');
Error('\P{Is_Bc:   -_es:=}');
Expect(1, 65293, '\p{Is_Bc: es}', "");
Expect(0, 65293, '\p{^Is_Bc: es}', "");
Expect(0, 65293, '\P{Is_Bc: es}', "");
Expect(1, 65293, '\P{^Is_Bc: es}', "");
Expect(0, 65294, '\p{Is_Bc: es}', "");
Expect(1, 65294, '\p{^Is_Bc: es}', "");
Expect(1, 65294, '\P{Is_Bc: es}', "");
Expect(0, 65294, '\P{^Is_Bc: es}', "");
Expect(1, 65293, '\p{Is_Bc=_-ES}', "");
Expect(0, 65293, '\p{^Is_Bc=_-ES}', "");
Expect(0, 65293, '\P{Is_Bc=_-ES}', "");
Expect(1, 65293, '\P{^Is_Bc=_-ES}', "");
Expect(0, 65294, '\p{Is_Bc=_-ES}', "");
Expect(1, 65294, '\p{^Is_Bc=_-ES}', "");
Expect(1, 65294, '\P{Is_Bc=_-ES}', "");
Expect(0, 65294, '\P{^Is_Bc=_-ES}', "");
Error('\p{Bidi_Class=_:=European_terminator}');
Error('\P{Bidi_Class=_:=European_terminator}');
Expect(1, 65510, '\p{Bidi_Class=europeanterminator}', "");
Expect(0, 65510, '\p{^Bidi_Class=europeanterminator}', "");
Expect(0, 65510, '\P{Bidi_Class=europeanterminator}', "");
Expect(1, 65510, '\P{^Bidi_Class=europeanterminator}', "");
Expect(0, 65511, '\p{Bidi_Class=europeanterminator}', "");
Expect(1, 65511, '\p{^Bidi_Class=europeanterminator}', "");
Expect(1, 65511, '\P{Bidi_Class=europeanterminator}', "");
Expect(0, 65511, '\P{^Bidi_Class=europeanterminator}', "");
Expect(1, 65510, '\p{Bidi_Class=_	european_Terminator}', "");
Expect(0, 65510, '\p{^Bidi_Class=_	european_Terminator}', "");
Expect(0, 65510, '\P{Bidi_Class=_	european_Terminator}', "");
Expect(1, 65510, '\P{^Bidi_Class=_	european_Terminator}', "");
Expect(0, 65511, '\p{Bidi_Class=_	european_Terminator}', "");
Expect(1, 65511, '\p{^Bidi_Class=_	european_Terminator}', "");
Expect(1, 65511, '\P{Bidi_Class=_	european_Terminator}', "");
Expect(0, 65511, '\P{^Bidi_Class=_	european_Terminator}', "");
Error('\p{Bc=:=-ET}');
Error('\P{Bc=:=-ET}');
Expect(1, 65510, '\p{Bc:	et}', "");
Expect(0, 65510, '\p{^Bc:	et}', "");
Expect(0, 65510, '\P{Bc:	et}', "");
Expect(1, 65510, '\P{^Bc:	et}', "");
Expect(0, 65511, '\p{Bc:	et}', "");
Expect(1, 65511, '\p{^Bc:	et}', "");
Expect(1, 65511, '\P{Bc:	et}', "");
Expect(0, 65511, '\P{^Bc:	et}', "");
Expect(1, 65510, '\p{Bc=-	ET}', "");
Expect(0, 65510, '\p{^Bc=-	ET}', "");
Expect(0, 65510, '\P{Bc=-	ET}', "");
Expect(1, 65510, '\P{^Bc=-	ET}', "");
Expect(0, 65511, '\p{Bc=-	ET}', "");
Expect(1, 65511, '\p{^Bc=-	ET}', "");
Expect(1, 65511, '\P{Bc=-	ET}', "");
Expect(0, 65511, '\P{^Bc=-	ET}', "");
Error('\p{Is_Bidi_Class=- European_Terminator:=}');
Error('\P{Is_Bidi_Class=- European_Terminator:=}');
Expect(1, 65510, '\p{Is_Bidi_Class=europeanterminator}', "");
Expect(0, 65510, '\p{^Is_Bidi_Class=europeanterminator}', "");
Expect(0, 65510, '\P{Is_Bidi_Class=europeanterminator}', "");
Expect(1, 65510, '\P{^Is_Bidi_Class=europeanterminator}', "");
Expect(0, 65511, '\p{Is_Bidi_Class=europeanterminator}', "");
Expect(1, 65511, '\p{^Is_Bidi_Class=europeanterminator}', "");
Expect(1, 65511, '\P{Is_Bidi_Class=europeanterminator}', "");
Expect(0, 65511, '\P{^Is_Bidi_Class=europeanterminator}', "");
Expect(1, 65510, '\p{Is_Bidi_Class=_-European_terminator}', "");
Expect(0, 65510, '\p{^Is_Bidi_Class=_-European_terminator}', "");
Expect(0, 65510, '\P{Is_Bidi_Class=_-European_terminator}', "");
Expect(1, 65510, '\P{^Is_Bidi_Class=_-European_terminator}', "");
Expect(0, 65511, '\p{Is_Bidi_Class=_-European_terminator}', "");
Expect(1, 65511, '\p{^Is_Bidi_Class=_-European_terminator}', "");
Expect(1, 65511, '\P{Is_Bidi_Class=_-European_terminator}', "");
Expect(0, 65511, '\P{^Is_Bidi_Class=_-European_terminator}', "");
Error('\p{Is_Bc=-/a/ET}');
Error('\P{Is_Bc=-/a/ET}');
Expect(1, 65510, '\p{Is_Bc=et}', "");
Expect(0, 65510, '\p{^Is_Bc=et}', "");
Expect(0, 65510, '\P{Is_Bc=et}', "");
Expect(1, 65510, '\P{^Is_Bc=et}', "");
Expect(0, 65511, '\p{Is_Bc=et}', "");
Expect(1, 65511, '\p{^Is_Bc=et}', "");
Expect(1, 65511, '\P{Is_Bc=et}', "");
Expect(0, 65511, '\P{^Is_Bc=et}', "");
Expect(1, 65510, '\p{Is_Bc=_-et}', "");
Expect(0, 65510, '\p{^Is_Bc=_-et}', "");
Expect(0, 65510, '\P{Is_Bc=_-et}', "");
Expect(1, 65510, '\P{^Is_Bc=_-et}', "");
Expect(0, 65511, '\p{Is_Bc=_-et}', "");
Expect(1, 65511, '\p{^Is_Bc=_-et}', "");
Expect(1, 65511, '\P{Is_Bc=_-et}', "");
Expect(0, 65511, '\P{^Is_Bc=_-et}', "");
Error('\p{Bidi_Class=:=	_FIRST_Strong_Isolate}');
Error('\P{Bidi_Class=:=	_FIRST_Strong_Isolate}');
Expect(1, 8296, '\p{Bidi_Class=firststrongisolate}', "");
Expect(0, 8296, '\p{^Bidi_Class=firststrongisolate}', "");
Expect(0, 8296, '\P{Bidi_Class=firststrongisolate}', "");
Expect(1, 8296, '\P{^Bidi_Class=firststrongisolate}', "");
Expect(0, 8297, '\p{Bidi_Class=firststrongisolate}', "");
Expect(1, 8297, '\p{^Bidi_Class=firststrongisolate}', "");
Expect(1, 8297, '\P{Bidi_Class=firststrongisolate}', "");
Expect(0, 8297, '\P{^Bidi_Class=firststrongisolate}', "");
Expect(1, 8296, '\p{Bidi_Class=--first_STRONG_Isolate}', "");
Expect(0, 8296, '\p{^Bidi_Class=--first_STRONG_Isolate}', "");
Expect(0, 8296, '\P{Bidi_Class=--first_STRONG_Isolate}', "");
Expect(1, 8296, '\P{^Bidi_Class=--first_STRONG_Isolate}', "");
Expect(0, 8297, '\p{Bidi_Class=--first_STRONG_Isolate}', "");
Expect(1, 8297, '\p{^Bidi_Class=--first_STRONG_Isolate}', "");
Expect(1, 8297, '\P{Bidi_Class=--first_STRONG_Isolate}', "");
Expect(0, 8297, '\P{^Bidi_Class=--first_STRONG_Isolate}', "");
Error('\p{Bc=	FSI/a/}');
Error('\P{Bc=	FSI/a/}');
Expect(1, 8296, '\p{Bc=fsi}', "");
Expect(0, 8296, '\p{^Bc=fsi}', "");
Expect(0, 8296, '\P{Bc=fsi}', "");
Expect(1, 8296, '\P{^Bc=fsi}', "");
Expect(0, 8297, '\p{Bc=fsi}', "");
Expect(1, 8297, '\p{^Bc=fsi}', "");
Expect(1, 8297, '\P{Bc=fsi}', "");
Expect(0, 8297, '\P{^Bc=fsi}', "");
Expect(1, 8296, '\p{Bc:   -_FSI}', "");
Expect(0, 8296, '\p{^Bc:   -_FSI}', "");
Expect(0, 8296, '\P{Bc:   -_FSI}', "");
Expect(1, 8296, '\P{^Bc:   -_FSI}', "");
Expect(0, 8297, '\p{Bc:   -_FSI}', "");
Expect(1, 8297, '\p{^Bc:   -_FSI}', "");
Expect(1, 8297, '\P{Bc:   -_FSI}', "");
Expect(0, 8297, '\P{^Bc:   -_FSI}', "");
Error('\p{Is_Bidi_Class=/a/-First_STRONG_isolate}');
Error('\P{Is_Bidi_Class=/a/-First_STRONG_isolate}');
Expect(1, 8296, '\p{Is_Bidi_Class=firststrongisolate}', "");
Expect(0, 8296, '\p{^Is_Bidi_Class=firststrongisolate}', "");
Expect(0, 8296, '\P{Is_Bidi_Class=firststrongisolate}', "");
Expect(1, 8296, '\P{^Is_Bidi_Class=firststrongisolate}', "");
Expect(0, 8297, '\p{Is_Bidi_Class=firststrongisolate}', "");
Expect(1, 8297, '\p{^Is_Bidi_Class=firststrongisolate}', "");
Expect(1, 8297, '\P{Is_Bidi_Class=firststrongisolate}', "");
Expect(0, 8297, '\P{^Is_Bidi_Class=firststrongisolate}', "");
Expect(1, 8296, '\p{Is_Bidi_Class=__first_Strong_Isolate}', "");
Expect(0, 8296, '\p{^Is_Bidi_Class=__first_Strong_Isolate}', "");
Expect(0, 8296, '\P{Is_Bidi_Class=__first_Strong_Isolate}', "");
Expect(1, 8296, '\P{^Is_Bidi_Class=__first_Strong_Isolate}', "");
Expect(0, 8297, '\p{Is_Bidi_Class=__first_Strong_Isolate}', "");
Expect(1, 8297, '\p{^Is_Bidi_Class=__first_Strong_Isolate}', "");
Expect(1, 8297, '\P{Is_Bidi_Class=__first_Strong_Isolate}', "");
Expect(0, 8297, '\P{^Is_Bidi_Class=__first_Strong_Isolate}', "");
Error('\p{Is_Bc=	FSI:=}');
Error('\P{Is_Bc=	FSI:=}');
Expect(1, 8296, '\p{Is_Bc=fsi}', "");
Expect(0, 8296, '\p{^Is_Bc=fsi}', "");
Expect(0, 8296, '\P{Is_Bc=fsi}', "");
Expect(1, 8296, '\P{^Is_Bc=fsi}', "");
Expect(0, 8297, '\p{Is_Bc=fsi}', "");
Expect(1, 8297, '\p{^Is_Bc=fsi}', "");
Expect(1, 8297, '\P{Is_Bc=fsi}', "");
Expect(0, 8297, '\P{^Is_Bc=fsi}', "");
Expect(1, 8296, '\p{Is_Bc= _fsi}', "");
Expect(0, 8296, '\p{^Is_Bc= _fsi}', "");
Expect(0, 8296, '\P{Is_Bc= _fsi}', "");
Expect(1, 8296, '\P{^Is_Bc= _fsi}', "");
Expect(0, 8297, '\p{Is_Bc= _fsi}', "");
Expect(1, 8297, '\p{^Is_Bc= _fsi}', "");
Expect(1, 8297, '\P{Is_Bc= _fsi}', "");
Expect(0, 8297, '\P{^Is_Bc= _fsi}', "");
Error('\p{Bidi_Class: 	:=left_to_RIGHT}');
Error('\P{Bidi_Class: 	:=left_to_RIGHT}');
Expect(1, 1114109, '\p{Bidi_Class: lefttoright}', "");
Expect(0, 1114109, '\p{^Bidi_Class: lefttoright}', "");
Expect(0, 1114109, '\P{Bidi_Class: lefttoright}', "");
Expect(1, 1114109, '\P{^Bidi_Class: lefttoright}', "");
Expect(0, 921599, '\p{Bidi_Class: lefttoright}', "");
Expect(1, 921599, '\p{^Bidi_Class: lefttoright}', "");
Expect(1, 921599, '\P{Bidi_Class: lefttoright}', "");
Expect(0, 921599, '\P{^Bidi_Class: lefttoright}', "");
Expect(1, 1114109, '\p{Bidi_Class= _Left_to_Right}', "");
Expect(0, 1114109, '\p{^Bidi_Class= _Left_to_Right}', "");
Expect(0, 1114109, '\P{Bidi_Class= _Left_to_Right}', "");
Expect(1, 1114109, '\P{^Bidi_Class= _Left_to_Right}', "");
Expect(0, 921599, '\p{Bidi_Class= _Left_to_Right}', "");
Expect(1, 921599, '\p{^Bidi_Class= _Left_to_Right}', "");
Expect(1, 921599, '\P{Bidi_Class= _Left_to_Right}', "");
Expect(0, 921599, '\P{^Bidi_Class= _Left_to_Right}', "");
Error('\p{Bc=/a/	_L}');
Error('\P{Bc=/a/	_L}');
Expect(1, 1114109, '\p{Bc=l}', "");
Expect(0, 1114109, '\p{^Bc=l}', "");
Expect(0, 1114109, '\P{Bc=l}', "");
Expect(1, 1114109, '\P{^Bc=l}', "");
Expect(0, 921599, '\p{Bc=l}', "");
Expect(1, 921599, '\p{^Bc=l}', "");
Expect(1, 921599, '\P{Bc=l}', "");
Expect(0, 921599, '\P{^Bc=l}', "");
Expect(1, 1114109, '\p{Bc=		l}', "");
Expect(0, 1114109, '\p{^Bc=		l}', "");
Expect(0, 1114109, '\P{Bc=		l}', "");
Expect(1, 1114109, '\P{^Bc=		l}', "");
Expect(0, 921599, '\p{Bc=		l}', "");
Expect(1, 921599, '\p{^Bc=		l}', "");
Expect(1, 921599, '\P{Bc=		l}', "");
Expect(0, 921599, '\P{^Bc=		l}', "");
Error('\p{Is_Bidi_Class=_Left_to_Right/a/}');
Error('\P{Is_Bidi_Class=_Left_to_Right/a/}');
Expect(1, 1114109, '\p{Is_Bidi_Class:   lefttoright}', "");
Expect(0, 1114109, '\p{^Is_Bidi_Class:   lefttoright}', "");
Expect(0, 1114109, '\P{Is_Bidi_Class:   lefttoright}', "");
Expect(1, 1114109, '\P{^Is_Bidi_Class:   lefttoright}', "");
Expect(0, 921599, '\p{Is_Bidi_Class:   lefttoright}', "");
Expect(1, 921599, '\p{^Is_Bidi_Class:   lefttoright}', "");
Expect(1, 921599, '\P{Is_Bidi_Class:   lefttoright}', "");
Expect(0, 921599, '\P{^Is_Bidi_Class:   lefttoright}', "");
Expect(1, 1114109, '\p{Is_Bidi_Class=-	left_to_RIGHT}', "");
Expect(0, 1114109, '\p{^Is_Bidi_Class=-	left_to_RIGHT}', "");
Expect(0, 1114109, '\P{Is_Bidi_Class=-	left_to_RIGHT}', "");
Expect(1, 1114109, '\P{^Is_Bidi_Class=-	left_to_RIGHT}', "");
Expect(0, 921599, '\p{Is_Bidi_Class=-	left_to_RIGHT}', "");
Expect(1, 921599, '\p{^Is_Bidi_Class=-	left_to_RIGHT}', "");
Expect(1, 921599, '\P{Is_Bidi_Class=-	left_to_RIGHT}', "");
Expect(0, 921599, '\P{^Is_Bidi_Class=-	left_to_RIGHT}', "");
Error('\p{Is_Bc=-_l:=}');
Error('\P{Is_Bc=-_l:=}');
Expect(1, 1114109, '\p{Is_Bc=l}', "");
Expect(0, 1114109, '\p{^Is_Bc=l}', "");
Expect(0, 1114109, '\P{Is_Bc=l}', "");
Expect(1, 1114109, '\P{^Is_Bc=l}', "");
Expect(0, 921599, '\p{Is_Bc=l}', "");
Expect(1, 921599, '\p{^Is_Bc=l}', "");
Expect(1, 921599, '\P{Is_Bc=l}', "");
Expect(0, 921599, '\P{^Is_Bc=l}', "");
Expect(1, 1114109, '\p{Is_Bc=	 l}', "");
Expect(0, 1114109, '\p{^Is_Bc=	 l}', "");
Expect(0, 1114109, '\P{Is_Bc=	 l}', "");
Expect(1, 1114109, '\P{^Is_Bc=	 l}', "");
Expect(0, 921599, '\p{Is_Bc=	 l}', "");
Expect(1, 921599, '\p{^Is_Bc=	 l}', "");
Expect(1, 921599, '\P{Is_Bc=	 l}', "");
Expect(0, 921599, '\P{^Is_Bc=	 l}', "");
Error('\p{Bidi_Class: -Left_To_right_embedding/a/}');
Error('\P{Bidi_Class: -Left_To_right_embedding/a/}');
Expect(1, 8234, '\p{Bidi_Class=lefttorightembedding}', "");
Expect(0, 8234, '\p{^Bidi_Class=lefttorightembedding}', "");
Expect(0, 8234, '\P{Bidi_Class=lefttorightembedding}', "");
Expect(1, 8234, '\P{^Bidi_Class=lefttorightembedding}', "");
Expect(0, 8235, '\p{Bidi_Class=lefttorightembedding}', "");
Expect(1, 8235, '\p{^Bidi_Class=lefttorightembedding}', "");
Expect(1, 8235, '\P{Bidi_Class=lefttorightembedding}', "");
Expect(0, 8235, '\P{^Bidi_Class=lefttorightembedding}', "");
Expect(1, 8234, '\p{Bidi_Class= -Left_TO_Right_embedding}', "");
Expect(0, 8234, '\p{^Bidi_Class= -Left_TO_Right_embedding}', "");
Expect(0, 8234, '\P{Bidi_Class= -Left_TO_Right_embedding}', "");
Expect(1, 8234, '\P{^Bidi_Class= -Left_TO_Right_embedding}', "");
Expect(0, 8235, '\p{Bidi_Class= -Left_TO_Right_embedding}', "");
Expect(1, 8235, '\p{^Bidi_Class= -Left_TO_Right_embedding}', "");
Expect(1, 8235, '\P{Bidi_Class= -Left_TO_Right_embedding}', "");
Expect(0, 8235, '\P{^Bidi_Class= -Left_TO_Right_embedding}', "");
Error('\p{Bc=/a/	LRE}');
Error('\P{Bc=/a/	LRE}');
Expect(1, 8234, '\p{Bc:lre}', "");
Expect(0, 8234, '\p{^Bc:lre}', "");
Expect(0, 8234, '\P{Bc:lre}', "");
Expect(1, 8234, '\P{^Bc:lre}', "");
Expect(0, 8235, '\p{Bc:lre}', "");
Expect(1, 8235, '\p{^Bc:lre}', "");
Expect(1, 8235, '\P{Bc:lre}', "");
Expect(0, 8235, '\P{^Bc:lre}', "");
Expect(1, 8234, '\p{Bc=__LRE}', "");
Expect(0, 8234, '\p{^Bc=__LRE}', "");
Expect(0, 8234, '\P{Bc=__LRE}', "");
Expect(1, 8234, '\P{^Bc=__LRE}', "");
Expect(0, 8235, '\p{Bc=__LRE}', "");
Expect(1, 8235, '\p{^Bc=__LRE}', "");
Expect(1, 8235, '\P{Bc=__LRE}', "");
Expect(0, 8235, '\P{^Bc=__LRE}', "");
Error('\p{Is_Bidi_Class=/a/left_to_right_EMBEDDING}');
Error('\P{Is_Bidi_Class=/a/left_to_right_EMBEDDING}');
Expect(1, 8234, '\p{Is_Bidi_Class=lefttorightembedding}', "");
Expect(0, 8234, '\p{^Is_Bidi_Class=lefttorightembedding}', "");
Expect(0, 8234, '\P{Is_Bidi_Class=lefttorightembedding}', "");
Expect(1, 8234, '\P{^Is_Bidi_Class=lefttorightembedding}', "");
Expect(0, 8235, '\p{Is_Bidi_Class=lefttorightembedding}', "");
Expect(1, 8235, '\p{^Is_Bidi_Class=lefttorightembedding}', "");
Expect(1, 8235, '\P{Is_Bidi_Class=lefttorightembedding}', "");
Expect(0, 8235, '\P{^Is_Bidi_Class=lefttorightembedding}', "");
Expect(1, 8234, '\p{Is_Bidi_Class:   -LEFT_To_Right_Embedding}', "");
Expect(0, 8234, '\p{^Is_Bidi_Class:   -LEFT_To_Right_Embedding}', "");
Expect(0, 8234, '\P{Is_Bidi_Class:   -LEFT_To_Right_Embedding}', "");
Expect(1, 8234, '\P{^Is_Bidi_Class:   -LEFT_To_Right_Embedding}', "");
Expect(0, 8235, '\p{Is_Bidi_Class:   -LEFT_To_Right_Embedding}', "");
Expect(1, 8235, '\p{^Is_Bidi_Class:   -LEFT_To_Right_Embedding}', "");
Expect(1, 8235, '\P{Is_Bidi_Class:   -LEFT_To_Right_Embedding}', "");
Expect(0, 8235, '\P{^Is_Bidi_Class:   -LEFT_To_Right_Embedding}', "");
Error('\p{Is_Bc=:= 	LRE}');
Error('\P{Is_Bc=:= 	LRE}');
Expect(1, 8234, '\p{Is_Bc=lre}', "");
Expect(0, 8234, '\p{^Is_Bc=lre}', "");
Expect(0, 8234, '\P{Is_Bc=lre}', "");
Expect(1, 8234, '\P{^Is_Bc=lre}', "");
Expect(0, 8235, '\p{Is_Bc=lre}', "");
Expect(1, 8235, '\p{^Is_Bc=lre}', "");
Expect(1, 8235, '\P{Is_Bc=lre}', "");
Expect(0, 8235, '\P{^Is_Bc=lre}', "");
Expect(1, 8234, '\p{Is_Bc=-LRE}', "");
Expect(0, 8234, '\p{^Is_Bc=-LRE}', "");
Expect(0, 8234, '\P{Is_Bc=-LRE}', "");
Expect(1, 8234, '\P{^Is_Bc=-LRE}', "");
Expect(0, 8235, '\p{Is_Bc=-LRE}', "");
Expect(1, 8235, '\p{^Is_Bc=-LRE}', "");
Expect(1, 8235, '\P{Is_Bc=-LRE}', "");
Expect(0, 8235, '\P{^Is_Bc=-LRE}', "");
Error('\p{Bidi_Class=__Left_To_Right_Isolate:=}');
Error('\P{Bidi_Class=__Left_To_Right_Isolate:=}');
Expect(1, 8294, '\p{Bidi_Class=lefttorightisolate}', "");
Expect(0, 8294, '\p{^Bidi_Class=lefttorightisolate}', "");
Expect(0, 8294, '\P{Bidi_Class=lefttorightisolate}', "");
Expect(1, 8294, '\P{^Bidi_Class=lefttorightisolate}', "");
Expect(0, 8295, '\p{Bidi_Class=lefttorightisolate}', "");
Expect(1, 8295, '\p{^Bidi_Class=lefttorightisolate}', "");
Expect(1, 8295, '\P{Bidi_Class=lefttorightisolate}', "");
Expect(0, 8295, '\P{^Bidi_Class=lefttorightisolate}', "");
Expect(1, 8294, '\p{Bidi_Class=_ Left_TO_Right_ISOLATE}', "");
Expect(0, 8294, '\p{^Bidi_Class=_ Left_TO_Right_ISOLATE}', "");
Expect(0, 8294, '\P{Bidi_Class=_ Left_TO_Right_ISOLATE}', "");
Expect(1, 8294, '\P{^Bidi_Class=_ Left_TO_Right_ISOLATE}', "");
Expect(0, 8295, '\p{Bidi_Class=_ Left_TO_Right_ISOLATE}', "");
Expect(1, 8295, '\p{^Bidi_Class=_ Left_TO_Right_ISOLATE}', "");
Expect(1, 8295, '\P{Bidi_Class=_ Left_TO_Right_ISOLATE}', "");
Expect(0, 8295, '\P{^Bidi_Class=_ Left_TO_Right_ISOLATE}', "");
Error('\p{Bc=_	lri:=}');
Error('\P{Bc=_	lri:=}');
Expect(1, 8294, '\p{Bc=lri}', "");
Expect(0, 8294, '\p{^Bc=lri}', "");
Expect(0, 8294, '\P{Bc=lri}', "");
Expect(1, 8294, '\P{^Bc=lri}', "");
Expect(0, 8295, '\p{Bc=lri}', "");
Expect(1, 8295, '\p{^Bc=lri}', "");
Expect(1, 8295, '\P{Bc=lri}', "");
Expect(0, 8295, '\P{^Bc=lri}', "");
Expect(1, 8294, '\p{Bc:	_lri}', "");
Expect(0, 8294, '\p{^Bc:	_lri}', "");
Expect(0, 8294, '\P{Bc:	_lri}', "");
Expect(1, 8294, '\P{^Bc:	_lri}', "");
Expect(0, 8295, '\p{Bc:	_lri}', "");
Expect(1, 8295, '\p{^Bc:	_lri}', "");
Expect(1, 8295, '\P{Bc:	_lri}', "");
Expect(0, 8295, '\P{^Bc:	_lri}', "");
Error('\p{Is_Bidi_Class=:=_	left_to_RIGHT_Isolate}');
Error('\P{Is_Bidi_Class=:=_	left_to_RIGHT_Isolate}');
Expect(1, 8294, '\p{Is_Bidi_Class:   lefttorightisolate}', "");
Expect(0, 8294, '\p{^Is_Bidi_Class:   lefttorightisolate}', "");
Expect(0, 8294, '\P{Is_Bidi_Class:   lefttorightisolate}', "");
Expect(1, 8294, '\P{^Is_Bidi_Class:   lefttorightisolate}', "");
Expect(0, 8295, '\p{Is_Bidi_Class:   lefttorightisolate}', "");
Expect(1, 8295, '\p{^Is_Bidi_Class:   lefttorightisolate}', "");
Expect(1, 8295, '\P{Is_Bidi_Class:   lefttorightisolate}', "");
Expect(0, 8295, '\P{^Is_Bidi_Class:   lefttorightisolate}', "");
Expect(1, 8294, '\p{Is_Bidi_Class=	Left_To_RIGHT_Isolate}', "");
Expect(0, 8294, '\p{^Is_Bidi_Class=	Left_To_RIGHT_Isolate}', "");
Expect(0, 8294, '\P{Is_Bidi_Class=	Left_To_RIGHT_Isolate}', "");
Expect(1, 8294, '\P{^Is_Bidi_Class=	Left_To_RIGHT_Isolate}', "");
Expect(0, 8295, '\p{Is_Bidi_Class=	Left_To_RIGHT_Isolate}', "");
Expect(1, 8295, '\p{^Is_Bidi_Class=	Left_To_RIGHT_Isolate}', "");
Expect(1, 8295, '\P{Is_Bidi_Class=	Left_To_RIGHT_Isolate}', "");
Expect(0, 8295, '\P{^Is_Bidi_Class=	Left_To_RIGHT_Isolate}', "");
Error('\p{Is_Bc:	/a/lri}');
Error('\P{Is_Bc:	/a/lri}');
Expect(1, 8294, '\p{Is_Bc=lri}', "");
Expect(0, 8294, '\p{^Is_Bc=lri}', "");
Expect(0, 8294, '\P{Is_Bc=lri}', "");
Expect(1, 8294, '\P{^Is_Bc=lri}', "");
Expect(0, 8295, '\p{Is_Bc=lri}', "");
Expect(1, 8295, '\p{^Is_Bc=lri}', "");
Expect(1, 8295, '\P{Is_Bc=lri}', "");
Expect(0, 8295, '\P{^Is_Bc=lri}', "");
Expect(1, 8294, '\p{Is_Bc=-LRI}', "");
Expect(0, 8294, '\p{^Is_Bc=-LRI}', "");
Expect(0, 8294, '\P{Is_Bc=-LRI}', "");
Expect(1, 8294, '\P{^Is_Bc=-LRI}', "");
Expect(0, 8295, '\p{Is_Bc=-LRI}', "");
Expect(1, 8295, '\p{^Is_Bc=-LRI}', "");
Expect(1, 8295, '\P{Is_Bc=-LRI}', "");
Expect(0, 8295, '\P{^Is_Bc=-LRI}', "");
Error('\p{Bidi_Class= /a/Left_To_right_Override}');
Error('\P{Bidi_Class= /a/Left_To_right_Override}');
Expect(1, 8237, '\p{Bidi_Class=lefttorightoverride}', "");
Expect(0, 8237, '\p{^Bidi_Class=lefttorightoverride}', "");
Expect(0, 8237, '\P{Bidi_Class=lefttorightoverride}', "");
Expect(1, 8237, '\P{^Bidi_Class=lefttorightoverride}', "");
Expect(0, 8238, '\p{Bidi_Class=lefttorightoverride}', "");
Expect(1, 8238, '\p{^Bidi_Class=lefttorightoverride}', "");
Expect(1, 8238, '\P{Bidi_Class=lefttorightoverride}', "");
Expect(0, 8238, '\P{^Bidi_Class=lefttorightoverride}', "");
Expect(1, 8237, '\p{Bidi_Class=		LEFT_TO_Right_Override}', "");
Expect(0, 8237, '\p{^Bidi_Class=		LEFT_TO_Right_Override}', "");
Expect(0, 8237, '\P{Bidi_Class=		LEFT_TO_Right_Override}', "");
Expect(1, 8237, '\P{^Bidi_Class=		LEFT_TO_Right_Override}', "");
Expect(0, 8238, '\p{Bidi_Class=		LEFT_TO_Right_Override}', "");
Expect(1, 8238, '\p{^Bidi_Class=		LEFT_TO_Right_Override}', "");
Expect(1, 8238, '\P{Bidi_Class=		LEFT_TO_Right_Override}', "");
Expect(0, 8238, '\P{^Bidi_Class=		LEFT_TO_Right_Override}', "");
Error('\p{Bc:	/a/_ lro}');
Error('\P{Bc:	/a/_ lro}');
Expect(1, 8237, '\p{Bc=lro}', "");
Expect(0, 8237, '\p{^Bc=lro}', "");
Expect(0, 8237, '\P{Bc=lro}', "");
Expect(1, 8237, '\P{^Bc=lro}', "");
Expect(0, 8238, '\p{Bc=lro}', "");
Expect(1, 8238, '\p{^Bc=lro}', "");
Expect(1, 8238, '\P{Bc=lro}', "");
Expect(0, 8238, '\P{^Bc=lro}', "");
Expect(1, 8237, '\p{Bc=- LRO}', "");
Expect(0, 8237, '\p{^Bc=- LRO}', "");
Expect(0, 8237, '\P{Bc=- LRO}', "");
Expect(1, 8237, '\P{^Bc=- LRO}', "");
Expect(0, 8238, '\p{Bc=- LRO}', "");
Expect(1, 8238, '\p{^Bc=- LRO}', "");
Expect(1, 8238, '\P{Bc=- LRO}', "");
Expect(0, 8238, '\P{^Bc=- LRO}', "");
Error('\p{Is_Bidi_Class=:=_Left_To_Right_OVERRIDE}');
Error('\P{Is_Bidi_Class=:=_Left_To_Right_OVERRIDE}');
Expect(1, 8237, '\p{Is_Bidi_Class=lefttorightoverride}', "");
Expect(0, 8237, '\p{^Is_Bidi_Class=lefttorightoverride}', "");
Expect(0, 8237, '\P{Is_Bidi_Class=lefttorightoverride}', "");
Expect(1, 8237, '\P{^Is_Bidi_Class=lefttorightoverride}', "");
Expect(0, 8238, '\p{Is_Bidi_Class=lefttorightoverride}', "");
Expect(1, 8238, '\p{^Is_Bidi_Class=lefttorightoverride}', "");
Expect(1, 8238, '\P{Is_Bidi_Class=lefttorightoverride}', "");
Expect(0, 8238, '\P{^Is_Bidi_Class=lefttorightoverride}', "");
Expect(1, 8237, '\p{Is_Bidi_Class=__Left_to_right_Override}', "");
Expect(0, 8237, '\p{^Is_Bidi_Class=__Left_to_right_Override}', "");
Expect(0, 8237, '\P{Is_Bidi_Class=__Left_to_right_Override}', "");
Expect(1, 8237, '\P{^Is_Bidi_Class=__Left_to_right_Override}', "");
Expect(0, 8238, '\p{Is_Bidi_Class=__Left_to_right_Override}', "");
Expect(1, 8238, '\p{^Is_Bidi_Class=__Left_to_right_Override}', "");
Expect(1, 8238, '\P{Is_Bidi_Class=__Left_to_right_Override}', "");
Expect(0, 8238, '\P{^Is_Bidi_Class=__Left_to_right_Override}', "");
Error('\p{Is_Bc= :=LRO}');
Error('\P{Is_Bc= :=LRO}');
Expect(1, 8237, '\p{Is_Bc=lro}', "");
Expect(0, 8237, '\p{^Is_Bc=lro}', "");
Expect(0, 8237, '\P{Is_Bc=lro}', "");
Expect(1, 8237, '\P{^Is_Bc=lro}', "");
Expect(0, 8238, '\p{Is_Bc=lro}', "");
Expect(1, 8238, '\p{^Is_Bc=lro}', "");
Expect(1, 8238, '\P{Is_Bc=lro}', "");
Expect(0, 8238, '\P{^Is_Bc=lro}', "");
Expect(1, 8237, '\p{Is_Bc=  LRO}', "");
Expect(0, 8237, '\p{^Is_Bc=  LRO}', "");
Expect(0, 8237, '\P{Is_Bc=  LRO}', "");
Expect(1, 8237, '\P{^Is_Bc=  LRO}', "");
Expect(0, 8238, '\p{Is_Bc=  LRO}', "");
Expect(1, 8238, '\p{^Is_Bc=  LRO}', "");
Expect(1, 8238, '\P{Is_Bc=  LRO}', "");
Expect(0, 8238, '\P{^Is_Bc=  LRO}', "");
Error('\p{Bidi_Class= Nonspacing_Mark/a/}');
Error('\P{Bidi_Class= Nonspacing_Mark/a/}');
Expect(1, 917999, '\p{Bidi_Class=nonspacingmark}', "");
Expect(0, 917999, '\p{^Bidi_Class=nonspacingmark}', "");
Expect(0, 917999, '\P{Bidi_Class=nonspacingmark}', "");
Expect(1, 917999, '\P{^Bidi_Class=nonspacingmark}', "");
Expect(0, 918000, '\p{Bidi_Class=nonspacingmark}', "");
Expect(1, 918000, '\p{^Bidi_Class=nonspacingmark}', "");
Expect(1, 918000, '\P{Bidi_Class=nonspacingmark}', "");
Expect(0, 918000, '\P{^Bidi_Class=nonspacingmark}', "");
Expect(1, 917999, '\p{Bidi_Class=_	Nonspacing_mark}', "");
Expect(0, 917999, '\p{^Bidi_Class=_	Nonspacing_mark}', "");
Expect(0, 917999, '\P{Bidi_Class=_	Nonspacing_mark}', "");
Expect(1, 917999, '\P{^Bidi_Class=_	Nonspacing_mark}', "");
Expect(0, 918000, '\p{Bidi_Class=_	Nonspacing_mark}', "");
Expect(1, 918000, '\p{^Bidi_Class=_	Nonspacing_mark}', "");
Expect(1, 918000, '\P{Bidi_Class=_	Nonspacing_mark}', "");
Expect(0, 918000, '\P{^Bidi_Class=_	Nonspacing_mark}', "");
Error('\p{Bc=_	NSM:=}');
Error('\P{Bc=_	NSM:=}');
Expect(1, 917999, '\p{Bc=nsm}', "");
Expect(0, 917999, '\p{^Bc=nsm}', "");
Expect(0, 917999, '\P{Bc=nsm}', "");
Expect(1, 917999, '\P{^Bc=nsm}', "");
Expect(0, 918000, '\p{Bc=nsm}', "");
Expect(1, 918000, '\p{^Bc=nsm}', "");
Expect(1, 918000, '\P{Bc=nsm}', "");
Expect(0, 918000, '\P{^Bc=nsm}', "");
Expect(1, 917999, '\p{Bc=- NSM}', "");
Expect(0, 917999, '\p{^Bc=- NSM}', "");
Expect(0, 917999, '\P{Bc=- NSM}', "");
Expect(1, 917999, '\P{^Bc=- NSM}', "");
Expect(0, 918000, '\p{Bc=- NSM}', "");
Expect(1, 918000, '\p{^Bc=- NSM}', "");
Expect(1, 918000, '\P{Bc=- NSM}', "");
Expect(0, 918000, '\P{^Bc=- NSM}', "");
Error('\p{Is_Bidi_Class=	_nonspacing_Mark/a/}');
Error('\P{Is_Bidi_Class=	_nonspacing_Mark/a/}');
Expect(1, 917999, '\p{Is_Bidi_Class=nonspacingmark}', "");
Expect(0, 917999, '\p{^Is_Bidi_Class=nonspacingmark}', "");
Expect(0, 917999, '\P{Is_Bidi_Class=nonspacingmark}', "");
Expect(1, 917999, '\P{^Is_Bidi_Class=nonspacingmark}', "");
Expect(0, 918000, '\p{Is_Bidi_Class=nonspacingmark}', "");
Expect(1, 918000, '\p{^Is_Bidi_Class=nonspacingmark}', "");
Expect(1, 918000, '\P{Is_Bidi_Class=nonspacingmark}', "");
Expect(0, 918000, '\P{^Is_Bidi_Class=nonspacingmark}', "");
Expect(1, 917999, '\p{Is_Bidi_Class=_nonspacing_Mark}', "");
Expect(0, 917999, '\p{^Is_Bidi_Class=_nonspacing_Mark}', "");
Expect(0, 917999, '\P{Is_Bidi_Class=_nonspacing_Mark}', "");
Expect(1, 917999, '\P{^Is_Bidi_Class=_nonspacing_Mark}', "");
Expect(0, 918000, '\p{Is_Bidi_Class=_nonspacing_Mark}', "");
Expect(1, 918000, '\p{^Is_Bidi_Class=_nonspacing_Mark}', "");
Expect(1, 918000, '\P{Is_Bidi_Class=_nonspacing_Mark}', "");
Expect(0, 918000, '\P{^Is_Bidi_Class=_nonspacing_Mark}', "");
Error('\p{Is_Bc=:=nsm}');
Error('\P{Is_Bc=:=nsm}');
Expect(1, 917999, '\p{Is_Bc=nsm}', "");
Expect(0, 917999, '\p{^Is_Bc=nsm}', "");
Expect(0, 917999, '\P{Is_Bc=nsm}', "");
Expect(1, 917999, '\P{^Is_Bc=nsm}', "");
Expect(0, 918000, '\p{Is_Bc=nsm}', "");
Expect(1, 918000, '\p{^Is_Bc=nsm}', "");
Expect(1, 918000, '\P{Is_Bc=nsm}', "");
Expect(0, 918000, '\P{^Is_Bc=nsm}', "");
Expect(1, 917999, '\p{Is_Bc=NSM}', "");
Expect(0, 917999, '\p{^Is_Bc=NSM}', "");
Expect(0, 917999, '\P{Is_Bc=NSM}', "");
Expect(1, 917999, '\P{^Is_Bc=NSM}', "");
Expect(0, 918000, '\p{Is_Bc=NSM}', "");
Expect(1, 918000, '\p{^Is_Bc=NSM}', "");
Expect(1, 918000, '\P{Is_Bc=NSM}', "");
Expect(0, 918000, '\P{^Is_Bc=NSM}', "");
Error('\p{Bidi_Class: /a/_other_Neutral}');
Error('\P{Bidi_Class: /a/_other_Neutral}');
Expect(1, 129472, '\p{Bidi_Class=otherneutral}', "");
Expect(0, 129472, '\p{^Bidi_Class=otherneutral}', "");
Expect(0, 129472, '\P{Bidi_Class=otherneutral}', "");
Expect(1, 129472, '\P{^Bidi_Class=otherneutral}', "");
Expect(0, 129473, '\p{Bidi_Class=otherneutral}', "");
Expect(1, 129473, '\p{^Bidi_Class=otherneutral}', "");
Expect(1, 129473, '\P{Bidi_Class=otherneutral}', "");
Expect(0, 129473, '\P{^Bidi_Class=otherneutral}', "");
Expect(1, 129472, '\p{Bidi_Class=	 other_Neutral}', "");
Expect(0, 129472, '\p{^Bidi_Class=	 other_Neutral}', "");
Expect(0, 129472, '\P{Bidi_Class=	 other_Neutral}', "");
Expect(1, 129472, '\P{^Bidi_Class=	 other_Neutral}', "");
Expect(0, 129473, '\p{Bidi_Class=	 other_Neutral}', "");
Expect(1, 129473, '\p{^Bidi_Class=	 other_Neutral}', "");
Expect(1, 129473, '\P{Bidi_Class=	 other_Neutral}', "");
Expect(0, 129473, '\P{^Bidi_Class=	 other_Neutral}', "");
Error('\p{Bc=	:=on}');
Error('\P{Bc=	:=on}');
Expect(1, 129472, '\p{Bc=on}', "");
Expect(0, 129472, '\p{^Bc=on}', "");
Expect(0, 129472, '\P{Bc=on}', "");
Expect(1, 129472, '\P{^Bc=on}', "");
Expect(0, 129473, '\p{Bc=on}', "");
Expect(1, 129473, '\p{^Bc=on}', "");
Expect(1, 129473, '\P{Bc=on}', "");
Expect(0, 129473, '\P{^Bc=on}', "");
Expect(1, 129472, '\p{Bc=__ON}', "");
Expect(0, 129472, '\p{^Bc=__ON}', "");
Expect(0, 129472, '\P{Bc=__ON}', "");
Expect(1, 129472, '\P{^Bc=__ON}', "");
Expect(0, 129473, '\p{Bc=__ON}', "");
Expect(1, 129473, '\p{^Bc=__ON}', "");
Expect(1, 129473, '\P{Bc=__ON}', "");
Expect(0, 129473, '\P{^Bc=__ON}', "");
Error('\p{Is_Bidi_Class:   /a/-Other_neutral}');
Error('\P{Is_Bidi_Class:   /a/-Other_neutral}');
Expect(1, 129472, '\p{Is_Bidi_Class=otherneutral}', "");
Expect(0, 129472, '\p{^Is_Bidi_Class=otherneutral}', "");
Expect(0, 129472, '\P{Is_Bidi_Class=otherneutral}', "");
Expect(1, 129472, '\P{^Is_Bidi_Class=otherneutral}', "");
Expect(0, 129473, '\p{Is_Bidi_Class=otherneutral}', "");
Expect(1, 129473, '\p{^Is_Bidi_Class=otherneutral}', "");
Expect(1, 129473, '\P{Is_Bidi_Class=otherneutral}', "");
Expect(0, 129473, '\P{^Is_Bidi_Class=otherneutral}', "");
Expect(1, 129472, '\p{Is_Bidi_Class=other_neutral}', "");
Expect(0, 129472, '\p{^Is_Bidi_Class=other_neutral}', "");
Expect(0, 129472, '\P{Is_Bidi_Class=other_neutral}', "");
Expect(1, 129472, '\P{^Is_Bidi_Class=other_neutral}', "");
Expect(0, 129473, '\p{Is_Bidi_Class=other_neutral}', "");
Expect(1, 129473, '\p{^Is_Bidi_Class=other_neutral}', "");
Expect(1, 129473, '\P{Is_Bidi_Class=other_neutral}', "");
Expect(0, 129473, '\P{^Is_Bidi_Class=other_neutral}', "");
Error('\p{Is_Bc=:=	ON}');
Error('\P{Is_Bc=:=	ON}');
Expect(1, 129472, '\p{Is_Bc=on}', "");
Expect(0, 129472, '\p{^Is_Bc=on}', "");
Expect(0, 129472, '\P{Is_Bc=on}', "");
Expect(1, 129472, '\P{^Is_Bc=on}', "");
Expect(0, 129473, '\p{Is_Bc=on}', "");
Expect(1, 129473, '\p{^Is_Bc=on}', "");
Expect(1, 129473, '\P{Is_Bc=on}', "");
Expect(0, 129473, '\P{^Is_Bc=on}', "");
Error('\p{Bidi_Class= /a/POP_Directional_Format}');
Error('\P{Bidi_Class= /a/POP_Directional_Format}');
Expect(1, 8236, '\p{Bidi_Class=popdirectionalformat}', "");
Expect(0, 8236, '\p{^Bidi_Class=popdirectionalformat}', "");
Expect(0, 8236, '\P{Bidi_Class=popdirectionalformat}', "");
Expect(1, 8236, '\P{^Bidi_Class=popdirectionalformat}', "");
Expect(0, 8237, '\p{Bidi_Class=popdirectionalformat}', "");
Expect(1, 8237, '\p{^Bidi_Class=popdirectionalformat}', "");
Expect(1, 8237, '\P{Bidi_Class=popdirectionalformat}', "");
Expect(0, 8237, '\P{^Bidi_Class=popdirectionalformat}', "");
Expect(1, 8236, '\p{Bidi_Class=	Pop_Directional_format}', "");
Expect(0, 8236, '\p{^Bidi_Class=	Pop_Directional_format}', "");
Expect(0, 8236, '\P{Bidi_Class=	Pop_Directional_format}', "");
Expect(1, 8236, '\P{^Bidi_Class=	Pop_Directional_format}', "");
Expect(0, 8237, '\p{Bidi_Class=	Pop_Directional_format}', "");
Expect(1, 8237, '\p{^Bidi_Class=	Pop_Directional_format}', "");
Expect(1, 8237, '\P{Bidi_Class=	Pop_Directional_format}', "");
Expect(0, 8237, '\P{^Bidi_Class=	Pop_Directional_format}', "");
Error('\p{Bc=	:=pdf}');
Error('\P{Bc=	:=pdf}');
Expect(1, 8236, '\p{Bc=pdf}', "");
Expect(0, 8236, '\p{^Bc=pdf}', "");
Expect(0, 8236, '\P{Bc=pdf}', "");
Expect(1, 8236, '\P{^Bc=pdf}', "");
Expect(0, 8237, '\p{Bc=pdf}', "");
Expect(1, 8237, '\p{^Bc=pdf}', "");
Expect(1, 8237, '\P{Bc=pdf}', "");
Expect(0, 8237, '\P{^Bc=pdf}', "");
Expect(1, 8236, '\p{Bc:		PDF}', "");
Expect(0, 8236, '\p{^Bc:		PDF}', "");
Expect(0, 8236, '\P{Bc:		PDF}', "");
Expect(1, 8236, '\P{^Bc:		PDF}', "");
Expect(0, 8237, '\p{Bc:		PDF}', "");
Expect(1, 8237, '\p{^Bc:		PDF}', "");
Expect(1, 8237, '\P{Bc:		PDF}', "");
Expect(0, 8237, '\P{^Bc:		PDF}', "");
Error('\p{Is_Bidi_Class= :=POP_Directional_Format}');
Error('\P{Is_Bidi_Class= :=POP_Directional_Format}');
Expect(1, 8236, '\p{Is_Bidi_Class=popdirectionalformat}', "");
Expect(0, 8236, '\p{^Is_Bidi_Class=popdirectionalformat}', "");
Expect(0, 8236, '\P{Is_Bidi_Class=popdirectionalformat}', "");
Expect(1, 8236, '\P{^Is_Bidi_Class=popdirectionalformat}', "");
Expect(0, 8237, '\p{Is_Bidi_Class=popdirectionalformat}', "");
Expect(1, 8237, '\p{^Is_Bidi_Class=popdirectionalformat}', "");
Expect(1, 8237, '\P{Is_Bidi_Class=popdirectionalformat}', "");
Expect(0, 8237, '\P{^Is_Bidi_Class=popdirectionalformat}', "");
Expect(1, 8236, '\p{Is_Bidi_Class= _POP_directional_FORMAT}', "");
Expect(0, 8236, '\p{^Is_Bidi_Class= _POP_directional_FORMAT}', "");
Expect(0, 8236, '\P{Is_Bidi_Class= _POP_directional_FORMAT}', "");
Expect(1, 8236, '\P{^Is_Bidi_Class= _POP_directional_FORMAT}', "");
Expect(0, 8237, '\p{Is_Bidi_Class= _POP_directional_FORMAT}', "");
Expect(1, 8237, '\p{^Is_Bidi_Class= _POP_directional_FORMAT}', "");
Expect(1, 8237, '\P{Is_Bidi_Class= _POP_directional_FORMAT}', "");
Expect(0, 8237, '\P{^Is_Bidi_Class= _POP_directional_FORMAT}', "");
Error('\p{Is_Bc=	-PDF/a/}');
Error('\P{Is_Bc=	-PDF/a/}');
Expect(1, 8236, '\p{Is_Bc:	pdf}', "");
Expect(0, 8236, '\p{^Is_Bc:	pdf}', "");
Expect(0, 8236, '\P{Is_Bc:	pdf}', "");
Expect(1, 8236, '\P{^Is_Bc:	pdf}', "");
Expect(0, 8237, '\p{Is_Bc:	pdf}', "");
Expect(1, 8237, '\p{^Is_Bc:	pdf}', "");
Expect(1, 8237, '\P{Is_Bc:	pdf}', "");
Expect(0, 8237, '\P{^Is_Bc:	pdf}', "");
Expect(1, 8236, '\p{Is_Bc= pdf}', "");
Expect(0, 8236, '\p{^Is_Bc= pdf}', "");
Expect(0, 8236, '\P{Is_Bc= pdf}', "");
Expect(1, 8236, '\P{^Is_Bc= pdf}', "");
Expect(0, 8237, '\p{Is_Bc= pdf}', "");
Expect(1, 8237, '\p{^Is_Bc= pdf}', "");
Expect(1, 8237, '\P{Is_Bc= pdf}', "");
Expect(0, 8237, '\P{^Is_Bc= pdf}', "");
Error('\p{Bidi_Class=	:=POP_DIRECTIONAL_isolate}');
Error('\P{Bidi_Class=	:=POP_DIRECTIONAL_isolate}');
Expect(1, 8297, '\p{Bidi_Class=popdirectionalisolate}', "");
Expect(0, 8297, '\p{^Bidi_Class=popdirectionalisolate}', "");
Expect(0, 8297, '\P{Bidi_Class=popdirectionalisolate}', "");
Expect(1, 8297, '\P{^Bidi_Class=popdirectionalisolate}', "");
Expect(0, 8298, '\p{Bidi_Class=popdirectionalisolate}', "");
Expect(1, 8298, '\p{^Bidi_Class=popdirectionalisolate}', "");
Expect(1, 8298, '\P{Bidi_Class=popdirectionalisolate}', "");
Expect(0, 8298, '\P{^Bidi_Class=popdirectionalisolate}', "");
Expect(1, 8297, '\p{Bidi_Class=_	POP_directional_Isolate}', "");
Expect(0, 8297, '\p{^Bidi_Class=_	POP_directional_Isolate}', "");
Expect(0, 8297, '\P{Bidi_Class=_	POP_directional_Isolate}', "");
Expect(1, 8297, '\P{^Bidi_Class=_	POP_directional_Isolate}', "");
Expect(0, 8298, '\p{Bidi_Class=_	POP_directional_Isolate}', "");
Expect(1, 8298, '\p{^Bidi_Class=_	POP_directional_Isolate}', "");
Expect(1, 8298, '\P{Bidi_Class=_	POP_directional_Isolate}', "");
Expect(0, 8298, '\P{^Bidi_Class=_	POP_directional_Isolate}', "");
Error('\p{Bc=:=_-PDI}');
Error('\P{Bc=:=_-PDI}');
Expect(1, 8297, '\p{Bc=pdi}', "");
Expect(0, 8297, '\p{^Bc=pdi}', "");
Expect(0, 8297, '\P{Bc=pdi}', "");
Expect(1, 8297, '\P{^Bc=pdi}', "");
Expect(0, 8298, '\p{Bc=pdi}', "");
Expect(1, 8298, '\p{^Bc=pdi}', "");
Expect(1, 8298, '\P{Bc=pdi}', "");
Expect(0, 8298, '\P{^Bc=pdi}', "");
Expect(1, 8297, '\p{Bc=- PDI}', "");
Expect(0, 8297, '\p{^Bc=- PDI}', "");
Expect(0, 8297, '\P{Bc=- PDI}', "");
Expect(1, 8297, '\P{^Bc=- PDI}', "");
Expect(0, 8298, '\p{Bc=- PDI}', "");
Expect(1, 8298, '\p{^Bc=- PDI}', "");
Expect(1, 8298, '\P{Bc=- PDI}', "");
Expect(0, 8298, '\P{^Bc=- PDI}', "");
Error('\p{Is_Bidi_Class:	/a/ -Pop_directional_isolate}');
Error('\P{Is_Bidi_Class:	/a/ -Pop_directional_isolate}');
Expect(1, 8297, '\p{Is_Bidi_Class=popdirectionalisolate}', "");
Expect(0, 8297, '\p{^Is_Bidi_Class=popdirectionalisolate}', "");
Expect(0, 8297, '\P{Is_Bidi_Class=popdirectionalisolate}', "");
Expect(1, 8297, '\P{^Is_Bidi_Class=popdirectionalisolate}', "");
Expect(0, 8298, '\p{Is_Bidi_Class=popdirectionalisolate}', "");
Expect(1, 8298, '\p{^Is_Bidi_Class=popdirectionalisolate}', "");
Expect(1, 8298, '\P{Is_Bidi_Class=popdirectionalisolate}', "");
Expect(0, 8298, '\P{^Is_Bidi_Class=popdirectionalisolate}', "");
Expect(1, 8297, '\p{Is_Bidi_Class= -Pop_directional_isolate}', "");
Expect(0, 8297, '\p{^Is_Bidi_Class= -Pop_directional_isolate}', "");
Expect(0, 8297, '\P{Is_Bidi_Class= -Pop_directional_isolate}', "");
Expect(1, 8297, '\P{^Is_Bidi_Class= -Pop_directional_isolate}', "");
Expect(0, 8298, '\p{Is_Bidi_Class= -Pop_directional_isolate}', "");
Expect(1, 8298, '\p{^Is_Bidi_Class= -Pop_directional_isolate}', "");
Expect(1, 8298, '\P{Is_Bidi_Class= -Pop_directional_isolate}', "");
Expect(0, 8298, '\P{^Is_Bidi_Class= -Pop_directional_isolate}', "");
Error('\p{Is_Bc=:=  PDI}');
Error('\P{Is_Bc=:=  PDI}');
Expect(1, 8297, '\p{Is_Bc=pdi}', "");
Expect(0, 8297, '\p{^Is_Bc=pdi}', "");
Expect(0, 8297, '\P{Is_Bc=pdi}', "");
Expect(1, 8297, '\P{^Is_Bc=pdi}', "");
Expect(0, 8298, '\p{Is_Bc=pdi}', "");
Expect(1, 8298, '\p{^Is_Bc=pdi}', "");
Expect(1, 8298, '\P{Is_Bc=pdi}', "");
Expect(0, 8298, '\P{^Is_Bc=pdi}', "");
Expect(1, 8297, '\p{Is_Bc= PDI}', "");
Expect(0, 8297, '\p{^Is_Bc= PDI}', "");
Expect(0, 8297, '\P{Is_Bc= PDI}', "");
Expect(1, 8297, '\P{^Is_Bc= PDI}', "");
Expect(0, 8298, '\p{Is_Bc= PDI}', "");
Expect(1, 8298, '\p{^Is_Bc= PDI}', "");
Expect(1, 8298, '\P{Is_Bc= PDI}', "");
Expect(0, 8298, '\P{^Is_Bc= PDI}', "");
Error('\p{Bidi_Class=-Right_TO_left:=}');
Error('\P{Bidi_Class=-Right_TO_left:=}');
Expect(1, 126975, '\p{Bidi_Class:   righttoleft}', "");
Expect(0, 126975, '\p{^Bidi_Class:   righttoleft}', "");
Expect(0, 126975, '\P{Bidi_Class:   righttoleft}', "");
Expect(1, 126975, '\P{^Bidi_Class:   righttoleft}', "");
Expect(0, 126976, '\p{Bidi_Class:   righttoleft}', "");
Expect(1, 126976, '\p{^Bidi_Class:   righttoleft}', "");
Expect(1, 126976, '\P{Bidi_Class:   righttoleft}', "");
Expect(0, 126976, '\P{^Bidi_Class:   righttoleft}', "");
Expect(1, 126975, '\p{Bidi_Class=--RIGHT_To_Left}', "");
Expect(0, 126975, '\p{^Bidi_Class=--RIGHT_To_Left}', "");
Expect(0, 126975, '\P{Bidi_Class=--RIGHT_To_Left}', "");
Expect(1, 126975, '\P{^Bidi_Class=--RIGHT_To_Left}', "");
Expect(0, 126976, '\p{Bidi_Class=--RIGHT_To_Left}', "");
Expect(1, 126976, '\p{^Bidi_Class=--RIGHT_To_Left}', "");
Expect(1, 126976, '\P{Bidi_Class=--RIGHT_To_Left}', "");
Expect(0, 126976, '\P{^Bidi_Class=--RIGHT_To_Left}', "");
Error('\p{Bc=- R/a/}');
Error('\P{Bc=- R/a/}');
Expect(1, 126975, '\p{Bc=r}', "");
Expect(0, 126975, '\p{^Bc=r}', "");
Expect(0, 126975, '\P{Bc=r}', "");
Expect(1, 126975, '\P{^Bc=r}', "");
Expect(0, 126976, '\p{Bc=r}', "");
Expect(1, 126976, '\p{^Bc=r}', "");
Expect(1, 126976, '\P{Bc=r}', "");
Expect(0, 126976, '\P{^Bc=r}', "");
Expect(1, 126975, '\p{Bc=R}', "");
Expect(0, 126975, '\p{^Bc=R}', "");
Expect(0, 126975, '\P{Bc=R}', "");
Expect(1, 126975, '\P{^Bc=R}', "");
Expect(0, 126976, '\p{Bc=R}', "");
Expect(1, 126976, '\p{^Bc=R}', "");
Expect(1, 126976, '\P{Bc=R}', "");
Expect(0, 126976, '\P{^Bc=R}', "");
Error('\p{Is_Bidi_Class=:=Right_to_Left}');
Error('\P{Is_Bidi_Class=:=Right_to_Left}');
Expect(1, 126975, '\p{Is_Bidi_Class=righttoleft}', "");
Expect(0, 126975, '\p{^Is_Bidi_Class=righttoleft}', "");
Expect(0, 126975, '\P{Is_Bidi_Class=righttoleft}', "");
Expect(1, 126975, '\P{^Is_Bidi_Class=righttoleft}', "");
Expect(0, 126976, '\p{Is_Bidi_Class=righttoleft}', "");
Expect(1, 126976, '\p{^Is_Bidi_Class=righttoleft}', "");
Expect(1, 126976, '\P{Is_Bidi_Class=righttoleft}', "");
Expect(0, 126976, '\P{^Is_Bidi_Class=righttoleft}', "");
Expect(1, 126975, '\p{Is_Bidi_Class=	 Right_to_Left}', "");
Expect(0, 126975, '\p{^Is_Bidi_Class=	 Right_to_Left}', "");
Expect(0, 126975, '\P{Is_Bidi_Class=	 Right_to_Left}', "");
Expect(1, 126975, '\P{^Is_Bidi_Class=	 Right_to_Left}', "");
Expect(0, 126976, '\p{Is_Bidi_Class=	 Right_to_Left}', "");
Expect(1, 126976, '\p{^Is_Bidi_Class=	 Right_to_Left}', "");
Expect(1, 126976, '\P{Is_Bidi_Class=	 Right_to_Left}', "");
Expect(0, 126976, '\P{^Is_Bidi_Class=	 Right_to_Left}', "");
Error('\p{Is_Bc= /a/R}');
Error('\P{Is_Bc= /a/R}');
Expect(1, 126975, '\p{Is_Bc=r}', "");
Expect(0, 126975, '\p{^Is_Bc=r}', "");
Expect(0, 126975, '\P{Is_Bc=r}', "");
Expect(1, 126975, '\P{^Is_Bc=r}', "");
Expect(0, 126976, '\p{Is_Bc=r}', "");
Expect(1, 126976, '\p{^Is_Bc=r}', "");
Expect(1, 126976, '\P{Is_Bc=r}', "");
Expect(0, 126976, '\P{^Is_Bc=r}', "");
Expect(1, 126975, '\p{Is_Bc= -R}', "");
Expect(0, 126975, '\p{^Is_Bc= -R}', "");
Expect(0, 126975, '\P{Is_Bc= -R}', "");
Expect(1, 126975, '\P{^Is_Bc= -R}', "");
Expect(0, 126976, '\p{Is_Bc= -R}', "");
Expect(1, 126976, '\p{^Is_Bc= -R}', "");
Expect(1, 126976, '\P{Is_Bc= -R}', "");
Expect(0, 126976, '\P{^Is_Bc= -R}', "");
Error('\p{Bidi_Class=:=- Right_to_Left_embedding}');
Error('\P{Bidi_Class=:=- Right_to_Left_embedding}');
Expect(1, 8235, '\p{Bidi_Class=righttoleftembedding}', "");
Expect(0, 8235, '\p{^Bidi_Class=righttoleftembedding}', "");
Expect(0, 8235, '\P{Bidi_Class=righttoleftembedding}', "");
Expect(1, 8235, '\P{^Bidi_Class=righttoleftembedding}', "");
Expect(0, 8236, '\p{Bidi_Class=righttoleftembedding}', "");
Expect(1, 8236, '\p{^Bidi_Class=righttoleftembedding}', "");
Expect(1, 8236, '\P{Bidi_Class=righttoleftembedding}', "");
Expect(0, 8236, '\P{^Bidi_Class=righttoleftembedding}', "");
Expect(1, 8235, '\p{Bidi_Class=_RIGHT_To_Left_EMBEDDING}', "");
Expect(0, 8235, '\p{^Bidi_Class=_RIGHT_To_Left_EMBEDDING}', "");
Expect(0, 8235, '\P{Bidi_Class=_RIGHT_To_Left_EMBEDDING}', "");
Expect(1, 8235, '\P{^Bidi_Class=_RIGHT_To_Left_EMBEDDING}', "");
Expect(0, 8236, '\p{Bidi_Class=_RIGHT_To_Left_EMBEDDING}', "");
Expect(1, 8236, '\p{^Bidi_Class=_RIGHT_To_Left_EMBEDDING}', "");
Expect(1, 8236, '\P{Bidi_Class=_RIGHT_To_Left_EMBEDDING}', "");
Expect(0, 8236, '\P{^Bidi_Class=_RIGHT_To_Left_EMBEDDING}', "");
Error('\p{Bc=:= _RLE}');
Error('\P{Bc=:= _RLE}');
Expect(1, 8235, '\p{Bc=rle}', "");
Expect(0, 8235, '\p{^Bc=rle}', "");
Expect(0, 8235, '\P{Bc=rle}', "");
Expect(1, 8235, '\P{^Bc=rle}', "");
Expect(0, 8236, '\p{Bc=rle}', "");
Expect(1, 8236, '\p{^Bc=rle}', "");
Expect(1, 8236, '\P{Bc=rle}', "");
Expect(0, 8236, '\P{^Bc=rle}', "");
Expect(1, 8235, '\p{Bc=	RLE}', "");
Expect(0, 8235, '\p{^Bc=	RLE}', "");
Expect(0, 8235, '\P{Bc=	RLE}', "");
Expect(1, 8235, '\P{^Bc=	RLE}', "");
Expect(0, 8236, '\p{Bc=	RLE}', "");
Expect(1, 8236, '\p{^Bc=	RLE}', "");
Expect(1, 8236, '\P{Bc=	RLE}', "");
Expect(0, 8236, '\P{^Bc=	RLE}', "");
Error('\p{Is_Bidi_Class=/a/_right_TO_LEFT_Embedding}');
Error('\P{Is_Bidi_Class=/a/_right_TO_LEFT_Embedding}');
Expect(1, 8235, '\p{Is_Bidi_Class=righttoleftembedding}', "");
Expect(0, 8235, '\p{^Is_Bidi_Class=righttoleftembedding}', "");
Expect(0, 8235, '\P{Is_Bidi_Class=righttoleftembedding}', "");
Expect(1, 8235, '\P{^Is_Bidi_Class=righttoleftembedding}', "");
Expect(0, 8236, '\p{Is_Bidi_Class=righttoleftembedding}', "");
Expect(1, 8236, '\p{^Is_Bidi_Class=righttoleftembedding}', "");
Expect(1, 8236, '\P{Is_Bidi_Class=righttoleftembedding}', "");
Expect(0, 8236, '\P{^Is_Bidi_Class=righttoleftembedding}', "");
Expect(1, 8235, '\p{Is_Bidi_Class=--Right_To_Left_embedding}', "");
Expect(0, 8235, '\p{^Is_Bidi_Class=--Right_To_Left_embedding}', "");
Expect(0, 8235, '\P{Is_Bidi_Class=--Right_To_Left_embedding}', "");
Expect(1, 8235, '\P{^Is_Bidi_Class=--Right_To_Left_embedding}', "");
Expect(0, 8236, '\p{Is_Bidi_Class=--Right_To_Left_embedding}', "");
Expect(1, 8236, '\p{^Is_Bidi_Class=--Right_To_Left_embedding}', "");
Expect(1, 8236, '\P{Is_Bidi_Class=--Right_To_Left_embedding}', "");
Expect(0, 8236, '\P{^Is_Bidi_Class=--Right_To_Left_embedding}', "");
Error('\p{Is_Bc=/a/- rle}');
Error('\P{Is_Bc=/a/- rle}');
Expect(1, 8235, '\p{Is_Bc:	rle}', "");
Expect(0, 8235, '\p{^Is_Bc:	rle}', "");
Expect(0, 8235, '\P{Is_Bc:	rle}', "");
Expect(1, 8235, '\P{^Is_Bc:	rle}', "");
Expect(0, 8236, '\p{Is_Bc:	rle}', "");
Expect(1, 8236, '\p{^Is_Bc:	rle}', "");
Expect(1, 8236, '\P{Is_Bc:	rle}', "");
Expect(0, 8236, '\P{^Is_Bc:	rle}', "");
Expect(1, 8235, '\p{Is_Bc=		RLE}', "");
Expect(0, 8235, '\p{^Is_Bc=		RLE}', "");
Expect(0, 8235, '\P{Is_Bc=		RLE}', "");
Expect(1, 8235, '\P{^Is_Bc=		RLE}', "");
Expect(0, 8236, '\p{Is_Bc=		RLE}', "");
Expect(1, 8236, '\p{^Is_Bc=		RLE}', "");
Expect(1, 8236, '\P{Is_Bc=		RLE}', "");
Expect(0, 8236, '\P{^Is_Bc=		RLE}', "");
Error('\p{Bidi_Class=:=	Right_TO_LEFT_Isolate}');
Error('\P{Bidi_Class=:=	Right_TO_LEFT_Isolate}');
Expect(1, 8295, '\p{Bidi_Class=righttoleftisolate}', "");
Expect(0, 8295, '\p{^Bidi_Class=righttoleftisolate}', "");
Expect(0, 8295, '\P{Bidi_Class=righttoleftisolate}', "");
Expect(1, 8295, '\P{^Bidi_Class=righttoleftisolate}', "");
Expect(0, 8296, '\p{Bidi_Class=righttoleftisolate}', "");
Expect(1, 8296, '\p{^Bidi_Class=righttoleftisolate}', "");
Expect(1, 8296, '\P{Bidi_Class=righttoleftisolate}', "");
Expect(0, 8296, '\P{^Bidi_Class=righttoleftisolate}', "");
Expect(1, 8295, '\p{Bidi_Class=	RIGHT_To_LEFT_Isolate}', "");
Expect(0, 8295, '\p{^Bidi_Class=	RIGHT_To_LEFT_Isolate}', "");
Expect(0, 8295, '\P{Bidi_Class=	RIGHT_To_LEFT_Isolate}', "");
Expect(1, 8295, '\P{^Bidi_Class=	RIGHT_To_LEFT_Isolate}', "");
Expect(0, 8296, '\p{Bidi_Class=	RIGHT_To_LEFT_Isolate}', "");
Expect(1, 8296, '\p{^Bidi_Class=	RIGHT_To_LEFT_Isolate}', "");
Expect(1, 8296, '\P{Bidi_Class=	RIGHT_To_LEFT_Isolate}', "");
Expect(0, 8296, '\P{^Bidi_Class=	RIGHT_To_LEFT_Isolate}', "");
Error('\p{Bc:	:=rli}');
Error('\P{Bc:	:=rli}');
Expect(1, 8295, '\p{Bc=rli}', "");
Expect(0, 8295, '\p{^Bc=rli}', "");
Expect(0, 8295, '\P{Bc=rli}', "");
Expect(1, 8295, '\P{^Bc=rli}', "");
Expect(0, 8296, '\p{Bc=rli}', "");
Expect(1, 8296, '\p{^Bc=rli}', "");
Expect(1, 8296, '\P{Bc=rli}', "");
Expect(0, 8296, '\P{^Bc=rli}', "");
Expect(1, 8295, '\p{Bc=-	rli}', "");
Expect(0, 8295, '\p{^Bc=-	rli}', "");
Expect(0, 8295, '\P{Bc=-	rli}', "");
Expect(1, 8295, '\P{^Bc=-	rli}', "");
Expect(0, 8296, '\p{Bc=-	rli}', "");
Expect(1, 8296, '\p{^Bc=-	rli}', "");
Expect(1, 8296, '\P{Bc=-	rli}', "");
Expect(0, 8296, '\P{^Bc=-	rli}', "");
Error('\p{Is_Bidi_Class=/a/ Right_To_Left_isolate}');
Error('\P{Is_Bidi_Class=/a/ Right_To_Left_isolate}');
Expect(1, 8295, '\p{Is_Bidi_Class=righttoleftisolate}', "");
Expect(0, 8295, '\p{^Is_Bidi_Class=righttoleftisolate}', "");
Expect(0, 8295, '\P{Is_Bidi_Class=righttoleftisolate}', "");
Expect(1, 8295, '\P{^Is_Bidi_Class=righttoleftisolate}', "");
Expect(0, 8296, '\p{Is_Bidi_Class=righttoleftisolate}', "");
Expect(1, 8296, '\p{^Is_Bidi_Class=righttoleftisolate}', "");
Expect(1, 8296, '\P{Is_Bidi_Class=righttoleftisolate}', "");
Expect(0, 8296, '\P{^Is_Bidi_Class=righttoleftisolate}', "");
Expect(1, 8295, '\p{Is_Bidi_Class=	-Right_TO_Left_ISOLATE}', "");
Expect(0, 8295, '\p{^Is_Bidi_Class=	-Right_TO_Left_ISOLATE}', "");
Expect(0, 8295, '\P{Is_Bidi_Class=	-Right_TO_Left_ISOLATE}', "");
Expect(1, 8295, '\P{^Is_Bidi_Class=	-Right_TO_Left_ISOLATE}', "");
Expect(0, 8296, '\p{Is_Bidi_Class=	-Right_TO_Left_ISOLATE}', "");
Expect(1, 8296, '\p{^Is_Bidi_Class=	-Right_TO_Left_ISOLATE}', "");
Expect(1, 8296, '\P{Is_Bidi_Class=	-Right_TO_Left_ISOLATE}', "");
Expect(0, 8296, '\P{^Is_Bidi_Class=	-Right_TO_Left_ISOLATE}', "");
Error('\p{Is_Bc=-/a/rli}');
Error('\P{Is_Bc=-/a/rli}');
Expect(1, 8295, '\p{Is_Bc=rli}', "");
Expect(0, 8295, '\p{^Is_Bc=rli}', "");
Expect(0, 8295, '\P{Is_Bc=rli}', "");
Expect(1, 8295, '\P{^Is_Bc=rli}', "");
Expect(0, 8296, '\p{Is_Bc=rli}', "");
Expect(1, 8296, '\p{^Is_Bc=rli}', "");
Expect(1, 8296, '\P{Is_Bc=rli}', "");
Expect(0, 8296, '\P{^Is_Bc=rli}', "");
Expect(1, 8295, '\p{Is_Bc= _rli}', "");
Expect(0, 8295, '\p{^Is_Bc= _rli}', "");
Expect(0, 8295, '\P{Is_Bc= _rli}', "");
Expect(1, 8295, '\P{^Is_Bc= _rli}', "");
Expect(0, 8296, '\p{Is_Bc= _rli}', "");
Expect(1, 8296, '\p{^Is_Bc= _rli}', "");
Expect(1, 8296, '\P{Is_Bc= _rli}', "");
Expect(0, 8296, '\P{^Is_Bc= _rli}', "");
Error('\p{Bidi_Class=/a/_right_To_Left_override}');
Error('\P{Bidi_Class=/a/_right_To_Left_override}');
Expect(1, 8238, '\p{Bidi_Class=righttoleftoverride}', "");
Expect(0, 8238, '\p{^Bidi_Class=righttoleftoverride}', "");
Expect(0, 8238, '\P{Bidi_Class=righttoleftoverride}', "");
Expect(1, 8238, '\P{^Bidi_Class=righttoleftoverride}', "");
Expect(0, 8239, '\p{Bidi_Class=righttoleftoverride}', "");
Expect(1, 8239, '\p{^Bidi_Class=righttoleftoverride}', "");
Expect(1, 8239, '\P{Bidi_Class=righttoleftoverride}', "");
Expect(0, 8239, '\P{^Bidi_Class=righttoleftoverride}', "");
Expect(1, 8238, '\p{Bidi_Class=--Right_To_Left_Override}', "");
Expect(0, 8238, '\p{^Bidi_Class=--Right_To_Left_Override}', "");
Expect(0, 8238, '\P{Bidi_Class=--Right_To_Left_Override}', "");
Expect(1, 8238, '\P{^Bidi_Class=--Right_To_Left_Override}', "");
Expect(0, 8239, '\p{Bidi_Class=--Right_To_Left_Override}', "");
Expect(1, 8239, '\p{^Bidi_Class=--Right_To_Left_Override}', "");
Expect(1, 8239, '\P{Bidi_Class=--Right_To_Left_Override}', "");
Expect(0, 8239, '\P{^Bidi_Class=--Right_To_Left_Override}', "");
Error('\p{Bc= :=RLO}');
Error('\P{Bc= :=RLO}');
Expect(1, 8238, '\p{Bc=rlo}', "");
Expect(0, 8238, '\p{^Bc=rlo}', "");
Expect(0, 8238, '\P{Bc=rlo}', "");
Expect(1, 8238, '\P{^Bc=rlo}', "");
Expect(0, 8239, '\p{Bc=rlo}', "");
Expect(1, 8239, '\p{^Bc=rlo}', "");
Expect(1, 8239, '\P{Bc=rlo}', "");
Expect(0, 8239, '\P{^Bc=rlo}', "");
Expect(1, 8238, '\p{Bc= RLO}', "");
Expect(0, 8238, '\p{^Bc= RLO}', "");
Expect(0, 8238, '\P{Bc= RLO}', "");
Expect(1, 8238, '\P{^Bc= RLO}', "");
Expect(0, 8239, '\p{Bc= RLO}', "");
Expect(1, 8239, '\p{^Bc= RLO}', "");
Expect(1, 8239, '\P{Bc= RLO}', "");
Expect(0, 8239, '\P{^Bc= RLO}', "");
Error('\p{Is_Bidi_Class=- Right_To_LEFT_Override:=}');
Error('\P{Is_Bidi_Class=- Right_To_LEFT_Override:=}');
Expect(1, 8238, '\p{Is_Bidi_Class=righttoleftoverride}', "");
Expect(0, 8238, '\p{^Is_Bidi_Class=righttoleftoverride}', "");
Expect(0, 8238, '\P{Is_Bidi_Class=righttoleftoverride}', "");
Expect(1, 8238, '\P{^Is_Bidi_Class=righttoleftoverride}', "");
Expect(0, 8239, '\p{Is_Bidi_Class=righttoleftoverride}', "");
Expect(1, 8239, '\p{^Is_Bidi_Class=righttoleftoverride}', "");
Expect(1, 8239, '\P{Is_Bidi_Class=righttoleftoverride}', "");
Expect(0, 8239, '\P{^Is_Bidi_Class=righttoleftoverride}', "");
Expect(1, 8238, '\p{Is_Bidi_Class=_right_to_left_OVERRIDE}', "");
Expect(0, 8238, '\p{^Is_Bidi_Class=_right_to_left_OVERRIDE}', "");
Expect(0, 8238, '\P{Is_Bidi_Class=_right_to_left_OVERRIDE}', "");
Expect(1, 8238, '\P{^Is_Bidi_Class=_right_to_left_OVERRIDE}', "");
Expect(0, 8239, '\p{Is_Bidi_Class=_right_to_left_OVERRIDE}', "");
Expect(1, 8239, '\p{^Is_Bidi_Class=_right_to_left_OVERRIDE}', "");
Expect(1, 8239, '\P{Is_Bidi_Class=_right_to_left_OVERRIDE}', "");
Expect(0, 8239, '\P{^Is_Bidi_Class=_right_to_left_OVERRIDE}', "");
Error('\p{Is_Bc:		RLO/a/}');
Error('\P{Is_Bc:		RLO/a/}');
Expect(1, 8238, '\p{Is_Bc=rlo}', "");
Expect(0, 8238, '\p{^Is_Bc=rlo}', "");
Expect(0, 8238, '\P{Is_Bc=rlo}', "");
Expect(1, 8238, '\P{^Is_Bc=rlo}', "");
Expect(0, 8239, '\p{Is_Bc=rlo}', "");
Expect(1, 8239, '\p{^Is_Bc=rlo}', "");
Expect(1, 8239, '\P{Is_Bc=rlo}', "");
Expect(0, 8239, '\P{^Is_Bc=rlo}', "");
Expect(1, 8238, '\p{Is_Bc:	_rlo}', "");
Expect(0, 8238, '\p{^Is_Bc:	_rlo}', "");
Expect(0, 8238, '\P{Is_Bc:	_rlo}', "");
Expect(1, 8238, '\P{^Is_Bc:	_rlo}', "");
Expect(0, 8239, '\p{Is_Bc:	_rlo}', "");
Expect(1, 8239, '\p{^Is_Bc:	_rlo}', "");
Expect(1, 8239, '\P{Is_Bc:	_rlo}', "");
Expect(0, 8239, '\P{^Is_Bc:	_rlo}', "");
Error('\p{Bidi_Class=	_Segment_SEPARATOR:=}');
Error('\P{Bidi_Class=	_Segment_SEPARATOR:=}');
Expect(1, 31, '\p{Bidi_Class=segmentseparator}', "");
Expect(0, 31, '\p{^Bidi_Class=segmentseparator}', "");
Expect(0, 31, '\P{Bidi_Class=segmentseparator}', "");
Expect(1, 31, '\P{^Bidi_Class=segmentseparator}', "");
Expect(0, 32, '\p{Bidi_Class=segmentseparator}', "");
Expect(1, 32, '\p{^Bidi_Class=segmentseparator}', "");
Expect(1, 32, '\P{Bidi_Class=segmentseparator}', "");
Expect(0, 32, '\P{^Bidi_Class=segmentseparator}', "");
Expect(1, 31, '\p{Bidi_Class= segment_Separator}', "");
Expect(0, 31, '\p{^Bidi_Class= segment_Separator}', "");
Expect(0, 31, '\P{Bidi_Class= segment_Separator}', "");
Expect(1, 31, '\P{^Bidi_Class= segment_Separator}', "");
Expect(0, 32, '\p{Bidi_Class= segment_Separator}', "");
Expect(1, 32, '\p{^Bidi_Class= segment_Separator}', "");
Expect(1, 32, '\P{Bidi_Class= segment_Separator}', "");
Expect(0, 32, '\P{^Bidi_Class= segment_Separator}', "");
Error('\p{Bc=-/a/S}');
Error('\P{Bc=-/a/S}');
Expect(1, 31, '\p{Bc=s}', "");
Expect(0, 31, '\p{^Bc=s}', "");
Expect(0, 31, '\P{Bc=s}', "");
Expect(1, 31, '\P{^Bc=s}', "");
Expect(0, 32, '\p{Bc=s}', "");
Expect(1, 32, '\p{^Bc=s}', "");
Expect(1, 32, '\P{Bc=s}', "");
Expect(0, 32, '\P{^Bc=s}', "");
Expect(1, 31, '\p{Bc= -s}', "");
Expect(0, 31, '\p{^Bc= -s}', "");
Expect(0, 31, '\P{Bc= -s}', "");
Expect(1, 31, '\P{^Bc= -s}', "");
Expect(0, 32, '\p{Bc= -s}', "");
Expect(1, 32, '\p{^Bc= -s}', "");
Expect(1, 32, '\P{Bc= -s}', "");
Expect(0, 32, '\P{^Bc= -s}', "");
Error('\p{Is_Bidi_Class=:= Segment_SEPARATOR}');
Error('\P{Is_Bidi_Class=:= Segment_SEPARATOR}');
Expect(1, 31, '\p{Is_Bidi_Class=segmentseparator}', "");
Expect(0, 31, '\p{^Is_Bidi_Class=segmentseparator}', "");
Expect(0, 31, '\P{Is_Bidi_Class=segmentseparator}', "");
Expect(1, 31, '\P{^Is_Bidi_Class=segmentseparator}', "");
Expect(0, 32, '\p{Is_Bidi_Class=segmentseparator}', "");
Expect(1, 32, '\p{^Is_Bidi_Class=segmentseparator}', "");
Expect(1, 32, '\P{Is_Bidi_Class=segmentseparator}', "");
Expect(0, 32, '\P{^Is_Bidi_Class=segmentseparator}', "");
Expect(1, 31, '\p{Is_Bidi_Class: _ Segment_Separator}', "");
Expect(0, 31, '\p{^Is_Bidi_Class: _ Segment_Separator}', "");
Expect(0, 31, '\P{Is_Bidi_Class: _ Segment_Separator}', "");
Expect(1, 31, '\P{^Is_Bidi_Class: _ Segment_Separator}', "");
Expect(0, 32, '\p{Is_Bidi_Class: _ Segment_Separator}', "");
Expect(1, 32, '\p{^Is_Bidi_Class: _ Segment_Separator}', "");
Expect(1, 32, '\P{Is_Bidi_Class: _ Segment_Separator}', "");
Expect(0, 32, '\P{^Is_Bidi_Class: _ Segment_Separator}', "");
Error('\p{Is_Bc=/a/		S}');
Error('\P{Is_Bc=/a/		S}');
Expect(1, 31, '\p{Is_Bc=s}', "");
Expect(0, 31, '\p{^Is_Bc=s}', "");
Expect(0, 31, '\P{Is_Bc=s}', "");
Expect(1, 31, '\P{^Is_Bc=s}', "");
Expect(0, 32, '\p{Is_Bc=s}', "");
Expect(1, 32, '\p{^Is_Bc=s}', "");
Expect(1, 32, '\P{Is_Bc=s}', "");
Expect(0, 32, '\P{^Is_Bc=s}', "");
Expect(1, 31, '\p{Is_Bc=__S}', "");
Expect(0, 31, '\p{^Is_Bc=__S}', "");
Expect(0, 31, '\P{Is_Bc=__S}', "");
Expect(1, 31, '\P{^Is_Bc=__S}', "");
Expect(0, 32, '\p{Is_Bc=__S}', "");
Expect(1, 32, '\p{^Is_Bc=__S}', "");
Expect(1, 32, '\P{Is_Bc=__S}', "");
Expect(0, 32, '\P{^Is_Bc=__S}', "");
Error('\p{Bidi_Class=/a/ _White_Space}');
Error('\P{Bidi_Class=/a/ _White_Space}');
Expect(1, 12288, '\p{Bidi_Class=whitespace}', "");
Expect(0, 12288, '\p{^Bidi_Class=whitespace}', "");
Expect(0, 12288, '\P{Bidi_Class=whitespace}', "");
Expect(1, 12288, '\P{^Bidi_Class=whitespace}', "");
Expect(0, 12289, '\p{Bidi_Class=whitespace}', "");
Expect(1, 12289, '\p{^Bidi_Class=whitespace}', "");
Expect(1, 12289, '\P{Bidi_Class=whitespace}', "");
Expect(0, 12289, '\P{^Bidi_Class=whitespace}', "");
Expect(1, 12288, '\p{Bidi_Class:_White_Space}', "");
Expect(0, 12288, '\p{^Bidi_Class:_White_Space}', "");
Expect(0, 12288, '\P{Bidi_Class:_White_Space}', "");
Expect(1, 12288, '\P{^Bidi_Class:_White_Space}', "");
Expect(0, 12289, '\p{Bidi_Class:_White_Space}', "");
Expect(1, 12289, '\p{^Bidi_Class:_White_Space}', "");
Expect(1, 12289, '\P{Bidi_Class:_White_Space}', "");
Expect(0, 12289, '\P{^Bidi_Class:_White_Space}', "");
Error('\p{Bc:  :=WS}');
Error('\P{Bc:  :=WS}');
Expect(1, 12288, '\p{Bc:   ws}', "");
Expect(0, 12288, '\p{^Bc:   ws}', "");
Expect(0, 12288, '\P{Bc:   ws}', "");
Expect(1, 12288, '\P{^Bc:   ws}', "");
Expect(0, 12289, '\p{Bc:   ws}', "");
Expect(1, 12289, '\p{^Bc:   ws}', "");
Expect(1, 12289, '\P{Bc:   ws}', "");
Expect(0, 12289, '\P{^Bc:   ws}', "");
Expect(1, 12288, '\p{Bc=_ WS}', "");
Expect(0, 12288, '\p{^Bc=_ WS}', "");
Expect(0, 12288, '\P{Bc=_ WS}', "");
Expect(1, 12288, '\P{^Bc=_ WS}', "");
Expect(0, 12289, '\p{Bc=_ WS}', "");
Expect(1, 12289, '\p{^Bc=_ WS}', "");
Expect(1, 12289, '\P{Bc=_ WS}', "");
Expect(0, 12289, '\P{^Bc=_ WS}', "");
Error('\p{Is_Bidi_Class: 	White_SPACE/a/}');
Error('\P{Is_Bidi_Class: 	White_SPACE/a/}');
Expect(1, 12288, '\p{Is_Bidi_Class=whitespace}', "");
Expect(0, 12288, '\p{^Is_Bidi_Class=whitespace}', "");
Expect(0, 12288, '\P{Is_Bidi_Class=whitespace}', "");
Expect(1, 12288, '\P{^Is_Bidi_Class=whitespace}', "");
Expect(0, 12289, '\p{Is_Bidi_Class=whitespace}', "");
Expect(1, 12289, '\p{^Is_Bidi_Class=whitespace}', "");
Expect(1, 12289, '\P{Is_Bidi_Class=whitespace}', "");
Expect(0, 12289, '\P{^Is_Bidi_Class=whitespace}', "");
Expect(1, 12288, '\p{Is_Bidi_Class=	-WHITE_Space}', "");
Expect(0, 12288, '\p{^Is_Bidi_Class=	-WHITE_Space}', "");
Expect(0, 12288, '\P{Is_Bidi_Class=	-WHITE_Space}', "");
Expect(1, 12288, '\P{^Is_Bidi_Class=	-WHITE_Space}', "");
Expect(0, 12289, '\p{Is_Bidi_Class=	-WHITE_Space}', "");
Expect(1, 12289, '\p{^Is_Bidi_Class=	-WHITE_Space}', "");
Expect(1, 12289, '\P{Is_Bidi_Class=	-WHITE_Space}', "");
Expect(0, 12289, '\P{^Is_Bidi_Class=	-WHITE_Space}', "");
Error('\p{Is_Bc=-:=WS}');
Error('\P{Is_Bc=-:=WS}');
Expect(1, 12288, '\p{Is_Bc=ws}', "");
Expect(0, 12288, '\p{^Is_Bc=ws}', "");
Expect(0, 12288, '\P{Is_Bc=ws}', "");
Expect(1, 12288, '\P{^Is_Bc=ws}', "");
Expect(0, 12289, '\p{Is_Bc=ws}', "");
Expect(1, 12289, '\p{^Is_Bc=ws}', "");
Expect(1, 12289, '\P{Is_Bc=ws}', "");
Expect(0, 12289, '\P{^Is_Bc=ws}', "");
Expect(1, 12288, '\p{Is_Bc=_ WS}', "");
Expect(0, 12288, '\p{^Is_Bc=_ WS}', "");
Expect(0, 12288, '\P{Is_Bc=_ WS}', "");
Expect(1, 12288, '\P{^Is_Bc=_ WS}', "");
Expect(0, 12289, '\p{Is_Bc=_ WS}', "");
Expect(1, 12289, '\p{^Is_Bc=_ WS}', "");
Expect(1, 12289, '\P{Is_Bc=_ WS}', "");
Expect(0, 12289, '\P{^Is_Bc=_ WS}', "");
Error('\p{Block=	BASIC_LATIN/a/}');
Error('\P{Block=	BASIC_LATIN/a/}');
Expect(1, 127, '\p{Block=basiclatin}', "");
Expect(0, 127, '\p{^Block=basiclatin}', "");
Expect(0, 127, '\P{Block=basiclatin}', "");
Expect(1, 127, '\P{^Block=basiclatin}', "");
Expect(0, 128, '\p{Block=basiclatin}', "");
Expect(1, 128, '\p{^Block=basiclatin}', "");
Expect(1, 128, '\P{Block=basiclatin}', "");
Expect(0, 128, '\P{^Block=basiclatin}', "");
Expect(1, 127, '\p{Block=-Basic_latin}', "");
Expect(0, 127, '\p{^Block=-Basic_latin}', "");
Expect(0, 127, '\P{Block=-Basic_latin}', "");
Expect(1, 127, '\P{^Block=-Basic_latin}', "");
Expect(0, 128, '\p{Block=-Basic_latin}', "");
Expect(1, 128, '\p{^Block=-Basic_latin}', "");
Expect(1, 128, '\P{Block=-Basic_latin}', "");
Expect(0, 128, '\P{^Block=-Basic_latin}', "");
Error('\p{Blk=/a/ -ASCII}');
Error('\P{Blk=/a/ -ASCII}');
Expect(1, 127, '\p{Blk=ascii}', "");
Expect(0, 127, '\p{^Blk=ascii}', "");
Expect(0, 127, '\P{Blk=ascii}', "");
Expect(1, 127, '\P{^Blk=ascii}', "");
Expect(0, 128, '\p{Blk=ascii}', "");
Expect(1, 128, '\p{^Blk=ascii}', "");
Expect(1, 128, '\P{Blk=ascii}', "");
Expect(0, 128, '\P{^Blk=ascii}', "");
Expect(1, 127, '\p{Blk=-ASCII}', "");
Expect(0, 127, '\p{^Blk=-ASCII}', "");
Expect(0, 127, '\P{Blk=-ASCII}', "");
Expect(1, 127, '\P{^Blk=-ASCII}', "");
Expect(0, 128, '\p{Blk=-ASCII}', "");
Expect(1, 128, '\p{^Blk=-ASCII}', "");
Expect(1, 128, '\P{Blk=-ASCII}', "");
Expect(0, 128, '\P{^Blk=-ASCII}', "");
Error('\p{Is_Block=/a/ 	Basic_LATIN}');
Error('\P{Is_Block=/a/ 	Basic_LATIN}');
Expect(1, 127, '\p{Is_Block=basiclatin}', "");
Expect(0, 127, '\p{^Is_Block=basiclatin}', "");
Expect(0, 127, '\P{Is_Block=basiclatin}', "");
Expect(1, 127, '\P{^Is_Block=basiclatin}', "");
Expect(0, 128, '\p{Is_Block=basiclatin}', "");
Expect(1, 128, '\p{^Is_Block=basiclatin}', "");
Expect(1, 128, '\P{Is_Block=basiclatin}', "");
Expect(0, 128, '\P{^Is_Block=basiclatin}', "");
Expect(1, 127, '\p{Is_Block=	Basic_Latin}', "");
Expect(0, 127, '\p{^Is_Block=	Basic_Latin}', "");
Expect(0, 127, '\P{Is_Block=	Basic_Latin}', "");
Expect(1, 127, '\P{^Is_Block=	Basic_Latin}', "");
Expect(0, 128, '\p{Is_Block=	Basic_Latin}', "");
Expect(1, 128, '\p{^Is_Block=	Basic_Latin}', "");
Expect(1, 128, '\P{Is_Block=	Basic_Latin}', "");
Expect(0, 128, '\P{^Is_Block=	Basic_Latin}', "");
Error('\p{Is_Blk=/a/_ASCII}');
Error('\P{Is_Blk=/a/_ASCII}');
Expect(1, 127, '\p{Is_Blk=ascii}', "");
Expect(0, 127, '\p{^Is_Blk=ascii}', "");
Expect(0, 127, '\P{Is_Blk=ascii}', "");
Expect(1, 127, '\P{^Is_Blk=ascii}', "");
Expect(0, 128, '\p{Is_Blk=ascii}', "");
Expect(1, 128, '\p{^Is_Blk=ascii}', "");
Expect(1, 128, '\P{Is_Blk=ascii}', "");
Expect(0, 128, '\P{^Is_Blk=ascii}', "");
Expect(1, 127, '\p{Is_Blk:   _ASCII}', "");
Expect(0, 127, '\p{^Is_Blk:   _ASCII}', "");
Expect(0, 127, '\P{Is_Blk:   _ASCII}', "");
Expect(1, 127, '\P{^Is_Blk:   _ASCII}', "");
Expect(0, 128, '\p{Is_Blk:   _ASCII}', "");
Expect(1, 128, '\p{^Is_Blk:   _ASCII}', "");
Expect(1, 128, '\P{Is_Blk:   _ASCII}', "");
Expect(0, 128, '\P{^Is_Blk:   _ASCII}', "");
Error('\p{Block=		AEGEAN_numbers:=}');
Error('\P{Block=		AEGEAN_numbers:=}');
Expect(1, 65855, '\p{Block=aegeannumbers}', "");
Expect(0, 65855, '\p{^Block=aegeannumbers}', "");
Expect(0, 65855, '\P{Block=aegeannumbers}', "");
Expect(1, 65855, '\P{^Block=aegeannumbers}', "");
Expect(0, 65856, '\p{Block=aegeannumbers}', "");
Expect(1, 65856, '\p{^Block=aegeannumbers}', "");
Expect(1, 65856, '\P{Block=aegeannumbers}', "");
Expect(0, 65856, '\P{^Block=aegeannumbers}', "");
Expect(1, 65855, '\p{Block=_aegean_Numbers}', "");
Expect(0, 65855, '\p{^Block=_aegean_Numbers}', "");
Expect(0, 65855, '\P{Block=_aegean_Numbers}', "");
Expect(1, 65855, '\P{^Block=_aegean_Numbers}', "");
Expect(0, 65856, '\p{Block=_aegean_Numbers}', "");
Expect(1, 65856, '\p{^Block=_aegean_Numbers}', "");
Expect(1, 65856, '\P{Block=_aegean_Numbers}', "");
Expect(0, 65856, '\P{^Block=_aegean_Numbers}', "");
Error('\p{Blk=	/a/aegean_numbers}');
Error('\P{Blk=	/a/aegean_numbers}');
Expect(1, 65855, '\p{Blk=aegeannumbers}', "");
Expect(0, 65855, '\p{^Blk=aegeannumbers}', "");
Expect(0, 65855, '\P{Blk=aegeannumbers}', "");
Expect(1, 65855, '\P{^Blk=aegeannumbers}', "");
Expect(0, 65856, '\p{Blk=aegeannumbers}', "");
Expect(1, 65856, '\p{^Blk=aegeannumbers}', "");
Expect(1, 65856, '\P{Blk=aegeannumbers}', "");
Expect(0, 65856, '\P{^Blk=aegeannumbers}', "");
Expect(1, 65855, '\p{Blk=-aegean_Numbers}', "");
Expect(0, 65855, '\p{^Blk=-aegean_Numbers}', "");
Expect(0, 65855, '\P{Blk=-aegean_Numbers}', "");
Expect(1, 65855, '\P{^Blk=-aegean_Numbers}', "");
Expect(0, 65856, '\p{Blk=-aegean_Numbers}', "");
Expect(1, 65856, '\p{^Blk=-aegean_Numbers}', "");
Expect(1, 65856, '\P{Blk=-aegean_Numbers}', "");
Expect(0, 65856, '\P{^Blk=-aegean_Numbers}', "");
Error('\p{Is_Block=		Aegean_numbers:=}');
Error('\P{Is_Block=		Aegean_numbers:=}');
Expect(1, 65855, '\p{Is_Block=aegeannumbers}', "");
Expect(0, 65855, '\p{^Is_Block=aegeannumbers}', "");
Expect(0, 65855, '\P{Is_Block=aegeannumbers}', "");
Expect(1, 65855, '\P{^Is_Block=aegeannumbers}', "");
Expect(0, 65856, '\p{Is_Block=aegeannumbers}', "");
Expect(1, 65856, '\p{^Is_Block=aegeannumbers}', "");
Expect(1, 65856, '\P{Is_Block=aegeannumbers}', "");
Expect(0, 65856, '\P{^Is_Block=aegeannumbers}', "");
Expect(1, 65855, '\p{Is_Block:		-AEGEAN_Numbers}', "");
Expect(0, 65855, '\p{^Is_Block:		-AEGEAN_Numbers}', "");
Expect(0, 65855, '\P{Is_Block:		-AEGEAN_Numbers}', "");
Expect(1, 65855, '\P{^Is_Block:		-AEGEAN_Numbers}', "");
Expect(0, 65856, '\p{Is_Block:		-AEGEAN_Numbers}', "");
Expect(1, 65856, '\p{^Is_Block:		-AEGEAN_Numbers}', "");
Expect(1, 65856, '\P{Is_Block:		-AEGEAN_Numbers}', "");
Expect(0, 65856, '\P{^Is_Block:		-AEGEAN_Numbers}', "");
Error('\p{Is_Blk=:=_Aegean_NUMBERS}');
Error('\P{Is_Blk=:=_Aegean_NUMBERS}');
Expect(1, 65855, '\p{Is_Blk:	aegeannumbers}', "");
Expect(0, 65855, '\p{^Is_Blk:	aegeannumbers}', "");
Expect(0, 65855, '\P{Is_Blk:	aegeannumbers}', "");
Expect(1, 65855, '\P{^Is_Blk:	aegeannumbers}', "");
Expect(0, 65856, '\p{Is_Blk:	aegeannumbers}', "");
Expect(1, 65856, '\p{^Is_Blk:	aegeannumbers}', "");
Expect(1, 65856, '\P{Is_Blk:	aegeannumbers}', "");
Expect(0, 65856, '\P{^Is_Blk:	aegeannumbers}', "");
Expect(1, 65855, '\p{Is_Blk:   _Aegean_Numbers}', "");
Expect(0, 65855, '\p{^Is_Blk:   _Aegean_Numbers}', "");
Expect(0, 65855, '\P{Is_Blk:   _Aegean_Numbers}', "");
Expect(1, 65855, '\P{^Is_Blk:   _Aegean_Numbers}', "");
Expect(0, 65856, '\p{Is_Blk:   _Aegean_Numbers}', "");
Expect(1, 65856, '\p{^Is_Blk:   _Aegean_Numbers}', "");
Expect(1, 65856, '\P{Is_Blk:   _Aegean_Numbers}', "");
Expect(0, 65856, '\P{^Is_Blk:   _Aegean_Numbers}', "");
Error('\p{Block=:= Ahom}');
Error('\P{Block=:= Ahom}');
Expect(1, 71487, '\p{Block=ahom}', "");
Expect(0, 71487, '\p{^Block=ahom}', "");
Expect(0, 71487, '\P{Block=ahom}', "");
Expect(1, 71487, '\P{^Block=ahom}', "");
Expect(0, 71488, '\p{Block=ahom}', "");
Expect(1, 71488, '\p{^Block=ahom}', "");
Expect(1, 71488, '\P{Block=ahom}', "");
Expect(0, 71488, '\P{^Block=ahom}', "");
Expect(1, 71487, '\p{Block=- Ahom}', "");
Expect(0, 71487, '\p{^Block=- Ahom}', "");
Expect(0, 71487, '\P{Block=- Ahom}', "");
Expect(1, 71487, '\P{^Block=- Ahom}', "");
Expect(0, 71488, '\p{Block=- Ahom}', "");
Expect(1, 71488, '\p{^Block=- Ahom}', "");
Expect(1, 71488, '\P{Block=- Ahom}', "");
Expect(0, 71488, '\P{^Block=- Ahom}', "");
Error('\p{Blk=_ Ahom:=}');
Error('\P{Blk=_ Ahom:=}');
Expect(1, 71487, '\p{Blk=ahom}', "");
Expect(0, 71487, '\p{^Blk=ahom}', "");
Expect(0, 71487, '\P{Blk=ahom}', "");
Expect(1, 71487, '\P{^Blk=ahom}', "");
Expect(0, 71488, '\p{Blk=ahom}', "");
Expect(1, 71488, '\p{^Blk=ahom}', "");
Expect(1, 71488, '\P{Blk=ahom}', "");
Expect(0, 71488, '\P{^Blk=ahom}', "");
Expect(1, 71487, '\p{Blk=	 Ahom}', "");
Expect(0, 71487, '\p{^Blk=	 Ahom}', "");
Expect(0, 71487, '\P{Blk=	 Ahom}', "");
Expect(1, 71487, '\P{^Blk=	 Ahom}', "");
Expect(0, 71488, '\p{Blk=	 Ahom}', "");
Expect(1, 71488, '\p{^Blk=	 Ahom}', "");
Expect(1, 71488, '\P{Blk=	 Ahom}', "");
Expect(0, 71488, '\P{^Blk=	 Ahom}', "");
Error('\p{Is_Block=:=-	ahom}');
Error('\P{Is_Block=:=-	ahom}');
Expect(1, 71487, '\p{Is_Block=ahom}', "");
Expect(0, 71487, '\p{^Is_Block=ahom}', "");
Expect(0, 71487, '\P{Is_Block=ahom}', "");
Expect(1, 71487, '\P{^Is_Block=ahom}', "");
Expect(0, 71488, '\p{Is_Block=ahom}', "");
Expect(1, 71488, '\p{^Is_Block=ahom}', "");
Expect(1, 71488, '\P{Is_Block=ahom}', "");
Expect(0, 71488, '\P{^Is_Block=ahom}', "");
Expect(1, 71487, '\p{Is_Block:    ahom}', "");
Expect(0, 71487, '\p{^Is_Block:    ahom}', "");
Expect(0, 71487, '\P{Is_Block:    ahom}', "");
Expect(1, 71487, '\P{^Is_Block:    ahom}', "");
Expect(0, 71488, '\p{Is_Block:    ahom}', "");
Expect(1, 71488, '\p{^Is_Block:    ahom}', "");
Expect(1, 71488, '\P{Is_Block:    ahom}', "");
Expect(0, 71488, '\P{^Is_Block:    ahom}', "");
Error('\p{Is_Blk: 	:=AHOM}');
Error('\P{Is_Blk: 	:=AHOM}');
Expect(1, 71487, '\p{Is_Blk=ahom}', "");
Expect(0, 71487, '\p{^Is_Blk=ahom}', "");
Expect(0, 71487, '\P{Is_Blk=ahom}', "");
Expect(1, 71487, '\P{^Is_Blk=ahom}', "");
Expect(0, 71488, '\p{Is_Blk=ahom}', "");
Expect(1, 71488, '\p{^Is_Blk=ahom}', "");
Expect(1, 71488, '\P{Is_Blk=ahom}', "");
Expect(0, 71488, '\P{^Is_Blk=ahom}', "");
Expect(1, 71487, '\p{Is_Blk=__ahom}', "");
Expect(0, 71487, '\p{^Is_Blk=__ahom}', "");
Expect(0, 71487, '\P{Is_Blk=__ahom}', "");
Expect(1, 71487, '\P{^Is_Blk=__ahom}', "");
Expect(0, 71488, '\p{Is_Blk=__ahom}', "");
Expect(1, 71488, '\p{^Is_Blk=__ahom}', "");
Expect(1, 71488, '\P{Is_Blk=__ahom}', "");
Expect(0, 71488, '\P{^Is_Blk=__ahom}', "");
Error('\p{Block=_:=Alchemical_Symbols}');
Error('\P{Block=_:=Alchemical_Symbols}');
Expect(1, 128895, '\p{Block:	alchemicalsymbols}', "");
Expect(0, 128895, '\p{^Block:	alchemicalsymbols}', "");
Expect(0, 128895, '\P{Block:	alchemicalsymbols}', "");
Expect(1, 128895, '\P{^Block:	alchemicalsymbols}', "");
Expect(0, 128896, '\p{Block:	alchemicalsymbols}', "");
Expect(1, 128896, '\p{^Block:	alchemicalsymbols}', "");
Expect(1, 128896, '\P{Block:	alchemicalsymbols}', "");
Expect(0, 128896, '\P{^Block:	alchemicalsymbols}', "");
Expect(1, 128895, '\p{Block=_Alchemical_Symbols}', "");
Expect(0, 128895, '\p{^Block=_Alchemical_Symbols}', "");
Expect(0, 128895, '\P{Block=_Alchemical_Symbols}', "");
Expect(1, 128895, '\P{^Block=_Alchemical_Symbols}', "");
Expect(0, 128896, '\p{Block=_Alchemical_Symbols}', "");
Expect(1, 128896, '\p{^Block=_Alchemical_Symbols}', "");
Expect(1, 128896, '\P{Block=_Alchemical_Symbols}', "");
Expect(0, 128896, '\P{^Block=_Alchemical_Symbols}', "");
Error('\p{Blk= :=Alchemical}');
Error('\P{Blk= :=Alchemical}');
Expect(1, 128895, '\p{Blk:alchemical}', "");
Expect(0, 128895, '\p{^Blk:alchemical}', "");
Expect(0, 128895, '\P{Blk:alchemical}', "");
Expect(1, 128895, '\P{^Blk:alchemical}', "");
Expect(0, 128896, '\p{Blk:alchemical}', "");
Expect(1, 128896, '\p{^Blk:alchemical}', "");
Expect(1, 128896, '\P{Blk:alchemical}', "");
Expect(0, 128896, '\P{^Blk:alchemical}', "");
Expect(1, 128895, '\p{Blk=	_Alchemical}', "");
Expect(0, 128895, '\p{^Blk=	_Alchemical}', "");
Expect(0, 128895, '\P{Blk=	_Alchemical}', "");
Expect(1, 128895, '\P{^Blk=	_Alchemical}', "");
Expect(0, 128896, '\p{Blk=	_Alchemical}', "");
Expect(1, 128896, '\p{^Blk=	_Alchemical}', "");
Expect(1, 128896, '\P{Blk=	_Alchemical}', "");
Expect(0, 128896, '\P{^Blk=	_Alchemical}', "");
Error('\p{Is_Block: :=alchemical_Symbols}');
Error('\P{Is_Block: :=alchemical_Symbols}');
Expect(1, 128895, '\p{Is_Block=alchemicalsymbols}', "");
Expect(0, 128895, '\p{^Is_Block=alchemicalsymbols}', "");
Expect(0, 128895, '\P{Is_Block=alchemicalsymbols}', "");
Expect(1, 128895, '\P{^Is_Block=alchemicalsymbols}', "");
Expect(0, 128896, '\p{Is_Block=alchemicalsymbols}', "");
Expect(1, 128896, '\p{^Is_Block=alchemicalsymbols}', "");
Expect(1, 128896, '\P{Is_Block=alchemicalsymbols}', "");
Expect(0, 128896, '\P{^Is_Block=alchemicalsymbols}', "");
Expect(1, 128895, '\p{Is_Block= 	alchemical_symbols}', "");
Expect(0, 128895, '\p{^Is_Block= 	alchemical_symbols}', "");
Expect(0, 128895, '\P{Is_Block= 	alchemical_symbols}', "");
Expect(1, 128895, '\P{^Is_Block= 	alchemical_symbols}', "");
Expect(0, 128896, '\p{Is_Block= 	alchemical_symbols}', "");
Expect(1, 128896, '\p{^Is_Block= 	alchemical_symbols}', "");
Expect(1, 128896, '\P{Is_Block= 	alchemical_symbols}', "");
Expect(0, 128896, '\P{^Is_Block= 	alchemical_symbols}', "");
Error('\p{Is_Blk=:=alchemical}');
Error('\P{Is_Blk=:=alchemical}');
Expect(1, 128895, '\p{Is_Blk:   alchemical}', "");
Expect(0, 128895, '\p{^Is_Blk:   alchemical}', "");
Expect(0, 128895, '\P{Is_Blk:   alchemical}', "");
Expect(1, 128895, '\P{^Is_Blk:   alchemical}', "");
Expect(0, 128896, '\p{Is_Blk:   alchemical}', "");
Expect(1, 128896, '\p{^Is_Blk:   alchemical}', "");
Expect(1, 128896, '\P{Is_Blk:   alchemical}', "");
Expect(0, 128896, '\P{^Is_Blk:   alchemical}', "");
Expect(1, 128895, '\p{Is_Blk= -ALCHEMICAL}', "");
Expect(0, 128895, '\p{^Is_Blk= -ALCHEMICAL}', "");
Expect(0, 128895, '\P{Is_Blk= -ALCHEMICAL}', "");
Expect(1, 128895, '\P{^Is_Blk= -ALCHEMICAL}', "");
Expect(0, 128896, '\p{Is_Blk= -ALCHEMICAL}', "");
Expect(1, 128896, '\p{^Is_Blk= -ALCHEMICAL}', "");
Expect(1, 128896, '\P{Is_Blk= -ALCHEMICAL}', "");
Expect(0, 128896, '\P{^Is_Blk= -ALCHEMICAL}', "");
Error('\p{Block= :=Alphabetic_PRESENTATION_forms}');
Error('\P{Block= :=Alphabetic_PRESENTATION_forms}');
Expect(1, 64335, '\p{Block=alphabeticpresentationforms}', "");
Expect(0, 64335, '\p{^Block=alphabeticpresentationforms}', "");
Expect(0, 64335, '\P{Block=alphabeticpresentationforms}', "");
Expect(1, 64335, '\P{^Block=alphabeticpresentationforms}', "");
Expect(0, 64336, '\p{Block=alphabeticpresentationforms}', "");
Expect(1, 64336, '\p{^Block=alphabeticpresentationforms}', "");
Expect(1, 64336, '\P{Block=alphabeticpresentationforms}', "");
Expect(0, 64336, '\P{^Block=alphabeticpresentationforms}', "");
Expect(1, 64335, '\p{Block=_	Alphabetic_Presentation_forms}', "");
Expect(0, 64335, '\p{^Block=_	Alphabetic_Presentation_forms}', "");
Expect(0, 64335, '\P{Block=_	Alphabetic_Presentation_forms}', "");
Expect(1, 64335, '\P{^Block=_	Alphabetic_Presentation_forms}', "");
Expect(0, 64336, '\p{Block=_	Alphabetic_Presentation_forms}', "");
Expect(1, 64336, '\p{^Block=_	Alphabetic_Presentation_forms}', "");
Expect(1, 64336, '\P{Block=_	Alphabetic_Presentation_forms}', "");
Expect(0, 64336, '\P{^Block=_	Alphabetic_Presentation_forms}', "");
Error('\p{Blk=	-ALPHABETIC_PF:=}');
Error('\P{Blk=	-ALPHABETIC_PF:=}');
Expect(1, 64335, '\p{Blk=alphabeticpf}', "");
Expect(0, 64335, '\p{^Blk=alphabeticpf}', "");
Expect(0, 64335, '\P{Blk=alphabeticpf}', "");
Expect(1, 64335, '\P{^Blk=alphabeticpf}', "");
Expect(0, 64336, '\p{Blk=alphabeticpf}', "");
Expect(1, 64336, '\p{^Blk=alphabeticpf}', "");
Expect(1, 64336, '\P{Blk=alphabeticpf}', "");
Expect(0, 64336, '\P{^Blk=alphabeticpf}', "");
Expect(1, 64335, '\p{Blk=-_Alphabetic_PF}', "");
Expect(0, 64335, '\p{^Blk=-_Alphabetic_PF}', "");
Expect(0, 64335, '\P{Blk=-_Alphabetic_PF}', "");
Expect(1, 64335, '\P{^Blk=-_Alphabetic_PF}', "");
Expect(0, 64336, '\p{Blk=-_Alphabetic_PF}', "");
Expect(1, 64336, '\p{^Blk=-_Alphabetic_PF}', "");
Expect(1, 64336, '\P{Blk=-_Alphabetic_PF}', "");
Expect(0, 64336, '\P{^Blk=-_Alphabetic_PF}', "");
Error('\p{Is_Block:   --ALPHABETIC_Presentation_Forms/a/}');
Error('\P{Is_Block:   --ALPHABETIC_Presentation_Forms/a/}');
Expect(1, 64335, '\p{Is_Block=alphabeticpresentationforms}', "");
Expect(0, 64335, '\p{^Is_Block=alphabeticpresentationforms}', "");
Expect(0, 64335, '\P{Is_Block=alphabeticpresentationforms}', "");
Expect(1, 64335, '\P{^Is_Block=alphabeticpresentationforms}', "");
Expect(0, 64336, '\p{Is_Block=alphabeticpresentationforms}', "");
Expect(1, 64336, '\p{^Is_Block=alphabeticpresentationforms}', "");
Expect(1, 64336, '\P{Is_Block=alphabeticpresentationforms}', "");
Expect(0, 64336, '\P{^Is_Block=alphabeticpresentationforms}', "");
Expect(1, 64335, '\p{Is_Block=	alphabetic_Presentation_forms}', "");
Expect(0, 64335, '\p{^Is_Block=	alphabetic_Presentation_forms}', "");
Expect(0, 64335, '\P{Is_Block=	alphabetic_Presentation_forms}', "");
Expect(1, 64335, '\P{^Is_Block=	alphabetic_Presentation_forms}', "");
Expect(0, 64336, '\p{Is_Block=	alphabetic_Presentation_forms}', "");
Expect(1, 64336, '\p{^Is_Block=	alphabetic_Presentation_forms}', "");
Expect(1, 64336, '\P{Is_Block=	alphabetic_Presentation_forms}', "");
Expect(0, 64336, '\P{^Is_Block=	alphabetic_Presentation_forms}', "");
Error('\p{Is_Blk=:=-_Alphabetic_PF}');
Error('\P{Is_Blk=:=-_Alphabetic_PF}');
Expect(1, 64335, '\p{Is_Blk=alphabeticpf}', "");
Expect(0, 64335, '\p{^Is_Blk=alphabeticpf}', "");
Expect(0, 64335, '\P{Is_Blk=alphabeticpf}', "");
Expect(1, 64335, '\P{^Is_Blk=alphabeticpf}', "");
Expect(0, 64336, '\p{Is_Blk=alphabeticpf}', "");
Expect(1, 64336, '\p{^Is_Blk=alphabeticpf}', "");
Expect(1, 64336, '\P{Is_Blk=alphabeticpf}', "");
Expect(0, 64336, '\P{^Is_Blk=alphabeticpf}', "");
Expect(1, 64335, '\p{Is_Blk=-	Alphabetic_PF}', "");
Expect(0, 64335, '\p{^Is_Blk=-	Alphabetic_PF}', "");
Expect(0, 64335, '\P{Is_Blk=-	Alphabetic_PF}', "");
Expect(1, 64335, '\P{^Is_Blk=-	Alphabetic_PF}', "");
Expect(0, 64336, '\p{Is_Blk=-	Alphabetic_PF}', "");
Expect(1, 64336, '\p{^Is_Blk=-	Alphabetic_PF}', "");
Expect(1, 64336, '\P{Is_Blk=-	Alphabetic_PF}', "");
Expect(0, 64336, '\P{^Is_Blk=-	Alphabetic_PF}', "");
Error('\p{Block=:=Anatolian_HIEROGLYPHS}');
Error('\P{Block=:=Anatolian_HIEROGLYPHS}');
Expect(1, 83583, '\p{Block=anatolianhieroglyphs}', "");
Expect(0, 83583, '\p{^Block=anatolianhieroglyphs}', "");
Expect(0, 83583, '\P{Block=anatolianhieroglyphs}', "");
Expect(1, 83583, '\P{^Block=anatolianhieroglyphs}', "");
Expect(0, 83584, '\p{Block=anatolianhieroglyphs}', "");
Expect(1, 83584, '\p{^Block=anatolianhieroglyphs}', "");
Expect(1, 83584, '\P{Block=anatolianhieroglyphs}', "");
Expect(0, 83584, '\P{^Block=anatolianhieroglyphs}', "");
Expect(1, 83583, '\p{Block=	-ANATOLIAN_HIEROGLYPHS}', "");
Expect(0, 83583, '\p{^Block=	-ANATOLIAN_HIEROGLYPHS}', "");
Expect(0, 83583, '\P{Block=	-ANATOLIAN_HIEROGLYPHS}', "");
Expect(1, 83583, '\P{^Block=	-ANATOLIAN_HIEROGLYPHS}', "");
Expect(0, 83584, '\p{Block=	-ANATOLIAN_HIEROGLYPHS}', "");
Expect(1, 83584, '\p{^Block=	-ANATOLIAN_HIEROGLYPHS}', "");
Expect(1, 83584, '\P{Block=	-ANATOLIAN_HIEROGLYPHS}', "");
Expect(0, 83584, '\P{^Block=	-ANATOLIAN_HIEROGLYPHS}', "");
Error('\p{Blk=_Anatolian_Hieroglyphs/a/}');
Error('\P{Blk=_Anatolian_Hieroglyphs/a/}');
Expect(1, 83583, '\p{Blk=anatolianhieroglyphs}', "");
Expect(0, 83583, '\p{^Blk=anatolianhieroglyphs}', "");
Expect(0, 83583, '\P{Blk=anatolianhieroglyphs}', "");
Expect(1, 83583, '\P{^Blk=anatolianhieroglyphs}', "");
Expect(0, 83584, '\p{Blk=anatolianhieroglyphs}', "");
Expect(1, 83584, '\p{^Blk=anatolianhieroglyphs}', "");
Expect(1, 83584, '\P{Blk=anatolianhieroglyphs}', "");
Expect(0, 83584, '\P{^Blk=anatolianhieroglyphs}', "");
Expect(1, 83583, '\p{Blk=-ANATOLIAN_Hieroglyphs}', "");
Expect(0, 83583, '\p{^Blk=-ANATOLIAN_Hieroglyphs}', "");
Expect(0, 83583, '\P{Blk=-ANATOLIAN_Hieroglyphs}', "");
Expect(1, 83583, '\P{^Blk=-ANATOLIAN_Hieroglyphs}', "");
Expect(0, 83584, '\p{Blk=-ANATOLIAN_Hieroglyphs}', "");
Expect(1, 83584, '\p{^Blk=-ANATOLIAN_Hieroglyphs}', "");
Expect(1, 83584, '\P{Blk=-ANATOLIAN_Hieroglyphs}', "");
Expect(0, 83584, '\P{^Blk=-ANATOLIAN_Hieroglyphs}', "");
Error('\p{Is_Block=-_ANATOLIAN_HIEROGLYPHS/a/}');
Error('\P{Is_Block=-_ANATOLIAN_HIEROGLYPHS/a/}');
Expect(1, 83583, '\p{Is_Block:   anatolianhieroglyphs}', "");
Expect(0, 83583, '\p{^Is_Block:   anatolianhieroglyphs}', "");
Expect(0, 83583, '\P{Is_Block:   anatolianhieroglyphs}', "");
Expect(1, 83583, '\P{^Is_Block:   anatolianhieroglyphs}', "");
Expect(0, 83584, '\p{Is_Block:   anatolianhieroglyphs}', "");
Expect(1, 83584, '\p{^Is_Block:   anatolianhieroglyphs}', "");
Expect(1, 83584, '\P{Is_Block:   anatolianhieroglyphs}', "");
Expect(0, 83584, '\P{^Is_Block:   anatolianhieroglyphs}', "");
Expect(1, 83583, '\p{Is_Block=__Anatolian_Hieroglyphs}', "");
Expect(0, 83583, '\p{^Is_Block=__Anatolian_Hieroglyphs}', "");
Expect(0, 83583, '\P{Is_Block=__Anatolian_Hieroglyphs}', "");
Expect(1, 83583, '\P{^Is_Block=__Anatolian_Hieroglyphs}', "");
Expect(0, 83584, '\p{Is_Block=__Anatolian_Hieroglyphs}', "");
Expect(1, 83584, '\p{^Is_Block=__Anatolian_Hieroglyphs}', "");
Expect(1, 83584, '\P{Is_Block=__Anatolian_Hieroglyphs}', "");
Expect(0, 83584, '\P{^Is_Block=__Anatolian_Hieroglyphs}', "");
Error('\p{Is_Blk=		ANATOLIAN_HIEROGLYPHS:=}');
Error('\P{Is_Blk=		ANATOLIAN_HIEROGLYPHS:=}');
Expect(1, 83583, '\p{Is_Blk=anatolianhieroglyphs}', "");
Expect(0, 83583, '\p{^Is_Blk=anatolianhieroglyphs}', "");
Expect(0, 83583, '\P{Is_Blk=anatolianhieroglyphs}', "");
Expect(1, 83583, '\P{^Is_Blk=anatolianhieroglyphs}', "");
Expect(0, 83584, '\p{Is_Blk=anatolianhieroglyphs}', "");
Expect(1, 83584, '\p{^Is_Blk=anatolianhieroglyphs}', "");
Expect(1, 83584, '\P{Is_Blk=anatolianhieroglyphs}', "");
Expect(0, 83584, '\P{^Is_Blk=anatolianhieroglyphs}', "");
Expect(1, 83583, '\p{Is_Blk= Anatolian_hieroglyphs}', "");
Expect(0, 83583, '\p{^Is_Blk= Anatolian_hieroglyphs}', "");
Expect(0, 83583, '\P{Is_Blk= Anatolian_hieroglyphs}', "");
Expect(1, 83583, '\P{^Is_Blk= Anatolian_hieroglyphs}', "");
Expect(0, 83584, '\p{Is_Blk= Anatolian_hieroglyphs}', "");
Expect(1, 83584, '\p{^Is_Blk= Anatolian_hieroglyphs}', "");
Expect(1, 83584, '\P{Is_Blk= Anatolian_hieroglyphs}', "");
Expect(0, 83584, '\P{^Is_Blk= Anatolian_hieroglyphs}', "");
Error('\p{Block= :=Ancient_Greek_Musical_notation}');
Error('\P{Block= :=Ancient_Greek_Musical_notation}');
Expect(1, 119375, '\p{Block=ancientgreekmusicalnotation}', "");
Expect(0, 119375, '\p{^Block=ancientgreekmusicalnotation}', "");
Expect(0, 119375, '\P{Block=ancientgreekmusicalnotation}', "");
Expect(1, 119375, '\P{^Block=ancientgreekmusicalnotation}', "");
Expect(0, 119376, '\p{Block=ancientgreekmusicalnotation}', "");
Expect(1, 119376, '\p{^Block=ancientgreekmusicalnotation}', "");
Expect(1, 119376, '\P{Block=ancientgreekmusicalnotation}', "");
Expect(0, 119376, '\P{^Block=ancientgreekmusicalnotation}', "");
Expect(1, 119375, '\p{Block= Ancient_Greek_musical_NOTATION}', "");
Expect(0, 119375, '\p{^Block= Ancient_Greek_musical_NOTATION}', "");
Expect(0, 119375, '\P{Block= Ancient_Greek_musical_NOTATION}', "");
Expect(1, 119375, '\P{^Block= Ancient_Greek_musical_NOTATION}', "");
Expect(0, 119376, '\p{Block= Ancient_Greek_musical_NOTATION}', "");
Expect(1, 119376, '\p{^Block= Ancient_Greek_musical_NOTATION}', "");
Expect(1, 119376, '\P{Block= Ancient_Greek_musical_NOTATION}', "");
Expect(0, 119376, '\P{^Block= Ancient_Greek_musical_NOTATION}', "");
Error('\p{Blk=:=Ancient_greek_MUSIC}');
Error('\P{Blk=:=Ancient_greek_MUSIC}');
Expect(1, 119375, '\p{Blk=ancientgreekmusic}', "");
Expect(0, 119375, '\p{^Blk=ancientgreekmusic}', "");
Expect(0, 119375, '\P{Blk=ancientgreekmusic}', "");
Expect(1, 119375, '\P{^Blk=ancientgreekmusic}', "");
Expect(0, 119376, '\p{Blk=ancientgreekmusic}', "");
Expect(1, 119376, '\p{^Blk=ancientgreekmusic}', "");
Expect(1, 119376, '\P{Blk=ancientgreekmusic}', "");
Expect(0, 119376, '\P{^Blk=ancientgreekmusic}', "");
Expect(1, 119375, '\p{Blk= 	ANCIENT_greek_MUSIC}', "");
Expect(0, 119375, '\p{^Blk= 	ANCIENT_greek_MUSIC}', "");
Expect(0, 119375, '\P{Blk= 	ANCIENT_greek_MUSIC}', "");
Expect(1, 119375, '\P{^Blk= 	ANCIENT_greek_MUSIC}', "");
Expect(0, 119376, '\p{Blk= 	ANCIENT_greek_MUSIC}', "");
Expect(1, 119376, '\p{^Blk= 	ANCIENT_greek_MUSIC}', "");
Expect(1, 119376, '\P{Blk= 	ANCIENT_greek_MUSIC}', "");
Expect(0, 119376, '\P{^Blk= 	ANCIENT_greek_MUSIC}', "");
Error('\p{Is_Block=  ancient_greek_Musical_Notation/a/}');
Error('\P{Is_Block=  ancient_greek_Musical_Notation/a/}');
Expect(1, 119375, '\p{Is_Block=ancientgreekmusicalnotation}', "");
Expect(0, 119375, '\p{^Is_Block=ancientgreekmusicalnotation}', "");
Expect(0, 119375, '\P{Is_Block=ancientgreekmusicalnotation}', "");
Expect(1, 119375, '\P{^Is_Block=ancientgreekmusicalnotation}', "");
Expect(0, 119376, '\p{Is_Block=ancientgreekmusicalnotation}', "");
Expect(1, 119376, '\p{^Is_Block=ancientgreekmusicalnotation}', "");
Expect(1, 119376, '\P{Is_Block=ancientgreekmusicalnotation}', "");
Expect(0, 119376, '\P{^Is_Block=ancientgreekmusicalnotation}', "");
Expect(1, 119375, '\p{Is_Block=-	ancient_Greek_musical_Notation}', "");
Expect(0, 119375, '\p{^Is_Block=-	ancient_Greek_musical_Notation}', "");
Expect(0, 119375, '\P{Is_Block=-	ancient_Greek_musical_Notation}', "");
Expect(1, 119375, '\P{^Is_Block=-	ancient_Greek_musical_Notation}', "");
Expect(0, 119376, '\p{Is_Block=-	ancient_Greek_musical_Notation}', "");
Expect(1, 119376, '\p{^Is_Block=-	ancient_Greek_musical_Notation}', "");
Expect(1, 119376, '\P{Is_Block=-	ancient_Greek_musical_Notation}', "");
Expect(0, 119376, '\P{^Is_Block=-	ancient_Greek_musical_Notation}', "");
Error('\p{Is_Blk=_	Ancient_Greek_MUSIC/a/}');
Error('\P{Is_Blk=_	Ancient_Greek_MUSIC/a/}');
Expect(1, 119375, '\p{Is_Blk=ancientgreekmusic}', "");
Expect(0, 119375, '\p{^Is_Blk=ancientgreekmusic}', "");
Expect(0, 119375, '\P{Is_Blk=ancientgreekmusic}', "");
Expect(1, 119375, '\P{^Is_Blk=ancientgreekmusic}', "");
Expect(0, 119376, '\p{Is_Blk=ancientgreekmusic}', "");
Expect(1, 119376, '\p{^Is_Blk=ancientgreekmusic}', "");
Expect(1, 119376, '\P{Is_Blk=ancientgreekmusic}', "");
Expect(0, 119376, '\P{^Is_Blk=ancientgreekmusic}', "");
Expect(1, 119375, '\p{Is_Blk=		Ancient_Greek_MUSIC}', "");
Expect(0, 119375, '\p{^Is_Blk=		Ancient_Greek_MUSIC}', "");
Expect(0, 119375, '\P{Is_Blk=		Ancient_Greek_MUSIC}', "");
Expect(1, 119375, '\P{^Is_Blk=		Ancient_Greek_MUSIC}', "");
Expect(0, 119376, '\p{Is_Blk=		Ancient_Greek_MUSIC}', "");
Expect(1, 119376, '\p{^Is_Blk=		Ancient_Greek_MUSIC}', "");
Expect(1, 119376, '\P{Is_Blk=		Ancient_Greek_MUSIC}', "");
Expect(0, 119376, '\P{^Is_Blk=		Ancient_Greek_MUSIC}', "");
Error('\p{Block=_ ancient_GREEK_numbers:=}');
Error('\P{Block=_ ancient_GREEK_numbers:=}');
Expect(1, 65935, '\p{Block=ancientgreeknumbers}', "");
Expect(0, 65935, '\p{^Block=ancientgreeknumbers}', "");
Expect(0, 65935, '\P{Block=ancientgreeknumbers}', "");
Expect(1, 65935, '\P{^Block=ancientgreeknumbers}', "");
Expect(0, 65936, '\p{Block=ancientgreeknumbers}', "");
Expect(1, 65936, '\p{^Block=ancientgreeknumbers}', "");
Expect(1, 65936, '\P{Block=ancientgreeknumbers}', "");
Expect(0, 65936, '\P{^Block=ancientgreeknumbers}', "");
Expect(1, 65935, '\p{Block=	ancient_greek_Numbers}', "");
Expect(0, 65935, '\p{^Block=	ancient_greek_Numbers}', "");
Expect(0, 65935, '\P{Block=	ancient_greek_Numbers}', "");
Expect(1, 65935, '\P{^Block=	ancient_greek_Numbers}', "");
Expect(0, 65936, '\p{Block=	ancient_greek_Numbers}', "");
Expect(1, 65936, '\p{^Block=	ancient_greek_Numbers}', "");
Expect(1, 65936, '\P{Block=	ancient_greek_Numbers}', "");
Expect(0, 65936, '\P{^Block=	ancient_greek_Numbers}', "");
Error('\p{Blk=:= -Ancient_Greek_numbers}');
Error('\P{Blk=:= -Ancient_Greek_numbers}');
Expect(1, 65935, '\p{Blk=ancientgreeknumbers}', "");
Expect(0, 65935, '\p{^Blk=ancientgreeknumbers}', "");
Expect(0, 65935, '\P{Blk=ancientgreeknumbers}', "");
Expect(1, 65935, '\P{^Blk=ancientgreeknumbers}', "");
Expect(0, 65936, '\p{Blk=ancientgreeknumbers}', "");
Expect(1, 65936, '\p{^Blk=ancientgreeknumbers}', "");
Expect(1, 65936, '\P{Blk=ancientgreeknumbers}', "");
Expect(0, 65936, '\P{^Blk=ancientgreeknumbers}', "");
Expect(1, 65935, '\p{Blk=_ ANCIENT_GREEK_Numbers}', "");
Expect(0, 65935, '\p{^Blk=_ ANCIENT_GREEK_Numbers}', "");
Expect(0, 65935, '\P{Blk=_ ANCIENT_GREEK_Numbers}', "");
Expect(1, 65935, '\P{^Blk=_ ANCIENT_GREEK_Numbers}', "");
Expect(0, 65936, '\p{Blk=_ ANCIENT_GREEK_Numbers}', "");
Expect(1, 65936, '\p{^Blk=_ ANCIENT_GREEK_Numbers}', "");
Expect(1, 65936, '\P{Blk=_ ANCIENT_GREEK_Numbers}', "");
Expect(0, 65936, '\P{^Blk=_ ANCIENT_GREEK_Numbers}', "");
Error('\p{Is_Block=:= _ANCIENT_Greek_Numbers}');
Error('\P{Is_Block=:= _ANCIENT_Greek_Numbers}');
Expect(1, 65935, '\p{Is_Block=ancientgreeknumbers}', "");
Expect(0, 65935, '\p{^Is_Block=ancientgreeknumbers}', "");
Expect(0, 65935, '\P{Is_Block=ancientgreeknumbers}', "");
Expect(1, 65935, '\P{^Is_Block=ancientgreeknumbers}', "");
Expect(0, 65936, '\p{Is_Block=ancientgreeknumbers}', "");
Expect(1, 65936, '\p{^Is_Block=ancientgreeknumbers}', "");
Expect(1, 65936, '\P{Is_Block=ancientgreeknumbers}', "");
Expect(0, 65936, '\P{^Is_Block=ancientgreeknumbers}', "");
Expect(1, 65935, '\p{Is_Block= ancient_Greek_Numbers}', "");
Expect(0, 65935, '\p{^Is_Block= ancient_Greek_Numbers}', "");
Expect(0, 65935, '\P{Is_Block= ancient_Greek_Numbers}', "");
Expect(1, 65935, '\P{^Is_Block= ancient_Greek_Numbers}', "");
Expect(0, 65936, '\p{Is_Block= ancient_Greek_Numbers}', "");
Expect(1, 65936, '\p{^Is_Block= ancient_Greek_Numbers}', "");
Expect(1, 65936, '\P{Is_Block= ancient_Greek_Numbers}', "");
Expect(0, 65936, '\P{^Is_Block= ancient_Greek_Numbers}', "");
Error('\p{Is_Blk= :=Ancient_Greek_Numbers}');
Error('\P{Is_Blk= :=Ancient_Greek_Numbers}');
Expect(1, 65935, '\p{Is_Blk:ancientgreeknumbers}', "");
Expect(0, 65935, '\p{^Is_Blk:ancientgreeknumbers}', "");
Expect(0, 65935, '\P{Is_Blk:ancientgreeknumbers}', "");
Expect(1, 65935, '\P{^Is_Blk:ancientgreeknumbers}', "");
Expect(0, 65936, '\p{Is_Blk:ancientgreeknumbers}', "");
Expect(1, 65936, '\p{^Is_Blk:ancientgreeknumbers}', "");
Expect(1, 65936, '\P{Is_Blk:ancientgreeknumbers}', "");
Expect(0, 65936, '\P{^Is_Blk:ancientgreeknumbers}', "");
Expect(1, 65935, '\p{Is_Blk=_ancient_greek_NUMBERS}', "");
Expect(0, 65935, '\p{^Is_Blk=_ancient_greek_NUMBERS}', "");
Expect(0, 65935, '\P{Is_Blk=_ancient_greek_NUMBERS}', "");
Expect(1, 65935, '\P{^Is_Blk=_ancient_greek_NUMBERS}', "");
Expect(0, 65936, '\p{Is_Blk=_ancient_greek_NUMBERS}', "");
Expect(1, 65936, '\p{^Is_Blk=_ancient_greek_NUMBERS}', "");
Expect(1, 65936, '\P{Is_Blk=_ancient_greek_NUMBERS}', "");
Expect(0, 65936, '\P{^Is_Blk=_ancient_greek_NUMBERS}', "");
Error('\p{Block=-ancient_SYMBOLS:=}');
Error('\P{Block=-ancient_SYMBOLS:=}');
Expect(1, 65999, '\p{Block=ancientsymbols}', "");
Expect(0, 65999, '\p{^Block=ancientsymbols}', "");
Expect(0, 65999, '\P{Block=ancientsymbols}', "");
Expect(1, 65999, '\P{^Block=ancientsymbols}', "");
Expect(0, 66000, '\p{Block=ancientsymbols}', "");
Expect(1, 66000, '\p{^Block=ancientsymbols}', "");
Expect(1, 66000, '\P{Block=ancientsymbols}', "");
Expect(0, 66000, '\P{^Block=ancientsymbols}', "");
Expect(1, 65999, '\p{Block=ANCIENT_Symbols}', "");
Expect(0, 65999, '\p{^Block=ANCIENT_Symbols}', "");
Expect(0, 65999, '\P{Block=ANCIENT_Symbols}', "");
Expect(1, 65999, '\P{^Block=ANCIENT_Symbols}', "");
Expect(0, 66000, '\p{Block=ANCIENT_Symbols}', "");
Expect(1, 66000, '\p{^Block=ANCIENT_Symbols}', "");
Expect(1, 66000, '\P{Block=ANCIENT_Symbols}', "");
Expect(0, 66000, '\P{^Block=ANCIENT_Symbols}', "");
Error('\p{Blk=	:=Ancient_Symbols}');
Error('\P{Blk=	:=Ancient_Symbols}');
Expect(1, 65999, '\p{Blk=ancientsymbols}', "");
Expect(0, 65999, '\p{^Blk=ancientsymbols}', "");
Expect(0, 65999, '\P{Blk=ancientsymbols}', "");
Expect(1, 65999, '\P{^Blk=ancientsymbols}', "");
Expect(0, 66000, '\p{Blk=ancientsymbols}', "");
Expect(1, 66000, '\p{^Blk=ancientsymbols}', "");
Expect(1, 66000, '\P{Blk=ancientsymbols}', "");
Expect(0, 66000, '\P{^Blk=ancientsymbols}', "");
Expect(1, 65999, '\p{Blk=_	Ancient_Symbols}', "");
Expect(0, 65999, '\p{^Blk=_	Ancient_Symbols}', "");
Expect(0, 65999, '\P{Blk=_	Ancient_Symbols}', "");
Expect(1, 65999, '\P{^Blk=_	Ancient_Symbols}', "");
Expect(0, 66000, '\p{Blk=_	Ancient_Symbols}', "");
Expect(1, 66000, '\p{^Blk=_	Ancient_Symbols}', "");
Expect(1, 66000, '\P{Blk=_	Ancient_Symbols}', "");
Expect(0, 66000, '\P{^Blk=_	Ancient_Symbols}', "");
Error('\p{Is_Block=/a/		ANCIENT_Symbols}');
Error('\P{Is_Block=/a/		ANCIENT_Symbols}');
Expect(1, 65999, '\p{Is_Block=ancientsymbols}', "");
Expect(0, 65999, '\p{^Is_Block=ancientsymbols}', "");
Expect(0, 65999, '\P{Is_Block=ancientsymbols}', "");
Expect(1, 65999, '\P{^Is_Block=ancientsymbols}', "");
Expect(0, 66000, '\p{Is_Block=ancientsymbols}', "");
Expect(1, 66000, '\p{^Is_Block=ancientsymbols}', "");
Expect(1, 66000, '\P{Is_Block=ancientsymbols}', "");
Expect(0, 66000, '\P{^Is_Block=ancientsymbols}', "");
Expect(1, 65999, '\p{Is_Block=- Ancient_symbols}', "");
Expect(0, 65999, '\p{^Is_Block=- Ancient_symbols}', "");
Expect(0, 65999, '\P{Is_Block=- Ancient_symbols}', "");
Expect(1, 65999, '\P{^Is_Block=- Ancient_symbols}', "");
Expect(0, 66000, '\p{Is_Block=- Ancient_symbols}', "");
Expect(1, 66000, '\p{^Is_Block=- Ancient_symbols}', "");
Expect(1, 66000, '\P{Is_Block=- Ancient_symbols}', "");
Expect(0, 66000, '\P{^Is_Block=- Ancient_symbols}', "");
Error('\p{Is_Blk=:=  ANCIENT_SYMBOLS}');
Error('\P{Is_Blk=:=  ANCIENT_SYMBOLS}');
Expect(1, 65999, '\p{Is_Blk=ancientsymbols}', "");
Expect(0, 65999, '\p{^Is_Blk=ancientsymbols}', "");
Expect(0, 65999, '\P{Is_Blk=ancientsymbols}', "");
Expect(1, 65999, '\P{^Is_Blk=ancientsymbols}', "");
Expect(0, 66000, '\p{Is_Blk=ancientsymbols}', "");
Expect(1, 66000, '\p{^Is_Blk=ancientsymbols}', "");
Expect(1, 66000, '\P{Is_Blk=ancientsymbols}', "");
Expect(0, 66000, '\P{^Is_Blk=ancientsymbols}', "");
Expect(1, 65999, '\p{Is_Blk=_ Ancient_Symbols}', "");
Expect(0, 65999, '\p{^Is_Blk=_ Ancient_Symbols}', "");
Expect(0, 65999, '\P{Is_Blk=_ Ancient_Symbols}', "");
Expect(1, 65999, '\P{^Is_Blk=_ Ancient_Symbols}', "");
Expect(0, 66000, '\p{Is_Blk=_ Ancient_Symbols}', "");
Expect(1, 66000, '\p{^Is_Blk=_ Ancient_Symbols}', "");
Expect(1, 66000, '\P{Is_Blk=_ Ancient_Symbols}', "");
Expect(0, 66000, '\P{^Is_Blk=_ Ancient_Symbols}', "");
Error('\p{Block:	:=Arabic}');
Error('\P{Block:	:=Arabic}');
Expect(1, 1791, '\p{Block=arabic}', "");
Expect(0, 1791, '\p{^Block=arabic}', "");
Expect(0, 1791, '\P{Block=arabic}', "");
Expect(1, 1791, '\P{^Block=arabic}', "");
Expect(0, 1792, '\p{Block=arabic}', "");
Expect(1, 1792, '\p{^Block=arabic}', "");
Expect(1, 1792, '\P{Block=arabic}', "");
Expect(0, 1792, '\P{^Block=arabic}', "");
Expect(1, 1791, '\p{Block= _ARABIC}', "");
Expect(0, 1791, '\p{^Block= _ARABIC}', "");
Expect(0, 1791, '\P{Block= _ARABIC}', "");
Expect(1, 1791, '\P{^Block= _ARABIC}', "");
Expect(0, 1792, '\p{Block= _ARABIC}', "");
Expect(1, 1792, '\p{^Block= _ARABIC}', "");
Expect(1, 1792, '\P{Block= _ARABIC}', "");
Expect(0, 1792, '\P{^Block= _ARABIC}', "");
Error('\p{Blk=_:=Arabic}');
Error('\P{Blk=_:=Arabic}');
Expect(1, 1791, '\p{Blk=arabic}', "");
Expect(0, 1791, '\p{^Blk=arabic}', "");
Expect(0, 1791, '\P{Blk=arabic}', "");
Expect(1, 1791, '\P{^Blk=arabic}', "");
Expect(0, 1792, '\p{Blk=arabic}', "");
Expect(1, 1792, '\p{^Blk=arabic}', "");
Expect(1, 1792, '\P{Blk=arabic}', "");
Expect(0, 1792, '\P{^Blk=arabic}', "");
Expect(1, 1791, '\p{Blk=-_Arabic}', "");
Expect(0, 1791, '\p{^Blk=-_Arabic}', "");
Expect(0, 1791, '\P{Blk=-_Arabic}', "");
Expect(1, 1791, '\P{^Blk=-_Arabic}', "");
Expect(0, 1792, '\p{Blk=-_Arabic}', "");
Expect(1, 1792, '\p{^Blk=-_Arabic}', "");
Expect(1, 1792, '\P{Blk=-_Arabic}', "");
Expect(0, 1792, '\P{^Blk=-_Arabic}', "");
Error('\p{Is_Block=_/a/arabic}');
Error('\P{Is_Block=_/a/arabic}');
Expect(1, 1791, '\p{Is_Block=arabic}', "");
Expect(0, 1791, '\p{^Is_Block=arabic}', "");
Expect(0, 1791, '\P{Is_Block=arabic}', "");
Expect(1, 1791, '\P{^Is_Block=arabic}', "");
Expect(0, 1792, '\p{Is_Block=arabic}', "");
Expect(1, 1792, '\p{^Is_Block=arabic}', "");
Expect(1, 1792, '\P{Is_Block=arabic}', "");
Expect(0, 1792, '\P{^Is_Block=arabic}', "");
Expect(1, 1791, '\p{Is_Block=_ arabic}', "");
Expect(0, 1791, '\p{^Is_Block=_ arabic}', "");
Expect(0, 1791, '\P{Is_Block=_ arabic}', "");
Expect(1, 1791, '\P{^Is_Block=_ arabic}', "");
Expect(0, 1792, '\p{Is_Block=_ arabic}', "");
Expect(1, 1792, '\p{^Is_Block=_ arabic}', "");
Expect(1, 1792, '\P{Is_Block=_ arabic}', "");
Expect(0, 1792, '\P{^Is_Block=_ arabic}', "");
Error('\p{Is_Blk=/a/- arabic}');
Error('\P{Is_Blk=/a/- arabic}');
Expect(1, 1791, '\p{Is_Blk=arabic}', "");
Expect(0, 1791, '\p{^Is_Blk=arabic}', "");
Expect(0, 1791, '\P{Is_Blk=arabic}', "");
Expect(1, 1791, '\P{^Is_Blk=arabic}', "");
Expect(0, 1792, '\p{Is_Blk=arabic}', "");
Expect(1, 1792, '\p{^Is_Blk=arabic}', "");
Expect(1, 1792, '\P{Is_Blk=arabic}', "");
Expect(0, 1792, '\P{^Is_Blk=arabic}', "");
Expect(1, 1791, '\p{Is_Blk= _Arabic}', "");
Expect(0, 1791, '\p{^Is_Blk= _Arabic}', "");
Expect(0, 1791, '\P{Is_Blk= _Arabic}', "");
Expect(1, 1791, '\P{^Is_Blk= _Arabic}', "");
Expect(0, 1792, '\p{Is_Blk= _Arabic}', "");
Expect(1, 1792, '\p{^Is_Blk= _Arabic}', "");
Expect(1, 1792, '\P{Is_Blk= _Arabic}', "");
Expect(0, 1792, '\P{^Is_Blk= _Arabic}', "");
Error('\p{Block=_:=arabic_extended_A}');
Error('\P{Block=_:=arabic_extended_A}');
Expect(1, 2303, '\p{Block=arabicextendeda}', "");
Expect(0, 2303, '\p{^Block=arabicextendeda}', "");
Expect(0, 2303, '\P{Block=arabicextendeda}', "");
Expect(1, 2303, '\P{^Block=arabicextendeda}', "");
Expect(0, 2304, '\p{Block=arabicextendeda}', "");
Expect(1, 2304, '\p{^Block=arabicextendeda}', "");
Expect(1, 2304, '\P{Block=arabicextendeda}', "");
Expect(0, 2304, '\P{^Block=arabicextendeda}', "");
Expect(1, 2303, '\p{Block=_Arabic_Extended_A}', "");
Expect(0, 2303, '\p{^Block=_Arabic_Extended_A}', "");
Expect(0, 2303, '\P{Block=_Arabic_Extended_A}', "");
Expect(1, 2303, '\P{^Block=_Arabic_Extended_A}', "");
Expect(0, 2304, '\p{Block=_Arabic_Extended_A}', "");
Expect(1, 2304, '\p{^Block=_Arabic_Extended_A}', "");
Expect(1, 2304, '\P{Block=_Arabic_Extended_A}', "");
Expect(0, 2304, '\P{^Block=_Arabic_Extended_A}', "");
Error('\p{Blk:   	/a/Arabic_Ext_A}');
Error('\P{Blk:   	/a/Arabic_Ext_A}');
Expect(1, 2303, '\p{Blk=arabicexta}', "");
Expect(0, 2303, '\p{^Blk=arabicexta}', "");
Expect(0, 2303, '\P{Blk=arabicexta}', "");
Expect(1, 2303, '\P{^Blk=arabicexta}', "");
Expect(0, 2304, '\p{Blk=arabicexta}', "");
Expect(1, 2304, '\p{^Blk=arabicexta}', "");
Expect(1, 2304, '\P{Blk=arabicexta}', "");
Expect(0, 2304, '\P{^Blk=arabicexta}', "");
Expect(1, 2303, '\p{Blk=  arabic_Ext_A}', "");
Expect(0, 2303, '\p{^Blk=  arabic_Ext_A}', "");
Expect(0, 2303, '\P{Blk=  arabic_Ext_A}', "");
Expect(1, 2303, '\P{^Blk=  arabic_Ext_A}', "");
Expect(0, 2304, '\p{Blk=  arabic_Ext_A}', "");
Expect(1, 2304, '\p{^Blk=  arabic_Ext_A}', "");
Expect(1, 2304, '\P{Blk=  arabic_Ext_A}', "");
Expect(0, 2304, '\P{^Blk=  arabic_Ext_A}', "");
Error('\p{Is_Block=/a/ARABIC_Extended_A}');
Error('\P{Is_Block=/a/ARABIC_Extended_A}');
Expect(1, 2303, '\p{Is_Block=arabicextendeda}', "");
Expect(0, 2303, '\p{^Is_Block=arabicextendeda}', "");
Expect(0, 2303, '\P{Is_Block=arabicextendeda}', "");
Expect(1, 2303, '\P{^Is_Block=arabicextendeda}', "");
Expect(0, 2304, '\p{Is_Block=arabicextendeda}', "");
Expect(1, 2304, '\p{^Is_Block=arabicextendeda}', "");
Expect(1, 2304, '\P{Is_Block=arabicextendeda}', "");
Expect(0, 2304, '\P{^Is_Block=arabicextendeda}', "");
Expect(1, 2303, '\p{Is_Block=-	Arabic_Extended_A}', "");
Expect(0, 2303, '\p{^Is_Block=-	Arabic_Extended_A}', "");
Expect(0, 2303, '\P{Is_Block=-	Arabic_Extended_A}', "");
Expect(1, 2303, '\P{^Is_Block=-	Arabic_Extended_A}', "");
Expect(0, 2304, '\p{Is_Block=-	Arabic_Extended_A}', "");
Expect(1, 2304, '\p{^Is_Block=-	Arabic_Extended_A}', "");
Expect(1, 2304, '\P{Is_Block=-	Arabic_Extended_A}', "");
Expect(0, 2304, '\P{^Is_Block=-	Arabic_Extended_A}', "");
Error('\p{Is_Blk=:=  Arabic_ext_a}');
Error('\P{Is_Blk=:=  Arabic_ext_a}');
Expect(1, 2303, '\p{Is_Blk:   arabicexta}', "");
Expect(0, 2303, '\p{^Is_Blk:   arabicexta}', "");
Expect(0, 2303, '\P{Is_Blk:   arabicexta}', "");
Expect(1, 2303, '\P{^Is_Blk:   arabicexta}', "");
Expect(0, 2304, '\p{Is_Blk:   arabicexta}', "");
Expect(1, 2304, '\p{^Is_Blk:   arabicexta}', "");
Expect(1, 2304, '\P{Is_Blk:   arabicexta}', "");
Expect(0, 2304, '\P{^Is_Blk:   arabicexta}', "");
Expect(1, 2303, '\p{Is_Blk=	Arabic_Ext_A}', "");
Expect(0, 2303, '\p{^Is_Blk=	Arabic_Ext_A}', "");
Expect(0, 2303, '\P{Is_Blk=	Arabic_Ext_A}', "");
Expect(1, 2303, '\P{^Is_Blk=	Arabic_Ext_A}', "");
Expect(0, 2304, '\p{Is_Blk=	Arabic_Ext_A}', "");
Expect(1, 2304, '\p{^Is_Blk=	Arabic_Ext_A}', "");
Expect(1, 2304, '\P{Is_Blk=	Arabic_Ext_A}', "");
Expect(0, 2304, '\P{^Is_Blk=	Arabic_Ext_A}', "");
Error('\p{Block= /a/arabic_MATHEMATICAL_alphabetic_Symbols}');
Error('\P{Block= /a/arabic_MATHEMATICAL_alphabetic_Symbols}');
Expect(1, 126719, '\p{Block=arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126719, '\p{^Block=arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126719, '\P{Block=arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126719, '\P{^Block=arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126720, '\p{Block=arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126720, '\p{^Block=arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126720, '\P{Block=arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126720, '\P{^Block=arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126719, '\p{Block=	_arabic_Mathematical_ALPHABETIC_Symbols}', "");
Expect(0, 126719, '\p{^Block=	_arabic_Mathematical_ALPHABETIC_Symbols}', "");
Expect(0, 126719, '\P{Block=	_arabic_Mathematical_ALPHABETIC_Symbols}', "");
Expect(1, 126719, '\P{^Block=	_arabic_Mathematical_ALPHABETIC_Symbols}', "");
Expect(0, 126720, '\p{Block=	_arabic_Mathematical_ALPHABETIC_Symbols}', "");
Expect(1, 126720, '\p{^Block=	_arabic_Mathematical_ALPHABETIC_Symbols}', "");
Expect(1, 126720, '\P{Block=	_arabic_Mathematical_ALPHABETIC_Symbols}', "");
Expect(0, 126720, '\P{^Block=	_arabic_Mathematical_ALPHABETIC_Symbols}', "");
Error('\p{Blk= Arabic_math:=}');
Error('\P{Blk= Arabic_math:=}');
Expect(1, 126719, '\p{Blk=arabicmath}', "");
Expect(0, 126719, '\p{^Blk=arabicmath}', "");
Expect(0, 126719, '\P{Blk=arabicmath}', "");
Expect(1, 126719, '\P{^Blk=arabicmath}', "");
Expect(0, 126720, '\p{Blk=arabicmath}', "");
Expect(1, 126720, '\p{^Blk=arabicmath}', "");
Expect(1, 126720, '\P{Blk=arabicmath}', "");
Expect(0, 126720, '\P{^Blk=arabicmath}', "");
Expect(1, 126719, '\p{Blk=	arabic_MATH}', "");
Expect(0, 126719, '\p{^Blk=	arabic_MATH}', "");
Expect(0, 126719, '\P{Blk=	arabic_MATH}', "");
Expect(1, 126719, '\P{^Blk=	arabic_MATH}', "");
Expect(0, 126720, '\p{Blk=	arabic_MATH}', "");
Expect(1, 126720, '\p{^Blk=	arabic_MATH}', "");
Expect(1, 126720, '\P{Blk=	arabic_MATH}', "");
Expect(0, 126720, '\P{^Blk=	arabic_MATH}', "");
Error('\p{Is_Block=_	arabic_Mathematical_ALPHABETIC_Symbols/a/}');
Error('\P{Is_Block=_	arabic_Mathematical_ALPHABETIC_Symbols/a/}');
Expect(1, 126719, '\p{Is_Block=arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126719, '\p{^Is_Block=arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126719, '\P{Is_Block=arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126719, '\P{^Is_Block=arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126720, '\p{Is_Block=arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126720, '\p{^Is_Block=arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126720, '\P{Is_Block=arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126720, '\P{^Is_Block=arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126719, '\p{Is_Block=	-arabic_MATHEMATICAL_Alphabetic_SYMBOLS}', "");
Expect(0, 126719, '\p{^Is_Block=	-arabic_MATHEMATICAL_Alphabetic_SYMBOLS}', "");
Expect(0, 126719, '\P{Is_Block=	-arabic_MATHEMATICAL_Alphabetic_SYMBOLS}', "");
Expect(1, 126719, '\P{^Is_Block=	-arabic_MATHEMATICAL_Alphabetic_SYMBOLS}', "");
Expect(0, 126720, '\p{Is_Block=	-arabic_MATHEMATICAL_Alphabetic_SYMBOLS}', "");
Expect(1, 126720, '\p{^Is_Block=	-arabic_MATHEMATICAL_Alphabetic_SYMBOLS}', "");
Expect(1, 126720, '\P{Is_Block=	-arabic_MATHEMATICAL_Alphabetic_SYMBOLS}', "");
Expect(0, 126720, '\P{^Is_Block=	-arabic_MATHEMATICAL_Alphabetic_SYMBOLS}', "");
Error('\p{Is_Blk=:=Arabic_math}');
Error('\P{Is_Blk=:=Arabic_math}');
Expect(1, 126719, '\p{Is_Blk=arabicmath}', "");
Expect(0, 126719, '\p{^Is_Blk=arabicmath}', "");
Expect(0, 126719, '\P{Is_Blk=arabicmath}', "");
Expect(1, 126719, '\P{^Is_Blk=arabicmath}', "");
Expect(0, 126720, '\p{Is_Blk=arabicmath}', "");
Expect(1, 126720, '\p{^Is_Blk=arabicmath}', "");
Expect(1, 126720, '\P{Is_Blk=arabicmath}', "");
Expect(0, 126720, '\P{^Is_Blk=arabicmath}', "");
Expect(1, 126719, '\p{Is_Blk=-_arabic_math}', "");
Expect(0, 126719, '\p{^Is_Blk=-_arabic_math}', "");
Expect(0, 126719, '\P{Is_Blk=-_arabic_math}', "");
Expect(1, 126719, '\P{^Is_Blk=-_arabic_math}', "");
Expect(0, 126720, '\p{Is_Blk=-_arabic_math}', "");
Expect(1, 126720, '\p{^Is_Blk=-_arabic_math}', "");
Expect(1, 126720, '\P{Is_Blk=-_arabic_math}', "");
Expect(0, 126720, '\P{^Is_Blk=-_arabic_math}', "");
Error('\p{Block=	Arabic_PRESENTATION_Forms_A:=}');
Error('\P{Block=	Arabic_PRESENTATION_Forms_A:=}');
Expect(1, 65023, '\p{Block=arabicpresentationformsa}', "");
Expect(0, 65023, '\p{^Block=arabicpresentationformsa}', "");
Expect(0, 65023, '\P{Block=arabicpresentationformsa}', "");
Expect(1, 65023, '\P{^Block=arabicpresentationformsa}', "");
Expect(0, 65024, '\p{Block=arabicpresentationformsa}', "");
Expect(1, 65024, '\p{^Block=arabicpresentationformsa}', "");
Expect(1, 65024, '\P{Block=arabicpresentationformsa}', "");
Expect(0, 65024, '\P{^Block=arabicpresentationformsa}', "");
Expect(1, 65023, '\p{Block=		ARABIC_Presentation_Forms_a}', "");
Expect(0, 65023, '\p{^Block=		ARABIC_Presentation_Forms_a}', "");
Expect(0, 65023, '\P{Block=		ARABIC_Presentation_Forms_a}', "");
Expect(1, 65023, '\P{^Block=		ARABIC_Presentation_Forms_a}', "");
Expect(0, 65024, '\p{Block=		ARABIC_Presentation_Forms_a}', "");
Expect(1, 65024, '\p{^Block=		ARABIC_Presentation_Forms_a}', "");
Expect(1, 65024, '\P{Block=		ARABIC_Presentation_Forms_a}', "");
Expect(0, 65024, '\P{^Block=		ARABIC_Presentation_Forms_a}', "");
Error('\p{Blk:	_:=arabic_PF_a}');
Error('\P{Blk:	_:=arabic_PF_a}');
Expect(1, 65023, '\p{Blk=arabicpfa}', "");
Expect(0, 65023, '\p{^Blk=arabicpfa}', "");
Expect(0, 65023, '\P{Blk=arabicpfa}', "");
Expect(1, 65023, '\P{^Blk=arabicpfa}', "");
Expect(0, 65024, '\p{Blk=arabicpfa}', "");
Expect(1, 65024, '\p{^Blk=arabicpfa}', "");
Expect(1, 65024, '\P{Blk=arabicpfa}', "");
Expect(0, 65024, '\P{^Blk=arabicpfa}', "");
Expect(1, 65023, '\p{Blk= Arabic_PF_A}', "");
Expect(0, 65023, '\p{^Blk= Arabic_PF_A}', "");
Expect(0, 65023, '\P{Blk= Arabic_PF_A}', "");
Expect(1, 65023, '\P{^Blk= Arabic_PF_A}', "");
Expect(0, 65024, '\p{Blk= Arabic_PF_A}', "");
Expect(1, 65024, '\p{^Blk= Arabic_PF_A}', "");
Expect(1, 65024, '\P{Blk= Arabic_PF_A}', "");
Expect(0, 65024, '\P{^Blk= Arabic_PF_A}', "");
Error('\p{Is_Block=_:=arabic_Presentation_Forms_A}');
Error('\P{Is_Block=_:=arabic_Presentation_Forms_A}');
Expect(1, 65023, '\p{Is_Block=arabicpresentationformsa}', "");
Expect(0, 65023, '\p{^Is_Block=arabicpresentationformsa}', "");
Expect(0, 65023, '\P{Is_Block=arabicpresentationformsa}', "");
Expect(1, 65023, '\P{^Is_Block=arabicpresentationformsa}', "");
Expect(0, 65024, '\p{Is_Block=arabicpresentationformsa}', "");
Expect(1, 65024, '\p{^Is_Block=arabicpresentationformsa}', "");
Expect(1, 65024, '\P{Is_Block=arabicpresentationformsa}', "");
Expect(0, 65024, '\P{^Is_Block=arabicpresentationformsa}', "");
Expect(1, 65023, '\p{Is_Block=	ARABIC_Presentation_Forms_A}', "");
Expect(0, 65023, '\p{^Is_Block=	ARABIC_Presentation_Forms_A}', "");
Expect(0, 65023, '\P{Is_Block=	ARABIC_Presentation_Forms_A}', "");
Expect(1, 65023, '\P{^Is_Block=	ARABIC_Presentation_Forms_A}', "");
Expect(0, 65024, '\p{Is_Block=	ARABIC_Presentation_Forms_A}', "");
Expect(1, 65024, '\p{^Is_Block=	ARABIC_Presentation_Forms_A}', "");
Expect(1, 65024, '\P{Is_Block=	ARABIC_Presentation_Forms_A}', "");
Expect(0, 65024, '\P{^Is_Block=	ARABIC_Presentation_Forms_A}', "");
Error('\p{Is_Blk= /a/Arabic_PF_A}');
Error('\P{Is_Blk= /a/Arabic_PF_A}');
Expect(1, 65023, '\p{Is_Blk=arabicpfa}', "");
Expect(0, 65023, '\p{^Is_Blk=arabicpfa}', "");
Expect(0, 65023, '\P{Is_Blk=arabicpfa}', "");
Expect(1, 65023, '\P{^Is_Blk=arabicpfa}', "");
Expect(0, 65024, '\p{Is_Blk=arabicpfa}', "");
Expect(1, 65024, '\p{^Is_Blk=arabicpfa}', "");
Expect(1, 65024, '\P{Is_Blk=arabicpfa}', "");
Expect(0, 65024, '\P{^Is_Blk=arabicpfa}', "");
Expect(1, 65023, '\p{Is_Blk=	arabic_pf_a}', "");
Expect(0, 65023, '\p{^Is_Blk=	arabic_pf_a}', "");
Expect(0, 65023, '\P{Is_Blk=	arabic_pf_a}', "");
Expect(1, 65023, '\P{^Is_Blk=	arabic_pf_a}', "");
Expect(0, 65024, '\p{Is_Blk=	arabic_pf_a}', "");
Expect(1, 65024, '\p{^Is_Blk=	arabic_pf_a}', "");
Expect(1, 65024, '\P{Is_Blk=	arabic_pf_a}', "");
Expect(0, 65024, '\P{^Is_Blk=	arabic_pf_a}', "");
Error('\p{Block=_:=Arabic_PRESENTATION_FORMS_B}');
Error('\P{Block=_:=Arabic_PRESENTATION_FORMS_B}');
Expect(1, 65279, '\p{Block=arabicpresentationformsb}', "");
Expect(0, 65279, '\p{^Block=arabicpresentationformsb}', "");
Expect(0, 65279, '\P{Block=arabicpresentationformsb}', "");
Expect(1, 65279, '\P{^Block=arabicpresentationformsb}', "");
Expect(0, 65280, '\p{Block=arabicpresentationformsb}', "");
Expect(1, 65280, '\p{^Block=arabicpresentationformsb}', "");
Expect(1, 65280, '\P{Block=arabicpresentationformsb}', "");
Expect(0, 65280, '\P{^Block=arabicpresentationformsb}', "");
Expect(1, 65279, '\p{Block=	 ARABIC_PRESENTATION_FORMS_B}', "");
Expect(0, 65279, '\p{^Block=	 ARABIC_PRESENTATION_FORMS_B}', "");
Expect(0, 65279, '\P{Block=	 ARABIC_PRESENTATION_FORMS_B}', "");
Expect(1, 65279, '\P{^Block=	 ARABIC_PRESENTATION_FORMS_B}', "");
Expect(0, 65280, '\p{Block=	 ARABIC_PRESENTATION_FORMS_B}', "");
Expect(1, 65280, '\p{^Block=	 ARABIC_PRESENTATION_FORMS_B}', "");
Expect(1, 65280, '\P{Block=	 ARABIC_PRESENTATION_FORMS_B}', "");
Expect(0, 65280, '\P{^Block=	 ARABIC_PRESENTATION_FORMS_B}', "");
Error('\p{Blk=_Arabic_PF_B:=}');
Error('\P{Blk=_Arabic_PF_B:=}');
Expect(1, 65279, '\p{Blk=arabicpfb}', "");
Expect(0, 65279, '\p{^Blk=arabicpfb}', "");
Expect(0, 65279, '\P{Blk=arabicpfb}', "");
Expect(1, 65279, '\P{^Blk=arabicpfb}', "");
Expect(0, 65280, '\p{Blk=arabicpfb}', "");
Expect(1, 65280, '\p{^Blk=arabicpfb}', "");
Expect(1, 65280, '\P{Blk=arabicpfb}', "");
Expect(0, 65280, '\P{^Blk=arabicpfb}', "");
Expect(1, 65279, '\p{Blk=__ARABIC_PF_B}', "");
Expect(0, 65279, '\p{^Blk=__ARABIC_PF_B}', "");
Expect(0, 65279, '\P{Blk=__ARABIC_PF_B}', "");
Expect(1, 65279, '\P{^Blk=__ARABIC_PF_B}', "");
Expect(0, 65280, '\p{Blk=__ARABIC_PF_B}', "");
Expect(1, 65280, '\p{^Blk=__ARABIC_PF_B}', "");
Expect(1, 65280, '\P{Blk=__ARABIC_PF_B}', "");
Expect(0, 65280, '\P{^Blk=__ARABIC_PF_B}', "");
Error('\p{Is_Block=/a/ 	Arabic_Presentation_FORMS_B}');
Error('\P{Is_Block=/a/ 	Arabic_Presentation_FORMS_B}');
Expect(1, 65279, '\p{Is_Block=arabicpresentationformsb}', "");
Expect(0, 65279, '\p{^Is_Block=arabicpresentationformsb}', "");
Expect(0, 65279, '\P{Is_Block=arabicpresentationformsb}', "");
Expect(1, 65279, '\P{^Is_Block=arabicpresentationformsb}', "");
Expect(0, 65280, '\p{Is_Block=arabicpresentationformsb}', "");
Expect(1, 65280, '\p{^Is_Block=arabicpresentationformsb}', "");
Expect(1, 65280, '\P{Is_Block=arabicpresentationformsb}', "");
Expect(0, 65280, '\P{^Is_Block=arabicpresentationformsb}', "");
Expect(1, 65279, '\p{Is_Block= Arabic_Presentation_Forms_B}', "");
Expect(0, 65279, '\p{^Is_Block= Arabic_Presentation_Forms_B}', "");
Expect(0, 65279, '\P{Is_Block= Arabic_Presentation_Forms_B}', "");
Expect(1, 65279, '\P{^Is_Block= Arabic_Presentation_Forms_B}', "");
Expect(0, 65280, '\p{Is_Block= Arabic_Presentation_Forms_B}', "");
Expect(1, 65280, '\p{^Is_Block= Arabic_Presentation_Forms_B}', "");
Expect(1, 65280, '\P{Is_Block= Arabic_Presentation_Forms_B}', "");
Expect(0, 65280, '\P{^Is_Block= Arabic_Presentation_Forms_B}', "");
Error('\p{Is_Blk:-/a/ARABIC_pf_B}');
Error('\P{Is_Blk:-/a/ARABIC_pf_B}');
Expect(1, 65279, '\p{Is_Blk=arabicpfb}', "");
Expect(0, 65279, '\p{^Is_Blk=arabicpfb}', "");
Expect(0, 65279, '\P{Is_Blk=arabicpfb}', "");
Expect(1, 65279, '\P{^Is_Blk=arabicpfb}', "");
Expect(0, 65280, '\p{Is_Blk=arabicpfb}', "");
Expect(1, 65280, '\p{^Is_Blk=arabicpfb}', "");
Expect(1, 65280, '\P{Is_Blk=arabicpfb}', "");
Expect(0, 65280, '\P{^Is_Blk=arabicpfb}', "");
Expect(1, 65279, '\p{Is_Blk=	-Arabic_PF_B}', "");
Expect(0, 65279, '\p{^Is_Blk=	-Arabic_PF_B}', "");
Expect(0, 65279, '\P{Is_Blk=	-Arabic_PF_B}', "");
Expect(1, 65279, '\P{^Is_Blk=	-Arabic_PF_B}', "");
Expect(0, 65280, '\p{Is_Blk=	-Arabic_PF_B}', "");
Expect(1, 65280, '\p{^Is_Blk=	-Arabic_PF_B}', "");
Expect(1, 65280, '\P{Is_Blk=	-Arabic_PF_B}', "");
Expect(0, 65280, '\P{^Is_Blk=	-Arabic_PF_B}', "");
Error('\p{Block=/a/Arabic_Supplement}');
Error('\P{Block=/a/Arabic_Supplement}');
Expect(1, 1919, '\p{Block=arabicsupplement}', "");
Expect(0, 1919, '\p{^Block=arabicsupplement}', "");
Expect(0, 1919, '\P{Block=arabicsupplement}', "");
Expect(1, 1919, '\P{^Block=arabicsupplement}', "");
Expect(0, 1920, '\p{Block=arabicsupplement}', "");
Expect(1, 1920, '\p{^Block=arabicsupplement}', "");
Expect(1, 1920, '\P{Block=arabicsupplement}', "");
Expect(0, 1920, '\P{^Block=arabicsupplement}', "");
Expect(1, 1919, '\p{Block=-_arabic_Supplement}', "");
Expect(0, 1919, '\p{^Block=-_arabic_Supplement}', "");
Expect(0, 1919, '\P{Block=-_arabic_Supplement}', "");
Expect(1, 1919, '\P{^Block=-_arabic_Supplement}', "");
Expect(0, 1920, '\p{Block=-_arabic_Supplement}', "");
Expect(1, 1920, '\p{^Block=-_arabic_Supplement}', "");
Expect(1, 1920, '\P{Block=-_arabic_Supplement}', "");
Expect(0, 1920, '\P{^Block=-_arabic_Supplement}', "");
Error('\p{Blk:	ARABIC_sup:=}');
Error('\P{Blk:	ARABIC_sup:=}');
Expect(1, 1919, '\p{Blk=arabicsup}', "");
Expect(0, 1919, '\p{^Blk=arabicsup}', "");
Expect(0, 1919, '\P{Blk=arabicsup}', "");
Expect(1, 1919, '\P{^Blk=arabicsup}', "");
Expect(0, 1920, '\p{Blk=arabicsup}', "");
Expect(1, 1920, '\p{^Blk=arabicsup}', "");
Expect(1, 1920, '\P{Blk=arabicsup}', "");
Expect(0, 1920, '\P{^Blk=arabicsup}', "");
Expect(1, 1919, '\p{Blk= 	arabic_sup}', "");
Expect(0, 1919, '\p{^Blk= 	arabic_sup}', "");
Expect(0, 1919, '\P{Blk= 	arabic_sup}', "");
Expect(1, 1919, '\P{^Blk= 	arabic_sup}', "");
Expect(0, 1920, '\p{Blk= 	arabic_sup}', "");
Expect(1, 1920, '\p{^Blk= 	arabic_sup}', "");
Expect(1, 1920, '\P{Blk= 	arabic_sup}', "");
Expect(0, 1920, '\P{^Blk= 	arabic_sup}', "");
Error('\p{Is_Block=/a/	ARABIC_Supplement}');
Error('\P{Is_Block=/a/	ARABIC_Supplement}');
Expect(1, 1919, '\p{Is_Block=arabicsupplement}', "");
Expect(0, 1919, '\p{^Is_Block=arabicsupplement}', "");
Expect(0, 1919, '\P{Is_Block=arabicsupplement}', "");
Expect(1, 1919, '\P{^Is_Block=arabicsupplement}', "");
Expect(0, 1920, '\p{Is_Block=arabicsupplement}', "");
Expect(1, 1920, '\p{^Is_Block=arabicsupplement}', "");
Expect(1, 1920, '\P{Is_Block=arabicsupplement}', "");
Expect(0, 1920, '\P{^Is_Block=arabicsupplement}', "");
Expect(1, 1919, '\p{Is_Block=-Arabic_SUPPLEMENT}', "");
Expect(0, 1919, '\p{^Is_Block=-Arabic_SUPPLEMENT}', "");
Expect(0, 1919, '\P{Is_Block=-Arabic_SUPPLEMENT}', "");
Expect(1, 1919, '\P{^Is_Block=-Arabic_SUPPLEMENT}', "");
Expect(0, 1920, '\p{Is_Block=-Arabic_SUPPLEMENT}', "");
Expect(1, 1920, '\p{^Is_Block=-Arabic_SUPPLEMENT}', "");
Expect(1, 1920, '\P{Is_Block=-Arabic_SUPPLEMENT}', "");
Expect(0, 1920, '\P{^Is_Block=-Arabic_SUPPLEMENT}', "");
Error('\p{Is_Blk=-ARABIC_sup/a/}');
Error('\P{Is_Blk=-ARABIC_sup/a/}');
Expect(1, 1919, '\p{Is_Blk: arabicsup}', "");
Expect(0, 1919, '\p{^Is_Blk: arabicsup}', "");
Expect(0, 1919, '\P{Is_Blk: arabicsup}', "");
Expect(1, 1919, '\P{^Is_Blk: arabicsup}', "");
Expect(0, 1920, '\p{Is_Blk: arabicsup}', "");
Expect(1, 1920, '\p{^Is_Blk: arabicsup}', "");
Expect(1, 1920, '\P{Is_Blk: arabicsup}', "");
Expect(0, 1920, '\P{^Is_Blk: arabicsup}', "");
Expect(1, 1919, '\p{Is_Blk=_	arabic_Sup}', "");
Expect(0, 1919, '\p{^Is_Blk=_	arabic_Sup}', "");
Expect(0, 1919, '\P{Is_Blk=_	arabic_Sup}', "");
Expect(1, 1919, '\P{^Is_Blk=_	arabic_Sup}', "");
Expect(0, 1920, '\p{Is_Blk=_	arabic_Sup}', "");
Expect(1, 1920, '\p{^Is_Blk=_	arabic_Sup}', "");
Expect(1, 1920, '\P{Is_Blk=_	arabic_Sup}', "");
Expect(0, 1920, '\P{^Is_Blk=_	arabic_Sup}', "");
Error('\p{Block=_/a/Armenian}');
Error('\P{Block=_/a/Armenian}');
Expect(1, 1423, '\p{Block=armenian}', "");
Expect(0, 1423, '\p{^Block=armenian}', "");
Expect(0, 1423, '\P{Block=armenian}', "");
Expect(1, 1423, '\P{^Block=armenian}', "");
Expect(0, 1424, '\p{Block=armenian}', "");
Expect(1, 1424, '\p{^Block=armenian}', "");
Expect(1, 1424, '\P{Block=armenian}', "");
Expect(0, 1424, '\P{^Block=armenian}', "");
Expect(1, 1423, '\p{Block=	ARMENIAN}', "");
Expect(0, 1423, '\p{^Block=	ARMENIAN}', "");
Expect(0, 1423, '\P{Block=	ARMENIAN}', "");
Expect(1, 1423, '\P{^Block=	ARMENIAN}', "");
Expect(0, 1424, '\p{Block=	ARMENIAN}', "");
Expect(1, 1424, '\p{^Block=	ARMENIAN}', "");
Expect(1, 1424, '\P{Block=	ARMENIAN}', "");
Expect(0, 1424, '\P{^Block=	ARMENIAN}', "");
Error('\p{Blk=_/a/Armenian}');
Error('\P{Blk=_/a/Armenian}');
Expect(1, 1423, '\p{Blk=armenian}', "");
Expect(0, 1423, '\p{^Blk=armenian}', "");
Expect(0, 1423, '\P{Blk=armenian}', "");
Expect(1, 1423, '\P{^Blk=armenian}', "");
Expect(0, 1424, '\p{Blk=armenian}', "");
Expect(1, 1424, '\p{^Blk=armenian}', "");
Expect(1, 1424, '\P{Blk=armenian}', "");
Expect(0, 1424, '\P{^Blk=armenian}', "");
Expect(1, 1423, '\p{Blk= -Armenian}', "");
Expect(0, 1423, '\p{^Blk= -Armenian}', "");
Expect(0, 1423, '\P{Blk= -Armenian}', "");
Expect(1, 1423, '\P{^Blk= -Armenian}', "");
Expect(0, 1424, '\p{Blk= -Armenian}', "");
Expect(1, 1424, '\p{^Blk= -Armenian}', "");
Expect(1, 1424, '\P{Blk= -Armenian}', "");
Expect(0, 1424, '\P{^Blk= -Armenian}', "");
Error('\p{Is_Block=_/a/armenian}');
Error('\P{Is_Block=_/a/armenian}');
Expect(1, 1423, '\p{Is_Block=armenian}', "");
Expect(0, 1423, '\p{^Is_Block=armenian}', "");
Expect(0, 1423, '\P{Is_Block=armenian}', "");
Expect(1, 1423, '\P{^Is_Block=armenian}', "");
Expect(0, 1424, '\p{Is_Block=armenian}', "");
Expect(1, 1424, '\p{^Is_Block=armenian}', "");
Expect(1, 1424, '\P{Is_Block=armenian}', "");
Expect(0, 1424, '\P{^Is_Block=armenian}', "");
Expect(1, 1423, '\p{Is_Block=  ARMENIAN}', "");
Expect(0, 1423, '\p{^Is_Block=  ARMENIAN}', "");
Expect(0, 1423, '\P{Is_Block=  ARMENIAN}', "");
Expect(1, 1423, '\P{^Is_Block=  ARMENIAN}', "");
Expect(0, 1424, '\p{Is_Block=  ARMENIAN}', "");
Expect(1, 1424, '\p{^Is_Block=  ARMENIAN}', "");
Expect(1, 1424, '\P{Is_Block=  ARMENIAN}', "");
Expect(0, 1424, '\P{^Is_Block=  ARMENIAN}', "");
Error('\p{Is_Blk=_/a/ARMENIAN}');
Error('\P{Is_Blk=_/a/ARMENIAN}');
Expect(1, 1423, '\p{Is_Blk=armenian}', "");
Expect(0, 1423, '\p{^Is_Blk=armenian}', "");
Expect(0, 1423, '\P{Is_Blk=armenian}', "");
Expect(1, 1423, '\P{^Is_Blk=armenian}', "");
Expect(0, 1424, '\p{Is_Blk=armenian}', "");
Expect(1, 1424, '\p{^Is_Blk=armenian}', "");
Expect(1, 1424, '\P{Is_Blk=armenian}', "");
Expect(0, 1424, '\P{^Is_Blk=armenian}', "");
Expect(1, 1423, '\p{Is_Blk= 	Armenian}', "");
Expect(0, 1423, '\p{^Is_Blk= 	Armenian}', "");
Expect(0, 1423, '\P{Is_Blk= 	Armenian}', "");
Expect(1, 1423, '\P{^Is_Blk= 	Armenian}', "");
Expect(0, 1424, '\p{Is_Blk= 	Armenian}', "");
Expect(1, 1424, '\p{^Is_Blk= 	Armenian}', "");
Expect(1, 1424, '\P{Is_Blk= 	Armenian}', "");
Expect(0, 1424, '\P{^Is_Blk= 	Armenian}', "");
Error('\p{Block:  /a/arrows}');
Error('\P{Block:  /a/arrows}');
Expect(1, 8703, '\p{Block=arrows}', "");
Expect(0, 8703, '\p{^Block=arrows}', "");
Expect(0, 8703, '\P{Block=arrows}', "");
Expect(1, 8703, '\P{^Block=arrows}', "");
Expect(0, 8704, '\p{Block=arrows}', "");
Expect(1, 8704, '\p{^Block=arrows}', "");
Expect(1, 8704, '\P{Block=arrows}', "");
Expect(0, 8704, '\P{^Block=arrows}', "");
Expect(1, 8703, '\p{Block=	arrows}', "");
Expect(0, 8703, '\p{^Block=	arrows}', "");
Expect(0, 8703, '\P{Block=	arrows}', "");
Expect(1, 8703, '\P{^Block=	arrows}', "");
Expect(0, 8704, '\p{Block=	arrows}', "");
Expect(1, 8704, '\p{^Block=	arrows}', "");
Expect(1, 8704, '\P{Block=	arrows}', "");
Expect(0, 8704, '\P{^Block=	arrows}', "");
Error('\p{Blk=	 Arrows:=}');
Error('\P{Blk=	 Arrows:=}');
Expect(1, 8703, '\p{Blk: arrows}', "");
Expect(0, 8703, '\p{^Blk: arrows}', "");
Expect(0, 8703, '\P{Blk: arrows}', "");
Expect(1, 8703, '\P{^Blk: arrows}', "");
Expect(0, 8704, '\p{Blk: arrows}', "");
Expect(1, 8704, '\p{^Blk: arrows}', "");
Expect(1, 8704, '\P{Blk: arrows}', "");
Expect(0, 8704, '\P{^Blk: arrows}', "");
Expect(1, 8703, '\p{Blk=	-Arrows}', "");
Expect(0, 8703, '\p{^Blk=	-Arrows}', "");
Expect(0, 8703, '\P{Blk=	-Arrows}', "");
Expect(1, 8703, '\P{^Blk=	-Arrows}', "");
Expect(0, 8704, '\p{Blk=	-Arrows}', "");
Expect(1, 8704, '\p{^Blk=	-Arrows}', "");
Expect(1, 8704, '\P{Blk=	-Arrows}', "");
Expect(0, 8704, '\P{^Blk=	-Arrows}', "");
Error('\p{Is_Block: _-arrows/a/}');
Error('\P{Is_Block: _-arrows/a/}');
Expect(1, 8703, '\p{Is_Block=arrows}', "");
Expect(0, 8703, '\p{^Is_Block=arrows}', "");
Expect(0, 8703, '\P{Is_Block=arrows}', "");
Expect(1, 8703, '\P{^Is_Block=arrows}', "");
Expect(0, 8704, '\p{Is_Block=arrows}', "");
Expect(1, 8704, '\p{^Is_Block=arrows}', "");
Expect(1, 8704, '\P{Is_Block=arrows}', "");
Expect(0, 8704, '\P{^Is_Block=arrows}', "");
Expect(1, 8703, '\p{Is_Block=_-Arrows}', "");
Expect(0, 8703, '\p{^Is_Block=_-Arrows}', "");
Expect(0, 8703, '\P{Is_Block=_-Arrows}', "");
Expect(1, 8703, '\P{^Is_Block=_-Arrows}', "");
Expect(0, 8704, '\p{Is_Block=_-Arrows}', "");
Expect(1, 8704, '\p{^Is_Block=_-Arrows}', "");
Expect(1, 8704, '\P{Is_Block=_-Arrows}', "");
Expect(0, 8704, '\P{^Is_Block=_-Arrows}', "");
Error('\p{Is_Blk=:=	_Arrows}');
Error('\P{Is_Blk=:=	_Arrows}');
Expect(1, 8703, '\p{Is_Blk:   arrows}', "");
Expect(0, 8703, '\p{^Is_Blk:   arrows}', "");
Expect(0, 8703, '\P{Is_Blk:   arrows}', "");
Expect(1, 8703, '\P{^Is_Blk:   arrows}', "");
Expect(0, 8704, '\p{Is_Blk:   arrows}', "");
Expect(1, 8704, '\p{^Is_Blk:   arrows}', "");
Expect(1, 8704, '\P{Is_Blk:   arrows}', "");
Expect(0, 8704, '\P{^Is_Blk:   arrows}', "");
Expect(1, 8703, '\p{Is_Blk=-ARROWS}', "");
Expect(0, 8703, '\p{^Is_Blk=-ARROWS}', "");
Expect(0, 8703, '\P{Is_Blk=-ARROWS}', "");
Expect(1, 8703, '\P{^Is_Blk=-ARROWS}', "");
Expect(0, 8704, '\p{Is_Blk=-ARROWS}', "");
Expect(1, 8704, '\p{^Is_Blk=-ARROWS}', "");
Expect(1, 8704, '\P{Is_Blk=-ARROWS}', "");
Expect(0, 8704, '\P{^Is_Blk=-ARROWS}', "");
Error('\p{Block: /a/	AVESTAN}');
Error('\P{Block: /a/	AVESTAN}');
Expect(1, 68415, '\p{Block=avestan}', "");
Expect(0, 68415, '\p{^Block=avestan}', "");
Expect(0, 68415, '\P{Block=avestan}', "");
Expect(1, 68415, '\P{^Block=avestan}', "");
Expect(0, 68416, '\p{Block=avestan}', "");
Expect(1, 68416, '\p{^Block=avestan}', "");
Expect(1, 68416, '\P{Block=avestan}', "");
Expect(0, 68416, '\P{^Block=avestan}', "");
Expect(1, 68415, '\p{Block=	 Avestan}', "");
Expect(0, 68415, '\p{^Block=	 Avestan}', "");
Expect(0, 68415, '\P{Block=	 Avestan}', "");
Expect(1, 68415, '\P{^Block=	 Avestan}', "");
Expect(0, 68416, '\p{Block=	 Avestan}', "");
Expect(1, 68416, '\p{^Block=	 Avestan}', "");
Expect(1, 68416, '\P{Block=	 Avestan}', "");
Expect(0, 68416, '\P{^Block=	 Avestan}', "");
Error('\p{Blk= :=avestan}');
Error('\P{Blk= :=avestan}');
Expect(1, 68415, '\p{Blk: avestan}', "");
Expect(0, 68415, '\p{^Blk: avestan}', "");
Expect(0, 68415, '\P{Blk: avestan}', "");
Expect(1, 68415, '\P{^Blk: avestan}', "");
Expect(0, 68416, '\p{Blk: avestan}', "");
Expect(1, 68416, '\p{^Blk: avestan}', "");
Expect(1, 68416, '\P{Blk: avestan}', "");
Expect(0, 68416, '\P{^Blk: avestan}', "");
Expect(1, 68415, '\p{Blk= Avestan}', "");
Expect(0, 68415, '\p{^Blk= Avestan}', "");
Expect(0, 68415, '\P{Blk= Avestan}', "");
Expect(1, 68415, '\P{^Blk= Avestan}', "");
Expect(0, 68416, '\p{Blk= Avestan}', "");
Expect(1, 68416, '\p{^Blk= Avestan}', "");
Expect(1, 68416, '\P{Blk= Avestan}', "");
Expect(0, 68416, '\P{^Blk= Avestan}', "");
Error('\p{Is_Block= Avestan:=}');
Error('\P{Is_Block= Avestan:=}');
Expect(1, 68415, '\p{Is_Block=avestan}', "");
Expect(0, 68415, '\p{^Is_Block=avestan}', "");
Expect(0, 68415, '\P{Is_Block=avestan}', "");
Expect(1, 68415, '\P{^Is_Block=avestan}', "");
Expect(0, 68416, '\p{Is_Block=avestan}', "");
Expect(1, 68416, '\p{^Is_Block=avestan}', "");
Expect(1, 68416, '\P{Is_Block=avestan}', "");
Expect(0, 68416, '\P{^Is_Block=avestan}', "");
Expect(1, 68415, '\p{Is_Block=_Avestan}', "");
Expect(0, 68415, '\p{^Is_Block=_Avestan}', "");
Expect(0, 68415, '\P{Is_Block=_Avestan}', "");
Expect(1, 68415, '\P{^Is_Block=_Avestan}', "");
Expect(0, 68416, '\p{Is_Block=_Avestan}', "");
Expect(1, 68416, '\p{^Is_Block=_Avestan}', "");
Expect(1, 68416, '\P{Is_Block=_Avestan}', "");
Expect(0, 68416, '\P{^Is_Block=_Avestan}', "");
Error('\p{Is_Blk=	/a/Avestan}');
Error('\P{Is_Blk=	/a/Avestan}');
Expect(1, 68415, '\p{Is_Blk:   avestan}', "");
Expect(0, 68415, '\p{^Is_Blk:   avestan}', "");
Expect(0, 68415, '\P{Is_Blk:   avestan}', "");
Expect(1, 68415, '\P{^Is_Blk:   avestan}', "");
Expect(0, 68416, '\p{Is_Blk:   avestan}', "");
Expect(1, 68416, '\p{^Is_Blk:   avestan}', "");
Expect(1, 68416, '\P{Is_Blk:   avestan}', "");
Expect(0, 68416, '\P{^Is_Blk:   avestan}', "");
Expect(1, 68415, '\p{Is_Blk=-_avestan}', "");
Expect(0, 68415, '\p{^Is_Blk=-_avestan}', "");
Expect(0, 68415, '\P{Is_Blk=-_avestan}', "");
Expect(1, 68415, '\P{^Is_Blk=-_avestan}', "");
Expect(0, 68416, '\p{Is_Blk=-_avestan}', "");
Expect(1, 68416, '\p{^Is_Blk=-_avestan}', "");
Expect(1, 68416, '\P{Is_Blk=-_avestan}', "");
Expect(0, 68416, '\P{^Is_Blk=-_avestan}', "");
Error('\p{Block=/a/ -balinese}');
Error('\P{Block=/a/ -balinese}');
Expect(1, 7039, '\p{Block=balinese}', "");
Expect(0, 7039, '\p{^Block=balinese}', "");
Expect(0, 7039, '\P{Block=balinese}', "");
Expect(1, 7039, '\P{^Block=balinese}', "");
Expect(0, 7040, '\p{Block=balinese}', "");
Expect(1, 7040, '\p{^Block=balinese}', "");
Expect(1, 7040, '\P{Block=balinese}', "");
Expect(0, 7040, '\P{^Block=balinese}', "");
Expect(1, 7039, '\p{Block= _Balinese}', "");
Expect(0, 7039, '\p{^Block= _Balinese}', "");
Expect(0, 7039, '\P{Block= _Balinese}', "");
Expect(1, 7039, '\P{^Block= _Balinese}', "");
Expect(0, 7040, '\p{Block= _Balinese}', "");
Expect(1, 7040, '\p{^Block= _Balinese}', "");
Expect(1, 7040, '\P{Block= _Balinese}', "");
Expect(0, 7040, '\P{^Block= _Balinese}', "");
Error('\p{Blk=	/a/Balinese}');
Error('\P{Blk=	/a/Balinese}');
Expect(1, 7039, '\p{Blk=balinese}', "");
Expect(0, 7039, '\p{^Blk=balinese}', "");
Expect(0, 7039, '\P{Blk=balinese}', "");
Expect(1, 7039, '\P{^Blk=balinese}', "");
Expect(0, 7040, '\p{Blk=balinese}', "");
Expect(1, 7040, '\p{^Blk=balinese}', "");
Expect(1, 7040, '\P{Blk=balinese}', "");
Expect(0, 7040, '\P{^Blk=balinese}', "");
Expect(1, 7039, '\p{Blk=	 Balinese}', "");
Expect(0, 7039, '\p{^Blk=	 Balinese}', "");
Expect(0, 7039, '\P{Blk=	 Balinese}', "");
Expect(1, 7039, '\P{^Blk=	 Balinese}', "");
Expect(0, 7040, '\p{Blk=	 Balinese}', "");
Expect(1, 7040, '\p{^Blk=	 Balinese}', "");
Expect(1, 7040, '\P{Blk=	 Balinese}', "");
Expect(0, 7040, '\P{^Blk=	 Balinese}', "");
Error('\p{Is_Block=	_balinese/a/}');
Error('\P{Is_Block=	_balinese/a/}');
Expect(1, 7039, '\p{Is_Block=balinese}', "");
Expect(0, 7039, '\p{^Is_Block=balinese}', "");
Expect(0, 7039, '\P{Is_Block=balinese}', "");
Expect(1, 7039, '\P{^Is_Block=balinese}', "");
Expect(0, 7040, '\p{Is_Block=balinese}', "");
Expect(1, 7040, '\p{^Is_Block=balinese}', "");
Expect(1, 7040, '\P{Is_Block=balinese}', "");
Expect(0, 7040, '\P{^Is_Block=balinese}', "");
Expect(1, 7039, '\p{Is_Block=-Balinese}', "");
Expect(0, 7039, '\p{^Is_Block=-Balinese}', "");
Expect(0, 7039, '\P{Is_Block=-Balinese}', "");
Expect(1, 7039, '\P{^Is_Block=-Balinese}', "");
Expect(0, 7040, '\p{Is_Block=-Balinese}', "");
Expect(1, 7040, '\p{^Is_Block=-Balinese}', "");
Expect(1, 7040, '\P{Is_Block=-Balinese}', "");
Expect(0, 7040, '\P{^Is_Block=-Balinese}', "");
Error('\p{Is_Blk=	 BALINESE:=}');
Error('\P{Is_Blk=	 BALINESE:=}');
Expect(1, 7039, '\p{Is_Blk=balinese}', "");
Expect(0, 7039, '\p{^Is_Blk=balinese}', "");
Expect(0, 7039, '\P{Is_Blk=balinese}', "");
Expect(1, 7039, '\P{^Is_Blk=balinese}', "");
Expect(0, 7040, '\p{Is_Blk=balinese}', "");
Expect(1, 7040, '\p{^Is_Blk=balinese}', "");
Expect(1, 7040, '\P{Is_Blk=balinese}', "");
Expect(0, 7040, '\P{^Is_Blk=balinese}', "");
Expect(1, 7039, '\p{Is_Blk=	Balinese}', "");
Expect(0, 7039, '\p{^Is_Blk=	Balinese}', "");
Expect(0, 7039, '\P{Is_Blk=	Balinese}', "");
Expect(1, 7039, '\P{^Is_Blk=	Balinese}', "");
Expect(0, 7040, '\p{Is_Blk=	Balinese}', "");
Expect(1, 7040, '\p{^Is_Blk=	Balinese}', "");
Expect(1, 7040, '\P{Is_Blk=	Balinese}', "");
Expect(0, 7040, '\P{^Is_Blk=	Balinese}', "");
Error('\p{Block=/a/__Bamum}');
Error('\P{Block=/a/__Bamum}');
Expect(1, 42751, '\p{Block=bamum}', "");
Expect(0, 42751, '\p{^Block=bamum}', "");
Expect(0, 42751, '\P{Block=bamum}', "");
Expect(1, 42751, '\P{^Block=bamum}', "");
Expect(0, 42752, '\p{Block=bamum}', "");
Expect(1, 42752, '\p{^Block=bamum}', "");
Expect(1, 42752, '\P{Block=bamum}', "");
Expect(0, 42752, '\P{^Block=bamum}', "");
Expect(1, 42751, '\p{Block=- Bamum}', "");
Expect(0, 42751, '\p{^Block=- Bamum}', "");
Expect(0, 42751, '\P{Block=- Bamum}', "");
Expect(1, 42751, '\P{^Block=- Bamum}', "");
Expect(0, 42752, '\p{Block=- Bamum}', "");
Expect(1, 42752, '\p{^Block=- Bamum}', "");
Expect(1, 42752, '\P{Block=- Bamum}', "");
Expect(0, 42752, '\P{^Block=- Bamum}', "");
Error('\p{Blk:	_ bamum/a/}');
Error('\P{Blk:	_ bamum/a/}');
Expect(1, 42751, '\p{Blk=bamum}', "");
Expect(0, 42751, '\p{^Blk=bamum}', "");
Expect(0, 42751, '\P{Blk=bamum}', "");
Expect(1, 42751, '\P{^Blk=bamum}', "");
Expect(0, 42752, '\p{Blk=bamum}', "");
Expect(1, 42752, '\p{^Blk=bamum}', "");
Expect(1, 42752, '\P{Blk=bamum}', "");
Expect(0, 42752, '\P{^Blk=bamum}', "");
Expect(1, 42751, '\p{Blk=		bamum}', "");
Expect(0, 42751, '\p{^Blk=		bamum}', "");
Expect(0, 42751, '\P{Blk=		bamum}', "");
Expect(1, 42751, '\P{^Blk=		bamum}', "");
Expect(0, 42752, '\p{Blk=		bamum}', "");
Expect(1, 42752, '\p{^Blk=		bamum}', "");
Expect(1, 42752, '\P{Blk=		bamum}', "");
Expect(0, 42752, '\P{^Blk=		bamum}', "");
Error('\p{Is_Block=--bamum/a/}');
Error('\P{Is_Block=--bamum/a/}');
Expect(1, 42751, '\p{Is_Block:   bamum}', "");
Expect(0, 42751, '\p{^Is_Block:   bamum}', "");
Expect(0, 42751, '\P{Is_Block:   bamum}', "");
Expect(1, 42751, '\P{^Is_Block:   bamum}', "");
Expect(0, 42752, '\p{Is_Block:   bamum}', "");
Expect(1, 42752, '\p{^Is_Block:   bamum}', "");
Expect(1, 42752, '\P{Is_Block:   bamum}', "");
Expect(0, 42752, '\P{^Is_Block:   bamum}', "");
Expect(1, 42751, '\p{Is_Block=_-Bamum}', "");
Expect(0, 42751, '\p{^Is_Block=_-Bamum}', "");
Expect(0, 42751, '\P{Is_Block=_-Bamum}', "");
Expect(1, 42751, '\P{^Is_Block=_-Bamum}', "");
Expect(0, 42752, '\p{Is_Block=_-Bamum}', "");
Expect(1, 42752, '\p{^Is_Block=_-Bamum}', "");
Expect(1, 42752, '\P{Is_Block=_-Bamum}', "");
Expect(0, 42752, '\P{^Is_Block=_-Bamum}', "");
Error('\p{Is_Blk=	_Bamum:=}');
Error('\P{Is_Blk=	_Bamum:=}');
Expect(1, 42751, '\p{Is_Blk=bamum}', "");
Expect(0, 42751, '\p{^Is_Blk=bamum}', "");
Expect(0, 42751, '\P{Is_Blk=bamum}', "");
Expect(1, 42751, '\P{^Is_Blk=bamum}', "");
Expect(0, 42752, '\p{Is_Blk=bamum}', "");
Expect(1, 42752, '\p{^Is_Blk=bamum}', "");
Expect(1, 42752, '\P{Is_Blk=bamum}', "");
Expect(0, 42752, '\P{^Is_Blk=bamum}', "");
Expect(1, 42751, '\p{Is_Blk=__Bamum}', "");
Expect(0, 42751, '\p{^Is_Blk=__Bamum}', "");
Expect(0, 42751, '\P{Is_Blk=__Bamum}', "");
Expect(1, 42751, '\P{^Is_Blk=__Bamum}', "");
Expect(0, 42752, '\p{Is_Blk=__Bamum}', "");
Expect(1, 42752, '\p{^Is_Blk=__Bamum}', "");
Expect(1, 42752, '\P{Is_Blk=__Bamum}', "");
Expect(0, 42752, '\P{^Is_Blk=__Bamum}', "");
Error('\p{Block=_Bamum_Supplement/a/}');
Error('\P{Block=_Bamum_Supplement/a/}');
Expect(1, 92735, '\p{Block=bamumsupplement}', "");
Expect(0, 92735, '\p{^Block=bamumsupplement}', "");
Expect(0, 92735, '\P{Block=bamumsupplement}', "");
Expect(1, 92735, '\P{^Block=bamumsupplement}', "");
Expect(0, 92736, '\p{Block=bamumsupplement}', "");
Expect(1, 92736, '\p{^Block=bamumsupplement}', "");
Expect(1, 92736, '\P{Block=bamumsupplement}', "");
Expect(0, 92736, '\P{^Block=bamumsupplement}', "");
Expect(1, 92735, '\p{Block=	Bamum_Supplement}', "");
Expect(0, 92735, '\p{^Block=	Bamum_Supplement}', "");
Expect(0, 92735, '\P{Block=	Bamum_Supplement}', "");
Expect(1, 92735, '\P{^Block=	Bamum_Supplement}', "");
Expect(0, 92736, '\p{Block=	Bamum_Supplement}', "");
Expect(1, 92736, '\p{^Block=	Bamum_Supplement}', "");
Expect(1, 92736, '\P{Block=	Bamum_Supplement}', "");
Expect(0, 92736, '\P{^Block=	Bamum_Supplement}', "");
Error('\p{Blk:   :=Bamum_sup}');
Error('\P{Blk:   :=Bamum_sup}');
Expect(1, 92735, '\p{Blk=bamumsup}', "");
Expect(0, 92735, '\p{^Blk=bamumsup}', "");
Expect(0, 92735, '\P{Blk=bamumsup}', "");
Expect(1, 92735, '\P{^Blk=bamumsup}', "");
Expect(0, 92736, '\p{Blk=bamumsup}', "");
Expect(1, 92736, '\p{^Blk=bamumsup}', "");
Expect(1, 92736, '\P{Blk=bamumsup}', "");
Expect(0, 92736, '\P{^Blk=bamumsup}', "");
Expect(1, 92735, '\p{Blk=-Bamum_Sup}', "");
Expect(0, 92735, '\p{^Blk=-Bamum_Sup}', "");
Expect(0, 92735, '\P{Blk=-Bamum_Sup}', "");
Expect(1, 92735, '\P{^Blk=-Bamum_Sup}', "");
Expect(0, 92736, '\p{Blk=-Bamum_Sup}', "");
Expect(1, 92736, '\p{^Blk=-Bamum_Sup}', "");
Expect(1, 92736, '\P{Blk=-Bamum_Sup}', "");
Expect(0, 92736, '\P{^Blk=-Bamum_Sup}', "");
Error('\p{Is_Block=_/a/bamum_Supplement}');
Error('\P{Is_Block=_/a/bamum_Supplement}');
Expect(1, 92735, '\p{Is_Block=bamumsupplement}', "");
Expect(0, 92735, '\p{^Is_Block=bamumsupplement}', "");
Expect(0, 92735, '\P{Is_Block=bamumsupplement}', "");
Expect(1, 92735, '\P{^Is_Block=bamumsupplement}', "");
Expect(0, 92736, '\p{Is_Block=bamumsupplement}', "");
Expect(1, 92736, '\p{^Is_Block=bamumsupplement}', "");
Expect(1, 92736, '\P{Is_Block=bamumsupplement}', "");
Expect(0, 92736, '\P{^Is_Block=bamumsupplement}', "");
Expect(1, 92735, '\p{Is_Block=		Bamum_Supplement}', "");
Expect(0, 92735, '\p{^Is_Block=		Bamum_Supplement}', "");
Expect(0, 92735, '\P{Is_Block=		Bamum_Supplement}', "");
Expect(1, 92735, '\P{^Is_Block=		Bamum_Supplement}', "");
Expect(0, 92736, '\p{Is_Block=		Bamum_Supplement}', "");
Expect(1, 92736, '\p{^Is_Block=		Bamum_Supplement}', "");
Expect(1, 92736, '\P{Is_Block=		Bamum_Supplement}', "");
Expect(0, 92736, '\P{^Is_Block=		Bamum_Supplement}', "");
Error('\p{Is_Blk=-/a/bamum_Sup}');
Error('\P{Is_Blk=-/a/bamum_Sup}');
Expect(1, 92735, '\p{Is_Blk=bamumsup}', "");
Expect(0, 92735, '\p{^Is_Blk=bamumsup}', "");
Expect(0, 92735, '\P{Is_Blk=bamumsup}', "");
Expect(1, 92735, '\P{^Is_Blk=bamumsup}', "");
Expect(0, 92736, '\p{Is_Blk=bamumsup}', "");
Expect(1, 92736, '\p{^Is_Blk=bamumsup}', "");
Expect(1, 92736, '\P{Is_Blk=bamumsup}', "");
Expect(0, 92736, '\P{^Is_Blk=bamumsup}', "");
Expect(1, 92735, '\p{Is_Blk=	_BAMUM_SUP}', "");
Expect(0, 92735, '\p{^Is_Blk=	_BAMUM_SUP}', "");
Expect(0, 92735, '\P{Is_Blk=	_BAMUM_SUP}', "");
Expect(1, 92735, '\P{^Is_Blk=	_BAMUM_SUP}', "");
Expect(0, 92736, '\p{Is_Blk=	_BAMUM_SUP}', "");
Expect(1, 92736, '\p{^Is_Blk=	_BAMUM_SUP}', "");
Expect(1, 92736, '\P{Is_Blk=	_BAMUM_SUP}', "");
Expect(0, 92736, '\P{^Is_Blk=	_BAMUM_SUP}', "");
Error('\p{Block= bassa_vah:=}');
Error('\P{Block= bassa_vah:=}');
Expect(1, 92927, '\p{Block=bassavah}', "");
Expect(0, 92927, '\p{^Block=bassavah}', "");
Expect(0, 92927, '\P{Block=bassavah}', "");
Expect(1, 92927, '\P{^Block=bassavah}', "");
Expect(0, 92928, '\p{Block=bassavah}', "");
Expect(1, 92928, '\p{^Block=bassavah}', "");
Expect(1, 92928, '\P{Block=bassavah}', "");
Expect(0, 92928, '\P{^Block=bassavah}', "");
Expect(1, 92927, '\p{Block= _Bassa_Vah}', "");
Expect(0, 92927, '\p{^Block= _Bassa_Vah}', "");
Expect(0, 92927, '\P{Block= _Bassa_Vah}', "");
Expect(1, 92927, '\P{^Block= _Bassa_Vah}', "");
Expect(0, 92928, '\p{Block= _Bassa_Vah}', "");
Expect(1, 92928, '\p{^Block= _Bassa_Vah}', "");
Expect(1, 92928, '\P{Block= _Bassa_Vah}', "");
Expect(0, 92928, '\P{^Block= _Bassa_Vah}', "");
Error('\p{Blk=/a/ bassa_VAH}');
Error('\P{Blk=/a/ bassa_VAH}');
Expect(1, 92927, '\p{Blk:bassavah}', "");
Expect(0, 92927, '\p{^Blk:bassavah}', "");
Expect(0, 92927, '\P{Blk:bassavah}', "");
Expect(1, 92927, '\P{^Blk:bassavah}', "");
Expect(0, 92928, '\p{Blk:bassavah}', "");
Expect(1, 92928, '\p{^Blk:bassavah}', "");
Expect(1, 92928, '\P{Blk:bassavah}', "");
Expect(0, 92928, '\P{^Blk:bassavah}', "");
Expect(1, 92927, '\p{Blk=	Bassa_vah}', "");
Expect(0, 92927, '\p{^Blk=	Bassa_vah}', "");
Expect(0, 92927, '\P{Blk=	Bassa_vah}', "");
Expect(1, 92927, '\P{^Blk=	Bassa_vah}', "");
Expect(0, 92928, '\p{Blk=	Bassa_vah}', "");
Expect(1, 92928, '\p{^Blk=	Bassa_vah}', "");
Expect(1, 92928, '\P{Blk=	Bassa_vah}', "");
Expect(0, 92928, '\P{^Blk=	Bassa_vah}', "");
Error('\p{Is_Block=_/a/bassa_VAH}');
Error('\P{Is_Block=_/a/bassa_VAH}');
Expect(1, 92927, '\p{Is_Block=bassavah}', "");
Expect(0, 92927, '\p{^Is_Block=bassavah}', "");
Expect(0, 92927, '\P{Is_Block=bassavah}', "");
Expect(1, 92927, '\P{^Is_Block=bassavah}', "");
Expect(0, 92928, '\p{Is_Block=bassavah}', "");
Expect(1, 92928, '\p{^Is_Block=bassavah}', "");
Expect(1, 92928, '\P{Is_Block=bassavah}', "");
Expect(0, 92928, '\P{^Is_Block=bassavah}', "");
Expect(1, 92927, '\p{Is_Block=_BASSA_vah}', "");
Expect(0, 92927, '\p{^Is_Block=_BASSA_vah}', "");
Expect(0, 92927, '\P{Is_Block=_BASSA_vah}', "");
Expect(1, 92927, '\P{^Is_Block=_BASSA_vah}', "");
Expect(0, 92928, '\p{Is_Block=_BASSA_vah}', "");
Expect(1, 92928, '\p{^Is_Block=_BASSA_vah}', "");
Expect(1, 92928, '\P{Is_Block=_BASSA_vah}', "");
Expect(0, 92928, '\P{^Is_Block=_BASSA_vah}', "");
Error('\p{Is_Blk=:=		Bassa_VAH}');
Error('\P{Is_Blk=:=		Bassa_VAH}');
Expect(1, 92927, '\p{Is_Blk=bassavah}', "");
Expect(0, 92927, '\p{^Is_Blk=bassavah}', "");
Expect(0, 92927, '\P{Is_Blk=bassavah}', "");
Expect(1, 92927, '\P{^Is_Blk=bassavah}', "");
Expect(0, 92928, '\p{Is_Blk=bassavah}', "");
Expect(1, 92928, '\p{^Is_Blk=bassavah}', "");
Expect(1, 92928, '\P{Is_Blk=bassavah}', "");
Expect(0, 92928, '\P{^Is_Blk=bassavah}', "");
Expect(1, 92927, '\p{Is_Blk=	_BASSA_Vah}', "");
Expect(0, 92927, '\p{^Is_Blk=	_BASSA_Vah}', "");
Expect(0, 92927, '\P{Is_Blk=	_BASSA_Vah}', "");
Expect(1, 92927, '\P{^Is_Blk=	_BASSA_Vah}', "");
Expect(0, 92928, '\p{Is_Blk=	_BASSA_Vah}', "");
Expect(1, 92928, '\p{^Is_Blk=	_BASSA_Vah}', "");
Expect(1, 92928, '\P{Is_Blk=	_BASSA_Vah}', "");
Expect(0, 92928, '\P{^Is_Blk=	_BASSA_Vah}', "");
Error('\p{Block=:=	Batak}');
Error('\P{Block=:=	Batak}');
Expect(1, 7167, '\p{Block=batak}', "");
Expect(0, 7167, '\p{^Block=batak}', "");
Expect(0, 7167, '\P{Block=batak}', "");
Expect(1, 7167, '\P{^Block=batak}', "");
Expect(0, 7168, '\p{Block=batak}', "");
Expect(1, 7168, '\p{^Block=batak}', "");
Expect(1, 7168, '\P{Block=batak}', "");
Expect(0, 7168, '\P{^Block=batak}', "");
Expect(1, 7167, '\p{Block=_Batak}', "");
Expect(0, 7167, '\p{^Block=_Batak}', "");
Expect(0, 7167, '\P{Block=_Batak}', "");
Expect(1, 7167, '\P{^Block=_Batak}', "");
Expect(0, 7168, '\p{Block=_Batak}', "");
Expect(1, 7168, '\p{^Block=_Batak}', "");
Expect(1, 7168, '\P{Block=_Batak}', "");
Expect(0, 7168, '\P{^Block=_Batak}', "");
Error('\p{Blk=_batak/a/}');
Error('\P{Blk=_batak/a/}');
Expect(1, 7167, '\p{Blk=batak}', "");
Expect(0, 7167, '\p{^Blk=batak}', "");
Expect(0, 7167, '\P{Blk=batak}', "");
Expect(1, 7167, '\P{^Blk=batak}', "");
Expect(0, 7168, '\p{Blk=batak}', "");
Expect(1, 7168, '\p{^Blk=batak}', "");
Expect(1, 7168, '\P{Blk=batak}', "");
Expect(0, 7168, '\P{^Blk=batak}', "");
Expect(1, 7167, '\p{Blk=_batak}', "");
Expect(0, 7167, '\p{^Blk=_batak}', "");
Expect(0, 7167, '\P{Blk=_batak}', "");
Expect(1, 7167, '\P{^Blk=_batak}', "");
Expect(0, 7168, '\p{Blk=_batak}', "");
Expect(1, 7168, '\p{^Blk=_batak}', "");
Expect(1, 7168, '\P{Blk=_batak}', "");
Expect(0, 7168, '\P{^Blk=_batak}', "");
Error('\p{Is_Block=_ Batak/a/}');
Error('\P{Is_Block=_ Batak/a/}');
Expect(1, 7167, '\p{Is_Block=batak}', "");
Expect(0, 7167, '\p{^Is_Block=batak}', "");
Expect(0, 7167, '\P{Is_Block=batak}', "");
Expect(1, 7167, '\P{^Is_Block=batak}', "");
Expect(0, 7168, '\p{Is_Block=batak}', "");
Expect(1, 7168, '\p{^Is_Block=batak}', "");
Expect(1, 7168, '\P{Is_Block=batak}', "");
Expect(0, 7168, '\P{^Is_Block=batak}', "");
Expect(1, 7167, '\p{Is_Block=	_batak}', "");
Expect(0, 7167, '\p{^Is_Block=	_batak}', "");
Expect(0, 7167, '\P{Is_Block=	_batak}', "");
Expect(1, 7167, '\P{^Is_Block=	_batak}', "");
Expect(0, 7168, '\p{Is_Block=	_batak}', "");
Expect(1, 7168, '\p{^Is_Block=	_batak}', "");
Expect(1, 7168, '\P{Is_Block=	_batak}', "");
Expect(0, 7168, '\P{^Is_Block=	_batak}', "");
Error('\p{Is_Blk=--Batak:=}');
Error('\P{Is_Blk=--Batak:=}');
Expect(1, 7167, '\p{Is_Blk=batak}', "");
Expect(0, 7167, '\p{^Is_Blk=batak}', "");
Expect(0, 7167, '\P{Is_Blk=batak}', "");
Expect(1, 7167, '\P{^Is_Blk=batak}', "");
Expect(0, 7168, '\p{Is_Blk=batak}', "");
Expect(1, 7168, '\p{^Is_Blk=batak}', "");
Expect(1, 7168, '\P{Is_Blk=batak}', "");
Expect(0, 7168, '\P{^Is_Blk=batak}', "");
Expect(1, 7167, '\p{Is_Blk=	_BATAK}', "");
Expect(0, 7167, '\p{^Is_Blk=	_BATAK}', "");
Expect(0, 7167, '\P{Is_Blk=	_BATAK}', "");
Expect(1, 7167, '\P{^Is_Blk=	_BATAK}', "");
Expect(0, 7168, '\p{Is_Blk=	_BATAK}', "");
Expect(1, 7168, '\p{^Is_Blk=	_BATAK}', "");
Expect(1, 7168, '\P{Is_Blk=	_BATAK}', "");
Expect(0, 7168, '\P{^Is_Blk=	_BATAK}', "");
Error('\p{Block=_/a/Bengali}');
Error('\P{Block=_/a/Bengali}');
Expect(1, 2559, '\p{Block=bengali}', "");
Expect(0, 2559, '\p{^Block=bengali}', "");
Expect(0, 2559, '\P{Block=bengali}', "");
Expect(1, 2559, '\P{^Block=bengali}', "");
Expect(0, 2560, '\p{Block=bengali}', "");
Expect(1, 2560, '\p{^Block=bengali}', "");
Expect(1, 2560, '\P{Block=bengali}', "");
Expect(0, 2560, '\P{^Block=bengali}', "");
Expect(1, 2559, '\p{Block: Bengali}', "");
Expect(0, 2559, '\p{^Block: Bengali}', "");
Expect(0, 2559, '\P{Block: Bengali}', "");
Expect(1, 2559, '\P{^Block: Bengali}', "");
Expect(0, 2560, '\p{Block: Bengali}', "");
Expect(1, 2560, '\p{^Block: Bengali}', "");
Expect(1, 2560, '\P{Block: Bengali}', "");
Expect(0, 2560, '\P{^Block: Bengali}', "");
Error('\p{Blk=--Bengali/a/}');
Error('\P{Blk=--Bengali/a/}');
Expect(1, 2559, '\p{Blk=bengali}', "");
Expect(0, 2559, '\p{^Blk=bengali}', "");
Expect(0, 2559, '\P{Blk=bengali}', "");
Expect(1, 2559, '\P{^Blk=bengali}', "");
Expect(0, 2560, '\p{Blk=bengali}', "");
Expect(1, 2560, '\p{^Blk=bengali}', "");
Expect(1, 2560, '\P{Blk=bengali}', "");
Expect(0, 2560, '\P{^Blk=bengali}', "");
Expect(1, 2559, '\p{Blk=- bengali}', "");
Expect(0, 2559, '\p{^Blk=- bengali}', "");
Expect(0, 2559, '\P{Blk=- bengali}', "");
Expect(1, 2559, '\P{^Blk=- bengali}', "");
Expect(0, 2560, '\p{Blk=- bengali}', "");
Expect(1, 2560, '\p{^Blk=- bengali}', "");
Expect(1, 2560, '\P{Blk=- bengali}', "");
Expect(0, 2560, '\P{^Blk=- bengali}', "");
Error('\p{Is_Block=:=BENGALI}');
Error('\P{Is_Block=:=BENGALI}');
Expect(1, 2559, '\p{Is_Block=bengali}', "");
Expect(0, 2559, '\p{^Is_Block=bengali}', "");
Expect(0, 2559, '\P{Is_Block=bengali}', "");
Expect(1, 2559, '\P{^Is_Block=bengali}', "");
Expect(0, 2560, '\p{Is_Block=bengali}', "");
Expect(1, 2560, '\p{^Is_Block=bengali}', "");
Expect(1, 2560, '\P{Is_Block=bengali}', "");
Expect(0, 2560, '\P{^Is_Block=bengali}', "");
Expect(1, 2559, '\p{Is_Block=  bengali}', "");
Expect(0, 2559, '\p{^Is_Block=  bengali}', "");
Expect(0, 2559, '\P{Is_Block=  bengali}', "");
Expect(1, 2559, '\P{^Is_Block=  bengali}', "");
Expect(0, 2560, '\p{Is_Block=  bengali}', "");
Expect(1, 2560, '\p{^Is_Block=  bengali}', "");
Expect(1, 2560, '\P{Is_Block=  bengali}', "");
Expect(0, 2560, '\P{^Is_Block=  bengali}', "");
Error('\p{Is_Blk=:=	 bengali}');
Error('\P{Is_Blk=:=	 bengali}');
Expect(1, 2559, '\p{Is_Blk=bengali}', "");
Expect(0, 2559, '\p{^Is_Blk=bengali}', "");
Expect(0, 2559, '\P{Is_Blk=bengali}', "");
Expect(1, 2559, '\P{^Is_Blk=bengali}', "");
Expect(0, 2560, '\p{Is_Blk=bengali}', "");
Expect(1, 2560, '\p{^Is_Blk=bengali}', "");
Expect(1, 2560, '\P{Is_Blk=bengali}', "");
Expect(0, 2560, '\P{^Is_Blk=bengali}', "");
Expect(1, 2559, '\p{Is_Blk=_	Bengali}', "");
Expect(0, 2559, '\p{^Is_Blk=_	Bengali}', "");
Expect(0, 2559, '\P{Is_Blk=_	Bengali}', "");
Expect(1, 2559, '\P{^Is_Blk=_	Bengali}', "");
Expect(0, 2560, '\p{Is_Blk=_	Bengali}', "");
Expect(1, 2560, '\p{^Is_Blk=_	Bengali}', "");
Expect(1, 2560, '\P{Is_Blk=_	Bengali}', "");
Expect(0, 2560, '\P{^Is_Blk=_	Bengali}', "");
Error('\p{Block=-/a/Block_Elements}');
Error('\P{Block=-/a/Block_Elements}');
Expect(1, 9631, '\p{Block: blockelements}', "");
Expect(0, 9631, '\p{^Block: blockelements}', "");
Expect(0, 9631, '\P{Block: blockelements}', "");
Expect(1, 9631, '\P{^Block: blockelements}', "");
Expect(0, 9632, '\p{Block: blockelements}', "");
Expect(1, 9632, '\p{^Block: blockelements}', "");
Expect(1, 9632, '\P{Block: blockelements}', "");
Expect(0, 9632, '\P{^Block: blockelements}', "");
Expect(1, 9631, '\p{Block= Block_Elements}', "");
Expect(0, 9631, '\p{^Block= Block_Elements}', "");
Expect(0, 9631, '\P{Block= Block_Elements}', "");
Expect(1, 9631, '\P{^Block= Block_Elements}', "");
Expect(0, 9632, '\p{Block= Block_Elements}', "");
Expect(1, 9632, '\p{^Block= Block_Elements}', "");
Expect(1, 9632, '\P{Block= Block_Elements}', "");
Expect(0, 9632, '\P{^Block= Block_Elements}', "");
Error('\p{Blk=_/a/Block_ELEMENTS}');
Error('\P{Blk=_/a/Block_ELEMENTS}');
Expect(1, 9631, '\p{Blk=blockelements}', "");
Expect(0, 9631, '\p{^Blk=blockelements}', "");
Expect(0, 9631, '\P{Blk=blockelements}', "");
Expect(1, 9631, '\P{^Blk=blockelements}', "");
Expect(0, 9632, '\p{Blk=blockelements}', "");
Expect(1, 9632, '\p{^Blk=blockelements}', "");
Expect(1, 9632, '\P{Blk=blockelements}', "");
Expect(0, 9632, '\P{^Blk=blockelements}', "");
Expect(1, 9631, '\p{Blk=_BLOCK_elements}', "");
Expect(0, 9631, '\p{^Blk=_BLOCK_elements}', "");
Expect(0, 9631, '\P{Blk=_BLOCK_elements}', "");
Expect(1, 9631, '\P{^Blk=_BLOCK_elements}', "");
Expect(0, 9632, '\p{Blk=_BLOCK_elements}', "");
Expect(1, 9632, '\p{^Blk=_BLOCK_elements}', "");
Expect(1, 9632, '\P{Blk=_BLOCK_elements}', "");
Expect(0, 9632, '\P{^Blk=_BLOCK_elements}', "");
Error('\p{Is_Block=:=--block_Elements}');
Error('\P{Is_Block=:=--block_Elements}');
Expect(1, 9631, '\p{Is_Block=blockelements}', "");
Expect(0, 9631, '\p{^Is_Block=blockelements}', "");
Expect(0, 9631, '\P{Is_Block=blockelements}', "");
Expect(1, 9631, '\P{^Is_Block=blockelements}', "");
Expect(0, 9632, '\p{Is_Block=blockelements}', "");
Expect(1, 9632, '\p{^Is_Block=blockelements}', "");
Expect(1, 9632, '\P{Is_Block=blockelements}', "");
Expect(0, 9632, '\P{^Is_Block=blockelements}', "");
Expect(1, 9631, '\p{Is_Block=-Block_Elements}', "");
Expect(0, 9631, '\p{^Is_Block=-Block_Elements}', "");
Expect(0, 9631, '\P{Is_Block=-Block_Elements}', "");
Expect(1, 9631, '\P{^Is_Block=-Block_Elements}', "");
Expect(0, 9632, '\p{Is_Block=-Block_Elements}', "");
Expect(1, 9632, '\p{^Is_Block=-Block_Elements}', "");
Expect(1, 9632, '\P{Is_Block=-Block_Elements}', "");
Expect(0, 9632, '\P{^Is_Block=-Block_Elements}', "");
Error('\p{Is_Blk=/a/ 	Block_Elements}');
Error('\P{Is_Blk=/a/ 	Block_Elements}');
Expect(1, 9631, '\p{Is_Blk=blockelements}', "");
Expect(0, 9631, '\p{^Is_Blk=blockelements}', "");
Expect(0, 9631, '\P{Is_Blk=blockelements}', "");
Expect(1, 9631, '\P{^Is_Blk=blockelements}', "");
Expect(0, 9632, '\p{Is_Blk=blockelements}', "");
Expect(1, 9632, '\p{^Is_Blk=blockelements}', "");
Expect(1, 9632, '\P{Is_Blk=blockelements}', "");
Expect(0, 9632, '\P{^Is_Blk=blockelements}', "");
Expect(1, 9631, '\p{Is_Blk=	Block_Elements}', "");
Expect(0, 9631, '\p{^Is_Blk=	Block_Elements}', "");
Expect(0, 9631, '\P{Is_Blk=	Block_Elements}', "");
Expect(1, 9631, '\P{^Is_Blk=	Block_Elements}', "");
Expect(0, 9632, '\p{Is_Blk=	Block_Elements}', "");
Expect(1, 9632, '\p{^Is_Blk=	Block_Elements}', "");
Expect(1, 9632, '\P{Is_Blk=	Block_Elements}', "");
Expect(0, 9632, '\P{^Is_Blk=	Block_Elements}', "");
Error('\p{Block=-BOPOMOFO/a/}');
Error('\P{Block=-BOPOMOFO/a/}');
Expect(1, 12591, '\p{Block=bopomofo}', "");
Expect(0, 12591, '\p{^Block=bopomofo}', "");
Expect(0, 12591, '\P{Block=bopomofo}', "");
Expect(1, 12591, '\P{^Block=bopomofo}', "");
Expect(0, 12592, '\p{Block=bopomofo}', "");
Expect(1, 12592, '\p{^Block=bopomofo}', "");
Expect(1, 12592, '\P{Block=bopomofo}', "");
Expect(0, 12592, '\P{^Block=bopomofo}', "");
Expect(1, 12591, '\p{Block=- Bopomofo}', "");
Expect(0, 12591, '\p{^Block=- Bopomofo}', "");
Expect(0, 12591, '\P{Block=- Bopomofo}', "");
Expect(1, 12591, '\P{^Block=- Bopomofo}', "");
Expect(0, 12592, '\p{Block=- Bopomofo}', "");
Expect(1, 12592, '\p{^Block=- Bopomofo}', "");
Expect(1, 12592, '\P{Block=- Bopomofo}', "");
Expect(0, 12592, '\P{^Block=- Bopomofo}', "");
Error('\p{Blk=	:=Bopomofo}');
Error('\P{Blk=	:=Bopomofo}');
Expect(1, 12591, '\p{Blk=bopomofo}', "");
Expect(0, 12591, '\p{^Blk=bopomofo}', "");
Expect(0, 12591, '\P{Blk=bopomofo}', "");
Expect(1, 12591, '\P{^Blk=bopomofo}', "");
Expect(0, 12592, '\p{Blk=bopomofo}', "");
Expect(1, 12592, '\p{^Blk=bopomofo}', "");
Expect(1, 12592, '\P{Blk=bopomofo}', "");
Expect(0, 12592, '\P{^Blk=bopomofo}', "");
Expect(1, 12591, '\p{Blk=  Bopomofo}', "");
Expect(0, 12591, '\p{^Blk=  Bopomofo}', "");
Expect(0, 12591, '\P{Blk=  Bopomofo}', "");
Expect(1, 12591, '\P{^Blk=  Bopomofo}', "");
Expect(0, 12592, '\p{Blk=  Bopomofo}', "");
Expect(1, 12592, '\p{^Blk=  Bopomofo}', "");
Expect(1, 12592, '\P{Blk=  Bopomofo}', "");
Expect(0, 12592, '\P{^Blk=  Bopomofo}', "");
Error('\p{Is_Block=:=	_bopomofo}');
Error('\P{Is_Block=:=	_bopomofo}');
Expect(1, 12591, '\p{Is_Block=bopomofo}', "");
Expect(0, 12591, '\p{^Is_Block=bopomofo}', "");
Expect(0, 12591, '\P{Is_Block=bopomofo}', "");
Expect(1, 12591, '\P{^Is_Block=bopomofo}', "");
Expect(0, 12592, '\p{Is_Block=bopomofo}', "");
Expect(1, 12592, '\p{^Is_Block=bopomofo}', "");
Expect(1, 12592, '\P{Is_Block=bopomofo}', "");
Expect(0, 12592, '\P{^Is_Block=bopomofo}', "");
Expect(1, 12591, '\p{Is_Block= _Bopomofo}', "");
Expect(0, 12591, '\p{^Is_Block= _Bopomofo}', "");
Expect(0, 12591, '\P{Is_Block= _Bopomofo}', "");
Expect(1, 12591, '\P{^Is_Block= _Bopomofo}', "");
Expect(0, 12592, '\p{Is_Block= _Bopomofo}', "");
Expect(1, 12592, '\p{^Is_Block= _Bopomofo}', "");
Expect(1, 12592, '\P{Is_Block= _Bopomofo}', "");
Expect(0, 12592, '\P{^Is_Block= _Bopomofo}', "");
Error('\p{Is_Blk=/a/ bopomofo}');
Error('\P{Is_Blk=/a/ bopomofo}');
Expect(1, 12591, '\p{Is_Blk=bopomofo}', "");
Expect(0, 12591, '\p{^Is_Blk=bopomofo}', "");
Expect(0, 12591, '\P{Is_Blk=bopomofo}', "");
Expect(1, 12591, '\P{^Is_Blk=bopomofo}', "");
Expect(0, 12592, '\p{Is_Blk=bopomofo}', "");
Expect(1, 12592, '\p{^Is_Blk=bopomofo}', "");
Expect(1, 12592, '\P{Is_Blk=bopomofo}', "");
Expect(0, 12592, '\P{^Is_Blk=bopomofo}', "");
Expect(1, 12591, '\p{Is_Blk= 	Bopomofo}', "");
Expect(0, 12591, '\p{^Is_Blk= 	Bopomofo}', "");
Expect(0, 12591, '\P{Is_Blk= 	Bopomofo}', "");
Expect(1, 12591, '\P{^Is_Blk= 	Bopomofo}', "");
Expect(0, 12592, '\p{Is_Blk= 	Bopomofo}', "");
Expect(1, 12592, '\p{^Is_Blk= 	Bopomofo}', "");
Expect(1, 12592, '\P{Is_Blk= 	Bopomofo}', "");
Expect(0, 12592, '\P{^Is_Blk= 	Bopomofo}', "");
Error('\p{Block=/a/--Bopomofo_EXTENDED}');
Error('\P{Block=/a/--Bopomofo_EXTENDED}');
Expect(1, 12735, '\p{Block: bopomofoextended}', "");
Expect(0, 12735, '\p{^Block: bopomofoextended}', "");
Expect(0, 12735, '\P{Block: bopomofoextended}', "");
Expect(1, 12735, '\P{^Block: bopomofoextended}', "");
Expect(0, 12736, '\p{Block: bopomofoextended}', "");
Expect(1, 12736, '\p{^Block: bopomofoextended}', "");
Expect(1, 12736, '\P{Block: bopomofoextended}', "");
Expect(0, 12736, '\P{^Block: bopomofoextended}', "");
Expect(1, 12735, '\p{Block=	-Bopomofo_EXTENDED}', "");
Expect(0, 12735, '\p{^Block=	-Bopomofo_EXTENDED}', "");
Expect(0, 12735, '\P{Block=	-Bopomofo_EXTENDED}', "");
Expect(1, 12735, '\P{^Block=	-Bopomofo_EXTENDED}', "");
Expect(0, 12736, '\p{Block=	-Bopomofo_EXTENDED}', "");
Expect(1, 12736, '\p{^Block=	-Bopomofo_EXTENDED}', "");
Expect(1, 12736, '\P{Block=	-Bopomofo_EXTENDED}', "");
Expect(0, 12736, '\P{^Block=	-Bopomofo_EXTENDED}', "");
Error('\p{Blk=-/a/BOPOMOFO_EXT}');
Error('\P{Blk=-/a/BOPOMOFO_EXT}');
Expect(1, 12735, '\p{Blk:	bopomofoext}', "");
Expect(0, 12735, '\p{^Blk:	bopomofoext}', "");
Expect(0, 12735, '\P{Blk:	bopomofoext}', "");
Expect(1, 12735, '\P{^Blk:	bopomofoext}', "");
Expect(0, 12736, '\p{Blk:	bopomofoext}', "");
Expect(1, 12736, '\p{^Blk:	bopomofoext}', "");
Expect(1, 12736, '\P{Blk:	bopomofoext}', "");
Expect(0, 12736, '\P{^Blk:	bopomofoext}', "");
Expect(1, 12735, '\p{Blk= _BOPOMOFO_Ext}', "");
Expect(0, 12735, '\p{^Blk= _BOPOMOFO_Ext}', "");
Expect(0, 12735, '\P{Blk= _BOPOMOFO_Ext}', "");
Expect(1, 12735, '\P{^Blk= _BOPOMOFO_Ext}', "");
Expect(0, 12736, '\p{Blk= _BOPOMOFO_Ext}', "");
Expect(1, 12736, '\p{^Blk= _BOPOMOFO_Ext}', "");
Expect(1, 12736, '\P{Blk= _BOPOMOFO_Ext}', "");
Expect(0, 12736, '\P{^Blk= _BOPOMOFO_Ext}', "");
Error('\p{Is_Block=/a/Bopomofo_EXTENDED}');
Error('\P{Is_Block=/a/Bopomofo_EXTENDED}');
Expect(1, 12735, '\p{Is_Block=bopomofoextended}', "");
Expect(0, 12735, '\p{^Is_Block=bopomofoextended}', "");
Expect(0, 12735, '\P{Is_Block=bopomofoextended}', "");
Expect(1, 12735, '\P{^Is_Block=bopomofoextended}', "");
Expect(0, 12736, '\p{Is_Block=bopomofoextended}', "");
Expect(1, 12736, '\p{^Is_Block=bopomofoextended}', "");
Expect(1, 12736, '\P{Is_Block=bopomofoextended}', "");
Expect(0, 12736, '\P{^Is_Block=bopomofoextended}', "");
Expect(1, 12735, '\p{Is_Block:	Bopomofo_extended}', "");
Expect(0, 12735, '\p{^Is_Block:	Bopomofo_extended}', "");
Expect(0, 12735, '\P{Is_Block:	Bopomofo_extended}', "");
Expect(1, 12735, '\P{^Is_Block:	Bopomofo_extended}', "");
Expect(0, 12736, '\p{Is_Block:	Bopomofo_extended}', "");
Expect(1, 12736, '\p{^Is_Block:	Bopomofo_extended}', "");
Expect(1, 12736, '\P{Is_Block:	Bopomofo_extended}', "");
Expect(0, 12736, '\P{^Is_Block:	Bopomofo_extended}', "");
Error('\p{Is_Blk=	Bopomofo_ext/a/}');
Error('\P{Is_Blk=	Bopomofo_ext/a/}');
Expect(1, 12735, '\p{Is_Blk=bopomofoext}', "");
Expect(0, 12735, '\p{^Is_Blk=bopomofoext}', "");
Expect(0, 12735, '\P{Is_Blk=bopomofoext}', "");
Expect(1, 12735, '\P{^Is_Blk=bopomofoext}', "");
Expect(0, 12736, '\p{Is_Blk=bopomofoext}', "");
Expect(1, 12736, '\p{^Is_Blk=bopomofoext}', "");
Expect(1, 12736, '\P{Is_Blk=bopomofoext}', "");
Expect(0, 12736, '\P{^Is_Blk=bopomofoext}', "");
Expect(1, 12735, '\p{Is_Blk= BOPOMOFO_EXT}', "");
Expect(0, 12735, '\p{^Is_Blk= BOPOMOFO_EXT}', "");
Expect(0, 12735, '\P{Is_Blk= BOPOMOFO_EXT}', "");
Expect(1, 12735, '\P{^Is_Blk= BOPOMOFO_EXT}', "");
Expect(0, 12736, '\p{Is_Blk= BOPOMOFO_EXT}', "");
Expect(1, 12736, '\p{^Is_Blk= BOPOMOFO_EXT}', "");
Expect(1, 12736, '\P{Is_Blk= BOPOMOFO_EXT}', "");
Expect(0, 12736, '\P{^Is_Blk= BOPOMOFO_EXT}', "");
Error('\p{Block=/a/		Box_Drawing}');
Error('\P{Block=/a/		Box_Drawing}');
Expect(1, 9599, '\p{Block=boxdrawing}', "");
Expect(0, 9599, '\p{^Block=boxdrawing}', "");
Expect(0, 9599, '\P{Block=boxdrawing}', "");
Expect(1, 9599, '\P{^Block=boxdrawing}', "");
Expect(0, 9600, '\p{Block=boxdrawing}', "");
Expect(1, 9600, '\p{^Block=boxdrawing}', "");
Expect(1, 9600, '\P{Block=boxdrawing}', "");
Expect(0, 9600, '\P{^Block=boxdrawing}', "");
Expect(1, 9599, '\p{Block=_ Box_DRAWING}', "");
Expect(0, 9599, '\p{^Block=_ Box_DRAWING}', "");
Expect(0, 9599, '\P{Block=_ Box_DRAWING}', "");
Expect(1, 9599, '\P{^Block=_ Box_DRAWING}', "");
Expect(0, 9600, '\p{Block=_ Box_DRAWING}', "");
Expect(1, 9600, '\p{^Block=_ Box_DRAWING}', "");
Expect(1, 9600, '\P{Block=_ Box_DRAWING}', "");
Expect(0, 9600, '\P{^Block=_ Box_DRAWING}', "");
Error('\p{Blk=/a/  box_Drawing}');
Error('\P{Blk=/a/  box_Drawing}');
Expect(1, 9599, '\p{Blk:   boxdrawing}', "");
Expect(0, 9599, '\p{^Blk:   boxdrawing}', "");
Expect(0, 9599, '\P{Blk:   boxdrawing}', "");
Expect(1, 9599, '\P{^Blk:   boxdrawing}', "");
Expect(0, 9600, '\p{Blk:   boxdrawing}', "");
Expect(1, 9600, '\p{^Blk:   boxdrawing}', "");
Expect(1, 9600, '\P{Blk:   boxdrawing}', "");
Expect(0, 9600, '\P{^Blk:   boxdrawing}', "");
Expect(1, 9599, '\p{Blk=	 BOX_Drawing}', "");
Expect(0, 9599, '\p{^Blk=	 BOX_Drawing}', "");
Expect(0, 9599, '\P{Blk=	 BOX_Drawing}', "");
Expect(1, 9599, '\P{^Blk=	 BOX_Drawing}', "");
Expect(0, 9600, '\p{Blk=	 BOX_Drawing}', "");
Expect(1, 9600, '\p{^Blk=	 BOX_Drawing}', "");
Expect(1, 9600, '\P{Blk=	 BOX_Drawing}', "");
Expect(0, 9600, '\P{^Blk=	 BOX_Drawing}', "");
Error('\p{Is_Block=_:=box_Drawing}');
Error('\P{Is_Block=_:=box_Drawing}');
Expect(1, 9599, '\p{Is_Block:	boxdrawing}', "");
Expect(0, 9599, '\p{^Is_Block:	boxdrawing}', "");
Expect(0, 9599, '\P{Is_Block:	boxdrawing}', "");
Expect(1, 9599, '\P{^Is_Block:	boxdrawing}', "");
Expect(0, 9600, '\p{Is_Block:	boxdrawing}', "");
Expect(1, 9600, '\p{^Is_Block:	boxdrawing}', "");
Expect(1, 9600, '\P{Is_Block:	boxdrawing}', "");
Expect(0, 9600, '\P{^Is_Block:	boxdrawing}', "");
Expect(1, 9599, '\p{Is_Block=	-box_drawing}', "");
Expect(0, 9599, '\p{^Is_Block=	-box_drawing}', "");
Expect(0, 9599, '\P{Is_Block=	-box_drawing}', "");
Expect(1, 9599, '\P{^Is_Block=	-box_drawing}', "");
Expect(0, 9600, '\p{Is_Block=	-box_drawing}', "");
Expect(1, 9600, '\p{^Is_Block=	-box_drawing}', "");
Expect(1, 9600, '\P{Is_Block=	-box_drawing}', "");
Expect(0, 9600, '\P{^Is_Block=	-box_drawing}', "");
Error('\p{Is_Blk=/a/_	box_DRAWING}');
Error('\P{Is_Blk=/a/_	box_DRAWING}');
Expect(1, 9599, '\p{Is_Blk=boxdrawing}', "");
Expect(0, 9599, '\p{^Is_Blk=boxdrawing}', "");
Expect(0, 9599, '\P{Is_Blk=boxdrawing}', "");
Expect(1, 9599, '\P{^Is_Blk=boxdrawing}', "");
Expect(0, 9600, '\p{Is_Blk=boxdrawing}', "");
Expect(1, 9600, '\p{^Is_Blk=boxdrawing}', "");
Expect(1, 9600, '\P{Is_Blk=boxdrawing}', "");
Expect(0, 9600, '\P{^Is_Blk=boxdrawing}', "");
Expect(1, 9599, '\p{Is_Blk=- BOX_drawing}', "");
Expect(0, 9599, '\p{^Is_Blk=- BOX_drawing}', "");
Expect(0, 9599, '\P{Is_Blk=- BOX_drawing}', "");
Expect(1, 9599, '\P{^Is_Blk=- BOX_drawing}', "");
Expect(0, 9600, '\p{Is_Blk=- BOX_drawing}', "");
Expect(1, 9600, '\p{^Is_Blk=- BOX_drawing}', "");
Expect(1, 9600, '\P{Is_Blk=- BOX_drawing}', "");
Expect(0, 9600, '\P{^Is_Blk=- BOX_drawing}', "");
Error('\p{Block=	:=brahmi}');
Error('\P{Block=	:=brahmi}');
Expect(1, 69759, '\p{Block:	brahmi}', "");
Expect(0, 69759, '\p{^Block:	brahmi}', "");
Expect(0, 69759, '\P{Block:	brahmi}', "");
Expect(1, 69759, '\P{^Block:	brahmi}', "");
Expect(0, 69760, '\p{Block:	brahmi}', "");
Expect(1, 69760, '\p{^Block:	brahmi}', "");
Expect(1, 69760, '\P{Block:	brahmi}', "");
Expect(0, 69760, '\P{^Block:	brahmi}', "");
Expect(1, 69759, '\p{Block=_	Brahmi}', "");
Expect(0, 69759, '\p{^Block=_	Brahmi}', "");
Expect(0, 69759, '\P{Block=_	Brahmi}', "");
Expect(1, 69759, '\P{^Block=_	Brahmi}', "");
Expect(0, 69760, '\p{Block=_	Brahmi}', "");
Expect(1, 69760, '\p{^Block=_	Brahmi}', "");
Expect(1, 69760, '\P{Block=_	Brahmi}', "");
Expect(0, 69760, '\P{^Block=_	Brahmi}', "");
Error('\p{Blk=:=-Brahmi}');
Error('\P{Blk=:=-Brahmi}');
Expect(1, 69759, '\p{Blk:	brahmi}', "");
Expect(0, 69759, '\p{^Blk:	brahmi}', "");
Expect(0, 69759, '\P{Blk:	brahmi}', "");
Expect(1, 69759, '\P{^Blk:	brahmi}', "");
Expect(0, 69760, '\p{Blk:	brahmi}', "");
Expect(1, 69760, '\p{^Blk:	brahmi}', "");
Expect(1, 69760, '\P{Blk:	brahmi}', "");
Expect(0, 69760, '\P{^Blk:	brahmi}', "");
Expect(1, 69759, '\p{Blk:   _BRAHMI}', "");
Expect(0, 69759, '\p{^Blk:   _BRAHMI}', "");
Expect(0, 69759, '\P{Blk:   _BRAHMI}', "");
Expect(1, 69759, '\P{^Blk:   _BRAHMI}', "");
Expect(0, 69760, '\p{Blk:   _BRAHMI}', "");
Expect(1, 69760, '\p{^Blk:   _BRAHMI}', "");
Expect(1, 69760, '\P{Blk:   _BRAHMI}', "");
Expect(0, 69760, '\P{^Blk:   _BRAHMI}', "");
Error('\p{Is_Block=:=Brahmi}');
Error('\P{Is_Block=:=Brahmi}');
Expect(1, 69759, '\p{Is_Block=brahmi}', "");
Expect(0, 69759, '\p{^Is_Block=brahmi}', "");
Expect(0, 69759, '\P{Is_Block=brahmi}', "");
Expect(1, 69759, '\P{^Is_Block=brahmi}', "");
Expect(0, 69760, '\p{Is_Block=brahmi}', "");
Expect(1, 69760, '\p{^Is_Block=brahmi}', "");
Expect(1, 69760, '\P{Is_Block=brahmi}', "");
Expect(0, 69760, '\P{^Is_Block=brahmi}', "");
Expect(1, 69759, '\p{Is_Block=	Brahmi}', "");
Expect(0, 69759, '\p{^Is_Block=	Brahmi}', "");
Expect(0, 69759, '\P{Is_Block=	Brahmi}', "");
Expect(1, 69759, '\P{^Is_Block=	Brahmi}', "");
Expect(0, 69760, '\p{Is_Block=	Brahmi}', "");
Expect(1, 69760, '\p{^Is_Block=	Brahmi}', "");
Expect(1, 69760, '\P{Is_Block=	Brahmi}', "");
Expect(0, 69760, '\P{^Is_Block=	Brahmi}', "");
Error('\p{Is_Blk=- Brahmi/a/}');
Error('\P{Is_Blk=- Brahmi/a/}');
Expect(1, 69759, '\p{Is_Blk=brahmi}', "");
Expect(0, 69759, '\p{^Is_Blk=brahmi}', "");
Expect(0, 69759, '\P{Is_Blk=brahmi}', "");
Expect(1, 69759, '\P{^Is_Blk=brahmi}', "");
Expect(0, 69760, '\p{Is_Blk=brahmi}', "");
Expect(1, 69760, '\p{^Is_Blk=brahmi}', "");
Expect(1, 69760, '\P{Is_Blk=brahmi}', "");
Expect(0, 69760, '\P{^Is_Blk=brahmi}', "");
Expect(1, 69759, '\p{Is_Blk=_ Brahmi}', "");
Expect(0, 69759, '\p{^Is_Blk=_ Brahmi}', "");
Expect(0, 69759, '\P{Is_Blk=_ Brahmi}', "");
Expect(1, 69759, '\P{^Is_Blk=_ Brahmi}', "");
Expect(0, 69760, '\p{Is_Blk=_ Brahmi}', "");
Expect(1, 69760, '\p{^Is_Blk=_ Brahmi}', "");
Expect(1, 69760, '\P{Is_Blk=_ Brahmi}', "");
Expect(0, 69760, '\P{^Is_Blk=_ Brahmi}', "");
Error('\p{Block=_:=BRAILLE_patterns}');
Error('\P{Block=_:=BRAILLE_patterns}');
Expect(1, 10495, '\p{Block=braillepatterns}', "");
Expect(0, 10495, '\p{^Block=braillepatterns}', "");
Expect(0, 10495, '\P{Block=braillepatterns}', "");
Expect(1, 10495, '\P{^Block=braillepatterns}', "");
Expect(0, 10496, '\p{Block=braillepatterns}', "");
Expect(1, 10496, '\p{^Block=braillepatterns}', "");
Expect(1, 10496, '\P{Block=braillepatterns}', "");
Expect(0, 10496, '\P{^Block=braillepatterns}', "");
Expect(1, 10495, '\p{Block:    -BRAILLE_PATTERNS}', "");
Expect(0, 10495, '\p{^Block:    -BRAILLE_PATTERNS}', "");
Expect(0, 10495, '\P{Block:    -BRAILLE_PATTERNS}', "");
Expect(1, 10495, '\P{^Block:    -BRAILLE_PATTERNS}', "");
Expect(0, 10496, '\p{Block:    -BRAILLE_PATTERNS}', "");
Expect(1, 10496, '\p{^Block:    -BRAILLE_PATTERNS}', "");
Expect(1, 10496, '\P{Block:    -BRAILLE_PATTERNS}', "");
Expect(0, 10496, '\P{^Block:    -BRAILLE_PATTERNS}', "");
Error('\p{Blk=  braille:=}');
Error('\P{Blk=  braille:=}');
Expect(1, 10495, '\p{Blk=braille}', "");
Expect(0, 10495, '\p{^Blk=braille}', "");
Expect(0, 10495, '\P{Blk=braille}', "");
Expect(1, 10495, '\P{^Blk=braille}', "");
Expect(0, 10496, '\p{Blk=braille}', "");
Expect(1, 10496, '\p{^Blk=braille}', "");
Expect(1, 10496, '\P{Blk=braille}', "");
Expect(0, 10496, '\P{^Blk=braille}', "");
Expect(1, 10495, '\p{Blk=		BRAILLE}', "");
Expect(0, 10495, '\p{^Blk=		BRAILLE}', "");
Expect(0, 10495, '\P{Blk=		BRAILLE}', "");
Expect(1, 10495, '\P{^Blk=		BRAILLE}', "");
Expect(0, 10496, '\p{Blk=		BRAILLE}', "");
Expect(1, 10496, '\p{^Blk=		BRAILLE}', "");
Expect(1, 10496, '\P{Blk=		BRAILLE}', "");
Expect(0, 10496, '\P{^Blk=		BRAILLE}', "");
Error('\p{Is_Block=_-BRAILLE_Patterns/a/}');
Error('\P{Is_Block=_-BRAILLE_Patterns/a/}');
Expect(1, 10495, '\p{Is_Block=braillepatterns}', "");
Expect(0, 10495, '\p{^Is_Block=braillepatterns}', "");
Expect(0, 10495, '\P{Is_Block=braillepatterns}', "");
Expect(1, 10495, '\P{^Is_Block=braillepatterns}', "");
Expect(0, 10496, '\p{Is_Block=braillepatterns}', "");
Expect(1, 10496, '\p{^Is_Block=braillepatterns}', "");
Expect(1, 10496, '\P{Is_Block=braillepatterns}', "");
Expect(0, 10496, '\P{^Is_Block=braillepatterns}', "");
Expect(1, 10495, '\p{Is_Block=  BRAILLE_Patterns}', "");
Expect(0, 10495, '\p{^Is_Block=  BRAILLE_Patterns}', "");
Expect(0, 10495, '\P{Is_Block=  BRAILLE_Patterns}', "");
Expect(1, 10495, '\P{^Is_Block=  BRAILLE_Patterns}', "");
Expect(0, 10496, '\p{Is_Block=  BRAILLE_Patterns}', "");
Expect(1, 10496, '\p{^Is_Block=  BRAILLE_Patterns}', "");
Expect(1, 10496, '\P{Is_Block=  BRAILLE_Patterns}', "");
Expect(0, 10496, '\P{^Is_Block=  BRAILLE_Patterns}', "");
Error('\p{Is_Blk=	:=Braille}');
Error('\P{Is_Blk=	:=Braille}');
Expect(1, 10495, '\p{Is_Blk=braille}', "");
Expect(0, 10495, '\p{^Is_Blk=braille}', "");
Expect(0, 10495, '\P{Is_Blk=braille}', "");
Expect(1, 10495, '\P{^Is_Blk=braille}', "");
Expect(0, 10496, '\p{Is_Blk=braille}', "");
Expect(1, 10496, '\p{^Is_Blk=braille}', "");
Expect(1, 10496, '\P{Is_Blk=braille}', "");
Expect(0, 10496, '\P{^Is_Blk=braille}', "");
Expect(1, 10495, '\p{Is_Blk= braille}', "");
Expect(0, 10495, '\p{^Is_Blk= braille}', "");
Expect(0, 10495, '\P{Is_Blk= braille}', "");
Expect(1, 10495, '\P{^Is_Blk= braille}', "");
Expect(0, 10496, '\p{Is_Blk= braille}', "");
Expect(1, 10496, '\p{^Is_Blk= braille}', "");
Expect(1, 10496, '\P{Is_Blk= braille}', "");
Expect(0, 10496, '\P{^Is_Blk= braille}', "");
Error('\p{Block=_	BUGINESE/a/}');
Error('\P{Block=_	BUGINESE/a/}');
Expect(1, 6687, '\p{Block:	buginese}', "");
Expect(0, 6687, '\p{^Block:	buginese}', "");
Expect(0, 6687, '\P{Block:	buginese}', "");
Expect(1, 6687, '\P{^Block:	buginese}', "");
Expect(0, 6688, '\p{Block:	buginese}', "");
Expect(1, 6688, '\p{^Block:	buginese}', "");
Expect(1, 6688, '\P{Block:	buginese}', "");
Expect(0, 6688, '\P{^Block:	buginese}', "");
Expect(1, 6687, '\p{Block=	Buginese}', "");
Expect(0, 6687, '\p{^Block=	Buginese}', "");
Expect(0, 6687, '\P{Block=	Buginese}', "");
Expect(1, 6687, '\P{^Block=	Buginese}', "");
Expect(0, 6688, '\p{Block=	Buginese}', "");
Expect(1, 6688, '\p{^Block=	Buginese}', "");
Expect(1, 6688, '\P{Block=	Buginese}', "");
Expect(0, 6688, '\P{^Block=	Buginese}', "");
Error('\p{Blk=:=__Buginese}');
Error('\P{Blk=:=__Buginese}');
Expect(1, 6687, '\p{Blk=buginese}', "");
Expect(0, 6687, '\p{^Blk=buginese}', "");
Expect(0, 6687, '\P{Blk=buginese}', "");
Expect(1, 6687, '\P{^Blk=buginese}', "");
Expect(0, 6688, '\p{Blk=buginese}', "");
Expect(1, 6688, '\p{^Blk=buginese}', "");
Expect(1, 6688, '\P{Blk=buginese}', "");
Expect(0, 6688, '\P{^Blk=buginese}', "");
Expect(1, 6687, '\p{Blk=	_buginese}', "");
Expect(0, 6687, '\p{^Blk=	_buginese}', "");
Expect(0, 6687, '\P{Blk=	_buginese}', "");
Expect(1, 6687, '\P{^Blk=	_buginese}', "");
Expect(0, 6688, '\p{Blk=	_buginese}', "");
Expect(1, 6688, '\p{^Blk=	_buginese}', "");
Expect(1, 6688, '\P{Blk=	_buginese}', "");
Expect(0, 6688, '\P{^Blk=	_buginese}', "");
Error('\p{Is_Block=/a/ 	buginese}');
Error('\P{Is_Block=/a/ 	buginese}');
Expect(1, 6687, '\p{Is_Block:   buginese}', "");
Expect(0, 6687, '\p{^Is_Block:   buginese}', "");
Expect(0, 6687, '\P{Is_Block:   buginese}', "");
Expect(1, 6687, '\P{^Is_Block:   buginese}', "");
Expect(0, 6688, '\p{Is_Block:   buginese}', "");
Expect(1, 6688, '\p{^Is_Block:   buginese}', "");
Expect(1, 6688, '\P{Is_Block:   buginese}', "");
Expect(0, 6688, '\P{^Is_Block:   buginese}', "");
Expect(1, 6687, '\p{Is_Block=__Buginese}', "");
Expect(0, 6687, '\p{^Is_Block=__Buginese}', "");
Expect(0, 6687, '\P{Is_Block=__Buginese}', "");
Expect(1, 6687, '\P{^Is_Block=__Buginese}', "");
Expect(0, 6688, '\p{Is_Block=__Buginese}', "");
Expect(1, 6688, '\p{^Is_Block=__Buginese}', "");
Expect(1, 6688, '\P{Is_Block=__Buginese}', "");
Expect(0, 6688, '\P{^Is_Block=__Buginese}', "");
Error('\p{Is_Blk=	/a/Buginese}');
Error('\P{Is_Blk=	/a/Buginese}');
Expect(1, 6687, '\p{Is_Blk=buginese}', "");
Expect(0, 6687, '\p{^Is_Blk=buginese}', "");
Expect(0, 6687, '\P{Is_Blk=buginese}', "");
Expect(1, 6687, '\P{^Is_Blk=buginese}', "");
Expect(0, 6688, '\p{Is_Blk=buginese}', "");
Expect(1, 6688, '\p{^Is_Blk=buginese}', "");
Expect(1, 6688, '\P{Is_Blk=buginese}', "");
Expect(0, 6688, '\P{^Is_Blk=buginese}', "");
Expect(1, 6687, '\p{Is_Blk: -	buginese}', "");
Expect(0, 6687, '\p{^Is_Blk: -	buginese}', "");
Expect(0, 6687, '\P{Is_Blk: -	buginese}', "");
Expect(1, 6687, '\P{^Is_Blk: -	buginese}', "");
Expect(0, 6688, '\p{Is_Blk: -	buginese}', "");
Expect(1, 6688, '\p{^Is_Blk: -	buginese}', "");
Expect(1, 6688, '\P{Is_Blk: -	buginese}', "");
Expect(0, 6688, '\P{^Is_Blk: -	buginese}', "");
Error('\p{Block=:=Buhid}');
Error('\P{Block=:=Buhid}');
Expect(1, 5983, '\p{Block=buhid}', "");
Expect(0, 5983, '\p{^Block=buhid}', "");
Expect(0, 5983, '\P{Block=buhid}', "");
Expect(1, 5983, '\P{^Block=buhid}', "");
Expect(0, 5984, '\p{Block=buhid}', "");
Expect(1, 5984, '\p{^Block=buhid}', "");
Expect(1, 5984, '\P{Block=buhid}', "");
Expect(0, 5984, '\P{^Block=buhid}', "");
Expect(1, 5983, '\p{Block=_	Buhid}', "");
Expect(0, 5983, '\p{^Block=_	Buhid}', "");
Expect(0, 5983, '\P{Block=_	Buhid}', "");
Expect(1, 5983, '\P{^Block=_	Buhid}', "");
Expect(0, 5984, '\p{Block=_	Buhid}', "");
Expect(1, 5984, '\p{^Block=_	Buhid}', "");
Expect(1, 5984, '\P{Block=_	Buhid}', "");
Expect(0, 5984, '\P{^Block=_	Buhid}', "");
Error('\p{Blk=_Buhid/a/}');
Error('\P{Blk=_Buhid/a/}');
Expect(1, 5983, '\p{Blk=buhid}', "");
Expect(0, 5983, '\p{^Blk=buhid}', "");
Expect(0, 5983, '\P{Blk=buhid}', "");
Expect(1, 5983, '\P{^Blk=buhid}', "");
Expect(0, 5984, '\p{Blk=buhid}', "");
Expect(1, 5984, '\p{^Blk=buhid}', "");
Expect(1, 5984, '\P{Blk=buhid}', "");
Expect(0, 5984, '\P{^Blk=buhid}', "");
Expect(1, 5983, '\p{Blk=		Buhid}', "");
Expect(0, 5983, '\p{^Blk=		Buhid}', "");
Expect(0, 5983, '\P{Blk=		Buhid}', "");
Expect(1, 5983, '\P{^Blk=		Buhid}', "");
Expect(0, 5984, '\p{Blk=		Buhid}', "");
Expect(1, 5984, '\p{^Blk=		Buhid}', "");
Expect(1, 5984, '\P{Blk=		Buhid}', "");
Expect(0, 5984, '\P{^Blk=		Buhid}', "");
Error('\p{Is_Block=-/a/Buhid}');
Error('\P{Is_Block=-/a/Buhid}');
Expect(1, 5983, '\p{Is_Block=buhid}', "");
Expect(0, 5983, '\p{^Is_Block=buhid}', "");
Expect(0, 5983, '\P{Is_Block=buhid}', "");
Expect(1, 5983, '\P{^Is_Block=buhid}', "");
Expect(0, 5984, '\p{Is_Block=buhid}', "");
Expect(1, 5984, '\p{^Is_Block=buhid}', "");
Expect(1, 5984, '\P{Is_Block=buhid}', "");
Expect(0, 5984, '\P{^Is_Block=buhid}', "");
Expect(1, 5983, '\p{Is_Block=	 BUHID}', "");
Expect(0, 5983, '\p{^Is_Block=	 BUHID}', "");
Expect(0, 5983, '\P{Is_Block=	 BUHID}', "");
Expect(1, 5983, '\P{^Is_Block=	 BUHID}', "");
Expect(0, 5984, '\p{Is_Block=	 BUHID}', "");
Expect(1, 5984, '\p{^Is_Block=	 BUHID}', "");
Expect(1, 5984, '\P{Is_Block=	 BUHID}', "");
Expect(0, 5984, '\P{^Is_Block=	 BUHID}', "");
Error('\p{Is_Blk=-_buhid/a/}');
Error('\P{Is_Blk=-_buhid/a/}');
Expect(1, 5983, '\p{Is_Blk=buhid}', "");
Expect(0, 5983, '\p{^Is_Blk=buhid}', "");
Expect(0, 5983, '\P{Is_Blk=buhid}', "");
Expect(1, 5983, '\P{^Is_Blk=buhid}', "");
Expect(0, 5984, '\p{Is_Blk=buhid}', "");
Expect(1, 5984, '\p{^Is_Blk=buhid}', "");
Expect(1, 5984, '\P{Is_Blk=buhid}', "");
Expect(0, 5984, '\P{^Is_Blk=buhid}', "");
Expect(1, 5983, '\p{Is_Blk:	-Buhid}', "");
Expect(0, 5983, '\p{^Is_Blk:	-Buhid}', "");
Expect(0, 5983, '\P{Is_Blk:	-Buhid}', "");
Expect(1, 5983, '\P{^Is_Blk:	-Buhid}', "");
Expect(0, 5984, '\p{Is_Blk:	-Buhid}', "");
Expect(1, 5984, '\p{^Is_Blk:	-Buhid}', "");
Expect(1, 5984, '\P{Is_Blk:	-Buhid}', "");
Expect(0, 5984, '\P{^Is_Blk:	-Buhid}', "");
Error('\p{Block=-/a/BYZANTINE_musical_Symbols}');
Error('\P{Block=-/a/BYZANTINE_musical_Symbols}');
Expect(1, 119039, '\p{Block=byzantinemusicalsymbols}', "");
Expect(0, 119039, '\p{^Block=byzantinemusicalsymbols}', "");
Expect(0, 119039, '\P{Block=byzantinemusicalsymbols}', "");
Expect(1, 119039, '\P{^Block=byzantinemusicalsymbols}', "");
Expect(0, 119040, '\p{Block=byzantinemusicalsymbols}', "");
Expect(1, 119040, '\p{^Block=byzantinemusicalsymbols}', "");
Expect(1, 119040, '\P{Block=byzantinemusicalsymbols}', "");
Expect(0, 119040, '\P{^Block=byzantinemusicalsymbols}', "");
Expect(1, 119039, '\p{Block=	_Byzantine_Musical_Symbols}', "");
Expect(0, 119039, '\p{^Block=	_Byzantine_Musical_Symbols}', "");
Expect(0, 119039, '\P{Block=	_Byzantine_Musical_Symbols}', "");
Expect(1, 119039, '\P{^Block=	_Byzantine_Musical_Symbols}', "");
Expect(0, 119040, '\p{Block=	_Byzantine_Musical_Symbols}', "");
Expect(1, 119040, '\p{^Block=	_Byzantine_Musical_Symbols}', "");
Expect(1, 119040, '\P{Block=	_Byzantine_Musical_Symbols}', "");
Expect(0, 119040, '\P{^Block=	_Byzantine_Musical_Symbols}', "");
Error('\p{Blk=/a/_-Byzantine_music}');
Error('\P{Blk=/a/_-Byzantine_music}');
Expect(1, 119039, '\p{Blk=byzantinemusic}', "");
Expect(0, 119039, '\p{^Blk=byzantinemusic}', "");
Expect(0, 119039, '\P{Blk=byzantinemusic}', "");
Expect(1, 119039, '\P{^Blk=byzantinemusic}', "");
Expect(0, 119040, '\p{Blk=byzantinemusic}', "");
Expect(1, 119040, '\p{^Blk=byzantinemusic}', "");
Expect(1, 119040, '\P{Blk=byzantinemusic}', "");
Expect(0, 119040, '\P{^Blk=byzantinemusic}', "");
Expect(1, 119039, '\p{Blk=-	BYZANTINE_Music}', "");
Expect(0, 119039, '\p{^Blk=-	BYZANTINE_Music}', "");
Expect(0, 119039, '\P{Blk=-	BYZANTINE_Music}', "");
Expect(1, 119039, '\P{^Blk=-	BYZANTINE_Music}', "");
Expect(0, 119040, '\p{Blk=-	BYZANTINE_Music}', "");
Expect(1, 119040, '\p{^Blk=-	BYZANTINE_Music}', "");
Expect(1, 119040, '\P{Blk=-	BYZANTINE_Music}', "");
Expect(0, 119040, '\P{^Blk=-	BYZANTINE_Music}', "");
Error('\p{Is_Block=-:=byzantine_MUSICAL_SYMBOLS}');
Error('\P{Is_Block=-:=byzantine_MUSICAL_SYMBOLS}');
Expect(1, 119039, '\p{Is_Block=byzantinemusicalsymbols}', "");
Expect(0, 119039, '\p{^Is_Block=byzantinemusicalsymbols}', "");
Expect(0, 119039, '\P{Is_Block=byzantinemusicalsymbols}', "");
Expect(1, 119039, '\P{^Is_Block=byzantinemusicalsymbols}', "");
Expect(0, 119040, '\p{Is_Block=byzantinemusicalsymbols}', "");
Expect(1, 119040, '\p{^Is_Block=byzantinemusicalsymbols}', "");
Expect(1, 119040, '\P{Is_Block=byzantinemusicalsymbols}', "");
Expect(0, 119040, '\P{^Is_Block=byzantinemusicalsymbols}', "");
Expect(1, 119039, '\p{Is_Block=	 BYZANTINE_musical_symbols}', "");
Expect(0, 119039, '\p{^Is_Block=	 BYZANTINE_musical_symbols}', "");
Expect(0, 119039, '\P{Is_Block=	 BYZANTINE_musical_symbols}', "");
Expect(1, 119039, '\P{^Is_Block=	 BYZANTINE_musical_symbols}', "");
Expect(0, 119040, '\p{Is_Block=	 BYZANTINE_musical_symbols}', "");
Expect(1, 119040, '\p{^Is_Block=	 BYZANTINE_musical_symbols}', "");
Expect(1, 119040, '\P{Is_Block=	 BYZANTINE_musical_symbols}', "");
Expect(0, 119040, '\P{^Is_Block=	 BYZANTINE_musical_symbols}', "");
Error('\p{Is_Blk=:=-	BYZANTINE_MUSIC}');
Error('\P{Is_Blk=:=-	BYZANTINE_MUSIC}');
Expect(1, 119039, '\p{Is_Blk=byzantinemusic}', "");
Expect(0, 119039, '\p{^Is_Blk=byzantinemusic}', "");
Expect(0, 119039, '\P{Is_Blk=byzantinemusic}', "");
Expect(1, 119039, '\P{^Is_Blk=byzantinemusic}', "");
Expect(0, 119040, '\p{Is_Blk=byzantinemusic}', "");
Expect(1, 119040, '\p{^Is_Blk=byzantinemusic}', "");
Expect(1, 119040, '\P{Is_Blk=byzantinemusic}', "");
Expect(0, 119040, '\P{^Is_Blk=byzantinemusic}', "");
Expect(1, 119039, '\p{Is_Blk=_Byzantine_MUSIC}', "");
Expect(0, 119039, '\p{^Is_Blk=_Byzantine_MUSIC}', "");
Expect(0, 119039, '\P{Is_Blk=_Byzantine_MUSIC}', "");
Expect(1, 119039, '\P{^Is_Blk=_Byzantine_MUSIC}', "");
Expect(0, 119040, '\p{Is_Blk=_Byzantine_MUSIC}', "");
Expect(1, 119040, '\p{^Is_Blk=_Byzantine_MUSIC}', "");
Expect(1, 119040, '\P{Is_Blk=_Byzantine_MUSIC}', "");
Expect(0, 119040, '\P{^Is_Blk=_Byzantine_MUSIC}', "");
Error('\p{Block=cjk_UNIFIED_Ideographs:=}');
Error('\P{Block=cjk_UNIFIED_Ideographs:=}');
Expect(1, 40959, '\p{Block=cjkunifiedideographs}', "");
Expect(0, 40959, '\p{^Block=cjkunifiedideographs}', "");
Expect(0, 40959, '\P{Block=cjkunifiedideographs}', "");
Expect(1, 40959, '\P{^Block=cjkunifiedideographs}', "");
Expect(0, 40960, '\p{Block=cjkunifiedideographs}', "");
Expect(1, 40960, '\p{^Block=cjkunifiedideographs}', "");
Expect(1, 40960, '\P{Block=cjkunifiedideographs}', "");
Expect(0, 40960, '\P{^Block=cjkunifiedideographs}', "");
Expect(1, 40959, '\p{Block=  cjk_UNIFIED_IDEOGRAPHS}', "");
Expect(0, 40959, '\p{^Block=  cjk_UNIFIED_IDEOGRAPHS}', "");
Expect(0, 40959, '\P{Block=  cjk_UNIFIED_IDEOGRAPHS}', "");
Expect(1, 40959, '\P{^Block=  cjk_UNIFIED_IDEOGRAPHS}', "");
Expect(0, 40960, '\p{Block=  cjk_UNIFIED_IDEOGRAPHS}', "");
Expect(1, 40960, '\p{^Block=  cjk_UNIFIED_IDEOGRAPHS}', "");
Expect(1, 40960, '\P{Block=  cjk_UNIFIED_IDEOGRAPHS}', "");
Expect(0, 40960, '\P{^Block=  cjk_UNIFIED_IDEOGRAPHS}', "");
Error('\p{Blk=/a/cjk}');
Error('\P{Blk=/a/cjk}');
Expect(1, 40959, '\p{Blk=cjk}', "");
Expect(0, 40959, '\p{^Blk=cjk}', "");
Expect(0, 40959, '\P{Blk=cjk}', "");
Expect(1, 40959, '\P{^Blk=cjk}', "");
Expect(0, 40960, '\p{Blk=cjk}', "");
Expect(1, 40960, '\p{^Blk=cjk}', "");
Expect(1, 40960, '\P{Blk=cjk}', "");
Expect(0, 40960, '\P{^Blk=cjk}', "");
Expect(1, 40959, '\p{Blk:   	CJK}', "");
Expect(0, 40959, '\p{^Blk:   	CJK}', "");
Expect(0, 40959, '\P{Blk:   	CJK}', "");
Expect(1, 40959, '\P{^Blk:   	CJK}', "");
Expect(0, 40960, '\p{Blk:   	CJK}', "");
Expect(1, 40960, '\p{^Blk:   	CJK}', "");
Expect(1, 40960, '\P{Blk:   	CJK}', "");
Expect(0, 40960, '\P{^Blk:   	CJK}', "");
Error('\p{Is_Block=	CJK_Unified_Ideographs/a/}');
Error('\P{Is_Block=	CJK_Unified_Ideographs/a/}');
Expect(1, 40959, '\p{Is_Block=cjkunifiedideographs}', "");
Expect(0, 40959, '\p{^Is_Block=cjkunifiedideographs}', "");
Expect(0, 40959, '\P{Is_Block=cjkunifiedideographs}', "");
Expect(1, 40959, '\P{^Is_Block=cjkunifiedideographs}', "");
Expect(0, 40960, '\p{Is_Block=cjkunifiedideographs}', "");
Expect(1, 40960, '\p{^Is_Block=cjkunifiedideographs}', "");
Expect(1, 40960, '\P{Is_Block=cjkunifiedideographs}', "");
Expect(0, 40960, '\P{^Is_Block=cjkunifiedideographs}', "");
Expect(1, 40959, '\p{Is_Block= _CJK_UNIFIED_IDEOGRAPHS}', "");
Expect(0, 40959, '\p{^Is_Block= _CJK_UNIFIED_IDEOGRAPHS}', "");
Expect(0, 40959, '\P{Is_Block= _CJK_UNIFIED_IDEOGRAPHS}', "");
Expect(1, 40959, '\P{^Is_Block= _CJK_UNIFIED_IDEOGRAPHS}', "");
Expect(0, 40960, '\p{Is_Block= _CJK_UNIFIED_IDEOGRAPHS}', "");
Expect(1, 40960, '\p{^Is_Block= _CJK_UNIFIED_IDEOGRAPHS}', "");
Expect(1, 40960, '\P{Is_Block= _CJK_UNIFIED_IDEOGRAPHS}', "");
Expect(0, 40960, '\P{^Is_Block= _CJK_UNIFIED_IDEOGRAPHS}', "");
Error('\p{Is_Blk: /a/CJK}');
Error('\P{Is_Blk: /a/CJK}');
Expect(1, 40959, '\p{Is_Blk=cjk}', "");
Expect(0, 40959, '\p{^Is_Blk=cjk}', "");
Expect(0, 40959, '\P{Is_Blk=cjk}', "");
Expect(1, 40959, '\P{^Is_Blk=cjk}', "");
Expect(0, 40960, '\p{Is_Blk=cjk}', "");
Expect(1, 40960, '\p{^Is_Blk=cjk}', "");
Expect(1, 40960, '\P{Is_Blk=cjk}', "");
Expect(0, 40960, '\P{^Is_Blk=cjk}', "");
Expect(1, 40959, '\p{Is_Blk:	 cjk}', "");
Expect(0, 40959, '\p{^Is_Blk:	 cjk}', "");
Expect(0, 40959, '\P{Is_Blk:	 cjk}', "");
Expect(1, 40959, '\P{^Is_Blk:	 cjk}', "");
Expect(0, 40960, '\p{Is_Blk:	 cjk}', "");
Expect(1, 40960, '\p{^Is_Blk:	 cjk}', "");
Expect(1, 40960, '\P{Is_Blk:	 cjk}', "");
Expect(0, 40960, '\P{^Is_Blk:	 cjk}', "");
Error('\p{Block:   /a/__CJK_Compatibility}');
Error('\P{Block:   /a/__CJK_Compatibility}');
Expect(1, 13311, '\p{Block=cjkcompatibility}', "");
Expect(0, 13311, '\p{^Block=cjkcompatibility}', "");
Expect(0, 13311, '\P{Block=cjkcompatibility}', "");
Expect(1, 13311, '\P{^Block=cjkcompatibility}', "");
Expect(0, 13312, '\p{Block=cjkcompatibility}', "");
Expect(1, 13312, '\p{^Block=cjkcompatibility}', "");
Expect(1, 13312, '\P{Block=cjkcompatibility}', "");
Expect(0, 13312, '\P{^Block=cjkcompatibility}', "");
Expect(1, 13311, '\p{Block= 	CJK_compatibility}', "");
Expect(0, 13311, '\p{^Block= 	CJK_compatibility}', "");
Expect(0, 13311, '\P{Block= 	CJK_compatibility}', "");
Expect(1, 13311, '\P{^Block= 	CJK_compatibility}', "");
Expect(0, 13312, '\p{Block= 	CJK_compatibility}', "");
Expect(1, 13312, '\p{^Block= 	CJK_compatibility}', "");
Expect(1, 13312, '\P{Block= 	CJK_compatibility}', "");
Expect(0, 13312, '\P{^Block= 	CJK_compatibility}', "");
Error('\p{Blk: :=CJK_COMPAT}');
Error('\P{Blk: :=CJK_COMPAT}');
Expect(1, 13311, '\p{Blk=cjkcompat}', "");
Expect(0, 13311, '\p{^Blk=cjkcompat}', "");
Expect(0, 13311, '\P{Blk=cjkcompat}', "");
Expect(1, 13311, '\P{^Blk=cjkcompat}', "");
Expect(0, 13312, '\p{Blk=cjkcompat}', "");
Expect(1, 13312, '\p{^Blk=cjkcompat}', "");
Expect(1, 13312, '\P{Blk=cjkcompat}', "");
Expect(0, 13312, '\P{^Blk=cjkcompat}', "");
Expect(1, 13311, '\p{Blk= _CJK_COMPAT}', "");
Expect(0, 13311, '\p{^Blk= _CJK_COMPAT}', "");
Expect(0, 13311, '\P{Blk= _CJK_COMPAT}', "");
Expect(1, 13311, '\P{^Blk= _CJK_COMPAT}', "");
Expect(0, 13312, '\p{Blk= _CJK_COMPAT}', "");
Expect(1, 13312, '\p{^Blk= _CJK_COMPAT}', "");
Expect(1, 13312, '\P{Blk= _CJK_COMPAT}', "");
Expect(0, 13312, '\P{^Blk= _CJK_COMPAT}', "");
Error('\p{Is_Block=:=_ CJK_COMPATIBILITY}');
Error('\P{Is_Block=:=_ CJK_COMPATIBILITY}');
Expect(1, 13311, '\p{Is_Block=cjkcompatibility}', "");
Expect(0, 13311, '\p{^Is_Block=cjkcompatibility}', "");
Expect(0, 13311, '\P{Is_Block=cjkcompatibility}', "");
Expect(1, 13311, '\P{^Is_Block=cjkcompatibility}', "");
Expect(0, 13312, '\p{Is_Block=cjkcompatibility}', "");
Expect(1, 13312, '\p{^Is_Block=cjkcompatibility}', "");
Expect(1, 13312, '\P{Is_Block=cjkcompatibility}', "");
Expect(0, 13312, '\P{^Is_Block=cjkcompatibility}', "");
Expect(1, 13311, '\p{Is_Block=-	cjk_Compatibility}', "");
Expect(0, 13311, '\p{^Is_Block=-	cjk_Compatibility}', "");
Expect(0, 13311, '\P{Is_Block=-	cjk_Compatibility}', "");
Expect(1, 13311, '\P{^Is_Block=-	cjk_Compatibility}', "");
Expect(0, 13312, '\p{Is_Block=-	cjk_Compatibility}', "");
Expect(1, 13312, '\p{^Is_Block=-	cjk_Compatibility}', "");
Expect(1, 13312, '\P{Is_Block=-	cjk_Compatibility}', "");
Expect(0, 13312, '\P{^Is_Block=-	cjk_Compatibility}', "");
Error('\p{Is_Blk: 		cjk_compat/a/}');
Error('\P{Is_Blk: 		cjk_compat/a/}');
Expect(1, 13311, '\p{Is_Blk=cjkcompat}', "");
Expect(0, 13311, '\p{^Is_Blk=cjkcompat}', "");
Expect(0, 13311, '\P{Is_Blk=cjkcompat}', "");
Expect(1, 13311, '\P{^Is_Blk=cjkcompat}', "");
Expect(0, 13312, '\p{Is_Blk=cjkcompat}', "");
Expect(1, 13312, '\p{^Is_Blk=cjkcompat}', "");
Expect(1, 13312, '\P{Is_Blk=cjkcompat}', "");
Expect(0, 13312, '\P{^Is_Blk=cjkcompat}', "");
Expect(1, 13311, '\p{Is_Blk= 	CJK_compat}', "");
Expect(0, 13311, '\p{^Is_Blk= 	CJK_compat}', "");
Expect(0, 13311, '\P{Is_Blk= 	CJK_compat}', "");
Expect(1, 13311, '\P{^Is_Blk= 	CJK_compat}', "");
Expect(0, 13312, '\p{Is_Blk= 	CJK_compat}', "");
Expect(1, 13312, '\p{^Is_Blk= 	CJK_compat}', "");
Expect(1, 13312, '\P{Is_Blk= 	CJK_compat}', "");
Expect(0, 13312, '\P{^Is_Blk= 	CJK_compat}', "");
Error('\p{Block=_ CJK_compatibility_FORMS:=}');
Error('\P{Block=_ CJK_compatibility_FORMS:=}');
Expect(1, 65103, '\p{Block=cjkcompatibilityforms}', "");
Expect(0, 65103, '\p{^Block=cjkcompatibilityforms}', "");
Expect(0, 65103, '\P{Block=cjkcompatibilityforms}', "");
Expect(1, 65103, '\P{^Block=cjkcompatibilityforms}', "");
Expect(0, 65104, '\p{Block=cjkcompatibilityforms}', "");
Expect(1, 65104, '\p{^Block=cjkcompatibilityforms}', "");
Expect(1, 65104, '\P{Block=cjkcompatibilityforms}', "");
Expect(0, 65104, '\P{^Block=cjkcompatibilityforms}', "");
Expect(1, 65103, '\p{Block=--CJK_compatibility_forms}', "");
Expect(0, 65103, '\p{^Block=--CJK_compatibility_forms}', "");
Expect(0, 65103, '\P{Block=--CJK_compatibility_forms}', "");
Expect(1, 65103, '\P{^Block=--CJK_compatibility_forms}', "");
Expect(0, 65104, '\p{Block=--CJK_compatibility_forms}', "");
Expect(1, 65104, '\p{^Block=--CJK_compatibility_forms}', "");
Expect(1, 65104, '\P{Block=--CJK_compatibility_forms}', "");
Expect(0, 65104, '\P{^Block=--CJK_compatibility_forms}', "");
Error('\p{Blk=-cjk_Compat_Forms:=}');
Error('\P{Blk=-cjk_Compat_Forms:=}');
Expect(1, 65103, '\p{Blk=cjkcompatforms}', "");
Expect(0, 65103, '\p{^Blk=cjkcompatforms}', "");
Expect(0, 65103, '\P{Blk=cjkcompatforms}', "");
Expect(1, 65103, '\P{^Blk=cjkcompatforms}', "");
Expect(0, 65104, '\p{Blk=cjkcompatforms}', "");
Expect(1, 65104, '\p{^Blk=cjkcompatforms}', "");
Expect(1, 65104, '\P{Blk=cjkcompatforms}', "");
Expect(0, 65104, '\P{^Blk=cjkcompatforms}', "");
Expect(1, 65103, '\p{Blk=-	cjk_Compat_Forms}', "");
Expect(0, 65103, '\p{^Blk=-	cjk_Compat_Forms}', "");
Expect(0, 65103, '\P{Blk=-	cjk_Compat_Forms}', "");
Expect(1, 65103, '\P{^Blk=-	cjk_Compat_Forms}', "");
Expect(0, 65104, '\p{Blk=-	cjk_Compat_Forms}', "");
Expect(1, 65104, '\p{^Blk=-	cjk_Compat_Forms}', "");
Expect(1, 65104, '\P{Blk=-	cjk_Compat_Forms}', "");
Expect(0, 65104, '\P{^Blk=-	cjk_Compat_Forms}', "");
Error('\p{Is_Block=/a/ cjk_COMPATIBILITY_forms}');
Error('\P{Is_Block=/a/ cjk_COMPATIBILITY_forms}');
Expect(1, 65103, '\p{Is_Block=cjkcompatibilityforms}', "");
Expect(0, 65103, '\p{^Is_Block=cjkcompatibilityforms}', "");
Expect(0, 65103, '\P{Is_Block=cjkcompatibilityforms}', "");
Expect(1, 65103, '\P{^Is_Block=cjkcompatibilityforms}', "");
Expect(0, 65104, '\p{Is_Block=cjkcompatibilityforms}', "");
Expect(1, 65104, '\p{^Is_Block=cjkcompatibilityforms}', "");
Expect(1, 65104, '\P{Is_Block=cjkcompatibilityforms}', "");
Expect(0, 65104, '\P{^Is_Block=cjkcompatibilityforms}', "");
Expect(1, 65103, '\p{Is_Block=		cjk_Compatibility_forms}', "");
Expect(0, 65103, '\p{^Is_Block=		cjk_Compatibility_forms}', "");
Expect(0, 65103, '\P{Is_Block=		cjk_Compatibility_forms}', "");
Expect(1, 65103, '\P{^Is_Block=		cjk_Compatibility_forms}', "");
Expect(0, 65104, '\p{Is_Block=		cjk_Compatibility_forms}', "");
Expect(1, 65104, '\p{^Is_Block=		cjk_Compatibility_forms}', "");
Expect(1, 65104, '\P{Is_Block=		cjk_Compatibility_forms}', "");
Expect(0, 65104, '\P{^Is_Block=		cjk_Compatibility_forms}', "");
Error('\p{Is_Blk=:=CJK_compat_FORMS}');
Error('\P{Is_Blk=:=CJK_compat_FORMS}');
Expect(1, 65103, '\p{Is_Blk=cjkcompatforms}', "");
Expect(0, 65103, '\p{^Is_Blk=cjkcompatforms}', "");
Expect(0, 65103, '\P{Is_Blk=cjkcompatforms}', "");
Expect(1, 65103, '\P{^Is_Blk=cjkcompatforms}', "");
Expect(0, 65104, '\p{Is_Blk=cjkcompatforms}', "");
Expect(1, 65104, '\p{^Is_Blk=cjkcompatforms}', "");
Expect(1, 65104, '\P{Is_Blk=cjkcompatforms}', "");
Expect(0, 65104, '\P{^Is_Blk=cjkcompatforms}', "");
Expect(1, 65103, '\p{Is_Blk=-_CJK_compat_Forms}', "");
Expect(0, 65103, '\p{^Is_Blk=-_CJK_compat_Forms}', "");
Expect(0, 65103, '\P{Is_Blk=-_CJK_compat_Forms}', "");
Expect(1, 65103, '\P{^Is_Blk=-_CJK_compat_Forms}', "");
Expect(0, 65104, '\p{Is_Blk=-_CJK_compat_Forms}', "");
Expect(1, 65104, '\p{^Is_Blk=-_CJK_compat_Forms}', "");
Expect(1, 65104, '\P{Is_Blk=-_CJK_compat_Forms}', "");
Expect(0, 65104, '\P{^Is_Blk=-_CJK_compat_Forms}', "");
Error('\p{Block=:= cjk_compatibility_IDEOGRAPHS}');
Error('\P{Block=:= cjk_compatibility_IDEOGRAPHS}');
Expect(1, 64255, '\p{Block=cjkcompatibilityideographs}', "");
Expect(0, 64255, '\p{^Block=cjkcompatibilityideographs}', "");
Expect(0, 64255, '\P{Block=cjkcompatibilityideographs}', "");
Expect(1, 64255, '\P{^Block=cjkcompatibilityideographs}', "");
Expect(0, 64256, '\p{Block=cjkcompatibilityideographs}', "");
Expect(1, 64256, '\p{^Block=cjkcompatibilityideographs}', "");
Expect(1, 64256, '\P{Block=cjkcompatibilityideographs}', "");
Expect(0, 64256, '\P{^Block=cjkcompatibilityideographs}', "");
Expect(1, 64255, '\p{Block= 	cjk_Compatibility_ideographs}', "");
Expect(0, 64255, '\p{^Block= 	cjk_Compatibility_ideographs}', "");
Expect(0, 64255, '\P{Block= 	cjk_Compatibility_ideographs}', "");
Expect(1, 64255, '\P{^Block= 	cjk_Compatibility_ideographs}', "");
Expect(0, 64256, '\p{Block= 	cjk_Compatibility_ideographs}', "");
Expect(1, 64256, '\p{^Block= 	cjk_Compatibility_ideographs}', "");
Expect(1, 64256, '\P{Block= 	cjk_Compatibility_ideographs}', "");
Expect(0, 64256, '\P{^Block= 	cjk_Compatibility_ideographs}', "");
Error('\p{Blk=CJK_compat_ideographs/a/}');
Error('\P{Blk=CJK_compat_ideographs/a/}');
Expect(1, 64255, '\p{Blk=cjkcompatideographs}', "");
Expect(0, 64255, '\p{^Blk=cjkcompatideographs}', "");
Expect(0, 64255, '\P{Blk=cjkcompatideographs}', "");
Expect(1, 64255, '\P{^Blk=cjkcompatideographs}', "");
Expect(0, 64256, '\p{Blk=cjkcompatideographs}', "");
Expect(1, 64256, '\p{^Blk=cjkcompatideographs}', "");
Expect(1, 64256, '\P{Blk=cjkcompatideographs}', "");
Expect(0, 64256, '\P{^Blk=cjkcompatideographs}', "");
Expect(1, 64255, '\p{Blk=	CJK_COMPAT_ideographs}', "");
Expect(0, 64255, '\p{^Blk=	CJK_COMPAT_ideographs}', "");
Expect(0, 64255, '\P{Blk=	CJK_COMPAT_ideographs}', "");
Expect(1, 64255, '\P{^Blk=	CJK_COMPAT_ideographs}', "");
Expect(0, 64256, '\p{Blk=	CJK_COMPAT_ideographs}', "");
Expect(1, 64256, '\p{^Blk=	CJK_COMPAT_ideographs}', "");
Expect(1, 64256, '\P{Blk=	CJK_COMPAT_ideographs}', "");
Expect(0, 64256, '\P{^Blk=	CJK_COMPAT_ideographs}', "");
Error('\p{Is_Block=-	cjk_COMPATIBILITY_Ideographs/a/}');
Error('\P{Is_Block=-	cjk_COMPATIBILITY_Ideographs/a/}');
Expect(1, 64255, '\p{Is_Block=cjkcompatibilityideographs}', "");
Expect(0, 64255, '\p{^Is_Block=cjkcompatibilityideographs}', "");
Expect(0, 64255, '\P{Is_Block=cjkcompatibilityideographs}', "");
Expect(1, 64255, '\P{^Is_Block=cjkcompatibilityideographs}', "");
Expect(0, 64256, '\p{Is_Block=cjkcompatibilityideographs}', "");
Expect(1, 64256, '\p{^Is_Block=cjkcompatibilityideographs}', "");
Expect(1, 64256, '\P{Is_Block=cjkcompatibilityideographs}', "");
Expect(0, 64256, '\P{^Is_Block=cjkcompatibilityideographs}', "");
Expect(1, 64255, '\p{Is_Block=-_cjk_Compatibility_Ideographs}', "");
Expect(0, 64255, '\p{^Is_Block=-_cjk_Compatibility_Ideographs}', "");
Expect(0, 64255, '\P{Is_Block=-_cjk_Compatibility_Ideographs}', "");
Expect(1, 64255, '\P{^Is_Block=-_cjk_Compatibility_Ideographs}', "");
Expect(0, 64256, '\p{Is_Block=-_cjk_Compatibility_Ideographs}', "");
Expect(1, 64256, '\p{^Is_Block=-_cjk_Compatibility_Ideographs}', "");
Expect(1, 64256, '\P{Is_Block=-_cjk_Compatibility_Ideographs}', "");
Expect(0, 64256, '\P{^Is_Block=-_cjk_Compatibility_Ideographs}', "");
Error('\p{Is_Blk=:=CJK_compat_Ideographs}');
Error('\P{Is_Blk=:=CJK_compat_Ideographs}');
Expect(1, 64255, '\p{Is_Blk:   cjkcompatideographs}', "");
Expect(0, 64255, '\p{^Is_Blk:   cjkcompatideographs}', "");
Expect(0, 64255, '\P{Is_Blk:   cjkcompatideographs}', "");
Expect(1, 64255, '\P{^Is_Blk:   cjkcompatideographs}', "");
Expect(0, 64256, '\p{Is_Blk:   cjkcompatideographs}', "");
Expect(1, 64256, '\p{^Is_Blk:   cjkcompatideographs}', "");
Expect(1, 64256, '\P{Is_Blk:   cjkcompatideographs}', "");
Expect(0, 64256, '\P{^Is_Blk:   cjkcompatideographs}', "");
Expect(1, 64255, '\p{Is_Blk= -CJK_COMPAT_IDEOGRAPHS}', "");
Expect(0, 64255, '\p{^Is_Blk= -CJK_COMPAT_IDEOGRAPHS}', "");
Expect(0, 64255, '\P{Is_Blk= -CJK_COMPAT_IDEOGRAPHS}', "");
Expect(1, 64255, '\P{^Is_Blk= -CJK_COMPAT_IDEOGRAPHS}', "");
Expect(0, 64256, '\p{Is_Blk= -CJK_COMPAT_IDEOGRAPHS}', "");
Expect(1, 64256, '\p{^Is_Blk= -CJK_COMPAT_IDEOGRAPHS}', "");
Expect(1, 64256, '\P{Is_Blk= -CJK_COMPAT_IDEOGRAPHS}', "");
Expect(0, 64256, '\P{^Is_Blk= -CJK_COMPAT_IDEOGRAPHS}', "");
Error('\p{Block= _CJK_Compatibility_ideographs_Supplement/a/}');
Error('\P{Block= _CJK_Compatibility_ideographs_Supplement/a/}');
Expect(1, 195103, '\p{Block=cjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\p{^Block=cjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\P{Block=cjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\P{^Block=cjkcompatibilityideographssupplement}', "");
Expect(0, 195104, '\p{Block=cjkcompatibilityideographssupplement}', "");
Expect(1, 195104, '\p{^Block=cjkcompatibilityideographssupplement}', "");
Expect(1, 195104, '\P{Block=cjkcompatibilityideographssupplement}', "");
Expect(0, 195104, '\P{^Block=cjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\p{Block=	 CJK_COMPATIBILITY_IDEOGRAPHS_supplement}', "");
Expect(0, 195103, '\p{^Block=	 CJK_COMPATIBILITY_IDEOGRAPHS_supplement}', "");
Expect(0, 195103, '\P{Block=	 CJK_COMPATIBILITY_IDEOGRAPHS_supplement}', "");
Expect(1, 195103, '\P{^Block=	 CJK_COMPATIBILITY_IDEOGRAPHS_supplement}', "");
Expect(0, 195104, '\p{Block=	 CJK_COMPATIBILITY_IDEOGRAPHS_supplement}', "");
Expect(1, 195104, '\p{^Block=	 CJK_COMPATIBILITY_IDEOGRAPHS_supplement}', "");
Expect(1, 195104, '\P{Block=	 CJK_COMPATIBILITY_IDEOGRAPHS_supplement}', "");
Expect(0, 195104, '\P{^Block=	 CJK_COMPATIBILITY_IDEOGRAPHS_supplement}', "");
Error('\p{Blk=/a/ 	CJK_Compat_Ideographs_sup}');
Error('\P{Blk=/a/ 	CJK_Compat_Ideographs_sup}');
Expect(1, 195103, '\p{Blk: cjkcompatideographssup}', "");
Expect(0, 195103, '\p{^Blk: cjkcompatideographssup}', "");
Expect(0, 195103, '\P{Blk: cjkcompatideographssup}', "");
Expect(1, 195103, '\P{^Blk: cjkcompatideographssup}', "");
Expect(0, 195104, '\p{Blk: cjkcompatideographssup}', "");
Expect(1, 195104, '\p{^Blk: cjkcompatideographssup}', "");
Expect(1, 195104, '\P{Blk: cjkcompatideographssup}', "");
Expect(0, 195104, '\P{^Blk: cjkcompatideographssup}', "");
Expect(1, 195103, '\p{Blk=_CJK_COMPAT_Ideographs_SUP}', "");
Expect(0, 195103, '\p{^Blk=_CJK_COMPAT_Ideographs_SUP}', "");
Expect(0, 195103, '\P{Blk=_CJK_COMPAT_Ideographs_SUP}', "");
Expect(1, 195103, '\P{^Blk=_CJK_COMPAT_Ideographs_SUP}', "");
Expect(0, 195104, '\p{Blk=_CJK_COMPAT_Ideographs_SUP}', "");
Expect(1, 195104, '\p{^Blk=_CJK_COMPAT_Ideographs_SUP}', "");
Expect(1, 195104, '\P{Blk=_CJK_COMPAT_Ideographs_SUP}', "");
Expect(0, 195104, '\P{^Blk=_CJK_COMPAT_Ideographs_SUP}', "");
Error('\p{Is_Block=/a/_ CJK_Compatibility_Ideographs_SUPPLEMENT}');
Error('\P{Is_Block=/a/_ CJK_Compatibility_Ideographs_SUPPLEMENT}');
Expect(1, 195103, '\p{Is_Block=cjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\p{^Is_Block=cjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\P{Is_Block=cjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\P{^Is_Block=cjkcompatibilityideographssupplement}', "");
Expect(0, 195104, '\p{Is_Block=cjkcompatibilityideographssupplement}', "");
Expect(1, 195104, '\p{^Is_Block=cjkcompatibilityideographssupplement}', "");
Expect(1, 195104, '\P{Is_Block=cjkcompatibilityideographssupplement}', "");
Expect(0, 195104, '\P{^Is_Block=cjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\p{Is_Block=  cjk_Compatibility_ideographs_supplement}', "");
Expect(0, 195103, '\p{^Is_Block=  cjk_Compatibility_ideographs_supplement}', "");
Expect(0, 195103, '\P{Is_Block=  cjk_Compatibility_ideographs_supplement}', "");
Expect(1, 195103, '\P{^Is_Block=  cjk_Compatibility_ideographs_supplement}', "");
Expect(0, 195104, '\p{Is_Block=  cjk_Compatibility_ideographs_supplement}', "");
Expect(1, 195104, '\p{^Is_Block=  cjk_Compatibility_ideographs_supplement}', "");
Expect(1, 195104, '\P{Is_Block=  cjk_Compatibility_ideographs_supplement}', "");
Expect(0, 195104, '\P{^Is_Block=  cjk_Compatibility_ideographs_supplement}', "");
Error('\p{Is_Blk=:=--cjk_Compat_IDEOGRAPHS_sup}');
Error('\P{Is_Blk=:=--cjk_Compat_IDEOGRAPHS_sup}');
Expect(1, 195103, '\p{Is_Blk=cjkcompatideographssup}', "");
Expect(0, 195103, '\p{^Is_Blk=cjkcompatideographssup}', "");
Expect(0, 195103, '\P{Is_Blk=cjkcompatideographssup}', "");
Expect(1, 195103, '\P{^Is_Blk=cjkcompatideographssup}', "");
Expect(0, 195104, '\p{Is_Blk=cjkcompatideographssup}', "");
Expect(1, 195104, '\p{^Is_Blk=cjkcompatideographssup}', "");
Expect(1, 195104, '\P{Is_Blk=cjkcompatideographssup}', "");
Expect(0, 195104, '\P{^Is_Blk=cjkcompatideographssup}', "");
Expect(1, 195103, '\p{Is_Blk=__CJK_COMPAT_IDEOGRAPHS_Sup}', "");
Expect(0, 195103, '\p{^Is_Blk=__CJK_COMPAT_IDEOGRAPHS_Sup}', "");
Expect(0, 195103, '\P{Is_Blk=__CJK_COMPAT_IDEOGRAPHS_Sup}', "");
Expect(1, 195103, '\P{^Is_Blk=__CJK_COMPAT_IDEOGRAPHS_Sup}', "");
Expect(0, 195104, '\p{Is_Blk=__CJK_COMPAT_IDEOGRAPHS_Sup}', "");
Expect(1, 195104, '\p{^Is_Blk=__CJK_COMPAT_IDEOGRAPHS_Sup}', "");
Expect(1, 195104, '\P{Is_Blk=__CJK_COMPAT_IDEOGRAPHS_Sup}', "");
Expect(0, 195104, '\P{^Is_Blk=__CJK_COMPAT_IDEOGRAPHS_Sup}', "");
Error('\p{Block=/a/ 	cjk_unified_ideographs_Extension_A}');
Error('\P{Block=/a/ 	cjk_unified_ideographs_Extension_A}');
Expect(1, 19903, '\p{Block=cjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\p{^Block=cjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\P{Block=cjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\P{^Block=cjkunifiedideographsextensiona}', "");
Expect(0, 19904, '\p{Block=cjkunifiedideographsextensiona}', "");
Expect(1, 19904, '\p{^Block=cjkunifiedideographsextensiona}', "");
Expect(1, 19904, '\P{Block=cjkunifiedideographsextensiona}', "");
Expect(0, 19904, '\P{^Block=cjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\p{Block=--cjk_Unified_Ideographs_Extension_A}', "");
Expect(0, 19903, '\p{^Block=--cjk_Unified_Ideographs_Extension_A}', "");
Expect(0, 19903, '\P{Block=--cjk_Unified_Ideographs_Extension_A}', "");
Expect(1, 19903, '\P{^Block=--cjk_Unified_Ideographs_Extension_A}', "");
Expect(0, 19904, '\p{Block=--cjk_Unified_Ideographs_Extension_A}', "");
Expect(1, 19904, '\p{^Block=--cjk_Unified_Ideographs_Extension_A}', "");
Expect(1, 19904, '\P{Block=--cjk_Unified_Ideographs_Extension_A}', "");
Expect(0, 19904, '\P{^Block=--cjk_Unified_Ideographs_Extension_A}', "");
Error('\p{Blk: /a/_CJK_Ext_a}');
Error('\P{Blk: /a/_CJK_Ext_a}');
Expect(1, 19903, '\p{Blk=cjkexta}', "");
Expect(0, 19903, '\p{^Blk=cjkexta}', "");
Expect(0, 19903, '\P{Blk=cjkexta}', "");
Expect(1, 19903, '\P{^Blk=cjkexta}', "");
Expect(0, 19904, '\p{Blk=cjkexta}', "");
Expect(1, 19904, '\p{^Blk=cjkexta}', "");
Expect(1, 19904, '\P{Blk=cjkexta}', "");
Expect(0, 19904, '\P{^Blk=cjkexta}', "");
Expect(1, 19903, '\p{Blk= CJK_EXT_A}', "");
Expect(0, 19903, '\p{^Blk= CJK_EXT_A}', "");
Expect(0, 19903, '\P{Blk= CJK_EXT_A}', "");
Expect(1, 19903, '\P{^Blk= CJK_EXT_A}', "");
Expect(0, 19904, '\p{Blk= CJK_EXT_A}', "");
Expect(1, 19904, '\p{^Blk= CJK_EXT_A}', "");
Expect(1, 19904, '\P{Blk= CJK_EXT_A}', "");
Expect(0, 19904, '\P{^Blk= CJK_EXT_A}', "");
Error('\p{Is_Block=/a/__cjk_Unified_Ideographs_Extension_A}');
Error('\P{Is_Block=/a/__cjk_Unified_Ideographs_Extension_A}');
Expect(1, 19903, '\p{Is_Block:   cjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\p{^Is_Block:   cjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\P{Is_Block:   cjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\P{^Is_Block:   cjkunifiedideographsextensiona}', "");
Expect(0, 19904, '\p{Is_Block:   cjkunifiedideographsextensiona}', "");
Expect(1, 19904, '\p{^Is_Block:   cjkunifiedideographsextensiona}', "");
Expect(1, 19904, '\P{Is_Block:   cjkunifiedideographsextensiona}', "");
Expect(0, 19904, '\P{^Is_Block:   cjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\p{Is_Block=	-cjk_Unified_ideographs_Extension_A}', "");
Expect(0, 19903, '\p{^Is_Block=	-cjk_Unified_ideographs_Extension_A}', "");
Expect(0, 19903, '\P{Is_Block=	-cjk_Unified_ideographs_Extension_A}', "");
Expect(1, 19903, '\P{^Is_Block=	-cjk_Unified_ideographs_Extension_A}', "");
Expect(0, 19904, '\p{Is_Block=	-cjk_Unified_ideographs_Extension_A}', "");
Expect(1, 19904, '\p{^Is_Block=	-cjk_Unified_ideographs_Extension_A}', "");
Expect(1, 19904, '\P{Is_Block=	-cjk_Unified_ideographs_Extension_A}', "");
Expect(0, 19904, '\P{^Is_Block=	-cjk_Unified_ideographs_Extension_A}', "");
Error('\p{Is_Blk= cjk_Ext_A/a/}');
Error('\P{Is_Blk= cjk_Ext_A/a/}');
Expect(1, 19903, '\p{Is_Blk=cjkexta}', "");
Expect(0, 19903, '\p{^Is_Blk=cjkexta}', "");
Expect(0, 19903, '\P{Is_Blk=cjkexta}', "");
Expect(1, 19903, '\P{^Is_Blk=cjkexta}', "");
Expect(0, 19904, '\p{Is_Blk=cjkexta}', "");
Expect(1, 19904, '\p{^Is_Blk=cjkexta}', "");
Expect(1, 19904, '\P{Is_Blk=cjkexta}', "");
Expect(0, 19904, '\P{^Is_Blk=cjkexta}', "");
Expect(1, 19903, '\p{Is_Blk= cjk_Ext_A}', "");
Expect(0, 19903, '\p{^Is_Blk= cjk_Ext_A}', "");
Expect(0, 19903, '\P{Is_Blk= cjk_Ext_A}', "");
Expect(1, 19903, '\P{^Is_Blk= cjk_Ext_A}', "");
Expect(0, 19904, '\p{Is_Blk= cjk_Ext_A}', "");
Expect(1, 19904, '\p{^Is_Blk= cjk_Ext_A}', "");
Expect(1, 19904, '\P{Is_Blk= cjk_Ext_A}', "");
Expect(0, 19904, '\P{^Is_Blk= cjk_Ext_A}', "");
Error('\p{Block=  CJK_Unified_Ideographs_EXTENSION_b:=}');
Error('\P{Block=  CJK_Unified_Ideographs_EXTENSION_b:=}');
Expect(1, 173791, '\p{Block=cjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\p{^Block=cjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\P{Block=cjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\P{^Block=cjkunifiedideographsextensionb}', "");
Expect(0, 173792, '\p{Block=cjkunifiedideographsextensionb}', "");
Expect(1, 173792, '\p{^Block=cjkunifiedideographsextensionb}', "");
Expect(1, 173792, '\P{Block=cjkunifiedideographsextensionb}', "");
Expect(0, 173792, '\P{^Block=cjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\p{Block=_CJK_unified_Ideographs_extension_b}', "");
Expect(0, 173791, '\p{^Block=_CJK_unified_Ideographs_extension_b}', "");
Expect(0, 173791, '\P{Block=_CJK_unified_Ideographs_extension_b}', "");
Expect(1, 173791, '\P{^Block=_CJK_unified_Ideographs_extension_b}', "");
Expect(0, 173792, '\p{Block=_CJK_unified_Ideographs_extension_b}', "");
Expect(1, 173792, '\p{^Block=_CJK_unified_Ideographs_extension_b}', "");
Expect(1, 173792, '\P{Block=_CJK_unified_Ideographs_extension_b}', "");
Expect(0, 173792, '\P{^Block=_CJK_unified_Ideographs_extension_b}', "");
Error('\p{Blk=-	CJK_Ext_B/a/}');
Error('\P{Blk=-	CJK_Ext_B/a/}');
Expect(1, 173791, '\p{Blk=cjkextb}', "");
Expect(0, 173791, '\p{^Blk=cjkextb}', "");
Expect(0, 173791, '\P{Blk=cjkextb}', "");
Expect(1, 173791, '\P{^Blk=cjkextb}', "");
Expect(0, 173792, '\p{Blk=cjkextb}', "");
Expect(1, 173792, '\p{^Blk=cjkextb}', "");
Expect(1, 173792, '\P{Blk=cjkextb}', "");
Expect(0, 173792, '\P{^Blk=cjkextb}', "");
Expect(1, 173791, '\p{Blk=-CJK_Ext_b}', "");
Expect(0, 173791, '\p{^Blk=-CJK_Ext_b}', "");
Expect(0, 173791, '\P{Blk=-CJK_Ext_b}', "");
Expect(1, 173791, '\P{^Blk=-CJK_Ext_b}', "");
Expect(0, 173792, '\p{Blk=-CJK_Ext_b}', "");
Expect(1, 173792, '\p{^Blk=-CJK_Ext_b}', "");
Expect(1, 173792, '\P{Blk=-CJK_Ext_b}', "");
Expect(0, 173792, '\P{^Blk=-CJK_Ext_b}', "");
Error('\p{Is_Block: -:=CJK_Unified_IDEOGRAPHS_Extension_b}');
Error('\P{Is_Block: -:=CJK_Unified_IDEOGRAPHS_Extension_b}');
Expect(1, 173791, '\p{Is_Block=cjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\p{^Is_Block=cjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\P{Is_Block=cjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\P{^Is_Block=cjkunifiedideographsextensionb}', "");
Expect(0, 173792, '\p{Is_Block=cjkunifiedideographsextensionb}', "");
Expect(1, 173792, '\p{^Is_Block=cjkunifiedideographsextensionb}', "");
Expect(1, 173792, '\P{Is_Block=cjkunifiedideographsextensionb}', "");
Expect(0, 173792, '\P{^Is_Block=cjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\p{Is_Block=CJK_UNIFIED_Ideographs_extension_B}', "");
Expect(0, 173791, '\p{^Is_Block=CJK_UNIFIED_Ideographs_extension_B}', "");
Expect(0, 173791, '\P{Is_Block=CJK_UNIFIED_Ideographs_extension_B}', "");
Expect(1, 173791, '\P{^Is_Block=CJK_UNIFIED_Ideographs_extension_B}', "");
Expect(0, 173792, '\p{Is_Block=CJK_UNIFIED_Ideographs_extension_B}', "");
Expect(1, 173792, '\p{^Is_Block=CJK_UNIFIED_Ideographs_extension_B}', "");
Expect(1, 173792, '\P{Is_Block=CJK_UNIFIED_Ideographs_extension_B}', "");
Expect(0, 173792, '\P{^Is_Block=CJK_UNIFIED_Ideographs_extension_B}', "");
Error('\p{Is_Blk=	-CJK_ext_B:=}');
Error('\P{Is_Blk=	-CJK_ext_B:=}');
Expect(1, 173791, '\p{Is_Blk=cjkextb}', "");
Expect(0, 173791, '\p{^Is_Blk=cjkextb}', "");
Expect(0, 173791, '\P{Is_Blk=cjkextb}', "");
Expect(1, 173791, '\P{^Is_Blk=cjkextb}', "");
Expect(0, 173792, '\p{Is_Blk=cjkextb}', "");
Expect(1, 173792, '\p{^Is_Blk=cjkextb}', "");
Expect(1, 173792, '\P{Is_Blk=cjkextb}', "");
Expect(0, 173792, '\P{^Is_Blk=cjkextb}', "");
Expect(1, 173791, '\p{Is_Blk=_-CJK_Ext_B}', "");
Expect(0, 173791, '\p{^Is_Blk=_-CJK_Ext_B}', "");
Expect(0, 173791, '\P{Is_Blk=_-CJK_Ext_B}', "");
Expect(1, 173791, '\P{^Is_Blk=_-CJK_Ext_B}', "");
Expect(0, 173792, '\p{Is_Blk=_-CJK_Ext_B}', "");
Expect(1, 173792, '\p{^Is_Blk=_-CJK_Ext_B}', "");
Expect(1, 173792, '\P{Is_Blk=_-CJK_Ext_B}', "");
Expect(0, 173792, '\P{^Is_Blk=_-CJK_Ext_B}', "");
Error('\p{Block:	:=CJK_Unified_Ideographs_EXTENSION_C}');
Error('\P{Block:	:=CJK_Unified_Ideographs_EXTENSION_C}');
Expect(1, 177983, '\p{Block=cjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\p{^Block=cjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\P{Block=cjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\P{^Block=cjkunifiedideographsextensionc}', "");
Expect(0, 177984, '\p{Block=cjkunifiedideographsextensionc}', "");
Expect(1, 177984, '\p{^Block=cjkunifiedideographsextensionc}', "");
Expect(1, 177984, '\P{Block=cjkunifiedideographsextensionc}', "");
Expect(0, 177984, '\P{^Block=cjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\p{Block=cjk_UNIFIED_Ideographs_EXTENSION_C}', "");
Expect(0, 177983, '\p{^Block=cjk_UNIFIED_Ideographs_EXTENSION_C}', "");
Expect(0, 177983, '\P{Block=cjk_UNIFIED_Ideographs_EXTENSION_C}', "");
Expect(1, 177983, '\P{^Block=cjk_UNIFIED_Ideographs_EXTENSION_C}', "");
Expect(0, 177984, '\p{Block=cjk_UNIFIED_Ideographs_EXTENSION_C}', "");
Expect(1, 177984, '\p{^Block=cjk_UNIFIED_Ideographs_EXTENSION_C}', "");
Expect(1, 177984, '\P{Block=cjk_UNIFIED_Ideographs_EXTENSION_C}', "");
Expect(0, 177984, '\P{^Block=cjk_UNIFIED_Ideographs_EXTENSION_C}', "");
Error('\p{Blk=	:=cjk_Ext_C}');
Error('\P{Blk=	:=cjk_Ext_C}');
Expect(1, 177983, '\p{Blk:cjkextc}', "");
Expect(0, 177983, '\p{^Blk:cjkextc}', "");
Expect(0, 177983, '\P{Blk:cjkextc}', "");
Expect(1, 177983, '\P{^Blk:cjkextc}', "");
Expect(0, 177984, '\p{Blk:cjkextc}', "");
Expect(1, 177984, '\p{^Blk:cjkextc}', "");
Expect(1, 177984, '\P{Blk:cjkextc}', "");
Expect(0, 177984, '\P{^Blk:cjkextc}', "");
Expect(1, 177983, '\p{Blk=		cjk_EXT_C}', "");
Expect(0, 177983, '\p{^Blk=		cjk_EXT_C}', "");
Expect(0, 177983, '\P{Blk=		cjk_EXT_C}', "");
Expect(1, 177983, '\P{^Blk=		cjk_EXT_C}', "");
Expect(0, 177984, '\p{Blk=		cjk_EXT_C}', "");
Expect(1, 177984, '\p{^Blk=		cjk_EXT_C}', "");
Expect(1, 177984, '\P{Blk=		cjk_EXT_C}', "");
Expect(0, 177984, '\P{^Blk=		cjk_EXT_C}', "");
Error('\p{Is_Block=-/a/CJK_unified_Ideographs_extension_C}');
Error('\P{Is_Block=-/a/CJK_unified_Ideographs_extension_C}');
Expect(1, 177983, '\p{Is_Block=cjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\p{^Is_Block=cjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\P{Is_Block=cjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\P{^Is_Block=cjkunifiedideographsextensionc}', "");
Expect(0, 177984, '\p{Is_Block=cjkunifiedideographsextensionc}', "");
Expect(1, 177984, '\p{^Is_Block=cjkunifiedideographsextensionc}', "");
Expect(1, 177984, '\P{Is_Block=cjkunifiedideographsextensionc}', "");
Expect(0, 177984, '\P{^Is_Block=cjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\p{Is_Block=_	CJK_unified_Ideographs_Extension_C}', "");
Expect(0, 177983, '\p{^Is_Block=_	CJK_unified_Ideographs_Extension_C}', "");
Expect(0, 177983, '\P{Is_Block=_	CJK_unified_Ideographs_Extension_C}', "");
Expect(1, 177983, '\P{^Is_Block=_	CJK_unified_Ideographs_Extension_C}', "");
Expect(0, 177984, '\p{Is_Block=_	CJK_unified_Ideographs_Extension_C}', "");
Expect(1, 177984, '\p{^Is_Block=_	CJK_unified_Ideographs_Extension_C}', "");
Expect(1, 177984, '\P{Is_Block=_	CJK_unified_Ideographs_Extension_C}', "");
Expect(0, 177984, '\P{^Is_Block=_	CJK_unified_Ideographs_Extension_C}', "");
Error('\p{Is_Blk=:=	CJK_ext_C}');
Error('\P{Is_Blk=:=	CJK_ext_C}');
Expect(1, 177983, '\p{Is_Blk=cjkextc}', "");
Expect(0, 177983, '\p{^Is_Blk=cjkextc}', "");
Expect(0, 177983, '\P{Is_Blk=cjkextc}', "");
Expect(1, 177983, '\P{^Is_Blk=cjkextc}', "");
Expect(0, 177984, '\p{Is_Blk=cjkextc}', "");
Expect(1, 177984, '\p{^Is_Blk=cjkextc}', "");
Expect(1, 177984, '\P{Is_Blk=cjkextc}', "");
Expect(0, 177984, '\P{^Is_Blk=cjkextc}', "");
Expect(1, 177983, '\p{Is_Blk= cjk_Ext_C}', "");
Expect(0, 177983, '\p{^Is_Blk= cjk_Ext_C}', "");
Expect(0, 177983, '\P{Is_Blk= cjk_Ext_C}', "");
Expect(1, 177983, '\P{^Is_Blk= cjk_Ext_C}', "");
Expect(0, 177984, '\p{Is_Blk= cjk_Ext_C}', "");
Expect(1, 177984, '\p{^Is_Blk= cjk_Ext_C}', "");
Expect(1, 177984, '\P{Is_Blk= cjk_Ext_C}', "");
Expect(0, 177984, '\P{^Is_Blk= cjk_Ext_C}', "");
Error('\p{Block=:= CJK_Unified_Ideographs_Extension_D}');
Error('\P{Block=:= CJK_Unified_Ideographs_Extension_D}');
Expect(1, 178207, '\p{Block=cjkunifiedideographsextensiond}', "");
Expect(0, 178207, '\p{^Block=cjkunifiedideographsextensiond}', "");
Expect(0, 178207, '\P{Block=cjkunifiedideographsextensiond}', "");
Expect(1, 178207, '\P{^Block=cjkunifiedideographsextensiond}', "");
Expect(0, 178208, '\p{Block=cjkunifiedideographsextensiond}', "");
Expect(1, 178208, '\p{^Block=cjkunifiedideographsextensiond}', "");
Expect(1, 178208, '\P{Block=cjkunifiedideographsextensiond}', "");
Expect(0, 178208, '\P{^Block=cjkunifiedideographsextensiond}', "");
Expect(1, 178207, '\p{Block=-	CJK_unified_ideographs_Extension_D}', "");
Expect(0, 178207, '\p{^Block=-	CJK_unified_ideographs_Extension_D}', "");
Expect(0, 178207, '\P{Block=-	CJK_unified_ideographs_Extension_D}', "");
Expect(1, 178207, '\P{^Block=-	CJK_unified_ideographs_Extension_D}', "");
Expect(0, 178208, '\p{Block=-	CJK_unified_ideographs_Extension_D}', "");
Expect(1, 178208, '\p{^Block=-	CJK_unified_ideographs_Extension_D}', "");
Expect(1, 178208, '\P{Block=-	CJK_unified_ideographs_Extension_D}', "");
Expect(0, 178208, '\P{^Block=-	CJK_unified_ideographs_Extension_D}', "");
Error('\p{Blk=:= _cjk_Ext_d}');
Error('\P{Blk=:= _cjk_Ext_d}');
Expect(1, 178207, '\p{Blk=cjkextd}', "");
Expect(0, 178207, '\p{^Blk=cjkextd}', "");
Expect(0, 178207, '\P{Blk=cjkextd}', "");
Expect(1, 178207, '\P{^Blk=cjkextd}', "");
Expect(0, 178208, '\p{Blk=cjkextd}', "");
Expect(1, 178208, '\p{^Blk=cjkextd}', "");
Expect(1, 178208, '\P{Blk=cjkextd}', "");
Expect(0, 178208, '\P{^Blk=cjkextd}', "");
Expect(1, 178207, '\p{Blk=_ CJK_ext_D}', "");
Expect(0, 178207, '\p{^Blk=_ CJK_ext_D}', "");
Expect(0, 178207, '\P{Blk=_ CJK_ext_D}', "");
Expect(1, 178207, '\P{^Blk=_ CJK_ext_D}', "");
Expect(0, 178208, '\p{Blk=_ CJK_ext_D}', "");
Expect(1, 178208, '\p{^Blk=_ CJK_ext_D}', "");
Expect(1, 178208, '\P{Blk=_ CJK_ext_D}', "");
Expect(0, 178208, '\P{^Blk=_ CJK_ext_D}', "");
Error('\p{Is_Block=/a/ 	cjk_Unified_Ideographs_Extension_D}');
Error('\P{Is_Block=/a/ 	cjk_Unified_Ideographs_Extension_D}');
Expect(1, 178207, '\p{Is_Block: cjkunifiedideographsextensiond}', "");
Expect(0, 178207, '\p{^Is_Block: cjkunifiedideographsextensiond}', "");
Expect(0, 178207, '\P{Is_Block: cjkunifiedideographsextensiond}', "");
Expect(1, 178207, '\P{^Is_Block: cjkunifiedideographsextensiond}', "");
Expect(0, 178208, '\p{Is_Block: cjkunifiedideographsextensiond}', "");
Expect(1, 178208, '\p{^Is_Block: cjkunifiedideographsextensiond}', "");
Expect(1, 178208, '\P{Is_Block: cjkunifiedideographsextensiond}', "");
Expect(0, 178208, '\P{^Is_Block: cjkunifiedideographsextensiond}', "");
Expect(1, 178207, '\p{Is_Block=-cjk_Unified_Ideographs_Extension_D}', "");
Expect(0, 178207, '\p{^Is_Block=-cjk_Unified_Ideographs_Extension_D}', "");
Expect(0, 178207, '\P{Is_Block=-cjk_Unified_Ideographs_Extension_D}', "");
Expect(1, 178207, '\P{^Is_Block=-cjk_Unified_Ideographs_Extension_D}', "");
Expect(0, 178208, '\p{Is_Block=-cjk_Unified_Ideographs_Extension_D}', "");
Expect(1, 178208, '\p{^Is_Block=-cjk_Unified_Ideographs_Extension_D}', "");
Expect(1, 178208, '\P{Is_Block=-cjk_Unified_Ideographs_Extension_D}', "");
Expect(0, 178208, '\P{^Is_Block=-cjk_Unified_Ideographs_Extension_D}', "");
Error('\p{Is_Blk=/a/ 	CJK_ext_d}');
Error('\P{Is_Blk=/a/ 	CJK_ext_d}');
Expect(1, 178207, '\p{Is_Blk:cjkextd}', "");
Expect(0, 178207, '\p{^Is_Blk:cjkextd}', "");
Expect(0, 178207, '\P{Is_Blk:cjkextd}', "");
Expect(1, 178207, '\P{^Is_Blk:cjkextd}', "");
Expect(0, 178208, '\p{Is_Blk:cjkextd}', "");
Expect(1, 178208, '\p{^Is_Blk:cjkextd}', "");
Expect(1, 178208, '\P{Is_Blk:cjkextd}', "");
Expect(0, 178208, '\P{^Is_Blk:cjkextd}', "");
Expect(1, 178207, '\p{Is_Blk=  CJK_Ext_d}', "");
Expect(0, 178207, '\p{^Is_Blk=  CJK_Ext_d}', "");
Expect(0, 178207, '\P{Is_Blk=  CJK_Ext_d}', "");
Expect(1, 178207, '\P{^Is_Blk=  CJK_Ext_d}', "");
Expect(0, 178208, '\p{Is_Blk=  CJK_Ext_d}', "");
Expect(1, 178208, '\p{^Is_Blk=  CJK_Ext_d}', "");
Expect(1, 178208, '\P{Is_Blk=  CJK_Ext_d}', "");
Expect(0, 178208, '\P{^Is_Blk=  CJK_Ext_d}', "");
Error('\p{Block=/a/cjk_Unified_Ideographs_Extension_E}');
Error('\P{Block=/a/cjk_Unified_Ideographs_Extension_E}');
Expect(1, 183983, '\p{Block=cjkunifiedideographsextensione}', "");
Expect(0, 183983, '\p{^Block=cjkunifiedideographsextensione}', "");
Expect(0, 183983, '\P{Block=cjkunifiedideographsextensione}', "");
Expect(1, 183983, '\P{^Block=cjkunifiedideographsextensione}', "");
Expect(0, 183984, '\p{Block=cjkunifiedideographsextensione}', "");
Expect(1, 183984, '\p{^Block=cjkunifiedideographsextensione}', "");
Expect(1, 183984, '\P{Block=cjkunifiedideographsextensione}', "");
Expect(0, 183984, '\P{^Block=cjkunifiedideographsextensione}', "");
Expect(1, 183983, '\p{Block=_-CJK_UNIFIED_IDEOGRAPHS_extension_E}', "");
Expect(0, 183983, '\p{^Block=_-CJK_UNIFIED_IDEOGRAPHS_extension_E}', "");
Expect(0, 183983, '\P{Block=_-CJK_UNIFIED_IDEOGRAPHS_extension_E}', "");
Expect(1, 183983, '\P{^Block=_-CJK_UNIFIED_IDEOGRAPHS_extension_E}', "");
Expect(0, 183984, '\p{Block=_-CJK_UNIFIED_IDEOGRAPHS_extension_E}', "");
Expect(1, 183984, '\p{^Block=_-CJK_UNIFIED_IDEOGRAPHS_extension_E}', "");
Expect(1, 183984, '\P{Block=_-CJK_UNIFIED_IDEOGRAPHS_extension_E}', "");
Expect(0, 183984, '\P{^Block=_-CJK_UNIFIED_IDEOGRAPHS_extension_E}', "");
Error('\p{Blk= -cjk_EXT_E:=}');
Error('\P{Blk= -cjk_EXT_E:=}');
Expect(1, 183983, '\p{Blk=cjkexte}', "");
Expect(0, 183983, '\p{^Blk=cjkexte}', "");
Expect(0, 183983, '\P{Blk=cjkexte}', "");
Expect(1, 183983, '\P{^Blk=cjkexte}', "");
Expect(0, 183984, '\p{Blk=cjkexte}', "");
Expect(1, 183984, '\p{^Blk=cjkexte}', "");
Expect(1, 183984, '\P{Blk=cjkexte}', "");
Expect(0, 183984, '\P{^Blk=cjkexte}', "");
Expect(1, 183983, '\p{Blk=_-CJK_Ext_E}', "");
Expect(0, 183983, '\p{^Blk=_-CJK_Ext_E}', "");
Expect(0, 183983, '\P{Blk=_-CJK_Ext_E}', "");
Expect(1, 183983, '\P{^Blk=_-CJK_Ext_E}', "");
Expect(0, 183984, '\p{Blk=_-CJK_Ext_E}', "");
Expect(1, 183984, '\p{^Blk=_-CJK_Ext_E}', "");
Expect(1, 183984, '\P{Blk=_-CJK_Ext_E}', "");
Expect(0, 183984, '\P{^Blk=_-CJK_Ext_E}', "");
Error('\p{Is_Block=:=--CJK_unified_ideographs_EXTENSION_E}');
Error('\P{Is_Block=:=--CJK_unified_ideographs_EXTENSION_E}');
Expect(1, 183983, '\p{Is_Block=cjkunifiedideographsextensione}', "");
Expect(0, 183983, '\p{^Is_Block=cjkunifiedideographsextensione}', "");
Expect(0, 183983, '\P{Is_Block=cjkunifiedideographsextensione}', "");
Expect(1, 183983, '\P{^Is_Block=cjkunifiedideographsextensione}', "");
Expect(0, 183984, '\p{Is_Block=cjkunifiedideographsextensione}', "");
Expect(1, 183984, '\p{^Is_Block=cjkunifiedideographsextensione}', "");
Expect(1, 183984, '\P{Is_Block=cjkunifiedideographsextensione}', "");
Expect(0, 183984, '\P{^Is_Block=cjkunifiedideographsextensione}', "");
Expect(1, 183983, '\p{Is_Block=		CJK_Unified_IDEOGRAPHS_extension_E}', "");
Expect(0, 183983, '\p{^Is_Block=		CJK_Unified_IDEOGRAPHS_extension_E}', "");
Expect(0, 183983, '\P{Is_Block=		CJK_Unified_IDEOGRAPHS_extension_E}', "");
Expect(1, 183983, '\P{^Is_Block=		CJK_Unified_IDEOGRAPHS_extension_E}', "");
Expect(0, 183984, '\p{Is_Block=		CJK_Unified_IDEOGRAPHS_extension_E}', "");
Expect(1, 183984, '\p{^Is_Block=		CJK_Unified_IDEOGRAPHS_extension_E}', "");
Expect(1, 183984, '\P{Is_Block=		CJK_Unified_IDEOGRAPHS_extension_E}', "");
Expect(0, 183984, '\P{^Is_Block=		CJK_Unified_IDEOGRAPHS_extension_E}', "");
Error('\p{Is_Blk=-:=CJK_Ext_E}');
Error('\P{Is_Blk=-:=CJK_Ext_E}');
Expect(1, 183983, '\p{Is_Blk=cjkexte}', "");
Expect(0, 183983, '\p{^Is_Blk=cjkexte}', "");
Expect(0, 183983, '\P{Is_Blk=cjkexte}', "");
Expect(1, 183983, '\P{^Is_Blk=cjkexte}', "");
Expect(0, 183984, '\p{Is_Blk=cjkexte}', "");
Expect(1, 183984, '\p{^Is_Blk=cjkexte}', "");
Expect(1, 183984, '\P{Is_Blk=cjkexte}', "");
Expect(0, 183984, '\P{^Is_Blk=cjkexte}', "");
Expect(1, 183983, '\p{Is_Blk= 	CJK_EXT_E}', "");
Expect(0, 183983, '\p{^Is_Blk= 	CJK_EXT_E}', "");
Expect(0, 183983, '\P{Is_Blk= 	CJK_EXT_E}', "");
Expect(1, 183983, '\P{^Is_Blk= 	CJK_EXT_E}', "");
Expect(0, 183984, '\p{Is_Blk= 	CJK_EXT_E}', "");
Expect(1, 183984, '\p{^Is_Blk= 	CJK_EXT_E}', "");
Expect(1, 183984, '\P{Is_Blk= 	CJK_EXT_E}', "");
Expect(0, 183984, '\P{^Is_Blk= 	CJK_EXT_E}', "");
Error('\p{Block=:= _CJK_Radicals_Supplement}');
Error('\P{Block=:= _CJK_Radicals_Supplement}');
Expect(1, 12031, '\p{Block=cjkradicalssupplement}', "");
Expect(0, 12031, '\p{^Block=cjkradicalssupplement}', "");
Expect(0, 12031, '\P{Block=cjkradicalssupplement}', "");
Expect(1, 12031, '\P{^Block=cjkradicalssupplement}', "");
Expect(0, 12032, '\p{Block=cjkradicalssupplement}', "");
Expect(1, 12032, '\p{^Block=cjkradicalssupplement}', "");
Expect(1, 12032, '\P{Block=cjkradicalssupplement}', "");
Expect(0, 12032, '\P{^Block=cjkradicalssupplement}', "");
Expect(1, 12031, '\p{Block=	-CJK_Radicals_Supplement}', "");
Expect(0, 12031, '\p{^Block=	-CJK_Radicals_Supplement}', "");
Expect(0, 12031, '\P{Block=	-CJK_Radicals_Supplement}', "");
Expect(1, 12031, '\P{^Block=	-CJK_Radicals_Supplement}', "");
Expect(0, 12032, '\p{Block=	-CJK_Radicals_Supplement}', "");
Expect(1, 12032, '\p{^Block=	-CJK_Radicals_Supplement}', "");
Expect(1, 12032, '\P{Block=	-CJK_Radicals_Supplement}', "");
Expect(0, 12032, '\P{^Block=	-CJK_Radicals_Supplement}', "");
Error('\p{Blk=		CJK_Radicals_Sup:=}');
Error('\P{Blk=		CJK_Radicals_Sup:=}');
Expect(1, 12031, '\p{Blk=cjkradicalssup}', "");
Expect(0, 12031, '\p{^Blk=cjkradicalssup}', "");
Expect(0, 12031, '\P{Blk=cjkradicalssup}', "");
Expect(1, 12031, '\P{^Blk=cjkradicalssup}', "");
Expect(0, 12032, '\p{Blk=cjkradicalssup}', "");
Expect(1, 12032, '\p{^Blk=cjkradicalssup}', "");
Expect(1, 12032, '\P{Blk=cjkradicalssup}', "");
Expect(0, 12032, '\P{^Blk=cjkradicalssup}', "");
Expect(1, 12031, '\p{Blk:	_	cjk_RADICALS_sup}', "");
Expect(0, 12031, '\p{^Blk:	_	cjk_RADICALS_sup}', "");
Expect(0, 12031, '\P{Blk:	_	cjk_RADICALS_sup}', "");
Expect(1, 12031, '\P{^Blk:	_	cjk_RADICALS_sup}', "");
Expect(0, 12032, '\p{Blk:	_	cjk_RADICALS_sup}', "");
Expect(1, 12032, '\p{^Blk:	_	cjk_RADICALS_sup}', "");
Expect(1, 12032, '\P{Blk:	_	cjk_RADICALS_sup}', "");
Expect(0, 12032, '\P{^Blk:	_	cjk_RADICALS_sup}', "");
Error('\p{Is_Block=	 CJK_RADICALS_Supplement:=}');
Error('\P{Is_Block=	 CJK_RADICALS_Supplement:=}');
Expect(1, 12031, '\p{Is_Block=cjkradicalssupplement}', "");
Expect(0, 12031, '\p{^Is_Block=cjkradicalssupplement}', "");
Expect(0, 12031, '\P{Is_Block=cjkradicalssupplement}', "");
Expect(1, 12031, '\P{^Is_Block=cjkradicalssupplement}', "");
Expect(0, 12032, '\p{Is_Block=cjkradicalssupplement}', "");
Expect(1, 12032, '\p{^Is_Block=cjkradicalssupplement}', "");
Expect(1, 12032, '\P{Is_Block=cjkradicalssupplement}', "");
Expect(0, 12032, '\P{^Is_Block=cjkradicalssupplement}', "");
Expect(1, 12031, '\p{Is_Block=-_CJK_Radicals_Supplement}', "");
Expect(0, 12031, '\p{^Is_Block=-_CJK_Radicals_Supplement}', "");
Expect(0, 12031, '\P{Is_Block=-_CJK_Radicals_Supplement}', "");
Expect(1, 12031, '\P{^Is_Block=-_CJK_Radicals_Supplement}', "");
Expect(0, 12032, '\p{Is_Block=-_CJK_Radicals_Supplement}', "");
Expect(1, 12032, '\p{^Is_Block=-_CJK_Radicals_Supplement}', "");
Expect(1, 12032, '\P{Is_Block=-_CJK_Radicals_Supplement}', "");
Expect(0, 12032, '\P{^Is_Block=-_CJK_Radicals_Supplement}', "");
Error('\p{Is_Blk=_:=CJK_Radicals_sup}');
Error('\P{Is_Blk=_:=CJK_Radicals_sup}');
Expect(1, 12031, '\p{Is_Blk=cjkradicalssup}', "");
Expect(0, 12031, '\p{^Is_Blk=cjkradicalssup}', "");
Expect(0, 12031, '\P{Is_Blk=cjkradicalssup}', "");
Expect(1, 12031, '\P{^Is_Blk=cjkradicalssup}', "");
Expect(0, 12032, '\p{Is_Blk=cjkradicalssup}', "");
Expect(1, 12032, '\p{^Is_Blk=cjkradicalssup}', "");
Expect(1, 12032, '\P{Is_Blk=cjkradicalssup}', "");
Expect(0, 12032, '\P{^Is_Blk=cjkradicalssup}', "");
Expect(1, 12031, '\p{Is_Blk=	 CJK_Radicals_Sup}', "");
Expect(0, 12031, '\p{^Is_Blk=	 CJK_Radicals_Sup}', "");
Expect(0, 12031, '\P{Is_Blk=	 CJK_Radicals_Sup}', "");
Expect(1, 12031, '\P{^Is_Blk=	 CJK_Radicals_Sup}', "");
Expect(0, 12032, '\p{Is_Blk=	 CJK_Radicals_Sup}', "");
Expect(1, 12032, '\p{^Is_Blk=	 CJK_Radicals_Sup}', "");
Expect(1, 12032, '\P{Is_Blk=	 CJK_Radicals_Sup}', "");
Expect(0, 12032, '\P{^Is_Blk=	 CJK_Radicals_Sup}', "");
Error('\p{Block=_CJK_strokes:=}');
Error('\P{Block=_CJK_strokes:=}');
Expect(1, 12783, '\p{Block=cjkstrokes}', "");
Expect(0, 12783, '\p{^Block=cjkstrokes}', "");
Expect(0, 12783, '\P{Block=cjkstrokes}', "");
Expect(1, 12783, '\P{^Block=cjkstrokes}', "");
Expect(0, 12784, '\p{Block=cjkstrokes}', "");
Expect(1, 12784, '\p{^Block=cjkstrokes}', "");
Expect(1, 12784, '\P{Block=cjkstrokes}', "");
Expect(0, 12784, '\P{^Block=cjkstrokes}', "");
Expect(1, 12783, '\p{Block=_ CJK_Strokes}', "");
Expect(0, 12783, '\p{^Block=_ CJK_Strokes}', "");
Expect(0, 12783, '\P{Block=_ CJK_Strokes}', "");
Expect(1, 12783, '\P{^Block=_ CJK_Strokes}', "");
Expect(0, 12784, '\p{Block=_ CJK_Strokes}', "");
Expect(1, 12784, '\p{^Block=_ CJK_Strokes}', "");
Expect(1, 12784, '\P{Block=_ CJK_Strokes}', "");
Expect(0, 12784, '\P{^Block=_ CJK_Strokes}', "");
Error('\p{Blk=-_CJK_Strokes/a/}');
Error('\P{Blk=-_CJK_Strokes/a/}');
Expect(1, 12783, '\p{Blk:   cjkstrokes}', "");
Expect(0, 12783, '\p{^Blk:   cjkstrokes}', "");
Expect(0, 12783, '\P{Blk:   cjkstrokes}', "");
Expect(1, 12783, '\P{^Blk:   cjkstrokes}', "");
Expect(0, 12784, '\p{Blk:   cjkstrokes}', "");
Expect(1, 12784, '\p{^Blk:   cjkstrokes}', "");
Expect(1, 12784, '\P{Blk:   cjkstrokes}', "");
Expect(0, 12784, '\P{^Blk:   cjkstrokes}', "");
Expect(1, 12783, '\p{Blk= CJK_strokes}', "");
Expect(0, 12783, '\p{^Blk= CJK_strokes}', "");
Expect(0, 12783, '\P{Blk= CJK_strokes}', "");
Expect(1, 12783, '\P{^Blk= CJK_strokes}', "");
Expect(0, 12784, '\p{Blk= CJK_strokes}', "");
Expect(1, 12784, '\p{^Blk= CJK_strokes}', "");
Expect(1, 12784, '\P{Blk= CJK_strokes}', "");
Expect(0, 12784, '\P{^Blk= CJK_strokes}', "");
Error('\p{Is_Block=/a/CJK_Strokes}');
Error('\P{Is_Block=/a/CJK_Strokes}');
Expect(1, 12783, '\p{Is_Block=cjkstrokes}', "");
Expect(0, 12783, '\p{^Is_Block=cjkstrokes}', "");
Expect(0, 12783, '\P{Is_Block=cjkstrokes}', "");
Expect(1, 12783, '\P{^Is_Block=cjkstrokes}', "");
Expect(0, 12784, '\p{Is_Block=cjkstrokes}', "");
Expect(1, 12784, '\p{^Is_Block=cjkstrokes}', "");
Expect(1, 12784, '\P{Is_Block=cjkstrokes}', "");
Expect(0, 12784, '\P{^Is_Block=cjkstrokes}', "");
Expect(1, 12783, '\p{Is_Block=-CJK_Strokes}', "");
Expect(0, 12783, '\p{^Is_Block=-CJK_Strokes}', "");
Expect(0, 12783, '\P{Is_Block=-CJK_Strokes}', "");
Expect(1, 12783, '\P{^Is_Block=-CJK_Strokes}', "");
Expect(0, 12784, '\p{Is_Block=-CJK_Strokes}', "");
Expect(1, 12784, '\p{^Is_Block=-CJK_Strokes}', "");
Expect(1, 12784, '\P{Is_Block=-CJK_Strokes}', "");
Expect(0, 12784, '\P{^Is_Block=-CJK_Strokes}', "");
Error('\p{Is_Blk=/a/	_CJK_Strokes}');
Error('\P{Is_Blk=/a/	_CJK_Strokes}');
Expect(1, 12783, '\p{Is_Blk=cjkstrokes}', "");
Expect(0, 12783, '\p{^Is_Blk=cjkstrokes}', "");
Expect(0, 12783, '\P{Is_Blk=cjkstrokes}', "");
Expect(1, 12783, '\P{^Is_Blk=cjkstrokes}', "");
Expect(0, 12784, '\p{Is_Blk=cjkstrokes}', "");
Expect(1, 12784, '\p{^Is_Blk=cjkstrokes}', "");
Expect(1, 12784, '\P{Is_Blk=cjkstrokes}', "");
Expect(0, 12784, '\P{^Is_Blk=cjkstrokes}', "");
Expect(1, 12783, '\p{Is_Blk=_	CJK_Strokes}', "");
Expect(0, 12783, '\p{^Is_Blk=_	CJK_Strokes}', "");
Expect(0, 12783, '\P{Is_Blk=_	CJK_Strokes}', "");
Expect(1, 12783, '\P{^Is_Blk=_	CJK_Strokes}', "");
Expect(0, 12784, '\p{Is_Blk=_	CJK_Strokes}', "");
Expect(1, 12784, '\p{^Is_Blk=_	CJK_Strokes}', "");
Expect(1, 12784, '\P{Is_Blk=_	CJK_Strokes}', "");
Expect(0, 12784, '\P{^Is_Blk=_	CJK_Strokes}', "");
Error('\p{Block=:=		cjk_SYMBOLS_and_punctuation}');
Error('\P{Block=:=		cjk_SYMBOLS_and_punctuation}');
Expect(1, 12351, '\p{Block=cjksymbolsandpunctuation}', "");
Expect(0, 12351, '\p{^Block=cjksymbolsandpunctuation}', "");
Expect(0, 12351, '\P{Block=cjksymbolsandpunctuation}', "");
Expect(1, 12351, '\P{^Block=cjksymbolsandpunctuation}', "");
Expect(0, 12352, '\p{Block=cjksymbolsandpunctuation}', "");
Expect(1, 12352, '\p{^Block=cjksymbolsandpunctuation}', "");
Expect(1, 12352, '\P{Block=cjksymbolsandpunctuation}', "");
Expect(0, 12352, '\P{^Block=cjksymbolsandpunctuation}', "");
Expect(1, 12351, '\p{Block=-_CJK_SYMBOLS_And_punctuation}', "");
Expect(0, 12351, '\p{^Block=-_CJK_SYMBOLS_And_punctuation}', "");
Expect(0, 12351, '\P{Block=-_CJK_SYMBOLS_And_punctuation}', "");
Expect(1, 12351, '\P{^Block=-_CJK_SYMBOLS_And_punctuation}', "");
Expect(0, 12352, '\p{Block=-_CJK_SYMBOLS_And_punctuation}', "");
Expect(1, 12352, '\p{^Block=-_CJK_SYMBOLS_And_punctuation}', "");
Expect(1, 12352, '\P{Block=-_CJK_SYMBOLS_And_punctuation}', "");
Expect(0, 12352, '\P{^Block=-_CJK_SYMBOLS_And_punctuation}', "");
Error('\p{Blk:-CJK_Symbols:=}');
Error('\P{Blk:-CJK_Symbols:=}');
Expect(1, 12351, '\p{Blk=cjksymbols}', "");
Expect(0, 12351, '\p{^Blk=cjksymbols}', "");
Expect(0, 12351, '\P{Blk=cjksymbols}', "");
Expect(1, 12351, '\P{^Blk=cjksymbols}', "");
Expect(0, 12352, '\p{Blk=cjksymbols}', "");
Expect(1, 12352, '\p{^Blk=cjksymbols}', "");
Expect(1, 12352, '\P{Blk=cjksymbols}', "");
Expect(0, 12352, '\P{^Blk=cjksymbols}', "");
Expect(1, 12351, '\p{Blk=	CJK_Symbols}', "");
Expect(0, 12351, '\p{^Blk=	CJK_Symbols}', "");
Expect(0, 12351, '\P{Blk=	CJK_Symbols}', "");
Expect(1, 12351, '\P{^Blk=	CJK_Symbols}', "");
Expect(0, 12352, '\p{Blk=	CJK_Symbols}', "");
Expect(1, 12352, '\p{^Blk=	CJK_Symbols}', "");
Expect(1, 12352, '\P{Blk=	CJK_Symbols}', "");
Expect(0, 12352, '\P{^Blk=	CJK_Symbols}', "");
Error('\p{Is_Block=/a/- cjk_Symbols_And_Punctuation}');
Error('\P{Is_Block=/a/- cjk_Symbols_And_Punctuation}');
Expect(1, 12351, '\p{Is_Block=cjksymbolsandpunctuation}', "");
Expect(0, 12351, '\p{^Is_Block=cjksymbolsandpunctuation}', "");
Expect(0, 12351, '\P{Is_Block=cjksymbolsandpunctuation}', "");
Expect(1, 12351, '\P{^Is_Block=cjksymbolsandpunctuation}', "");
Expect(0, 12352, '\p{Is_Block=cjksymbolsandpunctuation}', "");
Expect(1, 12352, '\p{^Is_Block=cjksymbolsandpunctuation}', "");
Expect(1, 12352, '\P{Is_Block=cjksymbolsandpunctuation}', "");
Expect(0, 12352, '\P{^Is_Block=cjksymbolsandpunctuation}', "");
Expect(1, 12351, '\p{Is_Block=-	CJK_SYMBOLS_AND_punctuation}', "");
Expect(0, 12351, '\p{^Is_Block=-	CJK_SYMBOLS_AND_punctuation}', "");
Expect(0, 12351, '\P{Is_Block=-	CJK_SYMBOLS_AND_punctuation}', "");
Expect(1, 12351, '\P{^Is_Block=-	CJK_SYMBOLS_AND_punctuation}', "");
Expect(0, 12352, '\p{Is_Block=-	CJK_SYMBOLS_AND_punctuation}', "");
Expect(1, 12352, '\p{^Is_Block=-	CJK_SYMBOLS_AND_punctuation}', "");
Expect(1, 12352, '\P{Is_Block=-	CJK_SYMBOLS_AND_punctuation}', "");
Expect(0, 12352, '\P{^Is_Block=-	CJK_SYMBOLS_AND_punctuation}', "");
Error('\p{Is_Blk=:= CJK_Symbols}');
Error('\P{Is_Blk=:= CJK_Symbols}');
Expect(1, 12351, '\p{Is_Blk=cjksymbols}', "");
Expect(0, 12351, '\p{^Is_Blk=cjksymbols}', "");
Expect(0, 12351, '\P{Is_Blk=cjksymbols}', "");
Expect(1, 12351, '\P{^Is_Blk=cjksymbols}', "");
Expect(0, 12352, '\p{Is_Blk=cjksymbols}', "");
Expect(1, 12352, '\p{^Is_Blk=cjksymbols}', "");
Expect(1, 12352, '\P{Is_Blk=cjksymbols}', "");
Expect(0, 12352, '\P{^Is_Blk=cjksymbols}', "");
Expect(1, 12351, '\p{Is_Blk= -cjk_symbols}', "");
Expect(0, 12351, '\p{^Is_Blk= -cjk_symbols}', "");
Expect(0, 12351, '\P{Is_Blk= -cjk_symbols}', "");
Expect(1, 12351, '\P{^Is_Blk= -cjk_symbols}', "");
Expect(0, 12352, '\p{Is_Blk= -cjk_symbols}', "");
Expect(1, 12352, '\p{^Is_Blk= -cjk_symbols}', "");
Expect(1, 12352, '\P{Is_Blk= -cjk_symbols}', "");
Expect(0, 12352, '\P{^Is_Blk= -cjk_symbols}', "");
Error('\p{Block=_-Carian/a/}');
Error('\P{Block=_-Carian/a/}');
Expect(1, 66271, '\p{Block=carian}', "");
Expect(0, 66271, '\p{^Block=carian}', "");
Expect(0, 66271, '\P{Block=carian}', "");
Expect(1, 66271, '\P{^Block=carian}', "");
Expect(0, 66272, '\p{Block=carian}', "");
Expect(1, 66272, '\p{^Block=carian}', "");
Expect(1, 66272, '\P{Block=carian}', "");
Expect(0, 66272, '\P{^Block=carian}', "");
Expect(1, 66271, '\p{Block=-CARIAN}', "");
Expect(0, 66271, '\p{^Block=-CARIAN}', "");
Expect(0, 66271, '\P{Block=-CARIAN}', "");
Expect(1, 66271, '\P{^Block=-CARIAN}', "");
Expect(0, 66272, '\p{Block=-CARIAN}', "");
Expect(1, 66272, '\p{^Block=-CARIAN}', "");
Expect(1, 66272, '\P{Block=-CARIAN}', "");
Expect(0, 66272, '\P{^Block=-CARIAN}', "");
Error('\p{Blk=	:=Carian}');
Error('\P{Blk=	:=Carian}');
Expect(1, 66271, '\p{Blk: carian}', "");
Expect(0, 66271, '\p{^Blk: carian}', "");
Expect(0, 66271, '\P{Blk: carian}', "");
Expect(1, 66271, '\P{^Blk: carian}', "");
Expect(0, 66272, '\p{Blk: carian}', "");
Expect(1, 66272, '\p{^Blk: carian}', "");
Expect(1, 66272, '\P{Blk: carian}', "");
Expect(0, 66272, '\P{^Blk: carian}', "");
Expect(1, 66271, '\p{Blk= 	carian}', "");
Expect(0, 66271, '\p{^Blk= 	carian}', "");
Expect(0, 66271, '\P{Blk= 	carian}', "");
Expect(1, 66271, '\P{^Blk= 	carian}', "");
Expect(0, 66272, '\p{Blk= 	carian}', "");
Expect(1, 66272, '\p{^Blk= 	carian}', "");
Expect(1, 66272, '\P{Blk= 	carian}', "");
Expect(0, 66272, '\P{^Blk= 	carian}', "");
Error('\p{Is_Block:	 -CARIAN:=}');
Error('\P{Is_Block:	 -CARIAN:=}');
Expect(1, 66271, '\p{Is_Block=carian}', "");
Expect(0, 66271, '\p{^Is_Block=carian}', "");
Expect(0, 66271, '\P{Is_Block=carian}', "");
Expect(1, 66271, '\P{^Is_Block=carian}', "");
Expect(0, 66272, '\p{Is_Block=carian}', "");
Expect(1, 66272, '\p{^Is_Block=carian}', "");
Expect(1, 66272, '\P{Is_Block=carian}', "");
Expect(0, 66272, '\P{^Is_Block=carian}', "");
Expect(1, 66271, '\p{Is_Block=_carian}', "");
Expect(0, 66271, '\p{^Is_Block=_carian}', "");
Expect(0, 66271, '\P{Is_Block=_carian}', "");
Expect(1, 66271, '\P{^Is_Block=_carian}', "");
Expect(0, 66272, '\p{Is_Block=_carian}', "");
Expect(1, 66272, '\p{^Is_Block=_carian}', "");
Expect(1, 66272, '\P{Is_Block=_carian}', "");
Expect(0, 66272, '\P{^Is_Block=_carian}', "");
Error('\p{Is_Blk=	carian:=}');
Error('\P{Is_Blk=	carian:=}');
Expect(1, 66271, '\p{Is_Blk=carian}', "");
Expect(0, 66271, '\p{^Is_Blk=carian}', "");
Expect(0, 66271, '\P{Is_Blk=carian}', "");
Expect(1, 66271, '\P{^Is_Blk=carian}', "");
Expect(0, 66272, '\p{Is_Blk=carian}', "");
Expect(1, 66272, '\p{^Is_Blk=carian}', "");
Expect(1, 66272, '\P{Is_Blk=carian}', "");
Expect(0, 66272, '\P{^Is_Blk=carian}', "");
Expect(1, 66271, '\p{Is_Blk= Carian}', "");
Expect(0, 66271, '\p{^Is_Blk= Carian}', "");
Expect(0, 66271, '\P{Is_Blk= Carian}', "");
Expect(1, 66271, '\P{^Is_Blk= Carian}', "");
Expect(0, 66272, '\p{Is_Blk= Carian}', "");
Expect(1, 66272, '\p{^Is_Blk= Carian}', "");
Expect(1, 66272, '\P{Is_Blk= Carian}', "");
Expect(0, 66272, '\P{^Is_Blk= Carian}', "");
Error('\p{Block=_/a/CAUCASIAN_Albanian}');
Error('\P{Block=_/a/CAUCASIAN_Albanian}');
Expect(1, 66927, '\p{Block=caucasianalbanian}', "");
Expect(0, 66927, '\p{^Block=caucasianalbanian}', "");
Expect(0, 66927, '\P{Block=caucasianalbanian}', "");
Expect(1, 66927, '\P{^Block=caucasianalbanian}', "");
Expect(0, 66928, '\p{Block=caucasianalbanian}', "");
Expect(1, 66928, '\p{^Block=caucasianalbanian}', "");
Expect(1, 66928, '\P{Block=caucasianalbanian}', "");
Expect(0, 66928, '\P{^Block=caucasianalbanian}', "");
Expect(1, 66927, '\p{Block= Caucasian_albanian}', "");
Expect(0, 66927, '\p{^Block= Caucasian_albanian}', "");
Expect(0, 66927, '\P{Block= Caucasian_albanian}', "");
Expect(1, 66927, '\P{^Block= Caucasian_albanian}', "");
Expect(0, 66928, '\p{Block= Caucasian_albanian}', "");
Expect(1, 66928, '\p{^Block= Caucasian_albanian}', "");
Expect(1, 66928, '\P{Block= Caucasian_albanian}', "");
Expect(0, 66928, '\P{^Block= Caucasian_albanian}', "");
Error('\p{Blk= _Caucasian_ALBANIAN:=}');
Error('\P{Blk= _Caucasian_ALBANIAN:=}');
Expect(1, 66927, '\p{Blk=caucasianalbanian}', "");
Expect(0, 66927, '\p{^Blk=caucasianalbanian}', "");
Expect(0, 66927, '\P{Blk=caucasianalbanian}', "");
Expect(1, 66927, '\P{^Blk=caucasianalbanian}', "");
Expect(0, 66928, '\p{Blk=caucasianalbanian}', "");
Expect(1, 66928, '\p{^Blk=caucasianalbanian}', "");
Expect(1, 66928, '\P{Blk=caucasianalbanian}', "");
Expect(0, 66928, '\P{^Blk=caucasianalbanian}', "");
Expect(1, 66927, '\p{Blk=	-Caucasian_Albanian}', "");
Expect(0, 66927, '\p{^Blk=	-Caucasian_Albanian}', "");
Expect(0, 66927, '\P{Blk=	-Caucasian_Albanian}', "");
Expect(1, 66927, '\P{^Blk=	-Caucasian_Albanian}', "");
Expect(0, 66928, '\p{Blk=	-Caucasian_Albanian}', "");
Expect(1, 66928, '\p{^Blk=	-Caucasian_Albanian}', "");
Expect(1, 66928, '\P{Blk=	-Caucasian_Albanian}', "");
Expect(0, 66928, '\P{^Blk=	-Caucasian_Albanian}', "");
Error('\p{Is_Block=-_Caucasian_albanian/a/}');
Error('\P{Is_Block=-_Caucasian_albanian/a/}');
Expect(1, 66927, '\p{Is_Block=caucasianalbanian}', "");
Expect(0, 66927, '\p{^Is_Block=caucasianalbanian}', "");
Expect(0, 66927, '\P{Is_Block=caucasianalbanian}', "");
Expect(1, 66927, '\P{^Is_Block=caucasianalbanian}', "");
Expect(0, 66928, '\p{Is_Block=caucasianalbanian}', "");
Expect(1, 66928, '\p{^Is_Block=caucasianalbanian}', "");
Expect(1, 66928, '\P{Is_Block=caucasianalbanian}', "");
Expect(0, 66928, '\P{^Is_Block=caucasianalbanian}', "");
Expect(1, 66927, '\p{Is_Block=-	caucasian_Albanian}', "");
Expect(0, 66927, '\p{^Is_Block=-	caucasian_Albanian}', "");
Expect(0, 66927, '\P{Is_Block=-	caucasian_Albanian}', "");
Expect(1, 66927, '\P{^Is_Block=-	caucasian_Albanian}', "");
Expect(0, 66928, '\p{Is_Block=-	caucasian_Albanian}', "");
Expect(1, 66928, '\p{^Is_Block=-	caucasian_Albanian}', "");
Expect(1, 66928, '\P{Is_Block=-	caucasian_Albanian}', "");
Expect(0, 66928, '\P{^Is_Block=-	caucasian_Albanian}', "");
Error('\p{Is_Blk=:=_	CAUCASIAN_Albanian}');
Error('\P{Is_Blk=:=_	CAUCASIAN_Albanian}');
Expect(1, 66927, '\p{Is_Blk=caucasianalbanian}', "");
Expect(0, 66927, '\p{^Is_Blk=caucasianalbanian}', "");
Expect(0, 66927, '\P{Is_Blk=caucasianalbanian}', "");
Expect(1, 66927, '\P{^Is_Blk=caucasianalbanian}', "");
Expect(0, 66928, '\p{Is_Blk=caucasianalbanian}', "");
Expect(1, 66928, '\p{^Is_Blk=caucasianalbanian}', "");
Expect(1, 66928, '\P{Is_Blk=caucasianalbanian}', "");
Expect(0, 66928, '\P{^Is_Blk=caucasianalbanian}', "");
Expect(1, 66927, '\p{Is_Blk=--Caucasian_ALBANIAN}', "");
Expect(0, 66927, '\p{^Is_Blk=--Caucasian_ALBANIAN}', "");
Expect(0, 66927, '\P{Is_Blk=--Caucasian_ALBANIAN}', "");
Expect(1, 66927, '\P{^Is_Blk=--Caucasian_ALBANIAN}', "");
Expect(0, 66928, '\p{Is_Blk=--Caucasian_ALBANIAN}', "");
Expect(1, 66928, '\p{^Is_Blk=--Caucasian_ALBANIAN}', "");
Expect(1, 66928, '\P{Is_Blk=--Caucasian_ALBANIAN}', "");
Expect(0, 66928, '\P{^Is_Blk=--Caucasian_ALBANIAN}', "");
Error('\p{Block=/a/  chakma}');
Error('\P{Block=/a/  chakma}');
Expect(1, 69967, '\p{Block=chakma}', "");
Expect(0, 69967, '\p{^Block=chakma}', "");
Expect(0, 69967, '\P{Block=chakma}', "");
Expect(1, 69967, '\P{^Block=chakma}', "");
Expect(0, 69968, '\p{Block=chakma}', "");
Expect(1, 69968, '\p{^Block=chakma}', "");
Expect(1, 69968, '\P{Block=chakma}', "");
Expect(0, 69968, '\P{^Block=chakma}', "");
Expect(1, 69967, '\p{Block=- chakma}', "");
Expect(0, 69967, '\p{^Block=- chakma}', "");
Expect(0, 69967, '\P{Block=- chakma}', "");
Expect(1, 69967, '\P{^Block=- chakma}', "");
Expect(0, 69968, '\p{Block=- chakma}', "");
Expect(1, 69968, '\p{^Block=- chakma}', "");
Expect(1, 69968, '\P{Block=- chakma}', "");
Expect(0, 69968, '\P{^Block=- chakma}', "");
Error('\p{Blk=-:=chakma}');
Error('\P{Blk=-:=chakma}');
Expect(1, 69967, '\p{Blk=chakma}', "");
Expect(0, 69967, '\p{^Blk=chakma}', "");
Expect(0, 69967, '\P{Blk=chakma}', "");
Expect(1, 69967, '\P{^Blk=chakma}', "");
Expect(0, 69968, '\p{Blk=chakma}', "");
Expect(1, 69968, '\p{^Blk=chakma}', "");
Expect(1, 69968, '\P{Blk=chakma}', "");
Expect(0, 69968, '\P{^Blk=chakma}', "");
Expect(1, 69967, '\p{Blk=_Chakma}', "");
Expect(0, 69967, '\p{^Blk=_Chakma}', "");
Expect(0, 69967, '\P{Blk=_Chakma}', "");
Expect(1, 69967, '\P{^Blk=_Chakma}', "");
Expect(0, 69968, '\p{Blk=_Chakma}', "");
Expect(1, 69968, '\p{^Blk=_Chakma}', "");
Expect(1, 69968, '\P{Blk=_Chakma}', "");
Expect(0, 69968, '\P{^Blk=_Chakma}', "");
Error('\p{Is_Block=__CHAKMA/a/}');
Error('\P{Is_Block=__CHAKMA/a/}');
Expect(1, 69967, '\p{Is_Block=chakma}', "");
Expect(0, 69967, '\p{^Is_Block=chakma}', "");
Expect(0, 69967, '\P{Is_Block=chakma}', "");
Expect(1, 69967, '\P{^Is_Block=chakma}', "");
Expect(0, 69968, '\p{Is_Block=chakma}', "");
Expect(1, 69968, '\p{^Is_Block=chakma}', "");
Expect(1, 69968, '\P{Is_Block=chakma}', "");
Expect(0, 69968, '\P{^Is_Block=chakma}', "");
Expect(1, 69967, '\p{Is_Block=		Chakma}', "");
Expect(0, 69967, '\p{^Is_Block=		Chakma}', "");
Expect(0, 69967, '\P{Is_Block=		Chakma}', "");
Expect(1, 69967, '\P{^Is_Block=		Chakma}', "");
Expect(0, 69968, '\p{Is_Block=		Chakma}', "");
Expect(1, 69968, '\p{^Is_Block=		Chakma}', "");
Expect(1, 69968, '\P{Is_Block=		Chakma}', "");
Expect(0, 69968, '\P{^Is_Block=		Chakma}', "");
Error('\p{Is_Blk=:=_	Chakma}');
Error('\P{Is_Blk=:=_	Chakma}');
Expect(1, 69967, '\p{Is_Blk=chakma}', "");
Expect(0, 69967, '\p{^Is_Blk=chakma}', "");
Expect(0, 69967, '\P{Is_Blk=chakma}', "");
Expect(1, 69967, '\P{^Is_Blk=chakma}', "");
Expect(0, 69968, '\p{Is_Blk=chakma}', "");
Expect(1, 69968, '\p{^Is_Blk=chakma}', "");
Expect(1, 69968, '\P{Is_Blk=chakma}', "");
Expect(0, 69968, '\P{^Is_Blk=chakma}', "");
Expect(1, 69967, '\p{Is_Blk:		CHAKMA}', "");
Expect(0, 69967, '\p{^Is_Blk:		CHAKMA}', "");
Expect(0, 69967, '\P{Is_Blk:		CHAKMA}', "");
Expect(1, 69967, '\P{^Is_Blk:		CHAKMA}', "");
Expect(0, 69968, '\p{Is_Blk:		CHAKMA}', "");
Expect(1, 69968, '\p{^Is_Blk:		CHAKMA}', "");
Expect(1, 69968, '\P{Is_Blk:		CHAKMA}', "");
Expect(0, 69968, '\P{^Is_Blk:		CHAKMA}', "");
Error('\p{Block=_:=CHAM}');
Error('\P{Block=_:=CHAM}');
Expect(1, 43615, '\p{Block=cham}', "");
Expect(0, 43615, '\p{^Block=cham}', "");
Expect(0, 43615, '\P{Block=cham}', "");
Expect(1, 43615, '\P{^Block=cham}', "");
Expect(0, 43616, '\p{Block=cham}', "");
Expect(1, 43616, '\p{^Block=cham}', "");
Expect(1, 43616, '\P{Block=cham}', "");
Expect(0, 43616, '\P{^Block=cham}', "");
Expect(1, 43615, '\p{Block=-	cham}', "");
Expect(0, 43615, '\p{^Block=-	cham}', "");
Expect(0, 43615, '\P{Block=-	cham}', "");
Expect(1, 43615, '\P{^Block=-	cham}', "");
Expect(0, 43616, '\p{Block=-	cham}', "");
Expect(1, 43616, '\p{^Block=-	cham}', "");
Expect(1, 43616, '\P{Block=-	cham}', "");
Expect(0, 43616, '\P{^Block=-	cham}', "");
Error('\p{Blk=/a/ -cham}');
Error('\P{Blk=/a/ -cham}');
Expect(1, 43615, '\p{Blk:	cham}', "");
Expect(0, 43615, '\p{^Blk:	cham}', "");
Expect(0, 43615, '\P{Blk:	cham}', "");
Expect(1, 43615, '\P{^Blk:	cham}', "");
Expect(0, 43616, '\p{Blk:	cham}', "");
Expect(1, 43616, '\p{^Blk:	cham}', "");
Expect(1, 43616, '\P{Blk:	cham}', "");
Expect(0, 43616, '\P{^Blk:	cham}', "");
Expect(1, 43615, '\p{Blk=		Cham}', "");
Expect(0, 43615, '\p{^Blk=		Cham}', "");
Expect(0, 43615, '\P{Blk=		Cham}', "");
Expect(1, 43615, '\P{^Blk=		Cham}', "");
Expect(0, 43616, '\p{Blk=		Cham}', "");
Expect(1, 43616, '\p{^Blk=		Cham}', "");
Expect(1, 43616, '\P{Blk=		Cham}', "");
Expect(0, 43616, '\P{^Blk=		Cham}', "");
Error('\p{Is_Block=:=  CHAM}');
Error('\P{Is_Block=:=  CHAM}');
Expect(1, 43615, '\p{Is_Block=cham}', "");
Expect(0, 43615, '\p{^Is_Block=cham}', "");
Expect(0, 43615, '\P{Is_Block=cham}', "");
Expect(1, 43615, '\P{^Is_Block=cham}', "");
Expect(0, 43616, '\p{Is_Block=cham}', "");
Expect(1, 43616, '\p{^Is_Block=cham}', "");
Expect(1, 43616, '\P{Is_Block=cham}', "");
Expect(0, 43616, '\P{^Is_Block=cham}', "");
Expect(1, 43615, '\p{Is_Block=  CHAM}', "");
Expect(0, 43615, '\p{^Is_Block=  CHAM}', "");
Expect(0, 43615, '\P{Is_Block=  CHAM}', "");
Expect(1, 43615, '\P{^Is_Block=  CHAM}', "");
Expect(0, 43616, '\p{Is_Block=  CHAM}', "");
Expect(1, 43616, '\p{^Is_Block=  CHAM}', "");
Expect(1, 43616, '\P{Is_Block=  CHAM}', "");
Expect(0, 43616, '\P{^Is_Block=  CHAM}', "");
Error('\p{Is_Blk=	/a/CHAM}');
Error('\P{Is_Blk=	/a/CHAM}');
Expect(1, 43615, '\p{Is_Blk=cham}', "");
Expect(0, 43615, '\p{^Is_Blk=cham}', "");
Expect(0, 43615, '\P{Is_Blk=cham}', "");
Expect(1, 43615, '\P{^Is_Blk=cham}', "");
Expect(0, 43616, '\p{Is_Blk=cham}', "");
Expect(1, 43616, '\p{^Is_Blk=cham}', "");
Expect(1, 43616, '\P{Is_Blk=cham}', "");
Expect(0, 43616, '\P{^Is_Blk=cham}', "");
Expect(1, 43615, '\p{Is_Blk=	-Cham}', "");
Expect(0, 43615, '\p{^Is_Blk=	-Cham}', "");
Expect(0, 43615, '\P{Is_Blk=	-Cham}', "");
Expect(1, 43615, '\P{^Is_Blk=	-Cham}', "");
Expect(0, 43616, '\p{Is_Blk=	-Cham}', "");
Expect(1, 43616, '\p{^Is_Blk=	-Cham}', "");
Expect(1, 43616, '\P{Is_Blk=	-Cham}', "");
Expect(0, 43616, '\P{^Is_Blk=	-Cham}', "");
Error('\p{Block= /a/CHEROKEE}');
Error('\P{Block= /a/CHEROKEE}');
Expect(1, 5119, '\p{Block=cherokee}', "");
Expect(0, 5119, '\p{^Block=cherokee}', "");
Expect(0, 5119, '\P{Block=cherokee}', "");
Expect(1, 5119, '\P{^Block=cherokee}', "");
Expect(0, 5120, '\p{Block=cherokee}', "");
Expect(1, 5120, '\p{^Block=cherokee}', "");
Expect(1, 5120, '\P{Block=cherokee}', "");
Expect(0, 5120, '\P{^Block=cherokee}', "");
Expect(1, 5119, '\p{Block= Cherokee}', "");
Expect(0, 5119, '\p{^Block= Cherokee}', "");
Expect(0, 5119, '\P{Block= Cherokee}', "");
Expect(1, 5119, '\P{^Block= Cherokee}', "");
Expect(0, 5120, '\p{Block= Cherokee}', "");
Expect(1, 5120, '\p{^Block= Cherokee}', "");
Expect(1, 5120, '\P{Block= Cherokee}', "");
Expect(0, 5120, '\P{^Block= Cherokee}', "");
Error('\p{Blk=-Cherokee:=}');
Error('\P{Blk=-Cherokee:=}');
Expect(1, 5119, '\p{Blk=cherokee}', "");
Expect(0, 5119, '\p{^Blk=cherokee}', "");
Expect(0, 5119, '\P{Blk=cherokee}', "");
Expect(1, 5119, '\P{^Blk=cherokee}', "");
Expect(0, 5120, '\p{Blk=cherokee}', "");
Expect(1, 5120, '\p{^Blk=cherokee}', "");
Expect(1, 5120, '\P{Blk=cherokee}', "");
Expect(0, 5120, '\P{^Blk=cherokee}', "");
Expect(1, 5119, '\p{Blk=_cherokee}', "");
Expect(0, 5119, '\p{^Blk=_cherokee}', "");
Expect(0, 5119, '\P{Blk=_cherokee}', "");
Expect(1, 5119, '\P{^Blk=_cherokee}', "");
Expect(0, 5120, '\p{Blk=_cherokee}', "");
Expect(1, 5120, '\p{^Blk=_cherokee}', "");
Expect(1, 5120, '\P{Blk=_cherokee}', "");
Expect(0, 5120, '\P{^Blk=_cherokee}', "");
Error('\p{Is_Block=	 Cherokee/a/}');
Error('\P{Is_Block=	 Cherokee/a/}');
Expect(1, 5119, '\p{Is_Block:cherokee}', "");
Expect(0, 5119, '\p{^Is_Block:cherokee}', "");
Expect(0, 5119, '\P{Is_Block:cherokee}', "");
Expect(1, 5119, '\P{^Is_Block:cherokee}', "");
Expect(0, 5120, '\p{Is_Block:cherokee}', "");
Expect(1, 5120, '\p{^Is_Block:cherokee}', "");
Expect(1, 5120, '\P{Is_Block:cherokee}', "");
Expect(0, 5120, '\P{^Is_Block:cherokee}', "");
Expect(1, 5119, '\p{Is_Block=	_Cherokee}', "");
Expect(0, 5119, '\p{^Is_Block=	_Cherokee}', "");
Expect(0, 5119, '\P{Is_Block=	_Cherokee}', "");
Expect(1, 5119, '\P{^Is_Block=	_Cherokee}', "");
Expect(0, 5120, '\p{Is_Block=	_Cherokee}', "");
Expect(1, 5120, '\p{^Is_Block=	_Cherokee}', "");
Expect(1, 5120, '\P{Is_Block=	_Cherokee}', "");
Expect(0, 5120, '\P{^Is_Block=	_Cherokee}', "");
Error('\p{Is_Blk=:= 	cherokee}');
Error('\P{Is_Blk=:= 	cherokee}');
Expect(1, 5119, '\p{Is_Blk=cherokee}', "");
Expect(0, 5119, '\p{^Is_Blk=cherokee}', "");
Expect(0, 5119, '\P{Is_Blk=cherokee}', "");
Expect(1, 5119, '\P{^Is_Blk=cherokee}', "");
Expect(0, 5120, '\p{Is_Blk=cherokee}', "");
Expect(1, 5120, '\p{^Is_Blk=cherokee}', "");
Expect(1, 5120, '\P{Is_Blk=cherokee}', "");
Expect(0, 5120, '\P{^Is_Blk=cherokee}', "");
Expect(1, 5119, '\p{Is_Blk=	Cherokee}', "");
Expect(0, 5119, '\p{^Is_Blk=	Cherokee}', "");
Expect(0, 5119, '\P{Is_Blk=	Cherokee}', "");
Expect(1, 5119, '\P{^Is_Blk=	Cherokee}', "");
Expect(0, 5120, '\p{Is_Blk=	Cherokee}', "");
Expect(1, 5120, '\p{^Is_Blk=	Cherokee}', "");
Expect(1, 5120, '\P{Is_Blk=	Cherokee}', "");
Expect(0, 5120, '\P{^Is_Blk=	Cherokee}', "");
Error('\p{Block=-	cherokee_SUPPLEMENT/a/}');
Error('\P{Block=-	cherokee_SUPPLEMENT/a/}');
Expect(1, 43967, '\p{Block: cherokeesupplement}', "");
Expect(0, 43967, '\p{^Block: cherokeesupplement}', "");
Expect(0, 43967, '\P{Block: cherokeesupplement}', "");
Expect(1, 43967, '\P{^Block: cherokeesupplement}', "");
Expect(0, 43968, '\p{Block: cherokeesupplement}', "");
Expect(1, 43968, '\p{^Block: cherokeesupplement}', "");
Expect(1, 43968, '\P{Block: cherokeesupplement}', "");
Expect(0, 43968, '\P{^Block: cherokeesupplement}', "");
Expect(1, 43967, '\p{Block:_Cherokee_Supplement}', "");
Expect(0, 43967, '\p{^Block:_Cherokee_Supplement}', "");
Expect(0, 43967, '\P{Block:_Cherokee_Supplement}', "");
Expect(1, 43967, '\P{^Block:_Cherokee_Supplement}', "");
Expect(0, 43968, '\p{Block:_Cherokee_Supplement}', "");
Expect(1, 43968, '\p{^Block:_Cherokee_Supplement}', "");
Expect(1, 43968, '\P{Block:_Cherokee_Supplement}', "");
Expect(0, 43968, '\P{^Block:_Cherokee_Supplement}', "");
Error('\p{Blk=:=-cherokee_Sup}');
Error('\P{Blk=:=-cherokee_Sup}');
Expect(1, 43967, '\p{Blk=cherokeesup}', "");
Expect(0, 43967, '\p{^Blk=cherokeesup}', "");
Expect(0, 43967, '\P{Blk=cherokeesup}', "");
Expect(1, 43967, '\P{^Blk=cherokeesup}', "");
Expect(0, 43968, '\p{Blk=cherokeesup}', "");
Expect(1, 43968, '\p{^Blk=cherokeesup}', "");
Expect(1, 43968, '\P{Blk=cherokeesup}', "");
Expect(0, 43968, '\P{^Blk=cherokeesup}', "");
Expect(1, 43967, '\p{Blk=-	CHEROKEE_sup}', "");
Expect(0, 43967, '\p{^Blk=-	CHEROKEE_sup}', "");
Expect(0, 43967, '\P{Blk=-	CHEROKEE_sup}', "");
Expect(1, 43967, '\P{^Blk=-	CHEROKEE_sup}', "");
Expect(0, 43968, '\p{Blk=-	CHEROKEE_sup}', "");
Expect(1, 43968, '\p{^Blk=-	CHEROKEE_sup}', "");
Expect(1, 43968, '\P{Blk=-	CHEROKEE_sup}', "");
Expect(0, 43968, '\P{^Blk=-	CHEROKEE_sup}', "");
Error('\p{Is_Block= /a/CHEROKEE_supplement}');
Error('\P{Is_Block= /a/CHEROKEE_supplement}');
Expect(1, 43967, '\p{Is_Block=cherokeesupplement}', "");
Expect(0, 43967, '\p{^Is_Block=cherokeesupplement}', "");
Expect(0, 43967, '\P{Is_Block=cherokeesupplement}', "");
Expect(1, 43967, '\P{^Is_Block=cherokeesupplement}', "");
Expect(0, 43968, '\p{Is_Block=cherokeesupplement}', "");
Expect(1, 43968, '\p{^Is_Block=cherokeesupplement}', "");
Expect(1, 43968, '\P{Is_Block=cherokeesupplement}', "");
Expect(0, 43968, '\P{^Is_Block=cherokeesupplement}', "");
Expect(1, 43967, '\p{Is_Block=cherokee_Supplement}', "");
Expect(0, 43967, '\p{^Is_Block=cherokee_Supplement}', "");
Expect(0, 43967, '\P{Is_Block=cherokee_Supplement}', "");
Expect(1, 43967, '\P{^Is_Block=cherokee_Supplement}', "");
Expect(0, 43968, '\p{Is_Block=cherokee_Supplement}', "");
Expect(1, 43968, '\p{^Is_Block=cherokee_Supplement}', "");
Expect(1, 43968, '\P{Is_Block=cherokee_Supplement}', "");
Expect(0, 43968, '\P{^Is_Block=cherokee_Supplement}', "");
Error('\p{Is_Blk=_Cherokee_Sup/a/}');
Error('\P{Is_Blk=_Cherokee_Sup/a/}');
Expect(1, 43967, '\p{Is_Blk=cherokeesup}', "");
Expect(0, 43967, '\p{^Is_Blk=cherokeesup}', "");
Expect(0, 43967, '\P{Is_Blk=cherokeesup}', "");
Expect(1, 43967, '\P{^Is_Blk=cherokeesup}', "");
Expect(0, 43968, '\p{Is_Blk=cherokeesup}', "");
Expect(1, 43968, '\p{^Is_Blk=cherokeesup}', "");
Expect(1, 43968, '\P{Is_Blk=cherokeesup}', "");
Expect(0, 43968, '\P{^Is_Blk=cherokeesup}', "");
Expect(1, 43967, '\p{Is_Blk=__Cherokee_SUP}', "");
Expect(0, 43967, '\p{^Is_Blk=__Cherokee_SUP}', "");
Expect(0, 43967, '\P{Is_Blk=__Cherokee_SUP}', "");
Expect(1, 43967, '\P{^Is_Blk=__Cherokee_SUP}', "");
Expect(0, 43968, '\p{Is_Blk=__Cherokee_SUP}', "");
Expect(1, 43968, '\p{^Is_Blk=__Cherokee_SUP}', "");
Expect(1, 43968, '\P{Is_Blk=__Cherokee_SUP}', "");
Expect(0, 43968, '\P{^Is_Blk=__Cherokee_SUP}', "");
Error('\p{Block=	/a/hangul_compatibility_Jamo}');
Error('\P{Block=	/a/hangul_compatibility_Jamo}');
Expect(1, 12687, '\p{Block:   hangulcompatibilityjamo}', "");
Expect(0, 12687, '\p{^Block:   hangulcompatibilityjamo}', "");
Expect(0, 12687, '\P{Block:   hangulcompatibilityjamo}', "");
Expect(1, 12687, '\P{^Block:   hangulcompatibilityjamo}', "");
Expect(0, 12688, '\p{Block:   hangulcompatibilityjamo}', "");
Expect(1, 12688, '\p{^Block:   hangulcompatibilityjamo}', "");
Expect(1, 12688, '\P{Block:   hangulcompatibilityjamo}', "");
Expect(0, 12688, '\P{^Block:   hangulcompatibilityjamo}', "");
Expect(1, 12687, '\p{Block= 	hangul_compatibility_Jamo}', "");
Expect(0, 12687, '\p{^Block= 	hangul_compatibility_Jamo}', "");
Expect(0, 12687, '\P{Block= 	hangul_compatibility_Jamo}', "");
Expect(1, 12687, '\P{^Block= 	hangul_compatibility_Jamo}', "");
Expect(0, 12688, '\p{Block= 	hangul_compatibility_Jamo}', "");
Expect(1, 12688, '\p{^Block= 	hangul_compatibility_Jamo}', "");
Expect(1, 12688, '\P{Block= 	hangul_compatibility_Jamo}', "");
Expect(0, 12688, '\P{^Block= 	hangul_compatibility_Jamo}', "");
Error('\p{Blk=/a/_ compat_JAMO}');
Error('\P{Blk=/a/_ compat_JAMO}');
Expect(1, 12687, '\p{Blk=compatjamo}', "");
Expect(0, 12687, '\p{^Blk=compatjamo}', "");
Expect(0, 12687, '\P{Blk=compatjamo}', "");
Expect(1, 12687, '\P{^Blk=compatjamo}', "");
Expect(0, 12688, '\p{Blk=compatjamo}', "");
Expect(1, 12688, '\p{^Blk=compatjamo}', "");
Expect(1, 12688, '\P{Blk=compatjamo}', "");
Expect(0, 12688, '\P{^Blk=compatjamo}', "");
Expect(1, 12687, '\p{Blk=	-COMPAT_JAMO}', "");
Expect(0, 12687, '\p{^Blk=	-COMPAT_JAMO}', "");
Expect(0, 12687, '\P{Blk=	-COMPAT_JAMO}', "");
Expect(1, 12687, '\P{^Blk=	-COMPAT_JAMO}', "");
Expect(0, 12688, '\p{Blk=	-COMPAT_JAMO}', "");
Expect(1, 12688, '\p{^Blk=	-COMPAT_JAMO}', "");
Expect(1, 12688, '\P{Blk=	-COMPAT_JAMO}', "");
Expect(0, 12688, '\P{^Blk=	-COMPAT_JAMO}', "");
Error('\p{Is_Block=:=_-hangul_COMPATIBILITY_Jamo}');
Error('\P{Is_Block=:=_-hangul_COMPATIBILITY_Jamo}');
Expect(1, 12687, '\p{Is_Block=hangulcompatibilityjamo}', "");
Expect(0, 12687, '\p{^Is_Block=hangulcompatibilityjamo}', "");
Expect(0, 12687, '\P{Is_Block=hangulcompatibilityjamo}', "");
Expect(1, 12687, '\P{^Is_Block=hangulcompatibilityjamo}', "");
Expect(0, 12688, '\p{Is_Block=hangulcompatibilityjamo}', "");
Expect(1, 12688, '\p{^Is_Block=hangulcompatibilityjamo}', "");
Expect(1, 12688, '\P{Is_Block=hangulcompatibilityjamo}', "");
Expect(0, 12688, '\P{^Is_Block=hangulcompatibilityjamo}', "");
Expect(1, 12687, '\p{Is_Block=-Hangul_Compatibility_JAMO}', "");
Expect(0, 12687, '\p{^Is_Block=-Hangul_Compatibility_JAMO}', "");
Expect(0, 12687, '\P{Is_Block=-Hangul_Compatibility_JAMO}', "");
Expect(1, 12687, '\P{^Is_Block=-Hangul_Compatibility_JAMO}', "");
Expect(0, 12688, '\p{Is_Block=-Hangul_Compatibility_JAMO}', "");
Expect(1, 12688, '\p{^Is_Block=-Hangul_Compatibility_JAMO}', "");
Expect(1, 12688, '\P{Is_Block=-Hangul_Compatibility_JAMO}', "");
Expect(0, 12688, '\P{^Is_Block=-Hangul_Compatibility_JAMO}', "");
Error('\p{Is_Blk=_	compat_Jamo:=}');
Error('\P{Is_Blk=_	compat_Jamo:=}');
Expect(1, 12687, '\p{Is_Blk:compatjamo}', "");
Expect(0, 12687, '\p{^Is_Blk:compatjamo}', "");
Expect(0, 12687, '\P{Is_Blk:compatjamo}', "");
Expect(1, 12687, '\P{^Is_Blk:compatjamo}', "");
Expect(0, 12688, '\p{Is_Blk:compatjamo}', "");
Expect(1, 12688, '\p{^Is_Blk:compatjamo}', "");
Expect(1, 12688, '\P{Is_Blk:compatjamo}', "");
Expect(0, 12688, '\P{^Is_Blk:compatjamo}', "");
Expect(1, 12687, '\p{Is_Blk:	- Compat_Jamo}', "");
Expect(0, 12687, '\p{^Is_Blk:	- Compat_Jamo}', "");
Expect(0, 12687, '\P{Is_Blk:	- Compat_Jamo}', "");
Expect(1, 12687, '\P{^Is_Blk:	- Compat_Jamo}', "");
Expect(0, 12688, '\p{Is_Blk:	- Compat_Jamo}', "");
Expect(1, 12688, '\p{^Is_Blk:	- Compat_Jamo}', "");
Expect(1, 12688, '\P{Is_Blk:	- Compat_Jamo}', "");
Expect(0, 12688, '\P{^Is_Blk:	- Compat_Jamo}', "");
Error('\p{Block=		CONTROL_Pictures:=}');
Error('\P{Block=		CONTROL_Pictures:=}');
Expect(1, 9279, '\p{Block=controlpictures}', "");
Expect(0, 9279, '\p{^Block=controlpictures}', "");
Expect(0, 9279, '\P{Block=controlpictures}', "");
Expect(1, 9279, '\P{^Block=controlpictures}', "");
Expect(0, 9280, '\p{Block=controlpictures}', "");
Expect(1, 9280, '\p{^Block=controlpictures}', "");
Expect(1, 9280, '\P{Block=controlpictures}', "");
Expect(0, 9280, '\P{^Block=controlpictures}', "");
Expect(1, 9279, '\p{Block=--Control_Pictures}', "");
Expect(0, 9279, '\p{^Block=--Control_Pictures}', "");
Expect(0, 9279, '\P{Block=--Control_Pictures}', "");
Expect(1, 9279, '\P{^Block=--Control_Pictures}', "");
Expect(0, 9280, '\p{Block=--Control_Pictures}', "");
Expect(1, 9280, '\p{^Block=--Control_Pictures}', "");
Expect(1, 9280, '\P{Block=--Control_Pictures}', "");
Expect(0, 9280, '\P{^Block=--Control_Pictures}', "");
Error('\p{Blk=/a/_ Control_Pictures}');
Error('\P{Blk=/a/_ Control_Pictures}');
Expect(1, 9279, '\p{Blk=controlpictures}', "");
Expect(0, 9279, '\p{^Blk=controlpictures}', "");
Expect(0, 9279, '\P{Blk=controlpictures}', "");
Expect(1, 9279, '\P{^Blk=controlpictures}', "");
Expect(0, 9280, '\p{Blk=controlpictures}', "");
Expect(1, 9280, '\p{^Blk=controlpictures}', "");
Expect(1, 9280, '\P{Blk=controlpictures}', "");
Expect(0, 9280, '\P{^Blk=controlpictures}', "");
Expect(1, 9279, '\p{Blk=  Control_PICTURES}', "");
Expect(0, 9279, '\p{^Blk=  Control_PICTURES}', "");
Expect(0, 9279, '\P{Blk=  Control_PICTURES}', "");
Expect(1, 9279, '\P{^Blk=  Control_PICTURES}', "");
Expect(0, 9280, '\p{Blk=  Control_PICTURES}', "");
Expect(1, 9280, '\p{^Blk=  Control_PICTURES}', "");
Expect(1, 9280, '\P{Blk=  Control_PICTURES}', "");
Expect(0, 9280, '\P{^Blk=  Control_PICTURES}', "");
Error('\p{Is_Block=/a/CONTROL_Pictures}');
Error('\P{Is_Block=/a/CONTROL_Pictures}');
Expect(1, 9279, '\p{Is_Block=controlpictures}', "");
Expect(0, 9279, '\p{^Is_Block=controlpictures}', "");
Expect(0, 9279, '\P{Is_Block=controlpictures}', "");
Expect(1, 9279, '\P{^Is_Block=controlpictures}', "");
Expect(0, 9280, '\p{Is_Block=controlpictures}', "");
Expect(1, 9280, '\p{^Is_Block=controlpictures}', "");
Expect(1, 9280, '\P{Is_Block=controlpictures}', "");
Expect(0, 9280, '\P{^Is_Block=controlpictures}', "");
Expect(1, 9279, '\p{Is_Block:-_Control_PICTURES}', "");
Expect(0, 9279, '\p{^Is_Block:-_Control_PICTURES}', "");
Expect(0, 9279, '\P{Is_Block:-_Control_PICTURES}', "");
Expect(1, 9279, '\P{^Is_Block:-_Control_PICTURES}', "");
Expect(0, 9280, '\p{Is_Block:-_Control_PICTURES}', "");
Expect(1, 9280, '\p{^Is_Block:-_Control_PICTURES}', "");
Expect(1, 9280, '\P{Is_Block:-_Control_PICTURES}', "");
Expect(0, 9280, '\P{^Is_Block:-_Control_PICTURES}', "");
Error('\p{Is_Blk=_/a/Control_PICTURES}');
Error('\P{Is_Blk=_/a/Control_PICTURES}');
Expect(1, 9279, '\p{Is_Blk=controlpictures}', "");
Expect(0, 9279, '\p{^Is_Blk=controlpictures}', "");
Expect(0, 9279, '\P{Is_Blk=controlpictures}', "");
Expect(1, 9279, '\P{^Is_Blk=controlpictures}', "");
Expect(0, 9280, '\p{Is_Blk=controlpictures}', "");
Expect(1, 9280, '\p{^Is_Blk=controlpictures}', "");
Expect(1, 9280, '\P{Is_Blk=controlpictures}', "");
Expect(0, 9280, '\P{^Is_Blk=controlpictures}', "");
Expect(1, 9279, '\p{Is_Blk=-_Control_Pictures}', "");
Expect(0, 9279, '\p{^Is_Blk=-_Control_Pictures}', "");
Expect(0, 9279, '\P{Is_Blk=-_Control_Pictures}', "");
Expect(1, 9279, '\P{^Is_Blk=-_Control_Pictures}', "");
Expect(0, 9280, '\p{Is_Blk=-_Control_Pictures}', "");
Expect(1, 9280, '\p{^Is_Blk=-_Control_Pictures}', "");
Expect(1, 9280, '\P{Is_Blk=-_Control_Pictures}', "");
Expect(0, 9280, '\P{^Is_Blk=-_Control_Pictures}', "");
Error('\p{Block=/a/_COPTIC}');
Error('\P{Block=/a/_COPTIC}');
Expect(1, 11519, '\p{Block=coptic}', "");
Expect(0, 11519, '\p{^Block=coptic}', "");
Expect(0, 11519, '\P{Block=coptic}', "");
Expect(1, 11519, '\P{^Block=coptic}', "");
Expect(0, 11520, '\p{Block=coptic}', "");
Expect(1, 11520, '\p{^Block=coptic}', "");
Expect(1, 11520, '\P{Block=coptic}', "");
Expect(0, 11520, '\P{^Block=coptic}', "");
Expect(1, 11519, '\p{Block= COPTIC}', "");
Expect(0, 11519, '\p{^Block= COPTIC}', "");
Expect(0, 11519, '\P{Block= COPTIC}', "");
Expect(1, 11519, '\P{^Block= COPTIC}', "");
Expect(0, 11520, '\p{Block= COPTIC}', "");
Expect(1, 11520, '\p{^Block= COPTIC}', "");
Expect(1, 11520, '\P{Block= COPTIC}', "");
Expect(0, 11520, '\P{^Block= COPTIC}', "");
Error('\p{Blk=:=_-coptic}');
Error('\P{Blk=:=_-coptic}');
Expect(1, 11519, '\p{Blk=coptic}', "");
Expect(0, 11519, '\p{^Blk=coptic}', "");
Expect(0, 11519, '\P{Blk=coptic}', "");
Expect(1, 11519, '\P{^Blk=coptic}', "");
Expect(0, 11520, '\p{Blk=coptic}', "");
Expect(1, 11520, '\p{^Blk=coptic}', "");
Expect(1, 11520, '\P{Blk=coptic}', "");
Expect(0, 11520, '\P{^Blk=coptic}', "");
Expect(1, 11519, '\p{Blk=-_coptic}', "");
Expect(0, 11519, '\p{^Blk=-_coptic}', "");
Expect(0, 11519, '\P{Blk=-_coptic}', "");
Expect(1, 11519, '\P{^Blk=-_coptic}', "");
Expect(0, 11520, '\p{Blk=-_coptic}', "");
Expect(1, 11520, '\p{^Blk=-_coptic}', "");
Expect(1, 11520, '\P{Blk=-_coptic}', "");
Expect(0, 11520, '\P{^Blk=-_coptic}', "");
Error('\p{Is_Block: 	/a/Coptic}');
Error('\P{Is_Block: 	/a/Coptic}');
Expect(1, 11519, '\p{Is_Block=coptic}', "");
Expect(0, 11519, '\p{^Is_Block=coptic}', "");
Expect(0, 11519, '\P{Is_Block=coptic}', "");
Expect(1, 11519, '\P{^Is_Block=coptic}', "");
Expect(0, 11520, '\p{Is_Block=coptic}', "");
Expect(1, 11520, '\p{^Is_Block=coptic}', "");
Expect(1, 11520, '\P{Is_Block=coptic}', "");
Expect(0, 11520, '\P{^Is_Block=coptic}', "");
Expect(1, 11519, '\p{Is_Block:   -COPTIC}', "");
Expect(0, 11519, '\p{^Is_Block:   -COPTIC}', "");
Expect(0, 11519, '\P{Is_Block:   -COPTIC}', "");
Expect(1, 11519, '\P{^Is_Block:   -COPTIC}', "");
Expect(0, 11520, '\p{Is_Block:   -COPTIC}', "");
Expect(1, 11520, '\p{^Is_Block:   -COPTIC}', "");
Expect(1, 11520, '\P{Is_Block:   -COPTIC}', "");
Expect(0, 11520, '\P{^Is_Block:   -COPTIC}', "");
Error('\p{Is_Blk=/a/-_Coptic}');
Error('\P{Is_Blk=/a/-_Coptic}');
Expect(1, 11519, '\p{Is_Blk=coptic}', "");
Expect(0, 11519, '\p{^Is_Blk=coptic}', "");
Expect(0, 11519, '\P{Is_Blk=coptic}', "");
Expect(1, 11519, '\P{^Is_Blk=coptic}', "");
Expect(0, 11520, '\p{Is_Blk=coptic}', "");
Expect(1, 11520, '\p{^Is_Blk=coptic}', "");
Expect(1, 11520, '\P{Is_Blk=coptic}', "");
Expect(0, 11520, '\P{^Is_Blk=coptic}', "");
Expect(1, 11519, '\p{Is_Blk= _coptic}', "");
Expect(0, 11519, '\p{^Is_Blk= _coptic}', "");
Expect(0, 11519, '\P{Is_Blk= _coptic}', "");
Expect(1, 11519, '\P{^Is_Blk= _coptic}', "");
Expect(0, 11520, '\p{Is_Blk= _coptic}', "");
Expect(1, 11520, '\p{^Is_Blk= _coptic}', "");
Expect(1, 11520, '\P{Is_Blk= _coptic}', "");
Expect(0, 11520, '\P{^Is_Blk= _coptic}', "");
Error('\p{Block=/a/	Coptic_EPACT_numbers}');
Error('\P{Block=/a/	Coptic_EPACT_numbers}');
Expect(1, 66303, '\p{Block=copticepactnumbers}', "");
Expect(0, 66303, '\p{^Block=copticepactnumbers}', "");
Expect(0, 66303, '\P{Block=copticepactnumbers}', "");
Expect(1, 66303, '\P{^Block=copticepactnumbers}', "");
Expect(0, 66304, '\p{Block=copticepactnumbers}', "");
Expect(1, 66304, '\p{^Block=copticepactnumbers}', "");
Expect(1, 66304, '\P{Block=copticepactnumbers}', "");
Expect(0, 66304, '\P{^Block=copticepactnumbers}', "");
Expect(1, 66303, '\p{Block=-Coptic_epact_Numbers}', "");
Expect(0, 66303, '\p{^Block=-Coptic_epact_Numbers}', "");
Expect(0, 66303, '\P{Block=-Coptic_epact_Numbers}', "");
Expect(1, 66303, '\P{^Block=-Coptic_epact_Numbers}', "");
Expect(0, 66304, '\p{Block=-Coptic_epact_Numbers}', "");
Expect(1, 66304, '\p{^Block=-Coptic_epact_Numbers}', "");
Expect(1, 66304, '\P{Block=-Coptic_epact_Numbers}', "");
Expect(0, 66304, '\P{^Block=-Coptic_epact_Numbers}', "");
Error('\p{Blk:	--COPTIC_Epact_Numbers:=}');
Error('\P{Blk:	--COPTIC_Epact_Numbers:=}');
Expect(1, 66303, '\p{Blk=copticepactnumbers}', "");
Expect(0, 66303, '\p{^Blk=copticepactnumbers}', "");
Expect(0, 66303, '\P{Blk=copticepactnumbers}', "");
Expect(1, 66303, '\P{^Blk=copticepactnumbers}', "");
Expect(0, 66304, '\p{Blk=copticepactnumbers}', "");
Expect(1, 66304, '\p{^Blk=copticepactnumbers}', "");
Expect(1, 66304, '\P{Blk=copticepactnumbers}', "");
Expect(0, 66304, '\P{^Blk=copticepactnumbers}', "");
Expect(1, 66303, '\p{Blk= COPTIC_epact_numbers}', "");
Expect(0, 66303, '\p{^Blk= COPTIC_epact_numbers}', "");
Expect(0, 66303, '\P{Blk= COPTIC_epact_numbers}', "");
Expect(1, 66303, '\P{^Blk= COPTIC_epact_numbers}', "");
Expect(0, 66304, '\p{Blk= COPTIC_epact_numbers}', "");
Expect(1, 66304, '\p{^Blk= COPTIC_epact_numbers}', "");
Expect(1, 66304, '\P{Blk= COPTIC_epact_numbers}', "");
Expect(0, 66304, '\P{^Blk= COPTIC_epact_numbers}', "");
Error('\p{Is_Block=_Coptic_epact_NUMBERS:=}');
Error('\P{Is_Block=_Coptic_epact_NUMBERS:=}');
Expect(1, 66303, '\p{Is_Block=copticepactnumbers}', "");
Expect(0, 66303, '\p{^Is_Block=copticepactnumbers}', "");
Expect(0, 66303, '\P{Is_Block=copticepactnumbers}', "");
Expect(1, 66303, '\P{^Is_Block=copticepactnumbers}', "");
Expect(0, 66304, '\p{Is_Block=copticepactnumbers}', "");
Expect(1, 66304, '\p{^Is_Block=copticepactnumbers}', "");
Expect(1, 66304, '\P{Is_Block=copticepactnumbers}', "");
Expect(0, 66304, '\P{^Is_Block=copticepactnumbers}', "");
Expect(1, 66303, '\p{Is_Block=	COPTIC_EPACT_NUMBERS}', "");
Expect(0, 66303, '\p{^Is_Block=	COPTIC_EPACT_NUMBERS}', "");
Expect(0, 66303, '\P{Is_Block=	COPTIC_EPACT_NUMBERS}', "");
Expect(1, 66303, '\P{^Is_Block=	COPTIC_EPACT_NUMBERS}', "");
Expect(0, 66304, '\p{Is_Block=	COPTIC_EPACT_NUMBERS}', "");
Expect(1, 66304, '\p{^Is_Block=	COPTIC_EPACT_NUMBERS}', "");
Expect(1, 66304, '\P{Is_Block=	COPTIC_EPACT_NUMBERS}', "");
Expect(0, 66304, '\P{^Is_Block=	COPTIC_EPACT_NUMBERS}', "");
Error('\p{Is_Blk=:=Coptic_Epact_Numbers}');
Error('\P{Is_Blk=:=Coptic_Epact_Numbers}');
Expect(1, 66303, '\p{Is_Blk:   copticepactnumbers}', "");
Expect(0, 66303, '\p{^Is_Blk:   copticepactnumbers}', "");
Expect(0, 66303, '\P{Is_Blk:   copticepactnumbers}', "");
Expect(1, 66303, '\P{^Is_Blk:   copticepactnumbers}', "");
Expect(0, 66304, '\p{Is_Blk:   copticepactnumbers}', "");
Expect(1, 66304, '\p{^Is_Blk:   copticepactnumbers}', "");
Expect(1, 66304, '\P{Is_Blk:   copticepactnumbers}', "");
Expect(0, 66304, '\P{^Is_Blk:   copticepactnumbers}', "");
Expect(1, 66303, '\p{Is_Blk=_	Coptic_Epact_numbers}', "");
Expect(0, 66303, '\p{^Is_Blk=_	Coptic_Epact_numbers}', "");
Expect(0, 66303, '\P{Is_Blk=_	Coptic_Epact_numbers}', "");
Expect(1, 66303, '\P{^Is_Blk=_	Coptic_Epact_numbers}', "");
Expect(0, 66304, '\p{Is_Blk=_	Coptic_Epact_numbers}', "");
Expect(1, 66304, '\p{^Is_Blk=_	Coptic_Epact_numbers}', "");
Expect(1, 66304, '\P{Is_Blk=_	Coptic_Epact_numbers}', "");
Expect(0, 66304, '\P{^Is_Blk=_	Coptic_Epact_numbers}', "");
Error('\p{Block=__Counting_ROD_numerals:=}');
Error('\P{Block=__Counting_ROD_numerals:=}');
Expect(1, 119679, '\p{Block=countingrodnumerals}', "");
Expect(0, 119679, '\p{^Block=countingrodnumerals}', "");
Expect(0, 119679, '\P{Block=countingrodnumerals}', "");
Expect(1, 119679, '\P{^Block=countingrodnumerals}', "");
Expect(0, 119680, '\p{Block=countingrodnumerals}', "");
Expect(1, 119680, '\p{^Block=countingrodnumerals}', "");
Expect(1, 119680, '\P{Block=countingrodnumerals}', "");
Expect(0, 119680, '\P{^Block=countingrodnumerals}', "");
Expect(1, 119679, '\p{Block=-	Counting_Rod_NUMERALS}', "");
Expect(0, 119679, '\p{^Block=-	Counting_Rod_NUMERALS}', "");
Expect(0, 119679, '\P{Block=-	Counting_Rod_NUMERALS}', "");
Expect(1, 119679, '\P{^Block=-	Counting_Rod_NUMERALS}', "");
Expect(0, 119680, '\p{Block=-	Counting_Rod_NUMERALS}', "");
Expect(1, 119680, '\p{^Block=-	Counting_Rod_NUMERALS}', "");
Expect(1, 119680, '\P{Block=-	Counting_Rod_NUMERALS}', "");
Expect(0, 119680, '\P{^Block=-	Counting_Rod_NUMERALS}', "");
Error('\p{Blk=/a/-_counting_rod}');
Error('\P{Blk=/a/-_counting_rod}');
Expect(1, 119679, '\p{Blk:countingrod}', "");
Expect(0, 119679, '\p{^Blk:countingrod}', "");
Expect(0, 119679, '\P{Blk:countingrod}', "");
Expect(1, 119679, '\P{^Blk:countingrod}', "");
Expect(0, 119680, '\p{Blk:countingrod}', "");
Expect(1, 119680, '\p{^Blk:countingrod}', "");
Expect(1, 119680, '\P{Blk:countingrod}', "");
Expect(0, 119680, '\P{^Blk:countingrod}', "");
Expect(1, 119679, '\p{Blk=		Counting_Rod}', "");
Expect(0, 119679, '\p{^Blk=		Counting_Rod}', "");
Expect(0, 119679, '\P{Blk=		Counting_Rod}', "");
Expect(1, 119679, '\P{^Blk=		Counting_Rod}', "");
Expect(0, 119680, '\p{Blk=		Counting_Rod}', "");
Expect(1, 119680, '\p{^Blk=		Counting_Rod}', "");
Expect(1, 119680, '\P{Blk=		Counting_Rod}', "");
Expect(0, 119680, '\P{^Blk=		Counting_Rod}', "");
Error('\p{Is_Block=__counting_Rod_Numerals/a/}');
Error('\P{Is_Block=__counting_Rod_Numerals/a/}');
Expect(1, 119679, '\p{Is_Block=countingrodnumerals}', "");
Expect(0, 119679, '\p{^Is_Block=countingrodnumerals}', "");
Expect(0, 119679, '\P{Is_Block=countingrodnumerals}', "");
Expect(1, 119679, '\P{^Is_Block=countingrodnumerals}', "");
Expect(0, 119680, '\p{Is_Block=countingrodnumerals}', "");
Expect(1, 119680, '\p{^Is_Block=countingrodnumerals}', "");
Expect(1, 119680, '\P{Is_Block=countingrodnumerals}', "");
Expect(0, 119680, '\P{^Is_Block=countingrodnumerals}', "");
Expect(1, 119679, '\p{Is_Block:   -Counting_Rod_NUMERALS}', "");
Expect(0, 119679, '\p{^Is_Block:   -Counting_Rod_NUMERALS}', "");
Expect(0, 119679, '\P{Is_Block:   -Counting_Rod_NUMERALS}', "");
Expect(1, 119679, '\P{^Is_Block:   -Counting_Rod_NUMERALS}', "");
Expect(0, 119680, '\p{Is_Block:   -Counting_Rod_NUMERALS}', "");
Expect(1, 119680, '\p{^Is_Block:   -Counting_Rod_NUMERALS}', "");
Expect(1, 119680, '\P{Is_Block:   -Counting_Rod_NUMERALS}', "");
Expect(0, 119680, '\P{^Is_Block:   -Counting_Rod_NUMERALS}', "");
Error('\p{Is_Blk=:=Counting_rod}');
Error('\P{Is_Blk=:=Counting_rod}');
Expect(1, 119679, '\p{Is_Blk=countingrod}', "");
Expect(0, 119679, '\p{^Is_Blk=countingrod}', "");
Expect(0, 119679, '\P{Is_Blk=countingrod}', "");
Expect(1, 119679, '\P{^Is_Blk=countingrod}', "");
Expect(0, 119680, '\p{Is_Blk=countingrod}', "");
Expect(1, 119680, '\p{^Is_Blk=countingrod}', "");
Expect(1, 119680, '\P{Is_Blk=countingrod}', "");
Expect(0, 119680, '\P{^Is_Blk=countingrod}', "");
Expect(1, 119679, '\p{Is_Blk= -COUNTING_Rod}', "");
Expect(0, 119679, '\p{^Is_Blk= -COUNTING_Rod}', "");
Expect(0, 119679, '\P{Is_Blk= -COUNTING_Rod}', "");
Expect(1, 119679, '\P{^Is_Blk= -COUNTING_Rod}', "");
Expect(0, 119680, '\p{Is_Blk= -COUNTING_Rod}', "");
Expect(1, 119680, '\p{^Is_Blk= -COUNTING_Rod}', "");
Expect(1, 119680, '\P{Is_Blk= -COUNTING_Rod}', "");
Expect(0, 119680, '\P{^Is_Blk= -COUNTING_Rod}', "");
Error('\p{Block=-cuneiform:=}');
Error('\P{Block=-cuneiform:=}');
Expect(1, 74751, '\p{Block=cuneiform}', "");
Expect(0, 74751, '\p{^Block=cuneiform}', "");
Expect(0, 74751, '\P{Block=cuneiform}', "");
Expect(1, 74751, '\P{^Block=cuneiform}', "");
Expect(0, 74752, '\p{Block=cuneiform}', "");
Expect(1, 74752, '\p{^Block=cuneiform}', "");
Expect(1, 74752, '\P{Block=cuneiform}', "");
Expect(0, 74752, '\P{^Block=cuneiform}', "");
Expect(1, 74751, '\p{Block=_-cuneiform}', "");
Expect(0, 74751, '\p{^Block=_-cuneiform}', "");
Expect(0, 74751, '\P{Block=_-cuneiform}', "");
Expect(1, 74751, '\P{^Block=_-cuneiform}', "");
Expect(0, 74752, '\p{Block=_-cuneiform}', "");
Expect(1, 74752, '\p{^Block=_-cuneiform}', "");
Expect(1, 74752, '\P{Block=_-cuneiform}', "");
Expect(0, 74752, '\P{^Block=_-cuneiform}', "");
Error('\p{Blk=:=-Cuneiform}');
Error('\P{Blk=:=-Cuneiform}');
Expect(1, 74751, '\p{Blk=cuneiform}', "");
Expect(0, 74751, '\p{^Blk=cuneiform}', "");
Expect(0, 74751, '\P{Blk=cuneiform}', "");
Expect(1, 74751, '\P{^Blk=cuneiform}', "");
Expect(0, 74752, '\p{Blk=cuneiform}', "");
Expect(1, 74752, '\p{^Blk=cuneiform}', "");
Expect(1, 74752, '\P{Blk=cuneiform}', "");
Expect(0, 74752, '\P{^Blk=cuneiform}', "");
Expect(1, 74751, '\p{Blk=-	cuneiform}', "");
Expect(0, 74751, '\p{^Blk=-	cuneiform}', "");
Expect(0, 74751, '\P{Blk=-	cuneiform}', "");
Expect(1, 74751, '\P{^Blk=-	cuneiform}', "");
Expect(0, 74752, '\p{Blk=-	cuneiform}', "");
Expect(1, 74752, '\p{^Blk=-	cuneiform}', "");
Expect(1, 74752, '\P{Blk=-	cuneiform}', "");
Expect(0, 74752, '\P{^Blk=-	cuneiform}', "");
Error('\p{Is_Block=/a/_-Cuneiform}');
Error('\P{Is_Block=/a/_-Cuneiform}');
Expect(1, 74751, '\p{Is_Block:cuneiform}', "");
Expect(0, 74751, '\p{^Is_Block:cuneiform}', "");
Expect(0, 74751, '\P{Is_Block:cuneiform}', "");
Expect(1, 74751, '\P{^Is_Block:cuneiform}', "");
Expect(0, 74752, '\p{Is_Block:cuneiform}', "");
Expect(1, 74752, '\p{^Is_Block:cuneiform}', "");
Expect(1, 74752, '\P{Is_Block:cuneiform}', "");
Expect(0, 74752, '\P{^Is_Block:cuneiform}', "");
Expect(1, 74751, '\p{Is_Block=- Cuneiform}', "");
Expect(0, 74751, '\p{^Is_Block=- Cuneiform}', "");
Expect(0, 74751, '\P{Is_Block=- Cuneiform}', "");
Expect(1, 74751, '\P{^Is_Block=- Cuneiform}', "");
Expect(0, 74752, '\p{Is_Block=- Cuneiform}', "");
Expect(1, 74752, '\p{^Is_Block=- Cuneiform}', "");
Expect(1, 74752, '\P{Is_Block=- Cuneiform}', "");
Expect(0, 74752, '\P{^Is_Block=- Cuneiform}', "");
Error('\p{Is_Blk=/a/ Cuneiform}');
Error('\P{Is_Blk=/a/ Cuneiform}');
Expect(1, 74751, '\p{Is_Blk:   cuneiform}', "");
Expect(0, 74751, '\p{^Is_Blk:   cuneiform}', "");
Expect(0, 74751, '\P{Is_Blk:   cuneiform}', "");
Expect(1, 74751, '\P{^Is_Blk:   cuneiform}', "");
Expect(0, 74752, '\p{Is_Blk:   cuneiform}', "");
Expect(1, 74752, '\p{^Is_Blk:   cuneiform}', "");
Expect(1, 74752, '\P{Is_Blk:   cuneiform}', "");
Expect(0, 74752, '\P{^Is_Blk:   cuneiform}', "");
Expect(1, 74751, '\p{Is_Blk=CUNEIFORM}', "");
Expect(0, 74751, '\p{^Is_Blk=CUNEIFORM}', "");
Expect(0, 74751, '\P{Is_Blk=CUNEIFORM}', "");
Expect(1, 74751, '\P{^Is_Blk=CUNEIFORM}', "");
Expect(0, 74752, '\p{Is_Blk=CUNEIFORM}', "");
Expect(1, 74752, '\p{^Is_Blk=CUNEIFORM}', "");
Expect(1, 74752, '\P{Is_Blk=CUNEIFORM}', "");
Expect(0, 74752, '\P{^Is_Blk=CUNEIFORM}', "");
Error('\p{Block:/a/_ Cuneiform_Numbers_AND_punctuation}');
Error('\P{Block:/a/_ Cuneiform_Numbers_AND_punctuation}');
Expect(1, 74879, '\p{Block=cuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\p{^Block=cuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\P{Block=cuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\P{^Block=cuneiformnumbersandpunctuation}', "");
Expect(0, 74880, '\p{Block=cuneiformnumbersandpunctuation}', "");
Expect(1, 74880, '\p{^Block=cuneiformnumbersandpunctuation}', "");
Expect(1, 74880, '\P{Block=cuneiformnumbersandpunctuation}', "");
Expect(0, 74880, '\P{^Block=cuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\p{Block:  	CUNEIFORM_numbers_And_Punctuation}', "");
Expect(0, 74879, '\p{^Block:  	CUNEIFORM_numbers_And_Punctuation}', "");
Expect(0, 74879, '\P{Block:  	CUNEIFORM_numbers_And_Punctuation}', "");
Expect(1, 74879, '\P{^Block:  	CUNEIFORM_numbers_And_Punctuation}', "");
Expect(0, 74880, '\p{Block:  	CUNEIFORM_numbers_And_Punctuation}', "");
Expect(1, 74880, '\p{^Block:  	CUNEIFORM_numbers_And_Punctuation}', "");
Expect(1, 74880, '\P{Block:  	CUNEIFORM_numbers_And_Punctuation}', "");
Expect(0, 74880, '\P{^Block:  	CUNEIFORM_numbers_And_Punctuation}', "");
Error('\p{Blk= :=cuneiform_numbers}');
Error('\P{Blk= :=cuneiform_numbers}');
Expect(1, 74879, '\p{Blk=cuneiformnumbers}', "");
Expect(0, 74879, '\p{^Blk=cuneiformnumbers}', "");
Expect(0, 74879, '\P{Blk=cuneiformnumbers}', "");
Expect(1, 74879, '\P{^Blk=cuneiformnumbers}', "");
Expect(0, 74880, '\p{Blk=cuneiformnumbers}', "");
Expect(1, 74880, '\p{^Blk=cuneiformnumbers}', "");
Expect(1, 74880, '\P{Blk=cuneiformnumbers}', "");
Expect(0, 74880, '\P{^Blk=cuneiformnumbers}', "");
Expect(1, 74879, '\p{Blk= CUNEIFORM_Numbers}', "");
Expect(0, 74879, '\p{^Blk= CUNEIFORM_Numbers}', "");
Expect(0, 74879, '\P{Blk= CUNEIFORM_Numbers}', "");
Expect(1, 74879, '\P{^Blk= CUNEIFORM_Numbers}', "");
Expect(0, 74880, '\p{Blk= CUNEIFORM_Numbers}', "");
Expect(1, 74880, '\p{^Blk= CUNEIFORM_Numbers}', "");
Expect(1, 74880, '\P{Blk= CUNEIFORM_Numbers}', "");
Expect(0, 74880, '\P{^Blk= CUNEIFORM_Numbers}', "");
Error('\p{Is_Block=/a/cuneiform_Numbers_And_PUNCTUATION}');
Error('\P{Is_Block=/a/cuneiform_Numbers_And_PUNCTUATION}');
Expect(1, 74879, '\p{Is_Block=cuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\p{^Is_Block=cuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\P{Is_Block=cuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\P{^Is_Block=cuneiformnumbersandpunctuation}', "");
Expect(0, 74880, '\p{Is_Block=cuneiformnumbersandpunctuation}', "");
Expect(1, 74880, '\p{^Is_Block=cuneiformnumbersandpunctuation}', "");
Expect(1, 74880, '\P{Is_Block=cuneiformnumbersandpunctuation}', "");
Expect(0, 74880, '\P{^Is_Block=cuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\p{Is_Block=	_cuneiform_NUMBERS_And_Punctuation}', "");
Expect(0, 74879, '\p{^Is_Block=	_cuneiform_NUMBERS_And_Punctuation}', "");
Expect(0, 74879, '\P{Is_Block=	_cuneiform_NUMBERS_And_Punctuation}', "");
Expect(1, 74879, '\P{^Is_Block=	_cuneiform_NUMBERS_And_Punctuation}', "");
Expect(0, 74880, '\p{Is_Block=	_cuneiform_NUMBERS_And_Punctuation}', "");
Expect(1, 74880, '\p{^Is_Block=	_cuneiform_NUMBERS_And_Punctuation}', "");
Expect(1, 74880, '\P{Is_Block=	_cuneiform_NUMBERS_And_Punctuation}', "");
Expect(0, 74880, '\P{^Is_Block=	_cuneiform_NUMBERS_And_Punctuation}', "");
Error('\p{Is_Blk=	/a/CUNEIFORM_Numbers}');
Error('\P{Is_Blk=	/a/CUNEIFORM_Numbers}');
Expect(1, 74879, '\p{Is_Blk=cuneiformnumbers}', "");
Expect(0, 74879, '\p{^Is_Blk=cuneiformnumbers}', "");
Expect(0, 74879, '\P{Is_Blk=cuneiformnumbers}', "");
Expect(1, 74879, '\P{^Is_Blk=cuneiformnumbers}', "");
Expect(0, 74880, '\p{Is_Blk=cuneiformnumbers}', "");
Expect(1, 74880, '\p{^Is_Blk=cuneiformnumbers}', "");
Expect(1, 74880, '\P{Is_Blk=cuneiformnumbers}', "");
Expect(0, 74880, '\P{^Is_Blk=cuneiformnumbers}', "");
Expect(1, 74879, '\p{Is_Blk: _Cuneiform_Numbers}', "");
Expect(0, 74879, '\p{^Is_Blk: _Cuneiform_Numbers}', "");
Expect(0, 74879, '\P{Is_Blk: _Cuneiform_Numbers}', "");
Expect(1, 74879, '\P{^Is_Blk: _Cuneiform_Numbers}', "");
Expect(0, 74880, '\p{Is_Blk: _Cuneiform_Numbers}', "");
Expect(1, 74880, '\p{^Is_Blk: _Cuneiform_Numbers}', "");
Expect(1, 74880, '\P{Is_Blk: _Cuneiform_Numbers}', "");
Expect(0, 74880, '\P{^Is_Blk: _Cuneiform_Numbers}', "");
Error('\p{Block=-	CURRENCY_SYMBOLS/a/}');
Error('\P{Block=-	CURRENCY_SYMBOLS/a/}');
Expect(1, 8399, '\p{Block=currencysymbols}', "");
Expect(0, 8399, '\p{^Block=currencysymbols}', "");
Expect(0, 8399, '\P{Block=currencysymbols}', "");
Expect(1, 8399, '\P{^Block=currencysymbols}', "");
Expect(0, 8400, '\p{Block=currencysymbols}', "");
Expect(1, 8400, '\p{^Block=currencysymbols}', "");
Expect(1, 8400, '\P{Block=currencysymbols}', "");
Expect(0, 8400, '\P{^Block=currencysymbols}', "");
Expect(1, 8399, '\p{Block=_Currency_SYMBOLS}', "");
Expect(0, 8399, '\p{^Block=_Currency_SYMBOLS}', "");
Expect(0, 8399, '\P{Block=_Currency_SYMBOLS}', "");
Expect(1, 8399, '\P{^Block=_Currency_SYMBOLS}', "");
Expect(0, 8400, '\p{Block=_Currency_SYMBOLS}', "");
Expect(1, 8400, '\p{^Block=_Currency_SYMBOLS}', "");
Expect(1, 8400, '\P{Block=_Currency_SYMBOLS}', "");
Expect(0, 8400, '\P{^Block=_Currency_SYMBOLS}', "");
Error('\p{Blk=/a/  currency_symbols}');
Error('\P{Blk=/a/  currency_symbols}');
Expect(1, 8399, '\p{Blk=currencysymbols}', "");
Expect(0, 8399, '\p{^Blk=currencysymbols}', "");
Expect(0, 8399, '\P{Blk=currencysymbols}', "");
Expect(1, 8399, '\P{^Blk=currencysymbols}', "");
Expect(0, 8400, '\p{Blk=currencysymbols}', "");
Expect(1, 8400, '\p{^Blk=currencysymbols}', "");
Expect(1, 8400, '\P{Blk=currencysymbols}', "");
Expect(0, 8400, '\P{^Blk=currencysymbols}', "");
Expect(1, 8399, '\p{Blk=- CURRENCY_SYMBOLS}', "");
Expect(0, 8399, '\p{^Blk=- CURRENCY_SYMBOLS}', "");
Expect(0, 8399, '\P{Blk=- CURRENCY_SYMBOLS}', "");
Expect(1, 8399, '\P{^Blk=- CURRENCY_SYMBOLS}', "");
Expect(0, 8400, '\p{Blk=- CURRENCY_SYMBOLS}', "");
Expect(1, 8400, '\p{^Blk=- CURRENCY_SYMBOLS}', "");
Expect(1, 8400, '\P{Blk=- CURRENCY_SYMBOLS}', "");
Expect(0, 8400, '\P{^Blk=- CURRENCY_SYMBOLS}', "");
Error('\p{Is_Block=	/a/CURRENCY_symbols}');
Error('\P{Is_Block=	/a/CURRENCY_symbols}');
Expect(1, 8399, '\p{Is_Block=currencysymbols}', "");
Expect(0, 8399, '\p{^Is_Block=currencysymbols}', "");
Expect(0, 8399, '\P{Is_Block=currencysymbols}', "");
Expect(1, 8399, '\P{^Is_Block=currencysymbols}', "");
Expect(0, 8400, '\p{Is_Block=currencysymbols}', "");
Expect(1, 8400, '\p{^Is_Block=currencysymbols}', "");
Expect(1, 8400, '\P{Is_Block=currencysymbols}', "");
Expect(0, 8400, '\P{^Is_Block=currencysymbols}', "");
Expect(1, 8399, '\p{Is_Block=Currency_Symbols}', "");
Expect(0, 8399, '\p{^Is_Block=Currency_Symbols}', "");
Expect(0, 8399, '\P{Is_Block=Currency_Symbols}', "");
Expect(1, 8399, '\P{^Is_Block=Currency_Symbols}', "");
Expect(0, 8400, '\p{Is_Block=Currency_Symbols}', "");
Expect(1, 8400, '\p{^Is_Block=Currency_Symbols}', "");
Expect(1, 8400, '\P{Is_Block=Currency_Symbols}', "");
Expect(0, 8400, '\P{^Is_Block=Currency_Symbols}', "");
Error('\p{Is_Blk=/a/ CURRENCY_SYMBOLS}');
Error('\P{Is_Blk=/a/ CURRENCY_SYMBOLS}');
Expect(1, 8399, '\p{Is_Blk=currencysymbols}', "");
Expect(0, 8399, '\p{^Is_Blk=currencysymbols}', "");
Expect(0, 8399, '\P{Is_Blk=currencysymbols}', "");
Expect(1, 8399, '\P{^Is_Blk=currencysymbols}', "");
Expect(0, 8400, '\p{Is_Blk=currencysymbols}', "");
Expect(1, 8400, '\p{^Is_Blk=currencysymbols}', "");
Expect(1, 8400, '\P{Is_Blk=currencysymbols}', "");
Expect(0, 8400, '\P{^Is_Blk=currencysymbols}', "");
Expect(1, 8399, '\p{Is_Blk: -	currency_symbols}', "");
Expect(0, 8399, '\p{^Is_Blk: -	currency_symbols}', "");
Expect(0, 8399, '\P{Is_Blk: -	currency_symbols}', "");
Expect(1, 8399, '\P{^Is_Blk: -	currency_symbols}', "");
Expect(0, 8400, '\p{Is_Blk: -	currency_symbols}', "");
Expect(1, 8400, '\p{^Is_Blk: -	currency_symbols}', "");
Expect(1, 8400, '\P{Is_Blk: -	currency_symbols}', "");
Expect(0, 8400, '\P{^Is_Blk: -	currency_symbols}', "");
Error('\p{Block: /a/  Cypriot_syllabary}');
Error('\P{Block: /a/  Cypriot_syllabary}');
Expect(1, 67647, '\p{Block:cypriotsyllabary}', "");
Expect(0, 67647, '\p{^Block:cypriotsyllabary}', "");
Expect(0, 67647, '\P{Block:cypriotsyllabary}', "");
Expect(1, 67647, '\P{^Block:cypriotsyllabary}', "");
Expect(0, 67648, '\p{Block:cypriotsyllabary}', "");
Expect(1, 67648, '\p{^Block:cypriotsyllabary}', "");
Expect(1, 67648, '\P{Block:cypriotsyllabary}', "");
Expect(0, 67648, '\P{^Block:cypriotsyllabary}', "");
Expect(1, 67647, '\p{Block=- CYPRIOT_SYLLABARY}', "");
Expect(0, 67647, '\p{^Block=- CYPRIOT_SYLLABARY}', "");
Expect(0, 67647, '\P{Block=- CYPRIOT_SYLLABARY}', "");
Expect(1, 67647, '\P{^Block=- CYPRIOT_SYLLABARY}', "");
Expect(0, 67648, '\p{Block=- CYPRIOT_SYLLABARY}', "");
Expect(1, 67648, '\p{^Block=- CYPRIOT_SYLLABARY}', "");
Expect(1, 67648, '\P{Block=- CYPRIOT_SYLLABARY}', "");
Expect(0, 67648, '\P{^Block=- CYPRIOT_SYLLABARY}', "");
Error('\p{Blk= /a/Cypriot_Syllabary}');
Error('\P{Blk= /a/Cypriot_Syllabary}');
Expect(1, 67647, '\p{Blk=cypriotsyllabary}', "");
Expect(0, 67647, '\p{^Blk=cypriotsyllabary}', "");
Expect(0, 67647, '\P{Blk=cypriotsyllabary}', "");
Expect(1, 67647, '\P{^Blk=cypriotsyllabary}', "");
Expect(0, 67648, '\p{Blk=cypriotsyllabary}', "");
Expect(1, 67648, '\p{^Blk=cypriotsyllabary}', "");
Expect(1, 67648, '\P{Blk=cypriotsyllabary}', "");
Expect(0, 67648, '\P{^Blk=cypriotsyllabary}', "");
Expect(1, 67647, '\p{Blk=  cypriot_SYLLABARY}', "");
Expect(0, 67647, '\p{^Blk=  cypriot_SYLLABARY}', "");
Expect(0, 67647, '\P{Blk=  cypriot_SYLLABARY}', "");
Expect(1, 67647, '\P{^Blk=  cypriot_SYLLABARY}', "");
Expect(0, 67648, '\p{Blk=  cypriot_SYLLABARY}', "");
Expect(1, 67648, '\p{^Blk=  cypriot_SYLLABARY}', "");
Expect(1, 67648, '\P{Blk=  cypriot_SYLLABARY}', "");
Expect(0, 67648, '\P{^Blk=  cypriot_SYLLABARY}', "");
Error('\p{Is_Block:Cypriot_syllabary/a/}');
Error('\P{Is_Block:Cypriot_syllabary/a/}');
Expect(1, 67647, '\p{Is_Block=cypriotsyllabary}', "");
Expect(0, 67647, '\p{^Is_Block=cypriotsyllabary}', "");
Expect(0, 67647, '\P{Is_Block=cypriotsyllabary}', "");
Expect(1, 67647, '\P{^Is_Block=cypriotsyllabary}', "");
Expect(0, 67648, '\p{Is_Block=cypriotsyllabary}', "");
Expect(1, 67648, '\p{^Is_Block=cypriotsyllabary}', "");
Expect(1, 67648, '\P{Is_Block=cypriotsyllabary}', "");
Expect(0, 67648, '\P{^Is_Block=cypriotsyllabary}', "");
Expect(1, 67647, '\p{Is_Block=  cypriot_Syllabary}', "");
Expect(0, 67647, '\p{^Is_Block=  cypriot_Syllabary}', "");
Expect(0, 67647, '\P{Is_Block=  cypriot_Syllabary}', "");
Expect(1, 67647, '\P{^Is_Block=  cypriot_Syllabary}', "");
Expect(0, 67648, '\p{Is_Block=  cypriot_Syllabary}', "");
Expect(1, 67648, '\p{^Is_Block=  cypriot_Syllabary}', "");
Expect(1, 67648, '\P{Is_Block=  cypriot_Syllabary}', "");
Expect(0, 67648, '\P{^Is_Block=  cypriot_Syllabary}', "");
Error('\p{Is_Blk=_:=CYPRIOT_syllabary}');
Error('\P{Is_Blk=_:=CYPRIOT_syllabary}');
Expect(1, 67647, '\p{Is_Blk=cypriotsyllabary}', "");
Expect(0, 67647, '\p{^Is_Blk=cypriotsyllabary}', "");
Expect(0, 67647, '\P{Is_Blk=cypriotsyllabary}', "");
Expect(1, 67647, '\P{^Is_Blk=cypriotsyllabary}', "");
Expect(0, 67648, '\p{Is_Blk=cypriotsyllabary}', "");
Expect(1, 67648, '\p{^Is_Blk=cypriotsyllabary}', "");
Expect(1, 67648, '\P{Is_Blk=cypriotsyllabary}', "");
Expect(0, 67648, '\P{^Is_Blk=cypriotsyllabary}', "");
Expect(1, 67647, '\p{Is_Blk=	cypriot_syllabary}', "");
Expect(0, 67647, '\p{^Is_Blk=	cypriot_syllabary}', "");
Expect(0, 67647, '\P{Is_Blk=	cypriot_syllabary}', "");
Expect(1, 67647, '\P{^Is_Blk=	cypriot_syllabary}', "");
Expect(0, 67648, '\p{Is_Blk=	cypriot_syllabary}', "");
Expect(1, 67648, '\p{^Is_Blk=	cypriot_syllabary}', "");
Expect(1, 67648, '\P{Is_Blk=	cypriot_syllabary}', "");
Expect(0, 67648, '\P{^Is_Blk=	cypriot_syllabary}', "");
Error('\p{Block=/a/		CYRILLIC}');
Error('\P{Block=/a/		CYRILLIC}');
Expect(1, 1279, '\p{Block=cyrillic}', "");
Expect(0, 1279, '\p{^Block=cyrillic}', "");
Expect(0, 1279, '\P{Block=cyrillic}', "");
Expect(1, 1279, '\P{^Block=cyrillic}', "");
Expect(0, 1280, '\p{Block=cyrillic}', "");
Expect(1, 1280, '\p{^Block=cyrillic}', "");
Expect(1, 1280, '\P{Block=cyrillic}', "");
Expect(0, 1280, '\P{^Block=cyrillic}', "");
Expect(1, 1279, '\p{Block=CYRILLIC}', "");
Expect(0, 1279, '\p{^Block=CYRILLIC}', "");
Expect(0, 1279, '\P{Block=CYRILLIC}', "");
Expect(1, 1279, '\P{^Block=CYRILLIC}', "");
Expect(0, 1280, '\p{Block=CYRILLIC}', "");
Expect(1, 1280, '\p{^Block=CYRILLIC}', "");
Expect(1, 1280, '\P{Block=CYRILLIC}', "");
Expect(0, 1280, '\P{^Block=CYRILLIC}', "");
Error('\p{Blk=:=	-Cyrillic}');
Error('\P{Blk=:=	-Cyrillic}');
Expect(1, 1279, '\p{Blk=cyrillic}', "");
Expect(0, 1279, '\p{^Blk=cyrillic}', "");
Expect(0, 1279, '\P{Blk=cyrillic}', "");
Expect(1, 1279, '\P{^Blk=cyrillic}', "");
Expect(0, 1280, '\p{Blk=cyrillic}', "");
Expect(1, 1280, '\p{^Blk=cyrillic}', "");
Expect(1, 1280, '\P{Blk=cyrillic}', "");
Expect(0, 1280, '\P{^Blk=cyrillic}', "");
Expect(1, 1279, '\p{Blk:	-cyrillic}', "");
Expect(0, 1279, '\p{^Blk:	-cyrillic}', "");
Expect(0, 1279, '\P{Blk:	-cyrillic}', "");
Expect(1, 1279, '\P{^Blk:	-cyrillic}', "");
Expect(0, 1280, '\p{Blk:	-cyrillic}', "");
Expect(1, 1280, '\p{^Blk:	-cyrillic}', "");
Expect(1, 1280, '\P{Blk:	-cyrillic}', "");
Expect(0, 1280, '\P{^Blk:	-cyrillic}', "");
Error('\p{Is_Block=	cyrillic:=}');
Error('\P{Is_Block=	cyrillic:=}');
Expect(1, 1279, '\p{Is_Block=cyrillic}', "");
Expect(0, 1279, '\p{^Is_Block=cyrillic}', "");
Expect(0, 1279, '\P{Is_Block=cyrillic}', "");
Expect(1, 1279, '\P{^Is_Block=cyrillic}', "");
Expect(0, 1280, '\p{Is_Block=cyrillic}', "");
Expect(1, 1280, '\p{^Is_Block=cyrillic}', "");
Expect(1, 1280, '\P{Is_Block=cyrillic}', "");
Expect(0, 1280, '\P{^Is_Block=cyrillic}', "");
Expect(1, 1279, '\p{Is_Block=__Cyrillic}', "");
Expect(0, 1279, '\p{^Is_Block=__Cyrillic}', "");
Expect(0, 1279, '\P{Is_Block=__Cyrillic}', "");
Expect(1, 1279, '\P{^Is_Block=__Cyrillic}', "");
Expect(0, 1280, '\p{Is_Block=__Cyrillic}', "");
Expect(1, 1280, '\p{^Is_Block=__Cyrillic}', "");
Expect(1, 1280, '\P{Is_Block=__Cyrillic}', "");
Expect(0, 1280, '\P{^Is_Block=__Cyrillic}', "");
Error('\p{Is_Blk=/a/Cyrillic}');
Error('\P{Is_Blk=/a/Cyrillic}');
Expect(1, 1279, '\p{Is_Blk:	cyrillic}', "");
Expect(0, 1279, '\p{^Is_Blk:	cyrillic}', "");
Expect(0, 1279, '\P{Is_Blk:	cyrillic}', "");
Expect(1, 1279, '\P{^Is_Blk:	cyrillic}', "");
Expect(0, 1280, '\p{Is_Blk:	cyrillic}', "");
Expect(1, 1280, '\p{^Is_Blk:	cyrillic}', "");
Expect(1, 1280, '\P{Is_Blk:	cyrillic}', "");
Expect(0, 1280, '\P{^Is_Blk:	cyrillic}', "");
Expect(1, 1279, '\p{Is_Blk=CYRILLIC}', "");
Expect(0, 1279, '\p{^Is_Blk=CYRILLIC}', "");
Expect(0, 1279, '\P{Is_Blk=CYRILLIC}', "");
Expect(1, 1279, '\P{^Is_Blk=CYRILLIC}', "");
Expect(0, 1280, '\p{Is_Blk=CYRILLIC}', "");
Expect(1, 1280, '\p{^Is_Blk=CYRILLIC}', "");
Expect(1, 1280, '\P{Is_Blk=CYRILLIC}', "");
Expect(0, 1280, '\P{^Is_Blk=CYRILLIC}', "");
Error('\p{Block= -Cyrillic_Extended_a:=}');
Error('\P{Block= -Cyrillic_Extended_a:=}');
Expect(1, 11775, '\p{Block=cyrillicextendeda}', "");
Expect(0, 11775, '\p{^Block=cyrillicextendeda}', "");
Expect(0, 11775, '\P{Block=cyrillicextendeda}', "");
Expect(1, 11775, '\P{^Block=cyrillicextendeda}', "");
Expect(0, 11776, '\p{Block=cyrillicextendeda}', "");
Expect(1, 11776, '\p{^Block=cyrillicextendeda}', "");
Expect(1, 11776, '\P{Block=cyrillicextendeda}', "");
Expect(0, 11776, '\P{^Block=cyrillicextendeda}', "");
Expect(1, 11775, '\p{Block=	 cyrillic_Extended_a}', "");
Expect(0, 11775, '\p{^Block=	 cyrillic_Extended_a}', "");
Expect(0, 11775, '\P{Block=	 cyrillic_Extended_a}', "");
Expect(1, 11775, '\P{^Block=	 cyrillic_Extended_a}', "");
Expect(0, 11776, '\p{Block=	 cyrillic_Extended_a}', "");
Expect(1, 11776, '\p{^Block=	 cyrillic_Extended_a}', "");
Expect(1, 11776, '\P{Block=	 cyrillic_Extended_a}', "");
Expect(0, 11776, '\P{^Block=	 cyrillic_Extended_a}', "");
Error('\p{Blk=-_cyrillic_Ext_A:=}');
Error('\P{Blk=-_cyrillic_Ext_A:=}');
Expect(1, 11775, '\p{Blk=cyrillicexta}', "");
Expect(0, 11775, '\p{^Blk=cyrillicexta}', "");
Expect(0, 11775, '\P{Blk=cyrillicexta}', "");
Expect(1, 11775, '\P{^Blk=cyrillicexta}', "");
Expect(0, 11776, '\p{Blk=cyrillicexta}', "");
Expect(1, 11776, '\p{^Blk=cyrillicexta}', "");
Expect(1, 11776, '\P{Blk=cyrillicexta}', "");
Expect(0, 11776, '\P{^Blk=cyrillicexta}', "");
Expect(1, 11775, '\p{Blk= -CYRILLIC_ext_A}', "");
Expect(0, 11775, '\p{^Blk= -CYRILLIC_ext_A}', "");
Expect(0, 11775, '\P{Blk= -CYRILLIC_ext_A}', "");
Expect(1, 11775, '\P{^Blk= -CYRILLIC_ext_A}', "");
Expect(0, 11776, '\p{Blk= -CYRILLIC_ext_A}', "");
Expect(1, 11776, '\p{^Blk= -CYRILLIC_ext_A}', "");
Expect(1, 11776, '\P{Blk= -CYRILLIC_ext_A}', "");
Expect(0, 11776, '\P{^Blk= -CYRILLIC_ext_A}', "");
Error('\p{Is_Block=:=_ Cyrillic_Extended_A}');
Error('\P{Is_Block=:=_ Cyrillic_Extended_A}');
Expect(1, 11775, '\p{Is_Block=cyrillicextendeda}', "");
Expect(0, 11775, '\p{^Is_Block=cyrillicextendeda}', "");
Expect(0, 11775, '\P{Is_Block=cyrillicextendeda}', "");
Expect(1, 11775, '\P{^Is_Block=cyrillicextendeda}', "");
Expect(0, 11776, '\p{Is_Block=cyrillicextendeda}', "");
Expect(1, 11776, '\p{^Is_Block=cyrillicextendeda}', "");
Expect(1, 11776, '\P{Is_Block=cyrillicextendeda}', "");
Expect(0, 11776, '\P{^Is_Block=cyrillicextendeda}', "");
Expect(1, 11775, '\p{Is_Block=-	Cyrillic_extended_a}', "");
Expect(0, 11775, '\p{^Is_Block=-	Cyrillic_extended_a}', "");
Expect(0, 11775, '\P{Is_Block=-	Cyrillic_extended_a}', "");
Expect(1, 11775, '\P{^Is_Block=-	Cyrillic_extended_a}', "");
Expect(0, 11776, '\p{Is_Block=-	Cyrillic_extended_a}', "");
Expect(1, 11776, '\p{^Is_Block=-	Cyrillic_extended_a}', "");
Expect(1, 11776, '\P{Is_Block=-	Cyrillic_extended_a}', "");
Expect(0, 11776, '\P{^Is_Block=-	Cyrillic_extended_a}', "");
Error('\p{Is_Blk=	CYRILLIC_Ext_a/a/}');
Error('\P{Is_Blk=	CYRILLIC_Ext_a/a/}');
Expect(1, 11775, '\p{Is_Blk=cyrillicexta}', "");
Expect(0, 11775, '\p{^Is_Blk=cyrillicexta}', "");
Expect(0, 11775, '\P{Is_Blk=cyrillicexta}', "");
Expect(1, 11775, '\P{^Is_Blk=cyrillicexta}', "");
Expect(0, 11776, '\p{Is_Blk=cyrillicexta}', "");
Expect(1, 11776, '\p{^Is_Blk=cyrillicexta}', "");
Expect(1, 11776, '\P{Is_Blk=cyrillicexta}', "");
Expect(0, 11776, '\P{^Is_Blk=cyrillicexta}', "");
Expect(1, 11775, '\p{Is_Blk=_CYRILLIC_ext_A}', "");
Expect(0, 11775, '\p{^Is_Blk=_CYRILLIC_ext_A}', "");
Expect(0, 11775, '\P{Is_Blk=_CYRILLIC_ext_A}', "");
Expect(1, 11775, '\P{^Is_Blk=_CYRILLIC_ext_A}', "");
Expect(0, 11776, '\p{Is_Blk=_CYRILLIC_ext_A}', "");
Expect(1, 11776, '\p{^Is_Blk=_CYRILLIC_ext_A}', "");
Expect(1, 11776, '\P{Is_Blk=_CYRILLIC_ext_A}', "");
Expect(0, 11776, '\P{^Is_Blk=_CYRILLIC_ext_A}', "");
Error('\p{Block=-_Cyrillic_Extended_B:=}');
Error('\P{Block=-_Cyrillic_Extended_B:=}');
Expect(1, 42655, '\p{Block=cyrillicextendedb}', "");
Expect(0, 42655, '\p{^Block=cyrillicextendedb}', "");
Expect(0, 42655, '\P{Block=cyrillicextendedb}', "");
Expect(1, 42655, '\P{^Block=cyrillicextendedb}', "");
Expect(0, 42656, '\p{Block=cyrillicextendedb}', "");
Expect(1, 42656, '\p{^Block=cyrillicextendedb}', "");
Expect(1, 42656, '\P{Block=cyrillicextendedb}', "");
Expect(0, 42656, '\P{^Block=cyrillicextendedb}', "");
Expect(1, 42655, '\p{Block= -CYRILLIC_extended_b}', "");
Expect(0, 42655, '\p{^Block= -CYRILLIC_extended_b}', "");
Expect(0, 42655, '\P{Block= -CYRILLIC_extended_b}', "");
Expect(1, 42655, '\P{^Block= -CYRILLIC_extended_b}', "");
Expect(0, 42656, '\p{Block= -CYRILLIC_extended_b}', "");
Expect(1, 42656, '\p{^Block= -CYRILLIC_extended_b}', "");
Expect(1, 42656, '\P{Block= -CYRILLIC_extended_b}', "");
Expect(0, 42656, '\P{^Block= -CYRILLIC_extended_b}', "");
Error('\p{Blk=	:=Cyrillic_Ext_B}');
Error('\P{Blk=	:=Cyrillic_Ext_B}');
Expect(1, 42655, '\p{Blk=cyrillicextb}', "");
Expect(0, 42655, '\p{^Blk=cyrillicextb}', "");
Expect(0, 42655, '\P{Blk=cyrillicextb}', "");
Expect(1, 42655, '\P{^Blk=cyrillicextb}', "");
Expect(0, 42656, '\p{Blk=cyrillicextb}', "");
Expect(1, 42656, '\p{^Blk=cyrillicextb}', "");
Expect(1, 42656, '\P{Blk=cyrillicextb}', "");
Expect(0, 42656, '\P{^Blk=cyrillicextb}', "");
Expect(1, 42655, '\p{Blk=		Cyrillic_Ext_B}', "");
Expect(0, 42655, '\p{^Blk=		Cyrillic_Ext_B}', "");
Expect(0, 42655, '\P{Blk=		Cyrillic_Ext_B}', "");
Expect(1, 42655, '\P{^Blk=		Cyrillic_Ext_B}', "");
Expect(0, 42656, '\p{Blk=		Cyrillic_Ext_B}', "");
Expect(1, 42656, '\p{^Blk=		Cyrillic_Ext_B}', "");
Expect(1, 42656, '\P{Blk=		Cyrillic_Ext_B}', "");
Expect(0, 42656, '\P{^Blk=		Cyrillic_Ext_B}', "");
Error('\p{Is_Block=-_Cyrillic_EXTENDED_B:=}');
Error('\P{Is_Block=-_Cyrillic_EXTENDED_B:=}');
Expect(1, 42655, '\p{Is_Block=cyrillicextendedb}', "");
Expect(0, 42655, '\p{^Is_Block=cyrillicextendedb}', "");
Expect(0, 42655, '\P{Is_Block=cyrillicextendedb}', "");
Expect(1, 42655, '\P{^Is_Block=cyrillicextendedb}', "");
Expect(0, 42656, '\p{Is_Block=cyrillicextendedb}', "");
Expect(1, 42656, '\p{^Is_Block=cyrillicextendedb}', "");
Expect(1, 42656, '\P{Is_Block=cyrillicextendedb}', "");
Expect(0, 42656, '\P{^Is_Block=cyrillicextendedb}', "");
Expect(1, 42655, '\p{Is_Block=--Cyrillic_Extended_B}', "");
Expect(0, 42655, '\p{^Is_Block=--Cyrillic_Extended_B}', "");
Expect(0, 42655, '\P{Is_Block=--Cyrillic_Extended_B}', "");
Expect(1, 42655, '\P{^Is_Block=--Cyrillic_Extended_B}', "");
Expect(0, 42656, '\p{Is_Block=--Cyrillic_Extended_B}', "");
Expect(1, 42656, '\p{^Is_Block=--Cyrillic_Extended_B}', "");
Expect(1, 42656, '\P{Is_Block=--Cyrillic_Extended_B}', "");
Expect(0, 42656, '\P{^Is_Block=--Cyrillic_Extended_B}', "");
Error('\p{Is_Blk=/a/_	CYRILLIC_EXT_B}');
Error('\P{Is_Blk=/a/_	CYRILLIC_EXT_B}');
Expect(1, 42655, '\p{Is_Blk=cyrillicextb}', "");
Expect(0, 42655, '\p{^Is_Blk=cyrillicextb}', "");
Expect(0, 42655, '\P{Is_Blk=cyrillicextb}', "");
Expect(1, 42655, '\P{^Is_Blk=cyrillicextb}', "");
Expect(0, 42656, '\p{Is_Blk=cyrillicextb}', "");
Expect(1, 42656, '\p{^Is_Blk=cyrillicextb}', "");
Expect(1, 42656, '\P{Is_Blk=cyrillicextb}', "");
Expect(0, 42656, '\P{^Is_Blk=cyrillicextb}', "");
Expect(1, 42655, '\p{Is_Blk= 	cyrillic_Ext_B}', "");
Expect(0, 42655, '\p{^Is_Blk= 	cyrillic_Ext_B}', "");
Expect(0, 42655, '\P{Is_Blk= 	cyrillic_Ext_B}', "");
Expect(1, 42655, '\P{^Is_Blk= 	cyrillic_Ext_B}', "");
Expect(0, 42656, '\p{Is_Blk= 	cyrillic_Ext_B}', "");
Expect(1, 42656, '\p{^Is_Blk= 	cyrillic_Ext_B}', "");
Expect(1, 42656, '\P{Is_Blk= 	cyrillic_Ext_B}', "");
Expect(0, 42656, '\P{^Is_Blk= 	cyrillic_Ext_B}', "");
Error('\p{Block=-/a/Cyrillic_supplement}');
Error('\P{Block=-/a/Cyrillic_supplement}');
Expect(1, 1327, '\p{Block=cyrillicsupplement}', "");
Expect(0, 1327, '\p{^Block=cyrillicsupplement}', "");
Expect(0, 1327, '\P{Block=cyrillicsupplement}', "");
Expect(1, 1327, '\P{^Block=cyrillicsupplement}', "");
Expect(0, 1328, '\p{Block=cyrillicsupplement}', "");
Expect(1, 1328, '\p{^Block=cyrillicsupplement}', "");
Expect(1, 1328, '\P{Block=cyrillicsupplement}', "");
Expect(0, 1328, '\P{^Block=cyrillicsupplement}', "");
Expect(1, 1327, '\p{Block:	_-Cyrillic_Supplement}', "");
Expect(0, 1327, '\p{^Block:	_-Cyrillic_Supplement}', "");
Expect(0, 1327, '\P{Block:	_-Cyrillic_Supplement}', "");
Expect(1, 1327, '\P{^Block:	_-Cyrillic_Supplement}', "");
Expect(0, 1328, '\p{Block:	_-Cyrillic_Supplement}', "");
Expect(1, 1328, '\p{^Block:	_-Cyrillic_Supplement}', "");
Expect(1, 1328, '\P{Block:	_-Cyrillic_Supplement}', "");
Expect(0, 1328, '\P{^Block:	_-Cyrillic_Supplement}', "");
Error('\p{Blk= :=CYRILLIC_SUP}');
Error('\P{Blk= :=CYRILLIC_SUP}');
Expect(1, 1327, '\p{Blk=cyrillicsup}', "");
Expect(0, 1327, '\p{^Blk=cyrillicsup}', "");
Expect(0, 1327, '\P{Blk=cyrillicsup}', "");
Expect(1, 1327, '\P{^Blk=cyrillicsup}', "");
Expect(0, 1328, '\p{Blk=cyrillicsup}', "");
Expect(1, 1328, '\p{^Blk=cyrillicsup}', "");
Expect(1, 1328, '\P{Blk=cyrillicsup}', "");
Expect(0, 1328, '\P{^Blk=cyrillicsup}', "");
Expect(1, 1327, '\p{Blk= -CYRILLIC_Sup}', "");
Expect(0, 1327, '\p{^Blk= -CYRILLIC_Sup}', "");
Expect(0, 1327, '\P{Blk= -CYRILLIC_Sup}', "");
Expect(1, 1327, '\P{^Blk= -CYRILLIC_Sup}', "");
Expect(0, 1328, '\p{Blk= -CYRILLIC_Sup}', "");
Expect(1, 1328, '\p{^Blk= -CYRILLIC_Sup}', "");
Expect(1, 1328, '\P{Blk= -CYRILLIC_Sup}', "");
Expect(0, 1328, '\P{^Blk= -CYRILLIC_Sup}', "");
Error('\p{Is_Block=- CYRILLIC_Supplementary:=}');
Error('\P{Is_Block=- CYRILLIC_Supplementary:=}');
Expect(1, 1327, '\p{Is_Block=cyrillicsupplementary}', "");
Expect(0, 1327, '\p{^Is_Block=cyrillicsupplementary}', "");
Expect(0, 1327, '\P{Is_Block=cyrillicsupplementary}', "");
Expect(1, 1327, '\P{^Is_Block=cyrillicsupplementary}', "");
Expect(0, 1328, '\p{Is_Block=cyrillicsupplementary}', "");
Expect(1, 1328, '\p{^Is_Block=cyrillicsupplementary}', "");
Expect(1, 1328, '\P{Is_Block=cyrillicsupplementary}', "");
Expect(0, 1328, '\P{^Is_Block=cyrillicsupplementary}', "");
Expect(1, 1327, '\p{Is_Block=--cyrillic_Supplementary}', "");
Expect(0, 1327, '\p{^Is_Block=--cyrillic_Supplementary}', "");
Expect(0, 1327, '\P{Is_Block=--cyrillic_Supplementary}', "");
Expect(1, 1327, '\P{^Is_Block=--cyrillic_Supplementary}', "");
Expect(0, 1328, '\p{Is_Block=--cyrillic_Supplementary}', "");
Expect(1, 1328, '\p{^Is_Block=--cyrillic_Supplementary}', "");
Expect(1, 1328, '\P{Is_Block=--cyrillic_Supplementary}', "");
Expect(0, 1328, '\P{^Is_Block=--cyrillic_Supplementary}', "");
Error('\p{Is_Blk=:=		cyrillic_supplement}');
Error('\P{Is_Blk=:=		cyrillic_supplement}');
Expect(1, 1327, '\p{Is_Blk=cyrillicsupplement}', "");
Expect(0, 1327, '\p{^Is_Blk=cyrillicsupplement}', "");
Expect(0, 1327, '\P{Is_Blk=cyrillicsupplement}', "");
Expect(1, 1327, '\P{^Is_Blk=cyrillicsupplement}', "");
Expect(0, 1328, '\p{Is_Blk=cyrillicsupplement}', "");
Expect(1, 1328, '\p{^Is_Blk=cyrillicsupplement}', "");
Expect(1, 1328, '\P{Is_Blk=cyrillicsupplement}', "");
Expect(0, 1328, '\P{^Is_Blk=cyrillicsupplement}', "");
Expect(1, 1327, '\p{Is_Blk= cyrillic_supplement}', "");
Expect(0, 1327, '\p{^Is_Blk= cyrillic_supplement}', "");
Expect(0, 1327, '\P{Is_Blk= cyrillic_supplement}', "");
Expect(1, 1327, '\P{^Is_Blk= cyrillic_supplement}', "");
Expect(0, 1328, '\p{Is_Blk= cyrillic_supplement}', "");
Expect(1, 1328, '\p{^Is_Blk= cyrillic_supplement}', "");
Expect(1, 1328, '\P{Is_Blk= cyrillic_supplement}', "");
Expect(0, 1328, '\P{^Is_Blk= cyrillic_supplement}', "");
Error('\p{Block=/a/Deseret}');
Error('\P{Block=/a/Deseret}');
Expect(1, 66639, '\p{Block=deseret}', "");
Expect(0, 66639, '\p{^Block=deseret}', "");
Expect(0, 66639, '\P{Block=deseret}', "");
Expect(1, 66639, '\P{^Block=deseret}', "");
Expect(0, 66640, '\p{Block=deseret}', "");
Expect(1, 66640, '\p{^Block=deseret}', "");
Expect(1, 66640, '\P{Block=deseret}', "");
Expect(0, 66640, '\P{^Block=deseret}', "");
Expect(1, 66639, '\p{Block=	Deseret}', "");
Expect(0, 66639, '\p{^Block=	Deseret}', "");
Expect(0, 66639, '\P{Block=	Deseret}', "");
Expect(1, 66639, '\P{^Block=	Deseret}', "");
Expect(0, 66640, '\p{Block=	Deseret}', "");
Expect(1, 66640, '\p{^Block=	Deseret}', "");
Expect(1, 66640, '\P{Block=	Deseret}', "");
Expect(0, 66640, '\P{^Block=	Deseret}', "");
Error('\p{Blk=	deseret/a/}');
Error('\P{Blk=	deseret/a/}');
Expect(1, 66639, '\p{Blk=deseret}', "");
Expect(0, 66639, '\p{^Blk=deseret}', "");
Expect(0, 66639, '\P{Blk=deseret}', "");
Expect(1, 66639, '\P{^Blk=deseret}', "");
Expect(0, 66640, '\p{Blk=deseret}', "");
Expect(1, 66640, '\p{^Blk=deseret}', "");
Expect(1, 66640, '\P{Blk=deseret}', "");
Expect(0, 66640, '\P{^Blk=deseret}', "");
Expect(1, 66639, '\p{Blk=	DESERET}', "");
Expect(0, 66639, '\p{^Blk=	DESERET}', "");
Expect(0, 66639, '\P{Blk=	DESERET}', "");
Expect(1, 66639, '\P{^Blk=	DESERET}', "");
Expect(0, 66640, '\p{Blk=	DESERET}', "");
Expect(1, 66640, '\p{^Blk=	DESERET}', "");
Expect(1, 66640, '\P{Blk=	DESERET}', "");
Expect(0, 66640, '\P{^Blk=	DESERET}', "");
Error('\p{Is_Block=_/a/Deseret}');
Error('\P{Is_Block=_/a/Deseret}');
Expect(1, 66639, '\p{Is_Block=deseret}', "");
Expect(0, 66639, '\p{^Is_Block=deseret}', "");
Expect(0, 66639, '\P{Is_Block=deseret}', "");
Expect(1, 66639, '\P{^Is_Block=deseret}', "");
Expect(0, 66640, '\p{Is_Block=deseret}', "");
Expect(1, 66640, '\p{^Is_Block=deseret}', "");
Expect(1, 66640, '\P{Is_Block=deseret}', "");
Expect(0, 66640, '\P{^Is_Block=deseret}', "");
Expect(1, 66639, '\p{Is_Block=	DESERET}', "");
Expect(0, 66639, '\p{^Is_Block=	DESERET}', "");
Expect(0, 66639, '\P{Is_Block=	DESERET}', "");
Expect(1, 66639, '\P{^Is_Block=	DESERET}', "");
Expect(0, 66640, '\p{Is_Block=	DESERET}', "");
Expect(1, 66640, '\p{^Is_Block=	DESERET}', "");
Expect(1, 66640, '\P{Is_Block=	DESERET}', "");
Expect(0, 66640, '\P{^Is_Block=	DESERET}', "");
Error('\p{Is_Blk=	/a/DESERET}');
Error('\P{Is_Blk=	/a/DESERET}');
Expect(1, 66639, '\p{Is_Blk=deseret}', "");
Expect(0, 66639, '\p{^Is_Blk=deseret}', "");
Expect(0, 66639, '\P{Is_Blk=deseret}', "");
Expect(1, 66639, '\P{^Is_Blk=deseret}', "");
Expect(0, 66640, '\p{Is_Blk=deseret}', "");
Expect(1, 66640, '\p{^Is_Blk=deseret}', "");
Expect(1, 66640, '\P{Is_Blk=deseret}', "");
Expect(0, 66640, '\P{^Is_Blk=deseret}', "");
Expect(1, 66639, '\p{Is_Blk=	-Deseret}', "");
Expect(0, 66639, '\p{^Is_Blk=	-Deseret}', "");
Expect(0, 66639, '\P{Is_Blk=	-Deseret}', "");
Expect(1, 66639, '\P{^Is_Blk=	-Deseret}', "");
Expect(0, 66640, '\p{Is_Blk=	-Deseret}', "");
Expect(1, 66640, '\p{^Is_Blk=	-Deseret}', "");
Expect(1, 66640, '\P{Is_Blk=	-Deseret}', "");
Expect(0, 66640, '\P{^Is_Blk=	-Deseret}', "");
Error('\p{Block=	:=Devanagari}');
Error('\P{Block=	:=Devanagari}');
Expect(1, 2431, '\p{Block=devanagari}', "");
Expect(0, 2431, '\p{^Block=devanagari}', "");
Expect(0, 2431, '\P{Block=devanagari}', "");
Expect(1, 2431, '\P{^Block=devanagari}', "");
Expect(0, 2432, '\p{Block=devanagari}', "");
Expect(1, 2432, '\p{^Block=devanagari}', "");
Expect(1, 2432, '\P{Block=devanagari}', "");
Expect(0, 2432, '\P{^Block=devanagari}', "");
Expect(1, 2431, '\p{Block=  Devanagari}', "");
Expect(0, 2431, '\p{^Block=  Devanagari}', "");
Expect(0, 2431, '\P{Block=  Devanagari}', "");
Expect(1, 2431, '\P{^Block=  Devanagari}', "");
Expect(0, 2432, '\p{Block=  Devanagari}', "");
Expect(1, 2432, '\p{^Block=  Devanagari}', "");
Expect(1, 2432, '\P{Block=  Devanagari}', "");
Expect(0, 2432, '\P{^Block=  Devanagari}', "");
Error('\p{Blk:   :=Devanagari}');
Error('\P{Blk:   :=Devanagari}');
Expect(1, 2431, '\p{Blk=devanagari}', "");
Expect(0, 2431, '\p{^Blk=devanagari}', "");
Expect(0, 2431, '\P{Blk=devanagari}', "");
Expect(1, 2431, '\P{^Blk=devanagari}', "");
Expect(0, 2432, '\p{Blk=devanagari}', "");
Expect(1, 2432, '\p{^Blk=devanagari}', "");
Expect(1, 2432, '\P{Blk=devanagari}', "");
Expect(0, 2432, '\P{^Blk=devanagari}', "");
Expect(1, 2431, '\p{Blk:	devanagari}', "");
Expect(0, 2431, '\p{^Blk:	devanagari}', "");
Expect(0, 2431, '\P{Blk:	devanagari}', "");
Expect(1, 2431, '\P{^Blk:	devanagari}', "");
Expect(0, 2432, '\p{Blk:	devanagari}', "");
Expect(1, 2432, '\p{^Blk:	devanagari}', "");
Expect(1, 2432, '\P{Blk:	devanagari}', "");
Expect(0, 2432, '\P{^Blk:	devanagari}', "");
Error('\p{Is_Block= 	Devanagari:=}');
Error('\P{Is_Block= 	Devanagari:=}');
Expect(1, 2431, '\p{Is_Block=devanagari}', "");
Expect(0, 2431, '\p{^Is_Block=devanagari}', "");
Expect(0, 2431, '\P{Is_Block=devanagari}', "");
Expect(1, 2431, '\P{^Is_Block=devanagari}', "");
Expect(0, 2432, '\p{Is_Block=devanagari}', "");
Expect(1, 2432, '\p{^Is_Block=devanagari}', "");
Expect(1, 2432, '\P{Is_Block=devanagari}', "");
Expect(0, 2432, '\P{^Is_Block=devanagari}', "");
Expect(1, 2431, '\p{Is_Block=_	DEVANAGARI}', "");
Expect(0, 2431, '\p{^Is_Block=_	DEVANAGARI}', "");
Expect(0, 2431, '\P{Is_Block=_	DEVANAGARI}', "");
Expect(1, 2431, '\P{^Is_Block=_	DEVANAGARI}', "");
Expect(0, 2432, '\p{Is_Block=_	DEVANAGARI}', "");
Expect(1, 2432, '\p{^Is_Block=_	DEVANAGARI}', "");
Expect(1, 2432, '\P{Is_Block=_	DEVANAGARI}', "");
Expect(0, 2432, '\P{^Is_Block=_	DEVANAGARI}', "");
Error('\p{Is_Blk=:=Devanagari}');
Error('\P{Is_Blk=:=Devanagari}');
Expect(1, 2431, '\p{Is_Blk=devanagari}', "");
Expect(0, 2431, '\p{^Is_Blk=devanagari}', "");
Expect(0, 2431, '\P{Is_Blk=devanagari}', "");
Expect(1, 2431, '\P{^Is_Blk=devanagari}', "");
Expect(0, 2432, '\p{Is_Blk=devanagari}', "");
Expect(1, 2432, '\p{^Is_Blk=devanagari}', "");
Expect(1, 2432, '\P{Is_Blk=devanagari}', "");
Expect(0, 2432, '\P{^Is_Blk=devanagari}', "");
Expect(1, 2431, '\p{Is_Blk=	-DEVANAGARI}', "");
Expect(0, 2431, '\p{^Is_Blk=	-DEVANAGARI}', "");
Expect(0, 2431, '\P{Is_Blk=	-DEVANAGARI}', "");
Expect(1, 2431, '\P{^Is_Blk=	-DEVANAGARI}', "");
Expect(0, 2432, '\p{Is_Blk=	-DEVANAGARI}', "");
Expect(1, 2432, '\p{^Is_Blk=	-DEVANAGARI}', "");
Expect(1, 2432, '\P{Is_Blk=	-DEVANAGARI}', "");
Expect(0, 2432, '\P{^Is_Blk=	-DEVANAGARI}', "");
Error('\p{Block=_:=Devanagari_extended}');
Error('\P{Block=_:=Devanagari_extended}');
Expect(1, 43263, '\p{Block=devanagariextended}', "");
Expect(0, 43263, '\p{^Block=devanagariextended}', "");
Expect(0, 43263, '\P{Block=devanagariextended}', "");
Expect(1, 43263, '\P{^Block=devanagariextended}', "");
Expect(0, 43264, '\p{Block=devanagariextended}', "");
Expect(1, 43264, '\p{^Block=devanagariextended}', "");
Expect(1, 43264, '\P{Block=devanagariextended}', "");
Expect(0, 43264, '\P{^Block=devanagariextended}', "");
Expect(1, 43263, '\p{Block= -DEVANAGARI_Extended}', "");
Expect(0, 43263, '\p{^Block= -DEVANAGARI_Extended}', "");
Expect(0, 43263, '\P{Block= -DEVANAGARI_Extended}', "");
Expect(1, 43263, '\P{^Block= -DEVANAGARI_Extended}', "");
Expect(0, 43264, '\p{Block= -DEVANAGARI_Extended}', "");
Expect(1, 43264, '\p{^Block= -DEVANAGARI_Extended}', "");
Expect(1, 43264, '\P{Block= -DEVANAGARI_Extended}', "");
Expect(0, 43264, '\P{^Block= -DEVANAGARI_Extended}', "");
Error('\p{Blk=/a/Devanagari_Ext}');
Error('\P{Blk=/a/Devanagari_Ext}');
Expect(1, 43263, '\p{Blk=devanagariext}', "");
Expect(0, 43263, '\p{^Blk=devanagariext}', "");
Expect(0, 43263, '\P{Blk=devanagariext}', "");
Expect(1, 43263, '\P{^Blk=devanagariext}', "");
Expect(0, 43264, '\p{Blk=devanagariext}', "");
Expect(1, 43264, '\p{^Blk=devanagariext}', "");
Expect(1, 43264, '\P{Blk=devanagariext}', "");
Expect(0, 43264, '\P{^Blk=devanagariext}', "");
Expect(1, 43263, '\p{Blk=		DEVANAGARI_EXT}', "");
Expect(0, 43263, '\p{^Blk=		DEVANAGARI_EXT}', "");
Expect(0, 43263, '\P{Blk=		DEVANAGARI_EXT}', "");
Expect(1, 43263, '\P{^Blk=		DEVANAGARI_EXT}', "");
Expect(0, 43264, '\p{Blk=		DEVANAGARI_EXT}', "");
Expect(1, 43264, '\p{^Blk=		DEVANAGARI_EXT}', "");
Expect(1, 43264, '\P{Blk=		DEVANAGARI_EXT}', "");
Expect(0, 43264, '\P{^Blk=		DEVANAGARI_EXT}', "");
Error('\p{Is_Block=_DEVANAGARI_extended/a/}');
Error('\P{Is_Block=_DEVANAGARI_extended/a/}');
Expect(1, 43263, '\p{Is_Block=devanagariextended}', "");
Expect(0, 43263, '\p{^Is_Block=devanagariextended}', "");
Expect(0, 43263, '\P{Is_Block=devanagariextended}', "");
Expect(1, 43263, '\P{^Is_Block=devanagariextended}', "");
Expect(0, 43264, '\p{Is_Block=devanagariextended}', "");
Expect(1, 43264, '\p{^Is_Block=devanagariextended}', "");
Expect(1, 43264, '\P{Is_Block=devanagariextended}', "");
Expect(0, 43264, '\P{^Is_Block=devanagariextended}', "");
Expect(1, 43263, '\p{Is_Block:  	DEVANAGARI_Extended}', "");
Expect(0, 43263, '\p{^Is_Block:  	DEVANAGARI_Extended}', "");
Expect(0, 43263, '\P{Is_Block:  	DEVANAGARI_Extended}', "");
Expect(1, 43263, '\P{^Is_Block:  	DEVANAGARI_Extended}', "");
Expect(0, 43264, '\p{Is_Block:  	DEVANAGARI_Extended}', "");
Expect(1, 43264, '\p{^Is_Block:  	DEVANAGARI_Extended}', "");
Expect(1, 43264, '\P{Is_Block:  	DEVANAGARI_Extended}', "");
Expect(0, 43264, '\P{^Is_Block:  	DEVANAGARI_Extended}', "");
Error('\p{Is_Blk=/a/Devanagari_EXT}');
Error('\P{Is_Blk=/a/Devanagari_EXT}');
Expect(1, 43263, '\p{Is_Blk=devanagariext}', "");
Expect(0, 43263, '\p{^Is_Blk=devanagariext}', "");
Expect(0, 43263, '\P{Is_Blk=devanagariext}', "");
Expect(1, 43263, '\P{^Is_Blk=devanagariext}', "");
Expect(0, 43264, '\p{Is_Blk=devanagariext}', "");
Expect(1, 43264, '\p{^Is_Blk=devanagariext}', "");
Expect(1, 43264, '\P{Is_Blk=devanagariext}', "");
Expect(0, 43264, '\P{^Is_Blk=devanagariext}', "");
Expect(1, 43263, '\p{Is_Blk= _devanagari_EXT}', "");
Expect(0, 43263, '\p{^Is_Blk= _devanagari_EXT}', "");
Expect(0, 43263, '\P{Is_Blk= _devanagari_EXT}', "");
Expect(1, 43263, '\P{^Is_Blk= _devanagari_EXT}', "");
Expect(0, 43264, '\p{Is_Blk= _devanagari_EXT}', "");
Expect(1, 43264, '\p{^Is_Blk= _devanagari_EXT}', "");
Expect(1, 43264, '\P{Is_Blk= _devanagari_EXT}', "");
Expect(0, 43264, '\P{^Is_Blk= _devanagari_EXT}', "");
Error('\p{Block=:=combining_Diacritical_Marks}');
Error('\P{Block=:=combining_Diacritical_Marks}');
Expect(1, 879, '\p{Block=combiningdiacriticalmarks}', "");
Expect(0, 879, '\p{^Block=combiningdiacriticalmarks}', "");
Expect(0, 879, '\P{Block=combiningdiacriticalmarks}', "");
Expect(1, 879, '\P{^Block=combiningdiacriticalmarks}', "");
Expect(0, 880, '\p{Block=combiningdiacriticalmarks}', "");
Expect(1, 880, '\p{^Block=combiningdiacriticalmarks}', "");
Expect(1, 880, '\P{Block=combiningdiacriticalmarks}', "");
Expect(0, 880, '\P{^Block=combiningdiacriticalmarks}', "");
Expect(1, 879, '\p{Block=_-COMBINING_Diacritical_marks}', "");
Expect(0, 879, '\p{^Block=_-COMBINING_Diacritical_marks}', "");
Expect(0, 879, '\P{Block=_-COMBINING_Diacritical_marks}', "");
Expect(1, 879, '\P{^Block=_-COMBINING_Diacritical_marks}', "");
Expect(0, 880, '\p{Block=_-COMBINING_Diacritical_marks}', "");
Expect(1, 880, '\p{^Block=_-COMBINING_Diacritical_marks}', "");
Expect(1, 880, '\P{Block=_-COMBINING_Diacritical_marks}', "");
Expect(0, 880, '\P{^Block=_-COMBINING_Diacritical_marks}', "");
Error('\p{Blk: _DIACRITICALS:=}');
Error('\P{Blk: _DIACRITICALS:=}');
Expect(1, 879, '\p{Blk=diacriticals}', "");
Expect(0, 879, '\p{^Blk=diacriticals}', "");
Expect(0, 879, '\P{Blk=diacriticals}', "");
Expect(1, 879, '\P{^Blk=diacriticals}', "");
Expect(0, 880, '\p{Blk=diacriticals}', "");
Expect(1, 880, '\p{^Blk=diacriticals}', "");
Expect(1, 880, '\P{Blk=diacriticals}', "");
Expect(0, 880, '\P{^Blk=diacriticals}', "");
Expect(1, 879, '\p{Blk=_DIACRITICALS}', "");
Expect(0, 879, '\p{^Blk=_DIACRITICALS}', "");
Expect(0, 879, '\P{Blk=_DIACRITICALS}', "");
Expect(1, 879, '\P{^Blk=_DIACRITICALS}', "");
Expect(0, 880, '\p{Blk=_DIACRITICALS}', "");
Expect(1, 880, '\p{^Blk=_DIACRITICALS}', "");
Expect(1, 880, '\P{Blk=_DIACRITICALS}', "");
Expect(0, 880, '\P{^Blk=_DIACRITICALS}', "");
Error('\p{Is_Block=-/a/Combining_DIACRITICAL_MARKS}');
Error('\P{Is_Block=-/a/Combining_DIACRITICAL_MARKS}');
Expect(1, 879, '\p{Is_Block=combiningdiacriticalmarks}', "");
Expect(0, 879, '\p{^Is_Block=combiningdiacriticalmarks}', "");
Expect(0, 879, '\P{Is_Block=combiningdiacriticalmarks}', "");
Expect(1, 879, '\P{^Is_Block=combiningdiacriticalmarks}', "");
Expect(0, 880, '\p{Is_Block=combiningdiacriticalmarks}', "");
Expect(1, 880, '\p{^Is_Block=combiningdiacriticalmarks}', "");
Expect(1, 880, '\P{Is_Block=combiningdiacriticalmarks}', "");
Expect(0, 880, '\P{^Is_Block=combiningdiacriticalmarks}', "");
Expect(1, 879, '\p{Is_Block=_	combining_DIACRITICAL_Marks}', "");
Expect(0, 879, '\p{^Is_Block=_	combining_DIACRITICAL_Marks}', "");
Expect(0, 879, '\P{Is_Block=_	combining_DIACRITICAL_Marks}', "");
Expect(1, 879, '\P{^Is_Block=_	combining_DIACRITICAL_Marks}', "");
Expect(0, 880, '\p{Is_Block=_	combining_DIACRITICAL_Marks}', "");
Expect(1, 880, '\p{^Is_Block=_	combining_DIACRITICAL_Marks}', "");
Expect(1, 880, '\P{Is_Block=_	combining_DIACRITICAL_Marks}', "");
Expect(0, 880, '\P{^Is_Block=_	combining_DIACRITICAL_Marks}', "");
Error('\p{Is_Blk=/a/DIACRITICALS}');
Error('\P{Is_Blk=/a/DIACRITICALS}');
Expect(1, 879, '\p{Is_Blk=diacriticals}', "");
Expect(0, 879, '\p{^Is_Blk=diacriticals}', "");
Expect(0, 879, '\P{Is_Blk=diacriticals}', "");
Expect(1, 879, '\P{^Is_Blk=diacriticals}', "");
Expect(0, 880, '\p{Is_Blk=diacriticals}', "");
Expect(1, 880, '\p{^Is_Blk=diacriticals}', "");
Expect(1, 880, '\P{Is_Blk=diacriticals}', "");
Expect(0, 880, '\P{^Is_Blk=diacriticals}', "");
Expect(1, 879, '\p{Is_Blk=_diacriticals}', "");
Expect(0, 879, '\p{^Is_Blk=_diacriticals}', "");
Expect(0, 879, '\P{Is_Blk=_diacriticals}', "");
Expect(1, 879, '\P{^Is_Blk=_diacriticals}', "");
Expect(0, 880, '\p{Is_Blk=_diacriticals}', "");
Expect(1, 880, '\p{^Is_Blk=_diacriticals}', "");
Expect(1, 880, '\P{Is_Blk=_diacriticals}', "");
Expect(0, 880, '\P{^Is_Blk=_diacriticals}', "");
Error('\p{Block=	-Combining_Diacritical_MARKS_EXTENDED/a/}');
Error('\P{Block=	-Combining_Diacritical_MARKS_EXTENDED/a/}');
Expect(1, 6911, '\p{Block=combiningdiacriticalmarksextended}', "");
Expect(0, 6911, '\p{^Block=combiningdiacriticalmarksextended}', "");
Expect(0, 6911, '\P{Block=combiningdiacriticalmarksextended}', "");
Expect(1, 6911, '\P{^Block=combiningdiacriticalmarksextended}', "");
Expect(0, 6912, '\p{Block=combiningdiacriticalmarksextended}', "");
Expect(1, 6912, '\p{^Block=combiningdiacriticalmarksextended}', "");
Expect(1, 6912, '\P{Block=combiningdiacriticalmarksextended}', "");
Expect(0, 6912, '\P{^Block=combiningdiacriticalmarksextended}', "");
Expect(1, 6911, '\p{Block=		Combining_DIACRITICAL_Marks_Extended}', "");
Expect(0, 6911, '\p{^Block=		Combining_DIACRITICAL_Marks_Extended}', "");
Expect(0, 6911, '\P{Block=		Combining_DIACRITICAL_Marks_Extended}', "");
Expect(1, 6911, '\P{^Block=		Combining_DIACRITICAL_Marks_Extended}', "");
Expect(0, 6912, '\p{Block=		Combining_DIACRITICAL_Marks_Extended}', "");
Expect(1, 6912, '\p{^Block=		Combining_DIACRITICAL_Marks_Extended}', "");
Expect(1, 6912, '\P{Block=		Combining_DIACRITICAL_Marks_Extended}', "");
Expect(0, 6912, '\P{^Block=		Combining_DIACRITICAL_Marks_Extended}', "");
Error('\p{Blk=-diacriticals_ext/a/}');
Error('\P{Blk=-diacriticals_ext/a/}');
Expect(1, 6911, '\p{Blk=diacriticalsext}', "");
Expect(0, 6911, '\p{^Blk=diacriticalsext}', "");
Expect(0, 6911, '\P{Blk=diacriticalsext}', "");
Expect(1, 6911, '\P{^Blk=diacriticalsext}', "");
Expect(0, 6912, '\p{Blk=diacriticalsext}', "");
Expect(1, 6912, '\p{^Blk=diacriticalsext}', "");
Expect(1, 6912, '\P{Blk=diacriticalsext}', "");
Expect(0, 6912, '\P{^Blk=diacriticalsext}', "");
Expect(1, 6911, '\p{Blk=-_Diacriticals_Ext}', "");
Expect(0, 6911, '\p{^Blk=-_Diacriticals_Ext}', "");
Expect(0, 6911, '\P{Blk=-_Diacriticals_Ext}', "");
Expect(1, 6911, '\P{^Blk=-_Diacriticals_Ext}', "");
Expect(0, 6912, '\p{Blk=-_Diacriticals_Ext}', "");
Expect(1, 6912, '\p{^Blk=-_Diacriticals_Ext}', "");
Expect(1, 6912, '\P{Blk=-_Diacriticals_Ext}', "");
Expect(0, 6912, '\P{^Blk=-_Diacriticals_Ext}', "");
Error('\p{Is_Block:	-COMBINING_DIACRITICAL_Marks_EXTENDED:=}');
Error('\P{Is_Block:	-COMBINING_DIACRITICAL_Marks_EXTENDED:=}');
Expect(1, 6911, '\p{Is_Block=combiningdiacriticalmarksextended}', "");
Expect(0, 6911, '\p{^Is_Block=combiningdiacriticalmarksextended}', "");
Expect(0, 6911, '\P{Is_Block=combiningdiacriticalmarksextended}', "");
Expect(1, 6911, '\P{^Is_Block=combiningdiacriticalmarksextended}', "");
Expect(0, 6912, '\p{Is_Block=combiningdiacriticalmarksextended}', "");
Expect(1, 6912, '\p{^Is_Block=combiningdiacriticalmarksextended}', "");
Expect(1, 6912, '\P{Is_Block=combiningdiacriticalmarksextended}', "");
Expect(0, 6912, '\P{^Is_Block=combiningdiacriticalmarksextended}', "");
Expect(1, 6911, '\p{Is_Block=-Combining_Diacritical_Marks_EXTENDED}', "");
Expect(0, 6911, '\p{^Is_Block=-Combining_Diacritical_Marks_EXTENDED}', "");
Expect(0, 6911, '\P{Is_Block=-Combining_Diacritical_Marks_EXTENDED}', "");
Expect(1, 6911, '\P{^Is_Block=-Combining_Diacritical_Marks_EXTENDED}', "");
Expect(0, 6912, '\p{Is_Block=-Combining_Diacritical_Marks_EXTENDED}', "");
Expect(1, 6912, '\p{^Is_Block=-Combining_Diacritical_Marks_EXTENDED}', "");
Expect(1, 6912, '\P{Is_Block=-Combining_Diacritical_Marks_EXTENDED}', "");
Expect(0, 6912, '\P{^Is_Block=-Combining_Diacritical_Marks_EXTENDED}', "");
Error('\p{Is_Blk=:= -diacriticals_ext}');
Error('\P{Is_Blk=:= -diacriticals_ext}');
Expect(1, 6911, '\p{Is_Blk=diacriticalsext}', "");
Expect(0, 6911, '\p{^Is_Blk=diacriticalsext}', "");
Expect(0, 6911, '\P{Is_Blk=diacriticalsext}', "");
Expect(1, 6911, '\P{^Is_Blk=diacriticalsext}', "");
Expect(0, 6912, '\p{Is_Blk=diacriticalsext}', "");
Expect(1, 6912, '\p{^Is_Blk=diacriticalsext}', "");
Expect(1, 6912, '\P{Is_Blk=diacriticalsext}', "");
Expect(0, 6912, '\P{^Is_Blk=diacriticalsext}', "");
Expect(1, 6911, '\p{Is_Blk= -DIACRITICALS_Ext}', "");
Expect(0, 6911, '\p{^Is_Blk= -DIACRITICALS_Ext}', "");
Expect(0, 6911, '\P{Is_Blk= -DIACRITICALS_Ext}', "");
Expect(1, 6911, '\P{^Is_Blk= -DIACRITICALS_Ext}', "");
Expect(0, 6912, '\p{Is_Blk= -DIACRITICALS_Ext}', "");
Expect(1, 6912, '\p{^Is_Blk= -DIACRITICALS_Ext}', "");
Expect(1, 6912, '\P{Is_Blk= -DIACRITICALS_Ext}', "");
Expect(0, 6912, '\P{^Is_Blk= -DIACRITICALS_Ext}', "");
Error('\p{Block=	:=Combining_diacritical_MARKS_for_symbols}');
Error('\P{Block=	:=Combining_diacritical_MARKS_for_symbols}');
Expect(1, 8447, '\p{Block=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\p{^Block=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\P{Block=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\P{^Block=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8448, '\p{Block=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8448, '\p{^Block=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8448, '\P{Block=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8448, '\P{^Block=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\p{Block=-	Combining_Diacritical_Marks_for_Symbols}', "");
Expect(0, 8447, '\p{^Block=-	Combining_Diacritical_Marks_for_Symbols}', "");
Expect(0, 8447, '\P{Block=-	Combining_Diacritical_Marks_for_Symbols}', "");
Expect(1, 8447, '\P{^Block=-	Combining_Diacritical_Marks_for_Symbols}', "");
Expect(0, 8448, '\p{Block=-	Combining_Diacritical_Marks_for_Symbols}', "");
Expect(1, 8448, '\p{^Block=-	Combining_Diacritical_Marks_for_Symbols}', "");
Expect(1, 8448, '\P{Block=-	Combining_Diacritical_Marks_for_Symbols}', "");
Expect(0, 8448, '\P{^Block=-	Combining_Diacritical_Marks_for_Symbols}', "");
Error('\p{Blk=:=DIACRITICALS_for_SYMBOLS}');
Error('\P{Blk=:=DIACRITICALS_for_SYMBOLS}');
Expect(1, 8447, '\p{Blk=diacriticalsforsymbols}', "");
Expect(0, 8447, '\p{^Blk=diacriticalsforsymbols}', "");
Expect(0, 8447, '\P{Blk=diacriticalsforsymbols}', "");
Expect(1, 8447, '\P{^Blk=diacriticalsforsymbols}', "");
Expect(0, 8448, '\p{Blk=diacriticalsforsymbols}', "");
Expect(1, 8448, '\p{^Blk=diacriticalsforsymbols}', "");
Expect(1, 8448, '\P{Blk=diacriticalsforsymbols}', "");
Expect(0, 8448, '\P{^Blk=diacriticalsforsymbols}', "");
Expect(1, 8447, '\p{Blk=	_DIACRITICALS_for_SYMBOLS}', "");
Expect(0, 8447, '\p{^Blk=	_DIACRITICALS_for_SYMBOLS}', "");
Expect(0, 8447, '\P{Blk=	_DIACRITICALS_for_SYMBOLS}', "");
Expect(1, 8447, '\P{^Blk=	_DIACRITICALS_for_SYMBOLS}', "");
Expect(0, 8448, '\p{Blk=	_DIACRITICALS_for_SYMBOLS}', "");
Expect(1, 8448, '\p{^Blk=	_DIACRITICALS_for_SYMBOLS}', "");
Expect(1, 8448, '\P{Blk=	_DIACRITICALS_for_SYMBOLS}', "");
Expect(0, 8448, '\P{^Blk=	_DIACRITICALS_for_SYMBOLS}', "");
Error('\p{Is_Block=--Combining_Marks_For_SYMBOLS:=}');
Error('\P{Is_Block=--Combining_Marks_For_SYMBOLS:=}');
Expect(1, 8447, '\p{Is_Block=combiningmarksforsymbols}', "");
Expect(0, 8447, '\p{^Is_Block=combiningmarksforsymbols}', "");
Expect(0, 8447, '\P{Is_Block=combiningmarksforsymbols}', "");
Expect(1, 8447, '\P{^Is_Block=combiningmarksforsymbols}', "");
Expect(0, 8448, '\p{Is_Block=combiningmarksforsymbols}', "");
Expect(1, 8448, '\p{^Is_Block=combiningmarksforsymbols}', "");
Expect(1, 8448, '\P{Is_Block=combiningmarksforsymbols}', "");
Expect(0, 8448, '\P{^Is_Block=combiningmarksforsymbols}', "");
Expect(1, 8447, '\p{Is_Block=_COMBINING_Marks_for_Symbols}', "");
Expect(0, 8447, '\p{^Is_Block=_COMBINING_Marks_for_Symbols}', "");
Expect(0, 8447, '\P{Is_Block=_COMBINING_Marks_for_Symbols}', "");
Expect(1, 8447, '\P{^Is_Block=_COMBINING_Marks_for_Symbols}', "");
Expect(0, 8448, '\p{Is_Block=_COMBINING_Marks_for_Symbols}', "");
Expect(1, 8448, '\p{^Is_Block=_COMBINING_Marks_for_Symbols}', "");
Expect(1, 8448, '\P{Is_Block=_COMBINING_Marks_for_Symbols}', "");
Expect(0, 8448, '\P{^Is_Block=_COMBINING_Marks_for_Symbols}', "");
Error('\p{Is_Blk=/a/ combining_Diacritical_Marks_For_Symbols}');
Error('\P{Is_Blk=/a/ combining_Diacritical_Marks_For_Symbols}');
Expect(1, 8447, '\p{Is_Blk=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\p{^Is_Blk=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\P{Is_Blk=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\P{^Is_Blk=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8448, '\p{Is_Blk=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8448, '\p{^Is_Blk=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8448, '\P{Is_Blk=combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8448, '\P{^Is_Blk=combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\p{Is_Blk=_COMBINING_DIACRITICAL_marks_For_Symbols}', "");
Expect(0, 8447, '\p{^Is_Blk=_COMBINING_DIACRITICAL_marks_For_Symbols}', "");
Expect(0, 8447, '\P{Is_Blk=_COMBINING_DIACRITICAL_marks_For_Symbols}', "");
Expect(1, 8447, '\P{^Is_Blk=_COMBINING_DIACRITICAL_marks_For_Symbols}', "");
Expect(0, 8448, '\p{Is_Blk=_COMBINING_DIACRITICAL_marks_For_Symbols}', "");
Expect(1, 8448, '\p{^Is_Blk=_COMBINING_DIACRITICAL_marks_For_Symbols}', "");
Expect(1, 8448, '\P{Is_Blk=_COMBINING_DIACRITICAL_marks_For_Symbols}', "");
Expect(0, 8448, '\P{^Is_Blk=_COMBINING_DIACRITICAL_marks_For_Symbols}', "");
Error('\p{Block=:=Combining_Diacritical_marks_Supplement}');
Error('\P{Block=:=Combining_Diacritical_marks_Supplement}');
Expect(1, 7679, '\p{Block: combiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\p{^Block: combiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\P{Block: combiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\P{^Block: combiningdiacriticalmarkssupplement}', "");
Expect(0, 7680, '\p{Block: combiningdiacriticalmarkssupplement}', "");
Expect(1, 7680, '\p{^Block: combiningdiacriticalmarkssupplement}', "");
Expect(1, 7680, '\P{Block: combiningdiacriticalmarkssupplement}', "");
Expect(0, 7680, '\P{^Block: combiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\p{Block=-Combining_Diacritical_MARKS_Supplement}', "");
Expect(0, 7679, '\p{^Block=-Combining_Diacritical_MARKS_Supplement}', "");
Expect(0, 7679, '\P{Block=-Combining_Diacritical_MARKS_Supplement}', "");
Expect(1, 7679, '\P{^Block=-Combining_Diacritical_MARKS_Supplement}', "");
Expect(0, 7680, '\p{Block=-Combining_Diacritical_MARKS_Supplement}', "");
Expect(1, 7680, '\p{^Block=-Combining_Diacritical_MARKS_Supplement}', "");
Expect(1, 7680, '\P{Block=-Combining_Diacritical_MARKS_Supplement}', "");
Expect(0, 7680, '\P{^Block=-Combining_Diacritical_MARKS_Supplement}', "");
Error('\p{Blk=_	DIACRITICALS_Sup/a/}');
Error('\P{Blk=_	DIACRITICALS_Sup/a/}');
Expect(1, 7679, '\p{Blk=diacriticalssup}', "");
Expect(0, 7679, '\p{^Blk=diacriticalssup}', "");
Expect(0, 7679, '\P{Blk=diacriticalssup}', "");
Expect(1, 7679, '\P{^Blk=diacriticalssup}', "");
Expect(0, 7680, '\p{Blk=diacriticalssup}', "");
Expect(1, 7680, '\p{^Blk=diacriticalssup}', "");
Expect(1, 7680, '\P{Blk=diacriticalssup}', "");
Expect(0, 7680, '\P{^Blk=diacriticalssup}', "");
Expect(1, 7679, '\p{Blk=- Diacriticals_sup}', "");
Expect(0, 7679, '\p{^Blk=- Diacriticals_sup}', "");
Expect(0, 7679, '\P{Blk=- Diacriticals_sup}', "");
Expect(1, 7679, '\P{^Blk=- Diacriticals_sup}', "");
Expect(0, 7680, '\p{Blk=- Diacriticals_sup}', "");
Expect(1, 7680, '\p{^Blk=- Diacriticals_sup}', "");
Expect(1, 7680, '\P{Blk=- Diacriticals_sup}', "");
Expect(0, 7680, '\P{^Blk=- Diacriticals_sup}', "");
Error('\p{Is_Block:   	:=Combining_DIACRITICAL_Marks_SUPPLEMENT}');
Error('\P{Is_Block:   	:=Combining_DIACRITICAL_Marks_SUPPLEMENT}');
Expect(1, 7679, '\p{Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\p{^Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\P{Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\P{^Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7680, '\p{Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7680, '\p{^Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7680, '\P{Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(0, 7680, '\P{^Is_Block=combiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\p{Is_Block= Combining_DIACRITICAL_marks_supplement}', "");
Expect(0, 7679, '\p{^Is_Block= Combining_DIACRITICAL_marks_supplement}', "");
Expect(0, 7679, '\P{Is_Block= Combining_DIACRITICAL_marks_supplement}', "");
Expect(1, 7679, '\P{^Is_Block= Combining_DIACRITICAL_marks_supplement}', "");
Expect(0, 7680, '\p{Is_Block= Combining_DIACRITICAL_marks_supplement}', "");
Expect(1, 7680, '\p{^Is_Block= Combining_DIACRITICAL_marks_supplement}', "");
Expect(1, 7680, '\P{Is_Block= Combining_DIACRITICAL_marks_supplement}', "");
Expect(0, 7680, '\P{^Is_Block= Combining_DIACRITICAL_marks_supplement}', "");
Error('\p{Is_Blk: 	-DIACRITICALS_sup/a/}');
Error('\P{Is_Blk: 	-DIACRITICALS_sup/a/}');
Expect(1, 7679, '\p{Is_Blk=diacriticalssup}', "");
Expect(0, 7679, '\p{^Is_Blk=diacriticalssup}', "");
Expect(0, 7679, '\P{Is_Blk=diacriticalssup}', "");
Expect(1, 7679, '\P{^Is_Blk=diacriticalssup}', "");
Expect(0, 7680, '\p{Is_Blk=diacriticalssup}', "");
Expect(1, 7680, '\p{^Is_Blk=diacriticalssup}', "");
Expect(1, 7680, '\P{Is_Blk=diacriticalssup}', "");
Expect(0, 7680, '\P{^Is_Blk=diacriticalssup}', "");
Expect(1, 7679, '\p{Is_Blk=- Diacriticals_Sup}', "");
Expect(0, 7679, '\p{^Is_Blk=- Diacriticals_Sup}', "");
Expect(0, 7679, '\P{Is_Blk=- Diacriticals_Sup}', "");
Expect(1, 7679, '\P{^Is_Blk=- Diacriticals_Sup}', "");
Expect(0, 7680, '\p{Is_Blk=- Diacriticals_Sup}', "");
Expect(1, 7680, '\p{^Is_Blk=- Diacriticals_Sup}', "");
Expect(1, 7680, '\P{Is_Blk=- Diacriticals_Sup}', "");
Expect(0, 7680, '\P{^Is_Blk=- Diacriticals_Sup}', "");
Error('\p{Block=/a/	-Dingbats}');
Error('\P{Block=/a/	-Dingbats}');
Expect(1, 10175, '\p{Block=dingbats}', "");
Expect(0, 10175, '\p{^Block=dingbats}', "");
Expect(0, 10175, '\P{Block=dingbats}', "");
Expect(1, 10175, '\P{^Block=dingbats}', "");
Expect(0, 10176, '\p{Block=dingbats}', "");
Expect(1, 10176, '\p{^Block=dingbats}', "");
Expect(1, 10176, '\P{Block=dingbats}', "");
Expect(0, 10176, '\P{^Block=dingbats}', "");
Expect(1, 10175, '\p{Block=	_dingbats}', "");
Expect(0, 10175, '\p{^Block=	_dingbats}', "");
Expect(0, 10175, '\P{Block=	_dingbats}', "");
Expect(1, 10175, '\P{^Block=	_dingbats}', "");
Expect(0, 10176, '\p{Block=	_dingbats}', "");
Expect(1, 10176, '\p{^Block=	_dingbats}', "");
Expect(1, 10176, '\P{Block=	_dingbats}', "");
Expect(0, 10176, '\P{^Block=	_dingbats}', "");
Error('\p{Blk:	/a/	 DINGBATS}');
Error('\P{Blk:	/a/	 DINGBATS}');
Expect(1, 10175, '\p{Blk=dingbats}', "");
Expect(0, 10175, '\p{^Blk=dingbats}', "");
Expect(0, 10175, '\P{Blk=dingbats}', "");
Expect(1, 10175, '\P{^Blk=dingbats}', "");
Expect(0, 10176, '\p{Blk=dingbats}', "");
Expect(1, 10176, '\p{^Blk=dingbats}', "");
Expect(1, 10176, '\P{Blk=dingbats}', "");
Expect(0, 10176, '\P{^Blk=dingbats}', "");
Expect(1, 10175, '\p{Blk=_	Dingbats}', "");
Expect(0, 10175, '\p{^Blk=_	Dingbats}', "");
Expect(0, 10175, '\P{Blk=_	Dingbats}', "");
Expect(1, 10175, '\P{^Blk=_	Dingbats}', "");
Expect(0, 10176, '\p{Blk=_	Dingbats}', "");
Expect(1, 10176, '\p{^Blk=_	Dingbats}', "");
Expect(1, 10176, '\P{Blk=_	Dingbats}', "");
Expect(0, 10176, '\P{^Blk=_	Dingbats}', "");
Error('\p{Is_Block=		Dingbats/a/}');
Error('\P{Is_Block=		Dingbats/a/}');
Expect(1, 10175, '\p{Is_Block=dingbats}', "");
Expect(0, 10175, '\p{^Is_Block=dingbats}', "");
Expect(0, 10175, '\P{Is_Block=dingbats}', "");
Expect(1, 10175, '\P{^Is_Block=dingbats}', "");
Expect(0, 10176, '\p{Is_Block=dingbats}', "");
Expect(1, 10176, '\p{^Is_Block=dingbats}', "");
Expect(1, 10176, '\P{Is_Block=dingbats}', "");
Expect(0, 10176, '\P{^Is_Block=dingbats}', "");
Expect(1, 10175, '\p{Is_Block=--dingbats}', "");
Expect(0, 10175, '\p{^Is_Block=--dingbats}', "");
Expect(0, 10175, '\P{Is_Block=--dingbats}', "");
Expect(1, 10175, '\P{^Is_Block=--dingbats}', "");
Expect(0, 10176, '\p{Is_Block=--dingbats}', "");
Expect(1, 10176, '\p{^Is_Block=--dingbats}', "");
Expect(1, 10176, '\P{Is_Block=--dingbats}', "");
Expect(0, 10176, '\P{^Is_Block=--dingbats}', "");
Error('\p{Is_Blk=/a/ _Dingbats}');
Error('\P{Is_Blk=/a/ _Dingbats}');
Expect(1, 10175, '\p{Is_Blk=dingbats}', "");
Expect(0, 10175, '\p{^Is_Blk=dingbats}', "");
Expect(0, 10175, '\P{Is_Blk=dingbats}', "");
Expect(1, 10175, '\P{^Is_Blk=dingbats}', "");
Expect(0, 10176, '\p{Is_Blk=dingbats}', "");
Expect(1, 10176, '\p{^Is_Blk=dingbats}', "");
Expect(1, 10176, '\P{Is_Blk=dingbats}', "");
Expect(0, 10176, '\P{^Is_Blk=dingbats}', "");
Expect(1, 10175, '\p{Is_Blk=_dingbats}', "");
Expect(0, 10175, '\p{^Is_Blk=_dingbats}', "");
Expect(0, 10175, '\P{Is_Blk=_dingbats}', "");
Expect(1, 10175, '\P{^Is_Blk=_dingbats}', "");
Expect(0, 10176, '\p{Is_Blk=_dingbats}', "");
Expect(1, 10176, '\p{^Is_Blk=_dingbats}', "");
Expect(1, 10176, '\P{Is_Blk=_dingbats}', "");
Expect(0, 10176, '\P{^Is_Blk=_dingbats}', "");
Error('\p{Block=_-Domino_Tiles:=}');
Error('\P{Block=_-Domino_Tiles:=}');
Expect(1, 127135, '\p{Block=dominotiles}', "");
Expect(0, 127135, '\p{^Block=dominotiles}', "");
Expect(0, 127135, '\P{Block=dominotiles}', "");
Expect(1, 127135, '\P{^Block=dominotiles}', "");
Expect(0, 127136, '\p{Block=dominotiles}', "");
Expect(1, 127136, '\p{^Block=dominotiles}', "");
Expect(1, 127136, '\P{Block=dominotiles}', "");
Expect(0, 127136, '\P{^Block=dominotiles}', "");
Expect(1, 127135, '\p{Block=_domino_Tiles}', "");
Expect(0, 127135, '\p{^Block=_domino_Tiles}', "");
Expect(0, 127135, '\P{Block=_domino_Tiles}', "");
Expect(1, 127135, '\P{^Block=_domino_Tiles}', "");
Expect(0, 127136, '\p{Block=_domino_Tiles}', "");
Expect(1, 127136, '\p{^Block=_domino_Tiles}', "");
Expect(1, 127136, '\P{Block=_domino_Tiles}', "");
Expect(0, 127136, '\P{^Block=_domino_Tiles}', "");
Error('\p{Blk=:=	_Domino}');
Error('\P{Blk=:=	_Domino}');
Expect(1, 127135, '\p{Blk: domino}', "");
Expect(0, 127135, '\p{^Blk: domino}', "");
Expect(0, 127135, '\P{Blk: domino}', "");
Expect(1, 127135, '\P{^Blk: domino}', "");
Expect(0, 127136, '\p{Blk: domino}', "");
Expect(1, 127136, '\p{^Blk: domino}', "");
Expect(1, 127136, '\P{Blk: domino}', "");
Expect(0, 127136, '\P{^Blk: domino}', "");
Expect(1, 127135, '\p{Blk:   -	DOMINO}', "");
Expect(0, 127135, '\p{^Blk:   -	DOMINO}', "");
Expect(0, 127135, '\P{Blk:   -	DOMINO}', "");
Expect(1, 127135, '\P{^Blk:   -	DOMINO}', "");
Expect(0, 127136, '\p{Blk:   -	DOMINO}', "");
Expect(1, 127136, '\p{^Blk:   -	DOMINO}', "");
Expect(1, 127136, '\P{Blk:   -	DOMINO}', "");
Expect(0, 127136, '\P{^Blk:   -	DOMINO}', "");
Error('\p{Is_Block=-/a/DOMINO_TILES}');
Error('\P{Is_Block=-/a/DOMINO_TILES}');
Expect(1, 127135, '\p{Is_Block=dominotiles}', "");
Expect(0, 127135, '\p{^Is_Block=dominotiles}', "");
Expect(0, 127135, '\P{Is_Block=dominotiles}', "");
Expect(1, 127135, '\P{^Is_Block=dominotiles}', "");
Expect(0, 127136, '\p{Is_Block=dominotiles}', "");
Expect(1, 127136, '\p{^Is_Block=dominotiles}', "");
Expect(1, 127136, '\P{Is_Block=dominotiles}', "");
Expect(0, 127136, '\P{^Is_Block=dominotiles}', "");
Expect(1, 127135, '\p{Is_Block=_	DOMINO_TILES}', "");
Expect(0, 127135, '\p{^Is_Block=_	DOMINO_TILES}', "");
Expect(0, 127135, '\P{Is_Block=_	DOMINO_TILES}', "");
Expect(1, 127135, '\P{^Is_Block=_	DOMINO_TILES}', "");
Expect(0, 127136, '\p{Is_Block=_	DOMINO_TILES}', "");
Expect(1, 127136, '\p{^Is_Block=_	DOMINO_TILES}', "");
Expect(1, 127136, '\P{Is_Block=_	DOMINO_TILES}', "");
Expect(0, 127136, '\P{^Is_Block=_	DOMINO_TILES}', "");
Error('\p{Is_Blk=  DOMINO/a/}');
Error('\P{Is_Blk=  DOMINO/a/}');
Expect(1, 127135, '\p{Is_Blk=domino}', "");
Expect(0, 127135, '\p{^Is_Blk=domino}', "");
Expect(0, 127135, '\P{Is_Blk=domino}', "");
Expect(1, 127135, '\P{^Is_Blk=domino}', "");
Expect(0, 127136, '\p{Is_Blk=domino}', "");
Expect(1, 127136, '\p{^Is_Blk=domino}', "");
Expect(1, 127136, '\P{Is_Blk=domino}', "");
Expect(0, 127136, '\P{^Is_Blk=domino}', "");
Expect(1, 127135, '\p{Is_Blk= _DOMINO}', "");
Expect(0, 127135, '\p{^Is_Blk= _DOMINO}', "");
Expect(0, 127135, '\P{Is_Blk= _DOMINO}', "");
Expect(1, 127135, '\P{^Is_Blk= _DOMINO}', "");
Expect(0, 127136, '\p{Is_Blk= _DOMINO}', "");
Expect(1, 127136, '\p{^Is_Blk= _DOMINO}', "");
Expect(1, 127136, '\P{Is_Blk= _DOMINO}', "");
Expect(0, 127136, '\P{^Is_Blk= _DOMINO}', "");
Error('\p{Block=/a/-Duployan}');
Error('\P{Block=/a/-Duployan}');
Expect(1, 113823, '\p{Block=duployan}', "");
Expect(0, 113823, '\p{^Block=duployan}', "");
Expect(0, 113823, '\P{Block=duployan}', "");
Expect(1, 113823, '\P{^Block=duployan}', "");
Expect(0, 113824, '\p{Block=duployan}', "");
Expect(1, 113824, '\p{^Block=duployan}', "");
Expect(1, 113824, '\P{Block=duployan}', "");
Expect(0, 113824, '\P{^Block=duployan}', "");
Expect(1, 113823, '\p{Block:-Duployan}', "");
Expect(0, 113823, '\p{^Block:-Duployan}', "");
Expect(0, 113823, '\P{Block:-Duployan}', "");
Expect(1, 113823, '\P{^Block:-Duployan}', "");
Expect(0, 113824, '\p{Block:-Duployan}', "");
Expect(1, 113824, '\p{^Block:-Duployan}', "");
Expect(1, 113824, '\P{Block:-Duployan}', "");
Expect(0, 113824, '\P{^Block:-Duployan}', "");
Error('\p{Blk=/a/-	duployan}');
Error('\P{Blk=/a/-	duployan}');
Expect(1, 113823, '\p{Blk=duployan}', "");
Expect(0, 113823, '\p{^Blk=duployan}', "");
Expect(0, 113823, '\P{Blk=duployan}', "");
Expect(1, 113823, '\P{^Blk=duployan}', "");
Expect(0, 113824, '\p{Blk=duployan}', "");
Expect(1, 113824, '\p{^Blk=duployan}', "");
Expect(1, 113824, '\P{Blk=duployan}', "");
Expect(0, 113824, '\P{^Blk=duployan}', "");
Expect(1, 113823, '\p{Blk=_	Duployan}', "");
Expect(0, 113823, '\p{^Blk=_	Duployan}', "");
Expect(0, 113823, '\P{Blk=_	Duployan}', "");
Expect(1, 113823, '\P{^Blk=_	Duployan}', "");
Expect(0, 113824, '\p{Blk=_	Duployan}', "");
Expect(1, 113824, '\p{^Blk=_	Duployan}', "");
Expect(1, 113824, '\P{Blk=_	Duployan}', "");
Expect(0, 113824, '\P{^Blk=_	Duployan}', "");
Error('\p{Is_Block=:= duployan}');
Error('\P{Is_Block=:= duployan}');
Expect(1, 113823, '\p{Is_Block=duployan}', "");
Expect(0, 113823, '\p{^Is_Block=duployan}', "");
Expect(0, 113823, '\P{Is_Block=duployan}', "");
Expect(1, 113823, '\P{^Is_Block=duployan}', "");
Expect(0, 113824, '\p{Is_Block=duployan}', "");
Expect(1, 113824, '\p{^Is_Block=duployan}', "");
Expect(1, 113824, '\P{Is_Block=duployan}', "");
Expect(0, 113824, '\P{^Is_Block=duployan}', "");
Expect(1, 113823, '\p{Is_Block=	Duployan}', "");
Expect(0, 113823, '\p{^Is_Block=	Duployan}', "");
Expect(0, 113823, '\P{Is_Block=	Duployan}', "");
Expect(1, 113823, '\P{^Is_Block=	Duployan}', "");
Expect(0, 113824, '\p{Is_Block=	Duployan}', "");
Expect(1, 113824, '\p{^Is_Block=	Duployan}', "");
Expect(1, 113824, '\P{Is_Block=	Duployan}', "");
Expect(0, 113824, '\P{^Is_Block=	Duployan}', "");
Error('\p{Is_Blk= /a/Duployan}');
Error('\P{Is_Blk= /a/Duployan}');
Expect(1, 113823, '\p{Is_Blk=duployan}', "");
Expect(0, 113823, '\p{^Is_Blk=duployan}', "");
Expect(0, 113823, '\P{Is_Blk=duployan}', "");
Expect(1, 113823, '\P{^Is_Blk=duployan}', "");
Expect(0, 113824, '\p{Is_Blk=duployan}', "");
Expect(1, 113824, '\p{^Is_Blk=duployan}', "");
Expect(1, 113824, '\P{Is_Blk=duployan}', "");
Expect(0, 113824, '\P{^Is_Blk=duployan}', "");
Expect(1, 113823, '\p{Is_Blk=	 Duployan}', "");
Expect(0, 113823, '\p{^Is_Blk=	 Duployan}', "");
Expect(0, 113823, '\P{Is_Blk=	 Duployan}', "");
Expect(1, 113823, '\P{^Is_Blk=	 Duployan}', "");
Expect(0, 113824, '\p{Is_Blk=	 Duployan}', "");
Expect(1, 113824, '\p{^Is_Blk=	 Duployan}', "");
Expect(1, 113824, '\P{Is_Blk=	 Duployan}', "");
Expect(0, 113824, '\P{^Is_Blk=	 Duployan}', "");
Error('\p{Block=/a/Early_Dynastic_Cuneiform}');
Error('\P{Block=/a/Early_Dynastic_Cuneiform}');
Expect(1, 75087, '\p{Block=earlydynasticcuneiform}', "");
Expect(0, 75087, '\p{^Block=earlydynasticcuneiform}', "");
Expect(0, 75087, '\P{Block=earlydynasticcuneiform}', "");
Expect(1, 75087, '\P{^Block=earlydynasticcuneiform}', "");
Expect(0, 75088, '\p{Block=earlydynasticcuneiform}', "");
Expect(1, 75088, '\p{^Block=earlydynasticcuneiform}', "");
Expect(1, 75088, '\P{Block=earlydynasticcuneiform}', "");
Expect(0, 75088, '\P{^Block=earlydynasticcuneiform}', "");
Expect(1, 75087, '\p{Block: 	_early_dynastic_Cuneiform}', "");
Expect(0, 75087, '\p{^Block: 	_early_dynastic_Cuneiform}', "");
Expect(0, 75087, '\P{Block: 	_early_dynastic_Cuneiform}', "");
Expect(1, 75087, '\P{^Block: 	_early_dynastic_Cuneiform}', "");
Expect(0, 75088, '\p{Block: 	_early_dynastic_Cuneiform}', "");
Expect(1, 75088, '\p{^Block: 	_early_dynastic_Cuneiform}', "");
Expect(1, 75088, '\P{Block: 	_early_dynastic_Cuneiform}', "");
Expect(0, 75088, '\P{^Block: 	_early_dynastic_Cuneiform}', "");
Error('\p{Blk=/a/	 EARLY_dynastic_cuneiform}');
Error('\P{Blk=/a/	 EARLY_dynastic_cuneiform}');
Expect(1, 75087, '\p{Blk:   earlydynasticcuneiform}', "");
Expect(0, 75087, '\p{^Blk:   earlydynasticcuneiform}', "");
Expect(0, 75087, '\P{Blk:   earlydynasticcuneiform}', "");
Expect(1, 75087, '\P{^Blk:   earlydynasticcuneiform}', "");
Expect(0, 75088, '\p{Blk:   earlydynasticcuneiform}', "");
Expect(1, 75088, '\p{^Blk:   earlydynasticcuneiform}', "");
Expect(1, 75088, '\P{Blk:   earlydynasticcuneiform}', "");
Expect(0, 75088, '\P{^Blk:   earlydynasticcuneiform}', "");
Expect(1, 75087, '\p{Blk=	_EARLY_Dynastic_cuneiform}', "");
Expect(0, 75087, '\p{^Blk=	_EARLY_Dynastic_cuneiform}', "");
Expect(0, 75087, '\P{Blk=	_EARLY_Dynastic_cuneiform}', "");
Expect(1, 75087, '\P{^Blk=	_EARLY_Dynastic_cuneiform}', "");
Expect(0, 75088, '\p{Blk=	_EARLY_Dynastic_cuneiform}', "");
Expect(1, 75088, '\p{^Blk=	_EARLY_Dynastic_cuneiform}', "");
Expect(1, 75088, '\P{Blk=	_EARLY_Dynastic_cuneiform}', "");
Expect(0, 75088, '\P{^Blk=	_EARLY_Dynastic_cuneiform}', "");
Error('\p{Is_Block=:=Early_DYNASTIC_CUNEIFORM}');
Error('\P{Is_Block=:=Early_DYNASTIC_CUNEIFORM}');
Expect(1, 75087, '\p{Is_Block:earlydynasticcuneiform}', "");
Expect(0, 75087, '\p{^Is_Block:earlydynasticcuneiform}', "");
Expect(0, 75087, '\P{Is_Block:earlydynasticcuneiform}', "");
Expect(1, 75087, '\P{^Is_Block:earlydynasticcuneiform}', "");
Expect(0, 75088, '\p{Is_Block:earlydynasticcuneiform}', "");
Expect(1, 75088, '\p{^Is_Block:earlydynasticcuneiform}', "");
Expect(1, 75088, '\P{Is_Block:earlydynasticcuneiform}', "");
Expect(0, 75088, '\P{^Is_Block:earlydynasticcuneiform}', "");
Expect(1, 75087, '\p{Is_Block:   	early_DYNASTIC_cuneiform}', "");
Expect(0, 75087, '\p{^Is_Block:   	early_DYNASTIC_cuneiform}', "");
Expect(0, 75087, '\P{Is_Block:   	early_DYNASTIC_cuneiform}', "");
Expect(1, 75087, '\P{^Is_Block:   	early_DYNASTIC_cuneiform}', "");
Expect(0, 75088, '\p{Is_Block:   	early_DYNASTIC_cuneiform}', "");
Expect(1, 75088, '\p{^Is_Block:   	early_DYNASTIC_cuneiform}', "");
Expect(1, 75088, '\P{Is_Block:   	early_DYNASTIC_cuneiform}', "");
Expect(0, 75088, '\P{^Is_Block:   	early_DYNASTIC_cuneiform}', "");
Error('\p{Is_Blk=:=_ EARLY_Dynastic_Cuneiform}');
Error('\P{Is_Blk=:=_ EARLY_Dynastic_Cuneiform}');
Expect(1, 75087, '\p{Is_Blk=earlydynasticcuneiform}', "");
Expect(0, 75087, '\p{^Is_Blk=earlydynasticcuneiform}', "");
Expect(0, 75087, '\P{Is_Blk=earlydynasticcuneiform}', "");
Expect(1, 75087, '\P{^Is_Blk=earlydynasticcuneiform}', "");
Expect(0, 75088, '\p{Is_Blk=earlydynasticcuneiform}', "");
Expect(1, 75088, '\p{^Is_Blk=earlydynasticcuneiform}', "");
Expect(1, 75088, '\P{Is_Blk=earlydynasticcuneiform}', "");
Expect(0, 75088, '\P{^Is_Blk=earlydynasticcuneiform}', "");
Expect(1, 75087, '\p{Is_Blk=-_EARLY_DYNASTIC_CUNEIFORM}', "");
Expect(0, 75087, '\p{^Is_Blk=-_EARLY_DYNASTIC_CUNEIFORM}', "");
Expect(0, 75087, '\P{Is_Blk=-_EARLY_DYNASTIC_CUNEIFORM}', "");
Expect(1, 75087, '\P{^Is_Blk=-_EARLY_DYNASTIC_CUNEIFORM}', "");
Expect(0, 75088, '\p{Is_Blk=-_EARLY_DYNASTIC_CUNEIFORM}', "");
Expect(1, 75088, '\p{^Is_Blk=-_EARLY_DYNASTIC_CUNEIFORM}', "");
Expect(1, 75088, '\P{Is_Blk=-_EARLY_DYNASTIC_CUNEIFORM}', "");
Expect(0, 75088, '\P{^Is_Blk=-_EARLY_DYNASTIC_CUNEIFORM}', "");
Error('\p{Block=-Egyptian_HIEROGLYPHS/a/}');
Error('\P{Block=-Egyptian_HIEROGLYPHS/a/}');
Expect(1, 78895, '\p{Block=egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{^Block=egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{Block=egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{^Block=egyptianhieroglyphs}', "");
Expect(0, 78896, '\p{Block=egyptianhieroglyphs}', "");
Expect(1, 78896, '\p{^Block=egyptianhieroglyphs}', "");
Expect(1, 78896, '\P{Block=egyptianhieroglyphs}', "");
Expect(0, 78896, '\P{^Block=egyptianhieroglyphs}', "");
Expect(1, 78895, '\p{Block=__egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\p{^Block=__egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\P{Block=__egyptian_Hieroglyphs}', "");
Expect(1, 78895, '\P{^Block=__egyptian_Hieroglyphs}', "");
Expect(0, 78896, '\p{Block=__egyptian_Hieroglyphs}', "");
Expect(1, 78896, '\p{^Block=__egyptian_Hieroglyphs}', "");
Expect(1, 78896, '\P{Block=__egyptian_Hieroglyphs}', "");
Expect(0, 78896, '\P{^Block=__egyptian_Hieroglyphs}', "");
Error('\p{Blk=_/a/EGYPTIAN_hieroglyphs}');
Error('\P{Blk=_/a/EGYPTIAN_hieroglyphs}');
Expect(1, 78895, '\p{Blk:egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{^Blk:egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{Blk:egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{^Blk:egyptianhieroglyphs}', "");
Expect(0, 78896, '\p{Blk:egyptianhieroglyphs}', "");
Expect(1, 78896, '\p{^Blk:egyptianhieroglyphs}', "");
Expect(1, 78896, '\P{Blk:egyptianhieroglyphs}', "");
Expect(0, 78896, '\P{^Blk:egyptianhieroglyphs}', "");
Expect(1, 78895, '\p{Blk= _EGYPTIAN_Hieroglyphs}', "");
Expect(0, 78895, '\p{^Blk= _EGYPTIAN_Hieroglyphs}', "");
Expect(0, 78895, '\P{Blk= _EGYPTIAN_Hieroglyphs}', "");
Expect(1, 78895, '\P{^Blk= _EGYPTIAN_Hieroglyphs}', "");
Expect(0, 78896, '\p{Blk= _EGYPTIAN_Hieroglyphs}', "");
Expect(1, 78896, '\p{^Blk= _EGYPTIAN_Hieroglyphs}', "");
Expect(1, 78896, '\P{Blk= _EGYPTIAN_Hieroglyphs}', "");
Expect(0, 78896, '\P{^Blk= _EGYPTIAN_Hieroglyphs}', "");
Error('\p{Is_Block:Egyptian_Hieroglyphs/a/}');
Error('\P{Is_Block:Egyptian_Hieroglyphs/a/}');
Expect(1, 78895, '\p{Is_Block=egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{^Is_Block=egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{Is_Block=egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{^Is_Block=egyptianhieroglyphs}', "");
Expect(0, 78896, '\p{Is_Block=egyptianhieroglyphs}', "");
Expect(1, 78896, '\p{^Is_Block=egyptianhieroglyphs}', "");
Expect(1, 78896, '\P{Is_Block=egyptianhieroglyphs}', "");
Expect(0, 78896, '\P{^Is_Block=egyptianhieroglyphs}', "");
Expect(1, 78895, '\p{Is_Block=__Egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\p{^Is_Block=__Egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\P{Is_Block=__Egyptian_Hieroglyphs}', "");
Expect(1, 78895, '\P{^Is_Block=__Egyptian_Hieroglyphs}', "");
Expect(0, 78896, '\p{Is_Block=__Egyptian_Hieroglyphs}', "");
Expect(1, 78896, '\p{^Is_Block=__Egyptian_Hieroglyphs}', "");
Expect(1, 78896, '\P{Is_Block=__Egyptian_Hieroglyphs}', "");
Expect(0, 78896, '\P{^Is_Block=__Egyptian_Hieroglyphs}', "");
Error('\p{Is_Blk= :=Egyptian_Hieroglyphs}');
Error('\P{Is_Blk= :=Egyptian_Hieroglyphs}');
Expect(1, 78895, '\p{Is_Blk=egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{^Is_Blk=egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{Is_Blk=egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{^Is_Blk=egyptianhieroglyphs}', "");
Expect(0, 78896, '\p{Is_Blk=egyptianhieroglyphs}', "");
Expect(1, 78896, '\p{^Is_Blk=egyptianhieroglyphs}', "");
Expect(1, 78896, '\P{Is_Blk=egyptianhieroglyphs}', "");
Expect(0, 78896, '\P{^Is_Blk=egyptianhieroglyphs}', "");
Expect(1, 78895, '\p{Is_Blk= _egyptian_hieroglyphs}', "");
Expect(0, 78895, '\p{^Is_Blk= _egyptian_hieroglyphs}', "");
Expect(0, 78895, '\P{Is_Blk= _egyptian_hieroglyphs}', "");
Expect(1, 78895, '\P{^Is_Blk= _egyptian_hieroglyphs}', "");
Expect(0, 78896, '\p{Is_Blk= _egyptian_hieroglyphs}', "");
Expect(1, 78896, '\p{^Is_Blk= _egyptian_hieroglyphs}', "");
Expect(1, 78896, '\P{Is_Blk= _egyptian_hieroglyphs}', "");
Expect(0, 78896, '\P{^Is_Blk= _egyptian_hieroglyphs}', "");
Error('\p{Block=-:=elbasan}');
Error('\P{Block=-:=elbasan}');
Expect(1, 66863, '\p{Block=elbasan}', "");
Expect(0, 66863, '\p{^Block=elbasan}', "");
Expect(0, 66863, '\P{Block=elbasan}', "");
Expect(1, 66863, '\P{^Block=elbasan}', "");
Expect(0, 66864, '\p{Block=elbasan}', "");
Expect(1, 66864, '\p{^Block=elbasan}', "");
Expect(1, 66864, '\P{Block=elbasan}', "");
Expect(0, 66864, '\P{^Block=elbasan}', "");
Expect(1, 66863, '\p{Block=-_ELBASAN}', "");
Expect(0, 66863, '\p{^Block=-_ELBASAN}', "");
Expect(0, 66863, '\P{Block=-_ELBASAN}', "");
Expect(1, 66863, '\P{^Block=-_ELBASAN}', "");
Expect(0, 66864, '\p{Block=-_ELBASAN}', "");
Expect(1, 66864, '\p{^Block=-_ELBASAN}', "");
Expect(1, 66864, '\P{Block=-_ELBASAN}', "");
Expect(0, 66864, '\P{^Block=-_ELBASAN}', "");
Error('\p{Blk=:=	 Elbasan}');
Error('\P{Blk=:=	 Elbasan}');
Expect(1, 66863, '\p{Blk=elbasan}', "");
Expect(0, 66863, '\p{^Blk=elbasan}', "");
Expect(0, 66863, '\P{Blk=elbasan}', "");
Expect(1, 66863, '\P{^Blk=elbasan}', "");
Expect(0, 66864, '\p{Blk=elbasan}', "");
Expect(1, 66864, '\p{^Blk=elbasan}', "");
Expect(1, 66864, '\P{Blk=elbasan}', "");
Expect(0, 66864, '\P{^Blk=elbasan}', "");
Expect(1, 66863, '\p{Blk=	 Elbasan}', "");
Expect(0, 66863, '\p{^Blk=	 Elbasan}', "");
Expect(0, 66863, '\P{Blk=	 Elbasan}', "");
Expect(1, 66863, '\P{^Blk=	 Elbasan}', "");
Expect(0, 66864, '\p{Blk=	 Elbasan}', "");
Expect(1, 66864, '\p{^Blk=	 Elbasan}', "");
Expect(1, 66864, '\P{Blk=	 Elbasan}', "");
Expect(0, 66864, '\P{^Blk=	 Elbasan}', "");
Error('\p{Is_Block=/a/-_Elbasan}');
Error('\P{Is_Block=/a/-_Elbasan}');
Expect(1, 66863, '\p{Is_Block=elbasan}', "");
Expect(0, 66863, '\p{^Is_Block=elbasan}', "");
Expect(0, 66863, '\P{Is_Block=elbasan}', "");
Expect(1, 66863, '\P{^Is_Block=elbasan}', "");
Expect(0, 66864, '\p{Is_Block=elbasan}', "");
Expect(1, 66864, '\p{^Is_Block=elbasan}', "");
Expect(1, 66864, '\P{Is_Block=elbasan}', "");
Expect(0, 66864, '\P{^Is_Block=elbasan}', "");
Expect(1, 66863, '\p{Is_Block=	-elbasan}', "");
Expect(0, 66863, '\p{^Is_Block=	-elbasan}', "");
Expect(0, 66863, '\P{Is_Block=	-elbasan}', "");
Expect(1, 66863, '\P{^Is_Block=	-elbasan}', "");
Expect(0, 66864, '\p{Is_Block=	-elbasan}', "");
Expect(1, 66864, '\p{^Is_Block=	-elbasan}', "");
Expect(1, 66864, '\P{Is_Block=	-elbasan}', "");
Expect(0, 66864, '\P{^Is_Block=	-elbasan}', "");
Error('\p{Is_Blk:_	elbasan:=}');
Error('\P{Is_Blk:_	elbasan:=}');
Expect(1, 66863, '\p{Is_Blk=elbasan}', "");
Expect(0, 66863, '\p{^Is_Blk=elbasan}', "");
Expect(0, 66863, '\P{Is_Blk=elbasan}', "");
Expect(1, 66863, '\P{^Is_Blk=elbasan}', "");
Expect(0, 66864, '\p{Is_Blk=elbasan}', "");
Expect(1, 66864, '\p{^Is_Blk=elbasan}', "");
Expect(1, 66864, '\P{Is_Blk=elbasan}', "");
Expect(0, 66864, '\P{^Is_Blk=elbasan}', "");
Expect(1, 66863, '\p{Is_Blk=-elbasan}', "");
Expect(0, 66863, '\p{^Is_Blk=-elbasan}', "");
Expect(0, 66863, '\P{Is_Blk=-elbasan}', "");
Expect(1, 66863, '\P{^Is_Blk=-elbasan}', "");
Expect(0, 66864, '\p{Is_Blk=-elbasan}', "");
Expect(1, 66864, '\p{^Is_Blk=-elbasan}', "");
Expect(1, 66864, '\P{Is_Blk=-elbasan}', "");
Expect(0, 66864, '\P{^Is_Blk=-elbasan}', "");
Error('\p{Block=:=	_Emoticons}');
Error('\P{Block=:=	_Emoticons}');
Expect(1, 128591, '\p{Block=emoticons}', "");
Expect(0, 128591, '\p{^Block=emoticons}', "");
Expect(0, 128591, '\P{Block=emoticons}', "");
Expect(1, 128591, '\P{^Block=emoticons}', "");
Expect(0, 128592, '\p{Block=emoticons}', "");
Expect(1, 128592, '\p{^Block=emoticons}', "");
Expect(1, 128592, '\P{Block=emoticons}', "");
Expect(0, 128592, '\P{^Block=emoticons}', "");
Expect(1, 128591, '\p{Block=-Emoticons}', "");
Expect(0, 128591, '\p{^Block=-Emoticons}', "");
Expect(0, 128591, '\P{Block=-Emoticons}', "");
Expect(1, 128591, '\P{^Block=-Emoticons}', "");
Expect(0, 128592, '\p{Block=-Emoticons}', "");
Expect(1, 128592, '\p{^Block=-Emoticons}', "");
Expect(1, 128592, '\P{Block=-Emoticons}', "");
Expect(0, 128592, '\P{^Block=-Emoticons}', "");
Error('\p{Blk=:=--EMOTICONS}');
Error('\P{Blk=:=--EMOTICONS}');
Expect(1, 128591, '\p{Blk=emoticons}', "");
Expect(0, 128591, '\p{^Blk=emoticons}', "");
Expect(0, 128591, '\P{Blk=emoticons}', "");
Expect(1, 128591, '\P{^Blk=emoticons}', "");
Expect(0, 128592, '\p{Blk=emoticons}', "");
Expect(1, 128592, '\p{^Blk=emoticons}', "");
Expect(1, 128592, '\P{Blk=emoticons}', "");
Expect(0, 128592, '\P{^Blk=emoticons}', "");
Expect(1, 128591, '\p{Blk:   	 Emoticons}', "");
Expect(0, 128591, '\p{^Blk:   	 Emoticons}', "");
Expect(0, 128591, '\P{Blk:   	 Emoticons}', "");
Expect(1, 128591, '\P{^Blk:   	 Emoticons}', "");
Expect(0, 128592, '\p{Blk:   	 Emoticons}', "");
Expect(1, 128592, '\p{^Blk:   	 Emoticons}', "");
Expect(1, 128592, '\P{Blk:   	 Emoticons}', "");
Expect(0, 128592, '\P{^Blk:   	 Emoticons}', "");
Error('\p{Is_Block=:=	-Emoticons}');
Error('\P{Is_Block=:=	-Emoticons}');
Expect(1, 128591, '\p{Is_Block=emoticons}', "");
Expect(0, 128591, '\p{^Is_Block=emoticons}', "");
Expect(0, 128591, '\P{Is_Block=emoticons}', "");
Expect(1, 128591, '\P{^Is_Block=emoticons}', "");
Expect(0, 128592, '\p{Is_Block=emoticons}', "");
Expect(1, 128592, '\p{^Is_Block=emoticons}', "");
Expect(1, 128592, '\P{Is_Block=emoticons}', "");
Expect(0, 128592, '\P{^Is_Block=emoticons}', "");
Expect(1, 128591, '\p{Is_Block=_ Emoticons}', "");
Expect(0, 128591, '\p{^Is_Block=_ Emoticons}', "");
Expect(0, 128591, '\P{Is_Block=_ Emoticons}', "");
Expect(1, 128591, '\P{^Is_Block=_ Emoticons}', "");
Expect(0, 128592, '\p{Is_Block=_ Emoticons}', "");
Expect(1, 128592, '\p{^Is_Block=_ Emoticons}', "");
Expect(1, 128592, '\P{Is_Block=_ Emoticons}', "");
Expect(0, 128592, '\P{^Is_Block=_ Emoticons}', "");
Error('\p{Is_Blk=:= -Emoticons}');
Error('\P{Is_Blk=:= -Emoticons}');
Expect(1, 128591, '\p{Is_Blk=emoticons}', "");
Expect(0, 128591, '\p{^Is_Blk=emoticons}', "");
Expect(0, 128591, '\P{Is_Blk=emoticons}', "");
Expect(1, 128591, '\P{^Is_Blk=emoticons}', "");
Expect(0, 128592, '\p{Is_Blk=emoticons}', "");
Expect(1, 128592, '\p{^Is_Blk=emoticons}', "");
Expect(1, 128592, '\P{Is_Blk=emoticons}', "");
Expect(0, 128592, '\P{^Is_Blk=emoticons}', "");
Expect(1, 128591, '\p{Is_Blk: _emoticons}', "");
Expect(0, 128591, '\p{^Is_Blk: _emoticons}', "");
Expect(0, 128591, '\P{Is_Blk: _emoticons}', "");
Expect(1, 128591, '\P{^Is_Blk: _emoticons}', "");
Expect(0, 128592, '\p{Is_Blk: _emoticons}', "");
Expect(1, 128592, '\p{^Is_Blk: _emoticons}', "");
Expect(1, 128592, '\P{Is_Blk: _emoticons}', "");
Expect(0, 128592, '\P{^Is_Blk: _emoticons}', "");
Error('\p{Block=-:=ENCLOSED_ALPHANUMERICS}');
Error('\P{Block=-:=ENCLOSED_ALPHANUMERICS}');
Expect(1, 9471, '\p{Block=enclosedalphanumerics}', "");
Expect(0, 9471, '\p{^Block=enclosedalphanumerics}', "");
Expect(0, 9471, '\P{Block=enclosedalphanumerics}', "");
Expect(1, 9471, '\P{^Block=enclosedalphanumerics}', "");
Expect(0, 9472, '\p{Block=enclosedalphanumerics}', "");
Expect(1, 9472, '\p{^Block=enclosedalphanumerics}', "");
Expect(1, 9472, '\P{Block=enclosedalphanumerics}', "");
Expect(0, 9472, '\P{^Block=enclosedalphanumerics}', "");
Expect(1, 9471, '\p{Block=		Enclosed_Alphanumerics}', "");
Expect(0, 9471, '\p{^Block=		Enclosed_Alphanumerics}', "");
Expect(0, 9471, '\P{Block=		Enclosed_Alphanumerics}', "");
Expect(1, 9471, '\P{^Block=		Enclosed_Alphanumerics}', "");
Expect(0, 9472, '\p{Block=		Enclosed_Alphanumerics}', "");
Expect(1, 9472, '\p{^Block=		Enclosed_Alphanumerics}', "");
Expect(1, 9472, '\P{Block=		Enclosed_Alphanumerics}', "");
Expect(0, 9472, '\P{^Block=		Enclosed_Alphanumerics}', "");
Error('\p{Blk=_	ENCLOSED_ALPHANUM/a/}');
Error('\P{Blk=_	ENCLOSED_ALPHANUM/a/}');
Expect(1, 9471, '\p{Blk=enclosedalphanum}', "");
Expect(0, 9471, '\p{^Blk=enclosedalphanum}', "");
Expect(0, 9471, '\P{Blk=enclosedalphanum}', "");
Expect(1, 9471, '\P{^Blk=enclosedalphanum}', "");
Expect(0, 9472, '\p{Blk=enclosedalphanum}', "");
Expect(1, 9472, '\p{^Blk=enclosedalphanum}', "");
Expect(1, 9472, '\P{Blk=enclosedalphanum}', "");
Expect(0, 9472, '\P{^Blk=enclosedalphanum}', "");
Expect(1, 9471, '\p{Blk=		Enclosed_alphanum}', "");
Expect(0, 9471, '\p{^Blk=		Enclosed_alphanum}', "");
Expect(0, 9471, '\P{Blk=		Enclosed_alphanum}', "");
Expect(1, 9471, '\P{^Blk=		Enclosed_alphanum}', "");
Expect(0, 9472, '\p{Blk=		Enclosed_alphanum}', "");
Expect(1, 9472, '\p{^Blk=		Enclosed_alphanum}', "");
Expect(1, 9472, '\P{Blk=		Enclosed_alphanum}', "");
Expect(0, 9472, '\P{^Blk=		Enclosed_alphanum}', "");
Error('\p{Is_Block=	_ENCLOSED_ALPHANUMERICS:=}');
Error('\P{Is_Block=	_ENCLOSED_ALPHANUMERICS:=}');
Expect(1, 9471, '\p{Is_Block=enclosedalphanumerics}', "");
Expect(0, 9471, '\p{^Is_Block=enclosedalphanumerics}', "");
Expect(0, 9471, '\P{Is_Block=enclosedalphanumerics}', "");
Expect(1, 9471, '\P{^Is_Block=enclosedalphanumerics}', "");
Expect(0, 9472, '\p{Is_Block=enclosedalphanumerics}', "");
Expect(1, 9472, '\p{^Is_Block=enclosedalphanumerics}', "");
Expect(1, 9472, '\P{Is_Block=enclosedalphanumerics}', "");
Expect(0, 9472, '\P{^Is_Block=enclosedalphanumerics}', "");
Expect(1, 9471, '\p{Is_Block=		ENCLOSED_ALPHANUMERICS}', "");
Expect(0, 9471, '\p{^Is_Block=		ENCLOSED_ALPHANUMERICS}', "");
Expect(0, 9471, '\P{Is_Block=		ENCLOSED_ALPHANUMERICS}', "");
Expect(1, 9471, '\P{^Is_Block=		ENCLOSED_ALPHANUMERICS}', "");
Expect(0, 9472, '\p{Is_Block=		ENCLOSED_ALPHANUMERICS}', "");
Expect(1, 9472, '\p{^Is_Block=		ENCLOSED_ALPHANUMERICS}', "");
Expect(1, 9472, '\P{Is_Block=		ENCLOSED_ALPHANUMERICS}', "");
Expect(0, 9472, '\P{^Is_Block=		ENCLOSED_ALPHANUMERICS}', "");
Error('\p{Is_Blk= /a/Enclosed_Alphanum}');
Error('\P{Is_Blk= /a/Enclosed_Alphanum}');
Expect(1, 9471, '\p{Is_Blk=enclosedalphanum}', "");
Expect(0, 9471, '\p{^Is_Blk=enclosedalphanum}', "");
Expect(0, 9471, '\P{Is_Blk=enclosedalphanum}', "");
Expect(1, 9471, '\P{^Is_Blk=enclosedalphanum}', "");
Expect(0, 9472, '\p{Is_Blk=enclosedalphanum}', "");
Expect(1, 9472, '\p{^Is_Blk=enclosedalphanum}', "");
Expect(1, 9472, '\P{Is_Blk=enclosedalphanum}', "");
Expect(0, 9472, '\P{^Is_Blk=enclosedalphanum}', "");
Expect(1, 9471, '\p{Is_Blk=	_Enclosed_alphanum}', "");
Expect(0, 9471, '\p{^Is_Blk=	_Enclosed_alphanum}', "");
Expect(0, 9471, '\P{Is_Blk=	_Enclosed_alphanum}', "");
Expect(1, 9471, '\P{^Is_Blk=	_Enclosed_alphanum}', "");
Expect(0, 9472, '\p{Is_Blk=	_Enclosed_alphanum}', "");
Expect(1, 9472, '\p{^Is_Blk=	_Enclosed_alphanum}', "");
Expect(1, 9472, '\P{Is_Blk=	_Enclosed_alphanum}', "");
Expect(0, 9472, '\P{^Is_Blk=	_Enclosed_alphanum}', "");
Error('\p{Block=	/a/Enclosed_alphanumeric_Supplement}');
Error('\P{Block=	/a/Enclosed_alphanumeric_Supplement}');
Expect(1, 127487, '\p{Block=enclosedalphanumericsupplement}', "");
Expect(0, 127487, '\p{^Block=enclosedalphanumericsupplement}', "");
Expect(0, 127487, '\P{Block=enclosedalphanumericsupplement}', "");
Expect(1, 127487, '\P{^Block=enclosedalphanumericsupplement}', "");
Expect(0, 127488, '\p{Block=enclosedalphanumericsupplement}', "");
Expect(1, 127488, '\p{^Block=enclosedalphanumericsupplement}', "");
Expect(1, 127488, '\P{Block=enclosedalphanumericsupplement}', "");
Expect(0, 127488, '\P{^Block=enclosedalphanumericsupplement}', "");
Expect(1, 127487, '\p{Block=	 enclosed_Alphanumeric_Supplement}', "");
Expect(0, 127487, '\p{^Block=	 enclosed_Alphanumeric_Supplement}', "");
Expect(0, 127487, '\P{Block=	 enclosed_Alphanumeric_Supplement}', "");
Expect(1, 127487, '\P{^Block=	 enclosed_Alphanumeric_Supplement}', "");
Expect(0, 127488, '\p{Block=	 enclosed_Alphanumeric_Supplement}', "");
Expect(1, 127488, '\p{^Block=	 enclosed_Alphanumeric_Supplement}', "");
Expect(1, 127488, '\P{Block=	 enclosed_Alphanumeric_Supplement}', "");
Expect(0, 127488, '\P{^Block=	 enclosed_Alphanumeric_Supplement}', "");
Error('\p{Blk=/a/_enclosed_ALPHANUM_Sup}');
Error('\P{Blk=/a/_enclosed_ALPHANUM_Sup}');
Expect(1, 127487, '\p{Blk=enclosedalphanumsup}', "");
Expect(0, 127487, '\p{^Blk=enclosedalphanumsup}', "");
Expect(0, 127487, '\P{Blk=enclosedalphanumsup}', "");
Expect(1, 127487, '\P{^Blk=enclosedalphanumsup}', "");
Expect(0, 127488, '\p{Blk=enclosedalphanumsup}', "");
Expect(1, 127488, '\p{^Blk=enclosedalphanumsup}', "");
Expect(1, 127488, '\P{Blk=enclosedalphanumsup}', "");
Expect(0, 127488, '\P{^Blk=enclosedalphanumsup}', "");
Expect(1, 127487, '\p{Blk=_	ENCLOSED_ALPHANUM_Sup}', "");
Expect(0, 127487, '\p{^Blk=_	ENCLOSED_ALPHANUM_Sup}', "");
Expect(0, 127487, '\P{Blk=_	ENCLOSED_ALPHANUM_Sup}', "");
Expect(1, 127487, '\P{^Blk=_	ENCLOSED_ALPHANUM_Sup}', "");
Expect(0, 127488, '\p{Blk=_	ENCLOSED_ALPHANUM_Sup}', "");
Expect(1, 127488, '\p{^Blk=_	ENCLOSED_ALPHANUM_Sup}', "");
Expect(1, 127488, '\P{Blk=_	ENCLOSED_ALPHANUM_Sup}', "");
Expect(0, 127488, '\P{^Blk=_	ENCLOSED_ALPHANUM_Sup}', "");
Error('\p{Is_Block=:=-enclosed_alphanumeric_Supplement}');
Error('\P{Is_Block=:=-enclosed_alphanumeric_Supplement}');
Expect(1, 127487, '\p{Is_Block=enclosedalphanumericsupplement}', "");
Expect(0, 127487, '\p{^Is_Block=enclosedalphanumericsupplement}', "");
Expect(0, 127487, '\P{Is_Block=enclosedalphanumericsupplement}', "");
Expect(1, 127487, '\P{^Is_Block=enclosedalphanumericsupplement}', "");
Expect(0, 127488, '\p{Is_Block=enclosedalphanumericsupplement}', "");
Expect(1, 127488, '\p{^Is_Block=enclosedalphanumericsupplement}', "");
Expect(1, 127488, '\P{Is_Block=enclosedalphanumericsupplement}', "");
Expect(0, 127488, '\P{^Is_Block=enclosedalphanumericsupplement}', "");
Expect(1, 127487, '\p{Is_Block=_	ENCLOSED_alphanumeric_SUPPLEMENT}', "");
Expect(0, 127487, '\p{^Is_Block=_	ENCLOSED_alphanumeric_SUPPLEMENT}', "");
Expect(0, 127487, '\P{Is_Block=_	ENCLOSED_alphanumeric_SUPPLEMENT}', "");
Expect(1, 127487, '\P{^Is_Block=_	ENCLOSED_alphanumeric_SUPPLEMENT}', "");
Expect(0, 127488, '\p{Is_Block=_	ENCLOSED_alphanumeric_SUPPLEMENT}', "");
Expect(1, 127488, '\p{^Is_Block=_	ENCLOSED_alphanumeric_SUPPLEMENT}', "");
Expect(1, 127488, '\P{Is_Block=_	ENCLOSED_alphanumeric_SUPPLEMENT}', "");
Expect(0, 127488, '\P{^Is_Block=_	ENCLOSED_alphanumeric_SUPPLEMENT}', "");
Error('\p{Is_Blk= :=enclosed_Alphanum_sup}');
Error('\P{Is_Blk= :=enclosed_Alphanum_sup}');
Expect(1, 127487, '\p{Is_Blk:   enclosedalphanumsup}', "");
Expect(0, 127487, '\p{^Is_Blk:   enclosedalphanumsup}', "");
Expect(0, 127487, '\P{Is_Blk:   enclosedalphanumsup}', "");
Expect(1, 127487, '\P{^Is_Blk:   enclosedalphanumsup}', "");
Expect(0, 127488, '\p{Is_Blk:   enclosedalphanumsup}', "");
Expect(1, 127488, '\p{^Is_Blk:   enclosedalphanumsup}', "");
Expect(1, 127488, '\P{Is_Blk:   enclosedalphanumsup}', "");
Expect(0, 127488, '\P{^Is_Blk:   enclosedalphanumsup}', "");
Expect(1, 127487, '\p{Is_Blk=	 enclosed_Alphanum_SUP}', "");
Expect(0, 127487, '\p{^Is_Blk=	 enclosed_Alphanum_SUP}', "");
Expect(0, 127487, '\P{Is_Blk=	 enclosed_Alphanum_SUP}', "");
Expect(1, 127487, '\P{^Is_Blk=	 enclosed_Alphanum_SUP}', "");
Expect(0, 127488, '\p{Is_Blk=	 enclosed_Alphanum_SUP}', "");
Expect(1, 127488, '\p{^Is_Blk=	 enclosed_Alphanum_SUP}', "");
Expect(1, 127488, '\P{Is_Blk=	 enclosed_Alphanum_SUP}', "");
Expect(0, 127488, '\P{^Is_Blk=	 enclosed_Alphanum_SUP}', "");
Error('\p{Block=ENCLOSED_cjk_LETTERS_AND_months:=}');
Error('\P{Block=ENCLOSED_cjk_LETTERS_AND_months:=}');
Expect(1, 13055, '\p{Block: enclosedcjklettersandmonths}', "");
Expect(0, 13055, '\p{^Block: enclosedcjklettersandmonths}', "");
Expect(0, 13055, '\P{Block: enclosedcjklettersandmonths}', "");
Expect(1, 13055, '\P{^Block: enclosedcjklettersandmonths}', "");
Expect(0, 13056, '\p{Block: enclosedcjklettersandmonths}', "");
Expect(1, 13056, '\p{^Block: enclosedcjklettersandmonths}', "");
Expect(1, 13056, '\P{Block: enclosedcjklettersandmonths}', "");
Expect(0, 13056, '\P{^Block: enclosedcjklettersandmonths}', "");
Expect(1, 13055, '\p{Block= Enclosed_CJK_Letters_And_months}', "");
Expect(0, 13055, '\p{^Block= Enclosed_CJK_Letters_And_months}', "");
Expect(0, 13055, '\P{Block= Enclosed_CJK_Letters_And_months}', "");
Expect(1, 13055, '\P{^Block= Enclosed_CJK_Letters_And_months}', "");
Expect(0, 13056, '\p{Block= Enclosed_CJK_Letters_And_months}', "");
Expect(1, 13056, '\p{^Block= Enclosed_CJK_Letters_And_months}', "");
Expect(1, 13056, '\P{Block= Enclosed_CJK_Letters_And_months}', "");
Expect(0, 13056, '\P{^Block= Enclosed_CJK_Letters_And_months}', "");
Error('\p{Blk= 	Enclosed_CJK/a/}');
Error('\P{Blk= 	Enclosed_CJK/a/}');
Expect(1, 13055, '\p{Blk=enclosedcjk}', "");
Expect(0, 13055, '\p{^Blk=enclosedcjk}', "");
Expect(0, 13055, '\P{Blk=enclosedcjk}', "");
Expect(1, 13055, '\P{^Blk=enclosedcjk}', "");
Expect(0, 13056, '\p{Blk=enclosedcjk}', "");
Expect(1, 13056, '\p{^Blk=enclosedcjk}', "");
Expect(1, 13056, '\P{Blk=enclosedcjk}', "");
Expect(0, 13056, '\P{^Blk=enclosedcjk}', "");
Expect(1, 13055, '\p{Blk=-_ENCLOSED_CJK}', "");
Expect(0, 13055, '\p{^Blk=-_ENCLOSED_CJK}', "");
Expect(0, 13055, '\P{Blk=-_ENCLOSED_CJK}', "");
Expect(1, 13055, '\P{^Blk=-_ENCLOSED_CJK}', "");
Expect(0, 13056, '\p{Blk=-_ENCLOSED_CJK}', "");
Expect(1, 13056, '\p{^Blk=-_ENCLOSED_CJK}', "");
Expect(1, 13056, '\P{Blk=-_ENCLOSED_CJK}', "");
Expect(0, 13056, '\P{^Blk=-_ENCLOSED_CJK}', "");
Error('\p{Is_Block=/a/-Enclosed_cjk_letters_And_MONTHS}');
Error('\P{Is_Block=/a/-Enclosed_cjk_letters_And_MONTHS}');
Expect(1, 13055, '\p{Is_Block=enclosedcjklettersandmonths}', "");
Expect(0, 13055, '\p{^Is_Block=enclosedcjklettersandmonths}', "");
Expect(0, 13055, '\P{Is_Block=enclosedcjklettersandmonths}', "");
Expect(1, 13055, '\P{^Is_Block=enclosedcjklettersandmonths}', "");
Expect(0, 13056, '\p{Is_Block=enclosedcjklettersandmonths}', "");
Expect(1, 13056, '\p{^Is_Block=enclosedcjklettersandmonths}', "");
Expect(1, 13056, '\P{Is_Block=enclosedcjklettersandmonths}', "");
Expect(0, 13056, '\P{^Is_Block=enclosedcjklettersandmonths}', "");
Expect(1, 13055, '\p{Is_Block=		Enclosed_CJK_Letters_AND_Months}', "");
Expect(0, 13055, '\p{^Is_Block=		Enclosed_CJK_Letters_AND_Months}', "");
Expect(0, 13055, '\P{Is_Block=		Enclosed_CJK_Letters_AND_Months}', "");
Expect(1, 13055, '\P{^Is_Block=		Enclosed_CJK_Letters_AND_Months}', "");
Expect(0, 13056, '\p{Is_Block=		Enclosed_CJK_Letters_AND_Months}', "");
Expect(1, 13056, '\p{^Is_Block=		Enclosed_CJK_Letters_AND_Months}', "");
Expect(1, 13056, '\P{Is_Block=		Enclosed_CJK_Letters_AND_Months}', "");
Expect(0, 13056, '\P{^Is_Block=		Enclosed_CJK_Letters_AND_Months}', "");
Error('\p{Is_Blk=		Enclosed_cjk:=}');
Error('\P{Is_Blk=		Enclosed_cjk:=}');
Expect(1, 13055, '\p{Is_Blk=enclosedcjk}', "");
Expect(0, 13055, '\p{^Is_Blk=enclosedcjk}', "");
Expect(0, 13055, '\P{Is_Blk=enclosedcjk}', "");
Expect(1, 13055, '\P{^Is_Blk=enclosedcjk}', "");
Expect(0, 13056, '\p{Is_Blk=enclosedcjk}', "");
Expect(1, 13056, '\p{^Is_Blk=enclosedcjk}', "");
Expect(1, 13056, '\P{Is_Blk=enclosedcjk}', "");
Expect(0, 13056, '\P{^Is_Blk=enclosedcjk}', "");
Expect(1, 13055, '\p{Is_Blk=ENCLOSED_cjk}', "");
Expect(0, 13055, '\p{^Is_Blk=ENCLOSED_cjk}', "");
Expect(0, 13055, '\P{Is_Blk=ENCLOSED_cjk}', "");
Expect(1, 13055, '\P{^Is_Blk=ENCLOSED_cjk}', "");
Expect(0, 13056, '\p{Is_Blk=ENCLOSED_cjk}', "");
Expect(1, 13056, '\p{^Is_Blk=ENCLOSED_cjk}', "");
Expect(1, 13056, '\P{Is_Blk=ENCLOSED_cjk}', "");
Expect(0, 13056, '\P{^Is_Blk=ENCLOSED_cjk}', "");
Error('\p{Block=/a/Enclosed_Ideographic_Supplement}');
Error('\P{Block=/a/Enclosed_Ideographic_Supplement}');
Expect(1, 127743, '\p{Block=enclosedideographicsupplement}', "");
Expect(0, 127743, '\p{^Block=enclosedideographicsupplement}', "");
Expect(0, 127743, '\P{Block=enclosedideographicsupplement}', "");
Expect(1, 127743, '\P{^Block=enclosedideographicsupplement}', "");
Expect(0, 127744, '\p{Block=enclosedideographicsupplement}', "");
Expect(1, 127744, '\p{^Block=enclosedideographicsupplement}', "");
Expect(1, 127744, '\P{Block=enclosedideographicsupplement}', "");
Expect(0, 127744, '\P{^Block=enclosedideographicsupplement}', "");
Expect(1, 127743, '\p{Block=-_Enclosed_ideographic_Supplement}', "");
Expect(0, 127743, '\p{^Block=-_Enclosed_ideographic_Supplement}', "");
Expect(0, 127743, '\P{Block=-_Enclosed_ideographic_Supplement}', "");
Expect(1, 127743, '\P{^Block=-_Enclosed_ideographic_Supplement}', "");
Expect(0, 127744, '\p{Block=-_Enclosed_ideographic_Supplement}', "");
Expect(1, 127744, '\p{^Block=-_Enclosed_ideographic_Supplement}', "");
Expect(1, 127744, '\P{Block=-_Enclosed_ideographic_Supplement}', "");
Expect(0, 127744, '\P{^Block=-_Enclosed_ideographic_Supplement}', "");
Error('\p{Blk=:=	Enclosed_Ideographic_sup}');
Error('\P{Blk=:=	Enclosed_Ideographic_sup}');
Expect(1, 127743, '\p{Blk=enclosedideographicsup}', "");
Expect(0, 127743, '\p{^Blk=enclosedideographicsup}', "");
Expect(0, 127743, '\P{Blk=enclosedideographicsup}', "");
Expect(1, 127743, '\P{^Blk=enclosedideographicsup}', "");
Expect(0, 127744, '\p{Blk=enclosedideographicsup}', "");
Expect(1, 127744, '\p{^Blk=enclosedideographicsup}', "");
Expect(1, 127744, '\P{Blk=enclosedideographicsup}', "");
Expect(0, 127744, '\P{^Blk=enclosedideographicsup}', "");
Expect(1, 127743, '\p{Blk=__Enclosed_ideographic_SUP}', "");
Expect(0, 127743, '\p{^Blk=__Enclosed_ideographic_SUP}', "");
Expect(0, 127743, '\P{Blk=__Enclosed_ideographic_SUP}', "");
Expect(1, 127743, '\P{^Blk=__Enclosed_ideographic_SUP}', "");
Expect(0, 127744, '\p{Blk=__Enclosed_ideographic_SUP}', "");
Expect(1, 127744, '\p{^Blk=__Enclosed_ideographic_SUP}', "");
Expect(1, 127744, '\P{Blk=__Enclosed_ideographic_SUP}', "");
Expect(0, 127744, '\P{^Blk=__Enclosed_ideographic_SUP}', "");
Error('\p{Is_Block=:=_-Enclosed_Ideographic_SUPPLEMENT}');
Error('\P{Is_Block=:=_-Enclosed_Ideographic_SUPPLEMENT}');
Expect(1, 127743, '\p{Is_Block: enclosedideographicsupplement}', "");
Expect(0, 127743, '\p{^Is_Block: enclosedideographicsupplement}', "");
Expect(0, 127743, '\P{Is_Block: enclosedideographicsupplement}', "");
Expect(1, 127743, '\P{^Is_Block: enclosedideographicsupplement}', "");
Expect(0, 127744, '\p{Is_Block: enclosedideographicsupplement}', "");
Expect(1, 127744, '\p{^Is_Block: enclosedideographicsupplement}', "");
Expect(1, 127744, '\P{Is_Block: enclosedideographicsupplement}', "");
Expect(0, 127744, '\P{^Is_Block: enclosedideographicsupplement}', "");
Expect(1, 127743, '\p{Is_Block=-Enclosed_Ideographic_SUPPLEMENT}', "");
Expect(0, 127743, '\p{^Is_Block=-Enclosed_Ideographic_SUPPLEMENT}', "");
Expect(0, 127743, '\P{Is_Block=-Enclosed_Ideographic_SUPPLEMENT}', "");
Expect(1, 127743, '\P{^Is_Block=-Enclosed_Ideographic_SUPPLEMENT}', "");
Expect(0, 127744, '\p{Is_Block=-Enclosed_Ideographic_SUPPLEMENT}', "");
Expect(1, 127744, '\p{^Is_Block=-Enclosed_Ideographic_SUPPLEMENT}', "");
Expect(1, 127744, '\P{Is_Block=-Enclosed_Ideographic_SUPPLEMENT}', "");
Expect(0, 127744, '\P{^Is_Block=-Enclosed_Ideographic_SUPPLEMENT}', "");
Error('\p{Is_Blk=	Enclosed_Ideographic_SUP:=}');
Error('\P{Is_Blk=	Enclosed_Ideographic_SUP:=}');
Expect(1, 127743, '\p{Is_Blk=enclosedideographicsup}', "");
Expect(0, 127743, '\p{^Is_Blk=enclosedideographicsup}', "");
Expect(0, 127743, '\P{Is_Blk=enclosedideographicsup}', "");
Expect(1, 127743, '\P{^Is_Blk=enclosedideographicsup}', "");
Expect(0, 127744, '\p{Is_Blk=enclosedideographicsup}', "");
Expect(1, 127744, '\p{^Is_Blk=enclosedideographicsup}', "");
Expect(1, 127744, '\P{Is_Blk=enclosedideographicsup}', "");
Expect(0, 127744, '\P{^Is_Blk=enclosedideographicsup}', "");
Expect(1, 127743, '\p{Is_Blk=		ENCLOSED_IDEOGRAPHIC_sup}', "");
Expect(0, 127743, '\p{^Is_Blk=		ENCLOSED_IDEOGRAPHIC_sup}', "");
Expect(0, 127743, '\P{Is_Blk=		ENCLOSED_IDEOGRAPHIC_sup}', "");
Expect(1, 127743, '\P{^Is_Blk=		ENCLOSED_IDEOGRAPHIC_sup}', "");
Expect(0, 127744, '\p{Is_Blk=		ENCLOSED_IDEOGRAPHIC_sup}', "");
Expect(1, 127744, '\p{^Is_Blk=		ENCLOSED_IDEOGRAPHIC_sup}', "");
Expect(1, 127744, '\P{Is_Blk=		ENCLOSED_IDEOGRAPHIC_sup}', "");
Expect(0, 127744, '\P{^Is_Blk=		ENCLOSED_IDEOGRAPHIC_sup}', "");
Error('\p{Block=_/a/ethiopic}');
Error('\P{Block=_/a/ethiopic}');
Expect(1, 4991, '\p{Block=ethiopic}', "");
Expect(0, 4991, '\p{^Block=ethiopic}', "");
Expect(0, 4991, '\P{Block=ethiopic}', "");
Expect(1, 4991, '\P{^Block=ethiopic}', "");
Expect(0, 4992, '\p{Block=ethiopic}', "");
Expect(1, 4992, '\p{^Block=ethiopic}', "");
Expect(1, 4992, '\P{Block=ethiopic}', "");
Expect(0, 4992, '\P{^Block=ethiopic}', "");
Expect(1, 4991, '\p{Block=-_ETHIOPIC}', "");
Expect(0, 4991, '\p{^Block=-_ETHIOPIC}', "");
Expect(0, 4991, '\P{Block=-_ETHIOPIC}', "");
Expect(1, 4991, '\P{^Block=-_ETHIOPIC}', "");
Expect(0, 4992, '\p{Block=-_ETHIOPIC}', "");
Expect(1, 4992, '\p{^Block=-_ETHIOPIC}', "");
Expect(1, 4992, '\P{Block=-_ETHIOPIC}', "");
Expect(0, 4992, '\P{^Block=-_ETHIOPIC}', "");
Error('\p{Blk=-ETHIOPIC/a/}');
Error('\P{Blk=-ETHIOPIC/a/}');
Expect(1, 4991, '\p{Blk=ethiopic}', "");
Expect(0, 4991, '\p{^Blk=ethiopic}', "");
Expect(0, 4991, '\P{Blk=ethiopic}', "");
Expect(1, 4991, '\P{^Blk=ethiopic}', "");
Expect(0, 4992, '\p{Blk=ethiopic}', "");
Expect(1, 4992, '\p{^Blk=ethiopic}', "");
Expect(1, 4992, '\P{Blk=ethiopic}', "");
Expect(0, 4992, '\P{^Blk=ethiopic}', "");
Expect(1, 4991, '\p{Blk=-Ethiopic}', "");
Expect(0, 4991, '\p{^Blk=-Ethiopic}', "");
Expect(0, 4991, '\P{Blk=-Ethiopic}', "");
Expect(1, 4991, '\P{^Blk=-Ethiopic}', "");
Expect(0, 4992, '\p{Blk=-Ethiopic}', "");
Expect(1, 4992, '\p{^Blk=-Ethiopic}', "");
Expect(1, 4992, '\P{Blk=-Ethiopic}', "");
Expect(0, 4992, '\P{^Blk=-Ethiopic}', "");
Error('\p{Is_Block=_/a/ethiopic}');
Error('\P{Is_Block=_/a/ethiopic}');
Expect(1, 4991, '\p{Is_Block=ethiopic}', "");
Expect(0, 4991, '\p{^Is_Block=ethiopic}', "");
Expect(0, 4991, '\P{Is_Block=ethiopic}', "");
Expect(1, 4991, '\P{^Is_Block=ethiopic}', "");
Expect(0, 4992, '\p{Is_Block=ethiopic}', "");
Expect(1, 4992, '\p{^Is_Block=ethiopic}', "");
Expect(1, 4992, '\P{Is_Block=ethiopic}', "");
Expect(0, 4992, '\P{^Is_Block=ethiopic}', "");
Expect(1, 4991, '\p{Is_Block=  ethiopic}', "");
Expect(0, 4991, '\p{^Is_Block=  ethiopic}', "");
Expect(0, 4991, '\P{Is_Block=  ethiopic}', "");
Expect(1, 4991, '\P{^Is_Block=  ethiopic}', "");
Expect(0, 4992, '\p{Is_Block=  ethiopic}', "");
Expect(1, 4992, '\p{^Is_Block=  ethiopic}', "");
Expect(1, 4992, '\P{Is_Block=  ethiopic}', "");
Expect(0, 4992, '\P{^Is_Block=  ethiopic}', "");
Error('\p{Is_Blk=	ethiopic/a/}');
Error('\P{Is_Blk=	ethiopic/a/}');
Expect(1, 4991, '\p{Is_Blk=ethiopic}', "");
Expect(0, 4991, '\p{^Is_Blk=ethiopic}', "");
Expect(0, 4991, '\P{Is_Blk=ethiopic}', "");
Expect(1, 4991, '\P{^Is_Blk=ethiopic}', "");
Expect(0, 4992, '\p{Is_Blk=ethiopic}', "");
Expect(1, 4992, '\p{^Is_Blk=ethiopic}', "");
Expect(1, 4992, '\P{Is_Blk=ethiopic}', "");
Expect(0, 4992, '\P{^Is_Blk=ethiopic}', "");
Expect(1, 4991, '\p{Is_Blk=--Ethiopic}', "");
Expect(0, 4991, '\p{^Is_Blk=--Ethiopic}', "");
Expect(0, 4991, '\P{Is_Blk=--Ethiopic}', "");
Expect(1, 4991, '\P{^Is_Blk=--Ethiopic}', "");
Expect(0, 4992, '\p{Is_Blk=--Ethiopic}', "");
Expect(1, 4992, '\p{^Is_Blk=--Ethiopic}', "");
Expect(1, 4992, '\P{Is_Blk=--Ethiopic}', "");
Expect(0, 4992, '\P{^Is_Blk=--Ethiopic}', "");
Error('\p{Block=:=	ETHIOPIC_EXTENDED}');
Error('\P{Block=:=	ETHIOPIC_EXTENDED}');
Expect(1, 11743, '\p{Block=ethiopicextended}', "");
Expect(0, 11743, '\p{^Block=ethiopicextended}', "");
Expect(0, 11743, '\P{Block=ethiopicextended}', "");
Expect(1, 11743, '\P{^Block=ethiopicextended}', "");
Expect(0, 11744, '\p{Block=ethiopicextended}', "");
Expect(1, 11744, '\p{^Block=ethiopicextended}', "");
Expect(1, 11744, '\P{Block=ethiopicextended}', "");
Expect(0, 11744, '\P{^Block=ethiopicextended}', "");
Expect(1, 11743, '\p{Block= Ethiopic_EXTENDED}', "");
Expect(0, 11743, '\p{^Block= Ethiopic_EXTENDED}', "");
Expect(0, 11743, '\P{Block= Ethiopic_EXTENDED}', "");
Expect(1, 11743, '\P{^Block= Ethiopic_EXTENDED}', "");
Expect(0, 11744, '\p{Block= Ethiopic_EXTENDED}', "");
Expect(1, 11744, '\p{^Block= Ethiopic_EXTENDED}', "");
Expect(1, 11744, '\P{Block= Ethiopic_EXTENDED}', "");
Expect(0, 11744, '\P{^Block= Ethiopic_EXTENDED}', "");
Error('\p{Blk=/a/ -ethiopic_EXT}');
Error('\P{Blk=/a/ -ethiopic_EXT}');
Expect(1, 11743, '\p{Blk=ethiopicext}', "");
Expect(0, 11743, '\p{^Blk=ethiopicext}', "");
Expect(0, 11743, '\P{Blk=ethiopicext}', "");
Expect(1, 11743, '\P{^Blk=ethiopicext}', "");
Expect(0, 11744, '\p{Blk=ethiopicext}', "");
Expect(1, 11744, '\p{^Blk=ethiopicext}', "");
Expect(1, 11744, '\P{Blk=ethiopicext}', "");
Expect(0, 11744, '\P{^Blk=ethiopicext}', "");
Expect(1, 11743, '\p{Blk=-_Ethiopic_ext}', "");
Expect(0, 11743, '\p{^Blk=-_Ethiopic_ext}', "");
Expect(0, 11743, '\P{Blk=-_Ethiopic_ext}', "");
Expect(1, 11743, '\P{^Blk=-_Ethiopic_ext}', "");
Expect(0, 11744, '\p{Blk=-_Ethiopic_ext}', "");
Expect(1, 11744, '\p{^Blk=-_Ethiopic_ext}', "");
Expect(1, 11744, '\P{Blk=-_Ethiopic_ext}', "");
Expect(0, 11744, '\P{^Blk=-_Ethiopic_ext}', "");
Error('\p{Is_Block=	/a/Ethiopic_EXTENDED}');
Error('\P{Is_Block=	/a/Ethiopic_EXTENDED}');
Expect(1, 11743, '\p{Is_Block=ethiopicextended}', "");
Expect(0, 11743, '\p{^Is_Block=ethiopicextended}', "");
Expect(0, 11743, '\P{Is_Block=ethiopicextended}', "");
Expect(1, 11743, '\P{^Is_Block=ethiopicextended}', "");
Expect(0, 11744, '\p{Is_Block=ethiopicextended}', "");
Expect(1, 11744, '\p{^Is_Block=ethiopicextended}', "");
Expect(1, 11744, '\P{Is_Block=ethiopicextended}', "");
Expect(0, 11744, '\P{^Is_Block=ethiopicextended}', "");
Expect(1, 11743, '\p{Is_Block=_-ETHIOPIC_Extended}', "");
Expect(0, 11743, '\p{^Is_Block=_-ETHIOPIC_Extended}', "");
Expect(0, 11743, '\P{Is_Block=_-ETHIOPIC_Extended}', "");
Expect(1, 11743, '\P{^Is_Block=_-ETHIOPIC_Extended}', "");
Expect(0, 11744, '\p{Is_Block=_-ETHIOPIC_Extended}', "");
Expect(1, 11744, '\p{^Is_Block=_-ETHIOPIC_Extended}', "");
Expect(1, 11744, '\P{Is_Block=_-ETHIOPIC_Extended}', "");
Expect(0, 11744, '\P{^Is_Block=_-ETHIOPIC_Extended}', "");
Error('\p{Is_Blk=_ ethiopic_ext/a/}');
Error('\P{Is_Blk=_ ethiopic_ext/a/}');
Expect(1, 11743, '\p{Is_Blk=ethiopicext}', "");
Expect(0, 11743, '\p{^Is_Blk=ethiopicext}', "");
Expect(0, 11743, '\P{Is_Blk=ethiopicext}', "");
Expect(1, 11743, '\P{^Is_Blk=ethiopicext}', "");
Expect(0, 11744, '\p{Is_Blk=ethiopicext}', "");
Expect(1, 11744, '\p{^Is_Blk=ethiopicext}', "");
Expect(1, 11744, '\P{Is_Blk=ethiopicext}', "");
Expect(0, 11744, '\P{^Is_Blk=ethiopicext}', "");
Expect(1, 11743, '\p{Is_Blk=_ ETHIOPIC_EXT}', "");
Expect(0, 11743, '\p{^Is_Blk=_ ETHIOPIC_EXT}', "");
Expect(0, 11743, '\P{Is_Blk=_ ETHIOPIC_EXT}', "");
Expect(1, 11743, '\P{^Is_Blk=_ ETHIOPIC_EXT}', "");
Expect(0, 11744, '\p{Is_Blk=_ ETHIOPIC_EXT}', "");
Expect(1, 11744, '\p{^Is_Blk=_ ETHIOPIC_EXT}', "");
Expect(1, 11744, '\P{Is_Blk=_ ETHIOPIC_EXT}', "");
Expect(0, 11744, '\P{^Is_Blk=_ ETHIOPIC_EXT}', "");
Error('\p{Block=:=-_Ethiopic_Extended_A}');
Error('\P{Block=:=-_Ethiopic_Extended_A}');
Expect(1, 43823, '\p{Block=ethiopicextendeda}', "");
Expect(0, 43823, '\p{^Block=ethiopicextendeda}', "");
Expect(0, 43823, '\P{Block=ethiopicextendeda}', "");
Expect(1, 43823, '\P{^Block=ethiopicextendeda}', "");
Expect(0, 43824, '\p{Block=ethiopicextendeda}', "");
Expect(1, 43824, '\p{^Block=ethiopicextendeda}', "");
Expect(1, 43824, '\P{Block=ethiopicextendeda}', "");
Expect(0, 43824, '\P{^Block=ethiopicextendeda}', "");
Expect(1, 43823, '\p{Block=	 Ethiopic_EXTENDED_a}', "");
Expect(0, 43823, '\p{^Block=	 Ethiopic_EXTENDED_a}', "");
Expect(0, 43823, '\P{Block=	 Ethiopic_EXTENDED_a}', "");
Expect(1, 43823, '\P{^Block=	 Ethiopic_EXTENDED_a}', "");
Expect(0, 43824, '\p{Block=	 Ethiopic_EXTENDED_a}', "");
Expect(1, 43824, '\p{^Block=	 Ethiopic_EXTENDED_a}', "");
Expect(1, 43824, '\P{Block=	 Ethiopic_EXTENDED_a}', "");
Expect(0, 43824, '\P{^Block=	 Ethiopic_EXTENDED_a}', "");
Error('\p{Blk=:=	ETHIOPIC_Ext_A}');
Error('\P{Blk=:=	ETHIOPIC_Ext_A}');
Expect(1, 43823, '\p{Blk=ethiopicexta}', "");
Expect(0, 43823, '\p{^Blk=ethiopicexta}', "");
Expect(0, 43823, '\P{Blk=ethiopicexta}', "");
Expect(1, 43823, '\P{^Blk=ethiopicexta}', "");
Expect(0, 43824, '\p{Blk=ethiopicexta}', "");
Expect(1, 43824, '\p{^Blk=ethiopicexta}', "");
Expect(1, 43824, '\P{Blk=ethiopicexta}', "");
Expect(0, 43824, '\P{^Blk=ethiopicexta}', "");
Expect(1, 43823, '\p{Blk=		ethiopic_Ext_A}', "");
Expect(0, 43823, '\p{^Blk=		ethiopic_Ext_A}', "");
Expect(0, 43823, '\P{Blk=		ethiopic_Ext_A}', "");
Expect(1, 43823, '\P{^Blk=		ethiopic_Ext_A}', "");
Expect(0, 43824, '\p{Blk=		ethiopic_Ext_A}', "");
Expect(1, 43824, '\p{^Blk=		ethiopic_Ext_A}', "");
Expect(1, 43824, '\P{Blk=		ethiopic_Ext_A}', "");
Expect(0, 43824, '\P{^Blk=		ethiopic_Ext_A}', "");
Error('\p{Is_Block=:=ETHIOPIC_EXTENDED_A}');
Error('\P{Is_Block=:=ETHIOPIC_EXTENDED_A}');
Expect(1, 43823, '\p{Is_Block=ethiopicextendeda}', "");
Expect(0, 43823, '\p{^Is_Block=ethiopicextendeda}', "");
Expect(0, 43823, '\P{Is_Block=ethiopicextendeda}', "");
Expect(1, 43823, '\P{^Is_Block=ethiopicextendeda}', "");
Expect(0, 43824, '\p{Is_Block=ethiopicextendeda}', "");
Expect(1, 43824, '\p{^Is_Block=ethiopicextendeda}', "");
Expect(1, 43824, '\P{Is_Block=ethiopicextendeda}', "");
Expect(0, 43824, '\P{^Is_Block=ethiopicextendeda}', "");
Expect(1, 43823, '\p{Is_Block= Ethiopic_Extended_A}', "");
Expect(0, 43823, '\p{^Is_Block= Ethiopic_Extended_A}', "");
Expect(0, 43823, '\P{Is_Block= Ethiopic_Extended_A}', "");
Expect(1, 43823, '\P{^Is_Block= Ethiopic_Extended_A}', "");
Expect(0, 43824, '\p{Is_Block= Ethiopic_Extended_A}', "");
Expect(1, 43824, '\p{^Is_Block= Ethiopic_Extended_A}', "");
Expect(1, 43824, '\P{Is_Block= Ethiopic_Extended_A}', "");
Expect(0, 43824, '\P{^Is_Block= Ethiopic_Extended_A}', "");
Error('\p{Is_Blk=-:=Ethiopic_Ext_a}');
Error('\P{Is_Blk=-:=Ethiopic_Ext_a}');
Expect(1, 43823, '\p{Is_Blk=ethiopicexta}', "");
Expect(0, 43823, '\p{^Is_Blk=ethiopicexta}', "");
Expect(0, 43823, '\P{Is_Blk=ethiopicexta}', "");
Expect(1, 43823, '\P{^Is_Blk=ethiopicexta}', "");
Expect(0, 43824, '\p{Is_Blk=ethiopicexta}', "");
Expect(1, 43824, '\p{^Is_Blk=ethiopicexta}', "");
Expect(1, 43824, '\P{Is_Blk=ethiopicexta}', "");
Expect(0, 43824, '\P{^Is_Blk=ethiopicexta}', "");
Expect(1, 43823, '\p{Is_Blk=_-ethiopic_ext_A}', "");
Expect(0, 43823, '\p{^Is_Blk=_-ethiopic_ext_A}', "");
Expect(0, 43823, '\P{Is_Blk=_-ethiopic_ext_A}', "");
Expect(1, 43823, '\P{^Is_Blk=_-ethiopic_ext_A}', "");
Expect(0, 43824, '\p{Is_Blk=_-ethiopic_ext_A}', "");
Expect(1, 43824, '\p{^Is_Blk=_-ethiopic_ext_A}', "");
Expect(1, 43824, '\P{Is_Blk=_-ethiopic_ext_A}', "");
Expect(0, 43824, '\P{^Is_Blk=_-ethiopic_ext_A}', "");
Error('\p{Block=:=-	ETHIOPIC_SUPPLEMENT}');
Error('\P{Block=:=-	ETHIOPIC_SUPPLEMENT}');
Expect(1, 5023, '\p{Block=ethiopicsupplement}', "");
Expect(0, 5023, '\p{^Block=ethiopicsupplement}', "");
Expect(0, 5023, '\P{Block=ethiopicsupplement}', "");
Expect(1, 5023, '\P{^Block=ethiopicsupplement}', "");
Expect(0, 5024, '\p{Block=ethiopicsupplement}', "");
Expect(1, 5024, '\p{^Block=ethiopicsupplement}', "");
Expect(1, 5024, '\P{Block=ethiopicsupplement}', "");
Expect(0, 5024, '\P{^Block=ethiopicsupplement}', "");
Expect(1, 5023, '\p{Block=- Ethiopic_Supplement}', "");
Expect(0, 5023, '\p{^Block=- Ethiopic_Supplement}', "");
Expect(0, 5023, '\P{Block=- Ethiopic_Supplement}', "");
Expect(1, 5023, '\P{^Block=- Ethiopic_Supplement}', "");
Expect(0, 5024, '\p{Block=- Ethiopic_Supplement}', "");
Expect(1, 5024, '\p{^Block=- Ethiopic_Supplement}', "");
Expect(1, 5024, '\P{Block=- Ethiopic_Supplement}', "");
Expect(0, 5024, '\P{^Block=- Ethiopic_Supplement}', "");
Error('\p{Blk=/a/		Ethiopic_sup}');
Error('\P{Blk=/a/		Ethiopic_sup}');
Expect(1, 5023, '\p{Blk=ethiopicsup}', "");
Expect(0, 5023, '\p{^Blk=ethiopicsup}', "");
Expect(0, 5023, '\P{Blk=ethiopicsup}', "");
Expect(1, 5023, '\P{^Blk=ethiopicsup}', "");
Expect(0, 5024, '\p{Blk=ethiopicsup}', "");
Expect(1, 5024, '\p{^Blk=ethiopicsup}', "");
Expect(1, 5024, '\P{Blk=ethiopicsup}', "");
Expect(0, 5024, '\P{^Blk=ethiopicsup}', "");
Expect(1, 5023, '\p{Blk=-_Ethiopic_Sup}', "");
Expect(0, 5023, '\p{^Blk=-_Ethiopic_Sup}', "");
Expect(0, 5023, '\P{Blk=-_Ethiopic_Sup}', "");
Expect(1, 5023, '\P{^Blk=-_Ethiopic_Sup}', "");
Expect(0, 5024, '\p{Blk=-_Ethiopic_Sup}', "");
Expect(1, 5024, '\p{^Blk=-_Ethiopic_Sup}', "");
Expect(1, 5024, '\P{Blk=-_Ethiopic_Sup}', "");
Expect(0, 5024, '\P{^Blk=-_Ethiopic_Sup}', "");
Error('\p{Is_Block: 	_Ethiopic_Supplement:=}');
Error('\P{Is_Block: 	_Ethiopic_Supplement:=}');
Expect(1, 5023, '\p{Is_Block=ethiopicsupplement}', "");
Expect(0, 5023, '\p{^Is_Block=ethiopicsupplement}', "");
Expect(0, 5023, '\P{Is_Block=ethiopicsupplement}', "");
Expect(1, 5023, '\P{^Is_Block=ethiopicsupplement}', "");
Expect(0, 5024, '\p{Is_Block=ethiopicsupplement}', "");
Expect(1, 5024, '\p{^Is_Block=ethiopicsupplement}', "");
Expect(1, 5024, '\P{Is_Block=ethiopicsupplement}', "");
Expect(0, 5024, '\P{^Is_Block=ethiopicsupplement}', "");
Expect(1, 5023, '\p{Is_Block=  ethiopic_SUPPLEMENT}', "");
Expect(0, 5023, '\p{^Is_Block=  ethiopic_SUPPLEMENT}', "");
Expect(0, 5023, '\P{Is_Block=  ethiopic_SUPPLEMENT}', "");
Expect(1, 5023, '\P{^Is_Block=  ethiopic_SUPPLEMENT}', "");
Expect(0, 5024, '\p{Is_Block=  ethiopic_SUPPLEMENT}', "");
Expect(1, 5024, '\p{^Is_Block=  ethiopic_SUPPLEMENT}', "");
Expect(1, 5024, '\P{Is_Block=  ethiopic_SUPPLEMENT}', "");
Expect(0, 5024, '\P{^Is_Block=  ethiopic_SUPPLEMENT}', "");
Error('\p{Is_Blk=-Ethiopic_Sup/a/}');
Error('\P{Is_Blk=-Ethiopic_Sup/a/}');
Expect(1, 5023, '\p{Is_Blk=ethiopicsup}', "");
Expect(0, 5023, '\p{^Is_Blk=ethiopicsup}', "");
Expect(0, 5023, '\P{Is_Blk=ethiopicsup}', "");
Expect(1, 5023, '\P{^Is_Blk=ethiopicsup}', "");
Expect(0, 5024, '\p{Is_Blk=ethiopicsup}', "");
Expect(1, 5024, '\p{^Is_Blk=ethiopicsup}', "");
Expect(1, 5024, '\P{Is_Blk=ethiopicsup}', "");
Expect(0, 5024, '\P{^Is_Blk=ethiopicsup}', "");
Expect(1, 5023, '\p{Is_Blk=		Ethiopic_Sup}', "");
Expect(0, 5023, '\p{^Is_Blk=		Ethiopic_Sup}', "");
Expect(0, 5023, '\P{Is_Blk=		Ethiopic_Sup}', "");
Expect(1, 5023, '\P{^Is_Blk=		Ethiopic_Sup}', "");
Expect(0, 5024, '\p{Is_Blk=		Ethiopic_Sup}', "");
Expect(1, 5024, '\p{^Is_Blk=		Ethiopic_Sup}', "");
Expect(1, 5024, '\P{Is_Blk=		Ethiopic_Sup}', "");
Expect(0, 5024, '\P{^Is_Blk=		Ethiopic_Sup}', "");
Error('\p{Block=:=Geometric_Shapes}');
Error('\P{Block=:=Geometric_Shapes}');
Expect(1, 9727, '\p{Block=geometricshapes}', "");
Expect(0, 9727, '\p{^Block=geometricshapes}', "");
Expect(0, 9727, '\P{Block=geometricshapes}', "");
Expect(1, 9727, '\P{^Block=geometricshapes}', "");
Expect(0, 9728, '\p{Block=geometricshapes}', "");
Expect(1, 9728, '\p{^Block=geometricshapes}', "");
Expect(1, 9728, '\P{Block=geometricshapes}', "");
Expect(0, 9728, '\P{^Block=geometricshapes}', "");
Expect(1, 9727, '\p{Block= geometric_Shapes}', "");
Expect(0, 9727, '\p{^Block= geometric_Shapes}', "");
Expect(0, 9727, '\P{Block= geometric_Shapes}', "");
Expect(1, 9727, '\P{^Block= geometric_Shapes}', "");
Expect(0, 9728, '\p{Block= geometric_Shapes}', "");
Expect(1, 9728, '\p{^Block= geometric_Shapes}', "");
Expect(1, 9728, '\P{Block= geometric_Shapes}', "");
Expect(0, 9728, '\P{^Block= geometric_Shapes}', "");
Error('\p{Blk:	_/a/GEOMETRIC_Shapes}');
Error('\P{Blk:	_/a/GEOMETRIC_Shapes}');
Expect(1, 9727, '\p{Blk:	geometricshapes}', "");
Expect(0, 9727, '\p{^Blk:	geometricshapes}', "");
Expect(0, 9727, '\P{Blk:	geometricshapes}', "");
Expect(1, 9727, '\P{^Blk:	geometricshapes}', "");
Expect(0, 9728, '\p{Blk:	geometricshapes}', "");
Expect(1, 9728, '\p{^Blk:	geometricshapes}', "");
Expect(1, 9728, '\P{Blk:	geometricshapes}', "");
Expect(0, 9728, '\P{^Blk:	geometricshapes}', "");
Expect(1, 9727, '\p{Blk=-Geometric_shapes}', "");
Expect(0, 9727, '\p{^Blk=-Geometric_shapes}', "");
Expect(0, 9727, '\P{Blk=-Geometric_shapes}', "");
Expect(1, 9727, '\P{^Blk=-Geometric_shapes}', "");
Expect(0, 9728, '\p{Blk=-Geometric_shapes}', "");
Expect(1, 9728, '\p{^Blk=-Geometric_shapes}', "");
Expect(1, 9728, '\P{Blk=-Geometric_shapes}', "");
Expect(0, 9728, '\P{^Blk=-Geometric_shapes}', "");
Error('\p{Is_Block=/a/	Geometric_SHAPES}');
Error('\P{Is_Block=/a/	Geometric_SHAPES}');
Expect(1, 9727, '\p{Is_Block=geometricshapes}', "");
Expect(0, 9727, '\p{^Is_Block=geometricshapes}', "");
Expect(0, 9727, '\P{Is_Block=geometricshapes}', "");
Expect(1, 9727, '\P{^Is_Block=geometricshapes}', "");
Expect(0, 9728, '\p{Is_Block=geometricshapes}', "");
Expect(1, 9728, '\p{^Is_Block=geometricshapes}', "");
Expect(1, 9728, '\P{Is_Block=geometricshapes}', "");
Expect(0, 9728, '\P{^Is_Block=geometricshapes}', "");
Expect(1, 9727, '\p{Is_Block=		GEOMETRIC_Shapes}', "");
Expect(0, 9727, '\p{^Is_Block=		GEOMETRIC_Shapes}', "");
Expect(0, 9727, '\P{Is_Block=		GEOMETRIC_Shapes}', "");
Expect(1, 9727, '\P{^Is_Block=		GEOMETRIC_Shapes}', "");
Expect(0, 9728, '\p{Is_Block=		GEOMETRIC_Shapes}', "");
Expect(1, 9728, '\p{^Is_Block=		GEOMETRIC_Shapes}', "");
Expect(1, 9728, '\P{Is_Block=		GEOMETRIC_Shapes}', "");
Expect(0, 9728, '\P{^Is_Block=		GEOMETRIC_Shapes}', "");
Error('\p{Is_Blk:	 GEOMETRIC_SHAPES/a/}');
Error('\P{Is_Blk:	 GEOMETRIC_SHAPES/a/}');
Expect(1, 9727, '\p{Is_Blk=geometricshapes}', "");
Expect(0, 9727, '\p{^Is_Blk=geometricshapes}', "");
Expect(0, 9727, '\P{Is_Blk=geometricshapes}', "");
Expect(1, 9727, '\P{^Is_Blk=geometricshapes}', "");
Expect(0, 9728, '\p{Is_Blk=geometricshapes}', "");
Expect(1, 9728, '\p{^Is_Blk=geometricshapes}', "");
Expect(1, 9728, '\P{Is_Blk=geometricshapes}', "");
Expect(0, 9728, '\P{^Is_Blk=geometricshapes}', "");
Expect(1, 9727, '\p{Is_Blk:		Geometric_SHAPES}', "");
Expect(0, 9727, '\p{^Is_Blk:		Geometric_SHAPES}', "");
Expect(0, 9727, '\P{Is_Blk:		Geometric_SHAPES}', "");
Expect(1, 9727, '\P{^Is_Blk:		Geometric_SHAPES}', "");
Expect(0, 9728, '\p{Is_Blk:		Geometric_SHAPES}', "");
Expect(1, 9728, '\p{^Is_Blk:		Geometric_SHAPES}', "");
Expect(1, 9728, '\P{Is_Blk:		Geometric_SHAPES}', "");
Expect(0, 9728, '\P{^Is_Blk:		Geometric_SHAPES}', "");
Error('\p{Block= 	geometric_Shapes_Extended/a/}');
Error('\P{Block= 	geometric_Shapes_Extended/a/}');
Expect(1, 129023, '\p{Block=geometricshapesextended}', "");
Expect(0, 129023, '\p{^Block=geometricshapesextended}', "");
Expect(0, 129023, '\P{Block=geometricshapesextended}', "");
Expect(1, 129023, '\P{^Block=geometricshapesextended}', "");
Expect(0, 129024, '\p{Block=geometricshapesextended}', "");
Expect(1, 129024, '\p{^Block=geometricshapesextended}', "");
Expect(1, 129024, '\P{Block=geometricshapesextended}', "");
Expect(0, 129024, '\P{^Block=geometricshapesextended}', "");
Expect(1, 129023, '\p{Block=_	geometric_SHAPES_EXTENDED}', "");
Expect(0, 129023, '\p{^Block=_	geometric_SHAPES_EXTENDED}', "");
Expect(0, 129023, '\P{Block=_	geometric_SHAPES_EXTENDED}', "");
Expect(1, 129023, '\P{^Block=_	geometric_SHAPES_EXTENDED}', "");
Expect(0, 129024, '\p{Block=_	geometric_SHAPES_EXTENDED}', "");
Expect(1, 129024, '\p{^Block=_	geometric_SHAPES_EXTENDED}', "");
Expect(1, 129024, '\P{Block=_	geometric_SHAPES_EXTENDED}', "");
Expect(0, 129024, '\P{^Block=_	geometric_SHAPES_EXTENDED}', "");
Error('\p{Blk:	-/a/geometric_Shapes_Ext}');
Error('\P{Blk:	-/a/geometric_Shapes_Ext}');
Expect(1, 129023, '\p{Blk=geometricshapesext}', "");
Expect(0, 129023, '\p{^Blk=geometricshapesext}', "");
Expect(0, 129023, '\P{Blk=geometricshapesext}', "");
Expect(1, 129023, '\P{^Blk=geometricshapesext}', "");
Expect(0, 129024, '\p{Blk=geometricshapesext}', "");
Expect(1, 129024, '\p{^Blk=geometricshapesext}', "");
Expect(1, 129024, '\P{Blk=geometricshapesext}', "");
Expect(0, 129024, '\P{^Blk=geometricshapesext}', "");
Expect(1, 129023, '\p{Blk=-GEOMETRIC_Shapes_EXT}', "");
Expect(0, 129023, '\p{^Blk=-GEOMETRIC_Shapes_EXT}', "");
Expect(0, 129023, '\P{Blk=-GEOMETRIC_Shapes_EXT}', "");
Expect(1, 129023, '\P{^Blk=-GEOMETRIC_Shapes_EXT}', "");
Expect(0, 129024, '\p{Blk=-GEOMETRIC_Shapes_EXT}', "");
Expect(1, 129024, '\p{^Blk=-GEOMETRIC_Shapes_EXT}', "");
Expect(1, 129024, '\P{Blk=-GEOMETRIC_Shapes_EXT}', "");
Expect(0, 129024, '\P{^Blk=-GEOMETRIC_Shapes_EXT}', "");
Error('\p{Is_Block=	-Geometric_Shapes_extended:=}');
Error('\P{Is_Block=	-Geometric_Shapes_extended:=}');
Expect(1, 129023, '\p{Is_Block=geometricshapesextended}', "");
Expect(0, 129023, '\p{^Is_Block=geometricshapesextended}', "");
Expect(0, 129023, '\P{Is_Block=geometricshapesextended}', "");
Expect(1, 129023, '\P{^Is_Block=geometricshapesextended}', "");
Expect(0, 129024, '\p{Is_Block=geometricshapesextended}', "");
Expect(1, 129024, '\p{^Is_Block=geometricshapesextended}', "");
Expect(1, 129024, '\P{Is_Block=geometricshapesextended}', "");
Expect(0, 129024, '\P{^Is_Block=geometricshapesextended}', "");
Expect(1, 129023, '\p{Is_Block=	-Geometric_shapes_extended}', "");
Expect(0, 129023, '\p{^Is_Block=	-Geometric_shapes_extended}', "");
Expect(0, 129023, '\P{Is_Block=	-Geometric_shapes_extended}', "");
Expect(1, 129023, '\P{^Is_Block=	-Geometric_shapes_extended}', "");
Expect(0, 129024, '\p{Is_Block=	-Geometric_shapes_extended}', "");
Expect(1, 129024, '\p{^Is_Block=	-Geometric_shapes_extended}', "");
Expect(1, 129024, '\P{Is_Block=	-Geometric_shapes_extended}', "");
Expect(0, 129024, '\P{^Is_Block=	-Geometric_shapes_extended}', "");
Error('\p{Is_Blk=- GEOMETRIC_Shapes_Ext:=}');
Error('\P{Is_Blk=- GEOMETRIC_Shapes_Ext:=}');
Expect(1, 129023, '\p{Is_Blk: geometricshapesext}', "");
Expect(0, 129023, '\p{^Is_Blk: geometricshapesext}', "");
Expect(0, 129023, '\P{Is_Blk: geometricshapesext}', "");
Expect(1, 129023, '\P{^Is_Blk: geometricshapesext}', "");
Expect(0, 129024, '\p{Is_Blk: geometricshapesext}', "");
Expect(1, 129024, '\p{^Is_Blk: geometricshapesext}', "");
Expect(1, 129024, '\P{Is_Blk: geometricshapesext}', "");
Expect(0, 129024, '\P{^Is_Blk: geometricshapesext}', "");
Expect(1, 129023, '\p{Is_Blk=-geometric_Shapes_Ext}', "");
Expect(0, 129023, '\p{^Is_Blk=-geometric_Shapes_Ext}', "");
Expect(0, 129023, '\P{Is_Blk=-geometric_Shapes_Ext}', "");
Expect(1, 129023, '\P{^Is_Blk=-geometric_Shapes_Ext}', "");
Expect(0, 129024, '\p{Is_Blk=-geometric_Shapes_Ext}', "");
Expect(1, 129024, '\p{^Is_Blk=-geometric_Shapes_Ext}', "");
Expect(1, 129024, '\P{Is_Blk=-geometric_Shapes_Ext}', "");
Expect(0, 129024, '\P{^Is_Blk=-geometric_Shapes_Ext}', "");
Error('\p{Block=/a/Georgian}');
Error('\P{Block=/a/Georgian}');
Expect(1, 4351, '\p{Block=georgian}', "");
Expect(0, 4351, '\p{^Block=georgian}', "");
Expect(0, 4351, '\P{Block=georgian}', "");
Expect(1, 4351, '\P{^Block=georgian}', "");
Expect(0, 4352, '\p{Block=georgian}', "");
Expect(1, 4352, '\p{^Block=georgian}', "");
Expect(1, 4352, '\P{Block=georgian}', "");
Expect(0, 4352, '\P{^Block=georgian}', "");
Expect(1, 4351, '\p{Block=	 Georgian}', "");
Expect(0, 4351, '\p{^Block=	 Georgian}', "");
Expect(0, 4351, '\P{Block=	 Georgian}', "");
Expect(1, 4351, '\P{^Block=	 Georgian}', "");
Expect(0, 4352, '\p{Block=	 Georgian}', "");
Expect(1, 4352, '\p{^Block=	 Georgian}', "");
Expect(1, 4352, '\P{Block=	 Georgian}', "");
Expect(0, 4352, '\P{^Block=	 Georgian}', "");
Error('\p{Blk=	:=GEORGIAN}');
Error('\P{Blk=	:=GEORGIAN}');
Expect(1, 4351, '\p{Blk=georgian}', "");
Expect(0, 4351, '\p{^Blk=georgian}', "");
Expect(0, 4351, '\P{Blk=georgian}', "");
Expect(1, 4351, '\P{^Blk=georgian}', "");
Expect(0, 4352, '\p{Blk=georgian}', "");
Expect(1, 4352, '\p{^Blk=georgian}', "");
Expect(1, 4352, '\P{Blk=georgian}', "");
Expect(0, 4352, '\P{^Blk=georgian}', "");
Expect(1, 4351, '\p{Blk=_Georgian}', "");
Expect(0, 4351, '\p{^Blk=_Georgian}', "");
Expect(0, 4351, '\P{Blk=_Georgian}', "");
Expect(1, 4351, '\P{^Blk=_Georgian}', "");
Expect(0, 4352, '\p{Blk=_Georgian}', "");
Expect(1, 4352, '\p{^Blk=_Georgian}', "");
Expect(1, 4352, '\P{Blk=_Georgian}', "");
Expect(0, 4352, '\P{^Blk=_Georgian}', "");
Error('\p{Is_Block= -GEORGIAN/a/}');
Error('\P{Is_Block= -GEORGIAN/a/}');
Expect(1, 4351, '\p{Is_Block=georgian}', "");
Expect(0, 4351, '\p{^Is_Block=georgian}', "");
Expect(0, 4351, '\P{Is_Block=georgian}', "");
Expect(1, 4351, '\P{^Is_Block=georgian}', "");
Expect(0, 4352, '\p{Is_Block=georgian}', "");
Expect(1, 4352, '\p{^Is_Block=georgian}', "");
Expect(1, 4352, '\P{Is_Block=georgian}', "");
Expect(0, 4352, '\P{^Is_Block=georgian}', "");
Expect(1, 4351, '\p{Is_Block=_	Georgian}', "");
Expect(0, 4351, '\p{^Is_Block=_	Georgian}', "");
Expect(0, 4351, '\P{Is_Block=_	Georgian}', "");
Expect(1, 4351, '\P{^Is_Block=_	Georgian}', "");
Expect(0, 4352, '\p{Is_Block=_	Georgian}', "");
Expect(1, 4352, '\p{^Is_Block=_	Georgian}', "");
Expect(1, 4352, '\P{Is_Block=_	Georgian}', "");
Expect(0, 4352, '\P{^Is_Block=_	Georgian}', "");
Error('\p{Is_Blk=:= GEORGIAN}');
Error('\P{Is_Blk=:= GEORGIAN}');
Expect(1, 4351, '\p{Is_Blk=georgian}', "");
Expect(0, 4351, '\p{^Is_Blk=georgian}', "");
Expect(0, 4351, '\P{Is_Blk=georgian}', "");
Expect(1, 4351, '\P{^Is_Blk=georgian}', "");
Expect(0, 4352, '\p{Is_Blk=georgian}', "");
Expect(1, 4352, '\p{^Is_Blk=georgian}', "");
Expect(1, 4352, '\P{Is_Blk=georgian}', "");
Expect(0, 4352, '\P{^Is_Blk=georgian}', "");
Expect(1, 4351, '\p{Is_Blk=	_georgian}', "");
Expect(0, 4351, '\p{^Is_Blk=	_georgian}', "");
Expect(0, 4351, '\P{Is_Blk=	_georgian}', "");
Expect(1, 4351, '\P{^Is_Blk=	_georgian}', "");
Expect(0, 4352, '\p{Is_Blk=	_georgian}', "");
Expect(1, 4352, '\p{^Is_Blk=	_georgian}', "");
Expect(1, 4352, '\P{Is_Blk=	_georgian}', "");
Expect(0, 4352, '\P{^Is_Blk=	_georgian}', "");
Error('\p{Block=/a/__Georgian_SUPPLEMENT}');
Error('\P{Block=/a/__Georgian_SUPPLEMENT}');
Expect(1, 11567, '\p{Block=georgiansupplement}', "");
Expect(0, 11567, '\p{^Block=georgiansupplement}', "");
Expect(0, 11567, '\P{Block=georgiansupplement}', "");
Expect(1, 11567, '\P{^Block=georgiansupplement}', "");
Expect(0, 11568, '\p{Block=georgiansupplement}', "");
Expect(1, 11568, '\p{^Block=georgiansupplement}', "");
Expect(1, 11568, '\P{Block=georgiansupplement}', "");
Expect(0, 11568, '\P{^Block=georgiansupplement}', "");
Expect(1, 11567, '\p{Block=Georgian_Supplement}', "");
Expect(0, 11567, '\p{^Block=Georgian_Supplement}', "");
Expect(0, 11567, '\P{Block=Georgian_Supplement}', "");
Expect(1, 11567, '\P{^Block=Georgian_Supplement}', "");
Expect(0, 11568, '\p{Block=Georgian_Supplement}', "");
Expect(1, 11568, '\p{^Block=Georgian_Supplement}', "");
Expect(1, 11568, '\P{Block=Georgian_Supplement}', "");
Expect(0, 11568, '\P{^Block=Georgian_Supplement}', "");
Error('\p{Blk:	/a/ georgian_sup}');
Error('\P{Blk:	/a/ georgian_sup}');
Expect(1, 11567, '\p{Blk=georgiansup}', "");
Expect(0, 11567, '\p{^Blk=georgiansup}', "");
Expect(0, 11567, '\P{Blk=georgiansup}', "");
Expect(1, 11567, '\P{^Blk=georgiansup}', "");
Expect(0, 11568, '\p{Blk=georgiansup}', "");
Expect(1, 11568, '\p{^Blk=georgiansup}', "");
Expect(1, 11568, '\P{Blk=georgiansup}', "");
Expect(0, 11568, '\P{^Blk=georgiansup}', "");
Expect(1, 11567, '\p{Blk=-Georgian_SUP}', "");
Expect(0, 11567, '\p{^Blk=-Georgian_SUP}', "");
Expect(0, 11567, '\P{Blk=-Georgian_SUP}', "");
Expect(1, 11567, '\P{^Blk=-Georgian_SUP}', "");
Expect(0, 11568, '\p{Blk=-Georgian_SUP}', "");
Expect(1, 11568, '\p{^Blk=-Georgian_SUP}', "");
Expect(1, 11568, '\P{Blk=-Georgian_SUP}', "");
Expect(0, 11568, '\P{^Blk=-Georgian_SUP}', "");
Error('\p{Is_Block=/a/-_GEORGIAN_supplement}');
Error('\P{Is_Block=/a/-_GEORGIAN_supplement}');
Expect(1, 11567, '\p{Is_Block=georgiansupplement}', "");
Expect(0, 11567, '\p{^Is_Block=georgiansupplement}', "");
Expect(0, 11567, '\P{Is_Block=georgiansupplement}', "");
Expect(1, 11567, '\P{^Is_Block=georgiansupplement}', "");
Expect(0, 11568, '\p{Is_Block=georgiansupplement}', "");
Expect(1, 11568, '\p{^Is_Block=georgiansupplement}', "");
Expect(1, 11568, '\P{Is_Block=georgiansupplement}', "");
Expect(0, 11568, '\P{^Is_Block=georgiansupplement}', "");
Expect(1, 11567, '\p{Is_Block=	_georgian_supplement}', "");
Expect(0, 11567, '\p{^Is_Block=	_georgian_supplement}', "");
Expect(0, 11567, '\P{Is_Block=	_georgian_supplement}', "");
Expect(1, 11567, '\P{^Is_Block=	_georgian_supplement}', "");
Expect(0, 11568, '\p{Is_Block=	_georgian_supplement}', "");
Expect(1, 11568, '\p{^Is_Block=	_georgian_supplement}', "");
Expect(1, 11568, '\P{Is_Block=	_georgian_supplement}', "");
Expect(0, 11568, '\P{^Is_Block=	_georgian_supplement}', "");
Error('\p{Is_Blk=:= 	GEORGIAN_SUP}');
Error('\P{Is_Blk=:= 	GEORGIAN_SUP}');
Expect(1, 11567, '\p{Is_Blk=georgiansup}', "");
Expect(0, 11567, '\p{^Is_Blk=georgiansup}', "");
Expect(0, 11567, '\P{Is_Blk=georgiansup}', "");
Expect(1, 11567, '\P{^Is_Blk=georgiansup}', "");
Expect(0, 11568, '\p{Is_Blk=georgiansup}', "");
Expect(1, 11568, '\p{^Is_Blk=georgiansup}', "");
Expect(1, 11568, '\P{Is_Blk=georgiansup}', "");
Expect(0, 11568, '\P{^Is_Blk=georgiansup}', "");
Expect(1, 11567, '\p{Is_Blk:georgian_Sup}', "");
Expect(0, 11567, '\p{^Is_Blk:georgian_Sup}', "");
Expect(0, 11567, '\P{Is_Blk:georgian_Sup}', "");
Expect(1, 11567, '\P{^Is_Blk:georgian_Sup}', "");
Expect(0, 11568, '\p{Is_Blk:georgian_Sup}', "");
Expect(1, 11568, '\p{^Is_Blk:georgian_Sup}', "");
Expect(1, 11568, '\P{Is_Blk:georgian_Sup}', "");
Expect(0, 11568, '\P{^Is_Blk:georgian_Sup}', "");
Error('\p{Block=_:=glagolitic}');
Error('\P{Block=_:=glagolitic}');
Expect(1, 11359, '\p{Block=glagolitic}', "");
Expect(0, 11359, '\p{^Block=glagolitic}', "");
Expect(0, 11359, '\P{Block=glagolitic}', "");
Expect(1, 11359, '\P{^Block=glagolitic}', "");
Expect(0, 11360, '\p{Block=glagolitic}', "");
Expect(1, 11360, '\p{^Block=glagolitic}', "");
Expect(1, 11360, '\P{Block=glagolitic}', "");
Expect(0, 11360, '\P{^Block=glagolitic}', "");
Expect(1, 11359, '\p{Block= Glagolitic}', "");
Expect(0, 11359, '\p{^Block= Glagolitic}', "");
Expect(0, 11359, '\P{Block= Glagolitic}', "");
Expect(1, 11359, '\P{^Block= Glagolitic}', "");
Expect(0, 11360, '\p{Block= Glagolitic}', "");
Expect(1, 11360, '\p{^Block= Glagolitic}', "");
Expect(1, 11360, '\P{Block= Glagolitic}', "");
Expect(0, 11360, '\P{^Block= Glagolitic}', "");
Error('\p{Blk=		GLAGOLITIC/a/}');
Error('\P{Blk=		GLAGOLITIC/a/}');
Expect(1, 11359, '\p{Blk:glagolitic}', "");
Expect(0, 11359, '\p{^Blk:glagolitic}', "");
Expect(0, 11359, '\P{Blk:glagolitic}', "");
Expect(1, 11359, '\P{^Blk:glagolitic}', "");
Expect(0, 11360, '\p{Blk:glagolitic}', "");
Expect(1, 11360, '\p{^Blk:glagolitic}', "");
Expect(1, 11360, '\P{Blk:glagolitic}', "");
Expect(0, 11360, '\P{^Blk:glagolitic}', "");
Expect(1, 11359, '\p{Blk=  GLAGOLITIC}', "");
Expect(0, 11359, '\p{^Blk=  GLAGOLITIC}', "");
Expect(0, 11359, '\P{Blk=  GLAGOLITIC}', "");
Expect(1, 11359, '\P{^Blk=  GLAGOLITIC}', "");
Expect(0, 11360, '\p{Blk=  GLAGOLITIC}', "");
Expect(1, 11360, '\p{^Blk=  GLAGOLITIC}', "");
Expect(1, 11360, '\P{Blk=  GLAGOLITIC}', "");
Expect(0, 11360, '\P{^Blk=  GLAGOLITIC}', "");
Error('\p{Is_Block=/a/_GLAGOLITIC}');
Error('\P{Is_Block=/a/_GLAGOLITIC}');
Expect(1, 11359, '\p{Is_Block=glagolitic}', "");
Expect(0, 11359, '\p{^Is_Block=glagolitic}', "");
Expect(0, 11359, '\P{Is_Block=glagolitic}', "");
Expect(1, 11359, '\P{^Is_Block=glagolitic}', "");
Expect(0, 11360, '\p{Is_Block=glagolitic}', "");
Expect(1, 11360, '\p{^Is_Block=glagolitic}', "");
Expect(1, 11360, '\P{Is_Block=glagolitic}', "");
Expect(0, 11360, '\P{^Is_Block=glagolitic}', "");
Expect(1, 11359, '\p{Is_Block=	glagolitic}', "");
Expect(0, 11359, '\p{^Is_Block=	glagolitic}', "");
Expect(0, 11359, '\P{Is_Block=	glagolitic}', "");
Expect(1, 11359, '\P{^Is_Block=	glagolitic}', "");
Expect(0, 11360, '\p{Is_Block=	glagolitic}', "");
Expect(1, 11360, '\p{^Is_Block=	glagolitic}', "");
Expect(1, 11360, '\P{Is_Block=	glagolitic}', "");
Expect(0, 11360, '\P{^Is_Block=	glagolitic}', "");
Error('\p{Is_Blk=/a/ _GLAGOLITIC}');
Error('\P{Is_Blk=/a/ _GLAGOLITIC}');
Expect(1, 11359, '\p{Is_Blk=glagolitic}', "");
Expect(0, 11359, '\p{^Is_Blk=glagolitic}', "");
Expect(0, 11359, '\P{Is_Blk=glagolitic}', "");
Expect(1, 11359, '\P{^Is_Blk=glagolitic}', "");
Expect(0, 11360, '\p{Is_Blk=glagolitic}', "");
Expect(1, 11360, '\p{^Is_Blk=glagolitic}', "");
Expect(1, 11360, '\P{Is_Blk=glagolitic}', "");
Expect(0, 11360, '\P{^Is_Blk=glagolitic}', "");
Expect(1, 11359, '\p{Is_Blk= _GLAGOLITIC}', "");
Expect(0, 11359, '\p{^Is_Blk= _GLAGOLITIC}', "");
Expect(0, 11359, '\P{Is_Blk= _GLAGOLITIC}', "");
Expect(1, 11359, '\P{^Is_Blk= _GLAGOLITIC}', "");
Expect(0, 11360, '\p{Is_Blk= _GLAGOLITIC}', "");
Expect(1, 11360, '\p{^Is_Blk= _GLAGOLITIC}', "");
Expect(1, 11360, '\P{Is_Blk= _GLAGOLITIC}', "");
Expect(0, 11360, '\P{^Is_Blk= _GLAGOLITIC}', "");
Error('\p{Block= /a/Gothic}');
Error('\P{Block= /a/Gothic}');
Expect(1, 66383, '\p{Block=gothic}', "");
Expect(0, 66383, '\p{^Block=gothic}', "");
Expect(0, 66383, '\P{Block=gothic}', "");
Expect(1, 66383, '\P{^Block=gothic}', "");
Expect(0, 66384, '\p{Block=gothic}', "");
Expect(1, 66384, '\p{^Block=gothic}', "");
Expect(1, 66384, '\P{Block=gothic}', "");
Expect(0, 66384, '\P{^Block=gothic}', "");
Expect(1, 66383, '\p{Block=_Gothic}', "");
Expect(0, 66383, '\p{^Block=_Gothic}', "");
Expect(0, 66383, '\P{Block=_Gothic}', "");
Expect(1, 66383, '\P{^Block=_Gothic}', "");
Expect(0, 66384, '\p{Block=_Gothic}', "");
Expect(1, 66384, '\p{^Block=_Gothic}', "");
Expect(1, 66384, '\P{Block=_Gothic}', "");
Expect(0, 66384, '\P{^Block=_Gothic}', "");
Error('\p{Blk=_/a/Gothic}');
Error('\P{Blk=_/a/Gothic}');
Expect(1, 66383, '\p{Blk=gothic}', "");
Expect(0, 66383, '\p{^Blk=gothic}', "");
Expect(0, 66383, '\P{Blk=gothic}', "");
Expect(1, 66383, '\P{^Blk=gothic}', "");
Expect(0, 66384, '\p{Blk=gothic}', "");
Expect(1, 66384, '\p{^Blk=gothic}', "");
Expect(1, 66384, '\P{Blk=gothic}', "");
Expect(0, 66384, '\P{^Blk=gothic}', "");
Expect(1, 66383, '\p{Blk= -GOTHIC}', "");
Expect(0, 66383, '\p{^Blk= -GOTHIC}', "");
Expect(0, 66383, '\P{Blk= -GOTHIC}', "");
Expect(1, 66383, '\P{^Blk= -GOTHIC}', "");
Expect(0, 66384, '\p{Blk= -GOTHIC}', "");
Expect(1, 66384, '\p{^Blk= -GOTHIC}', "");
Expect(1, 66384, '\P{Blk= -GOTHIC}', "");
Expect(0, 66384, '\P{^Blk= -GOTHIC}', "");
Error('\p{Is_Block=:=_ GOTHIC}');
Error('\P{Is_Block=:=_ GOTHIC}');
Expect(1, 66383, '\p{Is_Block=gothic}', "");
Expect(0, 66383, '\p{^Is_Block=gothic}', "");
Expect(0, 66383, '\P{Is_Block=gothic}', "");
Expect(1, 66383, '\P{^Is_Block=gothic}', "");
Expect(0, 66384, '\p{Is_Block=gothic}', "");
Expect(1, 66384, '\p{^Is_Block=gothic}', "");
Expect(1, 66384, '\P{Is_Block=gothic}', "");
Expect(0, 66384, '\P{^Is_Block=gothic}', "");
Expect(1, 66383, '\p{Is_Block=  Gothic}', "");
Expect(0, 66383, '\p{^Is_Block=  Gothic}', "");
Expect(0, 66383, '\P{Is_Block=  Gothic}', "");
Expect(1, 66383, '\P{^Is_Block=  Gothic}', "");
Expect(0, 66384, '\p{Is_Block=  Gothic}', "");
Expect(1, 66384, '\p{^Is_Block=  Gothic}', "");
Expect(1, 66384, '\P{Is_Block=  Gothic}', "");
Expect(0, 66384, '\P{^Is_Block=  Gothic}', "");
Error('\p{Is_Blk:   /a/-_gothic}');
Error('\P{Is_Blk:   /a/-_gothic}');
Expect(1, 66383, '\p{Is_Blk: gothic}', "");
Expect(0, 66383, '\p{^Is_Blk: gothic}', "");
Expect(0, 66383, '\P{Is_Blk: gothic}', "");
Expect(1, 66383, '\P{^Is_Blk: gothic}', "");
Expect(0, 66384, '\p{Is_Blk: gothic}', "");
Expect(1, 66384, '\p{^Is_Blk: gothic}', "");
Expect(1, 66384, '\P{Is_Blk: gothic}', "");
Expect(0, 66384, '\P{^Is_Blk: gothic}', "");
Expect(1, 66383, '\p{Is_Blk= GOTHIC}', "");
Expect(0, 66383, '\p{^Is_Blk= GOTHIC}', "");
Expect(0, 66383, '\P{Is_Blk= GOTHIC}', "");
Expect(1, 66383, '\P{^Is_Blk= GOTHIC}', "");
Expect(0, 66384, '\p{Is_Blk= GOTHIC}', "");
Expect(1, 66384, '\p{^Is_Blk= GOTHIC}', "");
Expect(1, 66384, '\P{Is_Blk= GOTHIC}', "");
Expect(0, 66384, '\P{^Is_Blk= GOTHIC}', "");
Error('\p{Block=_/a/GRANTHA}');
Error('\P{Block=_/a/GRANTHA}');
Expect(1, 70527, '\p{Block=grantha}', "");
Expect(0, 70527, '\p{^Block=grantha}', "");
Expect(0, 70527, '\P{Block=grantha}', "");
Expect(1, 70527, '\P{^Block=grantha}', "");
Expect(0, 70528, '\p{Block=grantha}', "");
Expect(1, 70528, '\p{^Block=grantha}', "");
Expect(1, 70528, '\P{Block=grantha}', "");
Expect(0, 70528, '\P{^Block=grantha}', "");
Expect(1, 70527, '\p{Block=-grantha}', "");
Expect(0, 70527, '\p{^Block=-grantha}', "");
Expect(0, 70527, '\P{Block=-grantha}', "");
Expect(1, 70527, '\P{^Block=-grantha}', "");
Expect(0, 70528, '\p{Block=-grantha}', "");
Expect(1, 70528, '\p{^Block=-grantha}', "");
Expect(1, 70528, '\P{Block=-grantha}', "");
Expect(0, 70528, '\P{^Block=-grantha}', "");
Error('\p{Blk=:=_grantha}');
Error('\P{Blk=:=_grantha}');
Expect(1, 70527, '\p{Blk=grantha}', "");
Expect(0, 70527, '\p{^Blk=grantha}', "");
Expect(0, 70527, '\P{Blk=grantha}', "");
Expect(1, 70527, '\P{^Blk=grantha}', "");
Expect(0, 70528, '\p{Blk=grantha}', "");
Expect(1, 70528, '\p{^Blk=grantha}', "");
Expect(1, 70528, '\P{Blk=grantha}', "");
Expect(0, 70528, '\P{^Blk=grantha}', "");
Expect(1, 70527, '\p{Blk= -grantha}', "");
Expect(0, 70527, '\p{^Blk= -grantha}', "");
Expect(0, 70527, '\P{Blk= -grantha}', "");
Expect(1, 70527, '\P{^Blk= -grantha}', "");
Expect(0, 70528, '\p{Blk= -grantha}', "");
Expect(1, 70528, '\p{^Blk= -grantha}', "");
Expect(1, 70528, '\P{Blk= -grantha}', "");
Expect(0, 70528, '\P{^Blk= -grantha}', "");
Error('\p{Is_Block=:=_-Grantha}');
Error('\P{Is_Block=:=_-Grantha}');
Expect(1, 70527, '\p{Is_Block=grantha}', "");
Expect(0, 70527, '\p{^Is_Block=grantha}', "");
Expect(0, 70527, '\P{Is_Block=grantha}', "");
Expect(1, 70527, '\P{^Is_Block=grantha}', "");
Expect(0, 70528, '\p{Is_Block=grantha}', "");
Expect(1, 70528, '\p{^Is_Block=grantha}', "");
Expect(1, 70528, '\P{Is_Block=grantha}', "");
Expect(0, 70528, '\P{^Is_Block=grantha}', "");
Expect(1, 70527, '\p{Is_Block=  GRANTHA}', "");
Expect(0, 70527, '\p{^Is_Block=  GRANTHA}', "");
Expect(0, 70527, '\P{Is_Block=  GRANTHA}', "");
Expect(1, 70527, '\P{^Is_Block=  GRANTHA}', "");
Expect(0, 70528, '\p{Is_Block=  GRANTHA}', "");
Expect(1, 70528, '\p{^Is_Block=  GRANTHA}', "");
Expect(1, 70528, '\P{Is_Block=  GRANTHA}', "");
Expect(0, 70528, '\P{^Is_Block=  GRANTHA}', "");
Error('\p{Is_Blk= Grantha/a/}');
Error('\P{Is_Blk= Grantha/a/}');
Expect(1, 70527, '\p{Is_Blk=grantha}', "");
Expect(0, 70527, '\p{^Is_Blk=grantha}', "");
Expect(0, 70527, '\P{Is_Blk=grantha}', "");
Expect(1, 70527, '\P{^Is_Blk=grantha}', "");
Expect(0, 70528, '\p{Is_Blk=grantha}', "");
Expect(1, 70528, '\p{^Is_Blk=grantha}', "");
Expect(1, 70528, '\P{Is_Blk=grantha}', "");
Expect(0, 70528, '\P{^Is_Blk=grantha}', "");
Expect(1, 70527, '\p{Is_Blk: _GRANTHA}', "");
Expect(0, 70527, '\p{^Is_Blk: _GRANTHA}', "");
Expect(0, 70527, '\P{Is_Blk: _GRANTHA}', "");
Expect(1, 70527, '\P{^Is_Blk: _GRANTHA}', "");
Expect(0, 70528, '\p{Is_Blk: _GRANTHA}', "");
Expect(1, 70528, '\p{^Is_Blk: _GRANTHA}', "");
Expect(1, 70528, '\P{Is_Blk: _GRANTHA}', "");
Expect(0, 70528, '\P{^Is_Blk: _GRANTHA}', "");
Error('\p{Block= /a/GREEK_And_Coptic}');
Error('\P{Block= /a/GREEK_And_Coptic}');
Expect(1, 1023, '\p{Block=greekandcoptic}', "");
Expect(0, 1023, '\p{^Block=greekandcoptic}', "");
Expect(0, 1023, '\P{Block=greekandcoptic}', "");
Expect(1, 1023, '\P{^Block=greekandcoptic}', "");
Expect(0, 1024, '\p{Block=greekandcoptic}', "");
Expect(1, 1024, '\p{^Block=greekandcoptic}', "");
Expect(1, 1024, '\P{Block=greekandcoptic}', "");
Expect(0, 1024, '\P{^Block=greekandcoptic}', "");
Expect(1, 1023, '\p{Block:	_Greek_AND_Coptic}', "");
Expect(0, 1023, '\p{^Block:	_Greek_AND_Coptic}', "");
Expect(0, 1023, '\P{Block:	_Greek_AND_Coptic}', "");
Expect(1, 1023, '\P{^Block:	_Greek_AND_Coptic}', "");
Expect(0, 1024, '\p{Block:	_Greek_AND_Coptic}', "");
Expect(1, 1024, '\p{^Block:	_Greek_AND_Coptic}', "");
Expect(1, 1024, '\P{Block:	_Greek_AND_Coptic}', "");
Expect(0, 1024, '\P{^Block:	_Greek_AND_Coptic}', "");
Error('\p{Blk=/a/_Greek}');
Error('\P{Blk=/a/_Greek}');
Expect(1, 1023, '\p{Blk=greek}', "");
Expect(0, 1023, '\p{^Blk=greek}', "");
Expect(0, 1023, '\P{Blk=greek}', "");
Expect(1, 1023, '\P{^Blk=greek}', "");
Expect(0, 1024, '\p{Blk=greek}', "");
Expect(1, 1024, '\p{^Blk=greek}', "");
Expect(1, 1024, '\P{Blk=greek}', "");
Expect(0, 1024, '\P{^Blk=greek}', "");
Expect(1, 1023, '\p{Blk=__GREEK}', "");
Expect(0, 1023, '\p{^Blk=__GREEK}', "");
Expect(0, 1023, '\P{Blk=__GREEK}', "");
Expect(1, 1023, '\P{^Blk=__GREEK}', "");
Expect(0, 1024, '\p{Blk=__GREEK}', "");
Expect(1, 1024, '\p{^Blk=__GREEK}', "");
Expect(1, 1024, '\P{Blk=__GREEK}', "");
Expect(0, 1024, '\P{^Blk=__GREEK}', "");
Error('\p{Is_Block: :=	GREEK_AND_COPTIC}');
Error('\P{Is_Block: :=	GREEK_AND_COPTIC}');
Expect(1, 1023, '\p{Is_Block=greekandcoptic}', "");
Expect(0, 1023, '\p{^Is_Block=greekandcoptic}', "");
Expect(0, 1023, '\P{Is_Block=greekandcoptic}', "");
Expect(1, 1023, '\P{^Is_Block=greekandcoptic}', "");
Expect(0, 1024, '\p{Is_Block=greekandcoptic}', "");
Expect(1, 1024, '\p{^Is_Block=greekandcoptic}', "");
Expect(1, 1024, '\P{Is_Block=greekandcoptic}', "");
Expect(0, 1024, '\P{^Is_Block=greekandcoptic}', "");
Expect(1, 1023, '\p{Is_Block=-Greek_And_Coptic}', "");
Expect(0, 1023, '\p{^Is_Block=-Greek_And_Coptic}', "");
Expect(0, 1023, '\P{Is_Block=-Greek_And_Coptic}', "");
Expect(1, 1023, '\P{^Is_Block=-Greek_And_Coptic}', "");
Expect(0, 1024, '\p{Is_Block=-Greek_And_Coptic}', "");
Expect(1, 1024, '\p{^Is_Block=-Greek_And_Coptic}', "");
Expect(1, 1024, '\P{Is_Block=-Greek_And_Coptic}', "");
Expect(0, 1024, '\P{^Is_Block=-Greek_And_Coptic}', "");
Error('\p{Is_Blk:GREEK:=}');
Error('\P{Is_Blk:GREEK:=}');
Expect(1, 1023, '\p{Is_Blk=greek}', "");
Expect(0, 1023, '\p{^Is_Blk=greek}', "");
Expect(0, 1023, '\P{Is_Blk=greek}', "");
Expect(1, 1023, '\P{^Is_Blk=greek}', "");
Expect(0, 1024, '\p{Is_Blk=greek}', "");
Expect(1, 1024, '\p{^Is_Blk=greek}', "");
Expect(1, 1024, '\P{Is_Blk=greek}', "");
Expect(0, 1024, '\P{^Is_Blk=greek}', "");
Expect(1, 1023, '\p{Is_Blk=_Greek}', "");
Expect(0, 1023, '\p{^Is_Blk=_Greek}', "");
Expect(0, 1023, '\P{Is_Blk=_Greek}', "");
Expect(1, 1023, '\P{^Is_Blk=_Greek}', "");
Expect(0, 1024, '\p{Is_Blk=_Greek}', "");
Expect(1, 1024, '\p{^Is_Blk=_Greek}', "");
Expect(1, 1024, '\P{Is_Blk=_Greek}', "");
Expect(0, 1024, '\P{^Is_Blk=_Greek}', "");
Error('\p{Block=	/a/greek_extended}');
Error('\P{Block=	/a/greek_extended}');
Expect(1, 8191, '\p{Block=greekextended}', "");
Expect(0, 8191, '\p{^Block=greekextended}', "");
Expect(0, 8191, '\P{Block=greekextended}', "");
Expect(1, 8191, '\P{^Block=greekextended}', "");
Expect(0, 8192, '\p{Block=greekextended}', "");
Expect(1, 8192, '\p{^Block=greekextended}', "");
Expect(1, 8192, '\P{Block=greekextended}', "");
Expect(0, 8192, '\P{^Block=greekextended}', "");
Expect(1, 8191, '\p{Block=	_GREEK_extended}', "");
Expect(0, 8191, '\p{^Block=	_GREEK_extended}', "");
Expect(0, 8191, '\P{Block=	_GREEK_extended}', "");
Expect(1, 8191, '\P{^Block=	_GREEK_extended}', "");
Expect(0, 8192, '\p{Block=	_GREEK_extended}', "");
Expect(1, 8192, '\p{^Block=	_GREEK_extended}', "");
Expect(1, 8192, '\P{Block=	_GREEK_extended}', "");
Expect(0, 8192, '\P{^Block=	_GREEK_extended}', "");
Error('\p{Blk: :=GREEK_Ext}');
Error('\P{Blk: :=GREEK_Ext}');
Expect(1, 8191, '\p{Blk=greekext}', "");
Expect(0, 8191, '\p{^Blk=greekext}', "");
Expect(0, 8191, '\P{Blk=greekext}', "");
Expect(1, 8191, '\P{^Blk=greekext}', "");
Expect(0, 8192, '\p{Blk=greekext}', "");
Expect(1, 8192, '\p{^Blk=greekext}', "");
Expect(1, 8192, '\P{Blk=greekext}', "");
Expect(0, 8192, '\P{^Blk=greekext}', "");
Expect(1, 8191, '\p{Blk=GREEK_Ext}', "");
Expect(0, 8191, '\p{^Blk=GREEK_Ext}', "");
Expect(0, 8191, '\P{Blk=GREEK_Ext}', "");
Expect(1, 8191, '\P{^Blk=GREEK_Ext}', "");
Expect(0, 8192, '\p{Blk=GREEK_Ext}', "");
Expect(1, 8192, '\p{^Blk=GREEK_Ext}', "");
Expect(1, 8192, '\P{Blk=GREEK_Ext}', "");
Expect(0, 8192, '\P{^Blk=GREEK_Ext}', "");
Error('\p{Is_Block=-:=Greek_extended}');
Error('\P{Is_Block=-:=Greek_extended}');
Expect(1, 8191, '\p{Is_Block=greekextended}', "");
Expect(0, 8191, '\p{^Is_Block=greekextended}', "");
Expect(0, 8191, '\P{Is_Block=greekextended}', "");
Expect(1, 8191, '\P{^Is_Block=greekextended}', "");
Expect(0, 8192, '\p{Is_Block=greekextended}', "");
Expect(1, 8192, '\p{^Is_Block=greekextended}', "");
Expect(1, 8192, '\P{Is_Block=greekextended}', "");
Expect(0, 8192, '\P{^Is_Block=greekextended}', "");
Expect(1, 8191, '\p{Is_Block=	_greek_Extended}', "");
Expect(0, 8191, '\p{^Is_Block=	_greek_Extended}', "");
Expect(0, 8191, '\P{Is_Block=	_greek_Extended}', "");
Expect(1, 8191, '\P{^Is_Block=	_greek_Extended}', "");
Expect(0, 8192, '\p{Is_Block=	_greek_Extended}', "");
Expect(1, 8192, '\p{^Is_Block=	_greek_Extended}', "");
Expect(1, 8192, '\P{Is_Block=	_greek_Extended}', "");
Expect(0, 8192, '\P{^Is_Block=	_greek_Extended}', "");
Error('\p{Is_Blk=	:=Greek_Ext}');
Error('\P{Is_Blk=	:=Greek_Ext}');
Expect(1, 8191, '\p{Is_Blk=greekext}', "");
Expect(0, 8191, '\p{^Is_Blk=greekext}', "");
Expect(0, 8191, '\P{Is_Blk=greekext}', "");
Expect(1, 8191, '\P{^Is_Blk=greekext}', "");
Expect(0, 8192, '\p{Is_Blk=greekext}', "");
Expect(1, 8192, '\p{^Is_Blk=greekext}', "");
Expect(1, 8192, '\P{Is_Blk=greekext}', "");
Expect(0, 8192, '\P{^Is_Blk=greekext}', "");
Expect(1, 8191, '\p{Is_Blk=_Greek_EXT}', "");
Expect(0, 8191, '\p{^Is_Blk=_Greek_EXT}', "");
Expect(0, 8191, '\P{Is_Blk=_Greek_EXT}', "");
Expect(1, 8191, '\P{^Is_Blk=_Greek_EXT}', "");
Expect(0, 8192, '\p{Is_Blk=_Greek_EXT}', "");
Expect(1, 8192, '\p{^Is_Blk=_Greek_EXT}', "");
Expect(1, 8192, '\P{Is_Blk=_Greek_EXT}', "");
Expect(0, 8192, '\P{^Is_Blk=_Greek_EXT}', "");
Error('\p{Block=/a/		gujarati}');
Error('\P{Block=/a/		gujarati}');
Expect(1, 2815, '\p{Block=gujarati}', "");
Expect(0, 2815, '\p{^Block=gujarati}', "");
Expect(0, 2815, '\P{Block=gujarati}', "");
Expect(1, 2815, '\P{^Block=gujarati}', "");
Expect(0, 2816, '\p{Block=gujarati}', "");
Expect(1, 2816, '\p{^Block=gujarati}', "");
Expect(1, 2816, '\P{Block=gujarati}', "");
Expect(0, 2816, '\P{^Block=gujarati}', "");
Expect(1, 2815, '\p{Block:   	Gujarati}', "");
Expect(0, 2815, '\p{^Block:   	Gujarati}', "");
Expect(0, 2815, '\P{Block:   	Gujarati}', "");
Expect(1, 2815, '\P{^Block:   	Gujarati}', "");
Expect(0, 2816, '\p{Block:   	Gujarati}', "");
Expect(1, 2816, '\p{^Block:   	Gujarati}', "");
Expect(1, 2816, '\P{Block:   	Gujarati}', "");
Expect(0, 2816, '\P{^Block:   	Gujarati}', "");
Error('\p{Blk=	_Gujarati/a/}');
Error('\P{Blk=	_Gujarati/a/}');
Expect(1, 2815, '\p{Blk=gujarati}', "");
Expect(0, 2815, '\p{^Blk=gujarati}', "");
Expect(0, 2815, '\P{Blk=gujarati}', "");
Expect(1, 2815, '\P{^Blk=gujarati}', "");
Expect(0, 2816, '\p{Blk=gujarati}', "");
Expect(1, 2816, '\p{^Blk=gujarati}', "");
Expect(1, 2816, '\P{Blk=gujarati}', "");
Expect(0, 2816, '\P{^Blk=gujarati}', "");
Expect(1, 2815, '\p{Blk=-	gujarati}', "");
Expect(0, 2815, '\p{^Blk=-	gujarati}', "");
Expect(0, 2815, '\P{Blk=-	gujarati}', "");
Expect(1, 2815, '\P{^Blk=-	gujarati}', "");
Expect(0, 2816, '\p{Blk=-	gujarati}', "");
Expect(1, 2816, '\p{^Blk=-	gujarati}', "");
Expect(1, 2816, '\P{Blk=-	gujarati}', "");
Expect(0, 2816, '\P{^Blk=-	gujarati}', "");
Error('\p{Is_Block=:= gujarati}');
Error('\P{Is_Block=:= gujarati}');
Expect(1, 2815, '\p{Is_Block=gujarati}', "");
Expect(0, 2815, '\p{^Is_Block=gujarati}', "");
Expect(0, 2815, '\P{Is_Block=gujarati}', "");
Expect(1, 2815, '\P{^Is_Block=gujarati}', "");
Expect(0, 2816, '\p{Is_Block=gujarati}', "");
Expect(1, 2816, '\p{^Is_Block=gujarati}', "");
Expect(1, 2816, '\P{Is_Block=gujarati}', "");
Expect(0, 2816, '\P{^Is_Block=gujarati}', "");
Expect(1, 2815, '\p{Is_Block=_GUJARATI}', "");
Expect(0, 2815, '\p{^Is_Block=_GUJARATI}', "");
Expect(0, 2815, '\P{Is_Block=_GUJARATI}', "");
Expect(1, 2815, '\P{^Is_Block=_GUJARATI}', "");
Expect(0, 2816, '\p{Is_Block=_GUJARATI}', "");
Expect(1, 2816, '\p{^Is_Block=_GUJARATI}', "");
Expect(1, 2816, '\P{Is_Block=_GUJARATI}', "");
Expect(0, 2816, '\P{^Is_Block=_GUJARATI}', "");
Error('\p{Is_Blk=-:=Gujarati}');
Error('\P{Is_Blk=-:=Gujarati}');
Expect(1, 2815, '\p{Is_Blk=gujarati}', "");
Expect(0, 2815, '\p{^Is_Blk=gujarati}', "");
Expect(0, 2815, '\P{Is_Blk=gujarati}', "");
Expect(1, 2815, '\P{^Is_Blk=gujarati}', "");
Expect(0, 2816, '\p{Is_Blk=gujarati}', "");
Expect(1, 2816, '\p{^Is_Blk=gujarati}', "");
Expect(1, 2816, '\P{Is_Blk=gujarati}', "");
Expect(0, 2816, '\P{^Is_Blk=gujarati}', "");
Expect(1, 2815, '\p{Is_Blk=		gujarati}', "");
Expect(0, 2815, '\p{^Is_Blk=		gujarati}', "");
Expect(0, 2815, '\P{Is_Blk=		gujarati}', "");
Expect(1, 2815, '\P{^Is_Blk=		gujarati}', "");
Expect(0, 2816, '\p{Is_Blk=		gujarati}', "");
Expect(1, 2816, '\p{^Is_Blk=		gujarati}', "");
Expect(1, 2816, '\P{Is_Blk=		gujarati}', "");
Expect(0, 2816, '\P{^Is_Blk=		gujarati}', "");
Error('\p{Block=-gurmukhi:=}');
Error('\P{Block=-gurmukhi:=}');
Expect(1, 2687, '\p{Block=gurmukhi}', "");
Expect(0, 2687, '\p{^Block=gurmukhi}', "");
Expect(0, 2687, '\P{Block=gurmukhi}', "");
Expect(1, 2687, '\P{^Block=gurmukhi}', "");
Expect(0, 2688, '\p{Block=gurmukhi}', "");
Expect(1, 2688, '\p{^Block=gurmukhi}', "");
Expect(1, 2688, '\P{Block=gurmukhi}', "");
Expect(0, 2688, '\P{^Block=gurmukhi}', "");
Expect(1, 2687, '\p{Block=	_gurmukhi}', "");
Expect(0, 2687, '\p{^Block=	_gurmukhi}', "");
Expect(0, 2687, '\P{Block=	_gurmukhi}', "");
Expect(1, 2687, '\P{^Block=	_gurmukhi}', "");
Expect(0, 2688, '\p{Block=	_gurmukhi}', "");
Expect(1, 2688, '\p{^Block=	_gurmukhi}', "");
Expect(1, 2688, '\P{Block=	_gurmukhi}', "");
Expect(0, 2688, '\P{^Block=	_gurmukhi}', "");
Error('\p{Blk= Gurmukhi/a/}');
Error('\P{Blk= Gurmukhi/a/}');
Expect(1, 2687, '\p{Blk=gurmukhi}', "");
Expect(0, 2687, '\p{^Blk=gurmukhi}', "");
Expect(0, 2687, '\P{Blk=gurmukhi}', "");
Expect(1, 2687, '\P{^Blk=gurmukhi}', "");
Expect(0, 2688, '\p{Blk=gurmukhi}', "");
Expect(1, 2688, '\p{^Blk=gurmukhi}', "");
Expect(1, 2688, '\P{Blk=gurmukhi}', "");
Expect(0, 2688, '\P{^Blk=gurmukhi}', "");
Expect(1, 2687, '\p{Blk: GURMUKHI}', "");
Expect(0, 2687, '\p{^Blk: GURMUKHI}', "");
Expect(0, 2687, '\P{Blk: GURMUKHI}', "");
Expect(1, 2687, '\P{^Blk: GURMUKHI}', "");
Expect(0, 2688, '\p{Blk: GURMUKHI}', "");
Expect(1, 2688, '\p{^Blk: GURMUKHI}', "");
Expect(1, 2688, '\P{Blk: GURMUKHI}', "");
Expect(0, 2688, '\P{^Blk: GURMUKHI}', "");
Error('\p{Is_Block=_-Gurmukhi:=}');
Error('\P{Is_Block=_-Gurmukhi:=}');
Expect(1, 2687, '\p{Is_Block=gurmukhi}', "");
Expect(0, 2687, '\p{^Is_Block=gurmukhi}', "");
Expect(0, 2687, '\P{Is_Block=gurmukhi}', "");
Expect(1, 2687, '\P{^Is_Block=gurmukhi}', "");
Expect(0, 2688, '\p{Is_Block=gurmukhi}', "");
Expect(1, 2688, '\p{^Is_Block=gurmukhi}', "");
Expect(1, 2688, '\P{Is_Block=gurmukhi}', "");
Expect(0, 2688, '\P{^Is_Block=gurmukhi}', "");
Expect(1, 2687, '\p{Is_Block=	 Gurmukhi}', "");
Expect(0, 2687, '\p{^Is_Block=	 Gurmukhi}', "");
Expect(0, 2687, '\P{Is_Block=	 Gurmukhi}', "");
Expect(1, 2687, '\P{^Is_Block=	 Gurmukhi}', "");
Expect(0, 2688, '\p{Is_Block=	 Gurmukhi}', "");
Expect(1, 2688, '\p{^Is_Block=	 Gurmukhi}', "");
Expect(1, 2688, '\P{Is_Block=	 Gurmukhi}', "");
Expect(0, 2688, '\P{^Is_Block=	 Gurmukhi}', "");
Error('\p{Is_Blk=	-Gurmukhi:=}');
Error('\P{Is_Blk=	-Gurmukhi:=}');
Expect(1, 2687, '\p{Is_Blk=gurmukhi}', "");
Expect(0, 2687, '\p{^Is_Blk=gurmukhi}', "");
Expect(0, 2687, '\P{Is_Blk=gurmukhi}', "");
Expect(1, 2687, '\P{^Is_Blk=gurmukhi}', "");
Expect(0, 2688, '\p{Is_Blk=gurmukhi}', "");
Expect(1, 2688, '\p{^Is_Blk=gurmukhi}', "");
Expect(1, 2688, '\P{Is_Blk=gurmukhi}', "");
Expect(0, 2688, '\P{^Is_Blk=gurmukhi}', "");
Expect(1, 2687, '\p{Is_Blk= -Gurmukhi}', "");
Expect(0, 2687, '\p{^Is_Blk= -Gurmukhi}', "");
Expect(0, 2687, '\P{Is_Blk= -Gurmukhi}', "");
Expect(1, 2687, '\P{^Is_Blk= -Gurmukhi}', "");
Expect(0, 2688, '\p{Is_Blk= -Gurmukhi}', "");
Expect(1, 2688, '\p{^Is_Blk= -Gurmukhi}', "");
Expect(1, 2688, '\P{Is_Blk= -Gurmukhi}', "");
Expect(0, 2688, '\P{^Is_Blk= -Gurmukhi}', "");
Error('\p{Block=:=--HALFWIDTH_AND_Fullwidth_forms}');
Error('\P{Block=:=--HALFWIDTH_AND_Fullwidth_forms}');
Expect(1, 65519, '\p{Block=halfwidthandfullwidthforms}', "");
Expect(0, 65519, '\p{^Block=halfwidthandfullwidthforms}', "");
Expect(0, 65519, '\P{Block=halfwidthandfullwidthforms}', "");
Expect(1, 65519, '\P{^Block=halfwidthandfullwidthforms}', "");
Expect(0, 65520, '\p{Block=halfwidthandfullwidthforms}', "");
Expect(1, 65520, '\p{^Block=halfwidthandfullwidthforms}', "");
Expect(1, 65520, '\P{Block=halfwidthandfullwidthforms}', "");
Expect(0, 65520, '\P{^Block=halfwidthandfullwidthforms}', "");
Expect(1, 65519, '\p{Block=halfwidth_And_FULLWIDTH_Forms}', "");
Expect(0, 65519, '\p{^Block=halfwidth_And_FULLWIDTH_Forms}', "");
Expect(0, 65519, '\P{Block=halfwidth_And_FULLWIDTH_Forms}', "");
Expect(1, 65519, '\P{^Block=halfwidth_And_FULLWIDTH_Forms}', "");
Expect(0, 65520, '\p{Block=halfwidth_And_FULLWIDTH_Forms}', "");
Expect(1, 65520, '\p{^Block=halfwidth_And_FULLWIDTH_Forms}', "");
Expect(1, 65520, '\P{Block=halfwidth_And_FULLWIDTH_Forms}', "");
Expect(0, 65520, '\P{^Block=halfwidth_And_FULLWIDTH_Forms}', "");
Error('\p{Blk=_Half_And_Full_Forms/a/}');
Error('\P{Blk=_Half_And_Full_Forms/a/}');
Expect(1, 65519, '\p{Blk=halfandfullforms}', "");
Expect(0, 65519, '\p{^Blk=halfandfullforms}', "");
Expect(0, 65519, '\P{Blk=halfandfullforms}', "");
Expect(1, 65519, '\P{^Blk=halfandfullforms}', "");
Expect(0, 65520, '\p{Blk=halfandfullforms}', "");
Expect(1, 65520, '\p{^Blk=halfandfullforms}', "");
Expect(1, 65520, '\P{Blk=halfandfullforms}', "");
Expect(0, 65520, '\P{^Blk=halfandfullforms}', "");
Expect(1, 65519, '\p{Blk=_Half_AND_Full_Forms}', "");
Expect(0, 65519, '\p{^Blk=_Half_AND_Full_Forms}', "");
Expect(0, 65519, '\P{Blk=_Half_AND_Full_Forms}', "");
Expect(1, 65519, '\P{^Blk=_Half_AND_Full_Forms}', "");
Expect(0, 65520, '\p{Blk=_Half_AND_Full_Forms}', "");
Expect(1, 65520, '\p{^Blk=_Half_AND_Full_Forms}', "");
Expect(1, 65520, '\P{Blk=_Half_AND_Full_Forms}', "");
Expect(0, 65520, '\P{^Blk=_Half_AND_Full_Forms}', "");
Error('\p{Is_Block: 	/a/HALFWIDTH_and_fullwidth_FORMS}');
Error('\P{Is_Block: 	/a/HALFWIDTH_and_fullwidth_FORMS}');
Expect(1, 65519, '\p{Is_Block=halfwidthandfullwidthforms}', "");
Expect(0, 65519, '\p{^Is_Block=halfwidthandfullwidthforms}', "");
Expect(0, 65519, '\P{Is_Block=halfwidthandfullwidthforms}', "");
Expect(1, 65519, '\P{^Is_Block=halfwidthandfullwidthforms}', "");
Expect(0, 65520, '\p{Is_Block=halfwidthandfullwidthforms}', "");
Expect(1, 65520, '\p{^Is_Block=halfwidthandfullwidthforms}', "");
Expect(1, 65520, '\P{Is_Block=halfwidthandfullwidthforms}', "");
Expect(0, 65520, '\P{^Is_Block=halfwidthandfullwidthforms}', "");
Expect(1, 65519, '\p{Is_Block=	Halfwidth_and_fullwidth_forms}', "");
Expect(0, 65519, '\p{^Is_Block=	Halfwidth_and_fullwidth_forms}', "");
Expect(0, 65519, '\P{Is_Block=	Halfwidth_and_fullwidth_forms}', "");
Expect(1, 65519, '\P{^Is_Block=	Halfwidth_and_fullwidth_forms}', "");
Expect(0, 65520, '\p{Is_Block=	Halfwidth_and_fullwidth_forms}', "");
Expect(1, 65520, '\p{^Is_Block=	Halfwidth_and_fullwidth_forms}', "");
Expect(1, 65520, '\P{Is_Block=	Halfwidth_and_fullwidth_forms}', "");
Expect(0, 65520, '\P{^Is_Block=	Halfwidth_and_fullwidth_forms}', "");
Error('\p{Is_Blk=-Half_and_FULL_Forms/a/}');
Error('\P{Is_Blk=-Half_and_FULL_Forms/a/}');
Expect(1, 65519, '\p{Is_Blk=halfandfullforms}', "");
Expect(0, 65519, '\p{^Is_Blk=halfandfullforms}', "");
Expect(0, 65519, '\P{Is_Blk=halfandfullforms}', "");
Expect(1, 65519, '\P{^Is_Blk=halfandfullforms}', "");
Expect(0, 65520, '\p{Is_Blk=halfandfullforms}', "");
Expect(1, 65520, '\p{^Is_Blk=halfandfullforms}', "");
Expect(1, 65520, '\P{Is_Blk=halfandfullforms}', "");
Expect(0, 65520, '\P{^Is_Blk=halfandfullforms}', "");
Expect(1, 65519, '\p{Is_Blk=	Half_and_Full_forms}', "");
Expect(0, 65519, '\p{^Is_Blk=	Half_and_Full_forms}', "");
Expect(0, 65519, '\P{Is_Blk=	Half_and_Full_forms}', "");
Expect(1, 65519, '\P{^Is_Blk=	Half_and_Full_forms}', "");
Expect(0, 65520, '\p{Is_Blk=	Half_and_Full_forms}', "");
Expect(1, 65520, '\p{^Is_Blk=	Half_and_Full_forms}', "");
Expect(1, 65520, '\P{Is_Blk=	Half_and_Full_forms}', "");
Expect(0, 65520, '\P{^Is_Blk=	Half_and_Full_forms}', "");
Error('\p{Block= 	Combining_HALF_Marks/a/}');
Error('\P{Block= 	Combining_HALF_Marks/a/}');
Expect(1, 65071, '\p{Block=combininghalfmarks}', "");
Expect(0, 65071, '\p{^Block=combininghalfmarks}', "");
Expect(0, 65071, '\P{Block=combininghalfmarks}', "");
Expect(1, 65071, '\P{^Block=combininghalfmarks}', "");
Expect(0, 65072, '\p{Block=combininghalfmarks}', "");
Expect(1, 65072, '\p{^Block=combininghalfmarks}', "");
Expect(1, 65072, '\P{Block=combininghalfmarks}', "");
Expect(0, 65072, '\P{^Block=combininghalfmarks}', "");
Expect(1, 65071, '\p{Block=-COMBINING_half_MARKS}', "");
Expect(0, 65071, '\p{^Block=-COMBINING_half_MARKS}', "");
Expect(0, 65071, '\P{Block=-COMBINING_half_MARKS}', "");
Expect(1, 65071, '\P{^Block=-COMBINING_half_MARKS}', "");
Expect(0, 65072, '\p{Block=-COMBINING_half_MARKS}', "");
Expect(1, 65072, '\p{^Block=-COMBINING_half_MARKS}', "");
Expect(1, 65072, '\P{Block=-COMBINING_half_MARKS}', "");
Expect(0, 65072, '\P{^Block=-COMBINING_half_MARKS}', "");
Error('\p{Blk=	:=Half_MARKS}');
Error('\P{Blk=	:=Half_MARKS}');
Expect(1, 65071, '\p{Blk: halfmarks}', "");
Expect(0, 65071, '\p{^Blk: halfmarks}', "");
Expect(0, 65071, '\P{Blk: halfmarks}', "");
Expect(1, 65071, '\P{^Blk: halfmarks}', "");
Expect(0, 65072, '\p{Blk: halfmarks}', "");
Expect(1, 65072, '\p{^Blk: halfmarks}', "");
Expect(1, 65072, '\P{Blk: halfmarks}', "");
Expect(0, 65072, '\P{^Blk: halfmarks}', "");
Expect(1, 65071, '\p{Blk=--Half_Marks}', "");
Expect(0, 65071, '\p{^Blk=--Half_Marks}', "");
Expect(0, 65071, '\P{Blk=--Half_Marks}', "");
Expect(1, 65071, '\P{^Blk=--Half_Marks}', "");
Expect(0, 65072, '\p{Blk=--Half_Marks}', "");
Expect(1, 65072, '\p{^Blk=--Half_Marks}', "");
Expect(1, 65072, '\P{Blk=--Half_Marks}', "");
Expect(0, 65072, '\P{^Blk=--Half_Marks}', "");
Error('\p{Is_Block=/a/  Combining_Half_Marks}');
Error('\P{Is_Block=/a/  Combining_Half_Marks}');
Expect(1, 65071, '\p{Is_Block=combininghalfmarks}', "");
Expect(0, 65071, '\p{^Is_Block=combininghalfmarks}', "");
Expect(0, 65071, '\P{Is_Block=combininghalfmarks}', "");
Expect(1, 65071, '\P{^Is_Block=combininghalfmarks}', "");
Expect(0, 65072, '\p{Is_Block=combininghalfmarks}', "");
Expect(1, 65072, '\p{^Is_Block=combininghalfmarks}', "");
Expect(1, 65072, '\P{Is_Block=combininghalfmarks}', "");
Expect(0, 65072, '\P{^Is_Block=combininghalfmarks}', "");
Expect(1, 65071, '\p{Is_Block=_ Combining_half_Marks}', "");
Expect(0, 65071, '\p{^Is_Block=_ Combining_half_Marks}', "");
Expect(0, 65071, '\P{Is_Block=_ Combining_half_Marks}', "");
Expect(1, 65071, '\P{^Is_Block=_ Combining_half_Marks}', "");
Expect(0, 65072, '\p{Is_Block=_ Combining_half_Marks}', "");
Expect(1, 65072, '\p{^Is_Block=_ Combining_half_Marks}', "");
Expect(1, 65072, '\P{Is_Block=_ Combining_half_Marks}', "");
Expect(0, 65072, '\P{^Is_Block=_ Combining_half_Marks}', "");
Error('\p{Is_Blk=/a/ -half_Marks}');
Error('\P{Is_Blk=/a/ -half_Marks}');
Expect(1, 65071, '\p{Is_Blk: halfmarks}', "");
Expect(0, 65071, '\p{^Is_Blk: halfmarks}', "");
Expect(0, 65071, '\P{Is_Blk: halfmarks}', "");
Expect(1, 65071, '\P{^Is_Blk: halfmarks}', "");
Expect(0, 65072, '\p{Is_Blk: halfmarks}', "");
Expect(1, 65072, '\p{^Is_Blk: halfmarks}', "");
Expect(1, 65072, '\P{Is_Blk: halfmarks}', "");
Expect(0, 65072, '\P{^Is_Blk: halfmarks}', "");
Expect(1, 65071, '\p{Is_Blk:	--HALF_marks}', "");
Expect(0, 65071, '\p{^Is_Blk:	--HALF_marks}', "");
Expect(0, 65071, '\P{Is_Blk:	--HALF_marks}', "");
Expect(1, 65071, '\P{^Is_Blk:	--HALF_marks}', "");
Expect(0, 65072, '\p{Is_Blk:	--HALF_marks}', "");
Expect(1, 65072, '\p{^Is_Blk:	--HALF_marks}', "");
Expect(1, 65072, '\P{Is_Blk:	--HALF_marks}', "");
Expect(0, 65072, '\P{^Is_Blk:	--HALF_marks}', "");
Error('\p{Block=:=	-hangul_SYLLABLES}');
Error('\P{Block=:=	-hangul_SYLLABLES}');
Expect(1, 55215, '\p{Block=hangulsyllables}', "");
Expect(0, 55215, '\p{^Block=hangulsyllables}', "");
Expect(0, 55215, '\P{Block=hangulsyllables}', "");
Expect(1, 55215, '\P{^Block=hangulsyllables}', "");
Expect(0, 55216, '\p{Block=hangulsyllables}', "");
Expect(1, 55216, '\p{^Block=hangulsyllables}', "");
Expect(1, 55216, '\P{Block=hangulsyllables}', "");
Expect(0, 55216, '\P{^Block=hangulsyllables}', "");
Expect(1, 55215, '\p{Block=--HANGUL_Syllables}', "");
Expect(0, 55215, '\p{^Block=--HANGUL_Syllables}', "");
Expect(0, 55215, '\P{Block=--HANGUL_Syllables}', "");
Expect(1, 55215, '\P{^Block=--HANGUL_Syllables}', "");
Expect(0, 55216, '\p{Block=--HANGUL_Syllables}', "");
Expect(1, 55216, '\p{^Block=--HANGUL_Syllables}', "");
Expect(1, 55216, '\P{Block=--HANGUL_Syllables}', "");
Expect(0, 55216, '\P{^Block=--HANGUL_Syllables}', "");
Error('\p{Blk=/a/	Hangul}');
Error('\P{Blk=/a/	Hangul}');
Expect(1, 55215, '\p{Blk=hangul}', "");
Expect(0, 55215, '\p{^Blk=hangul}', "");
Expect(0, 55215, '\P{Blk=hangul}', "");
Expect(1, 55215, '\P{^Blk=hangul}', "");
Expect(0, 55216, '\p{Blk=hangul}', "");
Expect(1, 55216, '\p{^Blk=hangul}', "");
Expect(1, 55216, '\P{Blk=hangul}', "");
Expect(0, 55216, '\P{^Blk=hangul}', "");
Expect(1, 55215, '\p{Blk=  hangul}', "");
Expect(0, 55215, '\p{^Blk=  hangul}', "");
Expect(0, 55215, '\P{Blk=  hangul}', "");
Expect(1, 55215, '\P{^Blk=  hangul}', "");
Expect(0, 55216, '\p{Blk=  hangul}', "");
Expect(1, 55216, '\p{^Blk=  hangul}', "");
Expect(1, 55216, '\P{Blk=  hangul}', "");
Expect(0, 55216, '\P{^Blk=  hangul}', "");
Error('\p{Is_Block=	:=HANGUL_syllables}');
Error('\P{Is_Block=	:=HANGUL_syllables}');
Expect(1, 55215, '\p{Is_Block=hangulsyllables}', "");
Expect(0, 55215, '\p{^Is_Block=hangulsyllables}', "");
Expect(0, 55215, '\P{Is_Block=hangulsyllables}', "");
Expect(1, 55215, '\P{^Is_Block=hangulsyllables}', "");
Expect(0, 55216, '\p{Is_Block=hangulsyllables}', "");
Expect(1, 55216, '\p{^Is_Block=hangulsyllables}', "");
Expect(1, 55216, '\P{Is_Block=hangulsyllables}', "");
Expect(0, 55216, '\P{^Is_Block=hangulsyllables}', "");
Expect(1, 55215, '\p{Is_Block=	-Hangul_syllables}', "");
Expect(0, 55215, '\p{^Is_Block=	-Hangul_syllables}', "");
Expect(0, 55215, '\P{Is_Block=	-Hangul_syllables}', "");
Expect(1, 55215, '\P{^Is_Block=	-Hangul_syllables}', "");
Expect(0, 55216, '\p{Is_Block=	-Hangul_syllables}', "");
Expect(1, 55216, '\p{^Is_Block=	-Hangul_syllables}', "");
Expect(1, 55216, '\P{Is_Block=	-Hangul_syllables}', "");
Expect(0, 55216, '\P{^Is_Block=	-Hangul_syllables}', "");
Error('\p{Is_Blk:    -Hangul/a/}');
Error('\P{Is_Blk:    -Hangul/a/}');
Expect(1, 55215, '\p{Is_Blk:   hangul}', "");
Expect(0, 55215, '\p{^Is_Blk:   hangul}', "");
Expect(0, 55215, '\P{Is_Blk:   hangul}', "");
Expect(1, 55215, '\P{^Is_Blk:   hangul}', "");
Expect(0, 55216, '\p{Is_Blk:   hangul}', "");
Expect(1, 55216, '\p{^Is_Blk:   hangul}', "");
Expect(1, 55216, '\P{Is_Blk:   hangul}', "");
Expect(0, 55216, '\P{^Is_Blk:   hangul}', "");
Expect(1, 55215, '\p{Is_Blk=		Hangul}', "");
Expect(0, 55215, '\p{^Is_Blk=		Hangul}', "");
Expect(0, 55215, '\P{Is_Blk=		Hangul}', "");
Expect(1, 55215, '\P{^Is_Blk=		Hangul}', "");
Expect(0, 55216, '\p{Is_Blk=		Hangul}', "");
Expect(1, 55216, '\p{^Is_Blk=		Hangul}', "");
Expect(1, 55216, '\P{Is_Blk=		Hangul}', "");
Expect(0, 55216, '\P{^Is_Blk=		Hangul}', "");
Error('\p{Block=:=	-HANUNOO}');
Error('\P{Block=:=	-HANUNOO}');
Expect(1, 5951, '\p{Block: hanunoo}', "");
Expect(0, 5951, '\p{^Block: hanunoo}', "");
Expect(0, 5951, '\P{Block: hanunoo}', "");
Expect(1, 5951, '\P{^Block: hanunoo}', "");
Expect(0, 5952, '\p{Block: hanunoo}', "");
Expect(1, 5952, '\p{^Block: hanunoo}', "");
Expect(1, 5952, '\P{Block: hanunoo}', "");
Expect(0, 5952, '\P{^Block: hanunoo}', "");
Expect(1, 5951, '\p{Block= HANUNOO}', "");
Expect(0, 5951, '\p{^Block= HANUNOO}', "");
Expect(0, 5951, '\P{Block= HANUNOO}', "");
Expect(1, 5951, '\P{^Block= HANUNOO}', "");
Expect(0, 5952, '\p{Block= HANUNOO}', "");
Expect(1, 5952, '\p{^Block= HANUNOO}', "");
Expect(1, 5952, '\P{Block= HANUNOO}', "");
Expect(0, 5952, '\P{^Block= HANUNOO}', "");
Error('\p{Blk=/a/hanunoo}');
Error('\P{Blk=/a/hanunoo}');
Expect(1, 5951, '\p{Blk=hanunoo}', "");
Expect(0, 5951, '\p{^Blk=hanunoo}', "");
Expect(0, 5951, '\P{Blk=hanunoo}', "");
Expect(1, 5951, '\P{^Blk=hanunoo}', "");
Expect(0, 5952, '\p{Blk=hanunoo}', "");
Expect(1, 5952, '\p{^Blk=hanunoo}', "");
Expect(1, 5952, '\P{Blk=hanunoo}', "");
Expect(0, 5952, '\P{^Blk=hanunoo}', "");
Expect(1, 5951, '\p{Blk:   -	hanunoo}', "");
Expect(0, 5951, '\p{^Blk:   -	hanunoo}', "");
Expect(0, 5951, '\P{Blk:   -	hanunoo}', "");
Expect(1, 5951, '\P{^Blk:   -	hanunoo}', "");
Expect(0, 5952, '\p{Blk:   -	hanunoo}', "");
Expect(1, 5952, '\p{^Blk:   -	hanunoo}', "");
Expect(1, 5952, '\P{Blk:   -	hanunoo}', "");
Expect(0, 5952, '\P{^Blk:   -	hanunoo}', "");
Error('\p{Is_Block=:= 	Hanunoo}');
Error('\P{Is_Block=:= 	Hanunoo}');
Expect(1, 5951, '\p{Is_Block=hanunoo}', "");
Expect(0, 5951, '\p{^Is_Block=hanunoo}', "");
Expect(0, 5951, '\P{Is_Block=hanunoo}', "");
Expect(1, 5951, '\P{^Is_Block=hanunoo}', "");
Expect(0, 5952, '\p{Is_Block=hanunoo}', "");
Expect(1, 5952, '\p{^Is_Block=hanunoo}', "");
Expect(1, 5952, '\P{Is_Block=hanunoo}', "");
Expect(0, 5952, '\P{^Is_Block=hanunoo}', "");
Expect(1, 5951, '\p{Is_Block=_ HANUNOO}', "");
Expect(0, 5951, '\p{^Is_Block=_ HANUNOO}', "");
Expect(0, 5951, '\P{Is_Block=_ HANUNOO}', "");
Expect(1, 5951, '\P{^Is_Block=_ HANUNOO}', "");
Expect(0, 5952, '\p{Is_Block=_ HANUNOO}', "");
Expect(1, 5952, '\p{^Is_Block=_ HANUNOO}', "");
Expect(1, 5952, '\P{Is_Block=_ HANUNOO}', "");
Expect(0, 5952, '\P{^Is_Block=_ HANUNOO}', "");
Error('\p{Is_Blk: _-Hanunoo/a/}');
Error('\P{Is_Blk: _-Hanunoo/a/}');
Expect(1, 5951, '\p{Is_Blk=hanunoo}', "");
Expect(0, 5951, '\p{^Is_Blk=hanunoo}', "");
Expect(0, 5951, '\P{Is_Blk=hanunoo}', "");
Expect(1, 5951, '\P{^Is_Blk=hanunoo}', "");
Expect(0, 5952, '\p{Is_Blk=hanunoo}', "");
Expect(1, 5952, '\p{^Is_Blk=hanunoo}', "");
Expect(1, 5952, '\P{Is_Blk=hanunoo}', "");
Expect(0, 5952, '\P{^Is_Blk=hanunoo}', "");
Expect(1, 5951, '\p{Is_Blk=	 Hanunoo}', "");
Expect(0, 5951, '\p{^Is_Blk=	 Hanunoo}', "");
Expect(0, 5951, '\P{Is_Blk=	 Hanunoo}', "");
Expect(1, 5951, '\P{^Is_Blk=	 Hanunoo}', "");
Expect(0, 5952, '\p{Is_Blk=	 Hanunoo}', "");
Expect(1, 5952, '\p{^Is_Blk=	 Hanunoo}', "");
Expect(1, 5952, '\P{Is_Blk=	 Hanunoo}', "");
Expect(0, 5952, '\P{^Is_Blk=	 Hanunoo}', "");
Error('\p{Block=:=HATRAN}');
Error('\P{Block=:=HATRAN}');
Expect(1, 67839, '\p{Block=hatran}', "");
Expect(0, 67839, '\p{^Block=hatran}', "");
Expect(0, 67839, '\P{Block=hatran}', "");
Expect(1, 67839, '\P{^Block=hatran}', "");
Expect(0, 67840, '\p{Block=hatran}', "");
Expect(1, 67840, '\p{^Block=hatran}', "");
Expect(1, 67840, '\P{Block=hatran}', "");
Expect(0, 67840, '\P{^Block=hatran}', "");
Expect(1, 67839, '\p{Block=_	HATRAN}', "");
Expect(0, 67839, '\p{^Block=_	HATRAN}', "");
Expect(0, 67839, '\P{Block=_	HATRAN}', "");
Expect(1, 67839, '\P{^Block=_	HATRAN}', "");
Expect(0, 67840, '\p{Block=_	HATRAN}', "");
Expect(1, 67840, '\p{^Block=_	HATRAN}', "");
Expect(1, 67840, '\P{Block=_	HATRAN}', "");
Expect(0, 67840, '\P{^Block=_	HATRAN}', "");
Error('\p{Blk=:= Hatran}');
Error('\P{Blk=:= Hatran}');
Expect(1, 67839, '\p{Blk=hatran}', "");
Expect(0, 67839, '\p{^Blk=hatran}', "");
Expect(0, 67839, '\P{Blk=hatran}', "");
Expect(1, 67839, '\P{^Blk=hatran}', "");
Expect(0, 67840, '\p{Blk=hatran}', "");
Expect(1, 67840, '\p{^Blk=hatran}', "");
Expect(1, 67840, '\P{Blk=hatran}', "");
Expect(0, 67840, '\P{^Blk=hatran}', "");
Expect(1, 67839, '\p{Blk=_-hatran}', "");
Expect(0, 67839, '\p{^Blk=_-hatran}', "");
Expect(0, 67839, '\P{Blk=_-hatran}', "");
Expect(1, 67839, '\P{^Blk=_-hatran}', "");
Expect(0, 67840, '\p{Blk=_-hatran}', "");
Expect(1, 67840, '\p{^Blk=_-hatran}', "");
Expect(1, 67840, '\P{Blk=_-hatran}', "");
Expect(0, 67840, '\P{^Blk=_-hatran}', "");
Error('\p{Is_Block=_hatran/a/}');
Error('\P{Is_Block=_hatran/a/}');
Expect(1, 67839, '\p{Is_Block=hatran}', "");
Expect(0, 67839, '\p{^Is_Block=hatran}', "");
Expect(0, 67839, '\P{Is_Block=hatran}', "");
Expect(1, 67839, '\P{^Is_Block=hatran}', "");
Expect(0, 67840, '\p{Is_Block=hatran}', "");
Expect(1, 67840, '\p{^Is_Block=hatran}', "");
Expect(1, 67840, '\P{Is_Block=hatran}', "");
Expect(0, 67840, '\P{^Is_Block=hatran}', "");
Expect(1, 67839, '\p{Is_Block:--Hatran}', "");
Expect(0, 67839, '\p{^Is_Block:--Hatran}', "");
Expect(0, 67839, '\P{Is_Block:--Hatran}', "");
Expect(1, 67839, '\P{^Is_Block:--Hatran}', "");
Expect(0, 67840, '\p{Is_Block:--Hatran}', "");
Expect(1, 67840, '\p{^Is_Block:--Hatran}', "");
Expect(1, 67840, '\P{Is_Block:--Hatran}', "");
Expect(0, 67840, '\P{^Is_Block:--Hatran}', "");
Error('\p{Is_Blk:    _HATRAN/a/}');
Error('\P{Is_Blk:    _HATRAN/a/}');
Expect(1, 67839, '\p{Is_Blk:	hatran}', "");
Expect(0, 67839, '\p{^Is_Blk:	hatran}', "");
Expect(0, 67839, '\P{Is_Blk:	hatran}', "");
Expect(1, 67839, '\P{^Is_Blk:	hatran}', "");
Expect(0, 67840, '\p{Is_Blk:	hatran}', "");
Expect(1, 67840, '\p{^Is_Blk:	hatran}', "");
Expect(1, 67840, '\P{Is_Blk:	hatran}', "");
Expect(0, 67840, '\P{^Is_Blk:	hatran}', "");
Expect(1, 67839, '\p{Is_Blk=		Hatran}', "");
Expect(0, 67839, '\p{^Is_Blk=		Hatran}', "");
Expect(0, 67839, '\P{Is_Blk=		Hatran}', "");
Expect(1, 67839, '\P{^Is_Blk=		Hatran}', "");
Expect(0, 67840, '\p{Is_Blk=		Hatran}', "");
Expect(1, 67840, '\p{^Is_Blk=		Hatran}', "");
Expect(1, 67840, '\P{Is_Blk=		Hatran}', "");
Expect(0, 67840, '\P{^Is_Blk=		Hatran}', "");
Error('\p{Block=/a/_Hebrew}');
Error('\P{Block=/a/_Hebrew}');
Expect(1, 1535, '\p{Block=hebrew}', "");
Expect(0, 1535, '\p{^Block=hebrew}', "");
Expect(0, 1535, '\P{Block=hebrew}', "");
Expect(1, 1535, '\P{^Block=hebrew}', "");
Expect(0, 1536, '\p{Block=hebrew}', "");
Expect(1, 1536, '\p{^Block=hebrew}', "");
Expect(1, 1536, '\P{Block=hebrew}', "");
Expect(0, 1536, '\P{^Block=hebrew}', "");
Expect(1, 1535, '\p{Block=  Hebrew}', "");
Expect(0, 1535, '\p{^Block=  Hebrew}', "");
Expect(0, 1535, '\P{Block=  Hebrew}', "");
Expect(1, 1535, '\P{^Block=  Hebrew}', "");
Expect(0, 1536, '\p{Block=  Hebrew}', "");
Expect(1, 1536, '\p{^Block=  Hebrew}', "");
Expect(1, 1536, '\P{Block=  Hebrew}', "");
Expect(0, 1536, '\P{^Block=  Hebrew}', "");
Error('\p{Blk=:=-_HEBREW}');
Error('\P{Blk=:=-_HEBREW}');
Expect(1, 1535, '\p{Blk: hebrew}', "");
Expect(0, 1535, '\p{^Blk: hebrew}', "");
Expect(0, 1535, '\P{Blk: hebrew}', "");
Expect(1, 1535, '\P{^Blk: hebrew}', "");
Expect(0, 1536, '\p{Blk: hebrew}', "");
Expect(1, 1536, '\p{^Blk: hebrew}', "");
Expect(1, 1536, '\P{Blk: hebrew}', "");
Expect(0, 1536, '\P{^Blk: hebrew}', "");
Expect(1, 1535, '\p{Blk=-_hebrew}', "");
Expect(0, 1535, '\p{^Blk=-_hebrew}', "");
Expect(0, 1535, '\P{Blk=-_hebrew}', "");
Expect(1, 1535, '\P{^Blk=-_hebrew}', "");
Expect(0, 1536, '\p{Blk=-_hebrew}', "");
Expect(1, 1536, '\p{^Blk=-_hebrew}', "");
Expect(1, 1536, '\P{Blk=-_hebrew}', "");
Expect(0, 1536, '\P{^Blk=-_hebrew}', "");
Error('\p{Is_Block=:=	_HEBREW}');
Error('\P{Is_Block=:=	_HEBREW}');
Expect(1, 1535, '\p{Is_Block=hebrew}', "");
Expect(0, 1535, '\p{^Is_Block=hebrew}', "");
Expect(0, 1535, '\P{Is_Block=hebrew}', "");
Expect(1, 1535, '\P{^Is_Block=hebrew}', "");
Expect(0, 1536, '\p{Is_Block=hebrew}', "");
Expect(1, 1536, '\p{^Is_Block=hebrew}', "");
Expect(1, 1536, '\P{Is_Block=hebrew}', "");
Expect(0, 1536, '\P{^Is_Block=hebrew}', "");
Expect(1, 1535, '\p{Is_Block=-	hebrew}', "");
Expect(0, 1535, '\p{^Is_Block=-	hebrew}', "");
Expect(0, 1535, '\P{Is_Block=-	hebrew}', "");
Expect(1, 1535, '\P{^Is_Block=-	hebrew}', "");
Expect(0, 1536, '\p{Is_Block=-	hebrew}', "");
Expect(1, 1536, '\p{^Is_Block=-	hebrew}', "");
Expect(1, 1536, '\P{Is_Block=-	hebrew}', "");
Expect(0, 1536, '\P{^Is_Block=-	hebrew}', "");
Error('\p{Is_Blk=/a/-hebrew}');
Error('\P{Is_Blk=/a/-hebrew}');
Expect(1, 1535, '\p{Is_Blk=hebrew}', "");
Expect(0, 1535, '\p{^Is_Blk=hebrew}', "");
Expect(0, 1535, '\P{Is_Blk=hebrew}', "");
Expect(1, 1535, '\P{^Is_Blk=hebrew}', "");
Expect(0, 1536, '\p{Is_Blk=hebrew}', "");
Expect(1, 1536, '\p{^Is_Blk=hebrew}', "");
Expect(1, 1536, '\P{Is_Blk=hebrew}', "");
Expect(0, 1536, '\P{^Is_Blk=hebrew}', "");
Expect(1, 1535, '\p{Is_Blk=	Hebrew}', "");
Expect(0, 1535, '\p{^Is_Blk=	Hebrew}', "");
Expect(0, 1535, '\P{Is_Blk=	Hebrew}', "");
Expect(1, 1535, '\P{^Is_Blk=	Hebrew}', "");
Expect(0, 1536, '\p{Is_Blk=	Hebrew}', "");
Expect(1, 1536, '\p{^Is_Blk=	Hebrew}', "");
Expect(1, 1536, '\P{Is_Blk=	Hebrew}', "");
Expect(0, 1536, '\P{^Is_Blk=	Hebrew}', "");
Error('\p{Block=- HIGH_PRIVATE_Use_surrogates:=}');
Error('\P{Block=- HIGH_PRIVATE_Use_surrogates:=}');
Expect(1, 56319, '\p{Block=highprivateusesurrogates}', "");
Expect(0, 56319, '\p{^Block=highprivateusesurrogates}', "");
Expect(0, 56319, '\P{Block=highprivateusesurrogates}', "");
Expect(1, 56319, '\P{^Block=highprivateusesurrogates}', "");
Expect(0, 57344, '\p{Block=highprivateusesurrogates}', "");
Expect(1, 57344, '\p{^Block=highprivateusesurrogates}', "");
Expect(1, 57344, '\P{Block=highprivateusesurrogates}', "");
Expect(0, 57344, '\P{^Block=highprivateusesurrogates}', "");
Expect(1, 56319, '\p{Block= HIGH_Private_USE_SURROGATES}', "");
Expect(0, 56319, '\p{^Block= HIGH_Private_USE_SURROGATES}', "");
Expect(0, 56319, '\P{Block= HIGH_Private_USE_SURROGATES}', "");
Expect(1, 56319, '\P{^Block= HIGH_Private_USE_SURROGATES}', "");
Expect(0, 57344, '\p{Block= HIGH_Private_USE_SURROGATES}', "");
Expect(1, 57344, '\p{^Block= HIGH_Private_USE_SURROGATES}', "");
Expect(1, 57344, '\P{Block= HIGH_Private_USE_SURROGATES}', "");
Expect(0, 57344, '\P{^Block= HIGH_Private_USE_SURROGATES}', "");
Error('\p{Blk=_-HIGH_PU_SURROGATES/a/}');
Error('\P{Blk=_-HIGH_PU_SURROGATES/a/}');
Expect(1, 56319, '\p{Blk=highpusurrogates}', "");
Expect(0, 56319, '\p{^Blk=highpusurrogates}', "");
Expect(0, 56319, '\P{Blk=highpusurrogates}', "");
Expect(1, 56319, '\P{^Blk=highpusurrogates}', "");
Expect(0, 57344, '\p{Blk=highpusurrogates}', "");
Expect(1, 57344, '\p{^Blk=highpusurrogates}', "");
Expect(1, 57344, '\P{Blk=highpusurrogates}', "");
Expect(0, 57344, '\P{^Blk=highpusurrogates}', "");
Expect(1, 56319, '\p{Blk=_-High_PU_surrogates}', "");
Expect(0, 56319, '\p{^Blk=_-High_PU_surrogates}', "");
Expect(0, 56319, '\P{Blk=_-High_PU_surrogates}', "");
Expect(1, 56319, '\P{^Blk=_-High_PU_surrogates}', "");
Expect(0, 57344, '\p{Blk=_-High_PU_surrogates}', "");
Expect(1, 57344, '\p{^Blk=_-High_PU_surrogates}', "");
Expect(1, 57344, '\P{Blk=_-High_PU_surrogates}', "");
Expect(0, 57344, '\P{^Blk=_-High_PU_surrogates}', "");
Error('\p{Is_Block=:=High_Private_use_Surrogates}');
Error('\P{Is_Block=:=High_Private_use_Surrogates}');
Expect(1, 56319, '\p{Is_Block:   highprivateusesurrogates}', "");
Expect(0, 56319, '\p{^Is_Block:   highprivateusesurrogates}', "");
Expect(0, 56319, '\P{Is_Block:   highprivateusesurrogates}', "");
Expect(1, 56319, '\P{^Is_Block:   highprivateusesurrogates}', "");
Expect(0, 57344, '\p{Is_Block:   highprivateusesurrogates}', "");
Expect(1, 57344, '\p{^Is_Block:   highprivateusesurrogates}', "");
Expect(1, 57344, '\P{Is_Block:   highprivateusesurrogates}', "");
Expect(0, 57344, '\P{^Is_Block:   highprivateusesurrogates}', "");
Expect(1, 56319, '\p{Is_Block= _HIGH_Private_Use_Surrogates}', "");
Expect(0, 56319, '\p{^Is_Block= _HIGH_Private_Use_Surrogates}', "");
Expect(0, 56319, '\P{Is_Block= _HIGH_Private_Use_Surrogates}', "");
Expect(1, 56319, '\P{^Is_Block= _HIGH_Private_Use_Surrogates}', "");
Expect(0, 57344, '\p{Is_Block= _HIGH_Private_Use_Surrogates}', "");
Expect(1, 57344, '\p{^Is_Block= _HIGH_Private_Use_Surrogates}', "");
Expect(1, 57344, '\P{Is_Block= _HIGH_Private_Use_Surrogates}', "");
Expect(0, 57344, '\P{^Is_Block= _HIGH_Private_Use_Surrogates}', "");
Error('\p{Is_Blk=-:=high_PU_surrogates}');
Error('\P{Is_Blk=-:=high_PU_surrogates}');
Expect(1, 56319, '\p{Is_Blk=highpusurrogates}', "");
Expect(0, 56319, '\p{^Is_Blk=highpusurrogates}', "");
Expect(0, 56319, '\P{Is_Blk=highpusurrogates}', "");
Expect(1, 56319, '\P{^Is_Blk=highpusurrogates}', "");
Expect(0, 57344, '\p{Is_Blk=highpusurrogates}', "");
Expect(1, 57344, '\p{^Is_Blk=highpusurrogates}', "");
Expect(1, 57344, '\P{Is_Blk=highpusurrogates}', "");
Expect(0, 57344, '\P{^Is_Blk=highpusurrogates}', "");
Expect(1, 56319, '\p{Is_Blk= High_pu_surrogates}', "");
Expect(0, 56319, '\p{^Is_Blk= High_pu_surrogates}', "");
Expect(0, 56319, '\P{Is_Blk= High_pu_surrogates}', "");
Expect(1, 56319, '\P{^Is_Blk= High_pu_surrogates}', "");
Expect(0, 57344, '\p{Is_Blk= High_pu_surrogates}', "");
Expect(1, 57344, '\p{^Is_Blk= High_pu_surrogates}', "");
Expect(1, 57344, '\P{Is_Blk= High_pu_surrogates}', "");
Expect(0, 57344, '\P{^Is_Blk= High_pu_surrogates}', "");
Error('\p{Block=/a/	High_SURROGATES}');
Error('\P{Block=/a/	High_SURROGATES}');
Expect(1, 56191, '\p{Block=highsurrogates}', "");
Expect(0, 56191, '\p{^Block=highsurrogates}', "");
Expect(0, 56191, '\P{Block=highsurrogates}', "");
Expect(1, 56191, '\P{^Block=highsurrogates}', "");
Expect(0, 57344, '\p{Block=highsurrogates}', "");
Expect(1, 57344, '\p{^Block=highsurrogates}', "");
Expect(1, 57344, '\P{Block=highsurrogates}', "");
Expect(0, 57344, '\P{^Block=highsurrogates}', "");
Expect(1, 56191, '\p{Block=-_High_Surrogates}', "");
Expect(0, 56191, '\p{^Block=-_High_Surrogates}', "");
Expect(0, 56191, '\P{Block=-_High_Surrogates}', "");
Expect(1, 56191, '\P{^Block=-_High_Surrogates}', "");
Expect(0, 57344, '\p{Block=-_High_Surrogates}', "");
Expect(1, 57344, '\p{^Block=-_High_Surrogates}', "");
Expect(1, 57344, '\P{Block=-_High_Surrogates}', "");
Expect(0, 57344, '\P{^Block=-_High_Surrogates}', "");
Error('\p{Blk=:=-_high_SURROGATES}');
Error('\P{Blk=:=-_high_SURROGATES}');
Expect(1, 56191, '\p{Blk=highsurrogates}', "");
Expect(0, 56191, '\p{^Blk=highsurrogates}', "");
Expect(0, 56191, '\P{Blk=highsurrogates}', "");
Expect(1, 56191, '\P{^Blk=highsurrogates}', "");
Expect(0, 57344, '\p{Blk=highsurrogates}', "");
Expect(1, 57344, '\p{^Blk=highsurrogates}', "");
Expect(1, 57344, '\P{Blk=highsurrogates}', "");
Expect(0, 57344, '\P{^Blk=highsurrogates}', "");
Expect(1, 56191, '\p{Blk=- HIGH_Surrogates}', "");
Expect(0, 56191, '\p{^Blk=- HIGH_Surrogates}', "");
Expect(0, 56191, '\P{Blk=- HIGH_Surrogates}', "");
Expect(1, 56191, '\P{^Blk=- HIGH_Surrogates}', "");
Expect(0, 57344, '\p{Blk=- HIGH_Surrogates}', "");
Expect(1, 57344, '\p{^Blk=- HIGH_Surrogates}', "");
Expect(1, 57344, '\P{Blk=- HIGH_Surrogates}', "");
Expect(0, 57344, '\P{^Blk=- HIGH_Surrogates}', "");
Error('\p{Is_Block=/a/__High_SURROGATES}');
Error('\P{Is_Block=/a/__High_SURROGATES}');
Expect(1, 56191, '\p{Is_Block=highsurrogates}', "");
Expect(0, 56191, '\p{^Is_Block=highsurrogates}', "");
Expect(0, 56191, '\P{Is_Block=highsurrogates}', "");
Expect(1, 56191, '\P{^Is_Block=highsurrogates}', "");
Expect(0, 57344, '\p{Is_Block=highsurrogates}', "");
Expect(1, 57344, '\p{^Is_Block=highsurrogates}', "");
Expect(1, 57344, '\P{Is_Block=highsurrogates}', "");
Expect(0, 57344, '\P{^Is_Block=highsurrogates}', "");
Expect(1, 56191, '\p{Is_Block= -High_surrogates}', "");
Expect(0, 56191, '\p{^Is_Block= -High_surrogates}', "");
Expect(0, 56191, '\P{Is_Block= -High_surrogates}', "");
Expect(1, 56191, '\P{^Is_Block= -High_surrogates}', "");
Expect(0, 57344, '\p{Is_Block= -High_surrogates}', "");
Expect(1, 57344, '\p{^Is_Block= -High_surrogates}', "");
Expect(1, 57344, '\P{Is_Block= -High_surrogates}', "");
Expect(0, 57344, '\P{^Is_Block= -High_surrogates}', "");
Error('\p{Is_Blk=	high_Surrogates/a/}');
Error('\P{Is_Blk=	high_Surrogates/a/}');
Expect(1, 56191, '\p{Is_Blk=highsurrogates}', "");
Expect(0, 56191, '\p{^Is_Blk=highsurrogates}', "");
Expect(0, 56191, '\P{Is_Blk=highsurrogates}', "");
Expect(1, 56191, '\P{^Is_Blk=highsurrogates}', "");
Expect(0, 57344, '\p{Is_Blk=highsurrogates}', "");
Expect(1, 57344, '\p{^Is_Blk=highsurrogates}', "");
Expect(1, 57344, '\P{Is_Blk=highsurrogates}', "");
Expect(0, 57344, '\P{^Is_Blk=highsurrogates}', "");
Expect(1, 56191, '\p{Is_Blk=-_High_SURROGATES}', "");
Expect(0, 56191, '\p{^Is_Blk=-_High_SURROGATES}', "");
Expect(0, 56191, '\P{Is_Blk=-_High_SURROGATES}', "");
Expect(1, 56191, '\P{^Is_Blk=-_High_SURROGATES}', "");
Expect(0, 57344, '\p{Is_Blk=-_High_SURROGATES}', "");
Expect(1, 57344, '\p{^Is_Blk=-_High_SURROGATES}', "");
Expect(1, 57344, '\P{Is_Blk=-_High_SURROGATES}', "");
Expect(0, 57344, '\P{^Is_Blk=-_High_SURROGATES}', "");
Error('\p{Block= :=Hiragana}');
Error('\P{Block= :=Hiragana}');
Expect(1, 12447, '\p{Block=hiragana}', "");
Expect(0, 12447, '\p{^Block=hiragana}', "");
Expect(0, 12447, '\P{Block=hiragana}', "");
Expect(1, 12447, '\P{^Block=hiragana}', "");
Expect(0, 12448, '\p{Block=hiragana}', "");
Expect(1, 12448, '\p{^Block=hiragana}', "");
Expect(1, 12448, '\P{Block=hiragana}', "");
Expect(0, 12448, '\P{^Block=hiragana}', "");
Expect(1, 12447, '\p{Block:	-_Hiragana}', "");
Expect(0, 12447, '\p{^Block:	-_Hiragana}', "");
Expect(0, 12447, '\P{Block:	-_Hiragana}', "");
Expect(1, 12447, '\P{^Block:	-_Hiragana}', "");
Expect(0, 12448, '\p{Block:	-_Hiragana}', "");
Expect(1, 12448, '\p{^Block:	-_Hiragana}', "");
Expect(1, 12448, '\P{Block:	-_Hiragana}', "");
Expect(0, 12448, '\P{^Block:	-_Hiragana}', "");
Error('\p{Blk= :=HIRAGANA}');
Error('\P{Blk= :=HIRAGANA}');
Expect(1, 12447, '\p{Blk=hiragana}', "");
Expect(0, 12447, '\p{^Blk=hiragana}', "");
Expect(0, 12447, '\P{Blk=hiragana}', "");
Expect(1, 12447, '\P{^Blk=hiragana}', "");
Expect(0, 12448, '\p{Blk=hiragana}', "");
Expect(1, 12448, '\p{^Blk=hiragana}', "");
Expect(1, 12448, '\P{Blk=hiragana}', "");
Expect(0, 12448, '\P{^Blk=hiragana}', "");
Expect(1, 12447, '\p{Blk=	-Hiragana}', "");
Expect(0, 12447, '\p{^Blk=	-Hiragana}', "");
Expect(0, 12447, '\P{Blk=	-Hiragana}', "");
Expect(1, 12447, '\P{^Blk=	-Hiragana}', "");
Expect(0, 12448, '\p{Blk=	-Hiragana}', "");
Expect(1, 12448, '\p{^Blk=	-Hiragana}', "");
Expect(1, 12448, '\P{Blk=	-Hiragana}', "");
Expect(0, 12448, '\P{^Blk=	-Hiragana}', "");
Error('\p{Is_Block=:= -Hiragana}');
Error('\P{Is_Block=:= -Hiragana}');
Expect(1, 12447, '\p{Is_Block=hiragana}', "");
Expect(0, 12447, '\p{^Is_Block=hiragana}', "");
Expect(0, 12447, '\P{Is_Block=hiragana}', "");
Expect(1, 12447, '\P{^Is_Block=hiragana}', "");
Expect(0, 12448, '\p{Is_Block=hiragana}', "");
Expect(1, 12448, '\p{^Is_Block=hiragana}', "");
Expect(1, 12448, '\P{Is_Block=hiragana}', "");
Expect(0, 12448, '\P{^Is_Block=hiragana}', "");
Expect(1, 12447, '\p{Is_Block=Hiragana}', "");
Expect(0, 12447, '\p{^Is_Block=Hiragana}', "");
Expect(0, 12447, '\P{Is_Block=Hiragana}', "");
Expect(1, 12447, '\P{^Is_Block=Hiragana}', "");
Expect(0, 12448, '\p{Is_Block=Hiragana}', "");
Expect(1, 12448, '\p{^Is_Block=Hiragana}', "");
Expect(1, 12448, '\P{Is_Block=Hiragana}', "");
Expect(0, 12448, '\P{^Is_Block=Hiragana}', "");
Error('\p{Is_Blk=:=HIRAGANA}');
Error('\P{Is_Blk=:=HIRAGANA}');
Expect(1, 12447, '\p{Is_Blk=hiragana}', "");
Expect(0, 12447, '\p{^Is_Blk=hiragana}', "");
Expect(0, 12447, '\P{Is_Blk=hiragana}', "");
Expect(1, 12447, '\P{^Is_Blk=hiragana}', "");
Expect(0, 12448, '\p{Is_Blk=hiragana}', "");
Expect(1, 12448, '\p{^Is_Blk=hiragana}', "");
Expect(1, 12448, '\P{Is_Blk=hiragana}', "");
Expect(0, 12448, '\P{^Is_Blk=hiragana}', "");
Expect(1, 12447, '\p{Is_Blk=--hiragana}', "");
Expect(0, 12447, '\p{^Is_Blk=--hiragana}', "");
Expect(0, 12447, '\P{Is_Blk=--hiragana}', "");
Expect(1, 12447, '\P{^Is_Blk=--hiragana}', "");
Expect(0, 12448, '\p{Is_Blk=--hiragana}', "");
Expect(1, 12448, '\p{^Is_Blk=--hiragana}', "");
Expect(1, 12448, '\P{Is_Blk=--hiragana}', "");
Expect(0, 12448, '\P{^Is_Blk=--hiragana}', "");
Error('\p{Block=:=Ideographic_description_Characters}');
Error('\P{Block=:=Ideographic_description_Characters}');
Expect(1, 12287, '\p{Block=ideographicdescriptioncharacters}', "");
Expect(0, 12287, '\p{^Block=ideographicdescriptioncharacters}', "");
Expect(0, 12287, '\P{Block=ideographicdescriptioncharacters}', "");
Expect(1, 12287, '\P{^Block=ideographicdescriptioncharacters}', "");
Expect(0, 12288, '\p{Block=ideographicdescriptioncharacters}', "");
Expect(1, 12288, '\p{^Block=ideographicdescriptioncharacters}', "");
Expect(1, 12288, '\P{Block=ideographicdescriptioncharacters}', "");
Expect(0, 12288, '\P{^Block=ideographicdescriptioncharacters}', "");
Expect(1, 12287, '\p{Block=--Ideographic_Description_Characters}', "");
Expect(0, 12287, '\p{^Block=--Ideographic_Description_Characters}', "");
Expect(0, 12287, '\P{Block=--Ideographic_Description_Characters}', "");
Expect(1, 12287, '\P{^Block=--Ideographic_Description_Characters}', "");
Expect(0, 12288, '\p{Block=--Ideographic_Description_Characters}', "");
Expect(1, 12288, '\p{^Block=--Ideographic_Description_Characters}', "");
Expect(1, 12288, '\P{Block=--Ideographic_Description_Characters}', "");
Expect(0, 12288, '\P{^Block=--Ideographic_Description_Characters}', "");
Error('\p{Blk= -IDC/a/}');
Error('\P{Blk= -IDC/a/}');
Expect(1, 12287, '\p{Blk=idc}', "");
Expect(0, 12287, '\p{^Blk=idc}', "");
Expect(0, 12287, '\P{Blk=idc}', "");
Expect(1, 12287, '\P{^Blk=idc}', "");
Expect(0, 12288, '\p{Blk=idc}', "");
Expect(1, 12288, '\p{^Blk=idc}', "");
Expect(1, 12288, '\P{Blk=idc}', "");
Expect(0, 12288, '\P{^Blk=idc}', "");
Expect(1, 12287, '\p{Blk=__IDC}', "");
Expect(0, 12287, '\p{^Blk=__IDC}', "");
Expect(0, 12287, '\P{Blk=__IDC}', "");
Expect(1, 12287, '\P{^Blk=__IDC}', "");
Expect(0, 12288, '\p{Blk=__IDC}', "");
Expect(1, 12288, '\p{^Blk=__IDC}', "");
Expect(1, 12288, '\P{Blk=__IDC}', "");
Expect(0, 12288, '\P{^Blk=__IDC}', "");
Error('\p{Is_Block=/a/-IDEOGRAPHIC_Description_Characters}');
Error('\P{Is_Block=/a/-IDEOGRAPHIC_Description_Characters}');
Expect(1, 12287, '\p{Is_Block=ideographicdescriptioncharacters}', "");
Expect(0, 12287, '\p{^Is_Block=ideographicdescriptioncharacters}', "");
Expect(0, 12287, '\P{Is_Block=ideographicdescriptioncharacters}', "");
Expect(1, 12287, '\P{^Is_Block=ideographicdescriptioncharacters}', "");
Expect(0, 12288, '\p{Is_Block=ideographicdescriptioncharacters}', "");
Expect(1, 12288, '\p{^Is_Block=ideographicdescriptioncharacters}', "");
Expect(1, 12288, '\P{Is_Block=ideographicdescriptioncharacters}', "");
Expect(0, 12288, '\P{^Is_Block=ideographicdescriptioncharacters}', "");
Expect(1, 12287, '\p{Is_Block=_ IDEOGRAPHIC_Description_Characters}', "");
Expect(0, 12287, '\p{^Is_Block=_ IDEOGRAPHIC_Description_Characters}', "");
Expect(0, 12287, '\P{Is_Block=_ IDEOGRAPHIC_Description_Characters}', "");
Expect(1, 12287, '\P{^Is_Block=_ IDEOGRAPHIC_Description_Characters}', "");
Expect(0, 12288, '\p{Is_Block=_ IDEOGRAPHIC_Description_Characters}', "");
Expect(1, 12288, '\p{^Is_Block=_ IDEOGRAPHIC_Description_Characters}', "");
Expect(1, 12288, '\P{Is_Block=_ IDEOGRAPHIC_Description_Characters}', "");
Expect(0, 12288, '\P{^Is_Block=_ IDEOGRAPHIC_Description_Characters}', "");
Error('\p{Is_Blk=:=-	IDC}');
Error('\P{Is_Blk=:=-	IDC}');
Expect(1, 12287, '\p{Is_Blk=idc}', "");
Expect(0, 12287, '\p{^Is_Blk=idc}', "");
Expect(0, 12287, '\P{Is_Blk=idc}', "");
Expect(1, 12287, '\P{^Is_Blk=idc}', "");
Expect(0, 12288, '\p{Is_Blk=idc}', "");
Expect(1, 12288, '\p{^Is_Blk=idc}', "");
Expect(1, 12288, '\P{Is_Blk=idc}', "");
Expect(0, 12288, '\P{^Is_Blk=idc}', "");
Expect(1, 12287, '\p{Is_Blk=-	idc}', "");
Expect(0, 12287, '\p{^Is_Blk=-	idc}', "");
Expect(0, 12287, '\P{Is_Blk=-	idc}', "");
Expect(1, 12287, '\P{^Is_Blk=-	idc}', "");
Expect(0, 12288, '\p{Is_Blk=-	idc}', "");
Expect(1, 12288, '\p{^Is_Blk=-	idc}', "");
Expect(1, 12288, '\P{Is_Blk=-	idc}', "");
Expect(0, 12288, '\P{^Is_Blk=-	idc}', "");
Error('\p{Block=:=	ipa_Extensions}');
Error('\P{Block=:=	ipa_Extensions}');
Expect(1, 687, '\p{Block=ipaextensions}', "");
Expect(0, 687, '\p{^Block=ipaextensions}', "");
Expect(0, 687, '\P{Block=ipaextensions}', "");
Expect(1, 687, '\P{^Block=ipaextensions}', "");
Expect(0, 688, '\p{Block=ipaextensions}', "");
Expect(1, 688, '\p{^Block=ipaextensions}', "");
Expect(1, 688, '\P{Block=ipaextensions}', "");
Expect(0, 688, '\P{^Block=ipaextensions}', "");
Expect(1, 687, '\p{Block=_	ipa_EXTENSIONS}', "");
Expect(0, 687, '\p{^Block=_	ipa_EXTENSIONS}', "");
Expect(0, 687, '\P{Block=_	ipa_EXTENSIONS}', "");
Expect(1, 687, '\P{^Block=_	ipa_EXTENSIONS}', "");
Expect(0, 688, '\p{Block=_	ipa_EXTENSIONS}', "");
Expect(1, 688, '\p{^Block=_	ipa_EXTENSIONS}', "");
Expect(1, 688, '\P{Block=_	ipa_EXTENSIONS}', "");
Expect(0, 688, '\P{^Block=_	ipa_EXTENSIONS}', "");
Error('\p{Blk=/a/__IPA_Ext}');
Error('\P{Blk=/a/__IPA_Ext}');
Expect(1, 687, '\p{Blk:ipaext}', "");
Expect(0, 687, '\p{^Blk:ipaext}', "");
Expect(0, 687, '\P{Blk:ipaext}', "");
Expect(1, 687, '\P{^Blk:ipaext}', "");
Expect(0, 688, '\p{Blk:ipaext}', "");
Expect(1, 688, '\p{^Blk:ipaext}', "");
Expect(1, 688, '\P{Blk:ipaext}', "");
Expect(0, 688, '\P{^Blk:ipaext}', "");
Expect(1, 687, '\p{Blk=	IPA_Ext}', "");
Expect(0, 687, '\p{^Blk=	IPA_Ext}', "");
Expect(0, 687, '\P{Blk=	IPA_Ext}', "");
Expect(1, 687, '\P{^Blk=	IPA_Ext}', "");
Expect(0, 688, '\p{Blk=	IPA_Ext}', "");
Expect(1, 688, '\p{^Blk=	IPA_Ext}', "");
Expect(1, 688, '\P{Blk=	IPA_Ext}', "");
Expect(0, 688, '\P{^Blk=	IPA_Ext}', "");
Error('\p{Is_Block:-/a/IPA_Extensions}');
Error('\P{Is_Block:-/a/IPA_Extensions}');
Expect(1, 687, '\p{Is_Block=ipaextensions}', "");
Expect(0, 687, '\p{^Is_Block=ipaextensions}', "");
Expect(0, 687, '\P{Is_Block=ipaextensions}', "");
Expect(1, 687, '\P{^Is_Block=ipaextensions}', "");
Expect(0, 688, '\p{Is_Block=ipaextensions}', "");
Expect(1, 688, '\p{^Is_Block=ipaextensions}', "");
Expect(1, 688, '\P{Is_Block=ipaextensions}', "");
Expect(0, 688, '\P{^Is_Block=ipaextensions}', "");
Expect(1, 687, '\p{Is_Block=_IPA_Extensions}', "");
Expect(0, 687, '\p{^Is_Block=_IPA_Extensions}', "");
Expect(0, 687, '\P{Is_Block=_IPA_Extensions}', "");
Expect(1, 687, '\P{^Is_Block=_IPA_Extensions}', "");
Expect(0, 688, '\p{Is_Block=_IPA_Extensions}', "");
Expect(1, 688, '\p{^Is_Block=_IPA_Extensions}', "");
Expect(1, 688, '\P{Is_Block=_IPA_Extensions}', "");
Expect(0, 688, '\P{^Is_Block=_IPA_Extensions}', "");
Error('\p{Is_Blk=/a/ 	ipa_Ext}');
Error('\P{Is_Blk=/a/ 	ipa_Ext}');
Expect(1, 687, '\p{Is_Blk=ipaext}', "");
Expect(0, 687, '\p{^Is_Blk=ipaext}', "");
Expect(0, 687, '\P{Is_Blk=ipaext}', "");
Expect(1, 687, '\P{^Is_Blk=ipaext}', "");
Expect(0, 688, '\p{Is_Blk=ipaext}', "");
Expect(1, 688, '\p{^Is_Blk=ipaext}', "");
Expect(1, 688, '\P{Is_Blk=ipaext}', "");
Expect(0, 688, '\P{^Is_Blk=ipaext}', "");
Expect(1, 687, '\p{Is_Blk=	_IPA_ext}', "");
Expect(0, 687, '\p{^Is_Blk=	_IPA_ext}', "");
Expect(0, 687, '\P{Is_Blk=	_IPA_ext}', "");
Expect(1, 687, '\P{^Is_Blk=	_IPA_ext}', "");
Expect(0, 688, '\p{Is_Blk=	_IPA_ext}', "");
Expect(1, 688, '\p{^Is_Blk=	_IPA_ext}', "");
Expect(1, 688, '\P{Is_Blk=	_IPA_ext}', "");
Expect(0, 688, '\P{^Is_Blk=	_IPA_ext}', "");
Error('\p{Block: /a/imperial_Aramaic}');
Error('\P{Block: /a/imperial_Aramaic}');
Expect(1, 67679, '\p{Block=imperialaramaic}', "");
Expect(0, 67679, '\p{^Block=imperialaramaic}', "");
Expect(0, 67679, '\P{Block=imperialaramaic}', "");
Expect(1, 67679, '\P{^Block=imperialaramaic}', "");
Expect(0, 67680, '\p{Block=imperialaramaic}', "");
Expect(1, 67680, '\p{^Block=imperialaramaic}', "");
Expect(1, 67680, '\P{Block=imperialaramaic}', "");
Expect(0, 67680, '\P{^Block=imperialaramaic}', "");
Expect(1, 67679, '\p{Block=  Imperial_Aramaic}', "");
Expect(0, 67679, '\p{^Block=  Imperial_Aramaic}', "");
Expect(0, 67679, '\P{Block=  Imperial_Aramaic}', "");
Expect(1, 67679, '\P{^Block=  Imperial_Aramaic}', "");
Expect(0, 67680, '\p{Block=  Imperial_Aramaic}', "");
Expect(1, 67680, '\p{^Block=  Imperial_Aramaic}', "");
Expect(1, 67680, '\P{Block=  Imperial_Aramaic}', "");
Expect(0, 67680, '\P{^Block=  Imperial_Aramaic}', "");
Error('\p{Blk=:=--Imperial_Aramaic}');
Error('\P{Blk=:=--Imperial_Aramaic}');
Expect(1, 67679, '\p{Blk=imperialaramaic}', "");
Expect(0, 67679, '\p{^Blk=imperialaramaic}', "");
Expect(0, 67679, '\P{Blk=imperialaramaic}', "");
Expect(1, 67679, '\P{^Blk=imperialaramaic}', "");
Expect(0, 67680, '\p{Blk=imperialaramaic}', "");
Expect(1, 67680, '\p{^Blk=imperialaramaic}', "");
Expect(1, 67680, '\P{Blk=imperialaramaic}', "");
Expect(0, 67680, '\P{^Blk=imperialaramaic}', "");
Expect(1, 67679, '\p{Blk= _Imperial_ARAMAIC}', "");
Expect(0, 67679, '\p{^Blk= _Imperial_ARAMAIC}', "");
Expect(0, 67679, '\P{Blk= _Imperial_ARAMAIC}', "");
Expect(1, 67679, '\P{^Blk= _Imperial_ARAMAIC}', "");
Expect(0, 67680, '\p{Blk= _Imperial_ARAMAIC}', "");
Expect(1, 67680, '\p{^Blk= _Imperial_ARAMAIC}', "");
Expect(1, 67680, '\P{Blk= _Imperial_ARAMAIC}', "");
Expect(0, 67680, '\P{^Blk= _Imperial_ARAMAIC}', "");
Error('\p{Is_Block=/a/ Imperial_aramaic}');
Error('\P{Is_Block=/a/ Imperial_aramaic}');
Expect(1, 67679, '\p{Is_Block=imperialaramaic}', "");
Expect(0, 67679, '\p{^Is_Block=imperialaramaic}', "");
Expect(0, 67679, '\P{Is_Block=imperialaramaic}', "");
Expect(1, 67679, '\P{^Is_Block=imperialaramaic}', "");
Expect(0, 67680, '\p{Is_Block=imperialaramaic}', "");
Expect(1, 67680, '\p{^Is_Block=imperialaramaic}', "");
Expect(1, 67680, '\P{Is_Block=imperialaramaic}', "");
Expect(0, 67680, '\P{^Is_Block=imperialaramaic}', "");
Expect(1, 67679, '\p{Is_Block=	IMPERIAL_Aramaic}', "");
Expect(0, 67679, '\p{^Is_Block=	IMPERIAL_Aramaic}', "");
Expect(0, 67679, '\P{Is_Block=	IMPERIAL_Aramaic}', "");
Expect(1, 67679, '\P{^Is_Block=	IMPERIAL_Aramaic}', "");
Expect(0, 67680, '\p{Is_Block=	IMPERIAL_Aramaic}', "");
Expect(1, 67680, '\p{^Is_Block=	IMPERIAL_Aramaic}', "");
Expect(1, 67680, '\P{Is_Block=	IMPERIAL_Aramaic}', "");
Expect(0, 67680, '\P{^Is_Block=	IMPERIAL_Aramaic}', "");
Error('\p{Is_Blk=:= 	Imperial_ARAMAIC}');
Error('\P{Is_Blk=:= 	Imperial_ARAMAIC}');
Expect(1, 67679, '\p{Is_Blk=imperialaramaic}', "");
Expect(0, 67679, '\p{^Is_Blk=imperialaramaic}', "");
Expect(0, 67679, '\P{Is_Blk=imperialaramaic}', "");
Expect(1, 67679, '\P{^Is_Blk=imperialaramaic}', "");
Expect(0, 67680, '\p{Is_Blk=imperialaramaic}', "");
Expect(1, 67680, '\p{^Is_Blk=imperialaramaic}', "");
Expect(1, 67680, '\P{Is_Blk=imperialaramaic}', "");
Expect(0, 67680, '\P{^Is_Blk=imperialaramaic}', "");
Expect(1, 67679, '\p{Is_Blk:_ imperial_Aramaic}', "");
Expect(0, 67679, '\p{^Is_Blk:_ imperial_Aramaic}', "");
Expect(0, 67679, '\P{Is_Blk:_ imperial_Aramaic}', "");
Expect(1, 67679, '\P{^Is_Blk:_ imperial_Aramaic}', "");
Expect(0, 67680, '\p{Is_Blk:_ imperial_Aramaic}', "");
Expect(1, 67680, '\p{^Is_Blk:_ imperial_Aramaic}', "");
Expect(1, 67680, '\P{Is_Blk:_ imperial_Aramaic}', "");
Expect(0, 67680, '\P{^Is_Blk:_ imperial_Aramaic}', "");
Error('\p{Block=/a/	Common_Indic_Number_forms}');
Error('\P{Block=/a/	Common_Indic_Number_forms}');
Expect(1, 43071, '\p{Block=commonindicnumberforms}', "");
Expect(0, 43071, '\p{^Block=commonindicnumberforms}', "");
Expect(0, 43071, '\P{Block=commonindicnumberforms}', "");
Expect(1, 43071, '\P{^Block=commonindicnumberforms}', "");
Expect(0, 43072, '\p{Block=commonindicnumberforms}', "");
Expect(1, 43072, '\p{^Block=commonindicnumberforms}', "");
Expect(1, 43072, '\P{Block=commonindicnumberforms}', "");
Expect(0, 43072, '\P{^Block=commonindicnumberforms}', "");
Expect(1, 43071, '\p{Block=	-common_Indic_Number_Forms}', "");
Expect(0, 43071, '\p{^Block=	-common_Indic_Number_Forms}', "");
Expect(0, 43071, '\P{Block=	-common_Indic_Number_Forms}', "");
Expect(1, 43071, '\P{^Block=	-common_Indic_Number_Forms}', "");
Expect(0, 43072, '\p{Block=	-common_Indic_Number_Forms}', "");
Expect(1, 43072, '\p{^Block=	-common_Indic_Number_Forms}', "");
Expect(1, 43072, '\P{Block=	-common_Indic_Number_Forms}', "");
Expect(0, 43072, '\P{^Block=	-common_Indic_Number_Forms}', "");
Error('\p{Blk= :=INDIC_number_Forms}');
Error('\P{Blk= :=INDIC_number_Forms}');
Expect(1, 43071, '\p{Blk: indicnumberforms}', "");
Expect(0, 43071, '\p{^Blk: indicnumberforms}', "");
Expect(0, 43071, '\P{Blk: indicnumberforms}', "");
Expect(1, 43071, '\P{^Blk: indicnumberforms}', "");
Expect(0, 43072, '\p{Blk: indicnumberforms}', "");
Expect(1, 43072, '\p{^Blk: indicnumberforms}', "");
Expect(1, 43072, '\P{Blk: indicnumberforms}', "");
Expect(0, 43072, '\P{^Blk: indicnumberforms}', "");
Expect(1, 43071, '\p{Blk=_indic_Number_forms}', "");
Expect(0, 43071, '\p{^Blk=_indic_Number_forms}', "");
Expect(0, 43071, '\P{Blk=_indic_Number_forms}', "");
Expect(1, 43071, '\P{^Blk=_indic_Number_forms}', "");
Expect(0, 43072, '\p{Blk=_indic_Number_forms}', "");
Expect(1, 43072, '\p{^Blk=_indic_Number_forms}', "");
Expect(1, 43072, '\P{Blk=_indic_Number_forms}', "");
Expect(0, 43072, '\P{^Blk=_indic_Number_forms}', "");
Error('\p{Is_Block:	/a/common_indic_Number_Forms}');
Error('\P{Is_Block:	/a/common_indic_Number_Forms}');
Expect(1, 43071, '\p{Is_Block=commonindicnumberforms}', "");
Expect(0, 43071, '\p{^Is_Block=commonindicnumberforms}', "");
Expect(0, 43071, '\P{Is_Block=commonindicnumberforms}', "");
Expect(1, 43071, '\P{^Is_Block=commonindicnumberforms}', "");
Expect(0, 43072, '\p{Is_Block=commonindicnumberforms}', "");
Expect(1, 43072, '\p{^Is_Block=commonindicnumberforms}', "");
Expect(1, 43072, '\P{Is_Block=commonindicnumberforms}', "");
Expect(0, 43072, '\P{^Is_Block=commonindicnumberforms}', "");
Expect(1, 43071, '\p{Is_Block=	common_indic_Number_Forms}', "");
Expect(0, 43071, '\p{^Is_Block=	common_indic_Number_Forms}', "");
Expect(0, 43071, '\P{Is_Block=	common_indic_Number_Forms}', "");
Expect(1, 43071, '\P{^Is_Block=	common_indic_Number_Forms}', "");
Expect(0, 43072, '\p{Is_Block=	common_indic_Number_Forms}', "");
Expect(1, 43072, '\p{^Is_Block=	common_indic_Number_Forms}', "");
Expect(1, 43072, '\P{Is_Block=	common_indic_Number_Forms}', "");
Expect(0, 43072, '\P{^Is_Block=	common_indic_Number_Forms}', "");
Error('\p{Is_Blk=-/a/indic_number_forms}');
Error('\P{Is_Blk=-/a/indic_number_forms}');
Expect(1, 43071, '\p{Is_Blk=indicnumberforms}', "");
Expect(0, 43071, '\p{^Is_Blk=indicnumberforms}', "");
Expect(0, 43071, '\P{Is_Blk=indicnumberforms}', "");
Expect(1, 43071, '\P{^Is_Blk=indicnumberforms}', "");
Expect(0, 43072, '\p{Is_Blk=indicnumberforms}', "");
Expect(1, 43072, '\p{^Is_Blk=indicnumberforms}', "");
Expect(1, 43072, '\P{Is_Blk=indicnumberforms}', "");
Expect(0, 43072, '\P{^Is_Blk=indicnumberforms}', "");
Expect(1, 43071, '\p{Is_Blk=--Indic_Number_FORMS}', "");
Expect(0, 43071, '\p{^Is_Blk=--Indic_Number_FORMS}', "");
Expect(0, 43071, '\P{Is_Blk=--Indic_Number_FORMS}', "");
Expect(1, 43071, '\P{^Is_Blk=--Indic_Number_FORMS}', "");
Expect(0, 43072, '\p{Is_Blk=--Indic_Number_FORMS}', "");
Expect(1, 43072, '\p{^Is_Blk=--Indic_Number_FORMS}', "");
Expect(1, 43072, '\P{Is_Blk=--Indic_Number_FORMS}', "");
Expect(0, 43072, '\P{^Is_Blk=--Indic_Number_FORMS}', "");
Error('\p{Block=:= 	Inscriptional_Pahlavi}');
Error('\P{Block=:= 	Inscriptional_Pahlavi}');
Expect(1, 68479, '\p{Block=inscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^Block=inscriptionalpahlavi}', "");
Expect(0, 68479, '\P{Block=inscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^Block=inscriptionalpahlavi}', "");
Expect(0, 68480, '\p{Block=inscriptionalpahlavi}', "");
Expect(1, 68480, '\p{^Block=inscriptionalpahlavi}', "");
Expect(1, 68480, '\P{Block=inscriptionalpahlavi}', "");
Expect(0, 68480, '\P{^Block=inscriptionalpahlavi}', "");
Expect(1, 68479, '\p{Block=_INSCRIPTIONAL_Pahlavi}', "");
Expect(0, 68479, '\p{^Block=_INSCRIPTIONAL_Pahlavi}', "");
Expect(0, 68479, '\P{Block=_INSCRIPTIONAL_Pahlavi}', "");
Expect(1, 68479, '\P{^Block=_INSCRIPTIONAL_Pahlavi}', "");
Expect(0, 68480, '\p{Block=_INSCRIPTIONAL_Pahlavi}', "");
Expect(1, 68480, '\p{^Block=_INSCRIPTIONAL_Pahlavi}', "");
Expect(1, 68480, '\P{Block=_INSCRIPTIONAL_Pahlavi}', "");
Expect(0, 68480, '\P{^Block=_INSCRIPTIONAL_Pahlavi}', "");
Error('\p{Blk=	:=inscriptional_pahlavi}');
Error('\P{Blk=	:=inscriptional_pahlavi}');
Expect(1, 68479, '\p{Blk=inscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^Blk=inscriptionalpahlavi}', "");
Expect(0, 68479, '\P{Blk=inscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^Blk=inscriptionalpahlavi}', "");
Expect(0, 68480, '\p{Blk=inscriptionalpahlavi}', "");
Expect(1, 68480, '\p{^Blk=inscriptionalpahlavi}', "");
Expect(1, 68480, '\P{Blk=inscriptionalpahlavi}', "");
Expect(0, 68480, '\P{^Blk=inscriptionalpahlavi}', "");
Expect(1, 68479, '\p{Blk: 	Inscriptional_PAHLAVI}', "");
Expect(0, 68479, '\p{^Blk: 	Inscriptional_PAHLAVI}', "");
Expect(0, 68479, '\P{Blk: 	Inscriptional_PAHLAVI}', "");
Expect(1, 68479, '\P{^Blk: 	Inscriptional_PAHLAVI}', "");
Expect(0, 68480, '\p{Blk: 	Inscriptional_PAHLAVI}', "");
Expect(1, 68480, '\p{^Blk: 	Inscriptional_PAHLAVI}', "");
Expect(1, 68480, '\P{Blk: 	Inscriptional_PAHLAVI}', "");
Expect(0, 68480, '\P{^Blk: 	Inscriptional_PAHLAVI}', "");
Error('\p{Is_Block=-inscriptional_Pahlavi/a/}');
Error('\P{Is_Block=-inscriptional_Pahlavi/a/}');
Expect(1, 68479, '\p{Is_Block=inscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^Is_Block=inscriptionalpahlavi}', "");
Expect(0, 68479, '\P{Is_Block=inscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^Is_Block=inscriptionalpahlavi}', "");
Expect(0, 68480, '\p{Is_Block=inscriptionalpahlavi}', "");
Expect(1, 68480, '\p{^Is_Block=inscriptionalpahlavi}', "");
Expect(1, 68480, '\P{Is_Block=inscriptionalpahlavi}', "");
Expect(0, 68480, '\P{^Is_Block=inscriptionalpahlavi}', "");
Expect(1, 68479, '\p{Is_Block=-Inscriptional_Pahlavi}', "");
Expect(0, 68479, '\p{^Is_Block=-Inscriptional_Pahlavi}', "");
Expect(0, 68479, '\P{Is_Block=-Inscriptional_Pahlavi}', "");
Expect(1, 68479, '\P{^Is_Block=-Inscriptional_Pahlavi}', "");
Expect(0, 68480, '\p{Is_Block=-Inscriptional_Pahlavi}', "");
Expect(1, 68480, '\p{^Is_Block=-Inscriptional_Pahlavi}', "");
Expect(1, 68480, '\P{Is_Block=-Inscriptional_Pahlavi}', "");
Expect(0, 68480, '\P{^Is_Block=-Inscriptional_Pahlavi}', "");
Error('\p{Is_Blk=/a/	Inscriptional_Pahlavi}');
Error('\P{Is_Blk=/a/	Inscriptional_Pahlavi}');
Expect(1, 68479, '\p{Is_Blk: inscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^Is_Blk: inscriptionalpahlavi}', "");
Expect(0, 68479, '\P{Is_Blk: inscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^Is_Blk: inscriptionalpahlavi}', "");
Expect(0, 68480, '\p{Is_Blk: inscriptionalpahlavi}', "");
Expect(1, 68480, '\p{^Is_Blk: inscriptionalpahlavi}', "");
Expect(1, 68480, '\P{Is_Blk: inscriptionalpahlavi}', "");
Expect(0, 68480, '\P{^Is_Blk: inscriptionalpahlavi}', "");
Expect(1, 68479, '\p{Is_Blk= Inscriptional_Pahlavi}', "");
Expect(0, 68479, '\p{^Is_Blk= Inscriptional_Pahlavi}', "");
Expect(0, 68479, '\P{Is_Blk= Inscriptional_Pahlavi}', "");
Expect(1, 68479, '\P{^Is_Blk= Inscriptional_Pahlavi}', "");
Expect(0, 68480, '\p{Is_Blk= Inscriptional_Pahlavi}', "");
Expect(1, 68480, '\p{^Is_Blk= Inscriptional_Pahlavi}', "");
Expect(1, 68480, '\P{Is_Blk= Inscriptional_Pahlavi}', "");
Expect(0, 68480, '\P{^Is_Blk= Inscriptional_Pahlavi}', "");
Error('\p{Block:  -Inscriptional_Parthian:=}');
Error('\P{Block:  -Inscriptional_Parthian:=}');
Expect(1, 68447, '\p{Block=inscriptionalparthian}', "");
Expect(0, 68447, '\p{^Block=inscriptionalparthian}', "");
Expect(0, 68447, '\P{Block=inscriptionalparthian}', "");
Expect(1, 68447, '\P{^Block=inscriptionalparthian}', "");
Expect(0, 68448, '\p{Block=inscriptionalparthian}', "");
Expect(1, 68448, '\p{^Block=inscriptionalparthian}', "");
Expect(1, 68448, '\P{Block=inscriptionalparthian}', "");
Expect(0, 68448, '\P{^Block=inscriptionalparthian}', "");
Expect(1, 68447, '\p{Block=		Inscriptional_parthian}', "");
Expect(0, 68447, '\p{^Block=		Inscriptional_parthian}', "");
Expect(0, 68447, '\P{Block=		Inscriptional_parthian}', "");
Expect(1, 68447, '\P{^Block=		Inscriptional_parthian}', "");
Expect(0, 68448, '\p{Block=		Inscriptional_parthian}', "");
Expect(1, 68448, '\p{^Block=		Inscriptional_parthian}', "");
Expect(1, 68448, '\P{Block=		Inscriptional_parthian}', "");
Expect(0, 68448, '\P{^Block=		Inscriptional_parthian}', "");
Error('\p{Blk=_ INSCRIPTIONAL_Parthian/a/}');
Error('\P{Blk=_ INSCRIPTIONAL_Parthian/a/}');
Expect(1, 68447, '\p{Blk=inscriptionalparthian}', "");
Expect(0, 68447, '\p{^Blk=inscriptionalparthian}', "");
Expect(0, 68447, '\P{Blk=inscriptionalparthian}', "");
Expect(1, 68447, '\P{^Blk=inscriptionalparthian}', "");
Expect(0, 68448, '\p{Blk=inscriptionalparthian}', "");
Expect(1, 68448, '\p{^Blk=inscriptionalparthian}', "");
Expect(1, 68448, '\P{Blk=inscriptionalparthian}', "");
Expect(0, 68448, '\P{^Blk=inscriptionalparthian}', "");
Expect(1, 68447, '\p{Blk=- Inscriptional_Parthian}', "");
Expect(0, 68447, '\p{^Blk=- Inscriptional_Parthian}', "");
Expect(0, 68447, '\P{Blk=- Inscriptional_Parthian}', "");
Expect(1, 68447, '\P{^Blk=- Inscriptional_Parthian}', "");
Expect(0, 68448, '\p{Blk=- Inscriptional_Parthian}', "");
Expect(1, 68448, '\p{^Blk=- Inscriptional_Parthian}', "");
Expect(1, 68448, '\P{Blk=- Inscriptional_Parthian}', "");
Expect(0, 68448, '\P{^Blk=- Inscriptional_Parthian}', "");
Error('\p{Is_Block=_ Inscriptional_PARTHIAN/a/}');
Error('\P{Is_Block=_ Inscriptional_PARTHIAN/a/}');
Expect(1, 68447, '\p{Is_Block=inscriptionalparthian}', "");
Expect(0, 68447, '\p{^Is_Block=inscriptionalparthian}', "");
Expect(0, 68447, '\P{Is_Block=inscriptionalparthian}', "");
Expect(1, 68447, '\P{^Is_Block=inscriptionalparthian}', "");
Expect(0, 68448, '\p{Is_Block=inscriptionalparthian}', "");
Expect(1, 68448, '\p{^Is_Block=inscriptionalparthian}', "");
Expect(1, 68448, '\P{Is_Block=inscriptionalparthian}', "");
Expect(0, 68448, '\P{^Is_Block=inscriptionalparthian}', "");
Expect(1, 68447, '\p{Is_Block=_ INSCRIPTIONAL_parthian}', "");
Expect(0, 68447, '\p{^Is_Block=_ INSCRIPTIONAL_parthian}', "");
Expect(0, 68447, '\P{Is_Block=_ INSCRIPTIONAL_parthian}', "");
Expect(1, 68447, '\P{^Is_Block=_ INSCRIPTIONAL_parthian}', "");
Expect(0, 68448, '\p{Is_Block=_ INSCRIPTIONAL_parthian}', "");
Expect(1, 68448, '\p{^Is_Block=_ INSCRIPTIONAL_parthian}', "");
Expect(1, 68448, '\P{Is_Block=_ INSCRIPTIONAL_parthian}', "");
Expect(0, 68448, '\P{^Is_Block=_ INSCRIPTIONAL_parthian}', "");
Error('\p{Is_Blk=_ inscriptional_parthian/a/}');
Error('\P{Is_Blk=_ inscriptional_parthian/a/}');
Expect(1, 68447, '\p{Is_Blk=inscriptionalparthian}', "");
Expect(0, 68447, '\p{^Is_Blk=inscriptionalparthian}', "");
Expect(0, 68447, '\P{Is_Blk=inscriptionalparthian}', "");
Expect(1, 68447, '\P{^Is_Blk=inscriptionalparthian}', "");
Expect(0, 68448, '\p{Is_Blk=inscriptionalparthian}', "");
Expect(1, 68448, '\p{^Is_Blk=inscriptionalparthian}', "");
Expect(1, 68448, '\P{Is_Blk=inscriptionalparthian}', "");
Expect(0, 68448, '\P{^Is_Blk=inscriptionalparthian}', "");
Expect(1, 68447, '\p{Is_Blk=- INSCRIPTIONAL_parthian}', "");
Expect(0, 68447, '\p{^Is_Blk=- INSCRIPTIONAL_parthian}', "");
Expect(0, 68447, '\P{Is_Blk=- INSCRIPTIONAL_parthian}', "");
Expect(1, 68447, '\P{^Is_Blk=- INSCRIPTIONAL_parthian}', "");
Expect(0, 68448, '\p{Is_Blk=- INSCRIPTIONAL_parthian}', "");
Expect(1, 68448, '\p{^Is_Blk=- INSCRIPTIONAL_parthian}', "");
Expect(1, 68448, '\P{Is_Blk=- INSCRIPTIONAL_parthian}', "");
Expect(0, 68448, '\P{^Is_Blk=- INSCRIPTIONAL_parthian}', "");
Error('\p{Block=	_Hangul_jamo:=}');
Error('\P{Block=	_Hangul_jamo:=}');
Expect(1, 4607, '\p{Block=hanguljamo}', "");
Expect(0, 4607, '\p{^Block=hanguljamo}', "");
Expect(0, 4607, '\P{Block=hanguljamo}', "");
Expect(1, 4607, '\P{^Block=hanguljamo}', "");
Expect(0, 4608, '\p{Block=hanguljamo}', "");
Expect(1, 4608, '\p{^Block=hanguljamo}', "");
Expect(1, 4608, '\P{Block=hanguljamo}', "");
Expect(0, 4608, '\P{^Block=hanguljamo}', "");
Expect(1, 4607, '\p{Block=-	hangul_Jamo}', "");
Expect(0, 4607, '\p{^Block=-	hangul_Jamo}', "");
Expect(0, 4607, '\P{Block=-	hangul_Jamo}', "");
Expect(1, 4607, '\P{^Block=-	hangul_Jamo}', "");
Expect(0, 4608, '\p{Block=-	hangul_Jamo}', "");
Expect(1, 4608, '\p{^Block=-	hangul_Jamo}', "");
Expect(1, 4608, '\P{Block=-	hangul_Jamo}', "");
Expect(0, 4608, '\P{^Block=-	hangul_Jamo}', "");
Error('\p{Blk=_/a/JAMO}');
Error('\P{Blk=_/a/JAMO}');
Expect(1, 4607, '\p{Blk=jamo}', "");
Expect(0, 4607, '\p{^Blk=jamo}', "");
Expect(0, 4607, '\P{Blk=jamo}', "");
Expect(1, 4607, '\P{^Blk=jamo}', "");
Expect(0, 4608, '\p{Blk=jamo}', "");
Expect(1, 4608, '\p{^Blk=jamo}', "");
Expect(1, 4608, '\P{Blk=jamo}', "");
Expect(0, 4608, '\P{^Blk=jamo}', "");
Expect(1, 4607, '\p{Blk= 	JAMO}', "");
Expect(0, 4607, '\p{^Blk= 	JAMO}', "");
Expect(0, 4607, '\P{Blk= 	JAMO}', "");
Expect(1, 4607, '\P{^Blk= 	JAMO}', "");
Expect(0, 4608, '\p{Blk= 	JAMO}', "");
Expect(1, 4608, '\p{^Blk= 	JAMO}', "");
Expect(1, 4608, '\P{Blk= 	JAMO}', "");
Expect(0, 4608, '\P{^Blk= 	JAMO}', "");
Error('\p{Is_Block=	_Hangul_Jamo:=}');
Error('\P{Is_Block=	_Hangul_Jamo:=}');
Expect(1, 4607, '\p{Is_Block:	hanguljamo}', "");
Expect(0, 4607, '\p{^Is_Block:	hanguljamo}', "");
Expect(0, 4607, '\P{Is_Block:	hanguljamo}', "");
Expect(1, 4607, '\P{^Is_Block:	hanguljamo}', "");
Expect(0, 4608, '\p{Is_Block:	hanguljamo}', "");
Expect(1, 4608, '\p{^Is_Block:	hanguljamo}', "");
Expect(1, 4608, '\P{Is_Block:	hanguljamo}', "");
Expect(0, 4608, '\P{^Is_Block:	hanguljamo}', "");
Expect(1, 4607, '\p{Is_Block=_	Hangul_jamo}', "");
Expect(0, 4607, '\p{^Is_Block=_	Hangul_jamo}', "");
Expect(0, 4607, '\P{Is_Block=_	Hangul_jamo}', "");
Expect(1, 4607, '\P{^Is_Block=_	Hangul_jamo}', "");
Expect(0, 4608, '\p{Is_Block=_	Hangul_jamo}', "");
Expect(1, 4608, '\p{^Is_Block=_	Hangul_jamo}', "");
Expect(1, 4608, '\P{Is_Block=_	Hangul_jamo}', "");
Expect(0, 4608, '\P{^Is_Block=_	Hangul_jamo}', "");
Error('\p{Is_Blk=/a/- jamo}');
Error('\P{Is_Blk=/a/- jamo}');
Expect(1, 4607, '\p{Is_Blk=jamo}', "");
Expect(0, 4607, '\p{^Is_Blk=jamo}', "");
Expect(0, 4607, '\P{Is_Blk=jamo}', "");
Expect(1, 4607, '\P{^Is_Blk=jamo}', "");
Expect(0, 4608, '\p{Is_Blk=jamo}', "");
Expect(1, 4608, '\p{^Is_Blk=jamo}', "");
Expect(1, 4608, '\P{Is_Blk=jamo}', "");
Expect(0, 4608, '\P{^Is_Blk=jamo}', "");
Expect(1, 4607, '\p{Is_Blk=-jamo}', "");
Expect(0, 4607, '\p{^Is_Blk=-jamo}', "");
Expect(0, 4607, '\P{Is_Blk=-jamo}', "");
Expect(1, 4607, '\P{^Is_Blk=-jamo}', "");
Expect(0, 4608, '\p{Is_Blk=-jamo}', "");
Expect(1, 4608, '\p{^Is_Blk=-jamo}', "");
Expect(1, 4608, '\P{Is_Blk=-jamo}', "");
Expect(0, 4608, '\P{^Is_Blk=-jamo}', "");
Error('\p{Block=--hangul_JAMO_Extended_a/a/}');
Error('\P{Block=--hangul_JAMO_Extended_a/a/}');
Expect(1, 43391, '\p{Block=hanguljamoextendeda}', "");
Expect(0, 43391, '\p{^Block=hanguljamoextendeda}', "");
Expect(0, 43391, '\P{Block=hanguljamoextendeda}', "");
Expect(1, 43391, '\P{^Block=hanguljamoextendeda}', "");
Expect(0, 43392, '\p{Block=hanguljamoextendeda}', "");
Expect(1, 43392, '\p{^Block=hanguljamoextendeda}', "");
Expect(1, 43392, '\P{Block=hanguljamoextendeda}', "");
Expect(0, 43392, '\P{^Block=hanguljamoextendeda}', "");
Expect(1, 43391, '\p{Block=-	Hangul_jamo_Extended_A}', "");
Expect(0, 43391, '\p{^Block=-	Hangul_jamo_Extended_A}', "");
Expect(0, 43391, '\P{Block=-	Hangul_jamo_Extended_A}', "");
Expect(1, 43391, '\P{^Block=-	Hangul_jamo_Extended_A}', "");
Expect(0, 43392, '\p{Block=-	Hangul_jamo_Extended_A}', "");
Expect(1, 43392, '\p{^Block=-	Hangul_jamo_Extended_A}', "");
Expect(1, 43392, '\P{Block=-	Hangul_jamo_Extended_A}', "");
Expect(0, 43392, '\P{^Block=-	Hangul_jamo_Extended_A}', "");
Error('\p{Blk=:=Jamo_ext_A}');
Error('\P{Blk=:=Jamo_ext_A}');
Expect(1, 43391, '\p{Blk=jamoexta}', "");
Expect(0, 43391, '\p{^Blk=jamoexta}', "");
Expect(0, 43391, '\P{Blk=jamoexta}', "");
Expect(1, 43391, '\P{^Blk=jamoexta}', "");
Expect(0, 43392, '\p{Blk=jamoexta}', "");
Expect(1, 43392, '\p{^Blk=jamoexta}', "");
Expect(1, 43392, '\P{Blk=jamoexta}', "");
Expect(0, 43392, '\P{^Blk=jamoexta}', "");
Expect(1, 43391, '\p{Blk=-Jamo_Ext_A}', "");
Expect(0, 43391, '\p{^Blk=-Jamo_Ext_A}', "");
Expect(0, 43391, '\P{Blk=-Jamo_Ext_A}', "");
Expect(1, 43391, '\P{^Blk=-Jamo_Ext_A}', "");
Expect(0, 43392, '\p{Blk=-Jamo_Ext_A}', "");
Expect(1, 43392, '\p{^Blk=-Jamo_Ext_A}', "");
Expect(1, 43392, '\P{Blk=-Jamo_Ext_A}', "");
Expect(0, 43392, '\P{^Blk=-Jamo_Ext_A}', "");
Error('\p{Is_Block=_	HANGUL_JAMO_extended_a/a/}');
Error('\P{Is_Block=_	HANGUL_JAMO_extended_a/a/}');
Expect(1, 43391, '\p{Is_Block=hanguljamoextendeda}', "");
Expect(0, 43391, '\p{^Is_Block=hanguljamoextendeda}', "");
Expect(0, 43391, '\P{Is_Block=hanguljamoextendeda}', "");
Expect(1, 43391, '\P{^Is_Block=hanguljamoextendeda}', "");
Expect(0, 43392, '\p{Is_Block=hanguljamoextendeda}', "");
Expect(1, 43392, '\p{^Is_Block=hanguljamoextendeda}', "");
Expect(1, 43392, '\P{Is_Block=hanguljamoextendeda}', "");
Expect(0, 43392, '\P{^Is_Block=hanguljamoextendeda}', "");
Expect(1, 43391, '\p{Is_Block=_hangul_Jamo_Extended_A}', "");
Expect(0, 43391, '\p{^Is_Block=_hangul_Jamo_Extended_A}', "");
Expect(0, 43391, '\P{Is_Block=_hangul_Jamo_Extended_A}', "");
Expect(1, 43391, '\P{^Is_Block=_hangul_Jamo_Extended_A}', "");
Expect(0, 43392, '\p{Is_Block=_hangul_Jamo_Extended_A}', "");
Expect(1, 43392, '\p{^Is_Block=_hangul_Jamo_Extended_A}', "");
Expect(1, 43392, '\P{Is_Block=_hangul_Jamo_Extended_A}', "");
Expect(0, 43392, '\P{^Is_Block=_hangul_Jamo_Extended_A}', "");
Error('\p{Is_Blk=	JAMO_Ext_A/a/}');
Error('\P{Is_Blk=	JAMO_Ext_A/a/}');
Expect(1, 43391, '\p{Is_Blk=jamoexta}', "");
Expect(0, 43391, '\p{^Is_Blk=jamoexta}', "");
Expect(0, 43391, '\P{Is_Blk=jamoexta}', "");
Expect(1, 43391, '\P{^Is_Blk=jamoexta}', "");
Expect(0, 43392, '\p{Is_Blk=jamoexta}', "");
Expect(1, 43392, '\p{^Is_Blk=jamoexta}', "");
Expect(1, 43392, '\P{Is_Blk=jamoexta}', "");
Expect(0, 43392, '\P{^Is_Blk=jamoexta}', "");
Expect(1, 43391, '\p{Is_Blk=		Jamo_Ext_a}', "");
Expect(0, 43391, '\p{^Is_Blk=		Jamo_Ext_a}', "");
Expect(0, 43391, '\P{Is_Blk=		Jamo_Ext_a}', "");
Expect(1, 43391, '\P{^Is_Blk=		Jamo_Ext_a}', "");
Expect(0, 43392, '\p{Is_Blk=		Jamo_Ext_a}', "");
Expect(1, 43392, '\p{^Is_Blk=		Jamo_Ext_a}', "");
Expect(1, 43392, '\P{Is_Blk=		Jamo_Ext_a}', "");
Expect(0, 43392, '\P{^Is_Blk=		Jamo_Ext_a}', "");
Error('\p{Block=:=		Hangul_jamo_EXTENDED_B}');
Error('\P{Block=:=		Hangul_jamo_EXTENDED_B}');
Expect(1, 55295, '\p{Block=hanguljamoextendedb}', "");
Expect(0, 55295, '\p{^Block=hanguljamoextendedb}', "");
Expect(0, 55295, '\P{Block=hanguljamoextendedb}', "");
Expect(1, 55295, '\P{^Block=hanguljamoextendedb}', "");
Expect(0, 57344, '\p{Block=hanguljamoextendedb}', "");
Expect(1, 57344, '\p{^Block=hanguljamoextendedb}', "");
Expect(1, 57344, '\P{Block=hanguljamoextendedb}', "");
Expect(0, 57344, '\P{^Block=hanguljamoextendedb}', "");
Expect(1, 55295, '\p{Block=	Hangul_jamo_Extended_B}', "");
Expect(0, 55295, '\p{^Block=	Hangul_jamo_Extended_B}', "");
Expect(0, 55295, '\P{Block=	Hangul_jamo_Extended_B}', "");
Expect(1, 55295, '\P{^Block=	Hangul_jamo_Extended_B}', "");
Expect(0, 57344, '\p{Block=	Hangul_jamo_Extended_B}', "");
Expect(1, 57344, '\p{^Block=	Hangul_jamo_Extended_B}', "");
Expect(1, 57344, '\P{Block=	Hangul_jamo_Extended_B}', "");
Expect(0, 57344, '\P{^Block=	Hangul_jamo_Extended_B}', "");
Error('\p{Blk=-:=Jamo_Ext_B}');
Error('\P{Blk=-:=Jamo_Ext_B}');
Expect(1, 55295, '\p{Blk=jamoextb}', "");
Expect(0, 55295, '\p{^Blk=jamoextb}', "");
Expect(0, 55295, '\P{Blk=jamoextb}', "");
Expect(1, 55295, '\P{^Blk=jamoextb}', "");
Expect(0, 57344, '\p{Blk=jamoextb}', "");
Expect(1, 57344, '\p{^Blk=jamoextb}', "");
Expect(1, 57344, '\P{Blk=jamoextb}', "");
Expect(0, 57344, '\P{^Blk=jamoextb}', "");
Expect(1, 55295, '\p{Blk=-	jamo_Ext_B}', "");
Expect(0, 55295, '\p{^Blk=-	jamo_Ext_B}', "");
Expect(0, 55295, '\P{Blk=-	jamo_Ext_B}', "");
Expect(1, 55295, '\P{^Blk=-	jamo_Ext_B}', "");
Expect(0, 57344, '\p{Blk=-	jamo_Ext_B}', "");
Expect(1, 57344, '\p{^Blk=-	jamo_Ext_B}', "");
Expect(1, 57344, '\P{Blk=-	jamo_Ext_B}', "");
Expect(0, 57344, '\P{^Blk=-	jamo_Ext_B}', "");
Error('\p{Is_Block= -hangul_Jamo_EXTENDED_B:=}');
Error('\P{Is_Block= -hangul_Jamo_EXTENDED_B:=}');
Expect(1, 55295, '\p{Is_Block=hanguljamoextendedb}', "");
Expect(0, 55295, '\p{^Is_Block=hanguljamoextendedb}', "");
Expect(0, 55295, '\P{Is_Block=hanguljamoextendedb}', "");
Expect(1, 55295, '\P{^Is_Block=hanguljamoextendedb}', "");
Expect(0, 57344, '\p{Is_Block=hanguljamoextendedb}', "");
Expect(1, 57344, '\p{^Is_Block=hanguljamoextendedb}', "");
Expect(1, 57344, '\P{Is_Block=hanguljamoextendedb}', "");
Expect(0, 57344, '\P{^Is_Block=hanguljamoextendedb}', "");
Expect(1, 55295, '\p{Is_Block=_HANGUL_jamo_Extended_B}', "");
Expect(0, 55295, '\p{^Is_Block=_HANGUL_jamo_Extended_B}', "");
Expect(0, 55295, '\P{Is_Block=_HANGUL_jamo_Extended_B}', "");
Expect(1, 55295, '\P{^Is_Block=_HANGUL_jamo_Extended_B}', "");
Expect(0, 57344, '\p{Is_Block=_HANGUL_jamo_Extended_B}', "");
Expect(1, 57344, '\p{^Is_Block=_HANGUL_jamo_Extended_B}', "");
Expect(1, 57344, '\P{Is_Block=_HANGUL_jamo_Extended_B}', "");
Expect(0, 57344, '\P{^Is_Block=_HANGUL_jamo_Extended_B}', "");
Error('\p{Is_Blk: :=Jamo_Ext_b}');
Error('\P{Is_Blk: :=Jamo_Ext_b}');
Expect(1, 55295, '\p{Is_Blk=jamoextb}', "");
Expect(0, 55295, '\p{^Is_Blk=jamoextb}', "");
Expect(0, 55295, '\P{Is_Blk=jamoextb}', "");
Expect(1, 55295, '\P{^Is_Blk=jamoextb}', "");
Expect(0, 57344, '\p{Is_Blk=jamoextb}', "");
Expect(1, 57344, '\p{^Is_Blk=jamoextb}', "");
Expect(1, 57344, '\P{Is_Blk=jamoextb}', "");
Expect(0, 57344, '\P{^Is_Blk=jamoextb}', "");
Expect(1, 55295, '\p{Is_Blk=	_JAMO_ext_B}', "");
Expect(0, 55295, '\p{^Is_Blk=	_JAMO_ext_B}', "");
Expect(0, 55295, '\P{Is_Blk=	_JAMO_ext_B}', "");
Expect(1, 55295, '\P{^Is_Blk=	_JAMO_ext_B}', "");
Expect(0, 57344, '\p{Is_Blk=	_JAMO_ext_B}', "");
Expect(1, 57344, '\p{^Is_Blk=	_JAMO_ext_B}', "");
Expect(1, 57344, '\P{Is_Blk=	_JAMO_ext_B}', "");
Expect(0, 57344, '\P{^Is_Blk=	_JAMO_ext_B}', "");
Error('\p{Block=	/a/Javanese}');
Error('\P{Block=	/a/Javanese}');
Expect(1, 43487, '\p{Block=javanese}', "");
Expect(0, 43487, '\p{^Block=javanese}', "");
Expect(0, 43487, '\P{Block=javanese}', "");
Expect(1, 43487, '\P{^Block=javanese}', "");
Expect(0, 43488, '\p{Block=javanese}', "");
Expect(1, 43488, '\p{^Block=javanese}', "");
Expect(1, 43488, '\P{Block=javanese}', "");
Expect(0, 43488, '\P{^Block=javanese}', "");
Expect(1, 43487, '\p{Block=  javanese}', "");
Expect(0, 43487, '\p{^Block=  javanese}', "");
Expect(0, 43487, '\P{Block=  javanese}', "");
Expect(1, 43487, '\P{^Block=  javanese}', "");
Expect(0, 43488, '\p{Block=  javanese}', "");
Expect(1, 43488, '\p{^Block=  javanese}', "");
Expect(1, 43488, '\P{Block=  javanese}', "");
Expect(0, 43488, '\P{^Block=  javanese}', "");
Error('\p{Blk=_Javanese:=}');
Error('\P{Blk=_Javanese:=}');
Expect(1, 43487, '\p{Blk:javanese}', "");
Expect(0, 43487, '\p{^Blk:javanese}', "");
Expect(0, 43487, '\P{Blk:javanese}', "");
Expect(1, 43487, '\P{^Blk:javanese}', "");
Expect(0, 43488, '\p{Blk:javanese}', "");
Expect(1, 43488, '\p{^Blk:javanese}', "");
Expect(1, 43488, '\P{Blk:javanese}', "");
Expect(0, 43488, '\P{^Blk:javanese}', "");
Expect(1, 43487, '\p{Blk=--JAVANESE}', "");
Expect(0, 43487, '\p{^Blk=--JAVANESE}', "");
Expect(0, 43487, '\P{Blk=--JAVANESE}', "");
Expect(1, 43487, '\P{^Blk=--JAVANESE}', "");
Expect(0, 43488, '\p{Blk=--JAVANESE}', "");
Expect(1, 43488, '\p{^Blk=--JAVANESE}', "");
Expect(1, 43488, '\P{Blk=--JAVANESE}', "");
Expect(0, 43488, '\P{^Blk=--JAVANESE}', "");
Error('\p{Is_Block= /a/JAVANESE}');
Error('\P{Is_Block= /a/JAVANESE}');
Expect(1, 43487, '\p{Is_Block=javanese}', "");
Expect(0, 43487, '\p{^Is_Block=javanese}', "");
Expect(0, 43487, '\P{Is_Block=javanese}', "");
Expect(1, 43487, '\P{^Is_Block=javanese}', "");
Expect(0, 43488, '\p{Is_Block=javanese}', "");
Expect(1, 43488, '\p{^Is_Block=javanese}', "");
Expect(1, 43488, '\P{Is_Block=javanese}', "");
Expect(0, 43488, '\P{^Is_Block=javanese}', "");
Expect(1, 43487, '\p{Is_Block:   -javanese}', "");
Expect(0, 43487, '\p{^Is_Block:   -javanese}', "");
Expect(0, 43487, '\P{Is_Block:   -javanese}', "");
Expect(1, 43487, '\P{^Is_Block:   -javanese}', "");
Expect(0, 43488, '\p{Is_Block:   -javanese}', "");
Expect(1, 43488, '\p{^Is_Block:   -javanese}', "");
Expect(1, 43488, '\P{Is_Block:   -javanese}', "");
Expect(0, 43488, '\P{^Is_Block:   -javanese}', "");
Error('\p{Is_Blk=:=_-Javanese}');
Error('\P{Is_Blk=:=_-Javanese}');
Expect(1, 43487, '\p{Is_Blk=javanese}', "");
Expect(0, 43487, '\p{^Is_Blk=javanese}', "");
Expect(0, 43487, '\P{Is_Blk=javanese}', "");
Expect(1, 43487, '\P{^Is_Blk=javanese}', "");
Expect(0, 43488, '\p{Is_Blk=javanese}', "");
Expect(1, 43488, '\p{^Is_Blk=javanese}', "");
Expect(1, 43488, '\P{Is_Blk=javanese}', "");
Expect(0, 43488, '\P{^Is_Blk=javanese}', "");
Expect(1, 43487, '\p{Is_Blk=_javanese}', "");
Expect(0, 43487, '\p{^Is_Blk=_javanese}', "");
Expect(0, 43487, '\P{Is_Blk=_javanese}', "");
Expect(1, 43487, '\P{^Is_Blk=_javanese}', "");
Expect(0, 43488, '\p{Is_Blk=_javanese}', "");
Expect(1, 43488, '\p{^Is_Blk=_javanese}', "");
Expect(1, 43488, '\P{Is_Blk=_javanese}', "");
Expect(0, 43488, '\P{^Is_Blk=_javanese}', "");
Error('\p{Block=_	KAITHI:=}');
Error('\P{Block=_	KAITHI:=}');
Expect(1, 69839, '\p{Block=kaithi}', "");
Expect(0, 69839, '\p{^Block=kaithi}', "");
Expect(0, 69839, '\P{Block=kaithi}', "");
Expect(1, 69839, '\P{^Block=kaithi}', "");
Expect(0, 69840, '\p{Block=kaithi}', "");
Expect(1, 69840, '\p{^Block=kaithi}', "");
Expect(1, 69840, '\P{Block=kaithi}', "");
Expect(0, 69840, '\P{^Block=kaithi}', "");
Expect(1, 69839, '\p{Block:   	_Kaithi}', "");
Expect(0, 69839, '\p{^Block:   	_Kaithi}', "");
Expect(0, 69839, '\P{Block:   	_Kaithi}', "");
Expect(1, 69839, '\P{^Block:   	_Kaithi}', "");
Expect(0, 69840, '\p{Block:   	_Kaithi}', "");
Expect(1, 69840, '\p{^Block:   	_Kaithi}', "");
Expect(1, 69840, '\P{Block:   	_Kaithi}', "");
Expect(0, 69840, '\P{^Block:   	_Kaithi}', "");
Error('\p{Blk=/a/	Kaithi}');
Error('\P{Blk=/a/	Kaithi}');
Expect(1, 69839, '\p{Blk:	kaithi}', "");
Expect(0, 69839, '\p{^Blk:	kaithi}', "");
Expect(0, 69839, '\P{Blk:	kaithi}', "");
Expect(1, 69839, '\P{^Blk:	kaithi}', "");
Expect(0, 69840, '\p{Blk:	kaithi}', "");
Expect(1, 69840, '\p{^Blk:	kaithi}', "");
Expect(1, 69840, '\P{Blk:	kaithi}', "");
Expect(0, 69840, '\P{^Blk:	kaithi}', "");
Expect(1, 69839, '\p{Blk=	_Kaithi}', "");
Expect(0, 69839, '\p{^Blk=	_Kaithi}', "");
Expect(0, 69839, '\P{Blk=	_Kaithi}', "");
Expect(1, 69839, '\P{^Blk=	_Kaithi}', "");
Expect(0, 69840, '\p{Blk=	_Kaithi}', "");
Expect(1, 69840, '\p{^Blk=	_Kaithi}', "");
Expect(1, 69840, '\P{Blk=	_Kaithi}', "");
Expect(0, 69840, '\P{^Blk=	_Kaithi}', "");
Error('\p{Is_Block::=--Kaithi}');
Error('\P{Is_Block::=--Kaithi}');
Expect(1, 69839, '\p{Is_Block=kaithi}', "");
Expect(0, 69839, '\p{^Is_Block=kaithi}', "");
Expect(0, 69839, '\P{Is_Block=kaithi}', "");
Expect(1, 69839, '\P{^Is_Block=kaithi}', "");
Expect(0, 69840, '\p{Is_Block=kaithi}', "");
Expect(1, 69840, '\p{^Is_Block=kaithi}', "");
Expect(1, 69840, '\P{Is_Block=kaithi}', "");
Expect(0, 69840, '\P{^Is_Block=kaithi}', "");
Expect(1, 69839, '\p{Is_Block:	- Kaithi}', "");
Expect(0, 69839, '\p{^Is_Block:	- Kaithi}', "");
Expect(0, 69839, '\P{Is_Block:	- Kaithi}', "");
Expect(1, 69839, '\P{^Is_Block:	- Kaithi}', "");
Expect(0, 69840, '\p{Is_Block:	- Kaithi}', "");
Expect(1, 69840, '\p{^Is_Block:	- Kaithi}', "");
Expect(1, 69840, '\P{Is_Block:	- Kaithi}', "");
Expect(0, 69840, '\P{^Is_Block:	- Kaithi}', "");
Error('\p{Is_Blk=_	kaithi:=}');
Error('\P{Is_Blk=_	kaithi:=}');
Expect(1, 69839, '\p{Is_Blk=kaithi}', "");
Expect(0, 69839, '\p{^Is_Blk=kaithi}', "");
Expect(0, 69839, '\P{Is_Blk=kaithi}', "");
Expect(1, 69839, '\P{^Is_Blk=kaithi}', "");
Expect(0, 69840, '\p{Is_Blk=kaithi}', "");
Expect(1, 69840, '\p{^Is_Blk=kaithi}', "");
Expect(1, 69840, '\P{Is_Blk=kaithi}', "");
Expect(0, 69840, '\P{^Is_Blk=kaithi}', "");
Expect(1, 69839, '\p{Is_Blk=- kaithi}', "");
Expect(0, 69839, '\p{^Is_Blk=- kaithi}', "");
Expect(0, 69839, '\P{Is_Blk=- kaithi}', "");
Expect(1, 69839, '\P{^Is_Blk=- kaithi}', "");
Expect(0, 69840, '\p{Is_Blk=- kaithi}', "");
Expect(1, 69840, '\p{^Is_Blk=- kaithi}', "");
Expect(1, 69840, '\P{Is_Blk=- kaithi}', "");
Expect(0, 69840, '\P{^Is_Blk=- kaithi}', "");
Error('\p{Block= :=kana_Supplement}');
Error('\P{Block= :=kana_Supplement}');
Expect(1, 110847, '\p{Block=kanasupplement}', "");
Expect(0, 110847, '\p{^Block=kanasupplement}', "");
Expect(0, 110847, '\P{Block=kanasupplement}', "");
Expect(1, 110847, '\P{^Block=kanasupplement}', "");
Expect(0, 110848, '\p{Block=kanasupplement}', "");
Expect(1, 110848, '\p{^Block=kanasupplement}', "");
Expect(1, 110848, '\P{Block=kanasupplement}', "");
Expect(0, 110848, '\P{^Block=kanasupplement}', "");
Expect(1, 110847, '\p{Block=__KANA_Supplement}', "");
Expect(0, 110847, '\p{^Block=__KANA_Supplement}', "");
Expect(0, 110847, '\P{Block=__KANA_Supplement}', "");
Expect(1, 110847, '\P{^Block=__KANA_Supplement}', "");
Expect(0, 110848, '\p{Block=__KANA_Supplement}', "");
Expect(1, 110848, '\p{^Block=__KANA_Supplement}', "");
Expect(1, 110848, '\P{Block=__KANA_Supplement}', "");
Expect(0, 110848, '\P{^Block=__KANA_Supplement}', "");
Error('\p{Blk=:=Kana_Sup}');
Error('\P{Blk=:=Kana_Sup}');
Expect(1, 110847, '\p{Blk=kanasup}', "");
Expect(0, 110847, '\p{^Blk=kanasup}', "");
Expect(0, 110847, '\P{Blk=kanasup}', "");
Expect(1, 110847, '\P{^Blk=kanasup}', "");
Expect(0, 110848, '\p{Blk=kanasup}', "");
Expect(1, 110848, '\p{^Blk=kanasup}', "");
Expect(1, 110848, '\P{Blk=kanasup}', "");
Expect(0, 110848, '\P{^Blk=kanasup}', "");
Expect(1, 110847, '\p{Blk=	 Kana_sup}', "");
Expect(0, 110847, '\p{^Blk=	 Kana_sup}', "");
Expect(0, 110847, '\P{Blk=	 Kana_sup}', "");
Expect(1, 110847, '\P{^Blk=	 Kana_sup}', "");
Expect(0, 110848, '\p{Blk=	 Kana_sup}', "");
Expect(1, 110848, '\p{^Blk=	 Kana_sup}', "");
Expect(1, 110848, '\P{Blk=	 Kana_sup}', "");
Expect(0, 110848, '\P{^Blk=	 Kana_sup}', "");
Error('\p{Is_Block=	 kana_Supplement:=}');
Error('\P{Is_Block=	 kana_Supplement:=}');
Expect(1, 110847, '\p{Is_Block=kanasupplement}', "");
Expect(0, 110847, '\p{^Is_Block=kanasupplement}', "");
Expect(0, 110847, '\P{Is_Block=kanasupplement}', "");
Expect(1, 110847, '\P{^Is_Block=kanasupplement}', "");
Expect(0, 110848, '\p{Is_Block=kanasupplement}', "");
Expect(1, 110848, '\p{^Is_Block=kanasupplement}', "");
Expect(1, 110848, '\P{Is_Block=kanasupplement}', "");
Expect(0, 110848, '\P{^Is_Block=kanasupplement}', "");
Expect(1, 110847, '\p{Is_Block:  KANA_supplement}', "");
Expect(0, 110847, '\p{^Is_Block:  KANA_supplement}', "");
Expect(0, 110847, '\P{Is_Block:  KANA_supplement}', "");
Expect(1, 110847, '\P{^Is_Block:  KANA_supplement}', "");
Expect(0, 110848, '\p{Is_Block:  KANA_supplement}', "");
Expect(1, 110848, '\p{^Is_Block:  KANA_supplement}', "");
Expect(1, 110848, '\P{Is_Block:  KANA_supplement}', "");
Expect(0, 110848, '\P{^Is_Block:  KANA_supplement}', "");
Error('\p{Is_Blk:	/a/_ KANA_sup}');
Error('\P{Is_Blk:	/a/_ KANA_sup}');
Expect(1, 110847, '\p{Is_Blk=kanasup}', "");
Expect(0, 110847, '\p{^Is_Blk=kanasup}', "");
Expect(0, 110847, '\P{Is_Blk=kanasup}', "");
Expect(1, 110847, '\P{^Is_Blk=kanasup}', "");
Expect(0, 110848, '\p{Is_Blk=kanasup}', "");
Expect(1, 110848, '\p{^Is_Blk=kanasup}', "");
Expect(1, 110848, '\P{Is_Blk=kanasup}', "");
Expect(0, 110848, '\P{^Is_Blk=kanasup}', "");
Expect(1, 110847, '\p{Is_Blk=--KANA_Sup}', "");
Expect(0, 110847, '\p{^Is_Blk=--KANA_Sup}', "");
Expect(0, 110847, '\P{Is_Blk=--KANA_Sup}', "");
Expect(1, 110847, '\P{^Is_Blk=--KANA_Sup}', "");
Expect(0, 110848, '\p{Is_Blk=--KANA_Sup}', "");
Expect(1, 110848, '\p{^Is_Blk=--KANA_Sup}', "");
Expect(1, 110848, '\P{Is_Blk=--KANA_Sup}', "");
Expect(0, 110848, '\P{^Is_Blk=--KANA_Sup}', "");
Error('\p{Block= KANBUN/a/}');
Error('\P{Block= KANBUN/a/}');
Expect(1, 12703, '\p{Block=kanbun}', "");
Expect(0, 12703, '\p{^Block=kanbun}', "");
Expect(0, 12703, '\P{Block=kanbun}', "");
Expect(1, 12703, '\P{^Block=kanbun}', "");
Expect(0, 12704, '\p{Block=kanbun}', "");
Expect(1, 12704, '\p{^Block=kanbun}', "");
Expect(1, 12704, '\P{Block=kanbun}', "");
Expect(0, 12704, '\P{^Block=kanbun}', "");
Expect(1, 12703, '\p{Block= 	Kanbun}', "");
Expect(0, 12703, '\p{^Block= 	Kanbun}', "");
Expect(0, 12703, '\P{Block= 	Kanbun}', "");
Expect(1, 12703, '\P{^Block= 	Kanbun}', "");
Expect(0, 12704, '\p{Block= 	Kanbun}', "");
Expect(1, 12704, '\p{^Block= 	Kanbun}', "");
Expect(1, 12704, '\P{Block= 	Kanbun}', "");
Expect(0, 12704, '\P{^Block= 	Kanbun}', "");
Error('\p{Blk=:=  KANBUN}');
Error('\P{Blk=:=  KANBUN}');
Expect(1, 12703, '\p{Blk=kanbun}', "");
Expect(0, 12703, '\p{^Blk=kanbun}', "");
Expect(0, 12703, '\P{Blk=kanbun}', "");
Expect(1, 12703, '\P{^Blk=kanbun}', "");
Expect(0, 12704, '\p{Blk=kanbun}', "");
Expect(1, 12704, '\p{^Blk=kanbun}', "");
Expect(1, 12704, '\P{Blk=kanbun}', "");
Expect(0, 12704, '\P{^Blk=kanbun}', "");
Expect(1, 12703, '\p{Blk=_-kanbun}', "");
Expect(0, 12703, '\p{^Blk=_-kanbun}', "");
Expect(0, 12703, '\P{Blk=_-kanbun}', "");
Expect(1, 12703, '\P{^Blk=_-kanbun}', "");
Expect(0, 12704, '\p{Blk=_-kanbun}', "");
Expect(1, 12704, '\p{^Blk=_-kanbun}', "");
Expect(1, 12704, '\P{Blk=_-kanbun}', "");
Expect(0, 12704, '\P{^Blk=_-kanbun}', "");
Error('\p{Is_Block=/a/-	Kanbun}');
Error('\P{Is_Block=/a/-	Kanbun}');
Expect(1, 12703, '\p{Is_Block=kanbun}', "");
Expect(0, 12703, '\p{^Is_Block=kanbun}', "");
Expect(0, 12703, '\P{Is_Block=kanbun}', "");
Expect(1, 12703, '\P{^Is_Block=kanbun}', "");
Expect(0, 12704, '\p{Is_Block=kanbun}', "");
Expect(1, 12704, '\p{^Is_Block=kanbun}', "");
Expect(1, 12704, '\P{Is_Block=kanbun}', "");
Expect(0, 12704, '\P{^Is_Block=kanbun}', "");
Expect(1, 12703, '\p{Is_Block=	_kanbun}', "");
Expect(0, 12703, '\p{^Is_Block=	_kanbun}', "");
Expect(0, 12703, '\P{Is_Block=	_kanbun}', "");
Expect(1, 12703, '\P{^Is_Block=	_kanbun}', "");
Expect(0, 12704, '\p{Is_Block=	_kanbun}', "");
Expect(1, 12704, '\p{^Is_Block=	_kanbun}', "");
Expect(1, 12704, '\P{Is_Block=	_kanbun}', "");
Expect(0, 12704, '\P{^Is_Block=	_kanbun}', "");
Error('\p{Is_Blk=/a/_	kanbun}');
Error('\P{Is_Blk=/a/_	kanbun}');
Expect(1, 12703, '\p{Is_Blk=kanbun}', "");
Expect(0, 12703, '\p{^Is_Blk=kanbun}', "");
Expect(0, 12703, '\P{Is_Blk=kanbun}', "");
Expect(1, 12703, '\P{^Is_Blk=kanbun}', "");
Expect(0, 12704, '\p{Is_Blk=kanbun}', "");
Expect(1, 12704, '\p{^Is_Blk=kanbun}', "");
Expect(1, 12704, '\P{Is_Blk=kanbun}', "");
Expect(0, 12704, '\P{^Is_Blk=kanbun}', "");
Expect(1, 12703, '\p{Is_Blk=__kanbun}', "");
Expect(0, 12703, '\p{^Is_Blk=__kanbun}', "");
Expect(0, 12703, '\P{Is_Blk=__kanbun}', "");
Expect(1, 12703, '\P{^Is_Blk=__kanbun}', "");
Expect(0, 12704, '\p{Is_Blk=__kanbun}', "");
Expect(1, 12704, '\p{^Is_Blk=__kanbun}', "");
Expect(1, 12704, '\P{Is_Blk=__kanbun}', "");
Expect(0, 12704, '\P{^Is_Blk=__kanbun}', "");
Error('\p{Block:   	kangxi_radicals/a/}');
Error('\P{Block:   	kangxi_radicals/a/}');
Expect(1, 12255, '\p{Block=kangxiradicals}', "");
Expect(0, 12255, '\p{^Block=kangxiradicals}', "");
Expect(0, 12255, '\P{Block=kangxiradicals}', "");
Expect(1, 12255, '\P{^Block=kangxiradicals}', "");
Expect(0, 12256, '\p{Block=kangxiradicals}', "");
Expect(1, 12256, '\p{^Block=kangxiradicals}', "");
Expect(1, 12256, '\P{Block=kangxiradicals}', "");
Expect(0, 12256, '\P{^Block=kangxiradicals}', "");
Expect(1, 12255, '\p{Block= KANGXI_Radicals}', "");
Expect(0, 12255, '\p{^Block= KANGXI_Radicals}', "");
Expect(0, 12255, '\P{Block= KANGXI_Radicals}', "");
Expect(1, 12255, '\P{^Block= KANGXI_Radicals}', "");
Expect(0, 12256, '\p{Block= KANGXI_Radicals}', "");
Expect(1, 12256, '\p{^Block= KANGXI_Radicals}', "");
Expect(1, 12256, '\P{Block= KANGXI_Radicals}', "");
Expect(0, 12256, '\P{^Block= KANGXI_Radicals}', "");
Error('\p{Blk=-/a/KANGXI}');
Error('\P{Blk=-/a/KANGXI}');
Expect(1, 12255, '\p{Blk=kangxi}', "");
Expect(0, 12255, '\p{^Blk=kangxi}', "");
Expect(0, 12255, '\P{Blk=kangxi}', "");
Expect(1, 12255, '\P{^Blk=kangxi}', "");
Expect(0, 12256, '\p{Blk=kangxi}', "");
Expect(1, 12256, '\p{^Blk=kangxi}', "");
Expect(1, 12256, '\P{Blk=kangxi}', "");
Expect(0, 12256, '\P{^Blk=kangxi}', "");
Expect(1, 12255, '\p{Blk=-	KANGXI}', "");
Expect(0, 12255, '\p{^Blk=-	KANGXI}', "");
Expect(0, 12255, '\P{Blk=-	KANGXI}', "");
Expect(1, 12255, '\P{^Blk=-	KANGXI}', "");
Expect(0, 12256, '\p{Blk=-	KANGXI}', "");
Expect(1, 12256, '\p{^Blk=-	KANGXI}', "");
Expect(1, 12256, '\P{Blk=-	KANGXI}', "");
Expect(0, 12256, '\P{^Blk=-	KANGXI}', "");
Error('\p{Is_Block=	 kangxi_RADICALS/a/}');
Error('\P{Is_Block=	 kangxi_RADICALS/a/}');
Expect(1, 12255, '\p{Is_Block=kangxiradicals}', "");
Expect(0, 12255, '\p{^Is_Block=kangxiradicals}', "");
Expect(0, 12255, '\P{Is_Block=kangxiradicals}', "");
Expect(1, 12255, '\P{^Is_Block=kangxiradicals}', "");
Expect(0, 12256, '\p{Is_Block=kangxiradicals}', "");
Expect(1, 12256, '\p{^Is_Block=kangxiradicals}', "");
Expect(1, 12256, '\P{Is_Block=kangxiradicals}', "");
Expect(0, 12256, '\P{^Is_Block=kangxiradicals}', "");
Expect(1, 12255, '\p{Is_Block=  Kangxi_RADICALS}', "");
Expect(0, 12255, '\p{^Is_Block=  Kangxi_RADICALS}', "");
Expect(0, 12255, '\P{Is_Block=  Kangxi_RADICALS}', "");
Expect(1, 12255, '\P{^Is_Block=  Kangxi_RADICALS}', "");
Expect(0, 12256, '\p{Is_Block=  Kangxi_RADICALS}', "");
Expect(1, 12256, '\p{^Is_Block=  Kangxi_RADICALS}', "");
Expect(1, 12256, '\P{Is_Block=  Kangxi_RADICALS}', "");
Expect(0, 12256, '\P{^Is_Block=  Kangxi_RADICALS}', "");
Error('\p{Is_Blk=:=	_kangxi}');
Error('\P{Is_Blk=:=	_kangxi}');
Expect(1, 12255, '\p{Is_Blk=kangxi}', "");
Expect(0, 12255, '\p{^Is_Blk=kangxi}', "");
Expect(0, 12255, '\P{Is_Blk=kangxi}', "");
Expect(1, 12255, '\P{^Is_Blk=kangxi}', "");
Expect(0, 12256, '\p{Is_Blk=kangxi}', "");
Expect(1, 12256, '\p{^Is_Blk=kangxi}', "");
Expect(1, 12256, '\P{Is_Blk=kangxi}', "");
Expect(0, 12256, '\P{^Is_Blk=kangxi}', "");
Expect(1, 12255, '\p{Is_Blk:__Kangxi}', "");
Expect(0, 12255, '\p{^Is_Blk:__Kangxi}', "");
Expect(0, 12255, '\P{Is_Blk:__Kangxi}', "");
Expect(1, 12255, '\P{^Is_Blk:__Kangxi}', "");
Expect(0, 12256, '\p{Is_Blk:__Kangxi}', "");
Expect(1, 12256, '\p{^Is_Blk:__Kangxi}', "");
Expect(1, 12256, '\P{Is_Blk:__Kangxi}', "");
Expect(0, 12256, '\P{^Is_Blk:__Kangxi}', "");
Error('\p{Block=/a/  Kannada}');
Error('\P{Block=/a/  Kannada}');
Expect(1, 3327, '\p{Block=kannada}', "");
Expect(0, 3327, '\p{^Block=kannada}', "");
Expect(0, 3327, '\P{Block=kannada}', "");
Expect(1, 3327, '\P{^Block=kannada}', "");
Expect(0, 3328, '\p{Block=kannada}', "");
Expect(1, 3328, '\p{^Block=kannada}', "");
Expect(1, 3328, '\P{Block=kannada}', "");
Expect(0, 3328, '\P{^Block=kannada}', "");
Expect(1, 3327, '\p{Block=_	Kannada}', "");
Expect(0, 3327, '\p{^Block=_	Kannada}', "");
Expect(0, 3327, '\P{Block=_	Kannada}', "");
Expect(1, 3327, '\P{^Block=_	Kannada}', "");
Expect(0, 3328, '\p{Block=_	Kannada}', "");
Expect(1, 3328, '\p{^Block=_	Kannada}', "");
Expect(1, 3328, '\P{Block=_	Kannada}', "");
Expect(0, 3328, '\P{^Block=_	Kannada}', "");
Error('\p{Blk=	 KANNADA/a/}');
Error('\P{Blk=	 KANNADA/a/}');
Expect(1, 3327, '\p{Blk=kannada}', "");
Expect(0, 3327, '\p{^Blk=kannada}', "");
Expect(0, 3327, '\P{Blk=kannada}', "");
Expect(1, 3327, '\P{^Blk=kannada}', "");
Expect(0, 3328, '\p{Blk=kannada}', "");
Expect(1, 3328, '\p{^Blk=kannada}', "");
Expect(1, 3328, '\P{Blk=kannada}', "");
Expect(0, 3328, '\P{^Blk=kannada}', "");
Expect(1, 3327, '\p{Blk= -Kannada}', "");
Expect(0, 3327, '\p{^Blk= -Kannada}', "");
Expect(0, 3327, '\P{Blk= -Kannada}', "");
Expect(1, 3327, '\P{^Blk= -Kannada}', "");
Expect(0, 3328, '\p{Blk= -Kannada}', "");
Expect(1, 3328, '\p{^Blk= -Kannada}', "");
Expect(1, 3328, '\P{Blk= -Kannada}', "");
Expect(0, 3328, '\P{^Blk= -Kannada}', "");
Error('\p{Is_Block=-KANNADA/a/}');
Error('\P{Is_Block=-KANNADA/a/}');
Expect(1, 3327, '\p{Is_Block=kannada}', "");
Expect(0, 3327, '\p{^Is_Block=kannada}', "");
Expect(0, 3327, '\P{Is_Block=kannada}', "");
Expect(1, 3327, '\P{^Is_Block=kannada}', "");
Expect(0, 3328, '\p{Is_Block=kannada}', "");
Expect(1, 3328, '\p{^Is_Block=kannada}', "");
Expect(1, 3328, '\P{Is_Block=kannada}', "");
Expect(0, 3328, '\P{^Is_Block=kannada}', "");
Expect(1, 3327, '\p{Is_Block=_ KANNADA}', "");
Expect(0, 3327, '\p{^Is_Block=_ KANNADA}', "");
Expect(0, 3327, '\P{Is_Block=_ KANNADA}', "");
Expect(1, 3327, '\P{^Is_Block=_ KANNADA}', "");
Expect(0, 3328, '\p{Is_Block=_ KANNADA}', "");
Expect(1, 3328, '\p{^Is_Block=_ KANNADA}', "");
Expect(1, 3328, '\P{Is_Block=_ KANNADA}', "");
Expect(0, 3328, '\P{^Is_Block=_ KANNADA}', "");
Error('\p{Is_Blk=-KANNADA/a/}');
Error('\P{Is_Blk=-KANNADA/a/}');
Expect(1, 3327, '\p{Is_Blk=kannada}', "");
Expect(0, 3327, '\p{^Is_Blk=kannada}', "");
Expect(0, 3327, '\P{Is_Blk=kannada}', "");
Expect(1, 3327, '\P{^Is_Blk=kannada}', "");
Expect(0, 3328, '\p{Is_Blk=kannada}', "");
Expect(1, 3328, '\p{^Is_Blk=kannada}', "");
Expect(1, 3328, '\P{Is_Blk=kannada}', "");
Expect(0, 3328, '\P{^Is_Blk=kannada}', "");
Expect(1, 3327, '\p{Is_Blk=	Kannada}', "");
Expect(0, 3327, '\p{^Is_Blk=	Kannada}', "");
Expect(0, 3327, '\P{Is_Blk=	Kannada}', "");
Expect(1, 3327, '\P{^Is_Blk=	Kannada}', "");
Expect(0, 3328, '\p{Is_Blk=	Kannada}', "");
Expect(1, 3328, '\p{^Is_Blk=	Kannada}', "");
Expect(1, 3328, '\P{Is_Blk=	Kannada}', "");
Expect(0, 3328, '\P{^Is_Blk=	Kannada}', "");
Error('\p{Block:	:=-KATAKANA}');
Error('\P{Block:	:=-KATAKANA}');
Expect(1, 12543, '\p{Block=katakana}', "");
Expect(0, 12543, '\p{^Block=katakana}', "");
Expect(0, 12543, '\P{Block=katakana}', "");
Expect(1, 12543, '\P{^Block=katakana}', "");
Expect(0, 12544, '\p{Block=katakana}', "");
Expect(1, 12544, '\p{^Block=katakana}', "");
Expect(1, 12544, '\P{Block=katakana}', "");
Expect(0, 12544, '\P{^Block=katakana}', "");
Expect(1, 12543, '\p{Block= _Katakana}', "");
Expect(0, 12543, '\p{^Block= _Katakana}', "");
Expect(0, 12543, '\P{Block= _Katakana}', "");
Expect(1, 12543, '\P{^Block= _Katakana}', "");
Expect(0, 12544, '\p{Block= _Katakana}', "");
Expect(1, 12544, '\p{^Block= _Katakana}', "");
Expect(1, 12544, '\P{Block= _Katakana}', "");
Expect(0, 12544, '\P{^Block= _Katakana}', "");
Error('\p{Blk=-	Katakana/a/}');
Error('\P{Blk=-	Katakana/a/}');
Expect(1, 12543, '\p{Blk=katakana}', "");
Expect(0, 12543, '\p{^Blk=katakana}', "");
Expect(0, 12543, '\P{Blk=katakana}', "");
Expect(1, 12543, '\P{^Blk=katakana}', "");
Expect(0, 12544, '\p{Blk=katakana}', "");
Expect(1, 12544, '\p{^Blk=katakana}', "");
Expect(1, 12544, '\P{Blk=katakana}', "");
Expect(0, 12544, '\P{^Blk=katakana}', "");
Error('\p{Is_Block=_/a/Katakana}');
Error('\P{Is_Block=_/a/Katakana}');
Expect(1, 12543, '\p{Is_Block=katakana}', "");
Expect(0, 12543, '\p{^Is_Block=katakana}', "");
Expect(0, 12543, '\P{Is_Block=katakana}', "");
Expect(1, 12543, '\P{^Is_Block=katakana}', "");
Expect(0, 12544, '\p{Is_Block=katakana}', "");
Expect(1, 12544, '\p{^Is_Block=katakana}', "");
Expect(1, 12544, '\P{Is_Block=katakana}', "");
Expect(0, 12544, '\P{^Is_Block=katakana}', "");
Expect(1, 12543, '\p{Is_Block= katakana}', "");
Expect(0, 12543, '\p{^Is_Block= katakana}', "");
Expect(0, 12543, '\P{Is_Block= katakana}', "");
Expect(1, 12543, '\P{^Is_Block= katakana}', "");
Expect(0, 12544, '\p{Is_Block= katakana}', "");
Expect(1, 12544, '\p{^Is_Block= katakana}', "");
Expect(1, 12544, '\P{Is_Block= katakana}', "");
Expect(0, 12544, '\P{^Is_Block= katakana}', "");
Error('\p{Is_Blk=-_katakana/a/}');
Error('\P{Is_Blk=-_katakana/a/}');
Expect(1, 12543, '\p{Is_Blk=katakana}', "");
Expect(0, 12543, '\p{^Is_Blk=katakana}', "");
Expect(0, 12543, '\P{Is_Blk=katakana}', "");
Expect(1, 12543, '\P{^Is_Blk=katakana}', "");
Expect(0, 12544, '\p{Is_Blk=katakana}', "");
Expect(1, 12544, '\p{^Is_Blk=katakana}', "");
Expect(1, 12544, '\P{Is_Blk=katakana}', "");
Expect(0, 12544, '\P{^Is_Blk=katakana}', "");
Expect(1, 12543, '\p{Is_Blk=- katakana}', "");
Expect(0, 12543, '\p{^Is_Blk=- katakana}', "");
Expect(0, 12543, '\P{Is_Blk=- katakana}', "");
Expect(1, 12543, '\P{^Is_Blk=- katakana}', "");
Expect(0, 12544, '\p{Is_Blk=- katakana}', "");
Expect(1, 12544, '\p{^Is_Blk=- katakana}', "");
Expect(1, 12544, '\P{Is_Blk=- katakana}', "");
Expect(0, 12544, '\P{^Is_Blk=- katakana}', "");
Error('\p{Block=:=--katakana_Phonetic_Extensions}');
Error('\P{Block=:=--katakana_Phonetic_Extensions}');
Expect(1, 12799, '\p{Block:katakanaphoneticextensions}', "");
Expect(0, 12799, '\p{^Block:katakanaphoneticextensions}', "");
Expect(0, 12799, '\P{Block:katakanaphoneticextensions}', "");
Expect(1, 12799, '\P{^Block:katakanaphoneticextensions}', "");
Expect(0, 12800, '\p{Block:katakanaphoneticextensions}', "");
Expect(1, 12800, '\p{^Block:katakanaphoneticextensions}', "");
Expect(1, 12800, '\P{Block:katakanaphoneticextensions}', "");
Expect(0, 12800, '\P{^Block:katakanaphoneticextensions}', "");
Expect(1, 12799, '\p{Block=	KATAKANA_PHONETIC_Extensions}', "");
Expect(0, 12799, '\p{^Block=	KATAKANA_PHONETIC_Extensions}', "");
Expect(0, 12799, '\P{Block=	KATAKANA_PHONETIC_Extensions}', "");
Expect(1, 12799, '\P{^Block=	KATAKANA_PHONETIC_Extensions}', "");
Expect(0, 12800, '\p{Block=	KATAKANA_PHONETIC_Extensions}', "");
Expect(1, 12800, '\p{^Block=	KATAKANA_PHONETIC_Extensions}', "");
Expect(1, 12800, '\P{Block=	KATAKANA_PHONETIC_Extensions}', "");
Expect(0, 12800, '\P{^Block=	KATAKANA_PHONETIC_Extensions}', "");
Error('\p{Blk=_-Katakana_Ext:=}');
Error('\P{Blk=_-Katakana_Ext:=}');
Expect(1, 12799, '\p{Blk:katakanaext}', "");
Expect(0, 12799, '\p{^Blk:katakanaext}', "");
Expect(0, 12799, '\P{Blk:katakanaext}', "");
Expect(1, 12799, '\P{^Blk:katakanaext}', "");
Expect(0, 12800, '\p{Blk:katakanaext}', "");
Expect(1, 12800, '\p{^Blk:katakanaext}', "");
Expect(1, 12800, '\P{Blk:katakanaext}', "");
Expect(0, 12800, '\P{^Blk:katakanaext}', "");
Expect(1, 12799, '\p{Blk=_katakana_Ext}', "");
Expect(0, 12799, '\p{^Blk=_katakana_Ext}', "");
Expect(0, 12799, '\P{Blk=_katakana_Ext}', "");
Expect(1, 12799, '\P{^Blk=_katakana_Ext}', "");
Expect(0, 12800, '\p{Blk=_katakana_Ext}', "");
Expect(1, 12800, '\p{^Blk=_katakana_Ext}', "");
Expect(1, 12800, '\P{Blk=_katakana_Ext}', "");
Expect(0, 12800, '\P{^Blk=_katakana_Ext}', "");
Error('\p{Is_Block=--Katakana_phonetic_extensions/a/}');
Error('\P{Is_Block=--Katakana_phonetic_extensions/a/}');
Expect(1, 12799, '\p{Is_Block=katakanaphoneticextensions}', "");
Expect(0, 12799, '\p{^Is_Block=katakanaphoneticextensions}', "");
Expect(0, 12799, '\P{Is_Block=katakanaphoneticextensions}', "");
Expect(1, 12799, '\P{^Is_Block=katakanaphoneticextensions}', "");
Expect(0, 12800, '\p{Is_Block=katakanaphoneticextensions}', "");
Expect(1, 12800, '\p{^Is_Block=katakanaphoneticextensions}', "");
Expect(1, 12800, '\P{Is_Block=katakanaphoneticextensions}', "");
Expect(0, 12800, '\P{^Is_Block=katakanaphoneticextensions}', "");
Expect(1, 12799, '\p{Is_Block= -KATAKANA_PHONETIC_extensions}', "");
Expect(0, 12799, '\p{^Is_Block= -KATAKANA_PHONETIC_extensions}', "");
Expect(0, 12799, '\P{Is_Block= -KATAKANA_PHONETIC_extensions}', "");
Expect(1, 12799, '\P{^Is_Block= -KATAKANA_PHONETIC_extensions}', "");
Expect(0, 12800, '\p{Is_Block= -KATAKANA_PHONETIC_extensions}', "");
Expect(1, 12800, '\p{^Is_Block= -KATAKANA_PHONETIC_extensions}', "");
Expect(1, 12800, '\P{Is_Block= -KATAKANA_PHONETIC_extensions}', "");
Expect(0, 12800, '\P{^Is_Block= -KATAKANA_PHONETIC_extensions}', "");
Error('\p{Is_Blk=_/a/KATAKANA_Ext}');
Error('\P{Is_Blk=_/a/KATAKANA_Ext}');
Expect(1, 12799, '\p{Is_Blk=katakanaext}', "");
Expect(0, 12799, '\p{^Is_Blk=katakanaext}', "");
Expect(0, 12799, '\P{Is_Blk=katakanaext}', "");
Expect(1, 12799, '\P{^Is_Blk=katakanaext}', "");
Expect(0, 12800, '\p{Is_Blk=katakanaext}', "");
Expect(1, 12800, '\p{^Is_Blk=katakanaext}', "");
Expect(1, 12800, '\P{Is_Blk=katakanaext}', "");
Expect(0, 12800, '\P{^Is_Blk=katakanaext}', "");
Expect(1, 12799, '\p{Is_Blk=_	Katakana_Ext}', "");
Expect(0, 12799, '\p{^Is_Blk=_	Katakana_Ext}', "");
Expect(0, 12799, '\P{Is_Blk=_	Katakana_Ext}', "");
Expect(1, 12799, '\P{^Is_Blk=_	Katakana_Ext}', "");
Expect(0, 12800, '\p{Is_Blk=_	Katakana_Ext}', "");
Expect(1, 12800, '\p{^Is_Blk=_	Katakana_Ext}', "");
Expect(1, 12800, '\P{Is_Blk=_	Katakana_Ext}', "");
Expect(0, 12800, '\P{^Is_Blk=_	Katakana_Ext}', "");
Error('\p{Block=:=		kayah_LI}');
Error('\P{Block=:=		kayah_LI}');
Expect(1, 43311, '\p{Block=kayahli}', "");
Expect(0, 43311, '\p{^Block=kayahli}', "");
Expect(0, 43311, '\P{Block=kayahli}', "");
Expect(1, 43311, '\P{^Block=kayahli}', "");
Expect(0, 43312, '\p{Block=kayahli}', "");
Expect(1, 43312, '\p{^Block=kayahli}', "");
Expect(1, 43312, '\P{Block=kayahli}', "");
Expect(0, 43312, '\P{^Block=kayahli}', "");
Expect(1, 43311, '\p{Block=_	KAYAH_Li}', "");
Expect(0, 43311, '\p{^Block=_	KAYAH_Li}', "");
Expect(0, 43311, '\P{Block=_	KAYAH_Li}', "");
Expect(1, 43311, '\P{^Block=_	KAYAH_Li}', "");
Expect(0, 43312, '\p{Block=_	KAYAH_Li}', "");
Expect(1, 43312, '\p{^Block=_	KAYAH_Li}', "");
Expect(1, 43312, '\P{Block=_	KAYAH_Li}', "");
Expect(0, 43312, '\P{^Block=_	KAYAH_Li}', "");
Error('\p{Blk=-KAYAH_LI/a/}');
Error('\P{Blk=-KAYAH_LI/a/}');
Expect(1, 43311, '\p{Blk=kayahli}', "");
Expect(0, 43311, '\p{^Blk=kayahli}', "");
Expect(0, 43311, '\P{Blk=kayahli}', "");
Expect(1, 43311, '\P{^Blk=kayahli}', "");
Expect(0, 43312, '\p{Blk=kayahli}', "");
Expect(1, 43312, '\p{^Blk=kayahli}', "");
Expect(1, 43312, '\P{Blk=kayahli}', "");
Expect(0, 43312, '\P{^Blk=kayahli}', "");
Expect(1, 43311, '\p{Blk=	 Kayah_li}', "");
Expect(0, 43311, '\p{^Blk=	 Kayah_li}', "");
Expect(0, 43311, '\P{Blk=	 Kayah_li}', "");
Expect(1, 43311, '\P{^Blk=	 Kayah_li}', "");
Expect(0, 43312, '\p{Blk=	 Kayah_li}', "");
Expect(1, 43312, '\p{^Blk=	 Kayah_li}', "");
Expect(1, 43312, '\P{Blk=	 Kayah_li}', "");
Expect(0, 43312, '\P{^Blk=	 Kayah_li}', "");
Error('\p{Is_Block=--Kayah_li/a/}');
Error('\P{Is_Block=--Kayah_li/a/}');
Expect(1, 43311, '\p{Is_Block=kayahli}', "");
Expect(0, 43311, '\p{^Is_Block=kayahli}', "");
Expect(0, 43311, '\P{Is_Block=kayahli}', "");
Expect(1, 43311, '\P{^Is_Block=kayahli}', "");
Expect(0, 43312, '\p{Is_Block=kayahli}', "");
Expect(1, 43312, '\p{^Is_Block=kayahli}', "");
Expect(1, 43312, '\P{Is_Block=kayahli}', "");
Expect(0, 43312, '\P{^Is_Block=kayahli}', "");
Expect(1, 43311, '\p{Is_Block=-_KAYAH_li}', "");
Expect(0, 43311, '\p{^Is_Block=-_KAYAH_li}', "");
Expect(0, 43311, '\P{Is_Block=-_KAYAH_li}', "");
Expect(1, 43311, '\P{^Is_Block=-_KAYAH_li}', "");
Expect(0, 43312, '\p{Is_Block=-_KAYAH_li}', "");
Expect(1, 43312, '\p{^Is_Block=-_KAYAH_li}', "");
Expect(1, 43312, '\P{Is_Block=-_KAYAH_li}', "");
Expect(0, 43312, '\P{^Is_Block=-_KAYAH_li}', "");
Error('\p{Is_Blk=/a/  KAYAH_Li}');
Error('\P{Is_Blk=/a/  KAYAH_Li}');
Expect(1, 43311, '\p{Is_Blk=kayahli}', "");
Expect(0, 43311, '\p{^Is_Blk=kayahli}', "");
Expect(0, 43311, '\P{Is_Blk=kayahli}', "");
Expect(1, 43311, '\P{^Is_Blk=kayahli}', "");
Expect(0, 43312, '\p{Is_Blk=kayahli}', "");
Expect(1, 43312, '\p{^Is_Blk=kayahli}', "");
Expect(1, 43312, '\P{Is_Blk=kayahli}', "");
Expect(0, 43312, '\P{^Is_Blk=kayahli}', "");
Expect(1, 43311, '\p{Is_Blk=_Kayah_Li}', "");
Expect(0, 43311, '\p{^Is_Blk=_Kayah_Li}', "");
Expect(0, 43311, '\P{Is_Blk=_Kayah_Li}', "");
Expect(1, 43311, '\P{^Is_Blk=_Kayah_Li}', "");
Expect(0, 43312, '\p{Is_Blk=_Kayah_Li}', "");
Expect(1, 43312, '\p{^Is_Blk=_Kayah_Li}', "");
Expect(1, 43312, '\P{Is_Blk=_Kayah_Li}', "");
Expect(0, 43312, '\P{^Is_Blk=_Kayah_Li}', "");
Error('\p{Block=/a/Kharoshthi}');
Error('\P{Block=/a/Kharoshthi}');
Expect(1, 68191, '\p{Block=kharoshthi}', "");
Expect(0, 68191, '\p{^Block=kharoshthi}', "");
Expect(0, 68191, '\P{Block=kharoshthi}', "");
Expect(1, 68191, '\P{^Block=kharoshthi}', "");
Expect(0, 68192, '\p{Block=kharoshthi}', "");
Expect(1, 68192, '\p{^Block=kharoshthi}', "");
Expect(1, 68192, '\P{Block=kharoshthi}', "");
Expect(0, 68192, '\P{^Block=kharoshthi}', "");
Expect(1, 68191, '\p{Block=	kharoshthi}', "");
Expect(0, 68191, '\p{^Block=	kharoshthi}', "");
Expect(0, 68191, '\P{Block=	kharoshthi}', "");
Expect(1, 68191, '\P{^Block=	kharoshthi}', "");
Expect(0, 68192, '\p{Block=	kharoshthi}', "");
Expect(1, 68192, '\p{^Block=	kharoshthi}', "");
Expect(1, 68192, '\P{Block=	kharoshthi}', "");
Expect(0, 68192, '\P{^Block=	kharoshthi}', "");
Error('\p{Blk=_Kharoshthi/a/}');
Error('\P{Blk=_Kharoshthi/a/}');
Expect(1, 68191, '\p{Blk=kharoshthi}', "");
Expect(0, 68191, '\p{^Blk=kharoshthi}', "");
Expect(0, 68191, '\P{Blk=kharoshthi}', "");
Expect(1, 68191, '\P{^Blk=kharoshthi}', "");
Expect(0, 68192, '\p{Blk=kharoshthi}', "");
Expect(1, 68192, '\p{^Blk=kharoshthi}', "");
Expect(1, 68192, '\P{Blk=kharoshthi}', "");
Expect(0, 68192, '\P{^Blk=kharoshthi}', "");
Expect(1, 68191, '\p{Blk=	KHAROSHTHI}', "");
Expect(0, 68191, '\p{^Blk=	KHAROSHTHI}', "");
Expect(0, 68191, '\P{Blk=	KHAROSHTHI}', "");
Expect(1, 68191, '\P{^Blk=	KHAROSHTHI}', "");
Expect(0, 68192, '\p{Blk=	KHAROSHTHI}', "");
Expect(1, 68192, '\p{^Blk=	KHAROSHTHI}', "");
Expect(1, 68192, '\P{Blk=	KHAROSHTHI}', "");
Expect(0, 68192, '\P{^Blk=	KHAROSHTHI}', "");
Error('\p{Is_Block= KHAROSHTHI/a/}');
Error('\P{Is_Block= KHAROSHTHI/a/}');
Expect(1, 68191, '\p{Is_Block=kharoshthi}', "");
Expect(0, 68191, '\p{^Is_Block=kharoshthi}', "");
Expect(0, 68191, '\P{Is_Block=kharoshthi}', "");
Expect(1, 68191, '\P{^Is_Block=kharoshthi}', "");
Expect(0, 68192, '\p{Is_Block=kharoshthi}', "");
Expect(1, 68192, '\p{^Is_Block=kharoshthi}', "");
Expect(1, 68192, '\P{Is_Block=kharoshthi}', "");
Expect(0, 68192, '\P{^Is_Block=kharoshthi}', "");
Expect(1, 68191, '\p{Is_Block:   	Kharoshthi}', "");
Expect(0, 68191, '\p{^Is_Block:   	Kharoshthi}', "");
Expect(0, 68191, '\P{Is_Block:   	Kharoshthi}', "");
Expect(1, 68191, '\P{^Is_Block:   	Kharoshthi}', "");
Expect(0, 68192, '\p{Is_Block:   	Kharoshthi}', "");
Expect(1, 68192, '\p{^Is_Block:   	Kharoshthi}', "");
Expect(1, 68192, '\P{Is_Block:   	Kharoshthi}', "");
Expect(0, 68192, '\P{^Is_Block:   	Kharoshthi}', "");
Error('\p{Is_Blk=:=_KHAROSHTHI}');
Error('\P{Is_Blk=:=_KHAROSHTHI}');
Expect(1, 68191, '\p{Is_Blk=kharoshthi}', "");
Expect(0, 68191, '\p{^Is_Blk=kharoshthi}', "");
Expect(0, 68191, '\P{Is_Blk=kharoshthi}', "");
Expect(1, 68191, '\P{^Is_Blk=kharoshthi}', "");
Expect(0, 68192, '\p{Is_Blk=kharoshthi}', "");
Expect(1, 68192, '\p{^Is_Blk=kharoshthi}', "");
Expect(1, 68192, '\P{Is_Blk=kharoshthi}', "");
Expect(0, 68192, '\P{^Is_Blk=kharoshthi}', "");
Expect(1, 68191, '\p{Is_Blk=	_KHAROSHTHI}', "");
Expect(0, 68191, '\p{^Is_Blk=	_KHAROSHTHI}', "");
Expect(0, 68191, '\P{Is_Blk=	_KHAROSHTHI}', "");
Expect(1, 68191, '\P{^Is_Blk=	_KHAROSHTHI}', "");
Expect(0, 68192, '\p{Is_Blk=	_KHAROSHTHI}', "");
Expect(1, 68192, '\p{^Is_Blk=	_KHAROSHTHI}', "");
Expect(1, 68192, '\P{Is_Blk=	_KHAROSHTHI}', "");
Expect(0, 68192, '\P{^Is_Blk=	_KHAROSHTHI}', "");
Error('\p{Block=:=_Khmer}');
Error('\P{Block=:=_Khmer}');
Expect(1, 6143, '\p{Block=khmer}', "");
Expect(0, 6143, '\p{^Block=khmer}', "");
Expect(0, 6143, '\P{Block=khmer}', "");
Expect(1, 6143, '\P{^Block=khmer}', "");
Expect(0, 6144, '\p{Block=khmer}', "");
Expect(1, 6144, '\p{^Block=khmer}', "");
Expect(1, 6144, '\P{Block=khmer}', "");
Expect(0, 6144, '\P{^Block=khmer}', "");
Expect(1, 6143, '\p{Block=_ Khmer}', "");
Expect(0, 6143, '\p{^Block=_ Khmer}', "");
Expect(0, 6143, '\P{Block=_ Khmer}', "");
Expect(1, 6143, '\P{^Block=_ Khmer}', "");
Expect(0, 6144, '\p{Block=_ Khmer}', "");
Expect(1, 6144, '\p{^Block=_ Khmer}', "");
Expect(1, 6144, '\P{Block=_ Khmer}', "");
Expect(0, 6144, '\P{^Block=_ Khmer}', "");
Error('\p{Blk=:=Khmer}');
Error('\P{Blk=:=Khmer}');
Expect(1, 6143, '\p{Blk=khmer}', "");
Expect(0, 6143, '\p{^Blk=khmer}', "");
Expect(0, 6143, '\P{Blk=khmer}', "");
Expect(1, 6143, '\P{^Blk=khmer}', "");
Expect(0, 6144, '\p{Blk=khmer}', "");
Expect(1, 6144, '\p{^Blk=khmer}', "");
Expect(1, 6144, '\P{Blk=khmer}', "");
Expect(0, 6144, '\P{^Blk=khmer}', "");
Expect(1, 6143, '\p{Blk=	 Khmer}', "");
Expect(0, 6143, '\p{^Blk=	 Khmer}', "");
Expect(0, 6143, '\P{Blk=	 Khmer}', "");
Expect(1, 6143, '\P{^Blk=	 Khmer}', "");
Expect(0, 6144, '\p{Blk=	 Khmer}', "");
Expect(1, 6144, '\p{^Blk=	 Khmer}', "");
Expect(1, 6144, '\P{Blk=	 Khmer}', "");
Expect(0, 6144, '\P{^Blk=	 Khmer}', "");
Error('\p{Is_Block= 	KHMER:=}');
Error('\P{Is_Block= 	KHMER:=}');
Expect(1, 6143, '\p{Is_Block=khmer}', "");
Expect(0, 6143, '\p{^Is_Block=khmer}', "");
Expect(0, 6143, '\P{Is_Block=khmer}', "");
Expect(1, 6143, '\P{^Is_Block=khmer}', "");
Expect(0, 6144, '\p{Is_Block=khmer}', "");
Expect(1, 6144, '\p{^Is_Block=khmer}', "");
Expect(1, 6144, '\P{Is_Block=khmer}', "");
Expect(0, 6144, '\P{^Is_Block=khmer}', "");
Expect(1, 6143, '\p{Is_Block=-khmer}', "");
Expect(0, 6143, '\p{^Is_Block=-khmer}', "");
Expect(0, 6143, '\P{Is_Block=-khmer}', "");
Expect(1, 6143, '\P{^Is_Block=-khmer}', "");
Expect(0, 6144, '\p{Is_Block=-khmer}', "");
Expect(1, 6144, '\p{^Is_Block=-khmer}', "");
Expect(1, 6144, '\P{Is_Block=-khmer}', "");
Expect(0, 6144, '\P{^Is_Block=-khmer}', "");
Error('\p{Is_Blk= Khmer/a/}');
Error('\P{Is_Blk= Khmer/a/}');
Expect(1, 6143, '\p{Is_Blk=khmer}', "");
Expect(0, 6143, '\p{^Is_Blk=khmer}', "");
Expect(0, 6143, '\P{Is_Blk=khmer}', "");
Expect(1, 6143, '\P{^Is_Blk=khmer}', "");
Expect(0, 6144, '\p{Is_Blk=khmer}', "");
Expect(1, 6144, '\p{^Is_Blk=khmer}', "");
Expect(1, 6144, '\P{Is_Blk=khmer}', "");
Expect(0, 6144, '\P{^Is_Blk=khmer}', "");
Expect(1, 6143, '\p{Is_Blk=-KHMER}', "");
Expect(0, 6143, '\p{^Is_Blk=-KHMER}', "");
Expect(0, 6143, '\P{Is_Blk=-KHMER}', "");
Expect(1, 6143, '\P{^Is_Blk=-KHMER}', "");
Expect(0, 6144, '\p{Is_Blk=-KHMER}', "");
Expect(1, 6144, '\p{^Is_Blk=-KHMER}', "");
Expect(1, 6144, '\P{Is_Blk=-KHMER}', "");
Expect(0, 6144, '\P{^Is_Blk=-KHMER}', "");
Error('\p{Block= :=KHMER_Symbols}');
Error('\P{Block= :=KHMER_Symbols}');
Expect(1, 6655, '\p{Block:khmersymbols}', "");
Expect(0, 6655, '\p{^Block:khmersymbols}', "");
Expect(0, 6655, '\P{Block:khmersymbols}', "");
Expect(1, 6655, '\P{^Block:khmersymbols}', "");
Expect(0, 6656, '\p{Block:khmersymbols}', "");
Expect(1, 6656, '\p{^Block:khmersymbols}', "");
Expect(1, 6656, '\P{Block:khmersymbols}', "");
Expect(0, 6656, '\P{^Block:khmersymbols}', "");
Expect(1, 6655, '\p{Block=-_Khmer_Symbols}', "");
Expect(0, 6655, '\p{^Block=-_Khmer_Symbols}', "");
Expect(0, 6655, '\P{Block=-_Khmer_Symbols}', "");
Expect(1, 6655, '\P{^Block=-_Khmer_Symbols}', "");
Expect(0, 6656, '\p{Block=-_Khmer_Symbols}', "");
Expect(1, 6656, '\p{^Block=-_Khmer_Symbols}', "");
Expect(1, 6656, '\P{Block=-_Khmer_Symbols}', "");
Expect(0, 6656, '\P{^Block=-_Khmer_Symbols}', "");
Error('\p{Blk=-/a/KHMER_symbols}');
Error('\P{Blk=-/a/KHMER_symbols}');
Expect(1, 6655, '\p{Blk=khmersymbols}', "");
Expect(0, 6655, '\p{^Blk=khmersymbols}', "");
Expect(0, 6655, '\P{Blk=khmersymbols}', "");
Expect(1, 6655, '\P{^Blk=khmersymbols}', "");
Expect(0, 6656, '\p{Blk=khmersymbols}', "");
Expect(1, 6656, '\p{^Blk=khmersymbols}', "");
Expect(1, 6656, '\P{Blk=khmersymbols}', "");
Expect(0, 6656, '\P{^Blk=khmersymbols}', "");
Expect(1, 6655, '\p{Blk=-_khmer_Symbols}', "");
Expect(0, 6655, '\p{^Blk=-_khmer_Symbols}', "");
Expect(0, 6655, '\P{Blk=-_khmer_Symbols}', "");
Expect(1, 6655, '\P{^Blk=-_khmer_Symbols}', "");
Expect(0, 6656, '\p{Blk=-_khmer_Symbols}', "");
Expect(1, 6656, '\p{^Blk=-_khmer_Symbols}', "");
Expect(1, 6656, '\P{Blk=-_khmer_Symbols}', "");
Expect(0, 6656, '\P{^Blk=-_khmer_Symbols}', "");
Error('\p{Is_Block: :=_ KHMER_symbols}');
Error('\P{Is_Block: :=_ KHMER_symbols}');
Expect(1, 6655, '\p{Is_Block=khmersymbols}', "");
Expect(0, 6655, '\p{^Is_Block=khmersymbols}', "");
Expect(0, 6655, '\P{Is_Block=khmersymbols}', "");
Expect(1, 6655, '\P{^Is_Block=khmersymbols}', "");
Expect(0, 6656, '\p{Is_Block=khmersymbols}', "");
Expect(1, 6656, '\p{^Is_Block=khmersymbols}', "");
Expect(1, 6656, '\P{Is_Block=khmersymbols}', "");
Expect(0, 6656, '\P{^Is_Block=khmersymbols}', "");
Expect(1, 6655, '\p{Is_Block= -khmer_Symbols}', "");
Expect(0, 6655, '\p{^Is_Block= -khmer_Symbols}', "");
Expect(0, 6655, '\P{Is_Block= -khmer_Symbols}', "");
Expect(1, 6655, '\P{^Is_Block= -khmer_Symbols}', "");
Expect(0, 6656, '\p{Is_Block= -khmer_Symbols}', "");
Expect(1, 6656, '\p{^Is_Block= -khmer_Symbols}', "");
Expect(1, 6656, '\P{Is_Block= -khmer_Symbols}', "");
Expect(0, 6656, '\P{^Is_Block= -khmer_Symbols}', "");
Error('\p{Is_Blk=-/a/Khmer_symbols}');
Error('\P{Is_Blk=-/a/Khmer_symbols}');
Expect(1, 6655, '\p{Is_Blk=khmersymbols}', "");
Expect(0, 6655, '\p{^Is_Blk=khmersymbols}', "");
Expect(0, 6655, '\P{Is_Blk=khmersymbols}', "");
Expect(1, 6655, '\P{^Is_Blk=khmersymbols}', "");
Expect(0, 6656, '\p{Is_Blk=khmersymbols}', "");
Expect(1, 6656, '\p{^Is_Blk=khmersymbols}', "");
Expect(1, 6656, '\P{Is_Blk=khmersymbols}', "");
Expect(0, 6656, '\P{^Is_Blk=khmersymbols}', "");
Expect(1, 6655, '\p{Is_Blk=- KHMER_Symbols}', "");
Expect(0, 6655, '\p{^Is_Blk=- KHMER_Symbols}', "");
Expect(0, 6655, '\P{Is_Blk=- KHMER_Symbols}', "");
Expect(1, 6655, '\P{^Is_Blk=- KHMER_Symbols}', "");
Expect(0, 6656, '\p{Is_Blk=- KHMER_Symbols}', "");
Expect(1, 6656, '\p{^Is_Blk=- KHMER_Symbols}', "");
Expect(1, 6656, '\P{Is_Blk=- KHMER_Symbols}', "");
Expect(0, 6656, '\P{^Is_Blk=- KHMER_Symbols}', "");
Error('\p{Block=-/a/khojki}');
Error('\P{Block=-/a/khojki}');
Expect(1, 70223, '\p{Block:khojki}', "");
Expect(0, 70223, '\p{^Block:khojki}', "");
Expect(0, 70223, '\P{Block:khojki}', "");
Expect(1, 70223, '\P{^Block:khojki}', "");
Expect(0, 70224, '\p{Block:khojki}', "");
Expect(1, 70224, '\p{^Block:khojki}', "");
Expect(1, 70224, '\P{Block:khojki}', "");
Expect(0, 70224, '\P{^Block:khojki}', "");
Expect(1, 70223, '\p{Block=- KHOJKI}', "");
Expect(0, 70223, '\p{^Block=- KHOJKI}', "");
Expect(0, 70223, '\P{Block=- KHOJKI}', "");
Expect(1, 70223, '\P{^Block=- KHOJKI}', "");
Expect(0, 70224, '\p{Block=- KHOJKI}', "");
Expect(1, 70224, '\p{^Block=- KHOJKI}', "");
Expect(1, 70224, '\P{Block=- KHOJKI}', "");
Expect(0, 70224, '\P{^Block=- KHOJKI}', "");
Error('\p{Blk=:=KHOJKI}');
Error('\P{Blk=:=KHOJKI}');
Expect(1, 70223, '\p{Blk=khojki}', "");
Expect(0, 70223, '\p{^Blk=khojki}', "");
Expect(0, 70223, '\P{Blk=khojki}', "");
Expect(1, 70223, '\P{^Blk=khojki}', "");
Expect(0, 70224, '\p{Blk=khojki}', "");
Expect(1, 70224, '\p{^Blk=khojki}', "");
Expect(1, 70224, '\P{Blk=khojki}', "");
Expect(0, 70224, '\P{^Blk=khojki}', "");
Expect(1, 70223, '\p{Blk: _KHOJKI}', "");
Expect(0, 70223, '\p{^Blk: _KHOJKI}', "");
Expect(0, 70223, '\P{Blk: _KHOJKI}', "");
Expect(1, 70223, '\P{^Blk: _KHOJKI}', "");
Expect(0, 70224, '\p{Blk: _KHOJKI}', "");
Expect(1, 70224, '\p{^Blk: _KHOJKI}', "");
Expect(1, 70224, '\P{Blk: _KHOJKI}', "");
Expect(0, 70224, '\P{^Blk: _KHOJKI}', "");
Error('\p{Is_Block=-KHOJKI/a/}');
Error('\P{Is_Block=-KHOJKI/a/}');
Expect(1, 70223, '\p{Is_Block=khojki}', "");
Expect(0, 70223, '\p{^Is_Block=khojki}', "");
Expect(0, 70223, '\P{Is_Block=khojki}', "");
Expect(1, 70223, '\P{^Is_Block=khojki}', "");
Expect(0, 70224, '\p{Is_Block=khojki}', "");
Expect(1, 70224, '\p{^Is_Block=khojki}', "");
Expect(1, 70224, '\P{Is_Block=khojki}', "");
Expect(0, 70224, '\P{^Is_Block=khojki}', "");
Expect(1, 70223, '\p{Is_Block= _Khojki}', "");
Expect(0, 70223, '\p{^Is_Block= _Khojki}', "");
Expect(0, 70223, '\P{Is_Block= _Khojki}', "");
Expect(1, 70223, '\P{^Is_Block= _Khojki}', "");
Expect(0, 70224, '\p{Is_Block= _Khojki}', "");
Expect(1, 70224, '\p{^Is_Block= _Khojki}', "");
Expect(1, 70224, '\P{Is_Block= _Khojki}', "");
Expect(0, 70224, '\P{^Is_Block= _Khojki}', "");
Error('\p{Is_Blk=_	KHOJKI/a/}');
Error('\P{Is_Blk=_	KHOJKI/a/}');
Expect(1, 70223, '\p{Is_Blk=khojki}', "");
Expect(0, 70223, '\p{^Is_Blk=khojki}', "");
Expect(0, 70223, '\P{Is_Blk=khojki}', "");
Expect(1, 70223, '\P{^Is_Blk=khojki}', "");
Expect(0, 70224, '\p{Is_Blk=khojki}', "");
Expect(1, 70224, '\p{^Is_Blk=khojki}', "");
Expect(1, 70224, '\P{Is_Blk=khojki}', "");
Expect(0, 70224, '\P{^Is_Blk=khojki}', "");
Expect(1, 70223, '\p{Is_Blk=	_khojki}', "");
Expect(0, 70223, '\p{^Is_Blk=	_khojki}', "");
Expect(0, 70223, '\P{Is_Blk=	_khojki}', "");
Expect(1, 70223, '\P{^Is_Blk=	_khojki}', "");
Expect(0, 70224, '\p{Is_Blk=	_khojki}', "");
Expect(1, 70224, '\p{^Is_Blk=	_khojki}', "");
Expect(1, 70224, '\P{Is_Blk=	_khojki}', "");
Expect(0, 70224, '\P{^Is_Blk=	_khojki}', "");
Error('\p{Block= 	KHUDAWADI:=}');
Error('\P{Block= 	KHUDAWADI:=}');
Expect(1, 70399, '\p{Block:   khudawadi}', "");
Expect(0, 70399, '\p{^Block:   khudawadi}', "");
Expect(0, 70399, '\P{Block:   khudawadi}', "");
Expect(1, 70399, '\P{^Block:   khudawadi}', "");
Expect(0, 70400, '\p{Block:   khudawadi}', "");
Expect(1, 70400, '\p{^Block:   khudawadi}', "");
Expect(1, 70400, '\P{Block:   khudawadi}', "");
Expect(0, 70400, '\P{^Block:   khudawadi}', "");
Expect(1, 70399, '\p{Block=	-Khudawadi}', "");
Expect(0, 70399, '\p{^Block=	-Khudawadi}', "");
Expect(0, 70399, '\P{Block=	-Khudawadi}', "");
Expect(1, 70399, '\P{^Block=	-Khudawadi}', "");
Expect(0, 70400, '\p{Block=	-Khudawadi}', "");
Expect(1, 70400, '\p{^Block=	-Khudawadi}', "");
Expect(1, 70400, '\P{Block=	-Khudawadi}', "");
Expect(0, 70400, '\P{^Block=	-Khudawadi}', "");
Error('\p{Blk=	_Khudawadi/a/}');
Error('\P{Blk=	_Khudawadi/a/}');
Expect(1, 70399, '\p{Blk=khudawadi}', "");
Expect(0, 70399, '\p{^Blk=khudawadi}', "");
Expect(0, 70399, '\P{Blk=khudawadi}', "");
Expect(1, 70399, '\P{^Blk=khudawadi}', "");
Expect(0, 70400, '\p{Blk=khudawadi}', "");
Expect(1, 70400, '\p{^Blk=khudawadi}', "");
Expect(1, 70400, '\P{Blk=khudawadi}', "");
Expect(0, 70400, '\P{^Blk=khudawadi}', "");
Expect(1, 70399, '\p{Blk=_-khudawadi}', "");
Expect(0, 70399, '\p{^Blk=_-khudawadi}', "");
Expect(0, 70399, '\P{Blk=_-khudawadi}', "");
Expect(1, 70399, '\P{^Blk=_-khudawadi}', "");
Expect(0, 70400, '\p{Blk=_-khudawadi}', "");
Expect(1, 70400, '\p{^Blk=_-khudawadi}', "");
Expect(1, 70400, '\P{Blk=_-khudawadi}', "");
Expect(0, 70400, '\P{^Blk=_-khudawadi}', "");
Error('\p{Is_Block=_:=Khudawadi}');
Error('\P{Is_Block=_:=Khudawadi}');
Expect(1, 70399, '\p{Is_Block=khudawadi}', "");
Expect(0, 70399, '\p{^Is_Block=khudawadi}', "");
Expect(0, 70399, '\P{Is_Block=khudawadi}', "");
Expect(1, 70399, '\P{^Is_Block=khudawadi}', "");
Expect(0, 70400, '\p{Is_Block=khudawadi}', "");
Expect(1, 70400, '\p{^Is_Block=khudawadi}', "");
Expect(1, 70400, '\P{Is_Block=khudawadi}', "");
Expect(0, 70400, '\P{^Is_Block=khudawadi}', "");
Expect(1, 70399, '\p{Is_Block=-Khudawadi}', "");
Expect(0, 70399, '\p{^Is_Block=-Khudawadi}', "");
Expect(0, 70399, '\P{Is_Block=-Khudawadi}', "");
Expect(1, 70399, '\P{^Is_Block=-Khudawadi}', "");
Expect(0, 70400, '\p{Is_Block=-Khudawadi}', "");
Expect(1, 70400, '\p{^Is_Block=-Khudawadi}', "");
Expect(1, 70400, '\P{Is_Block=-Khudawadi}', "");
Expect(0, 70400, '\P{^Is_Block=-Khudawadi}', "");
Error('\p{Is_Blk: :=_Khudawadi}');
Error('\P{Is_Blk: :=_Khudawadi}');
Expect(1, 70399, '\p{Is_Blk=khudawadi}', "");
Expect(0, 70399, '\p{^Is_Blk=khudawadi}', "");
Expect(0, 70399, '\P{Is_Blk=khudawadi}', "");
Expect(1, 70399, '\P{^Is_Blk=khudawadi}', "");
Expect(0, 70400, '\p{Is_Blk=khudawadi}', "");
Expect(1, 70400, '\p{^Is_Blk=khudawadi}', "");
Expect(1, 70400, '\P{Is_Blk=khudawadi}', "");
Expect(0, 70400, '\P{^Is_Blk=khudawadi}', "");
Expect(1, 70399, '\p{Is_Blk=_	Khudawadi}', "");
Expect(0, 70399, '\p{^Is_Blk=_	Khudawadi}', "");
Expect(0, 70399, '\P{Is_Blk=_	Khudawadi}', "");
Expect(1, 70399, '\P{^Is_Blk=_	Khudawadi}', "");
Expect(0, 70400, '\p{Is_Blk=_	Khudawadi}', "");
Expect(1, 70400, '\p{^Is_Blk=_	Khudawadi}', "");
Expect(1, 70400, '\P{Is_Blk=_	Khudawadi}', "");
Expect(0, 70400, '\P{^Is_Blk=_	Khudawadi}', "");
Error('\p{Block=/a/LAO}');
Error('\P{Block=/a/LAO}');
Expect(1, 3839, '\p{Block=lao}', "");
Expect(0, 3839, '\p{^Block=lao}', "");
Expect(0, 3839, '\P{Block=lao}', "");
Expect(1, 3839, '\P{^Block=lao}', "");
Expect(0, 3840, '\p{Block=lao}', "");
Expect(1, 3840, '\p{^Block=lao}', "");
Expect(1, 3840, '\P{Block=lao}', "");
Expect(0, 3840, '\P{^Block=lao}', "");
Expect(1, 3839, '\p{Block= 	Lao}', "");
Expect(0, 3839, '\p{^Block= 	Lao}', "");
Expect(0, 3839, '\P{Block= 	Lao}', "");
Expect(1, 3839, '\P{^Block= 	Lao}', "");
Expect(0, 3840, '\p{Block= 	Lao}', "");
Expect(1, 3840, '\p{^Block= 	Lao}', "");
Expect(1, 3840, '\P{Block= 	Lao}', "");
Expect(0, 3840, '\P{^Block= 	Lao}', "");
Error('\p{Blk=:=-	lao}');
Error('\P{Blk=:=-	lao}');
Expect(1, 3839, '\p{Blk:	lao}', "");
Expect(0, 3839, '\p{^Blk:	lao}', "");
Expect(0, 3839, '\P{Blk:	lao}', "");
Expect(1, 3839, '\P{^Blk:	lao}', "");
Expect(0, 3840, '\p{Blk:	lao}', "");
Expect(1, 3840, '\p{^Blk:	lao}', "");
Expect(1, 3840, '\P{Blk:	lao}', "");
Expect(0, 3840, '\P{^Blk:	lao}', "");
Expect(1, 3839, '\p{Blk=	LAO}', "");
Expect(0, 3839, '\p{^Blk=	LAO}', "");
Expect(0, 3839, '\P{Blk=	LAO}', "");
Expect(1, 3839, '\P{^Blk=	LAO}', "");
Expect(0, 3840, '\p{Blk=	LAO}', "");
Expect(1, 3840, '\p{^Blk=	LAO}', "");
Expect(1, 3840, '\P{Blk=	LAO}', "");
Expect(0, 3840, '\P{^Blk=	LAO}', "");
Error('\p{Is_Block=/a/_Lao}');
Error('\P{Is_Block=/a/_Lao}');
Expect(1, 3839, '\p{Is_Block=lao}', "");
Expect(0, 3839, '\p{^Is_Block=lao}', "");
Expect(0, 3839, '\P{Is_Block=lao}', "");
Expect(1, 3839, '\P{^Is_Block=lao}', "");
Expect(0, 3840, '\p{Is_Block=lao}', "");
Expect(1, 3840, '\p{^Is_Block=lao}', "");
Expect(1, 3840, '\P{Is_Block=lao}', "");
Expect(0, 3840, '\P{^Is_Block=lao}', "");
Expect(1, 3839, '\p{Is_Block= Lao}', "");
Expect(0, 3839, '\p{^Is_Block= Lao}', "");
Expect(0, 3839, '\P{Is_Block= Lao}', "");
Expect(1, 3839, '\P{^Is_Block= Lao}', "");
Expect(0, 3840, '\p{Is_Block= Lao}', "");
Expect(1, 3840, '\p{^Is_Block= Lao}', "");
Expect(1, 3840, '\P{Is_Block= Lao}', "");
Expect(0, 3840, '\P{^Is_Block= Lao}', "");
Error('\p{Is_Blk=_ LAO/a/}');
Error('\P{Is_Blk=_ LAO/a/}');
Expect(1, 3839, '\p{Is_Blk=lao}', "");
Expect(0, 3839, '\p{^Is_Blk=lao}', "");
Expect(0, 3839, '\P{Is_Blk=lao}', "");
Expect(1, 3839, '\P{^Is_Blk=lao}', "");
Expect(0, 3840, '\p{Is_Blk=lao}', "");
Expect(1, 3840, '\p{^Is_Blk=lao}', "");
Expect(1, 3840, '\P{Is_Blk=lao}', "");
Expect(0, 3840, '\P{^Is_Blk=lao}', "");
Expect(1, 3839, '\p{Is_Blk=__Lao}', "");
Expect(0, 3839, '\p{^Is_Blk=__Lao}', "");
Expect(0, 3839, '\P{Is_Blk=__Lao}', "");
Expect(1, 3839, '\P{^Is_Blk=__Lao}', "");
Expect(0, 3840, '\p{Is_Blk=__Lao}', "");
Expect(1, 3840, '\p{^Is_Blk=__Lao}', "");
Expect(1, 3840, '\P{Is_Blk=__Lao}', "");
Expect(0, 3840, '\P{^Is_Blk=__Lao}', "");
Error('\p{Block=/a/_LATIN_1_Supplement}');
Error('\P{Block=/a/_LATIN_1_Supplement}');
Expect(1, 255, '\p{Block=latin1supplement}', "");
Expect(0, 255, '\p{^Block=latin1supplement}', "");
Expect(0, 255, '\P{Block=latin1supplement}', "");
Expect(1, 255, '\P{^Block=latin1supplement}', "");
Expect(0, 256, '\p{Block=latin1supplement}', "");
Expect(1, 256, '\p{^Block=latin1supplement}', "");
Expect(1, 256, '\P{Block=latin1supplement}', "");
Expect(0, 256, '\P{^Block=latin1supplement}', "");
Expect(1, 255, '\p{Block=_ Latin_1_Supplement}', "");
Expect(0, 255, '\p{^Block=_ Latin_1_Supplement}', "");
Expect(0, 255, '\P{Block=_ Latin_1_Supplement}', "");
Expect(1, 255, '\P{^Block=_ Latin_1_Supplement}', "");
Expect(0, 256, '\p{Block=_ Latin_1_Supplement}', "");
Expect(1, 256, '\p{^Block=_ Latin_1_Supplement}', "");
Expect(1, 256, '\P{Block=_ Latin_1_Supplement}', "");
Expect(0, 256, '\P{^Block=_ Latin_1_Supplement}', "");
Error('\p{Blk=	Latin_1_SUP:=}');
Error('\P{Blk=	Latin_1_SUP:=}');
Expect(1, 255, '\p{Blk:	latin1sup}', "");
Expect(0, 255, '\p{^Blk:	latin1sup}', "");
Expect(0, 255, '\P{Blk:	latin1sup}', "");
Expect(1, 255, '\P{^Blk:	latin1sup}', "");
Expect(0, 256, '\p{Blk:	latin1sup}', "");
Expect(1, 256, '\p{^Blk:	latin1sup}', "");
Expect(1, 256, '\P{Blk:	latin1sup}', "");
Expect(0, 256, '\P{^Blk:	latin1sup}', "");
Expect(1, 255, '\p{Blk= latin_1_Sup}', "");
Expect(0, 255, '\p{^Blk= latin_1_Sup}', "");
Expect(0, 255, '\P{Blk= latin_1_Sup}', "");
Expect(1, 255, '\P{^Blk= latin_1_Sup}', "");
Expect(0, 256, '\p{Blk= latin_1_Sup}', "");
Expect(1, 256, '\p{^Blk= latin_1_Sup}', "");
Expect(1, 256, '\P{Blk= latin_1_Sup}', "");
Expect(0, 256, '\P{^Blk= latin_1_Sup}', "");
Error('\p{Is_Block= :=latin_1}');
Error('\P{Is_Block= :=latin_1}');
Expect(1, 255, '\p{Is_Block=latin1}', "");
Expect(0, 255, '\p{^Is_Block=latin1}', "");
Expect(0, 255, '\P{Is_Block=latin1}', "");
Expect(1, 255, '\P{^Is_Block=latin1}', "");
Expect(0, 256, '\p{Is_Block=latin1}', "");
Expect(1, 256, '\p{^Is_Block=latin1}', "");
Expect(1, 256, '\P{Is_Block=latin1}', "");
Expect(0, 256, '\P{^Is_Block=latin1}', "");
Expect(1, 255, '\p{Is_Block= 	latin_1}', "");
Expect(0, 255, '\p{^Is_Block= 	latin_1}', "");
Expect(0, 255, '\P{Is_Block= 	latin_1}', "");
Expect(1, 255, '\P{^Is_Block= 	latin_1}', "");
Expect(0, 256, '\p{Is_Block= 	latin_1}', "");
Expect(1, 256, '\p{^Is_Block= 	latin_1}', "");
Expect(1, 256, '\P{Is_Block= 	latin_1}', "");
Expect(0, 256, '\P{^Is_Block= 	latin_1}', "");
Error('\p{Is_Blk=:=Latin_1_Supplement}');
Error('\P{Is_Blk=:=Latin_1_Supplement}');
Expect(1, 255, '\p{Is_Blk=latin1supplement}', "");
Expect(0, 255, '\p{^Is_Blk=latin1supplement}', "");
Expect(0, 255, '\P{Is_Blk=latin1supplement}', "");
Expect(1, 255, '\P{^Is_Blk=latin1supplement}', "");
Expect(0, 256, '\p{Is_Blk=latin1supplement}', "");
Expect(1, 256, '\p{^Is_Blk=latin1supplement}', "");
Expect(1, 256, '\P{Is_Blk=latin1supplement}', "");
Expect(0, 256, '\P{^Is_Blk=latin1supplement}', "");
Expect(1, 255, '\p{Is_Blk=_ latin_1_SUPPLEMENT}', "");
Expect(0, 255, '\p{^Is_Blk=_ latin_1_SUPPLEMENT}', "");
Expect(0, 255, '\P{Is_Blk=_ latin_1_SUPPLEMENT}', "");
Expect(1, 255, '\P{^Is_Blk=_ latin_1_SUPPLEMENT}', "");
Expect(0, 256, '\p{Is_Blk=_ latin_1_SUPPLEMENT}', "");
Expect(1, 256, '\p{^Is_Blk=_ latin_1_SUPPLEMENT}', "");
Expect(1, 256, '\P{Is_Blk=_ latin_1_SUPPLEMENT}', "");
Expect(0, 256, '\P{^Is_Blk=_ latin_1_SUPPLEMENT}', "");
Error('\p{Block=-	latin_extended_A/a/}');
Error('\P{Block=-	latin_extended_A/a/}');
Expect(1, 383, '\p{Block=latinextendeda}', "");
Expect(0, 383, '\p{^Block=latinextendeda}', "");
Expect(0, 383, '\P{Block=latinextendeda}', "");
Expect(1, 383, '\P{^Block=latinextendeda}', "");
Expect(0, 384, '\p{Block=latinextendeda}', "");
Expect(1, 384, '\p{^Block=latinextendeda}', "");
Expect(1, 384, '\P{Block=latinextendeda}', "");
Expect(0, 384, '\P{^Block=latinextendeda}', "");
Expect(1, 383, '\p{Block= 	latin_EXTENDED_A}', "");
Expect(0, 383, '\p{^Block= 	latin_EXTENDED_A}', "");
Expect(0, 383, '\P{Block= 	latin_EXTENDED_A}', "");
Expect(1, 383, '\P{^Block= 	latin_EXTENDED_A}', "");
Expect(0, 384, '\p{Block= 	latin_EXTENDED_A}', "");
Expect(1, 384, '\p{^Block= 	latin_EXTENDED_A}', "");
Expect(1, 384, '\P{Block= 	latin_EXTENDED_A}', "");
Expect(0, 384, '\P{^Block= 	latin_EXTENDED_A}', "");
Error('\p{Blk:	:=_Latin_Ext_A}');
Error('\P{Blk:	:=_Latin_Ext_A}');
Expect(1, 383, '\p{Blk=latinexta}', "");
Expect(0, 383, '\p{^Blk=latinexta}', "");
Expect(0, 383, '\P{Blk=latinexta}', "");
Expect(1, 383, '\P{^Blk=latinexta}', "");
Expect(0, 384, '\p{Blk=latinexta}', "");
Expect(1, 384, '\p{^Blk=latinexta}', "");
Expect(1, 384, '\P{Blk=latinexta}', "");
Expect(0, 384, '\P{^Blk=latinexta}', "");
Expect(1, 383, '\p{Blk=	_Latin_Ext_A}', "");
Expect(0, 383, '\p{^Blk=	_Latin_Ext_A}', "");
Expect(0, 383, '\P{Blk=	_Latin_Ext_A}', "");
Expect(1, 383, '\P{^Blk=	_Latin_Ext_A}', "");
Expect(0, 384, '\p{Blk=	_Latin_Ext_A}', "");
Expect(1, 384, '\p{^Blk=	_Latin_Ext_A}', "");
Expect(1, 384, '\P{Blk=	_Latin_Ext_A}', "");
Expect(0, 384, '\P{^Blk=	_Latin_Ext_A}', "");
Error('\p{Is_Block=--Latin_Extended_A:=}');
Error('\P{Is_Block=--Latin_Extended_A:=}');
Expect(1, 383, '\p{Is_Block=latinextendeda}', "");
Expect(0, 383, '\p{^Is_Block=latinextendeda}', "");
Expect(0, 383, '\P{Is_Block=latinextendeda}', "");
Expect(1, 383, '\P{^Is_Block=latinextendeda}', "");
Expect(0, 384, '\p{Is_Block=latinextendeda}', "");
Expect(1, 384, '\p{^Is_Block=latinextendeda}', "");
Expect(1, 384, '\P{Is_Block=latinextendeda}', "");
Expect(0, 384, '\P{^Is_Block=latinextendeda}', "");
Expect(1, 383, '\p{Is_Block:  Latin_Extended_A}', "");
Expect(0, 383, '\p{^Is_Block:  Latin_Extended_A}', "");
Expect(0, 383, '\P{Is_Block:  Latin_Extended_A}', "");
Expect(1, 383, '\P{^Is_Block:  Latin_Extended_A}', "");
Expect(0, 384, '\p{Is_Block:  Latin_Extended_A}', "");
Expect(1, 384, '\p{^Is_Block:  Latin_Extended_A}', "");
Expect(1, 384, '\P{Is_Block:  Latin_Extended_A}', "");
Expect(0, 384, '\P{^Is_Block:  Latin_Extended_A}', "");
Error('\p{Is_Blk=--LATIN_EXT_A/a/}');
Error('\P{Is_Blk=--LATIN_EXT_A/a/}');
Expect(1, 383, '\p{Is_Blk:	latinexta}', "");
Expect(0, 383, '\p{^Is_Blk:	latinexta}', "");
Expect(0, 383, '\P{Is_Blk:	latinexta}', "");
Expect(1, 383, '\P{^Is_Blk:	latinexta}', "");
Expect(0, 384, '\p{Is_Blk:	latinexta}', "");
Expect(1, 384, '\p{^Is_Blk:	latinexta}', "");
Expect(1, 384, '\P{Is_Blk:	latinexta}', "");
Expect(0, 384, '\P{^Is_Blk:	latinexta}', "");
Expect(1, 383, '\p{Is_Blk:-	LATIN_Ext_A}', "");
Expect(0, 383, '\p{^Is_Blk:-	LATIN_Ext_A}', "");
Expect(0, 383, '\P{Is_Blk:-	LATIN_Ext_A}', "");
Expect(1, 383, '\P{^Is_Blk:-	LATIN_Ext_A}', "");
Expect(0, 384, '\p{Is_Blk:-	LATIN_Ext_A}', "");
Expect(1, 384, '\p{^Is_Blk:-	LATIN_Ext_A}', "");
Expect(1, 384, '\P{Is_Blk:-	LATIN_Ext_A}', "");
Expect(0, 384, '\P{^Is_Blk:-	LATIN_Ext_A}', "");
Error('\p{Block:	/a/Latin_extended_additional}');
Error('\P{Block:	/a/Latin_extended_additional}');
Expect(1, 7935, '\p{Block=latinextendedadditional}', "");
Expect(0, 7935, '\p{^Block=latinextendedadditional}', "");
Expect(0, 7935, '\P{Block=latinextendedadditional}', "");
Expect(1, 7935, '\P{^Block=latinextendedadditional}', "");
Expect(0, 7936, '\p{Block=latinextendedadditional}', "");
Expect(1, 7936, '\p{^Block=latinextendedadditional}', "");
Expect(1, 7936, '\P{Block=latinextendedadditional}', "");
Expect(0, 7936, '\P{^Block=latinextendedadditional}', "");
Expect(1, 7935, '\p{Block= -latin_Extended_additional}', "");
Expect(0, 7935, '\p{^Block= -latin_Extended_additional}', "");
Expect(0, 7935, '\P{Block= -latin_Extended_additional}', "");
Expect(1, 7935, '\P{^Block= -latin_Extended_additional}', "");
Expect(0, 7936, '\p{Block= -latin_Extended_additional}', "");
Expect(1, 7936, '\p{^Block= -latin_Extended_additional}', "");
Expect(1, 7936, '\P{Block= -latin_Extended_additional}', "");
Expect(0, 7936, '\P{^Block= -latin_Extended_additional}', "");
Error('\p{Blk= /a/Latin_ext_Additional}');
Error('\P{Blk= /a/Latin_ext_Additional}');
Expect(1, 7935, '\p{Blk=latinextadditional}', "");
Expect(0, 7935, '\p{^Blk=latinextadditional}', "");
Expect(0, 7935, '\P{Blk=latinextadditional}', "");
Expect(1, 7935, '\P{^Blk=latinextadditional}', "");
Expect(0, 7936, '\p{Blk=latinextadditional}', "");
Expect(1, 7936, '\p{^Blk=latinextadditional}', "");
Expect(1, 7936, '\P{Blk=latinextadditional}', "");
Expect(0, 7936, '\P{^Blk=latinextadditional}', "");
Expect(1, 7935, '\p{Blk= -LATIN_Ext_Additional}', "");
Expect(0, 7935, '\p{^Blk= -LATIN_Ext_Additional}', "");
Expect(0, 7935, '\P{Blk= -LATIN_Ext_Additional}', "");
Expect(1, 7935, '\P{^Blk= -LATIN_Ext_Additional}', "");
Expect(0, 7936, '\p{Blk= -LATIN_Ext_Additional}', "");
Expect(1, 7936, '\p{^Blk= -LATIN_Ext_Additional}', "");
Expect(1, 7936, '\P{Blk= -LATIN_Ext_Additional}', "");
Expect(0, 7936, '\P{^Blk= -LATIN_Ext_Additional}', "");
Error('\p{Is_Block=/a/ _LATIN_extended_Additional}');
Error('\P{Is_Block=/a/ _LATIN_extended_Additional}');
Expect(1, 7935, '\p{Is_Block=latinextendedadditional}', "");
Expect(0, 7935, '\p{^Is_Block=latinextendedadditional}', "");
Expect(0, 7935, '\P{Is_Block=latinextendedadditional}', "");
Expect(1, 7935, '\P{^Is_Block=latinextendedadditional}', "");
Expect(0, 7936, '\p{Is_Block=latinextendedadditional}', "");
Expect(1, 7936, '\p{^Is_Block=latinextendedadditional}', "");
Expect(1, 7936, '\P{Is_Block=latinextendedadditional}', "");
Expect(0, 7936, '\P{^Is_Block=latinextendedadditional}', "");
Expect(1, 7935, '\p{Is_Block=	-latin_EXTENDED_additional}', "");
Expect(0, 7935, '\p{^Is_Block=	-latin_EXTENDED_additional}', "");
Expect(0, 7935, '\P{Is_Block=	-latin_EXTENDED_additional}', "");
Expect(1, 7935, '\P{^Is_Block=	-latin_EXTENDED_additional}', "");
Expect(0, 7936, '\p{Is_Block=	-latin_EXTENDED_additional}', "");
Expect(1, 7936, '\p{^Is_Block=	-latin_EXTENDED_additional}', "");
Expect(1, 7936, '\P{Is_Block=	-latin_EXTENDED_additional}', "");
Expect(0, 7936, '\P{^Is_Block=	-latin_EXTENDED_additional}', "");
Error('\p{Is_Blk= latin_Ext_ADDITIONAL:=}');
Error('\P{Is_Blk= latin_Ext_ADDITIONAL:=}');
Expect(1, 7935, '\p{Is_Blk=latinextadditional}', "");
Expect(0, 7935, '\p{^Is_Blk=latinextadditional}', "");
Expect(0, 7935, '\P{Is_Blk=latinextadditional}', "");
Expect(1, 7935, '\P{^Is_Blk=latinextadditional}', "");
Expect(0, 7936, '\p{Is_Blk=latinextadditional}', "");
Expect(1, 7936, '\p{^Is_Blk=latinextadditional}', "");
Expect(1, 7936, '\P{Is_Blk=latinextadditional}', "");
Expect(0, 7936, '\P{^Is_Blk=latinextadditional}', "");
Expect(1, 7935, '\p{Is_Blk= -latin_EXT_ADDITIONAL}', "");
Expect(0, 7935, '\p{^Is_Blk= -latin_EXT_ADDITIONAL}', "");
Expect(0, 7935, '\P{Is_Blk= -latin_EXT_ADDITIONAL}', "");
Expect(1, 7935, '\P{^Is_Blk= -latin_EXT_ADDITIONAL}', "");
Expect(0, 7936, '\p{Is_Blk= -latin_EXT_ADDITIONAL}', "");
Expect(1, 7936, '\p{^Is_Blk= -latin_EXT_ADDITIONAL}', "");
Expect(1, 7936, '\P{Is_Blk= -latin_EXT_ADDITIONAL}', "");
Expect(0, 7936, '\P{^Is_Blk= -latin_EXT_ADDITIONAL}', "");
Error('\p{Block=-Latin_extended_B:=}');
Error('\P{Block=-Latin_extended_B:=}');
Expect(1, 591, '\p{Block=latinextendedb}', "");
Expect(0, 591, '\p{^Block=latinextendedb}', "");
Expect(0, 591, '\P{Block=latinextendedb}', "");
Expect(1, 591, '\P{^Block=latinextendedb}', "");
Expect(0, 592, '\p{Block=latinextendedb}', "");
Expect(1, 592, '\p{^Block=latinextendedb}', "");
Expect(1, 592, '\P{Block=latinextendedb}', "");
Expect(0, 592, '\P{^Block=latinextendedb}', "");
Expect(1, 591, '\p{Block=-latin_Extended_b}', "");
Expect(0, 591, '\p{^Block=-latin_Extended_b}', "");
Expect(0, 591, '\P{Block=-latin_Extended_b}', "");
Expect(1, 591, '\P{^Block=-latin_Extended_b}', "");
Expect(0, 592, '\p{Block=-latin_Extended_b}', "");
Expect(1, 592, '\p{^Block=-latin_Extended_b}', "");
Expect(1, 592, '\P{Block=-latin_Extended_b}', "");
Expect(0, 592, '\P{^Block=-latin_Extended_b}', "");
Error('\p{Blk:   latin_Ext_B/a/}');
Error('\P{Blk:   latin_Ext_B/a/}');
Expect(1, 591, '\p{Blk=latinextb}', "");
Expect(0, 591, '\p{^Blk=latinextb}', "");
Expect(0, 591, '\P{Blk=latinextb}', "");
Expect(1, 591, '\P{^Blk=latinextb}', "");
Expect(0, 592, '\p{Blk=latinextb}', "");
Expect(1, 592, '\p{^Blk=latinextb}', "");
Expect(1, 592, '\P{Blk=latinextb}', "");
Expect(0, 592, '\P{^Blk=latinextb}', "");
Expect(1, 591, '\p{Blk=_latin_Ext_B}', "");
Expect(0, 591, '\p{^Blk=_latin_Ext_B}', "");
Expect(0, 591, '\P{Blk=_latin_Ext_B}', "");
Expect(1, 591, '\P{^Blk=_latin_Ext_B}', "");
Expect(0, 592, '\p{Blk=_latin_Ext_B}', "");
Expect(1, 592, '\p{^Blk=_latin_Ext_B}', "");
Expect(1, 592, '\P{Blk=_latin_Ext_B}', "");
Expect(0, 592, '\P{^Blk=_latin_Ext_B}', "");
Error('\p{Is_Block=_/a/LATIN_Extended_B}');
Error('\P{Is_Block=_/a/LATIN_Extended_B}');
Expect(1, 591, '\p{Is_Block=latinextendedb}', "");
Expect(0, 591, '\p{^Is_Block=latinextendedb}', "");
Expect(0, 591, '\P{Is_Block=latinextendedb}', "");
Expect(1, 591, '\P{^Is_Block=latinextendedb}', "");
Expect(0, 592, '\p{Is_Block=latinextendedb}', "");
Expect(1, 592, '\p{^Is_Block=latinextendedb}', "");
Expect(1, 592, '\P{Is_Block=latinextendedb}', "");
Expect(0, 592, '\P{^Is_Block=latinextendedb}', "");
Expect(1, 591, '\p{Is_Block=	-latin_Extended_B}', "");
Expect(0, 591, '\p{^Is_Block=	-latin_Extended_B}', "");
Expect(0, 591, '\P{Is_Block=	-latin_Extended_B}', "");
Expect(1, 591, '\P{^Is_Block=	-latin_Extended_B}', "");
Expect(0, 592, '\p{Is_Block=	-latin_Extended_B}', "");
Expect(1, 592, '\p{^Is_Block=	-latin_Extended_B}', "");
Expect(1, 592, '\P{Is_Block=	-latin_Extended_B}', "");
Expect(0, 592, '\P{^Is_Block=	-latin_Extended_B}', "");
Error('\p{Is_Blk=	:=LATIN_Ext_B}');
Error('\P{Is_Blk=	:=LATIN_Ext_B}');
Expect(1, 591, '\p{Is_Blk:	latinextb}', "");
Expect(0, 591, '\p{^Is_Blk:	latinextb}', "");
Expect(0, 591, '\P{Is_Blk:	latinextb}', "");
Expect(1, 591, '\P{^Is_Blk:	latinextb}', "");
Expect(0, 592, '\p{Is_Blk:	latinextb}', "");
Expect(1, 592, '\p{^Is_Blk:	latinextb}', "");
Expect(1, 592, '\P{Is_Blk:	latinextb}', "");
Expect(0, 592, '\P{^Is_Blk:	latinextb}', "");
Expect(1, 591, '\p{Is_Blk=	-latin_EXT_B}', "");
Expect(0, 591, '\p{^Is_Blk=	-latin_EXT_B}', "");
Expect(0, 591, '\P{Is_Blk=	-latin_EXT_B}', "");
Expect(1, 591, '\P{^Is_Blk=	-latin_EXT_B}', "");
Expect(0, 592, '\p{Is_Blk=	-latin_EXT_B}', "");
Expect(1, 592, '\p{^Is_Blk=	-latin_EXT_B}', "");
Expect(1, 592, '\P{Is_Blk=	-latin_EXT_B}', "");
Expect(0, 592, '\P{^Is_Blk=	-latin_EXT_B}', "");
Error('\p{Block=/a/latin_Extended_C}');
Error('\P{Block=/a/latin_Extended_C}');
Expect(1, 11391, '\p{Block=latinextendedc}', "");
Expect(0, 11391, '\p{^Block=latinextendedc}', "");
Expect(0, 11391, '\P{Block=latinextendedc}', "");
Expect(1, 11391, '\P{^Block=latinextendedc}', "");
Expect(0, 11392, '\p{Block=latinextendedc}', "");
Expect(1, 11392, '\p{^Block=latinextendedc}', "");
Expect(1, 11392, '\P{Block=latinextendedc}', "");
Expect(0, 11392, '\P{^Block=latinextendedc}', "");
Expect(1, 11391, '\p{Block=- LATIN_EXTENDED_C}', "");
Expect(0, 11391, '\p{^Block=- LATIN_EXTENDED_C}', "");
Expect(0, 11391, '\P{Block=- LATIN_EXTENDED_C}', "");
Expect(1, 11391, '\P{^Block=- LATIN_EXTENDED_C}', "");
Expect(0, 11392, '\p{Block=- LATIN_EXTENDED_C}', "");
Expect(1, 11392, '\p{^Block=- LATIN_EXTENDED_C}', "");
Expect(1, 11392, '\P{Block=- LATIN_EXTENDED_C}', "");
Expect(0, 11392, '\P{^Block=- LATIN_EXTENDED_C}', "");
Error('\p{Blk:-/a/LATIN_ext_C}');
Error('\P{Blk:-/a/LATIN_ext_C}');
Expect(1, 11391, '\p{Blk=latinextc}', "");
Expect(0, 11391, '\p{^Blk=latinextc}', "");
Expect(0, 11391, '\P{Blk=latinextc}', "");
Expect(1, 11391, '\P{^Blk=latinextc}', "");
Expect(0, 11392, '\p{Blk=latinextc}', "");
Expect(1, 11392, '\p{^Blk=latinextc}', "");
Expect(1, 11392, '\P{Blk=latinextc}', "");
Expect(0, 11392, '\P{^Blk=latinextc}', "");
Expect(1, 11391, '\p{Blk=	-Latin_EXT_c}', "");
Expect(0, 11391, '\p{^Blk=	-Latin_EXT_c}', "");
Expect(0, 11391, '\P{Blk=	-Latin_EXT_c}', "");
Expect(1, 11391, '\P{^Blk=	-Latin_EXT_c}', "");
Expect(0, 11392, '\p{Blk=	-Latin_EXT_c}', "");
Expect(1, 11392, '\p{^Blk=	-Latin_EXT_c}', "");
Expect(1, 11392, '\P{Blk=	-Latin_EXT_c}', "");
Expect(0, 11392, '\P{^Blk=	-Latin_EXT_c}', "");
Error('\p{Is_Block=/a/- Latin_extended_c}');
Error('\P{Is_Block=/a/- Latin_extended_c}');
Expect(1, 11391, '\p{Is_Block=latinextendedc}', "");
Expect(0, 11391, '\p{^Is_Block=latinextendedc}', "");
Expect(0, 11391, '\P{Is_Block=latinextendedc}', "");
Expect(1, 11391, '\P{^Is_Block=latinextendedc}', "");
Expect(0, 11392, '\p{Is_Block=latinextendedc}', "");
Expect(1, 11392, '\p{^Is_Block=latinextendedc}', "");
Expect(1, 11392, '\P{Is_Block=latinextendedc}', "");
Expect(0, 11392, '\P{^Is_Block=latinextendedc}', "");
Expect(1, 11391, '\p{Is_Block= _LATIN_Extended_c}', "");
Expect(0, 11391, '\p{^Is_Block= _LATIN_Extended_c}', "");
Expect(0, 11391, '\P{Is_Block= _LATIN_Extended_c}', "");
Expect(1, 11391, '\P{^Is_Block= _LATIN_Extended_c}', "");
Expect(0, 11392, '\p{Is_Block= _LATIN_Extended_c}', "");
Expect(1, 11392, '\p{^Is_Block= _LATIN_Extended_c}', "");
Expect(1, 11392, '\P{Is_Block= _LATIN_Extended_c}', "");
Expect(0, 11392, '\P{^Is_Block= _LATIN_Extended_c}', "");
Error('\p{Is_Blk=	 latin_ext_C/a/}');
Error('\P{Is_Blk=	 latin_ext_C/a/}');
Expect(1, 11391, '\p{Is_Blk=latinextc}', "");
Expect(0, 11391, '\p{^Is_Blk=latinextc}', "");
Expect(0, 11391, '\P{Is_Blk=latinextc}', "");
Expect(1, 11391, '\P{^Is_Blk=latinextc}', "");
Expect(0, 11392, '\p{Is_Blk=latinextc}', "");
Expect(1, 11392, '\p{^Is_Blk=latinextc}', "");
Expect(1, 11392, '\P{Is_Blk=latinextc}', "");
Expect(0, 11392, '\P{^Is_Blk=latinextc}', "");
Expect(1, 11391, '\p{Is_Blk=-	LATIN_Ext_C}', "");
Expect(0, 11391, '\p{^Is_Blk=-	LATIN_Ext_C}', "");
Expect(0, 11391, '\P{Is_Blk=-	LATIN_Ext_C}', "");
Expect(1, 11391, '\P{^Is_Blk=-	LATIN_Ext_C}', "");
Expect(0, 11392, '\p{Is_Blk=-	LATIN_Ext_C}', "");
Expect(1, 11392, '\p{^Is_Blk=-	LATIN_Ext_C}', "");
Expect(1, 11392, '\P{Is_Blk=-	LATIN_Ext_C}', "");
Expect(0, 11392, '\P{^Is_Blk=-	LATIN_Ext_C}', "");
Error('\p{Block=/a/_-latin_EXTENDED_d}');
Error('\P{Block=/a/_-latin_EXTENDED_d}');
Expect(1, 43007, '\p{Block:	latinextendedd}', "");
Expect(0, 43007, '\p{^Block:	latinextendedd}', "");
Expect(0, 43007, '\P{Block:	latinextendedd}', "");
Expect(1, 43007, '\P{^Block:	latinextendedd}', "");
Expect(0, 43008, '\p{Block:	latinextendedd}', "");
Expect(1, 43008, '\p{^Block:	latinextendedd}', "");
Expect(1, 43008, '\P{Block:	latinextendedd}', "");
Expect(0, 43008, '\P{^Block:	latinextendedd}', "");
Expect(1, 43007, '\p{Block= Latin_Extended_D}', "");
Expect(0, 43007, '\p{^Block= Latin_Extended_D}', "");
Expect(0, 43007, '\P{Block= Latin_Extended_D}', "");
Expect(1, 43007, '\P{^Block= Latin_Extended_D}', "");
Expect(0, 43008, '\p{Block= Latin_Extended_D}', "");
Expect(1, 43008, '\p{^Block= Latin_Extended_D}', "");
Expect(1, 43008, '\P{Block= Latin_Extended_D}', "");
Expect(0, 43008, '\P{^Block= Latin_Extended_D}', "");
Error('\p{Blk=-:=Latin_ext_D}');
Error('\P{Blk=-:=Latin_ext_D}');
Expect(1, 43007, '\p{Blk=latinextd}', "");
Expect(0, 43007, '\p{^Blk=latinextd}', "");
Expect(0, 43007, '\P{Blk=latinextd}', "");
Expect(1, 43007, '\P{^Blk=latinextd}', "");
Expect(0, 43008, '\p{Blk=latinextd}', "");
Expect(1, 43008, '\p{^Blk=latinextd}', "");
Expect(1, 43008, '\P{Blk=latinextd}', "");
Expect(0, 43008, '\P{^Blk=latinextd}', "");
Expect(1, 43007, '\p{Blk: 	Latin_ext_D}', "");
Expect(0, 43007, '\p{^Blk: 	Latin_ext_D}', "");
Expect(0, 43007, '\P{Blk: 	Latin_ext_D}', "");
Expect(1, 43007, '\P{^Blk: 	Latin_ext_D}', "");
Expect(0, 43008, '\p{Blk: 	Latin_ext_D}', "");
Expect(1, 43008, '\p{^Blk: 	Latin_ext_D}', "");
Expect(1, 43008, '\P{Blk: 	Latin_ext_D}', "");
Expect(0, 43008, '\P{^Blk: 	Latin_ext_D}', "");
Error('\p{Is_Block=_Latin_EXTENDED_d:=}');
Error('\P{Is_Block=_Latin_EXTENDED_d:=}');
Expect(1, 43007, '\p{Is_Block=latinextendedd}', "");
Expect(0, 43007, '\p{^Is_Block=latinextendedd}', "");
Expect(0, 43007, '\P{Is_Block=latinextendedd}', "");
Expect(1, 43007, '\P{^Is_Block=latinextendedd}', "");
Expect(0, 43008, '\p{Is_Block=latinextendedd}', "");
Expect(1, 43008, '\p{^Is_Block=latinextendedd}', "");
Expect(1, 43008, '\P{Is_Block=latinextendedd}', "");
Expect(0, 43008, '\P{^Is_Block=latinextendedd}', "");
Expect(1, 43007, '\p{Is_Block=-	latin_extended_D}', "");
Expect(0, 43007, '\p{^Is_Block=-	latin_extended_D}', "");
Expect(0, 43007, '\P{Is_Block=-	latin_extended_D}', "");
Expect(1, 43007, '\P{^Is_Block=-	latin_extended_D}', "");
Expect(0, 43008, '\p{Is_Block=-	latin_extended_D}', "");
Expect(1, 43008, '\p{^Is_Block=-	latin_extended_D}', "");
Expect(1, 43008, '\P{Is_Block=-	latin_extended_D}', "");
Expect(0, 43008, '\P{^Is_Block=-	latin_extended_D}', "");
Error('\p{Is_Blk=:=latin_Ext_D}');
Error('\P{Is_Blk=:=latin_Ext_D}');
Expect(1, 43007, '\p{Is_Blk=latinextd}', "");
Expect(0, 43007, '\p{^Is_Blk=latinextd}', "");
Expect(0, 43007, '\P{Is_Blk=latinextd}', "");
Expect(1, 43007, '\P{^Is_Blk=latinextd}', "");
Expect(0, 43008, '\p{Is_Blk=latinextd}', "");
Expect(1, 43008, '\p{^Is_Blk=latinextd}', "");
Expect(1, 43008, '\P{Is_Blk=latinextd}', "");
Expect(0, 43008, '\P{^Is_Blk=latinextd}', "");
Expect(1, 43007, '\p{Is_Blk=_latin_ext_D}', "");
Expect(0, 43007, '\p{^Is_Blk=_latin_ext_D}', "");
Expect(0, 43007, '\P{Is_Blk=_latin_ext_D}', "");
Expect(1, 43007, '\P{^Is_Blk=_latin_ext_D}', "");
Expect(0, 43008, '\p{Is_Blk=_latin_ext_D}', "");
Expect(1, 43008, '\p{^Is_Blk=_latin_ext_D}', "");
Expect(1, 43008, '\P{Is_Blk=_latin_ext_D}', "");
Expect(0, 43008, '\P{^Is_Blk=_latin_ext_D}', "");
Error('\p{Block=--Latin_Extended_E:=}');
Error('\P{Block=--Latin_Extended_E:=}');
Expect(1, 43887, '\p{Block=latinextendede}', "");
Expect(0, 43887, '\p{^Block=latinextendede}', "");
Expect(0, 43887, '\P{Block=latinextendede}', "");
Expect(1, 43887, '\P{^Block=latinextendede}', "");
Expect(0, 43888, '\p{Block=latinextendede}', "");
Expect(1, 43888, '\p{^Block=latinextendede}', "");
Expect(1, 43888, '\P{Block=latinextendede}', "");
Expect(0, 43888, '\P{^Block=latinextendede}', "");
Expect(1, 43887, '\p{Block= 	latin_EXTENDED_E}', "");
Expect(0, 43887, '\p{^Block= 	latin_EXTENDED_E}', "");
Expect(0, 43887, '\P{Block= 	latin_EXTENDED_E}', "");
Expect(1, 43887, '\P{^Block= 	latin_EXTENDED_E}', "");
Expect(0, 43888, '\p{Block= 	latin_EXTENDED_E}', "");
Expect(1, 43888, '\p{^Block= 	latin_EXTENDED_E}', "");
Expect(1, 43888, '\P{Block= 	latin_EXTENDED_E}', "");
Expect(0, 43888, '\P{^Block= 	latin_EXTENDED_E}', "");
Error('\p{Blk=  LATIN_ext_E:=}');
Error('\P{Blk=  LATIN_ext_E:=}');
Expect(1, 43887, '\p{Blk=latinexte}', "");
Expect(0, 43887, '\p{^Blk=latinexte}', "");
Expect(0, 43887, '\P{Blk=latinexte}', "");
Expect(1, 43887, '\P{^Blk=latinexte}', "");
Expect(0, 43888, '\p{Blk=latinexte}', "");
Expect(1, 43888, '\p{^Blk=latinexte}', "");
Expect(1, 43888, '\P{Blk=latinexte}', "");
Expect(0, 43888, '\P{^Blk=latinexte}', "");
Expect(1, 43887, '\p{Blk=  latin_ext_e}', "");
Expect(0, 43887, '\p{^Blk=  latin_ext_e}', "");
Expect(0, 43887, '\P{Blk=  latin_ext_e}', "");
Expect(1, 43887, '\P{^Blk=  latin_ext_e}', "");
Expect(0, 43888, '\p{Blk=  latin_ext_e}', "");
Expect(1, 43888, '\p{^Blk=  latin_ext_e}', "");
Expect(1, 43888, '\P{Blk=  latin_ext_e}', "");
Expect(0, 43888, '\P{^Blk=  latin_ext_e}', "");
Error('\p{Is_Block:	_Latin_Extended_E:=}');
Error('\P{Is_Block:	_Latin_Extended_E:=}');
Expect(1, 43887, '\p{Is_Block=latinextendede}', "");
Expect(0, 43887, '\p{^Is_Block=latinextendede}', "");
Expect(0, 43887, '\P{Is_Block=latinextendede}', "");
Expect(1, 43887, '\P{^Is_Block=latinextendede}', "");
Expect(0, 43888, '\p{Is_Block=latinextendede}', "");
Expect(1, 43888, '\p{^Is_Block=latinextendede}', "");
Expect(1, 43888, '\P{Is_Block=latinextendede}', "");
Expect(0, 43888, '\P{^Is_Block=latinextendede}', "");
Expect(1, 43887, '\p{Is_Block= Latin_Extended_E}', "");
Expect(0, 43887, '\p{^Is_Block= Latin_Extended_E}', "");
Expect(0, 43887, '\P{Is_Block= Latin_Extended_E}', "");
Expect(1, 43887, '\P{^Is_Block= Latin_Extended_E}', "");
Expect(0, 43888, '\p{Is_Block= Latin_Extended_E}', "");
Expect(1, 43888, '\p{^Is_Block= Latin_Extended_E}', "");
Expect(1, 43888, '\P{Is_Block= Latin_Extended_E}', "");
Expect(0, 43888, '\P{^Is_Block= Latin_Extended_E}', "");
Error('\p{Is_Blk=:=-	latin_Ext_E}');
Error('\P{Is_Blk=:=-	latin_Ext_E}');
Expect(1, 43887, '\p{Is_Blk=latinexte}', "");
Expect(0, 43887, '\p{^Is_Blk=latinexte}', "");
Expect(0, 43887, '\P{Is_Blk=latinexte}', "");
Expect(1, 43887, '\P{^Is_Blk=latinexte}', "");
Expect(0, 43888, '\p{Is_Blk=latinexte}', "");
Expect(1, 43888, '\p{^Is_Blk=latinexte}', "");
Expect(1, 43888, '\P{Is_Blk=latinexte}', "");
Expect(0, 43888, '\P{^Is_Blk=latinexte}', "");
Expect(1, 43887, '\p{Is_Blk=-Latin_EXT_e}', "");
Expect(0, 43887, '\p{^Is_Blk=-Latin_EXT_e}', "");
Expect(0, 43887, '\P{Is_Blk=-Latin_EXT_e}', "");
Expect(1, 43887, '\P{^Is_Blk=-Latin_EXT_e}', "");
Expect(0, 43888, '\p{Is_Blk=-Latin_EXT_e}', "");
Expect(1, 43888, '\p{^Is_Blk=-Latin_EXT_e}', "");
Expect(1, 43888, '\P{Is_Blk=-Latin_EXT_e}', "");
Expect(0, 43888, '\P{^Is_Blk=-Latin_EXT_e}', "");
Error('\p{Block=-:=LEPCHA}');
Error('\P{Block=-:=LEPCHA}');
Expect(1, 7247, '\p{Block=lepcha}', "");
Expect(0, 7247, '\p{^Block=lepcha}', "");
Expect(0, 7247, '\P{Block=lepcha}', "");
Expect(1, 7247, '\P{^Block=lepcha}', "");
Expect(0, 7248, '\p{Block=lepcha}', "");
Expect(1, 7248, '\p{^Block=lepcha}', "");
Expect(1, 7248, '\P{Block=lepcha}', "");
Expect(0, 7248, '\P{^Block=lepcha}', "");
Expect(1, 7247, '\p{Block= LEPCHA}', "");
Expect(0, 7247, '\p{^Block= LEPCHA}', "");
Expect(0, 7247, '\P{Block= LEPCHA}', "");
Expect(1, 7247, '\P{^Block= LEPCHA}', "");
Expect(0, 7248, '\p{Block= LEPCHA}', "");
Expect(1, 7248, '\p{^Block= LEPCHA}', "");
Expect(1, 7248, '\P{Block= LEPCHA}', "");
Expect(0, 7248, '\P{^Block= LEPCHA}', "");
Error('\p{Blk=_	Lepcha/a/}');
Error('\P{Blk=_	Lepcha/a/}');
Expect(1, 7247, '\p{Blk=lepcha}', "");
Expect(0, 7247, '\p{^Blk=lepcha}', "");
Expect(0, 7247, '\P{Blk=lepcha}', "");
Expect(1, 7247, '\P{^Blk=lepcha}', "");
Expect(0, 7248, '\p{Blk=lepcha}', "");
Expect(1, 7248, '\p{^Blk=lepcha}', "");
Expect(1, 7248, '\P{Blk=lepcha}', "");
Expect(0, 7248, '\P{^Blk=lepcha}', "");
Expect(1, 7247, '\p{Blk=	Lepcha}', "");
Expect(0, 7247, '\p{^Blk=	Lepcha}', "");
Expect(0, 7247, '\P{Blk=	Lepcha}', "");
Expect(1, 7247, '\P{^Blk=	Lepcha}', "");
Expect(0, 7248, '\p{Blk=	Lepcha}', "");
Expect(1, 7248, '\p{^Blk=	Lepcha}', "");
Expect(1, 7248, '\P{Blk=	Lepcha}', "");
Expect(0, 7248, '\P{^Blk=	Lepcha}', "");
Error('\p{Is_Block=-/a/Lepcha}');
Error('\P{Is_Block=-/a/Lepcha}');
Expect(1, 7247, '\p{Is_Block=lepcha}', "");
Expect(0, 7247, '\p{^Is_Block=lepcha}', "");
Expect(0, 7247, '\P{Is_Block=lepcha}', "");
Expect(1, 7247, '\P{^Is_Block=lepcha}', "");
Expect(0, 7248, '\p{Is_Block=lepcha}', "");
Expect(1, 7248, '\p{^Is_Block=lepcha}', "");
Expect(1, 7248, '\P{Is_Block=lepcha}', "");
Expect(0, 7248, '\P{^Is_Block=lepcha}', "");
Expect(1, 7247, '\p{Is_Block= _LEPCHA}', "");
Expect(0, 7247, '\p{^Is_Block= _LEPCHA}', "");
Expect(0, 7247, '\P{Is_Block= _LEPCHA}', "");
Expect(1, 7247, '\P{^Is_Block= _LEPCHA}', "");
Expect(0, 7248, '\p{Is_Block= _LEPCHA}', "");
Expect(1, 7248, '\p{^Is_Block= _LEPCHA}', "");
Expect(1, 7248, '\P{Is_Block= _LEPCHA}', "");
Expect(0, 7248, '\P{^Is_Block= _LEPCHA}', "");
Error('\p{Is_Blk= :=Lepcha}');
Error('\P{Is_Blk= :=Lepcha}');
Expect(1, 7247, '\p{Is_Blk=lepcha}', "");
Expect(0, 7247, '\p{^Is_Blk=lepcha}', "");
Expect(0, 7247, '\P{Is_Blk=lepcha}', "");
Expect(1, 7247, '\P{^Is_Blk=lepcha}', "");
Expect(0, 7248, '\p{Is_Blk=lepcha}', "");
Expect(1, 7248, '\p{^Is_Blk=lepcha}', "");
Expect(1, 7248, '\P{Is_Blk=lepcha}', "");
Expect(0, 7248, '\P{^Is_Blk=lepcha}', "");
Expect(1, 7247, '\p{Is_Blk=-	Lepcha}', "");
Expect(0, 7247, '\p{^Is_Blk=-	Lepcha}', "");
Expect(0, 7247, '\P{Is_Blk=-	Lepcha}', "");
Expect(1, 7247, '\P{^Is_Blk=-	Lepcha}', "");
Expect(0, 7248, '\p{Is_Blk=-	Lepcha}', "");
Expect(1, 7248, '\p{^Is_Blk=-	Lepcha}', "");
Expect(1, 7248, '\P{Is_Blk=-	Lepcha}', "");
Expect(0, 7248, '\P{^Is_Blk=-	Lepcha}', "");
Error('\p{Block=/a/-_letterlike_Symbols}');
Error('\P{Block=/a/-_letterlike_Symbols}');
Expect(1, 8527, '\p{Block=letterlikesymbols}', "");
Expect(0, 8527, '\p{^Block=letterlikesymbols}', "");
Expect(0, 8527, '\P{Block=letterlikesymbols}', "");
Expect(1, 8527, '\P{^Block=letterlikesymbols}', "");
Expect(0, 8528, '\p{Block=letterlikesymbols}', "");
Expect(1, 8528, '\p{^Block=letterlikesymbols}', "");
Expect(1, 8528, '\P{Block=letterlikesymbols}', "");
Expect(0, 8528, '\P{^Block=letterlikesymbols}', "");
Expect(1, 8527, '\p{Block=--Letterlike_symbols}', "");
Expect(0, 8527, '\p{^Block=--Letterlike_symbols}', "");
Expect(0, 8527, '\P{Block=--Letterlike_symbols}', "");
Expect(1, 8527, '\P{^Block=--Letterlike_symbols}', "");
Expect(0, 8528, '\p{Block=--Letterlike_symbols}', "");
Expect(1, 8528, '\p{^Block=--Letterlike_symbols}', "");
Expect(1, 8528, '\P{Block=--Letterlike_symbols}', "");
Expect(0, 8528, '\P{^Block=--Letterlike_symbols}', "");
Error('\p{Blk=:=letterlike_Symbols}');
Error('\P{Blk=:=letterlike_Symbols}');
Expect(1, 8527, '\p{Blk=letterlikesymbols}', "");
Expect(0, 8527, '\p{^Blk=letterlikesymbols}', "");
Expect(0, 8527, '\P{Blk=letterlikesymbols}', "");
Expect(1, 8527, '\P{^Blk=letterlikesymbols}', "");
Expect(0, 8528, '\p{Blk=letterlikesymbols}', "");
Expect(1, 8528, '\p{^Blk=letterlikesymbols}', "");
Expect(1, 8528, '\P{Blk=letterlikesymbols}', "");
Expect(0, 8528, '\P{^Blk=letterlikesymbols}', "");
Expect(1, 8527, '\p{Blk=-	LETTERLIKE_Symbols}', "");
Expect(0, 8527, '\p{^Blk=-	LETTERLIKE_Symbols}', "");
Expect(0, 8527, '\P{Blk=-	LETTERLIKE_Symbols}', "");
Expect(1, 8527, '\P{^Blk=-	LETTERLIKE_Symbols}', "");
Expect(0, 8528, '\p{Blk=-	LETTERLIKE_Symbols}', "");
Expect(1, 8528, '\p{^Blk=-	LETTERLIKE_Symbols}', "");
Expect(1, 8528, '\P{Blk=-	LETTERLIKE_Symbols}', "");
Expect(0, 8528, '\P{^Blk=-	LETTERLIKE_Symbols}', "");
Error('\p{Is_Block=	_Letterlike_symbols:=}');
Error('\P{Is_Block=	_Letterlike_symbols:=}');
Expect(1, 8527, '\p{Is_Block=letterlikesymbols}', "");
Expect(0, 8527, '\p{^Is_Block=letterlikesymbols}', "");
Expect(0, 8527, '\P{Is_Block=letterlikesymbols}', "");
Expect(1, 8527, '\P{^Is_Block=letterlikesymbols}', "");
Expect(0, 8528, '\p{Is_Block=letterlikesymbols}', "");
Expect(1, 8528, '\p{^Is_Block=letterlikesymbols}', "");
Expect(1, 8528, '\P{Is_Block=letterlikesymbols}', "");
Expect(0, 8528, '\P{^Is_Block=letterlikesymbols}', "");
Expect(1, 8527, '\p{Is_Block= -Letterlike_Symbols}', "");
Expect(0, 8527, '\p{^Is_Block= -Letterlike_Symbols}', "");
Expect(0, 8527, '\P{Is_Block= -Letterlike_Symbols}', "");
Expect(1, 8527, '\P{^Is_Block= -Letterlike_Symbols}', "");
Expect(0, 8528, '\p{Is_Block= -Letterlike_Symbols}', "");
Expect(1, 8528, '\p{^Is_Block= -Letterlike_Symbols}', "");
Expect(1, 8528, '\P{Is_Block= -Letterlike_Symbols}', "");
Expect(0, 8528, '\P{^Is_Block= -Letterlike_Symbols}', "");
Error('\p{Is_Blk=/a/__Letterlike_Symbols}');
Error('\P{Is_Blk=/a/__Letterlike_Symbols}');
Expect(1, 8527, '\p{Is_Blk=letterlikesymbols}', "");
Expect(0, 8527, '\p{^Is_Blk=letterlikesymbols}', "");
Expect(0, 8527, '\P{Is_Blk=letterlikesymbols}', "");
Expect(1, 8527, '\P{^Is_Blk=letterlikesymbols}', "");
Expect(0, 8528, '\p{Is_Blk=letterlikesymbols}', "");
Expect(1, 8528, '\p{^Is_Blk=letterlikesymbols}', "");
Expect(1, 8528, '\P{Is_Blk=letterlikesymbols}', "");
Expect(0, 8528, '\P{^Is_Blk=letterlikesymbols}', "");
Expect(1, 8527, '\p{Is_Blk=- Letterlike_SYMBOLS}', "");
Expect(0, 8527, '\p{^Is_Blk=- Letterlike_SYMBOLS}', "");
Expect(0, 8527, '\P{Is_Blk=- Letterlike_SYMBOLS}', "");
Expect(1, 8527, '\P{^Is_Blk=- Letterlike_SYMBOLS}', "");
Expect(0, 8528, '\p{Is_Blk=- Letterlike_SYMBOLS}', "");
Expect(1, 8528, '\p{^Is_Blk=- Letterlike_SYMBOLS}', "");
Expect(1, 8528, '\P{Is_Blk=- Letterlike_SYMBOLS}', "");
Expect(0, 8528, '\P{^Is_Blk=- Letterlike_SYMBOLS}', "");
Error('\p{Block=-	limbu:=}');
Error('\P{Block=-	limbu:=}');
Expect(1, 6479, '\p{Block=limbu}', "");
Expect(0, 6479, '\p{^Block=limbu}', "");
Expect(0, 6479, '\P{Block=limbu}', "");
Expect(1, 6479, '\P{^Block=limbu}', "");
Expect(0, 6480, '\p{Block=limbu}', "");
Expect(1, 6480, '\p{^Block=limbu}', "");
Expect(1, 6480, '\P{Block=limbu}', "");
Expect(0, 6480, '\P{^Block=limbu}', "");
Expect(1, 6479, '\p{Block=_-limbu}', "");
Expect(0, 6479, '\p{^Block=_-limbu}', "");
Expect(0, 6479, '\P{Block=_-limbu}', "");
Expect(1, 6479, '\P{^Block=_-limbu}', "");
Expect(0, 6480, '\p{Block=_-limbu}', "");
Expect(1, 6480, '\p{^Block=_-limbu}', "");
Expect(1, 6480, '\P{Block=_-limbu}', "");
Expect(0, 6480, '\P{^Block=_-limbu}', "");
Error('\p{Blk:   LIMBU/a/}');
Error('\P{Blk:   LIMBU/a/}');
Expect(1, 6479, '\p{Blk:	limbu}', "");
Expect(0, 6479, '\p{^Blk:	limbu}', "");
Expect(0, 6479, '\P{Blk:	limbu}', "");
Expect(1, 6479, '\P{^Blk:	limbu}', "");
Expect(0, 6480, '\p{Blk:	limbu}', "");
Expect(1, 6480, '\p{^Blk:	limbu}', "");
Expect(1, 6480, '\P{Blk:	limbu}', "");
Expect(0, 6480, '\P{^Blk:	limbu}', "");
Expect(1, 6479, '\p{Blk: -	LIMBU}', "");
Expect(0, 6479, '\p{^Blk: -	LIMBU}', "");
Expect(0, 6479, '\P{Blk: -	LIMBU}', "");
Expect(1, 6479, '\P{^Blk: -	LIMBU}', "");
Expect(0, 6480, '\p{Blk: -	LIMBU}', "");
Expect(1, 6480, '\p{^Blk: -	LIMBU}', "");
Expect(1, 6480, '\P{Blk: -	LIMBU}', "");
Expect(0, 6480, '\P{^Blk: -	LIMBU}', "");
Error('\p{Is_Block=		LIMBU:=}');
Error('\P{Is_Block=		LIMBU:=}');
Expect(1, 6479, '\p{Is_Block=limbu}', "");
Expect(0, 6479, '\p{^Is_Block=limbu}', "");
Expect(0, 6479, '\P{Is_Block=limbu}', "");
Expect(1, 6479, '\P{^Is_Block=limbu}', "");
Expect(0, 6480, '\p{Is_Block=limbu}', "");
Expect(1, 6480, '\p{^Is_Block=limbu}', "");
Expect(1, 6480, '\P{Is_Block=limbu}', "");
Expect(0, 6480, '\P{^Is_Block=limbu}', "");
Expect(1, 6479, '\p{Is_Block=_-LIMBU}', "");
Expect(0, 6479, '\p{^Is_Block=_-LIMBU}', "");
Expect(0, 6479, '\P{Is_Block=_-LIMBU}', "");
Expect(1, 6479, '\P{^Is_Block=_-LIMBU}', "");
Expect(0, 6480, '\p{Is_Block=_-LIMBU}', "");
Expect(1, 6480, '\p{^Is_Block=_-LIMBU}', "");
Expect(1, 6480, '\P{Is_Block=_-LIMBU}', "");
Expect(0, 6480, '\P{^Is_Block=_-LIMBU}', "");
Error('\p{Is_Blk= /a/Limbu}');
Error('\P{Is_Blk= /a/Limbu}');
Expect(1, 6479, '\p{Is_Blk=limbu}', "");
Expect(0, 6479, '\p{^Is_Blk=limbu}', "");
Expect(0, 6479, '\P{Is_Blk=limbu}', "");
Expect(1, 6479, '\P{^Is_Blk=limbu}', "");
Expect(0, 6480, '\p{Is_Blk=limbu}', "");
Expect(1, 6480, '\p{^Is_Blk=limbu}', "");
Expect(1, 6480, '\P{Is_Blk=limbu}', "");
Expect(0, 6480, '\P{^Is_Blk=limbu}', "");
Expect(1, 6479, '\p{Is_Blk=-Limbu}', "");
Expect(0, 6479, '\p{^Is_Blk=-Limbu}', "");
Expect(0, 6479, '\P{Is_Blk=-Limbu}', "");
Expect(1, 6479, '\P{^Is_Blk=-Limbu}', "");
Expect(0, 6480, '\p{Is_Blk=-Limbu}', "");
Expect(1, 6480, '\p{^Is_Blk=-Limbu}', "");
Expect(1, 6480, '\P{Is_Blk=-Limbu}', "");
Expect(0, 6480, '\P{^Is_Blk=-Limbu}', "");
Error('\p{Block=/a/LINEAR_a}');
Error('\P{Block=/a/LINEAR_a}');
Expect(1, 67455, '\p{Block=lineara}', "");
Expect(0, 67455, '\p{^Block=lineara}', "");
Expect(0, 67455, '\P{Block=lineara}', "");
Expect(1, 67455, '\P{^Block=lineara}', "");
Expect(0, 67456, '\p{Block=lineara}', "");
Expect(1, 67456, '\p{^Block=lineara}', "");
Expect(1, 67456, '\P{Block=lineara}', "");
Expect(0, 67456, '\P{^Block=lineara}', "");
Expect(1, 67455, '\p{Block=  LINEAR_a}', "");
Expect(0, 67455, '\p{^Block=  LINEAR_a}', "");
Expect(0, 67455, '\P{Block=  LINEAR_a}', "");
Expect(1, 67455, '\P{^Block=  LINEAR_a}', "");
Expect(0, 67456, '\p{Block=  LINEAR_a}', "");
Expect(1, 67456, '\p{^Block=  LINEAR_a}', "");
Expect(1, 67456, '\P{Block=  LINEAR_a}', "");
Expect(0, 67456, '\P{^Block=  LINEAR_a}', "");
Error('\p{Blk=LINEAR_a/a/}');
Error('\P{Blk=LINEAR_a/a/}');
Expect(1, 67455, '\p{Blk=lineara}', "");
Expect(0, 67455, '\p{^Blk=lineara}', "");
Expect(0, 67455, '\P{Blk=lineara}', "");
Expect(1, 67455, '\P{^Blk=lineara}', "");
Expect(0, 67456, '\p{Blk=lineara}', "");
Expect(1, 67456, '\p{^Blk=lineara}', "");
Expect(1, 67456, '\P{Blk=lineara}', "");
Expect(0, 67456, '\P{^Blk=lineara}', "");
Expect(1, 67455, '\p{Blk: LINEAR_A}', "");
Expect(0, 67455, '\p{^Blk: LINEAR_A}', "");
Expect(0, 67455, '\P{Blk: LINEAR_A}', "");
Expect(1, 67455, '\P{^Blk: LINEAR_A}', "");
Expect(0, 67456, '\p{Blk: LINEAR_A}', "");
Expect(1, 67456, '\p{^Blk: LINEAR_A}', "");
Expect(1, 67456, '\P{Blk: LINEAR_A}', "");
Expect(0, 67456, '\P{^Blk: LINEAR_A}', "");
Error('\p{Is_Block=/a/ _linear_a}');
Error('\P{Is_Block=/a/ _linear_a}');
Expect(1, 67455, '\p{Is_Block=lineara}', "");
Expect(0, 67455, '\p{^Is_Block=lineara}', "");
Expect(0, 67455, '\P{Is_Block=lineara}', "");
Expect(1, 67455, '\P{^Is_Block=lineara}', "");
Expect(0, 67456, '\p{Is_Block=lineara}', "");
Expect(1, 67456, '\p{^Is_Block=lineara}', "");
Expect(1, 67456, '\P{Is_Block=lineara}', "");
Expect(0, 67456, '\P{^Is_Block=lineara}', "");
Expect(1, 67455, '\p{Is_Block= Linear_A}', "");
Expect(0, 67455, '\p{^Is_Block= Linear_A}', "");
Expect(0, 67455, '\P{Is_Block= Linear_A}', "");
Expect(1, 67455, '\P{^Is_Block= Linear_A}', "");
Expect(0, 67456, '\p{Is_Block= Linear_A}', "");
Expect(1, 67456, '\p{^Is_Block= Linear_A}', "");
Expect(1, 67456, '\P{Is_Block= Linear_A}', "");
Expect(0, 67456, '\P{^Is_Block= Linear_A}', "");
Error('\p{Is_Blk=	-LINEAR_A:=}');
Error('\P{Is_Blk=	-LINEAR_A:=}');
Expect(1, 67455, '\p{Is_Blk=lineara}', "");
Expect(0, 67455, '\p{^Is_Blk=lineara}', "");
Expect(0, 67455, '\P{Is_Blk=lineara}', "");
Expect(1, 67455, '\P{^Is_Blk=lineara}', "");
Expect(0, 67456, '\p{Is_Blk=lineara}', "");
Expect(1, 67456, '\p{^Is_Blk=lineara}', "");
Expect(1, 67456, '\P{Is_Blk=lineara}', "");
Expect(0, 67456, '\P{^Is_Blk=lineara}', "");
Expect(1, 67455, '\p{Is_Blk= Linear_A}', "");
Expect(0, 67455, '\p{^Is_Blk= Linear_A}', "");
Expect(0, 67455, '\P{Is_Blk= Linear_A}', "");
Expect(1, 67455, '\P{^Is_Blk= Linear_A}', "");
Expect(0, 67456, '\p{Is_Blk= Linear_A}', "");
Expect(1, 67456, '\p{^Is_Blk= Linear_A}', "");
Expect(1, 67456, '\P{Is_Blk= Linear_A}', "");
Expect(0, 67456, '\P{^Is_Blk= Linear_A}', "");
Error('\p{Block=	:=Linear_b_Ideograms}');
Error('\P{Block=	:=Linear_b_Ideograms}');
Expect(1, 65791, '\p{Block=linearbideograms}', "");
Expect(0, 65791, '\p{^Block=linearbideograms}', "");
Expect(0, 65791, '\P{Block=linearbideograms}', "");
Expect(1, 65791, '\P{^Block=linearbideograms}', "");
Expect(0, 65792, '\p{Block=linearbideograms}', "");
Expect(1, 65792, '\p{^Block=linearbideograms}', "");
Expect(1, 65792, '\P{Block=linearbideograms}', "");
Expect(0, 65792, '\P{^Block=linearbideograms}', "");
Expect(1, 65791, '\p{Block= 	LINEAR_B_IDEOGRAMS}', "");
Expect(0, 65791, '\p{^Block= 	LINEAR_B_IDEOGRAMS}', "");
Expect(0, 65791, '\P{Block= 	LINEAR_B_IDEOGRAMS}', "");
Expect(1, 65791, '\P{^Block= 	LINEAR_B_IDEOGRAMS}', "");
Expect(0, 65792, '\p{Block= 	LINEAR_B_IDEOGRAMS}', "");
Expect(1, 65792, '\p{^Block= 	LINEAR_B_IDEOGRAMS}', "");
Expect(1, 65792, '\P{Block= 	LINEAR_B_IDEOGRAMS}', "");
Expect(0, 65792, '\P{^Block= 	LINEAR_B_IDEOGRAMS}', "");
Error('\p{Blk=/a/	-Linear_b_ideograms}');
Error('\P{Blk=/a/	-Linear_b_ideograms}');
Expect(1, 65791, '\p{Blk=linearbideograms}', "");
Expect(0, 65791, '\p{^Blk=linearbideograms}', "");
Expect(0, 65791, '\P{Blk=linearbideograms}', "");
Expect(1, 65791, '\P{^Blk=linearbideograms}', "");
Expect(0, 65792, '\p{Blk=linearbideograms}', "");
Expect(1, 65792, '\p{^Blk=linearbideograms}', "");
Expect(1, 65792, '\P{Blk=linearbideograms}', "");
Expect(0, 65792, '\P{^Blk=linearbideograms}', "");
Expect(1, 65791, '\p{Blk=	linear_b_Ideograms}', "");
Expect(0, 65791, '\p{^Blk=	linear_b_Ideograms}', "");
Expect(0, 65791, '\P{Blk=	linear_b_Ideograms}', "");
Expect(1, 65791, '\P{^Blk=	linear_b_Ideograms}', "");
Expect(0, 65792, '\p{Blk=	linear_b_Ideograms}', "");
Expect(1, 65792, '\p{^Blk=	linear_b_Ideograms}', "");
Expect(1, 65792, '\P{Blk=	linear_b_Ideograms}', "");
Expect(0, 65792, '\P{^Blk=	linear_b_Ideograms}', "");
Error('\p{Is_Block=_:=LINEAR_B_Ideograms}');
Error('\P{Is_Block=_:=LINEAR_B_Ideograms}');
Expect(1, 65791, '\p{Is_Block=linearbideograms}', "");
Expect(0, 65791, '\p{^Is_Block=linearbideograms}', "");
Expect(0, 65791, '\P{Is_Block=linearbideograms}', "");
Expect(1, 65791, '\P{^Is_Block=linearbideograms}', "");
Expect(0, 65792, '\p{Is_Block=linearbideograms}', "");
Expect(1, 65792, '\p{^Is_Block=linearbideograms}', "");
Expect(1, 65792, '\P{Is_Block=linearbideograms}', "");
Expect(0, 65792, '\P{^Is_Block=linearbideograms}', "");
Expect(1, 65791, '\p{Is_Block=LINEAR_B_ideograms}', "");
Expect(0, 65791, '\p{^Is_Block=LINEAR_B_ideograms}', "");
Expect(0, 65791, '\P{Is_Block=LINEAR_B_ideograms}', "");
Expect(1, 65791, '\P{^Is_Block=LINEAR_B_ideograms}', "");
Expect(0, 65792, '\p{Is_Block=LINEAR_B_ideograms}', "");
Expect(1, 65792, '\p{^Is_Block=LINEAR_B_ideograms}', "");
Expect(1, 65792, '\P{Is_Block=LINEAR_B_ideograms}', "");
Expect(0, 65792, '\P{^Is_Block=LINEAR_B_ideograms}', "");
Error('\p{Is_Blk=-/a/linear_B_IDEOGRAMS}');
Error('\P{Is_Blk=-/a/linear_B_IDEOGRAMS}');
Expect(1, 65791, '\p{Is_Blk=linearbideograms}', "");
Expect(0, 65791, '\p{^Is_Blk=linearbideograms}', "");
Expect(0, 65791, '\P{Is_Blk=linearbideograms}', "");
Expect(1, 65791, '\P{^Is_Blk=linearbideograms}', "");
Expect(0, 65792, '\p{Is_Blk=linearbideograms}', "");
Expect(1, 65792, '\p{^Is_Blk=linearbideograms}', "");
Expect(1, 65792, '\P{Is_Blk=linearbideograms}', "");
Expect(0, 65792, '\P{^Is_Blk=linearbideograms}', "");
Expect(1, 65791, '\p{Is_Blk=_LINEAR_B_IDEOGRAMS}', "");
Expect(0, 65791, '\p{^Is_Blk=_LINEAR_B_IDEOGRAMS}', "");
Expect(0, 65791, '\P{Is_Blk=_LINEAR_B_IDEOGRAMS}', "");
Expect(1, 65791, '\P{^Is_Blk=_LINEAR_B_IDEOGRAMS}', "");
Expect(0, 65792, '\p{Is_Blk=_LINEAR_B_IDEOGRAMS}', "");
Expect(1, 65792, '\p{^Is_Blk=_LINEAR_B_IDEOGRAMS}', "");
Expect(1, 65792, '\P{Is_Blk=_LINEAR_B_IDEOGRAMS}', "");
Expect(0, 65792, '\P{^Is_Blk=_LINEAR_B_IDEOGRAMS}', "");
Error('\p{Block:	:=-	LINEAR_B_syllabary}');
Error('\P{Block:	:=-	LINEAR_B_syllabary}');
Expect(1, 65663, '\p{Block=linearbsyllabary}', "");
Expect(0, 65663, '\p{^Block=linearbsyllabary}', "");
Expect(0, 65663, '\P{Block=linearbsyllabary}', "");
Expect(1, 65663, '\P{^Block=linearbsyllabary}', "");
Expect(0, 65664, '\p{Block=linearbsyllabary}', "");
Expect(1, 65664, '\p{^Block=linearbsyllabary}', "");
Expect(1, 65664, '\P{Block=linearbsyllabary}', "");
Expect(0, 65664, '\P{^Block=linearbsyllabary}', "");
Expect(1, 65663, '\p{Block=	_Linear_B_SYLLABARY}', "");
Expect(0, 65663, '\p{^Block=	_Linear_B_SYLLABARY}', "");
Expect(0, 65663, '\P{Block=	_Linear_B_SYLLABARY}', "");
Expect(1, 65663, '\P{^Block=	_Linear_B_SYLLABARY}', "");
Expect(0, 65664, '\p{Block=	_Linear_B_SYLLABARY}', "");
Expect(1, 65664, '\p{^Block=	_Linear_B_SYLLABARY}', "");
Expect(1, 65664, '\P{Block=	_Linear_B_SYLLABARY}', "");
Expect(0, 65664, '\P{^Block=	_Linear_B_SYLLABARY}', "");
Error('\p{Blk: 	-LINEAR_B_Syllabary:=}');
Error('\P{Blk: 	-LINEAR_B_Syllabary:=}');
Expect(1, 65663, '\p{Blk=linearbsyllabary}', "");
Expect(0, 65663, '\p{^Blk=linearbsyllabary}', "");
Expect(0, 65663, '\P{Blk=linearbsyllabary}', "");
Expect(1, 65663, '\P{^Blk=linearbsyllabary}', "");
Expect(0, 65664, '\p{Blk=linearbsyllabary}', "");
Expect(1, 65664, '\p{^Blk=linearbsyllabary}', "");
Expect(1, 65664, '\P{Blk=linearbsyllabary}', "");
Expect(0, 65664, '\P{^Blk=linearbsyllabary}', "");
Expect(1, 65663, '\p{Blk=__Linear_B_Syllabary}', "");
Expect(0, 65663, '\p{^Blk=__Linear_B_Syllabary}', "");
Expect(0, 65663, '\P{Blk=__Linear_B_Syllabary}', "");
Expect(1, 65663, '\P{^Blk=__Linear_B_Syllabary}', "");
Expect(0, 65664, '\p{Blk=__Linear_B_Syllabary}', "");
Expect(1, 65664, '\p{^Blk=__Linear_B_Syllabary}', "");
Expect(1, 65664, '\P{Blk=__Linear_B_Syllabary}', "");
Expect(0, 65664, '\P{^Blk=__Linear_B_Syllabary}', "");
Error('\p{Is_Block=-Linear_B_Syllabary:=}');
Error('\P{Is_Block=-Linear_B_Syllabary:=}');
Expect(1, 65663, '\p{Is_Block=linearbsyllabary}', "");
Expect(0, 65663, '\p{^Is_Block=linearbsyllabary}', "");
Expect(0, 65663, '\P{Is_Block=linearbsyllabary}', "");
Expect(1, 65663, '\P{^Is_Block=linearbsyllabary}', "");
Expect(0, 65664, '\p{Is_Block=linearbsyllabary}', "");
Expect(1, 65664, '\p{^Is_Block=linearbsyllabary}', "");
Expect(1, 65664, '\P{Is_Block=linearbsyllabary}', "");
Expect(0, 65664, '\P{^Is_Block=linearbsyllabary}', "");
Expect(1, 65663, '\p{Is_Block= Linear_B_Syllabary}', "");
Expect(0, 65663, '\p{^Is_Block= Linear_B_Syllabary}', "");
Expect(0, 65663, '\P{Is_Block= Linear_B_Syllabary}', "");
Expect(1, 65663, '\P{^Is_Block= Linear_B_Syllabary}', "");
Expect(0, 65664, '\p{Is_Block= Linear_B_Syllabary}', "");
Expect(1, 65664, '\p{^Is_Block= Linear_B_Syllabary}', "");
Expect(1, 65664, '\P{Is_Block= Linear_B_Syllabary}', "");
Expect(0, 65664, '\P{^Is_Block= Linear_B_Syllabary}', "");
Error('\p{Is_Blk=	_linear_b_SYLLABARY/a/}');
Error('\P{Is_Blk=	_linear_b_SYLLABARY/a/}');
Expect(1, 65663, '\p{Is_Blk=linearbsyllabary}', "");
Expect(0, 65663, '\p{^Is_Blk=linearbsyllabary}', "");
Expect(0, 65663, '\P{Is_Blk=linearbsyllabary}', "");
Expect(1, 65663, '\P{^Is_Blk=linearbsyllabary}', "");
Expect(0, 65664, '\p{Is_Blk=linearbsyllabary}', "");
Expect(1, 65664, '\p{^Is_Blk=linearbsyllabary}', "");
Expect(1, 65664, '\P{Is_Blk=linearbsyllabary}', "");
Expect(0, 65664, '\P{^Is_Blk=linearbsyllabary}', "");
Expect(1, 65663, '\p{Is_Blk=- Linear_b_Syllabary}', "");
Expect(0, 65663, '\p{^Is_Blk=- Linear_b_Syllabary}', "");
Expect(0, 65663, '\P{Is_Blk=- Linear_b_Syllabary}', "");
Expect(1, 65663, '\P{^Is_Blk=- Linear_b_Syllabary}', "");
Expect(0, 65664, '\p{Is_Blk=- Linear_b_Syllabary}', "");
Expect(1, 65664, '\p{^Is_Blk=- Linear_b_Syllabary}', "");
Expect(1, 65664, '\P{Is_Blk=- Linear_b_Syllabary}', "");
Expect(0, 65664, '\P{^Is_Blk=- Linear_b_Syllabary}', "");
Error('\p{Block=-LISU:=}');
Error('\P{Block=-LISU:=}');
Expect(1, 42239, '\p{Block=lisu}', "");
Expect(0, 42239, '\p{^Block=lisu}', "");
Expect(0, 42239, '\P{Block=lisu}', "");
Expect(1, 42239, '\P{^Block=lisu}', "");
Expect(0, 42240, '\p{Block=lisu}', "");
Expect(1, 42240, '\p{^Block=lisu}', "");
Expect(1, 42240, '\P{Block=lisu}', "");
Expect(0, 42240, '\P{^Block=lisu}', "");
Expect(1, 42239, '\p{Block=- Lisu}', "");
Expect(0, 42239, '\p{^Block=- Lisu}', "");
Expect(0, 42239, '\P{Block=- Lisu}', "");
Expect(1, 42239, '\P{^Block=- Lisu}', "");
Expect(0, 42240, '\p{Block=- Lisu}', "");
Expect(1, 42240, '\p{^Block=- Lisu}', "");
Expect(1, 42240, '\P{Block=- Lisu}', "");
Expect(0, 42240, '\P{^Block=- Lisu}', "");
Error('\p{Blk=	:=lisu}');
Error('\P{Blk=	:=lisu}');
Expect(1, 42239, '\p{Blk=lisu}', "");
Expect(0, 42239, '\p{^Blk=lisu}', "");
Expect(0, 42239, '\P{Blk=lisu}', "");
Expect(1, 42239, '\P{^Blk=lisu}', "");
Expect(0, 42240, '\p{Blk=lisu}', "");
Expect(1, 42240, '\p{^Blk=lisu}', "");
Expect(1, 42240, '\P{Blk=lisu}', "");
Expect(0, 42240, '\P{^Blk=lisu}', "");
Expect(1, 42239, '\p{Blk=_ lisu}', "");
Expect(0, 42239, '\p{^Blk=_ lisu}', "");
Expect(0, 42239, '\P{Blk=_ lisu}', "");
Expect(1, 42239, '\P{^Blk=_ lisu}', "");
Expect(0, 42240, '\p{Blk=_ lisu}', "");
Expect(1, 42240, '\p{^Blk=_ lisu}', "");
Expect(1, 42240, '\P{Blk=_ lisu}', "");
Expect(0, 42240, '\P{^Blk=_ lisu}', "");
Error('\p{Is_Block=Lisu/a/}');
Error('\P{Is_Block=Lisu/a/}');
Expect(1, 42239, '\p{Is_Block: lisu}', "");
Expect(0, 42239, '\p{^Is_Block: lisu}', "");
Expect(0, 42239, '\P{Is_Block: lisu}', "");
Expect(1, 42239, '\P{^Is_Block: lisu}', "");
Expect(0, 42240, '\p{Is_Block: lisu}', "");
Expect(1, 42240, '\p{^Is_Block: lisu}', "");
Expect(1, 42240, '\P{Is_Block: lisu}', "");
Expect(0, 42240, '\P{^Is_Block: lisu}', "");
Expect(1, 42239, '\p{Is_Block=--LISU}', "");
Expect(0, 42239, '\p{^Is_Block=--LISU}', "");
Expect(0, 42239, '\P{Is_Block=--LISU}', "");
Expect(1, 42239, '\P{^Is_Block=--LISU}', "");
Expect(0, 42240, '\p{Is_Block=--LISU}', "");
Expect(1, 42240, '\p{^Is_Block=--LISU}', "");
Expect(1, 42240, '\P{Is_Block=--LISU}', "");
Expect(0, 42240, '\P{^Is_Block=--LISU}', "");
Error('\p{Is_Blk=/a/ lisu}');
Error('\P{Is_Blk=/a/ lisu}');
Expect(1, 42239, '\p{Is_Blk=lisu}', "");
Expect(0, 42239, '\p{^Is_Blk=lisu}', "");
Expect(0, 42239, '\P{Is_Blk=lisu}', "");
Expect(1, 42239, '\P{^Is_Blk=lisu}', "");
Expect(0, 42240, '\p{Is_Blk=lisu}', "");
Expect(1, 42240, '\p{^Is_Blk=lisu}', "");
Expect(1, 42240, '\P{Is_Blk=lisu}', "");
Expect(0, 42240, '\P{^Is_Blk=lisu}', "");
Expect(1, 42239, '\p{Is_Blk=-lisu}', "");
Expect(0, 42239, '\p{^Is_Blk=-lisu}', "");
Expect(0, 42239, '\P{Is_Blk=-lisu}', "");
Expect(1, 42239, '\P{^Is_Blk=-lisu}', "");
Expect(0, 42240, '\p{Is_Blk=-lisu}', "");
Expect(1, 42240, '\p{^Is_Blk=-lisu}', "");
Expect(1, 42240, '\P{Is_Blk=-lisu}', "");
Expect(0, 42240, '\P{^Is_Blk=-lisu}', "");
Error('\p{Block= /a/Low_SURROGATES}');
Error('\P{Block= /a/Low_SURROGATES}');
Expect(1, 57343, '\p{Block=lowsurrogates}', "");
Expect(0, 57343, '\p{^Block=lowsurrogates}', "");
Expect(0, 57343, '\P{Block=lowsurrogates}', "");
Expect(1, 57343, '\P{^Block=lowsurrogates}', "");
Expect(0, 57344, '\p{Block=lowsurrogates}', "");
Expect(1, 57344, '\p{^Block=lowsurrogates}', "");
Expect(1, 57344, '\P{Block=lowsurrogates}', "");
Expect(0, 57344, '\P{^Block=lowsurrogates}', "");
Expect(1, 57343, '\p{Block=_Low_SURROGATES}', "");
Expect(0, 57343, '\p{^Block=_Low_SURROGATES}', "");
Expect(0, 57343, '\P{Block=_Low_SURROGATES}', "");
Expect(1, 57343, '\P{^Block=_Low_SURROGATES}', "");
Expect(0, 57344, '\p{Block=_Low_SURROGATES}', "");
Expect(1, 57344, '\p{^Block=_Low_SURROGATES}', "");
Expect(1, 57344, '\P{Block=_Low_SURROGATES}', "");
Expect(0, 57344, '\P{^Block=_Low_SURROGATES}', "");
Error('\p{Blk=:=-LOW_surrogates}');
Error('\P{Blk=:=-LOW_surrogates}');
Expect(1, 57343, '\p{Blk=lowsurrogates}', "");
Expect(0, 57343, '\p{^Blk=lowsurrogates}', "");
Expect(0, 57343, '\P{Blk=lowsurrogates}', "");
Expect(1, 57343, '\P{^Blk=lowsurrogates}', "");
Expect(0, 57344, '\p{Blk=lowsurrogates}', "");
Expect(1, 57344, '\p{^Blk=lowsurrogates}', "");
Expect(1, 57344, '\P{Blk=lowsurrogates}', "");
Expect(0, 57344, '\P{^Blk=lowsurrogates}', "");
Expect(1, 57343, '\p{Blk=	 Low_surrogates}', "");
Expect(0, 57343, '\p{^Blk=	 Low_surrogates}', "");
Expect(0, 57343, '\P{Blk=	 Low_surrogates}', "");
Expect(1, 57343, '\P{^Blk=	 Low_surrogates}', "");
Expect(0, 57344, '\p{Blk=	 Low_surrogates}', "");
Expect(1, 57344, '\p{^Blk=	 Low_surrogates}', "");
Expect(1, 57344, '\P{Blk=	 Low_surrogates}', "");
Expect(0, 57344, '\P{^Blk=	 Low_surrogates}', "");
Error('\p{Is_Block=/a/ 	Low_SURROGATES}');
Error('\P{Is_Block=/a/ 	Low_SURROGATES}');
Expect(1, 57343, '\p{Is_Block=lowsurrogates}', "");
Expect(0, 57343, '\p{^Is_Block=lowsurrogates}', "");
Expect(0, 57343, '\P{Is_Block=lowsurrogates}', "");
Expect(1, 57343, '\P{^Is_Block=lowsurrogates}', "");
Expect(0, 57344, '\p{Is_Block=lowsurrogates}', "");
Expect(1, 57344, '\p{^Is_Block=lowsurrogates}', "");
Expect(1, 57344, '\P{Is_Block=lowsurrogates}', "");
Expect(0, 57344, '\P{^Is_Block=lowsurrogates}', "");
Expect(1, 57343, '\p{Is_Block= Low_surrogates}', "");
Expect(0, 57343, '\p{^Is_Block= Low_surrogates}', "");
Expect(0, 57343, '\P{Is_Block= Low_surrogates}', "");
Expect(1, 57343, '\P{^Is_Block= Low_surrogates}', "");
Expect(0, 57344, '\p{Is_Block= Low_surrogates}', "");
Expect(1, 57344, '\p{^Is_Block= Low_surrogates}', "");
Expect(1, 57344, '\P{Is_Block= Low_surrogates}', "");
Expect(0, 57344, '\P{^Is_Block= Low_surrogates}', "");
Error('\p{Is_Blk=/a/--Low_surrogates}');
Error('\P{Is_Blk=/a/--Low_surrogates}');
Expect(1, 57343, '\p{Is_Blk:	lowsurrogates}', "");
Expect(0, 57343, '\p{^Is_Blk:	lowsurrogates}', "");
Expect(0, 57343, '\P{Is_Blk:	lowsurrogates}', "");
Expect(1, 57343, '\P{^Is_Blk:	lowsurrogates}', "");
Expect(0, 57344, '\p{Is_Blk:	lowsurrogates}', "");
Expect(1, 57344, '\p{^Is_Blk:	lowsurrogates}', "");
Expect(1, 57344, '\P{Is_Blk:	lowsurrogates}', "");
Expect(0, 57344, '\P{^Is_Blk:	lowsurrogates}', "");
Expect(1, 57343, '\p{Is_Blk=-Low_Surrogates}', "");
Expect(0, 57343, '\p{^Is_Blk=-Low_Surrogates}', "");
Expect(0, 57343, '\P{Is_Blk=-Low_Surrogates}', "");
Expect(1, 57343, '\P{^Is_Blk=-Low_Surrogates}', "");
Expect(0, 57344, '\p{Is_Blk=-Low_Surrogates}', "");
Expect(1, 57344, '\p{^Is_Blk=-Low_Surrogates}', "");
Expect(1, 57344, '\P{Is_Blk=-Low_Surrogates}', "");
Expect(0, 57344, '\P{^Is_Blk=-Low_Surrogates}', "");
Error('\p{Block=Lycian:=}');
Error('\P{Block=Lycian:=}');
Expect(1, 66207, '\p{Block=lycian}', "");
Expect(0, 66207, '\p{^Block=lycian}', "");
Expect(0, 66207, '\P{Block=lycian}', "");
Expect(1, 66207, '\P{^Block=lycian}', "");
Expect(0, 66208, '\p{Block=lycian}', "");
Expect(1, 66208, '\p{^Block=lycian}', "");
Expect(1, 66208, '\P{Block=lycian}', "");
Expect(0, 66208, '\P{^Block=lycian}', "");
Expect(1, 66207, '\p{Block:	_-LYCIAN}', "");
Expect(0, 66207, '\p{^Block:	_-LYCIAN}', "");
Expect(0, 66207, '\P{Block:	_-LYCIAN}', "");
Expect(1, 66207, '\P{^Block:	_-LYCIAN}', "");
Expect(0, 66208, '\p{Block:	_-LYCIAN}', "");
Expect(1, 66208, '\p{^Block:	_-LYCIAN}', "");
Expect(1, 66208, '\P{Block:	_-LYCIAN}', "");
Expect(0, 66208, '\P{^Block:	_-LYCIAN}', "");
Error('\p{Blk= /a/LYCIAN}');
Error('\P{Blk= /a/LYCIAN}');
Expect(1, 66207, '\p{Blk=lycian}', "");
Expect(0, 66207, '\p{^Blk=lycian}', "");
Expect(0, 66207, '\P{Blk=lycian}', "");
Expect(1, 66207, '\P{^Blk=lycian}', "");
Expect(0, 66208, '\p{Blk=lycian}', "");
Expect(1, 66208, '\p{^Blk=lycian}', "");
Expect(1, 66208, '\P{Blk=lycian}', "");
Expect(0, 66208, '\P{^Blk=lycian}', "");
Expect(1, 66207, '\p{Blk=	_Lycian}', "");
Expect(0, 66207, '\p{^Blk=	_Lycian}', "");
Expect(0, 66207, '\P{Blk=	_Lycian}', "");
Expect(1, 66207, '\P{^Blk=	_Lycian}', "");
Expect(0, 66208, '\p{Blk=	_Lycian}', "");
Expect(1, 66208, '\p{^Blk=	_Lycian}', "");
Expect(1, 66208, '\P{Blk=	_Lycian}', "");
Expect(0, 66208, '\P{^Blk=	_Lycian}', "");
Error('\p{Is_Block=:=  Lycian}');
Error('\P{Is_Block=:=  Lycian}');
Expect(1, 66207, '\p{Is_Block=lycian}', "");
Expect(0, 66207, '\p{^Is_Block=lycian}', "");
Expect(0, 66207, '\P{Is_Block=lycian}', "");
Expect(1, 66207, '\P{^Is_Block=lycian}', "");
Expect(0, 66208, '\p{Is_Block=lycian}', "");
Expect(1, 66208, '\p{^Is_Block=lycian}', "");
Expect(1, 66208, '\P{Is_Block=lycian}', "");
Expect(0, 66208, '\P{^Is_Block=lycian}', "");
Expect(1, 66207, '\p{Is_Block= 	lycian}', "");
Expect(0, 66207, '\p{^Is_Block= 	lycian}', "");
Expect(0, 66207, '\P{Is_Block= 	lycian}', "");
Expect(1, 66207, '\P{^Is_Block= 	lycian}', "");
Expect(0, 66208, '\p{Is_Block= 	lycian}', "");
Expect(1, 66208, '\p{^Is_Block= 	lycian}', "");
Expect(1, 66208, '\P{Is_Block= 	lycian}', "");
Expect(0, 66208, '\P{^Is_Block= 	lycian}', "");
Error('\p{Is_Blk:   :=__Lycian}');
Error('\P{Is_Blk:   :=__Lycian}');
Expect(1, 66207, '\p{Is_Blk:   lycian}', "");
Expect(0, 66207, '\p{^Is_Blk:   lycian}', "");
Expect(0, 66207, '\P{Is_Blk:   lycian}', "");
Expect(1, 66207, '\P{^Is_Blk:   lycian}', "");
Expect(0, 66208, '\p{Is_Blk:   lycian}', "");
Expect(1, 66208, '\p{^Is_Blk:   lycian}', "");
Expect(1, 66208, '\P{Is_Blk:   lycian}', "");
Expect(0, 66208, '\P{^Is_Blk:   lycian}', "");
Expect(1, 66207, '\p{Is_Blk=_ LYCIAN}', "");
Expect(0, 66207, '\p{^Is_Blk=_ LYCIAN}', "");
Expect(0, 66207, '\P{Is_Blk=_ LYCIAN}', "");
Expect(1, 66207, '\P{^Is_Blk=_ LYCIAN}', "");
Expect(0, 66208, '\p{Is_Blk=_ LYCIAN}', "");
Expect(1, 66208, '\p{^Is_Blk=_ LYCIAN}', "");
Expect(1, 66208, '\P{Is_Blk=_ LYCIAN}', "");
Expect(0, 66208, '\P{^Is_Blk=_ LYCIAN}', "");
Error('\p{Block=:=Lydian}');
Error('\P{Block=:=Lydian}');
Expect(1, 67903, '\p{Block=lydian}', "");
Expect(0, 67903, '\p{^Block=lydian}', "");
Expect(0, 67903, '\P{Block=lydian}', "");
Expect(1, 67903, '\P{^Block=lydian}', "");
Expect(0, 67904, '\p{Block=lydian}', "");
Expect(1, 67904, '\p{^Block=lydian}', "");
Expect(1, 67904, '\P{Block=lydian}', "");
Expect(0, 67904, '\P{^Block=lydian}', "");
Expect(1, 67903, '\p{Block:	_LYDIAN}', "");
Expect(0, 67903, '\p{^Block:	_LYDIAN}', "");
Expect(0, 67903, '\P{Block:	_LYDIAN}', "");
Expect(1, 67903, '\P{^Block:	_LYDIAN}', "");
Expect(0, 67904, '\p{Block:	_LYDIAN}', "");
Expect(1, 67904, '\p{^Block:	_LYDIAN}', "");
Expect(1, 67904, '\P{Block:	_LYDIAN}', "");
Expect(0, 67904, '\P{^Block:	_LYDIAN}', "");
Error('\p{Blk=/a/ -LYDIAN}');
Error('\P{Blk=/a/ -LYDIAN}');
Expect(1, 67903, '\p{Blk:	lydian}', "");
Expect(0, 67903, '\p{^Blk:	lydian}', "");
Expect(0, 67903, '\P{Blk:	lydian}', "");
Expect(1, 67903, '\P{^Blk:	lydian}', "");
Expect(0, 67904, '\p{Blk:	lydian}', "");
Expect(1, 67904, '\p{^Blk:	lydian}', "");
Expect(1, 67904, '\P{Blk:	lydian}', "");
Expect(0, 67904, '\P{^Blk:	lydian}', "");
Expect(1, 67903, '\p{Blk=	Lydian}', "");
Expect(0, 67903, '\p{^Blk=	Lydian}', "");
Expect(0, 67903, '\P{Blk=	Lydian}', "");
Expect(1, 67903, '\P{^Blk=	Lydian}', "");
Expect(0, 67904, '\p{Blk=	Lydian}', "");
Expect(1, 67904, '\p{^Blk=	Lydian}', "");
Expect(1, 67904, '\P{Blk=	Lydian}', "");
Expect(0, 67904, '\P{^Blk=	Lydian}', "");
Error('\p{Is_Block= Lydian/a/}');
Error('\P{Is_Block= Lydian/a/}');
Expect(1, 67903, '\p{Is_Block=lydian}', "");
Expect(0, 67903, '\p{^Is_Block=lydian}', "");
Expect(0, 67903, '\P{Is_Block=lydian}', "");
Expect(1, 67903, '\P{^Is_Block=lydian}', "");
Expect(0, 67904, '\p{Is_Block=lydian}', "");
Expect(1, 67904, '\p{^Is_Block=lydian}', "");
Expect(1, 67904, '\P{Is_Block=lydian}', "");
Expect(0, 67904, '\P{^Is_Block=lydian}', "");
Expect(1, 67903, '\p{Is_Block=_-LYDIAN}', "");
Expect(0, 67903, '\p{^Is_Block=_-LYDIAN}', "");
Expect(0, 67903, '\P{Is_Block=_-LYDIAN}', "");
Expect(1, 67903, '\P{^Is_Block=_-LYDIAN}', "");
Expect(0, 67904, '\p{Is_Block=_-LYDIAN}', "");
Expect(1, 67904, '\p{^Is_Block=_-LYDIAN}', "");
Expect(1, 67904, '\P{Is_Block=_-LYDIAN}', "");
Expect(0, 67904, '\P{^Is_Block=_-LYDIAN}', "");
Error('\p{Is_Blk:   :=--Lydian}');
Error('\P{Is_Blk:   :=--Lydian}');
Expect(1, 67903, '\p{Is_Blk:   lydian}', "");
Expect(0, 67903, '\p{^Is_Blk:   lydian}', "");
Expect(0, 67903, '\P{Is_Blk:   lydian}', "");
Expect(1, 67903, '\P{^Is_Blk:   lydian}', "");
Expect(0, 67904, '\p{Is_Blk:   lydian}', "");
Expect(1, 67904, '\p{^Is_Blk:   lydian}', "");
Expect(1, 67904, '\P{Is_Blk:   lydian}', "");
Expect(0, 67904, '\P{^Is_Blk:   lydian}', "");
Expect(1, 67903, '\p{Is_Blk=	 Lydian}', "");
Expect(0, 67903, '\p{^Is_Blk=	 Lydian}', "");
Expect(0, 67903, '\P{Is_Blk=	 Lydian}', "");
Expect(1, 67903, '\P{^Is_Blk=	 Lydian}', "");
Expect(0, 67904, '\p{Is_Blk=	 Lydian}', "");
Expect(1, 67904, '\p{^Is_Blk=	 Lydian}', "");
Expect(1, 67904, '\P{Is_Blk=	 Lydian}', "");
Expect(0, 67904, '\P{^Is_Blk=	 Lydian}', "");
Error('\p{Block=-Mahajani:=}');
Error('\P{Block=-Mahajani:=}');
Expect(1, 70015, '\p{Block=mahajani}', "");
Expect(0, 70015, '\p{^Block=mahajani}', "");
Expect(0, 70015, '\P{Block=mahajani}', "");
Expect(1, 70015, '\P{^Block=mahajani}', "");
Expect(0, 70016, '\p{Block=mahajani}', "");
Expect(1, 70016, '\p{^Block=mahajani}', "");
Expect(1, 70016, '\P{Block=mahajani}', "");
Expect(0, 70016, '\P{^Block=mahajani}', "");
Expect(1, 70015, '\p{Block=	MAHAJANI}', "");
Expect(0, 70015, '\p{^Block=	MAHAJANI}', "");
Expect(0, 70015, '\P{Block=	MAHAJANI}', "");
Expect(1, 70015, '\P{^Block=	MAHAJANI}', "");
Expect(0, 70016, '\p{Block=	MAHAJANI}', "");
Expect(1, 70016, '\p{^Block=	MAHAJANI}', "");
Expect(1, 70016, '\P{Block=	MAHAJANI}', "");
Expect(0, 70016, '\P{^Block=	MAHAJANI}', "");
Error('\p{Blk:   -/a/MAHAJANI}');
Error('\P{Blk:   -/a/MAHAJANI}');
Expect(1, 70015, '\p{Blk=mahajani}', "");
Expect(0, 70015, '\p{^Blk=mahajani}', "");
Expect(0, 70015, '\P{Blk=mahajani}', "");
Expect(1, 70015, '\P{^Blk=mahajani}', "");
Expect(0, 70016, '\p{Blk=mahajani}', "");
Expect(1, 70016, '\p{^Blk=mahajani}', "");
Expect(1, 70016, '\P{Blk=mahajani}', "");
Expect(0, 70016, '\P{^Blk=mahajani}', "");
Expect(1, 70015, '\p{Blk=_ mahajani}', "");
Expect(0, 70015, '\p{^Blk=_ mahajani}', "");
Expect(0, 70015, '\P{Blk=_ mahajani}', "");
Expect(1, 70015, '\P{^Blk=_ mahajani}', "");
Expect(0, 70016, '\p{Blk=_ mahajani}', "");
Expect(1, 70016, '\p{^Blk=_ mahajani}', "");
Expect(1, 70016, '\P{Blk=_ mahajani}', "");
Expect(0, 70016, '\P{^Blk=_ mahajani}', "");
Error('\p{Is_Block=_/a/mahajani}');
Error('\P{Is_Block=_/a/mahajani}');
Expect(1, 70015, '\p{Is_Block:	mahajani}', "");
Expect(0, 70015, '\p{^Is_Block:	mahajani}', "");
Expect(0, 70015, '\P{Is_Block:	mahajani}', "");
Expect(1, 70015, '\P{^Is_Block:	mahajani}', "");
Expect(0, 70016, '\p{Is_Block:	mahajani}', "");
Expect(1, 70016, '\p{^Is_Block:	mahajani}', "");
Expect(1, 70016, '\P{Is_Block:	mahajani}', "");
Expect(0, 70016, '\P{^Is_Block:	mahajani}', "");
Expect(1, 70015, '\p{Is_Block=-_MAHAJANI}', "");
Expect(0, 70015, '\p{^Is_Block=-_MAHAJANI}', "");
Expect(0, 70015, '\P{Is_Block=-_MAHAJANI}', "");
Expect(1, 70015, '\P{^Is_Block=-_MAHAJANI}', "");
Expect(0, 70016, '\p{Is_Block=-_MAHAJANI}', "");
Expect(1, 70016, '\p{^Is_Block=-_MAHAJANI}', "");
Expect(1, 70016, '\P{Is_Block=-_MAHAJANI}', "");
Expect(0, 70016, '\P{^Is_Block=-_MAHAJANI}', "");
Error('\p{Is_Blk:  	mahajani/a/}');
Error('\P{Is_Blk:  	mahajani/a/}');
Expect(1, 70015, '\p{Is_Blk=mahajani}', "");
Expect(0, 70015, '\p{^Is_Blk=mahajani}', "");
Expect(0, 70015, '\P{Is_Blk=mahajani}', "");
Expect(1, 70015, '\P{^Is_Blk=mahajani}', "");
Expect(0, 70016, '\p{Is_Blk=mahajani}', "");
Expect(1, 70016, '\p{^Is_Blk=mahajani}', "");
Expect(1, 70016, '\P{Is_Blk=mahajani}', "");
Expect(0, 70016, '\P{^Is_Blk=mahajani}', "");
Expect(1, 70015, '\p{Is_Blk=_Mahajani}', "");
Expect(0, 70015, '\p{^Is_Blk=_Mahajani}', "");
Expect(0, 70015, '\P{Is_Blk=_Mahajani}', "");
Expect(1, 70015, '\P{^Is_Blk=_Mahajani}', "");
Expect(0, 70016, '\p{Is_Blk=_Mahajani}', "");
Expect(1, 70016, '\p{^Is_Blk=_Mahajani}', "");
Expect(1, 70016, '\P{Is_Blk=_Mahajani}', "");
Expect(0, 70016, '\P{^Is_Blk=_Mahajani}', "");
Error('\p{Block=	:=mahjong_tiles}');
Error('\P{Block=	:=mahjong_tiles}');
Expect(1, 127023, '\p{Block=mahjongtiles}', "");
Expect(0, 127023, '\p{^Block=mahjongtiles}', "");
Expect(0, 127023, '\P{Block=mahjongtiles}', "");
Expect(1, 127023, '\P{^Block=mahjongtiles}', "");
Expect(0, 127024, '\p{Block=mahjongtiles}', "");
Expect(1, 127024, '\p{^Block=mahjongtiles}', "");
Expect(1, 127024, '\P{Block=mahjongtiles}', "");
Expect(0, 127024, '\P{^Block=mahjongtiles}', "");
Expect(1, 127023, '\p{Block=mahjong_tiles}', "");
Expect(0, 127023, '\p{^Block=mahjong_tiles}', "");
Expect(0, 127023, '\P{Block=mahjong_tiles}', "");
Expect(1, 127023, '\P{^Block=mahjong_tiles}', "");
Expect(0, 127024, '\p{Block=mahjong_tiles}', "");
Expect(1, 127024, '\p{^Block=mahjong_tiles}', "");
Expect(1, 127024, '\P{Block=mahjong_tiles}', "");
Expect(0, 127024, '\P{^Block=mahjong_tiles}', "");
Error('\p{Blk= MAHJONG:=}');
Error('\P{Blk= MAHJONG:=}');
Expect(1, 127023, '\p{Blk: mahjong}', "");
Expect(0, 127023, '\p{^Blk: mahjong}', "");
Expect(0, 127023, '\P{Blk: mahjong}', "");
Expect(1, 127023, '\P{^Blk: mahjong}', "");
Expect(0, 127024, '\p{Blk: mahjong}', "");
Expect(1, 127024, '\p{^Blk: mahjong}', "");
Expect(1, 127024, '\P{Blk: mahjong}', "");
Expect(0, 127024, '\P{^Blk: mahjong}', "");
Expect(1, 127023, '\p{Blk=	-Mahjong}', "");
Expect(0, 127023, '\p{^Blk=	-Mahjong}', "");
Expect(0, 127023, '\P{Blk=	-Mahjong}', "");
Expect(1, 127023, '\P{^Blk=	-Mahjong}', "");
Expect(0, 127024, '\p{Blk=	-Mahjong}', "");
Expect(1, 127024, '\p{^Blk=	-Mahjong}', "");
Expect(1, 127024, '\P{Blk=	-Mahjong}', "");
Expect(0, 127024, '\P{^Blk=	-Mahjong}', "");
Error('\p{Is_Block:   :=- Mahjong_TILES}');
Error('\P{Is_Block:   :=- Mahjong_TILES}');
Expect(1, 127023, '\p{Is_Block:mahjongtiles}', "");
Expect(0, 127023, '\p{^Is_Block:mahjongtiles}', "");
Expect(0, 127023, '\P{Is_Block:mahjongtiles}', "");
Expect(1, 127023, '\P{^Is_Block:mahjongtiles}', "");
Expect(0, 127024, '\p{Is_Block:mahjongtiles}', "");
Expect(1, 127024, '\p{^Is_Block:mahjongtiles}', "");
Expect(1, 127024, '\P{Is_Block:mahjongtiles}', "");
Expect(0, 127024, '\P{^Is_Block:mahjongtiles}', "");
Expect(1, 127023, '\p{Is_Block=-MAHJONG_tiles}', "");
Expect(0, 127023, '\p{^Is_Block=-MAHJONG_tiles}', "");
Expect(0, 127023, '\P{Is_Block=-MAHJONG_tiles}', "");
Expect(1, 127023, '\P{^Is_Block=-MAHJONG_tiles}', "");
Expect(0, 127024, '\p{Is_Block=-MAHJONG_tiles}', "");
Expect(1, 127024, '\p{^Is_Block=-MAHJONG_tiles}', "");
Expect(1, 127024, '\P{Is_Block=-MAHJONG_tiles}', "");
Expect(0, 127024, '\P{^Is_Block=-MAHJONG_tiles}', "");
Error('\p{Is_Blk=:= MAHJONG}');
Error('\P{Is_Blk=:= MAHJONG}');
Expect(1, 127023, '\p{Is_Blk=mahjong}', "");
Expect(0, 127023, '\p{^Is_Blk=mahjong}', "");
Expect(0, 127023, '\P{Is_Blk=mahjong}', "");
Expect(1, 127023, '\P{^Is_Blk=mahjong}', "");
Expect(0, 127024, '\p{Is_Blk=mahjong}', "");
Expect(1, 127024, '\p{^Is_Blk=mahjong}', "");
Expect(1, 127024, '\P{Is_Blk=mahjong}', "");
Expect(0, 127024, '\P{^Is_Blk=mahjong}', "");
Expect(1, 127023, '\p{Is_Blk=Mahjong}', "");
Expect(0, 127023, '\p{^Is_Blk=Mahjong}', "");
Expect(0, 127023, '\P{Is_Blk=Mahjong}', "");
Expect(1, 127023, '\P{^Is_Blk=Mahjong}', "");
Expect(0, 127024, '\p{Is_Blk=Mahjong}', "");
Expect(1, 127024, '\p{^Is_Blk=Mahjong}', "");
Expect(1, 127024, '\P{Is_Blk=Mahjong}', "");
Expect(0, 127024, '\P{^Is_Blk=Mahjong}', "");
Error('\p{Block= -MALAYALAM:=}');
Error('\P{Block= -MALAYALAM:=}');
Expect(1, 3455, '\p{Block: malayalam}', "");
Expect(0, 3455, '\p{^Block: malayalam}', "");
Expect(0, 3455, '\P{Block: malayalam}', "");
Expect(1, 3455, '\P{^Block: malayalam}', "");
Expect(0, 3456, '\p{Block: malayalam}', "");
Expect(1, 3456, '\p{^Block: malayalam}', "");
Expect(1, 3456, '\P{Block: malayalam}', "");
Expect(0, 3456, '\P{^Block: malayalam}', "");
Expect(1, 3455, '\p{Block=MALAYALAM}', "");
Expect(0, 3455, '\p{^Block=MALAYALAM}', "");
Expect(0, 3455, '\P{Block=MALAYALAM}', "");
Expect(1, 3455, '\P{^Block=MALAYALAM}', "");
Expect(0, 3456, '\p{Block=MALAYALAM}', "");
Expect(1, 3456, '\p{^Block=MALAYALAM}', "");
Expect(1, 3456, '\P{Block=MALAYALAM}', "");
Expect(0, 3456, '\P{^Block=MALAYALAM}', "");
Error('\p{Blk=-/a/Malayalam}');
Error('\P{Blk=-/a/Malayalam}');
Expect(1, 3455, '\p{Blk=malayalam}', "");
Expect(0, 3455, '\p{^Blk=malayalam}', "");
Expect(0, 3455, '\P{Blk=malayalam}', "");
Expect(1, 3455, '\P{^Blk=malayalam}', "");
Expect(0, 3456, '\p{Blk=malayalam}', "");
Expect(1, 3456, '\p{^Blk=malayalam}', "");
Expect(1, 3456, '\P{Blk=malayalam}', "");
Expect(0, 3456, '\P{^Blk=malayalam}', "");
Expect(1, 3455, '\p{Blk: 	-MALAYALAM}', "");
Expect(0, 3455, '\p{^Blk: 	-MALAYALAM}', "");
Expect(0, 3455, '\P{Blk: 	-MALAYALAM}', "");
Expect(1, 3455, '\P{^Blk: 	-MALAYALAM}', "");
Expect(0, 3456, '\p{Blk: 	-MALAYALAM}', "");
Expect(1, 3456, '\p{^Blk: 	-MALAYALAM}', "");
Expect(1, 3456, '\P{Blk: 	-MALAYALAM}', "");
Expect(0, 3456, '\P{^Blk: 	-MALAYALAM}', "");
Error('\p{Is_Block= Malayalam:=}');
Error('\P{Is_Block= Malayalam:=}');
Expect(1, 3455, '\p{Is_Block:malayalam}', "");
Expect(0, 3455, '\p{^Is_Block:malayalam}', "");
Expect(0, 3455, '\P{Is_Block:malayalam}', "");
Expect(1, 3455, '\P{^Is_Block:malayalam}', "");
Expect(0, 3456, '\p{Is_Block:malayalam}', "");
Expect(1, 3456, '\p{^Is_Block:malayalam}', "");
Expect(1, 3456, '\P{Is_Block:malayalam}', "");
Expect(0, 3456, '\P{^Is_Block:malayalam}', "");
Expect(1, 3455, '\p{Is_Block=-	Malayalam}', "");
Expect(0, 3455, '\p{^Is_Block=-	Malayalam}', "");
Expect(0, 3455, '\P{Is_Block=-	Malayalam}', "");
Expect(1, 3455, '\P{^Is_Block=-	Malayalam}', "");
Expect(0, 3456, '\p{Is_Block=-	Malayalam}', "");
Expect(1, 3456, '\p{^Is_Block=-	Malayalam}', "");
Expect(1, 3456, '\P{Is_Block=-	Malayalam}', "");
Expect(0, 3456, '\P{^Is_Block=-	Malayalam}', "");
Error('\p{Is_Blk=_-Malayalam:=}');
Error('\P{Is_Blk=_-Malayalam:=}');
Expect(1, 3455, '\p{Is_Blk=malayalam}', "");
Expect(0, 3455, '\p{^Is_Blk=malayalam}', "");
Expect(0, 3455, '\P{Is_Blk=malayalam}', "");
Expect(1, 3455, '\P{^Is_Blk=malayalam}', "");
Expect(0, 3456, '\p{Is_Blk=malayalam}', "");
Expect(1, 3456, '\p{^Is_Blk=malayalam}', "");
Expect(1, 3456, '\P{Is_Blk=malayalam}', "");
Expect(0, 3456, '\P{^Is_Blk=malayalam}', "");
Expect(1, 3455, '\p{Is_Blk= Malayalam}', "");
Expect(0, 3455, '\p{^Is_Blk= Malayalam}', "");
Expect(0, 3455, '\P{Is_Blk= Malayalam}', "");
Expect(1, 3455, '\P{^Is_Blk= Malayalam}', "");
Expect(0, 3456, '\p{Is_Blk= Malayalam}', "");
Expect(1, 3456, '\p{^Is_Blk= Malayalam}', "");
Expect(1, 3456, '\P{Is_Blk= Malayalam}', "");
Expect(0, 3456, '\P{^Is_Blk= Malayalam}', "");
Error('\p{Block=_	Mandaic:=}');
Error('\P{Block=_	Mandaic:=}');
Expect(1, 2143, '\p{Block=mandaic}', "");
Expect(0, 2143, '\p{^Block=mandaic}', "");
Expect(0, 2143, '\P{Block=mandaic}', "");
Expect(1, 2143, '\P{^Block=mandaic}', "");
Expect(0, 2144, '\p{Block=mandaic}', "");
Expect(1, 2144, '\p{^Block=mandaic}', "");
Expect(1, 2144, '\P{Block=mandaic}', "");
Expect(0, 2144, '\P{^Block=mandaic}', "");
Expect(1, 2143, '\p{Block=_Mandaic}', "");
Expect(0, 2143, '\p{^Block=_Mandaic}', "");
Expect(0, 2143, '\P{Block=_Mandaic}', "");
Expect(1, 2143, '\P{^Block=_Mandaic}', "");
Expect(0, 2144, '\p{Block=_Mandaic}', "");
Expect(1, 2144, '\p{^Block=_Mandaic}', "");
Expect(1, 2144, '\P{Block=_Mandaic}', "");
Expect(0, 2144, '\P{^Block=_Mandaic}', "");
Error('\p{Blk=_/a/MANDAIC}');
Error('\P{Blk=_/a/MANDAIC}');
Expect(1, 2143, '\p{Blk=mandaic}', "");
Expect(0, 2143, '\p{^Blk=mandaic}', "");
Expect(0, 2143, '\P{Blk=mandaic}', "");
Expect(1, 2143, '\P{^Blk=mandaic}', "");
Expect(0, 2144, '\p{Blk=mandaic}', "");
Expect(1, 2144, '\p{^Blk=mandaic}', "");
Expect(1, 2144, '\P{Blk=mandaic}', "");
Expect(0, 2144, '\P{^Blk=mandaic}', "");
Expect(1, 2143, '\p{Blk=_-Mandaic}', "");
Expect(0, 2143, '\p{^Blk=_-Mandaic}', "");
Expect(0, 2143, '\P{Blk=_-Mandaic}', "");
Expect(1, 2143, '\P{^Blk=_-Mandaic}', "");
Expect(0, 2144, '\p{Blk=_-Mandaic}', "");
Expect(1, 2144, '\p{^Blk=_-Mandaic}', "");
Expect(1, 2144, '\P{Blk=_-Mandaic}', "");
Expect(0, 2144, '\P{^Blk=_-Mandaic}', "");
Error('\p{Is_Block=	:=Mandaic}');
Error('\P{Is_Block=	:=Mandaic}');
Expect(1, 2143, '\p{Is_Block:mandaic}', "");
Expect(0, 2143, '\p{^Is_Block:mandaic}', "");
Expect(0, 2143, '\P{Is_Block:mandaic}', "");
Expect(1, 2143, '\P{^Is_Block:mandaic}', "");
Expect(0, 2144, '\p{Is_Block:mandaic}', "");
Expect(1, 2144, '\p{^Is_Block:mandaic}', "");
Expect(1, 2144, '\P{Is_Block:mandaic}', "");
Expect(0, 2144, '\P{^Is_Block:mandaic}', "");
Expect(1, 2143, '\p{Is_Block= 	mandaic}', "");
Expect(0, 2143, '\p{^Is_Block= 	mandaic}', "");
Expect(0, 2143, '\P{Is_Block= 	mandaic}', "");
Expect(1, 2143, '\P{^Is_Block= 	mandaic}', "");
Expect(0, 2144, '\p{Is_Block= 	mandaic}', "");
Expect(1, 2144, '\p{^Is_Block= 	mandaic}', "");
Expect(1, 2144, '\P{Is_Block= 	mandaic}', "");
Expect(0, 2144, '\P{^Is_Block= 	mandaic}', "");
Error('\p{Is_Blk= :=mandaic}');
Error('\P{Is_Blk= :=mandaic}');
Expect(1, 2143, '\p{Is_Blk=mandaic}', "");
Expect(0, 2143, '\p{^Is_Blk=mandaic}', "");
Expect(0, 2143, '\P{Is_Blk=mandaic}', "");
Expect(1, 2143, '\P{^Is_Blk=mandaic}', "");
Expect(0, 2144, '\p{Is_Blk=mandaic}', "");
Expect(1, 2144, '\p{^Is_Blk=mandaic}', "");
Expect(1, 2144, '\P{Is_Blk=mandaic}', "");
Expect(0, 2144, '\P{^Is_Blk=mandaic}', "");
Expect(1, 2143, '\p{Is_Blk=-Mandaic}', "");
Expect(0, 2143, '\p{^Is_Blk=-Mandaic}', "");
Expect(0, 2143, '\P{Is_Blk=-Mandaic}', "");
Expect(1, 2143, '\P{^Is_Blk=-Mandaic}', "");
Expect(0, 2144, '\p{Is_Blk=-Mandaic}', "");
Expect(1, 2144, '\p{^Is_Blk=-Mandaic}', "");
Expect(1, 2144, '\P{Is_Blk=-Mandaic}', "");
Expect(0, 2144, '\P{^Is_Blk=-Mandaic}', "");
Error('\p{Block: /a/ _Manichaean}');
Error('\P{Block: /a/ _Manichaean}');
Expect(1, 68351, '\p{Block=manichaean}', "");
Expect(0, 68351, '\p{^Block=manichaean}', "");
Expect(0, 68351, '\P{Block=manichaean}', "");
Expect(1, 68351, '\P{^Block=manichaean}', "");
Expect(0, 68352, '\p{Block=manichaean}', "");
Expect(1, 68352, '\p{^Block=manichaean}', "");
Expect(1, 68352, '\P{Block=manichaean}', "");
Expect(0, 68352, '\P{^Block=manichaean}', "");
Expect(1, 68351, '\p{Block=-MANICHAEAN}', "");
Expect(0, 68351, '\p{^Block=-MANICHAEAN}', "");
Expect(0, 68351, '\P{Block=-MANICHAEAN}', "");
Expect(1, 68351, '\P{^Block=-MANICHAEAN}', "");
Expect(0, 68352, '\p{Block=-MANICHAEAN}', "");
Expect(1, 68352, '\p{^Block=-MANICHAEAN}', "");
Expect(1, 68352, '\P{Block=-MANICHAEAN}', "");
Expect(0, 68352, '\P{^Block=-MANICHAEAN}', "");
Error('\p{Blk=:=manichaean}');
Error('\P{Blk=:=manichaean}');
Expect(1, 68351, '\p{Blk:   manichaean}', "");
Expect(0, 68351, '\p{^Blk:   manichaean}', "");
Expect(0, 68351, '\P{Blk:   manichaean}', "");
Expect(1, 68351, '\P{^Blk:   manichaean}', "");
Expect(0, 68352, '\p{Blk:   manichaean}', "");
Expect(1, 68352, '\p{^Blk:   manichaean}', "");
Expect(1, 68352, '\P{Blk:   manichaean}', "");
Expect(0, 68352, '\P{^Blk:   manichaean}', "");
Expect(1, 68351, '\p{Blk=__MANICHAEAN}', "");
Expect(0, 68351, '\p{^Blk=__MANICHAEAN}', "");
Expect(0, 68351, '\P{Blk=__MANICHAEAN}', "");
Expect(1, 68351, '\P{^Blk=__MANICHAEAN}', "");
Expect(0, 68352, '\p{Blk=__MANICHAEAN}', "");
Expect(1, 68352, '\p{^Blk=__MANICHAEAN}', "");
Expect(1, 68352, '\P{Blk=__MANICHAEAN}', "");
Expect(0, 68352, '\P{^Blk=__MANICHAEAN}', "");
Error('\p{Is_Block=- Manichaean:=}');
Error('\P{Is_Block=- Manichaean:=}');
Expect(1, 68351, '\p{Is_Block=manichaean}', "");
Expect(0, 68351, '\p{^Is_Block=manichaean}', "");
Expect(0, 68351, '\P{Is_Block=manichaean}', "");
Expect(1, 68351, '\P{^Is_Block=manichaean}', "");
Expect(0, 68352, '\p{Is_Block=manichaean}', "");
Expect(1, 68352, '\p{^Is_Block=manichaean}', "");
Expect(1, 68352, '\P{Is_Block=manichaean}', "");
Expect(0, 68352, '\P{^Is_Block=manichaean}', "");
Expect(1, 68351, '\p{Is_Block= manichaean}', "");
Expect(0, 68351, '\p{^Is_Block= manichaean}', "");
Expect(0, 68351, '\P{Is_Block= manichaean}', "");
Expect(1, 68351, '\P{^Is_Block= manichaean}', "");
Expect(0, 68352, '\p{Is_Block= manichaean}', "");
Expect(1, 68352, '\p{^Is_Block= manichaean}', "");
Expect(1, 68352, '\P{Is_Block= manichaean}', "");
Expect(0, 68352, '\P{^Is_Block= manichaean}', "");
Error('\p{Is_Blk=	/a/Manichaean}');
Error('\P{Is_Blk=	/a/Manichaean}');
Expect(1, 68351, '\p{Is_Blk=manichaean}', "");
Expect(0, 68351, '\p{^Is_Blk=manichaean}', "");
Expect(0, 68351, '\P{Is_Blk=manichaean}', "");
Expect(1, 68351, '\P{^Is_Blk=manichaean}', "");
Expect(0, 68352, '\p{Is_Blk=manichaean}', "");
Expect(1, 68352, '\p{^Is_Blk=manichaean}', "");
Expect(1, 68352, '\P{Is_Blk=manichaean}', "");
Expect(0, 68352, '\P{^Is_Blk=manichaean}', "");
Expect(1, 68351, '\p{Is_Blk= -MANICHAEAN}', "");
Expect(0, 68351, '\p{^Is_Blk= -MANICHAEAN}', "");
Expect(0, 68351, '\P{Is_Blk= -MANICHAEAN}', "");
Expect(1, 68351, '\P{^Is_Blk= -MANICHAEAN}', "");
Expect(0, 68352, '\p{Is_Blk= -MANICHAEAN}', "");
Expect(1, 68352, '\p{^Is_Blk= -MANICHAEAN}', "");
Expect(1, 68352, '\P{Is_Blk= -MANICHAEAN}', "");
Expect(0, 68352, '\P{^Is_Blk= -MANICHAEAN}', "");
Error('\p{Block=	Mathematical_Alphanumeric_symbols:=}');
Error('\P{Block=	Mathematical_Alphanumeric_symbols:=}');
Expect(1, 120831, '\p{Block=mathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\p{^Block=mathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\P{Block=mathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\P{^Block=mathematicalalphanumericsymbols}', "");
Expect(0, 120832, '\p{Block=mathematicalalphanumericsymbols}', "");
Expect(1, 120832, '\p{^Block=mathematicalalphanumericsymbols}', "");
Expect(1, 120832, '\P{Block=mathematicalalphanumericsymbols}', "");
Expect(0, 120832, '\P{^Block=mathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\p{Block:		_MATHEMATICAL_Alphanumeric_Symbols}', "");
Expect(0, 120831, '\p{^Block:		_MATHEMATICAL_Alphanumeric_Symbols}', "");
Expect(0, 120831, '\P{Block:		_MATHEMATICAL_Alphanumeric_Symbols}', "");
Expect(1, 120831, '\P{^Block:		_MATHEMATICAL_Alphanumeric_Symbols}', "");
Expect(0, 120832, '\p{Block:		_MATHEMATICAL_Alphanumeric_Symbols}', "");
Expect(1, 120832, '\p{^Block:		_MATHEMATICAL_Alphanumeric_Symbols}', "");
Expect(1, 120832, '\P{Block:		_MATHEMATICAL_Alphanumeric_Symbols}', "");
Expect(0, 120832, '\P{^Block:		_MATHEMATICAL_Alphanumeric_Symbols}', "");
Error('\p{Blk=	math_alphanum:=}');
Error('\P{Blk=	math_alphanum:=}');
Expect(1, 120831, '\p{Blk=mathalphanum}', "");
Expect(0, 120831, '\p{^Blk=mathalphanum}', "");
Expect(0, 120831, '\P{Blk=mathalphanum}', "");
Expect(1, 120831, '\P{^Blk=mathalphanum}', "");
Expect(0, 120832, '\p{Blk=mathalphanum}', "");
Expect(1, 120832, '\p{^Blk=mathalphanum}', "");
Expect(1, 120832, '\P{Blk=mathalphanum}', "");
Expect(0, 120832, '\P{^Blk=mathalphanum}', "");
Expect(1, 120831, '\p{Blk=_	Math_Alphanum}', "");
Expect(0, 120831, '\p{^Blk=_	Math_Alphanum}', "");
Expect(0, 120831, '\P{Blk=_	Math_Alphanum}', "");
Expect(1, 120831, '\P{^Blk=_	Math_Alphanum}', "");
Expect(0, 120832, '\p{Blk=_	Math_Alphanum}', "");
Expect(1, 120832, '\p{^Blk=_	Math_Alphanum}', "");
Expect(1, 120832, '\P{Blk=_	Math_Alphanum}', "");
Expect(0, 120832, '\P{^Blk=_	Math_Alphanum}', "");
Error('\p{Is_Block=_:=MATHEMATICAL_Alphanumeric_SYMBOLS}');
Error('\P{Is_Block=_:=MATHEMATICAL_Alphanumeric_SYMBOLS}');
Expect(1, 120831, '\p{Is_Block=mathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\p{^Is_Block=mathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\P{Is_Block=mathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\P{^Is_Block=mathematicalalphanumericsymbols}', "");
Expect(0, 120832, '\p{Is_Block=mathematicalalphanumericsymbols}', "");
Expect(1, 120832, '\p{^Is_Block=mathematicalalphanumericsymbols}', "");
Expect(1, 120832, '\P{Is_Block=mathematicalalphanumericsymbols}', "");
Expect(0, 120832, '\P{^Is_Block=mathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\p{Is_Block=- MATHEMATICAL_alphanumeric_SYMBOLS}', "");
Expect(0, 120831, '\p{^Is_Block=- MATHEMATICAL_alphanumeric_SYMBOLS}', "");
Expect(0, 120831, '\P{Is_Block=- MATHEMATICAL_alphanumeric_SYMBOLS}', "");
Expect(1, 120831, '\P{^Is_Block=- MATHEMATICAL_alphanumeric_SYMBOLS}', "");
Expect(0, 120832, '\p{Is_Block=- MATHEMATICAL_alphanumeric_SYMBOLS}', "");
Expect(1, 120832, '\p{^Is_Block=- MATHEMATICAL_alphanumeric_SYMBOLS}', "");
Expect(1, 120832, '\P{Is_Block=- MATHEMATICAL_alphanumeric_SYMBOLS}', "");
Expect(0, 120832, '\P{^Is_Block=- MATHEMATICAL_alphanumeric_SYMBOLS}', "");
Error('\p{Is_Blk=-:=MATH_Alphanum}');
Error('\P{Is_Blk=-:=MATH_Alphanum}');
Expect(1, 120831, '\p{Is_Blk:mathalphanum}', "");
Expect(0, 120831, '\p{^Is_Blk:mathalphanum}', "");
Expect(0, 120831, '\P{Is_Blk:mathalphanum}', "");
Expect(1, 120831, '\P{^Is_Blk:mathalphanum}', "");
Expect(0, 120832, '\p{Is_Blk:mathalphanum}', "");
Expect(1, 120832, '\p{^Is_Blk:mathalphanum}', "");
Expect(1, 120832, '\P{Is_Blk:mathalphanum}', "");
Expect(0, 120832, '\P{^Is_Blk:mathalphanum}', "");
Expect(1, 120831, '\p{Is_Blk: 	-Math_Alphanum}', "");
Expect(0, 120831, '\p{^Is_Blk: 	-Math_Alphanum}', "");
Expect(0, 120831, '\P{Is_Blk: 	-Math_Alphanum}', "");
Expect(1, 120831, '\P{^Is_Blk: 	-Math_Alphanum}', "");
Expect(0, 120832, '\p{Is_Blk: 	-Math_Alphanum}', "");
Expect(1, 120832, '\p{^Is_Blk: 	-Math_Alphanum}', "");
Expect(1, 120832, '\P{Is_Blk: 	-Math_Alphanum}', "");
Expect(0, 120832, '\P{^Is_Blk: 	-Math_Alphanum}', "");
Error('\p{Block= :=Mathematical_operators}');
Error('\P{Block= :=Mathematical_operators}');
Expect(1, 8959, '\p{Block=mathematicaloperators}', "");
Expect(0, 8959, '\p{^Block=mathematicaloperators}', "");
Expect(0, 8959, '\P{Block=mathematicaloperators}', "");
Expect(1, 8959, '\P{^Block=mathematicaloperators}', "");
Expect(0, 8960, '\p{Block=mathematicaloperators}', "");
Expect(1, 8960, '\p{^Block=mathematicaloperators}', "");
Expect(1, 8960, '\P{Block=mathematicaloperators}', "");
Expect(0, 8960, '\P{^Block=mathematicaloperators}', "");
Expect(1, 8959, '\p{Block=	mathematical_OPERATORS}', "");
Expect(0, 8959, '\p{^Block=	mathematical_OPERATORS}', "");
Expect(0, 8959, '\P{Block=	mathematical_OPERATORS}', "");
Expect(1, 8959, '\P{^Block=	mathematical_OPERATORS}', "");
Expect(0, 8960, '\p{Block=	mathematical_OPERATORS}', "");
Expect(1, 8960, '\p{^Block=	mathematical_OPERATORS}', "");
Expect(1, 8960, '\P{Block=	mathematical_OPERATORS}', "");
Expect(0, 8960, '\P{^Block=	mathematical_OPERATORS}', "");
Error('\p{Blk=/a/math_operators}');
Error('\P{Blk=/a/math_operators}');
Expect(1, 8959, '\p{Blk=mathoperators}', "");
Expect(0, 8959, '\p{^Blk=mathoperators}', "");
Expect(0, 8959, '\P{Blk=mathoperators}', "");
Expect(1, 8959, '\P{^Blk=mathoperators}', "");
Expect(0, 8960, '\p{Blk=mathoperators}', "");
Expect(1, 8960, '\p{^Blk=mathoperators}', "");
Expect(1, 8960, '\P{Blk=mathoperators}', "");
Expect(0, 8960, '\P{^Blk=mathoperators}', "");
Expect(1, 8959, '\p{Blk=--Math_OPERATORS}', "");
Expect(0, 8959, '\p{^Blk=--Math_OPERATORS}', "");
Expect(0, 8959, '\P{Blk=--Math_OPERATORS}', "");
Expect(1, 8959, '\P{^Blk=--Math_OPERATORS}', "");
Expect(0, 8960, '\p{Blk=--Math_OPERATORS}', "");
Expect(1, 8960, '\p{^Blk=--Math_OPERATORS}', "");
Expect(1, 8960, '\P{Blk=--Math_OPERATORS}', "");
Expect(0, 8960, '\P{^Blk=--Math_OPERATORS}', "");
Error('\p{Is_Block=-MATHEMATICAL_operators:=}');
Error('\P{Is_Block=-MATHEMATICAL_operators:=}');
Expect(1, 8959, '\p{Is_Block=mathematicaloperators}', "");
Expect(0, 8959, '\p{^Is_Block=mathematicaloperators}', "");
Expect(0, 8959, '\P{Is_Block=mathematicaloperators}', "");
Expect(1, 8959, '\P{^Is_Block=mathematicaloperators}', "");
Expect(0, 8960, '\p{Is_Block=mathematicaloperators}', "");
Expect(1, 8960, '\p{^Is_Block=mathematicaloperators}', "");
Expect(1, 8960, '\P{Is_Block=mathematicaloperators}', "");
Expect(0, 8960, '\P{^Is_Block=mathematicaloperators}', "");
Expect(1, 8959, '\p{Is_Block=	 MATHEMATICAL_OPERATORS}', "");
Expect(0, 8959, '\p{^Is_Block=	 MATHEMATICAL_OPERATORS}', "");
Expect(0, 8959, '\P{Is_Block=	 MATHEMATICAL_OPERATORS}', "");
Expect(1, 8959, '\P{^Is_Block=	 MATHEMATICAL_OPERATORS}', "");
Expect(0, 8960, '\p{Is_Block=	 MATHEMATICAL_OPERATORS}', "");
Expect(1, 8960, '\p{^Is_Block=	 MATHEMATICAL_OPERATORS}', "");
Expect(1, 8960, '\P{Is_Block=	 MATHEMATICAL_OPERATORS}', "");
Expect(0, 8960, '\P{^Is_Block=	 MATHEMATICAL_OPERATORS}', "");
Error('\p{Is_Blk: - math_Operators/a/}');
Error('\P{Is_Blk: - math_Operators/a/}');
Expect(1, 8959, '\p{Is_Blk=mathoperators}', "");
Expect(0, 8959, '\p{^Is_Blk=mathoperators}', "");
Expect(0, 8959, '\P{Is_Blk=mathoperators}', "");
Expect(1, 8959, '\P{^Is_Blk=mathoperators}', "");
Expect(0, 8960, '\p{Is_Blk=mathoperators}', "");
Expect(1, 8960, '\p{^Is_Blk=mathoperators}', "");
Expect(1, 8960, '\P{Is_Blk=mathoperators}', "");
Expect(0, 8960, '\P{^Is_Blk=mathoperators}', "");
Expect(1, 8959, '\p{Is_Blk=-Math_operators}', "");
Expect(0, 8959, '\p{^Is_Blk=-Math_operators}', "");
Expect(0, 8959, '\P{Is_Blk=-Math_operators}', "");
Expect(1, 8959, '\P{^Is_Blk=-Math_operators}', "");
Expect(0, 8960, '\p{Is_Blk=-Math_operators}', "");
Expect(1, 8960, '\p{^Is_Blk=-Math_operators}', "");
Expect(1, 8960, '\P{Is_Blk=-Math_operators}', "");
Expect(0, 8960, '\P{^Is_Blk=-Math_operators}', "");
Error('\p{Block=  meetei_Mayek:=}');
Error('\P{Block=  meetei_Mayek:=}');
Expect(1, 44031, '\p{Block=meeteimayek}', "");
Expect(0, 44031, '\p{^Block=meeteimayek}', "");
Expect(0, 44031, '\P{Block=meeteimayek}', "");
Expect(1, 44031, '\P{^Block=meeteimayek}', "");
Expect(0, 44032, '\p{Block=meeteimayek}', "");
Expect(1, 44032, '\p{^Block=meeteimayek}', "");
Expect(1, 44032, '\P{Block=meeteimayek}', "");
Expect(0, 44032, '\P{^Block=meeteimayek}', "");
Expect(1, 44031, '\p{Block:     MEETEI_MAYEK}', "");
Expect(0, 44031, '\p{^Block:     MEETEI_MAYEK}', "");
Expect(0, 44031, '\P{Block:     MEETEI_MAYEK}', "");
Expect(1, 44031, '\P{^Block:     MEETEI_MAYEK}', "");
Expect(0, 44032, '\p{Block:     MEETEI_MAYEK}', "");
Expect(1, 44032, '\p{^Block:     MEETEI_MAYEK}', "");
Expect(1, 44032, '\P{Block:     MEETEI_MAYEK}', "");
Expect(0, 44032, '\P{^Block:     MEETEI_MAYEK}', "");
Error('\p{Blk=-:=MEETEI_Mayek}');
Error('\P{Blk=-:=MEETEI_Mayek}');
Expect(1, 44031, '\p{Blk=meeteimayek}', "");
Expect(0, 44031, '\p{^Blk=meeteimayek}', "");
Expect(0, 44031, '\P{Blk=meeteimayek}', "");
Expect(1, 44031, '\P{^Blk=meeteimayek}', "");
Expect(0, 44032, '\p{Blk=meeteimayek}', "");
Expect(1, 44032, '\p{^Blk=meeteimayek}', "");
Expect(1, 44032, '\P{Blk=meeteimayek}', "");
Expect(0, 44032, '\P{^Blk=meeteimayek}', "");
Expect(1, 44031, '\p{Blk=	meetei_Mayek}', "");
Expect(0, 44031, '\p{^Blk=	meetei_Mayek}', "");
Expect(0, 44031, '\P{Blk=	meetei_Mayek}', "");
Expect(1, 44031, '\P{^Blk=	meetei_Mayek}', "");
Expect(0, 44032, '\p{Blk=	meetei_Mayek}', "");
Expect(1, 44032, '\p{^Blk=	meetei_Mayek}', "");
Expect(1, 44032, '\P{Blk=	meetei_Mayek}', "");
Expect(0, 44032, '\P{^Blk=	meetei_Mayek}', "");
Error('\p{Is_Block=:= _meetei_mayek}');
Error('\P{Is_Block=:= _meetei_mayek}');
Expect(1, 44031, '\p{Is_Block: meeteimayek}', "");
Expect(0, 44031, '\p{^Is_Block: meeteimayek}', "");
Expect(0, 44031, '\P{Is_Block: meeteimayek}', "");
Expect(1, 44031, '\P{^Is_Block: meeteimayek}', "");
Expect(0, 44032, '\p{Is_Block: meeteimayek}', "");
Expect(1, 44032, '\p{^Is_Block: meeteimayek}', "");
Expect(1, 44032, '\P{Is_Block: meeteimayek}', "");
Expect(0, 44032, '\P{^Is_Block: meeteimayek}', "");
Expect(1, 44031, '\p{Is_Block= 	MEETEI_mayek}', "");
Expect(0, 44031, '\p{^Is_Block= 	MEETEI_mayek}', "");
Expect(0, 44031, '\P{Is_Block= 	MEETEI_mayek}', "");
Expect(1, 44031, '\P{^Is_Block= 	MEETEI_mayek}', "");
Expect(0, 44032, '\p{Is_Block= 	MEETEI_mayek}', "");
Expect(1, 44032, '\p{^Is_Block= 	MEETEI_mayek}', "");
Expect(1, 44032, '\P{Is_Block= 	MEETEI_mayek}', "");
Expect(0, 44032, '\P{^Is_Block= 	MEETEI_mayek}', "");
Error('\p{Is_Blk= -Meetei_Mayek/a/}');
Error('\P{Is_Blk= -Meetei_Mayek/a/}');
Expect(1, 44031, '\p{Is_Blk=meeteimayek}', "");
Expect(0, 44031, '\p{^Is_Blk=meeteimayek}', "");
Expect(0, 44031, '\P{Is_Blk=meeteimayek}', "");
Expect(1, 44031, '\P{^Is_Blk=meeteimayek}', "");
Expect(0, 44032, '\p{Is_Blk=meeteimayek}', "");
Expect(1, 44032, '\p{^Is_Blk=meeteimayek}', "");
Expect(1, 44032, '\P{Is_Blk=meeteimayek}', "");
Expect(0, 44032, '\P{^Is_Blk=meeteimayek}', "");
Expect(1, 44031, '\p{Is_Blk= MEETEI_Mayek}', "");
Expect(0, 44031, '\p{^Is_Blk= MEETEI_Mayek}', "");
Expect(0, 44031, '\P{Is_Blk= MEETEI_Mayek}', "");
Expect(1, 44031, '\P{^Is_Blk= MEETEI_Mayek}', "");
Expect(0, 44032, '\p{Is_Blk= MEETEI_Mayek}', "");
Expect(1, 44032, '\p{^Is_Blk= MEETEI_Mayek}', "");
Expect(1, 44032, '\P{Is_Blk= MEETEI_Mayek}', "");
Expect(0, 44032, '\P{^Is_Blk= MEETEI_Mayek}', "");
Error('\p{Block= MEETEI_Mayek_Extensions/a/}');
Error('\P{Block= MEETEI_Mayek_Extensions/a/}');
Expect(1, 43775, '\p{Block=meeteimayekextensions}', "");
Expect(0, 43775, '\p{^Block=meeteimayekextensions}', "");
Expect(0, 43775, '\P{Block=meeteimayekextensions}', "");
Expect(1, 43775, '\P{^Block=meeteimayekextensions}', "");
Expect(0, 43776, '\p{Block=meeteimayekextensions}', "");
Expect(1, 43776, '\p{^Block=meeteimayekextensions}', "");
Expect(1, 43776, '\P{Block=meeteimayekextensions}', "");
Expect(0, 43776, '\P{^Block=meeteimayekextensions}', "");
Expect(1, 43775, '\p{Block:		-Meetei_Mayek_Extensions}', "");
Expect(0, 43775, '\p{^Block:		-Meetei_Mayek_Extensions}', "");
Expect(0, 43775, '\P{Block:		-Meetei_Mayek_Extensions}', "");
Expect(1, 43775, '\P{^Block:		-Meetei_Mayek_Extensions}', "");
Expect(0, 43776, '\p{Block:		-Meetei_Mayek_Extensions}', "");
Expect(1, 43776, '\p{^Block:		-Meetei_Mayek_Extensions}', "");
Expect(1, 43776, '\P{Block:		-Meetei_Mayek_Extensions}', "");
Expect(0, 43776, '\P{^Block:		-Meetei_Mayek_Extensions}', "");
Error('\p{Blk= Meetei_mayek_Ext/a/}');
Error('\P{Blk= Meetei_mayek_Ext/a/}');
Expect(1, 43775, '\p{Blk=meeteimayekext}', "");
Expect(0, 43775, '\p{^Blk=meeteimayekext}', "");
Expect(0, 43775, '\P{Blk=meeteimayekext}', "");
Expect(1, 43775, '\P{^Blk=meeteimayekext}', "");
Expect(0, 43776, '\p{Blk=meeteimayekext}', "");
Expect(1, 43776, '\p{^Blk=meeteimayekext}', "");
Expect(1, 43776, '\P{Blk=meeteimayekext}', "");
Expect(0, 43776, '\P{^Blk=meeteimayekext}', "");
Expect(1, 43775, '\p{Blk=	-MEETEI_Mayek_Ext}', "");
Expect(0, 43775, '\p{^Blk=	-MEETEI_Mayek_Ext}', "");
Expect(0, 43775, '\P{Blk=	-MEETEI_Mayek_Ext}', "");
Expect(1, 43775, '\P{^Blk=	-MEETEI_Mayek_Ext}', "");
Expect(0, 43776, '\p{Blk=	-MEETEI_Mayek_Ext}', "");
Expect(1, 43776, '\p{^Blk=	-MEETEI_Mayek_Ext}', "");
Expect(1, 43776, '\P{Blk=	-MEETEI_Mayek_Ext}', "");
Expect(0, 43776, '\P{^Blk=	-MEETEI_Mayek_Ext}', "");
Error('\p{Is_Block=/a/_ MEETEI_Mayek_extensions}');
Error('\P{Is_Block=/a/_ MEETEI_Mayek_extensions}');
Expect(1, 43775, '\p{Is_Block=meeteimayekextensions}', "");
Expect(0, 43775, '\p{^Is_Block=meeteimayekextensions}', "");
Expect(0, 43775, '\P{Is_Block=meeteimayekextensions}', "");
Expect(1, 43775, '\P{^Is_Block=meeteimayekextensions}', "");
Expect(0, 43776, '\p{Is_Block=meeteimayekextensions}', "");
Expect(1, 43776, '\p{^Is_Block=meeteimayekextensions}', "");
Expect(1, 43776, '\P{Is_Block=meeteimayekextensions}', "");
Expect(0, 43776, '\P{^Is_Block=meeteimayekextensions}', "");
Expect(1, 43775, '\p{Is_Block=	 Meetei_mayek_Extensions}', "");
Expect(0, 43775, '\p{^Is_Block=	 Meetei_mayek_Extensions}', "");
Expect(0, 43775, '\P{Is_Block=	 Meetei_mayek_Extensions}', "");
Expect(1, 43775, '\P{^Is_Block=	 Meetei_mayek_Extensions}', "");
Expect(0, 43776, '\p{Is_Block=	 Meetei_mayek_Extensions}', "");
Expect(1, 43776, '\p{^Is_Block=	 Meetei_mayek_Extensions}', "");
Expect(1, 43776, '\P{Is_Block=	 Meetei_mayek_Extensions}', "");
Expect(0, 43776, '\P{^Is_Block=	 Meetei_mayek_Extensions}', "");
Error('\p{Is_Blk=/a/-Meetei_mayek_Ext}');
Error('\P{Is_Blk=/a/-Meetei_mayek_Ext}');
Expect(1, 43775, '\p{Is_Blk=meeteimayekext}', "");
Expect(0, 43775, '\p{^Is_Blk=meeteimayekext}', "");
Expect(0, 43775, '\P{Is_Blk=meeteimayekext}', "");
Expect(1, 43775, '\P{^Is_Blk=meeteimayekext}', "");
Expect(0, 43776, '\p{Is_Blk=meeteimayekext}', "");
Expect(1, 43776, '\p{^Is_Blk=meeteimayekext}', "");
Expect(1, 43776, '\P{Is_Blk=meeteimayekext}', "");
Expect(0, 43776, '\P{^Is_Blk=meeteimayekext}', "");
Expect(1, 43775, '\p{Is_Blk=__meetei_MAYEK_ext}', "");
Expect(0, 43775, '\p{^Is_Blk=__meetei_MAYEK_ext}', "");
Expect(0, 43775, '\P{Is_Blk=__meetei_MAYEK_ext}', "");
Expect(1, 43775, '\P{^Is_Blk=__meetei_MAYEK_ext}', "");
Expect(0, 43776, '\p{Is_Blk=__meetei_MAYEK_ext}', "");
Expect(1, 43776, '\p{^Is_Blk=__meetei_MAYEK_ext}', "");
Expect(1, 43776, '\P{Is_Blk=__meetei_MAYEK_ext}', "");
Expect(0, 43776, '\P{^Is_Blk=__meetei_MAYEK_ext}', "");
Error('\p{Block=	_Mende_Kikakui:=}');
Error('\P{Block=	_Mende_Kikakui:=}');
Expect(1, 125151, '\p{Block=mendekikakui}', "");
Expect(0, 125151, '\p{^Block=mendekikakui}', "");
Expect(0, 125151, '\P{Block=mendekikakui}', "");
Expect(1, 125151, '\P{^Block=mendekikakui}', "");
Expect(0, 125152, '\p{Block=mendekikakui}', "");
Expect(1, 125152, '\p{^Block=mendekikakui}', "");
Expect(1, 125152, '\P{Block=mendekikakui}', "");
Expect(0, 125152, '\P{^Block=mendekikakui}', "");
Expect(1, 125151, '\p{Block:   - mende_kikakui}', "");
Expect(0, 125151, '\p{^Block:   - mende_kikakui}', "");
Expect(0, 125151, '\P{Block:   - mende_kikakui}', "");
Expect(1, 125151, '\P{^Block:   - mende_kikakui}', "");
Expect(0, 125152, '\p{Block:   - mende_kikakui}', "");
Expect(1, 125152, '\p{^Block:   - mende_kikakui}', "");
Expect(1, 125152, '\P{Block:   - mende_kikakui}', "");
Expect(0, 125152, '\P{^Block:   - mende_kikakui}', "");
Error('\p{Blk:   _/a/MENDE_Kikakui}');
Error('\P{Blk:   _/a/MENDE_Kikakui}');
Expect(1, 125151, '\p{Blk=mendekikakui}', "");
Expect(0, 125151, '\p{^Blk=mendekikakui}', "");
Expect(0, 125151, '\P{Blk=mendekikakui}', "");
Expect(1, 125151, '\P{^Blk=mendekikakui}', "");
Expect(0, 125152, '\p{Blk=mendekikakui}', "");
Expect(1, 125152, '\p{^Blk=mendekikakui}', "");
Expect(1, 125152, '\P{Blk=mendekikakui}', "");
Expect(0, 125152, '\P{^Blk=mendekikakui}', "");
Expect(1, 125151, '\p{Blk=-Mende_Kikakui}', "");
Expect(0, 125151, '\p{^Blk=-Mende_Kikakui}', "");
Expect(0, 125151, '\P{Blk=-Mende_Kikakui}', "");
Expect(1, 125151, '\P{^Blk=-Mende_Kikakui}', "");
Expect(0, 125152, '\p{Blk=-Mende_Kikakui}', "");
Expect(1, 125152, '\p{^Blk=-Mende_Kikakui}', "");
Expect(1, 125152, '\P{Blk=-Mende_Kikakui}', "");
Expect(0, 125152, '\P{^Blk=-Mende_Kikakui}', "");
Error('\p{Is_Block=	/a/Mende_Kikakui}');
Error('\P{Is_Block=	/a/Mende_Kikakui}');
Expect(1, 125151, '\p{Is_Block=mendekikakui}', "");
Expect(0, 125151, '\p{^Is_Block=mendekikakui}', "");
Expect(0, 125151, '\P{Is_Block=mendekikakui}', "");
Expect(1, 125151, '\P{^Is_Block=mendekikakui}', "");
Expect(0, 125152, '\p{Is_Block=mendekikakui}', "");
Expect(1, 125152, '\p{^Is_Block=mendekikakui}', "");
Expect(1, 125152, '\P{Is_Block=mendekikakui}', "");
Expect(0, 125152, '\P{^Is_Block=mendekikakui}', "");
Expect(1, 125151, '\p{Is_Block=	-MENDE_Kikakui}', "");
Expect(0, 125151, '\p{^Is_Block=	-MENDE_Kikakui}', "");
Expect(0, 125151, '\P{Is_Block=	-MENDE_Kikakui}', "");
Expect(1, 125151, '\P{^Is_Block=	-MENDE_Kikakui}', "");
Expect(0, 125152, '\p{Is_Block=	-MENDE_Kikakui}', "");
Expect(1, 125152, '\p{^Is_Block=	-MENDE_Kikakui}', "");
Expect(1, 125152, '\P{Is_Block=	-MENDE_Kikakui}', "");
Expect(0, 125152, '\P{^Is_Block=	-MENDE_Kikakui}', "");
Error('\p{Is_Blk=	-Mende_KIKAKUI:=}');
Error('\P{Is_Blk=	-Mende_KIKAKUI:=}');
Expect(1, 125151, '\p{Is_Blk=mendekikakui}', "");
Expect(0, 125151, '\p{^Is_Blk=mendekikakui}', "");
Expect(0, 125151, '\P{Is_Blk=mendekikakui}', "");
Expect(1, 125151, '\P{^Is_Blk=mendekikakui}', "");
Expect(0, 125152, '\p{Is_Blk=mendekikakui}', "");
Expect(1, 125152, '\p{^Is_Blk=mendekikakui}', "");
Expect(1, 125152, '\P{Is_Blk=mendekikakui}', "");
Expect(0, 125152, '\P{^Is_Blk=mendekikakui}', "");
Expect(1, 125151, '\p{Is_Blk= 	MENDE_kikakui}', "");
Expect(0, 125151, '\p{^Is_Blk= 	MENDE_kikakui}', "");
Expect(0, 125151, '\P{Is_Blk= 	MENDE_kikakui}', "");
Expect(1, 125151, '\P{^Is_Blk= 	MENDE_kikakui}', "");
Expect(0, 125152, '\p{Is_Blk= 	MENDE_kikakui}', "");
Expect(1, 125152, '\p{^Is_Blk= 	MENDE_kikakui}', "");
Expect(1, 125152, '\P{Is_Blk= 	MENDE_kikakui}', "");
Expect(0, 125152, '\P{^Is_Blk= 	MENDE_kikakui}', "");
Error('\p{Block=_:=Meroitic_CURSIVE}');
Error('\P{Block=_:=Meroitic_CURSIVE}');
Expect(1, 68095, '\p{Block=meroiticcursive}', "");
Expect(0, 68095, '\p{^Block=meroiticcursive}', "");
Expect(0, 68095, '\P{Block=meroiticcursive}', "");
Expect(1, 68095, '\P{^Block=meroiticcursive}', "");
Expect(0, 68096, '\p{Block=meroiticcursive}', "");
Expect(1, 68096, '\p{^Block=meroiticcursive}', "");
Expect(1, 68096, '\P{Block=meroiticcursive}', "");
Expect(0, 68096, '\P{^Block=meroiticcursive}', "");
Expect(1, 68095, '\p{Block=Meroitic_Cursive}', "");
Expect(0, 68095, '\p{^Block=Meroitic_Cursive}', "");
Expect(0, 68095, '\P{Block=Meroitic_Cursive}', "");
Expect(1, 68095, '\P{^Block=Meroitic_Cursive}', "");
Expect(0, 68096, '\p{Block=Meroitic_Cursive}', "");
Expect(1, 68096, '\p{^Block=Meroitic_Cursive}', "");
Expect(1, 68096, '\P{Block=Meroitic_Cursive}', "");
Expect(0, 68096, '\P{^Block=Meroitic_Cursive}', "");
Error('\p{Blk=/a/Meroitic_Cursive}');
Error('\P{Blk=/a/Meroitic_Cursive}');
Expect(1, 68095, '\p{Blk=meroiticcursive}', "");
Expect(0, 68095, '\p{^Blk=meroiticcursive}', "");
Expect(0, 68095, '\P{Blk=meroiticcursive}', "");
Expect(1, 68095, '\P{^Blk=meroiticcursive}', "");
Expect(0, 68096, '\p{Blk=meroiticcursive}', "");
Expect(1, 68096, '\p{^Blk=meroiticcursive}', "");
Expect(1, 68096, '\P{Blk=meroiticcursive}', "");
Expect(0, 68096, '\P{^Blk=meroiticcursive}', "");
Expect(1, 68095, '\p{Blk=__Meroitic_Cursive}', "");
Expect(0, 68095, '\p{^Blk=__Meroitic_Cursive}', "");
Expect(0, 68095, '\P{Blk=__Meroitic_Cursive}', "");
Expect(1, 68095, '\P{^Blk=__Meroitic_Cursive}', "");
Expect(0, 68096, '\p{Blk=__Meroitic_Cursive}', "");
Expect(1, 68096, '\p{^Blk=__Meroitic_Cursive}', "");
Expect(1, 68096, '\P{Blk=__Meroitic_Cursive}', "");
Expect(0, 68096, '\P{^Blk=__Meroitic_Cursive}', "");
Error('\p{Is_Block=:=-MEROITIC_CURSIVE}');
Error('\P{Is_Block=:=-MEROITIC_CURSIVE}');
Expect(1, 68095, '\p{Is_Block=meroiticcursive}', "");
Expect(0, 68095, '\p{^Is_Block=meroiticcursive}', "");
Expect(0, 68095, '\P{Is_Block=meroiticcursive}', "");
Expect(1, 68095, '\P{^Is_Block=meroiticcursive}', "");
Expect(0, 68096, '\p{Is_Block=meroiticcursive}', "");
Expect(1, 68096, '\p{^Is_Block=meroiticcursive}', "");
Expect(1, 68096, '\P{Is_Block=meroiticcursive}', "");
Expect(0, 68096, '\P{^Is_Block=meroiticcursive}', "");
Expect(1, 68095, '\p{Is_Block= 	Meroitic_Cursive}', "");
Expect(0, 68095, '\p{^Is_Block= 	Meroitic_Cursive}', "");
Expect(0, 68095, '\P{Is_Block= 	Meroitic_Cursive}', "");
Expect(1, 68095, '\P{^Is_Block= 	Meroitic_Cursive}', "");
Expect(0, 68096, '\p{Is_Block= 	Meroitic_Cursive}', "");
Expect(1, 68096, '\p{^Is_Block= 	Meroitic_Cursive}', "");
Expect(1, 68096, '\P{Is_Block= 	Meroitic_Cursive}', "");
Expect(0, 68096, '\P{^Is_Block= 	Meroitic_Cursive}', "");
Error('\p{Is_Blk=	:=Meroitic_CURSIVE}');
Error('\P{Is_Blk=	:=Meroitic_CURSIVE}');
Expect(1, 68095, '\p{Is_Blk=meroiticcursive}', "");
Expect(0, 68095, '\p{^Is_Blk=meroiticcursive}', "");
Expect(0, 68095, '\P{Is_Blk=meroiticcursive}', "");
Expect(1, 68095, '\P{^Is_Blk=meroiticcursive}', "");
Expect(0, 68096, '\p{Is_Blk=meroiticcursive}', "");
Expect(1, 68096, '\p{^Is_Blk=meroiticcursive}', "");
Expect(1, 68096, '\P{Is_Blk=meroiticcursive}', "");
Expect(0, 68096, '\P{^Is_Blk=meroiticcursive}', "");
Expect(1, 68095, '\p{Is_Blk=-Meroitic_Cursive}', "");
Expect(0, 68095, '\p{^Is_Blk=-Meroitic_Cursive}', "");
Expect(0, 68095, '\P{Is_Blk=-Meroitic_Cursive}', "");
Expect(1, 68095, '\P{^Is_Blk=-Meroitic_Cursive}', "");
Expect(0, 68096, '\p{Is_Blk=-Meroitic_Cursive}', "");
Expect(1, 68096, '\p{^Is_Blk=-Meroitic_Cursive}', "");
Expect(1, 68096, '\P{Is_Blk=-Meroitic_Cursive}', "");
Expect(0, 68096, '\P{^Is_Blk=-Meroitic_Cursive}', "");
Error('\p{Block=	-meroitic_Hieroglyphs:=}');
Error('\P{Block=	-meroitic_Hieroglyphs:=}');
Expect(1, 67999, '\p{Block=meroitichieroglyphs}', "");
Expect(0, 67999, '\p{^Block=meroitichieroglyphs}', "");
Expect(0, 67999, '\P{Block=meroitichieroglyphs}', "");
Expect(1, 67999, '\P{^Block=meroitichieroglyphs}', "");
Expect(0, 68000, '\p{Block=meroitichieroglyphs}', "");
Expect(1, 68000, '\p{^Block=meroitichieroglyphs}', "");
Expect(1, 68000, '\P{Block=meroitichieroglyphs}', "");
Expect(0, 68000, '\P{^Block=meroitichieroglyphs}', "");
Expect(1, 67999, '\p{Block:   _MEROITIC_Hieroglyphs}', "");
Expect(0, 67999, '\p{^Block:   _MEROITIC_Hieroglyphs}', "");
Expect(0, 67999, '\P{Block:   _MEROITIC_Hieroglyphs}', "");
Expect(1, 67999, '\P{^Block:   _MEROITIC_Hieroglyphs}', "");
Expect(0, 68000, '\p{Block:   _MEROITIC_Hieroglyphs}', "");
Expect(1, 68000, '\p{^Block:   _MEROITIC_Hieroglyphs}', "");
Expect(1, 68000, '\P{Block:   _MEROITIC_Hieroglyphs}', "");
Expect(0, 68000, '\P{^Block:   _MEROITIC_Hieroglyphs}', "");
Error('\p{Blk= -meroitic_Hieroglyphs:=}');
Error('\P{Blk= -meroitic_Hieroglyphs:=}');
Expect(1, 67999, '\p{Blk=meroitichieroglyphs}', "");
Expect(0, 67999, '\p{^Blk=meroitichieroglyphs}', "");
Expect(0, 67999, '\P{Blk=meroitichieroglyphs}', "");
Expect(1, 67999, '\P{^Blk=meroitichieroglyphs}', "");
Expect(0, 68000, '\p{Blk=meroitichieroglyphs}', "");
Expect(1, 68000, '\p{^Blk=meroitichieroglyphs}', "");
Expect(1, 68000, '\P{Blk=meroitichieroglyphs}', "");
Expect(0, 68000, '\P{^Blk=meroitichieroglyphs}', "");
Expect(1, 67999, '\p{Blk=	MEROITIC_hieroglyphs}', "");
Expect(0, 67999, '\p{^Blk=	MEROITIC_hieroglyphs}', "");
Expect(0, 67999, '\P{Blk=	MEROITIC_hieroglyphs}', "");
Expect(1, 67999, '\P{^Blk=	MEROITIC_hieroglyphs}', "");
Expect(0, 68000, '\p{Blk=	MEROITIC_hieroglyphs}', "");
Expect(1, 68000, '\p{^Blk=	MEROITIC_hieroglyphs}', "");
Expect(1, 68000, '\P{Blk=	MEROITIC_hieroglyphs}', "");
Expect(0, 68000, '\P{^Blk=	MEROITIC_hieroglyphs}', "");
Error('\p{Is_Block= Meroitic_HIEROGLYPHS/a/}');
Error('\P{Is_Block= Meroitic_HIEROGLYPHS/a/}');
Expect(1, 67999, '\p{Is_Block=meroitichieroglyphs}', "");
Expect(0, 67999, '\p{^Is_Block=meroitichieroglyphs}', "");
Expect(0, 67999, '\P{Is_Block=meroitichieroglyphs}', "");
Expect(1, 67999, '\P{^Is_Block=meroitichieroglyphs}', "");
Expect(0, 68000, '\p{Is_Block=meroitichieroglyphs}', "");
Expect(1, 68000, '\p{^Is_Block=meroitichieroglyphs}', "");
Expect(1, 68000, '\P{Is_Block=meroitichieroglyphs}', "");
Expect(0, 68000, '\P{^Is_Block=meroitichieroglyphs}', "");
Expect(1, 67999, '\p{Is_Block= meroitic_Hieroglyphs}', "");
Expect(0, 67999, '\p{^Is_Block= meroitic_Hieroglyphs}', "");
Expect(0, 67999, '\P{Is_Block= meroitic_Hieroglyphs}', "");
Expect(1, 67999, '\P{^Is_Block= meroitic_Hieroglyphs}', "");
Expect(0, 68000, '\p{Is_Block= meroitic_Hieroglyphs}', "");
Expect(1, 68000, '\p{^Is_Block= meroitic_Hieroglyphs}', "");
Expect(1, 68000, '\P{Is_Block= meroitic_Hieroglyphs}', "");
Expect(0, 68000, '\P{^Is_Block= meroitic_Hieroglyphs}', "");
Error('\p{Is_Blk=:=_-Meroitic_HIEROGLYPHS}');
Error('\P{Is_Blk=:=_-Meroitic_HIEROGLYPHS}');
Expect(1, 67999, '\p{Is_Blk: meroitichieroglyphs}', "");
Expect(0, 67999, '\p{^Is_Blk: meroitichieroglyphs}', "");
Expect(0, 67999, '\P{Is_Blk: meroitichieroglyphs}', "");
Expect(1, 67999, '\P{^Is_Blk: meroitichieroglyphs}', "");
Expect(0, 68000, '\p{Is_Blk: meroitichieroglyphs}', "");
Expect(1, 68000, '\p{^Is_Blk: meroitichieroglyphs}', "");
Expect(1, 68000, '\P{Is_Blk: meroitichieroglyphs}', "");
Expect(0, 68000, '\P{^Is_Blk: meroitichieroglyphs}', "");
Expect(1, 67999, '\p{Is_Blk= Meroitic_Hieroglyphs}', "");
Expect(0, 67999, '\p{^Is_Blk= Meroitic_Hieroglyphs}', "");
Expect(0, 67999, '\P{Is_Blk= Meroitic_Hieroglyphs}', "");
Expect(1, 67999, '\P{^Is_Blk= Meroitic_Hieroglyphs}', "");
Expect(0, 68000, '\p{Is_Blk= Meroitic_Hieroglyphs}', "");
Expect(1, 68000, '\p{^Is_Blk= Meroitic_Hieroglyphs}', "");
Expect(1, 68000, '\P{Is_Blk= Meroitic_Hieroglyphs}', "");
Expect(0, 68000, '\P{^Is_Blk= Meroitic_Hieroglyphs}', "");
Error('\p{Block=	/a/MIAO}');
Error('\P{Block=	/a/MIAO}');
Expect(1, 94111, '\p{Block=miao}', "");
Expect(0, 94111, '\p{^Block=miao}', "");
Expect(0, 94111, '\P{Block=miao}', "");
Expect(1, 94111, '\P{^Block=miao}', "");
Expect(0, 94112, '\p{Block=miao}', "");
Expect(1, 94112, '\p{^Block=miao}', "");
Expect(1, 94112, '\P{Block=miao}', "");
Expect(0, 94112, '\P{^Block=miao}', "");
Expect(1, 94111, '\p{Block: 	miao}', "");
Expect(0, 94111, '\p{^Block: 	miao}', "");
Expect(0, 94111, '\P{Block: 	miao}', "");
Expect(1, 94111, '\P{^Block: 	miao}', "");
Expect(0, 94112, '\p{Block: 	miao}', "");
Expect(1, 94112, '\p{^Block: 	miao}', "");
Expect(1, 94112, '\P{Block: 	miao}', "");
Expect(0, 94112, '\P{^Block: 	miao}', "");
Error('\p{Blk= 	MIAO/a/}');
Error('\P{Blk= 	MIAO/a/}');
Expect(1, 94111, '\p{Blk:   miao}', "");
Expect(0, 94111, '\p{^Blk:   miao}', "");
Expect(0, 94111, '\P{Blk:   miao}', "");
Expect(1, 94111, '\P{^Blk:   miao}', "");
Expect(0, 94112, '\p{Blk:   miao}', "");
Expect(1, 94112, '\p{^Blk:   miao}', "");
Expect(1, 94112, '\P{Blk:   miao}', "");
Expect(0, 94112, '\P{^Blk:   miao}', "");
Expect(1, 94111, '\p{Blk: -MIAO}', "");
Expect(0, 94111, '\p{^Blk: -MIAO}', "");
Expect(0, 94111, '\P{Blk: -MIAO}', "");
Expect(1, 94111, '\P{^Blk: -MIAO}', "");
Expect(0, 94112, '\p{Blk: -MIAO}', "");
Expect(1, 94112, '\p{^Blk: -MIAO}', "");
Expect(1, 94112, '\P{Blk: -MIAO}', "");
Expect(0, 94112, '\P{^Blk: -MIAO}', "");
Error('\p{Is_Block=	/a/miao}');
Error('\P{Is_Block=	/a/miao}');
Expect(1, 94111, '\p{Is_Block=miao}', "");
Expect(0, 94111, '\p{^Is_Block=miao}', "");
Expect(0, 94111, '\P{Is_Block=miao}', "");
Expect(1, 94111, '\P{^Is_Block=miao}', "");
Expect(0, 94112, '\p{Is_Block=miao}', "");
Expect(1, 94112, '\p{^Is_Block=miao}', "");
Expect(1, 94112, '\P{Is_Block=miao}', "");
Expect(0, 94112, '\P{^Is_Block=miao}', "");
Expect(1, 94111, '\p{Is_Block: -Miao}', "");
Expect(0, 94111, '\p{^Is_Block: -Miao}', "");
Expect(0, 94111, '\P{Is_Block: -Miao}', "");
Expect(1, 94111, '\P{^Is_Block: -Miao}', "");
Expect(0, 94112, '\p{Is_Block: -Miao}', "");
Expect(1, 94112, '\p{^Is_Block: -Miao}', "");
Expect(1, 94112, '\P{Is_Block: -Miao}', "");
Expect(0, 94112, '\P{^Is_Block: -Miao}', "");
Error('\p{Is_Blk:	_:=miao}');
Error('\P{Is_Blk:	_:=miao}');
Expect(1, 94111, '\p{Is_Blk: miao}', "");
Expect(0, 94111, '\p{^Is_Blk: miao}', "");
Expect(0, 94111, '\P{Is_Blk: miao}', "");
Expect(1, 94111, '\P{^Is_Blk: miao}', "");
Expect(0, 94112, '\p{Is_Blk: miao}', "");
Expect(1, 94112, '\p{^Is_Blk: miao}', "");
Expect(1, 94112, '\P{Is_Blk: miao}', "");
Expect(0, 94112, '\P{^Is_Blk: miao}', "");
Expect(1, 94111, '\p{Is_Blk=-	MIAO}', "");
Expect(0, 94111, '\p{^Is_Blk=-	MIAO}', "");
Expect(0, 94111, '\P{Is_Blk=-	MIAO}', "");
Expect(1, 94111, '\P{^Is_Blk=-	MIAO}', "");
Expect(0, 94112, '\p{Is_Blk=-	MIAO}', "");
Expect(1, 94112, '\p{^Is_Blk=-	MIAO}', "");
Expect(1, 94112, '\P{Is_Blk=-	MIAO}', "");
Expect(0, 94112, '\P{^Is_Blk=-	MIAO}', "");
Error('\p{Block=--Miscellaneous_Symbols_AND_ARROWS/a/}');
Error('\P{Block=--Miscellaneous_Symbols_AND_ARROWS/a/}');
Expect(1, 11263, '\p{Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\p{^Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\P{Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\P{^Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11264, '\p{Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11264, '\p{^Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11264, '\P{Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11264, '\P{^Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\p{Block=_	MISCELLANEOUS_SYMBOLS_AND_Arrows}', "");
Expect(0, 11263, '\p{^Block=_	MISCELLANEOUS_SYMBOLS_AND_Arrows}', "");
Expect(0, 11263, '\P{Block=_	MISCELLANEOUS_SYMBOLS_AND_Arrows}', "");
Expect(1, 11263, '\P{^Block=_	MISCELLANEOUS_SYMBOLS_AND_Arrows}', "");
Expect(0, 11264, '\p{Block=_	MISCELLANEOUS_SYMBOLS_AND_Arrows}', "");
Expect(1, 11264, '\p{^Block=_	MISCELLANEOUS_SYMBOLS_AND_Arrows}', "");
Expect(1, 11264, '\P{Block=_	MISCELLANEOUS_SYMBOLS_AND_Arrows}', "");
Expect(0, 11264, '\P{^Block=_	MISCELLANEOUS_SYMBOLS_AND_Arrows}', "");
Error('\p{Blk=/a/		misc_ARROWS}');
Error('\P{Blk=/a/		misc_ARROWS}');
Expect(1, 11263, '\p{Blk=miscarrows}', "");
Expect(0, 11263, '\p{^Blk=miscarrows}', "");
Expect(0, 11263, '\P{Blk=miscarrows}', "");
Expect(1, 11263, '\P{^Blk=miscarrows}', "");
Expect(0, 11264, '\p{Blk=miscarrows}', "");
Expect(1, 11264, '\p{^Blk=miscarrows}', "");
Expect(1, 11264, '\P{Blk=miscarrows}', "");
Expect(0, 11264, '\P{^Blk=miscarrows}', "");
Expect(1, 11263, '\p{Blk=_-misc_Arrows}', "");
Expect(0, 11263, '\p{^Blk=_-misc_Arrows}', "");
Expect(0, 11263, '\P{Blk=_-misc_Arrows}', "");
Expect(1, 11263, '\P{^Blk=_-misc_Arrows}', "");
Expect(0, 11264, '\p{Blk=_-misc_Arrows}', "");
Expect(1, 11264, '\p{^Blk=_-misc_Arrows}', "");
Expect(1, 11264, '\P{Blk=_-misc_Arrows}', "");
Expect(0, 11264, '\P{^Blk=_-misc_Arrows}', "");
Error('\p{Is_Block=_-miscellaneous_Symbols_AND_arrows:=}');
Error('\P{Is_Block=_-miscellaneous_Symbols_AND_arrows:=}');
Expect(1, 11263, '\p{Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\p{^Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\P{Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\P{^Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11264, '\p{Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11264, '\p{^Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11264, '\P{Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(0, 11264, '\P{^Is_Block=miscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\p{Is_Block= _miscellaneous_symbols_And_Arrows}', "");
Expect(0, 11263, '\p{^Is_Block= _miscellaneous_symbols_And_Arrows}', "");
Expect(0, 11263, '\P{Is_Block= _miscellaneous_symbols_And_Arrows}', "");
Expect(1, 11263, '\P{^Is_Block= _miscellaneous_symbols_And_Arrows}', "");
Expect(0, 11264, '\p{Is_Block= _miscellaneous_symbols_And_Arrows}', "");
Expect(1, 11264, '\p{^Is_Block= _miscellaneous_symbols_And_Arrows}', "");
Expect(1, 11264, '\P{Is_Block= _miscellaneous_symbols_And_Arrows}', "");
Expect(0, 11264, '\P{^Is_Block= _miscellaneous_symbols_And_Arrows}', "");
Error('\p{Is_Blk=/a/-_misc_arrows}');
Error('\P{Is_Blk=/a/-_misc_arrows}');
Expect(1, 11263, '\p{Is_Blk=miscarrows}', "");
Expect(0, 11263, '\p{^Is_Blk=miscarrows}', "");
Expect(0, 11263, '\P{Is_Blk=miscarrows}', "");
Expect(1, 11263, '\P{^Is_Blk=miscarrows}', "");
Expect(0, 11264, '\p{Is_Blk=miscarrows}', "");
Expect(1, 11264, '\p{^Is_Blk=miscarrows}', "");
Expect(1, 11264, '\P{Is_Blk=miscarrows}', "");
Expect(0, 11264, '\P{^Is_Blk=miscarrows}', "");
Expect(1, 11263, '\p{Is_Blk= 	Misc_Arrows}', "");
Expect(0, 11263, '\p{^Is_Blk= 	Misc_Arrows}', "");
Expect(0, 11263, '\P{Is_Blk= 	Misc_Arrows}', "");
Expect(1, 11263, '\P{^Is_Blk= 	Misc_Arrows}', "");
Expect(0, 11264, '\p{Is_Blk= 	Misc_Arrows}', "");
Expect(1, 11264, '\p{^Is_Blk= 	Misc_Arrows}', "");
Expect(1, 11264, '\P{Is_Blk= 	Misc_Arrows}', "");
Expect(0, 11264, '\P{^Is_Blk= 	Misc_Arrows}', "");
Error('\p{Block=:=__Miscellaneous_MATHEMATICAL_Symbols_A}');
Error('\P{Block=:=__Miscellaneous_MATHEMATICAL_Symbols_A}');
Expect(1, 10223, '\p{Block=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\p{^Block=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\P{Block=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\P{^Block=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10224, '\p{Block=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10224, '\p{^Block=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10224, '\P{Block=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10224, '\P{^Block=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\p{Block=-Miscellaneous_Mathematical_SYMBOLS_A}', "");
Expect(0, 10223, '\p{^Block=-Miscellaneous_Mathematical_SYMBOLS_A}', "");
Expect(0, 10223, '\P{Block=-Miscellaneous_Mathematical_SYMBOLS_A}', "");
Expect(1, 10223, '\P{^Block=-Miscellaneous_Mathematical_SYMBOLS_A}', "");
Expect(0, 10224, '\p{Block=-Miscellaneous_Mathematical_SYMBOLS_A}', "");
Expect(1, 10224, '\p{^Block=-Miscellaneous_Mathematical_SYMBOLS_A}', "");
Expect(1, 10224, '\P{Block=-Miscellaneous_Mathematical_SYMBOLS_A}', "");
Expect(0, 10224, '\P{^Block=-Miscellaneous_Mathematical_SYMBOLS_A}', "");
Error('\p{Blk=_:=misc_Math_symbols_a}');
Error('\P{Blk=_:=misc_Math_symbols_a}');
Expect(1, 10223, '\p{Blk=miscmathsymbolsa}', "");
Expect(0, 10223, '\p{^Blk=miscmathsymbolsa}', "");
Expect(0, 10223, '\P{Blk=miscmathsymbolsa}', "");
Expect(1, 10223, '\P{^Blk=miscmathsymbolsa}', "");
Expect(0, 10224, '\p{Blk=miscmathsymbolsa}', "");
Expect(1, 10224, '\p{^Blk=miscmathsymbolsa}', "");
Expect(1, 10224, '\P{Blk=miscmathsymbolsa}', "");
Expect(0, 10224, '\P{^Blk=miscmathsymbolsa}', "");
Expect(1, 10223, '\p{Blk=_ Misc_Math_Symbols_A}', "");
Expect(0, 10223, '\p{^Blk=_ Misc_Math_Symbols_A}', "");
Expect(0, 10223, '\P{Blk=_ Misc_Math_Symbols_A}', "");
Expect(1, 10223, '\P{^Blk=_ Misc_Math_Symbols_A}', "");
Expect(0, 10224, '\p{Blk=_ Misc_Math_Symbols_A}', "");
Expect(1, 10224, '\p{^Blk=_ Misc_Math_Symbols_A}', "");
Expect(1, 10224, '\P{Blk=_ Misc_Math_Symbols_A}', "");
Expect(0, 10224, '\P{^Blk=_ Misc_Math_Symbols_A}', "");
Error('\p{Is_Block=:=		MISCELLANEOUS_mathematical_Symbols_A}');
Error('\P{Is_Block=:=		MISCELLANEOUS_mathematical_Symbols_A}');
Expect(1, 10223, '\p{Is_Block=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\p{^Is_Block=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\P{Is_Block=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\P{^Is_Block=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10224, '\p{Is_Block=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10224, '\p{^Is_Block=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10224, '\P{Is_Block=miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10224, '\P{^Is_Block=miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\p{Is_Block=  Miscellaneous_Mathematical_Symbols_A}', "");
Expect(0, 10223, '\p{^Is_Block=  Miscellaneous_Mathematical_Symbols_A}', "");
Expect(0, 10223, '\P{Is_Block=  Miscellaneous_Mathematical_Symbols_A}', "");
Expect(1, 10223, '\P{^Is_Block=  Miscellaneous_Mathematical_Symbols_A}', "");
Expect(0, 10224, '\p{Is_Block=  Miscellaneous_Mathematical_Symbols_A}', "");
Expect(1, 10224, '\p{^Is_Block=  Miscellaneous_Mathematical_Symbols_A}', "");
Expect(1, 10224, '\P{Is_Block=  Miscellaneous_Mathematical_Symbols_A}', "");
Expect(0, 10224, '\P{^Is_Block=  Miscellaneous_Mathematical_Symbols_A}', "");
Error('\p{Is_Blk=_-Misc_Math_Symbols_a:=}');
Error('\P{Is_Blk=_-Misc_Math_Symbols_a:=}');
Expect(1, 10223, '\p{Is_Blk=miscmathsymbolsa}', "");
Expect(0, 10223, '\p{^Is_Blk=miscmathsymbolsa}', "");
Expect(0, 10223, '\P{Is_Blk=miscmathsymbolsa}', "");
Expect(1, 10223, '\P{^Is_Blk=miscmathsymbolsa}', "");
Expect(0, 10224, '\p{Is_Blk=miscmathsymbolsa}', "");
Expect(1, 10224, '\p{^Is_Blk=miscmathsymbolsa}', "");
Expect(1, 10224, '\P{Is_Blk=miscmathsymbolsa}', "");
Expect(0, 10224, '\P{^Is_Blk=miscmathsymbolsa}', "");
Expect(1, 10223, '\p{Is_Blk=- MISC_math_symbols_A}', "");
Expect(0, 10223, '\p{^Is_Blk=- MISC_math_symbols_A}', "");
Expect(0, 10223, '\P{Is_Blk=- MISC_math_symbols_A}', "");
Expect(1, 10223, '\P{^Is_Blk=- MISC_math_symbols_A}', "");
Expect(0, 10224, '\p{Is_Blk=- MISC_math_symbols_A}', "");
Expect(1, 10224, '\p{^Is_Blk=- MISC_math_symbols_A}', "");
Expect(1, 10224, '\P{Is_Blk=- MISC_math_symbols_A}', "");
Expect(0, 10224, '\P{^Is_Blk=- MISC_math_symbols_A}', "");
Error('\p{Block=	_miscellaneous_Mathematical_SYMBOLS_B:=}');
Error('\P{Block=	_miscellaneous_Mathematical_SYMBOLS_B:=}');
Expect(1, 10751, '\p{Block=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\p{^Block=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\P{Block=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\P{^Block=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10752, '\p{Block=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10752, '\p{^Block=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10752, '\P{Block=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10752, '\P{^Block=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\p{Block=-Miscellaneous_MATHEMATICAL_symbols_B}', "");
Expect(0, 10751, '\p{^Block=-Miscellaneous_MATHEMATICAL_symbols_B}', "");
Expect(0, 10751, '\P{Block=-Miscellaneous_MATHEMATICAL_symbols_B}', "");
Expect(1, 10751, '\P{^Block=-Miscellaneous_MATHEMATICAL_symbols_B}', "");
Expect(0, 10752, '\p{Block=-Miscellaneous_MATHEMATICAL_symbols_B}', "");
Expect(1, 10752, '\p{^Block=-Miscellaneous_MATHEMATICAL_symbols_B}', "");
Expect(1, 10752, '\P{Block=-Miscellaneous_MATHEMATICAL_symbols_B}', "");
Expect(0, 10752, '\P{^Block=-Miscellaneous_MATHEMATICAL_symbols_B}', "");
Error('\p{Blk=_/a/Misc_Math_Symbols_B}');
Error('\P{Blk=_/a/Misc_Math_Symbols_B}');
Expect(1, 10751, '\p{Blk=miscmathsymbolsb}', "");
Expect(0, 10751, '\p{^Blk=miscmathsymbolsb}', "");
Expect(0, 10751, '\P{Blk=miscmathsymbolsb}', "");
Expect(1, 10751, '\P{^Blk=miscmathsymbolsb}', "");
Expect(0, 10752, '\p{Blk=miscmathsymbolsb}', "");
Expect(1, 10752, '\p{^Blk=miscmathsymbolsb}', "");
Expect(1, 10752, '\P{Blk=miscmathsymbolsb}', "");
Expect(0, 10752, '\P{^Blk=miscmathsymbolsb}', "");
Expect(1, 10751, '\p{Blk= _MISC_MATH_Symbols_B}', "");
Expect(0, 10751, '\p{^Blk= _MISC_MATH_Symbols_B}', "");
Expect(0, 10751, '\P{Blk= _MISC_MATH_Symbols_B}', "");
Expect(1, 10751, '\P{^Blk= _MISC_MATH_Symbols_B}', "");
Expect(0, 10752, '\p{Blk= _MISC_MATH_Symbols_B}', "");
Expect(1, 10752, '\p{^Blk= _MISC_MATH_Symbols_B}', "");
Expect(1, 10752, '\P{Blk= _MISC_MATH_Symbols_B}', "");
Expect(0, 10752, '\P{^Blk= _MISC_MATH_Symbols_B}', "");
Error('\p{Is_Block:	/a/_Miscellaneous_MATHEMATICAL_Symbols_B}');
Error('\P{Is_Block:	/a/_Miscellaneous_MATHEMATICAL_Symbols_B}');
Expect(1, 10751, '\p{Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\p{^Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\P{Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\P{^Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10752, '\p{Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10752, '\p{^Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10752, '\P{Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10752, '\P{^Is_Block=miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\p{Is_Block=	_MISCELLANEOUS_Mathematical_Symbols_B}', "");
Expect(0, 10751, '\p{^Is_Block=	_MISCELLANEOUS_Mathematical_Symbols_B}', "");
Expect(0, 10751, '\P{Is_Block=	_MISCELLANEOUS_Mathematical_Symbols_B}', "");
Expect(1, 10751, '\P{^Is_Block=	_MISCELLANEOUS_Mathematical_Symbols_B}', "");
Expect(0, 10752, '\p{Is_Block=	_MISCELLANEOUS_Mathematical_Symbols_B}', "");
Expect(1, 10752, '\p{^Is_Block=	_MISCELLANEOUS_Mathematical_Symbols_B}', "");
Expect(1, 10752, '\P{Is_Block=	_MISCELLANEOUS_Mathematical_Symbols_B}', "");
Expect(0, 10752, '\P{^Is_Block=	_MISCELLANEOUS_Mathematical_Symbols_B}', "");
Error('\p{Is_Blk=	/a/misc_math_Symbols_B}');
Error('\P{Is_Blk=	/a/misc_math_Symbols_B}');
Expect(1, 10751, '\p{Is_Blk=miscmathsymbolsb}', "");
Expect(0, 10751, '\p{^Is_Blk=miscmathsymbolsb}', "");
Expect(0, 10751, '\P{Is_Blk=miscmathsymbolsb}', "");
Expect(1, 10751, '\P{^Is_Blk=miscmathsymbolsb}', "");
Expect(0, 10752, '\p{Is_Blk=miscmathsymbolsb}', "");
Expect(1, 10752, '\p{^Is_Blk=miscmathsymbolsb}', "");
Expect(1, 10752, '\P{Is_Blk=miscmathsymbolsb}', "");
Expect(0, 10752, '\P{^Is_Blk=miscmathsymbolsb}', "");
Expect(1, 10751, '\p{Is_Blk:   	Misc_MATH_Symbols_B}', "");
Expect(0, 10751, '\p{^Is_Blk:   	Misc_MATH_Symbols_B}', "");
Expect(0, 10751, '\P{Is_Blk:   	Misc_MATH_Symbols_B}', "");
Expect(1, 10751, '\P{^Is_Blk:   	Misc_MATH_Symbols_B}', "");
Expect(0, 10752, '\p{Is_Blk:   	Misc_MATH_Symbols_B}', "");
Expect(1, 10752, '\p{^Is_Blk:   	Misc_MATH_Symbols_B}', "");
Expect(1, 10752, '\P{Is_Blk:   	Misc_MATH_Symbols_B}', "");
Expect(0, 10752, '\P{^Is_Blk:   	Misc_MATH_Symbols_B}', "");
Error('\p{Block=:=	miscellaneous_SYMBOLS_And_Pictographs}');
Error('\P{Block=:=	miscellaneous_SYMBOLS_And_Pictographs}');
Expect(1, 128511, '\p{Block=miscellaneoussymbolsandpictographs}', "");
Expect(0, 128511, '\p{^Block=miscellaneoussymbolsandpictographs}', "");
Expect(0, 128511, '\P{Block=miscellaneoussymbolsandpictographs}', "");
Expect(1, 128511, '\P{^Block=miscellaneoussymbolsandpictographs}', "");
Expect(0, 128512, '\p{Block=miscellaneoussymbolsandpictographs}', "");
Expect(1, 128512, '\p{^Block=miscellaneoussymbolsandpictographs}', "");
Expect(1, 128512, '\P{Block=miscellaneoussymbolsandpictographs}', "");
Expect(0, 128512, '\P{^Block=miscellaneoussymbolsandpictographs}', "");
Expect(1, 128511, '\p{Block= Miscellaneous_SYMBOLS_AND_pictographs}', "");
Expect(0, 128511, '\p{^Block= Miscellaneous_SYMBOLS_AND_pictographs}', "");
Expect(0, 128511, '\P{Block= Miscellaneous_SYMBOLS_AND_pictographs}', "");
Expect(1, 128511, '\P{^Block= Miscellaneous_SYMBOLS_AND_pictographs}', "");
Expect(0, 128512, '\p{Block= Miscellaneous_SYMBOLS_AND_pictographs}', "");
Expect(1, 128512, '\p{^Block= Miscellaneous_SYMBOLS_AND_pictographs}', "");
Expect(1, 128512, '\P{Block= Miscellaneous_SYMBOLS_AND_pictographs}', "");
Expect(0, 128512, '\P{^Block= Miscellaneous_SYMBOLS_AND_pictographs}', "");
Error('\p{Blk=:=Misc_Pictographs}');
Error('\P{Blk=:=Misc_Pictographs}');
Expect(1, 128511, '\p{Blk=miscpictographs}', "");
Expect(0, 128511, '\p{^Blk=miscpictographs}', "");
Expect(0, 128511, '\P{Blk=miscpictographs}', "");
Expect(1, 128511, '\P{^Blk=miscpictographs}', "");
Expect(0, 128512, '\p{Blk=miscpictographs}', "");
Expect(1, 128512, '\p{^Blk=miscpictographs}', "");
Expect(1, 128512, '\P{Blk=miscpictographs}', "");
Expect(0, 128512, '\P{^Blk=miscpictographs}', "");
Expect(1, 128511, '\p{Blk=	-Misc_pictographs}', "");
Expect(0, 128511, '\p{^Blk=	-Misc_pictographs}', "");
Expect(0, 128511, '\P{Blk=	-Misc_pictographs}', "");
Expect(1, 128511, '\P{^Blk=	-Misc_pictographs}', "");
Expect(0, 128512, '\p{Blk=	-Misc_pictographs}', "");
Expect(1, 128512, '\p{^Blk=	-Misc_pictographs}', "");
Expect(1, 128512, '\P{Blk=	-Misc_pictographs}', "");
Expect(0, 128512, '\P{^Blk=	-Misc_pictographs}', "");
Error('\p{Is_Block= 	Miscellaneous_symbols_And_PICTOGRAPHS/a/}');
Error('\P{Is_Block= 	Miscellaneous_symbols_And_PICTOGRAPHS/a/}');
Expect(1, 128511, '\p{Is_Block=miscellaneoussymbolsandpictographs}', "");
Expect(0, 128511, '\p{^Is_Block=miscellaneoussymbolsandpictographs}', "");
Expect(0, 128511, '\P{Is_Block=miscellaneoussymbolsandpictographs}', "");
Expect(1, 128511, '\P{^Is_Block=miscellaneoussymbolsandpictographs}', "");
Expect(0, 128512, '\p{Is_Block=miscellaneoussymbolsandpictographs}', "");
Expect(1, 128512, '\p{^Is_Block=miscellaneoussymbolsandpictographs}', "");
Expect(1, 128512, '\P{Is_Block=miscellaneoussymbolsandpictographs}', "");
Expect(0, 128512, '\P{^Is_Block=miscellaneoussymbolsandpictographs}', "");
Expect(1, 128511, '\p{Is_Block=-_miscellaneous_Symbols_AND_PICTOGRAPHS}', "");
Expect(0, 128511, '\p{^Is_Block=-_miscellaneous_Symbols_AND_PICTOGRAPHS}', "");
Expect(0, 128511, '\P{Is_Block=-_miscellaneous_Symbols_AND_PICTOGRAPHS}', "");
Expect(1, 128511, '\P{^Is_Block=-_miscellaneous_Symbols_AND_PICTOGRAPHS}', "");
Expect(0, 128512, '\p{Is_Block=-_miscellaneous_Symbols_AND_PICTOGRAPHS}', "");
Expect(1, 128512, '\p{^Is_Block=-_miscellaneous_Symbols_AND_PICTOGRAPHS}', "");
Expect(1, 128512, '\P{Is_Block=-_miscellaneous_Symbols_AND_PICTOGRAPHS}', "");
Expect(0, 128512, '\P{^Is_Block=-_miscellaneous_Symbols_AND_PICTOGRAPHS}', "");
Error('\p{Is_Blk=/a/	Misc_PICTOGRAPHS}');
Error('\P{Is_Blk=/a/	Misc_PICTOGRAPHS}');
Expect(1, 128511, '\p{Is_Blk=miscpictographs}', "");
Expect(0, 128511, '\p{^Is_Blk=miscpictographs}', "");
Expect(0, 128511, '\P{Is_Blk=miscpictographs}', "");
Expect(1, 128511, '\P{^Is_Blk=miscpictographs}', "");
Expect(0, 128512, '\p{Is_Blk=miscpictographs}', "");
Expect(1, 128512, '\p{^Is_Blk=miscpictographs}', "");
Expect(1, 128512, '\P{Is_Blk=miscpictographs}', "");
Expect(0, 128512, '\P{^Is_Blk=miscpictographs}', "");
Expect(1, 128511, '\p{Is_Blk:    Misc_pictographs}', "");
Expect(0, 128511, '\p{^Is_Blk:    Misc_pictographs}', "");
Expect(0, 128511, '\P{Is_Blk:    Misc_pictographs}', "");
Expect(1, 128511, '\P{^Is_Blk:    Misc_pictographs}', "");
Expect(0, 128512, '\p{Is_Blk:    Misc_pictographs}', "");
Expect(1, 128512, '\p{^Is_Blk:    Misc_pictographs}', "");
Expect(1, 128512, '\P{Is_Blk:    Misc_pictographs}', "");
Expect(0, 128512, '\P{^Is_Blk:    Misc_pictographs}', "");
Error('\p{Block=	miscellaneous_SYMBOLS:=}');
Error('\P{Block=	miscellaneous_SYMBOLS:=}');
Expect(1, 9983, '\p{Block=miscellaneoussymbols}', "");
Expect(0, 9983, '\p{^Block=miscellaneoussymbols}', "");
Expect(0, 9983, '\P{Block=miscellaneoussymbols}', "");
Expect(1, 9983, '\P{^Block=miscellaneoussymbols}', "");
Expect(0, 9984, '\p{Block=miscellaneoussymbols}', "");
Expect(1, 9984, '\p{^Block=miscellaneoussymbols}', "");
Expect(1, 9984, '\P{Block=miscellaneoussymbols}', "");
Expect(0, 9984, '\P{^Block=miscellaneoussymbols}', "");
Expect(1, 9983, '\p{Block=-	Miscellaneous_symbols}', "");
Expect(0, 9983, '\p{^Block=-	Miscellaneous_symbols}', "");
Expect(0, 9983, '\P{Block=-	Miscellaneous_symbols}', "");
Expect(1, 9983, '\P{^Block=-	Miscellaneous_symbols}', "");
Expect(0, 9984, '\p{Block=-	Miscellaneous_symbols}', "");
Expect(1, 9984, '\p{^Block=-	Miscellaneous_symbols}', "");
Expect(1, 9984, '\P{Block=-	Miscellaneous_symbols}', "");
Expect(0, 9984, '\P{^Block=-	Miscellaneous_symbols}', "");
Error('\p{Blk=:= -Misc_SYMBOLS}');
Error('\P{Blk=:= -Misc_SYMBOLS}');
Expect(1, 9983, '\p{Blk=miscsymbols}', "");
Expect(0, 9983, '\p{^Blk=miscsymbols}', "");
Expect(0, 9983, '\P{Blk=miscsymbols}', "");
Expect(1, 9983, '\P{^Blk=miscsymbols}', "");
Expect(0, 9984, '\p{Blk=miscsymbols}', "");
Expect(1, 9984, '\p{^Blk=miscsymbols}', "");
Expect(1, 9984, '\P{Blk=miscsymbols}', "");
Expect(0, 9984, '\P{^Blk=miscsymbols}', "");
Expect(1, 9983, '\p{Blk=	 misc_SYMBOLS}', "");
Expect(0, 9983, '\p{^Blk=	 misc_SYMBOLS}', "");
Expect(0, 9983, '\P{Blk=	 misc_SYMBOLS}', "");
Expect(1, 9983, '\P{^Blk=	 misc_SYMBOLS}', "");
Expect(0, 9984, '\p{Blk=	 misc_SYMBOLS}', "");
Expect(1, 9984, '\p{^Blk=	 misc_SYMBOLS}', "");
Expect(1, 9984, '\P{Blk=	 misc_SYMBOLS}', "");
Expect(0, 9984, '\P{^Blk=	 misc_SYMBOLS}', "");
Error('\p{Is_Block=_/a/Miscellaneous_symbols}');
Error('\P{Is_Block=_/a/Miscellaneous_symbols}');
Expect(1, 9983, '\p{Is_Block=miscellaneoussymbols}', "");
Expect(0, 9983, '\p{^Is_Block=miscellaneoussymbols}', "");
Expect(0, 9983, '\P{Is_Block=miscellaneoussymbols}', "");
Expect(1, 9983, '\P{^Is_Block=miscellaneoussymbols}', "");
Expect(0, 9984, '\p{Is_Block=miscellaneoussymbols}', "");
Expect(1, 9984, '\p{^Is_Block=miscellaneoussymbols}', "");
Expect(1, 9984, '\P{Is_Block=miscellaneoussymbols}', "");
Expect(0, 9984, '\P{^Is_Block=miscellaneoussymbols}', "");
Expect(1, 9983, '\p{Is_Block= _Miscellaneous_Symbols}', "");
Expect(0, 9983, '\p{^Is_Block= _Miscellaneous_Symbols}', "");
Expect(0, 9983, '\P{Is_Block= _Miscellaneous_Symbols}', "");
Expect(1, 9983, '\P{^Is_Block= _Miscellaneous_Symbols}', "");
Expect(0, 9984, '\p{Is_Block= _Miscellaneous_Symbols}', "");
Expect(1, 9984, '\p{^Is_Block= _Miscellaneous_Symbols}', "");
Expect(1, 9984, '\P{Is_Block= _Miscellaneous_Symbols}', "");
Expect(0, 9984, '\P{^Is_Block= _Miscellaneous_Symbols}', "");
Error('\p{Is_Blk=:= Misc_symbols}');
Error('\P{Is_Blk=:= Misc_symbols}');
Expect(1, 9983, '\p{Is_Blk=miscsymbols}', "");
Expect(0, 9983, '\p{^Is_Blk=miscsymbols}', "");
Expect(0, 9983, '\P{Is_Blk=miscsymbols}', "");
Expect(1, 9983, '\P{^Is_Blk=miscsymbols}', "");
Expect(0, 9984, '\p{Is_Blk=miscsymbols}', "");
Expect(1, 9984, '\p{^Is_Blk=miscsymbols}', "");
Expect(1, 9984, '\P{Is_Blk=miscsymbols}', "");
Expect(0, 9984, '\P{^Is_Blk=miscsymbols}', "");
Expect(1, 9983, '\p{Is_Blk=	_Misc_SYMBOLS}', "");
Expect(0, 9983, '\p{^Is_Blk=	_Misc_SYMBOLS}', "");
Expect(0, 9983, '\P{Is_Blk=	_Misc_SYMBOLS}', "");
Expect(1, 9983, '\P{^Is_Blk=	_Misc_SYMBOLS}', "");
Expect(0, 9984, '\p{Is_Blk=	_Misc_SYMBOLS}', "");
Expect(1, 9984, '\p{^Is_Blk=	_Misc_SYMBOLS}', "");
Expect(1, 9984, '\P{Is_Blk=	_Misc_SYMBOLS}', "");
Expect(0, 9984, '\P{^Is_Blk=	_Misc_SYMBOLS}', "");
Error('\p{Block=/a/	 MISCELLANEOUS_technical}');
Error('\P{Block=/a/	 MISCELLANEOUS_technical}');
Expect(1, 9215, '\p{Block=miscellaneoustechnical}', "");
Expect(0, 9215, '\p{^Block=miscellaneoustechnical}', "");
Expect(0, 9215, '\P{Block=miscellaneoustechnical}', "");
Expect(1, 9215, '\P{^Block=miscellaneoustechnical}', "");
Expect(0, 9216, '\p{Block=miscellaneoustechnical}', "");
Expect(1, 9216, '\p{^Block=miscellaneoustechnical}', "");
Expect(1, 9216, '\P{Block=miscellaneoustechnical}', "");
Expect(0, 9216, '\P{^Block=miscellaneoustechnical}', "");
Expect(1, 9215, '\p{Block= _Miscellaneous_technical}', "");
Expect(0, 9215, '\p{^Block= _Miscellaneous_technical}', "");
Expect(0, 9215, '\P{Block= _Miscellaneous_technical}', "");
Expect(1, 9215, '\P{^Block= _Miscellaneous_technical}', "");
Expect(0, 9216, '\p{Block= _Miscellaneous_technical}', "");
Expect(1, 9216, '\p{^Block= _Miscellaneous_technical}', "");
Expect(1, 9216, '\P{Block= _Miscellaneous_technical}', "");
Expect(0, 9216, '\P{^Block= _Miscellaneous_technical}', "");
Error('\p{Blk= -MISC_TECHNICAL/a/}');
Error('\P{Blk= -MISC_TECHNICAL/a/}');
Expect(1, 9215, '\p{Blk=misctechnical}', "");
Expect(0, 9215, '\p{^Blk=misctechnical}', "");
Expect(0, 9215, '\P{Blk=misctechnical}', "");
Expect(1, 9215, '\P{^Blk=misctechnical}', "");
Expect(0, 9216, '\p{Blk=misctechnical}', "");
Expect(1, 9216, '\p{^Blk=misctechnical}', "");
Expect(1, 9216, '\P{Blk=misctechnical}', "");
Expect(0, 9216, '\P{^Blk=misctechnical}', "");
Expect(1, 9215, '\p{Blk=_	MISC_TECHNICAL}', "");
Expect(0, 9215, '\p{^Blk=_	MISC_TECHNICAL}', "");
Expect(0, 9215, '\P{Blk=_	MISC_TECHNICAL}', "");
Expect(1, 9215, '\P{^Blk=_	MISC_TECHNICAL}', "");
Expect(0, 9216, '\p{Blk=_	MISC_TECHNICAL}', "");
Expect(1, 9216, '\p{^Blk=_	MISC_TECHNICAL}', "");
Expect(1, 9216, '\P{Blk=_	MISC_TECHNICAL}', "");
Expect(0, 9216, '\P{^Blk=_	MISC_TECHNICAL}', "");
Error('\p{Is_Block=  Miscellaneous_TECHNICAL:=}');
Error('\P{Is_Block=  Miscellaneous_TECHNICAL:=}');
Expect(1, 9215, '\p{Is_Block=miscellaneoustechnical}', "");
Expect(0, 9215, '\p{^Is_Block=miscellaneoustechnical}', "");
Expect(0, 9215, '\P{Is_Block=miscellaneoustechnical}', "");
Expect(1, 9215, '\P{^Is_Block=miscellaneoustechnical}', "");
Expect(0, 9216, '\p{Is_Block=miscellaneoustechnical}', "");
Expect(1, 9216, '\p{^Is_Block=miscellaneoustechnical}', "");
Expect(1, 9216, '\P{Is_Block=miscellaneoustechnical}', "");
Expect(0, 9216, '\P{^Is_Block=miscellaneoustechnical}', "");
Expect(1, 9215, '\p{Is_Block=_	Miscellaneous_Technical}', "");
Expect(0, 9215, '\p{^Is_Block=_	Miscellaneous_Technical}', "");
Expect(0, 9215, '\P{Is_Block=_	Miscellaneous_Technical}', "");
Expect(1, 9215, '\P{^Is_Block=_	Miscellaneous_Technical}', "");
Expect(0, 9216, '\p{Is_Block=_	Miscellaneous_Technical}', "");
Expect(1, 9216, '\p{^Is_Block=_	Miscellaneous_Technical}', "");
Expect(1, 9216, '\P{Is_Block=_	Miscellaneous_Technical}', "");
Expect(0, 9216, '\P{^Is_Block=_	Miscellaneous_Technical}', "");
Error('\p{Is_Blk=	Misc_TECHNICAL:=}');
Error('\P{Is_Blk=	Misc_TECHNICAL:=}');
Expect(1, 9215, '\p{Is_Blk:misctechnical}', "");
Expect(0, 9215, '\p{^Is_Blk:misctechnical}', "");
Expect(0, 9215, '\P{Is_Blk:misctechnical}', "");
Expect(1, 9215, '\P{^Is_Blk:misctechnical}', "");
Expect(0, 9216, '\p{Is_Blk:misctechnical}', "");
Expect(1, 9216, '\p{^Is_Blk:misctechnical}', "");
Expect(1, 9216, '\P{Is_Blk:misctechnical}', "");
Expect(0, 9216, '\P{^Is_Blk:misctechnical}', "");
Expect(1, 9215, '\p{Is_Blk: -Misc_Technical}', "");
Expect(0, 9215, '\p{^Is_Blk: -Misc_Technical}', "");
Expect(0, 9215, '\P{Is_Blk: -Misc_Technical}', "");
Expect(1, 9215, '\P{^Is_Blk: -Misc_Technical}', "");
Expect(0, 9216, '\p{Is_Blk: -Misc_Technical}', "");
Expect(1, 9216, '\p{^Is_Blk: -Misc_Technical}', "");
Expect(1, 9216, '\P{Is_Blk: -Misc_Technical}', "");
Expect(0, 9216, '\P{^Is_Blk: -Misc_Technical}', "");
Error('\p{Block=_-MODI:=}');
Error('\P{Block=_-MODI:=}');
Expect(1, 71263, '\p{Block=modi}', "");
Expect(0, 71263, '\p{^Block=modi}', "");
Expect(0, 71263, '\P{Block=modi}', "");
Expect(1, 71263, '\P{^Block=modi}', "");
Expect(0, 71264, '\p{Block=modi}', "");
Expect(1, 71264, '\p{^Block=modi}', "");
Expect(1, 71264, '\P{Block=modi}', "");
Expect(0, 71264, '\P{^Block=modi}', "");
Expect(1, 71263, '\p{Block=	-modi}', "");
Expect(0, 71263, '\p{^Block=	-modi}', "");
Expect(0, 71263, '\P{Block=	-modi}', "");
Expect(1, 71263, '\P{^Block=	-modi}', "");
Expect(0, 71264, '\p{Block=	-modi}', "");
Expect(1, 71264, '\p{^Block=	-modi}', "");
Expect(1, 71264, '\P{Block=	-modi}', "");
Expect(0, 71264, '\P{^Block=	-modi}', "");
Error('\p{Blk=:= 	Modi}');
Error('\P{Blk=:= 	Modi}');
Expect(1, 71263, '\p{Blk:	modi}', "");
Expect(0, 71263, '\p{^Blk:	modi}', "");
Expect(0, 71263, '\P{Blk:	modi}', "");
Expect(1, 71263, '\P{^Blk:	modi}', "");
Expect(0, 71264, '\p{Blk:	modi}', "");
Expect(1, 71264, '\p{^Blk:	modi}', "");
Expect(1, 71264, '\P{Blk:	modi}', "");
Expect(0, 71264, '\P{^Blk:	modi}', "");
Expect(1, 71263, '\p{Blk=_	MODI}', "");
Expect(0, 71263, '\p{^Blk=_	MODI}', "");
Expect(0, 71263, '\P{Blk=_	MODI}', "");
Expect(1, 71263, '\P{^Blk=_	MODI}', "");
Expect(0, 71264, '\p{Blk=_	MODI}', "");
Expect(1, 71264, '\p{^Blk=_	MODI}', "");
Expect(1, 71264, '\P{Blk=_	MODI}', "");
Expect(0, 71264, '\P{^Blk=_	MODI}', "");
Error('\p{Is_Block:   := -Modi}');
Error('\P{Is_Block:   := -Modi}');
Expect(1, 71263, '\p{Is_Block=modi}', "");
Expect(0, 71263, '\p{^Is_Block=modi}', "");
Expect(0, 71263, '\P{Is_Block=modi}', "");
Expect(1, 71263, '\P{^Is_Block=modi}', "");
Expect(0, 71264, '\p{Is_Block=modi}', "");
Expect(1, 71264, '\p{^Is_Block=modi}', "");
Expect(1, 71264, '\P{Is_Block=modi}', "");
Expect(0, 71264, '\P{^Is_Block=modi}', "");
Expect(1, 71263, '\p{Is_Block=_	modi}', "");
Expect(0, 71263, '\p{^Is_Block=_	modi}', "");
Expect(0, 71263, '\P{Is_Block=_	modi}', "");
Expect(1, 71263, '\P{^Is_Block=_	modi}', "");
Expect(0, 71264, '\p{Is_Block=_	modi}', "");
Expect(1, 71264, '\p{^Is_Block=_	modi}', "");
Expect(1, 71264, '\P{Is_Block=_	modi}', "");
Expect(0, 71264, '\P{^Is_Block=_	modi}', "");
Error('\p{Is_Blk=	Modi:=}');
Error('\P{Is_Blk=	Modi:=}');
Expect(1, 71263, '\p{Is_Blk=modi}', "");
Expect(0, 71263, '\p{^Is_Blk=modi}', "");
Expect(0, 71263, '\P{Is_Blk=modi}', "");
Expect(1, 71263, '\P{^Is_Blk=modi}', "");
Expect(0, 71264, '\p{Is_Blk=modi}', "");
Expect(1, 71264, '\p{^Is_Blk=modi}', "");
Expect(1, 71264, '\P{Is_Blk=modi}', "");
Expect(0, 71264, '\P{^Is_Blk=modi}', "");
Expect(1, 71263, '\p{Is_Blk=_ MODI}', "");
Expect(0, 71263, '\p{^Is_Blk=_ MODI}', "");
Expect(0, 71263, '\P{Is_Blk=_ MODI}', "");
Expect(1, 71263, '\P{^Is_Blk=_ MODI}', "");
Expect(0, 71264, '\p{Is_Blk=_ MODI}', "");
Expect(1, 71264, '\p{^Is_Blk=_ MODI}', "");
Expect(1, 71264, '\P{Is_Blk=_ MODI}', "");
Expect(0, 71264, '\P{^Is_Blk=_ MODI}', "");
Error('\p{Block=/a/-	Spacing_MODIFIER_Letters}');
Error('\P{Block=/a/-	Spacing_MODIFIER_Letters}');
Expect(1, 767, '\p{Block=spacingmodifierletters}', "");
Expect(0, 767, '\p{^Block=spacingmodifierletters}', "");
Expect(0, 767, '\P{Block=spacingmodifierletters}', "");
Expect(1, 767, '\P{^Block=spacingmodifierletters}', "");
Expect(0, 768, '\p{Block=spacingmodifierletters}', "");
Expect(1, 768, '\p{^Block=spacingmodifierletters}', "");
Expect(1, 768, '\P{Block=spacingmodifierletters}', "");
Expect(0, 768, '\P{^Block=spacingmodifierletters}', "");
Expect(1, 767, '\p{Block=_SPACING_Modifier_letters}', "");
Expect(0, 767, '\p{^Block=_SPACING_Modifier_letters}', "");
Expect(0, 767, '\P{Block=_SPACING_Modifier_letters}', "");
Expect(1, 767, '\P{^Block=_SPACING_Modifier_letters}', "");
Expect(0, 768, '\p{Block=_SPACING_Modifier_letters}', "");
Expect(1, 768, '\p{^Block=_SPACING_Modifier_letters}', "");
Expect(1, 768, '\P{Block=_SPACING_Modifier_letters}', "");
Expect(0, 768, '\P{^Block=_SPACING_Modifier_letters}', "");
Error('\p{Blk=:=-	MODIFIER_letters}');
Error('\P{Blk=:=-	MODIFIER_letters}');
Expect(1, 767, '\p{Blk=modifierletters}', "");
Expect(0, 767, '\p{^Blk=modifierletters}', "");
Expect(0, 767, '\P{Blk=modifierletters}', "");
Expect(1, 767, '\P{^Blk=modifierletters}', "");
Expect(0, 768, '\p{Blk=modifierletters}', "");
Expect(1, 768, '\p{^Blk=modifierletters}', "");
Expect(1, 768, '\P{Blk=modifierletters}', "");
Expect(0, 768, '\P{^Blk=modifierletters}', "");
Expect(1, 767, '\p{Blk: _Modifier_LETTERS}', "");
Expect(0, 767, '\p{^Blk: _Modifier_LETTERS}', "");
Expect(0, 767, '\P{Blk: _Modifier_LETTERS}', "");
Expect(1, 767, '\P{^Blk: _Modifier_LETTERS}', "");
Expect(0, 768, '\p{Blk: _Modifier_LETTERS}', "");
Expect(1, 768, '\p{^Blk: _Modifier_LETTERS}', "");
Expect(1, 768, '\P{Blk: _Modifier_LETTERS}', "");
Expect(0, 768, '\P{^Blk: _Modifier_LETTERS}', "");
Error('\p{Is_Block=:=-SPACING_MODIFIER_Letters}');
Error('\P{Is_Block=:=-SPACING_MODIFIER_Letters}');
Expect(1, 767, '\p{Is_Block=spacingmodifierletters}', "");
Expect(0, 767, '\p{^Is_Block=spacingmodifierletters}', "");
Expect(0, 767, '\P{Is_Block=spacingmodifierletters}', "");
Expect(1, 767, '\P{^Is_Block=spacingmodifierletters}', "");
Expect(0, 768, '\p{Is_Block=spacingmodifierletters}', "");
Expect(1, 768, '\p{^Is_Block=spacingmodifierletters}', "");
Expect(1, 768, '\P{Is_Block=spacingmodifierletters}', "");
Expect(0, 768, '\P{^Is_Block=spacingmodifierletters}', "");
Expect(1, 767, '\p{Is_Block= -Spacing_Modifier_LETTERS}', "");
Expect(0, 767, '\p{^Is_Block= -Spacing_Modifier_LETTERS}', "");
Expect(0, 767, '\P{Is_Block= -Spacing_Modifier_LETTERS}', "");
Expect(1, 767, '\P{^Is_Block= -Spacing_Modifier_LETTERS}', "");
Expect(0, 768, '\p{Is_Block= -Spacing_Modifier_LETTERS}', "");
Expect(1, 768, '\p{^Is_Block= -Spacing_Modifier_LETTERS}', "");
Expect(1, 768, '\P{Is_Block= -Spacing_Modifier_LETTERS}', "");
Expect(0, 768, '\P{^Is_Block= -Spacing_Modifier_LETTERS}', "");
Error('\p{Is_Blk=-/a/modifier_LETTERS}');
Error('\P{Is_Blk=-/a/modifier_LETTERS}');
Expect(1, 767, '\p{Is_Blk=modifierletters}', "");
Expect(0, 767, '\p{^Is_Blk=modifierletters}', "");
Expect(0, 767, '\P{Is_Blk=modifierletters}', "");
Expect(1, 767, '\P{^Is_Blk=modifierletters}', "");
Expect(0, 768, '\p{Is_Blk=modifierletters}', "");
Expect(1, 768, '\p{^Is_Blk=modifierletters}', "");
Expect(1, 768, '\P{Is_Blk=modifierletters}', "");
Expect(0, 768, '\P{^Is_Blk=modifierletters}', "");
Expect(1, 767, '\p{Is_Blk: _Modifier_Letters}', "");
Expect(0, 767, '\p{^Is_Blk: _Modifier_Letters}', "");
Expect(0, 767, '\P{Is_Blk: _Modifier_Letters}', "");
Expect(1, 767, '\P{^Is_Blk: _Modifier_Letters}', "");
Expect(0, 768, '\p{Is_Blk: _Modifier_Letters}', "");
Expect(1, 768, '\p{^Is_Blk: _Modifier_Letters}', "");
Expect(1, 768, '\P{Is_Blk: _Modifier_Letters}', "");
Expect(0, 768, '\P{^Is_Blk: _Modifier_Letters}', "");
Error('\p{Block=_/a/MODIFIER_Tone_Letters}');
Error('\P{Block=_/a/MODIFIER_Tone_Letters}');
Expect(1, 42783, '\p{Block=modifiertoneletters}', "");
Expect(0, 42783, '\p{^Block=modifiertoneletters}', "");
Expect(0, 42783, '\P{Block=modifiertoneletters}', "");
Expect(1, 42783, '\P{^Block=modifiertoneletters}', "");
Expect(0, 42784, '\p{Block=modifiertoneletters}', "");
Expect(1, 42784, '\p{^Block=modifiertoneletters}', "");
Expect(1, 42784, '\P{Block=modifiertoneletters}', "");
Expect(0, 42784, '\P{^Block=modifiertoneletters}', "");
Expect(1, 42783, '\p{Block=- modifier_TONE_Letters}', "");
Expect(0, 42783, '\p{^Block=- modifier_TONE_Letters}', "");
Expect(0, 42783, '\P{Block=- modifier_TONE_Letters}', "");
Expect(1, 42783, '\P{^Block=- modifier_TONE_Letters}', "");
Expect(0, 42784, '\p{Block=- modifier_TONE_Letters}', "");
Expect(1, 42784, '\p{^Block=- modifier_TONE_Letters}', "");
Expect(1, 42784, '\P{Block=- modifier_TONE_Letters}', "");
Expect(0, 42784, '\P{^Block=- modifier_TONE_Letters}', "");
Error('\p{Blk=Modifier_tone_Letters:=}');
Error('\P{Blk=Modifier_tone_Letters:=}');
Expect(1, 42783, '\p{Blk=modifiertoneletters}', "");
Expect(0, 42783, '\p{^Blk=modifiertoneletters}', "");
Expect(0, 42783, '\P{Blk=modifiertoneletters}', "");
Expect(1, 42783, '\P{^Blk=modifiertoneletters}', "");
Expect(0, 42784, '\p{Blk=modifiertoneletters}', "");
Expect(1, 42784, '\p{^Blk=modifiertoneletters}', "");
Expect(1, 42784, '\P{Blk=modifiertoneletters}', "");
Expect(0, 42784, '\P{^Blk=modifiertoneletters}', "");
Expect(1, 42783, '\p{Blk=-Modifier_Tone_LETTERS}', "");
Expect(0, 42783, '\p{^Blk=-Modifier_Tone_LETTERS}', "");
Expect(0, 42783, '\P{Blk=-Modifier_Tone_LETTERS}', "");
Expect(1, 42783, '\P{^Blk=-Modifier_Tone_LETTERS}', "");
Expect(0, 42784, '\p{Blk=-Modifier_Tone_LETTERS}', "");
Expect(1, 42784, '\p{^Blk=-Modifier_Tone_LETTERS}', "");
Expect(1, 42784, '\P{Blk=-Modifier_Tone_LETTERS}', "");
Expect(0, 42784, '\P{^Blk=-Modifier_Tone_LETTERS}', "");
Error('\p{Is_Block=/a/_Modifier_Tone_Letters}');
Error('\P{Is_Block=/a/_Modifier_Tone_Letters}');
Expect(1, 42783, '\p{Is_Block=modifiertoneletters}', "");
Expect(0, 42783, '\p{^Is_Block=modifiertoneletters}', "");
Expect(0, 42783, '\P{Is_Block=modifiertoneletters}', "");
Expect(1, 42783, '\P{^Is_Block=modifiertoneletters}', "");
Expect(0, 42784, '\p{Is_Block=modifiertoneletters}', "");
Expect(1, 42784, '\p{^Is_Block=modifiertoneletters}', "");
Expect(1, 42784, '\P{Is_Block=modifiertoneletters}', "");
Expect(0, 42784, '\P{^Is_Block=modifiertoneletters}', "");
Expect(1, 42783, '\p{Is_Block=--modifier_tone_Letters}', "");
Expect(0, 42783, '\p{^Is_Block=--modifier_tone_Letters}', "");
Expect(0, 42783, '\P{Is_Block=--modifier_tone_Letters}', "");
Expect(1, 42783, '\P{^Is_Block=--modifier_tone_Letters}', "");
Expect(0, 42784, '\p{Is_Block=--modifier_tone_Letters}', "");
Expect(1, 42784, '\p{^Is_Block=--modifier_tone_Letters}', "");
Expect(1, 42784, '\P{Is_Block=--modifier_tone_Letters}', "");
Expect(0, 42784, '\P{^Is_Block=--modifier_tone_Letters}', "");
Error('\p{Is_Blk=--Modifier_Tone_LETTERS/a/}');
Error('\P{Is_Blk=--Modifier_Tone_LETTERS/a/}');
Expect(1, 42783, '\p{Is_Blk=modifiertoneletters}', "");
Expect(0, 42783, '\p{^Is_Blk=modifiertoneletters}', "");
Expect(0, 42783, '\P{Is_Blk=modifiertoneletters}', "");
Expect(1, 42783, '\P{^Is_Blk=modifiertoneletters}', "");
Expect(0, 42784, '\p{Is_Blk=modifiertoneletters}', "");
Expect(1, 42784, '\p{^Is_Blk=modifiertoneletters}', "");
Expect(1, 42784, '\P{Is_Blk=modifiertoneletters}', "");
Expect(0, 42784, '\P{^Is_Blk=modifiertoneletters}', "");
Expect(1, 42783, '\p{Is_Blk= 	modifier_tone_Letters}', "");
Expect(0, 42783, '\p{^Is_Blk= 	modifier_tone_Letters}', "");
Expect(0, 42783, '\P{Is_Blk= 	modifier_tone_Letters}', "");
Expect(1, 42783, '\P{^Is_Blk= 	modifier_tone_Letters}', "");
Expect(0, 42784, '\p{Is_Blk= 	modifier_tone_Letters}', "");
Expect(1, 42784, '\p{^Is_Blk= 	modifier_tone_Letters}', "");
Expect(1, 42784, '\P{Is_Blk= 	modifier_tone_Letters}', "");
Expect(0, 42784, '\P{^Is_Blk= 	modifier_tone_Letters}', "");
Error('\p{Block=	Mongolian:=}');
Error('\P{Block=	Mongolian:=}');
Expect(1, 6319, '\p{Block=mongolian}', "");
Expect(0, 6319, '\p{^Block=mongolian}', "");
Expect(0, 6319, '\P{Block=mongolian}', "");
Expect(1, 6319, '\P{^Block=mongolian}', "");
Expect(0, 6320, '\p{Block=mongolian}', "");
Expect(1, 6320, '\p{^Block=mongolian}', "");
Expect(1, 6320, '\P{Block=mongolian}', "");
Expect(0, 6320, '\P{^Block=mongolian}', "");
Expect(1, 6319, '\p{Block: 	 MONGOLIAN}', "");
Expect(0, 6319, '\p{^Block: 	 MONGOLIAN}', "");
Expect(0, 6319, '\P{Block: 	 MONGOLIAN}', "");
Expect(1, 6319, '\P{^Block: 	 MONGOLIAN}', "");
Expect(0, 6320, '\p{Block: 	 MONGOLIAN}', "");
Expect(1, 6320, '\p{^Block: 	 MONGOLIAN}', "");
Expect(1, 6320, '\P{Block: 	 MONGOLIAN}', "");
Expect(0, 6320, '\P{^Block: 	 MONGOLIAN}', "");
Error('\p{Blk=_mongolian/a/}');
Error('\P{Blk=_mongolian/a/}');
Expect(1, 6319, '\p{Blk=mongolian}', "");
Expect(0, 6319, '\p{^Blk=mongolian}', "");
Expect(0, 6319, '\P{Blk=mongolian}', "");
Expect(1, 6319, '\P{^Blk=mongolian}', "");
Expect(0, 6320, '\p{Blk=mongolian}', "");
Expect(1, 6320, '\p{^Blk=mongolian}', "");
Expect(1, 6320, '\P{Blk=mongolian}', "");
Expect(0, 6320, '\P{^Blk=mongolian}', "");
Expect(1, 6319, '\p{Blk=-	MONGOLIAN}', "");
Expect(0, 6319, '\p{^Blk=-	MONGOLIAN}', "");
Expect(0, 6319, '\P{Blk=-	MONGOLIAN}', "");
Expect(1, 6319, '\P{^Blk=-	MONGOLIAN}', "");
Expect(0, 6320, '\p{Blk=-	MONGOLIAN}', "");
Expect(1, 6320, '\p{^Blk=-	MONGOLIAN}', "");
Expect(1, 6320, '\P{Blk=-	MONGOLIAN}', "");
Expect(0, 6320, '\P{^Blk=-	MONGOLIAN}', "");
Error('\p{Is_Block=	-mongolian:=}');
Error('\P{Is_Block=	-mongolian:=}');
Expect(1, 6319, '\p{Is_Block=mongolian}', "");
Expect(0, 6319, '\p{^Is_Block=mongolian}', "");
Expect(0, 6319, '\P{Is_Block=mongolian}', "");
Expect(1, 6319, '\P{^Is_Block=mongolian}', "");
Expect(0, 6320, '\p{Is_Block=mongolian}', "");
Expect(1, 6320, '\p{^Is_Block=mongolian}', "");
Expect(1, 6320, '\P{Is_Block=mongolian}', "");
Expect(0, 6320, '\P{^Is_Block=mongolian}', "");
Expect(1, 6319, '\p{Is_Block=_mongolian}', "");
Expect(0, 6319, '\p{^Is_Block=_mongolian}', "");
Expect(0, 6319, '\P{Is_Block=_mongolian}', "");
Expect(1, 6319, '\P{^Is_Block=_mongolian}', "");
Expect(0, 6320, '\p{Is_Block=_mongolian}', "");
Expect(1, 6320, '\p{^Is_Block=_mongolian}', "");
Expect(1, 6320, '\P{Is_Block=_mongolian}', "");
Expect(0, 6320, '\P{^Is_Block=_mongolian}', "");
Error('\p{Is_Blk=/a/_ MONGOLIAN}');
Error('\P{Is_Blk=/a/_ MONGOLIAN}');
Expect(1, 6319, '\p{Is_Blk:	mongolian}', "");
Expect(0, 6319, '\p{^Is_Blk:	mongolian}', "");
Expect(0, 6319, '\P{Is_Blk:	mongolian}', "");
Expect(1, 6319, '\P{^Is_Blk:	mongolian}', "");
Expect(0, 6320, '\p{Is_Blk:	mongolian}', "");
Expect(1, 6320, '\p{^Is_Blk:	mongolian}', "");
Expect(1, 6320, '\P{Is_Blk:	mongolian}', "");
Expect(0, 6320, '\P{^Is_Blk:	mongolian}', "");
Expect(1, 6319, '\p{Is_Blk=_ mongolian}', "");
Expect(0, 6319, '\p{^Is_Blk=_ mongolian}', "");
Expect(0, 6319, '\P{Is_Blk=_ mongolian}', "");
Expect(1, 6319, '\P{^Is_Blk=_ mongolian}', "");
Expect(0, 6320, '\p{Is_Blk=_ mongolian}', "");
Expect(1, 6320, '\p{^Is_Blk=_ mongolian}', "");
Expect(1, 6320, '\P{Is_Blk=_ mongolian}', "");
Expect(0, 6320, '\P{^Is_Blk=_ mongolian}', "");
Error('\p{Block=-:=MRO}');
Error('\P{Block=-:=MRO}');
Expect(1, 92783, '\p{Block=mro}', "");
Expect(0, 92783, '\p{^Block=mro}', "");
Expect(0, 92783, '\P{Block=mro}', "");
Expect(1, 92783, '\P{^Block=mro}', "");
Expect(0, 92784, '\p{Block=mro}', "");
Expect(1, 92784, '\p{^Block=mro}', "");
Expect(1, 92784, '\P{Block=mro}', "");
Expect(0, 92784, '\P{^Block=mro}', "");
Expect(1, 92783, '\p{Block= 	MRO}', "");
Expect(0, 92783, '\p{^Block= 	MRO}', "");
Expect(0, 92783, '\P{Block= 	MRO}', "");
Expect(1, 92783, '\P{^Block= 	MRO}', "");
Expect(0, 92784, '\p{Block= 	MRO}', "");
Expect(1, 92784, '\p{^Block= 	MRO}', "");
Expect(1, 92784, '\P{Block= 	MRO}', "");
Expect(0, 92784, '\P{^Block= 	MRO}', "");
Error('\p{Blk=:=Mro}');
Error('\P{Blk=:=Mro}');
Expect(1, 92783, '\p{Blk=mro}', "");
Expect(0, 92783, '\p{^Blk=mro}', "");
Expect(0, 92783, '\P{Blk=mro}', "");
Expect(1, 92783, '\P{^Blk=mro}', "");
Expect(0, 92784, '\p{Blk=mro}', "");
Expect(1, 92784, '\p{^Blk=mro}', "");
Expect(1, 92784, '\P{Blk=mro}', "");
Expect(0, 92784, '\P{^Blk=mro}', "");
Expect(1, 92783, '\p{Blk=_	mro}', "");
Expect(0, 92783, '\p{^Blk=_	mro}', "");
Expect(0, 92783, '\P{Blk=_	mro}', "");
Expect(1, 92783, '\P{^Blk=_	mro}', "");
Expect(0, 92784, '\p{Blk=_	mro}', "");
Expect(1, 92784, '\p{^Blk=_	mro}', "");
Expect(1, 92784, '\P{Blk=_	mro}', "");
Expect(0, 92784, '\P{^Blk=_	mro}', "");
Error('\p{Is_Block=/a/_Mro}');
Error('\P{Is_Block=/a/_Mro}');
Expect(1, 92783, '\p{Is_Block=mro}', "");
Expect(0, 92783, '\p{^Is_Block=mro}', "");
Expect(0, 92783, '\P{Is_Block=mro}', "");
Expect(1, 92783, '\P{^Is_Block=mro}', "");
Expect(0, 92784, '\p{Is_Block=mro}', "");
Expect(1, 92784, '\p{^Is_Block=mro}', "");
Expect(1, 92784, '\P{Is_Block=mro}', "");
Expect(0, 92784, '\P{^Is_Block=mro}', "");
Expect(1, 92783, '\p{Is_Block=--Mro}', "");
Expect(0, 92783, '\p{^Is_Block=--Mro}', "");
Expect(0, 92783, '\P{Is_Block=--Mro}', "");
Expect(1, 92783, '\P{^Is_Block=--Mro}', "");
Expect(0, 92784, '\p{Is_Block=--Mro}', "");
Expect(1, 92784, '\p{^Is_Block=--Mro}', "");
Expect(1, 92784, '\P{Is_Block=--Mro}', "");
Expect(0, 92784, '\P{^Is_Block=--Mro}', "");
Error('\p{Is_Blk=-/a/Mro}');
Error('\P{Is_Blk=-/a/Mro}');
Expect(1, 92783, '\p{Is_Blk=mro}', "");
Expect(0, 92783, '\p{^Is_Blk=mro}', "");
Expect(0, 92783, '\P{Is_Blk=mro}', "");
Expect(1, 92783, '\P{^Is_Blk=mro}', "");
Expect(0, 92784, '\p{Is_Blk=mro}', "");
Expect(1, 92784, '\p{^Is_Blk=mro}', "");
Expect(1, 92784, '\P{Is_Blk=mro}', "");
Expect(0, 92784, '\P{^Is_Blk=mro}', "");
Expect(1, 92783, '\p{Is_Blk:		MRO}', "");
Expect(0, 92783, '\p{^Is_Blk:		MRO}', "");
Expect(0, 92783, '\P{Is_Blk:		MRO}', "");
Expect(1, 92783, '\P{^Is_Blk:		MRO}', "");
Expect(0, 92784, '\p{Is_Blk:		MRO}', "");
Expect(1, 92784, '\p{^Is_Blk:		MRO}', "");
Expect(1, 92784, '\P{Is_Blk:		MRO}', "");
Expect(0, 92784, '\P{^Is_Blk:		MRO}', "");
Error('\p{Block=_Multani:=}');
Error('\P{Block=_Multani:=}');
Expect(1, 70319, '\p{Block=multani}', "");
Expect(0, 70319, '\p{^Block=multani}', "");
Expect(0, 70319, '\P{Block=multani}', "");
Expect(1, 70319, '\P{^Block=multani}', "");
Expect(0, 70320, '\p{Block=multani}', "");
Expect(1, 70320, '\p{^Block=multani}', "");
Expect(1, 70320, '\P{Block=multani}', "");
Expect(0, 70320, '\P{^Block=multani}', "");
Expect(1, 70319, '\p{Block=	multani}', "");
Expect(0, 70319, '\p{^Block=	multani}', "");
Expect(0, 70319, '\P{Block=	multani}', "");
Expect(1, 70319, '\P{^Block=	multani}', "");
Expect(0, 70320, '\p{Block=	multani}', "");
Expect(1, 70320, '\p{^Block=	multani}', "");
Expect(1, 70320, '\P{Block=	multani}', "");
Expect(0, 70320, '\P{^Block=	multani}', "");
Error('\p{Blk: 	:=Multani}');
Error('\P{Blk: 	:=Multani}');
Expect(1, 70319, '\p{Blk=multani}', "");
Expect(0, 70319, '\p{^Blk=multani}', "");
Expect(0, 70319, '\P{Blk=multani}', "");
Expect(1, 70319, '\P{^Blk=multani}', "");
Expect(0, 70320, '\p{Blk=multani}', "");
Expect(1, 70320, '\p{^Blk=multani}', "");
Expect(1, 70320, '\P{Blk=multani}', "");
Expect(0, 70320, '\P{^Blk=multani}', "");
Expect(1, 70319, '\p{Blk=  multani}', "");
Expect(0, 70319, '\p{^Blk=  multani}', "");
Expect(0, 70319, '\P{Blk=  multani}', "");
Expect(1, 70319, '\P{^Blk=  multani}', "");
Expect(0, 70320, '\p{Blk=  multani}', "");
Expect(1, 70320, '\p{^Blk=  multani}', "");
Expect(1, 70320, '\P{Blk=  multani}', "");
Expect(0, 70320, '\P{^Blk=  multani}', "");
Error('\p{Is_Block=:=	Multani}');
Error('\P{Is_Block=:=	Multani}');
Expect(1, 70319, '\p{Is_Block=multani}', "");
Expect(0, 70319, '\p{^Is_Block=multani}', "");
Expect(0, 70319, '\P{Is_Block=multani}', "");
Expect(1, 70319, '\P{^Is_Block=multani}', "");
Expect(0, 70320, '\p{Is_Block=multani}', "");
Expect(1, 70320, '\p{^Is_Block=multani}', "");
Expect(1, 70320, '\P{Is_Block=multani}', "");
Expect(0, 70320, '\P{^Is_Block=multani}', "");
Expect(1, 70319, '\p{Is_Block=	-MULTANI}', "");
Expect(0, 70319, '\p{^Is_Block=	-MULTANI}', "");
Expect(0, 70319, '\P{Is_Block=	-MULTANI}', "");
Expect(1, 70319, '\P{^Is_Block=	-MULTANI}', "");
Expect(0, 70320, '\p{Is_Block=	-MULTANI}', "");
Expect(1, 70320, '\p{^Is_Block=	-MULTANI}', "");
Expect(1, 70320, '\P{Is_Block=	-MULTANI}', "");
Expect(0, 70320, '\P{^Is_Block=	-MULTANI}', "");
Error('\p{Is_Blk=:= -Multani}');
Error('\P{Is_Blk=:= -Multani}');
Expect(1, 70319, '\p{Is_Blk=multani}', "");
Expect(0, 70319, '\p{^Is_Blk=multani}', "");
Expect(0, 70319, '\P{Is_Blk=multani}', "");
Expect(1, 70319, '\P{^Is_Blk=multani}', "");
Expect(0, 70320, '\p{Is_Blk=multani}', "");
Expect(1, 70320, '\p{^Is_Blk=multani}', "");
Expect(1, 70320, '\P{Is_Blk=multani}', "");
Expect(0, 70320, '\P{^Is_Blk=multani}', "");
Expect(1, 70319, '\p{Is_Blk=- Multani}', "");
Expect(0, 70319, '\p{^Is_Blk=- Multani}', "");
Expect(0, 70319, '\P{Is_Blk=- Multani}', "");
Expect(1, 70319, '\P{^Is_Blk=- Multani}', "");
Expect(0, 70320, '\p{Is_Blk=- Multani}', "");
Expect(1, 70320, '\p{^Is_Blk=- Multani}', "");
Expect(1, 70320, '\P{Is_Blk=- Multani}', "");
Expect(0, 70320, '\P{^Is_Blk=- Multani}', "");
Error('\p{Block: __Musical_SYMBOLS:=}');
Error('\P{Block: __Musical_SYMBOLS:=}');
Expect(1, 119295, '\p{Block=musicalsymbols}', "");
Expect(0, 119295, '\p{^Block=musicalsymbols}', "");
Expect(0, 119295, '\P{Block=musicalsymbols}', "");
Expect(1, 119295, '\P{^Block=musicalsymbols}', "");
Expect(0, 119296, '\p{Block=musicalsymbols}', "");
Expect(1, 119296, '\p{^Block=musicalsymbols}', "");
Expect(1, 119296, '\P{Block=musicalsymbols}', "");
Expect(0, 119296, '\P{^Block=musicalsymbols}', "");
Expect(1, 119295, '\p{Block=_ Musical_symbols}', "");
Expect(0, 119295, '\p{^Block=_ Musical_symbols}', "");
Expect(0, 119295, '\P{Block=_ Musical_symbols}', "");
Expect(1, 119295, '\P{^Block=_ Musical_symbols}', "");
Expect(0, 119296, '\p{Block=_ Musical_symbols}', "");
Expect(1, 119296, '\p{^Block=_ Musical_symbols}', "");
Expect(1, 119296, '\P{Block=_ Musical_symbols}', "");
Expect(0, 119296, '\P{^Block=_ Musical_symbols}', "");
Error('\p{Blk=/a/music}');
Error('\P{Blk=/a/music}');
Expect(1, 119295, '\p{Blk=music}', "");
Expect(0, 119295, '\p{^Blk=music}', "");
Expect(0, 119295, '\P{Blk=music}', "");
Expect(1, 119295, '\P{^Blk=music}', "");
Expect(0, 119296, '\p{Blk=music}', "");
Expect(1, 119296, '\p{^Blk=music}', "");
Expect(1, 119296, '\P{Blk=music}', "");
Expect(0, 119296, '\P{^Blk=music}', "");
Expect(1, 119295, '\p{Blk=	MUSIC}', "");
Expect(0, 119295, '\p{^Blk=	MUSIC}', "");
Expect(0, 119295, '\P{Blk=	MUSIC}', "");
Expect(1, 119295, '\P{^Blk=	MUSIC}', "");
Expect(0, 119296, '\p{Blk=	MUSIC}', "");
Expect(1, 119296, '\p{^Blk=	MUSIC}', "");
Expect(1, 119296, '\P{Blk=	MUSIC}', "");
Expect(0, 119296, '\P{^Blk=	MUSIC}', "");
Error('\p{Is_Block=/a/__Musical_symbols}');
Error('\P{Is_Block=/a/__Musical_symbols}');
Expect(1, 119295, '\p{Is_Block=musicalsymbols}', "");
Expect(0, 119295, '\p{^Is_Block=musicalsymbols}', "");
Expect(0, 119295, '\P{Is_Block=musicalsymbols}', "");
Expect(1, 119295, '\P{^Is_Block=musicalsymbols}', "");
Expect(0, 119296, '\p{Is_Block=musicalsymbols}', "");
Expect(1, 119296, '\p{^Is_Block=musicalsymbols}', "");
Expect(1, 119296, '\P{Is_Block=musicalsymbols}', "");
Expect(0, 119296, '\P{^Is_Block=musicalsymbols}', "");
Expect(1, 119295, '\p{Is_Block:   _musical_SYMBOLS}', "");
Expect(0, 119295, '\p{^Is_Block:   _musical_SYMBOLS}', "");
Expect(0, 119295, '\P{Is_Block:   _musical_SYMBOLS}', "");
Expect(1, 119295, '\P{^Is_Block:   _musical_SYMBOLS}', "");
Expect(0, 119296, '\p{Is_Block:   _musical_SYMBOLS}', "");
Expect(1, 119296, '\p{^Is_Block:   _musical_SYMBOLS}', "");
Expect(1, 119296, '\P{Is_Block:   _musical_SYMBOLS}', "");
Expect(0, 119296, '\P{^Is_Block:   _musical_SYMBOLS}', "");
Error('\p{Is_Blk=:=-	Music}');
Error('\P{Is_Blk=:=-	Music}');
Expect(1, 119295, '\p{Is_Blk=music}', "");
Expect(0, 119295, '\p{^Is_Blk=music}', "");
Expect(0, 119295, '\P{Is_Blk=music}', "");
Expect(1, 119295, '\P{^Is_Blk=music}', "");
Expect(0, 119296, '\p{Is_Blk=music}', "");
Expect(1, 119296, '\p{^Is_Blk=music}', "");
Expect(1, 119296, '\P{Is_Blk=music}', "");
Expect(0, 119296, '\P{^Is_Blk=music}', "");
Expect(1, 119295, '\p{Is_Blk=_ Music}', "");
Expect(0, 119295, '\p{^Is_Blk=_ Music}', "");
Expect(0, 119295, '\P{Is_Blk=_ Music}', "");
Expect(1, 119295, '\P{^Is_Blk=_ Music}', "");
Expect(0, 119296, '\p{Is_Blk=_ Music}', "");
Expect(1, 119296, '\p{^Is_Blk=_ Music}', "");
Expect(1, 119296, '\P{Is_Blk=_ Music}', "");
Expect(0, 119296, '\P{^Is_Blk=_ Music}', "");
Error('\p{Block=	/a/Myanmar}');
Error('\P{Block=	/a/Myanmar}');
Expect(1, 4255, '\p{Block=myanmar}', "");
Expect(0, 4255, '\p{^Block=myanmar}', "");
Expect(0, 4255, '\P{Block=myanmar}', "");
Expect(1, 4255, '\P{^Block=myanmar}', "");
Expect(0, 4256, '\p{Block=myanmar}', "");
Expect(1, 4256, '\p{^Block=myanmar}', "");
Expect(1, 4256, '\P{Block=myanmar}', "");
Expect(0, 4256, '\P{^Block=myanmar}', "");
Expect(1, 4255, '\p{Block=	_myanmar}', "");
Expect(0, 4255, '\p{^Block=	_myanmar}', "");
Expect(0, 4255, '\P{Block=	_myanmar}', "");
Expect(1, 4255, '\P{^Block=	_myanmar}', "");
Expect(0, 4256, '\p{Block=	_myanmar}', "");
Expect(1, 4256, '\p{^Block=	_myanmar}', "");
Expect(1, 4256, '\P{Block=	_myanmar}', "");
Expect(0, 4256, '\P{^Block=	_myanmar}', "");
Error('\p{Blk=:=		MYANMAR}');
Error('\P{Blk=:=		MYANMAR}');
Expect(1, 4255, '\p{Blk=myanmar}', "");
Expect(0, 4255, '\p{^Blk=myanmar}', "");
Expect(0, 4255, '\P{Blk=myanmar}', "");
Expect(1, 4255, '\P{^Blk=myanmar}', "");
Expect(0, 4256, '\p{Blk=myanmar}', "");
Expect(1, 4256, '\p{^Blk=myanmar}', "");
Expect(1, 4256, '\P{Blk=myanmar}', "");
Expect(0, 4256, '\P{^Blk=myanmar}', "");
Expect(1, 4255, '\p{Blk=- MYANMAR}', "");
Expect(0, 4255, '\p{^Blk=- MYANMAR}', "");
Expect(0, 4255, '\P{Blk=- MYANMAR}', "");
Expect(1, 4255, '\P{^Blk=- MYANMAR}', "");
Expect(0, 4256, '\p{Blk=- MYANMAR}', "");
Expect(1, 4256, '\p{^Blk=- MYANMAR}', "");
Expect(1, 4256, '\P{Blk=- MYANMAR}', "");
Expect(0, 4256, '\P{^Blk=- MYANMAR}', "");
Error('\p{Is_Block= /a/myanmar}');
Error('\P{Is_Block= /a/myanmar}');
Expect(1, 4255, '\p{Is_Block=myanmar}', "");
Expect(0, 4255, '\p{^Is_Block=myanmar}', "");
Expect(0, 4255, '\P{Is_Block=myanmar}', "");
Expect(1, 4255, '\P{^Is_Block=myanmar}', "");
Expect(0, 4256, '\p{Is_Block=myanmar}', "");
Expect(1, 4256, '\p{^Is_Block=myanmar}', "");
Expect(1, 4256, '\P{Is_Block=myanmar}', "");
Expect(0, 4256, '\P{^Is_Block=myanmar}', "");
Expect(1, 4255, '\p{Is_Block=		Myanmar}', "");
Expect(0, 4255, '\p{^Is_Block=		Myanmar}', "");
Expect(0, 4255, '\P{Is_Block=		Myanmar}', "");
Expect(1, 4255, '\P{^Is_Block=		Myanmar}', "");
Expect(0, 4256, '\p{Is_Block=		Myanmar}', "");
Expect(1, 4256, '\p{^Is_Block=		Myanmar}', "");
Expect(1, 4256, '\P{Is_Block=		Myanmar}', "");
Expect(0, 4256, '\P{^Is_Block=		Myanmar}', "");
Error('\p{Is_Blk=	/a/myanmar}');
Error('\P{Is_Blk=	/a/myanmar}');
Expect(1, 4255, '\p{Is_Blk=myanmar}', "");
Expect(0, 4255, '\p{^Is_Blk=myanmar}', "");
Expect(0, 4255, '\P{Is_Blk=myanmar}', "");
Expect(1, 4255, '\P{^Is_Blk=myanmar}', "");
Expect(0, 4256, '\p{Is_Blk=myanmar}', "");
Expect(1, 4256, '\p{^Is_Blk=myanmar}', "");
Expect(1, 4256, '\P{Is_Blk=myanmar}', "");
Expect(0, 4256, '\P{^Is_Blk=myanmar}', "");
Expect(1, 4255, '\p{Is_Blk=-Myanmar}', "");
Expect(0, 4255, '\p{^Is_Blk=-Myanmar}', "");
Expect(0, 4255, '\P{Is_Blk=-Myanmar}', "");
Expect(1, 4255, '\P{^Is_Blk=-Myanmar}', "");
Expect(0, 4256, '\p{Is_Blk=-Myanmar}', "");
Expect(1, 4256, '\p{^Is_Blk=-Myanmar}', "");
Expect(1, 4256, '\P{Is_Blk=-Myanmar}', "");
Expect(0, 4256, '\P{^Is_Blk=-Myanmar}', "");
Error('\p{Block= :=Myanmar_Extended_a}');
Error('\P{Block= :=Myanmar_Extended_a}');
Expect(1, 43647, '\p{Block=myanmarextendeda}', "");
Expect(0, 43647, '\p{^Block=myanmarextendeda}', "");
Expect(0, 43647, '\P{Block=myanmarextendeda}', "");
Expect(1, 43647, '\P{^Block=myanmarextendeda}', "");
Expect(0, 43648, '\p{Block=myanmarextendeda}', "");
Expect(1, 43648, '\p{^Block=myanmarextendeda}', "");
Expect(1, 43648, '\P{Block=myanmarextendeda}', "");
Expect(0, 43648, '\P{^Block=myanmarextendeda}', "");
Expect(1, 43647, '\p{Block= Myanmar_Extended_A}', "");
Expect(0, 43647, '\p{^Block= Myanmar_Extended_A}', "");
Expect(0, 43647, '\P{Block= Myanmar_Extended_A}', "");
Expect(1, 43647, '\P{^Block= Myanmar_Extended_A}', "");
Expect(0, 43648, '\p{Block= Myanmar_Extended_A}', "");
Expect(1, 43648, '\p{^Block= Myanmar_Extended_A}', "");
Expect(1, 43648, '\P{Block= Myanmar_Extended_A}', "");
Expect(0, 43648, '\P{^Block= Myanmar_Extended_A}', "");
Error('\p{Blk=:=-myanmar_ext_a}');
Error('\P{Blk=:=-myanmar_ext_a}');
Expect(1, 43647, '\p{Blk=myanmarexta}', "");
Expect(0, 43647, '\p{^Blk=myanmarexta}', "");
Expect(0, 43647, '\P{Blk=myanmarexta}', "");
Expect(1, 43647, '\P{^Blk=myanmarexta}', "");
Expect(0, 43648, '\p{Blk=myanmarexta}', "");
Expect(1, 43648, '\p{^Blk=myanmarexta}', "");
Expect(1, 43648, '\P{Blk=myanmarexta}', "");
Expect(0, 43648, '\P{^Blk=myanmarexta}', "");
Expect(1, 43647, '\p{Blk=-Myanmar_Ext_A}', "");
Expect(0, 43647, '\p{^Blk=-Myanmar_Ext_A}', "");
Expect(0, 43647, '\P{Blk=-Myanmar_Ext_A}', "");
Expect(1, 43647, '\P{^Blk=-Myanmar_Ext_A}', "");
Expect(0, 43648, '\p{Blk=-Myanmar_Ext_A}', "");
Expect(1, 43648, '\p{^Blk=-Myanmar_Ext_A}', "");
Expect(1, 43648, '\P{Blk=-Myanmar_Ext_A}', "");
Expect(0, 43648, '\P{^Blk=-Myanmar_Ext_A}', "");
Error('\p{Is_Block:   _Myanmar_EXTENDED_A:=}');
Error('\P{Is_Block:   _Myanmar_EXTENDED_A:=}');
Expect(1, 43647, '\p{Is_Block=myanmarextendeda}', "");
Expect(0, 43647, '\p{^Is_Block=myanmarextendeda}', "");
Expect(0, 43647, '\P{Is_Block=myanmarextendeda}', "");
Expect(1, 43647, '\P{^Is_Block=myanmarextendeda}', "");
Expect(0, 43648, '\p{Is_Block=myanmarextendeda}', "");
Expect(1, 43648, '\p{^Is_Block=myanmarextendeda}', "");
Expect(1, 43648, '\P{Is_Block=myanmarextendeda}', "");
Expect(0, 43648, '\P{^Is_Block=myanmarextendeda}', "");
Expect(1, 43647, '\p{Is_Block=-Myanmar_Extended_A}', "");
Expect(0, 43647, '\p{^Is_Block=-Myanmar_Extended_A}', "");
Expect(0, 43647, '\P{Is_Block=-Myanmar_Extended_A}', "");
Expect(1, 43647, '\P{^Is_Block=-Myanmar_Extended_A}', "");
Expect(0, 43648, '\p{Is_Block=-Myanmar_Extended_A}', "");
Expect(1, 43648, '\p{^Is_Block=-Myanmar_Extended_A}', "");
Expect(1, 43648, '\P{Is_Block=-Myanmar_Extended_A}', "");
Expect(0, 43648, '\P{^Is_Block=-Myanmar_Extended_A}', "");
Error('\p{Is_Blk:_/a/MYANMAR_Ext_A}');
Error('\P{Is_Blk:_/a/MYANMAR_Ext_A}');
Expect(1, 43647, '\p{Is_Blk=myanmarexta}', "");
Expect(0, 43647, '\p{^Is_Blk=myanmarexta}', "");
Expect(0, 43647, '\P{Is_Blk=myanmarexta}', "");
Expect(1, 43647, '\P{^Is_Blk=myanmarexta}', "");
Expect(0, 43648, '\p{Is_Blk=myanmarexta}', "");
Expect(1, 43648, '\p{^Is_Blk=myanmarexta}', "");
Expect(1, 43648, '\P{Is_Blk=myanmarexta}', "");
Expect(0, 43648, '\P{^Is_Blk=myanmarexta}', "");
Expect(1, 43647, '\p{Is_Blk=	 Myanmar_Ext_A}', "");
Expect(0, 43647, '\p{^Is_Blk=	 Myanmar_Ext_A}', "");
Expect(0, 43647, '\P{Is_Blk=	 Myanmar_Ext_A}', "");
Expect(1, 43647, '\P{^Is_Blk=	 Myanmar_Ext_A}', "");
Expect(0, 43648, '\p{Is_Blk=	 Myanmar_Ext_A}', "");
Expect(1, 43648, '\p{^Is_Blk=	 Myanmar_Ext_A}', "");
Expect(1, 43648, '\P{Is_Blk=	 Myanmar_Ext_A}', "");
Expect(0, 43648, '\P{^Is_Blk=	 Myanmar_Ext_A}', "");
Error('\p{Block=		Myanmar_EXTENDED_B/a/}');
Error('\P{Block=		Myanmar_EXTENDED_B/a/}');
Expect(1, 43519, '\p{Block: myanmarextendedb}', "");
Expect(0, 43519, '\p{^Block: myanmarextendedb}', "");
Expect(0, 43519, '\P{Block: myanmarextendedb}', "");
Expect(1, 43519, '\P{^Block: myanmarextendedb}', "");
Expect(0, 43520, '\p{Block: myanmarextendedb}', "");
Expect(1, 43520, '\p{^Block: myanmarextendedb}', "");
Expect(1, 43520, '\P{Block: myanmarextendedb}', "");
Expect(0, 43520, '\P{^Block: myanmarextendedb}', "");
Expect(1, 43519, '\p{Block:   _Myanmar_EXTENDED_B}', "");
Expect(0, 43519, '\p{^Block:   _Myanmar_EXTENDED_B}', "");
Expect(0, 43519, '\P{Block:   _Myanmar_EXTENDED_B}', "");
Expect(1, 43519, '\P{^Block:   _Myanmar_EXTENDED_B}', "");
Expect(0, 43520, '\p{Block:   _Myanmar_EXTENDED_B}', "");
Expect(1, 43520, '\p{^Block:   _Myanmar_EXTENDED_B}', "");
Expect(1, 43520, '\P{Block:   _Myanmar_EXTENDED_B}', "");
Expect(0, 43520, '\P{^Block:   _Myanmar_EXTENDED_B}', "");
Error('\p{Blk=-/a/Myanmar_Ext_B}');
Error('\P{Blk=-/a/Myanmar_Ext_B}');
Expect(1, 43519, '\p{Blk=myanmarextb}', "");
Expect(0, 43519, '\p{^Blk=myanmarextb}', "");
Expect(0, 43519, '\P{Blk=myanmarextb}', "");
Expect(1, 43519, '\P{^Blk=myanmarextb}', "");
Expect(0, 43520, '\p{Blk=myanmarextb}', "");
Expect(1, 43520, '\p{^Blk=myanmarextb}', "");
Expect(1, 43520, '\P{Blk=myanmarextb}', "");
Expect(0, 43520, '\P{^Blk=myanmarextb}', "");
Expect(1, 43519, '\p{Blk=	-Myanmar_EXT_B}', "");
Expect(0, 43519, '\p{^Blk=	-Myanmar_EXT_B}', "");
Expect(0, 43519, '\P{Blk=	-Myanmar_EXT_B}', "");
Expect(1, 43519, '\P{^Blk=	-Myanmar_EXT_B}', "");
Expect(0, 43520, '\p{Blk=	-Myanmar_EXT_B}', "");
Expect(1, 43520, '\p{^Blk=	-Myanmar_EXT_B}', "");
Expect(1, 43520, '\P{Blk=	-Myanmar_EXT_B}', "");
Expect(0, 43520, '\P{^Blk=	-Myanmar_EXT_B}', "");
Error('\p{Is_Block=:=	Myanmar_Extended_B}');
Error('\P{Is_Block=:=	Myanmar_Extended_B}');
Expect(1, 43519, '\p{Is_Block=myanmarextendedb}', "");
Expect(0, 43519, '\p{^Is_Block=myanmarextendedb}', "");
Expect(0, 43519, '\P{Is_Block=myanmarextendedb}', "");
Expect(1, 43519, '\P{^Is_Block=myanmarextendedb}', "");
Expect(0, 43520, '\p{Is_Block=myanmarextendedb}', "");
Expect(1, 43520, '\p{^Is_Block=myanmarextendedb}', "");
Expect(1, 43520, '\P{Is_Block=myanmarextendedb}', "");
Expect(0, 43520, '\P{^Is_Block=myanmarextendedb}', "");
Expect(1, 43519, '\p{Is_Block=-Myanmar_extended_b}', "");
Expect(0, 43519, '\p{^Is_Block=-Myanmar_extended_b}', "");
Expect(0, 43519, '\P{Is_Block=-Myanmar_extended_b}', "");
Expect(1, 43519, '\P{^Is_Block=-Myanmar_extended_b}', "");
Expect(0, 43520, '\p{Is_Block=-Myanmar_extended_b}', "");
Expect(1, 43520, '\p{^Is_Block=-Myanmar_extended_b}', "");
Expect(1, 43520, '\P{Is_Block=-Myanmar_extended_b}', "");
Expect(0, 43520, '\P{^Is_Block=-Myanmar_extended_b}', "");
Error('\p{Is_Blk=-	Myanmar_Ext_B/a/}');
Error('\P{Is_Blk=-	Myanmar_Ext_B/a/}');
Expect(1, 43519, '\p{Is_Blk=myanmarextb}', "");
Expect(0, 43519, '\p{^Is_Blk=myanmarextb}', "");
Expect(0, 43519, '\P{Is_Blk=myanmarextb}', "");
Expect(1, 43519, '\P{^Is_Blk=myanmarextb}', "");
Expect(0, 43520, '\p{Is_Blk=myanmarextb}', "");
Expect(1, 43520, '\p{^Is_Blk=myanmarextb}', "");
Expect(1, 43520, '\P{Is_Blk=myanmarextb}', "");
Expect(0, 43520, '\P{^Is_Blk=myanmarextb}', "");
Expect(1, 43519, '\p{Is_Blk= 	Myanmar_ext_b}', "");
Expect(0, 43519, '\p{^Is_Blk= 	Myanmar_ext_b}', "");
Expect(0, 43519, '\P{Is_Blk= 	Myanmar_ext_b}', "");
Expect(1, 43519, '\P{^Is_Blk= 	Myanmar_ext_b}', "");
Expect(0, 43520, '\p{Is_Blk= 	Myanmar_ext_b}', "");
Expect(1, 43520, '\p{^Is_Blk= 	Myanmar_ext_b}', "");
Expect(1, 43520, '\P{Is_Blk= 	Myanmar_ext_b}', "");
Expect(0, 43520, '\P{^Is_Blk= 	Myanmar_ext_b}', "");
Error('\p{Block= :=NO_block}');
Error('\P{Block= :=NO_block}');
Expect(1, 918000, '\p{Block=noblock}', "");
Expect(0, 918000, '\p{^Block=noblock}', "");
Expect(0, 918000, '\P{Block=noblock}', "");
Expect(1, 918000, '\P{^Block=noblock}', "");
Expect(0, 983040, '\p{Block=noblock}', "");
Expect(1, 983040, '\p{^Block=noblock}', "");
Expect(1, 983040, '\P{Block=noblock}', "");
Expect(0, 983040, '\P{^Block=noblock}', "");
Expect(1, 918000, '\p{Block= No_Block}', "");
Expect(0, 918000, '\p{^Block= No_Block}', "");
Expect(0, 918000, '\P{Block= No_Block}', "");
Expect(1, 918000, '\P{^Block= No_Block}', "");
Expect(0, 983040, '\p{Block= No_Block}', "");
Expect(1, 983040, '\p{^Block= No_Block}', "");
Expect(1, 983040, '\P{Block= No_Block}', "");
Expect(0, 983040, '\P{^Block= No_Block}', "");
Error('\p{Blk: /a/NB}');
Error('\P{Blk: /a/NB}');
Expect(1, 918000, '\p{Blk=nb}', "");
Expect(0, 918000, '\p{^Blk=nb}', "");
Expect(0, 918000, '\P{Blk=nb}', "");
Expect(1, 918000, '\P{^Blk=nb}', "");
Expect(0, 983040, '\p{Blk=nb}', "");
Expect(1, 983040, '\p{^Blk=nb}', "");
Expect(1, 983040, '\P{Blk=nb}', "");
Expect(0, 983040, '\P{^Blk=nb}', "");
Expect(1, 918000, '\p{Blk=__NB}', "");
Expect(0, 918000, '\p{^Blk=__NB}', "");
Expect(0, 918000, '\P{Blk=__NB}', "");
Expect(1, 918000, '\P{^Blk=__NB}', "");
Expect(0, 983040, '\p{Blk=__NB}', "");
Expect(1, 983040, '\p{^Blk=__NB}', "");
Expect(1, 983040, '\P{Blk=__NB}', "");
Expect(0, 983040, '\P{^Blk=__NB}', "");
Error('\p{Is_Block=/a/	 No_BLOCK}');
Error('\P{Is_Block=/a/	 No_BLOCK}');
Expect(1, 918000, '\p{Is_Block=noblock}', "");
Expect(0, 918000, '\p{^Is_Block=noblock}', "");
Expect(0, 918000, '\P{Is_Block=noblock}', "");
Expect(1, 918000, '\P{^Is_Block=noblock}', "");
Expect(0, 983040, '\p{Is_Block=noblock}', "");
Expect(1, 983040, '\p{^Is_Block=noblock}', "");
Expect(1, 983040, '\P{Is_Block=noblock}', "");
Expect(0, 983040, '\P{^Is_Block=noblock}', "");
Expect(1, 918000, '\p{Is_Block=--NO_Block}', "");
Expect(0, 918000, '\p{^Is_Block=--NO_Block}', "");
Expect(0, 918000, '\P{Is_Block=--NO_Block}', "");
Expect(1, 918000, '\P{^Is_Block=--NO_Block}', "");
Expect(0, 983040, '\p{Is_Block=--NO_Block}', "");
Expect(1, 983040, '\p{^Is_Block=--NO_Block}', "");
Expect(1, 983040, '\P{Is_Block=--NO_Block}', "");
Expect(0, 983040, '\P{^Is_Block=--NO_Block}', "");
Error('\p{Is_Blk=:=_ nb}');
Error('\P{Is_Blk=:=_ nb}');
Expect(1, 918000, '\p{Is_Blk=nb}', "");
Expect(0, 918000, '\p{^Is_Blk=nb}', "");
Expect(0, 918000, '\P{Is_Blk=nb}', "");
Expect(1, 918000, '\P{^Is_Blk=nb}', "");
Expect(0, 983040, '\p{Is_Blk=nb}', "");
Expect(1, 983040, '\p{^Is_Blk=nb}', "");
Expect(1, 983040, '\P{Is_Blk=nb}', "");
Expect(0, 983040, '\P{^Is_Blk=nb}', "");
Error('\p{Block=_ NKO/a/}');
Error('\P{Block=_ NKO/a/}');
Expect(1, 2047, '\p{Block=nko}', "");
Expect(0, 2047, '\p{^Block=nko}', "");
Expect(0, 2047, '\P{Block=nko}', "");
Expect(1, 2047, '\P{^Block=nko}', "");
Expect(0, 2048, '\p{Block=nko}', "");
Expect(1, 2048, '\p{^Block=nko}', "");
Expect(1, 2048, '\P{Block=nko}', "");
Expect(0, 2048, '\P{^Block=nko}', "");
Expect(1, 2047, '\p{Block=	 NKO}', "");
Expect(0, 2047, '\p{^Block=	 NKO}', "");
Expect(0, 2047, '\P{Block=	 NKO}', "");
Expect(1, 2047, '\P{^Block=	 NKO}', "");
Expect(0, 2048, '\p{Block=	 NKO}', "");
Expect(1, 2048, '\p{^Block=	 NKO}', "");
Expect(1, 2048, '\P{Block=	 NKO}', "");
Expect(0, 2048, '\P{^Block=	 NKO}', "");
Error('\p{Blk:	:=--NKo}');
Error('\P{Blk:	:=--NKo}');
Expect(1, 2047, '\p{Blk=nko}', "");
Expect(0, 2047, '\p{^Blk=nko}', "");
Expect(0, 2047, '\P{Blk=nko}', "");
Expect(1, 2047, '\P{^Blk=nko}', "");
Expect(0, 2048, '\p{Blk=nko}', "");
Expect(1, 2048, '\p{^Blk=nko}', "");
Expect(1, 2048, '\P{Blk=nko}', "");
Expect(0, 2048, '\P{^Blk=nko}', "");
Expect(1, 2047, '\p{Blk=_	NKo}', "");
Expect(0, 2047, '\p{^Blk=_	NKo}', "");
Expect(0, 2047, '\P{Blk=_	NKo}', "");
Expect(1, 2047, '\P{^Blk=_	NKo}', "");
Expect(0, 2048, '\p{Blk=_	NKo}', "");
Expect(1, 2048, '\p{^Blk=_	NKo}', "");
Expect(1, 2048, '\P{Blk=_	NKo}', "");
Expect(0, 2048, '\P{^Blk=_	NKo}', "");
Error('\p{Is_Block=:=_	NKO}');
Error('\P{Is_Block=:=_	NKO}');
Expect(1, 2047, '\p{Is_Block=nko}', "");
Expect(0, 2047, '\p{^Is_Block=nko}', "");
Expect(0, 2047, '\P{Is_Block=nko}', "");
Expect(1, 2047, '\P{^Is_Block=nko}', "");
Expect(0, 2048, '\p{Is_Block=nko}', "");
Expect(1, 2048, '\p{^Is_Block=nko}', "");
Expect(1, 2048, '\P{Is_Block=nko}', "");
Expect(0, 2048, '\P{^Is_Block=nko}', "");
Expect(1, 2047, '\p{Is_Block=-_NKO}', "");
Expect(0, 2047, '\p{^Is_Block=-_NKO}', "");
Expect(0, 2047, '\P{Is_Block=-_NKO}', "");
Expect(1, 2047, '\P{^Is_Block=-_NKO}', "");
Expect(0, 2048, '\p{Is_Block=-_NKO}', "");
Expect(1, 2048, '\p{^Is_Block=-_NKO}', "");
Expect(1, 2048, '\P{Is_Block=-_NKO}', "");
Expect(0, 2048, '\P{^Is_Block=-_NKO}', "");
Error('\p{Is_Blk=:=	nko}');
Error('\P{Is_Blk=:=	nko}');
Expect(1, 2047, '\p{Is_Blk=nko}', "");
Expect(0, 2047, '\p{^Is_Blk=nko}', "");
Expect(0, 2047, '\P{Is_Blk=nko}', "");
Expect(1, 2047, '\P{^Is_Blk=nko}', "");
Expect(0, 2048, '\p{Is_Blk=nko}', "");
Expect(1, 2048, '\p{^Is_Blk=nko}', "");
Expect(1, 2048, '\P{Is_Blk=nko}', "");
Expect(0, 2048, '\P{^Is_Blk=nko}', "");
Expect(1, 2047, '\p{Is_Blk=	 NKo}', "");
Expect(0, 2047, '\p{^Is_Blk=	 NKo}', "");
Expect(0, 2047, '\P{Is_Blk=	 NKo}', "");
Expect(1, 2047, '\P{^Is_Blk=	 NKo}', "");
Expect(0, 2048, '\p{Is_Blk=	 NKo}', "");
Expect(1, 2048, '\p{^Is_Blk=	 NKo}', "");
Expect(1, 2048, '\P{Is_Blk=	 NKo}', "");
Expect(0, 2048, '\P{^Is_Blk=	 NKo}', "");
Error('\p{Block=/a/ Nabataean}');
Error('\P{Block=/a/ Nabataean}');
Expect(1, 67759, '\p{Block:	nabataean}', "");
Expect(0, 67759, '\p{^Block:	nabataean}', "");
Expect(0, 67759, '\P{Block:	nabataean}', "");
Expect(1, 67759, '\P{^Block:	nabataean}', "");
Expect(0, 67760, '\p{Block:	nabataean}', "");
Expect(1, 67760, '\p{^Block:	nabataean}', "");
Expect(1, 67760, '\P{Block:	nabataean}', "");
Expect(0, 67760, '\P{^Block:	nabataean}', "");
Expect(1, 67759, '\p{Block= NABATAEAN}', "");
Expect(0, 67759, '\p{^Block= NABATAEAN}', "");
Expect(0, 67759, '\P{Block= NABATAEAN}', "");
Expect(1, 67759, '\P{^Block= NABATAEAN}', "");
Expect(0, 67760, '\p{Block= NABATAEAN}', "");
Expect(1, 67760, '\p{^Block= NABATAEAN}', "");
Expect(1, 67760, '\P{Block= NABATAEAN}', "");
Expect(0, 67760, '\P{^Block= NABATAEAN}', "");
Error('\p{Blk=/a/__Nabataean}');
Error('\P{Blk=/a/__Nabataean}');
Expect(1, 67759, '\p{Blk=nabataean}', "");
Expect(0, 67759, '\p{^Blk=nabataean}', "");
Expect(0, 67759, '\P{Blk=nabataean}', "");
Expect(1, 67759, '\P{^Blk=nabataean}', "");
Expect(0, 67760, '\p{Blk=nabataean}', "");
Expect(1, 67760, '\p{^Blk=nabataean}', "");
Expect(1, 67760, '\P{Blk=nabataean}', "");
Expect(0, 67760, '\P{^Blk=nabataean}', "");
Expect(1, 67759, '\p{Blk=-Nabataean}', "");
Expect(0, 67759, '\p{^Blk=-Nabataean}', "");
Expect(0, 67759, '\P{Blk=-Nabataean}', "");
Expect(1, 67759, '\P{^Blk=-Nabataean}', "");
Expect(0, 67760, '\p{Blk=-Nabataean}', "");
Expect(1, 67760, '\p{^Blk=-Nabataean}', "");
Expect(1, 67760, '\P{Blk=-Nabataean}', "");
Expect(0, 67760, '\P{^Blk=-Nabataean}', "");
Error('\p{Is_Block:   _/a/Nabataean}');
Error('\P{Is_Block:   _/a/Nabataean}');
Expect(1, 67759, '\p{Is_Block:   nabataean}', "");
Expect(0, 67759, '\p{^Is_Block:   nabataean}', "");
Expect(0, 67759, '\P{Is_Block:   nabataean}', "");
Expect(1, 67759, '\P{^Is_Block:   nabataean}', "");
Expect(0, 67760, '\p{Is_Block:   nabataean}', "");
Expect(1, 67760, '\p{^Is_Block:   nabataean}', "");
Expect(1, 67760, '\P{Is_Block:   nabataean}', "");
Expect(0, 67760, '\P{^Is_Block:   nabataean}', "");
Expect(1, 67759, '\p{Is_Block=- Nabataean}', "");
Expect(0, 67759, '\p{^Is_Block=- Nabataean}', "");
Expect(0, 67759, '\P{Is_Block=- Nabataean}', "");
Expect(1, 67759, '\P{^Is_Block=- Nabataean}', "");
Expect(0, 67760, '\p{Is_Block=- Nabataean}', "");
Expect(1, 67760, '\p{^Is_Block=- Nabataean}', "");
Expect(1, 67760, '\P{Is_Block=- Nabataean}', "");
Expect(0, 67760, '\P{^Is_Block=- Nabataean}', "");
Error('\p{Is_Blk=_	NABATAEAN/a/}');
Error('\P{Is_Blk=_	NABATAEAN/a/}');
Expect(1, 67759, '\p{Is_Blk=nabataean}', "");
Expect(0, 67759, '\p{^Is_Blk=nabataean}', "");
Expect(0, 67759, '\P{Is_Blk=nabataean}', "");
Expect(1, 67759, '\P{^Is_Blk=nabataean}', "");
Expect(0, 67760, '\p{Is_Blk=nabataean}', "");
Expect(1, 67760, '\p{^Is_Blk=nabataean}', "");
Expect(1, 67760, '\P{Is_Blk=nabataean}', "");
Expect(0, 67760, '\P{^Is_Blk=nabataean}', "");
Expect(1, 67759, '\p{Is_Blk: 	_nabataean}', "");
Expect(0, 67759, '\p{^Is_Blk: 	_nabataean}', "");
Expect(0, 67759, '\P{Is_Blk: 	_nabataean}', "");
Expect(1, 67759, '\P{^Is_Blk: 	_nabataean}', "");
Expect(0, 67760, '\p{Is_Blk: 	_nabataean}', "");
Expect(1, 67760, '\p{^Is_Blk: 	_nabataean}', "");
Expect(1, 67760, '\P{Is_Blk: 	_nabataean}', "");
Expect(0, 67760, '\P{^Is_Blk: 	_nabataean}', "");
Error('\p{Block=/a/_-New_Tai_LUE}');
Error('\P{Block=/a/_-New_Tai_LUE}');
Expect(1, 6623, '\p{Block=newtailue}', "");
Expect(0, 6623, '\p{^Block=newtailue}', "");
Expect(0, 6623, '\P{Block=newtailue}', "");
Expect(1, 6623, '\P{^Block=newtailue}', "");
Expect(0, 6624, '\p{Block=newtailue}', "");
Expect(1, 6624, '\p{^Block=newtailue}', "");
Expect(1, 6624, '\P{Block=newtailue}', "");
Expect(0, 6624, '\P{^Block=newtailue}', "");
Expect(1, 6623, '\p{Block=	NEW_Tai_lue}', "");
Expect(0, 6623, '\p{^Block=	NEW_Tai_lue}', "");
Expect(0, 6623, '\P{Block=	NEW_Tai_lue}', "");
Expect(1, 6623, '\P{^Block=	NEW_Tai_lue}', "");
Expect(0, 6624, '\p{Block=	NEW_Tai_lue}', "");
Expect(1, 6624, '\p{^Block=	NEW_Tai_lue}', "");
Expect(1, 6624, '\P{Block=	NEW_Tai_lue}', "");
Expect(0, 6624, '\P{^Block=	NEW_Tai_lue}', "");
Error('\p{Blk=new_TAI_Lue/a/}');
Error('\P{Blk=new_TAI_Lue/a/}');
Expect(1, 6623, '\p{Blk=newtailue}', "");
Expect(0, 6623, '\p{^Blk=newtailue}', "");
Expect(0, 6623, '\P{Blk=newtailue}', "");
Expect(1, 6623, '\P{^Blk=newtailue}', "");
Expect(0, 6624, '\p{Blk=newtailue}', "");
Expect(1, 6624, '\p{^Blk=newtailue}', "");
Expect(1, 6624, '\P{Blk=newtailue}', "");
Expect(0, 6624, '\P{^Blk=newtailue}', "");
Expect(1, 6623, '\p{Blk=- new_TAI_LUE}', "");
Expect(0, 6623, '\p{^Blk=- new_TAI_LUE}', "");
Expect(0, 6623, '\P{Blk=- new_TAI_LUE}', "");
Expect(1, 6623, '\P{^Blk=- new_TAI_LUE}', "");
Expect(0, 6624, '\p{Blk=- new_TAI_LUE}', "");
Expect(1, 6624, '\p{^Blk=- new_TAI_LUE}', "");
Expect(1, 6624, '\P{Blk=- new_TAI_LUE}', "");
Expect(0, 6624, '\P{^Blk=- new_TAI_LUE}', "");
Error('\p{Is_Block=	New_tai_Lue/a/}');
Error('\P{Is_Block=	New_tai_Lue/a/}');
Expect(1, 6623, '\p{Is_Block: newtailue}', "");
Expect(0, 6623, '\p{^Is_Block: newtailue}', "");
Expect(0, 6623, '\P{Is_Block: newtailue}', "");
Expect(1, 6623, '\P{^Is_Block: newtailue}', "");
Expect(0, 6624, '\p{Is_Block: newtailue}', "");
Expect(1, 6624, '\p{^Is_Block: newtailue}', "");
Expect(1, 6624, '\P{Is_Block: newtailue}', "");
Expect(0, 6624, '\P{^Is_Block: newtailue}', "");
Expect(1, 6623, '\p{Is_Block=	-NEW_Tai_LUE}', "");
Expect(0, 6623, '\p{^Is_Block=	-NEW_Tai_LUE}', "");
Expect(0, 6623, '\P{Is_Block=	-NEW_Tai_LUE}', "");
Expect(1, 6623, '\P{^Is_Block=	-NEW_Tai_LUE}', "");
Expect(0, 6624, '\p{Is_Block=	-NEW_Tai_LUE}', "");
Expect(1, 6624, '\p{^Is_Block=	-NEW_Tai_LUE}', "");
Expect(1, 6624, '\P{Is_Block=	-NEW_Tai_LUE}', "");
Expect(0, 6624, '\P{^Is_Block=	-NEW_Tai_LUE}', "");
Error('\p{Is_Blk=_:=NEW_Tai_lue}');
Error('\P{Is_Blk=_:=NEW_Tai_lue}');
Expect(1, 6623, '\p{Is_Blk=newtailue}', "");
Expect(0, 6623, '\p{^Is_Blk=newtailue}', "");
Expect(0, 6623, '\P{Is_Blk=newtailue}', "");
Expect(1, 6623, '\P{^Is_Blk=newtailue}', "");
Expect(0, 6624, '\p{Is_Blk=newtailue}', "");
Expect(1, 6624, '\p{^Is_Blk=newtailue}', "");
Expect(1, 6624, '\P{Is_Blk=newtailue}', "");
Expect(0, 6624, '\P{^Is_Blk=newtailue}', "");
Expect(1, 6623, '\p{Is_Blk:	-New_TAI_LUE}', "");
Expect(0, 6623, '\p{^Is_Blk:	-New_TAI_LUE}', "");
Expect(0, 6623, '\P{Is_Blk:	-New_TAI_LUE}', "");
Expect(1, 6623, '\P{^Is_Blk:	-New_TAI_LUE}', "");
Expect(0, 6624, '\p{Is_Blk:	-New_TAI_LUE}', "");
Expect(1, 6624, '\p{^Is_Blk:	-New_TAI_LUE}', "");
Expect(1, 6624, '\P{Is_Blk:	-New_TAI_LUE}', "");
Expect(0, 6624, '\P{^Is_Blk:	-New_TAI_LUE}', "");
Error('\p{Block= /a/number_Forms}');
Error('\P{Block= /a/number_Forms}');
Expect(1, 8591, '\p{Block=numberforms}', "");
Expect(0, 8591, '\p{^Block=numberforms}', "");
Expect(0, 8591, '\P{Block=numberforms}', "");
Expect(1, 8591, '\P{^Block=numberforms}', "");
Expect(0, 8592, '\p{Block=numberforms}', "");
Expect(1, 8592, '\p{^Block=numberforms}', "");
Expect(1, 8592, '\P{Block=numberforms}', "");
Expect(0, 8592, '\P{^Block=numberforms}', "");
Expect(1, 8591, '\p{Block=__Number_FORMS}', "");
Expect(0, 8591, '\p{^Block=__Number_FORMS}', "");
Expect(0, 8591, '\P{Block=__Number_FORMS}', "");
Expect(1, 8591, '\P{^Block=__Number_FORMS}', "");
Expect(0, 8592, '\p{Block=__Number_FORMS}', "");
Expect(1, 8592, '\p{^Block=__Number_FORMS}', "");
Expect(1, 8592, '\P{Block=__Number_FORMS}', "");
Expect(0, 8592, '\P{^Block=__Number_FORMS}', "");
Error('\p{Blk:	_ Number_Forms:=}');
Error('\P{Blk:	_ Number_Forms:=}');
Expect(1, 8591, '\p{Blk=numberforms}', "");
Expect(0, 8591, '\p{^Blk=numberforms}', "");
Expect(0, 8591, '\P{Blk=numberforms}', "");
Expect(1, 8591, '\P{^Blk=numberforms}', "");
Expect(0, 8592, '\p{Blk=numberforms}', "");
Expect(1, 8592, '\p{^Blk=numberforms}', "");
Expect(1, 8592, '\P{Blk=numberforms}', "");
Expect(0, 8592, '\P{^Blk=numberforms}', "");
Expect(1, 8591, '\p{Blk= Number_Forms}', "");
Expect(0, 8591, '\p{^Blk= Number_Forms}', "");
Expect(0, 8591, '\P{Blk= Number_Forms}', "");
Expect(1, 8591, '\P{^Blk= Number_Forms}', "");
Expect(0, 8592, '\p{Blk= Number_Forms}', "");
Expect(1, 8592, '\p{^Blk= Number_Forms}', "");
Expect(1, 8592, '\P{Blk= Number_Forms}', "");
Expect(0, 8592, '\P{^Blk= Number_Forms}', "");
Error('\p{Is_Block=-_Number_Forms:=}');
Error('\P{Is_Block=-_Number_Forms:=}');
Expect(1, 8591, '\p{Is_Block=numberforms}', "");
Expect(0, 8591, '\p{^Is_Block=numberforms}', "");
Expect(0, 8591, '\P{Is_Block=numberforms}', "");
Expect(1, 8591, '\P{^Is_Block=numberforms}', "");
Expect(0, 8592, '\p{Is_Block=numberforms}', "");
Expect(1, 8592, '\p{^Is_Block=numberforms}', "");
Expect(1, 8592, '\P{Is_Block=numberforms}', "");
Expect(0, 8592, '\P{^Is_Block=numberforms}', "");
Expect(1, 8591, '\p{Is_Block=--number_forms}', "");
Expect(0, 8591, '\p{^Is_Block=--number_forms}', "");
Expect(0, 8591, '\P{Is_Block=--number_forms}', "");
Expect(1, 8591, '\P{^Is_Block=--number_forms}', "");
Expect(0, 8592, '\p{Is_Block=--number_forms}', "");
Expect(1, 8592, '\p{^Is_Block=--number_forms}', "");
Expect(1, 8592, '\P{Is_Block=--number_forms}', "");
Expect(0, 8592, '\P{^Is_Block=--number_forms}', "");
Error('\p{Is_Blk=-_number_Forms:=}');
Error('\P{Is_Blk=-_number_Forms:=}');
Expect(1, 8591, '\p{Is_Blk=numberforms}', "");
Expect(0, 8591, '\p{^Is_Blk=numberforms}', "");
Expect(0, 8591, '\P{Is_Blk=numberforms}', "");
Expect(1, 8591, '\P{^Is_Blk=numberforms}', "");
Expect(0, 8592, '\p{Is_Blk=numberforms}', "");
Expect(1, 8592, '\p{^Is_Blk=numberforms}', "");
Expect(1, 8592, '\P{Is_Blk=numberforms}', "");
Expect(0, 8592, '\P{^Is_Blk=numberforms}', "");
Expect(1, 8591, '\p{Is_Blk=_ NUMBER_forms}', "");
Expect(0, 8591, '\p{^Is_Blk=_ NUMBER_forms}', "");
Expect(0, 8591, '\P{Is_Blk=_ NUMBER_forms}', "");
Expect(1, 8591, '\P{^Is_Blk=_ NUMBER_forms}', "");
Expect(0, 8592, '\p{Is_Blk=_ NUMBER_forms}', "");
Expect(1, 8592, '\p{^Is_Blk=_ NUMBER_forms}', "");
Expect(1, 8592, '\P{Is_Blk=_ NUMBER_forms}', "");
Expect(0, 8592, '\P{^Is_Blk=_ NUMBER_forms}', "");
Error('\p{Block=_/a/Optical_Character_recognition}');
Error('\P{Block=_/a/Optical_Character_recognition}');
Expect(1, 9311, '\p{Block=opticalcharacterrecognition}', "");
Expect(0, 9311, '\p{^Block=opticalcharacterrecognition}', "");
Expect(0, 9311, '\P{Block=opticalcharacterrecognition}', "");
Expect(1, 9311, '\P{^Block=opticalcharacterrecognition}', "");
Expect(0, 9312, '\p{Block=opticalcharacterrecognition}', "");
Expect(1, 9312, '\p{^Block=opticalcharacterrecognition}', "");
Expect(1, 9312, '\P{Block=opticalcharacterrecognition}', "");
Expect(0, 9312, '\P{^Block=opticalcharacterrecognition}', "");
Expect(1, 9311, '\p{Block=	Optical_CHARACTER_RECOGNITION}', "");
Expect(0, 9311, '\p{^Block=	Optical_CHARACTER_RECOGNITION}', "");
Expect(0, 9311, '\P{Block=	Optical_CHARACTER_RECOGNITION}', "");
Expect(1, 9311, '\P{^Block=	Optical_CHARACTER_RECOGNITION}', "");
Expect(0, 9312, '\p{Block=	Optical_CHARACTER_RECOGNITION}', "");
Expect(1, 9312, '\p{^Block=	Optical_CHARACTER_RECOGNITION}', "");
Expect(1, 9312, '\P{Block=	Optical_CHARACTER_RECOGNITION}', "");
Expect(0, 9312, '\P{^Block=	Optical_CHARACTER_RECOGNITION}', "");
Error('\p{Blk=/a/	OCR}');
Error('\P{Blk=/a/	OCR}');
Expect(1, 9311, '\p{Blk=ocr}', "");
Expect(0, 9311, '\p{^Blk=ocr}', "");
Expect(0, 9311, '\P{Blk=ocr}', "");
Expect(1, 9311, '\P{^Blk=ocr}', "");
Expect(0, 9312, '\p{Blk=ocr}', "");
Expect(1, 9312, '\p{^Blk=ocr}', "");
Expect(1, 9312, '\P{Blk=ocr}', "");
Expect(0, 9312, '\P{^Blk=ocr}', "");
Expect(1, 9311, '\p{Blk: - OCR}', "");
Expect(0, 9311, '\p{^Blk: - OCR}', "");
Expect(0, 9311, '\P{Blk: - OCR}', "");
Expect(1, 9311, '\P{^Blk: - OCR}', "");
Expect(0, 9312, '\p{Blk: - OCR}', "");
Expect(1, 9312, '\p{^Blk: - OCR}', "");
Expect(1, 9312, '\P{Blk: - OCR}', "");
Expect(0, 9312, '\P{^Blk: - OCR}', "");
Error('\p{Is_Block=/a/ 	OPTICAL_Character_RECOGNITION}');
Error('\P{Is_Block=/a/ 	OPTICAL_Character_RECOGNITION}');
Expect(1, 9311, '\p{Is_Block=opticalcharacterrecognition}', "");
Expect(0, 9311, '\p{^Is_Block=opticalcharacterrecognition}', "");
Expect(0, 9311, '\P{Is_Block=opticalcharacterrecognition}', "");
Expect(1, 9311, '\P{^Is_Block=opticalcharacterrecognition}', "");
Expect(0, 9312, '\p{Is_Block=opticalcharacterrecognition}', "");
Expect(1, 9312, '\p{^Is_Block=opticalcharacterrecognition}', "");
Expect(1, 9312, '\P{Is_Block=opticalcharacterrecognition}', "");
Expect(0, 9312, '\P{^Is_Block=opticalcharacterrecognition}', "");
Expect(1, 9311, '\p{Is_Block=_ optical_Character_Recognition}', "");
Expect(0, 9311, '\p{^Is_Block=_ optical_Character_Recognition}', "");
Expect(0, 9311, '\P{Is_Block=_ optical_Character_Recognition}', "");
Expect(1, 9311, '\P{^Is_Block=_ optical_Character_Recognition}', "");
Expect(0, 9312, '\p{Is_Block=_ optical_Character_Recognition}', "");
Expect(1, 9312, '\p{^Is_Block=_ optical_Character_Recognition}', "");
Expect(1, 9312, '\P{Is_Block=_ optical_Character_Recognition}', "");
Expect(0, 9312, '\P{^Is_Block=_ optical_Character_Recognition}', "");
Error('\p{Is_Blk=/a/	OCR}');
Error('\P{Is_Blk=/a/	OCR}');
Expect(1, 9311, '\p{Is_Blk=ocr}', "");
Expect(0, 9311, '\p{^Is_Blk=ocr}', "");
Expect(0, 9311, '\P{Is_Blk=ocr}', "");
Expect(1, 9311, '\P{^Is_Blk=ocr}', "");
Expect(0, 9312, '\p{Is_Blk=ocr}', "");
Expect(1, 9312, '\p{^Is_Blk=ocr}', "");
Expect(1, 9312, '\P{Is_Blk=ocr}', "");
Expect(0, 9312, '\P{^Is_Blk=ocr}', "");
Expect(1, 9311, '\p{Is_Blk=__OCR}', "");
Expect(0, 9311, '\p{^Is_Blk=__OCR}', "");
Expect(0, 9311, '\P{Is_Blk=__OCR}', "");
Expect(1, 9311, '\P{^Is_Blk=__OCR}', "");
Expect(0, 9312, '\p{Is_Blk=__OCR}', "");
Expect(1, 9312, '\p{^Is_Blk=__OCR}', "");
Expect(1, 9312, '\P{Is_Blk=__OCR}', "");
Expect(0, 9312, '\P{^Is_Blk=__OCR}', "");
Error('\p{Block= -Ogham:=}');
Error('\P{Block= -Ogham:=}');
Expect(1, 5791, '\p{Block=ogham}', "");
Expect(0, 5791, '\p{^Block=ogham}', "");
Expect(0, 5791, '\P{Block=ogham}', "");
Expect(1, 5791, '\P{^Block=ogham}', "");
Expect(0, 5792, '\p{Block=ogham}', "");
Expect(1, 5792, '\p{^Block=ogham}', "");
Expect(1, 5792, '\P{Block=ogham}', "");
Expect(0, 5792, '\P{^Block=ogham}', "");
Expect(1, 5791, '\p{Block=	 ogham}', "");
Expect(0, 5791, '\p{^Block=	 ogham}', "");
Expect(0, 5791, '\P{Block=	 ogham}', "");
Expect(1, 5791, '\P{^Block=	 ogham}', "");
Expect(0, 5792, '\p{Block=	 ogham}', "");
Expect(1, 5792, '\p{^Block=	 ogham}', "");
Expect(1, 5792, '\P{Block=	 ogham}', "");
Expect(0, 5792, '\P{^Block=	 ogham}', "");
Error('\p{Blk=/a/_ogham}');
Error('\P{Blk=/a/_ogham}');
Expect(1, 5791, '\p{Blk=ogham}', "");
Expect(0, 5791, '\p{^Blk=ogham}', "");
Expect(0, 5791, '\P{Blk=ogham}', "");
Expect(1, 5791, '\P{^Blk=ogham}', "");
Expect(0, 5792, '\p{Blk=ogham}', "");
Expect(1, 5792, '\p{^Blk=ogham}', "");
Expect(1, 5792, '\P{Blk=ogham}', "");
Expect(0, 5792, '\P{^Blk=ogham}', "");
Expect(1, 5791, '\p{Blk=- OGHAM}', "");
Expect(0, 5791, '\p{^Blk=- OGHAM}', "");
Expect(0, 5791, '\P{Blk=- OGHAM}', "");
Expect(1, 5791, '\P{^Blk=- OGHAM}', "");
Expect(0, 5792, '\p{Blk=- OGHAM}', "");
Expect(1, 5792, '\p{^Blk=- OGHAM}', "");
Expect(1, 5792, '\P{Blk=- OGHAM}', "");
Expect(0, 5792, '\P{^Blk=- OGHAM}', "");
Error('\p{Is_Block=__OGHAM/a/}');
Error('\P{Is_Block=__OGHAM/a/}');
Expect(1, 5791, '\p{Is_Block=ogham}', "");
Expect(0, 5791, '\p{^Is_Block=ogham}', "");
Expect(0, 5791, '\P{Is_Block=ogham}', "");
Expect(1, 5791, '\P{^Is_Block=ogham}', "");
Expect(0, 5792, '\p{Is_Block=ogham}', "");
Expect(1, 5792, '\p{^Is_Block=ogham}', "");
Expect(1, 5792, '\P{Is_Block=ogham}', "");
Expect(0, 5792, '\P{^Is_Block=ogham}', "");
Expect(1, 5791, '\p{Is_Block=--Ogham}', "");
Expect(0, 5791, '\p{^Is_Block=--Ogham}', "");
Expect(0, 5791, '\P{Is_Block=--Ogham}', "");
Expect(1, 5791, '\P{^Is_Block=--Ogham}', "");
Expect(0, 5792, '\p{Is_Block=--Ogham}', "");
Expect(1, 5792, '\p{^Is_Block=--Ogham}', "");
Expect(1, 5792, '\P{Is_Block=--Ogham}', "");
Expect(0, 5792, '\P{^Is_Block=--Ogham}', "");
Error('\p{Is_Blk=:=-_Ogham}');
Error('\P{Is_Blk=:=-_Ogham}');
Expect(1, 5791, '\p{Is_Blk:ogham}', "");
Expect(0, 5791, '\p{^Is_Blk:ogham}', "");
Expect(0, 5791, '\P{Is_Blk:ogham}', "");
Expect(1, 5791, '\P{^Is_Blk:ogham}', "");
Expect(0, 5792, '\p{Is_Blk:ogham}', "");
Expect(1, 5792, '\p{^Is_Blk:ogham}', "");
Expect(1, 5792, '\P{Is_Blk:ogham}', "");
Expect(0, 5792, '\P{^Is_Blk:ogham}', "");
Expect(1, 5791, '\p{Is_Blk=-_OGHAM}', "");
Expect(0, 5791, '\p{^Is_Blk=-_OGHAM}', "");
Expect(0, 5791, '\P{Is_Blk=-_OGHAM}', "");
Expect(1, 5791, '\P{^Is_Blk=-_OGHAM}', "");
Expect(0, 5792, '\p{Is_Blk=-_OGHAM}', "");
Expect(1, 5792, '\p{^Is_Blk=-_OGHAM}', "");
Expect(1, 5792, '\P{Is_Blk=-_OGHAM}', "");
Expect(0, 5792, '\P{^Is_Blk=-_OGHAM}', "");
Error('\p{Block=	 OL_Chiki:=}');
Error('\P{Block=	 OL_Chiki:=}');
Expect(1, 7295, '\p{Block=olchiki}', "");
Expect(0, 7295, '\p{^Block=olchiki}', "");
Expect(0, 7295, '\P{Block=olchiki}', "");
Expect(1, 7295, '\P{^Block=olchiki}', "");
Expect(0, 7296, '\p{Block=olchiki}', "");
Expect(1, 7296, '\p{^Block=olchiki}', "");
Expect(1, 7296, '\P{Block=olchiki}', "");
Expect(0, 7296, '\P{^Block=olchiki}', "");
Expect(1, 7295, '\p{Block= -OL_CHIKI}', "");
Expect(0, 7295, '\p{^Block= -OL_CHIKI}', "");
Expect(0, 7295, '\P{Block= -OL_CHIKI}', "");
Expect(1, 7295, '\P{^Block= -OL_CHIKI}', "");
Expect(0, 7296, '\p{Block= -OL_CHIKI}', "");
Expect(1, 7296, '\p{^Block= -OL_CHIKI}', "");
Expect(1, 7296, '\P{Block= -OL_CHIKI}', "");
Expect(0, 7296, '\P{^Block= -OL_CHIKI}', "");
Error('\p{Blk=/a/	-OL_Chiki}');
Error('\P{Blk=/a/	-OL_Chiki}');
Expect(1, 7295, '\p{Blk=olchiki}', "");
Expect(0, 7295, '\p{^Blk=olchiki}', "");
Expect(0, 7295, '\P{Blk=olchiki}', "");
Expect(1, 7295, '\P{^Blk=olchiki}', "");
Expect(0, 7296, '\p{Blk=olchiki}', "");
Expect(1, 7296, '\p{^Blk=olchiki}', "");
Expect(1, 7296, '\P{Blk=olchiki}', "");
Expect(0, 7296, '\P{^Blk=olchiki}', "");
Expect(1, 7295, '\p{Blk=-	Ol_CHIKI}', "");
Expect(0, 7295, '\p{^Blk=-	Ol_CHIKI}', "");
Expect(0, 7295, '\P{Blk=-	Ol_CHIKI}', "");
Expect(1, 7295, '\P{^Blk=-	Ol_CHIKI}', "");
Expect(0, 7296, '\p{Blk=-	Ol_CHIKI}', "");
Expect(1, 7296, '\p{^Blk=-	Ol_CHIKI}', "");
Expect(1, 7296, '\P{Blk=-	Ol_CHIKI}', "");
Expect(0, 7296, '\P{^Blk=-	Ol_CHIKI}', "");
Error('\p{Is_Block:	/a/_ol_chiki}');
Error('\P{Is_Block:	/a/_ol_chiki}');
Expect(1, 7295, '\p{Is_Block=olchiki}', "");
Expect(0, 7295, '\p{^Is_Block=olchiki}', "");
Expect(0, 7295, '\P{Is_Block=olchiki}', "");
Expect(1, 7295, '\P{^Is_Block=olchiki}', "");
Expect(0, 7296, '\p{Is_Block=olchiki}', "");
Expect(1, 7296, '\p{^Is_Block=olchiki}', "");
Expect(1, 7296, '\P{Is_Block=olchiki}', "");
Expect(0, 7296, '\P{^Is_Block=olchiki}', "");
Expect(1, 7295, '\p{Is_Block:   _-OL_Chiki}', "");
Expect(0, 7295, '\p{^Is_Block:   _-OL_Chiki}', "");
Expect(0, 7295, '\P{Is_Block:   _-OL_Chiki}', "");
Expect(1, 7295, '\P{^Is_Block:   _-OL_Chiki}', "");
Expect(0, 7296, '\p{Is_Block:   _-OL_Chiki}', "");
Expect(1, 7296, '\p{^Is_Block:   _-OL_Chiki}', "");
Expect(1, 7296, '\P{Is_Block:   _-OL_Chiki}', "");
Expect(0, 7296, '\P{^Is_Block:   _-OL_Chiki}', "");
Error('\p{Is_Blk=:=ol_Chiki}');
Error('\P{Is_Blk=:=ol_Chiki}');
Expect(1, 7295, '\p{Is_Blk:olchiki}', "");
Expect(0, 7295, '\p{^Is_Blk:olchiki}', "");
Expect(0, 7295, '\P{Is_Blk:olchiki}', "");
Expect(1, 7295, '\P{^Is_Blk:olchiki}', "");
Expect(0, 7296, '\p{Is_Blk:olchiki}', "");
Expect(1, 7296, '\p{^Is_Blk:olchiki}', "");
Expect(1, 7296, '\P{Is_Blk:olchiki}', "");
Expect(0, 7296, '\P{^Is_Blk:olchiki}', "");
Expect(1, 7295, '\p{Is_Blk:	 OL_CHIKI}', "");
Expect(0, 7295, '\p{^Is_Blk:	 OL_CHIKI}', "");
Expect(0, 7295, '\P{Is_Blk:	 OL_CHIKI}', "");
Expect(1, 7295, '\P{^Is_Blk:	 OL_CHIKI}', "");
Expect(0, 7296, '\p{Is_Blk:	 OL_CHIKI}', "");
Expect(1, 7296, '\p{^Is_Blk:	 OL_CHIKI}', "");
Expect(1, 7296, '\P{Is_Blk:	 OL_CHIKI}', "");
Expect(0, 7296, '\P{^Is_Blk:	 OL_CHIKI}', "");
Error('\p{Block= /a/Old_Hungarian}');
Error('\P{Block= /a/Old_Hungarian}');
Expect(1, 68863, '\p{Block=oldhungarian}', "");
Expect(0, 68863, '\p{^Block=oldhungarian}', "");
Expect(0, 68863, '\P{Block=oldhungarian}', "");
Expect(1, 68863, '\P{^Block=oldhungarian}', "");
Expect(0, 68864, '\p{Block=oldhungarian}', "");
Expect(1, 68864, '\p{^Block=oldhungarian}', "");
Expect(1, 68864, '\P{Block=oldhungarian}', "");
Expect(0, 68864, '\P{^Block=oldhungarian}', "");
Expect(1, 68863, '\p{Block= _Old_Hungarian}', "");
Expect(0, 68863, '\p{^Block= _Old_Hungarian}', "");
Expect(0, 68863, '\P{Block= _Old_Hungarian}', "");
Expect(1, 68863, '\P{^Block= _Old_Hungarian}', "");
Expect(0, 68864, '\p{Block= _Old_Hungarian}', "");
Expect(1, 68864, '\p{^Block= _Old_Hungarian}', "");
Expect(1, 68864, '\P{Block= _Old_Hungarian}', "");
Expect(0, 68864, '\P{^Block= _Old_Hungarian}', "");
Error('\p{Blk=	/a/OLD_HUNGARIAN}');
Error('\P{Blk=	/a/OLD_HUNGARIAN}');
Expect(1, 68863, '\p{Blk=oldhungarian}', "");
Expect(0, 68863, '\p{^Blk=oldhungarian}', "");
Expect(0, 68863, '\P{Blk=oldhungarian}', "");
Expect(1, 68863, '\P{^Blk=oldhungarian}', "");
Expect(0, 68864, '\p{Blk=oldhungarian}', "");
Expect(1, 68864, '\p{^Blk=oldhungarian}', "");
Expect(1, 68864, '\P{Blk=oldhungarian}', "");
Expect(0, 68864, '\P{^Blk=oldhungarian}', "");
Expect(1, 68863, '\p{Blk=-Old_Hungarian}', "");
Expect(0, 68863, '\p{^Blk=-Old_Hungarian}', "");
Expect(0, 68863, '\P{Blk=-Old_Hungarian}', "");
Expect(1, 68863, '\P{^Blk=-Old_Hungarian}', "");
Expect(0, 68864, '\p{Blk=-Old_Hungarian}', "");
Expect(1, 68864, '\p{^Blk=-Old_Hungarian}', "");
Expect(1, 68864, '\P{Blk=-Old_Hungarian}', "");
Expect(0, 68864, '\P{^Blk=-Old_Hungarian}', "");
Error('\p{Is_Block=_old_hungarian:=}');
Error('\P{Is_Block=_old_hungarian:=}');
Expect(1, 68863, '\p{Is_Block=oldhungarian}', "");
Expect(0, 68863, '\p{^Is_Block=oldhungarian}', "");
Expect(0, 68863, '\P{Is_Block=oldhungarian}', "");
Expect(1, 68863, '\P{^Is_Block=oldhungarian}', "");
Expect(0, 68864, '\p{Is_Block=oldhungarian}', "");
Expect(1, 68864, '\p{^Is_Block=oldhungarian}', "");
Expect(1, 68864, '\P{Is_Block=oldhungarian}', "");
Expect(0, 68864, '\P{^Is_Block=oldhungarian}', "");
Expect(1, 68863, '\p{Is_Block: --Old_HUNGARIAN}', "");
Expect(0, 68863, '\p{^Is_Block: --Old_HUNGARIAN}', "");
Expect(0, 68863, '\P{Is_Block: --Old_HUNGARIAN}', "");
Expect(1, 68863, '\P{^Is_Block: --Old_HUNGARIAN}', "");
Expect(0, 68864, '\p{Is_Block: --Old_HUNGARIAN}', "");
Expect(1, 68864, '\p{^Is_Block: --Old_HUNGARIAN}', "");
Expect(1, 68864, '\P{Is_Block: --Old_HUNGARIAN}', "");
Expect(0, 68864, '\P{^Is_Block: --Old_HUNGARIAN}', "");
Error('\p{Is_Blk=/a/ _OLD_Hungarian}');
Error('\P{Is_Blk=/a/ _OLD_Hungarian}');
Expect(1, 68863, '\p{Is_Blk=oldhungarian}', "");
Expect(0, 68863, '\p{^Is_Blk=oldhungarian}', "");
Expect(0, 68863, '\P{Is_Blk=oldhungarian}', "");
Expect(1, 68863, '\P{^Is_Blk=oldhungarian}', "");
Expect(0, 68864, '\p{Is_Blk=oldhungarian}', "");
Expect(1, 68864, '\p{^Is_Blk=oldhungarian}', "");
Expect(1, 68864, '\P{Is_Blk=oldhungarian}', "");
Expect(0, 68864, '\P{^Is_Blk=oldhungarian}', "");
Expect(1, 68863, '\p{Is_Blk= old_HUNGARIAN}', "");
Expect(0, 68863, '\p{^Is_Blk= old_HUNGARIAN}', "");
Expect(0, 68863, '\P{Is_Blk= old_HUNGARIAN}', "");
Expect(1, 68863, '\P{^Is_Blk= old_HUNGARIAN}', "");
Expect(0, 68864, '\p{Is_Blk= old_HUNGARIAN}', "");
Expect(1, 68864, '\p{^Is_Blk= old_HUNGARIAN}', "");
Expect(1, 68864, '\P{Is_Blk= old_HUNGARIAN}', "");
Expect(0, 68864, '\P{^Is_Blk= old_HUNGARIAN}', "");
Error('\p{Block=-/a/Old_Italic}');
Error('\P{Block=-/a/Old_Italic}');
Expect(1, 66351, '\p{Block=olditalic}', "");
Expect(0, 66351, '\p{^Block=olditalic}', "");
Expect(0, 66351, '\P{Block=olditalic}', "");
Expect(1, 66351, '\P{^Block=olditalic}', "");
Expect(0, 66352, '\p{Block=olditalic}', "");
Expect(1, 66352, '\p{^Block=olditalic}', "");
Expect(1, 66352, '\P{Block=olditalic}', "");
Expect(0, 66352, '\P{^Block=olditalic}', "");
Expect(1, 66351, '\p{Block=		Old_Italic}', "");
Expect(0, 66351, '\p{^Block=		Old_Italic}', "");
Expect(0, 66351, '\P{Block=		Old_Italic}', "");
Expect(1, 66351, '\P{^Block=		Old_Italic}', "");
Expect(0, 66352, '\p{Block=		Old_Italic}', "");
Expect(1, 66352, '\p{^Block=		Old_Italic}', "");
Expect(1, 66352, '\P{Block=		Old_Italic}', "");
Expect(0, 66352, '\P{^Block=		Old_Italic}', "");
Error('\p{Blk=	:=old_Italic}');
Error('\P{Blk=	:=old_Italic}');
Expect(1, 66351, '\p{Blk: olditalic}', "");
Expect(0, 66351, '\p{^Blk: olditalic}', "");
Expect(0, 66351, '\P{Blk: olditalic}', "");
Expect(1, 66351, '\P{^Blk: olditalic}', "");
Expect(0, 66352, '\p{Blk: olditalic}', "");
Expect(1, 66352, '\p{^Blk: olditalic}', "");
Expect(1, 66352, '\P{Blk: olditalic}', "");
Expect(0, 66352, '\P{^Blk: olditalic}', "");
Expect(1, 66351, '\p{Blk=_OLD_Italic}', "");
Expect(0, 66351, '\p{^Blk=_OLD_Italic}', "");
Expect(0, 66351, '\P{Blk=_OLD_Italic}', "");
Expect(1, 66351, '\P{^Blk=_OLD_Italic}', "");
Expect(0, 66352, '\p{Blk=_OLD_Italic}', "");
Expect(1, 66352, '\p{^Blk=_OLD_Italic}', "");
Expect(1, 66352, '\P{Blk=_OLD_Italic}', "");
Expect(0, 66352, '\P{^Blk=_OLD_Italic}', "");
Error('\p{Is_Block=_:=Old_ITALIC}');
Error('\P{Is_Block=_:=Old_ITALIC}');
Expect(1, 66351, '\p{Is_Block=olditalic}', "");
Expect(0, 66351, '\p{^Is_Block=olditalic}', "");
Expect(0, 66351, '\P{Is_Block=olditalic}', "");
Expect(1, 66351, '\P{^Is_Block=olditalic}', "");
Expect(0, 66352, '\p{Is_Block=olditalic}', "");
Expect(1, 66352, '\p{^Is_Block=olditalic}', "");
Expect(1, 66352, '\P{Is_Block=olditalic}', "");
Expect(0, 66352, '\P{^Is_Block=olditalic}', "");
Expect(1, 66351, '\p{Is_Block=	Old_italic}', "");
Expect(0, 66351, '\p{^Is_Block=	Old_italic}', "");
Expect(0, 66351, '\P{Is_Block=	Old_italic}', "");
Expect(1, 66351, '\P{^Is_Block=	Old_italic}', "");
Expect(0, 66352, '\p{Is_Block=	Old_italic}', "");
Expect(1, 66352, '\p{^Is_Block=	Old_italic}', "");
Expect(1, 66352, '\P{Is_Block=	Old_italic}', "");
Expect(0, 66352, '\P{^Is_Block=	Old_italic}', "");
Error('\p{Is_Blk=_	old_italic/a/}');
Error('\P{Is_Blk=_	old_italic/a/}');
Expect(1, 66351, '\p{Is_Blk=olditalic}', "");
Expect(0, 66351, '\p{^Is_Blk=olditalic}', "");
Expect(0, 66351, '\P{Is_Blk=olditalic}', "");
Expect(1, 66351, '\P{^Is_Blk=olditalic}', "");
Expect(0, 66352, '\p{Is_Blk=olditalic}', "");
Expect(1, 66352, '\p{^Is_Blk=olditalic}', "");
Expect(1, 66352, '\P{Is_Blk=olditalic}', "");
Expect(0, 66352, '\P{^Is_Blk=olditalic}', "");
Expect(1, 66351, '\p{Is_Blk=__OLD_italic}', "");
Expect(0, 66351, '\p{^Is_Blk=__OLD_italic}', "");
Expect(0, 66351, '\P{Is_Blk=__OLD_italic}', "");
Expect(1, 66351, '\P{^Is_Blk=__OLD_italic}', "");
Expect(0, 66352, '\p{Is_Blk=__OLD_italic}', "");
Expect(1, 66352, '\p{^Is_Blk=__OLD_italic}', "");
Expect(1, 66352, '\P{Is_Blk=__OLD_italic}', "");
Expect(0, 66352, '\P{^Is_Blk=__OLD_italic}', "");
Error('\p{Block=:=__Old_north_arabian}');
Error('\P{Block=:=__Old_north_arabian}');
Expect(1, 68255, '\p{Block=oldnortharabian}', "");
Expect(0, 68255, '\p{^Block=oldnortharabian}', "");
Expect(0, 68255, '\P{Block=oldnortharabian}', "");
Expect(1, 68255, '\P{^Block=oldnortharabian}', "");
Expect(0, 68256, '\p{Block=oldnortharabian}', "");
Expect(1, 68256, '\p{^Block=oldnortharabian}', "");
Expect(1, 68256, '\P{Block=oldnortharabian}', "");
Expect(0, 68256, '\P{^Block=oldnortharabian}', "");
Expect(1, 68255, '\p{Block=	-old_NORTH_Arabian}', "");
Expect(0, 68255, '\p{^Block=	-old_NORTH_Arabian}', "");
Expect(0, 68255, '\P{Block=	-old_NORTH_Arabian}', "");
Expect(1, 68255, '\P{^Block=	-old_NORTH_Arabian}', "");
Expect(0, 68256, '\p{Block=	-old_NORTH_Arabian}', "");
Expect(1, 68256, '\p{^Block=	-old_NORTH_Arabian}', "");
Expect(1, 68256, '\P{Block=	-old_NORTH_Arabian}', "");
Expect(0, 68256, '\P{^Block=	-old_NORTH_Arabian}', "");
Error('\p{Blk=:=-Old_NORTH_ARABIAN}');
Error('\P{Blk=:=-Old_NORTH_ARABIAN}');
Expect(1, 68255, '\p{Blk=oldnortharabian}', "");
Expect(0, 68255, '\p{^Blk=oldnortharabian}', "");
Expect(0, 68255, '\P{Blk=oldnortharabian}', "");
Expect(1, 68255, '\P{^Blk=oldnortharabian}', "");
Expect(0, 68256, '\p{Blk=oldnortharabian}', "");
Expect(1, 68256, '\p{^Blk=oldnortharabian}', "");
Expect(1, 68256, '\P{Blk=oldnortharabian}', "");
Expect(0, 68256, '\P{^Blk=oldnortharabian}', "");
Expect(1, 68255, '\p{Blk=- OLD_north_Arabian}', "");
Expect(0, 68255, '\p{^Blk=- OLD_north_Arabian}', "");
Expect(0, 68255, '\P{Blk=- OLD_north_Arabian}', "");
Expect(1, 68255, '\P{^Blk=- OLD_north_Arabian}', "");
Expect(0, 68256, '\p{Blk=- OLD_north_Arabian}', "");
Expect(1, 68256, '\p{^Blk=- OLD_north_Arabian}', "");
Expect(1, 68256, '\P{Blk=- OLD_north_Arabian}', "");
Expect(0, 68256, '\P{^Blk=- OLD_north_Arabian}', "");
Error('\p{Is_Block=	/a/Old_North_Arabian}');
Error('\P{Is_Block=	/a/Old_North_Arabian}');
Expect(1, 68255, '\p{Is_Block=oldnortharabian}', "");
Expect(0, 68255, '\p{^Is_Block=oldnortharabian}', "");
Expect(0, 68255, '\P{Is_Block=oldnortharabian}', "");
Expect(1, 68255, '\P{^Is_Block=oldnortharabian}', "");
Expect(0, 68256, '\p{Is_Block=oldnortharabian}', "");
Expect(1, 68256, '\p{^Is_Block=oldnortharabian}', "");
Expect(1, 68256, '\P{Is_Block=oldnortharabian}', "");
Expect(0, 68256, '\P{^Is_Block=oldnortharabian}', "");
Expect(1, 68255, '\p{Is_Block=-Old_NORTH_Arabian}', "");
Expect(0, 68255, '\p{^Is_Block=-Old_NORTH_Arabian}', "");
Expect(0, 68255, '\P{Is_Block=-Old_NORTH_Arabian}', "");
Expect(1, 68255, '\P{^Is_Block=-Old_NORTH_Arabian}', "");
Expect(0, 68256, '\p{Is_Block=-Old_NORTH_Arabian}', "");
Expect(1, 68256, '\p{^Is_Block=-Old_NORTH_Arabian}', "");
Expect(1, 68256, '\P{Is_Block=-Old_NORTH_Arabian}', "");
Expect(0, 68256, '\P{^Is_Block=-Old_NORTH_Arabian}', "");
Error('\p{Is_Blk:   :=__Old_NORTH_arabian}');
Error('\P{Is_Blk:   :=__Old_NORTH_arabian}');
Expect(1, 68255, '\p{Is_Blk=oldnortharabian}', "");
Expect(0, 68255, '\p{^Is_Blk=oldnortharabian}', "");
Expect(0, 68255, '\P{Is_Blk=oldnortharabian}', "");
Expect(1, 68255, '\P{^Is_Blk=oldnortharabian}', "");
Expect(0, 68256, '\p{Is_Blk=oldnortharabian}', "");
Expect(1, 68256, '\p{^Is_Blk=oldnortharabian}', "");
Expect(1, 68256, '\P{Is_Blk=oldnortharabian}', "");
Expect(0, 68256, '\P{^Is_Blk=oldnortharabian}', "");
Expect(1, 68255, '\p{Is_Blk=	Old_North_Arabian}', "");
Expect(0, 68255, '\p{^Is_Blk=	Old_North_Arabian}', "");
Expect(0, 68255, '\P{Is_Blk=	Old_North_Arabian}', "");
Expect(1, 68255, '\P{^Is_Blk=	Old_North_Arabian}', "");
Expect(0, 68256, '\p{Is_Blk=	Old_North_Arabian}', "");
Expect(1, 68256, '\p{^Is_Blk=	Old_North_Arabian}', "");
Expect(1, 68256, '\P{Is_Blk=	Old_North_Arabian}', "");
Expect(0, 68256, '\P{^Is_Blk=	Old_North_Arabian}', "");
Error('\p{Block=/a/		Old_PERMIC}');
Error('\P{Block=/a/		Old_PERMIC}');
Expect(1, 66431, '\p{Block=oldpermic}', "");
Expect(0, 66431, '\p{^Block=oldpermic}', "");
Expect(0, 66431, '\P{Block=oldpermic}', "");
Expect(1, 66431, '\P{^Block=oldpermic}', "");
Expect(0, 66432, '\p{Block=oldpermic}', "");
Expect(1, 66432, '\p{^Block=oldpermic}', "");
Expect(1, 66432, '\P{Block=oldpermic}', "");
Expect(0, 66432, '\P{^Block=oldpermic}', "");
Expect(1, 66431, '\p{Block=	-old_Permic}', "");
Expect(0, 66431, '\p{^Block=	-old_Permic}', "");
Expect(0, 66431, '\P{Block=	-old_Permic}', "");
Expect(1, 66431, '\P{^Block=	-old_Permic}', "");
Expect(0, 66432, '\p{Block=	-old_Permic}', "");
Expect(1, 66432, '\p{^Block=	-old_Permic}', "");
Expect(1, 66432, '\P{Block=	-old_Permic}', "");
Expect(0, 66432, '\P{^Block=	-old_Permic}', "");
Error('\p{Blk:	-_old_Permic:=}');
Error('\P{Blk:	-_old_Permic:=}');
Expect(1, 66431, '\p{Blk:	oldpermic}', "");
Expect(0, 66431, '\p{^Blk:	oldpermic}', "");
Expect(0, 66431, '\P{Blk:	oldpermic}', "");
Expect(1, 66431, '\P{^Blk:	oldpermic}', "");
Expect(0, 66432, '\p{Blk:	oldpermic}', "");
Expect(1, 66432, '\p{^Blk:	oldpermic}', "");
Expect(1, 66432, '\P{Blk:	oldpermic}', "");
Expect(0, 66432, '\P{^Blk:	oldpermic}', "");
Expect(1, 66431, '\p{Blk=	OLD_permic}', "");
Expect(0, 66431, '\p{^Blk=	OLD_permic}', "");
Expect(0, 66431, '\P{Blk=	OLD_permic}', "");
Expect(1, 66431, '\P{^Blk=	OLD_permic}', "");
Expect(0, 66432, '\p{Blk=	OLD_permic}', "");
Expect(1, 66432, '\p{^Blk=	OLD_permic}', "");
Expect(1, 66432, '\P{Blk=	OLD_permic}', "");
Expect(0, 66432, '\P{^Blk=	OLD_permic}', "");
Error('\p{Is_Block=  Old_Permic:=}');
Error('\P{Is_Block=  Old_Permic:=}');
Expect(1, 66431, '\p{Is_Block: oldpermic}', "");
Expect(0, 66431, '\p{^Is_Block: oldpermic}', "");
Expect(0, 66431, '\P{Is_Block: oldpermic}', "");
Expect(1, 66431, '\P{^Is_Block: oldpermic}', "");
Expect(0, 66432, '\p{Is_Block: oldpermic}', "");
Expect(1, 66432, '\p{^Is_Block: oldpermic}', "");
Expect(1, 66432, '\P{Is_Block: oldpermic}', "");
Expect(0, 66432, '\P{^Is_Block: oldpermic}', "");
Expect(1, 66431, '\p{Is_Block=		Old_permic}', "");
Expect(0, 66431, '\p{^Is_Block=		Old_permic}', "");
Expect(0, 66431, '\P{Is_Block=		Old_permic}', "");
Expect(1, 66431, '\P{^Is_Block=		Old_permic}', "");
Expect(0, 66432, '\p{Is_Block=		Old_permic}', "");
Expect(1, 66432, '\p{^Is_Block=		Old_permic}', "");
Expect(1, 66432, '\P{Is_Block=		Old_permic}', "");
Expect(0, 66432, '\P{^Is_Block=		Old_permic}', "");
Error('\p{Is_Blk=/a/ 	Old_Permic}');
Error('\P{Is_Blk=/a/ 	Old_Permic}');
Expect(1, 66431, '\p{Is_Blk=oldpermic}', "");
Expect(0, 66431, '\p{^Is_Blk=oldpermic}', "");
Expect(0, 66431, '\P{Is_Blk=oldpermic}', "");
Expect(1, 66431, '\P{^Is_Blk=oldpermic}', "");
Expect(0, 66432, '\p{Is_Blk=oldpermic}', "");
Expect(1, 66432, '\p{^Is_Blk=oldpermic}', "");
Expect(1, 66432, '\P{Is_Blk=oldpermic}', "");
Expect(0, 66432, '\P{^Is_Blk=oldpermic}', "");
Expect(1, 66431, '\p{Is_Blk=	 Old_Permic}', "");
Expect(0, 66431, '\p{^Is_Blk=	 Old_Permic}', "");
Expect(0, 66431, '\P{Is_Blk=	 Old_Permic}', "");
Expect(1, 66431, '\P{^Is_Blk=	 Old_Permic}', "");
Expect(0, 66432, '\p{Is_Blk=	 Old_Permic}', "");
Expect(1, 66432, '\p{^Is_Blk=	 Old_Permic}', "");
Expect(1, 66432, '\P{Is_Blk=	 Old_Permic}', "");
Expect(0, 66432, '\P{^Is_Blk=	 Old_Permic}', "");
Error('\p{Block=- Old_Persian:=}');
Error('\P{Block=- Old_Persian:=}');
Expect(1, 66527, '\p{Block=oldpersian}', "");
Expect(0, 66527, '\p{^Block=oldpersian}', "");
Expect(0, 66527, '\P{Block=oldpersian}', "");
Expect(1, 66527, '\P{^Block=oldpersian}', "");
Expect(0, 66528, '\p{Block=oldpersian}', "");
Expect(1, 66528, '\p{^Block=oldpersian}', "");
Expect(1, 66528, '\P{Block=oldpersian}', "");
Expect(0, 66528, '\P{^Block=oldpersian}', "");
Expect(1, 66527, '\p{Block= _old_Persian}', "");
Expect(0, 66527, '\p{^Block= _old_Persian}', "");
Expect(0, 66527, '\P{Block= _old_Persian}', "");
Expect(1, 66527, '\P{^Block= _old_Persian}', "");
Expect(0, 66528, '\p{Block= _old_Persian}', "");
Expect(1, 66528, '\p{^Block= _old_Persian}', "");
Expect(1, 66528, '\P{Block= _old_Persian}', "");
Expect(0, 66528, '\P{^Block= _old_Persian}', "");
Error('\p{Blk=:=-	OLD_PERSIAN}');
Error('\P{Blk=:=-	OLD_PERSIAN}');
Expect(1, 66527, '\p{Blk=oldpersian}', "");
Expect(0, 66527, '\p{^Blk=oldpersian}', "");
Expect(0, 66527, '\P{Blk=oldpersian}', "");
Expect(1, 66527, '\P{^Blk=oldpersian}', "");
Expect(0, 66528, '\p{Blk=oldpersian}', "");
Expect(1, 66528, '\p{^Blk=oldpersian}', "");
Expect(1, 66528, '\P{Blk=oldpersian}', "");
Expect(0, 66528, '\P{^Blk=oldpersian}', "");
Expect(1, 66527, '\p{Blk=-_OLD_Persian}', "");
Expect(0, 66527, '\p{^Blk=-_OLD_Persian}', "");
Expect(0, 66527, '\P{Blk=-_OLD_Persian}', "");
Expect(1, 66527, '\P{^Blk=-_OLD_Persian}', "");
Expect(0, 66528, '\p{Blk=-_OLD_Persian}', "");
Expect(1, 66528, '\p{^Blk=-_OLD_Persian}', "");
Expect(1, 66528, '\P{Blk=-_OLD_Persian}', "");
Expect(0, 66528, '\P{^Blk=-_OLD_Persian}', "");
Error('\p{Is_Block=-:=Old_persian}');
Error('\P{Is_Block=-:=Old_persian}');
Expect(1, 66527, '\p{Is_Block=oldpersian}', "");
Expect(0, 66527, '\p{^Is_Block=oldpersian}', "");
Expect(0, 66527, '\P{Is_Block=oldpersian}', "");
Expect(1, 66527, '\P{^Is_Block=oldpersian}', "");
Expect(0, 66528, '\p{Is_Block=oldpersian}', "");
Expect(1, 66528, '\p{^Is_Block=oldpersian}', "");
Expect(1, 66528, '\P{Is_Block=oldpersian}', "");
Expect(0, 66528, '\P{^Is_Block=oldpersian}', "");
Expect(1, 66527, '\p{Is_Block=	 old_Persian}', "");
Expect(0, 66527, '\p{^Is_Block=	 old_Persian}', "");
Expect(0, 66527, '\P{Is_Block=	 old_Persian}', "");
Expect(1, 66527, '\P{^Is_Block=	 old_Persian}', "");
Expect(0, 66528, '\p{Is_Block=	 old_Persian}', "");
Expect(1, 66528, '\p{^Is_Block=	 old_Persian}', "");
Expect(1, 66528, '\P{Is_Block=	 old_Persian}', "");
Expect(0, 66528, '\P{^Is_Block=	 old_Persian}', "");
Error('\p{Is_Blk=	old_persian/a/}');
Error('\P{Is_Blk=	old_persian/a/}');
Expect(1, 66527, '\p{Is_Blk=oldpersian}', "");
Expect(0, 66527, '\p{^Is_Blk=oldpersian}', "");
Expect(0, 66527, '\P{Is_Blk=oldpersian}', "");
Expect(1, 66527, '\P{^Is_Blk=oldpersian}', "");
Expect(0, 66528, '\p{Is_Blk=oldpersian}', "");
Expect(1, 66528, '\p{^Is_Blk=oldpersian}', "");
Expect(1, 66528, '\P{Is_Blk=oldpersian}', "");
Expect(0, 66528, '\P{^Is_Blk=oldpersian}', "");
Expect(1, 66527, '\p{Is_Blk=__Old_Persian}', "");
Expect(0, 66527, '\p{^Is_Blk=__Old_Persian}', "");
Expect(0, 66527, '\P{Is_Blk=__Old_Persian}', "");
Expect(1, 66527, '\P{^Is_Blk=__Old_Persian}', "");
Expect(0, 66528, '\p{Is_Blk=__Old_Persian}', "");
Expect(1, 66528, '\p{^Is_Blk=__Old_Persian}', "");
Expect(1, 66528, '\P{Is_Blk=__Old_Persian}', "");
Expect(0, 66528, '\P{^Is_Blk=__Old_Persian}', "");
Error('\p{Block=:=old_South_Arabian}');
Error('\P{Block=:=old_South_Arabian}');
Expect(1, 68223, '\p{Block=oldsoutharabian}', "");
Expect(0, 68223, '\p{^Block=oldsoutharabian}', "");
Expect(0, 68223, '\P{Block=oldsoutharabian}', "");
Expect(1, 68223, '\P{^Block=oldsoutharabian}', "");
Expect(0, 68224, '\p{Block=oldsoutharabian}', "");
Expect(1, 68224, '\p{^Block=oldsoutharabian}', "");
Expect(1, 68224, '\P{Block=oldsoutharabian}', "");
Expect(0, 68224, '\P{^Block=oldsoutharabian}', "");
Expect(1, 68223, '\p{Block=- old_south_ARABIAN}', "");
Expect(0, 68223, '\p{^Block=- old_south_ARABIAN}', "");
Expect(0, 68223, '\P{Block=- old_south_ARABIAN}', "");
Expect(1, 68223, '\P{^Block=- old_south_ARABIAN}', "");
Expect(0, 68224, '\p{Block=- old_south_ARABIAN}', "");
Expect(1, 68224, '\p{^Block=- old_south_ARABIAN}', "");
Expect(1, 68224, '\P{Block=- old_south_ARABIAN}', "");
Expect(0, 68224, '\P{^Block=- old_south_ARABIAN}', "");
Error('\p{Blk=:=old_South_ARABIAN}');
Error('\P{Blk=:=old_South_ARABIAN}');
Expect(1, 68223, '\p{Blk=oldsoutharabian}', "");
Expect(0, 68223, '\p{^Blk=oldsoutharabian}', "");
Expect(0, 68223, '\P{Blk=oldsoutharabian}', "");
Expect(1, 68223, '\P{^Blk=oldsoutharabian}', "");
Expect(0, 68224, '\p{Blk=oldsoutharabian}', "");
Expect(1, 68224, '\p{^Blk=oldsoutharabian}', "");
Expect(1, 68224, '\P{Blk=oldsoutharabian}', "");
Expect(0, 68224, '\P{^Blk=oldsoutharabian}', "");
Expect(1, 68223, '\p{Blk=	_old_SOUTH_Arabian}', "");
Expect(0, 68223, '\p{^Blk=	_old_SOUTH_Arabian}', "");
Expect(0, 68223, '\P{Blk=	_old_SOUTH_Arabian}', "");
Expect(1, 68223, '\P{^Blk=	_old_SOUTH_Arabian}', "");
Expect(0, 68224, '\p{Blk=	_old_SOUTH_Arabian}', "");
Expect(1, 68224, '\p{^Blk=	_old_SOUTH_Arabian}', "");
Expect(1, 68224, '\P{Blk=	_old_SOUTH_Arabian}', "");
Expect(0, 68224, '\P{^Blk=	_old_SOUTH_Arabian}', "");
Error('\p{Is_Block=-/a/old_South_Arabian}');
Error('\P{Is_Block=-/a/old_South_Arabian}');
Expect(1, 68223, '\p{Is_Block=oldsoutharabian}', "");
Expect(0, 68223, '\p{^Is_Block=oldsoutharabian}', "");
Expect(0, 68223, '\P{Is_Block=oldsoutharabian}', "");
Expect(1, 68223, '\P{^Is_Block=oldsoutharabian}', "");
Expect(0, 68224, '\p{Is_Block=oldsoutharabian}', "");
Expect(1, 68224, '\p{^Is_Block=oldsoutharabian}', "");
Expect(1, 68224, '\P{Is_Block=oldsoutharabian}', "");
Expect(0, 68224, '\P{^Is_Block=oldsoutharabian}', "");
Expect(1, 68223, '\p{Is_Block=-	old_South_Arabian}', "");
Expect(0, 68223, '\p{^Is_Block=-	old_South_Arabian}', "");
Expect(0, 68223, '\P{Is_Block=-	old_South_Arabian}', "");
Expect(1, 68223, '\P{^Is_Block=-	old_South_Arabian}', "");
Expect(0, 68224, '\p{Is_Block=-	old_South_Arabian}', "");
Expect(1, 68224, '\p{^Is_Block=-	old_South_Arabian}', "");
Expect(1, 68224, '\P{Is_Block=-	old_South_Arabian}', "");
Expect(0, 68224, '\P{^Is_Block=-	old_South_Arabian}', "");
Error('\p{Is_Blk=:=	 Old_SOUTH_ARABIAN}');
Error('\P{Is_Blk=:=	 Old_SOUTH_ARABIAN}');
Expect(1, 68223, '\p{Is_Blk=oldsoutharabian}', "");
Expect(0, 68223, '\p{^Is_Blk=oldsoutharabian}', "");
Expect(0, 68223, '\P{Is_Blk=oldsoutharabian}', "");
Expect(1, 68223, '\P{^Is_Blk=oldsoutharabian}', "");
Expect(0, 68224, '\p{Is_Blk=oldsoutharabian}', "");
Expect(1, 68224, '\p{^Is_Blk=oldsoutharabian}', "");
Expect(1, 68224, '\P{Is_Blk=oldsoutharabian}', "");
Expect(0, 68224, '\P{^Is_Blk=oldsoutharabian}', "");
Expect(1, 68223, '\p{Is_Blk=_ Old_SOUTH_ARABIAN}', "");
Expect(0, 68223, '\p{^Is_Blk=_ Old_SOUTH_ARABIAN}', "");
Expect(0, 68223, '\P{Is_Blk=_ Old_SOUTH_ARABIAN}', "");
Expect(1, 68223, '\P{^Is_Blk=_ Old_SOUTH_ARABIAN}', "");
Expect(0, 68224, '\p{Is_Blk=_ Old_SOUTH_ARABIAN}', "");
Expect(1, 68224, '\p{^Is_Blk=_ Old_SOUTH_ARABIAN}', "");
Expect(1, 68224, '\P{Is_Blk=_ Old_SOUTH_ARABIAN}', "");
Expect(0, 68224, '\P{^Is_Blk=_ Old_SOUTH_ARABIAN}', "");
Error('\p{Block= :=Old_turkic}');
Error('\P{Block= :=Old_turkic}');
Expect(1, 68687, '\p{Block=oldturkic}', "");
Expect(0, 68687, '\p{^Block=oldturkic}', "");
Expect(0, 68687, '\P{Block=oldturkic}', "");
Expect(1, 68687, '\P{^Block=oldturkic}', "");
Expect(0, 68688, '\p{Block=oldturkic}', "");
Expect(1, 68688, '\p{^Block=oldturkic}', "");
Expect(1, 68688, '\P{Block=oldturkic}', "");
Expect(0, 68688, '\P{^Block=oldturkic}', "");
Expect(1, 68687, '\p{Block= -Old_turkic}', "");
Expect(0, 68687, '\p{^Block= -Old_turkic}', "");
Expect(0, 68687, '\P{Block= -Old_turkic}', "");
Expect(1, 68687, '\P{^Block= -Old_turkic}', "");
Expect(0, 68688, '\p{Block= -Old_turkic}', "");
Expect(1, 68688, '\p{^Block= -Old_turkic}', "");
Expect(1, 68688, '\P{Block= -Old_turkic}', "");
Expect(0, 68688, '\P{^Block= -Old_turkic}', "");
Error('\p{Blk=_ Old_Turkic:=}');
Error('\P{Blk=_ Old_Turkic:=}');
Expect(1, 68687, '\p{Blk=oldturkic}', "");
Expect(0, 68687, '\p{^Blk=oldturkic}', "");
Expect(0, 68687, '\P{Blk=oldturkic}', "");
Expect(1, 68687, '\P{^Blk=oldturkic}', "");
Expect(0, 68688, '\p{Blk=oldturkic}', "");
Expect(1, 68688, '\p{^Blk=oldturkic}', "");
Expect(1, 68688, '\P{Blk=oldturkic}', "");
Expect(0, 68688, '\P{^Blk=oldturkic}', "");
Expect(1, 68687, '\p{Blk=		Old_turkic}', "");
Expect(0, 68687, '\p{^Blk=		Old_turkic}', "");
Expect(0, 68687, '\P{Blk=		Old_turkic}', "");
Expect(1, 68687, '\P{^Blk=		Old_turkic}', "");
Expect(0, 68688, '\p{Blk=		Old_turkic}', "");
Expect(1, 68688, '\p{^Blk=		Old_turkic}', "");
Expect(1, 68688, '\P{Blk=		Old_turkic}', "");
Expect(0, 68688, '\P{^Blk=		Old_turkic}', "");
Error('\p{Is_Block=-:=Old_TURKIC}');
Error('\P{Is_Block=-:=Old_TURKIC}');
Expect(1, 68687, '\p{Is_Block=oldturkic}', "");
Expect(0, 68687, '\p{^Is_Block=oldturkic}', "");
Expect(0, 68687, '\P{Is_Block=oldturkic}', "");
Expect(1, 68687, '\P{^Is_Block=oldturkic}', "");
Expect(0, 68688, '\p{Is_Block=oldturkic}', "");
Expect(1, 68688, '\p{^Is_Block=oldturkic}', "");
Expect(1, 68688, '\P{Is_Block=oldturkic}', "");
Expect(0, 68688, '\P{^Is_Block=oldturkic}', "");
Expect(1, 68687, '\p{Is_Block=_	OLD_Turkic}', "");
Expect(0, 68687, '\p{^Is_Block=_	OLD_Turkic}', "");
Expect(0, 68687, '\P{Is_Block=_	OLD_Turkic}', "");
Expect(1, 68687, '\P{^Is_Block=_	OLD_Turkic}', "");
Expect(0, 68688, '\p{Is_Block=_	OLD_Turkic}', "");
Expect(1, 68688, '\p{^Is_Block=_	OLD_Turkic}', "");
Expect(1, 68688, '\P{Is_Block=_	OLD_Turkic}', "");
Expect(0, 68688, '\P{^Is_Block=_	OLD_Turkic}', "");
Error('\p{Is_Blk:  old_Turkic/a/}');
Error('\P{Is_Blk:  old_Turkic/a/}');
Expect(1, 68687, '\p{Is_Blk=oldturkic}', "");
Expect(0, 68687, '\p{^Is_Blk=oldturkic}', "");
Expect(0, 68687, '\P{Is_Blk=oldturkic}', "");
Expect(1, 68687, '\P{^Is_Blk=oldturkic}', "");
Expect(0, 68688, '\p{Is_Blk=oldturkic}', "");
Expect(1, 68688, '\p{^Is_Blk=oldturkic}', "");
Expect(1, 68688, '\P{Is_Blk=oldturkic}', "");
Expect(0, 68688, '\P{^Is_Blk=oldturkic}', "");
Expect(1, 68687, '\p{Is_Blk=_Old_Turkic}', "");
Expect(0, 68687, '\p{^Is_Blk=_Old_Turkic}', "");
Expect(0, 68687, '\P{Is_Blk=_Old_Turkic}', "");
Expect(1, 68687, '\P{^Is_Blk=_Old_Turkic}', "");
Expect(0, 68688, '\p{Is_Blk=_Old_Turkic}', "");
Expect(1, 68688, '\p{^Is_Blk=_Old_Turkic}', "");
Expect(1, 68688, '\P{Is_Blk=_Old_Turkic}', "");
Expect(0, 68688, '\P{^Is_Blk=_Old_Turkic}', "");
Error('\p{Block=:=-Oriya}');
Error('\P{Block=:=-Oriya}');
Expect(1, 2943, '\p{Block=oriya}', "");
Expect(0, 2943, '\p{^Block=oriya}', "");
Expect(0, 2943, '\P{Block=oriya}', "");
Expect(1, 2943, '\P{^Block=oriya}', "");
Expect(0, 2944, '\p{Block=oriya}', "");
Expect(1, 2944, '\p{^Block=oriya}', "");
Expect(1, 2944, '\P{Block=oriya}', "");
Expect(0, 2944, '\P{^Block=oriya}', "");
Expect(1, 2943, '\p{Block=-	Oriya}', "");
Expect(0, 2943, '\p{^Block=-	Oriya}', "");
Expect(0, 2943, '\P{Block=-	Oriya}', "");
Expect(1, 2943, '\P{^Block=-	Oriya}', "");
Expect(0, 2944, '\p{Block=-	Oriya}', "");
Expect(1, 2944, '\p{^Block=-	Oriya}', "");
Expect(1, 2944, '\P{Block=-	Oriya}', "");
Expect(0, 2944, '\P{^Block=-	Oriya}', "");
Error('\p{Blk=/a/oriya}');
Error('\P{Blk=/a/oriya}');
Expect(1, 2943, '\p{Blk=oriya}', "");
Expect(0, 2943, '\p{^Blk=oriya}', "");
Expect(0, 2943, '\P{Blk=oriya}', "");
Expect(1, 2943, '\P{^Blk=oriya}', "");
Expect(0, 2944, '\p{Blk=oriya}', "");
Expect(1, 2944, '\p{^Blk=oriya}', "");
Expect(1, 2944, '\P{Blk=oriya}', "");
Expect(0, 2944, '\P{^Blk=oriya}', "");
Expect(1, 2943, '\p{Blk=  Oriya}', "");
Expect(0, 2943, '\p{^Blk=  Oriya}', "");
Expect(0, 2943, '\P{Blk=  Oriya}', "");
Expect(1, 2943, '\P{^Blk=  Oriya}', "");
Expect(0, 2944, '\p{Blk=  Oriya}', "");
Expect(1, 2944, '\p{^Blk=  Oriya}', "");
Expect(1, 2944, '\P{Blk=  Oriya}', "");
Expect(0, 2944, '\P{^Blk=  Oriya}', "");
Error('\p{Is_Block=-:=oriya}');
Error('\P{Is_Block=-:=oriya}');
Expect(1, 2943, '\p{Is_Block=oriya}', "");
Expect(0, 2943, '\p{^Is_Block=oriya}', "");
Expect(0, 2943, '\P{Is_Block=oriya}', "");
Expect(1, 2943, '\P{^Is_Block=oriya}', "");
Expect(0, 2944, '\p{Is_Block=oriya}', "");
Expect(1, 2944, '\p{^Is_Block=oriya}', "");
Expect(1, 2944, '\P{Is_Block=oriya}', "");
Expect(0, 2944, '\P{^Is_Block=oriya}', "");
Expect(1, 2943, '\p{Is_Block=__Oriya}', "");
Expect(0, 2943, '\p{^Is_Block=__Oriya}', "");
Expect(0, 2943, '\P{Is_Block=__Oriya}', "");
Expect(1, 2943, '\P{^Is_Block=__Oriya}', "");
Expect(0, 2944, '\p{Is_Block=__Oriya}', "");
Expect(1, 2944, '\p{^Is_Block=__Oriya}', "");
Expect(1, 2944, '\P{Is_Block=__Oriya}', "");
Expect(0, 2944, '\P{^Is_Block=__Oriya}', "");
Error('\p{Is_Blk=_ Oriya/a/}');
Error('\P{Is_Blk=_ Oriya/a/}');
Expect(1, 2943, '\p{Is_Blk=oriya}', "");
Expect(0, 2943, '\p{^Is_Blk=oriya}', "");
Expect(0, 2943, '\P{Is_Blk=oriya}', "");
Expect(1, 2943, '\P{^Is_Blk=oriya}', "");
Expect(0, 2944, '\p{Is_Blk=oriya}', "");
Expect(1, 2944, '\p{^Is_Blk=oriya}', "");
Expect(1, 2944, '\P{Is_Blk=oriya}', "");
Expect(0, 2944, '\P{^Is_Blk=oriya}', "");
Expect(1, 2943, '\p{Is_Blk:   	Oriya}', "");
Expect(0, 2943, '\p{^Is_Blk:   	Oriya}', "");
Expect(0, 2943, '\P{Is_Blk:   	Oriya}', "");
Expect(1, 2943, '\P{^Is_Blk:   	Oriya}', "");
Expect(0, 2944, '\p{Is_Blk:   	Oriya}', "");
Expect(1, 2944, '\p{^Is_Blk:   	Oriya}', "");
Expect(1, 2944, '\P{Is_Blk:   	Oriya}', "");
Expect(0, 2944, '\P{^Is_Blk:   	Oriya}', "");
Error('\p{Block=/a/Ornamental_Dingbats}');
Error('\P{Block=/a/Ornamental_Dingbats}');
Expect(1, 128639, '\p{Block=ornamentaldingbats}', "");
Expect(0, 128639, '\p{^Block=ornamentaldingbats}', "");
Expect(0, 128639, '\P{Block=ornamentaldingbats}', "");
Expect(1, 128639, '\P{^Block=ornamentaldingbats}', "");
Expect(0, 128640, '\p{Block=ornamentaldingbats}', "");
Expect(1, 128640, '\p{^Block=ornamentaldingbats}', "");
Expect(1, 128640, '\P{Block=ornamentaldingbats}', "");
Expect(0, 128640, '\P{^Block=ornamentaldingbats}', "");
Expect(1, 128639, '\p{Block=Ornamental_dingbats}', "");
Expect(0, 128639, '\p{^Block=Ornamental_dingbats}', "");
Expect(0, 128639, '\P{Block=Ornamental_dingbats}', "");
Expect(1, 128639, '\P{^Block=Ornamental_dingbats}', "");
Expect(0, 128640, '\p{Block=Ornamental_dingbats}', "");
Expect(1, 128640, '\p{^Block=Ornamental_dingbats}', "");
Expect(1, 128640, '\P{Block=Ornamental_dingbats}', "");
Expect(0, 128640, '\P{^Block=Ornamental_dingbats}', "");
Error('\p{Blk= /a/ornamental_dingbats}');
Error('\P{Blk= /a/ornamental_dingbats}');
Expect(1, 128639, '\p{Blk:   ornamentaldingbats}', "");
Expect(0, 128639, '\p{^Blk:   ornamentaldingbats}', "");
Expect(0, 128639, '\P{Blk:   ornamentaldingbats}', "");
Expect(1, 128639, '\P{^Blk:   ornamentaldingbats}', "");
Expect(0, 128640, '\p{Blk:   ornamentaldingbats}', "");
Expect(1, 128640, '\p{^Blk:   ornamentaldingbats}', "");
Expect(1, 128640, '\P{Blk:   ornamentaldingbats}', "");
Expect(0, 128640, '\P{^Blk:   ornamentaldingbats}', "");
Expect(1, 128639, '\p{Blk=ORNAMENTAL_Dingbats}', "");
Expect(0, 128639, '\p{^Blk=ORNAMENTAL_Dingbats}', "");
Expect(0, 128639, '\P{Blk=ORNAMENTAL_Dingbats}', "");
Expect(1, 128639, '\P{^Blk=ORNAMENTAL_Dingbats}', "");
Expect(0, 128640, '\p{Blk=ORNAMENTAL_Dingbats}', "");
Expect(1, 128640, '\p{^Blk=ORNAMENTAL_Dingbats}', "");
Expect(1, 128640, '\P{Blk=ORNAMENTAL_Dingbats}', "");
Expect(0, 128640, '\P{^Blk=ORNAMENTAL_Dingbats}', "");
Error('\p{Is_Block= /a/ornamental_DINGBATS}');
Error('\P{Is_Block= /a/ornamental_DINGBATS}');
Expect(1, 128639, '\p{Is_Block=ornamentaldingbats}', "");
Expect(0, 128639, '\p{^Is_Block=ornamentaldingbats}', "");
Expect(0, 128639, '\P{Is_Block=ornamentaldingbats}', "");
Expect(1, 128639, '\P{^Is_Block=ornamentaldingbats}', "");
Expect(0, 128640, '\p{Is_Block=ornamentaldingbats}', "");
Expect(1, 128640, '\p{^Is_Block=ornamentaldingbats}', "");
Expect(1, 128640, '\P{Is_Block=ornamentaldingbats}', "");
Expect(0, 128640, '\P{^Is_Block=ornamentaldingbats}', "");
Expect(1, 128639, '\p{Is_Block=		ornamental_DINGBATS}', "");
Expect(0, 128639, '\p{^Is_Block=		ornamental_DINGBATS}', "");
Expect(0, 128639, '\P{Is_Block=		ornamental_DINGBATS}', "");
Expect(1, 128639, '\P{^Is_Block=		ornamental_DINGBATS}', "");
Expect(0, 128640, '\p{Is_Block=		ornamental_DINGBATS}', "");
Expect(1, 128640, '\p{^Is_Block=		ornamental_DINGBATS}', "");
Expect(1, 128640, '\P{Is_Block=		ornamental_DINGBATS}', "");
Expect(0, 128640, '\P{^Is_Block=		ornamental_DINGBATS}', "");
Error('\p{Is_Blk=-:=Ornamental_dingbats}');
Error('\P{Is_Blk=-:=Ornamental_dingbats}');
Expect(1, 128639, '\p{Is_Blk=ornamentaldingbats}', "");
Expect(0, 128639, '\p{^Is_Blk=ornamentaldingbats}', "");
Expect(0, 128639, '\P{Is_Blk=ornamentaldingbats}', "");
Expect(1, 128639, '\P{^Is_Blk=ornamentaldingbats}', "");
Expect(0, 128640, '\p{Is_Blk=ornamentaldingbats}', "");
Expect(1, 128640, '\p{^Is_Blk=ornamentaldingbats}', "");
Expect(1, 128640, '\P{Is_Blk=ornamentaldingbats}', "");
Expect(0, 128640, '\P{^Is_Blk=ornamentaldingbats}', "");
Expect(1, 128639, '\p{Is_Blk=-ORNAMENTAL_dingbats}', "");
Expect(0, 128639, '\p{^Is_Blk=-ORNAMENTAL_dingbats}', "");
Expect(0, 128639, '\P{Is_Blk=-ORNAMENTAL_dingbats}', "");
Expect(1, 128639, '\P{^Is_Blk=-ORNAMENTAL_dingbats}', "");
Expect(0, 128640, '\p{Is_Blk=-ORNAMENTAL_dingbats}', "");
Expect(1, 128640, '\p{^Is_Blk=-ORNAMENTAL_dingbats}', "");
Expect(1, 128640, '\P{Is_Blk=-ORNAMENTAL_dingbats}', "");
Expect(0, 128640, '\P{^Is_Blk=-ORNAMENTAL_dingbats}', "");
Error('\p{Block=_:=Osmanya}');
Error('\P{Block=_:=Osmanya}');
Expect(1, 66735, '\p{Block=osmanya}', "");
Expect(0, 66735, '\p{^Block=osmanya}', "");
Expect(0, 66735, '\P{Block=osmanya}', "");
Expect(1, 66735, '\P{^Block=osmanya}', "");
Expect(0, 66736, '\p{Block=osmanya}', "");
Expect(1, 66736, '\p{^Block=osmanya}', "");
Expect(1, 66736, '\P{Block=osmanya}', "");
Expect(0, 66736, '\P{^Block=osmanya}', "");
Expect(1, 66735, '\p{Block=	Osmanya}', "");
Expect(0, 66735, '\p{^Block=	Osmanya}', "");
Expect(0, 66735, '\P{Block=	Osmanya}', "");
Expect(1, 66735, '\P{^Block=	Osmanya}', "");
Expect(0, 66736, '\p{Block=	Osmanya}', "");
Expect(1, 66736, '\p{^Block=	Osmanya}', "");
Expect(1, 66736, '\P{Block=	Osmanya}', "");
Expect(0, 66736, '\P{^Block=	Osmanya}', "");
Error('\p{Blk:	/a/  osmanya}');
Error('\P{Blk:	/a/  osmanya}');
Expect(1, 66735, '\p{Blk=osmanya}', "");
Expect(0, 66735, '\p{^Blk=osmanya}', "");
Expect(0, 66735, '\P{Blk=osmanya}', "");
Expect(1, 66735, '\P{^Blk=osmanya}', "");
Expect(0, 66736, '\p{Blk=osmanya}', "");
Expect(1, 66736, '\p{^Blk=osmanya}', "");
Expect(1, 66736, '\P{Blk=osmanya}', "");
Expect(0, 66736, '\P{^Blk=osmanya}', "");
Expect(1, 66735, '\p{Blk=_osmanya}', "");
Expect(0, 66735, '\p{^Blk=_osmanya}', "");
Expect(0, 66735, '\P{Blk=_osmanya}', "");
Expect(1, 66735, '\P{^Blk=_osmanya}', "");
Expect(0, 66736, '\p{Blk=_osmanya}', "");
Expect(1, 66736, '\p{^Blk=_osmanya}', "");
Expect(1, 66736, '\P{Blk=_osmanya}', "");
Expect(0, 66736, '\P{^Blk=_osmanya}', "");
Error('\p{Is_Block=_	osmanya/a/}');
Error('\P{Is_Block=_	osmanya/a/}');
Expect(1, 66735, '\p{Is_Block=osmanya}', "");
Expect(0, 66735, '\p{^Is_Block=osmanya}', "");
Expect(0, 66735, '\P{Is_Block=osmanya}', "");
Expect(1, 66735, '\P{^Is_Block=osmanya}', "");
Expect(0, 66736, '\p{Is_Block=osmanya}', "");
Expect(1, 66736, '\p{^Is_Block=osmanya}', "");
Expect(1, 66736, '\P{Is_Block=osmanya}', "");
Expect(0, 66736, '\P{^Is_Block=osmanya}', "");
Expect(1, 66735, '\p{Is_Block=	_OSMANYA}', "");
Expect(0, 66735, '\p{^Is_Block=	_OSMANYA}', "");
Expect(0, 66735, '\P{Is_Block=	_OSMANYA}', "");
Expect(1, 66735, '\P{^Is_Block=	_OSMANYA}', "");
Expect(0, 66736, '\p{Is_Block=	_OSMANYA}', "");
Expect(1, 66736, '\p{^Is_Block=	_OSMANYA}', "");
Expect(1, 66736, '\P{Is_Block=	_OSMANYA}', "");
Expect(0, 66736, '\P{^Is_Block=	_OSMANYA}', "");
Error('\p{Is_Blk=_/a/osmanya}');
Error('\P{Is_Blk=_/a/osmanya}');
Expect(1, 66735, '\p{Is_Blk=osmanya}', "");
Expect(0, 66735, '\p{^Is_Blk=osmanya}', "");
Expect(0, 66735, '\P{Is_Blk=osmanya}', "");
Expect(1, 66735, '\P{^Is_Blk=osmanya}', "");
Expect(0, 66736, '\p{Is_Blk=osmanya}', "");
Expect(1, 66736, '\p{^Is_Blk=osmanya}', "");
Expect(1, 66736, '\P{Is_Blk=osmanya}', "");
Expect(0, 66736, '\P{^Is_Blk=osmanya}', "");
Expect(1, 66735, '\p{Is_Blk= Osmanya}', "");
Expect(0, 66735, '\p{^Is_Blk= Osmanya}', "");
Expect(0, 66735, '\P{Is_Blk= Osmanya}', "");
Expect(1, 66735, '\P{^Is_Blk= Osmanya}', "");
Expect(0, 66736, '\p{Is_Blk= Osmanya}', "");
Expect(1, 66736, '\p{^Is_Blk= Osmanya}', "");
Expect(1, 66736, '\P{Is_Blk= Osmanya}', "");
Expect(0, 66736, '\P{^Is_Blk= Osmanya}', "");
Error('\p{Block=	:=private_use_area}');
Error('\P{Block=	:=private_use_area}');
Expect(1, 63743, '\p{Block=privateusearea}', "");
Expect(0, 63743, '\p{^Block=privateusearea}', "");
Expect(0, 63743, '\P{Block=privateusearea}', "");
Expect(1, 63743, '\P{^Block=privateusearea}', "");
Expect(0, 63744, '\p{Block=privateusearea}', "");
Expect(1, 63744, '\p{^Block=privateusearea}', "");
Expect(1, 63744, '\P{Block=privateusearea}', "");
Expect(0, 63744, '\P{^Block=privateusearea}', "");
Expect(1, 63743, '\p{Block=-	Private_Use_area}', "");
Expect(0, 63743, '\p{^Block=-	Private_Use_area}', "");
Expect(0, 63743, '\P{Block=-	Private_Use_area}', "");
Expect(1, 63743, '\P{^Block=-	Private_Use_area}', "");
Expect(0, 63744, '\p{Block=-	Private_Use_area}', "");
Expect(1, 63744, '\p{^Block=-	Private_Use_area}', "");
Expect(1, 63744, '\P{Block=-	Private_Use_area}', "");
Expect(0, 63744, '\P{^Block=-	Private_Use_area}', "");
Error('\p{Blk: :=_pua}');
Error('\P{Blk: :=_pua}');
Expect(1, 63743, '\p{Blk=pua}', "");
Expect(0, 63743, '\p{^Blk=pua}', "");
Expect(0, 63743, '\P{Blk=pua}', "");
Expect(1, 63743, '\P{^Blk=pua}', "");
Expect(0, 63744, '\p{Blk=pua}', "");
Expect(1, 63744, '\p{^Blk=pua}', "");
Expect(1, 63744, '\P{Blk=pua}', "");
Expect(0, 63744, '\P{^Blk=pua}', "");
Expect(1, 63743, '\p{Blk=	 PUA}', "");
Expect(0, 63743, '\p{^Blk=	 PUA}', "");
Expect(0, 63743, '\P{Blk=	 PUA}', "");
Expect(1, 63743, '\P{^Blk=	 PUA}', "");
Expect(0, 63744, '\p{Blk=	 PUA}', "");
Expect(1, 63744, '\p{^Blk=	 PUA}', "");
Expect(1, 63744, '\P{Blk=	 PUA}', "");
Expect(0, 63744, '\P{^Blk=	 PUA}', "");
Error('\p{Is_Block=	/a/PRIVATE_use}');
Error('\P{Is_Block=	/a/PRIVATE_use}');
Expect(1, 63743, '\p{Is_Block=privateuse}', "");
Expect(0, 63743, '\p{^Is_Block=privateuse}', "");
Expect(0, 63743, '\P{Is_Block=privateuse}', "");
Expect(1, 63743, '\P{^Is_Block=privateuse}', "");
Expect(0, 63744, '\p{Is_Block=privateuse}', "");
Expect(1, 63744, '\p{^Is_Block=privateuse}', "");
Expect(1, 63744, '\P{Is_Block=privateuse}', "");
Expect(0, 63744, '\P{^Is_Block=privateuse}', "");
Expect(1, 63743, '\p{Is_Block=__Private_USE}', "");
Expect(0, 63743, '\p{^Is_Block=__Private_USE}', "");
Expect(0, 63743, '\P{Is_Block=__Private_USE}', "");
Expect(1, 63743, '\P{^Is_Block=__Private_USE}', "");
Expect(0, 63744, '\p{Is_Block=__Private_USE}', "");
Expect(1, 63744, '\p{^Is_Block=__Private_USE}', "");
Expect(1, 63744, '\P{Is_Block=__Private_USE}', "");
Expect(0, 63744, '\P{^Is_Block=__Private_USE}', "");
Error('\p{Is_Blk:   /a/_ Private_use_area}');
Error('\P{Is_Blk:   /a/_ Private_use_area}');
Expect(1, 63743, '\p{Is_Blk=privateusearea}', "");
Expect(0, 63743, '\p{^Is_Blk=privateusearea}', "");
Expect(0, 63743, '\P{Is_Blk=privateusearea}', "");
Expect(1, 63743, '\P{^Is_Blk=privateusearea}', "");
Expect(0, 63744, '\p{Is_Blk=privateusearea}', "");
Expect(1, 63744, '\p{^Is_Blk=privateusearea}', "");
Expect(1, 63744, '\P{Is_Blk=privateusearea}', "");
Expect(0, 63744, '\P{^Is_Blk=privateusearea}', "");
Expect(1, 63743, '\p{Is_Blk=--Private_Use_Area}', "");
Expect(0, 63743, '\p{^Is_Blk=--Private_Use_Area}', "");
Expect(0, 63743, '\P{Is_Blk=--Private_Use_Area}', "");
Expect(1, 63743, '\P{^Is_Blk=--Private_Use_Area}', "");
Expect(0, 63744, '\p{Is_Blk=--Private_Use_Area}', "");
Expect(1, 63744, '\p{^Is_Blk=--Private_Use_Area}', "");
Expect(1, 63744, '\P{Is_Blk=--Private_Use_Area}', "");
Expect(0, 63744, '\P{^Is_Blk=--Private_Use_Area}', "");
Error('\p{Block=/a/	pahawh_hmong}');
Error('\P{Block=/a/	pahawh_hmong}');
Expect(1, 93071, '\p{Block=pahawhhmong}', "");
Expect(0, 93071, '\p{^Block=pahawhhmong}', "");
Expect(0, 93071, '\P{Block=pahawhhmong}', "");
Expect(1, 93071, '\P{^Block=pahawhhmong}', "");
Expect(0, 93072, '\p{Block=pahawhhmong}', "");
Expect(1, 93072, '\p{^Block=pahawhhmong}', "");
Expect(1, 93072, '\P{Block=pahawhhmong}', "");
Expect(0, 93072, '\P{^Block=pahawhhmong}', "");
Expect(1, 93071, '\p{Block= 	PAHAWH_Hmong}', "");
Expect(0, 93071, '\p{^Block= 	PAHAWH_Hmong}', "");
Expect(0, 93071, '\P{Block= 	PAHAWH_Hmong}', "");
Expect(1, 93071, '\P{^Block= 	PAHAWH_Hmong}', "");
Expect(0, 93072, '\p{Block= 	PAHAWH_Hmong}', "");
Expect(1, 93072, '\p{^Block= 	PAHAWH_Hmong}', "");
Expect(1, 93072, '\P{Block= 	PAHAWH_Hmong}', "");
Expect(0, 93072, '\P{^Block= 	PAHAWH_Hmong}', "");
Error('\p{Blk=:=_ pahawh_hmong}');
Error('\P{Blk=:=_ pahawh_hmong}');
Expect(1, 93071, '\p{Blk=pahawhhmong}', "");
Expect(0, 93071, '\p{^Blk=pahawhhmong}', "");
Expect(0, 93071, '\P{Blk=pahawhhmong}', "");
Expect(1, 93071, '\P{^Blk=pahawhhmong}', "");
Expect(0, 93072, '\p{Blk=pahawhhmong}', "");
Expect(1, 93072, '\p{^Blk=pahawhhmong}', "");
Expect(1, 93072, '\P{Blk=pahawhhmong}', "");
Expect(0, 93072, '\P{^Blk=pahawhhmong}', "");
Expect(1, 93071, '\p{Blk=_-Pahawh_HMONG}', "");
Expect(0, 93071, '\p{^Blk=_-Pahawh_HMONG}', "");
Expect(0, 93071, '\P{Blk=_-Pahawh_HMONG}', "");
Expect(1, 93071, '\P{^Blk=_-Pahawh_HMONG}', "");
Expect(0, 93072, '\p{Blk=_-Pahawh_HMONG}', "");
Expect(1, 93072, '\p{^Blk=_-Pahawh_HMONG}', "");
Expect(1, 93072, '\P{Blk=_-Pahawh_HMONG}', "");
Expect(0, 93072, '\P{^Blk=_-Pahawh_HMONG}', "");
Error('\p{Is_Block=/a/_	Pahawh_Hmong}');
Error('\P{Is_Block=/a/_	Pahawh_Hmong}');
Expect(1, 93071, '\p{Is_Block=pahawhhmong}', "");
Expect(0, 93071, '\p{^Is_Block=pahawhhmong}', "");
Expect(0, 93071, '\P{Is_Block=pahawhhmong}', "");
Expect(1, 93071, '\P{^Is_Block=pahawhhmong}', "");
Expect(0, 93072, '\p{Is_Block=pahawhhmong}', "");
Expect(1, 93072, '\p{^Is_Block=pahawhhmong}', "");
Expect(1, 93072, '\P{Is_Block=pahawhhmong}', "");
Expect(0, 93072, '\P{^Is_Block=pahawhhmong}', "");
Expect(1, 93071, '\p{Is_Block=	pahawh_Hmong}', "");
Expect(0, 93071, '\p{^Is_Block=	pahawh_Hmong}', "");
Expect(0, 93071, '\P{Is_Block=	pahawh_Hmong}', "");
Expect(1, 93071, '\P{^Is_Block=	pahawh_Hmong}', "");
Expect(0, 93072, '\p{Is_Block=	pahawh_Hmong}', "");
Expect(1, 93072, '\p{^Is_Block=	pahawh_Hmong}', "");
Expect(1, 93072, '\P{Is_Block=	pahawh_Hmong}', "");
Expect(0, 93072, '\P{^Is_Block=	pahawh_Hmong}', "");
Error('\p{Is_Blk=/a/pahawh_hmong}');
Error('\P{Is_Blk=/a/pahawh_hmong}');
Expect(1, 93071, '\p{Is_Blk=pahawhhmong}', "");
Expect(0, 93071, '\p{^Is_Blk=pahawhhmong}', "");
Expect(0, 93071, '\P{Is_Blk=pahawhhmong}', "");
Expect(1, 93071, '\P{^Is_Blk=pahawhhmong}', "");
Expect(0, 93072, '\p{Is_Blk=pahawhhmong}', "");
Expect(1, 93072, '\p{^Is_Blk=pahawhhmong}', "");
Expect(1, 93072, '\P{Is_Blk=pahawhhmong}', "");
Expect(0, 93072, '\P{^Is_Blk=pahawhhmong}', "");
Expect(1, 93071, '\p{Is_Blk: pahawh_Hmong}', "");
Expect(0, 93071, '\p{^Is_Blk: pahawh_Hmong}', "");
Expect(0, 93071, '\P{Is_Blk: pahawh_Hmong}', "");
Expect(1, 93071, '\P{^Is_Blk: pahawh_Hmong}', "");
Expect(0, 93072, '\p{Is_Blk: pahawh_Hmong}', "");
Expect(1, 93072, '\p{^Is_Blk: pahawh_Hmong}', "");
Expect(1, 93072, '\P{Is_Blk: pahawh_Hmong}', "");
Expect(0, 93072, '\P{^Is_Blk: pahawh_Hmong}', "");
Error('\p{Block=__PALMYRENE:=}');
Error('\P{Block=__PALMYRENE:=}');
Expect(1, 67711, '\p{Block=palmyrene}', "");
Expect(0, 67711, '\p{^Block=palmyrene}', "");
Expect(0, 67711, '\P{Block=palmyrene}', "");
Expect(1, 67711, '\P{^Block=palmyrene}', "");
Expect(0, 67712, '\p{Block=palmyrene}', "");
Expect(1, 67712, '\p{^Block=palmyrene}', "");
Expect(1, 67712, '\P{Block=palmyrene}', "");
Expect(0, 67712, '\P{^Block=palmyrene}', "");
Expect(1, 67711, '\p{Block=	PALMYRENE}', "");
Expect(0, 67711, '\p{^Block=	PALMYRENE}', "");
Expect(0, 67711, '\P{Block=	PALMYRENE}', "");
Expect(1, 67711, '\P{^Block=	PALMYRENE}', "");
Expect(0, 67712, '\p{Block=	PALMYRENE}', "");
Expect(1, 67712, '\p{^Block=	PALMYRENE}', "");
Expect(1, 67712, '\P{Block=	PALMYRENE}', "");
Expect(0, 67712, '\P{^Block=	PALMYRENE}', "");
Error('\p{Blk:/a/PALMYRENE}');
Error('\P{Blk:/a/PALMYRENE}');
Expect(1, 67711, '\p{Blk=palmyrene}', "");
Expect(0, 67711, '\p{^Blk=palmyrene}', "");
Expect(0, 67711, '\P{Blk=palmyrene}', "");
Expect(1, 67711, '\P{^Blk=palmyrene}', "");
Expect(0, 67712, '\p{Blk=palmyrene}', "");
Expect(1, 67712, '\p{^Blk=palmyrene}', "");
Expect(1, 67712, '\P{Blk=palmyrene}', "");
Expect(0, 67712, '\P{^Blk=palmyrene}', "");
Expect(1, 67711, '\p{Blk=	Palmyrene}', "");
Expect(0, 67711, '\p{^Blk=	Palmyrene}', "");
Expect(0, 67711, '\P{Blk=	Palmyrene}', "");
Expect(1, 67711, '\P{^Blk=	Palmyrene}', "");
Expect(0, 67712, '\p{Blk=	Palmyrene}', "");
Expect(1, 67712, '\p{^Blk=	Palmyrene}', "");
Expect(1, 67712, '\P{Blk=	Palmyrene}', "");
Expect(0, 67712, '\P{^Blk=	Palmyrene}', "");
Error('\p{Is_Block=palmyrene:=}');
Error('\P{Is_Block=palmyrene:=}');
Expect(1, 67711, '\p{Is_Block=palmyrene}', "");
Expect(0, 67711, '\p{^Is_Block=palmyrene}', "");
Expect(0, 67711, '\P{Is_Block=palmyrene}', "");
Expect(1, 67711, '\P{^Is_Block=palmyrene}', "");
Expect(0, 67712, '\p{Is_Block=palmyrene}', "");
Expect(1, 67712, '\p{^Is_Block=palmyrene}', "");
Expect(1, 67712, '\P{Is_Block=palmyrene}', "");
Expect(0, 67712, '\P{^Is_Block=palmyrene}', "");
Expect(1, 67711, '\p{Is_Block: _PALMYRENE}', "");
Expect(0, 67711, '\p{^Is_Block: _PALMYRENE}', "");
Expect(0, 67711, '\P{Is_Block: _PALMYRENE}', "");
Expect(1, 67711, '\P{^Is_Block: _PALMYRENE}', "");
Expect(0, 67712, '\p{Is_Block: _PALMYRENE}', "");
Expect(1, 67712, '\p{^Is_Block: _PALMYRENE}', "");
Expect(1, 67712, '\P{Is_Block: _PALMYRENE}', "");
Expect(0, 67712, '\P{^Is_Block: _PALMYRENE}', "");
Error('\p{Is_Blk=/a/	PALMYRENE}');
Error('\P{Is_Blk=/a/	PALMYRENE}');
Expect(1, 67711, '\p{Is_Blk=palmyrene}', "");
Expect(0, 67711, '\p{^Is_Blk=palmyrene}', "");
Expect(0, 67711, '\P{Is_Blk=palmyrene}', "");
Expect(1, 67711, '\P{^Is_Blk=palmyrene}', "");
Expect(0, 67712, '\p{Is_Blk=palmyrene}', "");
Expect(1, 67712, '\p{^Is_Blk=palmyrene}', "");
Expect(1, 67712, '\P{Is_Blk=palmyrene}', "");
Expect(0, 67712, '\P{^Is_Blk=palmyrene}', "");
Expect(1, 67711, '\p{Is_Blk=	Palmyrene}', "");
Expect(0, 67711, '\p{^Is_Blk=	Palmyrene}', "");
Expect(0, 67711, '\P{Is_Blk=	Palmyrene}', "");
Expect(1, 67711, '\P{^Is_Blk=	Palmyrene}', "");
Expect(0, 67712, '\p{Is_Blk=	Palmyrene}', "");
Expect(1, 67712, '\p{^Is_Blk=	Palmyrene}', "");
Expect(1, 67712, '\P{Is_Blk=	Palmyrene}', "");
Expect(0, 67712, '\P{^Is_Blk=	Palmyrene}', "");
Error('\p{Block=:= Pau_Cin_HAU}');
Error('\P{Block=:= Pau_Cin_HAU}');
Expect(1, 72447, '\p{Block=paucinhau}', "");
Expect(0, 72447, '\p{^Block=paucinhau}', "");
Expect(0, 72447, '\P{Block=paucinhau}', "");
Expect(1, 72447, '\P{^Block=paucinhau}', "");
Expect(0, 72448, '\p{Block=paucinhau}', "");
Expect(1, 72448, '\p{^Block=paucinhau}', "");
Expect(1, 72448, '\P{Block=paucinhau}', "");
Expect(0, 72448, '\P{^Block=paucinhau}', "");
Expect(1, 72447, '\p{Block= Pau_Cin_HAU}', "");
Expect(0, 72447, '\p{^Block= Pau_Cin_HAU}', "");
Expect(0, 72447, '\P{Block= Pau_Cin_HAU}', "");
Expect(1, 72447, '\P{^Block= Pau_Cin_HAU}', "");
Expect(0, 72448, '\p{Block= Pau_Cin_HAU}', "");
Expect(1, 72448, '\p{^Block= Pau_Cin_HAU}', "");
Expect(1, 72448, '\P{Block= Pau_Cin_HAU}', "");
Expect(0, 72448, '\P{^Block= Pau_Cin_HAU}', "");
Error('\p{Blk=:=	_Pau_Cin_hau}');
Error('\P{Blk=:=	_Pau_Cin_hau}');
Expect(1, 72447, '\p{Blk=paucinhau}', "");
Expect(0, 72447, '\p{^Blk=paucinhau}', "");
Expect(0, 72447, '\P{Blk=paucinhau}', "");
Expect(1, 72447, '\P{^Blk=paucinhau}', "");
Expect(0, 72448, '\p{Blk=paucinhau}', "");
Expect(1, 72448, '\p{^Blk=paucinhau}', "");
Expect(1, 72448, '\P{Blk=paucinhau}', "");
Expect(0, 72448, '\P{^Blk=paucinhau}', "");
Expect(1, 72447, '\p{Blk=	-PAU_Cin_Hau}', "");
Expect(0, 72447, '\p{^Blk=	-PAU_Cin_Hau}', "");
Expect(0, 72447, '\P{Blk=	-PAU_Cin_Hau}', "");
Expect(1, 72447, '\P{^Blk=	-PAU_Cin_Hau}', "");
Expect(0, 72448, '\p{Blk=	-PAU_Cin_Hau}', "");
Expect(1, 72448, '\p{^Blk=	-PAU_Cin_Hau}', "");
Expect(1, 72448, '\P{Blk=	-PAU_Cin_Hau}', "");
Expect(0, 72448, '\P{^Blk=	-PAU_Cin_Hau}', "");
Error('\p{Is_Block=Pau_Cin_hau/a/}');
Error('\P{Is_Block=Pau_Cin_hau/a/}');
Expect(1, 72447, '\p{Is_Block=paucinhau}', "");
Expect(0, 72447, '\p{^Is_Block=paucinhau}', "");
Expect(0, 72447, '\P{Is_Block=paucinhau}', "");
Expect(1, 72447, '\P{^Is_Block=paucinhau}', "");
Expect(0, 72448, '\p{Is_Block=paucinhau}', "");
Expect(1, 72448, '\p{^Is_Block=paucinhau}', "");
Expect(1, 72448, '\P{Is_Block=paucinhau}', "");
Expect(0, 72448, '\P{^Is_Block=paucinhau}', "");
Expect(1, 72447, '\p{Is_Block= 	PAU_CIN_Hau}', "");
Expect(0, 72447, '\p{^Is_Block= 	PAU_CIN_Hau}', "");
Expect(0, 72447, '\P{Is_Block= 	PAU_CIN_Hau}', "");
Expect(1, 72447, '\P{^Is_Block= 	PAU_CIN_Hau}', "");
Expect(0, 72448, '\p{Is_Block= 	PAU_CIN_Hau}', "");
Expect(1, 72448, '\p{^Is_Block= 	PAU_CIN_Hau}', "");
Expect(1, 72448, '\P{Is_Block= 	PAU_CIN_Hau}', "");
Expect(0, 72448, '\P{^Is_Block= 	PAU_CIN_Hau}', "");
Error('\p{Is_Blk=:= -PAU_Cin_Hau}');
Error('\P{Is_Blk=:= -PAU_Cin_Hau}');
Expect(1, 72447, '\p{Is_Blk=paucinhau}', "");
Expect(0, 72447, '\p{^Is_Blk=paucinhau}', "");
Expect(0, 72447, '\P{Is_Blk=paucinhau}', "");
Expect(1, 72447, '\P{^Is_Blk=paucinhau}', "");
Expect(0, 72448, '\p{Is_Blk=paucinhau}', "");
Expect(1, 72448, '\p{^Is_Blk=paucinhau}', "");
Expect(1, 72448, '\P{Is_Blk=paucinhau}', "");
Expect(0, 72448, '\P{^Is_Blk=paucinhau}', "");
Expect(1, 72447, '\p{Is_Blk=	Pau_Cin_Hau}', "");
Expect(0, 72447, '\p{^Is_Blk=	Pau_Cin_Hau}', "");
Expect(0, 72447, '\P{Is_Blk=	Pau_Cin_Hau}', "");
Expect(1, 72447, '\P{^Is_Blk=	Pau_Cin_Hau}', "");
Expect(0, 72448, '\p{Is_Blk=	Pau_Cin_Hau}', "");
Expect(1, 72448, '\p{^Is_Blk=	Pau_Cin_Hau}', "");
Expect(1, 72448, '\P{Is_Blk=	Pau_Cin_Hau}', "");
Expect(0, 72448, '\P{^Is_Blk=	Pau_Cin_Hau}', "");
Error('\p{Block=:=Phags_Pa}');
Error('\P{Block=:=Phags_Pa}');
Expect(1, 43135, '\p{Block:	phagspa}', "");
Expect(0, 43135, '\p{^Block:	phagspa}', "");
Expect(0, 43135, '\P{Block:	phagspa}', "");
Expect(1, 43135, '\P{^Block:	phagspa}', "");
Expect(0, 43136, '\p{Block:	phagspa}', "");
Expect(1, 43136, '\p{^Block:	phagspa}', "");
Expect(1, 43136, '\P{Block:	phagspa}', "");
Expect(0, 43136, '\P{^Block:	phagspa}', "");
Expect(1, 43135, '\p{Block=_	PHAGS_Pa}', "");
Expect(0, 43135, '\p{^Block=_	PHAGS_Pa}', "");
Expect(0, 43135, '\P{Block=_	PHAGS_Pa}', "");
Expect(1, 43135, '\P{^Block=_	PHAGS_Pa}', "");
Expect(0, 43136, '\p{Block=_	PHAGS_Pa}', "");
Expect(1, 43136, '\p{^Block=_	PHAGS_Pa}', "");
Expect(1, 43136, '\P{Block=_	PHAGS_Pa}', "");
Expect(0, 43136, '\P{^Block=_	PHAGS_Pa}', "");
Error('\p{Blk=:=_ Phags_pa}');
Error('\P{Blk=:=_ Phags_pa}');
Expect(1, 43135, '\p{Blk:   phagspa}', "");
Expect(0, 43135, '\p{^Blk:   phagspa}', "");
Expect(0, 43135, '\P{Blk:   phagspa}', "");
Expect(1, 43135, '\P{^Blk:   phagspa}', "");
Expect(0, 43136, '\p{Blk:   phagspa}', "");
Expect(1, 43136, '\p{^Blk:   phagspa}', "");
Expect(1, 43136, '\P{Blk:   phagspa}', "");
Expect(0, 43136, '\P{^Blk:   phagspa}', "");
Expect(1, 43135, '\p{Blk:     phags_pa}', "");
Expect(0, 43135, '\p{^Blk:     phags_pa}', "");
Expect(0, 43135, '\P{Blk:     phags_pa}', "");
Expect(1, 43135, '\P{^Blk:     phags_pa}', "");
Expect(0, 43136, '\p{Blk:     phags_pa}', "");
Expect(1, 43136, '\p{^Blk:     phags_pa}', "");
Expect(1, 43136, '\P{Blk:     phags_pa}', "");
Expect(0, 43136, '\P{^Blk:     phags_pa}', "");
Error('\p{Is_Block= /a/PHAGS_Pa}');
Error('\P{Is_Block= /a/PHAGS_Pa}');
Expect(1, 43135, '\p{Is_Block=phagspa}', "");
Expect(0, 43135, '\p{^Is_Block=phagspa}', "");
Expect(0, 43135, '\P{Is_Block=phagspa}', "");
Expect(1, 43135, '\P{^Is_Block=phagspa}', "");
Expect(0, 43136, '\p{Is_Block=phagspa}', "");
Expect(1, 43136, '\p{^Is_Block=phagspa}', "");
Expect(1, 43136, '\P{Is_Block=phagspa}', "");
Expect(0, 43136, '\P{^Is_Block=phagspa}', "");
Expect(1, 43135, '\p{Is_Block=-_phags_Pa}', "");
Expect(0, 43135, '\p{^Is_Block=-_phags_Pa}', "");
Expect(0, 43135, '\P{Is_Block=-_phags_Pa}', "");
Expect(1, 43135, '\P{^Is_Block=-_phags_Pa}', "");
Expect(0, 43136, '\p{Is_Block=-_phags_Pa}', "");
Expect(1, 43136, '\p{^Is_Block=-_phags_Pa}', "");
Expect(1, 43136, '\P{Is_Block=-_phags_Pa}', "");
Expect(0, 43136, '\P{^Is_Block=-_phags_Pa}', "");
Error('\p{Is_Blk= /a/Phags_Pa}');
Error('\P{Is_Blk= /a/Phags_Pa}');
Expect(1, 43135, '\p{Is_Blk=phagspa}', "");
Expect(0, 43135, '\p{^Is_Blk=phagspa}', "");
Expect(0, 43135, '\P{Is_Blk=phagspa}', "");
Expect(1, 43135, '\P{^Is_Blk=phagspa}', "");
Expect(0, 43136, '\p{Is_Blk=phagspa}', "");
Expect(1, 43136, '\p{^Is_Blk=phagspa}', "");
Expect(1, 43136, '\P{Is_Blk=phagspa}', "");
Expect(0, 43136, '\P{^Is_Blk=phagspa}', "");
Expect(1, 43135, '\p{Is_Blk=	-phags_Pa}', "");
Expect(0, 43135, '\p{^Is_Blk=	-phags_Pa}', "");
Expect(0, 43135, '\P{Is_Blk=	-phags_Pa}', "");
Expect(1, 43135, '\P{^Is_Blk=	-phags_Pa}', "");
Expect(0, 43136, '\p{Is_Blk=	-phags_Pa}', "");
Expect(1, 43136, '\p{^Is_Blk=	-phags_Pa}', "");
Expect(1, 43136, '\P{Is_Blk=	-phags_Pa}', "");
Expect(0, 43136, '\P{^Is_Blk=	-phags_Pa}', "");
Error('\p{Block=:=_-Phaistos_Disc}');
Error('\P{Block=:=_-Phaistos_Disc}');
Expect(1, 66047, '\p{Block=phaistosdisc}', "");
Expect(0, 66047, '\p{^Block=phaistosdisc}', "");
Expect(0, 66047, '\P{Block=phaistosdisc}', "");
Expect(1, 66047, '\P{^Block=phaistosdisc}', "");
Expect(0, 66048, '\p{Block=phaistosdisc}', "");
Expect(1, 66048, '\p{^Block=phaistosdisc}', "");
Expect(1, 66048, '\P{Block=phaistosdisc}', "");
Expect(0, 66048, '\P{^Block=phaistosdisc}', "");
Expect(1, 66047, '\p{Block=_	phaistos_Disc}', "");
Expect(0, 66047, '\p{^Block=_	phaistos_Disc}', "");
Expect(0, 66047, '\P{Block=_	phaistos_Disc}', "");
Expect(1, 66047, '\P{^Block=_	phaistos_Disc}', "");
Expect(0, 66048, '\p{Block=_	phaistos_Disc}', "");
Expect(1, 66048, '\p{^Block=_	phaistos_Disc}', "");
Expect(1, 66048, '\P{Block=_	phaistos_Disc}', "");
Expect(0, 66048, '\P{^Block=_	phaistos_Disc}', "");
Error('\p{Blk=:= 	PHAISTOS}');
Error('\P{Blk=:= 	PHAISTOS}');
Expect(1, 66047, '\p{Blk=phaistos}', "");
Expect(0, 66047, '\p{^Blk=phaistos}', "");
Expect(0, 66047, '\P{Blk=phaistos}', "");
Expect(1, 66047, '\P{^Blk=phaistos}', "");
Expect(0, 66048, '\p{Blk=phaistos}', "");
Expect(1, 66048, '\p{^Blk=phaistos}', "");
Expect(1, 66048, '\P{Blk=phaistos}', "");
Expect(0, 66048, '\P{^Blk=phaistos}', "");
Expect(1, 66047, '\p{Blk=		Phaistos}', "");
Expect(0, 66047, '\p{^Blk=		Phaistos}', "");
Expect(0, 66047, '\P{Blk=		Phaistos}', "");
Expect(1, 66047, '\P{^Blk=		Phaistos}', "");
Expect(0, 66048, '\p{Blk=		Phaistos}', "");
Expect(1, 66048, '\p{^Blk=		Phaistos}', "");
Expect(1, 66048, '\P{Blk=		Phaistos}', "");
Expect(0, 66048, '\P{^Blk=		Phaistos}', "");
Error('\p{Is_Block=/a/ _PHAISTOS_disc}');
Error('\P{Is_Block=/a/ _PHAISTOS_disc}');
Expect(1, 66047, '\p{Is_Block=phaistosdisc}', "");
Expect(0, 66047, '\p{^Is_Block=phaistosdisc}', "");
Expect(0, 66047, '\P{Is_Block=phaistosdisc}', "");
Expect(1, 66047, '\P{^Is_Block=phaistosdisc}', "");
Expect(0, 66048, '\p{Is_Block=phaistosdisc}', "");
Expect(1, 66048, '\p{^Is_Block=phaistosdisc}', "");
Expect(1, 66048, '\P{Is_Block=phaistosdisc}', "");
Expect(0, 66048, '\P{^Is_Block=phaistosdisc}', "");
Expect(1, 66047, '\p{Is_Block=	phaistos_Disc}', "");
Expect(0, 66047, '\p{^Is_Block=	phaistos_Disc}', "");
Expect(0, 66047, '\P{Is_Block=	phaistos_Disc}', "");
Expect(1, 66047, '\P{^Is_Block=	phaistos_Disc}', "");
Expect(0, 66048, '\p{Is_Block=	phaistos_Disc}', "");
Expect(1, 66048, '\p{^Is_Block=	phaistos_Disc}', "");
Expect(1, 66048, '\P{Is_Block=	phaistos_Disc}', "");
Expect(0, 66048, '\P{^Is_Block=	phaistos_Disc}', "");
Error('\p{Is_Blk=	-PHAISTOS/a/}');
Error('\P{Is_Blk=	-PHAISTOS/a/}');
Expect(1, 66047, '\p{Is_Blk:	phaistos}', "");
Expect(0, 66047, '\p{^Is_Blk:	phaistos}', "");
Expect(0, 66047, '\P{Is_Blk:	phaistos}', "");
Expect(1, 66047, '\P{^Is_Blk:	phaistos}', "");
Expect(0, 66048, '\p{Is_Blk:	phaistos}', "");
Expect(1, 66048, '\p{^Is_Blk:	phaistos}', "");
Expect(1, 66048, '\P{Is_Blk:	phaistos}', "");
Expect(0, 66048, '\P{^Is_Blk:	phaistos}', "");
Expect(1, 66047, '\p{Is_Blk=-	Phaistos}', "");
Expect(0, 66047, '\p{^Is_Blk=-	Phaistos}', "");
Expect(0, 66047, '\P{Is_Blk=-	Phaistos}', "");
Expect(1, 66047, '\P{^Is_Blk=-	Phaistos}', "");
Expect(0, 66048, '\p{Is_Blk=-	Phaistos}', "");
Expect(1, 66048, '\p{^Is_Blk=-	Phaistos}', "");
Expect(1, 66048, '\P{Is_Blk=-	Phaistos}', "");
Expect(0, 66048, '\P{^Is_Blk=-	Phaistos}', "");
Error('\p{Block=	 Phoenician/a/}');
Error('\P{Block=	 Phoenician/a/}');
Expect(1, 67871, '\p{Block=phoenician}', "");
Expect(0, 67871, '\p{^Block=phoenician}', "");
Expect(0, 67871, '\P{Block=phoenician}', "");
Expect(1, 67871, '\P{^Block=phoenician}', "");
Expect(0, 67872, '\p{Block=phoenician}', "");
Expect(1, 67872, '\p{^Block=phoenician}', "");
Expect(1, 67872, '\P{Block=phoenician}', "");
Expect(0, 67872, '\P{^Block=phoenician}', "");
Expect(1, 67871, '\p{Block=Phoenician}', "");
Expect(0, 67871, '\p{^Block=Phoenician}', "");
Expect(0, 67871, '\P{Block=Phoenician}', "");
Expect(1, 67871, '\P{^Block=Phoenician}', "");
Expect(0, 67872, '\p{Block=Phoenician}', "");
Expect(1, 67872, '\p{^Block=Phoenician}', "");
Expect(1, 67872, '\P{Block=Phoenician}', "");
Expect(0, 67872, '\P{^Block=Phoenician}', "");
Error('\p{Blk=/a/	phoenician}');
Error('\P{Blk=/a/	phoenician}');
Expect(1, 67871, '\p{Blk=phoenician}', "");
Expect(0, 67871, '\p{^Blk=phoenician}', "");
Expect(0, 67871, '\P{Blk=phoenician}', "");
Expect(1, 67871, '\P{^Blk=phoenician}', "");
Expect(0, 67872, '\p{Blk=phoenician}', "");
Expect(1, 67872, '\p{^Blk=phoenician}', "");
Expect(1, 67872, '\P{Blk=phoenician}', "");
Expect(0, 67872, '\P{^Blk=phoenician}', "");
Expect(1, 67871, '\p{Blk=-_Phoenician}', "");
Expect(0, 67871, '\p{^Blk=-_Phoenician}', "");
Expect(0, 67871, '\P{Blk=-_Phoenician}', "");
Expect(1, 67871, '\P{^Blk=-_Phoenician}', "");
Expect(0, 67872, '\p{Blk=-_Phoenician}', "");
Expect(1, 67872, '\p{^Blk=-_Phoenician}', "");
Expect(1, 67872, '\P{Blk=-_Phoenician}', "");
Expect(0, 67872, '\P{^Blk=-_Phoenician}', "");
Error('\p{Is_Block=:=Phoenician}');
Error('\P{Is_Block=:=Phoenician}');
Expect(1, 67871, '\p{Is_Block=phoenician}', "");
Expect(0, 67871, '\p{^Is_Block=phoenician}', "");
Expect(0, 67871, '\P{Is_Block=phoenician}', "");
Expect(1, 67871, '\P{^Is_Block=phoenician}', "");
Expect(0, 67872, '\p{Is_Block=phoenician}', "");
Expect(1, 67872, '\p{^Is_Block=phoenician}', "");
Expect(1, 67872, '\P{Is_Block=phoenician}', "");
Expect(0, 67872, '\P{^Is_Block=phoenician}', "");
Expect(1, 67871, '\p{Is_Block:  -Phoenician}', "");
Expect(0, 67871, '\p{^Is_Block:  -Phoenician}', "");
Expect(0, 67871, '\P{Is_Block:  -Phoenician}', "");
Expect(1, 67871, '\P{^Is_Block:  -Phoenician}', "");
Expect(0, 67872, '\p{Is_Block:  -Phoenician}', "");
Expect(1, 67872, '\p{^Is_Block:  -Phoenician}', "");
Expect(1, 67872, '\P{Is_Block:  -Phoenician}', "");
Expect(0, 67872, '\P{^Is_Block:  -Phoenician}', "");
Error('\p{Is_Blk=/a/	 Phoenician}');
Error('\P{Is_Blk=/a/	 Phoenician}');
Expect(1, 67871, '\p{Is_Blk=phoenician}', "");
Expect(0, 67871, '\p{^Is_Blk=phoenician}', "");
Expect(0, 67871, '\P{Is_Blk=phoenician}', "");
Expect(1, 67871, '\P{^Is_Blk=phoenician}', "");
Expect(0, 67872, '\p{Is_Blk=phoenician}', "");
Expect(1, 67872, '\p{^Is_Blk=phoenician}', "");
Expect(1, 67872, '\P{Is_Blk=phoenician}', "");
Expect(0, 67872, '\P{^Is_Blk=phoenician}', "");
Error('\p{Block=_Phonetic_EXTENSIONS/a/}');
Error('\P{Block=_Phonetic_EXTENSIONS/a/}');
Expect(1, 7551, '\p{Block=phoneticextensions}', "");
Expect(0, 7551, '\p{^Block=phoneticextensions}', "");
Expect(0, 7551, '\P{Block=phoneticextensions}', "");
Expect(1, 7551, '\P{^Block=phoneticextensions}', "");
Expect(0, 7552, '\p{Block=phoneticextensions}', "");
Expect(1, 7552, '\p{^Block=phoneticextensions}', "");
Expect(1, 7552, '\P{Block=phoneticextensions}', "");
Expect(0, 7552, '\P{^Block=phoneticextensions}', "");
Expect(1, 7551, '\p{Block=_Phonetic_EXTENSIONS}', "");
Expect(0, 7551, '\p{^Block=_Phonetic_EXTENSIONS}', "");
Expect(0, 7551, '\P{Block=_Phonetic_EXTENSIONS}', "");
Expect(1, 7551, '\P{^Block=_Phonetic_EXTENSIONS}', "");
Expect(0, 7552, '\p{Block=_Phonetic_EXTENSIONS}', "");
Expect(1, 7552, '\p{^Block=_Phonetic_EXTENSIONS}', "");
Expect(1, 7552, '\P{Block=_Phonetic_EXTENSIONS}', "");
Expect(0, 7552, '\P{^Block=_Phonetic_EXTENSIONS}', "");
Error('\p{Blk= 	Phonetic_EXT/a/}');
Error('\P{Blk= 	Phonetic_EXT/a/}');
Expect(1, 7551, '\p{Blk=phoneticext}', "");
Expect(0, 7551, '\p{^Blk=phoneticext}', "");
Expect(0, 7551, '\P{Blk=phoneticext}', "");
Expect(1, 7551, '\P{^Blk=phoneticext}', "");
Expect(0, 7552, '\p{Blk=phoneticext}', "");
Expect(1, 7552, '\p{^Blk=phoneticext}', "");
Expect(1, 7552, '\P{Blk=phoneticext}', "");
Expect(0, 7552, '\P{^Blk=phoneticext}', "");
Expect(1, 7551, '\p{Blk= Phonetic_Ext}', "");
Expect(0, 7551, '\p{^Blk= Phonetic_Ext}', "");
Expect(0, 7551, '\P{Blk= Phonetic_Ext}', "");
Expect(1, 7551, '\P{^Blk= Phonetic_Ext}', "");
Expect(0, 7552, '\p{Blk= Phonetic_Ext}', "");
Expect(1, 7552, '\p{^Blk= Phonetic_Ext}', "");
Expect(1, 7552, '\P{Blk= Phonetic_Ext}', "");
Expect(0, 7552, '\P{^Blk= Phonetic_Ext}', "");
Error('\p{Is_Block=/a/--PHONETIC_extensions}');
Error('\P{Is_Block=/a/--PHONETIC_extensions}');
Expect(1, 7551, '\p{Is_Block:	phoneticextensions}', "");
Expect(0, 7551, '\p{^Is_Block:	phoneticextensions}', "");
Expect(0, 7551, '\P{Is_Block:	phoneticextensions}', "");
Expect(1, 7551, '\P{^Is_Block:	phoneticextensions}', "");
Expect(0, 7552, '\p{Is_Block:	phoneticextensions}', "");
Expect(1, 7552, '\p{^Is_Block:	phoneticextensions}', "");
Expect(1, 7552, '\P{Is_Block:	phoneticextensions}', "");
Expect(0, 7552, '\P{^Is_Block:	phoneticextensions}', "");
Expect(1, 7551, '\p{Is_Block=-Phonetic_EXTENSIONS}', "");
Expect(0, 7551, '\p{^Is_Block=-Phonetic_EXTENSIONS}', "");
Expect(0, 7551, '\P{Is_Block=-Phonetic_EXTENSIONS}', "");
Expect(1, 7551, '\P{^Is_Block=-Phonetic_EXTENSIONS}', "");
Expect(0, 7552, '\p{Is_Block=-Phonetic_EXTENSIONS}', "");
Expect(1, 7552, '\p{^Is_Block=-Phonetic_EXTENSIONS}', "");
Expect(1, 7552, '\P{Is_Block=-Phonetic_EXTENSIONS}', "");
Expect(0, 7552, '\P{^Is_Block=-Phonetic_EXTENSIONS}', "");
Error('\p{Is_Blk=__PHONETIC_Ext:=}');
Error('\P{Is_Blk=__PHONETIC_Ext:=}');
Expect(1, 7551, '\p{Is_Blk=phoneticext}', "");
Expect(0, 7551, '\p{^Is_Blk=phoneticext}', "");
Expect(0, 7551, '\P{Is_Blk=phoneticext}', "");
Expect(1, 7551, '\P{^Is_Blk=phoneticext}', "");
Expect(0, 7552, '\p{Is_Blk=phoneticext}', "");
Expect(1, 7552, '\p{^Is_Blk=phoneticext}', "");
Expect(1, 7552, '\P{Is_Blk=phoneticext}', "");
Expect(0, 7552, '\P{^Is_Blk=phoneticext}', "");
Expect(1, 7551, '\p{Is_Blk:	_ Phonetic_ext}', "");
Expect(0, 7551, '\p{^Is_Blk:	_ Phonetic_ext}', "");
Expect(0, 7551, '\P{Is_Blk:	_ Phonetic_ext}', "");
Expect(1, 7551, '\P{^Is_Blk:	_ Phonetic_ext}', "");
Expect(0, 7552, '\p{Is_Blk:	_ Phonetic_ext}', "");
Expect(1, 7552, '\p{^Is_Blk:	_ Phonetic_ext}', "");
Expect(1, 7552, '\P{Is_Blk:	_ Phonetic_ext}', "");
Expect(0, 7552, '\P{^Is_Blk:	_ Phonetic_ext}', "");
Error('\p{Block:   :=_-phonetic_Extensions_SUPPLEMENT}');
Error('\P{Block:   :=_-phonetic_Extensions_SUPPLEMENT}');
Expect(1, 7615, '\p{Block=phoneticextensionssupplement}', "");
Expect(0, 7615, '\p{^Block=phoneticextensionssupplement}', "");
Expect(0, 7615, '\P{Block=phoneticextensionssupplement}', "");
Expect(1, 7615, '\P{^Block=phoneticextensionssupplement}', "");
Expect(0, 7616, '\p{Block=phoneticextensionssupplement}', "");
Expect(1, 7616, '\p{^Block=phoneticextensionssupplement}', "");
Expect(1, 7616, '\P{Block=phoneticextensionssupplement}', "");
Expect(0, 7616, '\P{^Block=phoneticextensionssupplement}', "");
Expect(1, 7615, '\p{Block= _phonetic_EXTENSIONS_SUPPLEMENT}', "");
Expect(0, 7615, '\p{^Block= _phonetic_EXTENSIONS_SUPPLEMENT}', "");
Expect(0, 7615, '\P{Block= _phonetic_EXTENSIONS_SUPPLEMENT}', "");
Expect(1, 7615, '\P{^Block= _phonetic_EXTENSIONS_SUPPLEMENT}', "");
Expect(0, 7616, '\p{Block= _phonetic_EXTENSIONS_SUPPLEMENT}', "");
Expect(1, 7616, '\p{^Block= _phonetic_EXTENSIONS_SUPPLEMENT}', "");
Expect(1, 7616, '\P{Block= _phonetic_EXTENSIONS_SUPPLEMENT}', "");
Expect(0, 7616, '\P{^Block= _phonetic_EXTENSIONS_SUPPLEMENT}', "");
Error('\p{Blk=:=	phonetic_EXT_SUP}');
Error('\P{Blk=:=	phonetic_EXT_SUP}');
Expect(1, 7615, '\p{Blk=phoneticextsup}', "");
Expect(0, 7615, '\p{^Blk=phoneticextsup}', "");
Expect(0, 7615, '\P{Blk=phoneticextsup}', "");
Expect(1, 7615, '\P{^Blk=phoneticextsup}', "");
Expect(0, 7616, '\p{Blk=phoneticextsup}', "");
Expect(1, 7616, '\p{^Blk=phoneticextsup}', "");
Expect(1, 7616, '\P{Blk=phoneticextsup}', "");
Expect(0, 7616, '\P{^Blk=phoneticextsup}', "");
Expect(1, 7615, '\p{Blk=__PHONETIC_EXT_SUP}', "");
Expect(0, 7615, '\p{^Blk=__PHONETIC_EXT_SUP}', "");
Expect(0, 7615, '\P{Blk=__PHONETIC_EXT_SUP}', "");
Expect(1, 7615, '\P{^Blk=__PHONETIC_EXT_SUP}', "");
Expect(0, 7616, '\p{Blk=__PHONETIC_EXT_SUP}', "");
Expect(1, 7616, '\p{^Blk=__PHONETIC_EXT_SUP}', "");
Expect(1, 7616, '\P{Blk=__PHONETIC_EXT_SUP}', "");
Expect(0, 7616, '\P{^Blk=__PHONETIC_EXT_SUP}', "");
Error('\p{Is_Block= -Phonetic_extensions_supplement:=}');
Error('\P{Is_Block= -Phonetic_extensions_supplement:=}');
Expect(1, 7615, '\p{Is_Block=phoneticextensionssupplement}', "");
Expect(0, 7615, '\p{^Is_Block=phoneticextensionssupplement}', "");
Expect(0, 7615, '\P{Is_Block=phoneticextensionssupplement}', "");
Expect(1, 7615, '\P{^Is_Block=phoneticextensionssupplement}', "");
Expect(0, 7616, '\p{Is_Block=phoneticextensionssupplement}', "");
Expect(1, 7616, '\p{^Is_Block=phoneticextensionssupplement}', "");
Expect(1, 7616, '\P{Is_Block=phoneticextensionssupplement}', "");
Expect(0, 7616, '\P{^Is_Block=phoneticextensionssupplement}', "");
Expect(1, 7615, '\p{Is_Block=  phonetic_Extensions_supplement}', "");
Expect(0, 7615, '\p{^Is_Block=  phonetic_Extensions_supplement}', "");
Expect(0, 7615, '\P{Is_Block=  phonetic_Extensions_supplement}', "");
Expect(1, 7615, '\P{^Is_Block=  phonetic_Extensions_supplement}', "");
Expect(0, 7616, '\p{Is_Block=  phonetic_Extensions_supplement}', "");
Expect(1, 7616, '\p{^Is_Block=  phonetic_Extensions_supplement}', "");
Expect(1, 7616, '\P{Is_Block=  phonetic_Extensions_supplement}', "");
Expect(0, 7616, '\P{^Is_Block=  phonetic_Extensions_supplement}', "");
Error('\p{Is_Blk=_ Phonetic_ext_Sup/a/}');
Error('\P{Is_Blk=_ Phonetic_ext_Sup/a/}');
Expect(1, 7615, '\p{Is_Blk=phoneticextsup}', "");
Expect(0, 7615, '\p{^Is_Blk=phoneticextsup}', "");
Expect(0, 7615, '\P{Is_Blk=phoneticextsup}', "");
Expect(1, 7615, '\P{^Is_Blk=phoneticextsup}', "");
Expect(0, 7616, '\p{Is_Blk=phoneticextsup}', "");
Expect(1, 7616, '\p{^Is_Blk=phoneticextsup}', "");
Expect(1, 7616, '\P{Is_Blk=phoneticextsup}', "");
Expect(0, 7616, '\P{^Is_Blk=phoneticextsup}', "");
Expect(1, 7615, '\p{Is_Blk= 	Phonetic_ext_SUP}', "");
Expect(0, 7615, '\p{^Is_Blk= 	Phonetic_ext_SUP}', "");
Expect(0, 7615, '\P{Is_Blk= 	Phonetic_ext_SUP}', "");
Expect(1, 7615, '\P{^Is_Blk= 	Phonetic_ext_SUP}', "");
Expect(0, 7616, '\p{Is_Blk= 	Phonetic_ext_SUP}', "");
Expect(1, 7616, '\p{^Is_Blk= 	Phonetic_ext_SUP}', "");
Expect(1, 7616, '\P{Is_Blk= 	Phonetic_ext_SUP}', "");
Expect(0, 7616, '\P{^Is_Blk= 	Phonetic_ext_SUP}', "");
Error('\p{Block=	/a/Playing_CARDS}');
Error('\P{Block=	/a/Playing_CARDS}');
Expect(1, 127231, '\p{Block=playingcards}', "");
Expect(0, 127231, '\p{^Block=playingcards}', "");
Expect(0, 127231, '\P{Block=playingcards}', "");
Expect(1, 127231, '\P{^Block=playingcards}', "");
Expect(0, 127232, '\p{Block=playingcards}', "");
Expect(1, 127232, '\p{^Block=playingcards}', "");
Expect(1, 127232, '\P{Block=playingcards}', "");
Expect(0, 127232, '\P{^Block=playingcards}', "");
Expect(1, 127231, '\p{Block=-_Playing_Cards}', "");
Expect(0, 127231, '\p{^Block=-_Playing_Cards}', "");
Expect(0, 127231, '\P{Block=-_Playing_Cards}', "");
Expect(1, 127231, '\P{^Block=-_Playing_Cards}', "");
Expect(0, 127232, '\p{Block=-_Playing_Cards}', "");
Expect(1, 127232, '\p{^Block=-_Playing_Cards}', "");
Expect(1, 127232, '\P{Block=-_Playing_Cards}', "");
Expect(0, 127232, '\P{^Block=-_Playing_Cards}', "");
Error('\p{Blk::= _PLAYING_cards}');
Error('\P{Blk::= _PLAYING_cards}');
Expect(1, 127231, '\p{Blk:   playingcards}', "");
Expect(0, 127231, '\p{^Blk:   playingcards}', "");
Expect(0, 127231, '\P{Blk:   playingcards}', "");
Expect(1, 127231, '\P{^Blk:   playingcards}', "");
Expect(0, 127232, '\p{Blk:   playingcards}', "");
Expect(1, 127232, '\p{^Blk:   playingcards}', "");
Expect(1, 127232, '\P{Blk:   playingcards}', "");
Expect(0, 127232, '\P{^Blk:   playingcards}', "");
Expect(1, 127231, '\p{Blk=		playing_Cards}', "");
Expect(0, 127231, '\p{^Blk=		playing_Cards}', "");
Expect(0, 127231, '\P{Blk=		playing_Cards}', "");
Expect(1, 127231, '\P{^Blk=		playing_Cards}', "");
Expect(0, 127232, '\p{Blk=		playing_Cards}', "");
Expect(1, 127232, '\p{^Blk=		playing_Cards}', "");
Expect(1, 127232, '\P{Blk=		playing_Cards}', "");
Expect(0, 127232, '\P{^Blk=		playing_Cards}', "");
Error('\p{Is_Block=/a/_PLAYING_Cards}');
Error('\P{Is_Block=/a/_PLAYING_Cards}');
Expect(1, 127231, '\p{Is_Block=playingcards}', "");
Expect(0, 127231, '\p{^Is_Block=playingcards}', "");
Expect(0, 127231, '\P{Is_Block=playingcards}', "");
Expect(1, 127231, '\P{^Is_Block=playingcards}', "");
Expect(0, 127232, '\p{Is_Block=playingcards}', "");
Expect(1, 127232, '\p{^Is_Block=playingcards}', "");
Expect(1, 127232, '\P{Is_Block=playingcards}', "");
Expect(0, 127232, '\P{^Is_Block=playingcards}', "");
Expect(1, 127231, '\p{Is_Block=	Playing_Cards}', "");
Expect(0, 127231, '\p{^Is_Block=	Playing_Cards}', "");
Expect(0, 127231, '\P{Is_Block=	Playing_Cards}', "");
Expect(1, 127231, '\P{^Is_Block=	Playing_Cards}', "");
Expect(0, 127232, '\p{Is_Block=	Playing_Cards}', "");
Expect(1, 127232, '\p{^Is_Block=	Playing_Cards}', "");
Expect(1, 127232, '\P{Is_Block=	Playing_Cards}', "");
Expect(0, 127232, '\P{^Is_Block=	Playing_Cards}', "");
Error('\p{Is_Blk:__playing_Cards/a/}');
Error('\P{Is_Blk:__playing_Cards/a/}');
Expect(1, 127231, '\p{Is_Blk=playingcards}', "");
Expect(0, 127231, '\p{^Is_Blk=playingcards}', "");
Expect(0, 127231, '\P{Is_Blk=playingcards}', "");
Expect(1, 127231, '\P{^Is_Blk=playingcards}', "");
Expect(0, 127232, '\p{Is_Blk=playingcards}', "");
Expect(1, 127232, '\p{^Is_Blk=playingcards}', "");
Expect(1, 127232, '\P{Is_Blk=playingcards}', "");
Expect(0, 127232, '\P{^Is_Blk=playingcards}', "");
Expect(1, 127231, '\p{Is_Blk: 	Playing_cards}', "");
Expect(0, 127231, '\p{^Is_Blk: 	Playing_cards}', "");
Expect(0, 127231, '\P{Is_Blk: 	Playing_cards}', "");
Expect(1, 127231, '\P{^Is_Blk: 	Playing_cards}', "");
Expect(0, 127232, '\p{Is_Blk: 	Playing_cards}', "");
Expect(1, 127232, '\p{^Is_Blk: 	Playing_cards}', "");
Expect(1, 127232, '\P{Is_Blk: 	Playing_cards}', "");
Expect(0, 127232, '\P{^Is_Blk: 	Playing_cards}', "");
Error('\p{Block=-	Psalter_Pahlavi:=}');
Error('\P{Block=-	Psalter_Pahlavi:=}');
Expect(1, 68527, '\p{Block=psalterpahlavi}', "");
Expect(0, 68527, '\p{^Block=psalterpahlavi}', "");
Expect(0, 68527, '\P{Block=psalterpahlavi}', "");
Expect(1, 68527, '\P{^Block=psalterpahlavi}', "");
Expect(0, 68528, '\p{Block=psalterpahlavi}', "");
Expect(1, 68528, '\p{^Block=psalterpahlavi}', "");
Expect(1, 68528, '\P{Block=psalterpahlavi}', "");
Expect(0, 68528, '\P{^Block=psalterpahlavi}', "");
Expect(1, 68527, '\p{Block=	Psalter_Pahlavi}', "");
Expect(0, 68527, '\p{^Block=	Psalter_Pahlavi}', "");
Expect(0, 68527, '\P{Block=	Psalter_Pahlavi}', "");
Expect(1, 68527, '\P{^Block=	Psalter_Pahlavi}', "");
Expect(0, 68528, '\p{Block=	Psalter_Pahlavi}', "");
Expect(1, 68528, '\p{^Block=	Psalter_Pahlavi}', "");
Expect(1, 68528, '\P{Block=	Psalter_Pahlavi}', "");
Expect(0, 68528, '\P{^Block=	Psalter_Pahlavi}', "");
Error('\p{Blk=/a/-Psalter_pahlavi}');
Error('\P{Blk=/a/-Psalter_pahlavi}');
Expect(1, 68527, '\p{Blk=psalterpahlavi}', "");
Expect(0, 68527, '\p{^Blk=psalterpahlavi}', "");
Expect(0, 68527, '\P{Blk=psalterpahlavi}', "");
Expect(1, 68527, '\P{^Blk=psalterpahlavi}', "");
Expect(0, 68528, '\p{Blk=psalterpahlavi}', "");
Expect(1, 68528, '\p{^Blk=psalterpahlavi}', "");
Expect(1, 68528, '\P{Blk=psalterpahlavi}', "");
Expect(0, 68528, '\P{^Blk=psalterpahlavi}', "");
Expect(1, 68527, '\p{Blk=_-psalter_Pahlavi}', "");
Expect(0, 68527, '\p{^Blk=_-psalter_Pahlavi}', "");
Expect(0, 68527, '\P{Blk=_-psalter_Pahlavi}', "");
Expect(1, 68527, '\P{^Blk=_-psalter_Pahlavi}', "");
Expect(0, 68528, '\p{Blk=_-psalter_Pahlavi}', "");
Expect(1, 68528, '\p{^Blk=_-psalter_Pahlavi}', "");
Expect(1, 68528, '\P{Blk=_-psalter_Pahlavi}', "");
Expect(0, 68528, '\P{^Blk=_-psalter_Pahlavi}', "");
Error('\p{Is_Block=/a/_PSALTER_Pahlavi}');
Error('\P{Is_Block=/a/_PSALTER_Pahlavi}');
Expect(1, 68527, '\p{Is_Block=psalterpahlavi}', "");
Expect(0, 68527, '\p{^Is_Block=psalterpahlavi}', "");
Expect(0, 68527, '\P{Is_Block=psalterpahlavi}', "");
Expect(1, 68527, '\P{^Is_Block=psalterpahlavi}', "");
Expect(0, 68528, '\p{Is_Block=psalterpahlavi}', "");
Expect(1, 68528, '\p{^Is_Block=psalterpahlavi}', "");
Expect(1, 68528, '\P{Is_Block=psalterpahlavi}', "");
Expect(0, 68528, '\P{^Is_Block=psalterpahlavi}', "");
Expect(1, 68527, '\p{Is_Block=_Psalter_PAHLAVI}', "");
Expect(0, 68527, '\p{^Is_Block=_Psalter_PAHLAVI}', "");
Expect(0, 68527, '\P{Is_Block=_Psalter_PAHLAVI}', "");
Expect(1, 68527, '\P{^Is_Block=_Psalter_PAHLAVI}', "");
Expect(0, 68528, '\p{Is_Block=_Psalter_PAHLAVI}', "");
Expect(1, 68528, '\p{^Is_Block=_Psalter_PAHLAVI}', "");
Expect(1, 68528, '\P{Is_Block=_Psalter_PAHLAVI}', "");
Expect(0, 68528, '\P{^Is_Block=_Psalter_PAHLAVI}', "");
Error('\p{Is_Blk=:=- Psalter_Pahlavi}');
Error('\P{Is_Blk=:=- Psalter_Pahlavi}');
Expect(1, 68527, '\p{Is_Blk=psalterpahlavi}', "");
Expect(0, 68527, '\p{^Is_Blk=psalterpahlavi}', "");
Expect(0, 68527, '\P{Is_Blk=psalterpahlavi}', "");
Expect(1, 68527, '\P{^Is_Blk=psalterpahlavi}', "");
Expect(0, 68528, '\p{Is_Blk=psalterpahlavi}', "");
Expect(1, 68528, '\p{^Is_Blk=psalterpahlavi}', "");
Expect(1, 68528, '\P{Is_Blk=psalterpahlavi}', "");
Expect(0, 68528, '\P{^Is_Blk=psalterpahlavi}', "");
Expect(1, 68527, '\p{Is_Blk=_PSALTER_Pahlavi}', "");
Expect(0, 68527, '\p{^Is_Blk=_PSALTER_Pahlavi}', "");
Expect(0, 68527, '\P{Is_Blk=_PSALTER_Pahlavi}', "");
Expect(1, 68527, '\P{^Is_Blk=_PSALTER_Pahlavi}', "");
Expect(0, 68528, '\p{Is_Blk=_PSALTER_Pahlavi}', "");
Expect(1, 68528, '\p{^Is_Blk=_PSALTER_Pahlavi}', "");
Expect(1, 68528, '\P{Is_Blk=_PSALTER_Pahlavi}', "");
Expect(0, 68528, '\P{^Is_Blk=_PSALTER_Pahlavi}', "");
Error('\p{Block=/a/_General_Punctuation}');
Error('\P{Block=/a/_General_Punctuation}');
Expect(1, 8303, '\p{Block: generalpunctuation}', "");
Expect(0, 8303, '\p{^Block: generalpunctuation}', "");
Expect(0, 8303, '\P{Block: generalpunctuation}', "");
Expect(1, 8303, '\P{^Block: generalpunctuation}', "");
Expect(0, 8304, '\p{Block: generalpunctuation}', "");
Expect(1, 8304, '\p{^Block: generalpunctuation}', "");
Expect(1, 8304, '\P{Block: generalpunctuation}', "");
Expect(0, 8304, '\P{^Block: generalpunctuation}', "");
Expect(1, 8303, '\p{Block= -general_Punctuation}', "");
Expect(0, 8303, '\p{^Block= -general_Punctuation}', "");
Expect(0, 8303, '\P{Block= -general_Punctuation}', "");
Expect(1, 8303, '\P{^Block= -general_Punctuation}', "");
Expect(0, 8304, '\p{Block= -general_Punctuation}', "");
Expect(1, 8304, '\p{^Block= -general_Punctuation}', "");
Expect(1, 8304, '\P{Block= -general_Punctuation}', "");
Expect(0, 8304, '\P{^Block= -general_Punctuation}', "");
Error('\p{Blk=_ Punctuation:=}');
Error('\P{Blk=_ Punctuation:=}');
Expect(1, 8303, '\p{Blk=punctuation}', "");
Expect(0, 8303, '\p{^Blk=punctuation}', "");
Expect(0, 8303, '\P{Blk=punctuation}', "");
Expect(1, 8303, '\P{^Blk=punctuation}', "");
Expect(0, 8304, '\p{Blk=punctuation}', "");
Expect(1, 8304, '\p{^Blk=punctuation}', "");
Expect(1, 8304, '\P{Blk=punctuation}', "");
Expect(0, 8304, '\P{^Blk=punctuation}', "");
Expect(1, 8303, '\p{Blk=_	Punctuation}', "");
Expect(0, 8303, '\p{^Blk=_	Punctuation}', "");
Expect(0, 8303, '\P{Blk=_	Punctuation}', "");
Expect(1, 8303, '\P{^Blk=_	Punctuation}', "");
Expect(0, 8304, '\p{Blk=_	Punctuation}', "");
Expect(1, 8304, '\p{^Blk=_	Punctuation}', "");
Expect(1, 8304, '\P{Blk=_	Punctuation}', "");
Expect(0, 8304, '\P{^Blk=_	Punctuation}', "");
Error('\p{Is_Block=:=-GENERAL_punctuation}');
Error('\P{Is_Block=:=-GENERAL_punctuation}');
Expect(1, 8303, '\p{Is_Block=generalpunctuation}', "");
Expect(0, 8303, '\p{^Is_Block=generalpunctuation}', "");
Expect(0, 8303, '\P{Is_Block=generalpunctuation}', "");
Expect(1, 8303, '\P{^Is_Block=generalpunctuation}', "");
Expect(0, 8304, '\p{Is_Block=generalpunctuation}', "");
Expect(1, 8304, '\p{^Is_Block=generalpunctuation}', "");
Expect(1, 8304, '\P{Is_Block=generalpunctuation}', "");
Expect(0, 8304, '\P{^Is_Block=generalpunctuation}', "");
Expect(1, 8303, '\p{Is_Block=-_General_PUNCTUATION}', "");
Expect(0, 8303, '\p{^Is_Block=-_General_PUNCTUATION}', "");
Expect(0, 8303, '\P{Is_Block=-_General_PUNCTUATION}', "");
Expect(1, 8303, '\P{^Is_Block=-_General_PUNCTUATION}', "");
Expect(0, 8304, '\p{Is_Block=-_General_PUNCTUATION}', "");
Expect(1, 8304, '\p{^Is_Block=-_General_PUNCTUATION}', "");
Expect(1, 8304, '\P{Is_Block=-_General_PUNCTUATION}', "");
Expect(0, 8304, '\P{^Is_Block=-_General_PUNCTUATION}', "");
Error('\p{Is_Blk=:=_ PUNCTUATION}');
Error('\P{Is_Blk=:=_ PUNCTUATION}');
Expect(1, 8303, '\p{Is_Blk=punctuation}', "");
Expect(0, 8303, '\p{^Is_Blk=punctuation}', "");
Expect(0, 8303, '\P{Is_Blk=punctuation}', "");
Expect(1, 8303, '\P{^Is_Blk=punctuation}', "");
Expect(0, 8304, '\p{Is_Blk=punctuation}', "");
Expect(1, 8304, '\p{^Is_Blk=punctuation}', "");
Expect(1, 8304, '\P{Is_Blk=punctuation}', "");
Expect(0, 8304, '\P{^Is_Blk=punctuation}', "");
Expect(1, 8303, '\p{Is_Blk=--punctuation}', "");
Expect(0, 8303, '\p{^Is_Blk=--punctuation}', "");
Expect(0, 8303, '\P{Is_Blk=--punctuation}', "");
Expect(1, 8303, '\P{^Is_Blk=--punctuation}', "");
Expect(0, 8304, '\p{Is_Blk=--punctuation}', "");
Expect(1, 8304, '\p{^Is_Blk=--punctuation}', "");
Expect(1, 8304, '\P{Is_Blk=--punctuation}', "");
Expect(0, 8304, '\P{^Is_Blk=--punctuation}', "");
Error('\p{Block=_/a/rejang}');
Error('\P{Block=_/a/rejang}');
Expect(1, 43359, '\p{Block=rejang}', "");
Expect(0, 43359, '\p{^Block=rejang}', "");
Expect(0, 43359, '\P{Block=rejang}', "");
Expect(1, 43359, '\P{^Block=rejang}', "");
Expect(0, 43360, '\p{Block=rejang}', "");
Expect(1, 43360, '\p{^Block=rejang}', "");
Expect(1, 43360, '\P{Block=rejang}', "");
Expect(0, 43360, '\P{^Block=rejang}', "");
Expect(1, 43359, '\p{Block=--REJANG}', "");
Expect(0, 43359, '\p{^Block=--REJANG}', "");
Expect(0, 43359, '\P{Block=--REJANG}', "");
Expect(1, 43359, '\P{^Block=--REJANG}', "");
Expect(0, 43360, '\p{Block=--REJANG}', "");
Expect(1, 43360, '\p{^Block=--REJANG}', "");
Expect(1, 43360, '\P{Block=--REJANG}', "");
Expect(0, 43360, '\P{^Block=--REJANG}', "");
Error('\p{Blk=-rejang/a/}');
Error('\P{Blk=-rejang/a/}');
Expect(1, 43359, '\p{Blk=rejang}', "");
Expect(0, 43359, '\p{^Blk=rejang}', "");
Expect(0, 43359, '\P{Blk=rejang}', "");
Expect(1, 43359, '\P{^Blk=rejang}', "");
Expect(0, 43360, '\p{Blk=rejang}', "");
Expect(1, 43360, '\p{^Blk=rejang}', "");
Expect(1, 43360, '\P{Blk=rejang}', "");
Expect(0, 43360, '\P{^Blk=rejang}', "");
Expect(1, 43359, '\p{Blk= 	Rejang}', "");
Expect(0, 43359, '\p{^Blk= 	Rejang}', "");
Expect(0, 43359, '\P{Blk= 	Rejang}', "");
Expect(1, 43359, '\P{^Blk= 	Rejang}', "");
Expect(0, 43360, '\p{Blk= 	Rejang}', "");
Expect(1, 43360, '\p{^Blk= 	Rejang}', "");
Expect(1, 43360, '\P{Blk= 	Rejang}', "");
Expect(0, 43360, '\P{^Blk= 	Rejang}', "");
Error('\p{Is_Block:/a/ REJANG}');
Error('\P{Is_Block:/a/ REJANG}');
Expect(1, 43359, '\p{Is_Block=rejang}', "");
Expect(0, 43359, '\p{^Is_Block=rejang}', "");
Expect(0, 43359, '\P{Is_Block=rejang}', "");
Expect(1, 43359, '\P{^Is_Block=rejang}', "");
Expect(0, 43360, '\p{Is_Block=rejang}', "");
Expect(1, 43360, '\p{^Is_Block=rejang}', "");
Expect(1, 43360, '\P{Is_Block=rejang}', "");
Expect(0, 43360, '\P{^Is_Block=rejang}', "");
Expect(1, 43359, '\p{Is_Block=--Rejang}', "");
Expect(0, 43359, '\p{^Is_Block=--Rejang}', "");
Expect(0, 43359, '\P{Is_Block=--Rejang}', "");
Expect(1, 43359, '\P{^Is_Block=--Rejang}', "");
Expect(0, 43360, '\p{Is_Block=--Rejang}', "");
Expect(1, 43360, '\p{^Is_Block=--Rejang}', "");
Expect(1, 43360, '\P{Is_Block=--Rejang}', "");
Expect(0, 43360, '\P{^Is_Block=--Rejang}', "");
Error('\p{Is_Blk=	/a/Rejang}');
Error('\P{Is_Blk=	/a/Rejang}');
Expect(1, 43359, '\p{Is_Blk=rejang}', "");
Expect(0, 43359, '\p{^Is_Blk=rejang}', "");
Expect(0, 43359, '\P{Is_Blk=rejang}', "");
Expect(1, 43359, '\P{^Is_Blk=rejang}', "");
Expect(0, 43360, '\p{Is_Blk=rejang}', "");
Expect(1, 43360, '\p{^Is_Blk=rejang}', "");
Expect(1, 43360, '\P{Is_Blk=rejang}', "");
Expect(0, 43360, '\P{^Is_Blk=rejang}', "");
Expect(1, 43359, '\p{Is_Blk=	_REJANG}', "");
Expect(0, 43359, '\p{^Is_Blk=	_REJANG}', "");
Expect(0, 43359, '\P{Is_Blk=	_REJANG}', "");
Expect(1, 43359, '\P{^Is_Blk=	_REJANG}', "");
Expect(0, 43360, '\p{Is_Blk=	_REJANG}', "");
Expect(1, 43360, '\p{^Is_Blk=	_REJANG}', "");
Expect(1, 43360, '\P{Is_Blk=	_REJANG}', "");
Expect(0, 43360, '\P{^Is_Blk=	_REJANG}', "");
Error('\p{Block=_-rumi_Numeral_Symbols:=}');
Error('\P{Block=_-rumi_Numeral_Symbols:=}');
Expect(1, 69247, '\p{Block=ruminumeralsymbols}', "");
Expect(0, 69247, '\p{^Block=ruminumeralsymbols}', "");
Expect(0, 69247, '\P{Block=ruminumeralsymbols}', "");
Expect(1, 69247, '\P{^Block=ruminumeralsymbols}', "");
Expect(0, 69248, '\p{Block=ruminumeralsymbols}', "");
Expect(1, 69248, '\p{^Block=ruminumeralsymbols}', "");
Expect(1, 69248, '\P{Block=ruminumeralsymbols}', "");
Expect(0, 69248, '\P{^Block=ruminumeralsymbols}', "");
Expect(1, 69247, '\p{Block=	 Rumi_Numeral_SYMBOLS}', "");
Expect(0, 69247, '\p{^Block=	 Rumi_Numeral_SYMBOLS}', "");
Expect(0, 69247, '\P{Block=	 Rumi_Numeral_SYMBOLS}', "");
Expect(1, 69247, '\P{^Block=	 Rumi_Numeral_SYMBOLS}', "");
Expect(0, 69248, '\p{Block=	 Rumi_Numeral_SYMBOLS}', "");
Expect(1, 69248, '\p{^Block=	 Rumi_Numeral_SYMBOLS}', "");
Expect(1, 69248, '\P{Block=	 Rumi_Numeral_SYMBOLS}', "");
Expect(0, 69248, '\P{^Block=	 Rumi_Numeral_SYMBOLS}', "");
Error('\p{Blk:	_/a/rumi}');
Error('\P{Blk:	_/a/rumi}');
Expect(1, 69247, '\p{Blk=rumi}', "");
Expect(0, 69247, '\p{^Blk=rumi}', "");
Expect(0, 69247, '\P{Blk=rumi}', "");
Expect(1, 69247, '\P{^Blk=rumi}', "");
Expect(0, 69248, '\p{Blk=rumi}', "");
Expect(1, 69248, '\p{^Blk=rumi}', "");
Expect(1, 69248, '\P{Blk=rumi}', "");
Expect(0, 69248, '\P{^Blk=rumi}', "");
Expect(1, 69247, '\p{Blk=-_RUMI}', "");
Expect(0, 69247, '\p{^Blk=-_RUMI}', "");
Expect(0, 69247, '\P{Blk=-_RUMI}', "");
Expect(1, 69247, '\P{^Blk=-_RUMI}', "");
Expect(0, 69248, '\p{Blk=-_RUMI}', "");
Expect(1, 69248, '\p{^Blk=-_RUMI}', "");
Expect(1, 69248, '\P{Blk=-_RUMI}', "");
Expect(0, 69248, '\P{^Blk=-_RUMI}', "");
Error('\p{Is_Block=/a/__RUMI_Numeral_SYMBOLS}');
Error('\P{Is_Block=/a/__RUMI_Numeral_SYMBOLS}');
Expect(1, 69247, '\p{Is_Block:	ruminumeralsymbols}', "");
Expect(0, 69247, '\p{^Is_Block:	ruminumeralsymbols}', "");
Expect(0, 69247, '\P{Is_Block:	ruminumeralsymbols}', "");
Expect(1, 69247, '\P{^Is_Block:	ruminumeralsymbols}', "");
Expect(0, 69248, '\p{Is_Block:	ruminumeralsymbols}', "");
Expect(1, 69248, '\p{^Is_Block:	ruminumeralsymbols}', "");
Expect(1, 69248, '\P{Is_Block:	ruminumeralsymbols}', "");
Expect(0, 69248, '\P{^Is_Block:	ruminumeralsymbols}', "");
Expect(1, 69247, '\p{Is_Block:-rumi_NUMERAL_Symbols}', "");
Expect(0, 69247, '\p{^Is_Block:-rumi_NUMERAL_Symbols}', "");
Expect(0, 69247, '\P{Is_Block:-rumi_NUMERAL_Symbols}', "");
Expect(1, 69247, '\P{^Is_Block:-rumi_NUMERAL_Symbols}', "");
Expect(0, 69248, '\p{Is_Block:-rumi_NUMERAL_Symbols}', "");
Expect(1, 69248, '\p{^Is_Block:-rumi_NUMERAL_Symbols}', "");
Expect(1, 69248, '\P{Is_Block:-rumi_NUMERAL_Symbols}', "");
Expect(0, 69248, '\P{^Is_Block:-rumi_NUMERAL_Symbols}', "");
Error('\p{Is_Blk=/a/_rumi}');
Error('\P{Is_Blk=/a/_rumi}');
Expect(1, 69247, '\p{Is_Blk=rumi}', "");
Expect(0, 69247, '\p{^Is_Blk=rumi}', "");
Expect(0, 69247, '\P{Is_Blk=rumi}', "");
Expect(1, 69247, '\P{^Is_Blk=rumi}', "");
Expect(0, 69248, '\p{Is_Blk=rumi}', "");
Expect(1, 69248, '\p{^Is_Blk=rumi}', "");
Expect(1, 69248, '\P{Is_Blk=rumi}', "");
Expect(0, 69248, '\P{^Is_Blk=rumi}', "");
Expect(1, 69247, '\p{Is_Blk=	Rumi}', "");
Expect(0, 69247, '\p{^Is_Blk=	Rumi}', "");
Expect(0, 69247, '\P{Is_Blk=	Rumi}', "");
Expect(1, 69247, '\P{^Is_Blk=	Rumi}', "");
Expect(0, 69248, '\p{Is_Blk=	Rumi}', "");
Expect(1, 69248, '\p{^Is_Blk=	Rumi}', "");
Expect(1, 69248, '\P{Is_Blk=	Rumi}', "");
Expect(0, 69248, '\P{^Is_Blk=	Rumi}', "");
Error('\p{Block=/a/_Runic}');
Error('\P{Block=/a/_Runic}');
Expect(1, 5887, '\p{Block: runic}', "");
Expect(0, 5887, '\p{^Block: runic}', "");
Expect(0, 5887, '\P{Block: runic}', "");
Expect(1, 5887, '\P{^Block: runic}', "");
Expect(0, 5888, '\p{Block: runic}', "");
Expect(1, 5888, '\p{^Block: runic}', "");
Expect(1, 5888, '\P{Block: runic}', "");
Expect(0, 5888, '\P{^Block: runic}', "");
Expect(1, 5887, '\p{Block=-Runic}', "");
Expect(0, 5887, '\p{^Block=-Runic}', "");
Expect(0, 5887, '\P{Block=-Runic}', "");
Expect(1, 5887, '\P{^Block=-Runic}', "");
Expect(0, 5888, '\p{Block=-Runic}', "");
Expect(1, 5888, '\p{^Block=-Runic}', "");
Expect(1, 5888, '\P{Block=-Runic}', "");
Expect(0, 5888, '\P{^Block=-Runic}', "");
Error('\p{Blk=:= _Runic}');
Error('\P{Blk=:= _Runic}');
Expect(1, 5887, '\p{Blk=runic}', "");
Expect(0, 5887, '\p{^Blk=runic}', "");
Expect(0, 5887, '\P{Blk=runic}', "");
Expect(1, 5887, '\P{^Blk=runic}', "");
Expect(0, 5888, '\p{Blk=runic}', "");
Expect(1, 5888, '\p{^Blk=runic}', "");
Expect(1, 5888, '\P{Blk=runic}', "");
Expect(0, 5888, '\P{^Blk=runic}', "");
Expect(1, 5887, '\p{Blk=_Runic}', "");
Expect(0, 5887, '\p{^Blk=_Runic}', "");
Expect(0, 5887, '\P{Blk=_Runic}', "");
Expect(1, 5887, '\P{^Blk=_Runic}', "");
Expect(0, 5888, '\p{Blk=_Runic}', "");
Expect(1, 5888, '\p{^Blk=_Runic}', "");
Expect(1, 5888, '\P{Blk=_Runic}', "");
Expect(0, 5888, '\P{^Blk=_Runic}', "");
Error('\p{Is_Block=/a/	 Runic}');
Error('\P{Is_Block=/a/	 Runic}');
Expect(1, 5887, '\p{Is_Block=runic}', "");
Expect(0, 5887, '\p{^Is_Block=runic}', "");
Expect(0, 5887, '\P{Is_Block=runic}', "");
Expect(1, 5887, '\P{^Is_Block=runic}', "");
Expect(0, 5888, '\p{Is_Block=runic}', "");
Expect(1, 5888, '\p{^Is_Block=runic}', "");
Expect(1, 5888, '\P{Is_Block=runic}', "");
Expect(0, 5888, '\P{^Is_Block=runic}', "");
Expect(1, 5887, '\p{Is_Block=-Runic}', "");
Expect(0, 5887, '\p{^Is_Block=-Runic}', "");
Expect(0, 5887, '\P{Is_Block=-Runic}', "");
Expect(1, 5887, '\P{^Is_Block=-Runic}', "");
Expect(0, 5888, '\p{Is_Block=-Runic}', "");
Expect(1, 5888, '\p{^Is_Block=-Runic}', "");
Expect(1, 5888, '\P{Is_Block=-Runic}', "");
Expect(0, 5888, '\P{^Is_Block=-Runic}', "");
Error('\p{Is_Blk=/a/runic}');
Error('\P{Is_Blk=/a/runic}');
Expect(1, 5887, '\p{Is_Blk=runic}', "");
Expect(0, 5887, '\p{^Is_Blk=runic}', "");
Expect(0, 5887, '\P{Is_Blk=runic}', "");
Expect(1, 5887, '\P{^Is_Blk=runic}', "");
Expect(0, 5888, '\p{Is_Blk=runic}', "");
Expect(1, 5888, '\p{^Is_Blk=runic}', "");
Expect(1, 5888, '\P{Is_Blk=runic}', "");
Expect(0, 5888, '\P{^Is_Blk=runic}', "");
Expect(1, 5887, '\p{Is_Blk=_ Runic}', "");
Expect(0, 5887, '\p{^Is_Blk=_ Runic}', "");
Expect(0, 5887, '\P{Is_Blk=_ Runic}', "");
Expect(1, 5887, '\P{^Is_Blk=_ Runic}', "");
Expect(0, 5888, '\p{Is_Blk=_ Runic}', "");
Expect(1, 5888, '\p{^Is_Blk=_ Runic}', "");
Expect(1, 5888, '\P{Is_Blk=_ Runic}', "");
Expect(0, 5888, '\P{^Is_Blk=_ Runic}', "");
Error('\p{Block=_	Samaritan/a/}');
Error('\P{Block=_	Samaritan/a/}');
Expect(1, 2111, '\p{Block=samaritan}', "");
Expect(0, 2111, '\p{^Block=samaritan}', "");
Expect(0, 2111, '\P{Block=samaritan}', "");
Expect(1, 2111, '\P{^Block=samaritan}', "");
Expect(0, 2112, '\p{Block=samaritan}', "");
Expect(1, 2112, '\p{^Block=samaritan}', "");
Expect(1, 2112, '\P{Block=samaritan}', "");
Expect(0, 2112, '\P{^Block=samaritan}', "");
Expect(1, 2111, '\p{Block=		Samaritan}', "");
Expect(0, 2111, '\p{^Block=		Samaritan}', "");
Expect(0, 2111, '\P{Block=		Samaritan}', "");
Expect(1, 2111, '\P{^Block=		Samaritan}', "");
Expect(0, 2112, '\p{Block=		Samaritan}', "");
Expect(1, 2112, '\p{^Block=		Samaritan}', "");
Expect(1, 2112, '\P{Block=		Samaritan}', "");
Expect(0, 2112, '\P{^Block=		Samaritan}', "");
Error('\p{Blk=_-Samaritan:=}');
Error('\P{Blk=_-Samaritan:=}');
Expect(1, 2111, '\p{Blk=samaritan}', "");
Expect(0, 2111, '\p{^Blk=samaritan}', "");
Expect(0, 2111, '\P{Blk=samaritan}', "");
Expect(1, 2111, '\P{^Blk=samaritan}', "");
Expect(0, 2112, '\p{Blk=samaritan}', "");
Expect(1, 2112, '\p{^Blk=samaritan}', "");
Expect(1, 2112, '\P{Blk=samaritan}', "");
Expect(0, 2112, '\P{^Blk=samaritan}', "");
Expect(1, 2111, '\p{Blk=  samaritan}', "");
Expect(0, 2111, '\p{^Blk=  samaritan}', "");
Expect(0, 2111, '\P{Blk=  samaritan}', "");
Expect(1, 2111, '\P{^Blk=  samaritan}', "");
Expect(0, 2112, '\p{Blk=  samaritan}', "");
Expect(1, 2112, '\p{^Blk=  samaritan}', "");
Expect(1, 2112, '\P{Blk=  samaritan}', "");
Expect(0, 2112, '\P{^Blk=  samaritan}', "");
Error('\p{Is_Block=:=	_Samaritan}');
Error('\P{Is_Block=:=	_Samaritan}');
Expect(1, 2111, '\p{Is_Block=samaritan}', "");
Expect(0, 2111, '\p{^Is_Block=samaritan}', "");
Expect(0, 2111, '\P{Is_Block=samaritan}', "");
Expect(1, 2111, '\P{^Is_Block=samaritan}', "");
Expect(0, 2112, '\p{Is_Block=samaritan}', "");
Expect(1, 2112, '\p{^Is_Block=samaritan}', "");
Expect(1, 2112, '\P{Is_Block=samaritan}', "");
Expect(0, 2112, '\P{^Is_Block=samaritan}', "");
Expect(1, 2111, '\p{Is_Block= _Samaritan}', "");
Expect(0, 2111, '\p{^Is_Block= _Samaritan}', "");
Expect(0, 2111, '\P{Is_Block= _Samaritan}', "");
Expect(1, 2111, '\P{^Is_Block= _Samaritan}', "");
Expect(0, 2112, '\p{Is_Block= _Samaritan}', "");
Expect(1, 2112, '\p{^Is_Block= _Samaritan}', "");
Expect(1, 2112, '\P{Is_Block= _Samaritan}', "");
Expect(0, 2112, '\P{^Is_Block= _Samaritan}', "");
Error('\p{Is_Blk=	:=samaritan}');
Error('\P{Is_Blk=	:=samaritan}');
Expect(1, 2111, '\p{Is_Blk=samaritan}', "");
Expect(0, 2111, '\p{^Is_Blk=samaritan}', "");
Expect(0, 2111, '\P{Is_Blk=samaritan}', "");
Expect(1, 2111, '\P{^Is_Blk=samaritan}', "");
Expect(0, 2112, '\p{Is_Blk=samaritan}', "");
Expect(1, 2112, '\p{^Is_Blk=samaritan}', "");
Expect(1, 2112, '\P{Is_Blk=samaritan}', "");
Expect(0, 2112, '\P{^Is_Blk=samaritan}', "");
Expect(1, 2111, '\p{Is_Blk:   - samaritan}', "");
Expect(0, 2111, '\p{^Is_Blk:   - samaritan}', "");
Expect(0, 2111, '\P{Is_Blk:   - samaritan}', "");
Expect(1, 2111, '\P{^Is_Blk:   - samaritan}', "");
Expect(0, 2112, '\p{Is_Blk:   - samaritan}', "");
Expect(1, 2112, '\p{^Is_Blk:   - samaritan}', "");
Expect(1, 2112, '\P{Is_Blk:   - samaritan}', "");
Expect(0, 2112, '\P{^Is_Blk:   - samaritan}', "");
Error('\p{Block=/a/-_saurashtra}');
Error('\P{Block=/a/-_saurashtra}');
Expect(1, 43231, '\p{Block=saurashtra}', "");
Expect(0, 43231, '\p{^Block=saurashtra}', "");
Expect(0, 43231, '\P{Block=saurashtra}', "");
Expect(1, 43231, '\P{^Block=saurashtra}', "");
Expect(0, 43232, '\p{Block=saurashtra}', "");
Expect(1, 43232, '\p{^Block=saurashtra}', "");
Expect(1, 43232, '\P{Block=saurashtra}', "");
Expect(0, 43232, '\P{^Block=saurashtra}', "");
Expect(1, 43231, '\p{Block=  SAURASHTRA}', "");
Expect(0, 43231, '\p{^Block=  SAURASHTRA}', "");
Expect(0, 43231, '\P{Block=  SAURASHTRA}', "");
Expect(1, 43231, '\P{^Block=  SAURASHTRA}', "");
Expect(0, 43232, '\p{Block=  SAURASHTRA}', "");
Expect(1, 43232, '\p{^Block=  SAURASHTRA}', "");
Expect(1, 43232, '\P{Block=  SAURASHTRA}', "");
Expect(0, 43232, '\P{^Block=  SAURASHTRA}', "");
Error('\p{Blk=--Saurashtra:=}');
Error('\P{Blk=--Saurashtra:=}');
Expect(1, 43231, '\p{Blk:   saurashtra}', "");
Expect(0, 43231, '\p{^Blk:   saurashtra}', "");
Expect(0, 43231, '\P{Blk:   saurashtra}', "");
Expect(1, 43231, '\P{^Blk:   saurashtra}', "");
Expect(0, 43232, '\p{Blk:   saurashtra}', "");
Expect(1, 43232, '\p{^Blk:   saurashtra}', "");
Expect(1, 43232, '\P{Blk:   saurashtra}', "");
Expect(0, 43232, '\P{^Blk:   saurashtra}', "");
Expect(1, 43231, '\p{Blk=	Saurashtra}', "");
Expect(0, 43231, '\p{^Blk=	Saurashtra}', "");
Expect(0, 43231, '\P{Blk=	Saurashtra}', "");
Expect(1, 43231, '\P{^Blk=	Saurashtra}', "");
Expect(0, 43232, '\p{Blk=	Saurashtra}', "");
Expect(1, 43232, '\p{^Blk=	Saurashtra}', "");
Expect(1, 43232, '\P{Blk=	Saurashtra}', "");
Expect(0, 43232, '\P{^Blk=	Saurashtra}', "");
Error('\p{Is_Block=/a/ saurashtra}');
Error('\P{Is_Block=/a/ saurashtra}');
Expect(1, 43231, '\p{Is_Block=saurashtra}', "");
Expect(0, 43231, '\p{^Is_Block=saurashtra}', "");
Expect(0, 43231, '\P{Is_Block=saurashtra}', "");
Expect(1, 43231, '\P{^Is_Block=saurashtra}', "");
Expect(0, 43232, '\p{Is_Block=saurashtra}', "");
Expect(1, 43232, '\p{^Is_Block=saurashtra}', "");
Expect(1, 43232, '\P{Is_Block=saurashtra}', "");
Expect(0, 43232, '\P{^Is_Block=saurashtra}', "");
Expect(1, 43231, '\p{Is_Block=	-Saurashtra}', "");
Expect(0, 43231, '\p{^Is_Block=	-Saurashtra}', "");
Expect(0, 43231, '\P{Is_Block=	-Saurashtra}', "");
Expect(1, 43231, '\P{^Is_Block=	-Saurashtra}', "");
Expect(0, 43232, '\p{Is_Block=	-Saurashtra}', "");
Expect(1, 43232, '\p{^Is_Block=	-Saurashtra}', "");
Expect(1, 43232, '\P{Is_Block=	-Saurashtra}', "");
Expect(0, 43232, '\P{^Is_Block=	-Saurashtra}', "");
Error('\p{Is_Blk:   := 	Saurashtra}');
Error('\P{Is_Blk:   := 	Saurashtra}');
Expect(1, 43231, '\p{Is_Blk=saurashtra}', "");
Expect(0, 43231, '\p{^Is_Blk=saurashtra}', "");
Expect(0, 43231, '\P{Is_Blk=saurashtra}', "");
Expect(1, 43231, '\P{^Is_Blk=saurashtra}', "");
Expect(0, 43232, '\p{Is_Blk=saurashtra}', "");
Expect(1, 43232, '\p{^Is_Blk=saurashtra}', "");
Expect(1, 43232, '\P{Is_Blk=saurashtra}', "");
Expect(0, 43232, '\P{^Is_Blk=saurashtra}', "");
Expect(1, 43231, '\p{Is_Blk=-	Saurashtra}', "");
Expect(0, 43231, '\p{^Is_Blk=-	Saurashtra}', "");
Expect(0, 43231, '\P{Is_Blk=-	Saurashtra}', "");
Expect(1, 43231, '\P{^Is_Blk=-	Saurashtra}', "");
Expect(0, 43232, '\p{Is_Blk=-	Saurashtra}', "");
Expect(1, 43232, '\p{^Is_Blk=-	Saurashtra}', "");
Expect(1, 43232, '\P{Is_Blk=-	Saurashtra}', "");
Expect(0, 43232, '\P{^Is_Blk=-	Saurashtra}', "");
Error('\p{Block=-/a/Sharada}');
Error('\P{Block=-/a/Sharada}');
Expect(1, 70111, '\p{Block=sharada}', "");
Expect(0, 70111, '\p{^Block=sharada}', "");
Expect(0, 70111, '\P{Block=sharada}', "");
Expect(1, 70111, '\P{^Block=sharada}', "");
Expect(0, 70112, '\p{Block=sharada}', "");
Expect(1, 70112, '\p{^Block=sharada}', "");
Expect(1, 70112, '\P{Block=sharada}', "");
Expect(0, 70112, '\P{^Block=sharada}', "");
Expect(1, 70111, '\p{Block=- sharada}', "");
Expect(0, 70111, '\p{^Block=- sharada}', "");
Expect(0, 70111, '\P{Block=- sharada}', "");
Expect(1, 70111, '\P{^Block=- sharada}', "");
Expect(0, 70112, '\p{Block=- sharada}', "");
Expect(1, 70112, '\p{^Block=- sharada}', "");
Expect(1, 70112, '\P{Block=- sharada}', "");
Expect(0, 70112, '\P{^Block=- sharada}', "");
Error('\p{Blk:	_-Sharada:=}');
Error('\P{Blk:	_-Sharada:=}');
Expect(1, 70111, '\p{Blk=sharada}', "");
Expect(0, 70111, '\p{^Blk=sharada}', "");
Expect(0, 70111, '\P{Blk=sharada}', "");
Expect(1, 70111, '\P{^Blk=sharada}', "");
Expect(0, 70112, '\p{Blk=sharada}', "");
Expect(1, 70112, '\p{^Blk=sharada}', "");
Expect(1, 70112, '\P{Blk=sharada}', "");
Expect(0, 70112, '\P{^Blk=sharada}', "");
Expect(1, 70111, '\p{Blk:	_Sharada}', "");
Expect(0, 70111, '\p{^Blk:	_Sharada}', "");
Expect(0, 70111, '\P{Blk:	_Sharada}', "");
Expect(1, 70111, '\P{^Blk:	_Sharada}', "");
Expect(0, 70112, '\p{Blk:	_Sharada}', "");
Expect(1, 70112, '\p{^Blk:	_Sharada}', "");
Expect(1, 70112, '\P{Blk:	_Sharada}', "");
Expect(0, 70112, '\P{^Blk:	_Sharada}', "");
Error('\p{Is_Block: 	Sharada/a/}');
Error('\P{Is_Block: 	Sharada/a/}');
Expect(1, 70111, '\p{Is_Block:sharada}', "");
Expect(0, 70111, '\p{^Is_Block:sharada}', "");
Expect(0, 70111, '\P{Is_Block:sharada}', "");
Expect(1, 70111, '\P{^Is_Block:sharada}', "");
Expect(0, 70112, '\p{Is_Block:sharada}', "");
Expect(1, 70112, '\p{^Is_Block:sharada}', "");
Expect(1, 70112, '\P{Is_Block:sharada}', "");
Expect(0, 70112, '\P{^Is_Block:sharada}', "");
Expect(1, 70111, '\p{Is_Block=	sharada}', "");
Expect(0, 70111, '\p{^Is_Block=	sharada}', "");
Expect(0, 70111, '\P{Is_Block=	sharada}', "");
Expect(1, 70111, '\P{^Is_Block=	sharada}', "");
Expect(0, 70112, '\p{Is_Block=	sharada}', "");
Expect(1, 70112, '\p{^Is_Block=	sharada}', "");
Expect(1, 70112, '\P{Is_Block=	sharada}', "");
Expect(0, 70112, '\P{^Is_Block=	sharada}', "");
Error('\p{Is_Blk:	:=	SHARADA}');
Error('\P{Is_Blk:	:=	SHARADA}');
Expect(1, 70111, '\p{Is_Blk: sharada}', "");
Expect(0, 70111, '\p{^Is_Blk: sharada}', "");
Expect(0, 70111, '\P{Is_Blk: sharada}', "");
Expect(1, 70111, '\P{^Is_Blk: sharada}', "");
Expect(0, 70112, '\p{Is_Blk: sharada}', "");
Expect(1, 70112, '\p{^Is_Blk: sharada}', "");
Expect(1, 70112, '\P{Is_Blk: sharada}', "");
Expect(0, 70112, '\P{^Is_Blk: sharada}', "");
Expect(1, 70111, '\p{Is_Blk=_	Sharada}', "");
Expect(0, 70111, '\p{^Is_Blk=_	Sharada}', "");
Expect(0, 70111, '\P{Is_Blk=_	Sharada}', "");
Expect(1, 70111, '\P{^Is_Blk=_	Sharada}', "");
Expect(0, 70112, '\p{Is_Blk=_	Sharada}', "");
Expect(1, 70112, '\p{^Is_Blk=_	Sharada}', "");
Expect(1, 70112, '\P{Is_Blk=_	Sharada}', "");
Expect(0, 70112, '\P{^Is_Blk=_	Sharada}', "");
Error('\p{Block:		shavian/a/}');
Error('\P{Block:		shavian/a/}');
Expect(1, 66687, '\p{Block: shavian}', "");
Expect(0, 66687, '\p{^Block: shavian}', "");
Expect(0, 66687, '\P{Block: shavian}', "");
Expect(1, 66687, '\P{^Block: shavian}', "");
Expect(0, 66688, '\p{Block: shavian}', "");
Expect(1, 66688, '\p{^Block: shavian}', "");
Expect(1, 66688, '\P{Block: shavian}', "");
Expect(0, 66688, '\P{^Block: shavian}', "");
Expect(1, 66687, '\p{Block= Shavian}', "");
Expect(0, 66687, '\p{^Block= Shavian}', "");
Expect(0, 66687, '\P{Block= Shavian}', "");
Expect(1, 66687, '\P{^Block= Shavian}', "");
Expect(0, 66688, '\p{Block= Shavian}', "");
Expect(1, 66688, '\p{^Block= Shavian}', "");
Expect(1, 66688, '\P{Block= Shavian}', "");
Expect(0, 66688, '\P{^Block= Shavian}', "");
Error('\p{Blk=:=	Shavian}');
Error('\P{Blk=:=	Shavian}');
Expect(1, 66687, '\p{Blk=shavian}', "");
Expect(0, 66687, '\p{^Blk=shavian}', "");
Expect(0, 66687, '\P{Blk=shavian}', "");
Expect(1, 66687, '\P{^Blk=shavian}', "");
Expect(0, 66688, '\p{Blk=shavian}', "");
Expect(1, 66688, '\p{^Blk=shavian}', "");
Expect(1, 66688, '\P{Blk=shavian}', "");
Expect(0, 66688, '\P{^Blk=shavian}', "");
Expect(1, 66687, '\p{Blk=-SHAVIAN}', "");
Expect(0, 66687, '\p{^Blk=-SHAVIAN}', "");
Expect(0, 66687, '\P{Blk=-SHAVIAN}', "");
Expect(1, 66687, '\P{^Blk=-SHAVIAN}', "");
Expect(0, 66688, '\p{Blk=-SHAVIAN}', "");
Expect(1, 66688, '\p{^Blk=-SHAVIAN}', "");
Expect(1, 66688, '\P{Blk=-SHAVIAN}', "");
Expect(0, 66688, '\P{^Blk=-SHAVIAN}', "");
Error('\p{Is_Block=/a/-Shavian}');
Error('\P{Is_Block=/a/-Shavian}');
Expect(1, 66687, '\p{Is_Block=shavian}', "");
Expect(0, 66687, '\p{^Is_Block=shavian}', "");
Expect(0, 66687, '\P{Is_Block=shavian}', "");
Expect(1, 66687, '\P{^Is_Block=shavian}', "");
Expect(0, 66688, '\p{Is_Block=shavian}', "");
Expect(1, 66688, '\p{^Is_Block=shavian}', "");
Expect(1, 66688, '\P{Is_Block=shavian}', "");
Expect(0, 66688, '\P{^Is_Block=shavian}', "");
Expect(1, 66687, '\p{Is_Block:    _Shavian}', "");
Expect(0, 66687, '\p{^Is_Block:    _Shavian}', "");
Expect(0, 66687, '\P{Is_Block:    _Shavian}', "");
Expect(1, 66687, '\P{^Is_Block:    _Shavian}', "");
Expect(0, 66688, '\p{Is_Block:    _Shavian}', "");
Expect(1, 66688, '\p{^Is_Block:    _Shavian}', "");
Expect(1, 66688, '\P{Is_Block:    _Shavian}', "");
Expect(0, 66688, '\P{^Is_Block:    _Shavian}', "");
Error('\p{Is_Blk= :=SHAVIAN}');
Error('\P{Is_Blk= :=SHAVIAN}');
Expect(1, 66687, '\p{Is_Blk=shavian}', "");
Expect(0, 66687, '\p{^Is_Blk=shavian}', "");
Expect(0, 66687, '\P{Is_Blk=shavian}', "");
Expect(1, 66687, '\P{^Is_Blk=shavian}', "");
Expect(0, 66688, '\p{Is_Blk=shavian}', "");
Expect(1, 66688, '\p{^Is_Blk=shavian}', "");
Expect(1, 66688, '\P{Is_Blk=shavian}', "");
Expect(0, 66688, '\P{^Is_Blk=shavian}', "");
Expect(1, 66687, '\p{Is_Blk=	Shavian}', "");
Expect(0, 66687, '\p{^Is_Blk=	Shavian}', "");
Expect(0, 66687, '\P{Is_Blk=	Shavian}', "");
Expect(1, 66687, '\P{^Is_Blk=	Shavian}', "");
Expect(0, 66688, '\p{Is_Blk=	Shavian}', "");
Expect(1, 66688, '\p{^Is_Blk=	Shavian}', "");
Expect(1, 66688, '\P{Is_Blk=	Shavian}', "");
Expect(0, 66688, '\P{^Is_Blk=	Shavian}', "");
Error('\p{Block=	shorthand_Format_Controls/a/}');
Error('\P{Block=	shorthand_Format_Controls/a/}');
Expect(1, 113839, '\p{Block=shorthandformatcontrols}', "");
Expect(0, 113839, '\p{^Block=shorthandformatcontrols}', "");
Expect(0, 113839, '\P{Block=shorthandformatcontrols}', "");
Expect(1, 113839, '\P{^Block=shorthandformatcontrols}', "");
Expect(0, 113840, '\p{Block=shorthandformatcontrols}', "");
Expect(1, 113840, '\p{^Block=shorthandformatcontrols}', "");
Expect(1, 113840, '\P{Block=shorthandformatcontrols}', "");
Expect(0, 113840, '\P{^Block=shorthandformatcontrols}', "");
Expect(1, 113839, '\p{Block=	Shorthand_format_CONTROLS}', "");
Expect(0, 113839, '\p{^Block=	Shorthand_format_CONTROLS}', "");
Expect(0, 113839, '\P{Block=	Shorthand_format_CONTROLS}', "");
Expect(1, 113839, '\P{^Block=	Shorthand_format_CONTROLS}', "");
Expect(0, 113840, '\p{Block=	Shorthand_format_CONTROLS}', "");
Expect(1, 113840, '\p{^Block=	Shorthand_format_CONTROLS}', "");
Expect(1, 113840, '\P{Block=	Shorthand_format_CONTROLS}', "");
Expect(0, 113840, '\P{^Block=	Shorthand_format_CONTROLS}', "");
Error('\p{Blk: __Shorthand_Format_Controls:=}');
Error('\P{Blk: __Shorthand_Format_Controls:=}');
Expect(1, 113839, '\p{Blk=shorthandformatcontrols}', "");
Expect(0, 113839, '\p{^Blk=shorthandformatcontrols}', "");
Expect(0, 113839, '\P{Blk=shorthandformatcontrols}', "");
Expect(1, 113839, '\P{^Blk=shorthandformatcontrols}', "");
Expect(0, 113840, '\p{Blk=shorthandformatcontrols}', "");
Expect(1, 113840, '\p{^Blk=shorthandformatcontrols}', "");
Expect(1, 113840, '\P{Blk=shorthandformatcontrols}', "");
Expect(0, 113840, '\P{^Blk=shorthandformatcontrols}', "");
Expect(1, 113839, '\p{Blk=_SHORTHAND_Format_controls}', "");
Expect(0, 113839, '\p{^Blk=_SHORTHAND_Format_controls}', "");
Expect(0, 113839, '\P{Blk=_SHORTHAND_Format_controls}', "");
Expect(1, 113839, '\P{^Blk=_SHORTHAND_Format_controls}', "");
Expect(0, 113840, '\p{Blk=_SHORTHAND_Format_controls}', "");
Expect(1, 113840, '\p{^Blk=_SHORTHAND_Format_controls}', "");
Expect(1, 113840, '\P{Blk=_SHORTHAND_Format_controls}', "");
Expect(0, 113840, '\P{^Blk=_SHORTHAND_Format_controls}', "");
Error('\p{Is_Block= :=Shorthand_Format_Controls}');
Error('\P{Is_Block= :=Shorthand_Format_Controls}');
Expect(1, 113839, '\p{Is_Block=shorthandformatcontrols}', "");
Expect(0, 113839, '\p{^Is_Block=shorthandformatcontrols}', "");
Expect(0, 113839, '\P{Is_Block=shorthandformatcontrols}', "");
Expect(1, 113839, '\P{^Is_Block=shorthandformatcontrols}', "");
Expect(0, 113840, '\p{Is_Block=shorthandformatcontrols}', "");
Expect(1, 113840, '\p{^Is_Block=shorthandformatcontrols}', "");
Expect(1, 113840, '\P{Is_Block=shorthandformatcontrols}', "");
Expect(0, 113840, '\P{^Is_Block=shorthandformatcontrols}', "");
Expect(1, 113839, '\p{Is_Block=  Shorthand_Format_CONTROLS}', "");
Expect(0, 113839, '\p{^Is_Block=  Shorthand_Format_CONTROLS}', "");
Expect(0, 113839, '\P{Is_Block=  Shorthand_Format_CONTROLS}', "");
Expect(1, 113839, '\P{^Is_Block=  Shorthand_Format_CONTROLS}', "");
Expect(0, 113840, '\p{Is_Block=  Shorthand_Format_CONTROLS}', "");
Expect(1, 113840, '\p{^Is_Block=  Shorthand_Format_CONTROLS}', "");
Expect(1, 113840, '\P{Is_Block=  Shorthand_Format_CONTROLS}', "");
Expect(0, 113840, '\P{^Is_Block=  Shorthand_Format_CONTROLS}', "");
Error('\p{Is_Blk=_:=Shorthand_format_Controls}');
Error('\P{Is_Blk=_:=Shorthand_format_Controls}');
Expect(1, 113839, '\p{Is_Blk=shorthandformatcontrols}', "");
Expect(0, 113839, '\p{^Is_Blk=shorthandformatcontrols}', "");
Expect(0, 113839, '\P{Is_Blk=shorthandformatcontrols}', "");
Expect(1, 113839, '\P{^Is_Blk=shorthandformatcontrols}', "");
Expect(0, 113840, '\p{Is_Blk=shorthandformatcontrols}', "");
Expect(1, 113840, '\p{^Is_Blk=shorthandformatcontrols}', "");
Expect(1, 113840, '\P{Is_Blk=shorthandformatcontrols}', "");
Expect(0, 113840, '\P{^Is_Blk=shorthandformatcontrols}', "");
Expect(1, 113839, '\p{Is_Blk=	 SHORTHAND_format_Controls}', "");
Expect(0, 113839, '\p{^Is_Blk=	 SHORTHAND_format_Controls}', "");
Expect(0, 113839, '\P{Is_Blk=	 SHORTHAND_format_Controls}', "");
Expect(1, 113839, '\P{^Is_Blk=	 SHORTHAND_format_Controls}', "");
Expect(0, 113840, '\p{Is_Blk=	 SHORTHAND_format_Controls}', "");
Expect(1, 113840, '\p{^Is_Blk=	 SHORTHAND_format_Controls}', "");
Expect(1, 113840, '\P{Is_Blk=	 SHORTHAND_format_Controls}', "");
Expect(0, 113840, '\P{^Is_Blk=	 SHORTHAND_format_Controls}', "");
Error('\p{Block= SIDDHAM:=}');
Error('\P{Block= SIDDHAM:=}');
Expect(1, 71167, '\p{Block=siddham}', "");
Expect(0, 71167, '\p{^Block=siddham}', "");
Expect(0, 71167, '\P{Block=siddham}', "");
Expect(1, 71167, '\P{^Block=siddham}', "");
Expect(0, 71168, '\p{Block=siddham}', "");
Expect(1, 71168, '\p{^Block=siddham}', "");
Expect(1, 71168, '\P{Block=siddham}', "");
Expect(0, 71168, '\P{^Block=siddham}', "");
Expect(1, 71167, '\p{Block=		Siddham}', "");
Expect(0, 71167, '\p{^Block=		Siddham}', "");
Expect(0, 71167, '\P{Block=		Siddham}', "");
Expect(1, 71167, '\P{^Block=		Siddham}', "");
Expect(0, 71168, '\p{Block=		Siddham}', "");
Expect(1, 71168, '\p{^Block=		Siddham}', "");
Expect(1, 71168, '\P{Block=		Siddham}', "");
Expect(0, 71168, '\P{^Block=		Siddham}', "");
Error('\p{Blk:_:=Siddham}');
Error('\P{Blk:_:=Siddham}');
Expect(1, 71167, '\p{Blk=siddham}', "");
Expect(0, 71167, '\p{^Blk=siddham}', "");
Expect(0, 71167, '\P{Blk=siddham}', "");
Expect(1, 71167, '\P{^Blk=siddham}', "");
Expect(0, 71168, '\p{Blk=siddham}', "");
Expect(1, 71168, '\p{^Blk=siddham}', "");
Expect(1, 71168, '\P{Blk=siddham}', "");
Expect(0, 71168, '\P{^Blk=siddham}', "");
Expect(1, 71167, '\p{Blk=	_Siddham}', "");
Expect(0, 71167, '\p{^Blk=	_Siddham}', "");
Expect(0, 71167, '\P{Blk=	_Siddham}', "");
Expect(1, 71167, '\P{^Blk=	_Siddham}', "");
Expect(0, 71168, '\p{Blk=	_Siddham}', "");
Expect(1, 71168, '\p{^Blk=	_Siddham}', "");
Expect(1, 71168, '\P{Blk=	_Siddham}', "");
Expect(0, 71168, '\P{^Blk=	_Siddham}', "");
Error('\p{Is_Block=:=		SIDDHAM}');
Error('\P{Is_Block=:=		SIDDHAM}');
Expect(1, 71167, '\p{Is_Block=siddham}', "");
Expect(0, 71167, '\p{^Is_Block=siddham}', "");
Expect(0, 71167, '\P{Is_Block=siddham}', "");
Expect(1, 71167, '\P{^Is_Block=siddham}', "");
Expect(0, 71168, '\p{Is_Block=siddham}', "");
Expect(1, 71168, '\p{^Is_Block=siddham}', "");
Expect(1, 71168, '\P{Is_Block=siddham}', "");
Expect(0, 71168, '\P{^Is_Block=siddham}', "");
Expect(1, 71167, '\p{Is_Block=	-SIDDHAM}', "");
Expect(0, 71167, '\p{^Is_Block=	-SIDDHAM}', "");
Expect(0, 71167, '\P{Is_Block=	-SIDDHAM}', "");
Expect(1, 71167, '\P{^Is_Block=	-SIDDHAM}', "");
Expect(0, 71168, '\p{Is_Block=	-SIDDHAM}', "");
Expect(1, 71168, '\p{^Is_Block=	-SIDDHAM}', "");
Expect(1, 71168, '\P{Is_Block=	-SIDDHAM}', "");
Expect(0, 71168, '\P{^Is_Block=	-SIDDHAM}', "");
Error('\p{Is_Blk=	/a/SIDDHAM}');
Error('\P{Is_Blk=	/a/SIDDHAM}');
Expect(1, 71167, '\p{Is_Blk=siddham}', "");
Expect(0, 71167, '\p{^Is_Blk=siddham}', "");
Expect(0, 71167, '\P{Is_Blk=siddham}', "");
Expect(1, 71167, '\P{^Is_Blk=siddham}', "");
Expect(0, 71168, '\p{Is_Blk=siddham}', "");
Expect(1, 71168, '\p{^Is_Blk=siddham}', "");
Expect(1, 71168, '\P{Is_Blk=siddham}', "");
Expect(0, 71168, '\P{^Is_Blk=siddham}', "");
Expect(1, 71167, '\p{Is_Blk=-Siddham}', "");
Expect(0, 71167, '\p{^Is_Blk=-Siddham}', "");
Expect(0, 71167, '\P{Is_Blk=-Siddham}', "");
Expect(1, 71167, '\P{^Is_Blk=-Siddham}', "");
Expect(0, 71168, '\p{Is_Blk=-Siddham}', "");
Expect(1, 71168, '\p{^Is_Blk=-Siddham}', "");
Expect(1, 71168, '\P{Is_Blk=-Siddham}', "");
Expect(0, 71168, '\P{^Is_Blk=-Siddham}', "");
Error('\p{Block=:= _Sinhala}');
Error('\P{Block=:= _Sinhala}');
Expect(1, 3583, '\p{Block=sinhala}', "");
Expect(0, 3583, '\p{^Block=sinhala}', "");
Expect(0, 3583, '\P{Block=sinhala}', "");
Expect(1, 3583, '\P{^Block=sinhala}', "");
Expect(0, 3584, '\p{Block=sinhala}', "");
Expect(1, 3584, '\p{^Block=sinhala}', "");
Expect(1, 3584, '\P{Block=sinhala}', "");
Expect(0, 3584, '\P{^Block=sinhala}', "");
Expect(1, 3583, '\p{Block: _Sinhala}', "");
Expect(0, 3583, '\p{^Block: _Sinhala}', "");
Expect(0, 3583, '\P{Block: _Sinhala}', "");
Expect(1, 3583, '\P{^Block: _Sinhala}', "");
Expect(0, 3584, '\p{Block: _Sinhala}', "");
Expect(1, 3584, '\p{^Block: _Sinhala}', "");
Expect(1, 3584, '\P{Block: _Sinhala}', "");
Expect(0, 3584, '\P{^Block: _Sinhala}', "");
Error('\p{Blk=/a/--SINHALA}');
Error('\P{Blk=/a/--SINHALA}');
Expect(1, 3583, '\p{Blk=sinhala}', "");
Expect(0, 3583, '\p{^Blk=sinhala}', "");
Expect(0, 3583, '\P{Blk=sinhala}', "");
Expect(1, 3583, '\P{^Blk=sinhala}', "");
Expect(0, 3584, '\p{Blk=sinhala}', "");
Expect(1, 3584, '\p{^Blk=sinhala}', "");
Expect(1, 3584, '\P{Blk=sinhala}', "");
Expect(0, 3584, '\P{^Blk=sinhala}', "");
Expect(1, 3583, '\p{Blk=-_SINHALA}', "");
Expect(0, 3583, '\p{^Blk=-_SINHALA}', "");
Expect(0, 3583, '\P{Blk=-_SINHALA}', "");
Expect(1, 3583, '\P{^Blk=-_SINHALA}', "");
Expect(0, 3584, '\p{Blk=-_SINHALA}', "");
Expect(1, 3584, '\p{^Blk=-_SINHALA}', "");
Expect(1, 3584, '\P{Blk=-_SINHALA}', "");
Expect(0, 3584, '\P{^Blk=-_SINHALA}', "");
Error('\p{Is_Block: :=_-SINHALA}');
Error('\P{Is_Block: :=_-SINHALA}');
Expect(1, 3583, '\p{Is_Block=sinhala}', "");
Expect(0, 3583, '\p{^Is_Block=sinhala}', "");
Expect(0, 3583, '\P{Is_Block=sinhala}', "");
Expect(1, 3583, '\P{^Is_Block=sinhala}', "");
Expect(0, 3584, '\p{Is_Block=sinhala}', "");
Expect(1, 3584, '\p{^Is_Block=sinhala}', "");
Expect(1, 3584, '\P{Is_Block=sinhala}', "");
Expect(0, 3584, '\P{^Is_Block=sinhala}', "");
Expect(1, 3583, '\p{Is_Block=-Sinhala}', "");
Expect(0, 3583, '\p{^Is_Block=-Sinhala}', "");
Expect(0, 3583, '\P{Is_Block=-Sinhala}', "");
Expect(1, 3583, '\P{^Is_Block=-Sinhala}', "");
Expect(0, 3584, '\p{Is_Block=-Sinhala}', "");
Expect(1, 3584, '\p{^Is_Block=-Sinhala}', "");
Expect(1, 3584, '\P{Is_Block=-Sinhala}', "");
Expect(0, 3584, '\P{^Is_Block=-Sinhala}', "");
Error('\p{Is_Blk=:= _Sinhala}');
Error('\P{Is_Blk=:= _Sinhala}');
Expect(1, 3583, '\p{Is_Blk=sinhala}', "");
Expect(0, 3583, '\p{^Is_Blk=sinhala}', "");
Expect(0, 3583, '\P{Is_Blk=sinhala}', "");
Expect(1, 3583, '\P{^Is_Blk=sinhala}', "");
Expect(0, 3584, '\p{Is_Blk=sinhala}', "");
Expect(1, 3584, '\p{^Is_Blk=sinhala}', "");
Expect(1, 3584, '\P{Is_Blk=sinhala}', "");
Expect(0, 3584, '\P{^Is_Blk=sinhala}', "");
Expect(1, 3583, '\p{Is_Blk:		Sinhala}', "");
Expect(0, 3583, '\p{^Is_Blk:		Sinhala}', "");
Expect(0, 3583, '\P{Is_Blk:		Sinhala}', "");
Expect(1, 3583, '\P{^Is_Blk:		Sinhala}', "");
Expect(0, 3584, '\p{Is_Blk:		Sinhala}', "");
Expect(1, 3584, '\p{^Is_Blk:		Sinhala}', "");
Expect(1, 3584, '\P{Is_Blk:		Sinhala}', "");
Expect(0, 3584, '\P{^Is_Blk:		Sinhala}', "");
Error('\p{Block=	_Sinhala_Archaic_NUMBERS:=}');
Error('\P{Block=	_Sinhala_Archaic_NUMBERS:=}');
Expect(1, 70143, '\p{Block=sinhalaarchaicnumbers}', "");
Expect(0, 70143, '\p{^Block=sinhalaarchaicnumbers}', "");
Expect(0, 70143, '\P{Block=sinhalaarchaicnumbers}', "");
Expect(1, 70143, '\P{^Block=sinhalaarchaicnumbers}', "");
Expect(0, 70144, '\p{Block=sinhalaarchaicnumbers}', "");
Expect(1, 70144, '\p{^Block=sinhalaarchaicnumbers}', "");
Expect(1, 70144, '\P{Block=sinhalaarchaicnumbers}', "");
Expect(0, 70144, '\P{^Block=sinhalaarchaicnumbers}', "");
Expect(1, 70143, '\p{Block:   _ sinhala_ARCHAIC_Numbers}', "");
Expect(0, 70143, '\p{^Block:   _ sinhala_ARCHAIC_Numbers}', "");
Expect(0, 70143, '\P{Block:   _ sinhala_ARCHAIC_Numbers}', "");
Expect(1, 70143, '\P{^Block:   _ sinhala_ARCHAIC_Numbers}', "");
Expect(0, 70144, '\p{Block:   _ sinhala_ARCHAIC_Numbers}', "");
Expect(1, 70144, '\p{^Block:   _ sinhala_ARCHAIC_Numbers}', "");
Expect(1, 70144, '\P{Block:   _ sinhala_ARCHAIC_Numbers}', "");
Expect(0, 70144, '\P{^Block:   _ sinhala_ARCHAIC_Numbers}', "");
Error('\p{Blk=	/a/Sinhala_Archaic_numbers}');
Error('\P{Blk=	/a/Sinhala_Archaic_numbers}');
Expect(1, 70143, '\p{Blk=sinhalaarchaicnumbers}', "");
Expect(0, 70143, '\p{^Blk=sinhalaarchaicnumbers}', "");
Expect(0, 70143, '\P{Blk=sinhalaarchaicnumbers}', "");
Expect(1, 70143, '\P{^Blk=sinhalaarchaicnumbers}', "");
Expect(0, 70144, '\p{Blk=sinhalaarchaicnumbers}', "");
Expect(1, 70144, '\p{^Blk=sinhalaarchaicnumbers}', "");
Expect(1, 70144, '\P{Blk=sinhalaarchaicnumbers}', "");
Expect(0, 70144, '\P{^Blk=sinhalaarchaicnumbers}', "");
Expect(1, 70143, '\p{Blk= Sinhala_Archaic_Numbers}', "");
Expect(0, 70143, '\p{^Blk= Sinhala_Archaic_Numbers}', "");
Expect(0, 70143, '\P{Blk= Sinhala_Archaic_Numbers}', "");
Expect(1, 70143, '\P{^Blk= Sinhala_Archaic_Numbers}', "");
Expect(0, 70144, '\p{Blk= Sinhala_Archaic_Numbers}', "");
Expect(1, 70144, '\p{^Blk= Sinhala_Archaic_Numbers}', "");
Expect(1, 70144, '\P{Blk= Sinhala_Archaic_Numbers}', "");
Expect(0, 70144, '\P{^Blk= Sinhala_Archaic_Numbers}', "");
Error('\p{Is_Block=/a/ _SINHALA_ARCHAIC_NUMBERS}');
Error('\P{Is_Block=/a/ _SINHALA_ARCHAIC_NUMBERS}');
Expect(1, 70143, '\p{Is_Block=sinhalaarchaicnumbers}', "");
Expect(0, 70143, '\p{^Is_Block=sinhalaarchaicnumbers}', "");
Expect(0, 70143, '\P{Is_Block=sinhalaarchaicnumbers}', "");
Expect(1, 70143, '\P{^Is_Block=sinhalaarchaicnumbers}', "");
Expect(0, 70144, '\p{Is_Block=sinhalaarchaicnumbers}', "");
Expect(1, 70144, '\p{^Is_Block=sinhalaarchaicnumbers}', "");
Expect(1, 70144, '\P{Is_Block=sinhalaarchaicnumbers}', "");
Expect(0, 70144, '\P{^Is_Block=sinhalaarchaicnumbers}', "");
Expect(1, 70143, '\p{Is_Block=_Sinhala_Archaic_Numbers}', "");
Expect(0, 70143, '\p{^Is_Block=_Sinhala_Archaic_Numbers}', "");
Expect(0, 70143, '\P{Is_Block=_Sinhala_Archaic_Numbers}', "");
Expect(1, 70143, '\P{^Is_Block=_Sinhala_Archaic_Numbers}', "");
Expect(0, 70144, '\p{Is_Block=_Sinhala_Archaic_Numbers}', "");
Expect(1, 70144, '\p{^Is_Block=_Sinhala_Archaic_Numbers}', "");
Expect(1, 70144, '\P{Is_Block=_Sinhala_Archaic_Numbers}', "");
Expect(0, 70144, '\P{^Is_Block=_Sinhala_Archaic_Numbers}', "");
Error('\p{Is_Blk= _Sinhala_archaic_NUMBERS:=}');
Error('\P{Is_Blk= _Sinhala_archaic_NUMBERS:=}');
Expect(1, 70143, '\p{Is_Blk=sinhalaarchaicnumbers}', "");
Expect(0, 70143, '\p{^Is_Blk=sinhalaarchaicnumbers}', "");
Expect(0, 70143, '\P{Is_Blk=sinhalaarchaicnumbers}', "");
Expect(1, 70143, '\P{^Is_Blk=sinhalaarchaicnumbers}', "");
Expect(0, 70144, '\p{Is_Blk=sinhalaarchaicnumbers}', "");
Expect(1, 70144, '\p{^Is_Blk=sinhalaarchaicnumbers}', "");
Expect(1, 70144, '\P{Is_Blk=sinhalaarchaicnumbers}', "");
Expect(0, 70144, '\P{^Is_Blk=sinhalaarchaicnumbers}', "");
Expect(1, 70143, '\p{Is_Blk=-	Sinhala_Archaic_Numbers}', "");
Expect(0, 70143, '\p{^Is_Blk=-	Sinhala_Archaic_Numbers}', "");
Expect(0, 70143, '\P{Is_Blk=-	Sinhala_Archaic_Numbers}', "");
Expect(1, 70143, '\P{^Is_Blk=-	Sinhala_Archaic_Numbers}', "");
Expect(0, 70144, '\p{Is_Blk=-	Sinhala_Archaic_Numbers}', "");
Expect(1, 70144, '\p{^Is_Blk=-	Sinhala_Archaic_Numbers}', "");
Expect(1, 70144, '\P{Is_Blk=-	Sinhala_Archaic_Numbers}', "");
Expect(0, 70144, '\P{^Is_Blk=-	Sinhala_Archaic_Numbers}', "");
Error('\p{Block=_ Small_FORM_VARIANTS/a/}');
Error('\P{Block=_ Small_FORM_VARIANTS/a/}');
Expect(1, 65135, '\p{Block=smallformvariants}', "");
Expect(0, 65135, '\p{^Block=smallformvariants}', "");
Expect(0, 65135, '\P{Block=smallformvariants}', "");
Expect(1, 65135, '\P{^Block=smallformvariants}', "");
Expect(0, 65136, '\p{Block=smallformvariants}', "");
Expect(1, 65136, '\p{^Block=smallformvariants}', "");
Expect(1, 65136, '\P{Block=smallformvariants}', "");
Expect(0, 65136, '\P{^Block=smallformvariants}', "");
Expect(1, 65135, '\p{Block=		Small_Form_Variants}', "");
Expect(0, 65135, '\p{^Block=		Small_Form_Variants}', "");
Expect(0, 65135, '\P{Block=		Small_Form_Variants}', "");
Expect(1, 65135, '\P{^Block=		Small_Form_Variants}', "");
Expect(0, 65136, '\p{Block=		Small_Form_Variants}', "");
Expect(1, 65136, '\p{^Block=		Small_Form_Variants}', "");
Expect(1, 65136, '\P{Block=		Small_Form_Variants}', "");
Expect(0, 65136, '\P{^Block=		Small_Form_Variants}', "");
Error('\p{Blk=-:=SMALL_Forms}');
Error('\P{Blk=-:=SMALL_Forms}');
Expect(1, 65135, '\p{Blk=smallforms}', "");
Expect(0, 65135, '\p{^Blk=smallforms}', "");
Expect(0, 65135, '\P{Blk=smallforms}', "");
Expect(1, 65135, '\P{^Blk=smallforms}', "");
Expect(0, 65136, '\p{Blk=smallforms}', "");
Expect(1, 65136, '\p{^Blk=smallforms}', "");
Expect(1, 65136, '\P{Blk=smallforms}', "");
Expect(0, 65136, '\P{^Blk=smallforms}', "");
Expect(1, 65135, '\p{Blk=	-Small_FORMS}', "");
Expect(0, 65135, '\p{^Blk=	-Small_FORMS}', "");
Expect(0, 65135, '\P{Blk=	-Small_FORMS}', "");
Expect(1, 65135, '\P{^Blk=	-Small_FORMS}', "");
Expect(0, 65136, '\p{Blk=	-Small_FORMS}', "");
Expect(1, 65136, '\p{^Blk=	-Small_FORMS}', "");
Expect(1, 65136, '\P{Blk=	-Small_FORMS}', "");
Expect(0, 65136, '\P{^Blk=	-Small_FORMS}', "");
Error('\p{Is_Block=-small_FORM_Variants/a/}');
Error('\P{Is_Block=-small_FORM_Variants/a/}');
Expect(1, 65135, '\p{Is_Block=smallformvariants}', "");
Expect(0, 65135, '\p{^Is_Block=smallformvariants}', "");
Expect(0, 65135, '\P{Is_Block=smallformvariants}', "");
Expect(1, 65135, '\P{^Is_Block=smallformvariants}', "");
Expect(0, 65136, '\p{Is_Block=smallformvariants}', "");
Expect(1, 65136, '\p{^Is_Block=smallformvariants}', "");
Expect(1, 65136, '\P{Is_Block=smallformvariants}', "");
Expect(0, 65136, '\P{^Is_Block=smallformvariants}', "");
Expect(1, 65135, '\p{Is_Block: SMALL_FORM_Variants}', "");
Expect(0, 65135, '\p{^Is_Block: SMALL_FORM_Variants}', "");
Expect(0, 65135, '\P{Is_Block: SMALL_FORM_Variants}', "");
Expect(1, 65135, '\P{^Is_Block: SMALL_FORM_Variants}', "");
Expect(0, 65136, '\p{Is_Block: SMALL_FORM_Variants}', "");
Expect(1, 65136, '\p{^Is_Block: SMALL_FORM_Variants}', "");
Expect(1, 65136, '\P{Is_Block: SMALL_FORM_Variants}', "");
Expect(0, 65136, '\P{^Is_Block: SMALL_FORM_Variants}', "");
Error('\p{Is_Blk:   :=--Small_FORMS}');
Error('\P{Is_Blk:   :=--Small_FORMS}');
Expect(1, 65135, '\p{Is_Blk=smallforms}', "");
Expect(0, 65135, '\p{^Is_Blk=smallforms}', "");
Expect(0, 65135, '\P{Is_Blk=smallforms}', "");
Expect(1, 65135, '\P{^Is_Blk=smallforms}', "");
Expect(0, 65136, '\p{Is_Blk=smallforms}', "");
Expect(1, 65136, '\p{^Is_Blk=smallforms}', "");
Expect(1, 65136, '\P{Is_Blk=smallforms}', "");
Expect(0, 65136, '\P{^Is_Blk=smallforms}', "");
Expect(1, 65135, '\p{Is_Blk=	Small_Forms}', "");
Expect(0, 65135, '\p{^Is_Blk=	Small_Forms}', "");
Expect(0, 65135, '\P{Is_Blk=	Small_Forms}', "");
Expect(1, 65135, '\P{^Is_Blk=	Small_Forms}', "");
Expect(0, 65136, '\p{Is_Blk=	Small_Forms}', "");
Expect(1, 65136, '\p{^Is_Blk=	Small_Forms}', "");
Expect(1, 65136, '\P{Is_Blk=	Small_Forms}', "");
Expect(0, 65136, '\P{^Is_Blk=	Small_Forms}', "");
Error('\p{Block:-Sora_sompeng:=}');
Error('\P{Block:-Sora_sompeng:=}');
Expect(1, 69887, '\p{Block:sorasompeng}', "");
Expect(0, 69887, '\p{^Block:sorasompeng}', "");
Expect(0, 69887, '\P{Block:sorasompeng}', "");
Expect(1, 69887, '\P{^Block:sorasompeng}', "");
Expect(0, 69888, '\p{Block:sorasompeng}', "");
Expect(1, 69888, '\p{^Block:sorasompeng}', "");
Expect(1, 69888, '\P{Block:sorasompeng}', "");
Expect(0, 69888, '\P{^Block:sorasompeng}', "");
Expect(1, 69887, '\p{Block=_sora_SOMPENG}', "");
Expect(0, 69887, '\p{^Block=_sora_SOMPENG}', "");
Expect(0, 69887, '\P{Block=_sora_SOMPENG}', "");
Expect(1, 69887, '\P{^Block=_sora_SOMPENG}', "");
Expect(0, 69888, '\p{Block=_sora_SOMPENG}', "");
Expect(1, 69888, '\p{^Block=_sora_SOMPENG}', "");
Expect(1, 69888, '\P{Block=_sora_SOMPENG}', "");
Expect(0, 69888, '\P{^Block=_sora_SOMPENG}', "");
Error('\p{Blk=/a/SORA_Sompeng}');
Error('\P{Blk=/a/SORA_Sompeng}');
Expect(1, 69887, '\p{Blk=sorasompeng}', "");
Expect(0, 69887, '\p{^Blk=sorasompeng}', "");
Expect(0, 69887, '\P{Blk=sorasompeng}', "");
Expect(1, 69887, '\P{^Blk=sorasompeng}', "");
Expect(0, 69888, '\p{Blk=sorasompeng}', "");
Expect(1, 69888, '\p{^Blk=sorasompeng}', "");
Expect(1, 69888, '\P{Blk=sorasompeng}', "");
Expect(0, 69888, '\P{^Blk=sorasompeng}', "");
Expect(1, 69887, '\p{Blk=-SORA_SOMPENG}', "");
Expect(0, 69887, '\p{^Blk=-SORA_SOMPENG}', "");
Expect(0, 69887, '\P{Blk=-SORA_SOMPENG}', "");
Expect(1, 69887, '\P{^Blk=-SORA_SOMPENG}', "");
Expect(0, 69888, '\p{Blk=-SORA_SOMPENG}', "");
Expect(1, 69888, '\p{^Blk=-SORA_SOMPENG}', "");
Expect(1, 69888, '\P{Blk=-SORA_SOMPENG}', "");
Expect(0, 69888, '\P{^Blk=-SORA_SOMPENG}', "");
Error('\p{Is_Block=		Sora_Sompeng:=}');
Error('\P{Is_Block=		Sora_Sompeng:=}');
Expect(1, 69887, '\p{Is_Block=sorasompeng}', "");
Expect(0, 69887, '\p{^Is_Block=sorasompeng}', "");
Expect(0, 69887, '\P{Is_Block=sorasompeng}', "");
Expect(1, 69887, '\P{^Is_Block=sorasompeng}', "");
Expect(0, 69888, '\p{Is_Block=sorasompeng}', "");
Expect(1, 69888, '\p{^Is_Block=sorasompeng}', "");
Expect(1, 69888, '\P{Is_Block=sorasompeng}', "");
Expect(0, 69888, '\P{^Is_Block=sorasompeng}', "");
Expect(1, 69887, '\p{Is_Block= _SORA_sompeng}', "");
Expect(0, 69887, '\p{^Is_Block= _SORA_sompeng}', "");
Expect(0, 69887, '\P{Is_Block= _SORA_sompeng}', "");
Expect(1, 69887, '\P{^Is_Block= _SORA_sompeng}', "");
Expect(0, 69888, '\p{Is_Block= _SORA_sompeng}', "");
Expect(1, 69888, '\p{^Is_Block= _SORA_sompeng}', "");
Expect(1, 69888, '\P{Is_Block= _SORA_sompeng}', "");
Expect(0, 69888, '\P{^Is_Block= _SORA_sompeng}', "");
Error('\p{Is_Blk=:=-Sora_Sompeng}');
Error('\P{Is_Blk=:=-Sora_Sompeng}');
Expect(1, 69887, '\p{Is_Blk=sorasompeng}', "");
Expect(0, 69887, '\p{^Is_Blk=sorasompeng}', "");
Expect(0, 69887, '\P{Is_Blk=sorasompeng}', "");
Expect(1, 69887, '\P{^Is_Blk=sorasompeng}', "");
Expect(0, 69888, '\p{Is_Blk=sorasompeng}', "");
Expect(1, 69888, '\p{^Is_Blk=sorasompeng}', "");
Expect(1, 69888, '\P{Is_Blk=sorasompeng}', "");
Expect(0, 69888, '\P{^Is_Blk=sorasompeng}', "");
Expect(1, 69887, '\p{Is_Blk= Sora_SOMPENG}', "");
Expect(0, 69887, '\p{^Is_Blk= Sora_SOMPENG}', "");
Expect(0, 69887, '\P{Is_Blk= Sora_SOMPENG}', "");
Expect(1, 69887, '\P{^Is_Blk= Sora_SOMPENG}', "");
Expect(0, 69888, '\p{Is_Blk= Sora_SOMPENG}', "");
Expect(1, 69888, '\p{^Is_Blk= Sora_SOMPENG}', "");
Expect(1, 69888, '\P{Is_Blk= Sora_SOMPENG}', "");
Expect(0, 69888, '\P{^Is_Blk= Sora_SOMPENG}', "");
Error('\p{Block=/a/-Specials}');
Error('\P{Block=/a/-Specials}');
Expect(1, 65520, '\p{Block=specials}', "");
Expect(0, 65520, '\p{^Block=specials}', "");
Expect(0, 65520, '\P{Block=specials}', "");
Expect(1, 65520, '\P{^Block=specials}', "");
Expect(0, 65536, '\p{Block=specials}', "");
Expect(1, 65536, '\p{^Block=specials}', "");
Expect(1, 65536, '\P{Block=specials}', "");
Expect(0, 65536, '\P{^Block=specials}', "");
Expect(1, 65520, '\p{Block=	Specials}', "");
Expect(0, 65520, '\p{^Block=	Specials}', "");
Expect(0, 65520, '\P{Block=	Specials}', "");
Expect(1, 65520, '\P{^Block=	Specials}', "");
Expect(0, 65536, '\p{Block=	Specials}', "");
Expect(1, 65536, '\p{^Block=	Specials}', "");
Expect(1, 65536, '\P{Block=	Specials}', "");
Expect(0, 65536, '\P{^Block=	Specials}', "");
Error('\p{Blk=/a/specials}');
Error('\P{Blk=/a/specials}');
Expect(1, 65520, '\p{Blk=specials}', "");
Expect(0, 65520, '\p{^Blk=specials}', "");
Expect(0, 65520, '\P{Blk=specials}', "");
Expect(1, 65520, '\P{^Blk=specials}', "");
Expect(0, 65536, '\p{Blk=specials}', "");
Expect(1, 65536, '\p{^Blk=specials}', "");
Expect(1, 65536, '\P{Blk=specials}', "");
Expect(0, 65536, '\P{^Blk=specials}', "");
Expect(1, 65520, '\p{Blk=	Specials}', "");
Expect(0, 65520, '\p{^Blk=	Specials}', "");
Expect(0, 65520, '\P{Blk=	Specials}', "");
Expect(1, 65520, '\P{^Blk=	Specials}', "");
Expect(0, 65536, '\p{Blk=	Specials}', "");
Expect(1, 65536, '\p{^Blk=	Specials}', "");
Expect(1, 65536, '\P{Blk=	Specials}', "");
Expect(0, 65536, '\P{^Blk=	Specials}', "");
Error('\p{Is_Block:	/a/Specials}');
Error('\P{Is_Block:	/a/Specials}');
Expect(1, 65520, '\p{Is_Block=specials}', "");
Expect(0, 65520, '\p{^Is_Block=specials}', "");
Expect(0, 65520, '\P{Is_Block=specials}', "");
Expect(1, 65520, '\P{^Is_Block=specials}', "");
Expect(0, 65536, '\p{Is_Block=specials}', "");
Expect(1, 65536, '\p{^Is_Block=specials}', "");
Expect(1, 65536, '\P{Is_Block=specials}', "");
Expect(0, 65536, '\P{^Is_Block=specials}', "");
Expect(1, 65520, '\p{Is_Block=_SPECIALS}', "");
Expect(0, 65520, '\p{^Is_Block=_SPECIALS}', "");
Expect(0, 65520, '\P{Is_Block=_SPECIALS}', "");
Expect(1, 65520, '\P{^Is_Block=_SPECIALS}', "");
Expect(0, 65536, '\p{Is_Block=_SPECIALS}', "");
Expect(1, 65536, '\p{^Is_Block=_SPECIALS}', "");
Expect(1, 65536, '\P{Is_Block=_SPECIALS}', "");
Expect(0, 65536, '\P{^Is_Block=_SPECIALS}', "");
Error('\p{Is_Blk=-Specials/a/}');
Error('\P{Is_Blk=-Specials/a/}');
Expect(1, 65520, '\p{Is_Blk=specials}', "");
Expect(0, 65520, '\p{^Is_Blk=specials}', "");
Expect(0, 65520, '\P{Is_Blk=specials}', "");
Expect(1, 65520, '\P{^Is_Blk=specials}', "");
Expect(0, 65536, '\p{Is_Blk=specials}', "");
Expect(1, 65536, '\p{^Is_Blk=specials}', "");
Expect(1, 65536, '\P{Is_Blk=specials}', "");
Expect(0, 65536, '\P{^Is_Blk=specials}', "");
Expect(1, 65520, '\p{Is_Blk=_	SPECIALS}', "");
Expect(0, 65520, '\p{^Is_Blk=_	SPECIALS}', "");
Expect(0, 65520, '\P{Is_Blk=_	SPECIALS}', "");
Expect(1, 65520, '\P{^Is_Blk=_	SPECIALS}', "");
Expect(0, 65536, '\p{Is_Blk=_	SPECIALS}', "");
Expect(1, 65536, '\p{^Is_Blk=_	SPECIALS}', "");
Expect(1, 65536, '\P{Is_Blk=_	SPECIALS}', "");
Expect(0, 65536, '\P{^Is_Blk=_	SPECIALS}', "");
Error('\p{Block=/a/ _Sundanese}');
Error('\P{Block=/a/ _Sundanese}');
Expect(1, 7103, '\p{Block=sundanese}', "");
Expect(0, 7103, '\p{^Block=sundanese}', "");
Expect(0, 7103, '\P{Block=sundanese}', "");
Expect(1, 7103, '\P{^Block=sundanese}', "");
Expect(0, 7104, '\p{Block=sundanese}', "");
Expect(1, 7104, '\p{^Block=sundanese}', "");
Expect(1, 7104, '\P{Block=sundanese}', "");
Expect(0, 7104, '\P{^Block=sundanese}', "");
Expect(1, 7103, '\p{Block:	 Sundanese}', "");
Expect(0, 7103, '\p{^Block:	 Sundanese}', "");
Expect(0, 7103, '\P{Block:	 Sundanese}', "");
Expect(1, 7103, '\P{^Block:	 Sundanese}', "");
Expect(0, 7104, '\p{Block:	 Sundanese}', "");
Expect(1, 7104, '\p{^Block:	 Sundanese}', "");
Expect(1, 7104, '\P{Block:	 Sundanese}', "");
Expect(0, 7104, '\P{^Block:	 Sundanese}', "");
Error('\p{Blk=:=-sundanese}');
Error('\P{Blk=:=-sundanese}');
Expect(1, 7103, '\p{Blk=sundanese}', "");
Expect(0, 7103, '\p{^Blk=sundanese}', "");
Expect(0, 7103, '\P{Blk=sundanese}', "");
Expect(1, 7103, '\P{^Blk=sundanese}', "");
Expect(0, 7104, '\p{Blk=sundanese}', "");
Expect(1, 7104, '\p{^Blk=sundanese}', "");
Expect(1, 7104, '\P{Blk=sundanese}', "");
Expect(0, 7104, '\P{^Blk=sundanese}', "");
Expect(1, 7103, '\p{Blk=_ Sundanese}', "");
Expect(0, 7103, '\p{^Blk=_ Sundanese}', "");
Expect(0, 7103, '\P{Blk=_ Sundanese}', "");
Expect(1, 7103, '\P{^Blk=_ Sundanese}', "");
Expect(0, 7104, '\p{Blk=_ Sundanese}', "");
Expect(1, 7104, '\p{^Blk=_ Sundanese}', "");
Expect(1, 7104, '\P{Blk=_ Sundanese}', "");
Expect(0, 7104, '\P{^Blk=_ Sundanese}', "");
Error('\p{Is_Block=_-Sundanese:=}');
Error('\P{Is_Block=_-Sundanese:=}');
Expect(1, 7103, '\p{Is_Block=sundanese}', "");
Expect(0, 7103, '\p{^Is_Block=sundanese}', "");
Expect(0, 7103, '\P{Is_Block=sundanese}', "");
Expect(1, 7103, '\P{^Is_Block=sundanese}', "");
Expect(0, 7104, '\p{Is_Block=sundanese}', "");
Expect(1, 7104, '\p{^Is_Block=sundanese}', "");
Expect(1, 7104, '\P{Is_Block=sundanese}', "");
Expect(0, 7104, '\P{^Is_Block=sundanese}', "");
Expect(1, 7103, '\p{Is_Block=- sundanese}', "");
Expect(0, 7103, '\p{^Is_Block=- sundanese}', "");
Expect(0, 7103, '\P{Is_Block=- sundanese}', "");
Expect(1, 7103, '\P{^Is_Block=- sundanese}', "");
Expect(0, 7104, '\p{Is_Block=- sundanese}', "");
Expect(1, 7104, '\p{^Is_Block=- sundanese}', "");
Expect(1, 7104, '\P{Is_Block=- sundanese}', "");
Expect(0, 7104, '\P{^Is_Block=- sundanese}', "");
Error('\p{Is_Blk=/a/		sundanese}');
Error('\P{Is_Blk=/a/		sundanese}');
Expect(1, 7103, '\p{Is_Blk=sundanese}', "");
Expect(0, 7103, '\p{^Is_Blk=sundanese}', "");
Expect(0, 7103, '\P{Is_Blk=sundanese}', "");
Expect(1, 7103, '\P{^Is_Blk=sundanese}', "");
Expect(0, 7104, '\p{Is_Blk=sundanese}', "");
Expect(1, 7104, '\p{^Is_Blk=sundanese}', "");
Expect(1, 7104, '\P{Is_Blk=sundanese}', "");
Expect(0, 7104, '\P{^Is_Blk=sundanese}', "");
Expect(1, 7103, '\p{Is_Blk=-_Sundanese}', "");
Expect(0, 7103, '\p{^Is_Blk=-_Sundanese}', "");
Expect(0, 7103, '\P{Is_Blk=-_Sundanese}', "");
Expect(1, 7103, '\P{^Is_Blk=-_Sundanese}', "");
Expect(0, 7104, '\p{Is_Blk=-_Sundanese}', "");
Expect(1, 7104, '\p{^Is_Blk=-_Sundanese}', "");
Expect(1, 7104, '\P{Is_Blk=-_Sundanese}', "");
Expect(0, 7104, '\P{^Is_Blk=-_Sundanese}', "");
Error('\p{Block=_/a/SUNDANESE_Supplement}');
Error('\P{Block=_/a/SUNDANESE_Supplement}');
Expect(1, 7375, '\p{Block=sundanesesupplement}', "");
Expect(0, 7375, '\p{^Block=sundanesesupplement}', "");
Expect(0, 7375, '\P{Block=sundanesesupplement}', "");
Expect(1, 7375, '\P{^Block=sundanesesupplement}', "");
Expect(0, 7376, '\p{Block=sundanesesupplement}', "");
Expect(1, 7376, '\p{^Block=sundanesesupplement}', "");
Expect(1, 7376, '\P{Block=sundanesesupplement}', "");
Expect(0, 7376, '\P{^Block=sundanesesupplement}', "");
Expect(1, 7375, '\p{Block: _-sundanese_supplement}', "");
Expect(0, 7375, '\p{^Block: _-sundanese_supplement}', "");
Expect(0, 7375, '\P{Block: _-sundanese_supplement}', "");
Expect(1, 7375, '\P{^Block: _-sundanese_supplement}', "");
Expect(0, 7376, '\p{Block: _-sundanese_supplement}', "");
Expect(1, 7376, '\p{^Block: _-sundanese_supplement}', "");
Expect(1, 7376, '\P{Block: _-sundanese_supplement}', "");
Expect(0, 7376, '\P{^Block: _-sundanese_supplement}', "");
Error('\p{Blk=:=-Sundanese_Sup}');
Error('\P{Blk=:=-Sundanese_Sup}');
Expect(1, 7375, '\p{Blk=sundanesesup}', "");
Expect(0, 7375, '\p{^Blk=sundanesesup}', "");
Expect(0, 7375, '\P{Blk=sundanesesup}', "");
Expect(1, 7375, '\P{^Blk=sundanesesup}', "");
Expect(0, 7376, '\p{Blk=sundanesesup}', "");
Expect(1, 7376, '\p{^Blk=sundanesesup}', "");
Expect(1, 7376, '\P{Blk=sundanesesup}', "");
Expect(0, 7376, '\P{^Blk=sundanesesup}', "");
Expect(1, 7375, '\p{Blk=sundanese_SUP}', "");
Expect(0, 7375, '\p{^Blk=sundanese_SUP}', "");
Expect(0, 7375, '\P{Blk=sundanese_SUP}', "");
Expect(1, 7375, '\P{^Blk=sundanese_SUP}', "");
Expect(0, 7376, '\p{Blk=sundanese_SUP}', "");
Expect(1, 7376, '\p{^Blk=sundanese_SUP}', "");
Expect(1, 7376, '\P{Blk=sundanese_SUP}', "");
Expect(0, 7376, '\P{^Blk=sundanese_SUP}', "");
Error('\p{Is_Block=	/a/Sundanese_SUPPLEMENT}');
Error('\P{Is_Block=	/a/Sundanese_SUPPLEMENT}');
Expect(1, 7375, '\p{Is_Block=sundanesesupplement}', "");
Expect(0, 7375, '\p{^Is_Block=sundanesesupplement}', "");
Expect(0, 7375, '\P{Is_Block=sundanesesupplement}', "");
Expect(1, 7375, '\P{^Is_Block=sundanesesupplement}', "");
Expect(0, 7376, '\p{Is_Block=sundanesesupplement}', "");
Expect(1, 7376, '\p{^Is_Block=sundanesesupplement}', "");
Expect(1, 7376, '\P{Is_Block=sundanesesupplement}', "");
Expect(0, 7376, '\P{^Is_Block=sundanesesupplement}', "");
Expect(1, 7375, '\p{Is_Block=__Sundanese_Supplement}', "");
Expect(0, 7375, '\p{^Is_Block=__Sundanese_Supplement}', "");
Expect(0, 7375, '\P{Is_Block=__Sundanese_Supplement}', "");
Expect(1, 7375, '\P{^Is_Block=__Sundanese_Supplement}', "");
Expect(0, 7376, '\p{Is_Block=__Sundanese_Supplement}', "");
Expect(1, 7376, '\p{^Is_Block=__Sundanese_Supplement}', "");
Expect(1, 7376, '\P{Is_Block=__Sundanese_Supplement}', "");
Expect(0, 7376, '\P{^Is_Block=__Sundanese_Supplement}', "");
Error('\p{Is_Blk=/a/SUNDANESE_SUP}');
Error('\P{Is_Blk=/a/SUNDANESE_SUP}');
Expect(1, 7375, '\p{Is_Blk=sundanesesup}', "");
Expect(0, 7375, '\p{^Is_Blk=sundanesesup}', "");
Expect(0, 7375, '\P{Is_Blk=sundanesesup}', "");
Expect(1, 7375, '\P{^Is_Blk=sundanesesup}', "");
Expect(0, 7376, '\p{Is_Blk=sundanesesup}', "");
Expect(1, 7376, '\p{^Is_Blk=sundanesesup}', "");
Expect(1, 7376, '\P{Is_Blk=sundanesesup}', "");
Expect(0, 7376, '\P{^Is_Blk=sundanesesup}', "");
Expect(1, 7375, '\p{Is_Blk=_Sundanese_Sup}', "");
Expect(0, 7375, '\p{^Is_Blk=_Sundanese_Sup}', "");
Expect(0, 7375, '\P{Is_Blk=_Sundanese_Sup}', "");
Expect(1, 7375, '\P{^Is_Blk=_Sundanese_Sup}', "");
Expect(0, 7376, '\p{Is_Blk=_Sundanese_Sup}', "");
Expect(1, 7376, '\p{^Is_Blk=_Sundanese_Sup}', "");
Expect(1, 7376, '\P{Is_Blk=_Sundanese_Sup}', "");
Expect(0, 7376, '\P{^Is_Blk=_Sundanese_Sup}', "");
Error('\p{Block=:=supplemental_Arrows_A}');
Error('\P{Block=:=supplemental_Arrows_A}');
Expect(1, 10239, '\p{Block=supplementalarrowsa}', "");
Expect(0, 10239, '\p{^Block=supplementalarrowsa}', "");
Expect(0, 10239, '\P{Block=supplementalarrowsa}', "");
Expect(1, 10239, '\P{^Block=supplementalarrowsa}', "");
Expect(0, 10240, '\p{Block=supplementalarrowsa}', "");
Expect(1, 10240, '\p{^Block=supplementalarrowsa}', "");
Expect(1, 10240, '\P{Block=supplementalarrowsa}', "");
Expect(0, 10240, '\P{^Block=supplementalarrowsa}', "");
Expect(1, 10239, '\p{Block=_SUPPLEMENTAL_arrows_a}', "");
Expect(0, 10239, '\p{^Block=_SUPPLEMENTAL_arrows_a}', "");
Expect(0, 10239, '\P{Block=_SUPPLEMENTAL_arrows_a}', "");
Expect(1, 10239, '\P{^Block=_SUPPLEMENTAL_arrows_a}', "");
Expect(0, 10240, '\p{Block=_SUPPLEMENTAL_arrows_a}', "");
Expect(1, 10240, '\p{^Block=_SUPPLEMENTAL_arrows_a}', "");
Expect(1, 10240, '\P{Block=_SUPPLEMENTAL_arrows_a}', "");
Expect(0, 10240, '\P{^Block=_SUPPLEMENTAL_arrows_a}', "");
Error('\p{Blk= /a/Sup_Arrows_A}');
Error('\P{Blk= /a/Sup_Arrows_A}');
Expect(1, 10239, '\p{Blk=suparrowsa}', "");
Expect(0, 10239, '\p{^Blk=suparrowsa}', "");
Expect(0, 10239, '\P{Blk=suparrowsa}', "");
Expect(1, 10239, '\P{^Blk=suparrowsa}', "");
Expect(0, 10240, '\p{Blk=suparrowsa}', "");
Expect(1, 10240, '\p{^Blk=suparrowsa}', "");
Expect(1, 10240, '\P{Blk=suparrowsa}', "");
Expect(0, 10240, '\P{^Blk=suparrowsa}', "");
Expect(1, 10239, '\p{Blk=  Sup_Arrows_A}', "");
Expect(0, 10239, '\p{^Blk=  Sup_Arrows_A}', "");
Expect(0, 10239, '\P{Blk=  Sup_Arrows_A}', "");
Expect(1, 10239, '\P{^Blk=  Sup_Arrows_A}', "");
Expect(0, 10240, '\p{Blk=  Sup_Arrows_A}', "");
Expect(1, 10240, '\p{^Blk=  Sup_Arrows_A}', "");
Expect(1, 10240, '\P{Blk=  Sup_Arrows_A}', "");
Expect(0, 10240, '\P{^Blk=  Sup_Arrows_A}', "");
Error('\p{Is_Block=_:=SUPPLEMENTAL_Arrows_A}');
Error('\P{Is_Block=_:=SUPPLEMENTAL_Arrows_A}');
Expect(1, 10239, '\p{Is_Block:	supplementalarrowsa}', "");
Expect(0, 10239, '\p{^Is_Block:	supplementalarrowsa}', "");
Expect(0, 10239, '\P{Is_Block:	supplementalarrowsa}', "");
Expect(1, 10239, '\P{^Is_Block:	supplementalarrowsa}', "");
Expect(0, 10240, '\p{Is_Block:	supplementalarrowsa}', "");
Expect(1, 10240, '\p{^Is_Block:	supplementalarrowsa}', "");
Expect(1, 10240, '\P{Is_Block:	supplementalarrowsa}', "");
Expect(0, 10240, '\P{^Is_Block:	supplementalarrowsa}', "");
Expect(1, 10239, '\p{Is_Block=	-Supplemental_Arrows_A}', "");
Expect(0, 10239, '\p{^Is_Block=	-Supplemental_Arrows_A}', "");
Expect(0, 10239, '\P{Is_Block=	-Supplemental_Arrows_A}', "");
Expect(1, 10239, '\P{^Is_Block=	-Supplemental_Arrows_A}', "");
Expect(0, 10240, '\p{Is_Block=	-Supplemental_Arrows_A}', "");
Expect(1, 10240, '\p{^Is_Block=	-Supplemental_Arrows_A}', "");
Expect(1, 10240, '\P{Is_Block=	-Supplemental_Arrows_A}', "");
Expect(0, 10240, '\P{^Is_Block=	-Supplemental_Arrows_A}', "");
Error('\p{Is_Blk=/a/-_Sup_arrows_A}');
Error('\P{Is_Blk=/a/-_Sup_arrows_A}');
Expect(1, 10239, '\p{Is_Blk=suparrowsa}', "");
Expect(0, 10239, '\p{^Is_Blk=suparrowsa}', "");
Expect(0, 10239, '\P{Is_Blk=suparrowsa}', "");
Expect(1, 10239, '\P{^Is_Blk=suparrowsa}', "");
Expect(0, 10240, '\p{Is_Blk=suparrowsa}', "");
Expect(1, 10240, '\p{^Is_Blk=suparrowsa}', "");
Expect(1, 10240, '\P{Is_Blk=suparrowsa}', "");
Expect(0, 10240, '\P{^Is_Blk=suparrowsa}', "");
Expect(1, 10239, '\p{Is_Blk=sup_Arrows_A}', "");
Expect(0, 10239, '\p{^Is_Blk=sup_Arrows_A}', "");
Expect(0, 10239, '\P{Is_Blk=sup_Arrows_A}', "");
Expect(1, 10239, '\P{^Is_Blk=sup_Arrows_A}', "");
Expect(0, 10240, '\p{Is_Blk=sup_Arrows_A}', "");
Expect(1, 10240, '\p{^Is_Blk=sup_Arrows_A}', "");
Expect(1, 10240, '\P{Is_Blk=sup_Arrows_A}', "");
Expect(0, 10240, '\P{^Is_Blk=sup_Arrows_A}', "");
Error('\p{Block::=supplemental_ARROWS_B}');
Error('\P{Block::=supplemental_ARROWS_B}');
Expect(1, 10623, '\p{Block:   supplementalarrowsb}', "");
Expect(0, 10623, '\p{^Block:   supplementalarrowsb}', "");
Expect(0, 10623, '\P{Block:   supplementalarrowsb}', "");
Expect(1, 10623, '\P{^Block:   supplementalarrowsb}', "");
Expect(0, 10624, '\p{Block:   supplementalarrowsb}', "");
Expect(1, 10624, '\p{^Block:   supplementalarrowsb}', "");
Expect(1, 10624, '\P{Block:   supplementalarrowsb}', "");
Expect(0, 10624, '\P{^Block:   supplementalarrowsb}', "");
Expect(1, 10623, '\p{Block=	_SUPPLEMENTAL_Arrows_b}', "");
Expect(0, 10623, '\p{^Block=	_SUPPLEMENTAL_Arrows_b}', "");
Expect(0, 10623, '\P{Block=	_SUPPLEMENTAL_Arrows_b}', "");
Expect(1, 10623, '\P{^Block=	_SUPPLEMENTAL_Arrows_b}', "");
Expect(0, 10624, '\p{Block=	_SUPPLEMENTAL_Arrows_b}', "");
Expect(1, 10624, '\p{^Block=	_SUPPLEMENTAL_Arrows_b}', "");
Expect(1, 10624, '\P{Block=	_SUPPLEMENTAL_Arrows_b}', "");
Expect(0, 10624, '\P{^Block=	_SUPPLEMENTAL_Arrows_b}', "");
Error('\p{Blk=:=_SUP_arrows_B}');
Error('\P{Blk=:=_SUP_arrows_B}');
Expect(1, 10623, '\p{Blk=suparrowsb}', "");
Expect(0, 10623, '\p{^Blk=suparrowsb}', "");
Expect(0, 10623, '\P{Blk=suparrowsb}', "");
Expect(1, 10623, '\P{^Blk=suparrowsb}', "");
Expect(0, 10624, '\p{Blk=suparrowsb}', "");
Expect(1, 10624, '\p{^Blk=suparrowsb}', "");
Expect(1, 10624, '\P{Blk=suparrowsb}', "");
Expect(0, 10624, '\P{^Blk=suparrowsb}', "");
Expect(1, 10623, '\p{Blk=- sup_ARROWS_B}', "");
Expect(0, 10623, '\p{^Blk=- sup_ARROWS_B}', "");
Expect(0, 10623, '\P{Blk=- sup_ARROWS_B}', "");
Expect(1, 10623, '\P{^Blk=- sup_ARROWS_B}', "");
Expect(0, 10624, '\p{Blk=- sup_ARROWS_B}', "");
Expect(1, 10624, '\p{^Blk=- sup_ARROWS_B}', "");
Expect(1, 10624, '\P{Blk=- sup_ARROWS_B}', "");
Expect(0, 10624, '\P{^Blk=- sup_ARROWS_B}', "");
Error('\p{Is_Block=:=Supplemental_arrows_B}');
Error('\P{Is_Block=:=Supplemental_arrows_B}');
Expect(1, 10623, '\p{Is_Block=supplementalarrowsb}', "");
Expect(0, 10623, '\p{^Is_Block=supplementalarrowsb}', "");
Expect(0, 10623, '\P{Is_Block=supplementalarrowsb}', "");
Expect(1, 10623, '\P{^Is_Block=supplementalarrowsb}', "");
Expect(0, 10624, '\p{Is_Block=supplementalarrowsb}', "");
Expect(1, 10624, '\p{^Is_Block=supplementalarrowsb}', "");
Expect(1, 10624, '\P{Is_Block=supplementalarrowsb}', "");
Expect(0, 10624, '\P{^Is_Block=supplementalarrowsb}', "");
Expect(1, 10623, '\p{Is_Block=--supplemental_ARROWS_B}', "");
Expect(0, 10623, '\p{^Is_Block=--supplemental_ARROWS_B}', "");
Expect(0, 10623, '\P{Is_Block=--supplemental_ARROWS_B}', "");
Expect(1, 10623, '\P{^Is_Block=--supplemental_ARROWS_B}', "");
Expect(0, 10624, '\p{Is_Block=--supplemental_ARROWS_B}', "");
Expect(1, 10624, '\p{^Is_Block=--supplemental_ARROWS_B}', "");
Expect(1, 10624, '\P{Is_Block=--supplemental_ARROWS_B}', "");
Expect(0, 10624, '\P{^Is_Block=--supplemental_ARROWS_B}', "");
Error('\p{Is_Blk:   	:=Sup_Arrows_b}');
Error('\P{Is_Blk:   	:=Sup_Arrows_b}');
Expect(1, 10623, '\p{Is_Blk=suparrowsb}', "");
Expect(0, 10623, '\p{^Is_Blk=suparrowsb}', "");
Expect(0, 10623, '\P{Is_Blk=suparrowsb}', "");
Expect(1, 10623, '\P{^Is_Blk=suparrowsb}', "");
Expect(0, 10624, '\p{Is_Blk=suparrowsb}', "");
Expect(1, 10624, '\p{^Is_Blk=suparrowsb}', "");
Expect(1, 10624, '\P{Is_Blk=suparrowsb}', "");
Expect(0, 10624, '\P{^Is_Blk=suparrowsb}', "");
Expect(1, 10623, '\p{Is_Blk= Sup_Arrows_B}', "");
Expect(0, 10623, '\p{^Is_Blk= Sup_Arrows_B}', "");
Expect(0, 10623, '\P{Is_Blk= Sup_Arrows_B}', "");
Expect(1, 10623, '\P{^Is_Blk= Sup_Arrows_B}', "");
Expect(0, 10624, '\p{Is_Blk= Sup_Arrows_B}', "");
Expect(1, 10624, '\p{^Is_Blk= Sup_Arrows_B}', "");
Expect(1, 10624, '\P{Is_Blk= Sup_Arrows_B}', "");
Expect(0, 10624, '\P{^Is_Blk= Sup_Arrows_B}', "");
Error('\p{Block=-	Supplemental_Arrows_c/a/}');
Error('\P{Block=-	Supplemental_Arrows_c/a/}');
Expect(1, 129279, '\p{Block=supplementalarrowsc}', "");
Expect(0, 129279, '\p{^Block=supplementalarrowsc}', "");
Expect(0, 129279, '\P{Block=supplementalarrowsc}', "");
Expect(1, 129279, '\P{^Block=supplementalarrowsc}', "");
Expect(0, 129280, '\p{Block=supplementalarrowsc}', "");
Expect(1, 129280, '\p{^Block=supplementalarrowsc}', "");
Expect(1, 129280, '\P{Block=supplementalarrowsc}', "");
Expect(0, 129280, '\P{^Block=supplementalarrowsc}', "");
Expect(1, 129279, '\p{Block=_supplemental_arrows_C}', "");
Expect(0, 129279, '\p{^Block=_supplemental_arrows_C}', "");
Expect(0, 129279, '\P{Block=_supplemental_arrows_C}', "");
Expect(1, 129279, '\P{^Block=_supplemental_arrows_C}', "");
Expect(0, 129280, '\p{Block=_supplemental_arrows_C}', "");
Expect(1, 129280, '\p{^Block=_supplemental_arrows_C}', "");
Expect(1, 129280, '\P{Block=_supplemental_arrows_C}', "");
Expect(0, 129280, '\P{^Block=_supplemental_arrows_C}', "");
Error('\p{Blk=_:=Sup_Arrows_C}');
Error('\P{Blk=_:=Sup_Arrows_C}');
Expect(1, 129279, '\p{Blk=suparrowsc}', "");
Expect(0, 129279, '\p{^Blk=suparrowsc}', "");
Expect(0, 129279, '\P{Blk=suparrowsc}', "");
Expect(1, 129279, '\P{^Blk=suparrowsc}', "");
Expect(0, 129280, '\p{Blk=suparrowsc}', "");
Expect(1, 129280, '\p{^Blk=suparrowsc}', "");
Expect(1, 129280, '\P{Blk=suparrowsc}', "");
Expect(0, 129280, '\P{^Blk=suparrowsc}', "");
Expect(1, 129279, '\p{Blk=_-Sup_Arrows_C}', "");
Expect(0, 129279, '\p{^Blk=_-Sup_Arrows_C}', "");
Expect(0, 129279, '\P{Blk=_-Sup_Arrows_C}', "");
Expect(1, 129279, '\P{^Blk=_-Sup_Arrows_C}', "");
Expect(0, 129280, '\p{Blk=_-Sup_Arrows_C}', "");
Expect(1, 129280, '\p{^Blk=_-Sup_Arrows_C}', "");
Expect(1, 129280, '\P{Blk=_-Sup_Arrows_C}', "");
Expect(0, 129280, '\P{^Blk=_-Sup_Arrows_C}', "");
Error('\p{Is_Block=:=		Supplemental_ARROWS_C}');
Error('\P{Is_Block=:=		Supplemental_ARROWS_C}');
Expect(1, 129279, '\p{Is_Block=supplementalarrowsc}', "");
Expect(0, 129279, '\p{^Is_Block=supplementalarrowsc}', "");
Expect(0, 129279, '\P{Is_Block=supplementalarrowsc}', "");
Expect(1, 129279, '\P{^Is_Block=supplementalarrowsc}', "");
Expect(0, 129280, '\p{Is_Block=supplementalarrowsc}', "");
Expect(1, 129280, '\p{^Is_Block=supplementalarrowsc}', "");
Expect(1, 129280, '\P{Is_Block=supplementalarrowsc}', "");
Expect(0, 129280, '\P{^Is_Block=supplementalarrowsc}', "");
Expect(1, 129279, '\p{Is_Block: __Supplemental_Arrows_C}', "");
Expect(0, 129279, '\p{^Is_Block: __Supplemental_Arrows_C}', "");
Expect(0, 129279, '\P{Is_Block: __Supplemental_Arrows_C}', "");
Expect(1, 129279, '\P{^Is_Block: __Supplemental_Arrows_C}', "");
Expect(0, 129280, '\p{Is_Block: __Supplemental_Arrows_C}', "");
Expect(1, 129280, '\p{^Is_Block: __Supplemental_Arrows_C}', "");
Expect(1, 129280, '\P{Is_Block: __Supplemental_Arrows_C}', "");
Expect(0, 129280, '\P{^Is_Block: __Supplemental_Arrows_C}', "");
Error('\p{Is_Blk=/a/ -SUP_ARROWS_C}');
Error('\P{Is_Blk=/a/ -SUP_ARROWS_C}');
Expect(1, 129279, '\p{Is_Blk=suparrowsc}', "");
Expect(0, 129279, '\p{^Is_Blk=suparrowsc}', "");
Expect(0, 129279, '\P{Is_Blk=suparrowsc}', "");
Expect(1, 129279, '\P{^Is_Blk=suparrowsc}', "");
Expect(0, 129280, '\p{Is_Blk=suparrowsc}', "");
Expect(1, 129280, '\p{^Is_Blk=suparrowsc}', "");
Expect(1, 129280, '\P{Is_Blk=suparrowsc}', "");
Expect(0, 129280, '\P{^Is_Blk=suparrowsc}', "");
Expect(1, 129279, '\p{Is_Blk: 	Sup_Arrows_C}', "");
Expect(0, 129279, '\p{^Is_Blk: 	Sup_Arrows_C}', "");
Expect(0, 129279, '\P{Is_Blk: 	Sup_Arrows_C}', "");
Expect(1, 129279, '\P{^Is_Blk: 	Sup_Arrows_C}', "");
Expect(0, 129280, '\p{Is_Blk: 	Sup_Arrows_C}', "");
Expect(1, 129280, '\p{^Is_Blk: 	Sup_Arrows_C}', "");
Expect(1, 129280, '\P{Is_Blk: 	Sup_Arrows_C}', "");
Expect(0, 129280, '\P{^Is_Blk: 	Sup_Arrows_C}', "");
Error('\p{Block: _	Supplemental_mathematical_operators/a/}');
Error('\P{Block: _	Supplemental_mathematical_operators/a/}');
Expect(1, 11007, '\p{Block=supplementalmathematicaloperators}', "");
Expect(0, 11007, '\p{^Block=supplementalmathematicaloperators}', "");
Expect(0, 11007, '\P{Block=supplementalmathematicaloperators}', "");
Expect(1, 11007, '\P{^Block=supplementalmathematicaloperators}', "");
Expect(0, 11008, '\p{Block=supplementalmathematicaloperators}', "");
Expect(1, 11008, '\p{^Block=supplementalmathematicaloperators}', "");
Expect(1, 11008, '\P{Block=supplementalmathematicaloperators}', "");
Expect(0, 11008, '\P{^Block=supplementalmathematicaloperators}', "");
Expect(1, 11007, '\p{Block:   _Supplemental_Mathematical_Operators}', "");
Expect(0, 11007, '\p{^Block:   _Supplemental_Mathematical_Operators}', "");
Expect(0, 11007, '\P{Block:   _Supplemental_Mathematical_Operators}', "");
Expect(1, 11007, '\P{^Block:   _Supplemental_Mathematical_Operators}', "");
Expect(0, 11008, '\p{Block:   _Supplemental_Mathematical_Operators}', "");
Expect(1, 11008, '\p{^Block:   _Supplemental_Mathematical_Operators}', "");
Expect(1, 11008, '\P{Block:   _Supplemental_Mathematical_Operators}', "");
Expect(0, 11008, '\P{^Block:   _Supplemental_Mathematical_Operators}', "");
Error('\p{Blk:/a/ Sup_math_Operators}');
Error('\P{Blk:/a/ Sup_math_Operators}');
Expect(1, 11007, '\p{Blk=supmathoperators}', "");
Expect(0, 11007, '\p{^Blk=supmathoperators}', "");
Expect(0, 11007, '\P{Blk=supmathoperators}', "");
Expect(1, 11007, '\P{^Blk=supmathoperators}', "");
Expect(0, 11008, '\p{Blk=supmathoperators}', "");
Expect(1, 11008, '\p{^Blk=supmathoperators}', "");
Expect(1, 11008, '\P{Blk=supmathoperators}', "");
Expect(0, 11008, '\P{^Blk=supmathoperators}', "");
Expect(1, 11007, '\p{Blk= 	Sup_MATH_Operators}', "");
Expect(0, 11007, '\p{^Blk= 	Sup_MATH_Operators}', "");
Expect(0, 11007, '\P{Blk= 	Sup_MATH_Operators}', "");
Expect(1, 11007, '\P{^Blk= 	Sup_MATH_Operators}', "");
Expect(0, 11008, '\p{Blk= 	Sup_MATH_Operators}', "");
Expect(1, 11008, '\p{^Blk= 	Sup_MATH_Operators}', "");
Expect(1, 11008, '\P{Blk= 	Sup_MATH_Operators}', "");
Expect(0, 11008, '\P{^Blk= 	Sup_MATH_Operators}', "");
Error('\p{Is_Block:  supplemental_Mathematical_Operators/a/}');
Error('\P{Is_Block:  supplemental_Mathematical_Operators/a/}');
Expect(1, 11007, '\p{Is_Block=supplementalmathematicaloperators}', "");
Expect(0, 11007, '\p{^Is_Block=supplementalmathematicaloperators}', "");
Expect(0, 11007, '\P{Is_Block=supplementalmathematicaloperators}', "");
Expect(1, 11007, '\P{^Is_Block=supplementalmathematicaloperators}', "");
Expect(0, 11008, '\p{Is_Block=supplementalmathematicaloperators}', "");
Expect(1, 11008, '\p{^Is_Block=supplementalmathematicaloperators}', "");
Expect(1, 11008, '\P{Is_Block=supplementalmathematicaloperators}', "");
Expect(0, 11008, '\P{^Is_Block=supplementalmathematicaloperators}', "");
Expect(1, 11007, '\p{Is_Block=-Supplemental_MATHEMATICAL_OPERATORS}', "");
Expect(0, 11007, '\p{^Is_Block=-Supplemental_MATHEMATICAL_OPERATORS}', "");
Expect(0, 11007, '\P{Is_Block=-Supplemental_MATHEMATICAL_OPERATORS}', "");
Expect(1, 11007, '\P{^Is_Block=-Supplemental_MATHEMATICAL_OPERATORS}', "");
Expect(0, 11008, '\p{Is_Block=-Supplemental_MATHEMATICAL_OPERATORS}', "");
Expect(1, 11008, '\p{^Is_Block=-Supplemental_MATHEMATICAL_OPERATORS}', "");
Expect(1, 11008, '\P{Is_Block=-Supplemental_MATHEMATICAL_OPERATORS}', "");
Expect(0, 11008, '\P{^Is_Block=-Supplemental_MATHEMATICAL_OPERATORS}', "");
Error('\p{Is_Blk=/a/_Sup_Math_operators}');
Error('\P{Is_Blk=/a/_Sup_Math_operators}');
Expect(1, 11007, '\p{Is_Blk=supmathoperators}', "");
Expect(0, 11007, '\p{^Is_Blk=supmathoperators}', "");
Expect(0, 11007, '\P{Is_Blk=supmathoperators}', "");
Expect(1, 11007, '\P{^Is_Blk=supmathoperators}', "");
Expect(0, 11008, '\p{Is_Blk=supmathoperators}', "");
Expect(1, 11008, '\p{^Is_Blk=supmathoperators}', "");
Expect(1, 11008, '\P{Is_Blk=supmathoperators}', "");
Expect(0, 11008, '\P{^Is_Blk=supmathoperators}', "");
Expect(1, 11007, '\p{Is_Blk: _ Sup_Math_OPERATORS}', "");
Expect(0, 11007, '\p{^Is_Blk: _ Sup_Math_OPERATORS}', "");
Expect(0, 11007, '\P{Is_Blk: _ Sup_Math_OPERATORS}', "");
Expect(1, 11007, '\P{^Is_Blk: _ Sup_Math_OPERATORS}', "");
Expect(0, 11008, '\p{Is_Blk: _ Sup_Math_OPERATORS}', "");
Expect(1, 11008, '\p{^Is_Blk: _ Sup_Math_OPERATORS}', "");
Expect(1, 11008, '\P{Is_Blk: _ Sup_Math_OPERATORS}', "");
Expect(0, 11008, '\P{^Is_Blk: _ Sup_Math_OPERATORS}', "");
Error('\p{Block=/a/	 supplementary_Private_Use_AREA_A}');
Error('\P{Block=/a/	 supplementary_Private_Use_AREA_A}');
Expect(1, 983040, '\p{Block=supplementaryprivateuseareaa}', "");
Expect(0, 983040, '\p{^Block=supplementaryprivateuseareaa}', "");
Expect(0, 983040, '\P{Block=supplementaryprivateuseareaa}', "");
Expect(1, 983040, '\P{^Block=supplementaryprivateuseareaa}', "");
Expect(0, 1048576, '\p{Block=supplementaryprivateuseareaa}', "");
Expect(1, 1048576, '\p{^Block=supplementaryprivateuseareaa}', "");
Expect(1, 1048576, '\P{Block=supplementaryprivateuseareaa}', "");
Expect(0, 1048576, '\P{^Block=supplementaryprivateuseareaa}', "");
Expect(1, 983040, '\p{Block=-supplementary_Private_use_Area_a}', "");
Expect(0, 983040, '\p{^Block=-supplementary_Private_use_Area_a}', "");
Expect(0, 983040, '\P{Block=-supplementary_Private_use_Area_a}', "");
Expect(1, 983040, '\P{^Block=-supplementary_Private_use_Area_a}', "");
Expect(0, 1048576, '\p{Block=-supplementary_Private_use_Area_a}', "");
Expect(1, 1048576, '\p{^Block=-supplementary_Private_use_Area_a}', "");
Expect(1, 1048576, '\P{Block=-supplementary_Private_use_Area_a}', "");
Expect(0, 1048576, '\P{^Block=-supplementary_Private_use_Area_a}', "");
Error('\p{Blk=-SUP_PUA_A/a/}');
Error('\P{Blk=-SUP_PUA_A/a/}');
Expect(1, 983040, '\p{Blk=suppuaa}', "");
Expect(0, 983040, '\p{^Blk=suppuaa}', "");
Expect(0, 983040, '\P{Blk=suppuaa}', "");
Expect(1, 983040, '\P{^Blk=suppuaa}', "");
Expect(0, 1048576, '\p{Blk=suppuaa}', "");
Expect(1, 1048576, '\p{^Blk=suppuaa}', "");
Expect(1, 1048576, '\P{Blk=suppuaa}', "");
Expect(0, 1048576, '\P{^Blk=suppuaa}', "");
Expect(1, 983040, '\p{Blk= 	Sup_PUA_A}', "");
Expect(0, 983040, '\p{^Blk= 	Sup_PUA_A}', "");
Expect(0, 983040, '\P{Blk= 	Sup_PUA_A}', "");
Expect(1, 983040, '\P{^Blk= 	Sup_PUA_A}', "");
Expect(0, 1048576, '\p{Blk= 	Sup_PUA_A}', "");
Expect(1, 1048576, '\p{^Blk= 	Sup_PUA_A}', "");
Expect(1, 1048576, '\P{Blk= 	Sup_PUA_A}', "");
Expect(0, 1048576, '\P{^Blk= 	Sup_PUA_A}', "");
Error('\p{Is_Block= :=Supplementary_Private_use_AREA_a}');
Error('\P{Is_Block= :=Supplementary_Private_use_AREA_a}');
Expect(1, 983040, '\p{Is_Block=supplementaryprivateuseareaa}', "");
Expect(0, 983040, '\p{^Is_Block=supplementaryprivateuseareaa}', "");
Expect(0, 983040, '\P{Is_Block=supplementaryprivateuseareaa}', "");
Expect(1, 983040, '\P{^Is_Block=supplementaryprivateuseareaa}', "");
Expect(0, 1048576, '\p{Is_Block=supplementaryprivateuseareaa}', "");
Expect(1, 1048576, '\p{^Is_Block=supplementaryprivateuseareaa}', "");
Expect(1, 1048576, '\P{Is_Block=supplementaryprivateuseareaa}', "");
Expect(0, 1048576, '\P{^Is_Block=supplementaryprivateuseareaa}', "");
Expect(1, 983040, '\p{Is_Block=_-Supplementary_private_use_Area_A}', "");
Expect(0, 983040, '\p{^Is_Block=_-Supplementary_private_use_Area_A}', "");
Expect(0, 983040, '\P{Is_Block=_-Supplementary_private_use_Area_A}', "");
Expect(1, 983040, '\P{^Is_Block=_-Supplementary_private_use_Area_A}', "");
Expect(0, 1048576, '\p{Is_Block=_-Supplementary_private_use_Area_A}', "");
Expect(1, 1048576, '\p{^Is_Block=_-Supplementary_private_use_Area_A}', "");
Expect(1, 1048576, '\P{Is_Block=_-Supplementary_private_use_Area_A}', "");
Expect(0, 1048576, '\P{^Is_Block=_-Supplementary_private_use_Area_A}', "");
Error('\p{Is_Blk=	 sup_pua_a:=}');
Error('\P{Is_Blk=	 sup_pua_a:=}');
Expect(1, 983040, '\p{Is_Blk=suppuaa}', "");
Expect(0, 983040, '\p{^Is_Blk=suppuaa}', "");
Expect(0, 983040, '\P{Is_Blk=suppuaa}', "");
Expect(1, 983040, '\P{^Is_Blk=suppuaa}', "");
Expect(0, 1048576, '\p{Is_Blk=suppuaa}', "");
Expect(1, 1048576, '\p{^Is_Blk=suppuaa}', "");
Expect(1, 1048576, '\P{Is_Blk=suppuaa}', "");
Expect(0, 1048576, '\P{^Is_Blk=suppuaa}', "");
Expect(1, 983040, '\p{Is_Blk:   -Sup_pua_A}', "");
Expect(0, 983040, '\p{^Is_Blk:   -Sup_pua_A}', "");
Expect(0, 983040, '\P{Is_Blk:   -Sup_pua_A}', "");
Expect(1, 983040, '\P{^Is_Blk:   -Sup_pua_A}', "");
Expect(0, 1048576, '\p{Is_Blk:   -Sup_pua_A}', "");
Expect(1, 1048576, '\p{^Is_Blk:   -Sup_pua_A}', "");
Expect(1, 1048576, '\P{Is_Blk:   -Sup_pua_A}', "");
Expect(0, 1048576, '\P{^Is_Blk:   -Sup_pua_A}', "");
Error('\p{Block: -	SUPPLEMENTARY_private_Use_Area_B/a/}');
Error('\P{Block: -	SUPPLEMENTARY_private_Use_Area_B/a/}');
Expect(1, 1048576, '\p{Block:supplementaryprivateuseareab}', "");
Expect(0, 1048576, '\p{^Block:supplementaryprivateuseareab}', "");
Expect(0, 1048576, '\P{Block:supplementaryprivateuseareab}', "");
Expect(1, 1048576, '\P{^Block:supplementaryprivateuseareab}', "");
Expect(0, 1, '\p{Block:supplementaryprivateuseareab}', "");
Expect(1, 1, '\p{^Block:supplementaryprivateuseareab}', "");
Expect(1, 1, '\P{Block:supplementaryprivateuseareab}', "");
Expect(0, 1, '\P{^Block:supplementaryprivateuseareab}', "");
Expect(1, 1048576, '\p{Block=_ Supplementary_private_Use_AREA_b}', "");
Expect(0, 1048576, '\p{^Block=_ Supplementary_private_Use_AREA_b}', "");
Expect(0, 1048576, '\P{Block=_ Supplementary_private_Use_AREA_b}', "");
Expect(1, 1048576, '\P{^Block=_ Supplementary_private_Use_AREA_b}', "");
Expect(0, 1, '\p{Block=_ Supplementary_private_Use_AREA_b}', "");
Expect(1, 1, '\p{^Block=_ Supplementary_private_Use_AREA_b}', "");
Expect(1, 1, '\P{Block=_ Supplementary_private_Use_AREA_b}', "");
Expect(0, 1, '\P{^Block=_ Supplementary_private_Use_AREA_b}', "");
Error('\p{Blk:   - Sup_PUA_B:=}');
Error('\P{Blk:   - Sup_PUA_B:=}');
Expect(1, 1048576, '\p{Blk=suppuab}', "");
Expect(0, 1048576, '\p{^Blk=suppuab}', "");
Expect(0, 1048576, '\P{Blk=suppuab}', "");
Expect(1, 1048576, '\P{^Blk=suppuab}', "");
Expect(0, 1, '\p{Blk=suppuab}', "");
Expect(1, 1, '\p{^Blk=suppuab}', "");
Expect(1, 1, '\P{Blk=suppuab}', "");
Expect(0, 1, '\P{^Blk=suppuab}', "");
Expect(1, 1048576, '\p{Blk=		Sup_PUA_B}', "");
Expect(0, 1048576, '\p{^Blk=		Sup_PUA_B}', "");
Expect(0, 1048576, '\P{Blk=		Sup_PUA_B}', "");
Expect(1, 1048576, '\P{^Blk=		Sup_PUA_B}', "");
Expect(0, 1, '\p{Blk=		Sup_PUA_B}', "");
Expect(1, 1, '\p{^Blk=		Sup_PUA_B}', "");
Expect(1, 1, '\P{Blk=		Sup_PUA_B}', "");
Expect(0, 1, '\P{^Blk=		Sup_PUA_B}', "");
Error('\p{Is_Block=:=- Supplementary_Private_Use_Area_B}');
Error('\P{Is_Block=:=- Supplementary_Private_Use_Area_B}');
Expect(1, 1048576, '\p{Is_Block=supplementaryprivateuseareab}', "");
Expect(0, 1048576, '\p{^Is_Block=supplementaryprivateuseareab}', "");
Expect(0, 1048576, '\P{Is_Block=supplementaryprivateuseareab}', "");
Expect(1, 1048576, '\P{^Is_Block=supplementaryprivateuseareab}', "");
Expect(0, 1, '\p{Is_Block=supplementaryprivateuseareab}', "");
Expect(1, 1, '\p{^Is_Block=supplementaryprivateuseareab}', "");
Expect(1, 1, '\P{Is_Block=supplementaryprivateuseareab}', "");
Expect(0, 1, '\P{^Is_Block=supplementaryprivateuseareab}', "");
Expect(1, 1048576, '\p{Is_Block=		supplementary_Private_use_Area_B}', "");
Expect(0, 1048576, '\p{^Is_Block=		supplementary_Private_use_Area_B}', "");
Expect(0, 1048576, '\P{Is_Block=		supplementary_Private_use_Area_B}', "");
Expect(1, 1048576, '\P{^Is_Block=		supplementary_Private_use_Area_B}', "");
Expect(0, 1, '\p{Is_Block=		supplementary_Private_use_Area_B}', "");
Expect(1, 1, '\p{^Is_Block=		supplementary_Private_use_Area_B}', "");
Expect(1, 1, '\P{Is_Block=		supplementary_Private_use_Area_B}', "");
Expect(0, 1, '\P{^Is_Block=		supplementary_Private_use_Area_B}', "");
Error('\p{Is_Blk:	/a/	-Sup_PUA_B}');
Error('\P{Is_Blk:	/a/	-Sup_PUA_B}');
Expect(1, 1048576, '\p{Is_Blk=suppuab}', "");
Expect(0, 1048576, '\p{^Is_Blk=suppuab}', "");
Expect(0, 1048576, '\P{Is_Blk=suppuab}', "");
Expect(1, 1048576, '\P{^Is_Blk=suppuab}', "");
Expect(0, 1, '\p{Is_Blk=suppuab}', "");
Expect(1, 1, '\p{^Is_Blk=suppuab}', "");
Expect(1, 1, '\P{Is_Blk=suppuab}', "");
Expect(0, 1, '\P{^Is_Blk=suppuab}', "");
Expect(1, 1048576, '\p{Is_Blk=_ Sup_PUA_B}', "");
Expect(0, 1048576, '\p{^Is_Blk=_ Sup_PUA_B}', "");
Expect(0, 1048576, '\P{Is_Blk=_ Sup_PUA_B}', "");
Expect(1, 1048576, '\P{^Is_Blk=_ Sup_PUA_B}', "");
Expect(0, 1, '\p{Is_Blk=_ Sup_PUA_B}', "");
Expect(1, 1, '\p{^Is_Blk=_ Sup_PUA_B}', "");
Expect(1, 1, '\P{Is_Blk=_ Sup_PUA_B}', "");
Expect(0, 1, '\P{^Is_Blk=_ Sup_PUA_B}', "");
Error('\p{Block=:=_SUPPLEMENTAL_Punctuation}');
Error('\P{Block=:=_SUPPLEMENTAL_Punctuation}');
Expect(1, 11903, '\p{Block=supplementalpunctuation}', "");
Expect(0, 11903, '\p{^Block=supplementalpunctuation}', "");
Expect(0, 11903, '\P{Block=supplementalpunctuation}', "");
Expect(1, 11903, '\P{^Block=supplementalpunctuation}', "");
Expect(0, 11904, '\p{Block=supplementalpunctuation}', "");
Expect(1, 11904, '\p{^Block=supplementalpunctuation}', "");
Expect(1, 11904, '\P{Block=supplementalpunctuation}', "");
Expect(0, 11904, '\P{^Block=supplementalpunctuation}', "");
Expect(1, 11903, '\p{Block= Supplemental_PUNCTUATION}', "");
Expect(0, 11903, '\p{^Block= Supplemental_PUNCTUATION}', "");
Expect(0, 11903, '\P{Block= Supplemental_PUNCTUATION}', "");
Expect(1, 11903, '\P{^Block= Supplemental_PUNCTUATION}', "");
Expect(0, 11904, '\p{Block= Supplemental_PUNCTUATION}', "");
Expect(1, 11904, '\p{^Block= Supplemental_PUNCTUATION}', "");
Expect(1, 11904, '\P{Block= Supplemental_PUNCTUATION}', "");
Expect(0, 11904, '\P{^Block= Supplemental_PUNCTUATION}', "");
Error('\p{Blk= :=sup_Punctuation}');
Error('\P{Blk= :=sup_Punctuation}');
Expect(1, 11903, '\p{Blk=suppunctuation}', "");
Expect(0, 11903, '\p{^Blk=suppunctuation}', "");
Expect(0, 11903, '\P{Blk=suppunctuation}', "");
Expect(1, 11903, '\P{^Blk=suppunctuation}', "");
Expect(0, 11904, '\p{Blk=suppunctuation}', "");
Expect(1, 11904, '\p{^Blk=suppunctuation}', "");
Expect(1, 11904, '\P{Blk=suppunctuation}', "");
Expect(0, 11904, '\P{^Blk=suppunctuation}', "");
Expect(1, 11903, '\p{Blk:    Sup_Punctuation}', "");
Expect(0, 11903, '\p{^Blk:    Sup_Punctuation}', "");
Expect(0, 11903, '\P{Blk:    Sup_Punctuation}', "");
Expect(1, 11903, '\P{^Blk:    Sup_Punctuation}', "");
Expect(0, 11904, '\p{Blk:    Sup_Punctuation}', "");
Expect(1, 11904, '\p{^Blk:    Sup_Punctuation}', "");
Expect(1, 11904, '\P{Blk:    Sup_Punctuation}', "");
Expect(0, 11904, '\P{^Blk:    Sup_Punctuation}', "");
Error('\p{Is_Block=:=	-supplemental_Punctuation}');
Error('\P{Is_Block=:=	-supplemental_Punctuation}');
Expect(1, 11903, '\p{Is_Block=supplementalpunctuation}', "");
Expect(0, 11903, '\p{^Is_Block=supplementalpunctuation}', "");
Expect(0, 11903, '\P{Is_Block=supplementalpunctuation}', "");
Expect(1, 11903, '\P{^Is_Block=supplementalpunctuation}', "");
Expect(0, 11904, '\p{Is_Block=supplementalpunctuation}', "");
Expect(1, 11904, '\p{^Is_Block=supplementalpunctuation}', "");
Expect(1, 11904, '\P{Is_Block=supplementalpunctuation}', "");
Expect(0, 11904, '\P{^Is_Block=supplementalpunctuation}', "");
Expect(1, 11903, '\p{Is_Block= SUPPLEMENTAL_Punctuation}', "");
Expect(0, 11903, '\p{^Is_Block= SUPPLEMENTAL_Punctuation}', "");
Expect(0, 11903, '\P{Is_Block= SUPPLEMENTAL_Punctuation}', "");
Expect(1, 11903, '\P{^Is_Block= SUPPLEMENTAL_Punctuation}', "");
Expect(0, 11904, '\p{Is_Block= SUPPLEMENTAL_Punctuation}', "");
Expect(1, 11904, '\p{^Is_Block= SUPPLEMENTAL_Punctuation}', "");
Expect(1, 11904, '\P{Is_Block= SUPPLEMENTAL_Punctuation}', "");
Expect(0, 11904, '\P{^Is_Block= SUPPLEMENTAL_Punctuation}', "");
Error('\p{Is_Blk=/a/Sup_PUNCTUATION}');
Error('\P{Is_Blk=/a/Sup_PUNCTUATION}');
Expect(1, 11903, '\p{Is_Blk=suppunctuation}', "");
Expect(0, 11903, '\p{^Is_Blk=suppunctuation}', "");
Expect(0, 11903, '\P{Is_Blk=suppunctuation}', "");
Expect(1, 11903, '\P{^Is_Blk=suppunctuation}', "");
Expect(0, 11904, '\p{Is_Blk=suppunctuation}', "");
Expect(1, 11904, '\p{^Is_Blk=suppunctuation}', "");
Expect(1, 11904, '\P{Is_Blk=suppunctuation}', "");
Expect(0, 11904, '\P{^Is_Blk=suppunctuation}', "");
Expect(1, 11903, '\p{Is_Blk:   -_sup_PUNCTUATION}', "");
Expect(0, 11903, '\p{^Is_Blk:   -_sup_PUNCTUATION}', "");
Expect(0, 11903, '\P{Is_Blk:   -_sup_PUNCTUATION}', "");
Expect(1, 11903, '\P{^Is_Blk:   -_sup_PUNCTUATION}', "");
Expect(0, 11904, '\p{Is_Blk:   -_sup_PUNCTUATION}', "");
Expect(1, 11904, '\p{^Is_Blk:   -_sup_PUNCTUATION}', "");
Expect(1, 11904, '\P{Is_Blk:   -_sup_PUNCTUATION}', "");
Expect(0, 11904, '\P{^Is_Blk:   -_sup_PUNCTUATION}', "");
Error('\p{Block:	 :=Supplemental_Symbols_AND_pictographs}');
Error('\P{Block:	 :=Supplemental_Symbols_AND_pictographs}');
Expect(1, 129535, '\p{Block=supplementalsymbolsandpictographs}', "");
Expect(0, 129535, '\p{^Block=supplementalsymbolsandpictographs}', "");
Expect(0, 129535, '\P{Block=supplementalsymbolsandpictographs}', "");
Expect(1, 129535, '\P{^Block=supplementalsymbolsandpictographs}', "");
Expect(0, 129536, '\p{Block=supplementalsymbolsandpictographs}', "");
Expect(1, 129536, '\p{^Block=supplementalsymbolsandpictographs}', "");
Expect(1, 129536, '\P{Block=supplementalsymbolsandpictographs}', "");
Expect(0, 129536, '\P{^Block=supplementalsymbolsandpictographs}', "");
Expect(1, 129535, '\p{Block:	_	supplemental_SYMBOLS_AND_PICTOGRAPHS}', "");
Expect(0, 129535, '\p{^Block:	_	supplemental_SYMBOLS_AND_PICTOGRAPHS}', "");
Expect(0, 129535, '\P{Block:	_	supplemental_SYMBOLS_AND_PICTOGRAPHS}', "");
Expect(1, 129535, '\P{^Block:	_	supplemental_SYMBOLS_AND_PICTOGRAPHS}', "");
Expect(0, 129536, '\p{Block:	_	supplemental_SYMBOLS_AND_PICTOGRAPHS}', "");
Expect(1, 129536, '\p{^Block:	_	supplemental_SYMBOLS_AND_PICTOGRAPHS}', "");
Expect(1, 129536, '\P{Block:	_	supplemental_SYMBOLS_AND_PICTOGRAPHS}', "");
Expect(0, 129536, '\P{^Block:	_	supplemental_SYMBOLS_AND_PICTOGRAPHS}', "");
Error('\p{Blk=Sup_Symbols_AND_pictographs/a/}');
Error('\P{Blk=Sup_Symbols_AND_pictographs/a/}');
Expect(1, 129535, '\p{Blk=supsymbolsandpictographs}', "");
Expect(0, 129535, '\p{^Blk=supsymbolsandpictographs}', "");
Expect(0, 129535, '\P{Blk=supsymbolsandpictographs}', "");
Expect(1, 129535, '\P{^Blk=supsymbolsandpictographs}', "");
Expect(0, 129536, '\p{Blk=supsymbolsandpictographs}', "");
Expect(1, 129536, '\p{^Blk=supsymbolsandpictographs}', "");
Expect(1, 129536, '\P{Blk=supsymbolsandpictographs}', "");
Expect(0, 129536, '\P{^Blk=supsymbolsandpictographs}', "");
Expect(1, 129535, '\p{Blk=__Sup_Symbols_and_Pictographs}', "");
Expect(0, 129535, '\p{^Blk=__Sup_Symbols_and_Pictographs}', "");
Expect(0, 129535, '\P{Blk=__Sup_Symbols_and_Pictographs}', "");
Expect(1, 129535, '\P{^Blk=__Sup_Symbols_and_Pictographs}', "");
Expect(0, 129536, '\p{Blk=__Sup_Symbols_and_Pictographs}', "");
Expect(1, 129536, '\p{^Blk=__Sup_Symbols_and_Pictographs}', "");
Expect(1, 129536, '\P{Blk=__Sup_Symbols_and_Pictographs}', "");
Expect(0, 129536, '\P{^Blk=__Sup_Symbols_and_Pictographs}', "");
Error('\p{Is_Block=-:=Supplemental_Symbols_AND_Pictographs}');
Error('\P{Is_Block=-:=Supplemental_Symbols_AND_Pictographs}');
Expect(1, 129535, '\p{Is_Block:   supplementalsymbolsandpictographs}', "");
Expect(0, 129535, '\p{^Is_Block:   supplementalsymbolsandpictographs}', "");
Expect(0, 129535, '\P{Is_Block:   supplementalsymbolsandpictographs}', "");
Expect(1, 129535, '\P{^Is_Block:   supplementalsymbolsandpictographs}', "");
Expect(0, 129536, '\p{Is_Block:   supplementalsymbolsandpictographs}', "");
Expect(1, 129536, '\p{^Is_Block:   supplementalsymbolsandpictographs}', "");
Expect(1, 129536, '\P{Is_Block:   supplementalsymbolsandpictographs}', "");
Expect(0, 129536, '\P{^Is_Block:   supplementalsymbolsandpictographs}', "");
Expect(1, 129535, '\p{Is_Block= 	supplemental_symbols_and_pictographs}', "");
Expect(0, 129535, '\p{^Is_Block= 	supplemental_symbols_and_pictographs}', "");
Expect(0, 129535, '\P{Is_Block= 	supplemental_symbols_and_pictographs}', "");
Expect(1, 129535, '\P{^Is_Block= 	supplemental_symbols_and_pictographs}', "");
Expect(0, 129536, '\p{Is_Block= 	supplemental_symbols_and_pictographs}', "");
Expect(1, 129536, '\p{^Is_Block= 	supplemental_symbols_and_pictographs}', "");
Expect(1, 129536, '\P{Is_Block= 	supplemental_symbols_and_pictographs}', "");
Expect(0, 129536, '\P{^Is_Block= 	supplemental_symbols_and_pictographs}', "");
Error('\p{Is_Blk=-	sup_SYMBOLS_AND_Pictographs:=}');
Error('\P{Is_Blk=-	sup_SYMBOLS_AND_Pictographs:=}');
Expect(1, 129535, '\p{Is_Blk=supsymbolsandpictographs}', "");
Expect(0, 129535, '\p{^Is_Blk=supsymbolsandpictographs}', "");
Expect(0, 129535, '\P{Is_Blk=supsymbolsandpictographs}', "");
Expect(1, 129535, '\P{^Is_Blk=supsymbolsandpictographs}', "");
Expect(0, 129536, '\p{Is_Blk=supsymbolsandpictographs}', "");
Expect(1, 129536, '\p{^Is_Blk=supsymbolsandpictographs}', "");
Expect(1, 129536, '\P{Is_Blk=supsymbolsandpictographs}', "");
Expect(0, 129536, '\P{^Is_Blk=supsymbolsandpictographs}', "");
Expect(1, 129535, '\p{Is_Blk=	sup_symbols_and_pictographs}', "");
Expect(0, 129535, '\p{^Is_Blk=	sup_symbols_and_pictographs}', "");
Expect(0, 129535, '\P{Is_Blk=	sup_symbols_and_pictographs}', "");
Expect(1, 129535, '\P{^Is_Blk=	sup_symbols_and_pictographs}', "");
Expect(0, 129536, '\p{Is_Blk=	sup_symbols_and_pictographs}', "");
Expect(1, 129536, '\p{^Is_Blk=	sup_symbols_and_pictographs}', "");
Expect(1, 129536, '\P{Is_Blk=	sup_symbols_and_pictographs}', "");
Expect(0, 129536, '\P{^Is_Blk=	sup_symbols_and_pictographs}', "");
Error('\p{Block:/a/_Superscripts_And_SUBSCRIPTS}');
Error('\P{Block:/a/_Superscripts_And_SUBSCRIPTS}');
Expect(1, 8351, '\p{Block=superscriptsandsubscripts}', "");
Expect(0, 8351, '\p{^Block=superscriptsandsubscripts}', "");
Expect(0, 8351, '\P{Block=superscriptsandsubscripts}', "");
Expect(1, 8351, '\P{^Block=superscriptsandsubscripts}', "");
Expect(0, 8352, '\p{Block=superscriptsandsubscripts}', "");
Expect(1, 8352, '\p{^Block=superscriptsandsubscripts}', "");
Expect(1, 8352, '\P{Block=superscriptsandsubscripts}', "");
Expect(0, 8352, '\P{^Block=superscriptsandsubscripts}', "");
Expect(1, 8351, '\p{Block=	Superscripts_And_SUBSCRIPTS}', "");
Expect(0, 8351, '\p{^Block=	Superscripts_And_SUBSCRIPTS}', "");
Expect(0, 8351, '\P{Block=	Superscripts_And_SUBSCRIPTS}', "");
Expect(1, 8351, '\P{^Block=	Superscripts_And_SUBSCRIPTS}', "");
Expect(0, 8352, '\p{Block=	Superscripts_And_SUBSCRIPTS}', "");
Expect(1, 8352, '\p{^Block=	Superscripts_And_SUBSCRIPTS}', "");
Expect(1, 8352, '\P{Block=	Superscripts_And_SUBSCRIPTS}', "");
Expect(0, 8352, '\P{^Block=	Superscripts_And_SUBSCRIPTS}', "");
Error('\p{Blk: 	:=Super_AND_SUB}');
Error('\P{Blk: 	:=Super_AND_SUB}');
Expect(1, 8351, '\p{Blk=superandsub}', "");
Expect(0, 8351, '\p{^Blk=superandsub}', "");
Expect(0, 8351, '\P{Blk=superandsub}', "");
Expect(1, 8351, '\P{^Blk=superandsub}', "");
Expect(0, 8352, '\p{Blk=superandsub}', "");
Expect(1, 8352, '\p{^Blk=superandsub}', "");
Expect(1, 8352, '\P{Blk=superandsub}', "");
Expect(0, 8352, '\P{^Blk=superandsub}', "");
Expect(1, 8351, '\p{Blk=_super_AND_SUB}', "");
Expect(0, 8351, '\p{^Blk=_super_AND_SUB}', "");
Expect(0, 8351, '\P{Blk=_super_AND_SUB}', "");
Expect(1, 8351, '\P{^Blk=_super_AND_SUB}', "");
Expect(0, 8352, '\p{Blk=_super_AND_SUB}', "");
Expect(1, 8352, '\p{^Blk=_super_AND_SUB}', "");
Expect(1, 8352, '\P{Blk=_super_AND_SUB}', "");
Expect(0, 8352, '\P{^Blk=_super_AND_SUB}', "");
Error('\p{Is_Block= /a/Superscripts_and_Subscripts}');
Error('\P{Is_Block= /a/Superscripts_and_Subscripts}');
Expect(1, 8351, '\p{Is_Block=superscriptsandsubscripts}', "");
Expect(0, 8351, '\p{^Is_Block=superscriptsandsubscripts}', "");
Expect(0, 8351, '\P{Is_Block=superscriptsandsubscripts}', "");
Expect(1, 8351, '\P{^Is_Block=superscriptsandsubscripts}', "");
Expect(0, 8352, '\p{Is_Block=superscriptsandsubscripts}', "");
Expect(1, 8352, '\p{^Is_Block=superscriptsandsubscripts}', "");
Expect(1, 8352, '\P{Is_Block=superscriptsandsubscripts}', "");
Expect(0, 8352, '\P{^Is_Block=superscriptsandsubscripts}', "");
Expect(1, 8351, '\p{Is_Block=--Superscripts_And_Subscripts}', "");
Expect(0, 8351, '\p{^Is_Block=--Superscripts_And_Subscripts}', "");
Expect(0, 8351, '\P{Is_Block=--Superscripts_And_Subscripts}', "");
Expect(1, 8351, '\P{^Is_Block=--Superscripts_And_Subscripts}', "");
Expect(0, 8352, '\p{Is_Block=--Superscripts_And_Subscripts}', "");
Expect(1, 8352, '\p{^Is_Block=--Superscripts_And_Subscripts}', "");
Expect(1, 8352, '\P{Is_Block=--Superscripts_And_Subscripts}', "");
Expect(0, 8352, '\P{^Is_Block=--Superscripts_And_Subscripts}', "");
Error('\p{Is_Blk=:= 	Super_AND_sub}');
Error('\P{Is_Blk=:= 	Super_AND_sub}');
Expect(1, 8351, '\p{Is_Blk=superandsub}', "");
Expect(0, 8351, '\p{^Is_Blk=superandsub}', "");
Expect(0, 8351, '\P{Is_Blk=superandsub}', "");
Expect(1, 8351, '\P{^Is_Blk=superandsub}', "");
Expect(0, 8352, '\p{Is_Blk=superandsub}', "");
Expect(1, 8352, '\p{^Is_Blk=superandsub}', "");
Expect(1, 8352, '\P{Is_Blk=superandsub}', "");
Expect(0, 8352, '\P{^Is_Blk=superandsub}', "");
Expect(1, 8351, '\p{Is_Blk=--Super_and_sub}', "");
Expect(0, 8351, '\p{^Is_Blk=--Super_and_sub}', "");
Expect(0, 8351, '\P{Is_Blk=--Super_and_sub}', "");
Expect(1, 8351, '\P{^Is_Blk=--Super_and_sub}', "");
Expect(0, 8352, '\p{Is_Blk=--Super_and_sub}', "");
Expect(1, 8352, '\p{^Is_Blk=--Super_and_sub}', "");
Expect(1, 8352, '\P{Is_Blk=--Super_and_sub}', "");
Expect(0, 8352, '\P{^Is_Blk=--Super_and_sub}', "");
Error('\p{Block= -SUTTON_SignWriting:=}');
Error('\P{Block= -SUTTON_SignWriting:=}');
Expect(1, 121519, '\p{Block=suttonsignwriting}', "");
Expect(0, 121519, '\p{^Block=suttonsignwriting}', "");
Expect(0, 121519, '\P{Block=suttonsignwriting}', "");
Expect(1, 121519, '\P{^Block=suttonsignwriting}', "");
Expect(0, 121520, '\p{Block=suttonsignwriting}', "");
Expect(1, 121520, '\p{^Block=suttonsignwriting}', "");
Expect(1, 121520, '\P{Block=suttonsignwriting}', "");
Expect(0, 121520, '\P{^Block=suttonsignwriting}', "");
Expect(1, 121519, '\p{Block=--SUTTON_signwriting}', "");
Expect(0, 121519, '\p{^Block=--SUTTON_signwriting}', "");
Expect(0, 121519, '\P{Block=--SUTTON_signwriting}', "");
Expect(1, 121519, '\P{^Block=--SUTTON_signwriting}', "");
Expect(0, 121520, '\p{Block=--SUTTON_signwriting}', "");
Expect(1, 121520, '\p{^Block=--SUTTON_signwriting}', "");
Expect(1, 121520, '\P{Block=--SUTTON_signwriting}', "");
Expect(0, 121520, '\P{^Block=--SUTTON_signwriting}', "");
Error('\p{Blk=_:=Sutton_SIGNWRITING}');
Error('\P{Blk=_:=Sutton_SIGNWRITING}');
Expect(1, 121519, '\p{Blk=suttonsignwriting}', "");
Expect(0, 121519, '\p{^Blk=suttonsignwriting}', "");
Expect(0, 121519, '\P{Blk=suttonsignwriting}', "");
Expect(1, 121519, '\P{^Blk=suttonsignwriting}', "");
Expect(0, 121520, '\p{Blk=suttonsignwriting}', "");
Expect(1, 121520, '\p{^Blk=suttonsignwriting}', "");
Expect(1, 121520, '\P{Blk=suttonsignwriting}', "");
Expect(0, 121520, '\P{^Blk=suttonsignwriting}', "");
Expect(1, 121519, '\p{Blk= -Sutton_SignWriting}', "");
Expect(0, 121519, '\p{^Blk= -Sutton_SignWriting}', "");
Expect(0, 121519, '\P{Blk= -Sutton_SignWriting}', "");
Expect(1, 121519, '\P{^Blk= -Sutton_SignWriting}', "");
Expect(0, 121520, '\p{Blk= -Sutton_SignWriting}', "");
Expect(1, 121520, '\p{^Blk= -Sutton_SignWriting}', "");
Expect(1, 121520, '\P{Blk= -Sutton_SignWriting}', "");
Expect(0, 121520, '\P{^Blk= -Sutton_SignWriting}', "");
Error('\p{Is_Block=-_sutton_signwriting/a/}');
Error('\P{Is_Block=-_sutton_signwriting/a/}');
Expect(1, 121519, '\p{Is_Block=suttonsignwriting}', "");
Expect(0, 121519, '\p{^Is_Block=suttonsignwriting}', "");
Expect(0, 121519, '\P{Is_Block=suttonsignwriting}', "");
Expect(1, 121519, '\P{^Is_Block=suttonsignwriting}', "");
Expect(0, 121520, '\p{Is_Block=suttonsignwriting}', "");
Expect(1, 121520, '\p{^Is_Block=suttonsignwriting}', "");
Expect(1, 121520, '\P{Is_Block=suttonsignwriting}', "");
Expect(0, 121520, '\P{^Is_Block=suttonsignwriting}', "");
Expect(1, 121519, '\p{Is_Block=-_SUTTON_signwriting}', "");
Expect(0, 121519, '\p{^Is_Block=-_SUTTON_signwriting}', "");
Expect(0, 121519, '\P{Is_Block=-_SUTTON_signwriting}', "");
Expect(1, 121519, '\P{^Is_Block=-_SUTTON_signwriting}', "");
Expect(0, 121520, '\p{Is_Block=-_SUTTON_signwriting}', "");
Expect(1, 121520, '\p{^Is_Block=-_SUTTON_signwriting}', "");
Expect(1, 121520, '\P{Is_Block=-_SUTTON_signwriting}', "");
Expect(0, 121520, '\P{^Is_Block=-_SUTTON_signwriting}', "");
Error('\p{Is_Blk=:=-_Sutton_SIGNWRITING}');
Error('\P{Is_Blk=:=-_Sutton_SIGNWRITING}');
Expect(1, 121519, '\p{Is_Blk:	suttonsignwriting}', "");
Expect(0, 121519, '\p{^Is_Blk:	suttonsignwriting}', "");
Expect(0, 121519, '\P{Is_Blk:	suttonsignwriting}', "");
Expect(1, 121519, '\P{^Is_Blk:	suttonsignwriting}', "");
Expect(0, 121520, '\p{Is_Blk:	suttonsignwriting}', "");
Expect(1, 121520, '\p{^Is_Blk:	suttonsignwriting}', "");
Expect(1, 121520, '\P{Is_Blk:	suttonsignwriting}', "");
Expect(0, 121520, '\P{^Is_Blk:	suttonsignwriting}', "");
Expect(1, 121519, '\p{Is_Blk=_-SUTTON_SignWriting}', "");
Expect(0, 121519, '\p{^Is_Blk=_-SUTTON_SignWriting}', "");
Expect(0, 121519, '\P{Is_Blk=_-SUTTON_SignWriting}', "");
Expect(1, 121519, '\P{^Is_Blk=_-SUTTON_SignWriting}', "");
Expect(0, 121520, '\p{Is_Blk=_-SUTTON_SignWriting}', "");
Expect(1, 121520, '\p{^Is_Blk=_-SUTTON_SignWriting}', "");
Expect(1, 121520, '\P{Is_Blk=_-SUTTON_SignWriting}', "");
Expect(0, 121520, '\P{^Is_Blk=_-SUTTON_SignWriting}', "");
Error('\p{Block:   	:=SYLOTI_nagri}');
Error('\P{Block:   	:=SYLOTI_nagri}');
Expect(1, 43055, '\p{Block=sylotinagri}', "");
Expect(0, 43055, '\p{^Block=sylotinagri}', "");
Expect(0, 43055, '\P{Block=sylotinagri}', "");
Expect(1, 43055, '\P{^Block=sylotinagri}', "");
Expect(0, 43056, '\p{Block=sylotinagri}', "");
Expect(1, 43056, '\p{^Block=sylotinagri}', "");
Expect(1, 43056, '\P{Block=sylotinagri}', "");
Expect(0, 43056, '\P{^Block=sylotinagri}', "");
Expect(1, 43055, '\p{Block:   	 syloti_NAGRI}', "");
Expect(0, 43055, '\p{^Block:   	 syloti_NAGRI}', "");
Expect(0, 43055, '\P{Block:   	 syloti_NAGRI}', "");
Expect(1, 43055, '\P{^Block:   	 syloti_NAGRI}', "");
Expect(0, 43056, '\p{Block:   	 syloti_NAGRI}', "");
Expect(1, 43056, '\p{^Block:   	 syloti_NAGRI}', "");
Expect(1, 43056, '\P{Block:   	 syloti_NAGRI}', "");
Expect(0, 43056, '\P{^Block:   	 syloti_NAGRI}', "");
Error('\p{Blk=	/a/SYLOTI_Nagri}');
Error('\P{Blk=	/a/SYLOTI_Nagri}');
Expect(1, 43055, '\p{Blk=sylotinagri}', "");
Expect(0, 43055, '\p{^Blk=sylotinagri}', "");
Expect(0, 43055, '\P{Blk=sylotinagri}', "");
Expect(1, 43055, '\P{^Blk=sylotinagri}', "");
Expect(0, 43056, '\p{Blk=sylotinagri}', "");
Expect(1, 43056, '\p{^Blk=sylotinagri}', "");
Expect(1, 43056, '\P{Blk=sylotinagri}', "");
Expect(0, 43056, '\P{^Blk=sylotinagri}', "");
Expect(1, 43055, '\p{Blk=-_SYLOTI_Nagri}', "");
Expect(0, 43055, '\p{^Blk=-_SYLOTI_Nagri}', "");
Expect(0, 43055, '\P{Blk=-_SYLOTI_Nagri}', "");
Expect(1, 43055, '\P{^Blk=-_SYLOTI_Nagri}', "");
Expect(0, 43056, '\p{Blk=-_SYLOTI_Nagri}', "");
Expect(1, 43056, '\p{^Blk=-_SYLOTI_Nagri}', "");
Expect(1, 43056, '\P{Blk=-_SYLOTI_Nagri}', "");
Expect(0, 43056, '\P{^Blk=-_SYLOTI_Nagri}', "");
Error('\p{Is_Block=-:=Syloti_nagri}');
Error('\P{Is_Block=-:=Syloti_nagri}');
Expect(1, 43055, '\p{Is_Block=sylotinagri}', "");
Expect(0, 43055, '\p{^Is_Block=sylotinagri}', "");
Expect(0, 43055, '\P{Is_Block=sylotinagri}', "");
Expect(1, 43055, '\P{^Is_Block=sylotinagri}', "");
Expect(0, 43056, '\p{Is_Block=sylotinagri}', "");
Expect(1, 43056, '\p{^Is_Block=sylotinagri}', "");
Expect(1, 43056, '\P{Is_Block=sylotinagri}', "");
Expect(0, 43056, '\P{^Is_Block=sylotinagri}', "");
Expect(1, 43055, '\p{Is_Block=  Syloti_Nagri}', "");
Expect(0, 43055, '\p{^Is_Block=  Syloti_Nagri}', "");
Expect(0, 43055, '\P{Is_Block=  Syloti_Nagri}', "");
Expect(1, 43055, '\P{^Is_Block=  Syloti_Nagri}', "");
Expect(0, 43056, '\p{Is_Block=  Syloti_Nagri}', "");
Expect(1, 43056, '\p{^Is_Block=  Syloti_Nagri}', "");
Expect(1, 43056, '\P{Is_Block=  Syloti_Nagri}', "");
Expect(0, 43056, '\P{^Is_Block=  Syloti_Nagri}', "");
Error('\p{Is_Blk=/a/ syloti_nagri}');
Error('\P{Is_Blk=/a/ syloti_nagri}');
Expect(1, 43055, '\p{Is_Blk: sylotinagri}', "");
Expect(0, 43055, '\p{^Is_Blk: sylotinagri}', "");
Expect(0, 43055, '\P{Is_Blk: sylotinagri}', "");
Expect(1, 43055, '\P{^Is_Blk: sylotinagri}', "");
Expect(0, 43056, '\p{Is_Blk: sylotinagri}', "");
Expect(1, 43056, '\p{^Is_Blk: sylotinagri}', "");
Expect(1, 43056, '\P{Is_Blk: sylotinagri}', "");
Expect(0, 43056, '\P{^Is_Blk: sylotinagri}', "");
Expect(1, 43055, '\p{Is_Blk=-SYLOTI_Nagri}', "");
Expect(0, 43055, '\p{^Is_Blk=-SYLOTI_Nagri}', "");
Expect(0, 43055, '\P{Is_Blk=-SYLOTI_Nagri}', "");
Expect(1, 43055, '\P{^Is_Blk=-SYLOTI_Nagri}', "");
Expect(0, 43056, '\p{Is_Blk=-SYLOTI_Nagri}', "");
Expect(1, 43056, '\p{^Is_Blk=-SYLOTI_Nagri}', "");
Expect(1, 43056, '\P{Is_Blk=-SYLOTI_Nagri}', "");
Expect(0, 43056, '\P{^Is_Blk=-SYLOTI_Nagri}', "");
Error('\p{Block:	--syriac/a/}');
Error('\P{Block:	--syriac/a/}');
Expect(1, 1871, '\p{Block=syriac}', "");
Expect(0, 1871, '\p{^Block=syriac}', "");
Expect(0, 1871, '\P{Block=syriac}', "");
Expect(1, 1871, '\P{^Block=syriac}', "");
Expect(0, 1872, '\p{Block=syriac}', "");
Expect(1, 1872, '\p{^Block=syriac}', "");
Expect(1, 1872, '\P{Block=syriac}', "");
Expect(0, 1872, '\P{^Block=syriac}', "");
Expect(1, 1871, '\p{Block=--Syriac}', "");
Expect(0, 1871, '\p{^Block=--Syriac}', "");
Expect(0, 1871, '\P{Block=--Syriac}', "");
Expect(1, 1871, '\P{^Block=--Syriac}', "");
Expect(0, 1872, '\p{Block=--Syriac}', "");
Expect(1, 1872, '\p{^Block=--Syriac}', "");
Expect(1, 1872, '\P{Block=--Syriac}', "");
Expect(0, 1872, '\P{^Block=--Syriac}', "");
Error('\p{Blk=/a/_ Syriac}');
Error('\P{Blk=/a/_ Syriac}');
Expect(1, 1871, '\p{Blk=syriac}', "");
Expect(0, 1871, '\p{^Blk=syriac}', "");
Expect(0, 1871, '\P{Blk=syriac}', "");
Expect(1, 1871, '\P{^Blk=syriac}', "");
Expect(0, 1872, '\p{Blk=syriac}', "");
Expect(1, 1872, '\p{^Blk=syriac}', "");
Expect(1, 1872, '\P{Blk=syriac}', "");
Expect(0, 1872, '\P{^Blk=syriac}', "");
Expect(1, 1871, '\p{Blk:   	_syriac}', "");
Expect(0, 1871, '\p{^Blk:   	_syriac}', "");
Expect(0, 1871, '\P{Blk:   	_syriac}', "");
Expect(1, 1871, '\P{^Blk:   	_syriac}', "");
Expect(0, 1872, '\p{Blk:   	_syriac}', "");
Expect(1, 1872, '\p{^Blk:   	_syriac}', "");
Expect(1, 1872, '\P{Blk:   	_syriac}', "");
Expect(0, 1872, '\P{^Blk:   	_syriac}', "");
Error('\p{Is_Block=:=	Syriac}');
Error('\P{Is_Block=:=	Syriac}');
Expect(1, 1871, '\p{Is_Block=syriac}', "");
Expect(0, 1871, '\p{^Is_Block=syriac}', "");
Expect(0, 1871, '\P{Is_Block=syriac}', "");
Expect(1, 1871, '\P{^Is_Block=syriac}', "");
Expect(0, 1872, '\p{Is_Block=syriac}', "");
Expect(1, 1872, '\p{^Is_Block=syriac}', "");
Expect(1, 1872, '\P{Is_Block=syriac}', "");
Expect(0, 1872, '\P{^Is_Block=syriac}', "");
Expect(1, 1871, '\p{Is_Block=_-SYRIAC}', "");
Expect(0, 1871, '\p{^Is_Block=_-SYRIAC}', "");
Expect(0, 1871, '\P{Is_Block=_-SYRIAC}', "");
Expect(1, 1871, '\P{^Is_Block=_-SYRIAC}', "");
Expect(0, 1872, '\p{Is_Block=_-SYRIAC}', "");
Expect(1, 1872, '\p{^Is_Block=_-SYRIAC}', "");
Expect(1, 1872, '\P{Is_Block=_-SYRIAC}', "");
Expect(0, 1872, '\P{^Is_Block=_-SYRIAC}', "");
Error('\p{Is_Blk= 	Syriac/a/}');
Error('\P{Is_Blk= 	Syriac/a/}');
Expect(1, 1871, '\p{Is_Blk=syriac}', "");
Expect(0, 1871, '\p{^Is_Blk=syriac}', "");
Expect(0, 1871, '\P{Is_Blk=syriac}', "");
Expect(1, 1871, '\P{^Is_Blk=syriac}', "");
Expect(0, 1872, '\p{Is_Blk=syriac}', "");
Expect(1, 1872, '\p{^Is_Blk=syriac}', "");
Expect(1, 1872, '\P{Is_Blk=syriac}', "");
Expect(0, 1872, '\P{^Is_Blk=syriac}', "");
Expect(1, 1871, '\p{Is_Blk= -Syriac}', "");
Expect(0, 1871, '\p{^Is_Blk= -Syriac}', "");
Expect(0, 1871, '\P{Is_Blk= -Syriac}', "");
Expect(1, 1871, '\P{^Is_Blk= -Syriac}', "");
Expect(0, 1872, '\p{Is_Blk= -Syriac}', "");
Expect(1, 1872, '\p{^Is_Blk= -Syriac}', "");
Expect(1, 1872, '\P{Is_Blk= -Syriac}', "");
Expect(0, 1872, '\P{^Is_Blk= -Syriac}', "");
Error('\p{Block:	/a/Tagalog}');
Error('\P{Block:	/a/Tagalog}');
Expect(1, 5919, '\p{Block=tagalog}', "");
Expect(0, 5919, '\p{^Block=tagalog}', "");
Expect(0, 5919, '\P{Block=tagalog}', "");
Expect(1, 5919, '\P{^Block=tagalog}', "");
Expect(0, 5920, '\p{Block=tagalog}', "");
Expect(1, 5920, '\p{^Block=tagalog}', "");
Expect(1, 5920, '\P{Block=tagalog}', "");
Expect(0, 5920, '\P{^Block=tagalog}', "");
Expect(1, 5919, '\p{Block=	 TAGALOG}', "");
Expect(0, 5919, '\p{^Block=	 TAGALOG}', "");
Expect(0, 5919, '\P{Block=	 TAGALOG}', "");
Expect(1, 5919, '\P{^Block=	 TAGALOG}', "");
Expect(0, 5920, '\p{Block=	 TAGALOG}', "");
Expect(1, 5920, '\p{^Block=	 TAGALOG}', "");
Expect(1, 5920, '\P{Block=	 TAGALOG}', "");
Expect(0, 5920, '\P{^Block=	 TAGALOG}', "");
Error('\p{Blk=/a/ tagalog}');
Error('\P{Blk=/a/ tagalog}');
Expect(1, 5919, '\p{Blk=tagalog}', "");
Expect(0, 5919, '\p{^Blk=tagalog}', "");
Expect(0, 5919, '\P{Blk=tagalog}', "");
Expect(1, 5919, '\P{^Blk=tagalog}', "");
Expect(0, 5920, '\p{Blk=tagalog}', "");
Expect(1, 5920, '\p{^Blk=tagalog}', "");
Expect(1, 5920, '\P{Blk=tagalog}', "");
Expect(0, 5920, '\P{^Blk=tagalog}', "");
Expect(1, 5919, '\p{Blk=  Tagalog}', "");
Expect(0, 5919, '\p{^Blk=  Tagalog}', "");
Expect(0, 5919, '\P{Blk=  Tagalog}', "");
Expect(1, 5919, '\P{^Blk=  Tagalog}', "");
Expect(0, 5920, '\p{Blk=  Tagalog}', "");
Expect(1, 5920, '\p{^Blk=  Tagalog}', "");
Expect(1, 5920, '\P{Blk=  Tagalog}', "");
Expect(0, 5920, '\P{^Blk=  Tagalog}', "");
Error('\p{Is_Block:   /a/_tagalog}');
Error('\P{Is_Block:   /a/_tagalog}');
Expect(1, 5919, '\p{Is_Block=tagalog}', "");
Expect(0, 5919, '\p{^Is_Block=tagalog}', "");
Expect(0, 5919, '\P{Is_Block=tagalog}', "");
Expect(1, 5919, '\P{^Is_Block=tagalog}', "");
Expect(0, 5920, '\p{Is_Block=tagalog}', "");
Expect(1, 5920, '\p{^Is_Block=tagalog}', "");
Expect(1, 5920, '\P{Is_Block=tagalog}', "");
Expect(0, 5920, '\P{^Is_Block=tagalog}', "");
Expect(1, 5919, '\p{Is_Block=	Tagalog}', "");
Expect(0, 5919, '\p{^Is_Block=	Tagalog}', "");
Expect(0, 5919, '\P{Is_Block=	Tagalog}', "");
Expect(1, 5919, '\P{^Is_Block=	Tagalog}', "");
Expect(0, 5920, '\p{Is_Block=	Tagalog}', "");
Expect(1, 5920, '\p{^Is_Block=	Tagalog}', "");
Expect(1, 5920, '\P{Is_Block=	Tagalog}', "");
Expect(0, 5920, '\P{^Is_Block=	Tagalog}', "");
Error('\p{Is_Blk=:=_tagalog}');
Error('\P{Is_Blk=:=_tagalog}');
Expect(1, 5919, '\p{Is_Blk=tagalog}', "");
Expect(0, 5919, '\p{^Is_Blk=tagalog}', "");
Expect(0, 5919, '\P{Is_Blk=tagalog}', "");
Expect(1, 5919, '\P{^Is_Blk=tagalog}', "");
Expect(0, 5920, '\p{Is_Blk=tagalog}', "");
Expect(1, 5920, '\p{^Is_Blk=tagalog}', "");
Expect(1, 5920, '\P{Is_Blk=tagalog}', "");
Expect(0, 5920, '\P{^Is_Blk=tagalog}', "");
Expect(1, 5919, '\p{Is_Blk=- Tagalog}', "");
Expect(0, 5919, '\p{^Is_Blk=- Tagalog}', "");
Expect(0, 5919, '\P{Is_Blk=- Tagalog}', "");
Expect(1, 5919, '\P{^Is_Blk=- Tagalog}', "");
Expect(0, 5920, '\p{Is_Blk=- Tagalog}', "");
Expect(1, 5920, '\p{^Is_Blk=- Tagalog}', "");
Expect(1, 5920, '\P{Is_Blk=- Tagalog}', "");
Expect(0, 5920, '\P{^Is_Blk=- Tagalog}', "");
Error('\p{Block= /a/TAGBANWA}');
Error('\P{Block= /a/TAGBANWA}');
Expect(1, 6015, '\p{Block=tagbanwa}', "");
Expect(0, 6015, '\p{^Block=tagbanwa}', "");
Expect(0, 6015, '\P{Block=tagbanwa}', "");
Expect(1, 6015, '\P{^Block=tagbanwa}', "");
Expect(0, 6016, '\p{Block=tagbanwa}', "");
Expect(1, 6016, '\p{^Block=tagbanwa}', "");
Expect(1, 6016, '\P{Block=tagbanwa}', "");
Expect(0, 6016, '\P{^Block=tagbanwa}', "");
Expect(1, 6015, '\p{Block=	TAGBANWA}', "");
Expect(0, 6015, '\p{^Block=	TAGBANWA}', "");
Expect(0, 6015, '\P{Block=	TAGBANWA}', "");
Expect(1, 6015, '\P{^Block=	TAGBANWA}', "");
Expect(0, 6016, '\p{Block=	TAGBANWA}', "");
Expect(1, 6016, '\p{^Block=	TAGBANWA}', "");
Expect(1, 6016, '\P{Block=	TAGBANWA}', "");
Expect(0, 6016, '\P{^Block=	TAGBANWA}', "");
Error('\p{Blk:	-_TAGBANWA:=}');
Error('\P{Blk:	-_TAGBANWA:=}');
Expect(1, 6015, '\p{Blk=tagbanwa}', "");
Expect(0, 6015, '\p{^Blk=tagbanwa}', "");
Expect(0, 6015, '\P{Blk=tagbanwa}', "");
Expect(1, 6015, '\P{^Blk=tagbanwa}', "");
Expect(0, 6016, '\p{Blk=tagbanwa}', "");
Expect(1, 6016, '\p{^Blk=tagbanwa}', "");
Expect(1, 6016, '\P{Blk=tagbanwa}', "");
Expect(0, 6016, '\P{^Blk=tagbanwa}', "");
Expect(1, 6015, '\p{Blk= TAGBANWA}', "");
Expect(0, 6015, '\p{^Blk= TAGBANWA}', "");
Expect(0, 6015, '\P{Blk= TAGBANWA}', "");
Expect(1, 6015, '\P{^Blk= TAGBANWA}', "");
Expect(0, 6016, '\p{Blk= TAGBANWA}', "");
Expect(1, 6016, '\p{^Blk= TAGBANWA}', "");
Expect(1, 6016, '\P{Blk= TAGBANWA}', "");
Expect(0, 6016, '\P{^Blk= TAGBANWA}', "");
Error('\p{Is_Block=/a/	Tagbanwa}');
Error('\P{Is_Block=/a/	Tagbanwa}');
Expect(1, 6015, '\p{Is_Block=tagbanwa}', "");
Expect(0, 6015, '\p{^Is_Block=tagbanwa}', "");
Expect(0, 6015, '\P{Is_Block=tagbanwa}', "");
Expect(1, 6015, '\P{^Is_Block=tagbanwa}', "");
Expect(0, 6016, '\p{Is_Block=tagbanwa}', "");
Expect(1, 6016, '\p{^Is_Block=tagbanwa}', "");
Expect(1, 6016, '\P{Is_Block=tagbanwa}', "");
Expect(0, 6016, '\P{^Is_Block=tagbanwa}', "");
Expect(1, 6015, '\p{Is_Block= 	TAGBANWA}', "");
Expect(0, 6015, '\p{^Is_Block= 	TAGBANWA}', "");
Expect(0, 6015, '\P{Is_Block= 	TAGBANWA}', "");
Expect(1, 6015, '\P{^Is_Block= 	TAGBANWA}', "");
Expect(0, 6016, '\p{Is_Block= 	TAGBANWA}', "");
Expect(1, 6016, '\p{^Is_Block= 	TAGBANWA}', "");
Expect(1, 6016, '\P{Is_Block= 	TAGBANWA}', "");
Expect(0, 6016, '\P{^Is_Block= 	TAGBANWA}', "");
Error('\p{Is_Blk=--Tagbanwa/a/}');
Error('\P{Is_Blk=--Tagbanwa/a/}');
Expect(1, 6015, '\p{Is_Blk=tagbanwa}', "");
Expect(0, 6015, '\p{^Is_Blk=tagbanwa}', "");
Expect(0, 6015, '\P{Is_Blk=tagbanwa}', "");
Expect(1, 6015, '\P{^Is_Blk=tagbanwa}', "");
Expect(0, 6016, '\p{Is_Blk=tagbanwa}', "");
Expect(1, 6016, '\p{^Is_Blk=tagbanwa}', "");
Expect(1, 6016, '\P{Is_Blk=tagbanwa}', "");
Expect(0, 6016, '\P{^Is_Blk=tagbanwa}', "");
Expect(1, 6015, '\p{Is_Blk=__Tagbanwa}', "");
Expect(0, 6015, '\p{^Is_Blk=__Tagbanwa}', "");
Expect(0, 6015, '\P{Is_Blk=__Tagbanwa}', "");
Expect(1, 6015, '\P{^Is_Blk=__Tagbanwa}', "");
Expect(0, 6016, '\p{Is_Blk=__Tagbanwa}', "");
Expect(1, 6016, '\p{^Is_Blk=__Tagbanwa}', "");
Expect(1, 6016, '\P{Is_Blk=__Tagbanwa}', "");
Expect(0, 6016, '\P{^Is_Blk=__Tagbanwa}', "");
Error('\p{Block=_ Tags:=}');
Error('\P{Block=_ Tags:=}');
Expect(1, 917631, '\p{Block=tags}', "");
Expect(0, 917631, '\p{^Block=tags}', "");
Expect(0, 917631, '\P{Block=tags}', "");
Expect(1, 917631, '\P{^Block=tags}', "");
Expect(0, 917632, '\p{Block=tags}', "");
Expect(1, 917632, '\p{^Block=tags}', "");
Expect(1, 917632, '\P{Block=tags}', "");
Expect(0, 917632, '\P{^Block=tags}', "");
Expect(1, 917631, '\p{Block=--TAGS}', "");
Expect(0, 917631, '\p{^Block=--TAGS}', "");
Expect(0, 917631, '\P{Block=--TAGS}', "");
Expect(1, 917631, '\P{^Block=--TAGS}', "");
Expect(0, 917632, '\p{Block=--TAGS}', "");
Expect(1, 917632, '\p{^Block=--TAGS}', "");
Expect(1, 917632, '\P{Block=--TAGS}', "");
Expect(0, 917632, '\P{^Block=--TAGS}', "");
Error('\p{Blk=		tags/a/}');
Error('\P{Blk=		tags/a/}');
Expect(1, 917631, '\p{Blk: tags}', "");
Expect(0, 917631, '\p{^Blk: tags}', "");
Expect(0, 917631, '\P{Blk: tags}', "");
Expect(1, 917631, '\P{^Blk: tags}', "");
Expect(0, 917632, '\p{Blk: tags}', "");
Expect(1, 917632, '\p{^Blk: tags}', "");
Expect(1, 917632, '\P{Blk: tags}', "");
Expect(0, 917632, '\P{^Blk: tags}', "");
Expect(1, 917631, '\p{Blk=	_tags}', "");
Expect(0, 917631, '\p{^Blk=	_tags}', "");
Expect(0, 917631, '\P{Blk=	_tags}', "");
Expect(1, 917631, '\P{^Blk=	_tags}', "");
Expect(0, 917632, '\p{Blk=	_tags}', "");
Expect(1, 917632, '\p{^Blk=	_tags}', "");
Expect(1, 917632, '\P{Blk=	_tags}', "");
Expect(0, 917632, '\P{^Blk=	_tags}', "");
Error('\p{Is_Block=- tags/a/}');
Error('\P{Is_Block=- tags/a/}');
Expect(1, 917631, '\p{Is_Block=tags}', "");
Expect(0, 917631, '\p{^Is_Block=tags}', "");
Expect(0, 917631, '\P{Is_Block=tags}', "");
Expect(1, 917631, '\P{^Is_Block=tags}', "");
Expect(0, 917632, '\p{Is_Block=tags}', "");
Expect(1, 917632, '\p{^Is_Block=tags}', "");
Expect(1, 917632, '\P{Is_Block=tags}', "");
Expect(0, 917632, '\P{^Is_Block=tags}', "");
Expect(1, 917631, '\p{Is_Block=	 TAGS}', "");
Expect(0, 917631, '\p{^Is_Block=	 TAGS}', "");
Expect(0, 917631, '\P{Is_Block=	 TAGS}', "");
Expect(1, 917631, '\P{^Is_Block=	 TAGS}', "");
Expect(0, 917632, '\p{Is_Block=	 TAGS}', "");
Expect(1, 917632, '\p{^Is_Block=	 TAGS}', "");
Expect(1, 917632, '\P{Is_Block=	 TAGS}', "");
Expect(0, 917632, '\P{^Is_Block=	 TAGS}', "");
Error('\p{Is_Blk=_Tags:=}');
Error('\P{Is_Blk=_Tags:=}');
Expect(1, 917631, '\p{Is_Blk=tags}', "");
Expect(0, 917631, '\p{^Is_Blk=tags}', "");
Expect(0, 917631, '\P{Is_Blk=tags}', "");
Expect(1, 917631, '\P{^Is_Blk=tags}', "");
Expect(0, 917632, '\p{Is_Blk=tags}', "");
Expect(1, 917632, '\p{^Is_Blk=tags}', "");
Expect(1, 917632, '\P{Is_Blk=tags}', "");
Expect(0, 917632, '\P{^Is_Blk=tags}', "");
Expect(1, 917631, '\p{Is_Blk=	Tags}', "");
Expect(0, 917631, '\p{^Is_Blk=	Tags}', "");
Expect(0, 917631, '\P{Is_Blk=	Tags}', "");
Expect(1, 917631, '\P{^Is_Blk=	Tags}', "");
Expect(0, 917632, '\p{Is_Blk=	Tags}', "");
Expect(1, 917632, '\p{^Is_Blk=	Tags}', "");
Expect(1, 917632, '\P{Is_Blk=	Tags}', "");
Expect(0, 917632, '\P{^Is_Blk=	Tags}', "");
Error('\p{Block=-/a/Tai_Le}');
Error('\P{Block=-/a/Tai_Le}');
Expect(1, 6527, '\p{Block=taile}', "");
Expect(0, 6527, '\p{^Block=taile}', "");
Expect(0, 6527, '\P{Block=taile}', "");
Expect(1, 6527, '\P{^Block=taile}', "");
Expect(0, 6528, '\p{Block=taile}', "");
Expect(1, 6528, '\p{^Block=taile}', "");
Expect(1, 6528, '\P{Block=taile}', "");
Expect(0, 6528, '\P{^Block=taile}', "");
Expect(1, 6527, '\p{Block=_TAI_LE}', "");
Expect(0, 6527, '\p{^Block=_TAI_LE}', "");
Expect(0, 6527, '\P{Block=_TAI_LE}', "");
Expect(1, 6527, '\P{^Block=_TAI_LE}', "");
Expect(0, 6528, '\p{Block=_TAI_LE}', "");
Expect(1, 6528, '\p{^Block=_TAI_LE}', "");
Expect(1, 6528, '\P{Block=_TAI_LE}', "");
Expect(0, 6528, '\P{^Block=_TAI_LE}', "");
Error('\p{Blk=:=	_tai_le}');
Error('\P{Blk=:=	_tai_le}');
Expect(1, 6527, '\p{Blk=taile}', "");
Expect(0, 6527, '\p{^Blk=taile}', "");
Expect(0, 6527, '\P{Blk=taile}', "");
Expect(1, 6527, '\P{^Blk=taile}', "");
Expect(0, 6528, '\p{Blk=taile}', "");
Expect(1, 6528, '\p{^Blk=taile}', "");
Expect(1, 6528, '\P{Blk=taile}', "");
Expect(0, 6528, '\P{^Blk=taile}', "");
Expect(1, 6527, '\p{Blk=-	Tai_le}', "");
Expect(0, 6527, '\p{^Blk=-	Tai_le}', "");
Expect(0, 6527, '\P{Blk=-	Tai_le}', "");
Expect(1, 6527, '\P{^Blk=-	Tai_le}', "");
Expect(0, 6528, '\p{Blk=-	Tai_le}', "");
Expect(1, 6528, '\p{^Blk=-	Tai_le}', "");
Expect(1, 6528, '\P{Blk=-	Tai_le}', "");
Expect(0, 6528, '\P{^Blk=-	Tai_le}', "");
Error('\p{Is_Block=/a/	Tai_le}');
Error('\P{Is_Block=/a/	Tai_le}');
Expect(1, 6527, '\p{Is_Block=taile}', "");
Expect(0, 6527, '\p{^Is_Block=taile}', "");
Expect(0, 6527, '\P{Is_Block=taile}', "");
Expect(1, 6527, '\P{^Is_Block=taile}', "");
Expect(0, 6528, '\p{Is_Block=taile}', "");
Expect(1, 6528, '\p{^Is_Block=taile}', "");
Expect(1, 6528, '\P{Is_Block=taile}', "");
Expect(0, 6528, '\P{^Is_Block=taile}', "");
Expect(1, 6527, '\p{Is_Block=	_TAI_le}', "");
Expect(0, 6527, '\p{^Is_Block=	_TAI_le}', "");
Expect(0, 6527, '\P{Is_Block=	_TAI_le}', "");
Expect(1, 6527, '\P{^Is_Block=	_TAI_le}', "");
Expect(0, 6528, '\p{Is_Block=	_TAI_le}', "");
Expect(1, 6528, '\p{^Is_Block=	_TAI_le}', "");
Expect(1, 6528, '\P{Is_Block=	_TAI_le}', "");
Expect(0, 6528, '\P{^Is_Block=	_TAI_le}', "");
Error('\p{Is_Blk=	:=Tai_Le}');
Error('\P{Is_Blk=	:=Tai_Le}');
Expect(1, 6527, '\p{Is_Blk=taile}', "");
Expect(0, 6527, '\p{^Is_Blk=taile}', "");
Expect(0, 6527, '\P{Is_Blk=taile}', "");
Expect(1, 6527, '\P{^Is_Blk=taile}', "");
Expect(0, 6528, '\p{Is_Blk=taile}', "");
Expect(1, 6528, '\p{^Is_Blk=taile}', "");
Expect(1, 6528, '\P{Is_Blk=taile}', "");
Expect(0, 6528, '\P{^Is_Blk=taile}', "");
Expect(1, 6527, '\p{Is_Blk=	-Tai_LE}', "");
Expect(0, 6527, '\p{^Is_Blk=	-Tai_LE}', "");
Expect(0, 6527, '\P{Is_Blk=	-Tai_LE}', "");
Expect(1, 6527, '\P{^Is_Blk=	-Tai_LE}', "");
Expect(0, 6528, '\p{Is_Blk=	-Tai_LE}', "");
Expect(1, 6528, '\p{^Is_Blk=	-Tai_LE}', "");
Expect(1, 6528, '\P{Is_Blk=	-Tai_LE}', "");
Expect(0, 6528, '\P{^Is_Blk=	-Tai_LE}', "");
Error('\p{Block=	/a/Tai_tham}');
Error('\P{Block=	/a/Tai_tham}');
Expect(1, 6831, '\p{Block=taitham}', "");
Expect(0, 6831, '\p{^Block=taitham}', "");
Expect(0, 6831, '\P{Block=taitham}', "");
Expect(1, 6831, '\P{^Block=taitham}', "");
Expect(0, 6832, '\p{Block=taitham}', "");
Expect(1, 6832, '\p{^Block=taitham}', "");
Expect(1, 6832, '\P{Block=taitham}', "");
Expect(0, 6832, '\P{^Block=taitham}', "");
Expect(1, 6831, '\p{Block=  Tai_tham}', "");
Expect(0, 6831, '\p{^Block=  Tai_tham}', "");
Expect(0, 6831, '\P{Block=  Tai_tham}', "");
Expect(1, 6831, '\P{^Block=  Tai_tham}', "");
Expect(0, 6832, '\p{Block=  Tai_tham}', "");
Expect(1, 6832, '\p{^Block=  Tai_tham}', "");
Expect(1, 6832, '\P{Block=  Tai_tham}', "");
Expect(0, 6832, '\P{^Block=  Tai_tham}', "");
Error('\p{Blk=/a/_-TAI_THAM}');
Error('\P{Blk=/a/_-TAI_THAM}');
Expect(1, 6831, '\p{Blk: taitham}', "");
Expect(0, 6831, '\p{^Blk: taitham}', "");
Expect(0, 6831, '\P{Blk: taitham}', "");
Expect(1, 6831, '\P{^Blk: taitham}', "");
Expect(0, 6832, '\p{Blk: taitham}', "");
Expect(1, 6832, '\p{^Blk: taitham}', "");
Expect(1, 6832, '\P{Blk: taitham}', "");
Expect(0, 6832, '\P{^Blk: taitham}', "");
Expect(1, 6831, '\p{Blk=-Tai_THAM}', "");
Expect(0, 6831, '\p{^Blk=-Tai_THAM}', "");
Expect(0, 6831, '\P{Blk=-Tai_THAM}', "");
Expect(1, 6831, '\P{^Blk=-Tai_THAM}', "");
Expect(0, 6832, '\p{Blk=-Tai_THAM}', "");
Expect(1, 6832, '\p{^Blk=-Tai_THAM}', "");
Expect(1, 6832, '\P{Blk=-Tai_THAM}', "");
Expect(0, 6832, '\P{^Blk=-Tai_THAM}', "");
Error('\p{Is_Block=/a/__TAI_Tham}');
Error('\P{Is_Block=/a/__TAI_Tham}');
Expect(1, 6831, '\p{Is_Block=taitham}', "");
Expect(0, 6831, '\p{^Is_Block=taitham}', "");
Expect(0, 6831, '\P{Is_Block=taitham}', "");
Expect(1, 6831, '\P{^Is_Block=taitham}', "");
Expect(0, 6832, '\p{Is_Block=taitham}', "");
Expect(1, 6832, '\p{^Is_Block=taitham}', "");
Expect(1, 6832, '\P{Is_Block=taitham}', "");
Expect(0, 6832, '\P{^Is_Block=taitham}', "");
Expect(1, 6831, '\p{Is_Block=--Tai_Tham}', "");
Expect(0, 6831, '\p{^Is_Block=--Tai_Tham}', "");
Expect(0, 6831, '\P{Is_Block=--Tai_Tham}', "");
Expect(1, 6831, '\P{^Is_Block=--Tai_Tham}', "");
Expect(0, 6832, '\p{Is_Block=--Tai_Tham}', "");
Expect(1, 6832, '\p{^Is_Block=--Tai_Tham}', "");
Expect(1, 6832, '\P{Is_Block=--Tai_Tham}', "");
Expect(0, 6832, '\P{^Is_Block=--Tai_Tham}', "");
Error('\p{Is_Blk=/a/	-Tai_tham}');
Error('\P{Is_Blk=/a/	-Tai_tham}');
Expect(1, 6831, '\p{Is_Blk=taitham}', "");
Expect(0, 6831, '\p{^Is_Blk=taitham}', "");
Expect(0, 6831, '\P{Is_Blk=taitham}', "");
Expect(1, 6831, '\P{^Is_Blk=taitham}', "");
Expect(0, 6832, '\p{Is_Blk=taitham}', "");
Expect(1, 6832, '\p{^Is_Blk=taitham}', "");
Expect(1, 6832, '\P{Is_Blk=taitham}', "");
Expect(0, 6832, '\P{^Is_Blk=taitham}', "");
Expect(1, 6831, '\p{Is_Blk= -TAI_tham}', "");
Expect(0, 6831, '\p{^Is_Blk= -TAI_tham}', "");
Expect(0, 6831, '\P{Is_Blk= -TAI_tham}', "");
Expect(1, 6831, '\P{^Is_Blk= -TAI_tham}', "");
Expect(0, 6832, '\p{Is_Blk= -TAI_tham}', "");
Expect(1, 6832, '\p{^Is_Blk= -TAI_tham}', "");
Expect(1, 6832, '\P{Is_Blk= -TAI_tham}', "");
Expect(0, 6832, '\P{^Is_Blk= -TAI_tham}', "");
Error('\p{Block=-Tai_Viet:=}');
Error('\P{Block=-Tai_Viet:=}');
Expect(1, 43743, '\p{Block=taiviet}', "");
Expect(0, 43743, '\p{^Block=taiviet}', "");
Expect(0, 43743, '\P{Block=taiviet}', "");
Expect(1, 43743, '\P{^Block=taiviet}', "");
Expect(0, 43744, '\p{Block=taiviet}', "");
Expect(1, 43744, '\p{^Block=taiviet}', "");
Expect(1, 43744, '\P{Block=taiviet}', "");
Expect(0, 43744, '\P{^Block=taiviet}', "");
Expect(1, 43743, '\p{Block= -Tai_Viet}', "");
Expect(0, 43743, '\p{^Block= -Tai_Viet}', "");
Expect(0, 43743, '\P{Block= -Tai_Viet}', "");
Expect(1, 43743, '\P{^Block= -Tai_Viet}', "");
Expect(0, 43744, '\p{Block= -Tai_Viet}', "");
Expect(1, 43744, '\p{^Block= -Tai_Viet}', "");
Expect(1, 43744, '\P{Block= -Tai_Viet}', "");
Expect(0, 43744, '\P{^Block= -Tai_Viet}', "");
Error('\p{Blk=/a/  tai_Viet}');
Error('\P{Blk=/a/  tai_Viet}');
Expect(1, 43743, '\p{Blk:taiviet}', "");
Expect(0, 43743, '\p{^Blk:taiviet}', "");
Expect(0, 43743, '\P{Blk:taiviet}', "");
Expect(1, 43743, '\P{^Blk:taiviet}', "");
Expect(0, 43744, '\p{Blk:taiviet}', "");
Expect(1, 43744, '\p{^Blk:taiviet}', "");
Expect(1, 43744, '\P{Blk:taiviet}', "");
Expect(0, 43744, '\P{^Blk:taiviet}', "");
Expect(1, 43743, '\p{Blk=	 Tai_Viet}', "");
Expect(0, 43743, '\p{^Blk=	 Tai_Viet}', "");
Expect(0, 43743, '\P{Blk=	 Tai_Viet}', "");
Expect(1, 43743, '\P{^Blk=	 Tai_Viet}', "");
Expect(0, 43744, '\p{Blk=	 Tai_Viet}', "");
Expect(1, 43744, '\p{^Blk=	 Tai_Viet}', "");
Expect(1, 43744, '\P{Blk=	 Tai_Viet}', "");
Expect(0, 43744, '\P{^Blk=	 Tai_Viet}', "");
Error('\p{Is_Block=_-tai_viet/a/}');
Error('\P{Is_Block=_-tai_viet/a/}');
Expect(1, 43743, '\p{Is_Block=taiviet}', "");
Expect(0, 43743, '\p{^Is_Block=taiviet}', "");
Expect(0, 43743, '\P{Is_Block=taiviet}', "");
Expect(1, 43743, '\P{^Is_Block=taiviet}', "");
Expect(0, 43744, '\p{Is_Block=taiviet}', "");
Expect(1, 43744, '\p{^Is_Block=taiviet}', "");
Expect(1, 43744, '\P{Is_Block=taiviet}', "");
Expect(0, 43744, '\P{^Is_Block=taiviet}', "");
Expect(1, 43743, '\p{Is_Block=Tai_VIET}', "");
Expect(0, 43743, '\p{^Is_Block=Tai_VIET}', "");
Expect(0, 43743, '\P{Is_Block=Tai_VIET}', "");
Expect(1, 43743, '\P{^Is_Block=Tai_VIET}', "");
Expect(0, 43744, '\p{Is_Block=Tai_VIET}', "");
Expect(1, 43744, '\p{^Is_Block=Tai_VIET}', "");
Expect(1, 43744, '\P{Is_Block=Tai_VIET}', "");
Expect(0, 43744, '\P{^Is_Block=Tai_VIET}', "");
Error('\p{Is_Blk:   	 tai_Viet/a/}');
Error('\P{Is_Blk:   	 tai_Viet/a/}');
Expect(1, 43743, '\p{Is_Blk:taiviet}', "");
Expect(0, 43743, '\p{^Is_Blk:taiviet}', "");
Expect(0, 43743, '\P{Is_Blk:taiviet}', "");
Expect(1, 43743, '\P{^Is_Blk:taiviet}', "");
Expect(0, 43744, '\p{Is_Blk:taiviet}', "");
Expect(1, 43744, '\p{^Is_Blk:taiviet}', "");
Expect(1, 43744, '\P{Is_Blk:taiviet}', "");
Expect(0, 43744, '\P{^Is_Blk:taiviet}', "");
Expect(1, 43743, '\p{Is_Blk=Tai_VIET}', "");
Expect(0, 43743, '\p{^Is_Blk=Tai_VIET}', "");
Expect(0, 43743, '\P{Is_Blk=Tai_VIET}', "");
Expect(1, 43743, '\P{^Is_Blk=Tai_VIET}', "");
Expect(0, 43744, '\p{Is_Blk=Tai_VIET}', "");
Expect(1, 43744, '\p{^Is_Blk=Tai_VIET}', "");
Expect(1, 43744, '\P{Is_Blk=Tai_VIET}', "");
Expect(0, 43744, '\P{^Is_Blk=Tai_VIET}', "");
Error('\p{Block=-	Tai_xuan_Jing_Symbols/a/}');
Error('\P{Block=-	Tai_xuan_Jing_Symbols/a/}');
Expect(1, 119647, '\p{Block=taixuanjingsymbols}', "");
Expect(0, 119647, '\p{^Block=taixuanjingsymbols}', "");
Expect(0, 119647, '\P{Block=taixuanjingsymbols}', "");
Expect(1, 119647, '\P{^Block=taixuanjingsymbols}', "");
Expect(0, 119648, '\p{Block=taixuanjingsymbols}', "");
Expect(1, 119648, '\p{^Block=taixuanjingsymbols}', "");
Expect(1, 119648, '\P{Block=taixuanjingsymbols}', "");
Expect(0, 119648, '\P{^Block=taixuanjingsymbols}', "");
Expect(1, 119647, '\p{Block=	Tai_Xuan_jing_Symbols}', "");
Expect(0, 119647, '\p{^Block=	Tai_Xuan_jing_Symbols}', "");
Expect(0, 119647, '\P{Block=	Tai_Xuan_jing_Symbols}', "");
Expect(1, 119647, '\P{^Block=	Tai_Xuan_jing_Symbols}', "");
Expect(0, 119648, '\p{Block=	Tai_Xuan_jing_Symbols}', "");
Expect(1, 119648, '\p{^Block=	Tai_Xuan_jing_Symbols}', "");
Expect(1, 119648, '\P{Block=	Tai_Xuan_jing_Symbols}', "");
Expect(0, 119648, '\P{^Block=	Tai_Xuan_jing_Symbols}', "");
Error('\p{Blk=--TAI_Xuan_Jing/a/}');
Error('\P{Blk=--TAI_Xuan_Jing/a/}');
Expect(1, 119647, '\p{Blk=taixuanjing}', "");
Expect(0, 119647, '\p{^Blk=taixuanjing}', "");
Expect(0, 119647, '\P{Blk=taixuanjing}', "");
Expect(1, 119647, '\P{^Blk=taixuanjing}', "");
Expect(0, 119648, '\p{Blk=taixuanjing}', "");
Expect(1, 119648, '\p{^Blk=taixuanjing}', "");
Expect(1, 119648, '\P{Blk=taixuanjing}', "");
Expect(0, 119648, '\P{^Blk=taixuanjing}', "");
Expect(1, 119647, '\p{Blk=- tai_XUAN_JING}', "");
Expect(0, 119647, '\p{^Blk=- tai_XUAN_JING}', "");
Expect(0, 119647, '\P{Blk=- tai_XUAN_JING}', "");
Expect(1, 119647, '\P{^Blk=- tai_XUAN_JING}', "");
Expect(0, 119648, '\p{Blk=- tai_XUAN_JING}', "");
Expect(1, 119648, '\p{^Blk=- tai_XUAN_JING}', "");
Expect(1, 119648, '\P{Blk=- tai_XUAN_JING}', "");
Expect(0, 119648, '\P{^Blk=- tai_XUAN_JING}', "");
Error('\p{Is_Block=/a/TAI_xuan_Jing_Symbols}');
Error('\P{Is_Block=/a/TAI_xuan_Jing_Symbols}');
Expect(1, 119647, '\p{Is_Block=taixuanjingsymbols}', "");
Expect(0, 119647, '\p{^Is_Block=taixuanjingsymbols}', "");
Expect(0, 119647, '\P{Is_Block=taixuanjingsymbols}', "");
Expect(1, 119647, '\P{^Is_Block=taixuanjingsymbols}', "");
Expect(0, 119648, '\p{Is_Block=taixuanjingsymbols}', "");
Expect(1, 119648, '\p{^Is_Block=taixuanjingsymbols}', "");
Expect(1, 119648, '\P{Is_Block=taixuanjingsymbols}', "");
Expect(0, 119648, '\P{^Is_Block=taixuanjingsymbols}', "");
Expect(1, 119647, '\p{Is_Block:  TAI_Xuan_JING_Symbols}', "");
Expect(0, 119647, '\p{^Is_Block:  TAI_Xuan_JING_Symbols}', "");
Expect(0, 119647, '\P{Is_Block:  TAI_Xuan_JING_Symbols}', "");
Expect(1, 119647, '\P{^Is_Block:  TAI_Xuan_JING_Symbols}', "");
Expect(0, 119648, '\p{Is_Block:  TAI_Xuan_JING_Symbols}', "");
Expect(1, 119648, '\p{^Is_Block:  TAI_Xuan_JING_Symbols}', "");
Expect(1, 119648, '\P{Is_Block:  TAI_Xuan_JING_Symbols}', "");
Expect(0, 119648, '\P{^Is_Block:  TAI_Xuan_JING_Symbols}', "");
Error('\p{Is_Blk=_/a/TAI_XUAN_Jing}');
Error('\P{Is_Blk=_/a/TAI_XUAN_Jing}');
Expect(1, 119647, '\p{Is_Blk=taixuanjing}', "");
Expect(0, 119647, '\p{^Is_Blk=taixuanjing}', "");
Expect(0, 119647, '\P{Is_Blk=taixuanjing}', "");
Expect(1, 119647, '\P{^Is_Blk=taixuanjing}', "");
Expect(0, 119648, '\p{Is_Blk=taixuanjing}', "");
Expect(1, 119648, '\p{^Is_Blk=taixuanjing}', "");
Expect(1, 119648, '\P{Is_Blk=taixuanjing}', "");
Expect(0, 119648, '\P{^Is_Blk=taixuanjing}', "");
Expect(1, 119647, '\p{Is_Blk=-_tai_XUAN_Jing}', "");
Expect(0, 119647, '\p{^Is_Blk=-_tai_XUAN_Jing}', "");
Expect(0, 119647, '\P{Is_Blk=-_tai_XUAN_Jing}', "");
Expect(1, 119647, '\P{^Is_Blk=-_tai_XUAN_Jing}', "");
Expect(0, 119648, '\p{Is_Blk=-_tai_XUAN_Jing}', "");
Expect(1, 119648, '\p{^Is_Blk=-_tai_XUAN_Jing}', "");
Expect(1, 119648, '\P{Is_Blk=-_tai_XUAN_Jing}', "");
Expect(0, 119648, '\P{^Is_Blk=-_tai_XUAN_Jing}', "");
Error('\p{Block=	_Takri:=}');
Error('\P{Block=	_Takri:=}');
Expect(1, 71375, '\p{Block=takri}', "");
Expect(0, 71375, '\p{^Block=takri}', "");
Expect(0, 71375, '\P{Block=takri}', "");
Expect(1, 71375, '\P{^Block=takri}', "");
Expect(0, 71376, '\p{Block=takri}', "");
Expect(1, 71376, '\p{^Block=takri}', "");
Expect(1, 71376, '\P{Block=takri}', "");
Expect(0, 71376, '\P{^Block=takri}', "");
Expect(1, 71375, '\p{Block=--takri}', "");
Expect(0, 71375, '\p{^Block=--takri}', "");
Expect(0, 71375, '\P{Block=--takri}', "");
Expect(1, 71375, '\P{^Block=--takri}', "");
Expect(0, 71376, '\p{Block=--takri}', "");
Expect(1, 71376, '\p{^Block=--takri}', "");
Expect(1, 71376, '\P{Block=--takri}', "");
Expect(0, 71376, '\P{^Block=--takri}', "");
Error('\p{Blk:   /a/Takri}');
Error('\P{Blk:   /a/Takri}');
Expect(1, 71375, '\p{Blk:	takri}', "");
Expect(0, 71375, '\p{^Blk:	takri}', "");
Expect(0, 71375, '\P{Blk:	takri}', "");
Expect(1, 71375, '\P{^Blk:	takri}', "");
Expect(0, 71376, '\p{Blk:	takri}', "");
Expect(1, 71376, '\p{^Blk:	takri}', "");
Expect(1, 71376, '\P{Blk:	takri}', "");
Expect(0, 71376, '\P{^Blk:	takri}', "");
Expect(1, 71375, '\p{Blk=_ takri}', "");
Expect(0, 71375, '\p{^Blk=_ takri}', "");
Expect(0, 71375, '\P{Blk=_ takri}', "");
Expect(1, 71375, '\P{^Blk=_ takri}', "");
Expect(0, 71376, '\p{Blk=_ takri}', "");
Expect(1, 71376, '\p{^Blk=_ takri}', "");
Expect(1, 71376, '\P{Blk=_ takri}', "");
Expect(0, 71376, '\P{^Blk=_ takri}', "");
Error('\p{Is_Block=:=_ TAKRI}');
Error('\P{Is_Block=:=_ TAKRI}');
Expect(1, 71375, '\p{Is_Block=takri}', "");
Expect(0, 71375, '\p{^Is_Block=takri}', "");
Expect(0, 71375, '\P{Is_Block=takri}', "");
Expect(1, 71375, '\P{^Is_Block=takri}', "");
Expect(0, 71376, '\p{Is_Block=takri}', "");
Expect(1, 71376, '\p{^Is_Block=takri}', "");
Expect(1, 71376, '\P{Is_Block=takri}', "");
Expect(0, 71376, '\P{^Is_Block=takri}', "");
Expect(1, 71375, '\p{Is_Block:   	Takri}', "");
Expect(0, 71375, '\p{^Is_Block:   	Takri}', "");
Expect(0, 71375, '\P{Is_Block:   	Takri}', "");
Expect(1, 71375, '\P{^Is_Block:   	Takri}', "");
Expect(0, 71376, '\p{Is_Block:   	Takri}', "");
Expect(1, 71376, '\p{^Is_Block:   	Takri}', "");
Expect(1, 71376, '\P{Is_Block:   	Takri}', "");
Expect(0, 71376, '\P{^Is_Block:   	Takri}', "");
Error('\p{Is_Blk=_/a/Takri}');
Error('\P{Is_Blk=_/a/Takri}');
Expect(1, 71375, '\p{Is_Blk=takri}', "");
Expect(0, 71375, '\p{^Is_Blk=takri}', "");
Expect(0, 71375, '\P{Is_Blk=takri}', "");
Expect(1, 71375, '\P{^Is_Blk=takri}', "");
Expect(0, 71376, '\p{Is_Blk=takri}', "");
Expect(1, 71376, '\p{^Is_Blk=takri}', "");
Expect(1, 71376, '\P{Is_Blk=takri}', "");
Expect(0, 71376, '\P{^Is_Blk=takri}', "");
Expect(1, 71375, '\p{Is_Blk= _Takri}', "");
Expect(0, 71375, '\p{^Is_Blk= _Takri}', "");
Expect(0, 71375, '\P{Is_Blk= _Takri}', "");
Expect(1, 71375, '\P{^Is_Blk= _Takri}', "");
Expect(0, 71376, '\p{Is_Blk= _Takri}', "");
Expect(1, 71376, '\p{^Is_Blk= _Takri}', "");
Expect(1, 71376, '\P{Is_Blk= _Takri}', "");
Expect(0, 71376, '\P{^Is_Blk= _Takri}', "");
Error('\p{Block=:=__Tamil}');
Error('\P{Block=:=__Tamil}');
Expect(1, 3071, '\p{Block=tamil}', "");
Expect(0, 3071, '\p{^Block=tamil}', "");
Expect(0, 3071, '\P{Block=tamil}', "");
Expect(1, 3071, '\P{^Block=tamil}', "");
Expect(0, 3072, '\p{Block=tamil}', "");
Expect(1, 3072, '\p{^Block=tamil}', "");
Expect(1, 3072, '\P{Block=tamil}', "");
Expect(0, 3072, '\P{^Block=tamil}', "");
Expect(1, 3071, '\p{Block= Tamil}', "");
Expect(0, 3071, '\p{^Block= Tamil}', "");
Expect(0, 3071, '\P{Block= Tamil}', "");
Expect(1, 3071, '\P{^Block= Tamil}', "");
Expect(0, 3072, '\p{Block= Tamil}', "");
Expect(1, 3072, '\p{^Block= Tamil}', "");
Expect(1, 3072, '\P{Block= Tamil}', "");
Expect(0, 3072, '\P{^Block= Tamil}', "");
Error('\p{Blk= /a/Tamil}');
Error('\P{Blk= /a/Tamil}');
Expect(1, 3071, '\p{Blk=tamil}', "");
Expect(0, 3071, '\p{^Blk=tamil}', "");
Expect(0, 3071, '\P{Blk=tamil}', "");
Expect(1, 3071, '\P{^Blk=tamil}', "");
Expect(0, 3072, '\p{Blk=tamil}', "");
Expect(1, 3072, '\p{^Blk=tamil}', "");
Expect(1, 3072, '\P{Blk=tamil}', "");
Expect(0, 3072, '\P{^Blk=tamil}', "");
Expect(1, 3071, '\p{Blk= _tamil}', "");
Expect(0, 3071, '\p{^Blk= _tamil}', "");
Expect(0, 3071, '\P{Blk= _tamil}', "");
Expect(1, 3071, '\P{^Blk= _tamil}', "");
Expect(0, 3072, '\p{Blk= _tamil}', "");
Expect(1, 3072, '\p{^Blk= _tamil}', "");
Expect(1, 3072, '\P{Blk= _tamil}', "");
Expect(0, 3072, '\P{^Blk= _tamil}', "");
Error('\p{Is_Block=/a/- TAMIL}');
Error('\P{Is_Block=/a/- TAMIL}');
Expect(1, 3071, '\p{Is_Block=tamil}', "");
Expect(0, 3071, '\p{^Is_Block=tamil}', "");
Expect(0, 3071, '\P{Is_Block=tamil}', "");
Expect(1, 3071, '\P{^Is_Block=tamil}', "");
Expect(0, 3072, '\p{Is_Block=tamil}', "");
Expect(1, 3072, '\p{^Is_Block=tamil}', "");
Expect(1, 3072, '\P{Is_Block=tamil}', "");
Expect(0, 3072, '\P{^Is_Block=tamil}', "");
Expect(1, 3071, '\p{Is_Block= 	tamil}', "");
Expect(0, 3071, '\p{^Is_Block= 	tamil}', "");
Expect(0, 3071, '\P{Is_Block= 	tamil}', "");
Expect(1, 3071, '\P{^Is_Block= 	tamil}', "");
Expect(0, 3072, '\p{Is_Block= 	tamil}', "");
Expect(1, 3072, '\p{^Is_Block= 	tamil}', "");
Expect(1, 3072, '\P{Is_Block= 	tamil}', "");
Expect(0, 3072, '\P{^Is_Block= 	tamil}', "");
Error('\p{Is_Blk= Tamil/a/}');
Error('\P{Is_Blk= Tamil/a/}');
Expect(1, 3071, '\p{Is_Blk=tamil}', "");
Expect(0, 3071, '\p{^Is_Blk=tamil}', "");
Expect(0, 3071, '\P{Is_Blk=tamil}', "");
Expect(1, 3071, '\P{^Is_Blk=tamil}', "");
Expect(0, 3072, '\p{Is_Blk=tamil}', "");
Expect(1, 3072, '\p{^Is_Blk=tamil}', "");
Expect(1, 3072, '\P{Is_Blk=tamil}', "");
Expect(0, 3072, '\P{^Is_Blk=tamil}', "");
Expect(1, 3071, '\p{Is_Blk=	Tamil}', "");
Expect(0, 3071, '\p{^Is_Blk=	Tamil}', "");
Expect(0, 3071, '\P{Is_Blk=	Tamil}', "");
Expect(1, 3071, '\P{^Is_Blk=	Tamil}', "");
Expect(0, 3072, '\p{Is_Blk=	Tamil}', "");
Expect(1, 3072, '\p{^Is_Blk=	Tamil}', "");
Expect(1, 3072, '\P{Is_Blk=	Tamil}', "");
Expect(0, 3072, '\P{^Is_Blk=	Tamil}', "");
Error('\p{Block=	/a/Telugu}');
Error('\P{Block=	/a/Telugu}');
Expect(1, 3199, '\p{Block=telugu}', "");
Expect(0, 3199, '\p{^Block=telugu}', "");
Expect(0, 3199, '\P{Block=telugu}', "");
Expect(1, 3199, '\P{^Block=telugu}', "");
Expect(0, 3200, '\p{Block=telugu}', "");
Expect(1, 3200, '\p{^Block=telugu}', "");
Expect(1, 3200, '\P{Block=telugu}', "");
Expect(0, 3200, '\P{^Block=telugu}', "");
Expect(1, 3199, '\p{Block=		Telugu}', "");
Expect(0, 3199, '\p{^Block=		Telugu}', "");
Expect(0, 3199, '\P{Block=		Telugu}', "");
Expect(1, 3199, '\P{^Block=		Telugu}', "");
Expect(0, 3200, '\p{Block=		Telugu}', "");
Expect(1, 3200, '\p{^Block=		Telugu}', "");
Expect(1, 3200, '\P{Block=		Telugu}', "");
Expect(0, 3200, '\P{^Block=		Telugu}', "");
Error('\p{Blk=_	Telugu/a/}');
Error('\P{Blk=_	Telugu/a/}');
Expect(1, 3199, '\p{Blk=telugu}', "");
Expect(0, 3199, '\p{^Blk=telugu}', "");
Expect(0, 3199, '\P{Blk=telugu}', "");
Expect(1, 3199, '\P{^Blk=telugu}', "");
Expect(0, 3200, '\p{Blk=telugu}', "");
Expect(1, 3200, '\p{^Blk=telugu}', "");
Expect(1, 3200, '\P{Blk=telugu}', "");
Expect(0, 3200, '\P{^Blk=telugu}', "");
Expect(1, 3199, '\p{Blk=_telugu}', "");
Expect(0, 3199, '\p{^Blk=_telugu}', "");
Expect(0, 3199, '\P{Blk=_telugu}', "");
Expect(1, 3199, '\P{^Blk=_telugu}', "");
Expect(0, 3200, '\p{Blk=_telugu}', "");
Expect(1, 3200, '\p{^Blk=_telugu}', "");
Expect(1, 3200, '\P{Blk=_telugu}', "");
Expect(0, 3200, '\P{^Blk=_telugu}', "");
Error('\p{Is_Block= _Telugu:=}');
Error('\P{Is_Block= _Telugu:=}');
Expect(1, 3199, '\p{Is_Block=telugu}', "");
Expect(0, 3199, '\p{^Is_Block=telugu}', "");
Expect(0, 3199, '\P{Is_Block=telugu}', "");
Expect(1, 3199, '\P{^Is_Block=telugu}', "");
Expect(0, 3200, '\p{Is_Block=telugu}', "");
Expect(1, 3200, '\p{^Is_Block=telugu}', "");
Expect(1, 3200, '\P{Is_Block=telugu}', "");
Expect(0, 3200, '\P{^Is_Block=telugu}', "");
Expect(1, 3199, '\p{Is_Block:	  Telugu}', "");
Expect(0, 3199, '\p{^Is_Block:	  Telugu}', "");
Expect(0, 3199, '\P{Is_Block:	  Telugu}', "");
Expect(1, 3199, '\P{^Is_Block:	  Telugu}', "");
Expect(0, 3200, '\p{Is_Block:	  Telugu}', "");
Expect(1, 3200, '\p{^Is_Block:	  Telugu}', "");
Expect(1, 3200, '\P{Is_Block:	  Telugu}', "");
Expect(0, 3200, '\P{^Is_Block:	  Telugu}', "");
Error('\p{Is_Blk=-/a/Telugu}');
Error('\P{Is_Blk=-/a/Telugu}');
Expect(1, 3199, '\p{Is_Blk=telugu}', "");
Expect(0, 3199, '\p{^Is_Blk=telugu}', "");
Expect(0, 3199, '\P{Is_Blk=telugu}', "");
Expect(1, 3199, '\P{^Is_Blk=telugu}', "");
Expect(0, 3200, '\p{Is_Blk=telugu}', "");
Expect(1, 3200, '\p{^Is_Blk=telugu}', "");
Expect(1, 3200, '\P{Is_Blk=telugu}', "");
Expect(0, 3200, '\P{^Is_Blk=telugu}', "");
Expect(1, 3199, '\p{Is_Blk= _telugu}', "");
Expect(0, 3199, '\p{^Is_Blk= _telugu}', "");
Expect(0, 3199, '\P{Is_Blk= _telugu}', "");
Expect(1, 3199, '\P{^Is_Blk= _telugu}', "");
Expect(0, 3200, '\p{Is_Blk= _telugu}', "");
Expect(1, 3200, '\p{^Is_Blk= _telugu}', "");
Expect(1, 3200, '\P{Is_Blk= _telugu}', "");
Expect(0, 3200, '\P{^Is_Blk= _telugu}', "");
Error('\p{Block=thaana:=}');
Error('\P{Block=thaana:=}');
Expect(1, 1983, '\p{Block=thaana}', "");
Expect(0, 1983, '\p{^Block=thaana}', "");
Expect(0, 1983, '\P{Block=thaana}', "");
Expect(1, 1983, '\P{^Block=thaana}', "");
Expect(0, 1984, '\p{Block=thaana}', "");
Expect(1, 1984, '\p{^Block=thaana}', "");
Expect(1, 1984, '\P{Block=thaana}', "");
Expect(0, 1984, '\P{^Block=thaana}', "");
Expect(1, 1983, '\p{Block:_	THAANA}', "");
Expect(0, 1983, '\p{^Block:_	THAANA}', "");
Expect(0, 1983, '\P{Block:_	THAANA}', "");
Expect(1, 1983, '\P{^Block:_	THAANA}', "");
Expect(0, 1984, '\p{Block:_	THAANA}', "");
Expect(1, 1984, '\p{^Block:_	THAANA}', "");
Expect(1, 1984, '\P{Block:_	THAANA}', "");
Expect(0, 1984, '\P{^Block:_	THAANA}', "");
Error('\p{Blk:_thaana/a/}');
Error('\P{Blk:_thaana/a/}');
Expect(1, 1983, '\p{Blk=thaana}', "");
Expect(0, 1983, '\p{^Blk=thaana}', "");
Expect(0, 1983, '\P{Blk=thaana}', "");
Expect(1, 1983, '\P{^Blk=thaana}', "");
Expect(0, 1984, '\p{Blk=thaana}', "");
Expect(1, 1984, '\p{^Blk=thaana}', "");
Expect(1, 1984, '\P{Blk=thaana}', "");
Expect(0, 1984, '\P{^Blk=thaana}', "");
Expect(1, 1983, '\p{Blk=	-Thaana}', "");
Expect(0, 1983, '\p{^Blk=	-Thaana}', "");
Expect(0, 1983, '\P{Blk=	-Thaana}', "");
Expect(1, 1983, '\P{^Blk=	-Thaana}', "");
Expect(0, 1984, '\p{Blk=	-Thaana}', "");
Expect(1, 1984, '\p{^Blk=	-Thaana}', "");
Expect(1, 1984, '\P{Blk=	-Thaana}', "");
Expect(0, 1984, '\P{^Blk=	-Thaana}', "");
Error('\p{Is_Block=:= Thaana}');
Error('\P{Is_Block=:= Thaana}');
Expect(1, 1983, '\p{Is_Block=thaana}', "");
Expect(0, 1983, '\p{^Is_Block=thaana}', "");
Expect(0, 1983, '\P{Is_Block=thaana}', "");
Expect(1, 1983, '\P{^Is_Block=thaana}', "");
Expect(0, 1984, '\p{Is_Block=thaana}', "");
Expect(1, 1984, '\p{^Is_Block=thaana}', "");
Expect(1, 1984, '\P{Is_Block=thaana}', "");
Expect(0, 1984, '\P{^Is_Block=thaana}', "");
Expect(1, 1983, '\p{Is_Block=	 THAANA}', "");
Expect(0, 1983, '\p{^Is_Block=	 THAANA}', "");
Expect(0, 1983, '\P{Is_Block=	 THAANA}', "");
Expect(1, 1983, '\P{^Is_Block=	 THAANA}', "");
Expect(0, 1984, '\p{Is_Block=	 THAANA}', "");
Expect(1, 1984, '\p{^Is_Block=	 THAANA}', "");
Expect(1, 1984, '\P{Is_Block=	 THAANA}', "");
Expect(0, 1984, '\P{^Is_Block=	 THAANA}', "");
Error('\p{Is_Blk=/a/ Thaana}');
Error('\P{Is_Blk=/a/ Thaana}');
Expect(1, 1983, '\p{Is_Blk=thaana}', "");
Expect(0, 1983, '\p{^Is_Blk=thaana}', "");
Expect(0, 1983, '\P{Is_Blk=thaana}', "");
Expect(1, 1983, '\P{^Is_Blk=thaana}', "");
Expect(0, 1984, '\p{Is_Blk=thaana}', "");
Expect(1, 1984, '\p{^Is_Blk=thaana}', "");
Expect(1, 1984, '\P{Is_Blk=thaana}', "");
Expect(0, 1984, '\P{^Is_Blk=thaana}', "");
Expect(1, 1983, '\p{Is_Blk:	_thaana}', "");
Expect(0, 1983, '\p{^Is_Blk:	_thaana}', "");
Expect(0, 1983, '\P{Is_Blk:	_thaana}', "");
Expect(1, 1983, '\P{^Is_Blk:	_thaana}', "");
Expect(0, 1984, '\p{Is_Blk:	_thaana}', "");
Expect(1, 1984, '\p{^Is_Blk:	_thaana}', "");
Expect(1, 1984, '\P{Is_Blk:	_thaana}', "");
Expect(0, 1984, '\P{^Is_Blk:	_thaana}', "");
Error('\p{Block=-/a/thai}');
Error('\P{Block=-/a/thai}');
Expect(1, 3711, '\p{Block=thai}', "");
Expect(0, 3711, '\p{^Block=thai}', "");
Expect(0, 3711, '\P{Block=thai}', "");
Expect(1, 3711, '\P{^Block=thai}', "");
Expect(0, 3712, '\p{Block=thai}', "");
Expect(1, 3712, '\p{^Block=thai}', "");
Expect(1, 3712, '\P{Block=thai}', "");
Expect(0, 3712, '\P{^Block=thai}', "");
Expect(1, 3711, '\p{Block=- thai}', "");
Expect(0, 3711, '\p{^Block=- thai}', "");
Expect(0, 3711, '\P{Block=- thai}', "");
Expect(1, 3711, '\P{^Block=- thai}', "");
Expect(0, 3712, '\p{Block=- thai}', "");
Expect(1, 3712, '\p{^Block=- thai}', "");
Expect(1, 3712, '\P{Block=- thai}', "");
Expect(0, 3712, '\P{^Block=- thai}', "");
Error('\p{Blk=-:=thai}');
Error('\P{Blk=-:=thai}');
Expect(1, 3711, '\p{Blk:	thai}', "");
Expect(0, 3711, '\p{^Blk:	thai}', "");
Expect(0, 3711, '\P{Blk:	thai}', "");
Expect(1, 3711, '\P{^Blk:	thai}', "");
Expect(0, 3712, '\p{Blk:	thai}', "");
Expect(1, 3712, '\p{^Blk:	thai}', "");
Expect(1, 3712, '\P{Blk:	thai}', "");
Expect(0, 3712, '\P{^Blk:	thai}', "");
Expect(1, 3711, '\p{Blk:   	THAI}', "");
Expect(0, 3711, '\p{^Blk:   	THAI}', "");
Expect(0, 3711, '\P{Blk:   	THAI}', "");
Expect(1, 3711, '\P{^Blk:   	THAI}', "");
Expect(0, 3712, '\p{Blk:   	THAI}', "");
Expect(1, 3712, '\p{^Blk:   	THAI}', "");
Expect(1, 3712, '\P{Blk:   	THAI}', "");
Expect(0, 3712, '\P{^Blk:   	THAI}', "");
Error('\p{Is_Block=/a/ Thai}');
Error('\P{Is_Block=/a/ Thai}');
Expect(1, 3711, '\p{Is_Block=thai}', "");
Expect(0, 3711, '\p{^Is_Block=thai}', "");
Expect(0, 3711, '\P{Is_Block=thai}', "");
Expect(1, 3711, '\P{^Is_Block=thai}', "");
Expect(0, 3712, '\p{Is_Block=thai}', "");
Expect(1, 3712, '\p{^Is_Block=thai}', "");
Expect(1, 3712, '\P{Is_Block=thai}', "");
Expect(0, 3712, '\P{^Is_Block=thai}', "");
Expect(1, 3711, '\p{Is_Block:   -thai}', "");
Expect(0, 3711, '\p{^Is_Block:   -thai}', "");
Expect(0, 3711, '\P{Is_Block:   -thai}', "");
Expect(1, 3711, '\P{^Is_Block:   -thai}', "");
Expect(0, 3712, '\p{Is_Block:   -thai}', "");
Expect(1, 3712, '\p{^Is_Block:   -thai}', "");
Expect(1, 3712, '\P{Is_Block:   -thai}', "");
Expect(0, 3712, '\P{^Is_Block:   -thai}', "");
Error('\p{Is_Blk=_:=thai}');
Error('\P{Is_Blk=_:=thai}');
Expect(1, 3711, '\p{Is_Blk=thai}', "");
Expect(0, 3711, '\p{^Is_Blk=thai}', "");
Expect(0, 3711, '\P{Is_Blk=thai}', "");
Expect(1, 3711, '\P{^Is_Blk=thai}', "");
Expect(0, 3712, '\p{Is_Blk=thai}', "");
Expect(1, 3712, '\p{^Is_Blk=thai}', "");
Expect(1, 3712, '\P{Is_Blk=thai}', "");
Expect(0, 3712, '\P{^Is_Blk=thai}', "");
Expect(1, 3711, '\p{Is_Blk:    thai}', "");
Expect(0, 3711, '\p{^Is_Blk:    thai}', "");
Expect(0, 3711, '\P{Is_Blk:    thai}', "");
Expect(1, 3711, '\P{^Is_Blk:    thai}', "");
Expect(0, 3712, '\p{Is_Blk:    thai}', "");
Expect(1, 3712, '\p{^Is_Blk:    thai}', "");
Expect(1, 3712, '\P{Is_Blk:    thai}', "");
Expect(0, 3712, '\P{^Is_Blk:    thai}', "");
Error('\p{Block=-TIBETAN/a/}');
Error('\P{Block=-TIBETAN/a/}');
Expect(1, 4095, '\p{Block: tibetan}', "");
Expect(0, 4095, '\p{^Block: tibetan}', "");
Expect(0, 4095, '\P{Block: tibetan}', "");
Expect(1, 4095, '\P{^Block: tibetan}', "");
Expect(0, 4096, '\p{Block: tibetan}', "");
Expect(1, 4096, '\p{^Block: tibetan}', "");
Expect(1, 4096, '\P{Block: tibetan}', "");
Expect(0, 4096, '\P{^Block: tibetan}', "");
Expect(1, 4095, '\p{Block= 	Tibetan}', "");
Expect(0, 4095, '\p{^Block= 	Tibetan}', "");
Expect(0, 4095, '\P{Block= 	Tibetan}', "");
Expect(1, 4095, '\P{^Block= 	Tibetan}', "");
Expect(0, 4096, '\p{Block= 	Tibetan}', "");
Expect(1, 4096, '\p{^Block= 	Tibetan}', "");
Expect(1, 4096, '\P{Block= 	Tibetan}', "");
Expect(0, 4096, '\P{^Block= 	Tibetan}', "");
Error('\p{Blk:	_	Tibetan/a/}');
Error('\P{Blk:	_	Tibetan/a/}');
Expect(1, 4095, '\p{Blk=tibetan}', "");
Expect(0, 4095, '\p{^Blk=tibetan}', "");
Expect(0, 4095, '\P{Blk=tibetan}', "");
Expect(1, 4095, '\P{^Blk=tibetan}', "");
Expect(0, 4096, '\p{Blk=tibetan}', "");
Expect(1, 4096, '\p{^Blk=tibetan}', "");
Expect(1, 4096, '\P{Blk=tibetan}', "");
Expect(0, 4096, '\P{^Blk=tibetan}', "");
Expect(1, 4095, '\p{Blk=- TIBETAN}', "");
Expect(0, 4095, '\p{^Blk=- TIBETAN}', "");
Expect(0, 4095, '\P{Blk=- TIBETAN}', "");
Expect(1, 4095, '\P{^Blk=- TIBETAN}', "");
Expect(0, 4096, '\p{Blk=- TIBETAN}', "");
Expect(1, 4096, '\p{^Blk=- TIBETAN}', "");
Expect(1, 4096, '\P{Blk=- TIBETAN}', "");
Expect(0, 4096, '\P{^Blk=- TIBETAN}', "");
Error('\p{Is_Block=/a/--Tibetan}');
Error('\P{Is_Block=/a/--Tibetan}');
Expect(1, 4095, '\p{Is_Block=tibetan}', "");
Expect(0, 4095, '\p{^Is_Block=tibetan}', "");
Expect(0, 4095, '\P{Is_Block=tibetan}', "");
Expect(1, 4095, '\P{^Is_Block=tibetan}', "");
Expect(0, 4096, '\p{Is_Block=tibetan}', "");
Expect(1, 4096, '\p{^Is_Block=tibetan}', "");
Expect(1, 4096, '\P{Is_Block=tibetan}', "");
Expect(0, 4096, '\P{^Is_Block=tibetan}', "");
Expect(1, 4095, '\p{Is_Block=_tibetan}', "");
Expect(0, 4095, '\p{^Is_Block=_tibetan}', "");
Expect(0, 4095, '\P{Is_Block=_tibetan}', "");
Expect(1, 4095, '\P{^Is_Block=_tibetan}', "");
Expect(0, 4096, '\p{Is_Block=_tibetan}', "");
Expect(1, 4096, '\p{^Is_Block=_tibetan}', "");
Expect(1, 4096, '\P{Is_Block=_tibetan}', "");
Expect(0, 4096, '\P{^Is_Block=_tibetan}', "");
Error('\p{Is_Blk=_-Tibetan:=}');
Error('\P{Is_Blk=_-Tibetan:=}');
Expect(1, 4095, '\p{Is_Blk=tibetan}', "");
Expect(0, 4095, '\p{^Is_Blk=tibetan}', "");
Expect(0, 4095, '\P{Is_Blk=tibetan}', "");
Expect(1, 4095, '\P{^Is_Blk=tibetan}', "");
Expect(0, 4096, '\p{Is_Blk=tibetan}', "");
Expect(1, 4096, '\p{^Is_Blk=tibetan}', "");
Expect(1, 4096, '\P{Is_Blk=tibetan}', "");
Expect(0, 4096, '\P{^Is_Blk=tibetan}', "");
Expect(1, 4095, '\p{Is_Blk=		Tibetan}', "");
Expect(0, 4095, '\p{^Is_Blk=		Tibetan}', "");
Expect(0, 4095, '\P{Is_Blk=		Tibetan}', "");
Expect(1, 4095, '\P{^Is_Blk=		Tibetan}', "");
Expect(0, 4096, '\p{Is_Blk=		Tibetan}', "");
Expect(1, 4096, '\p{^Is_Blk=		Tibetan}', "");
Expect(1, 4096, '\P{Is_Blk=		Tibetan}', "");
Expect(0, 4096, '\P{^Is_Blk=		Tibetan}', "");
Error('\p{Block=-:=tifinagh}');
Error('\P{Block=-:=tifinagh}');
Expect(1, 11647, '\p{Block=tifinagh}', "");
Expect(0, 11647, '\p{^Block=tifinagh}', "");
Expect(0, 11647, '\P{Block=tifinagh}', "");
Expect(1, 11647, '\P{^Block=tifinagh}', "");
Expect(0, 11648, '\p{Block=tifinagh}', "");
Expect(1, 11648, '\p{^Block=tifinagh}', "");
Expect(1, 11648, '\P{Block=tifinagh}', "");
Expect(0, 11648, '\P{^Block=tifinagh}', "");
Expect(1, 11647, '\p{Block=- TIFINAGH}', "");
Expect(0, 11647, '\p{^Block=- TIFINAGH}', "");
Expect(0, 11647, '\P{Block=- TIFINAGH}', "");
Expect(1, 11647, '\P{^Block=- TIFINAGH}', "");
Expect(0, 11648, '\p{Block=- TIFINAGH}', "");
Expect(1, 11648, '\p{^Block=- TIFINAGH}', "");
Expect(1, 11648, '\P{Block=- TIFINAGH}', "");
Expect(0, 11648, '\P{^Block=- TIFINAGH}', "");
Error('\p{Blk=__TIFINAGH:=}');
Error('\P{Blk=__TIFINAGH:=}');
Expect(1, 11647, '\p{Blk=tifinagh}', "");
Expect(0, 11647, '\p{^Blk=tifinagh}', "");
Expect(0, 11647, '\P{Blk=tifinagh}', "");
Expect(1, 11647, '\P{^Blk=tifinagh}', "");
Expect(0, 11648, '\p{Blk=tifinagh}', "");
Expect(1, 11648, '\p{^Blk=tifinagh}', "");
Expect(1, 11648, '\P{Blk=tifinagh}', "");
Expect(0, 11648, '\P{^Blk=tifinagh}', "");
Expect(1, 11647, '\p{Blk=TIFINAGH}', "");
Expect(0, 11647, '\p{^Blk=TIFINAGH}', "");
Expect(0, 11647, '\P{Blk=TIFINAGH}', "");
Expect(1, 11647, '\P{^Blk=TIFINAGH}', "");
Expect(0, 11648, '\p{Blk=TIFINAGH}', "");
Expect(1, 11648, '\p{^Blk=TIFINAGH}', "");
Expect(1, 11648, '\P{Blk=TIFINAGH}', "");
Expect(0, 11648, '\P{^Blk=TIFINAGH}', "");
Error('\p{Is_Block=-/a/TIFINAGH}');
Error('\P{Is_Block=-/a/TIFINAGH}');
Expect(1, 11647, '\p{Is_Block=tifinagh}', "");
Expect(0, 11647, '\p{^Is_Block=tifinagh}', "");
Expect(0, 11647, '\P{Is_Block=tifinagh}', "");
Expect(1, 11647, '\P{^Is_Block=tifinagh}', "");
Expect(0, 11648, '\p{Is_Block=tifinagh}', "");
Expect(1, 11648, '\p{^Is_Block=tifinagh}', "");
Expect(1, 11648, '\P{Is_Block=tifinagh}', "");
Expect(0, 11648, '\P{^Is_Block=tifinagh}', "");
Expect(1, 11647, '\p{Is_Block= 	TIFINAGH}', "");
Expect(0, 11647, '\p{^Is_Block= 	TIFINAGH}', "");
Expect(0, 11647, '\P{Is_Block= 	TIFINAGH}', "");
Expect(1, 11647, '\P{^Is_Block= 	TIFINAGH}', "");
Expect(0, 11648, '\p{Is_Block= 	TIFINAGH}', "");
Expect(1, 11648, '\p{^Is_Block= 	TIFINAGH}', "");
Expect(1, 11648, '\P{Is_Block= 	TIFINAGH}', "");
Expect(0, 11648, '\P{^Is_Block= 	TIFINAGH}', "");
Error('\p{Is_Blk=/a/	-TIFINAGH}');
Error('\P{Is_Blk=/a/	-TIFINAGH}');
Expect(1, 11647, '\p{Is_Blk=tifinagh}', "");
Expect(0, 11647, '\p{^Is_Blk=tifinagh}', "");
Expect(0, 11647, '\P{Is_Blk=tifinagh}', "");
Expect(1, 11647, '\P{^Is_Blk=tifinagh}', "");
Expect(0, 11648, '\p{Is_Blk=tifinagh}', "");
Expect(1, 11648, '\p{^Is_Blk=tifinagh}', "");
Expect(1, 11648, '\P{Is_Blk=tifinagh}', "");
Expect(0, 11648, '\P{^Is_Blk=tifinagh}', "");
Expect(1, 11647, '\p{Is_Blk=_tifinagh}', "");
Expect(0, 11647, '\p{^Is_Blk=_tifinagh}', "");
Expect(0, 11647, '\P{Is_Blk=_tifinagh}', "");
Expect(1, 11647, '\P{^Is_Blk=_tifinagh}', "");
Expect(0, 11648, '\p{Is_Blk=_tifinagh}', "");
Expect(1, 11648, '\p{^Is_Blk=_tifinagh}', "");
Expect(1, 11648, '\P{Is_Blk=_tifinagh}', "");
Expect(0, 11648, '\P{^Is_Blk=_tifinagh}', "");
Error('\p{Block=:=tirhuta}');
Error('\P{Block=:=tirhuta}');
Expect(1, 70879, '\p{Block=tirhuta}', "");
Expect(0, 70879, '\p{^Block=tirhuta}', "");
Expect(0, 70879, '\P{Block=tirhuta}', "");
Expect(1, 70879, '\P{^Block=tirhuta}', "");
Expect(0, 70880, '\p{Block=tirhuta}', "");
Expect(1, 70880, '\p{^Block=tirhuta}', "");
Expect(1, 70880, '\P{Block=tirhuta}', "");
Expect(0, 70880, '\P{^Block=tirhuta}', "");
Expect(1, 70879, '\p{Block= _Tirhuta}', "");
Expect(0, 70879, '\p{^Block= _Tirhuta}', "");
Expect(0, 70879, '\P{Block= _Tirhuta}', "");
Expect(1, 70879, '\P{^Block= _Tirhuta}', "");
Expect(0, 70880, '\p{Block= _Tirhuta}', "");
Expect(1, 70880, '\p{^Block= _Tirhuta}', "");
Expect(1, 70880, '\P{Block= _Tirhuta}', "");
Expect(0, 70880, '\P{^Block= _Tirhuta}', "");
Error('\p{Blk=:=--tirhuta}');
Error('\P{Blk=:=--tirhuta}');
Expect(1, 70879, '\p{Blk=tirhuta}', "");
Expect(0, 70879, '\p{^Blk=tirhuta}', "");
Expect(0, 70879, '\P{Blk=tirhuta}', "");
Expect(1, 70879, '\P{^Blk=tirhuta}', "");
Expect(0, 70880, '\p{Blk=tirhuta}', "");
Expect(1, 70880, '\p{^Blk=tirhuta}', "");
Expect(1, 70880, '\P{Blk=tirhuta}', "");
Expect(0, 70880, '\P{^Blk=tirhuta}', "");
Expect(1, 70879, '\p{Blk=_TIRHUTA}', "");
Expect(0, 70879, '\p{^Blk=_TIRHUTA}', "");
Expect(0, 70879, '\P{Blk=_TIRHUTA}', "");
Expect(1, 70879, '\P{^Blk=_TIRHUTA}', "");
Expect(0, 70880, '\p{Blk=_TIRHUTA}', "");
Expect(1, 70880, '\p{^Blk=_TIRHUTA}', "");
Expect(1, 70880, '\P{Blk=_TIRHUTA}', "");
Expect(0, 70880, '\P{^Blk=_TIRHUTA}', "");
Error('\p{Is_Block=:=  Tirhuta}');
Error('\P{Is_Block=:=  Tirhuta}');
Expect(1, 70879, '\p{Is_Block=tirhuta}', "");
Expect(0, 70879, '\p{^Is_Block=tirhuta}', "");
Expect(0, 70879, '\P{Is_Block=tirhuta}', "");
Expect(1, 70879, '\P{^Is_Block=tirhuta}', "");
Expect(0, 70880, '\p{Is_Block=tirhuta}', "");
Expect(1, 70880, '\p{^Is_Block=tirhuta}', "");
Expect(1, 70880, '\P{Is_Block=tirhuta}', "");
Expect(0, 70880, '\P{^Is_Block=tirhuta}', "");
Expect(1, 70879, '\p{Is_Block=_	TIRHUTA}', "");
Expect(0, 70879, '\p{^Is_Block=_	TIRHUTA}', "");
Expect(0, 70879, '\P{Is_Block=_	TIRHUTA}', "");
Expect(1, 70879, '\P{^Is_Block=_	TIRHUTA}', "");
Expect(0, 70880, '\p{Is_Block=_	TIRHUTA}', "");
Expect(1, 70880, '\p{^Is_Block=_	TIRHUTA}', "");
Expect(1, 70880, '\P{Is_Block=_	TIRHUTA}', "");
Expect(0, 70880, '\P{^Is_Block=_	TIRHUTA}', "");
Error('\p{Is_Blk=:= Tirhuta}');
Error('\P{Is_Blk=:= Tirhuta}');
Expect(1, 70879, '\p{Is_Blk=tirhuta}', "");
Expect(0, 70879, '\p{^Is_Blk=tirhuta}', "");
Expect(0, 70879, '\P{Is_Blk=tirhuta}', "");
Expect(1, 70879, '\P{^Is_Blk=tirhuta}', "");
Expect(0, 70880, '\p{Is_Blk=tirhuta}', "");
Expect(1, 70880, '\p{^Is_Blk=tirhuta}', "");
Expect(1, 70880, '\P{Is_Blk=tirhuta}', "");
Expect(0, 70880, '\P{^Is_Blk=tirhuta}', "");
Expect(1, 70879, '\p{Is_Blk= TIRHUTA}', "");
Expect(0, 70879, '\p{^Is_Blk= TIRHUTA}', "");
Expect(0, 70879, '\P{Is_Blk= TIRHUTA}', "");
Expect(1, 70879, '\P{^Is_Blk= TIRHUTA}', "");
Expect(0, 70880, '\p{Is_Blk= TIRHUTA}', "");
Expect(1, 70880, '\p{^Is_Blk= TIRHUTA}', "");
Expect(1, 70880, '\P{Is_Blk= TIRHUTA}', "");
Expect(0, 70880, '\P{^Is_Blk= TIRHUTA}', "");
Error('\p{Block=	Transport_And_map_symbols/a/}');
Error('\P{Block=	Transport_And_map_symbols/a/}');
Expect(1, 128767, '\p{Block=transportandmapsymbols}', "");
Expect(0, 128767, '\p{^Block=transportandmapsymbols}', "");
Expect(0, 128767, '\P{Block=transportandmapsymbols}', "");
Expect(1, 128767, '\P{^Block=transportandmapsymbols}', "");
Expect(0, 128768, '\p{Block=transportandmapsymbols}', "");
Expect(1, 128768, '\p{^Block=transportandmapsymbols}', "");
Expect(1, 128768, '\P{Block=transportandmapsymbols}', "");
Expect(0, 128768, '\P{^Block=transportandmapsymbols}', "");
Expect(1, 128767, '\p{Block=-Transport_And_map_Symbols}', "");
Expect(0, 128767, '\p{^Block=-Transport_And_map_Symbols}', "");
Expect(0, 128767, '\P{Block=-Transport_And_map_Symbols}', "");
Expect(1, 128767, '\P{^Block=-Transport_And_map_Symbols}', "");
Expect(0, 128768, '\p{Block=-Transport_And_map_Symbols}', "");
Expect(1, 128768, '\p{^Block=-Transport_And_map_Symbols}', "");
Expect(1, 128768, '\P{Block=-Transport_And_map_Symbols}', "");
Expect(0, 128768, '\P{^Block=-Transport_And_map_Symbols}', "");
Error('\p{Blk=:=_	Transport_And_Map}');
Error('\P{Blk=:=_	Transport_And_Map}');
Expect(1, 128767, '\p{Blk=transportandmap}', "");
Expect(0, 128767, '\p{^Blk=transportandmap}', "");
Expect(0, 128767, '\P{Blk=transportandmap}', "");
Expect(1, 128767, '\P{^Blk=transportandmap}', "");
Expect(0, 128768, '\p{Blk=transportandmap}', "");
Expect(1, 128768, '\p{^Blk=transportandmap}', "");
Expect(1, 128768, '\P{Blk=transportandmap}', "");
Expect(0, 128768, '\P{^Blk=transportandmap}', "");
Expect(1, 128767, '\p{Blk=-_Transport_AND_Map}', "");
Expect(0, 128767, '\p{^Blk=-_Transport_AND_Map}', "");
Expect(0, 128767, '\P{Blk=-_Transport_AND_Map}', "");
Expect(1, 128767, '\P{^Blk=-_Transport_AND_Map}', "");
Expect(0, 128768, '\p{Blk=-_Transport_AND_Map}', "");
Expect(1, 128768, '\p{^Blk=-_Transport_AND_Map}', "");
Expect(1, 128768, '\P{Blk=-_Transport_AND_Map}', "");
Expect(0, 128768, '\P{^Blk=-_Transport_AND_Map}', "");
Error('\p{Is_Block=:=Transport_and_MAP_symbols}');
Error('\P{Is_Block=:=Transport_and_MAP_symbols}');
Expect(1, 128767, '\p{Is_Block=transportandmapsymbols}', "");
Expect(0, 128767, '\p{^Is_Block=transportandmapsymbols}', "");
Expect(0, 128767, '\P{Is_Block=transportandmapsymbols}', "");
Expect(1, 128767, '\P{^Is_Block=transportandmapsymbols}', "");
Expect(0, 128768, '\p{Is_Block=transportandmapsymbols}', "");
Expect(1, 128768, '\p{^Is_Block=transportandmapsymbols}', "");
Expect(1, 128768, '\P{Is_Block=transportandmapsymbols}', "");
Expect(0, 128768, '\P{^Is_Block=transportandmapsymbols}', "");
Expect(1, 128767, '\p{Is_Block=Transport_and_map_SYMBOLS}', "");
Expect(0, 128767, '\p{^Is_Block=Transport_and_map_SYMBOLS}', "");
Expect(0, 128767, '\P{Is_Block=Transport_and_map_SYMBOLS}', "");
Expect(1, 128767, '\P{^Is_Block=Transport_and_map_SYMBOLS}', "");
Expect(0, 128768, '\p{Is_Block=Transport_and_map_SYMBOLS}', "");
Expect(1, 128768, '\p{^Is_Block=Transport_and_map_SYMBOLS}', "");
Expect(1, 128768, '\P{Is_Block=Transport_and_map_SYMBOLS}', "");
Expect(0, 128768, '\P{^Is_Block=Transport_and_map_SYMBOLS}', "");
Error('\p{Is_Blk=_:=Transport_And_Map}');
Error('\P{Is_Blk=_:=Transport_And_Map}');
Expect(1, 128767, '\p{Is_Blk=transportandmap}', "");
Expect(0, 128767, '\p{^Is_Blk=transportandmap}', "");
Expect(0, 128767, '\P{Is_Blk=transportandmap}', "");
Expect(1, 128767, '\P{^Is_Blk=transportandmap}', "");
Expect(0, 128768, '\p{Is_Blk=transportandmap}', "");
Expect(1, 128768, '\p{^Is_Blk=transportandmap}', "");
Expect(1, 128768, '\P{Is_Blk=transportandmap}', "");
Expect(0, 128768, '\P{^Is_Blk=transportandmap}', "");
Expect(1, 128767, '\p{Is_Blk=-Transport_And_Map}', "");
Expect(0, 128767, '\p{^Is_Blk=-Transport_And_Map}', "");
Expect(0, 128767, '\P{Is_Blk=-Transport_And_Map}', "");
Expect(1, 128767, '\P{^Is_Blk=-Transport_And_Map}', "");
Expect(0, 128768, '\p{Is_Blk=-Transport_And_Map}', "");
Expect(1, 128768, '\p{^Is_Blk=-Transport_And_Map}', "");
Expect(1, 128768, '\P{Is_Blk=-Transport_And_Map}', "");
Expect(0, 128768, '\P{^Is_Blk=-Transport_And_Map}', "");
Error('\p{Block:	:=_	Unified_Canadian_ABORIGINAL_Syllabics}');
Error('\P{Block:	:=_	Unified_Canadian_ABORIGINAL_Syllabics}');
Expect(1, 5759, '\p{Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\p{^Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\P{Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\P{^Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5760, '\p{Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5760, '\p{^Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5760, '\P{Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5760, '\P{^Block=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\p{Block=	Unified_Canadian_aboriginal_syllabics}', "");
Expect(0, 5759, '\p{^Block=	Unified_Canadian_aboriginal_syllabics}', "");
Expect(0, 5759, '\P{Block=	Unified_Canadian_aboriginal_syllabics}', "");
Expect(1, 5759, '\P{^Block=	Unified_Canadian_aboriginal_syllabics}', "");
Expect(0, 5760, '\p{Block=	Unified_Canadian_aboriginal_syllabics}', "");
Expect(1, 5760, '\p{^Block=	Unified_Canadian_aboriginal_syllabics}', "");
Expect(1, 5760, '\P{Block=	Unified_Canadian_aboriginal_syllabics}', "");
Expect(0, 5760, '\P{^Block=	Unified_Canadian_aboriginal_syllabics}', "");
Error('\p{Blk=	ucas/a/}');
Error('\P{Blk=	ucas/a/}');
Expect(1, 5759, '\p{Blk=ucas}', "");
Expect(0, 5759, '\p{^Blk=ucas}', "");
Expect(0, 5759, '\P{Blk=ucas}', "");
Expect(1, 5759, '\P{^Blk=ucas}', "");
Expect(0, 5760, '\p{Blk=ucas}', "");
Expect(1, 5760, '\p{^Blk=ucas}', "");
Expect(1, 5760, '\P{Blk=ucas}', "");
Expect(0, 5760, '\P{^Blk=ucas}', "");
Expect(1, 5759, '\p{Blk=_-UCAS}', "");
Expect(0, 5759, '\p{^Blk=_-UCAS}', "");
Expect(0, 5759, '\P{Blk=_-UCAS}', "");
Expect(1, 5759, '\P{^Blk=_-UCAS}', "");
Expect(0, 5760, '\p{Blk=_-UCAS}', "");
Expect(1, 5760, '\p{^Blk=_-UCAS}', "");
Expect(1, 5760, '\P{Blk=_-UCAS}', "");
Expect(0, 5760, '\P{^Blk=_-UCAS}', "");
Error('\p{Is_Block=_	CANADIAN_SYLLABICS/a/}');
Error('\P{Is_Block=_	CANADIAN_SYLLABICS/a/}');
Expect(1, 5759, '\p{Is_Block:	canadiansyllabics}', "");
Expect(0, 5759, '\p{^Is_Block:	canadiansyllabics}', "");
Expect(0, 5759, '\P{Is_Block:	canadiansyllabics}', "");
Expect(1, 5759, '\P{^Is_Block:	canadiansyllabics}', "");
Expect(0, 5760, '\p{Is_Block:	canadiansyllabics}', "");
Expect(1, 5760, '\p{^Is_Block:	canadiansyllabics}', "");
Expect(1, 5760, '\P{Is_Block:	canadiansyllabics}', "");
Expect(0, 5760, '\P{^Is_Block:	canadiansyllabics}', "");
Expect(1, 5759, '\p{Is_Block=-	CANADIAN_Syllabics}', "");
Expect(0, 5759, '\p{^Is_Block=-	CANADIAN_Syllabics}', "");
Expect(0, 5759, '\P{Is_Block=-	CANADIAN_Syllabics}', "");
Expect(1, 5759, '\P{^Is_Block=-	CANADIAN_Syllabics}', "");
Expect(0, 5760, '\p{Is_Block=-	CANADIAN_Syllabics}', "");
Expect(1, 5760, '\p{^Is_Block=-	CANADIAN_Syllabics}', "");
Expect(1, 5760, '\P{Is_Block=-	CANADIAN_Syllabics}', "");
Expect(0, 5760, '\P{^Is_Block=-	CANADIAN_Syllabics}', "");
Error('\p{Is_Blk=- unified_CANADIAN_Aboriginal_SYLLABICS/a/}');
Error('\P{Is_Blk=- unified_CANADIAN_Aboriginal_SYLLABICS/a/}');
Expect(1, 5759, '\p{Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\p{^Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\P{Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\P{^Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5760, '\p{Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5760, '\p{^Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5760, '\P{Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5760, '\P{^Is_Blk=unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\p{Is_Blk=_	Unified_Canadian_aboriginal_Syllabics}', "");
Expect(0, 5759, '\p{^Is_Blk=_	Unified_Canadian_aboriginal_Syllabics}', "");
Expect(0, 5759, '\P{Is_Blk=_	Unified_Canadian_aboriginal_Syllabics}', "");
Expect(1, 5759, '\P{^Is_Blk=_	Unified_Canadian_aboriginal_Syllabics}', "");
Expect(0, 5760, '\p{Is_Blk=_	Unified_Canadian_aboriginal_Syllabics}', "");
Expect(1, 5760, '\p{^Is_Blk=_	Unified_Canadian_aboriginal_Syllabics}', "");
Expect(1, 5760, '\P{Is_Blk=_	Unified_Canadian_aboriginal_Syllabics}', "");
Expect(0, 5760, '\P{^Is_Blk=_	Unified_Canadian_aboriginal_Syllabics}', "");
Error('\p{Block=	_unified_CANADIAN_ABORIGINAL_SYLLABICS_Extended/a/}');
Error('\P{Block=	_unified_CANADIAN_ABORIGINAL_SYLLABICS_Extended/a/}');
Expect(1, 6399, '\p{Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\p{^Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\P{Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\P{^Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6400, '\p{Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6400, '\p{^Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6400, '\P{Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6400, '\P{^Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\p{Block:	_	unified_Canadian_aboriginal_SYLLABICS_Extended}', "");
Expect(0, 6399, '\p{^Block:	_	unified_Canadian_aboriginal_SYLLABICS_Extended}', "");
Expect(0, 6399, '\P{Block:	_	unified_Canadian_aboriginal_SYLLABICS_Extended}', "");
Expect(1, 6399, '\P{^Block:	_	unified_Canadian_aboriginal_SYLLABICS_Extended}', "");
Expect(0, 6400, '\p{Block:	_	unified_Canadian_aboriginal_SYLLABICS_Extended}', "");
Expect(1, 6400, '\p{^Block:	_	unified_Canadian_aboriginal_SYLLABICS_Extended}', "");
Expect(1, 6400, '\P{Block:	_	unified_Canadian_aboriginal_SYLLABICS_Extended}', "");
Expect(0, 6400, '\P{^Block:	_	unified_Canadian_aboriginal_SYLLABICS_Extended}', "");
Error('\p{Blk=/a/ UCAS_ext}');
Error('\P{Blk=/a/ UCAS_ext}');
Expect(1, 6399, '\p{Blk=ucasext}', "");
Expect(0, 6399, '\p{^Blk=ucasext}', "");
Expect(0, 6399, '\P{Blk=ucasext}', "");
Expect(1, 6399, '\P{^Blk=ucasext}', "");
Expect(0, 6400, '\p{Blk=ucasext}', "");
Expect(1, 6400, '\p{^Blk=ucasext}', "");
Expect(1, 6400, '\P{Blk=ucasext}', "");
Expect(0, 6400, '\P{^Blk=ucasext}', "");
Expect(1, 6399, '\p{Blk=		UCAS_EXT}', "");
Expect(0, 6399, '\p{^Blk=		UCAS_EXT}', "");
Expect(0, 6399, '\P{Blk=		UCAS_EXT}', "");
Expect(1, 6399, '\P{^Blk=		UCAS_EXT}', "");
Expect(0, 6400, '\p{Blk=		UCAS_EXT}', "");
Expect(1, 6400, '\p{^Blk=		UCAS_EXT}', "");
Expect(1, 6400, '\P{Blk=		UCAS_EXT}', "");
Expect(0, 6400, '\P{^Blk=		UCAS_EXT}', "");
Error('\p{Is_Block=:=		Unified_canadian_aboriginal_Syllabics_extended}');
Error('\P{Is_Block=:=		Unified_canadian_aboriginal_Syllabics_extended}');
Expect(1, 6399, '\p{Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\p{^Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\P{Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\P{^Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6400, '\p{Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6400, '\p{^Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6400, '\P{Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6400, '\P{^Is_Block=unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\p{Is_Block=_	Unified_canadian_aboriginal_Syllabics_EXTENDED}', "");
Expect(0, 6399, '\p{^Is_Block=_	Unified_canadian_aboriginal_Syllabics_EXTENDED}', "");
Expect(0, 6399, '\P{Is_Block=_	Unified_canadian_aboriginal_Syllabics_EXTENDED}', "");
Expect(1, 6399, '\P{^Is_Block=_	Unified_canadian_aboriginal_Syllabics_EXTENDED}', "");
Expect(0, 6400, '\p{Is_Block=_	Unified_canadian_aboriginal_Syllabics_EXTENDED}', "");
Expect(1, 6400, '\p{^Is_Block=_	Unified_canadian_aboriginal_Syllabics_EXTENDED}', "");
Expect(1, 6400, '\P{Is_Block=_	Unified_canadian_aboriginal_Syllabics_EXTENDED}', "");
Expect(0, 6400, '\P{^Is_Block=_	Unified_canadian_aboriginal_Syllabics_EXTENDED}', "");
Error('\p{Is_Blk:   __UCAS_ext/a/}');
Error('\P{Is_Blk:   __UCAS_ext/a/}');
Expect(1, 6399, '\p{Is_Blk=ucasext}', "");
Expect(0, 6399, '\p{^Is_Blk=ucasext}', "");
Expect(0, 6399, '\P{Is_Blk=ucasext}', "");
Expect(1, 6399, '\P{^Is_Blk=ucasext}', "");
Expect(0, 6400, '\p{Is_Blk=ucasext}', "");
Expect(1, 6400, '\p{^Is_Blk=ucasext}', "");
Expect(1, 6400, '\P{Is_Blk=ucasext}', "");
Expect(0, 6400, '\P{^Is_Blk=ucasext}', "");
Expect(1, 6399, '\p{Is_Blk: UCAS_Ext}', "");
Expect(0, 6399, '\p{^Is_Blk: UCAS_Ext}', "");
Expect(0, 6399, '\P{Is_Blk: UCAS_Ext}', "");
Expect(1, 6399, '\P{^Is_Blk: UCAS_Ext}', "");
Expect(0, 6400, '\p{Is_Blk: UCAS_Ext}', "");
Expect(1, 6400, '\p{^Is_Blk: UCAS_Ext}', "");
Expect(1, 6400, '\P{Is_Blk: UCAS_Ext}', "");
Expect(0, 6400, '\P{^Is_Blk: UCAS_Ext}', "");
Error('\p{Block=--Ugaritic:=}');
Error('\P{Block=--Ugaritic:=}');
Expect(1, 66463, '\p{Block=ugaritic}', "");
Expect(0, 66463, '\p{^Block=ugaritic}', "");
Expect(0, 66463, '\P{Block=ugaritic}', "");
Expect(1, 66463, '\P{^Block=ugaritic}', "");
Expect(0, 66464, '\p{Block=ugaritic}', "");
Expect(1, 66464, '\p{^Block=ugaritic}', "");
Expect(1, 66464, '\P{Block=ugaritic}', "");
Expect(0, 66464, '\P{^Block=ugaritic}', "");
Expect(1, 66463, '\p{Block=	_ugaritic}', "");
Expect(0, 66463, '\p{^Block=	_ugaritic}', "");
Expect(0, 66463, '\P{Block=	_ugaritic}', "");
Expect(1, 66463, '\P{^Block=	_ugaritic}', "");
Expect(0, 66464, '\p{Block=	_ugaritic}', "");
Expect(1, 66464, '\p{^Block=	_ugaritic}', "");
Expect(1, 66464, '\P{Block=	_ugaritic}', "");
Expect(0, 66464, '\P{^Block=	_ugaritic}', "");
Error('\p{Blk=	:=Ugaritic}');
Error('\P{Blk=	:=Ugaritic}');
Expect(1, 66463, '\p{Blk=ugaritic}', "");
Expect(0, 66463, '\p{^Blk=ugaritic}', "");
Expect(0, 66463, '\P{Blk=ugaritic}', "");
Expect(1, 66463, '\P{^Blk=ugaritic}', "");
Expect(0, 66464, '\p{Blk=ugaritic}', "");
Expect(1, 66464, '\p{^Blk=ugaritic}', "");
Expect(1, 66464, '\P{Blk=ugaritic}', "");
Expect(0, 66464, '\P{^Blk=ugaritic}', "");
Expect(1, 66463, '\p{Blk=-	UGARITIC}', "");
Expect(0, 66463, '\p{^Blk=-	UGARITIC}', "");
Expect(0, 66463, '\P{Blk=-	UGARITIC}', "");
Expect(1, 66463, '\P{^Blk=-	UGARITIC}', "");
Expect(0, 66464, '\p{Blk=-	UGARITIC}', "");
Expect(1, 66464, '\p{^Blk=-	UGARITIC}', "");
Expect(1, 66464, '\P{Blk=-	UGARITIC}', "");
Expect(0, 66464, '\P{^Blk=-	UGARITIC}', "");
Error('\p{Is_Block=  UGARITIC:=}');
Error('\P{Is_Block=  UGARITIC:=}');
Expect(1, 66463, '\p{Is_Block=ugaritic}', "");
Expect(0, 66463, '\p{^Is_Block=ugaritic}', "");
Expect(0, 66463, '\P{Is_Block=ugaritic}', "");
Expect(1, 66463, '\P{^Is_Block=ugaritic}', "");
Expect(0, 66464, '\p{Is_Block=ugaritic}', "");
Expect(1, 66464, '\p{^Is_Block=ugaritic}', "");
Expect(1, 66464, '\P{Is_Block=ugaritic}', "");
Expect(0, 66464, '\P{^Is_Block=ugaritic}', "");
Expect(1, 66463, '\p{Is_Block= Ugaritic}', "");
Expect(0, 66463, '\p{^Is_Block= Ugaritic}', "");
Expect(0, 66463, '\P{Is_Block= Ugaritic}', "");
Expect(1, 66463, '\P{^Is_Block= Ugaritic}', "");
Expect(0, 66464, '\p{Is_Block= Ugaritic}', "");
Expect(1, 66464, '\p{^Is_Block= Ugaritic}', "");
Expect(1, 66464, '\P{Is_Block= Ugaritic}', "");
Expect(0, 66464, '\P{^Is_Block= Ugaritic}', "");
Error('\p{Is_Blk=:=  Ugaritic}');
Error('\P{Is_Blk=:=  Ugaritic}');
Expect(1, 66463, '\p{Is_Blk=ugaritic}', "");
Expect(0, 66463, '\p{^Is_Blk=ugaritic}', "");
Expect(0, 66463, '\P{Is_Blk=ugaritic}', "");
Expect(1, 66463, '\P{^Is_Blk=ugaritic}', "");
Expect(0, 66464, '\p{Is_Blk=ugaritic}', "");
Expect(1, 66464, '\p{^Is_Blk=ugaritic}', "");
Expect(1, 66464, '\P{Is_Blk=ugaritic}', "");
Expect(0, 66464, '\P{^Is_Blk=ugaritic}', "");
Expect(1, 66463, '\p{Is_Blk:	_ugaritic}', "");
Expect(0, 66463, '\p{^Is_Blk:	_ugaritic}', "");
Expect(0, 66463, '\P{Is_Blk:	_ugaritic}', "");
Expect(1, 66463, '\P{^Is_Blk:	_ugaritic}', "");
Expect(0, 66464, '\p{Is_Blk:	_ugaritic}', "");
Expect(1, 66464, '\p{^Is_Blk:	_ugaritic}', "");
Expect(1, 66464, '\P{Is_Blk:	_ugaritic}', "");
Expect(0, 66464, '\P{^Is_Blk:	_ugaritic}', "");
Error('\p{Block= _variation_Selectors/a/}');
Error('\P{Block= _variation_Selectors/a/}');
Expect(1, 65039, '\p{Block=variationselectors}', "");
Expect(0, 65039, '\p{^Block=variationselectors}', "");
Expect(0, 65039, '\P{Block=variationselectors}', "");
Expect(1, 65039, '\P{^Block=variationselectors}', "");
Expect(0, 65040, '\p{Block=variationselectors}', "");
Expect(1, 65040, '\p{^Block=variationselectors}', "");
Expect(1, 65040, '\P{Block=variationselectors}', "");
Expect(0, 65040, '\P{^Block=variationselectors}', "");
Expect(1, 65039, '\p{Block=_-Variation_SELECTORS}', "");
Expect(0, 65039, '\p{^Block=_-Variation_SELECTORS}', "");
Expect(0, 65039, '\P{Block=_-Variation_SELECTORS}', "");
Expect(1, 65039, '\P{^Block=_-Variation_SELECTORS}', "");
Expect(0, 65040, '\p{Block=_-Variation_SELECTORS}', "");
Expect(1, 65040, '\p{^Block=_-Variation_SELECTORS}', "");
Expect(1, 65040, '\P{Block=_-Variation_SELECTORS}', "");
Expect(0, 65040, '\P{^Block=_-Variation_SELECTORS}', "");
Error('\p{Blk: := _VS}');
Error('\P{Blk: := _VS}');
Expect(1, 65039, '\p{Blk=vs}', "");
Expect(0, 65039, '\p{^Blk=vs}', "");
Expect(0, 65039, '\P{Blk=vs}', "");
Expect(1, 65039, '\P{^Blk=vs}', "");
Expect(0, 65040, '\p{Blk=vs}', "");
Expect(1, 65040, '\p{^Blk=vs}', "");
Expect(1, 65040, '\P{Blk=vs}', "");
Expect(0, 65040, '\P{^Blk=vs}', "");
Expect(1, 65039, '\p{Blk=	_VS}', "");
Expect(0, 65039, '\p{^Blk=	_VS}', "");
Expect(0, 65039, '\P{Blk=	_VS}', "");
Expect(1, 65039, '\P{^Blk=	_VS}', "");
Expect(0, 65040, '\p{Blk=	_VS}', "");
Expect(1, 65040, '\p{^Blk=	_VS}', "");
Expect(1, 65040, '\P{Blk=	_VS}', "");
Expect(0, 65040, '\P{^Blk=	_VS}', "");
Error('\p{Is_Block=/a/Variation_Selectors}');
Error('\P{Is_Block=/a/Variation_Selectors}');
Expect(1, 65039, '\p{Is_Block=variationselectors}', "");
Expect(0, 65039, '\p{^Is_Block=variationselectors}', "");
Expect(0, 65039, '\P{Is_Block=variationselectors}', "");
Expect(1, 65039, '\P{^Is_Block=variationselectors}', "");
Expect(0, 65040, '\p{Is_Block=variationselectors}', "");
Expect(1, 65040, '\p{^Is_Block=variationselectors}', "");
Expect(1, 65040, '\P{Is_Block=variationselectors}', "");
Expect(0, 65040, '\P{^Is_Block=variationselectors}', "");
Expect(1, 65039, '\p{Is_Block= 	Variation_selectors}', "");
Expect(0, 65039, '\p{^Is_Block= 	Variation_selectors}', "");
Expect(0, 65039, '\P{Is_Block= 	Variation_selectors}', "");
Expect(1, 65039, '\P{^Is_Block= 	Variation_selectors}', "");
Expect(0, 65040, '\p{Is_Block= 	Variation_selectors}', "");
Expect(1, 65040, '\p{^Is_Block= 	Variation_selectors}', "");
Expect(1, 65040, '\P{Is_Block= 	Variation_selectors}', "");
Expect(0, 65040, '\P{^Is_Block= 	Variation_selectors}', "");
Error('\p{Is_Blk:	-:=VS}');
Error('\P{Is_Blk:	-:=VS}');
Expect(1, 65039, '\p{Is_Blk=vs}', "");
Expect(0, 65039, '\p{^Is_Blk=vs}', "");
Expect(0, 65039, '\P{Is_Blk=vs}', "");
Expect(1, 65039, '\P{^Is_Blk=vs}', "");
Expect(0, 65040, '\p{Is_Blk=vs}', "");
Expect(1, 65040, '\p{^Is_Blk=vs}', "");
Expect(1, 65040, '\P{Is_Blk=vs}', "");
Expect(0, 65040, '\P{^Is_Blk=vs}', "");
Expect(1, 65039, '\p{Is_Blk= _VS}', "");
Expect(0, 65039, '\p{^Is_Blk= _VS}', "");
Expect(0, 65039, '\P{Is_Blk= _VS}', "");
Expect(1, 65039, '\P{^Is_Blk= _VS}', "");
Expect(0, 65040, '\p{Is_Blk= _VS}', "");
Expect(1, 65040, '\p{^Is_Blk= _VS}', "");
Expect(1, 65040, '\P{Is_Blk= _VS}', "");
Expect(0, 65040, '\P{^Is_Blk= _VS}', "");
Error('\p{Block=:=VARIATION_Selectors_Supplement}');
Error('\P{Block=:=VARIATION_Selectors_Supplement}');
Expect(1, 917999, '\p{Block=variationselectorssupplement}', "");
Expect(0, 917999, '\p{^Block=variationselectorssupplement}', "");
Expect(0, 917999, '\P{Block=variationselectorssupplement}', "");
Expect(1, 917999, '\P{^Block=variationselectorssupplement}', "");
Expect(0, 918000, '\p{Block=variationselectorssupplement}', "");
Expect(1, 918000, '\p{^Block=variationselectorssupplement}', "");
Expect(1, 918000, '\P{Block=variationselectorssupplement}', "");
Expect(0, 918000, '\P{^Block=variationselectorssupplement}', "");
Expect(1, 917999, '\p{Block=  variation_Selectors_SUPPLEMENT}', "");
Expect(0, 917999, '\p{^Block=  variation_Selectors_SUPPLEMENT}', "");
Expect(0, 917999, '\P{Block=  variation_Selectors_SUPPLEMENT}', "");
Expect(1, 917999, '\P{^Block=  variation_Selectors_SUPPLEMENT}', "");
Expect(0, 918000, '\p{Block=  variation_Selectors_SUPPLEMENT}', "");
Expect(1, 918000, '\p{^Block=  variation_Selectors_SUPPLEMENT}', "");
Expect(1, 918000, '\P{Block=  variation_Selectors_SUPPLEMENT}', "");
Expect(0, 918000, '\P{^Block=  variation_Selectors_SUPPLEMENT}', "");
Error('\p{Blk=- VS_Sup/a/}');
Error('\P{Blk=- VS_Sup/a/}');
Expect(1, 917999, '\p{Blk=vssup}', "");
Expect(0, 917999, '\p{^Blk=vssup}', "");
Expect(0, 917999, '\P{Blk=vssup}', "");
Expect(1, 917999, '\P{^Blk=vssup}', "");
Expect(0, 918000, '\p{Blk=vssup}', "");
Expect(1, 918000, '\p{^Blk=vssup}', "");
Expect(1, 918000, '\P{Blk=vssup}', "");
Expect(0, 918000, '\P{^Blk=vssup}', "");
Expect(1, 917999, '\p{Blk= _VS_Sup}', "");
Expect(0, 917999, '\p{^Blk= _VS_Sup}', "");
Expect(0, 917999, '\P{Blk= _VS_Sup}', "");
Expect(1, 917999, '\P{^Blk= _VS_Sup}', "");
Expect(0, 918000, '\p{Blk= _VS_Sup}', "");
Expect(1, 918000, '\p{^Blk= _VS_Sup}', "");
Expect(1, 918000, '\P{Blk= _VS_Sup}', "");
Expect(0, 918000, '\P{^Blk= _VS_Sup}', "");
Error('\p{Is_Block= :=variation_Selectors_supplement}');
Error('\P{Is_Block= :=variation_Selectors_supplement}');
Expect(1, 917999, '\p{Is_Block=variationselectorssupplement}', "");
Expect(0, 917999, '\p{^Is_Block=variationselectorssupplement}', "");
Expect(0, 917999, '\P{Is_Block=variationselectorssupplement}', "");
Expect(1, 917999, '\P{^Is_Block=variationselectorssupplement}', "");
Expect(0, 918000, '\p{Is_Block=variationselectorssupplement}', "");
Expect(1, 918000, '\p{^Is_Block=variationselectorssupplement}', "");
Expect(1, 918000, '\P{Is_Block=variationselectorssupplement}', "");
Expect(0, 918000, '\P{^Is_Block=variationselectorssupplement}', "");
Expect(1, 917999, '\p{Is_Block=__Variation_SELECTORS_SUPPLEMENT}', "");
Expect(0, 917999, '\p{^Is_Block=__Variation_SELECTORS_SUPPLEMENT}', "");
Expect(0, 917999, '\P{Is_Block=__Variation_SELECTORS_SUPPLEMENT}', "");
Expect(1, 917999, '\P{^Is_Block=__Variation_SELECTORS_SUPPLEMENT}', "");
Expect(0, 918000, '\p{Is_Block=__Variation_SELECTORS_SUPPLEMENT}', "");
Expect(1, 918000, '\p{^Is_Block=__Variation_SELECTORS_SUPPLEMENT}', "");
Expect(1, 918000, '\P{Is_Block=__Variation_SELECTORS_SUPPLEMENT}', "");
Expect(0, 918000, '\P{^Is_Block=__Variation_SELECTORS_SUPPLEMENT}', "");
Error('\p{Is_Blk=/a/ _vs_SUP}');
Error('\P{Is_Blk=/a/ _vs_SUP}');
Expect(1, 917999, '\p{Is_Blk=vssup}', "");
Expect(0, 917999, '\p{^Is_Blk=vssup}', "");
Expect(0, 917999, '\P{Is_Blk=vssup}', "");
Expect(1, 917999, '\P{^Is_Blk=vssup}', "");
Expect(0, 918000, '\p{Is_Blk=vssup}', "");
Expect(1, 918000, '\p{^Is_Blk=vssup}', "");
Expect(1, 918000, '\P{Is_Blk=vssup}', "");
Expect(0, 918000, '\P{^Is_Blk=vssup}', "");
Expect(1, 917999, '\p{Is_Blk=_-VS_sup}', "");
Expect(0, 917999, '\p{^Is_Blk=_-VS_sup}', "");
Expect(0, 917999, '\P{Is_Blk=_-VS_sup}', "");
Expect(1, 917999, '\P{^Is_Blk=_-VS_sup}', "");
Expect(0, 918000, '\p{Is_Blk=_-VS_sup}', "");
Expect(1, 918000, '\p{^Is_Blk=_-VS_sup}', "");
Expect(1, 918000, '\P{Is_Blk=_-VS_sup}', "");
Expect(0, 918000, '\P{^Is_Blk=_-VS_sup}', "");
Error('\p{Block=		Vai:=}');
Error('\P{Block=		Vai:=}');
Expect(1, 42559, '\p{Block=vai}', "");
Expect(0, 42559, '\p{^Block=vai}', "");
Expect(0, 42559, '\P{Block=vai}', "");
Expect(1, 42559, '\P{^Block=vai}', "");
Expect(0, 42560, '\p{Block=vai}', "");
Expect(1, 42560, '\p{^Block=vai}', "");
Expect(1, 42560, '\P{Block=vai}', "");
Expect(0, 42560, '\P{^Block=vai}', "");
Expect(1, 42559, '\p{Block=	Vai}', "");
Expect(0, 42559, '\p{^Block=	Vai}', "");
Expect(0, 42559, '\P{Block=	Vai}', "");
Expect(1, 42559, '\P{^Block=	Vai}', "");
Expect(0, 42560, '\p{Block=	Vai}', "");
Expect(1, 42560, '\p{^Block=	Vai}', "");
Expect(1, 42560, '\P{Block=	Vai}', "");
Expect(0, 42560, '\P{^Block=	Vai}', "");
Error('\p{Blk=--vai:=}');
Error('\P{Blk=--vai:=}');
Expect(1, 42559, '\p{Blk=vai}', "");
Expect(0, 42559, '\p{^Blk=vai}', "");
Expect(0, 42559, '\P{Blk=vai}', "");
Expect(1, 42559, '\P{^Blk=vai}', "");
Expect(0, 42560, '\p{Blk=vai}', "");
Expect(1, 42560, '\p{^Blk=vai}', "");
Expect(1, 42560, '\P{Blk=vai}', "");
Expect(0, 42560, '\P{^Blk=vai}', "");
Error('\p{Is_Block=:=  VAI}');
Error('\P{Is_Block=:=  VAI}');
Expect(1, 42559, '\p{Is_Block=vai}', "");
Expect(0, 42559, '\p{^Is_Block=vai}', "");
Expect(0, 42559, '\P{Is_Block=vai}', "");
Expect(1, 42559, '\P{^Is_Block=vai}', "");
Expect(0, 42560, '\p{Is_Block=vai}', "");
Expect(1, 42560, '\p{^Is_Block=vai}', "");
Expect(1, 42560, '\P{Is_Block=vai}', "");
Expect(0, 42560, '\P{^Is_Block=vai}', "");
Expect(1, 42559, '\p{Is_Block=_VAI}', "");
Expect(0, 42559, '\p{^Is_Block=_VAI}', "");
Expect(0, 42559, '\P{Is_Block=_VAI}', "");
Expect(1, 42559, '\P{^Is_Block=_VAI}', "");
Expect(0, 42560, '\p{Is_Block=_VAI}', "");
Expect(1, 42560, '\p{^Is_Block=_VAI}', "");
Expect(1, 42560, '\P{Is_Block=_VAI}', "");
Expect(0, 42560, '\P{^Is_Block=_VAI}', "");
Error('\p{Is_Blk=-/a/Vai}');
Error('\P{Is_Blk=-/a/Vai}');
Expect(1, 42559, '\p{Is_Blk=vai}', "");
Expect(0, 42559, '\p{^Is_Blk=vai}', "");
Expect(0, 42559, '\P{Is_Blk=vai}', "");
Expect(1, 42559, '\P{^Is_Blk=vai}', "");
Expect(0, 42560, '\p{Is_Blk=vai}', "");
Expect(1, 42560, '\p{^Is_Blk=vai}', "");
Expect(1, 42560, '\P{Is_Blk=vai}', "");
Expect(0, 42560, '\P{^Is_Blk=vai}', "");
Expect(1, 42559, '\p{Is_Blk=_	Vai}', "");
Expect(0, 42559, '\p{^Is_Blk=_	Vai}', "");
Expect(0, 42559, '\P{Is_Blk=_	Vai}', "");
Expect(1, 42559, '\P{^Is_Blk=_	Vai}', "");
Expect(0, 42560, '\p{Is_Blk=_	Vai}', "");
Expect(1, 42560, '\p{^Is_Blk=_	Vai}', "");
Expect(1, 42560, '\P{Is_Blk=_	Vai}', "");
Expect(0, 42560, '\P{^Is_Blk=_	Vai}', "");
Error('\p{Block=	-VEDIC_extensions:=}');
Error('\P{Block=	-VEDIC_extensions:=}');
Expect(1, 7423, '\p{Block=vedicextensions}', "");
Expect(0, 7423, '\p{^Block=vedicextensions}', "");
Expect(0, 7423, '\P{Block=vedicextensions}', "");
Expect(1, 7423, '\P{^Block=vedicextensions}', "");
Expect(0, 7424, '\p{Block=vedicextensions}', "");
Expect(1, 7424, '\p{^Block=vedicextensions}', "");
Expect(1, 7424, '\P{Block=vedicextensions}', "");
Expect(0, 7424, '\P{^Block=vedicextensions}', "");
Expect(1, 7423, '\p{Block:   -vedic_extensions}', "");
Expect(0, 7423, '\p{^Block:   -vedic_extensions}', "");
Expect(0, 7423, '\P{Block:   -vedic_extensions}', "");
Expect(1, 7423, '\P{^Block:   -vedic_extensions}', "");
Expect(0, 7424, '\p{Block:   -vedic_extensions}', "");
Expect(1, 7424, '\p{^Block:   -vedic_extensions}', "");
Expect(1, 7424, '\P{Block:   -vedic_extensions}', "");
Expect(0, 7424, '\P{^Block:   -vedic_extensions}', "");
Error('\p{Blk=_:=Vedic_ext}');
Error('\P{Blk=_:=Vedic_ext}');
Expect(1, 7423, '\p{Blk:	vedicext}', "");
Expect(0, 7423, '\p{^Blk:	vedicext}', "");
Expect(0, 7423, '\P{Blk:	vedicext}', "");
Expect(1, 7423, '\P{^Blk:	vedicext}', "");
Expect(0, 7424, '\p{Blk:	vedicext}', "");
Expect(1, 7424, '\p{^Blk:	vedicext}', "");
Expect(1, 7424, '\P{Blk:	vedicext}', "");
Expect(0, 7424, '\P{^Blk:	vedicext}', "");
Expect(1, 7423, '\p{Blk= VEDIC_Ext}', "");
Expect(0, 7423, '\p{^Blk= VEDIC_Ext}', "");
Expect(0, 7423, '\P{Blk= VEDIC_Ext}', "");
Expect(1, 7423, '\P{^Blk= VEDIC_Ext}', "");
Expect(0, 7424, '\p{Blk= VEDIC_Ext}', "");
Expect(1, 7424, '\p{^Blk= VEDIC_Ext}', "");
Expect(1, 7424, '\P{Blk= VEDIC_Ext}', "");
Expect(0, 7424, '\P{^Blk= VEDIC_Ext}', "");
Error('\p{Is_Block=:=_ Vedic_EXTENSIONS}');
Error('\P{Is_Block=:=_ Vedic_EXTENSIONS}');
Expect(1, 7423, '\p{Is_Block=vedicextensions}', "");
Expect(0, 7423, '\p{^Is_Block=vedicextensions}', "");
Expect(0, 7423, '\P{Is_Block=vedicextensions}', "");
Expect(1, 7423, '\P{^Is_Block=vedicextensions}', "");
Expect(0, 7424, '\p{Is_Block=vedicextensions}', "");
Expect(1, 7424, '\p{^Is_Block=vedicextensions}', "");
Expect(1, 7424, '\P{Is_Block=vedicextensions}', "");
Expect(0, 7424, '\P{^Is_Block=vedicextensions}', "");
Expect(1, 7423, '\p{Is_Block= 	vedic_Extensions}', "");
Expect(0, 7423, '\p{^Is_Block= 	vedic_Extensions}', "");
Expect(0, 7423, '\P{Is_Block= 	vedic_Extensions}', "");
Expect(1, 7423, '\P{^Is_Block= 	vedic_Extensions}', "");
Expect(0, 7424, '\p{Is_Block= 	vedic_Extensions}', "");
Expect(1, 7424, '\p{^Is_Block= 	vedic_Extensions}', "");
Expect(1, 7424, '\P{Is_Block= 	vedic_Extensions}', "");
Expect(0, 7424, '\P{^Is_Block= 	vedic_Extensions}', "");
Error('\p{Is_Blk=_/a/Vedic_EXT}');
Error('\P{Is_Blk=_/a/Vedic_EXT}');
Expect(1, 7423, '\p{Is_Blk=vedicext}', "");
Expect(0, 7423, '\p{^Is_Blk=vedicext}', "");
Expect(0, 7423, '\P{Is_Blk=vedicext}', "");
Expect(1, 7423, '\P{^Is_Blk=vedicext}', "");
Expect(0, 7424, '\p{Is_Blk=vedicext}', "");
Expect(1, 7424, '\p{^Is_Blk=vedicext}', "");
Expect(1, 7424, '\P{Is_Blk=vedicext}', "");
Expect(0, 7424, '\P{^Is_Blk=vedicext}', "");
Expect(1, 7423, '\p{Is_Blk=	-vedic_EXT}', "");
Expect(0, 7423, '\p{^Is_Blk=	-vedic_EXT}', "");
Expect(0, 7423, '\P{Is_Blk=	-vedic_EXT}', "");
Expect(1, 7423, '\P{^Is_Blk=	-vedic_EXT}', "");
Expect(0, 7424, '\p{Is_Blk=	-vedic_EXT}', "");
Expect(1, 7424, '\p{^Is_Blk=	-vedic_EXT}', "");
Expect(1, 7424, '\P{Is_Blk=	-vedic_EXT}', "");
Expect(0, 7424, '\P{^Is_Blk=	-vedic_EXT}', "");
Error('\p{Block=/a/_	VERTICAL_FORMS}');
Error('\P{Block=/a/_	VERTICAL_FORMS}');
Expect(1, 65055, '\p{Block=verticalforms}', "");
Expect(0, 65055, '\p{^Block=verticalforms}', "");
Expect(0, 65055, '\P{Block=verticalforms}', "");
Expect(1, 65055, '\P{^Block=verticalforms}', "");
Expect(0, 65056, '\p{Block=verticalforms}', "");
Expect(1, 65056, '\p{^Block=verticalforms}', "");
Expect(1, 65056, '\P{Block=verticalforms}', "");
Expect(0, 65056, '\P{^Block=verticalforms}', "");
Expect(1, 65055, '\p{Block= Vertical_Forms}', "");
Expect(0, 65055, '\p{^Block= Vertical_Forms}', "");
Expect(0, 65055, '\P{Block= Vertical_Forms}', "");
Expect(1, 65055, '\P{^Block= Vertical_Forms}', "");
Expect(0, 65056, '\p{Block= Vertical_Forms}', "");
Expect(1, 65056, '\p{^Block= Vertical_Forms}', "");
Expect(1, 65056, '\P{Block= Vertical_Forms}', "");
Expect(0, 65056, '\P{^Block= Vertical_Forms}', "");
Error('\p{Blk=:=-_Vertical_Forms}');
Error('\P{Blk=:=-_Vertical_Forms}');
Expect(1, 65055, '\p{Blk:   verticalforms}', "");
Expect(0, 65055, '\p{^Blk:   verticalforms}', "");
Expect(0, 65055, '\P{Blk:   verticalforms}', "");
Expect(1, 65055, '\P{^Blk:   verticalforms}', "");
Expect(0, 65056, '\p{Blk:   verticalforms}', "");
Expect(1, 65056, '\p{^Blk:   verticalforms}', "");
Expect(1, 65056, '\P{Blk:   verticalforms}', "");
Expect(0, 65056, '\P{^Blk:   verticalforms}', "");
Expect(1, 65055, '\p{Blk=--vertical_FORMS}', "");
Expect(0, 65055, '\p{^Blk=--vertical_FORMS}', "");
Expect(0, 65055, '\P{Blk=--vertical_FORMS}', "");
Expect(1, 65055, '\P{^Blk=--vertical_FORMS}', "");
Expect(0, 65056, '\p{Blk=--vertical_FORMS}', "");
Expect(1, 65056, '\p{^Blk=--vertical_FORMS}', "");
Expect(1, 65056, '\P{Blk=--vertical_FORMS}', "");
Expect(0, 65056, '\P{^Blk=--vertical_FORMS}', "");
Error('\p{Is_Block=  vertical_Forms/a/}');
Error('\P{Is_Block=  vertical_Forms/a/}');
Expect(1, 65055, '\p{Is_Block=verticalforms}', "");
Expect(0, 65055, '\p{^Is_Block=verticalforms}', "");
Expect(0, 65055, '\P{Is_Block=verticalforms}', "");
Expect(1, 65055, '\P{^Is_Block=verticalforms}', "");
Expect(0, 65056, '\p{Is_Block=verticalforms}', "");
Expect(1, 65056, '\p{^Is_Block=verticalforms}', "");
Expect(1, 65056, '\P{Is_Block=verticalforms}', "");
Expect(0, 65056, '\P{^Is_Block=verticalforms}', "");
Expect(1, 65055, '\p{Is_Block:		VERTICAL_Forms}', "");
Expect(0, 65055, '\p{^Is_Block:		VERTICAL_Forms}', "");
Expect(0, 65055, '\P{Is_Block:		VERTICAL_Forms}', "");
Expect(1, 65055, '\P{^Is_Block:		VERTICAL_Forms}', "");
Expect(0, 65056, '\p{Is_Block:		VERTICAL_Forms}', "");
Expect(1, 65056, '\p{^Is_Block:		VERTICAL_Forms}', "");
Expect(1, 65056, '\P{Is_Block:		VERTICAL_Forms}', "");
Expect(0, 65056, '\P{^Is_Block:		VERTICAL_Forms}', "");
Error('\p{Is_Blk:   _:=Vertical_Forms}');
Error('\P{Is_Blk:   _:=Vertical_Forms}');
Expect(1, 65055, '\p{Is_Blk=verticalforms}', "");
Expect(0, 65055, '\p{^Is_Blk=verticalforms}', "");
Expect(0, 65055, '\P{Is_Blk=verticalforms}', "");
Expect(1, 65055, '\P{^Is_Blk=verticalforms}', "");
Expect(0, 65056, '\p{Is_Blk=verticalforms}', "");
Expect(1, 65056, '\p{^Is_Blk=verticalforms}', "");
Expect(1, 65056, '\P{Is_Blk=verticalforms}', "");
Expect(0, 65056, '\P{^Is_Blk=verticalforms}', "");
Expect(1, 65055, '\p{Is_Blk= vertical_FORMS}', "");
Expect(0, 65055, '\p{^Is_Blk= vertical_FORMS}', "");
Expect(0, 65055, '\P{Is_Blk= vertical_FORMS}', "");
Expect(1, 65055, '\P{^Is_Blk= vertical_FORMS}', "");
Expect(0, 65056, '\p{Is_Blk= vertical_FORMS}', "");
Expect(1, 65056, '\p{^Is_Blk= vertical_FORMS}', "");
Expect(1, 65056, '\P{Is_Blk= vertical_FORMS}', "");
Expect(0, 65056, '\P{^Is_Blk= vertical_FORMS}', "");
Error('\p{Block=-/a/Warang_Citi}');
Error('\P{Block=-/a/Warang_Citi}');
Expect(1, 71935, '\p{Block=warangciti}', "");
Expect(0, 71935, '\p{^Block=warangciti}', "");
Expect(0, 71935, '\P{Block=warangciti}', "");
Expect(1, 71935, '\P{^Block=warangciti}', "");
Expect(0, 71936, '\p{Block=warangciti}', "");
Expect(1, 71936, '\p{^Block=warangciti}', "");
Expect(1, 71936, '\P{Block=warangciti}', "");
Expect(0, 71936, '\P{^Block=warangciti}', "");
Expect(1, 71935, '\p{Block=_-Warang_Citi}', "");
Expect(0, 71935, '\p{^Block=_-Warang_Citi}', "");
Expect(0, 71935, '\P{Block=_-Warang_Citi}', "");
Expect(1, 71935, '\P{^Block=_-Warang_Citi}', "");
Expect(0, 71936, '\p{Block=_-Warang_Citi}', "");
Expect(1, 71936, '\p{^Block=_-Warang_Citi}', "");
Expect(1, 71936, '\P{Block=_-Warang_Citi}', "");
Expect(0, 71936, '\P{^Block=_-Warang_Citi}', "");
Error('\p{Blk=:=	Warang_citi}');
Error('\P{Blk=:=	Warang_citi}');
Expect(1, 71935, '\p{Blk=warangciti}', "");
Expect(0, 71935, '\p{^Blk=warangciti}', "");
Expect(0, 71935, '\P{Blk=warangciti}', "");
Expect(1, 71935, '\P{^Blk=warangciti}', "");
Expect(0, 71936, '\p{Blk=warangciti}', "");
Expect(1, 71936, '\p{^Blk=warangciti}', "");
Expect(1, 71936, '\P{Blk=warangciti}', "");
Expect(0, 71936, '\P{^Blk=warangciti}', "");
Expect(1, 71935, '\p{Blk= -warang_citi}', "");
Expect(0, 71935, '\p{^Blk= -warang_citi}', "");
Expect(0, 71935, '\P{Blk= -warang_citi}', "");
Expect(1, 71935, '\P{^Blk= -warang_citi}', "");
Expect(0, 71936, '\p{Blk= -warang_citi}', "");
Expect(1, 71936, '\p{^Blk= -warang_citi}', "");
Expect(1, 71936, '\P{Blk= -warang_citi}', "");
Expect(0, 71936, '\P{^Blk= -warang_citi}', "");
Error('\p{Is_Block=	 Warang_CITI/a/}');
Error('\P{Is_Block=	 Warang_CITI/a/}');
Expect(1, 71935, '\p{Is_Block=warangciti}', "");
Expect(0, 71935, '\p{^Is_Block=warangciti}', "");
Expect(0, 71935, '\P{Is_Block=warangciti}', "");
Expect(1, 71935, '\P{^Is_Block=warangciti}', "");
Expect(0, 71936, '\p{Is_Block=warangciti}', "");
Expect(1, 71936, '\p{^Is_Block=warangciti}', "");
Expect(1, 71936, '\P{Is_Block=warangciti}', "");
Expect(0, 71936, '\P{^Is_Block=warangciti}', "");
Expect(1, 71935, '\p{Is_Block=	 Warang_Citi}', "");
Expect(0, 71935, '\p{^Is_Block=	 Warang_Citi}', "");
Expect(0, 71935, '\P{Is_Block=	 Warang_Citi}', "");
Expect(1, 71935, '\P{^Is_Block=	 Warang_Citi}', "");
Expect(0, 71936, '\p{Is_Block=	 Warang_Citi}', "");
Expect(1, 71936, '\p{^Is_Block=	 Warang_Citi}', "");
Expect(1, 71936, '\P{Is_Block=	 Warang_Citi}', "");
Expect(0, 71936, '\P{^Is_Block=	 Warang_Citi}', "");
Error('\p{Is_Blk= :=WARANG_CITI}');
Error('\P{Is_Blk= :=WARANG_CITI}');
Expect(1, 71935, '\p{Is_Blk=warangciti}', "");
Expect(0, 71935, '\p{^Is_Blk=warangciti}', "");
Expect(0, 71935, '\P{Is_Blk=warangciti}', "");
Expect(1, 71935, '\P{^Is_Blk=warangciti}', "");
Expect(0, 71936, '\p{Is_Blk=warangciti}', "");
Expect(1, 71936, '\p{^Is_Blk=warangciti}', "");
Expect(1, 71936, '\P{Is_Blk=warangciti}', "");
Expect(0, 71936, '\P{^Is_Blk=warangciti}', "");
Expect(1, 71935, '\p{Is_Blk: _warang_citi}', "");
Expect(0, 71935, '\p{^Is_Blk: _warang_citi}', "");
Expect(0, 71935, '\P{Is_Blk: _warang_citi}', "");
Expect(1, 71935, '\P{^Is_Blk: _warang_citi}', "");
Expect(0, 71936, '\p{Is_Blk: _warang_citi}', "");
Expect(1, 71936, '\p{^Is_Blk: _warang_citi}', "");
Expect(1, 71936, '\P{Is_Blk: _warang_citi}', "");
Expect(0, 71936, '\P{^Is_Blk: _warang_citi}', "");
Error('\p{Block=- Yi_radicals:=}');
Error('\P{Block=- Yi_radicals:=}');
Expect(1, 42191, '\p{Block=yiradicals}', "");
Expect(0, 42191, '\p{^Block=yiradicals}', "");
Expect(0, 42191, '\P{Block=yiradicals}', "");
Expect(1, 42191, '\P{^Block=yiradicals}', "");
Expect(0, 42192, '\p{Block=yiradicals}', "");
Expect(1, 42192, '\p{^Block=yiradicals}', "");
Expect(1, 42192, '\P{Block=yiradicals}', "");
Expect(0, 42192, '\P{^Block=yiradicals}', "");
Expect(1, 42191, '\p{Block=_-yi_Radicals}', "");
Expect(0, 42191, '\p{^Block=_-yi_Radicals}', "");
Expect(0, 42191, '\P{Block=_-yi_Radicals}', "");
Expect(1, 42191, '\P{^Block=_-yi_Radicals}', "");
Expect(0, 42192, '\p{Block=_-yi_Radicals}', "");
Expect(1, 42192, '\p{^Block=_-yi_Radicals}', "");
Expect(1, 42192, '\P{Block=_-yi_Radicals}', "");
Expect(0, 42192, '\P{^Block=_-yi_Radicals}', "");
Error('\p{Blk: 		yi_Radicals/a/}');
Error('\P{Blk: 		yi_Radicals/a/}');
Expect(1, 42191, '\p{Blk: yiradicals}', "");
Expect(0, 42191, '\p{^Blk: yiradicals}', "");
Expect(0, 42191, '\P{Blk: yiradicals}', "");
Expect(1, 42191, '\P{^Blk: yiradicals}', "");
Expect(0, 42192, '\p{Blk: yiradicals}', "");
Expect(1, 42192, '\p{^Blk: yiradicals}', "");
Expect(1, 42192, '\P{Blk: yiradicals}', "");
Expect(0, 42192, '\P{^Blk: yiradicals}', "");
Expect(1, 42191, '\p{Blk=	 Yi_Radicals}', "");
Expect(0, 42191, '\p{^Blk=	 Yi_Radicals}', "");
Expect(0, 42191, '\P{Blk=	 Yi_Radicals}', "");
Expect(1, 42191, '\P{^Blk=	 Yi_Radicals}', "");
Expect(0, 42192, '\p{Blk=	 Yi_Radicals}', "");
Expect(1, 42192, '\p{^Blk=	 Yi_Radicals}', "");
Expect(1, 42192, '\P{Blk=	 Yi_Radicals}', "");
Expect(0, 42192, '\P{^Blk=	 Yi_Radicals}', "");
Error('\p{Is_Block=:= 	Yi_Radicals}');
Error('\P{Is_Block=:= 	Yi_Radicals}');
Expect(1, 42191, '\p{Is_Block=yiradicals}', "");
Expect(0, 42191, '\p{^Is_Block=yiradicals}', "");
Expect(0, 42191, '\P{Is_Block=yiradicals}', "");
Expect(1, 42191, '\P{^Is_Block=yiradicals}', "");
Expect(0, 42192, '\p{Is_Block=yiradicals}', "");
Expect(1, 42192, '\p{^Is_Block=yiradicals}', "");
Expect(1, 42192, '\P{Is_Block=yiradicals}', "");
Expect(0, 42192, '\P{^Is_Block=yiradicals}', "");
Expect(1, 42191, '\p{Is_Block= -Yi_Radicals}', "");
Expect(0, 42191, '\p{^Is_Block= -Yi_Radicals}', "");
Expect(0, 42191, '\P{Is_Block= -Yi_Radicals}', "");
Expect(1, 42191, '\P{^Is_Block= -Yi_Radicals}', "");
Expect(0, 42192, '\p{Is_Block= -Yi_Radicals}', "");
Expect(1, 42192, '\p{^Is_Block= -Yi_Radicals}', "");
Expect(1, 42192, '\P{Is_Block= -Yi_Radicals}', "");
Expect(0, 42192, '\P{^Is_Block= -Yi_Radicals}', "");
Error('\p{Is_Blk=:= _yi_radicals}');
Error('\P{Is_Blk=:= _yi_radicals}');
Expect(1, 42191, '\p{Is_Blk=yiradicals}', "");
Expect(0, 42191, '\p{^Is_Blk=yiradicals}', "");
Expect(0, 42191, '\P{Is_Blk=yiradicals}', "");
Expect(1, 42191, '\P{^Is_Blk=yiradicals}', "");
Expect(0, 42192, '\p{Is_Blk=yiradicals}', "");
Expect(1, 42192, '\p{^Is_Blk=yiradicals}', "");
Expect(1, 42192, '\P{Is_Blk=yiradicals}', "");
Expect(0, 42192, '\P{^Is_Blk=yiradicals}', "");
Expect(1, 42191, '\p{Is_Blk= _Yi_Radicals}', "");
Expect(0, 42191, '\p{^Is_Blk= _Yi_Radicals}', "");
Expect(0, 42191, '\P{Is_Blk= _Yi_Radicals}', "");
Expect(1, 42191, '\P{^Is_Blk= _Yi_Radicals}', "");
Expect(0, 42192, '\p{Is_Blk= _Yi_Radicals}', "");
Expect(1, 42192, '\p{^Is_Blk= _Yi_Radicals}', "");
Expect(1, 42192, '\P{Is_Blk= _Yi_Radicals}', "");
Expect(0, 42192, '\P{^Is_Blk= _Yi_Radicals}', "");
Error('\p{Block=:= 	Yi_Syllables}');
Error('\P{Block=:= 	Yi_Syllables}');
Expect(1, 42127, '\p{Block=yisyllables}', "");
Expect(0, 42127, '\p{^Block=yisyllables}', "");
Expect(0, 42127, '\P{Block=yisyllables}', "");
Expect(1, 42127, '\P{^Block=yisyllables}', "");
Expect(0, 42128, '\p{Block=yisyllables}', "");
Expect(1, 42128, '\p{^Block=yisyllables}', "");
Expect(1, 42128, '\P{Block=yisyllables}', "");
Expect(0, 42128, '\P{^Block=yisyllables}', "");
Expect(1, 42127, '\p{Block= 	Yi_Syllables}', "");
Expect(0, 42127, '\p{^Block= 	Yi_Syllables}', "");
Expect(0, 42127, '\P{Block= 	Yi_Syllables}', "");
Expect(1, 42127, '\P{^Block= 	Yi_Syllables}', "");
Expect(0, 42128, '\p{Block= 	Yi_Syllables}', "");
Expect(1, 42128, '\p{^Block= 	Yi_Syllables}', "");
Expect(1, 42128, '\P{Block= 	Yi_Syllables}', "");
Expect(0, 42128, '\P{^Block= 	Yi_Syllables}', "");
Error('\p{Blk=/a/ yi_Syllables}');
Error('\P{Blk=/a/ yi_Syllables}');
Expect(1, 42127, '\p{Blk=yisyllables}', "");
Expect(0, 42127, '\p{^Blk=yisyllables}', "");
Expect(0, 42127, '\P{Blk=yisyllables}', "");
Expect(1, 42127, '\P{^Blk=yisyllables}', "");
Expect(0, 42128, '\p{Blk=yisyllables}', "");
Expect(1, 42128, '\p{^Blk=yisyllables}', "");
Expect(1, 42128, '\P{Blk=yisyllables}', "");
Expect(0, 42128, '\P{^Blk=yisyllables}', "");
Expect(1, 42127, '\p{Blk=- yi_syllables}', "");
Expect(0, 42127, '\p{^Blk=- yi_syllables}', "");
Expect(0, 42127, '\P{Blk=- yi_syllables}', "");
Expect(1, 42127, '\P{^Blk=- yi_syllables}', "");
Expect(0, 42128, '\p{Blk=- yi_syllables}', "");
Expect(1, 42128, '\p{^Blk=- yi_syllables}', "");
Expect(1, 42128, '\P{Blk=- yi_syllables}', "");
Expect(0, 42128, '\P{^Blk=- yi_syllables}', "");
Error('\p{Is_Block: _	YI_Syllables/a/}');
Error('\P{Is_Block: _	YI_Syllables/a/}');
Expect(1, 42127, '\p{Is_Block=yisyllables}', "");
Expect(0, 42127, '\p{^Is_Block=yisyllables}', "");
Expect(0, 42127, '\P{Is_Block=yisyllables}', "");
Expect(1, 42127, '\P{^Is_Block=yisyllables}', "");
Expect(0, 42128, '\p{Is_Block=yisyllables}', "");
Expect(1, 42128, '\p{^Is_Block=yisyllables}', "");
Expect(1, 42128, '\P{Is_Block=yisyllables}', "");
Expect(0, 42128, '\P{^Is_Block=yisyllables}', "");
Expect(1, 42127, '\p{Is_Block= YI_Syllables}', "");
Expect(0, 42127, '\p{^Is_Block= YI_Syllables}', "");
Expect(0, 42127, '\P{Is_Block= YI_Syllables}', "");
Expect(1, 42127, '\P{^Is_Block= YI_Syllables}', "");
Expect(0, 42128, '\p{Is_Block= YI_Syllables}', "");
Expect(1, 42128, '\p{^Is_Block= YI_Syllables}', "");
Expect(1, 42128, '\P{Is_Block= YI_Syllables}', "");
Expect(0, 42128, '\P{^Is_Block= YI_Syllables}', "");
Error('\p{Is_Blk:_	YI_SYLLABLES/a/}');
Error('\P{Is_Blk:_	YI_SYLLABLES/a/}');
Expect(1, 42127, '\p{Is_Blk:	yisyllables}', "");
Expect(0, 42127, '\p{^Is_Blk:	yisyllables}', "");
Expect(0, 42127, '\P{Is_Blk:	yisyllables}', "");
Expect(1, 42127, '\P{^Is_Blk:	yisyllables}', "");
Expect(0, 42128, '\p{Is_Blk:	yisyllables}', "");
Expect(1, 42128, '\p{^Is_Blk:	yisyllables}', "");
Expect(1, 42128, '\P{Is_Blk:	yisyllables}', "");
Expect(0, 42128, '\P{^Is_Blk:	yisyllables}', "");
Expect(1, 42127, '\p{Is_Blk= 	Yi_Syllables}', "");
Expect(0, 42127, '\p{^Is_Blk= 	Yi_Syllables}', "");
Expect(0, 42127, '\P{Is_Blk= 	Yi_Syllables}', "");
Expect(1, 42127, '\P{^Is_Blk= 	Yi_Syllables}', "");
Expect(0, 42128, '\p{Is_Blk= 	Yi_Syllables}', "");
Expect(1, 42128, '\p{^Is_Blk= 	Yi_Syllables}', "");
Expect(1, 42128, '\P{Is_Blk= 	Yi_Syllables}', "");
Expect(0, 42128, '\P{^Is_Blk= 	Yi_Syllables}', "");
Error('\p{Block=:=Yijing_hexagram_SYMBOLS}');
Error('\P{Block=:=Yijing_hexagram_SYMBOLS}');
Expect(1, 19967, '\p{Block=yijinghexagramsymbols}', "");
Expect(0, 19967, '\p{^Block=yijinghexagramsymbols}', "");
Expect(0, 19967, '\P{Block=yijinghexagramsymbols}', "");
Expect(1, 19967, '\P{^Block=yijinghexagramsymbols}', "");
Expect(0, 19968, '\p{Block=yijinghexagramsymbols}', "");
Expect(1, 19968, '\p{^Block=yijinghexagramsymbols}', "");
Expect(1, 19968, '\P{Block=yijinghexagramsymbols}', "");
Expect(0, 19968, '\P{^Block=yijinghexagramsymbols}', "");
Expect(1, 19967, '\p{Block=--YIJING_Hexagram_Symbols}', "");
Expect(0, 19967, '\p{^Block=--YIJING_Hexagram_Symbols}', "");
Expect(0, 19967, '\P{Block=--YIJING_Hexagram_Symbols}', "");
Expect(1, 19967, '\P{^Block=--YIJING_Hexagram_Symbols}', "");
Expect(0, 19968, '\p{Block=--YIJING_Hexagram_Symbols}', "");
Expect(1, 19968, '\p{^Block=--YIJING_Hexagram_Symbols}', "");
Expect(1, 19968, '\P{Block=--YIJING_Hexagram_Symbols}', "");
Expect(0, 19968, '\P{^Block=--YIJING_Hexagram_Symbols}', "");
Error('\p{Blk=:=  YIJING}');
Error('\P{Blk=:=  YIJING}');
Expect(1, 19967, '\p{Blk=yijing}', "");
Expect(0, 19967, '\p{^Blk=yijing}', "");
Expect(0, 19967, '\P{Blk=yijing}', "");
Expect(1, 19967, '\P{^Blk=yijing}', "");
Expect(0, 19968, '\p{Blk=yijing}', "");
Expect(1, 19968, '\p{^Blk=yijing}', "");
Expect(1, 19968, '\P{Blk=yijing}', "");
Expect(0, 19968, '\P{^Blk=yijing}', "");
Expect(1, 19967, '\p{Blk=-_YIJING}', "");
Expect(0, 19967, '\p{^Blk=-_YIJING}', "");
Expect(0, 19967, '\P{Blk=-_YIJING}', "");
Expect(1, 19967, '\P{^Blk=-_YIJING}', "");
Expect(0, 19968, '\p{Blk=-_YIJING}', "");
Expect(1, 19968, '\p{^Blk=-_YIJING}', "");
Expect(1, 19968, '\P{Blk=-_YIJING}', "");
Expect(0, 19968, '\P{^Blk=-_YIJING}', "");
Error('\p{Is_Block=/a/Yijing_HEXAGRAM_symbols}');
Error('\P{Is_Block=/a/Yijing_HEXAGRAM_symbols}');
Expect(1, 19967, '\p{Is_Block=yijinghexagramsymbols}', "");
Expect(0, 19967, '\p{^Is_Block=yijinghexagramsymbols}', "");
Expect(0, 19967, '\P{Is_Block=yijinghexagramsymbols}', "");
Expect(1, 19967, '\P{^Is_Block=yijinghexagramsymbols}', "");
Expect(0, 19968, '\p{Is_Block=yijinghexagramsymbols}', "");
Expect(1, 19968, '\p{^Is_Block=yijinghexagramsymbols}', "");
Expect(1, 19968, '\P{Is_Block=yijinghexagramsymbols}', "");
Expect(0, 19968, '\P{^Is_Block=yijinghexagramsymbols}', "");
Expect(1, 19967, '\p{Is_Block=__yijing_hexagram_symbols}', "");
Expect(0, 19967, '\p{^Is_Block=__yijing_hexagram_symbols}', "");
Expect(0, 19967, '\P{Is_Block=__yijing_hexagram_symbols}', "");
Expect(1, 19967, '\P{^Is_Block=__yijing_hexagram_symbols}', "");
Expect(0, 19968, '\p{Is_Block=__yijing_hexagram_symbols}', "");
Expect(1, 19968, '\p{^Is_Block=__yijing_hexagram_symbols}', "");
Expect(1, 19968, '\P{Is_Block=__yijing_hexagram_symbols}', "");
Expect(0, 19968, '\P{^Is_Block=__yijing_hexagram_symbols}', "");
Error('\p{Is_Blk=--Yijing/a/}');
Error('\P{Is_Blk=--Yijing/a/}');
Expect(1, 19967, '\p{Is_Blk=yijing}', "");
Expect(0, 19967, '\p{^Is_Blk=yijing}', "");
Expect(0, 19967, '\P{Is_Blk=yijing}', "");
Expect(1, 19967, '\P{^Is_Blk=yijing}', "");
Expect(0, 19968, '\p{Is_Blk=yijing}', "");
Expect(1, 19968, '\p{^Is_Blk=yijing}', "");
Expect(1, 19968, '\P{Is_Blk=yijing}', "");
Expect(0, 19968, '\P{^Is_Blk=yijing}', "");
Expect(1, 19967, '\p{Is_Blk=	_yijing}', "");
Expect(0, 19967, '\p{^Is_Blk=	_yijing}', "");
Expect(0, 19967, '\P{Is_Blk=	_yijing}', "");
Expect(1, 19967, '\P{^Is_Blk=	_yijing}', "");
Expect(0, 19968, '\p{Is_Blk=	_yijing}', "");
Expect(1, 19968, '\p{^Is_Blk=	_yijing}', "");
Expect(1, 19968, '\P{Is_Blk=	_yijing}', "");
Expect(0, 19968, '\P{^Is_Blk=	_yijing}', "");
Error('\p{Bidi_Paired_Bracket_Type=:=	CLOSE}');
Error('\P{Bidi_Paired_Bracket_Type=:=	CLOSE}');
Expect(1, 65379, '\p{Bidi_Paired_Bracket_Type=close}', "");
Expect(0, 65379, '\p{^Bidi_Paired_Bracket_Type=close}', "");
Expect(0, 65379, '\P{Bidi_Paired_Bracket_Type=close}', "");
Expect(1, 65379, '\P{^Bidi_Paired_Bracket_Type=close}', "");
Expect(0, 65380, '\p{Bidi_Paired_Bracket_Type=close}', "");
Expect(1, 65380, '\p{^Bidi_Paired_Bracket_Type=close}', "");
Expect(1, 65380, '\P{Bidi_Paired_Bracket_Type=close}', "");
Expect(0, 65380, '\P{^Bidi_Paired_Bracket_Type=close}', "");
Expect(1, 65379, '\p{Bidi_Paired_Bracket_Type=  close}', "");
Expect(0, 65379, '\p{^Bidi_Paired_Bracket_Type=  close}', "");
Expect(0, 65379, '\P{Bidi_Paired_Bracket_Type=  close}', "");
Expect(1, 65379, '\P{^Bidi_Paired_Bracket_Type=  close}', "");
Expect(0, 65380, '\p{Bidi_Paired_Bracket_Type=  close}', "");
Expect(1, 65380, '\p{^Bidi_Paired_Bracket_Type=  close}', "");
Expect(1, 65380, '\P{Bidi_Paired_Bracket_Type=  close}', "");
Expect(0, 65380, '\P{^Bidi_Paired_Bracket_Type=  close}', "");
Error('\p{Bpt=	/a/c}');
Error('\P{Bpt=	/a/c}');
Expect(1, 65379, '\p{Bpt=c}', "");
Expect(0, 65379, '\p{^Bpt=c}', "");
Expect(0, 65379, '\P{Bpt=c}', "");
Expect(1, 65379, '\P{^Bpt=c}', "");
Expect(0, 65380, '\p{Bpt=c}', "");
Expect(1, 65380, '\p{^Bpt=c}', "");
Expect(1, 65380, '\P{Bpt=c}', "");
Expect(0, 65380, '\P{^Bpt=c}', "");
Expect(1, 65379, '\p{Bpt:_-c}', "");
Expect(0, 65379, '\p{^Bpt:_-c}', "");
Expect(0, 65379, '\P{Bpt:_-c}', "");
Expect(1, 65379, '\P{^Bpt:_-c}', "");
Expect(0, 65380, '\p{Bpt:_-c}', "");
Expect(1, 65380, '\p{^Bpt:_-c}', "");
Expect(1, 65380, '\P{Bpt:_-c}', "");
Expect(0, 65380, '\P{^Bpt:_-c}', "");
Error('\p{Is_Bidi_Paired_Bracket_Type=/a/-CLOSE}');
Error('\P{Is_Bidi_Paired_Bracket_Type=/a/-CLOSE}');
Expect(1, 65379, '\p{Is_Bidi_Paired_Bracket_Type=close}', "");
Expect(0, 65379, '\p{^Is_Bidi_Paired_Bracket_Type=close}', "");
Expect(0, 65379, '\P{Is_Bidi_Paired_Bracket_Type=close}', "");
Expect(1, 65379, '\P{^Is_Bidi_Paired_Bracket_Type=close}', "");
Expect(0, 65380, '\p{Is_Bidi_Paired_Bracket_Type=close}', "");
Expect(1, 65380, '\p{^Is_Bidi_Paired_Bracket_Type=close}', "");
Expect(1, 65380, '\P{Is_Bidi_Paired_Bracket_Type=close}', "");
Expect(0, 65380, '\P{^Is_Bidi_Paired_Bracket_Type=close}', "");
Expect(1, 65379, '\p{Is_Bidi_Paired_Bracket_Type= Close}', "");
Expect(0, 65379, '\p{^Is_Bidi_Paired_Bracket_Type= Close}', "");
Expect(0, 65379, '\P{Is_Bidi_Paired_Bracket_Type= Close}', "");
Expect(1, 65379, '\P{^Is_Bidi_Paired_Bracket_Type= Close}', "");
Expect(0, 65380, '\p{Is_Bidi_Paired_Bracket_Type= Close}', "");
Expect(1, 65380, '\p{^Is_Bidi_Paired_Bracket_Type= Close}', "");
Expect(1, 65380, '\P{Is_Bidi_Paired_Bracket_Type= Close}', "");
Expect(0, 65380, '\P{^Is_Bidi_Paired_Bracket_Type= Close}', "");
Error('\p{Is_Bpt=:= _C}');
Error('\P{Is_Bpt=:= _C}');
Expect(1, 65379, '\p{Is_Bpt=c}', "");
Expect(0, 65379, '\p{^Is_Bpt=c}', "");
Expect(0, 65379, '\P{Is_Bpt=c}', "");
Expect(1, 65379, '\P{^Is_Bpt=c}', "");
Expect(0, 65380, '\p{Is_Bpt=c}', "");
Expect(1, 65380, '\p{^Is_Bpt=c}', "");
Expect(1, 65380, '\P{Is_Bpt=c}', "");
Expect(0, 65380, '\P{^Is_Bpt=c}', "");
Expect(1, 65379, '\p{Is_Bpt= C}', "");
Expect(0, 65379, '\p{^Is_Bpt= C}', "");
Expect(0, 65379, '\P{Is_Bpt= C}', "");
Expect(1, 65379, '\P{^Is_Bpt= C}', "");
Expect(0, 65380, '\p{Is_Bpt= C}', "");
Expect(1, 65380, '\p{^Is_Bpt= C}', "");
Expect(1, 65380, '\P{Is_Bpt= C}', "");
Expect(0, 65380, '\P{^Is_Bpt= C}', "");
Error('\p{Bidi_Paired_Bracket_Type=:=NONE}');
Error('\P{Bidi_Paired_Bracket_Type=:=NONE}');
Expect(1, 65380, '\p{Bidi_Paired_Bracket_Type=none}', "");
Expect(0, 65380, '\p{^Bidi_Paired_Bracket_Type=none}', "");
Expect(0, 65380, '\P{Bidi_Paired_Bracket_Type=none}', "");
Expect(1, 65380, '\P{^Bidi_Paired_Bracket_Type=none}', "");
Expect(0, 65379, '\p{Bidi_Paired_Bracket_Type=none}', "");
Expect(1, 65379, '\p{^Bidi_Paired_Bracket_Type=none}', "");
Expect(1, 65379, '\P{Bidi_Paired_Bracket_Type=none}', "");
Expect(0, 65379, '\P{^Bidi_Paired_Bracket_Type=none}', "");
Expect(1, 65380, '\p{Bidi_Paired_Bracket_Type= none}', "");
Expect(0, 65380, '\p{^Bidi_Paired_Bracket_Type= none}', "");
Expect(0, 65380, '\P{Bidi_Paired_Bracket_Type= none}', "");
Expect(1, 65380, '\P{^Bidi_Paired_Bracket_Type= none}', "");
Expect(0, 65379, '\p{Bidi_Paired_Bracket_Type= none}', "");
Expect(1, 65379, '\p{^Bidi_Paired_Bracket_Type= none}', "");
Expect(1, 65379, '\P{Bidi_Paired_Bracket_Type= none}', "");
Expect(0, 65379, '\P{^Bidi_Paired_Bracket_Type= none}', "");
Error('\p{Bpt=_N/a/}');
Error('\P{Bpt=_N/a/}');
Expect(1, 65380, '\p{Bpt=n}', "");
Expect(0, 65380, '\p{^Bpt=n}', "");
Expect(0, 65380, '\P{Bpt=n}', "");
Expect(1, 65380, '\P{^Bpt=n}', "");
Expect(0, 65379, '\p{Bpt=n}', "");
Expect(1, 65379, '\p{^Bpt=n}', "");
Expect(1, 65379, '\P{Bpt=n}', "");
Expect(0, 65379, '\P{^Bpt=n}', "");
Expect(1, 65380, '\p{Bpt=  N}', "");
Expect(0, 65380, '\p{^Bpt=  N}', "");
Expect(0, 65380, '\P{Bpt=  N}', "");
Expect(1, 65380, '\P{^Bpt=  N}', "");
Expect(0, 65379, '\p{Bpt=  N}', "");
Expect(1, 65379, '\p{^Bpt=  N}', "");
Expect(1, 65379, '\P{Bpt=  N}', "");
Expect(0, 65379, '\P{^Bpt=  N}', "");
Error('\p{Is_Bidi_Paired_Bracket_Type=/a/  None}');
Error('\P{Is_Bidi_Paired_Bracket_Type=/a/  None}');
Expect(1, 65380, '\p{Is_Bidi_Paired_Bracket_Type=none}', "");
Expect(0, 65380, '\p{^Is_Bidi_Paired_Bracket_Type=none}', "");
Expect(0, 65380, '\P{Is_Bidi_Paired_Bracket_Type=none}', "");
Expect(1, 65380, '\P{^Is_Bidi_Paired_Bracket_Type=none}', "");
Expect(0, 65379, '\p{Is_Bidi_Paired_Bracket_Type=none}', "");
Expect(1, 65379, '\p{^Is_Bidi_Paired_Bracket_Type=none}', "");
Expect(1, 65379, '\P{Is_Bidi_Paired_Bracket_Type=none}', "");
Expect(0, 65379, '\P{^Is_Bidi_Paired_Bracket_Type=none}', "");
Expect(1, 65380, '\p{Is_Bidi_Paired_Bracket_Type= _none}', "");
Expect(0, 65380, '\p{^Is_Bidi_Paired_Bracket_Type= _none}', "");
Expect(0, 65380, '\P{Is_Bidi_Paired_Bracket_Type= _none}', "");
Expect(1, 65380, '\P{^Is_Bidi_Paired_Bracket_Type= _none}', "");
Expect(0, 65379, '\p{Is_Bidi_Paired_Bracket_Type= _none}', "");
Expect(1, 65379, '\p{^Is_Bidi_Paired_Bracket_Type= _none}', "");
Expect(1, 65379, '\P{Is_Bidi_Paired_Bracket_Type= _none}', "");
Expect(0, 65379, '\P{^Is_Bidi_Paired_Bracket_Type= _none}', "");
Error('\p{Is_Bpt=_N:=}');
Error('\P{Is_Bpt=_N:=}');
Expect(1, 65380, '\p{Is_Bpt:   n}', "");
Expect(0, 65380, '\p{^Is_Bpt:   n}', "");
Expect(0, 65380, '\P{Is_Bpt:   n}', "");
Expect(1, 65380, '\P{^Is_Bpt:   n}', "");
Expect(0, 65379, '\p{Is_Bpt:   n}', "");
Expect(1, 65379, '\p{^Is_Bpt:   n}', "");
Expect(1, 65379, '\P{Is_Bpt:   n}', "");
Expect(0, 65379, '\P{^Is_Bpt:   n}', "");
Expect(1, 65380, '\p{Is_Bpt=--n}', "");
Expect(0, 65380, '\p{^Is_Bpt=--n}', "");
Expect(0, 65380, '\P{Is_Bpt=--n}', "");
Expect(1, 65380, '\P{^Is_Bpt=--n}', "");
Expect(0, 65379, '\p{Is_Bpt=--n}', "");
Expect(1, 65379, '\p{^Is_Bpt=--n}', "");
Expect(1, 65379, '\P{Is_Bpt=--n}', "");
Expect(0, 65379, '\P{^Is_Bpt=--n}', "");
Error('\p{Bidi_Paired_Bracket_Type=-:=OPEN}');
Error('\P{Bidi_Paired_Bracket_Type=-:=OPEN}');
Expect(1, 65378, '\p{Bidi_Paired_Bracket_Type=open}', "");
Expect(0, 65378, '\p{^Bidi_Paired_Bracket_Type=open}', "");
Expect(0, 65378, '\P{Bidi_Paired_Bracket_Type=open}', "");
Expect(1, 65378, '\P{^Bidi_Paired_Bracket_Type=open}', "");
Expect(0, 65379, '\p{Bidi_Paired_Bracket_Type=open}', "");
Expect(1, 65379, '\p{^Bidi_Paired_Bracket_Type=open}', "");
Expect(1, 65379, '\P{Bidi_Paired_Bracket_Type=open}', "");
Expect(0, 65379, '\P{^Bidi_Paired_Bracket_Type=open}', "");
Expect(1, 65378, '\p{Bidi_Paired_Bracket_Type=-	Open}', "");
Expect(0, 65378, '\p{^Bidi_Paired_Bracket_Type=-	Open}', "");
Expect(0, 65378, '\P{Bidi_Paired_Bracket_Type=-	Open}', "");
Expect(1, 65378, '\P{^Bidi_Paired_Bracket_Type=-	Open}', "");
Expect(0, 65379, '\p{Bidi_Paired_Bracket_Type=-	Open}', "");
Expect(1, 65379, '\p{^Bidi_Paired_Bracket_Type=-	Open}', "");
Expect(1, 65379, '\P{Bidi_Paired_Bracket_Type=-	Open}', "");
Expect(0, 65379, '\P{^Bidi_Paired_Bracket_Type=-	Open}', "");
Error('\p{Bpt=/a/ 	o}');
Error('\P{Bpt=/a/ 	o}');
Expect(1, 65378, '\p{Bpt=o}', "");
Expect(0, 65378, '\p{^Bpt=o}', "");
Expect(0, 65378, '\P{Bpt=o}', "");
Expect(1, 65378, '\P{^Bpt=o}', "");
Expect(0, 65379, '\p{Bpt=o}', "");
Expect(1, 65379, '\p{^Bpt=o}', "");
Expect(1, 65379, '\P{Bpt=o}', "");
Expect(0, 65379, '\P{^Bpt=o}', "");
Expect(1, 65378, '\p{Bpt= 	O}', "");
Expect(0, 65378, '\p{^Bpt= 	O}', "");
Expect(0, 65378, '\P{Bpt= 	O}', "");
Expect(1, 65378, '\P{^Bpt= 	O}', "");
Expect(0, 65379, '\p{Bpt= 	O}', "");
Expect(1, 65379, '\p{^Bpt= 	O}', "");
Expect(1, 65379, '\P{Bpt= 	O}', "");
Expect(0, 65379, '\P{^Bpt= 	O}', "");
Error('\p{Is_Bidi_Paired_Bracket_Type=Open:=}');
Error('\P{Is_Bidi_Paired_Bracket_Type=Open:=}');
Expect(1, 65378, '\p{Is_Bidi_Paired_Bracket_Type=open}', "");
Expect(0, 65378, '\p{^Is_Bidi_Paired_Bracket_Type=open}', "");
Expect(0, 65378, '\P{Is_Bidi_Paired_Bracket_Type=open}', "");
Expect(1, 65378, '\P{^Is_Bidi_Paired_Bracket_Type=open}', "");
Expect(0, 65379, '\p{Is_Bidi_Paired_Bracket_Type=open}', "");
Expect(1, 65379, '\p{^Is_Bidi_Paired_Bracket_Type=open}', "");
Expect(1, 65379, '\P{Is_Bidi_Paired_Bracket_Type=open}', "");
Expect(0, 65379, '\P{^Is_Bidi_Paired_Bracket_Type=open}', "");
Expect(1, 65378, '\p{Is_Bidi_Paired_Bracket_Type=	open}', "");
Expect(0, 65378, '\p{^Is_Bidi_Paired_Bracket_Type=	open}', "");
Expect(0, 65378, '\P{Is_Bidi_Paired_Bracket_Type=	open}', "");
Expect(1, 65378, '\P{^Is_Bidi_Paired_Bracket_Type=	open}', "");
Expect(0, 65379, '\p{Is_Bidi_Paired_Bracket_Type=	open}', "");
Expect(1, 65379, '\p{^Is_Bidi_Paired_Bracket_Type=	open}', "");
Expect(1, 65379, '\P{Is_Bidi_Paired_Bracket_Type=	open}', "");
Expect(0, 65379, '\P{^Is_Bidi_Paired_Bracket_Type=	open}', "");
Error('\p{Is_Bpt=/a/_o}');
Error('\P{Is_Bpt=/a/_o}');
Expect(1, 65378, '\p{Is_Bpt=o}', "");
Expect(0, 65378, '\p{^Is_Bpt=o}', "");
Expect(0, 65378, '\P{Is_Bpt=o}', "");
Expect(1, 65378, '\P{^Is_Bpt=o}', "");
Expect(0, 65379, '\p{Is_Bpt=o}', "");
Expect(1, 65379, '\p{^Is_Bpt=o}', "");
Expect(1, 65379, '\P{Is_Bpt=o}', "");
Expect(0, 65379, '\P{^Is_Bpt=o}', "");
Expect(1, 65378, '\p{Is_Bpt=-O}', "");
Expect(0, 65378, '\p{^Is_Bpt=-O}', "");
Expect(0, 65378, '\P{Is_Bpt=-O}', "");
Expect(1, 65378, '\P{^Is_Bpt=-O}', "");
Expect(0, 65379, '\p{Is_Bpt=-O}', "");
Expect(1, 65379, '\p{^Is_Bpt=-O}', "");
Expect(1, 65379, '\P{Is_Bpt=-O}', "");
Expect(0, 65379, '\P{^Is_Bpt=-O}', "");
Error('\p{Canonical_Combining_Class=	/a/Above}');
Error('\P{Canonical_Combining_Class=	/a/Above}');
Expect(1, 119364, '\p{Canonical_Combining_Class=above}', "");
Expect(0, 119364, '\p{^Canonical_Combining_Class=above}', "");
Expect(0, 119364, '\P{Canonical_Combining_Class=above}', "");
Expect(1, 119364, '\P{^Canonical_Combining_Class=above}', "");
Expect(0, 119365, '\p{Canonical_Combining_Class=above}', "");
Expect(1, 119365, '\p{^Canonical_Combining_Class=above}', "");
Expect(1, 119365, '\P{Canonical_Combining_Class=above}', "");
Expect(0, 119365, '\P{^Canonical_Combining_Class=above}', "");
Expect(1, 119364, '\p{Canonical_Combining_Class=  above}', "");
Expect(0, 119364, '\p{^Canonical_Combining_Class=  above}', "");
Expect(0, 119364, '\P{Canonical_Combining_Class=  above}', "");
Expect(1, 119364, '\P{^Canonical_Combining_Class=  above}', "");
Expect(0, 119365, '\p{Canonical_Combining_Class=  above}', "");
Expect(1, 119365, '\p{^Canonical_Combining_Class=  above}', "");
Expect(1, 119365, '\P{Canonical_Combining_Class=  above}', "");
Expect(0, 119365, '\P{^Canonical_Combining_Class=  above}', "");
Error('\p{Ccc=/a/A}');
Error('\P{Ccc=/a/A}');
Expect(1, 119364, '\p{Ccc=a}', "");
Expect(0, 119364, '\p{^Ccc=a}', "");
Expect(0, 119364, '\P{Ccc=a}', "");
Expect(1, 119364, '\P{^Ccc=a}', "");
Expect(0, 119365, '\p{Ccc=a}', "");
Expect(1, 119365, '\p{^Ccc=a}', "");
Expect(1, 119365, '\P{Ccc=a}', "");
Expect(0, 119365, '\P{^Ccc=a}', "");
Expect(1, 119364, '\p{Ccc= A}', "");
Expect(0, 119364, '\p{^Ccc= A}', "");
Expect(0, 119364, '\P{Ccc= A}', "");
Expect(1, 119364, '\P{^Ccc= A}', "");
Expect(0, 119365, '\p{Ccc= A}', "");
Expect(1, 119365, '\p{^Ccc= A}', "");
Expect(1, 119365, '\P{Ccc= A}', "");
Expect(0, 119365, '\P{^Ccc= A}', "");
Error('\p{Is_Canonical_Combining_Class=/a/ 0_0_0_230}');
Error('\P{Is_Canonical_Combining_Class=/a/ 0_0_0_230}');
Expect(1, 119364, '\p{Is_Canonical_Combining_Class=+00000000230}', "");
Expect(0, 119364, '\p{^Is_Canonical_Combining_Class=+00000000230}', "");
Expect(0, 119364, '\P{Is_Canonical_Combining_Class=+00000000230}', "");
Expect(1, 119364, '\P{^Is_Canonical_Combining_Class=+00000000230}', "");
Expect(0, 119365, '\p{Is_Canonical_Combining_Class=+00000000230}', "");
Expect(1, 119365, '\p{^Is_Canonical_Combining_Class=+00000000230}', "");
Expect(1, 119365, '\P{Is_Canonical_Combining_Class=+00000000230}', "");
Expect(0, 119365, '\P{^Is_Canonical_Combining_Class=+00000000230}', "");
Error('\p{Is_Ccc=_/a/Above}');
Error('\P{Is_Ccc=_/a/Above}');
Expect(1, 119364, '\p{Is_Ccc=above}', "");
Expect(0, 119364, '\p{^Is_Ccc=above}', "");
Expect(0, 119364, '\P{Is_Ccc=above}', "");
Expect(1, 119364, '\P{^Is_Ccc=above}', "");
Expect(0, 119365, '\p{Is_Ccc=above}', "");
Expect(1, 119365, '\p{^Is_Ccc=above}', "");
Expect(1, 119365, '\P{Is_Ccc=above}', "");
Expect(0, 119365, '\P{^Is_Ccc=above}', "");
Expect(1, 119364, '\p{Is_Ccc:   --ABOVE}', "");
Expect(0, 119364, '\p{^Is_Ccc:   --ABOVE}', "");
Expect(0, 119364, '\P{Is_Ccc:   --ABOVE}', "");
Expect(1, 119364, '\P{^Is_Ccc:   --ABOVE}', "");
Expect(0, 119365, '\p{Is_Ccc:   --ABOVE}', "");
Expect(1, 119365, '\p{^Is_Ccc:   --ABOVE}', "");
Expect(1, 119365, '\P{Is_Ccc:   --ABOVE}', "");
Expect(0, 119365, '\P{^Is_Ccc:   --ABOVE}', "");
Error('\p{Canonical_Combining_Class=_Above_Left:=}');
Error('\P{Canonical_Combining_Class=_Above_Left:=}');
Expect(1, 12331, '\p{Canonical_Combining_Class:	aboveleft}', "");
Expect(0, 12331, '\p{^Canonical_Combining_Class:	aboveleft}', "");
Expect(0, 12331, '\P{Canonical_Combining_Class:	aboveleft}', "");
Expect(1, 12331, '\P{^Canonical_Combining_Class:	aboveleft}', "");
Expect(0, 12332, '\p{Canonical_Combining_Class:	aboveleft}', "");
Expect(1, 12332, '\p{^Canonical_Combining_Class:	aboveleft}', "");
Expect(1, 12332, '\P{Canonical_Combining_Class:	aboveleft}', "");
Expect(0, 12332, '\P{^Canonical_Combining_Class:	aboveleft}', "");
Expect(1, 12331, '\p{Canonical_Combining_Class=--ABOVE_Left}', "");
Expect(0, 12331, '\p{^Canonical_Combining_Class=--ABOVE_Left}', "");
Expect(0, 12331, '\P{Canonical_Combining_Class=--ABOVE_Left}', "");
Expect(1, 12331, '\P{^Canonical_Combining_Class=--ABOVE_Left}', "");
Expect(0, 12332, '\p{Canonical_Combining_Class=--ABOVE_Left}', "");
Expect(1, 12332, '\p{^Canonical_Combining_Class=--ABOVE_Left}', "");
Expect(1, 12332, '\P{Canonical_Combining_Class=--ABOVE_Left}', "");
Expect(0, 12332, '\P{^Canonical_Combining_Class=--ABOVE_Left}', "");
Error('\p{Ccc=-/a/AL}');
Error('\P{Ccc=-/a/AL}');
Expect(1, 12331, '\p{Ccc=al}', "");
Expect(0, 12331, '\p{^Ccc=al}', "");
Expect(0, 12331, '\P{Ccc=al}', "");
Expect(1, 12331, '\P{^Ccc=al}', "");
Expect(0, 12332, '\p{Ccc=al}', "");
Expect(1, 12332, '\p{^Ccc=al}', "");
Expect(1, 12332, '\P{Ccc=al}', "");
Expect(0, 12332, '\P{^Ccc=al}', "");
Expect(1, 12331, '\p{Ccc=-AL}', "");
Expect(0, 12331, '\p{^Ccc=-AL}', "");
Expect(0, 12331, '\P{Ccc=-AL}', "");
Expect(1, 12331, '\P{^Ccc=-AL}', "");
Expect(0, 12332, '\p{Ccc=-AL}', "");
Expect(1, 12332, '\p{^Ccc=-AL}', "");
Expect(1, 12332, '\P{Ccc=-AL}', "");
Expect(0, 12332, '\P{^Ccc=-AL}', "");
Error('\p{Is_Canonical_Combining_Class=-:=+00228}');
Error('\P{Is_Canonical_Combining_Class=-:=+00228}');
Expect(1, 12331, '\p{Is_Canonical_Combining_Class=0_0_0_0_0_0_0_2_28}', "");
Expect(0, 12331, '\p{^Is_Canonical_Combining_Class=0_0_0_0_0_0_0_2_28}', "");
Expect(0, 12331, '\P{Is_Canonical_Combining_Class=0_0_0_0_0_0_0_2_28}', "");
Expect(1, 12331, '\P{^Is_Canonical_Combining_Class=0_0_0_0_0_0_0_2_28}', "");
Expect(0, 12332, '\p{Is_Canonical_Combining_Class=0_0_0_0_0_0_0_2_28}', "");
Expect(1, 12332, '\p{^Is_Canonical_Combining_Class=0_0_0_0_0_0_0_2_28}', "");
Expect(1, 12332, '\P{Is_Canonical_Combining_Class=0_0_0_0_0_0_0_2_28}', "");
Expect(0, 12332, '\P{^Is_Canonical_Combining_Class=0_0_0_0_0_0_0_2_28}', "");
Error('\p{Is_Ccc=  above_left/a/}');
Error('\P{Is_Ccc=  above_left/a/}');
Expect(1, 12331, '\p{Is_Ccc=aboveleft}', "");
Expect(0, 12331, '\p{^Is_Ccc=aboveleft}', "");
Expect(0, 12331, '\P{Is_Ccc=aboveleft}', "");
Expect(1, 12331, '\P{^Is_Ccc=aboveleft}', "");
Expect(0, 12332, '\p{Is_Ccc=aboveleft}', "");
Expect(1, 12332, '\p{^Is_Ccc=aboveleft}', "");
Expect(1, 12332, '\P{Is_Ccc=aboveleft}', "");
Expect(0, 12332, '\P{^Is_Ccc=aboveleft}', "");
Expect(1, 12331, '\p{Is_Ccc= _Above_left}', "");
Expect(0, 12331, '\p{^Is_Ccc= _Above_left}', "");
Expect(0, 12331, '\P{Is_Ccc= _Above_left}', "");
Expect(1, 12331, '\P{^Is_Ccc= _Above_left}', "");
Expect(0, 12332, '\p{Is_Ccc= _Above_left}', "");
Expect(1, 12332, '\p{^Is_Ccc= _Above_left}', "");
Expect(1, 12332, '\P{Is_Ccc= _Above_left}', "");
Expect(0, 12332, '\P{^Is_Ccc= _Above_left}', "");
Error('\p{Canonical_Combining_Class:   :=	Above_RIGHT}');
Error('\P{Canonical_Combining_Class:   :=	Above_RIGHT}');
Expect(1, 12332, '\p{Canonical_Combining_Class=aboveright}', "");
Expect(0, 12332, '\p{^Canonical_Combining_Class=aboveright}', "");
Expect(0, 12332, '\P{Canonical_Combining_Class=aboveright}', "");
Expect(1, 12332, '\P{^Canonical_Combining_Class=aboveright}', "");
Expect(0, 12333, '\p{Canonical_Combining_Class=aboveright}', "");
Expect(1, 12333, '\p{^Canonical_Combining_Class=aboveright}', "");
Expect(1, 12333, '\P{Canonical_Combining_Class=aboveright}', "");
Expect(0, 12333, '\P{^Canonical_Combining_Class=aboveright}', "");
Expect(1, 12332, '\p{Canonical_Combining_Class=-	Above_Right}', "");
Expect(0, 12332, '\p{^Canonical_Combining_Class=-	Above_Right}', "");
Expect(0, 12332, '\P{Canonical_Combining_Class=-	Above_Right}', "");
Expect(1, 12332, '\P{^Canonical_Combining_Class=-	Above_Right}', "");
Expect(0, 12333, '\p{Canonical_Combining_Class=-	Above_Right}', "");
Expect(1, 12333, '\p{^Canonical_Combining_Class=-	Above_Right}', "");
Expect(1, 12333, '\P{Canonical_Combining_Class=-	Above_Right}', "");
Expect(0, 12333, '\P{^Canonical_Combining_Class=-	Above_Right}', "");
Error('\p{Ccc=	_ar:=}');
Error('\P{Ccc=	_ar:=}');
Expect(1, 12332, '\p{Ccc=ar}', "");
Expect(0, 12332, '\p{^Ccc=ar}', "");
Expect(0, 12332, '\P{Ccc=ar}', "");
Expect(1, 12332, '\P{^Ccc=ar}', "");
Expect(0, 12333, '\p{Ccc=ar}', "");
Expect(1, 12333, '\p{^Ccc=ar}', "");
Expect(1, 12333, '\P{Ccc=ar}', "");
Expect(0, 12333, '\P{^Ccc=ar}', "");
Expect(1, 12332, '\p{Ccc:-AR}', "");
Expect(0, 12332, '\p{^Ccc:-AR}', "");
Expect(0, 12332, '\P{Ccc:-AR}', "");
Expect(1, 12332, '\P{^Ccc:-AR}', "");
Expect(0, 12333, '\p{Ccc:-AR}', "");
Expect(1, 12333, '\p{^Ccc:-AR}', "");
Expect(1, 12333, '\P{Ccc:-AR}', "");
Expect(0, 12333, '\P{^Ccc:-AR}', "");
Error('\p{Is_Canonical_Combining_Class=:= 	00_00_00_00_0232}');
Error('\P{Is_Canonical_Combining_Class=:= 	00_00_00_00_0232}');
Expect(1, 12332, '\p{Is_Canonical_Combining_Class=+0_0_0_0_0_0232}', "");
Expect(0, 12332, '\p{^Is_Canonical_Combining_Class=+0_0_0_0_0_0232}', "");
Expect(0, 12332, '\P{Is_Canonical_Combining_Class=+0_0_0_0_0_0232}', "");
Expect(1, 12332, '\P{^Is_Canonical_Combining_Class=+0_0_0_0_0_0232}', "");
Expect(0, 12333, '\p{Is_Canonical_Combining_Class=+0_0_0_0_0_0232}', "");
Expect(1, 12333, '\p{^Is_Canonical_Combining_Class=+0_0_0_0_0_0232}', "");
Expect(1, 12333, '\P{Is_Canonical_Combining_Class=+0_0_0_0_0_0232}', "");
Expect(0, 12333, '\P{^Is_Canonical_Combining_Class=+0_0_0_0_0_0232}', "");
Error('\p{Is_Ccc= Above_RIGHT/a/}');
Error('\P{Is_Ccc= Above_RIGHT/a/}');
Expect(1, 12332, '\p{Is_Ccc=aboveright}', "");
Expect(0, 12332, '\p{^Is_Ccc=aboveright}', "");
Expect(0, 12332, '\P{Is_Ccc=aboveright}', "");
Expect(1, 12332, '\P{^Is_Ccc=aboveright}', "");
Expect(0, 12333, '\p{Is_Ccc=aboveright}', "");
Expect(1, 12333, '\p{^Is_Ccc=aboveright}', "");
Expect(1, 12333, '\P{Is_Ccc=aboveright}', "");
Expect(0, 12333, '\P{^Is_Ccc=aboveright}', "");
Expect(1, 12332, '\p{Is_Ccc=-Above_Right}', "");
Expect(0, 12332, '\p{^Is_Ccc=-Above_Right}', "");
Expect(0, 12332, '\P{Is_Ccc=-Above_Right}', "");
Expect(1, 12332, '\P{^Is_Ccc=-Above_Right}', "");
Expect(0, 12333, '\p{Is_Ccc=-Above_Right}', "");
Expect(1, 12333, '\p{^Is_Ccc=-Above_Right}', "");
Expect(1, 12333, '\P{Is_Ccc=-Above_Right}', "");
Expect(0, 12333, '\P{^Is_Ccc=-Above_Right}', "");
Error('\p{Canonical_Combining_Class:    :=Attached_above}');
Error('\P{Canonical_Combining_Class:    :=Attached_above}');
Expect(1, 7630, '\p{Canonical_Combining_Class:attachedabove}', "");
Expect(0, 7630, '\p{^Canonical_Combining_Class:attachedabove}', "");
Expect(0, 7630, '\P{Canonical_Combining_Class:attachedabove}', "");
Expect(1, 7630, '\P{^Canonical_Combining_Class:attachedabove}', "");
Expect(0, 7631, '\p{Canonical_Combining_Class:attachedabove}', "");
Expect(1, 7631, '\p{^Canonical_Combining_Class:attachedabove}', "");
Expect(1, 7631, '\P{Canonical_Combining_Class:attachedabove}', "");
Expect(0, 7631, '\P{^Canonical_Combining_Class:attachedabove}', "");
Expect(1, 7630, '\p{Canonical_Combining_Class=	 ATTACHED_Above}', "");
Expect(0, 7630, '\p{^Canonical_Combining_Class=	 ATTACHED_Above}', "");
Expect(0, 7630, '\P{Canonical_Combining_Class=	 ATTACHED_Above}', "");
Expect(1, 7630, '\P{^Canonical_Combining_Class=	 ATTACHED_Above}', "");
Expect(0, 7631, '\p{Canonical_Combining_Class=	 ATTACHED_Above}', "");
Expect(1, 7631, '\p{^Canonical_Combining_Class=	 ATTACHED_Above}', "");
Expect(1, 7631, '\P{Canonical_Combining_Class=	 ATTACHED_Above}', "");
Expect(0, 7631, '\P{^Canonical_Combining_Class=	 ATTACHED_Above}', "");
Error('\p{Ccc:   		ATA:=}');
Error('\P{Ccc:   		ATA:=}');
Expect(1, 7630, '\p{Ccc: ata}', "");
Expect(0, 7630, '\p{^Ccc: ata}', "");
Expect(0, 7630, '\P{Ccc: ata}', "");
Expect(1, 7630, '\P{^Ccc: ata}', "");
Expect(0, 7631, '\p{Ccc: ata}', "");
Expect(1, 7631, '\p{^Ccc: ata}', "");
Expect(1, 7631, '\P{Ccc: ata}', "");
Expect(0, 7631, '\P{^Ccc: ata}', "");
Expect(1, 7630, '\p{Ccc=	ATA}', "");
Expect(0, 7630, '\p{^Ccc=	ATA}', "");
Expect(0, 7630, '\P{Ccc=	ATA}', "");
Expect(1, 7630, '\P{^Ccc=	ATA}', "");
Expect(0, 7631, '\p{Ccc=	ATA}', "");
Expect(1, 7631, '\p{^Ccc=	ATA}', "");
Expect(1, 7631, '\P{Ccc=	ATA}', "");
Expect(0, 7631, '\P{^Ccc=	ATA}', "");
Error('\p{Is_Canonical_Combining_Class=_00214/a/}');
Error('\P{Is_Canonical_Combining_Class=_00214/a/}');
Expect(1, 7630, '\p{Is_Canonical_Combining_Class=+00_21_4}', "");
Expect(0, 7630, '\p{^Is_Canonical_Combining_Class=+00_21_4}', "");
Expect(0, 7630, '\P{Is_Canonical_Combining_Class=+00_21_4}', "");
Expect(1, 7630, '\P{^Is_Canonical_Combining_Class=+00_21_4}', "");
Expect(0, 7631, '\p{Is_Canonical_Combining_Class=+00_21_4}', "");
Expect(1, 7631, '\p{^Is_Canonical_Combining_Class=+00_21_4}', "");
Expect(1, 7631, '\P{Is_Canonical_Combining_Class=+00_21_4}', "");
Expect(0, 7631, '\P{^Is_Canonical_Combining_Class=+00_21_4}', "");
Error('\p{Is_Ccc=:=	_attached_above}');
Error('\P{Is_Ccc=:=	_attached_above}');
Expect(1, 7630, '\p{Is_Ccc=attachedabove}', "");
Expect(0, 7630, '\p{^Is_Ccc=attachedabove}', "");
Expect(0, 7630, '\P{Is_Ccc=attachedabove}', "");
Expect(1, 7630, '\P{^Is_Ccc=attachedabove}', "");
Expect(0, 7631, '\p{Is_Ccc=attachedabove}', "");
Expect(1, 7631, '\p{^Is_Ccc=attachedabove}', "");
Expect(1, 7631, '\P{Is_Ccc=attachedabove}', "");
Expect(0, 7631, '\P{^Is_Ccc=attachedabove}', "");
Expect(1, 7630, '\p{Is_Ccc=  Attached_Above}', "");
Expect(0, 7630, '\p{^Is_Ccc=  Attached_Above}', "");
Expect(0, 7630, '\P{Is_Ccc=  Attached_Above}', "");
Expect(1, 7630, '\P{^Is_Ccc=  Attached_Above}', "");
Expect(0, 7631, '\p{Is_Ccc=  Attached_Above}', "");
Expect(1, 7631, '\p{^Is_Ccc=  Attached_Above}', "");
Expect(1, 7631, '\P{Is_Ccc=  Attached_Above}', "");
Expect(0, 7631, '\P{^Is_Ccc=  Attached_Above}', "");
Error('\p{Canonical_Combining_Class= -attached_ABOVE_RIGHT:=}');
Error('\P{Canonical_Combining_Class= -attached_ABOVE_RIGHT:=}');
Expect(1, 119154, '\p{Canonical_Combining_Class=attachedaboveright}', "");
Expect(0, 119154, '\p{^Canonical_Combining_Class=attachedaboveright}', "");
Expect(0, 119154, '\P{Canonical_Combining_Class=attachedaboveright}', "");
Expect(1, 119154, '\P{^Canonical_Combining_Class=attachedaboveright}', "");
Expect(0, 119155, '\p{Canonical_Combining_Class=attachedaboveright}', "");
Expect(1, 119155, '\p{^Canonical_Combining_Class=attachedaboveright}', "");
Expect(1, 119155, '\P{Canonical_Combining_Class=attachedaboveright}', "");
Expect(0, 119155, '\P{^Canonical_Combining_Class=attachedaboveright}', "");
Expect(1, 119154, '\p{Canonical_Combining_Class=_	ATTACHED_Above_RIGHT}', "");
Expect(0, 119154, '\p{^Canonical_Combining_Class=_	ATTACHED_Above_RIGHT}', "");
Expect(0, 119154, '\P{Canonical_Combining_Class=_	ATTACHED_Above_RIGHT}', "");
Expect(1, 119154, '\P{^Canonical_Combining_Class=_	ATTACHED_Above_RIGHT}', "");
Expect(0, 119155, '\p{Canonical_Combining_Class=_	ATTACHED_Above_RIGHT}', "");
Expect(1, 119155, '\p{^Canonical_Combining_Class=_	ATTACHED_Above_RIGHT}', "");
Expect(1, 119155, '\P{Canonical_Combining_Class=_	ATTACHED_Above_RIGHT}', "");
Expect(0, 119155, '\P{^Canonical_Combining_Class=_	ATTACHED_Above_RIGHT}', "");
Error('\p{Ccc=	:=ATAR}');
Error('\P{Ccc=	:=ATAR}');
Expect(1, 119154, '\p{Ccc=atar}', "");
Expect(0, 119154, '\p{^Ccc=atar}', "");
Expect(0, 119154, '\P{Ccc=atar}', "");
Expect(1, 119154, '\P{^Ccc=atar}', "");
Expect(0, 119155, '\p{Ccc=atar}', "");
Expect(1, 119155, '\p{^Ccc=atar}', "");
Expect(1, 119155, '\P{Ccc=atar}', "");
Expect(0, 119155, '\P{^Ccc=atar}', "");
Expect(1, 119154, '\p{Ccc=		atar}', "");
Expect(0, 119154, '\p{^Ccc=		atar}', "");
Expect(0, 119154, '\P{Ccc=		atar}', "");
Expect(1, 119154, '\P{^Ccc=		atar}', "");
Expect(0, 119155, '\p{Ccc=		atar}', "");
Expect(1, 119155, '\p{^Ccc=		atar}', "");
Expect(1, 119155, '\P{Ccc=		atar}', "");
Expect(0, 119155, '\P{^Ccc=		atar}', "");
Error('\p{Is_Canonical_Combining_Class=/a/--0_0_0_0_0_0_216}');
Error('\P{Is_Canonical_Combining_Class=/a/--0_0_0_0_0_0_216}');
Expect(1, 119154, '\p{Is_Canonical_Combining_Class=+00000000216}', "");
Expect(0, 119154, '\p{^Is_Canonical_Combining_Class=+00000000216}', "");
Expect(0, 119154, '\P{Is_Canonical_Combining_Class=+00000000216}', "");
Expect(1, 119154, '\P{^Is_Canonical_Combining_Class=+00000000216}', "");
Expect(0, 119155, '\p{Is_Canonical_Combining_Class=+00000000216}', "");
Expect(1, 119155, '\p{^Is_Canonical_Combining_Class=+00000000216}', "");
Expect(1, 119155, '\P{Is_Canonical_Combining_Class=+00000000216}', "");
Expect(0, 119155, '\P{^Is_Canonical_Combining_Class=+00000000216}', "");
Error('\p{Is_Ccc=_/a/Attached_above_right}');
Error('\P{Is_Ccc=_/a/Attached_above_right}');
Expect(1, 119154, '\p{Is_Ccc=attachedaboveright}', "");
Expect(0, 119154, '\p{^Is_Ccc=attachedaboveright}', "");
Expect(0, 119154, '\P{Is_Ccc=attachedaboveright}', "");
Expect(1, 119154, '\P{^Is_Ccc=attachedaboveright}', "");
Expect(0, 119155, '\p{Is_Ccc=attachedaboveright}', "");
Expect(1, 119155, '\p{^Is_Ccc=attachedaboveright}', "");
Expect(1, 119155, '\P{Is_Ccc=attachedaboveright}', "");
Expect(0, 119155, '\P{^Is_Ccc=attachedaboveright}', "");
Expect(1, 119154, '\p{Is_Ccc=_ attached_Above_right}', "");
Expect(0, 119154, '\p{^Is_Ccc=_ attached_Above_right}', "");
Expect(0, 119154, '\P{Is_Ccc=_ attached_Above_right}', "");
Expect(1, 119154, '\P{^Is_Ccc=_ attached_Above_right}', "");
Expect(0, 119155, '\p{Is_Ccc=_ attached_Above_right}', "");
Expect(1, 119155, '\p{^Is_Ccc=_ attached_Above_right}', "");
Expect(1, 119155, '\P{Is_Ccc=_ attached_Above_right}', "");
Expect(0, 119155, '\P{^Is_Ccc=_ attached_Above_right}', "");
Error('\p{Canonical_Combining_Class= :=Attached_BELOW}');
Error('\P{Canonical_Combining_Class= :=Attached_BELOW}');
Expect(1, 7632, '\p{Canonical_Combining_Class=attachedbelow}', "");
Expect(0, 7632, '\p{^Canonical_Combining_Class=attachedbelow}', "");
Expect(0, 7632, '\P{Canonical_Combining_Class=attachedbelow}', "");
Expect(1, 7632, '\P{^Canonical_Combining_Class=attachedbelow}', "");
Expect(0, 7633, '\p{Canonical_Combining_Class=attachedbelow}', "");
Expect(1, 7633, '\p{^Canonical_Combining_Class=attachedbelow}', "");
Expect(1, 7633, '\P{Canonical_Combining_Class=attachedbelow}', "");
Expect(0, 7633, '\P{^Canonical_Combining_Class=attachedbelow}', "");
Expect(1, 7632, '\p{Canonical_Combining_Class= Attached_below}', "");
Expect(0, 7632, '\p{^Canonical_Combining_Class= Attached_below}', "");
Expect(0, 7632, '\P{Canonical_Combining_Class= Attached_below}', "");
Expect(1, 7632, '\P{^Canonical_Combining_Class= Attached_below}', "");
Expect(0, 7633, '\p{Canonical_Combining_Class= Attached_below}', "");
Expect(1, 7633, '\p{^Canonical_Combining_Class= Attached_below}', "");
Expect(1, 7633, '\P{Canonical_Combining_Class= Attached_below}', "");
Expect(0, 7633, '\P{^Canonical_Combining_Class= Attached_below}', "");
Error('\p{Ccc=:= _ATB}');
Error('\P{Ccc=:= _ATB}');
Expect(1, 7632, '\p{Ccc:	atb}', "");
Expect(0, 7632, '\p{^Ccc:	atb}', "");
Expect(0, 7632, '\P{Ccc:	atb}', "");
Expect(1, 7632, '\P{^Ccc:	atb}', "");
Expect(0, 7633, '\p{Ccc:	atb}', "");
Expect(1, 7633, '\p{^Ccc:	atb}', "");
Expect(1, 7633, '\P{Ccc:	atb}', "");
Expect(0, 7633, '\P{^Ccc:	atb}', "");
Expect(1, 7632, '\p{Ccc= ATB}', "");
Expect(0, 7632, '\p{^Ccc= ATB}', "");
Expect(0, 7632, '\P{Ccc= ATB}', "");
Expect(1, 7632, '\P{^Ccc= ATB}', "");
Expect(0, 7633, '\p{Ccc= ATB}', "");
Expect(1, 7633, '\p{^Ccc= ATB}', "");
Expect(1, 7633, '\P{Ccc= ATB}', "");
Expect(0, 7633, '\P{^Ccc= ATB}', "");
Error('\p{Is_Canonical_Combining_Class=:=-+00_00_00_02_02}');
Error('\P{Is_Canonical_Combining_Class=:=-+00_00_00_02_02}');
Expect(1, 7632, '\p{Is_Canonical_Combining_Class:	0000202}', "");
Expect(0, 7632, '\p{^Is_Canonical_Combining_Class:	0000202}', "");
Expect(0, 7632, '\P{Is_Canonical_Combining_Class:	0000202}', "");
Expect(1, 7632, '\P{^Is_Canonical_Combining_Class:	0000202}', "");
Expect(0, 7633, '\p{Is_Canonical_Combining_Class:	0000202}', "");
Expect(1, 7633, '\p{^Is_Canonical_Combining_Class:	0000202}', "");
Expect(1, 7633, '\P{Is_Canonical_Combining_Class:	0000202}', "");
Expect(0, 7633, '\P{^Is_Canonical_Combining_Class:	0000202}', "");
Error('\p{Is_Ccc=:= -Attached_below}');
Error('\P{Is_Ccc=:= -Attached_below}');
Expect(1, 7632, '\p{Is_Ccc=attachedbelow}', "");
Expect(0, 7632, '\p{^Is_Ccc=attachedbelow}', "");
Expect(0, 7632, '\P{Is_Ccc=attachedbelow}', "");
Expect(1, 7632, '\P{^Is_Ccc=attachedbelow}', "");
Expect(0, 7633, '\p{Is_Ccc=attachedbelow}', "");
Expect(1, 7633, '\p{^Is_Ccc=attachedbelow}', "");
Expect(1, 7633, '\P{Is_Ccc=attachedbelow}', "");
Expect(0, 7633, '\P{^Is_Ccc=attachedbelow}', "");
Expect(1, 7632, '\p{Is_Ccc=	-Attached_BELOW}', "");
Expect(0, 7632, '\p{^Is_Ccc=	-Attached_BELOW}', "");
Expect(0, 7632, '\P{Is_Ccc=	-Attached_BELOW}', "");
Expect(1, 7632, '\P{^Is_Ccc=	-Attached_BELOW}', "");
Expect(0, 7633, '\p{Is_Ccc=	-Attached_BELOW}', "");
Expect(1, 7633, '\p{^Is_Ccc=	-Attached_BELOW}', "");
Expect(1, 7633, '\P{Is_Ccc=	-Attached_BELOW}', "");
Expect(0, 7633, '\P{^Is_Ccc=	-Attached_BELOW}', "");
Error('\p{Canonical_Combining_Class= :=Attached_Below_Left}');
Error('\P{Canonical_Combining_Class= :=Attached_Below_Left}');
Expect(0, 1, '\p{Canonical_Combining_Class=attachedbelowleft}', "");
Expect(1, 1, '\p{^Canonical_Combining_Class=attachedbelowleft}', "");
Expect(1, 1, '\P{Canonical_Combining_Class=attachedbelowleft}', "");
Expect(0, 1, '\P{^Canonical_Combining_Class=attachedbelowleft}', "");
Expect(0, 1, '\p{Canonical_Combining_Class=	attached_below_left}', "");
Expect(1, 1, '\p{^Canonical_Combining_Class=	attached_below_left}', "");
Expect(1, 1, '\P{Canonical_Combining_Class=	attached_below_left}', "");
Expect(0, 1, '\P{^Canonical_Combining_Class=	attached_below_left}', "");
Error('\p{Ccc:	  ATBL:=}');
Error('\P{Ccc:	  ATBL:=}');
Expect(0, 1, '\p{Ccc=atbl}', "");
Expect(1, 1, '\p{^Ccc=atbl}', "");
Expect(1, 1, '\P{Ccc=atbl}', "");
Expect(0, 1, '\P{^Ccc=atbl}', "");
Expect(0, 1, '\p{Ccc=ATBL}', "");
Expect(1, 1, '\p{^Ccc=ATBL}', "");
Expect(1, 1, '\P{Ccc=ATBL}', "");
Expect(0, 1, '\P{^Ccc=ATBL}', "");
Error('\p{Is_Canonical_Combining_Class=_	+000000000200/a/}');
Error('\P{Is_Canonical_Combining_Class=_	+000000000200/a/}');
Expect(0, 1, '\p{Is_Canonical_Combining_Class=0000000200}', "");
Expect(1, 1, '\p{^Is_Canonical_Combining_Class=0000000200}', "");
Expect(1, 1, '\P{Is_Canonical_Combining_Class=0000000200}', "");
Expect(0, 1, '\P{^Is_Canonical_Combining_Class=0000000200}', "");
Error('\p{Is_Ccc=/a/__Attached_Below_Left}');
Error('\P{Is_Ccc=/a/__Attached_Below_Left}');
Expect(0, 1, '\p{Is_Ccc=attachedbelowleft}', "");
Expect(1, 1, '\p{^Is_Ccc=attachedbelowleft}', "");
Expect(1, 1, '\P{Is_Ccc=attachedbelowleft}', "");
Expect(0, 1, '\P{^Is_Ccc=attachedbelowleft}', "");
Expect(0, 1, '\p{Is_Ccc:	 -attached_BELOW_LEFT}', "");
Expect(1, 1, '\p{^Is_Ccc:	 -attached_BELOW_LEFT}', "");
Expect(1, 1, '\P{Is_Ccc:	 -attached_BELOW_LEFT}', "");
Expect(0, 1, '\P{^Is_Ccc:	 -attached_BELOW_LEFT}', "");
Error('\p{Canonical_Combining_Class: :=		below}');
Error('\P{Canonical_Combining_Class: :=		below}');
Expect(1, 125142, '\p{Canonical_Combining_Class=below}', "");
Expect(0, 125142, '\p{^Canonical_Combining_Class=below}', "");
Expect(0, 125142, '\P{Canonical_Combining_Class=below}', "");
Expect(1, 125142, '\P{^Canonical_Combining_Class=below}', "");
Expect(0, 125143, '\p{Canonical_Combining_Class=below}', "");
Expect(1, 125143, '\p{^Canonical_Combining_Class=below}', "");
Expect(1, 125143, '\P{Canonical_Combining_Class=below}', "");
Expect(0, 125143, '\P{^Canonical_Combining_Class=below}', "");
Expect(1, 125142, '\p{Canonical_Combining_Class=-below}', "");
Expect(0, 125142, '\p{^Canonical_Combining_Class=-below}', "");
Expect(0, 125142, '\P{Canonical_Combining_Class=-below}', "");
Expect(1, 125142, '\P{^Canonical_Combining_Class=-below}', "");
Expect(0, 125143, '\p{Canonical_Combining_Class=-below}', "");
Expect(1, 125143, '\p{^Canonical_Combining_Class=-below}', "");
Expect(1, 125143, '\P{Canonical_Combining_Class=-below}', "");
Expect(0, 125143, '\P{^Canonical_Combining_Class=-below}', "");
Error('\p{Ccc:	/a/ -b}');
Error('\P{Ccc:	/a/ -b}');
Expect(1, 125142, '\p{Ccc=b}', "");
Expect(0, 125142, '\p{^Ccc=b}', "");
Expect(0, 125142, '\P{Ccc=b}', "");
Expect(1, 125142, '\P{^Ccc=b}', "");
Expect(0, 125143, '\p{Ccc=b}', "");
Expect(1, 125143, '\p{^Ccc=b}', "");
Expect(1, 125143, '\P{Ccc=b}', "");
Expect(0, 125143, '\P{^Ccc=b}', "");
Expect(1, 125142, '\p{Ccc=	-b}', "");
Expect(0, 125142, '\p{^Ccc=	-b}', "");
Expect(0, 125142, '\P{Ccc=	-b}', "");
Expect(1, 125142, '\P{^Ccc=	-b}', "");
Expect(0, 125143, '\p{Ccc=	-b}', "");
Expect(1, 125143, '\p{^Ccc=	-b}', "");
Expect(1, 125143, '\P{Ccc=	-b}', "");
Expect(0, 125143, '\P{^Ccc=	-b}', "");
Error('\p{Is_Canonical_Combining_Class= +0_0_0_0_0_0_0_0220:=}');
Error('\P{Is_Canonical_Combining_Class= +0_0_0_0_0_0_0_0220:=}');
Expect(1, 125142, '\p{Is_Canonical_Combining_Class=+00_00_00_02_20}', "");
Expect(0, 125142, '\p{^Is_Canonical_Combining_Class=+00_00_00_02_20}', "");
Expect(0, 125142, '\P{Is_Canonical_Combining_Class=+00_00_00_02_20}', "");
Expect(1, 125142, '\P{^Is_Canonical_Combining_Class=+00_00_00_02_20}', "");
Expect(0, 125143, '\p{Is_Canonical_Combining_Class=+00_00_00_02_20}', "");
Expect(1, 125143, '\p{^Is_Canonical_Combining_Class=+00_00_00_02_20}', "");
Expect(1, 125143, '\P{Is_Canonical_Combining_Class=+00_00_00_02_20}', "");
Expect(0, 125143, '\P{^Is_Canonical_Combining_Class=+00_00_00_02_20}', "");
Error('\p{Is_Ccc= 	Below/a/}');
Error('\P{Is_Ccc= 	Below/a/}');
Expect(1, 125142, '\p{Is_Ccc=below}', "");
Expect(0, 125142, '\p{^Is_Ccc=below}', "");
Expect(0, 125142, '\P{Is_Ccc=below}', "");
Expect(1, 125142, '\P{^Is_Ccc=below}', "");
Expect(0, 125143, '\p{Is_Ccc=below}', "");
Expect(1, 125143, '\p{^Is_Ccc=below}', "");
Expect(1, 125143, '\P{Is_Ccc=below}', "");
Expect(0, 125143, '\P{^Is_Ccc=below}', "");
Expect(1, 125142, '\p{Is_Ccc=	 below}', "");
Expect(0, 125142, '\p{^Is_Ccc=	 below}', "");
Expect(0, 125142, '\P{Is_Ccc=	 below}', "");
Expect(1, 125142, '\P{^Is_Ccc=	 below}', "");
Expect(0, 125143, '\p{Is_Ccc=	 below}', "");
Expect(1, 125143, '\p{^Is_Ccc=	 below}', "");
Expect(1, 125143, '\P{Is_Ccc=	 below}', "");
Expect(0, 125143, '\P{^Is_Ccc=	 below}', "");
Error('\p{Canonical_Combining_Class=/a/ -Below_left}');
Error('\P{Canonical_Combining_Class=/a/ -Below_left}');
Expect(1, 12330, '\p{Canonical_Combining_Class=belowleft}', "");
Expect(0, 12330, '\p{^Canonical_Combining_Class=belowleft}', "");
Expect(0, 12330, '\P{Canonical_Combining_Class=belowleft}', "");
Expect(1, 12330, '\P{^Canonical_Combining_Class=belowleft}', "");
Expect(0, 12331, '\p{Canonical_Combining_Class=belowleft}', "");
Expect(1, 12331, '\p{^Canonical_Combining_Class=belowleft}', "");
Expect(1, 12331, '\P{Canonical_Combining_Class=belowleft}', "");
Expect(0, 12331, '\P{^Canonical_Combining_Class=belowleft}', "");
Expect(1, 12330, '\p{Canonical_Combining_Class= 	BELOW_Left}', "");
Expect(0, 12330, '\p{^Canonical_Combining_Class= 	BELOW_Left}', "");
Expect(0, 12330, '\P{Canonical_Combining_Class= 	BELOW_Left}', "");
Expect(1, 12330, '\P{^Canonical_Combining_Class= 	BELOW_Left}', "");
Expect(0, 12331, '\p{Canonical_Combining_Class= 	BELOW_Left}', "");
Expect(1, 12331, '\p{^Canonical_Combining_Class= 	BELOW_Left}', "");
Expect(1, 12331, '\P{Canonical_Combining_Class= 	BELOW_Left}', "");
Expect(0, 12331, '\P{^Canonical_Combining_Class= 	BELOW_Left}', "");
Error('\p{Ccc=		BL/a/}');
Error('\P{Ccc=		BL/a/}');
Expect(1, 12330, '\p{Ccc=bl}', "");
Expect(0, 12330, '\p{^Ccc=bl}', "");
Expect(0, 12330, '\P{Ccc=bl}', "");
Expect(1, 12330, '\P{^Ccc=bl}', "");
Expect(0, 12331, '\p{Ccc=bl}', "");
Expect(1, 12331, '\p{^Ccc=bl}', "");
Expect(1, 12331, '\P{Ccc=bl}', "");
Expect(0, 12331, '\P{^Ccc=bl}', "");
Expect(1, 12330, '\p{Ccc=_-BL}', "");
Expect(0, 12330, '\p{^Ccc=_-BL}', "");
Expect(0, 12330, '\P{Ccc=_-BL}', "");
Expect(1, 12330, '\P{^Ccc=_-BL}', "");
Expect(0, 12331, '\p{Ccc=_-BL}', "");
Expect(1, 12331, '\p{^Ccc=_-BL}', "");
Expect(1, 12331, '\P{Ccc=_-BL}', "");
Expect(0, 12331, '\P{^Ccc=_-BL}', "");
Error('\p{Is_Canonical_Combining_Class=	_000218:=}');
Error('\P{Is_Canonical_Combining_Class=	_000218:=}');
Expect(1, 12330, '\p{Is_Canonical_Combining_Class=0_0_0_0_0_00218}', "");
Expect(0, 12330, '\p{^Is_Canonical_Combining_Class=0_0_0_0_0_00218}', "");
Expect(0, 12330, '\P{Is_Canonical_Combining_Class=0_0_0_0_0_00218}', "");
Expect(1, 12330, '\P{^Is_Canonical_Combining_Class=0_0_0_0_0_00218}', "");
Expect(0, 12331, '\p{Is_Canonical_Combining_Class=0_0_0_0_0_00218}', "");
Expect(1, 12331, '\p{^Is_Canonical_Combining_Class=0_0_0_0_0_00218}', "");
Expect(1, 12331, '\P{Is_Canonical_Combining_Class=0_0_0_0_0_00218}', "");
Expect(0, 12331, '\P{^Is_Canonical_Combining_Class=0_0_0_0_0_00218}', "");
Error('\p{Is_Ccc=-:=Below_left}');
Error('\P{Is_Ccc=-:=Below_left}');
Expect(1, 12330, '\p{Is_Ccc=belowleft}', "");
Expect(0, 12330, '\p{^Is_Ccc=belowleft}', "");
Expect(0, 12330, '\P{Is_Ccc=belowleft}', "");
Expect(1, 12330, '\P{^Is_Ccc=belowleft}', "");
Expect(0, 12331, '\p{Is_Ccc=belowleft}', "");
Expect(1, 12331, '\p{^Is_Ccc=belowleft}', "");
Expect(1, 12331, '\P{Is_Ccc=belowleft}', "");
Expect(0, 12331, '\P{^Is_Ccc=belowleft}', "");
Expect(1, 12330, '\p{Is_Ccc= below_Left}', "");
Expect(0, 12330, '\p{^Is_Ccc= below_Left}', "");
Expect(0, 12330, '\P{Is_Ccc= below_Left}', "");
Expect(1, 12330, '\P{^Is_Ccc= below_Left}', "");
Expect(0, 12331, '\p{Is_Ccc= below_Left}', "");
Expect(1, 12331, '\p{^Is_Ccc= below_Left}', "");
Expect(1, 12331, '\P{Is_Ccc= below_Left}', "");
Expect(0, 12331, '\P{^Is_Ccc= below_Left}', "");
Error('\p{Canonical_Combining_Class=/a/	-below_right}');
Error('\P{Canonical_Combining_Class=/a/	-below_right}');
Expect(1, 12333, '\p{Canonical_Combining_Class=belowright}', "");
Expect(0, 12333, '\p{^Canonical_Combining_Class=belowright}', "");
Expect(0, 12333, '\P{Canonical_Combining_Class=belowright}', "");
Expect(1, 12333, '\P{^Canonical_Combining_Class=belowright}', "");
Expect(0, 12334, '\p{Canonical_Combining_Class=belowright}', "");
Expect(1, 12334, '\p{^Canonical_Combining_Class=belowright}', "");
Expect(1, 12334, '\P{Canonical_Combining_Class=belowright}', "");
Expect(0, 12334, '\P{^Canonical_Combining_Class=belowright}', "");
Expect(1, 12333, '\p{Canonical_Combining_Class=_-Below_Right}', "");
Expect(0, 12333, '\p{^Canonical_Combining_Class=_-Below_Right}', "");
Expect(0, 12333, '\P{Canonical_Combining_Class=_-Below_Right}', "");
Expect(1, 12333, '\P{^Canonical_Combining_Class=_-Below_Right}', "");
Expect(0, 12334, '\p{Canonical_Combining_Class=_-Below_Right}', "");
Expect(1, 12334, '\p{^Canonical_Combining_Class=_-Below_Right}', "");
Expect(1, 12334, '\P{Canonical_Combining_Class=_-Below_Right}', "");
Expect(0, 12334, '\P{^Canonical_Combining_Class=_-Below_Right}', "");
Error('\p{Ccc=-:=br}');
Error('\P{Ccc=-:=br}');
Expect(1, 12333, '\p{Ccc=br}', "");
Expect(0, 12333, '\p{^Ccc=br}', "");
Expect(0, 12333, '\P{Ccc=br}', "");
Expect(1, 12333, '\P{^Ccc=br}', "");
Expect(0, 12334, '\p{Ccc=br}', "");
Expect(1, 12334, '\p{^Ccc=br}', "");
Expect(1, 12334, '\P{Ccc=br}', "");
Expect(0, 12334, '\P{^Ccc=br}', "");
Expect(1, 12333, '\p{Ccc=_ BR}', "");
Expect(0, 12333, '\p{^Ccc=_ BR}', "");
Expect(0, 12333, '\P{Ccc=_ BR}', "");
Expect(1, 12333, '\P{^Ccc=_ BR}', "");
Expect(0, 12334, '\p{Ccc=_ BR}', "");
Expect(1, 12334, '\p{^Ccc=_ BR}', "");
Expect(1, 12334, '\P{Ccc=_ BR}', "");
Expect(0, 12334, '\P{^Ccc=_ BR}', "");
Error('\p{Is_Canonical_Combining_Class=	:=+000_002_22}');
Error('\P{Is_Canonical_Combining_Class=	:=+000_002_22}');
Expect(1, 12333, '\p{Is_Canonical_Combining_Class:	+0_0_0_0_0_0_000222}', "");
Expect(0, 12333, '\p{^Is_Canonical_Combining_Class:	+0_0_0_0_0_0_000222}', "");
Expect(0, 12333, '\P{Is_Canonical_Combining_Class:	+0_0_0_0_0_0_000222}', "");
Expect(1, 12333, '\P{^Is_Canonical_Combining_Class:	+0_0_0_0_0_0_000222}', "");
Expect(0, 12334, '\p{Is_Canonical_Combining_Class:	+0_0_0_0_0_0_000222}', "");
Expect(1, 12334, '\p{^Is_Canonical_Combining_Class:	+0_0_0_0_0_0_000222}', "");
Expect(1, 12334, '\P{Is_Canonical_Combining_Class:	+0_0_0_0_0_0_000222}', "");
Expect(0, 12334, '\P{^Is_Canonical_Combining_Class:	+0_0_0_0_0_0_000222}', "");
Error('\p{Is_Ccc=below_right/a/}');
Error('\P{Is_Ccc=below_right/a/}');
Expect(1, 12333, '\p{Is_Ccc=belowright}', "");
Expect(0, 12333, '\p{^Is_Ccc=belowright}', "");
Expect(0, 12333, '\P{Is_Ccc=belowright}', "");
Expect(1, 12333, '\P{^Is_Ccc=belowright}', "");
Expect(0, 12334, '\p{Is_Ccc=belowright}', "");
Expect(1, 12334, '\p{^Is_Ccc=belowright}', "");
Expect(1, 12334, '\P{Is_Ccc=belowright}', "");
Expect(0, 12334, '\P{^Is_Ccc=belowright}', "");
Expect(1, 12333, '\p{Is_Ccc: 	-BELOW_RIGHT}', "");
Expect(0, 12333, '\p{^Is_Ccc: 	-BELOW_RIGHT}', "");
Expect(0, 12333, '\P{Is_Ccc: 	-BELOW_RIGHT}', "");
Expect(1, 12333, '\P{^Is_Ccc: 	-BELOW_RIGHT}', "");
Expect(0, 12334, '\p{Is_Ccc: 	-BELOW_RIGHT}', "");
Expect(1, 12334, '\p{^Is_Ccc: 	-BELOW_RIGHT}', "");
Expect(1, 12334, '\P{Is_Ccc: 	-BELOW_RIGHT}', "");
Expect(0, 12334, '\P{^Is_Ccc: 	-BELOW_RIGHT}', "");
Error('\p{Canonical_Combining_Class=:=_	CCC10}');
Error('\P{Canonical_Combining_Class=:=_	CCC10}');
Expect(1, 1456, '\p{Canonical_Combining_Class=ccc10}', "");
Expect(0, 1456, '\p{^Canonical_Combining_Class=ccc10}', "");
Expect(0, 1456, '\P{Canonical_Combining_Class=ccc10}', "");
Expect(1, 1456, '\P{^Canonical_Combining_Class=ccc10}', "");
Expect(0, 1457, '\p{Canonical_Combining_Class=ccc10}', "");
Expect(1, 1457, '\p{^Canonical_Combining_Class=ccc10}', "");
Expect(1, 1457, '\P{Canonical_Combining_Class=ccc10}', "");
Expect(0, 1457, '\P{^Canonical_Combining_Class=ccc10}', "");
Expect(1, 1456, '\p{Canonical_Combining_Class=  CCC10}', "");
Expect(0, 1456, '\p{^Canonical_Combining_Class=  CCC10}', "");
Expect(0, 1456, '\P{Canonical_Combining_Class=  CCC10}', "");
Expect(1, 1456, '\P{^Canonical_Combining_Class=  CCC10}', "");
Expect(0, 1457, '\p{Canonical_Combining_Class=  CCC10}', "");
Expect(1, 1457, '\p{^Canonical_Combining_Class=  CCC10}', "");
Expect(1, 1457, '\P{Canonical_Combining_Class=  CCC10}', "");
Expect(0, 1457, '\P{^Canonical_Combining_Class=  CCC10}', "");
Error('\p{Ccc=:=-_010}');
Error('\P{Ccc=:=-_010}');
Expect(1, 1456, '\p{Ccc:   0_0_0_0_0010}', "");
Expect(0, 1456, '\p{^Ccc:   0_0_0_0_0010}', "");
Expect(0, 1456, '\P{Ccc:   0_0_0_0_0010}', "");
Expect(1, 1456, '\P{^Ccc:   0_0_0_0_0010}', "");
Expect(0, 1457, '\p{Ccc:   0_0_0_0_0010}', "");
Expect(1, 1457, '\p{^Ccc:   0_0_0_0_0010}', "");
Expect(1, 1457, '\P{Ccc:   0_0_0_0_0010}', "");
Expect(0, 1457, '\P{^Ccc:   0_0_0_0_0010}', "");
Error('\p{Is_Canonical_Combining_Class=/a/ 	CCC10}');
Error('\P{Is_Canonical_Combining_Class=/a/ 	CCC10}');
Expect(1, 1456, '\p{Is_Canonical_Combining_Class=ccc10}', "");
Expect(0, 1456, '\p{^Is_Canonical_Combining_Class=ccc10}', "");
Expect(0, 1456, '\P{Is_Canonical_Combining_Class=ccc10}', "");
Expect(1, 1456, '\P{^Is_Canonical_Combining_Class=ccc10}', "");
Expect(0, 1457, '\p{Is_Canonical_Combining_Class=ccc10}', "");
Expect(1, 1457, '\p{^Is_Canonical_Combining_Class=ccc10}', "");
Expect(1, 1457, '\P{Is_Canonical_Combining_Class=ccc10}', "");
Expect(0, 1457, '\P{^Is_Canonical_Combining_Class=ccc10}', "");
Expect(1, 1456, '\p{Is_Canonical_Combining_Class:-	CCC10}', "");
Expect(0, 1456, '\p{^Is_Canonical_Combining_Class:-	CCC10}', "");
Expect(0, 1456, '\P{Is_Canonical_Combining_Class:-	CCC10}', "");
Expect(1, 1456, '\P{^Is_Canonical_Combining_Class:-	CCC10}', "");
Expect(0, 1457, '\p{Is_Canonical_Combining_Class:-	CCC10}', "");
Expect(1, 1457, '\p{^Is_Canonical_Combining_Class:-	CCC10}', "");
Expect(1, 1457, '\P{Is_Canonical_Combining_Class:-	CCC10}', "");
Expect(0, 1457, '\P{^Is_Canonical_Combining_Class:-	CCC10}', "");
Error('\p{Is_Ccc=_0_0_0_0_0_10/a/}');
Error('\P{Is_Ccc=_0_0_0_0_0_10/a/}');
Expect(1, 1456, '\p{Is_Ccc=+0_0_0_0_0_0_00010}', "");
Expect(0, 1456, '\p{^Is_Ccc=+0_0_0_0_0_0_00010}', "");
Expect(0, 1456, '\P{Is_Ccc=+0_0_0_0_0_0_00010}', "");
Expect(1, 1456, '\P{^Is_Ccc=+0_0_0_0_0_0_00010}', "");
Expect(0, 1457, '\p{Is_Ccc=+0_0_0_0_0_0_00010}', "");
Expect(1, 1457, '\p{^Is_Ccc=+0_0_0_0_0_0_00010}', "");
Expect(1, 1457, '\P{Is_Ccc=+0_0_0_0_0_0_00010}', "");
Expect(0, 1457, '\P{^Is_Ccc=+0_0_0_0_0_0_00010}', "");
Error('\p{Canonical_Combining_Class:		-CCC103:=}');
Error('\P{Canonical_Combining_Class:		-CCC103:=}');
Expect(1, 3641, '\p{Canonical_Combining_Class=ccc103}', "");
Expect(0, 3641, '\p{^Canonical_Combining_Class=ccc103}', "");
Expect(0, 3641, '\P{Canonical_Combining_Class=ccc103}', "");
Expect(1, 3641, '\P{^Canonical_Combining_Class=ccc103}', "");
Expect(0, 3642, '\p{Canonical_Combining_Class=ccc103}', "");
Expect(1, 3642, '\p{^Canonical_Combining_Class=ccc103}', "");
Expect(1, 3642, '\P{Canonical_Combining_Class=ccc103}', "");
Expect(0, 3642, '\P{^Canonical_Combining_Class=ccc103}', "");
Expect(1, 3641, '\p{Canonical_Combining_Class=_ CCC103}', "");
Expect(0, 3641, '\p{^Canonical_Combining_Class=_ CCC103}', "");
Expect(0, 3641, '\P{Canonical_Combining_Class=_ CCC103}', "");
Expect(1, 3641, '\P{^Canonical_Combining_Class=_ CCC103}', "");
Expect(0, 3642, '\p{Canonical_Combining_Class=_ CCC103}', "");
Expect(1, 3642, '\p{^Canonical_Combining_Class=_ CCC103}', "");
Expect(1, 3642, '\P{Canonical_Combining_Class=_ CCC103}', "");
Expect(0, 3642, '\P{^Canonical_Combining_Class=_ CCC103}', "");
Error('\p{Ccc=/a/-00000103}');
Error('\P{Ccc=/a/-00000103}');
Expect(1, 3641, '\p{Ccc=0000000103}', "");
Expect(0, 3641, '\p{^Ccc=0000000103}', "");
Expect(0, 3641, '\P{Ccc=0000000103}', "");
Expect(1, 3641, '\P{^Ccc=0000000103}', "");
Expect(0, 3642, '\p{Ccc=0000000103}', "");
Expect(1, 3642, '\p{^Ccc=0000000103}', "");
Expect(1, 3642, '\P{Ccc=0000000103}', "");
Expect(0, 3642, '\P{^Ccc=0000000103}', "");
Error('\p{Is_Canonical_Combining_Class=/a/CCC103}');
Error('\P{Is_Canonical_Combining_Class=/a/CCC103}');
Expect(1, 3641, '\p{Is_Canonical_Combining_Class=ccc103}', "");
Expect(0, 3641, '\p{^Is_Canonical_Combining_Class=ccc103}', "");
Expect(0, 3641, '\P{Is_Canonical_Combining_Class=ccc103}', "");
Expect(1, 3641, '\P{^Is_Canonical_Combining_Class=ccc103}', "");
Expect(0, 3642, '\p{Is_Canonical_Combining_Class=ccc103}', "");
Expect(1, 3642, '\p{^Is_Canonical_Combining_Class=ccc103}', "");
Expect(1, 3642, '\P{Is_Canonical_Combining_Class=ccc103}', "");
Expect(0, 3642, '\P{^Is_Canonical_Combining_Class=ccc103}', "");
Expect(1, 3641, '\p{Is_Canonical_Combining_Class=__CCC103}', "");
Expect(0, 3641, '\p{^Is_Canonical_Combining_Class=__CCC103}', "");
Expect(0, 3641, '\P{Is_Canonical_Combining_Class=__CCC103}', "");
Expect(1, 3641, '\P{^Is_Canonical_Combining_Class=__CCC103}', "");
Expect(0, 3642, '\p{Is_Canonical_Combining_Class=__CCC103}', "");
Expect(1, 3642, '\p{^Is_Canonical_Combining_Class=__CCC103}', "");
Expect(1, 3642, '\P{Is_Canonical_Combining_Class=__CCC103}', "");
Expect(0, 3642, '\P{^Is_Canonical_Combining_Class=__CCC103}', "");
Error('\p{Is_Ccc= 	+00_00_00_01_03:=}');
Error('\P{Is_Ccc= 	+00_00_00_01_03:=}');
Expect(1, 3641, '\p{Is_Ccc=0_0_0_1_03}', "");
Expect(0, 3641, '\p{^Is_Ccc=0_0_0_1_03}', "");
Expect(0, 3641, '\P{Is_Ccc=0_0_0_1_03}', "");
Expect(1, 3641, '\P{^Is_Ccc=0_0_0_1_03}', "");
Expect(0, 3642, '\p{Is_Ccc=0_0_0_1_03}', "");
Expect(1, 3642, '\p{^Is_Ccc=0_0_0_1_03}', "");
Expect(1, 3642, '\P{Is_Ccc=0_0_0_1_03}', "");
Expect(0, 3642, '\P{^Is_Ccc=0_0_0_1_03}', "");
Error('\p{Canonical_Combining_Class=	_CCC107/a/}');
Error('\P{Canonical_Combining_Class=	_CCC107/a/}');
Expect(1, 3659, '\p{Canonical_Combining_Class=ccc107}', "");
Expect(0, 3659, '\p{^Canonical_Combining_Class=ccc107}', "");
Expect(0, 3659, '\P{Canonical_Combining_Class=ccc107}', "");
Expect(1, 3659, '\P{^Canonical_Combining_Class=ccc107}', "");
Expect(0, 3660, '\p{Canonical_Combining_Class=ccc107}', "");
Expect(1, 3660, '\p{^Canonical_Combining_Class=ccc107}', "");
Expect(1, 3660, '\P{Canonical_Combining_Class=ccc107}', "");
Expect(0, 3660, '\P{^Canonical_Combining_Class=ccc107}', "");
Expect(1, 3659, '\p{Canonical_Combining_Class=- CCC107}', "");
Expect(0, 3659, '\p{^Canonical_Combining_Class=- CCC107}', "");
Expect(0, 3659, '\P{Canonical_Combining_Class=- CCC107}', "");
Expect(1, 3659, '\P{^Canonical_Combining_Class=- CCC107}', "");
Expect(0, 3660, '\p{Canonical_Combining_Class=- CCC107}', "");
Expect(1, 3660, '\p{^Canonical_Combining_Class=- CCC107}', "");
Expect(1, 3660, '\P{Canonical_Combining_Class=- CCC107}', "");
Expect(0, 3660, '\P{^Canonical_Combining_Class=- CCC107}', "");
Error('\p{Ccc: 	:=000000107}');
Error('\P{Ccc: 	:=000000107}');
Expect(1, 3659, '\p{Ccc=00_00_00_00_0107}', "");
Expect(0, 3659, '\p{^Ccc=00_00_00_00_0107}', "");
Expect(0, 3659, '\P{Ccc=00_00_00_00_0107}', "");
Expect(1, 3659, '\P{^Ccc=00_00_00_00_0107}', "");
Expect(0, 3660, '\p{Ccc=00_00_00_00_0107}', "");
Expect(1, 3660, '\p{^Ccc=00_00_00_00_0107}', "");
Expect(1, 3660, '\P{Ccc=00_00_00_00_0107}', "");
Expect(0, 3660, '\P{^Ccc=00_00_00_00_0107}', "");
Error('\p{Is_Canonical_Combining_Class=  CCC107/a/}');
Error('\P{Is_Canonical_Combining_Class=  CCC107/a/}');
Expect(1, 3659, '\p{Is_Canonical_Combining_Class=ccc107}', "");
Expect(0, 3659, '\p{^Is_Canonical_Combining_Class=ccc107}', "");
Expect(0, 3659, '\P{Is_Canonical_Combining_Class=ccc107}', "");
Expect(1, 3659, '\P{^Is_Canonical_Combining_Class=ccc107}', "");
Expect(0, 3660, '\p{Is_Canonical_Combining_Class=ccc107}', "");
Expect(1, 3660, '\p{^Is_Canonical_Combining_Class=ccc107}', "");
Expect(1, 3660, '\P{Is_Canonical_Combining_Class=ccc107}', "");
Expect(0, 3660, '\P{^Is_Canonical_Combining_Class=ccc107}', "");
Expect(1, 3659, '\p{Is_Canonical_Combining_Class=CCC107}', "");
Expect(0, 3659, '\p{^Is_Canonical_Combining_Class=CCC107}', "");
Expect(0, 3659, '\P{Is_Canonical_Combining_Class=CCC107}', "");
Expect(1, 3659, '\P{^Is_Canonical_Combining_Class=CCC107}', "");
Expect(0, 3660, '\p{Is_Canonical_Combining_Class=CCC107}', "");
Expect(1, 3660, '\p{^Is_Canonical_Combining_Class=CCC107}', "");
Expect(1, 3660, '\P{Is_Canonical_Combining_Class=CCC107}', "");
Expect(0, 3660, '\P{^Is_Canonical_Combining_Class=CCC107}', "");
Error('\p{Is_Ccc=:=- 107}');
Error('\P{Is_Ccc=:=- 107}');
Expect(1, 3659, '\p{Is_Ccc=+10_7}', "");
Expect(0, 3659, '\p{^Is_Ccc=+10_7}', "");
Expect(0, 3659, '\P{Is_Ccc=+10_7}', "");
Expect(1, 3659, '\P{^Is_Ccc=+10_7}', "");
Expect(0, 3660, '\p{Is_Ccc=+10_7}', "");
Expect(1, 3660, '\p{^Is_Ccc=+10_7}', "");
Expect(1, 3660, '\P{Is_Ccc=+10_7}', "");
Expect(0, 3660, '\P{^Is_Ccc=+10_7}', "");
Error('\p{Canonical_Combining_Class=	/a/ccc11}');
Error('\P{Canonical_Combining_Class=	/a/ccc11}');
Expect(1, 1457, '\p{Canonical_Combining_Class=ccc11}', "");
Expect(0, 1457, '\p{^Canonical_Combining_Class=ccc11}', "");
Expect(0, 1457, '\P{Canonical_Combining_Class=ccc11}', "");
Expect(1, 1457, '\P{^Canonical_Combining_Class=ccc11}', "");
Expect(0, 1458, '\p{Canonical_Combining_Class=ccc11}', "");
Expect(1, 1458, '\p{^Canonical_Combining_Class=ccc11}', "");
Expect(1, 1458, '\P{Canonical_Combining_Class=ccc11}', "");
Expect(0, 1458, '\P{^Canonical_Combining_Class=ccc11}', "");
Expect(1, 1457, '\p{Canonical_Combining_Class=_	CCC11}', "");
Expect(0, 1457, '\p{^Canonical_Combining_Class=_	CCC11}', "");
Expect(0, 1457, '\P{Canonical_Combining_Class=_	CCC11}', "");
Expect(1, 1457, '\P{^Canonical_Combining_Class=_	CCC11}', "");
Expect(0, 1458, '\p{Canonical_Combining_Class=_	CCC11}', "");
Expect(1, 1458, '\p{^Canonical_Combining_Class=_	CCC11}', "");
Expect(1, 1458, '\P{Canonical_Combining_Class=_	CCC11}', "");
Expect(0, 1458, '\P{^Canonical_Combining_Class=_	CCC11}', "");
Error('\p{Ccc=-:=+00000000011}');
Error('\P{Ccc=-:=+00000000011}');
Expect(1, 1457, '\p{Ccc=1_1}', "");
Expect(0, 1457, '\p{^Ccc=1_1}', "");
Expect(0, 1457, '\P{Ccc=1_1}', "");
Expect(1, 1457, '\P{^Ccc=1_1}', "");
Expect(0, 1458, '\p{Ccc=1_1}', "");
Expect(1, 1458, '\p{^Ccc=1_1}', "");
Expect(1, 1458, '\P{Ccc=1_1}', "");
Expect(0, 1458, '\P{^Ccc=1_1}', "");
Error('\p{Is_Canonical_Combining_Class=_ccc11/a/}');
Error('\P{Is_Canonical_Combining_Class=_ccc11/a/}');
Expect(1, 1457, '\p{Is_Canonical_Combining_Class=ccc11}', "");
Expect(0, 1457, '\p{^Is_Canonical_Combining_Class=ccc11}', "");
Expect(0, 1457, '\P{Is_Canonical_Combining_Class=ccc11}', "");
Expect(1, 1457, '\P{^Is_Canonical_Combining_Class=ccc11}', "");
Expect(0, 1458, '\p{Is_Canonical_Combining_Class=ccc11}', "");
Expect(1, 1458, '\p{^Is_Canonical_Combining_Class=ccc11}', "");
Expect(1, 1458, '\P{Is_Canonical_Combining_Class=ccc11}', "");
Expect(0, 1458, '\P{^Is_Canonical_Combining_Class=ccc11}', "");
Expect(1, 1457, '\p{Is_Canonical_Combining_Class=_ CCC11}', "");
Expect(0, 1457, '\p{^Is_Canonical_Combining_Class=_ CCC11}', "");
Expect(0, 1457, '\P{Is_Canonical_Combining_Class=_ CCC11}', "");
Expect(1, 1457, '\P{^Is_Canonical_Combining_Class=_ CCC11}', "");
Expect(0, 1458, '\p{Is_Canonical_Combining_Class=_ CCC11}', "");
Expect(1, 1458, '\p{^Is_Canonical_Combining_Class=_ CCC11}', "");
Expect(1, 1458, '\P{Is_Canonical_Combining_Class=_ CCC11}', "");
Expect(0, 1458, '\P{^Is_Canonical_Combining_Class=_ CCC11}', "");
Error('\p{Is_Ccc=:= +011}');
Error('\P{Is_Ccc=:= +011}');
Expect(1, 1457, '\p{Is_Ccc=0_0_0_0_0_0_011}', "");
Expect(0, 1457, '\p{^Is_Ccc=0_0_0_0_0_0_011}', "");
Expect(0, 1457, '\P{Is_Ccc=0_0_0_0_0_0_011}', "");
Expect(1, 1457, '\P{^Is_Ccc=0_0_0_0_0_0_011}', "");
Expect(0, 1458, '\p{Is_Ccc=0_0_0_0_0_0_011}', "");
Expect(1, 1458, '\p{^Is_Ccc=0_0_0_0_0_0_011}', "");
Expect(1, 1458, '\P{Is_Ccc=0_0_0_0_0_0_011}', "");
Expect(0, 1458, '\P{^Is_Ccc=0_0_0_0_0_0_011}', "");
Error('\p{Canonical_Combining_Class=_	CCC118:=}');
Error('\P{Canonical_Combining_Class=_	CCC118:=}');
Expect(1, 3769, '\p{Canonical_Combining_Class=ccc118}', "");
Expect(0, 3769, '\p{^Canonical_Combining_Class=ccc118}', "");
Expect(0, 3769, '\P{Canonical_Combining_Class=ccc118}', "");
Expect(1, 3769, '\P{^Canonical_Combining_Class=ccc118}', "");
Expect(0, 3770, '\p{Canonical_Combining_Class=ccc118}', "");
Expect(1, 3770, '\p{^Canonical_Combining_Class=ccc118}', "");
Expect(1, 3770, '\P{Canonical_Combining_Class=ccc118}', "");
Expect(0, 3770, '\P{^Canonical_Combining_Class=ccc118}', "");
Expect(1, 3769, '\p{Canonical_Combining_Class=	 CCC118}', "");
Expect(0, 3769, '\p{^Canonical_Combining_Class=	 CCC118}', "");
Expect(0, 3769, '\P{Canonical_Combining_Class=	 CCC118}', "");
Expect(1, 3769, '\P{^Canonical_Combining_Class=	 CCC118}', "");
Expect(0, 3770, '\p{Canonical_Combining_Class=	 CCC118}', "");
Expect(1, 3770, '\p{^Canonical_Combining_Class=	 CCC118}', "");
Expect(1, 3770, '\P{Canonical_Combining_Class=	 CCC118}', "");
Expect(0, 3770, '\P{^Canonical_Combining_Class=	 CCC118}', "");
Error('\p{Ccc=:=	 0000118}');
Error('\P{Ccc=:=	 0000118}');
Expect(1, 3769, '\p{Ccc=0000118}', "");
Expect(0, 3769, '\p{^Ccc=0000118}', "");
Expect(0, 3769, '\P{Ccc=0000118}', "");
Expect(1, 3769, '\P{^Ccc=0000118}', "");
Expect(0, 3770, '\p{Ccc=0000118}', "");
Expect(1, 3770, '\p{^Ccc=0000118}', "");
Expect(1, 3770, '\P{Ccc=0000118}', "");
Expect(0, 3770, '\P{^Ccc=0000118}', "");
Error('\p{Is_Canonical_Combining_Class=	:=CCC118}');
Error('\P{Is_Canonical_Combining_Class=	:=CCC118}');
Expect(1, 3769, '\p{Is_Canonical_Combining_Class=ccc118}', "");
Expect(0, 3769, '\p{^Is_Canonical_Combining_Class=ccc118}', "");
Expect(0, 3769, '\P{Is_Canonical_Combining_Class=ccc118}', "");
Expect(1, 3769, '\P{^Is_Canonical_Combining_Class=ccc118}', "");
Expect(0, 3770, '\p{Is_Canonical_Combining_Class=ccc118}', "");
Expect(1, 3770, '\p{^Is_Canonical_Combining_Class=ccc118}', "");
Expect(1, 3770, '\P{Is_Canonical_Combining_Class=ccc118}', "");
Expect(0, 3770, '\P{^Is_Canonical_Combining_Class=ccc118}', "");
Expect(1, 3769, '\p{Is_Canonical_Combining_Class=	 ccc118}', "");
Expect(0, 3769, '\p{^Is_Canonical_Combining_Class=	 ccc118}', "");
Expect(0, 3769, '\P{Is_Canonical_Combining_Class=	 ccc118}', "");
Expect(1, 3769, '\P{^Is_Canonical_Combining_Class=	 ccc118}', "");
Expect(0, 3770, '\p{Is_Canonical_Combining_Class=	 ccc118}', "");
Expect(1, 3770, '\p{^Is_Canonical_Combining_Class=	 ccc118}', "");
Expect(1, 3770, '\P{Is_Canonical_Combining_Class=	 ccc118}', "");
Expect(0, 3770, '\P{^Is_Canonical_Combining_Class=	 ccc118}', "");
Error('\p{Is_Ccc=	/a/+00118}');
Error('\P{Is_Ccc=	/a/+00118}');
Expect(1, 3769, '\p{Is_Ccc=000118}', "");
Expect(0, 3769, '\p{^Is_Ccc=000118}', "");
Expect(0, 3769, '\P{Is_Ccc=000118}', "");
Expect(1, 3769, '\P{^Is_Ccc=000118}', "");
Expect(0, 3770, '\p{Is_Ccc=000118}', "");
Expect(1, 3770, '\p{^Is_Ccc=000118}', "");
Expect(1, 3770, '\P{Is_Ccc=000118}', "");
Expect(0, 3770, '\P{^Is_Ccc=000118}', "");
Error('\p{Canonical_Combining_Class=/a/_CCC12}');
Error('\P{Canonical_Combining_Class=/a/_CCC12}');
Expect(1, 1458, '\p{Canonical_Combining_Class:	ccc12}', "");
Expect(0, 1458, '\p{^Canonical_Combining_Class:	ccc12}', "");
Expect(0, 1458, '\P{Canonical_Combining_Class:	ccc12}', "");
Expect(1, 1458, '\P{^Canonical_Combining_Class:	ccc12}', "");
Expect(0, 1459, '\p{Canonical_Combining_Class:	ccc12}', "");
Expect(1, 1459, '\p{^Canonical_Combining_Class:	ccc12}', "");
Expect(1, 1459, '\P{Canonical_Combining_Class:	ccc12}', "");
Expect(0, 1459, '\P{^Canonical_Combining_Class:	ccc12}', "");
Expect(1, 1458, '\p{Canonical_Combining_Class=		CCC12}', "");
Expect(0, 1458, '\p{^Canonical_Combining_Class=		CCC12}', "");
Expect(0, 1458, '\P{Canonical_Combining_Class=		CCC12}', "");
Expect(1, 1458, '\P{^Canonical_Combining_Class=		CCC12}', "");
Expect(0, 1459, '\p{Canonical_Combining_Class=		CCC12}', "");
Expect(1, 1459, '\p{^Canonical_Combining_Class=		CCC12}', "");
Expect(1, 1459, '\P{Canonical_Combining_Class=		CCC12}', "");
Expect(0, 1459, '\P{^Canonical_Combining_Class=		CCC12}', "");
Error('\p{Ccc=	 000_000_12:=}');
Error('\P{Ccc=	 000_000_12:=}');
Expect(1, 1458, '\p{Ccc=0_0_0_012}', "");
Expect(0, 1458, '\p{^Ccc=0_0_0_012}', "");
Expect(0, 1458, '\P{Ccc=0_0_0_012}', "");
Expect(1, 1458, '\P{^Ccc=0_0_0_012}', "");
Expect(0, 1459, '\p{Ccc=0_0_0_012}', "");
Expect(1, 1459, '\p{^Ccc=0_0_0_012}', "");
Expect(1, 1459, '\P{Ccc=0_0_0_012}', "");
Expect(0, 1459, '\P{^Ccc=0_0_0_012}', "");
Error('\p{Is_Canonical_Combining_Class= :=CCC12}');
Error('\P{Is_Canonical_Combining_Class= :=CCC12}');
Expect(1, 1458, '\p{Is_Canonical_Combining_Class=ccc12}', "");
Expect(0, 1458, '\p{^Is_Canonical_Combining_Class=ccc12}', "");
Expect(0, 1458, '\P{Is_Canonical_Combining_Class=ccc12}', "");
Expect(1, 1458, '\P{^Is_Canonical_Combining_Class=ccc12}', "");
Expect(0, 1459, '\p{Is_Canonical_Combining_Class=ccc12}', "");
Expect(1, 1459, '\p{^Is_Canonical_Combining_Class=ccc12}', "");
Expect(1, 1459, '\P{Is_Canonical_Combining_Class=ccc12}', "");
Expect(0, 1459, '\P{^Is_Canonical_Combining_Class=ccc12}', "");
Expect(1, 1458, '\p{Is_Canonical_Combining_Class=	CCC12}', "");
Expect(0, 1458, '\p{^Is_Canonical_Combining_Class=	CCC12}', "");
Expect(0, 1458, '\P{Is_Canonical_Combining_Class=	CCC12}', "");
Expect(1, 1458, '\P{^Is_Canonical_Combining_Class=	CCC12}', "");
Expect(0, 1459, '\p{Is_Canonical_Combining_Class=	CCC12}', "");
Expect(1, 1459, '\p{^Is_Canonical_Combining_Class=	CCC12}', "");
Expect(1, 1459, '\P{Is_Canonical_Combining_Class=	CCC12}', "");
Expect(0, 1459, '\P{^Is_Canonical_Combining_Class=	CCC12}', "");
Error('\p{Is_Ccc:_000012:=}');
Error('\P{Is_Ccc:_000012:=}');
Expect(1, 1458, '\p{Is_Ccc=+000000012}', "");
Expect(0, 1458, '\p{^Is_Ccc=+000000012}', "");
Expect(0, 1458, '\P{Is_Ccc=+000000012}', "");
Expect(1, 1458, '\P{^Is_Ccc=+000000012}', "");
Expect(0, 1459, '\p{Is_Ccc=+000000012}', "");
Expect(1, 1459, '\p{^Is_Ccc=+000000012}', "");
Expect(1, 1459, '\P{Is_Ccc=+000000012}', "");
Expect(0, 1459, '\P{^Is_Ccc=+000000012}', "");
Error('\p{Canonical_Combining_Class= :=CCC122}');
Error('\P{Canonical_Combining_Class= :=CCC122}');
Expect(1, 3787, '\p{Canonical_Combining_Class=ccc122}', "");
Expect(0, 3787, '\p{^Canonical_Combining_Class=ccc122}', "");
Expect(0, 3787, '\P{Canonical_Combining_Class=ccc122}', "");
Expect(1, 3787, '\P{^Canonical_Combining_Class=ccc122}', "");
Expect(0, 3788, '\p{Canonical_Combining_Class=ccc122}', "");
Expect(1, 3788, '\p{^Canonical_Combining_Class=ccc122}', "");
Expect(1, 3788, '\P{Canonical_Combining_Class=ccc122}', "");
Expect(0, 3788, '\P{^Canonical_Combining_Class=ccc122}', "");
Expect(1, 3787, '\p{Canonical_Combining_Class=CCC122}', "");
Expect(0, 3787, '\p{^Canonical_Combining_Class=CCC122}', "");
Expect(0, 3787, '\P{Canonical_Combining_Class=CCC122}', "");
Expect(1, 3787, '\P{^Canonical_Combining_Class=CCC122}', "");
Expect(0, 3788, '\p{Canonical_Combining_Class=CCC122}', "");
Expect(1, 3788, '\p{^Canonical_Combining_Class=CCC122}', "");
Expect(1, 3788, '\P{Canonical_Combining_Class=CCC122}', "");
Expect(0, 3788, '\P{^Canonical_Combining_Class=CCC122}', "");
Error('\p{Ccc=_	+0000122/a/}');
Error('\P{Ccc=_	+0000122/a/}');
Expect(1, 3787, '\p{Ccc=012_2}', "");
Expect(0, 3787, '\p{^Ccc=012_2}', "");
Expect(0, 3787, '\P{Ccc=012_2}', "");
Expect(1, 3787, '\P{^Ccc=012_2}', "");
Expect(0, 3788, '\p{Ccc=012_2}', "");
Expect(1, 3788, '\p{^Ccc=012_2}', "");
Expect(1, 3788, '\P{Ccc=012_2}', "");
Expect(0, 3788, '\P{^Ccc=012_2}', "");
Error('\p{Is_Canonical_Combining_Class=-_CCC122/a/}');
Error('\P{Is_Canonical_Combining_Class=-_CCC122/a/}');
Expect(1, 3787, '\p{Is_Canonical_Combining_Class=ccc122}', "");
Expect(0, 3787, '\p{^Is_Canonical_Combining_Class=ccc122}', "");
Expect(0, 3787, '\P{Is_Canonical_Combining_Class=ccc122}', "");
Expect(1, 3787, '\P{^Is_Canonical_Combining_Class=ccc122}', "");
Expect(0, 3788, '\p{Is_Canonical_Combining_Class=ccc122}', "");
Expect(1, 3788, '\p{^Is_Canonical_Combining_Class=ccc122}', "");
Expect(1, 3788, '\P{Is_Canonical_Combining_Class=ccc122}', "");
Expect(0, 3788, '\P{^Is_Canonical_Combining_Class=ccc122}', "");
Expect(1, 3787, '\p{Is_Canonical_Combining_Class=  CCC122}', "");
Expect(0, 3787, '\p{^Is_Canonical_Combining_Class=  CCC122}', "");
Expect(0, 3787, '\P{Is_Canonical_Combining_Class=  CCC122}', "");
Expect(1, 3787, '\P{^Is_Canonical_Combining_Class=  CCC122}', "");
Expect(0, 3788, '\p{Is_Canonical_Combining_Class=  CCC122}', "");
Expect(1, 3788, '\p{^Is_Canonical_Combining_Class=  CCC122}', "");
Expect(1, 3788, '\P{Is_Canonical_Combining_Class=  CCC122}', "");
Expect(0, 3788, '\P{^Is_Canonical_Combining_Class=  CCC122}', "");
Error('\p{Is_Ccc=:=- 0_1_22}');
Error('\P{Is_Ccc=:=- 0_1_22}');
Expect(1, 3787, '\p{Is_Ccc=0122}', "");
Expect(0, 3787, '\p{^Is_Ccc=0122}', "");
Expect(0, 3787, '\P{Is_Ccc=0122}', "");
Expect(1, 3787, '\P{^Is_Ccc=0122}', "");
Expect(0, 3788, '\p{Is_Ccc=0122}', "");
Expect(1, 3788, '\p{^Is_Ccc=0122}', "");
Expect(1, 3788, '\P{Is_Ccc=0122}', "");
Expect(0, 3788, '\P{^Is_Ccc=0122}', "");
Error('\p{Canonical_Combining_Class: -/a/CCC129}');
Error('\P{Canonical_Combining_Class: -/a/CCC129}');
Expect(1, 3953, '\p{Canonical_Combining_Class=ccc129}', "");
Expect(0, 3953, '\p{^Canonical_Combining_Class=ccc129}', "");
Expect(0, 3953, '\P{Canonical_Combining_Class=ccc129}', "");
Expect(1, 3953, '\P{^Canonical_Combining_Class=ccc129}', "");
Expect(0, 3954, '\p{Canonical_Combining_Class=ccc129}', "");
Expect(1, 3954, '\p{^Canonical_Combining_Class=ccc129}', "");
Expect(1, 3954, '\P{Canonical_Combining_Class=ccc129}', "");
Expect(0, 3954, '\P{^Canonical_Combining_Class=ccc129}', "");
Expect(1, 3953, '\p{Canonical_Combining_Class= -CCC129}', "");
Expect(0, 3953, '\p{^Canonical_Combining_Class= -CCC129}', "");
Expect(0, 3953, '\P{Canonical_Combining_Class= -CCC129}', "");
Expect(1, 3953, '\P{^Canonical_Combining_Class= -CCC129}', "");
Expect(0, 3954, '\p{Canonical_Combining_Class= -CCC129}', "");
Expect(1, 3954, '\p{^Canonical_Combining_Class= -CCC129}', "");
Expect(1, 3954, '\P{Canonical_Combining_Class= -CCC129}', "");
Expect(0, 3954, '\P{^Canonical_Combining_Class= -CCC129}', "");
Error('\p{Ccc=	/a/0129}');
Error('\P{Ccc=	/a/0129}');
Expect(1, 3953, '\p{Ccc=+00000000129}', "");
Expect(0, 3953, '\p{^Ccc=+00000000129}', "");
Expect(0, 3953, '\P{Ccc=+00000000129}', "");
Expect(1, 3953, '\P{^Ccc=+00000000129}', "");
Expect(0, 3954, '\p{Ccc=+00000000129}', "");
Expect(1, 3954, '\p{^Ccc=+00000000129}', "");
Expect(1, 3954, '\P{Ccc=+00000000129}', "");
Expect(0, 3954, '\P{^Ccc=+00000000129}', "");
Error('\p{Is_Canonical_Combining_Class=/a/ccc129}');
Error('\P{Is_Canonical_Combining_Class=/a/ccc129}');
Expect(1, 3953, '\p{Is_Canonical_Combining_Class=ccc129}', "");
Expect(0, 3953, '\p{^Is_Canonical_Combining_Class=ccc129}', "");
Expect(0, 3953, '\P{Is_Canonical_Combining_Class=ccc129}', "");
Expect(1, 3953, '\P{^Is_Canonical_Combining_Class=ccc129}', "");
Expect(0, 3954, '\p{Is_Canonical_Combining_Class=ccc129}', "");
Expect(1, 3954, '\p{^Is_Canonical_Combining_Class=ccc129}', "");
Expect(1, 3954, '\P{Is_Canonical_Combining_Class=ccc129}', "");
Expect(0, 3954, '\P{^Is_Canonical_Combining_Class=ccc129}', "");
Expect(1, 3953, '\p{Is_Canonical_Combining_Class=  CCC129}', "");
Expect(0, 3953, '\p{^Is_Canonical_Combining_Class=  CCC129}', "");
Expect(0, 3953, '\P{Is_Canonical_Combining_Class=  CCC129}', "");
Expect(1, 3953, '\P{^Is_Canonical_Combining_Class=  CCC129}', "");
Expect(0, 3954, '\p{Is_Canonical_Combining_Class=  CCC129}', "");
Expect(1, 3954, '\p{^Is_Canonical_Combining_Class=  CCC129}', "");
Expect(1, 3954, '\P{Is_Canonical_Combining_Class=  CCC129}', "");
Expect(0, 3954, '\P{^Is_Canonical_Combining_Class=  CCC129}', "");
Error('\p{Is_Ccc=-00000_00012_9/a/}');
Error('\P{Is_Ccc=-00000_00012_9/a/}');
Expect(1, 3953, '\p{Is_Ccc=000000000129}', "");
Expect(0, 3953, '\p{^Is_Ccc=000000000129}', "");
Expect(0, 3953, '\P{Is_Ccc=000000000129}', "");
Expect(1, 3953, '\P{^Is_Ccc=000000000129}', "");
Expect(0, 3954, '\p{Is_Ccc=000000000129}', "");
Expect(1, 3954, '\p{^Is_Ccc=000000000129}', "");
Expect(1, 3954, '\P{Is_Ccc=000000000129}', "");
Expect(0, 3954, '\P{^Is_Ccc=000000000129}', "");
Error('\p{Canonical_Combining_Class=/a/ccc13}');
Error('\P{Canonical_Combining_Class=/a/ccc13}');
Expect(1, 1459, '\p{Canonical_Combining_Class=ccc13}', "");
Expect(0, 1459, '\p{^Canonical_Combining_Class=ccc13}', "");
Expect(0, 1459, '\P{Canonical_Combining_Class=ccc13}', "");
Expect(1, 1459, '\P{^Canonical_Combining_Class=ccc13}', "");
Expect(0, 1460, '\p{Canonical_Combining_Class=ccc13}', "");
Expect(1, 1460, '\p{^Canonical_Combining_Class=ccc13}', "");
Expect(1, 1460, '\P{Canonical_Combining_Class=ccc13}', "");
Expect(0, 1460, '\P{^Canonical_Combining_Class=ccc13}', "");
Expect(1, 1459, '\p{Canonical_Combining_Class:   		CCC13}', "");
Expect(0, 1459, '\p{^Canonical_Combining_Class:   		CCC13}', "");
Expect(0, 1459, '\P{Canonical_Combining_Class:   		CCC13}', "");
Expect(1, 1459, '\P{^Canonical_Combining_Class:   		CCC13}', "");
Expect(0, 1460, '\p{Canonical_Combining_Class:   		CCC13}', "");
Expect(1, 1460, '\p{^Canonical_Combining_Class:   		CCC13}', "");
Expect(1, 1460, '\P{Canonical_Combining_Class:   		CCC13}', "");
Expect(0, 1460, '\P{^Canonical_Combining_Class:   		CCC13}', "");
Error('\p{Ccc:		13:=}');
Error('\P{Ccc:		13:=}');
Expect(1, 1459, '\p{Ccc=000013}', "");
Expect(0, 1459, '\p{^Ccc=000013}', "");
Expect(0, 1459, '\P{Ccc=000013}', "");
Expect(1, 1459, '\P{^Ccc=000013}', "");
Expect(0, 1460, '\p{Ccc=000013}', "");
Expect(1, 1460, '\p{^Ccc=000013}', "");
Expect(1, 1460, '\P{Ccc=000013}', "");
Expect(0, 1460, '\P{^Ccc=000013}', "");
Error('\p{Is_Canonical_Combining_Class=:=-	CCC13}');
Error('\P{Is_Canonical_Combining_Class=:=-	CCC13}');
Expect(1, 1459, '\p{Is_Canonical_Combining_Class=ccc13}', "");
Expect(0, 1459, '\p{^Is_Canonical_Combining_Class=ccc13}', "");
Expect(0, 1459, '\P{Is_Canonical_Combining_Class=ccc13}', "");
Expect(1, 1459, '\P{^Is_Canonical_Combining_Class=ccc13}', "");
Expect(0, 1460, '\p{Is_Canonical_Combining_Class=ccc13}', "");
Expect(1, 1460, '\p{^Is_Canonical_Combining_Class=ccc13}', "");
Expect(1, 1460, '\P{Is_Canonical_Combining_Class=ccc13}', "");
Expect(0, 1460, '\P{^Is_Canonical_Combining_Class=ccc13}', "");
Expect(1, 1459, '\p{Is_Canonical_Combining_Class=- CCC13}', "");
Expect(0, 1459, '\p{^Is_Canonical_Combining_Class=- CCC13}', "");
Expect(0, 1459, '\P{Is_Canonical_Combining_Class=- CCC13}', "");
Expect(1, 1459, '\P{^Is_Canonical_Combining_Class=- CCC13}', "");
Expect(0, 1460, '\p{Is_Canonical_Combining_Class=- CCC13}', "");
Expect(1, 1460, '\p{^Is_Canonical_Combining_Class=- CCC13}', "");
Expect(1, 1460, '\P{Is_Canonical_Combining_Class=- CCC13}', "");
Expect(0, 1460, '\P{^Is_Canonical_Combining_Class=- CCC13}', "");
Error('\p{Is_Ccc=_:=+00013}');
Error('\P{Is_Ccc=_:=+00013}');
Expect(1, 1459, '\p{Is_Ccc=00000013}', "");
Expect(0, 1459, '\p{^Is_Ccc=00000013}', "");
Expect(0, 1459, '\P{Is_Ccc=00000013}', "");
Expect(1, 1459, '\P{^Is_Ccc=00000013}', "");
Expect(0, 1460, '\p{Is_Ccc=00000013}', "");
Expect(1, 1460, '\p{^Is_Ccc=00000013}', "");
Expect(1, 1460, '\P{Is_Ccc=00000013}', "");
Expect(0, 1460, '\P{^Is_Ccc=00000013}', "");
Error('\p{Canonical_Combining_Class=-/a/CCC130}');
Error('\P{Canonical_Combining_Class=-/a/CCC130}');
Expect(1, 3968, '\p{Canonical_Combining_Class=ccc130}', "");
Expect(0, 3968, '\p{^Canonical_Combining_Class=ccc130}', "");
Expect(0, 3968, '\P{Canonical_Combining_Class=ccc130}', "");
Expect(1, 3968, '\P{^Canonical_Combining_Class=ccc130}', "");
Expect(0, 3969, '\p{Canonical_Combining_Class=ccc130}', "");
Expect(1, 3969, '\p{^Canonical_Combining_Class=ccc130}', "");
Expect(1, 3969, '\P{Canonical_Combining_Class=ccc130}', "");
Expect(0, 3969, '\P{^Canonical_Combining_Class=ccc130}', "");
Expect(1, 3968, '\p{Canonical_Combining_Class=_ CCC130}', "");
Expect(0, 3968, '\p{^Canonical_Combining_Class=_ CCC130}', "");
Expect(0, 3968, '\P{Canonical_Combining_Class=_ CCC130}', "");
Expect(1, 3968, '\P{^Canonical_Combining_Class=_ CCC130}', "");
Expect(0, 3969, '\p{Canonical_Combining_Class=_ CCC130}', "");
Expect(1, 3969, '\p{^Canonical_Combining_Class=_ CCC130}', "");
Expect(1, 3969, '\P{Canonical_Combining_Class=_ CCC130}', "");
Expect(0, 3969, '\P{^Canonical_Combining_Class=_ CCC130}', "");
Error('\p{Ccc= /a/00130}');
Error('\P{Ccc= /a/00130}');
Expect(1, 3968, '\p{Ccc=0000130}', "");
Expect(0, 3968, '\p{^Ccc=0000130}', "");
Expect(0, 3968, '\P{Ccc=0000130}', "");
Expect(1, 3968, '\P{^Ccc=0000130}', "");
Expect(0, 3969, '\p{Ccc=0000130}', "");
Expect(1, 3969, '\p{^Ccc=0000130}', "");
Expect(1, 3969, '\P{Ccc=0000130}', "");
Expect(0, 3969, '\P{^Ccc=0000130}', "");
Error('\p{Is_Canonical_Combining_Class: :=	 CCC130}');
Error('\P{Is_Canonical_Combining_Class: :=	 CCC130}');
Expect(1, 3968, '\p{Is_Canonical_Combining_Class=ccc130}', "");
Expect(0, 3968, '\p{^Is_Canonical_Combining_Class=ccc130}', "");
Expect(0, 3968, '\P{Is_Canonical_Combining_Class=ccc130}', "");
Expect(1, 3968, '\P{^Is_Canonical_Combining_Class=ccc130}', "");
Expect(0, 3969, '\p{Is_Canonical_Combining_Class=ccc130}', "");
Expect(1, 3969, '\p{^Is_Canonical_Combining_Class=ccc130}', "");
Expect(1, 3969, '\P{Is_Canonical_Combining_Class=ccc130}', "");
Expect(0, 3969, '\P{^Is_Canonical_Combining_Class=ccc130}', "");
Expect(1, 3968, '\p{Is_Canonical_Combining_Class=-	ccc130}', "");
Expect(0, 3968, '\p{^Is_Canonical_Combining_Class=-	ccc130}', "");
Expect(0, 3968, '\P{Is_Canonical_Combining_Class=-	ccc130}', "");
Expect(1, 3968, '\P{^Is_Canonical_Combining_Class=-	ccc130}', "");
Expect(0, 3969, '\p{Is_Canonical_Combining_Class=-	ccc130}', "");
Expect(1, 3969, '\p{^Is_Canonical_Combining_Class=-	ccc130}', "");
Expect(1, 3969, '\P{Is_Canonical_Combining_Class=-	ccc130}', "");
Expect(0, 3969, '\P{^Is_Canonical_Combining_Class=-	ccc130}', "");
Error('\p{Is_Ccc=	:=+00000000130}');
Error('\P{Is_Ccc=	:=+00000000130}');
Expect(1, 3968, '\p{Is_Ccc:00000_00001_30}', "");
Expect(0, 3968, '\p{^Is_Ccc:00000_00001_30}', "");
Expect(0, 3968, '\P{Is_Ccc:00000_00001_30}', "");
Expect(1, 3968, '\P{^Is_Ccc:00000_00001_30}', "");
Expect(0, 3969, '\p{Is_Ccc:00000_00001_30}', "");
Expect(1, 3969, '\p{^Is_Ccc:00000_00001_30}', "");
Expect(1, 3969, '\P{Is_Ccc:00000_00001_30}', "");
Expect(0, 3969, '\P{^Is_Ccc:00000_00001_30}', "");
Error('\p{Canonical_Combining_Class=/a/	_CCC132}');
Error('\P{Canonical_Combining_Class=/a/	_CCC132}');
Expect(1, 3956, '\p{Canonical_Combining_Class=ccc132}', "");
Expect(0, 3956, '\p{^Canonical_Combining_Class=ccc132}', "");
Expect(0, 3956, '\P{Canonical_Combining_Class=ccc132}', "");
Expect(1, 3956, '\P{^Canonical_Combining_Class=ccc132}', "");
Expect(0, 3957, '\p{Canonical_Combining_Class=ccc132}', "");
Expect(1, 3957, '\p{^Canonical_Combining_Class=ccc132}', "");
Expect(1, 3957, '\P{Canonical_Combining_Class=ccc132}', "");
Expect(0, 3957, '\P{^Canonical_Combining_Class=ccc132}', "");
Expect(1, 3956, '\p{Canonical_Combining_Class= -CCC132}', "");
Expect(0, 3956, '\p{^Canonical_Combining_Class= -CCC132}', "");
Expect(0, 3956, '\P{Canonical_Combining_Class= -CCC132}', "");
Expect(1, 3956, '\P{^Canonical_Combining_Class= -CCC132}', "");
Expect(0, 3957, '\p{Canonical_Combining_Class= -CCC132}', "");
Expect(1, 3957, '\p{^Canonical_Combining_Class= -CCC132}', "");
Expect(1, 3957, '\P{Canonical_Combining_Class= -CCC132}', "");
Expect(0, 3957, '\P{^Canonical_Combining_Class= -CCC132}', "");
Error('\p{Ccc=/a/ +0_0_0_0_0_0_000132}');
Error('\P{Ccc=/a/ +0_0_0_0_0_0_000132}');
Expect(1, 3956, '\p{Ccc=132}', "");
Expect(0, 3956, '\p{^Ccc=132}', "");
Expect(0, 3956, '\P{Ccc=132}', "");
Expect(1, 3956, '\P{^Ccc=132}', "");
Expect(0, 3957, '\p{Ccc=132}', "");
Expect(1, 3957, '\p{^Ccc=132}', "");
Expect(1, 3957, '\P{Ccc=132}', "");
Expect(0, 3957, '\P{^Ccc=132}', "");
Error('\p{Is_Canonical_Combining_Class=	:=CCC132}');
Error('\P{Is_Canonical_Combining_Class=	:=CCC132}');
Expect(1, 3956, '\p{Is_Canonical_Combining_Class: ccc132}', "");
Expect(0, 3956, '\p{^Is_Canonical_Combining_Class: ccc132}', "");
Expect(0, 3956, '\P{Is_Canonical_Combining_Class: ccc132}', "");
Expect(1, 3956, '\P{^Is_Canonical_Combining_Class: ccc132}', "");
Expect(0, 3957, '\p{Is_Canonical_Combining_Class: ccc132}', "");
Expect(1, 3957, '\p{^Is_Canonical_Combining_Class: ccc132}', "");
Expect(1, 3957, '\P{Is_Canonical_Combining_Class: ccc132}', "");
Expect(0, 3957, '\P{^Is_Canonical_Combining_Class: ccc132}', "");
Expect(1, 3956, '\p{Is_Canonical_Combining_Class= 	CCC132}', "");
Expect(0, 3956, '\p{^Is_Canonical_Combining_Class= 	CCC132}', "");
Expect(0, 3956, '\P{Is_Canonical_Combining_Class= 	CCC132}', "");
Expect(1, 3956, '\P{^Is_Canonical_Combining_Class= 	CCC132}', "");
Expect(0, 3957, '\p{Is_Canonical_Combining_Class= 	CCC132}', "");
Expect(1, 3957, '\p{^Is_Canonical_Combining_Class= 	CCC132}', "");
Expect(1, 3957, '\P{Is_Canonical_Combining_Class= 	CCC132}', "");
Expect(0, 3957, '\P{^Is_Canonical_Combining_Class= 	CCC132}', "");
Error('\p{Is_Ccc=	/a/0000000013_2}');
Error('\P{Is_Ccc=	/a/0000000013_2}');
Expect(1, 3956, '\p{Is_Ccc=0_0_0_0_132}', "");
Expect(0, 3956, '\p{^Is_Ccc=0_0_0_0_132}', "");
Expect(0, 3956, '\P{Is_Ccc=0_0_0_0_132}', "");
Expect(1, 3956, '\P{^Is_Ccc=0_0_0_0_132}', "");
Expect(0, 3957, '\p{Is_Ccc=0_0_0_0_132}', "");
Expect(1, 3957, '\p{^Is_Ccc=0_0_0_0_132}', "");
Expect(1, 3957, '\P{Is_Ccc=0_0_0_0_132}', "");
Expect(0, 3957, '\P{^Is_Ccc=0_0_0_0_132}', "");
Error('\p{Canonical_Combining_Class=/a/CCC133}');
Error('\P{Canonical_Combining_Class=/a/CCC133}');
Expect(0, 1, '\p{Canonical_Combining_Class=ccc133}', "");
Expect(1, 1, '\p{^Canonical_Combining_Class=ccc133}', "");
Expect(1, 1, '\P{Canonical_Combining_Class=ccc133}', "");
Expect(0, 1, '\P{^Canonical_Combining_Class=ccc133}', "");
Expect(0, 1, '\p{Canonical_Combining_Class=		CCC133}', "");
Expect(1, 1, '\p{^Canonical_Combining_Class=		CCC133}', "");
Expect(1, 1, '\P{Canonical_Combining_Class=		CCC133}', "");
Expect(0, 1, '\P{^Canonical_Combining_Class=		CCC133}', "");
Error('\p{Ccc=/a/-000000133}');
Error('\P{Ccc=/a/-000000133}');
Expect(0, 1, '\p{Ccc=0_1_33}', "");
Expect(1, 1, '\p{^Ccc=0_1_33}', "");
Expect(1, 1, '\P{Ccc=0_1_33}', "");
Expect(0, 1, '\P{^Ccc=0_1_33}', "");
Error('\p{Is_Canonical_Combining_Class=/a/_CCC133}');
Error('\P{Is_Canonical_Combining_Class=/a/_CCC133}');
Expect(0, 1, '\p{Is_Canonical_Combining_Class=ccc133}', "");
Expect(1, 1, '\p{^Is_Canonical_Combining_Class=ccc133}', "");
Expect(1, 1, '\P{Is_Canonical_Combining_Class=ccc133}', "");
Expect(0, 1, '\P{^Is_Canonical_Combining_Class=ccc133}', "");
Expect(0, 1, '\p{Is_Canonical_Combining_Class= 	ccc133}', "");
Expect(1, 1, '\p{^Is_Canonical_Combining_Class= 	ccc133}', "");
Expect(1, 1, '\P{Is_Canonical_Combining_Class= 	ccc133}', "");
Expect(0, 1, '\P{^Is_Canonical_Combining_Class= 	ccc133}', "");
Error('\p{Is_Ccc=/a/+00_00_00_13_3}');
Error('\P{Is_Ccc=/a/+00_00_00_13_3}');
Expect(0, 1, '\p{Is_Ccc=+0000000133}', "");
Expect(1, 1, '\p{^Is_Ccc=+0000000133}', "");
Expect(1, 1, '\P{Is_Ccc=+0000000133}', "");
Expect(0, 1, '\P{^Is_Ccc=+0000000133}', "");
Error('\p{Canonical_Combining_Class=_/a/CCC14}');
Error('\P{Canonical_Combining_Class=_/a/CCC14}');
Expect(1, 1460, '\p{Canonical_Combining_Class=ccc14}', "");
Expect(0, 1460, '\p{^Canonical_Combining_Class=ccc14}', "");
Expect(0, 1460, '\P{Canonical_Combining_Class=ccc14}', "");
Expect(1, 1460, '\P{^Canonical_Combining_Class=ccc14}', "");
Expect(0, 1461, '\p{Canonical_Combining_Class=ccc14}', "");
Expect(1, 1461, '\p{^Canonical_Combining_Class=ccc14}', "");
Expect(1, 1461, '\P{Canonical_Combining_Class=ccc14}', "");
Expect(0, 1461, '\P{^Canonical_Combining_Class=ccc14}', "");
Expect(1, 1460, '\p{Canonical_Combining_Class=	 ccc14}', "");
Expect(0, 1460, '\p{^Canonical_Combining_Class=	 ccc14}', "");
Expect(0, 1460, '\P{Canonical_Combining_Class=	 ccc14}', "");
Expect(1, 1460, '\P{^Canonical_Combining_Class=	 ccc14}', "");
Expect(0, 1461, '\p{Canonical_Combining_Class=	 ccc14}', "");
Expect(1, 1461, '\p{^Canonical_Combining_Class=	 ccc14}', "");
Expect(1, 1461, '\P{Canonical_Combining_Class=	 ccc14}', "");
Expect(0, 1461, '\P{^Canonical_Combining_Class=	 ccc14}', "");
Error('\p{Ccc=/a/_01_4}');
Error('\P{Ccc=/a/_01_4}');
Expect(1, 1460, '\p{Ccc=00014}', "");
Expect(0, 1460, '\p{^Ccc=00014}', "");
Expect(0, 1460, '\P{Ccc=00014}', "");
Expect(1, 1460, '\P{^Ccc=00014}', "");
Expect(0, 1461, '\p{Ccc=00014}', "");
Expect(1, 1461, '\p{^Ccc=00014}', "");
Expect(1, 1461, '\P{Ccc=00014}', "");
Expect(0, 1461, '\P{^Ccc=00014}', "");
Error('\p{Is_Canonical_Combining_Class=:=ccc14}');
Error('\P{Is_Canonical_Combining_Class=:=ccc14}');
Expect(1, 1460, '\p{Is_Canonical_Combining_Class=ccc14}', "");
Expect(0, 1460, '\p{^Is_Canonical_Combining_Class=ccc14}', "");
Expect(0, 1460, '\P{Is_Canonical_Combining_Class=ccc14}', "");
Expect(1, 1460, '\P{^Is_Canonical_Combining_Class=ccc14}', "");
Expect(0, 1461, '\p{Is_Canonical_Combining_Class=ccc14}', "");
Expect(1, 1461, '\p{^Is_Canonical_Combining_Class=ccc14}', "");
Expect(1, 1461, '\P{Is_Canonical_Combining_Class=ccc14}', "");
Expect(0, 1461, '\P{^Is_Canonical_Combining_Class=ccc14}', "");
Expect(1, 1460, '\p{Is_Canonical_Combining_Class=  CCC14}', "");
Expect(0, 1460, '\p{^Is_Canonical_Combining_Class=  CCC14}', "");
Expect(0, 1460, '\P{Is_Canonical_Combining_Class=  CCC14}', "");
Expect(1, 1460, '\P{^Is_Canonical_Combining_Class=  CCC14}', "");
Expect(0, 1461, '\p{Is_Canonical_Combining_Class=  CCC14}', "");
Expect(1, 1461, '\p{^Is_Canonical_Combining_Class=  CCC14}', "");
Expect(1, 1461, '\P{Is_Canonical_Combining_Class=  CCC14}', "");
Expect(0, 1461, '\P{^Is_Canonical_Combining_Class=  CCC14}', "");
Error('\p{Is_Ccc=	:=00001_4}');
Error('\P{Is_Ccc=	:=00001_4}');
Expect(1, 1460, '\p{Is_Ccc:   +001_4}', "");
Expect(0, 1460, '\p{^Is_Ccc:   +001_4}', "");
Expect(0, 1460, '\P{Is_Ccc:   +001_4}', "");
Expect(1, 1460, '\P{^Is_Ccc:   +001_4}', "");
Expect(0, 1461, '\p{Is_Ccc:   +001_4}', "");
Expect(1, 1461, '\p{^Is_Ccc:   +001_4}', "");
Expect(1, 1461, '\P{Is_Ccc:   +001_4}', "");
Expect(0, 1461, '\P{^Is_Ccc:   +001_4}', "");
Error('\p{Canonical_Combining_Class=/a/		CCC15}');
Error('\P{Canonical_Combining_Class=/a/		CCC15}');
Expect(1, 1461, '\p{Canonical_Combining_Class=ccc15}', "");
Expect(0, 1461, '\p{^Canonical_Combining_Class=ccc15}', "");
Expect(0, 1461, '\P{Canonical_Combining_Class=ccc15}', "");
Expect(1, 1461, '\P{^Canonical_Combining_Class=ccc15}', "");
Expect(0, 1462, '\p{Canonical_Combining_Class=ccc15}', "");
Expect(1, 1462, '\p{^Canonical_Combining_Class=ccc15}', "");
Expect(1, 1462, '\P{Canonical_Combining_Class=ccc15}', "");
Expect(0, 1462, '\P{^Canonical_Combining_Class=ccc15}', "");
Expect(1, 1461, '\p{Canonical_Combining_Class=_ccc15}', "");
Expect(0, 1461, '\p{^Canonical_Combining_Class=_ccc15}', "");
Expect(0, 1461, '\P{Canonical_Combining_Class=_ccc15}', "");
Expect(1, 1461, '\P{^Canonical_Combining_Class=_ccc15}', "");
Expect(0, 1462, '\p{Canonical_Combining_Class=_ccc15}', "");
Expect(1, 1462, '\p{^Canonical_Combining_Class=_ccc15}', "");
Expect(1, 1462, '\P{Canonical_Combining_Class=_ccc15}', "");
Expect(0, 1462, '\P{^Canonical_Combining_Class=_ccc15}', "");
Error('\p{Ccc=/a/001_5}');
Error('\P{Ccc=/a/001_5}');
Expect(1, 1461, '\p{Ccc=0000015}', "");
Expect(0, 1461, '\p{^Ccc=0000015}', "");
Expect(0, 1461, '\P{Ccc=0000015}', "");
Expect(1, 1461, '\P{^Ccc=0000015}', "");
Expect(0, 1462, '\p{Ccc=0000015}', "");
Expect(1, 1462, '\p{^Ccc=0000015}', "");
Expect(1, 1462, '\P{Ccc=0000015}', "");
Expect(0, 1462, '\P{^Ccc=0000015}', "");
Error('\p{Is_Canonical_Combining_Class=_CCC15/a/}');
Error('\P{Is_Canonical_Combining_Class=_CCC15/a/}');
Expect(1, 1461, '\p{Is_Canonical_Combining_Class:   ccc15}', "");
Expect(0, 1461, '\p{^Is_Canonical_Combining_Class:   ccc15}', "");
Expect(0, 1461, '\P{Is_Canonical_Combining_Class:   ccc15}', "");
Expect(1, 1461, '\P{^Is_Canonical_Combining_Class:   ccc15}', "");
Expect(0, 1462, '\p{Is_Canonical_Combining_Class:   ccc15}', "");
Expect(1, 1462, '\p{^Is_Canonical_Combining_Class:   ccc15}', "");
Expect(1, 1462, '\P{Is_Canonical_Combining_Class:   ccc15}', "");
Expect(0, 1462, '\P{^Is_Canonical_Combining_Class:   ccc15}', "");
Expect(1, 1461, '\p{Is_Canonical_Combining_Class=		CCC15}', "");
Expect(0, 1461, '\p{^Is_Canonical_Combining_Class=		CCC15}', "");
Expect(0, 1461, '\P{Is_Canonical_Combining_Class=		CCC15}', "");
Expect(1, 1461, '\P{^Is_Canonical_Combining_Class=		CCC15}', "");
Expect(0, 1462, '\p{Is_Canonical_Combining_Class=		CCC15}', "");
Expect(1, 1462, '\p{^Is_Canonical_Combining_Class=		CCC15}', "");
Expect(1, 1462, '\P{Is_Canonical_Combining_Class=		CCC15}', "");
Expect(0, 1462, '\P{^Is_Canonical_Combining_Class=		CCC15}', "");
Error('\p{Is_Ccc=-	00000015/a/}');
Error('\P{Is_Ccc=-	00000015/a/}');
Expect(1, 1461, '\p{Is_Ccc=01_5}', "");
Expect(0, 1461, '\p{^Is_Ccc=01_5}', "");
Expect(0, 1461, '\P{Is_Ccc=01_5}', "");
Expect(1, 1461, '\P{^Is_Ccc=01_5}', "");
Expect(0, 1462, '\p{Is_Ccc=01_5}', "");
Expect(1, 1462, '\p{^Is_Ccc=01_5}', "");
Expect(1, 1462, '\P{Is_Ccc=01_5}', "");
Expect(0, 1462, '\P{^Is_Ccc=01_5}', "");
Error('\p{Canonical_Combining_Class=_ccc16:=}');
Error('\P{Canonical_Combining_Class=_ccc16:=}');
Expect(1, 1462, '\p{Canonical_Combining_Class=ccc16}', "");
Expect(0, 1462, '\p{^Canonical_Combining_Class=ccc16}', "");
Expect(0, 1462, '\P{Canonical_Combining_Class=ccc16}', "");
Expect(1, 1462, '\P{^Canonical_Combining_Class=ccc16}', "");
Expect(0, 1463, '\p{Canonical_Combining_Class=ccc16}', "");
Expect(1, 1463, '\p{^Canonical_Combining_Class=ccc16}', "");
Expect(1, 1463, '\P{Canonical_Combining_Class=ccc16}', "");
Expect(0, 1463, '\P{^Canonical_Combining_Class=ccc16}', "");
Expect(1, 1462, '\p{Canonical_Combining_Class=--ccc16}', "");
Expect(0, 1462, '\p{^Canonical_Combining_Class=--ccc16}', "");
Expect(0, 1462, '\P{Canonical_Combining_Class=--ccc16}', "");
Expect(1, 1462, '\P{^Canonical_Combining_Class=--ccc16}', "");
Expect(0, 1463, '\p{Canonical_Combining_Class=--ccc16}', "");
Expect(1, 1463, '\p{^Canonical_Combining_Class=--ccc16}', "");
Expect(1, 1463, '\P{Canonical_Combining_Class=--ccc16}', "");
Expect(0, 1463, '\P{^Canonical_Combining_Class=--ccc16}', "");
Error('\p{Ccc=:= _+0000000001_6}');
Error('\P{Ccc=:= _+0000000001_6}');
Expect(1, 1462, '\p{Ccc=16}', "");
Expect(0, 1462, '\p{^Ccc=16}', "");
Expect(0, 1462, '\P{Ccc=16}', "");
Expect(1, 1462, '\P{^Ccc=16}', "");
Expect(0, 1463, '\p{Ccc=16}', "");
Expect(1, 1463, '\p{^Ccc=16}', "");
Expect(1, 1463, '\P{Ccc=16}', "");
Expect(0, 1463, '\P{^Ccc=16}', "");
Error('\p{Is_Canonical_Combining_Class:   /a/__CCC16}');
Error('\P{Is_Canonical_Combining_Class:   /a/__CCC16}');
Expect(1, 1462, '\p{Is_Canonical_Combining_Class=ccc16}', "");
Expect(0, 1462, '\p{^Is_Canonical_Combining_Class=ccc16}', "");
Expect(0, 1462, '\P{Is_Canonical_Combining_Class=ccc16}', "");
Expect(1, 1462, '\P{^Is_Canonical_Combining_Class=ccc16}', "");
Expect(0, 1463, '\p{Is_Canonical_Combining_Class=ccc16}', "");
Expect(1, 1463, '\p{^Is_Canonical_Combining_Class=ccc16}', "");
Expect(1, 1463, '\P{Is_Canonical_Combining_Class=ccc16}', "");
Expect(0, 1463, '\P{^Is_Canonical_Combining_Class=ccc16}', "");
Expect(1, 1462, '\p{Is_Canonical_Combining_Class=_CCC16}', "");
Expect(0, 1462, '\p{^Is_Canonical_Combining_Class=_CCC16}', "");
Expect(0, 1462, '\P{Is_Canonical_Combining_Class=_CCC16}', "");
Expect(1, 1462, '\P{^Is_Canonical_Combining_Class=_CCC16}', "");
Expect(0, 1463, '\p{Is_Canonical_Combining_Class=_CCC16}', "");
Expect(1, 1463, '\p{^Is_Canonical_Combining_Class=_CCC16}', "");
Expect(1, 1463, '\P{Is_Canonical_Combining_Class=_CCC16}', "");
Expect(0, 1463, '\P{^Is_Canonical_Combining_Class=_CCC16}', "");
Error('\p{Is_Ccc= 	+00000016:=}');
Error('\P{Is_Ccc= 	+00000016:=}');
Expect(1, 1462, '\p{Is_Ccc=0_0_0_0_0_0_0_0_16}', "");
Expect(0, 1462, '\p{^Is_Ccc=0_0_0_0_0_0_0_0_16}', "");
Expect(0, 1462, '\P{Is_Ccc=0_0_0_0_0_0_0_0_16}', "");
Expect(1, 1462, '\P{^Is_Ccc=0_0_0_0_0_0_0_0_16}', "");
Expect(0, 1463, '\p{Is_Ccc=0_0_0_0_0_0_0_0_16}', "");
Expect(1, 1463, '\p{^Is_Ccc=0_0_0_0_0_0_0_0_16}', "");
Expect(1, 1463, '\P{Is_Ccc=0_0_0_0_0_0_0_0_16}', "");
Expect(0, 1463, '\P{^Is_Ccc=0_0_0_0_0_0_0_0_16}', "");
Error('\p{Canonical_Combining_Class=/a/	CCC17}');
Error('\P{Canonical_Combining_Class=/a/	CCC17}');
Expect(1, 1463, '\p{Canonical_Combining_Class=ccc17}', "");
Expect(0, 1463, '\p{^Canonical_Combining_Class=ccc17}', "");
Expect(0, 1463, '\P{Canonical_Combining_Class=ccc17}', "");
Expect(1, 1463, '\P{^Canonical_Combining_Class=ccc17}', "");
Expect(0, 1464, '\p{Canonical_Combining_Class=ccc17}', "");
Expect(1, 1464, '\p{^Canonical_Combining_Class=ccc17}', "");
Expect(1, 1464, '\P{Canonical_Combining_Class=ccc17}', "");
Expect(0, 1464, '\P{^Canonical_Combining_Class=ccc17}', "");
Expect(1, 1463, '\p{Canonical_Combining_Class=_	CCC17}', "");
Expect(0, 1463, '\p{^Canonical_Combining_Class=_	CCC17}', "");
Expect(0, 1463, '\P{Canonical_Combining_Class=_	CCC17}', "");
Expect(1, 1463, '\P{^Canonical_Combining_Class=_	CCC17}', "");
Expect(0, 1464, '\p{Canonical_Combining_Class=_	CCC17}', "");
Expect(1, 1464, '\p{^Canonical_Combining_Class=_	CCC17}', "");
Expect(1, 1464, '\P{Canonical_Combining_Class=_	CCC17}', "");
Expect(0, 1464, '\P{^Canonical_Combining_Class=_	CCC17}', "");
Error('\p{Ccc:   _0001_7/a/}');
Error('\P{Ccc:   _0001_7/a/}');
Expect(1, 1463, '\p{Ccc=1_7}', "");
Expect(0, 1463, '\p{^Ccc=1_7}', "");
Expect(0, 1463, '\P{Ccc=1_7}', "");
Expect(1, 1463, '\P{^Ccc=1_7}', "");
Expect(0, 1464, '\p{Ccc=1_7}', "");
Expect(1, 1464, '\p{^Ccc=1_7}', "");
Expect(1, 1464, '\P{Ccc=1_7}', "");
Expect(0, 1464, '\P{^Ccc=1_7}', "");
Error('\p{Is_Canonical_Combining_Class=-:=CCC17}');
Error('\P{Is_Canonical_Combining_Class=-:=CCC17}');
Expect(1, 1463, '\p{Is_Canonical_Combining_Class=ccc17}', "");
Expect(0, 1463, '\p{^Is_Canonical_Combining_Class=ccc17}', "");
Expect(0, 1463, '\P{Is_Canonical_Combining_Class=ccc17}', "");
Expect(1, 1463, '\P{^Is_Canonical_Combining_Class=ccc17}', "");
Expect(0, 1464, '\p{Is_Canonical_Combining_Class=ccc17}', "");
Expect(1, 1464, '\p{^Is_Canonical_Combining_Class=ccc17}', "");
Expect(1, 1464, '\P{Is_Canonical_Combining_Class=ccc17}', "");
Expect(0, 1464, '\P{^Is_Canonical_Combining_Class=ccc17}', "");
Expect(1, 1463, '\p{Is_Canonical_Combining_Class: -CCC17}', "");
Expect(0, 1463, '\p{^Is_Canonical_Combining_Class: -CCC17}', "");
Expect(0, 1463, '\P{Is_Canonical_Combining_Class: -CCC17}', "");
Expect(1, 1463, '\P{^Is_Canonical_Combining_Class: -CCC17}', "");
Expect(0, 1464, '\p{Is_Canonical_Combining_Class: -CCC17}', "");
Expect(1, 1464, '\p{^Is_Canonical_Combining_Class: -CCC17}', "");
Expect(1, 1464, '\P{Is_Canonical_Combining_Class: -CCC17}', "");
Expect(0, 1464, '\P{^Is_Canonical_Combining_Class: -CCC17}', "");
Error('\p{Is_Ccc=/a/0_0_0_0_17}');
Error('\P{Is_Ccc=/a/0_0_0_0_17}');
Expect(1, 1463, '\p{Is_Ccc=+0000017}', "");
Expect(0, 1463, '\p{^Is_Ccc=+0000017}', "");
Expect(0, 1463, '\P{Is_Ccc=+0000017}', "");
Expect(1, 1463, '\P{^Is_Ccc=+0000017}', "");
Expect(0, 1464, '\p{Is_Ccc=+0000017}', "");
Expect(1, 1464, '\p{^Is_Ccc=+0000017}', "");
Expect(1, 1464, '\P{Is_Ccc=+0000017}', "");
Expect(0, 1464, '\P{^Is_Ccc=+0000017}', "");
Error('\p{Canonical_Combining_Class= /a/CCC18}');
Error('\P{Canonical_Combining_Class= /a/CCC18}');
Expect(1, 1479, '\p{Canonical_Combining_Class=ccc18}', "");
Expect(0, 1479, '\p{^Canonical_Combining_Class=ccc18}', "");
Expect(0, 1479, '\P{Canonical_Combining_Class=ccc18}', "");
Expect(1, 1479, '\P{^Canonical_Combining_Class=ccc18}', "");
Expect(0, 1480, '\p{Canonical_Combining_Class=ccc18}', "");
Expect(1, 1480, '\p{^Canonical_Combining_Class=ccc18}', "");
Expect(1, 1480, '\P{Canonical_Combining_Class=ccc18}', "");
Expect(0, 1480, '\P{^Canonical_Combining_Class=ccc18}', "");
Expect(1, 1479, '\p{Canonical_Combining_Class=-CCC18}', "");
Expect(0, 1479, '\p{^Canonical_Combining_Class=-CCC18}', "");
Expect(0, 1479, '\P{Canonical_Combining_Class=-CCC18}', "");
Expect(1, 1479, '\P{^Canonical_Combining_Class=-CCC18}', "");
Expect(0, 1480, '\p{Canonical_Combining_Class=-CCC18}', "");
Expect(1, 1480, '\p{^Canonical_Combining_Class=-CCC18}', "");
Expect(1, 1480, '\P{Canonical_Combining_Class=-CCC18}', "");
Expect(0, 1480, '\P{^Canonical_Combining_Class=-CCC18}', "");
Error('\p{Ccc=	/a/0_0_0_018}');
Error('\P{Ccc=	/a/0_0_0_018}');
Expect(1, 1479, '\p{Ccc: +0000018}', "");
Expect(0, 1479, '\p{^Ccc: +0000018}', "");
Expect(0, 1479, '\P{Ccc: +0000018}', "");
Expect(1, 1479, '\P{^Ccc: +0000018}', "");
Expect(0, 1480, '\p{Ccc: +0000018}', "");
Expect(1, 1480, '\p{^Ccc: +0000018}', "");
Expect(1, 1480, '\P{Ccc: +0000018}', "");
Expect(0, 1480, '\P{^Ccc: +0000018}', "");
Error('\p{Is_Canonical_Combining_Class=_	CCC18:=}');
Error('\P{Is_Canonical_Combining_Class=_	CCC18:=}');
Expect(1, 1479, '\p{Is_Canonical_Combining_Class=ccc18}', "");
Expect(0, 1479, '\p{^Is_Canonical_Combining_Class=ccc18}', "");
Expect(0, 1479, '\P{Is_Canonical_Combining_Class=ccc18}', "");
Expect(1, 1479, '\P{^Is_Canonical_Combining_Class=ccc18}', "");
Expect(0, 1480, '\p{Is_Canonical_Combining_Class=ccc18}', "");
Expect(1, 1480, '\p{^Is_Canonical_Combining_Class=ccc18}', "");
Expect(1, 1480, '\P{Is_Canonical_Combining_Class=ccc18}', "");
Expect(0, 1480, '\P{^Is_Canonical_Combining_Class=ccc18}', "");
Expect(1, 1479, '\p{Is_Canonical_Combining_Class=--CCC18}', "");
Expect(0, 1479, '\p{^Is_Canonical_Combining_Class=--CCC18}', "");
Expect(0, 1479, '\P{Is_Canonical_Combining_Class=--CCC18}', "");
Expect(1, 1479, '\P{^Is_Canonical_Combining_Class=--CCC18}', "");
Expect(0, 1480, '\p{Is_Canonical_Combining_Class=--CCC18}', "");
Expect(1, 1480, '\p{^Is_Canonical_Combining_Class=--CCC18}', "");
Expect(1, 1480, '\P{Is_Canonical_Combining_Class=--CCC18}', "");
Expect(0, 1480, '\P{^Is_Canonical_Combining_Class=--CCC18}', "");
Error('\p{Is_Ccc= :=1_8}');
Error('\P{Is_Ccc= :=1_8}');
Expect(1, 1479, '\p{Is_Ccc=0000018}', "");
Expect(0, 1479, '\p{^Is_Ccc=0000018}', "");
Expect(0, 1479, '\P{Is_Ccc=0000018}', "");
Expect(1, 1479, '\P{^Is_Ccc=0000018}', "");
Expect(0, 1480, '\p{Is_Ccc=0000018}', "");
Expect(1, 1480, '\p{^Is_Ccc=0000018}', "");
Expect(1, 1480, '\P{Is_Ccc=0000018}', "");
Expect(0, 1480, '\P{^Is_Ccc=0000018}', "");
Error('\p{Canonical_Combining_Class=-:=ccc19}');
Error('\P{Canonical_Combining_Class=-:=ccc19}');
Expect(1, 1466, '\p{Canonical_Combining_Class=ccc19}', "");
Expect(0, 1466, '\p{^Canonical_Combining_Class=ccc19}', "");
Expect(0, 1466, '\P{Canonical_Combining_Class=ccc19}', "");
Expect(1, 1466, '\P{^Canonical_Combining_Class=ccc19}', "");
Expect(0, 1467, '\p{Canonical_Combining_Class=ccc19}', "");
Expect(1, 1467, '\p{^Canonical_Combining_Class=ccc19}', "");
Expect(1, 1467, '\P{Canonical_Combining_Class=ccc19}', "");
Expect(0, 1467, '\P{^Canonical_Combining_Class=ccc19}', "");
Expect(1, 1466, '\p{Canonical_Combining_Class= 	CCC19}', "");
Expect(0, 1466, '\p{^Canonical_Combining_Class= 	CCC19}', "");
Expect(0, 1466, '\P{Canonical_Combining_Class= 	CCC19}', "");
Expect(1, 1466, '\P{^Canonical_Combining_Class= 	CCC19}', "");
Expect(0, 1467, '\p{Canonical_Combining_Class= 	CCC19}', "");
Expect(1, 1467, '\p{^Canonical_Combining_Class= 	CCC19}', "");
Expect(1, 1467, '\P{Canonical_Combining_Class= 	CCC19}', "");
Expect(0, 1467, '\P{^Canonical_Combining_Class= 	CCC19}', "");
Error('\p{Ccc= /a/0_0_0_19}');
Error('\P{Ccc= /a/0_0_0_19}');
Expect(1, 1466, '\p{Ccc=+019}', "");
Expect(0, 1466, '\p{^Ccc=+019}', "");
Expect(0, 1466, '\P{Ccc=+019}', "");
Expect(1, 1466, '\P{^Ccc=+019}', "");
Expect(0, 1467, '\p{Ccc=+019}', "");
Expect(1, 1467, '\p{^Ccc=+019}', "");
Expect(1, 1467, '\P{Ccc=+019}', "");
Expect(0, 1467, '\P{^Ccc=+019}', "");
Error('\p{Is_Canonical_Combining_Class=:=_-CCC19}');
Error('\P{Is_Canonical_Combining_Class=:=_-CCC19}');
Expect(1, 1466, '\p{Is_Canonical_Combining_Class=ccc19}', "");
Expect(0, 1466, '\p{^Is_Canonical_Combining_Class=ccc19}', "");
Expect(0, 1466, '\P{Is_Canonical_Combining_Class=ccc19}', "");
Expect(1, 1466, '\P{^Is_Canonical_Combining_Class=ccc19}', "");
Expect(0, 1467, '\p{Is_Canonical_Combining_Class=ccc19}', "");
Expect(1, 1467, '\p{^Is_Canonical_Combining_Class=ccc19}', "");
Expect(1, 1467, '\P{Is_Canonical_Combining_Class=ccc19}', "");
Expect(0, 1467, '\P{^Is_Canonical_Combining_Class=ccc19}', "");
Expect(1, 1466, '\p{Is_Canonical_Combining_Class=	 ccc19}', "");
Expect(0, 1466, '\p{^Is_Canonical_Combining_Class=	 ccc19}', "");
Expect(0, 1466, '\P{Is_Canonical_Combining_Class=	 ccc19}', "");
Expect(1, 1466, '\P{^Is_Canonical_Combining_Class=	 ccc19}', "");
Expect(0, 1467, '\p{Is_Canonical_Combining_Class=	 ccc19}', "");
Expect(1, 1467, '\p{^Is_Canonical_Combining_Class=	 ccc19}', "");
Expect(1, 1467, '\P{Is_Canonical_Combining_Class=	 ccc19}', "");
Expect(0, 1467, '\P{^Is_Canonical_Combining_Class=	 ccc19}', "");
Error('\p{Is_Ccc=:=-+00000019}');
Error('\P{Is_Ccc=:=-+00000019}');
Expect(1, 1466, '\p{Is_Ccc=0_0_0_0_0_0_0_0_019}', "");
Expect(0, 1466, '\p{^Is_Ccc=0_0_0_0_0_0_0_0_019}', "");
Expect(0, 1466, '\P{Is_Ccc=0_0_0_0_0_0_0_0_019}', "");
Expect(1, 1466, '\P{^Is_Ccc=0_0_0_0_0_0_0_0_019}', "");
Expect(0, 1467, '\p{Is_Ccc=0_0_0_0_0_0_0_0_019}', "");
Expect(1, 1467, '\p{^Is_Ccc=0_0_0_0_0_0_0_0_019}', "");
Expect(1, 1467, '\P{Is_Ccc=0_0_0_0_0_0_0_0_019}', "");
Expect(0, 1467, '\P{^Is_Ccc=0_0_0_0_0_0_0_0_019}', "");
Error('\p{Canonical_Combining_Class:-:=CCC20}');
Error('\P{Canonical_Combining_Class:-:=CCC20}');
Expect(1, 1467, '\p{Canonical_Combining_Class=ccc20}', "");
Expect(0, 1467, '\p{^Canonical_Combining_Class=ccc20}', "");
Expect(0, 1467, '\P{Canonical_Combining_Class=ccc20}', "");
Expect(1, 1467, '\P{^Canonical_Combining_Class=ccc20}', "");
Expect(0, 1468, '\p{Canonical_Combining_Class=ccc20}', "");
Expect(1, 1468, '\p{^Canonical_Combining_Class=ccc20}', "");
Expect(1, 1468, '\P{Canonical_Combining_Class=ccc20}', "");
Expect(0, 1468, '\P{^Canonical_Combining_Class=ccc20}', "");
Expect(1, 1467, '\p{Canonical_Combining_Class=-CCC20}', "");
Expect(0, 1467, '\p{^Canonical_Combining_Class=-CCC20}', "");
Expect(0, 1467, '\P{Canonical_Combining_Class=-CCC20}', "");
Expect(1, 1467, '\P{^Canonical_Combining_Class=-CCC20}', "");
Expect(0, 1468, '\p{Canonical_Combining_Class=-CCC20}', "");
Expect(1, 1468, '\p{^Canonical_Combining_Class=-CCC20}', "");
Expect(1, 1468, '\P{Canonical_Combining_Class=-CCC20}', "");
Expect(0, 1468, '\P{^Canonical_Combining_Class=-CCC20}', "");
Error('\p{Ccc= /a/0000020}');
Error('\P{Ccc= /a/0000020}');
Expect(1, 1467, '\p{Ccc=000000020}', "");
Expect(0, 1467, '\p{^Ccc=000000020}', "");
Expect(0, 1467, '\P{Ccc=000000020}', "");
Expect(1, 1467, '\P{^Ccc=000000020}', "");
Expect(0, 1468, '\p{Ccc=000000020}', "");
Expect(1, 1468, '\p{^Ccc=000000020}', "");
Expect(1, 1468, '\P{Ccc=000000020}', "");
Expect(0, 1468, '\P{^Ccc=000000020}', "");
Error('\p{Is_Canonical_Combining_Class=-/a/CCC20}');
Error('\P{Is_Canonical_Combining_Class=-/a/CCC20}');
Expect(1, 1467, '\p{Is_Canonical_Combining_Class=ccc20}', "");
Expect(0, 1467, '\p{^Is_Canonical_Combining_Class=ccc20}', "");
Expect(0, 1467, '\P{Is_Canonical_Combining_Class=ccc20}', "");
Expect(1, 1467, '\P{^Is_Canonical_Combining_Class=ccc20}', "");
Expect(0, 1468, '\p{Is_Canonical_Combining_Class=ccc20}', "");
Expect(1, 1468, '\p{^Is_Canonical_Combining_Class=ccc20}', "");
Expect(1, 1468, '\P{Is_Canonical_Combining_Class=ccc20}', "");
Expect(0, 1468, '\P{^Is_Canonical_Combining_Class=ccc20}', "");
Expect(1, 1467, '\p{Is_Canonical_Combining_Class= CCC20}', "");
Expect(0, 1467, '\p{^Is_Canonical_Combining_Class= CCC20}', "");
Expect(0, 1467, '\P{Is_Canonical_Combining_Class= CCC20}', "");
Expect(1, 1467, '\P{^Is_Canonical_Combining_Class= CCC20}', "");
Expect(0, 1468, '\p{Is_Canonical_Combining_Class= CCC20}', "");
Expect(1, 1468, '\p{^Is_Canonical_Combining_Class= CCC20}', "");
Expect(1, 1468, '\P{Is_Canonical_Combining_Class= CCC20}', "");
Expect(0, 1468, '\P{^Is_Canonical_Combining_Class= CCC20}', "");
Error('\p{Is_Ccc=	-20/a/}');
Error('\P{Is_Ccc=	-20/a/}');
Expect(1, 1467, '\p{Is_Ccc=0_0_0_0_0_0_0_0_20}', "");
Expect(0, 1467, '\p{^Is_Ccc=0_0_0_0_0_0_0_0_20}', "");
Expect(0, 1467, '\P{Is_Ccc=0_0_0_0_0_0_0_0_20}', "");
Expect(1, 1467, '\P{^Is_Ccc=0_0_0_0_0_0_0_0_20}', "");
Expect(0, 1468, '\p{Is_Ccc=0_0_0_0_0_0_0_0_20}', "");
Expect(1, 1468, '\p{^Is_Ccc=0_0_0_0_0_0_0_0_20}', "");
Expect(1, 1468, '\P{Is_Ccc=0_0_0_0_0_0_0_0_20}', "");
Expect(0, 1468, '\P{^Is_Ccc=0_0_0_0_0_0_0_0_20}', "");
Error('\p{Canonical_Combining_Class=--CCC21:=}');
Error('\P{Canonical_Combining_Class=--CCC21:=}');
Expect(1, 1468, '\p{Canonical_Combining_Class=ccc21}', "");
Expect(0, 1468, '\p{^Canonical_Combining_Class=ccc21}', "");
Expect(0, 1468, '\P{Canonical_Combining_Class=ccc21}', "");
Expect(1, 1468, '\P{^Canonical_Combining_Class=ccc21}', "");
Expect(0, 1469, '\p{Canonical_Combining_Class=ccc21}', "");
Expect(1, 1469, '\p{^Canonical_Combining_Class=ccc21}', "");
Expect(1, 1469, '\P{Canonical_Combining_Class=ccc21}', "");
Expect(0, 1469, '\P{^Canonical_Combining_Class=ccc21}', "");
Expect(1, 1468, '\p{Canonical_Combining_Class= -ccc21}', "");
Expect(0, 1468, '\p{^Canonical_Combining_Class= -ccc21}', "");
Expect(0, 1468, '\P{Canonical_Combining_Class= -ccc21}', "");
Expect(1, 1468, '\P{^Canonical_Combining_Class= -ccc21}', "");
Expect(0, 1469, '\p{Canonical_Combining_Class= -ccc21}', "");
Expect(1, 1469, '\p{^Canonical_Combining_Class= -ccc21}', "");
Expect(1, 1469, '\P{Canonical_Combining_Class= -ccc21}', "");
Expect(0, 1469, '\P{^Canonical_Combining_Class= -ccc21}', "");
Error('\p{Ccc:   :=00000_00002_1}');
Error('\P{Ccc:   :=00000_00002_1}');
Expect(1, 1468, '\p{Ccc=000000021}', "");
Expect(0, 1468, '\p{^Ccc=000000021}', "");
Expect(0, 1468, '\P{Ccc=000000021}', "");
Expect(1, 1468, '\P{^Ccc=000000021}', "");
Expect(0, 1469, '\p{Ccc=000000021}', "");
Expect(1, 1469, '\p{^Ccc=000000021}', "");
Expect(1, 1469, '\P{Ccc=000000021}', "");
Expect(0, 1469, '\P{^Ccc=000000021}', "");
Error('\p{Is_Canonical_Combining_Class=	:=CCC21}');
Error('\P{Is_Canonical_Combining_Class=	:=CCC21}');
Expect(1, 1468, '\p{Is_Canonical_Combining_Class=ccc21}', "");
Expect(0, 1468, '\p{^Is_Canonical_Combining_Class=ccc21}', "");
Expect(0, 1468, '\P{Is_Canonical_Combining_Class=ccc21}', "");
Expect(1, 1468, '\P{^Is_Canonical_Combining_Class=ccc21}', "");
Expect(0, 1469, '\p{Is_Canonical_Combining_Class=ccc21}', "");
Expect(1, 1469, '\p{^Is_Canonical_Combining_Class=ccc21}', "");
Expect(1, 1469, '\P{Is_Canonical_Combining_Class=ccc21}', "");
Expect(0, 1469, '\P{^Is_Canonical_Combining_Class=ccc21}', "");
Expect(1, 1468, '\p{Is_Canonical_Combining_Class=-CCC21}', "");
Expect(0, 1468, '\p{^Is_Canonical_Combining_Class=-CCC21}', "");
Expect(0, 1468, '\P{Is_Canonical_Combining_Class=-CCC21}', "");
Expect(1, 1468, '\P{^Is_Canonical_Combining_Class=-CCC21}', "");
Expect(0, 1469, '\p{Is_Canonical_Combining_Class=-CCC21}', "");
Expect(1, 1469, '\p{^Is_Canonical_Combining_Class=-CCC21}', "");
Expect(1, 1469, '\P{Is_Canonical_Combining_Class=-CCC21}', "");
Expect(0, 1469, '\P{^Is_Canonical_Combining_Class=-CCC21}', "");
Error('\p{Is_Ccc::=_	0000021}');
Error('\P{Is_Ccc::=_	0000021}');
Expect(1, 1468, '\p{Is_Ccc=00000000021}', "");
Expect(0, 1468, '\p{^Is_Ccc=00000000021}', "");
Expect(0, 1468, '\P{Is_Ccc=00000000021}', "");
Expect(1, 1468, '\P{^Is_Ccc=00000000021}', "");
Expect(0, 1469, '\p{Is_Ccc=00000000021}', "");
Expect(1, 1469, '\p{^Is_Ccc=00000000021}', "");
Expect(1, 1469, '\P{Is_Ccc=00000000021}', "");
Expect(0, 1469, '\P{^Is_Ccc=00000000021}', "");
Error('\p{Canonical_Combining_Class=/a/  CCC22}');
Error('\P{Canonical_Combining_Class=/a/  CCC22}');
Expect(1, 1469, '\p{Canonical_Combining_Class=ccc22}', "");
Expect(0, 1469, '\p{^Canonical_Combining_Class=ccc22}', "");
Expect(0, 1469, '\P{Canonical_Combining_Class=ccc22}', "");
Expect(1, 1469, '\P{^Canonical_Combining_Class=ccc22}', "");
Expect(0, 1470, '\p{Canonical_Combining_Class=ccc22}', "");
Expect(1, 1470, '\p{^Canonical_Combining_Class=ccc22}', "");
Expect(1, 1470, '\P{Canonical_Combining_Class=ccc22}', "");
Expect(0, 1470, '\P{^Canonical_Combining_Class=ccc22}', "");
Expect(1, 1469, '\p{Canonical_Combining_Class=__CCC22}', "");
Expect(0, 1469, '\p{^Canonical_Combining_Class=__CCC22}', "");
Expect(0, 1469, '\P{Canonical_Combining_Class=__CCC22}', "");
Expect(1, 1469, '\P{^Canonical_Combining_Class=__CCC22}', "");
Expect(0, 1470, '\p{Canonical_Combining_Class=__CCC22}', "");
Expect(1, 1470, '\p{^Canonical_Combining_Class=__CCC22}', "");
Expect(1, 1470, '\P{Canonical_Combining_Class=__CCC22}', "");
Expect(0, 1470, '\P{^Canonical_Combining_Class=__CCC22}', "");
Error('\p{Ccc=-:=+0_0_0_0_22}');
Error('\P{Ccc=-:=+0_0_0_0_22}');
Expect(1, 1469, '\p{Ccc=000000022}', "");
Expect(0, 1469, '\p{^Ccc=000000022}', "");
Expect(0, 1469, '\P{Ccc=000000022}', "");
Expect(1, 1469, '\P{^Ccc=000000022}', "");
Expect(0, 1470, '\p{Ccc=000000022}', "");
Expect(1, 1470, '\p{^Ccc=000000022}', "");
Expect(1, 1470, '\P{Ccc=000000022}', "");
Expect(0, 1470, '\P{^Ccc=000000022}', "");
Error('\p{Is_Canonical_Combining_Class=- CCC22/a/}');
Error('\P{Is_Canonical_Combining_Class=- CCC22/a/}');
Expect(1, 1469, '\p{Is_Canonical_Combining_Class:ccc22}', "");
Expect(0, 1469, '\p{^Is_Canonical_Combining_Class:ccc22}', "");
Expect(0, 1469, '\P{Is_Canonical_Combining_Class:ccc22}', "");
Expect(1, 1469, '\P{^Is_Canonical_Combining_Class:ccc22}', "");
Expect(0, 1470, '\p{Is_Canonical_Combining_Class:ccc22}', "");
Expect(1, 1470, '\p{^Is_Canonical_Combining_Class:ccc22}', "");
Expect(1, 1470, '\P{Is_Canonical_Combining_Class:ccc22}', "");
Expect(0, 1470, '\P{^Is_Canonical_Combining_Class:ccc22}', "");
Expect(1, 1469, '\p{Is_Canonical_Combining_Class=--CCC22}', "");
Expect(0, 1469, '\p{^Is_Canonical_Combining_Class=--CCC22}', "");
Expect(0, 1469, '\P{Is_Canonical_Combining_Class=--CCC22}', "");
Expect(1, 1469, '\P{^Is_Canonical_Combining_Class=--CCC22}', "");
Expect(0, 1470, '\p{Is_Canonical_Combining_Class=--CCC22}', "");
Expect(1, 1470, '\p{^Is_Canonical_Combining_Class=--CCC22}', "");
Expect(1, 1470, '\P{Is_Canonical_Combining_Class=--CCC22}', "");
Expect(0, 1470, '\P{^Is_Canonical_Combining_Class=--CCC22}', "");
Error('\p{Is_Ccc:	+00_00_00_00_022:=}');
Error('\P{Is_Ccc:	+00_00_00_00_022:=}');
Expect(1, 1469, '\p{Is_Ccc=2_2}', "");
Expect(0, 1469, '\p{^Is_Ccc=2_2}', "");
Expect(0, 1469, '\P{Is_Ccc=2_2}', "");
Expect(1, 1469, '\P{^Is_Ccc=2_2}', "");
Expect(0, 1470, '\p{Is_Ccc=2_2}', "");
Expect(1, 1470, '\p{^Is_Ccc=2_2}', "");
Expect(1, 1470, '\P{Is_Ccc=2_2}', "");
Expect(0, 1470, '\P{^Is_Ccc=2_2}', "");
Error('\p{Canonical_Combining_Class=	:=CCC23}');
Error('\P{Canonical_Combining_Class=	:=CCC23}');
Expect(1, 1471, '\p{Canonical_Combining_Class=ccc23}', "");
Expect(0, 1471, '\p{^Canonical_Combining_Class=ccc23}', "");
Expect(0, 1471, '\P{Canonical_Combining_Class=ccc23}', "");
Expect(1, 1471, '\P{^Canonical_Combining_Class=ccc23}', "");
Expect(0, 1472, '\p{Canonical_Combining_Class=ccc23}', "");
Expect(1, 1472, '\p{^Canonical_Combining_Class=ccc23}', "");
Expect(1, 1472, '\P{Canonical_Combining_Class=ccc23}', "");
Expect(0, 1472, '\P{^Canonical_Combining_Class=ccc23}', "");
Expect(1, 1471, '\p{Canonical_Combining_Class=	CCC23}', "");
Expect(0, 1471, '\p{^Canonical_Combining_Class=	CCC23}', "");
Expect(0, 1471, '\P{Canonical_Combining_Class=	CCC23}', "");
Expect(1, 1471, '\P{^Canonical_Combining_Class=	CCC23}', "");
Expect(0, 1472, '\p{Canonical_Combining_Class=	CCC23}', "");
Expect(1, 1472, '\p{^Canonical_Combining_Class=	CCC23}', "");
Expect(1, 1472, '\P{Canonical_Combining_Class=	CCC23}', "");
Expect(0, 1472, '\P{^Canonical_Combining_Class=	CCC23}', "");
Error('\p{Ccc=  +000000023:=}');
Error('\P{Ccc=  +000000023:=}');
Expect(1, 1471, '\p{Ccc=00_00_00_23}', "");
Expect(0, 1471, '\p{^Ccc=00_00_00_23}', "");
Expect(0, 1471, '\P{Ccc=00_00_00_23}', "");
Expect(1, 1471, '\P{^Ccc=00_00_00_23}', "");
Expect(0, 1472, '\p{Ccc=00_00_00_23}', "");
Expect(1, 1472, '\p{^Ccc=00_00_00_23}', "");
Expect(1, 1472, '\P{Ccc=00_00_00_23}', "");
Expect(0, 1472, '\P{^Ccc=00_00_00_23}', "");
Error('\p{Is_Canonical_Combining_Class=:=CCC23}');
Error('\P{Is_Canonical_Combining_Class=:=CCC23}');
Expect(1, 1471, '\p{Is_Canonical_Combining_Class=ccc23}', "");
Expect(0, 1471, '\p{^Is_Canonical_Combining_Class=ccc23}', "");
Expect(0, 1471, '\P{Is_Canonical_Combining_Class=ccc23}', "");
Expect(1, 1471, '\P{^Is_Canonical_Combining_Class=ccc23}', "");
Expect(0, 1472, '\p{Is_Canonical_Combining_Class=ccc23}', "");
Expect(1, 1472, '\p{^Is_Canonical_Combining_Class=ccc23}', "");
Expect(1, 1472, '\P{Is_Canonical_Combining_Class=ccc23}', "");
Expect(0, 1472, '\P{^Is_Canonical_Combining_Class=ccc23}', "");
Expect(1, 1471, '\p{Is_Canonical_Combining_Class=-CCC23}', "");
Expect(0, 1471, '\p{^Is_Canonical_Combining_Class=-CCC23}', "");
Expect(0, 1471, '\P{Is_Canonical_Combining_Class=-CCC23}', "");
Expect(1, 1471, '\P{^Is_Canonical_Combining_Class=-CCC23}', "");
Expect(0, 1472, '\p{Is_Canonical_Combining_Class=-CCC23}', "");
Expect(1, 1472, '\p{^Is_Canonical_Combining_Class=-CCC23}', "");
Expect(1, 1472, '\P{Is_Canonical_Combining_Class=-CCC23}', "");
Expect(0, 1472, '\P{^Is_Canonical_Combining_Class=-CCC23}', "");
Error('\p{Is_Ccc=/a/ _0_0_0_23}');
Error('\P{Is_Ccc=/a/ _0_0_0_23}');
Expect(1, 1471, '\p{Is_Ccc=23}', "");
Expect(0, 1471, '\p{^Is_Ccc=23}', "");
Expect(0, 1471, '\P{Is_Ccc=23}', "");
Expect(1, 1471, '\P{^Is_Ccc=23}', "");
Expect(0, 1472, '\p{Is_Ccc=23}', "");
Expect(1, 1472, '\p{^Is_Ccc=23}', "");
Expect(1, 1472, '\P{Is_Ccc=23}', "");
Expect(0, 1472, '\P{^Is_Ccc=23}', "");
Error('\p{Canonical_Combining_Class=-/a/CCC24}');
Error('\P{Canonical_Combining_Class=-/a/CCC24}');
Expect(1, 1473, '\p{Canonical_Combining_Class=ccc24}', "");
Expect(0, 1473, '\p{^Canonical_Combining_Class=ccc24}', "");
Expect(0, 1473, '\P{Canonical_Combining_Class=ccc24}', "");
Expect(1, 1473, '\P{^Canonical_Combining_Class=ccc24}', "");
Expect(0, 1474, '\p{Canonical_Combining_Class=ccc24}', "");
Expect(1, 1474, '\p{^Canonical_Combining_Class=ccc24}', "");
Expect(1, 1474, '\P{Canonical_Combining_Class=ccc24}', "");
Expect(0, 1474, '\P{^Canonical_Combining_Class=ccc24}', "");
Expect(1, 1473, '\p{Canonical_Combining_Class=_-CCC24}', "");
Expect(0, 1473, '\p{^Canonical_Combining_Class=_-CCC24}', "");
Expect(0, 1473, '\P{Canonical_Combining_Class=_-CCC24}', "");
Expect(1, 1473, '\P{^Canonical_Combining_Class=_-CCC24}', "");
Expect(0, 1474, '\p{Canonical_Combining_Class=_-CCC24}', "");
Expect(1, 1474, '\p{^Canonical_Combining_Class=_-CCC24}', "");
Expect(1, 1474, '\P{Canonical_Combining_Class=_-CCC24}', "");
Expect(0, 1474, '\P{^Canonical_Combining_Class=_-CCC24}', "");
Error('\p{Ccc=_+02_4/a/}');
Error('\P{Ccc=_+02_4/a/}');
Expect(1, 1473, '\p{Ccc=00024}', "");
Expect(0, 1473, '\p{^Ccc=00024}', "");
Expect(0, 1473, '\P{Ccc=00024}', "");
Expect(1, 1473, '\P{^Ccc=00024}', "");
Expect(0, 1474, '\p{Ccc=00024}', "");
Expect(1, 1474, '\p{^Ccc=00024}', "");
Expect(1, 1474, '\P{Ccc=00024}', "");
Expect(0, 1474, '\P{^Ccc=00024}', "");
Error('\p{Is_Canonical_Combining_Class=/a/ CCC24}');
Error('\P{Is_Canonical_Combining_Class=/a/ CCC24}');
Expect(1, 1473, '\p{Is_Canonical_Combining_Class=ccc24}', "");
Expect(0, 1473, '\p{^Is_Canonical_Combining_Class=ccc24}', "");
Expect(0, 1473, '\P{Is_Canonical_Combining_Class=ccc24}', "");
Expect(1, 1473, '\P{^Is_Canonical_Combining_Class=ccc24}', "");
Expect(0, 1474, '\p{Is_Canonical_Combining_Class=ccc24}', "");
Expect(1, 1474, '\p{^Is_Canonical_Combining_Class=ccc24}', "");
Expect(1, 1474, '\P{Is_Canonical_Combining_Class=ccc24}', "");
Expect(0, 1474, '\P{^Is_Canonical_Combining_Class=ccc24}', "");
Expect(1, 1473, '\p{Is_Canonical_Combining_Class=_ CCC24}', "");
Expect(0, 1473, '\p{^Is_Canonical_Combining_Class=_ CCC24}', "");
Expect(0, 1473, '\P{Is_Canonical_Combining_Class=_ CCC24}', "");
Expect(1, 1473, '\P{^Is_Canonical_Combining_Class=_ CCC24}', "");
Expect(0, 1474, '\p{Is_Canonical_Combining_Class=_ CCC24}', "");
Expect(1, 1474, '\p{^Is_Canonical_Combining_Class=_ CCC24}', "");
Expect(1, 1474, '\P{Is_Canonical_Combining_Class=_ CCC24}', "");
Expect(0, 1474, '\P{^Is_Canonical_Combining_Class=_ CCC24}', "");
Error('\p{Is_Ccc= :=0_0_0_0_0_00024}');
Error('\P{Is_Ccc= :=0_0_0_0_0_00024}');
Expect(1, 1473, '\p{Is_Ccc=000000024}', "");
Expect(0, 1473, '\p{^Is_Ccc=000000024}', "");
Expect(0, 1473, '\P{Is_Ccc=000000024}', "");
Expect(1, 1473, '\P{^Is_Ccc=000000024}', "");
Expect(0, 1474, '\p{Is_Ccc=000000024}', "");
Expect(1, 1474, '\p{^Is_Ccc=000000024}', "");
Expect(1, 1474, '\P{Is_Ccc=000000024}', "");
Expect(0, 1474, '\P{^Is_Ccc=000000024}', "");
Error('\p{Canonical_Combining_Class=CCC25/a/}');
Error('\P{Canonical_Combining_Class=CCC25/a/}');
Expect(1, 1474, '\p{Canonical_Combining_Class=ccc25}', "");
Expect(0, 1474, '\p{^Canonical_Combining_Class=ccc25}', "");
Expect(0, 1474, '\P{Canonical_Combining_Class=ccc25}', "");
Expect(1, 1474, '\P{^Canonical_Combining_Class=ccc25}', "");
Expect(0, 1475, '\p{Canonical_Combining_Class=ccc25}', "");
Expect(1, 1475, '\p{^Canonical_Combining_Class=ccc25}', "");
Expect(1, 1475, '\P{Canonical_Combining_Class=ccc25}', "");
Expect(0, 1475, '\P{^Canonical_Combining_Class=ccc25}', "");
Expect(1, 1474, '\p{Canonical_Combining_Class=__CCC25}', "");
Expect(0, 1474, '\p{^Canonical_Combining_Class=__CCC25}', "");
Expect(0, 1474, '\P{Canonical_Combining_Class=__CCC25}', "");
Expect(1, 1474, '\P{^Canonical_Combining_Class=__CCC25}', "");
Expect(0, 1475, '\p{Canonical_Combining_Class=__CCC25}', "");
Expect(1, 1475, '\p{^Canonical_Combining_Class=__CCC25}', "");
Expect(1, 1475, '\P{Canonical_Combining_Class=__CCC25}', "");
Expect(0, 1475, '\P{^Canonical_Combining_Class=__CCC25}', "");
Error('\p{Ccc=25/a/}');
Error('\P{Ccc=25/a/}');
Expect(1, 1474, '\p{Ccc=+00025}', "");
Expect(0, 1474, '\p{^Ccc=+00025}', "");
Expect(0, 1474, '\P{Ccc=+00025}', "");
Expect(1, 1474, '\P{^Ccc=+00025}', "");
Expect(0, 1475, '\p{Ccc=+00025}', "");
Expect(1, 1475, '\p{^Ccc=+00025}', "");
Expect(1, 1475, '\P{Ccc=+00025}', "");
Expect(0, 1475, '\P{^Ccc=+00025}', "");
Error('\p{Is_Canonical_Combining_Class=/a/	-CCC25}');
Error('\P{Is_Canonical_Combining_Class=/a/	-CCC25}');
Expect(1, 1474, '\p{Is_Canonical_Combining_Class=ccc25}', "");
Expect(0, 1474, '\p{^Is_Canonical_Combining_Class=ccc25}', "");
Expect(0, 1474, '\P{Is_Canonical_Combining_Class=ccc25}', "");
Expect(1, 1474, '\P{^Is_Canonical_Combining_Class=ccc25}', "");
Expect(0, 1475, '\p{Is_Canonical_Combining_Class=ccc25}', "");
Expect(1, 1475, '\p{^Is_Canonical_Combining_Class=ccc25}', "");
Expect(1, 1475, '\P{Is_Canonical_Combining_Class=ccc25}', "");
Expect(0, 1475, '\P{^Is_Canonical_Combining_Class=ccc25}', "");
Expect(1, 1474, '\p{Is_Canonical_Combining_Class=-	CCC25}', "");
Expect(0, 1474, '\p{^Is_Canonical_Combining_Class=-	CCC25}', "");
Expect(0, 1474, '\P{Is_Canonical_Combining_Class=-	CCC25}', "");
Expect(1, 1474, '\P{^Is_Canonical_Combining_Class=-	CCC25}', "");
Expect(0, 1475, '\p{Is_Canonical_Combining_Class=-	CCC25}', "");
Expect(1, 1475, '\p{^Is_Canonical_Combining_Class=-	CCC25}', "");
Expect(1, 1475, '\P{Is_Canonical_Combining_Class=-	CCC25}', "");
Expect(0, 1475, '\P{^Is_Canonical_Combining_Class=-	CCC25}', "");
Error('\p{Is_Ccc=:= 0000_0000_25}');
Error('\P{Is_Ccc=:= 0000_0000_25}');
Expect(1, 1474, '\p{Is_Ccc=+025}', "");
Expect(0, 1474, '\p{^Is_Ccc=+025}', "");
Expect(0, 1474, '\P{Is_Ccc=+025}', "");
Expect(1, 1474, '\P{^Is_Ccc=+025}', "");
Expect(0, 1475, '\p{Is_Ccc=+025}', "");
Expect(1, 1475, '\p{^Is_Ccc=+025}', "");
Expect(1, 1475, '\P{Is_Ccc=+025}', "");
Expect(0, 1475, '\P{^Is_Ccc=+025}', "");
Error('\p{Canonical_Combining_Class=/a/ 	CCC26}');
Error('\P{Canonical_Combining_Class=/a/ 	CCC26}');
Expect(1, 64286, '\p{Canonical_Combining_Class=ccc26}', "");
Expect(0, 64286, '\p{^Canonical_Combining_Class=ccc26}', "");
Expect(0, 64286, '\P{Canonical_Combining_Class=ccc26}', "");
Expect(1, 64286, '\P{^Canonical_Combining_Class=ccc26}', "");
Expect(0, 64287, '\p{Canonical_Combining_Class=ccc26}', "");
Expect(1, 64287, '\p{^Canonical_Combining_Class=ccc26}', "");
Expect(1, 64287, '\P{Canonical_Combining_Class=ccc26}', "");
Expect(0, 64287, '\P{^Canonical_Combining_Class=ccc26}', "");
Expect(1, 64286, '\p{Canonical_Combining_Class=-_CCC26}', "");
Expect(0, 64286, '\p{^Canonical_Combining_Class=-_CCC26}', "");
Expect(0, 64286, '\P{Canonical_Combining_Class=-_CCC26}', "");
Expect(1, 64286, '\P{^Canonical_Combining_Class=-_CCC26}', "");
Expect(0, 64287, '\p{Canonical_Combining_Class=-_CCC26}', "");
Expect(1, 64287, '\p{^Canonical_Combining_Class=-_CCC26}', "");
Expect(1, 64287, '\P{Canonical_Combining_Class=-_CCC26}', "");
Expect(0, 64287, '\P{^Canonical_Combining_Class=-_CCC26}', "");
Error('\p{Ccc=:=_-0_0_0_26}');
Error('\P{Ccc=:=_-0_0_0_26}');
Expect(1, 64286, '\p{Ccc=+02_6}', "");
Expect(0, 64286, '\p{^Ccc=+02_6}', "");
Expect(0, 64286, '\P{Ccc=+02_6}', "");
Expect(1, 64286, '\P{^Ccc=+02_6}', "");
Expect(0, 64287, '\p{Ccc=+02_6}', "");
Expect(1, 64287, '\p{^Ccc=+02_6}', "");
Expect(1, 64287, '\P{Ccc=+02_6}', "");
Expect(0, 64287, '\P{^Ccc=+02_6}', "");
Error('\p{Is_Canonical_Combining_Class=:= -CCC26}');
Error('\P{Is_Canonical_Combining_Class=:= -CCC26}');
Expect(1, 64286, '\p{Is_Canonical_Combining_Class=ccc26}', "");
Expect(0, 64286, '\p{^Is_Canonical_Combining_Class=ccc26}', "");
Expect(0, 64286, '\P{Is_Canonical_Combining_Class=ccc26}', "");
Expect(1, 64286, '\P{^Is_Canonical_Combining_Class=ccc26}', "");
Expect(0, 64287, '\p{Is_Canonical_Combining_Class=ccc26}', "");
Expect(1, 64287, '\p{^Is_Canonical_Combining_Class=ccc26}', "");
Expect(1, 64287, '\P{Is_Canonical_Combining_Class=ccc26}', "");
Expect(0, 64287, '\P{^Is_Canonical_Combining_Class=ccc26}', "");
Expect(1, 64286, '\p{Is_Canonical_Combining_Class=-CCC26}', "");
Expect(0, 64286, '\p{^Is_Canonical_Combining_Class=-CCC26}', "");
Expect(0, 64286, '\P{Is_Canonical_Combining_Class=-CCC26}', "");
Expect(1, 64286, '\P{^Is_Canonical_Combining_Class=-CCC26}', "");
Expect(0, 64287, '\p{Is_Canonical_Combining_Class=-CCC26}', "");
Expect(1, 64287, '\p{^Is_Canonical_Combining_Class=-CCC26}', "");
Expect(1, 64287, '\P{Is_Canonical_Combining_Class=-CCC26}', "");
Expect(0, 64287, '\P{^Is_Canonical_Combining_Class=-CCC26}', "");
Error('\p{Is_Ccc=	:=+0000026}');
Error('\P{Is_Ccc=	:=+0000026}');
Expect(1, 64286, '\p{Is_Ccc:	0000000026}', "");
Expect(0, 64286, '\p{^Is_Ccc:	0000000026}', "");
Expect(0, 64286, '\P{Is_Ccc:	0000000026}', "");
Expect(1, 64286, '\P{^Is_Ccc:	0000000026}', "");
Expect(0, 64287, '\p{Is_Ccc:	0000000026}', "");
Expect(1, 64287, '\p{^Is_Ccc:	0000000026}', "");
Expect(1, 64287, '\P{Is_Ccc:	0000000026}', "");
Expect(0, 64287, '\P{^Is_Ccc:	0000000026}', "");
Error('\p{Canonical_Combining_Class= CCC27:=}');
Error('\P{Canonical_Combining_Class= CCC27:=}');
Expect(1, 2288, '\p{Canonical_Combining_Class=ccc27}', "");
Expect(0, 2288, '\p{^Canonical_Combining_Class=ccc27}', "");
Expect(0, 2288, '\P{Canonical_Combining_Class=ccc27}', "");
Expect(1, 2288, '\P{^Canonical_Combining_Class=ccc27}', "");
Expect(0, 2289, '\p{Canonical_Combining_Class=ccc27}', "");
Expect(1, 2289, '\p{^Canonical_Combining_Class=ccc27}', "");
Expect(1, 2289, '\P{Canonical_Combining_Class=ccc27}', "");
Expect(0, 2289, '\P{^Canonical_Combining_Class=ccc27}', "");
Expect(1, 2288, '\p{Canonical_Combining_Class=-	CCC27}', "");
Expect(0, 2288, '\p{^Canonical_Combining_Class=-	CCC27}', "");
Expect(0, 2288, '\P{Canonical_Combining_Class=-	CCC27}', "");
Expect(1, 2288, '\P{^Canonical_Combining_Class=-	CCC27}', "");
Expect(0, 2289, '\p{Canonical_Combining_Class=-	CCC27}', "");
Expect(1, 2289, '\p{^Canonical_Combining_Class=-	CCC27}', "");
Expect(1, 2289, '\P{Canonical_Combining_Class=-	CCC27}', "");
Expect(0, 2289, '\P{^Canonical_Combining_Class=-	CCC27}', "");
Error('\p{Ccc=  02_7:=}');
Error('\P{Ccc=  02_7:=}');
Expect(1, 2288, '\p{Ccc=0_0_0_0_0_0_0_0_27}', "");
Expect(0, 2288, '\p{^Ccc=0_0_0_0_0_0_0_0_27}', "");
Expect(0, 2288, '\P{Ccc=0_0_0_0_0_0_0_0_27}', "");
Expect(1, 2288, '\P{^Ccc=0_0_0_0_0_0_0_0_27}', "");
Expect(0, 2289, '\p{Ccc=0_0_0_0_0_0_0_0_27}', "");
Expect(1, 2289, '\p{^Ccc=0_0_0_0_0_0_0_0_27}', "");
Expect(1, 2289, '\P{Ccc=0_0_0_0_0_0_0_0_27}', "");
Expect(0, 2289, '\P{^Ccc=0_0_0_0_0_0_0_0_27}', "");
Error('\p{Is_Canonical_Combining_Class=:=CCC27}');
Error('\P{Is_Canonical_Combining_Class=:=CCC27}');
Expect(1, 2288, '\p{Is_Canonical_Combining_Class=ccc27}', "");
Expect(0, 2288, '\p{^Is_Canonical_Combining_Class=ccc27}', "");
Expect(0, 2288, '\P{Is_Canonical_Combining_Class=ccc27}', "");
Expect(1, 2288, '\P{^Is_Canonical_Combining_Class=ccc27}', "");
Expect(0, 2289, '\p{Is_Canonical_Combining_Class=ccc27}', "");
Expect(1, 2289, '\p{^Is_Canonical_Combining_Class=ccc27}', "");
Expect(1, 2289, '\P{Is_Canonical_Combining_Class=ccc27}', "");
Expect(0, 2289, '\P{^Is_Canonical_Combining_Class=ccc27}', "");
Expect(1, 2288, '\p{Is_Canonical_Combining_Class=--CCC27}', "");
Expect(0, 2288, '\p{^Is_Canonical_Combining_Class=--CCC27}', "");
Expect(0, 2288, '\P{Is_Canonical_Combining_Class=--CCC27}', "");
Expect(1, 2288, '\P{^Is_Canonical_Combining_Class=--CCC27}', "");
Expect(0, 2289, '\p{Is_Canonical_Combining_Class=--CCC27}', "");
Expect(1, 2289, '\p{^Is_Canonical_Combining_Class=--CCC27}', "");
Expect(1, 2289, '\P{Is_Canonical_Combining_Class=--CCC27}', "");
Expect(0, 2289, '\P{^Is_Canonical_Combining_Class=--CCC27}', "");
Error('\p{Is_Ccc:	/a/- 0000_0002_7}');
Error('\P{Is_Ccc:	/a/- 0000_0002_7}');
Expect(1, 2288, '\p{Is_Ccc=0_0_0_0_0_0027}', "");
Expect(0, 2288, '\p{^Is_Ccc=0_0_0_0_0_0027}', "");
Expect(0, 2288, '\P{Is_Ccc=0_0_0_0_0_0027}', "");
Expect(1, 2288, '\P{^Is_Ccc=0_0_0_0_0_0027}', "");
Expect(0, 2289, '\p{Is_Ccc=0_0_0_0_0_0027}', "");
Expect(1, 2289, '\p{^Is_Ccc=0_0_0_0_0_0027}', "");
Expect(1, 2289, '\P{Is_Ccc=0_0_0_0_0_0027}', "");
Expect(0, 2289, '\P{^Is_Ccc=0_0_0_0_0_0027}', "");
Error('\p{Canonical_Combining_Class=	/a/CCC28}');
Error('\P{Canonical_Combining_Class=	/a/CCC28}');
Expect(1, 2289, '\p{Canonical_Combining_Class=ccc28}', "");
Expect(0, 2289, '\p{^Canonical_Combining_Class=ccc28}', "");
Expect(0, 2289, '\P{Canonical_Combining_Class=ccc28}', "");
Expect(1, 2289, '\P{^Canonical_Combining_Class=ccc28}', "");
Expect(0, 2290, '\p{Canonical_Combining_Class=ccc28}', "");
Expect(1, 2290, '\p{^Canonical_Combining_Class=ccc28}', "");
Expect(1, 2290, '\P{Canonical_Combining_Class=ccc28}', "");
Expect(0, 2290, '\P{^Canonical_Combining_Class=ccc28}', "");
Expect(1, 2289, '\p{Canonical_Combining_Class=__CCC28}', "");
Expect(0, 2289, '\p{^Canonical_Combining_Class=__CCC28}', "");
Expect(0, 2289, '\P{Canonical_Combining_Class=__CCC28}', "");
Expect(1, 2289, '\P{^Canonical_Combining_Class=__CCC28}', "");
Expect(0, 2290, '\p{Canonical_Combining_Class=__CCC28}', "");
Expect(1, 2290, '\p{^Canonical_Combining_Class=__CCC28}', "");
Expect(1, 2290, '\P{Canonical_Combining_Class=__CCC28}', "");
Expect(0, 2290, '\P{^Canonical_Combining_Class=__CCC28}', "");
Error('\p{Ccc=	-002_8:=}');
Error('\P{Ccc=	-002_8:=}');
Expect(1, 2289, '\p{Ccc=+28}', "");
Expect(0, 2289, '\p{^Ccc=+28}', "");
Expect(0, 2289, '\P{Ccc=+28}', "");
Expect(1, 2289, '\P{^Ccc=+28}', "");
Expect(0, 2290, '\p{Ccc=+28}', "");
Expect(1, 2290, '\p{^Ccc=+28}', "");
Expect(1, 2290, '\P{Ccc=+28}', "");
Expect(0, 2290, '\P{^Ccc=+28}', "");
Error('\p{Is_Canonical_Combining_Class=:=-CCC28}');
Error('\P{Is_Canonical_Combining_Class=:=-CCC28}');
Expect(1, 2289, '\p{Is_Canonical_Combining_Class=ccc28}', "");
Expect(0, 2289, '\p{^Is_Canonical_Combining_Class=ccc28}', "");
Expect(0, 2289, '\P{Is_Canonical_Combining_Class=ccc28}', "");
Expect(1, 2289, '\P{^Is_Canonical_Combining_Class=ccc28}', "");
Expect(0, 2290, '\p{Is_Canonical_Combining_Class=ccc28}', "");
Expect(1, 2290, '\p{^Is_Canonical_Combining_Class=ccc28}', "");
Expect(1, 2290, '\P{Is_Canonical_Combining_Class=ccc28}', "");
Expect(0, 2290, '\P{^Is_Canonical_Combining_Class=ccc28}', "");
Expect(1, 2289, '\p{Is_Canonical_Combining_Class=	CCC28}', "");
Expect(0, 2289, '\p{^Is_Canonical_Combining_Class=	CCC28}', "");
Expect(0, 2289, '\P{Is_Canonical_Combining_Class=	CCC28}', "");
Expect(1, 2289, '\P{^Is_Canonical_Combining_Class=	CCC28}', "");
Expect(0, 2290, '\p{Is_Canonical_Combining_Class=	CCC28}', "");
Expect(1, 2290, '\p{^Is_Canonical_Combining_Class=	CCC28}', "");
Expect(1, 2290, '\P{Is_Canonical_Combining_Class=	CCC28}', "");
Expect(0, 2290, '\P{^Is_Canonical_Combining_Class=	CCC28}', "");
Error('\p{Is_Ccc=:=0_0_28}');
Error('\P{Is_Ccc=:=0_0_28}');
Expect(1, 2289, '\p{Is_Ccc=028}', "");
Expect(0, 2289, '\p{^Is_Ccc=028}', "");
Expect(0, 2289, '\P{Is_Ccc=028}', "");
Expect(1, 2289, '\P{^Is_Ccc=028}', "");
Expect(0, 2290, '\p{Is_Ccc=028}', "");
Expect(1, 2290, '\p{^Is_Ccc=028}', "");
Expect(1, 2290, '\P{Is_Ccc=028}', "");
Expect(0, 2290, '\P{^Is_Ccc=028}', "");
Error('\p{Canonical_Combining_Class=	-CCC29:=}');
Error('\P{Canonical_Combining_Class=	-CCC29:=}');
Expect(1, 2290, '\p{Canonical_Combining_Class: ccc29}', "");
Expect(0, 2290, '\p{^Canonical_Combining_Class: ccc29}', "");
Expect(0, 2290, '\P{Canonical_Combining_Class: ccc29}', "");
Expect(1, 2290, '\P{^Canonical_Combining_Class: ccc29}', "");
Expect(0, 2291, '\p{Canonical_Combining_Class: ccc29}', "");
Expect(1, 2291, '\p{^Canonical_Combining_Class: ccc29}', "");
Expect(1, 2291, '\P{Canonical_Combining_Class: ccc29}', "");
Expect(0, 2291, '\P{^Canonical_Combining_Class: ccc29}', "");
Expect(1, 2290, '\p{Canonical_Combining_Class= ccc29}', "");
Expect(0, 2290, '\p{^Canonical_Combining_Class= ccc29}', "");
Expect(0, 2290, '\P{Canonical_Combining_Class= ccc29}', "");
Expect(1, 2290, '\P{^Canonical_Combining_Class= ccc29}', "");
Expect(0, 2291, '\p{Canonical_Combining_Class= ccc29}', "");
Expect(1, 2291, '\p{^Canonical_Combining_Class= ccc29}', "");
Expect(1, 2291, '\P{Canonical_Combining_Class= ccc29}', "");
Expect(0, 2291, '\P{^Canonical_Combining_Class= ccc29}', "");
Error('\p{Ccc=_	+29/a/}');
Error('\P{Ccc=_	+29/a/}');
Expect(1, 2290, '\p{Ccc=00000029}', "");
Expect(0, 2290, '\p{^Ccc=00000029}', "");
Expect(0, 2290, '\P{Ccc=00000029}', "");
Expect(1, 2290, '\P{^Ccc=00000029}', "");
Expect(0, 2291, '\p{Ccc=00000029}', "");
Expect(1, 2291, '\p{^Ccc=00000029}', "");
Expect(1, 2291, '\P{Ccc=00000029}', "");
Expect(0, 2291, '\P{^Ccc=00000029}', "");
Error('\p{Is_Canonical_Combining_Class=-CCC29/a/}');
Error('\P{Is_Canonical_Combining_Class=-CCC29/a/}');
Expect(1, 2290, '\p{Is_Canonical_Combining_Class=ccc29}', "");
Expect(0, 2290, '\p{^Is_Canonical_Combining_Class=ccc29}', "");
Expect(0, 2290, '\P{Is_Canonical_Combining_Class=ccc29}', "");
Expect(1, 2290, '\P{^Is_Canonical_Combining_Class=ccc29}', "");
Expect(0, 2291, '\p{Is_Canonical_Combining_Class=ccc29}', "");
Expect(1, 2291, '\p{^Is_Canonical_Combining_Class=ccc29}', "");
Expect(1, 2291, '\P{Is_Canonical_Combining_Class=ccc29}', "");
Expect(0, 2291, '\P{^Is_Canonical_Combining_Class=ccc29}', "");
Expect(1, 2290, '\p{Is_Canonical_Combining_Class=CCC29}', "");
Expect(0, 2290, '\p{^Is_Canonical_Combining_Class=CCC29}', "");
Expect(0, 2290, '\P{Is_Canonical_Combining_Class=CCC29}', "");
Expect(1, 2290, '\P{^Is_Canonical_Combining_Class=CCC29}', "");
Expect(0, 2291, '\p{Is_Canonical_Combining_Class=CCC29}', "");
Expect(1, 2291, '\p{^Is_Canonical_Combining_Class=CCC29}', "");
Expect(1, 2291, '\P{Is_Canonical_Combining_Class=CCC29}', "");
Expect(0, 2291, '\P{^Is_Canonical_Combining_Class=CCC29}', "");
Error('\p{Is_Ccc=_/a/0029}');
Error('\P{Is_Ccc=_/a/0029}');
Expect(1, 2290, '\p{Is_Ccc=+000000029}', "");
Expect(0, 2290, '\p{^Is_Ccc=+000000029}', "");
Expect(0, 2290, '\P{Is_Ccc=+000000029}', "");
Expect(1, 2290, '\P{^Is_Ccc=+000000029}', "");
Expect(0, 2291, '\p{Is_Ccc=+000000029}', "");
Expect(1, 2291, '\p{^Is_Ccc=+000000029}', "");
Expect(1, 2291, '\P{Is_Ccc=+000000029}', "");
Expect(0, 2291, '\P{^Is_Ccc=+000000029}', "");
Error('\p{Canonical_Combining_Class:	:=CCC30}');
Error('\P{Canonical_Combining_Class:	:=CCC30}');
Expect(1, 1614, '\p{Canonical_Combining_Class=ccc30}', "");
Expect(0, 1614, '\p{^Canonical_Combining_Class=ccc30}', "");
Expect(0, 1614, '\P{Canonical_Combining_Class=ccc30}', "");
Expect(1, 1614, '\P{^Canonical_Combining_Class=ccc30}', "");
Expect(0, 1615, '\p{Canonical_Combining_Class=ccc30}', "");
Expect(1, 1615, '\p{^Canonical_Combining_Class=ccc30}', "");
Expect(1, 1615, '\P{Canonical_Combining_Class=ccc30}', "");
Expect(0, 1615, '\P{^Canonical_Combining_Class=ccc30}', "");
Expect(1, 1614, '\p{Canonical_Combining_Class:	  ccc30}', "");
Expect(0, 1614, '\p{^Canonical_Combining_Class:	  ccc30}', "");
Expect(0, 1614, '\P{Canonical_Combining_Class:	  ccc30}', "");
Expect(1, 1614, '\P{^Canonical_Combining_Class:	  ccc30}', "");
Expect(0, 1615, '\p{Canonical_Combining_Class:	  ccc30}', "");
Expect(1, 1615, '\p{^Canonical_Combining_Class:	  ccc30}', "");
Expect(1, 1615, '\P{Canonical_Combining_Class:	  ccc30}', "");
Expect(0, 1615, '\P{^Canonical_Combining_Class:	  ccc30}', "");
Error('\p{Ccc=  +000030:=}');
Error('\P{Ccc=  +000030:=}');
Expect(1, 1614, '\p{Ccc=00000030}', "");
Expect(0, 1614, '\p{^Ccc=00000030}', "");
Expect(0, 1614, '\P{Ccc=00000030}', "");
Expect(1, 1614, '\P{^Ccc=00000030}', "");
Expect(0, 1615, '\p{Ccc=00000030}', "");
Expect(1, 1615, '\p{^Ccc=00000030}', "");
Expect(1, 1615, '\P{Ccc=00000030}', "");
Expect(0, 1615, '\P{^Ccc=00000030}', "");
Error('\p{Is_Canonical_Combining_Class=/a/-CCC30}');
Error('\P{Is_Canonical_Combining_Class=/a/-CCC30}');
Expect(1, 1614, '\p{Is_Canonical_Combining_Class=ccc30}', "");
Expect(0, 1614, '\p{^Is_Canonical_Combining_Class=ccc30}', "");
Expect(0, 1614, '\P{Is_Canonical_Combining_Class=ccc30}', "");
Expect(1, 1614, '\P{^Is_Canonical_Combining_Class=ccc30}', "");
Expect(0, 1615, '\p{Is_Canonical_Combining_Class=ccc30}', "");
Expect(1, 1615, '\p{^Is_Canonical_Combining_Class=ccc30}', "");
Expect(1, 1615, '\P{Is_Canonical_Combining_Class=ccc30}', "");
Expect(0, 1615, '\P{^Is_Canonical_Combining_Class=ccc30}', "");
Expect(1, 1614, '\p{Is_Canonical_Combining_Class=-CCC30}', "");
Expect(0, 1614, '\p{^Is_Canonical_Combining_Class=-CCC30}', "");
Expect(0, 1614, '\P{Is_Canonical_Combining_Class=-CCC30}', "");
Expect(1, 1614, '\P{^Is_Canonical_Combining_Class=-CCC30}', "");
Expect(0, 1615, '\p{Is_Canonical_Combining_Class=-CCC30}', "");
Expect(1, 1615, '\p{^Is_Canonical_Combining_Class=-CCC30}', "");
Expect(1, 1615, '\P{Is_Canonical_Combining_Class=-CCC30}', "");
Expect(0, 1615, '\P{^Is_Canonical_Combining_Class=-CCC30}', "");
Error('\p{Is_Ccc=:=	0000030}');
Error('\P{Is_Ccc=:=	0000030}');
Expect(1, 1614, '\p{Is_Ccc=0000_0003_0}', "");
Expect(0, 1614, '\p{^Is_Ccc=0000_0003_0}', "");
Expect(0, 1614, '\P{Is_Ccc=0000_0003_0}', "");
Expect(1, 1614, '\P{^Is_Ccc=0000_0003_0}', "");
Expect(0, 1615, '\p{Is_Ccc=0000_0003_0}', "");
Expect(1, 1615, '\p{^Is_Ccc=0000_0003_0}', "");
Expect(1, 1615, '\P{Is_Ccc=0000_0003_0}', "");
Expect(0, 1615, '\P{^Is_Ccc=0000_0003_0}', "");
Error('\p{Canonical_Combining_Class=:= -CCC31}');
Error('\P{Canonical_Combining_Class=:= -CCC31}');
Expect(1, 1615, '\p{Canonical_Combining_Class=ccc31}', "");
Expect(0, 1615, '\p{^Canonical_Combining_Class=ccc31}', "");
Expect(0, 1615, '\P{Canonical_Combining_Class=ccc31}', "");
Expect(1, 1615, '\P{^Canonical_Combining_Class=ccc31}', "");
Expect(0, 1616, '\p{Canonical_Combining_Class=ccc31}', "");
Expect(1, 1616, '\p{^Canonical_Combining_Class=ccc31}', "");
Expect(1, 1616, '\P{Canonical_Combining_Class=ccc31}', "");
Expect(0, 1616, '\P{^Canonical_Combining_Class=ccc31}', "");
Expect(1, 1615, '\p{Canonical_Combining_Class=__CCC31}', "");
Expect(0, 1615, '\p{^Canonical_Combining_Class=__CCC31}', "");
Expect(0, 1615, '\P{Canonical_Combining_Class=__CCC31}', "");
Expect(1, 1615, '\P{^Canonical_Combining_Class=__CCC31}', "");
Expect(0, 1616, '\p{Canonical_Combining_Class=__CCC31}', "");
Expect(1, 1616, '\p{^Canonical_Combining_Class=__CCC31}', "");
Expect(1, 1616, '\P{Canonical_Combining_Class=__CCC31}', "");
Expect(0, 1616, '\P{^Canonical_Combining_Class=__CCC31}', "");
Error('\p{Ccc=/a/_-00_00_00_00_31}');
Error('\P{Ccc=/a/_-00_00_00_00_31}');
Expect(1, 1615, '\p{Ccc=3_1}', "");
Expect(0, 1615, '\p{^Ccc=3_1}', "");
Expect(0, 1615, '\P{Ccc=3_1}', "");
Expect(1, 1615, '\P{^Ccc=3_1}', "");
Expect(0, 1616, '\p{Ccc=3_1}', "");
Expect(1, 1616, '\p{^Ccc=3_1}', "");
Expect(1, 1616, '\P{Ccc=3_1}', "");
Expect(0, 1616, '\P{^Ccc=3_1}', "");
Error('\p{Is_Canonical_Combining_Class=_/a/ccc31}');
Error('\P{Is_Canonical_Combining_Class=_/a/ccc31}');
Expect(1, 1615, '\p{Is_Canonical_Combining_Class:   ccc31}', "");
Expect(0, 1615, '\p{^Is_Canonical_Combining_Class:   ccc31}', "");
Expect(0, 1615, '\P{Is_Canonical_Combining_Class:   ccc31}', "");
Expect(1, 1615, '\P{^Is_Canonical_Combining_Class:   ccc31}', "");
Expect(0, 1616, '\p{Is_Canonical_Combining_Class:   ccc31}', "");
Expect(1, 1616, '\p{^Is_Canonical_Combining_Class:   ccc31}', "");
Expect(1, 1616, '\P{Is_Canonical_Combining_Class:   ccc31}', "");
Expect(0, 1616, '\P{^Is_Canonical_Combining_Class:   ccc31}', "");
Expect(1, 1615, '\p{Is_Canonical_Combining_Class=	_CCC31}', "");
Expect(0, 1615, '\p{^Is_Canonical_Combining_Class=	_CCC31}', "");
Expect(0, 1615, '\P{Is_Canonical_Combining_Class=	_CCC31}', "");
Expect(1, 1615, '\P{^Is_Canonical_Combining_Class=	_CCC31}', "");
Expect(0, 1616, '\p{Is_Canonical_Combining_Class=	_CCC31}', "");
Expect(1, 1616, '\p{^Is_Canonical_Combining_Class=	_CCC31}', "");
Expect(1, 1616, '\P{Is_Canonical_Combining_Class=	_CCC31}', "");
Expect(0, 1616, '\P{^Is_Canonical_Combining_Class=	_CCC31}', "");
Error('\p{Is_Ccc=	000031:=}');
Error('\P{Is_Ccc=	000031:=}');
Expect(1, 1615, '\p{Is_Ccc: 00031}', "");
Expect(0, 1615, '\p{^Is_Ccc: 00031}', "");
Expect(0, 1615, '\P{Is_Ccc: 00031}', "");
Expect(1, 1615, '\P{^Is_Ccc: 00031}', "");
Expect(0, 1616, '\p{Is_Ccc: 00031}', "");
Expect(1, 1616, '\p{^Is_Ccc: 00031}', "");
Expect(1, 1616, '\P{Is_Ccc: 00031}', "");
Expect(0, 1616, '\P{^Is_Ccc: 00031}', "");
Error('\p{Canonical_Combining_Class=	-CCC32/a/}');
Error('\P{Canonical_Combining_Class=	-CCC32/a/}');
Expect(1, 1616, '\p{Canonical_Combining_Class=ccc32}', "");
Expect(0, 1616, '\p{^Canonical_Combining_Class=ccc32}', "");
Expect(0, 1616, '\P{Canonical_Combining_Class=ccc32}', "");
Expect(1, 1616, '\P{^Canonical_Combining_Class=ccc32}', "");
Expect(0, 1617, '\p{Canonical_Combining_Class=ccc32}', "");
Expect(1, 1617, '\p{^Canonical_Combining_Class=ccc32}', "");
Expect(1, 1617, '\P{Canonical_Combining_Class=ccc32}', "");
Expect(0, 1617, '\P{^Canonical_Combining_Class=ccc32}', "");
Expect(1, 1616, '\p{Canonical_Combining_Class=-_CCC32}', "");
Expect(0, 1616, '\p{^Canonical_Combining_Class=-_CCC32}', "");
Expect(0, 1616, '\P{Canonical_Combining_Class=-_CCC32}', "");
Expect(1, 1616, '\P{^Canonical_Combining_Class=-_CCC32}', "");
Expect(0, 1617, '\p{Canonical_Combining_Class=-_CCC32}', "");
Expect(1, 1617, '\p{^Canonical_Combining_Class=-_CCC32}', "");
Expect(1, 1617, '\P{Canonical_Combining_Class=-_CCC32}', "");
Expect(0, 1617, '\P{^Canonical_Combining_Class=-_CCC32}', "");
Error('\p{Ccc=-:=000000032}');
Error('\P{Ccc=-:=000000032}');
Expect(1, 1616, '\p{Ccc=0000000032}', "");
Expect(0, 1616, '\p{^Ccc=0000000032}', "");
Expect(0, 1616, '\P{Ccc=0000000032}', "");
Expect(1, 1616, '\P{^Ccc=0000000032}', "");
Expect(0, 1617, '\p{Ccc=0000000032}', "");
Expect(1, 1617, '\p{^Ccc=0000000032}', "");
Expect(1, 1617, '\P{Ccc=0000000032}', "");
Expect(0, 1617, '\P{^Ccc=0000000032}', "");
Error('\p{Is_Canonical_Combining_Class=	CCC32:=}');
Error('\P{Is_Canonical_Combining_Class=	CCC32:=}');
Expect(1, 1616, '\p{Is_Canonical_Combining_Class=ccc32}', "");
Expect(0, 1616, '\p{^Is_Canonical_Combining_Class=ccc32}', "");
Expect(0, 1616, '\P{Is_Canonical_Combining_Class=ccc32}', "");
Expect(1, 1616, '\P{^Is_Canonical_Combining_Class=ccc32}', "");
Expect(0, 1617, '\p{Is_Canonical_Combining_Class=ccc32}', "");
Expect(1, 1617, '\p{^Is_Canonical_Combining_Class=ccc32}', "");
Expect(1, 1617, '\P{Is_Canonical_Combining_Class=ccc32}', "");
Expect(0, 1617, '\P{^Is_Canonical_Combining_Class=ccc32}', "");
Expect(1, 1616, '\p{Is_Canonical_Combining_Class=--ccc32}', "");
Expect(0, 1616, '\p{^Is_Canonical_Combining_Class=--ccc32}', "");
Expect(0, 1616, '\P{Is_Canonical_Combining_Class=--ccc32}', "");
Expect(1, 1616, '\P{^Is_Canonical_Combining_Class=--ccc32}', "");
Expect(0, 1617, '\p{Is_Canonical_Combining_Class=--ccc32}', "");
Expect(1, 1617, '\p{^Is_Canonical_Combining_Class=--ccc32}', "");
Expect(1, 1617, '\P{Is_Canonical_Combining_Class=--ccc32}', "");
Expect(0, 1617, '\P{^Is_Canonical_Combining_Class=--ccc32}', "");
Error('\p{Is_Ccc=	0003_2/a/}');
Error('\P{Is_Ccc=	0003_2/a/}');
Expect(1, 1616, '\p{Is_Ccc: +0000003_2}', "");
Expect(0, 1616, '\p{^Is_Ccc: +0000003_2}', "");
Expect(0, 1616, '\P{Is_Ccc: +0000003_2}', "");
Expect(1, 1616, '\P{^Is_Ccc: +0000003_2}', "");
Expect(0, 1617, '\p{Is_Ccc: +0000003_2}', "");
Expect(1, 1617, '\p{^Is_Ccc: +0000003_2}', "");
Expect(1, 1617, '\P{Is_Ccc: +0000003_2}', "");
Expect(0, 1617, '\P{^Is_Ccc: +0000003_2}', "");
Error('\p{Canonical_Combining_Class=:=-CCC33}');
Error('\P{Canonical_Combining_Class=:=-CCC33}');
Expect(1, 1617, '\p{Canonical_Combining_Class=ccc33}', "");
Expect(0, 1617, '\p{^Canonical_Combining_Class=ccc33}', "");
Expect(0, 1617, '\P{Canonical_Combining_Class=ccc33}', "");
Expect(1, 1617, '\P{^Canonical_Combining_Class=ccc33}', "");
Expect(0, 1618, '\p{Canonical_Combining_Class=ccc33}', "");
Expect(1, 1618, '\p{^Canonical_Combining_Class=ccc33}', "");
Expect(1, 1618, '\P{Canonical_Combining_Class=ccc33}', "");
Expect(0, 1618, '\P{^Canonical_Combining_Class=ccc33}', "");
Expect(1, 1617, '\p{Canonical_Combining_Class=_	ccc33}', "");
Expect(0, 1617, '\p{^Canonical_Combining_Class=_	ccc33}', "");
Expect(0, 1617, '\P{Canonical_Combining_Class=_	ccc33}', "");
Expect(1, 1617, '\P{^Canonical_Combining_Class=_	ccc33}', "");
Expect(0, 1618, '\p{Canonical_Combining_Class=_	ccc33}', "");
Expect(1, 1618, '\p{^Canonical_Combining_Class=_	ccc33}', "");
Expect(1, 1618, '\P{Canonical_Combining_Class=_	ccc33}', "");
Expect(0, 1618, '\P{^Canonical_Combining_Class=_	ccc33}', "");
Error('\p{Ccc=-	000000033:=}');
Error('\P{Ccc=-	000000033:=}');
Expect(1, 1617, '\p{Ccc=00_00_00_03_3}', "");
Expect(0, 1617, '\p{^Ccc=00_00_00_03_3}', "");
Expect(0, 1617, '\P{Ccc=00_00_00_03_3}', "");
Expect(1, 1617, '\P{^Ccc=00_00_00_03_3}', "");
Expect(0, 1618, '\p{Ccc=00_00_00_03_3}', "");
Expect(1, 1618, '\p{^Ccc=00_00_00_03_3}', "");
Expect(1, 1618, '\P{Ccc=00_00_00_03_3}', "");
Expect(0, 1618, '\P{^Ccc=00_00_00_03_3}', "");
Error('\p{Is_Canonical_Combining_Class:   	_CCC33:=}');
Error('\P{Is_Canonical_Combining_Class:   	_CCC33:=}');
Expect(1, 1617, '\p{Is_Canonical_Combining_Class=ccc33}', "");
Expect(0, 1617, '\p{^Is_Canonical_Combining_Class=ccc33}', "");
Expect(0, 1617, '\P{Is_Canonical_Combining_Class=ccc33}', "");
Expect(1, 1617, '\P{^Is_Canonical_Combining_Class=ccc33}', "");
Expect(0, 1618, '\p{Is_Canonical_Combining_Class=ccc33}', "");
Expect(1, 1618, '\p{^Is_Canonical_Combining_Class=ccc33}', "");
Expect(1, 1618, '\P{Is_Canonical_Combining_Class=ccc33}', "");
Expect(0, 1618, '\P{^Is_Canonical_Combining_Class=ccc33}', "");
Expect(1, 1617, '\p{Is_Canonical_Combining_Class=_	CCC33}', "");
Expect(0, 1617, '\p{^Is_Canonical_Combining_Class=_	CCC33}', "");
Expect(0, 1617, '\P{Is_Canonical_Combining_Class=_	CCC33}', "");
Expect(1, 1617, '\P{^Is_Canonical_Combining_Class=_	CCC33}', "");
Expect(0, 1618, '\p{Is_Canonical_Combining_Class=_	CCC33}', "");
Expect(1, 1618, '\p{^Is_Canonical_Combining_Class=_	CCC33}', "");
Expect(1, 1618, '\P{Is_Canonical_Combining_Class=_	CCC33}', "");
Expect(0, 1618, '\P{^Is_Canonical_Combining_Class=_	CCC33}', "");
Error('\p{Is_Ccc=- 033:=}');
Error('\P{Is_Ccc=- 033:=}');
Expect(1, 1617, '\p{Is_Ccc=000033}', "");
Expect(0, 1617, '\p{^Is_Ccc=000033}', "");
Expect(0, 1617, '\P{Is_Ccc=000033}', "");
Expect(1, 1617, '\P{^Is_Ccc=000033}', "");
Expect(0, 1618, '\p{Is_Ccc=000033}', "");
Expect(1, 1618, '\p{^Is_Ccc=000033}', "");
Expect(1, 1618, '\P{Is_Ccc=000033}', "");
Expect(0, 1618, '\P{^Is_Ccc=000033}', "");
Error('\p{Canonical_Combining_Class=	 ccc34/a/}');
Error('\P{Canonical_Combining_Class=	 ccc34/a/}');
Expect(1, 1618, '\p{Canonical_Combining_Class:ccc34}', "");
Expect(0, 1618, '\p{^Canonical_Combining_Class:ccc34}', "");
Expect(0, 1618, '\P{Canonical_Combining_Class:ccc34}', "");
Expect(1, 1618, '\P{^Canonical_Combining_Class:ccc34}', "");
Expect(0, 1619, '\p{Canonical_Combining_Class:ccc34}', "");
Expect(1, 1619, '\p{^Canonical_Combining_Class:ccc34}', "");
Expect(1, 1619, '\P{Canonical_Combining_Class:ccc34}', "");
Expect(0, 1619, '\P{^Canonical_Combining_Class:ccc34}', "");
Expect(1, 1618, '\p{Canonical_Combining_Class=--ccc34}', "");
Expect(0, 1618, '\p{^Canonical_Combining_Class=--ccc34}', "");
Expect(0, 1618, '\P{Canonical_Combining_Class=--ccc34}', "");
Expect(1, 1618, '\P{^Canonical_Combining_Class=--ccc34}', "");
Expect(0, 1619, '\p{Canonical_Combining_Class=--ccc34}', "");
Expect(1, 1619, '\p{^Canonical_Combining_Class=--ccc34}', "");
Expect(1, 1619, '\P{Canonical_Combining_Class=--ccc34}', "");
Expect(0, 1619, '\P{^Canonical_Combining_Class=--ccc34}', "");
Error('\p{Ccc= /a/+000034}');
Error('\P{Ccc= /a/+000034}');
Expect(1, 1618, '\p{Ccc=+00000000034}', "");
Expect(0, 1618, '\p{^Ccc=+00000000034}', "");
Expect(0, 1618, '\P{Ccc=+00000000034}', "");
Expect(1, 1618, '\P{^Ccc=+00000000034}', "");
Expect(0, 1619, '\p{Ccc=+00000000034}', "");
Expect(1, 1619, '\p{^Ccc=+00000000034}', "");
Expect(1, 1619, '\P{Ccc=+00000000034}', "");
Expect(0, 1619, '\P{^Ccc=+00000000034}', "");
Error('\p{Is_Canonical_Combining_Class=	 CCC34:=}');
Error('\P{Is_Canonical_Combining_Class=	 CCC34:=}');
Expect(1, 1618, '\p{Is_Canonical_Combining_Class:ccc34}', "");
Expect(0, 1618, '\p{^Is_Canonical_Combining_Class:ccc34}', "");
Expect(0, 1618, '\P{Is_Canonical_Combining_Class:ccc34}', "");
Expect(1, 1618, '\P{^Is_Canonical_Combining_Class:ccc34}', "");
Expect(0, 1619, '\p{Is_Canonical_Combining_Class:ccc34}', "");
Expect(1, 1619, '\p{^Is_Canonical_Combining_Class:ccc34}', "");
Expect(1, 1619, '\P{Is_Canonical_Combining_Class:ccc34}', "");
Expect(0, 1619, '\P{^Is_Canonical_Combining_Class:ccc34}', "");
Expect(1, 1618, '\p{Is_Canonical_Combining_Class=	_CCC34}', "");
Expect(0, 1618, '\p{^Is_Canonical_Combining_Class=	_CCC34}', "");
Expect(0, 1618, '\P{Is_Canonical_Combining_Class=	_CCC34}', "");
Expect(1, 1618, '\P{^Is_Canonical_Combining_Class=	_CCC34}', "");
Expect(0, 1619, '\p{Is_Canonical_Combining_Class=	_CCC34}', "");
Expect(1, 1619, '\p{^Is_Canonical_Combining_Class=	_CCC34}', "");
Expect(1, 1619, '\P{Is_Canonical_Combining_Class=	_CCC34}', "");
Expect(0, 1619, '\P{^Is_Canonical_Combining_Class=	_CCC34}', "");
Error('\p{Is_Ccc=:=	-+0_0_0_0_0_0_0_0034}');
Error('\P{Is_Ccc=:=	-+0_0_0_0_0_0_0_0034}');
Expect(1, 1618, '\p{Is_Ccc=0_0_0_0_0_0_0_34}', "");
Expect(0, 1618, '\p{^Is_Ccc=0_0_0_0_0_0_0_34}', "");
Expect(0, 1618, '\P{Is_Ccc=0_0_0_0_0_0_0_34}', "");
Expect(1, 1618, '\P{^Is_Ccc=0_0_0_0_0_0_0_34}', "");
Expect(0, 1619, '\p{Is_Ccc=0_0_0_0_0_0_0_34}', "");
Expect(1, 1619, '\p{^Is_Ccc=0_0_0_0_0_0_0_34}', "");
Expect(1, 1619, '\P{Is_Ccc=0_0_0_0_0_0_0_34}', "");
Expect(0, 1619, '\P{^Is_Ccc=0_0_0_0_0_0_0_34}', "");
Error('\p{Canonical_Combining_Class=/a/_ ccc35}');
Error('\P{Canonical_Combining_Class=/a/_ ccc35}');
Expect(1, 1648, '\p{Canonical_Combining_Class=ccc35}', "");
Expect(0, 1648, '\p{^Canonical_Combining_Class=ccc35}', "");
Expect(0, 1648, '\P{Canonical_Combining_Class=ccc35}', "");
Expect(1, 1648, '\P{^Canonical_Combining_Class=ccc35}', "");
Expect(0, 1649, '\p{Canonical_Combining_Class=ccc35}', "");
Expect(1, 1649, '\p{^Canonical_Combining_Class=ccc35}', "");
Expect(1, 1649, '\P{Canonical_Combining_Class=ccc35}', "");
Expect(0, 1649, '\P{^Canonical_Combining_Class=ccc35}', "");
Expect(1, 1648, '\p{Canonical_Combining_Class=_	CCC35}', "");
Expect(0, 1648, '\p{^Canonical_Combining_Class=_	CCC35}', "");
Expect(0, 1648, '\P{Canonical_Combining_Class=_	CCC35}', "");
Expect(1, 1648, '\P{^Canonical_Combining_Class=_	CCC35}', "");
Expect(0, 1649, '\p{Canonical_Combining_Class=_	CCC35}', "");
Expect(1, 1649, '\p{^Canonical_Combining_Class=_	CCC35}', "");
Expect(1, 1649, '\P{Canonical_Combining_Class=_	CCC35}', "");
Expect(0, 1649, '\P{^Canonical_Combining_Class=_	CCC35}', "");
Error('\p{Ccc:	_+00_00_35:=}');
Error('\P{Ccc:	_+00_00_35:=}');
Expect(1, 1648, '\p{Ccc=0035}', "");
Expect(0, 1648, '\p{^Ccc=0035}', "");
Expect(0, 1648, '\P{Ccc=0035}', "");
Expect(1, 1648, '\P{^Ccc=0035}', "");
Expect(0, 1649, '\p{Ccc=0035}', "");
Expect(1, 1649, '\p{^Ccc=0035}', "");
Expect(1, 1649, '\P{Ccc=0035}', "");
Expect(0, 1649, '\P{^Ccc=0035}', "");
Error('\p{Is_Canonical_Combining_Class=	:=CCC35}');
Error('\P{Is_Canonical_Combining_Class=	:=CCC35}');
Expect(1, 1648, '\p{Is_Canonical_Combining_Class=ccc35}', "");
Expect(0, 1648, '\p{^Is_Canonical_Combining_Class=ccc35}', "");
Expect(0, 1648, '\P{Is_Canonical_Combining_Class=ccc35}', "");
Expect(1, 1648, '\P{^Is_Canonical_Combining_Class=ccc35}', "");
Expect(0, 1649, '\p{Is_Canonical_Combining_Class=ccc35}', "");
Expect(1, 1649, '\p{^Is_Canonical_Combining_Class=ccc35}', "");
Expect(1, 1649, '\P{Is_Canonical_Combining_Class=ccc35}', "");
Expect(0, 1649, '\P{^Is_Canonical_Combining_Class=ccc35}', "");
Expect(1, 1648, '\p{Is_Canonical_Combining_Class=-CCC35}', "");
Expect(0, 1648, '\p{^Is_Canonical_Combining_Class=-CCC35}', "");
Expect(0, 1648, '\P{Is_Canonical_Combining_Class=-CCC35}', "");
Expect(1, 1648, '\P{^Is_Canonical_Combining_Class=-CCC35}', "");
Expect(0, 1649, '\p{Is_Canonical_Combining_Class=-CCC35}', "");
Expect(1, 1649, '\p{^Is_Canonical_Combining_Class=-CCC35}', "");
Expect(1, 1649, '\P{Is_Canonical_Combining_Class=-CCC35}', "");
Expect(0, 1649, '\P{^Is_Canonical_Combining_Class=-CCC35}', "");
Error('\p{Is_Ccc= _0035:=}');
Error('\P{Is_Ccc= _0035:=}');
Expect(1, 1648, '\p{Is_Ccc=0_0_35}', "");
Expect(0, 1648, '\p{^Is_Ccc=0_0_35}', "");
Expect(0, 1648, '\P{Is_Ccc=0_0_35}', "");
Expect(1, 1648, '\P{^Is_Ccc=0_0_35}', "");
Expect(0, 1649, '\p{Is_Ccc=0_0_35}', "");
Expect(1, 1649, '\p{^Is_Ccc=0_0_35}', "");
Expect(1, 1649, '\P{Is_Ccc=0_0_35}', "");
Expect(0, 1649, '\P{^Is_Ccc=0_0_35}', "");
Error('\p{Canonical_Combining_Class=	/a/CCC36}');
Error('\P{Canonical_Combining_Class=	/a/CCC36}');
Expect(1, 1809, '\p{Canonical_Combining_Class=ccc36}', "");
Expect(0, 1809, '\p{^Canonical_Combining_Class=ccc36}', "");
Expect(0, 1809, '\P{Canonical_Combining_Class=ccc36}', "");
Expect(1, 1809, '\P{^Canonical_Combining_Class=ccc36}', "");
Expect(0, 1810, '\p{Canonical_Combining_Class=ccc36}', "");
Expect(1, 1810, '\p{^Canonical_Combining_Class=ccc36}', "");
Expect(1, 1810, '\P{Canonical_Combining_Class=ccc36}', "");
Expect(0, 1810, '\P{^Canonical_Combining_Class=ccc36}', "");
Expect(1, 1809, '\p{Canonical_Combining_Class:	--CCC36}', "");
Expect(0, 1809, '\p{^Canonical_Combining_Class:	--CCC36}', "");
Expect(0, 1809, '\P{Canonical_Combining_Class:	--CCC36}', "");
Expect(1, 1809, '\P{^Canonical_Combining_Class:	--CCC36}', "");
Expect(0, 1810, '\p{Canonical_Combining_Class:	--CCC36}', "");
Expect(1, 1810, '\p{^Canonical_Combining_Class:	--CCC36}', "");
Expect(1, 1810, '\P{Canonical_Combining_Class:	--CCC36}', "");
Expect(0, 1810, '\P{^Canonical_Combining_Class:	--CCC36}', "");
Error('\p{Ccc=/a/-003_6}');
Error('\P{Ccc=/a/-003_6}');
Expect(1, 1809, '\p{Ccc=+0003_6}', "");
Expect(0, 1809, '\p{^Ccc=+0003_6}', "");
Expect(0, 1809, '\P{Ccc=+0003_6}', "");
Expect(1, 1809, '\P{^Ccc=+0003_6}', "");
Expect(0, 1810, '\p{Ccc=+0003_6}', "");
Expect(1, 1810, '\p{^Ccc=+0003_6}', "");
Expect(1, 1810, '\P{Ccc=+0003_6}', "");
Expect(0, 1810, '\P{^Ccc=+0003_6}', "");
Error('\p{Is_Canonical_Combining_Class=__CCC36/a/}');
Error('\P{Is_Canonical_Combining_Class=__CCC36/a/}');
Expect(1, 1809, '\p{Is_Canonical_Combining_Class=ccc36}', "");
Expect(0, 1809, '\p{^Is_Canonical_Combining_Class=ccc36}', "");
Expect(0, 1809, '\P{Is_Canonical_Combining_Class=ccc36}', "");
Expect(1, 1809, '\P{^Is_Canonical_Combining_Class=ccc36}', "");
Expect(0, 1810, '\p{Is_Canonical_Combining_Class=ccc36}', "");
Expect(1, 1810, '\p{^Is_Canonical_Combining_Class=ccc36}', "");
Expect(1, 1810, '\P{Is_Canonical_Combining_Class=ccc36}', "");
Expect(0, 1810, '\P{^Is_Canonical_Combining_Class=ccc36}', "");
Expect(1, 1809, '\p{Is_Canonical_Combining_Class=_	CCC36}', "");
Expect(0, 1809, '\p{^Is_Canonical_Combining_Class=_	CCC36}', "");
Expect(0, 1809, '\P{Is_Canonical_Combining_Class=_	CCC36}', "");
Expect(1, 1809, '\P{^Is_Canonical_Combining_Class=_	CCC36}', "");
Expect(0, 1810, '\p{Is_Canonical_Combining_Class=_	CCC36}', "");
Expect(1, 1810, '\p{^Is_Canonical_Combining_Class=_	CCC36}', "");
Expect(1, 1810, '\P{Is_Canonical_Combining_Class=_	CCC36}', "");
Expect(0, 1810, '\P{^Is_Canonical_Combining_Class=_	CCC36}', "");
Error('\p{Is_Ccc=-+0000036:=}');
Error('\P{Is_Ccc=-+0000036:=}');
Expect(1, 1809, '\p{Is_Ccc=0036}', "");
Expect(0, 1809, '\p{^Is_Ccc=0036}', "");
Expect(0, 1809, '\P{Is_Ccc=0036}', "");
Expect(1, 1809, '\P{^Is_Ccc=0036}', "");
Expect(0, 1810, '\p{Is_Ccc=0036}', "");
Expect(1, 1810, '\p{^Is_Ccc=0036}', "");
Expect(1, 1810, '\P{Is_Ccc=0036}', "");
Expect(0, 1810, '\P{^Is_Ccc=0036}', "");
Error('\p{Canonical_Combining_Class=:=  CCC84}');
Error('\P{Canonical_Combining_Class=:=  CCC84}');
Expect(1, 3157, '\p{Canonical_Combining_Class:ccc84}', "");
Expect(0, 3157, '\p{^Canonical_Combining_Class:ccc84}', "");
Expect(0, 3157, '\P{Canonical_Combining_Class:ccc84}', "");
Expect(1, 3157, '\P{^Canonical_Combining_Class:ccc84}', "");
Expect(0, 3158, '\p{Canonical_Combining_Class:ccc84}', "");
Expect(1, 3158, '\p{^Canonical_Combining_Class:ccc84}', "");
Expect(1, 3158, '\P{Canonical_Combining_Class:ccc84}', "");
Expect(0, 3158, '\P{^Canonical_Combining_Class:ccc84}', "");
Expect(1, 3157, '\p{Canonical_Combining_Class=	CCC84}', "");
Expect(0, 3157, '\p{^Canonical_Combining_Class=	CCC84}', "");
Expect(0, 3157, '\P{Canonical_Combining_Class=	CCC84}', "");
Expect(1, 3157, '\P{^Canonical_Combining_Class=	CCC84}', "");
Expect(0, 3158, '\p{Canonical_Combining_Class=	CCC84}', "");
Expect(1, 3158, '\p{^Canonical_Combining_Class=	CCC84}', "");
Expect(1, 3158, '\P{Canonical_Combining_Class=	CCC84}', "");
Expect(0, 3158, '\P{^Canonical_Combining_Class=	CCC84}', "");
Error('\p{Ccc= +00_00_08_4/a/}');
Error('\P{Ccc= +00_00_08_4/a/}');
Expect(1, 3157, '\p{Ccc=00000000084}', "");
Expect(0, 3157, '\p{^Ccc=00000000084}', "");
Expect(0, 3157, '\P{Ccc=00000000084}', "");
Expect(1, 3157, '\P{^Ccc=00000000084}', "");
Expect(0, 3158, '\p{Ccc=00000000084}', "");
Expect(1, 3158, '\p{^Ccc=00000000084}', "");
Expect(1, 3158, '\P{Ccc=00000000084}', "");
Expect(0, 3158, '\P{^Ccc=00000000084}', "");
Error('\p{Is_Canonical_Combining_Class:   :=-CCC84}');
Error('\P{Is_Canonical_Combining_Class:   :=-CCC84}');
Expect(1, 3157, '\p{Is_Canonical_Combining_Class=ccc84}', "");
Expect(0, 3157, '\p{^Is_Canonical_Combining_Class=ccc84}', "");
Expect(0, 3157, '\P{Is_Canonical_Combining_Class=ccc84}', "");
Expect(1, 3157, '\P{^Is_Canonical_Combining_Class=ccc84}', "");
Expect(0, 3158, '\p{Is_Canonical_Combining_Class=ccc84}', "");
Expect(1, 3158, '\p{^Is_Canonical_Combining_Class=ccc84}', "");
Expect(1, 3158, '\P{Is_Canonical_Combining_Class=ccc84}', "");
Expect(0, 3158, '\P{^Is_Canonical_Combining_Class=ccc84}', "");
Expect(1, 3157, '\p{Is_Canonical_Combining_Class:	 CCC84}', "");
Expect(0, 3157, '\p{^Is_Canonical_Combining_Class:	 CCC84}', "");
Expect(0, 3157, '\P{Is_Canonical_Combining_Class:	 CCC84}', "");
Expect(1, 3157, '\P{^Is_Canonical_Combining_Class:	 CCC84}', "");
Expect(0, 3158, '\p{Is_Canonical_Combining_Class:	 CCC84}', "");
Expect(1, 3158, '\p{^Is_Canonical_Combining_Class:	 CCC84}', "");
Expect(1, 3158, '\P{Is_Canonical_Combining_Class:	 CCC84}', "");
Expect(0, 3158, '\P{^Is_Canonical_Combining_Class:	 CCC84}', "");
Error('\p{Is_Ccc: 	-00000084:=}');
Error('\P{Is_Ccc: 	-00000084:=}');
Expect(1, 3157, '\p{Is_Ccc=+0000084}', "");
Expect(0, 3157, '\p{^Is_Ccc=+0000084}', "");
Expect(0, 3157, '\P{Is_Ccc=+0000084}', "");
Expect(1, 3157, '\P{^Is_Ccc=+0000084}', "");
Expect(0, 3158, '\p{Is_Ccc=+0000084}', "");
Expect(1, 3158, '\p{^Is_Ccc=+0000084}', "");
Expect(1, 3158, '\P{Is_Ccc=+0000084}', "");
Expect(0, 3158, '\P{^Is_Ccc=+0000084}', "");
Error('\p{Canonical_Combining_Class=_ CCC91:=}');
Error('\P{Canonical_Combining_Class=_ CCC91:=}');
Expect(1, 3158, '\p{Canonical_Combining_Class=ccc91}', "");
Expect(0, 3158, '\p{^Canonical_Combining_Class=ccc91}', "");
Expect(0, 3158, '\P{Canonical_Combining_Class=ccc91}', "");
Expect(1, 3158, '\P{^Canonical_Combining_Class=ccc91}', "");
Expect(0, 3159, '\p{Canonical_Combining_Class=ccc91}', "");
Expect(1, 3159, '\p{^Canonical_Combining_Class=ccc91}', "");
Expect(1, 3159, '\P{Canonical_Combining_Class=ccc91}', "");
Expect(0, 3159, '\P{^Canonical_Combining_Class=ccc91}', "");
Expect(1, 3158, '\p{Canonical_Combining_Class:   CCC91}', "");
Expect(0, 3158, '\p{^Canonical_Combining_Class:   CCC91}', "");
Expect(0, 3158, '\P{Canonical_Combining_Class:   CCC91}', "");
Expect(1, 3158, '\P{^Canonical_Combining_Class:   CCC91}', "");
Expect(0, 3159, '\p{Canonical_Combining_Class:   CCC91}', "");
Expect(1, 3159, '\p{^Canonical_Combining_Class:   CCC91}', "");
Expect(1, 3159, '\P{Canonical_Combining_Class:   CCC91}', "");
Expect(0, 3159, '\P{^Canonical_Combining_Class:   CCC91}', "");
Error('\p{Ccc=-:=0000000091}');
Error('\P{Ccc=-:=0000000091}');
Expect(1, 3158, '\p{Ccc=0_0_0_0_0_0091}', "");
Expect(0, 3158, '\p{^Ccc=0_0_0_0_0_0091}', "");
Expect(0, 3158, '\P{Ccc=0_0_0_0_0_0091}', "");
Expect(1, 3158, '\P{^Ccc=0_0_0_0_0_0091}', "");
Expect(0, 3159, '\p{Ccc=0_0_0_0_0_0091}', "");
Expect(1, 3159, '\p{^Ccc=0_0_0_0_0_0091}', "");
Expect(1, 3159, '\P{Ccc=0_0_0_0_0_0091}', "");
Expect(0, 3159, '\P{^Ccc=0_0_0_0_0_0091}', "");
Error('\p{Is_Canonical_Combining_Class=CCC91/a/}');
Error('\P{Is_Canonical_Combining_Class=CCC91/a/}');
Expect(1, 3158, '\p{Is_Canonical_Combining_Class=ccc91}', "");
Expect(0, 3158, '\p{^Is_Canonical_Combining_Class=ccc91}', "");
Expect(0, 3158, '\P{Is_Canonical_Combining_Class=ccc91}', "");
Expect(1, 3158, '\P{^Is_Canonical_Combining_Class=ccc91}', "");
Expect(0, 3159, '\p{Is_Canonical_Combining_Class=ccc91}', "");
Expect(1, 3159, '\p{^Is_Canonical_Combining_Class=ccc91}', "");
Expect(1, 3159, '\P{Is_Canonical_Combining_Class=ccc91}', "");
Expect(0, 3159, '\P{^Is_Canonical_Combining_Class=ccc91}', "");
Expect(1, 3158, '\p{Is_Canonical_Combining_Class=--ccc91}', "");
Expect(0, 3158, '\p{^Is_Canonical_Combining_Class=--ccc91}', "");
Expect(0, 3158, '\P{Is_Canonical_Combining_Class=--ccc91}', "");
Expect(1, 3158, '\P{^Is_Canonical_Combining_Class=--ccc91}', "");
Expect(0, 3159, '\p{Is_Canonical_Combining_Class=--ccc91}', "");
Expect(1, 3159, '\p{^Is_Canonical_Combining_Class=--ccc91}', "");
Expect(1, 3159, '\P{Is_Canonical_Combining_Class=--ccc91}', "");
Expect(0, 3159, '\P{^Is_Canonical_Combining_Class=--ccc91}', "");
Error('\p{Is_Ccc=:= 00_00_00_091}');
Error('\P{Is_Ccc=:= 00_00_00_091}');
Expect(1, 3158, '\p{Is_Ccc:+0000091}', "");
Expect(0, 3158, '\p{^Is_Ccc:+0000091}', "");
Expect(0, 3158, '\P{Is_Ccc:+0000091}', "");
Expect(1, 3158, '\P{^Is_Ccc:+0000091}', "");
Expect(0, 3159, '\p{Is_Ccc:+0000091}', "");
Expect(1, 3159, '\p{^Is_Ccc:+0000091}', "");
Expect(1, 3159, '\P{Is_Ccc:+0000091}', "");
Expect(0, 3159, '\P{^Is_Ccc:+0000091}', "");
Error('\p{Canonical_Combining_Class=_	DOUBLE_above:=}');
Error('\P{Canonical_Combining_Class=_	DOUBLE_above:=}');
Expect(1, 7629, '\p{Canonical_Combining_Class=doubleabove}', "");
Expect(0, 7629, '\p{^Canonical_Combining_Class=doubleabove}', "");
Expect(0, 7629, '\P{Canonical_Combining_Class=doubleabove}', "");
Expect(1, 7629, '\P{^Canonical_Combining_Class=doubleabove}', "");
Expect(0, 7630, '\p{Canonical_Combining_Class=doubleabove}', "");
Expect(1, 7630, '\p{^Canonical_Combining_Class=doubleabove}', "");
Expect(1, 7630, '\P{Canonical_Combining_Class=doubleabove}', "");
Expect(0, 7630, '\P{^Canonical_Combining_Class=doubleabove}', "");
Expect(1, 7629, '\p{Canonical_Combining_Class= -Double_Above}', "");
Expect(0, 7629, '\p{^Canonical_Combining_Class= -Double_Above}', "");
Expect(0, 7629, '\P{Canonical_Combining_Class= -Double_Above}', "");
Expect(1, 7629, '\P{^Canonical_Combining_Class= -Double_Above}', "");
Expect(0, 7630, '\p{Canonical_Combining_Class= -Double_Above}', "");
Expect(1, 7630, '\p{^Canonical_Combining_Class= -Double_Above}', "");
Expect(1, 7630, '\P{Canonical_Combining_Class= -Double_Above}', "");
Expect(0, 7630, '\P{^Canonical_Combining_Class= -Double_Above}', "");
Error('\p{Ccc=_DA/a/}');
Error('\P{Ccc=_DA/a/}');
Expect(1, 7629, '\p{Ccc=da}', "");
Expect(0, 7629, '\p{^Ccc=da}', "");
Expect(0, 7629, '\P{Ccc=da}', "");
Expect(1, 7629, '\P{^Ccc=da}', "");
Expect(0, 7630, '\p{Ccc=da}', "");
Expect(1, 7630, '\p{^Ccc=da}', "");
Expect(1, 7630, '\P{Ccc=da}', "");
Expect(0, 7630, '\P{^Ccc=da}', "");
Expect(1, 7629, '\p{Ccc=_DA}', "");
Expect(0, 7629, '\p{^Ccc=_DA}', "");
Expect(0, 7629, '\P{Ccc=_DA}', "");
Expect(1, 7629, '\P{^Ccc=_DA}', "");
Expect(0, 7630, '\p{Ccc=_DA}', "");
Expect(1, 7630, '\p{^Ccc=_DA}', "");
Expect(1, 7630, '\P{Ccc=_DA}', "");
Expect(0, 7630, '\P{^Ccc=_DA}', "");
Error('\p{Is_Canonical_Combining_Class=/a/-_000234}');
Error('\P{Is_Canonical_Combining_Class=/a/-_000234}');
Expect(1, 7629, '\p{Is_Canonical_Combining_Class=0000000234}', "");
Expect(0, 7629, '\p{^Is_Canonical_Combining_Class=0000000234}', "");
Expect(0, 7629, '\P{Is_Canonical_Combining_Class=0000000234}', "");
Expect(1, 7629, '\P{^Is_Canonical_Combining_Class=0000000234}', "");
Expect(0, 7630, '\p{Is_Canonical_Combining_Class=0000000234}', "");
Expect(1, 7630, '\p{^Is_Canonical_Combining_Class=0000000234}', "");
Expect(1, 7630, '\P{Is_Canonical_Combining_Class=0000000234}', "");
Expect(0, 7630, '\P{^Is_Canonical_Combining_Class=0000000234}', "");
Error('\p{Is_Ccc=	:=double_above}');
Error('\P{Is_Ccc=	:=double_above}');
Expect(1, 7629, '\p{Is_Ccc=doubleabove}', "");
Expect(0, 7629, '\p{^Is_Ccc=doubleabove}', "");
Expect(0, 7629, '\P{Is_Ccc=doubleabove}', "");
Expect(1, 7629, '\P{^Is_Ccc=doubleabove}', "");
Expect(0, 7630, '\p{Is_Ccc=doubleabove}', "");
Expect(1, 7630, '\p{^Is_Ccc=doubleabove}', "");
Expect(1, 7630, '\P{Is_Ccc=doubleabove}', "");
Expect(0, 7630, '\P{^Is_Ccc=doubleabove}', "");
Expect(1, 7629, '\p{Is_Ccc=		double_ABOVE}', "");
Expect(0, 7629, '\p{^Is_Ccc=		double_ABOVE}', "");
Expect(0, 7629, '\P{Is_Ccc=		double_ABOVE}', "");
Expect(1, 7629, '\P{^Is_Ccc=		double_ABOVE}', "");
Expect(0, 7630, '\p{Is_Ccc=		double_ABOVE}', "");
Expect(1, 7630, '\p{^Is_Ccc=		double_ABOVE}', "");
Expect(1, 7630, '\P{Is_Ccc=		double_ABOVE}', "");
Expect(0, 7630, '\P{^Is_Ccc=		double_ABOVE}', "");
Error('\p{Canonical_Combining_Class=-/a/double_Below}');
Error('\P{Canonical_Combining_Class=-/a/double_Below}');
Expect(1, 7676, '\p{Canonical_Combining_Class=doublebelow}', "");
Expect(0, 7676, '\p{^Canonical_Combining_Class=doublebelow}', "");
Expect(0, 7676, '\P{Canonical_Combining_Class=doublebelow}', "");
Expect(1, 7676, '\P{^Canonical_Combining_Class=doublebelow}', "");
Expect(0, 7677, '\p{Canonical_Combining_Class=doublebelow}', "");
Expect(1, 7677, '\p{^Canonical_Combining_Class=doublebelow}', "");
Expect(1, 7677, '\P{Canonical_Combining_Class=doublebelow}', "");
Expect(0, 7677, '\P{^Canonical_Combining_Class=doublebelow}', "");
Expect(1, 7676, '\p{Canonical_Combining_Class: 	_Double_Below}', "");
Expect(0, 7676, '\p{^Canonical_Combining_Class: 	_Double_Below}', "");
Expect(0, 7676, '\P{Canonical_Combining_Class: 	_Double_Below}', "");
Expect(1, 7676, '\P{^Canonical_Combining_Class: 	_Double_Below}', "");
Expect(0, 7677, '\p{Canonical_Combining_Class: 	_Double_Below}', "");
Expect(1, 7677, '\p{^Canonical_Combining_Class: 	_Double_Below}', "");
Expect(1, 7677, '\P{Canonical_Combining_Class: 	_Double_Below}', "");
Expect(0, 7677, '\P{^Canonical_Combining_Class: 	_Double_Below}', "");
Error('\p{Ccc=/a/DB}');
Error('\P{Ccc=/a/DB}');
Expect(1, 7676, '\p{Ccc=db}', "");
Expect(0, 7676, '\p{^Ccc=db}', "");
Expect(0, 7676, '\P{Ccc=db}', "");
Expect(1, 7676, '\P{^Ccc=db}', "");
Expect(0, 7677, '\p{Ccc=db}', "");
Expect(1, 7677, '\p{^Ccc=db}', "");
Expect(1, 7677, '\P{Ccc=db}', "");
Expect(0, 7677, '\P{^Ccc=db}', "");
Expect(1, 7676, '\p{Ccc= DB}', "");
Expect(0, 7676, '\p{^Ccc= DB}', "");
Expect(0, 7676, '\P{Ccc= DB}', "");
Expect(1, 7676, '\P{^Ccc= DB}', "");
Expect(0, 7677, '\p{Ccc= DB}', "");
Expect(1, 7677, '\p{^Ccc= DB}', "");
Expect(1, 7677, '\P{Ccc= DB}', "");
Expect(0, 7677, '\P{^Ccc= DB}', "");
Error('\p{Is_Canonical_Combining_Class= /a/0_0_0_0_0_0_000233}');
Error('\P{Is_Canonical_Combining_Class= /a/0_0_0_0_0_0_000233}');
Expect(1, 7676, '\p{Is_Canonical_Combining_Class: 0_0_0_0_0_0_0_0233}', "");
Expect(0, 7676, '\p{^Is_Canonical_Combining_Class: 0_0_0_0_0_0_0_0233}', "");
Expect(0, 7676, '\P{Is_Canonical_Combining_Class: 0_0_0_0_0_0_0_0233}', "");
Expect(1, 7676, '\P{^Is_Canonical_Combining_Class: 0_0_0_0_0_0_0_0233}', "");
Expect(0, 7677, '\p{Is_Canonical_Combining_Class: 0_0_0_0_0_0_0_0233}', "");
Expect(1, 7677, '\p{^Is_Canonical_Combining_Class: 0_0_0_0_0_0_0_0233}', "");
Expect(1, 7677, '\P{Is_Canonical_Combining_Class: 0_0_0_0_0_0_0_0233}', "");
Expect(0, 7677, '\P{^Is_Canonical_Combining_Class: 0_0_0_0_0_0_0_0233}', "");
Error('\p{Is_Ccc=-/a/Double_below}');
Error('\P{Is_Ccc=-/a/Double_below}');
Expect(1, 7676, '\p{Is_Ccc=doublebelow}', "");
Expect(0, 7676, '\p{^Is_Ccc=doublebelow}', "");
Expect(0, 7676, '\P{Is_Ccc=doublebelow}', "");
Expect(1, 7676, '\P{^Is_Ccc=doublebelow}', "");
Expect(0, 7677, '\p{Is_Ccc=doublebelow}', "");
Expect(1, 7677, '\p{^Is_Ccc=doublebelow}', "");
Expect(1, 7677, '\P{Is_Ccc=doublebelow}', "");
Expect(0, 7677, '\P{^Is_Ccc=doublebelow}', "");
Expect(1, 7676, '\p{Is_Ccc:	_-double_below}', "");
Expect(0, 7676, '\p{^Is_Ccc:	_-double_below}', "");
Expect(0, 7676, '\P{Is_Ccc:	_-double_below}', "");
Expect(1, 7676, '\P{^Is_Ccc:	_-double_below}', "");
Expect(0, 7677, '\p{Is_Ccc:	_-double_below}', "");
Expect(1, 7677, '\p{^Is_Ccc:	_-double_below}', "");
Expect(1, 7677, '\P{Is_Ccc:	_-double_below}', "");
Expect(0, 7677, '\P{^Is_Ccc:	_-double_below}', "");
Error('\p{Canonical_Combining_Class=/a/ -iota_Subscript}');
Error('\P{Canonical_Combining_Class=/a/ -iota_Subscript}');
Expect(1, 837, '\p{Canonical_Combining_Class=iotasubscript}', "");
Expect(0, 837, '\p{^Canonical_Combining_Class=iotasubscript}', "");
Expect(0, 837, '\P{Canonical_Combining_Class=iotasubscript}', "");
Expect(1, 837, '\P{^Canonical_Combining_Class=iotasubscript}', "");
Expect(0, 838, '\p{Canonical_Combining_Class=iotasubscript}', "");
Expect(1, 838, '\p{^Canonical_Combining_Class=iotasubscript}', "");
Expect(1, 838, '\P{Canonical_Combining_Class=iotasubscript}', "");
Expect(0, 838, '\P{^Canonical_Combining_Class=iotasubscript}', "");
Expect(1, 837, '\p{Canonical_Combining_Class= Iota_Subscript}', "");
Expect(0, 837, '\p{^Canonical_Combining_Class= Iota_Subscript}', "");
Expect(0, 837, '\P{Canonical_Combining_Class= Iota_Subscript}', "");
Expect(1, 837, '\P{^Canonical_Combining_Class= Iota_Subscript}', "");
Expect(0, 838, '\p{Canonical_Combining_Class= Iota_Subscript}', "");
Expect(1, 838, '\p{^Canonical_Combining_Class= Iota_Subscript}', "");
Expect(1, 838, '\P{Canonical_Combining_Class= Iota_Subscript}', "");
Expect(0, 838, '\P{^Canonical_Combining_Class= Iota_Subscript}', "");
Error('\p{Ccc=/a/is}');
Error('\P{Ccc=/a/is}');
Expect(1, 837, '\p{Ccc=is}', "");
Expect(0, 837, '\p{^Ccc=is}', "");
Expect(0, 837, '\P{Ccc=is}', "");
Expect(1, 837, '\P{^Ccc=is}', "");
Expect(0, 838, '\p{Ccc=is}', "");
Expect(1, 838, '\p{^Ccc=is}', "");
Expect(1, 838, '\P{Ccc=is}', "");
Expect(0, 838, '\P{^Ccc=is}', "");
Expect(1, 837, '\p{Ccc= _IS}', "");
Expect(0, 837, '\p{^Ccc= _IS}', "");
Expect(0, 837, '\P{Ccc= _IS}', "");
Expect(1, 837, '\P{^Ccc= _IS}', "");
Expect(0, 838, '\p{Ccc= _IS}', "");
Expect(1, 838, '\p{^Ccc= _IS}', "");
Expect(1, 838, '\P{Ccc= _IS}', "");
Expect(0, 838, '\P{^Ccc= _IS}', "");
Error('\p{Is_Canonical_Combining_Class=	:=000000240}');
Error('\P{Is_Canonical_Combining_Class=	:=000000240}');
Expect(1, 837, '\p{Is_Canonical_Combining_Class=24_0}', "");
Expect(0, 837, '\p{^Is_Canonical_Combining_Class=24_0}', "");
Expect(0, 837, '\P{Is_Canonical_Combining_Class=24_0}', "");
Expect(1, 837, '\P{^Is_Canonical_Combining_Class=24_0}', "");
Expect(0, 838, '\p{Is_Canonical_Combining_Class=24_0}', "");
Expect(1, 838, '\p{^Is_Canonical_Combining_Class=24_0}', "");
Expect(1, 838, '\P{Is_Canonical_Combining_Class=24_0}', "");
Expect(0, 838, '\P{^Is_Canonical_Combining_Class=24_0}', "");
Error('\p{Is_Ccc=- Iota_Subscript:=}');
Error('\P{Is_Ccc=- Iota_Subscript:=}');
Expect(1, 837, '\p{Is_Ccc=iotasubscript}', "");
Expect(0, 837, '\p{^Is_Ccc=iotasubscript}', "");
Expect(0, 837, '\P{Is_Ccc=iotasubscript}', "");
Expect(1, 837, '\P{^Is_Ccc=iotasubscript}', "");
Expect(0, 838, '\p{Is_Ccc=iotasubscript}', "");
Expect(1, 838, '\p{^Is_Ccc=iotasubscript}', "");
Expect(1, 838, '\P{Is_Ccc=iotasubscript}', "");
Expect(0, 838, '\P{^Is_Ccc=iotasubscript}', "");
Expect(1, 837, '\p{Is_Ccc: _-Iota_Subscript}', "");
Expect(0, 837, '\p{^Is_Ccc: _-Iota_Subscript}', "");
Expect(0, 837, '\P{Is_Ccc: _-Iota_Subscript}', "");
Expect(1, 837, '\P{^Is_Ccc: _-Iota_Subscript}', "");
Expect(0, 838, '\p{Is_Ccc: _-Iota_Subscript}', "");
Expect(1, 838, '\p{^Is_Ccc: _-Iota_Subscript}', "");
Expect(1, 838, '\P{Is_Ccc: _-Iota_Subscript}', "");
Expect(0, 838, '\P{^Is_Ccc: _-Iota_Subscript}', "");
Error('\p{Canonical_Combining_Class=:=		kana_Voicing}');
Error('\P{Canonical_Combining_Class=:=		kana_Voicing}');
Expect(1, 12442, '\p{Canonical_Combining_Class=kanavoicing}', "");
Expect(0, 12442, '\p{^Canonical_Combining_Class=kanavoicing}', "");
Expect(0, 12442, '\P{Canonical_Combining_Class=kanavoicing}', "");
Expect(1, 12442, '\P{^Canonical_Combining_Class=kanavoicing}', "");
Expect(0, 12443, '\p{Canonical_Combining_Class=kanavoicing}', "");
Expect(1, 12443, '\p{^Canonical_Combining_Class=kanavoicing}', "");
Expect(1, 12443, '\P{Canonical_Combining_Class=kanavoicing}', "");
Expect(0, 12443, '\P{^Canonical_Combining_Class=kanavoicing}', "");
Expect(1, 12442, '\p{Canonical_Combining_Class=_-kana_VOICING}', "");
Expect(0, 12442, '\p{^Canonical_Combining_Class=_-kana_VOICING}', "");
Expect(0, 12442, '\P{Canonical_Combining_Class=_-kana_VOICING}', "");
Expect(1, 12442, '\P{^Canonical_Combining_Class=_-kana_VOICING}', "");
Expect(0, 12443, '\p{Canonical_Combining_Class=_-kana_VOICING}', "");
Expect(1, 12443, '\p{^Canonical_Combining_Class=_-kana_VOICING}', "");
Expect(1, 12443, '\P{Canonical_Combining_Class=_-kana_VOICING}', "");
Expect(0, 12443, '\P{^Canonical_Combining_Class=_-kana_VOICING}', "");
Error('\p{Ccc=:=_	KV}');
Error('\P{Ccc=:=_	KV}');
Expect(1, 12442, '\p{Ccc=kv}', "");
Expect(0, 12442, '\p{^Ccc=kv}', "");
Expect(0, 12442, '\P{Ccc=kv}', "");
Expect(1, 12442, '\P{^Ccc=kv}', "");
Expect(0, 12443, '\p{Ccc=kv}', "");
Expect(1, 12443, '\p{^Ccc=kv}', "");
Expect(1, 12443, '\P{Ccc=kv}', "");
Expect(0, 12443, '\P{^Ccc=kv}', "");
Expect(1, 12442, '\p{Ccc=	-kv}', "");
Expect(0, 12442, '\p{^Ccc=	-kv}', "");
Expect(0, 12442, '\P{Ccc=	-kv}', "");
Expect(1, 12442, '\P{^Ccc=	-kv}', "");
Expect(0, 12443, '\p{Ccc=	-kv}', "");
Expect(1, 12443, '\p{^Ccc=	-kv}', "");
Expect(1, 12443, '\P{Ccc=	-kv}', "");
Expect(0, 12443, '\P{^Ccc=	-kv}', "");
Error('\p{Is_Canonical_Combining_Class:_:=0000_8}');
Error('\P{Is_Canonical_Combining_Class:_:=0000_8}');
Expect(1, 12442, '\p{Is_Canonical_Combining_Class=000000_8}', "");
Expect(0, 12442, '\p{^Is_Canonical_Combining_Class=000000_8}', "");
Expect(0, 12442, '\P{Is_Canonical_Combining_Class=000000_8}', "");
Expect(1, 12442, '\P{^Is_Canonical_Combining_Class=000000_8}', "");
Expect(0, 12443, '\p{Is_Canonical_Combining_Class=000000_8}', "");
Expect(1, 12443, '\p{^Is_Canonical_Combining_Class=000000_8}', "");
Expect(1, 12443, '\P{Is_Canonical_Combining_Class=000000_8}', "");
Expect(0, 12443, '\P{^Is_Canonical_Combining_Class=000000_8}', "");
Error('\p{Is_Ccc=	_kana_Voicing/a/}');
Error('\P{Is_Ccc=	_kana_Voicing/a/}');
Expect(1, 12442, '\p{Is_Ccc=kanavoicing}', "");
Expect(0, 12442, '\p{^Is_Ccc=kanavoicing}', "");
Expect(0, 12442, '\P{Is_Ccc=kanavoicing}', "");
Expect(1, 12442, '\P{^Is_Ccc=kanavoicing}', "");
Expect(0, 12443, '\p{Is_Ccc=kanavoicing}', "");
Expect(1, 12443, '\p{^Is_Ccc=kanavoicing}', "");
Expect(1, 12443, '\P{Is_Ccc=kanavoicing}', "");
Expect(0, 12443, '\P{^Is_Ccc=kanavoicing}', "");
Expect(1, 12442, '\p{Is_Ccc=__KANA_VOICING}', "");
Expect(0, 12442, '\p{^Is_Ccc=__KANA_VOICING}', "");
Expect(0, 12442, '\P{Is_Ccc=__KANA_VOICING}', "");
Expect(1, 12442, '\P{^Is_Ccc=__KANA_VOICING}', "");
Expect(0, 12443, '\p{Is_Ccc=__KANA_VOICING}', "");
Expect(1, 12443, '\p{^Is_Ccc=__KANA_VOICING}', "");
Expect(1, 12443, '\P{Is_Ccc=__KANA_VOICING}', "");
Expect(0, 12443, '\P{^Is_Ccc=__KANA_VOICING}', "");
Error('\p{Canonical_Combining_Class=:=		Left}');
Error('\P{Canonical_Combining_Class=:=		Left}');
Expect(1, 12335, '\p{Canonical_Combining_Class=left}', "");
Expect(0, 12335, '\p{^Canonical_Combining_Class=left}', "");
Expect(0, 12335, '\P{Canonical_Combining_Class=left}', "");
Expect(1, 12335, '\P{^Canonical_Combining_Class=left}', "");
Expect(0, 12336, '\p{Canonical_Combining_Class=left}', "");
Expect(1, 12336, '\p{^Canonical_Combining_Class=left}', "");
Expect(1, 12336, '\P{Canonical_Combining_Class=left}', "");
Expect(0, 12336, '\P{^Canonical_Combining_Class=left}', "");
Expect(1, 12335, '\p{Canonical_Combining_Class=-_Left}', "");
Expect(0, 12335, '\p{^Canonical_Combining_Class=-_Left}', "");
Expect(0, 12335, '\P{Canonical_Combining_Class=-_Left}', "");
Expect(1, 12335, '\P{^Canonical_Combining_Class=-_Left}', "");
Expect(0, 12336, '\p{Canonical_Combining_Class=-_Left}', "");
Expect(1, 12336, '\p{^Canonical_Combining_Class=-_Left}', "");
Expect(1, 12336, '\P{Canonical_Combining_Class=-_Left}', "");
Expect(0, 12336, '\P{^Canonical_Combining_Class=-_Left}', "");
Error('\p{Ccc=	/a/L}');
Error('\P{Ccc=	/a/L}');
Expect(1, 12335, '\p{Ccc=l}', "");
Expect(0, 12335, '\p{^Ccc=l}', "");
Expect(0, 12335, '\P{Ccc=l}', "");
Expect(1, 12335, '\P{^Ccc=l}', "");
Expect(0, 12336, '\p{Ccc=l}', "");
Expect(1, 12336, '\p{^Ccc=l}', "");
Expect(1, 12336, '\P{Ccc=l}', "");
Expect(0, 12336, '\P{^Ccc=l}', "");
Expect(1, 12335, '\p{Ccc=_	L}', "");
Expect(0, 12335, '\p{^Ccc=_	L}', "");
Expect(0, 12335, '\P{Ccc=_	L}', "");
Expect(1, 12335, '\P{^Ccc=_	L}', "");
Expect(0, 12336, '\p{Ccc=_	L}', "");
Expect(1, 12336, '\p{^Ccc=_	L}', "");
Expect(1, 12336, '\P{Ccc=_	L}', "");
Expect(0, 12336, '\P{^Ccc=_	L}', "");
Error('\p{Is_Canonical_Combining_Class=/a/ 000000224}');
Error('\P{Is_Canonical_Combining_Class=/a/ 000000224}');
Expect(1, 12335, '\p{Is_Canonical_Combining_Class:   0224}', "");
Expect(0, 12335, '\p{^Is_Canonical_Combining_Class:   0224}', "");
Expect(0, 12335, '\P{Is_Canonical_Combining_Class:   0224}', "");
Expect(1, 12335, '\P{^Is_Canonical_Combining_Class:   0224}', "");
Expect(0, 12336, '\p{Is_Canonical_Combining_Class:   0224}', "");
Expect(1, 12336, '\p{^Is_Canonical_Combining_Class:   0224}', "");
Expect(1, 12336, '\P{Is_Canonical_Combining_Class:   0224}', "");
Expect(0, 12336, '\P{^Is_Canonical_Combining_Class:   0224}', "");
Error('\p{Is_Ccc=-:=Left}');
Error('\P{Is_Ccc=-:=Left}');
Expect(1, 12335, '\p{Is_Ccc=left}', "");
Expect(0, 12335, '\p{^Is_Ccc=left}', "");
Expect(0, 12335, '\P{Is_Ccc=left}', "");
Expect(1, 12335, '\P{^Is_Ccc=left}', "");
Expect(0, 12336, '\p{Is_Ccc=left}', "");
Expect(1, 12336, '\p{^Is_Ccc=left}', "");
Expect(1, 12336, '\P{Is_Ccc=left}', "");
Expect(0, 12336, '\P{^Is_Ccc=left}', "");
Expect(1, 12335, '\p{Is_Ccc=_ Left}', "");
Expect(0, 12335, '\p{^Is_Ccc=_ Left}', "");
Expect(0, 12335, '\P{Is_Ccc=_ Left}', "");
Expect(1, 12335, '\P{^Is_Ccc=_ Left}', "");
Expect(0, 12336, '\p{Is_Ccc=_ Left}', "");
Expect(1, 12336, '\p{^Is_Ccc=_ Left}', "");
Expect(1, 12336, '\P{Is_Ccc=_ Left}', "");
Expect(0, 12336, '\P{^Is_Ccc=_ Left}', "");
Error('\p{Canonical_Combining_Class=:=Nukta}');
Error('\P{Canonical_Combining_Class=:=Nukta}');
Expect(1, 71351, '\p{Canonical_Combining_Class=nukta}', "");
Expect(0, 71351, '\p{^Canonical_Combining_Class=nukta}', "");
Expect(0, 71351, '\P{Canonical_Combining_Class=nukta}', "");
Expect(1, 71351, '\P{^Canonical_Combining_Class=nukta}', "");
Expect(0, 71352, '\p{Canonical_Combining_Class=nukta}', "");
Expect(1, 71352, '\p{^Canonical_Combining_Class=nukta}', "");
Expect(1, 71352, '\P{Canonical_Combining_Class=nukta}', "");
Expect(0, 71352, '\P{^Canonical_Combining_Class=nukta}', "");
Expect(1, 71351, '\p{Canonical_Combining_Class=_NUKTA}', "");
Expect(0, 71351, '\p{^Canonical_Combining_Class=_NUKTA}', "");
Expect(0, 71351, '\P{Canonical_Combining_Class=_NUKTA}', "");
Expect(1, 71351, '\P{^Canonical_Combining_Class=_NUKTA}', "");
Expect(0, 71352, '\p{Canonical_Combining_Class=_NUKTA}', "");
Expect(1, 71352, '\p{^Canonical_Combining_Class=_NUKTA}', "");
Expect(1, 71352, '\P{Canonical_Combining_Class=_NUKTA}', "");
Expect(0, 71352, '\P{^Canonical_Combining_Class=_NUKTA}', "");
Error('\p{Ccc=	-NK:=}');
Error('\P{Ccc=	-NK:=}');
Expect(1, 71351, '\p{Ccc=nk}', "");
Expect(0, 71351, '\p{^Ccc=nk}', "");
Expect(0, 71351, '\P{Ccc=nk}', "");
Expect(1, 71351, '\P{^Ccc=nk}', "");
Expect(0, 71352, '\p{Ccc=nk}', "");
Expect(1, 71352, '\p{^Ccc=nk}', "");
Expect(1, 71352, '\P{Ccc=nk}', "");
Expect(0, 71352, '\P{^Ccc=nk}', "");
Expect(1, 71351, '\p{Ccc=_-nk}', "");
Expect(0, 71351, '\p{^Ccc=_-nk}', "");
Expect(0, 71351, '\P{Ccc=_-nk}', "");
Expect(1, 71351, '\P{^Ccc=_-nk}', "");
Expect(0, 71352, '\p{Ccc=_-nk}', "");
Expect(1, 71352, '\p{^Ccc=_-nk}', "");
Expect(1, 71352, '\P{Ccc=_-nk}', "");
Expect(0, 71352, '\P{^Ccc=_-nk}', "");
Error('\p{Is_Canonical_Combining_Class=_/a/+00000007}');
Error('\P{Is_Canonical_Combining_Class=_/a/+00000007}');
Expect(1, 71351, '\p{Is_Canonical_Combining_Class=000000007}', "");
Expect(0, 71351, '\p{^Is_Canonical_Combining_Class=000000007}', "");
Expect(0, 71351, '\P{Is_Canonical_Combining_Class=000000007}', "");
Expect(1, 71351, '\P{^Is_Canonical_Combining_Class=000000007}', "");
Expect(0, 71352, '\p{Is_Canonical_Combining_Class=000000007}', "");
Expect(1, 71352, '\p{^Is_Canonical_Combining_Class=000000007}', "");
Expect(1, 71352, '\P{Is_Canonical_Combining_Class=000000007}', "");
Expect(0, 71352, '\P{^Is_Canonical_Combining_Class=000000007}', "");
Error('\p{Is_Ccc=/a/_	nukta}');
Error('\P{Is_Ccc=/a/_	nukta}');
Expect(1, 71351, '\p{Is_Ccc=nukta}', "");
Expect(0, 71351, '\p{^Is_Ccc=nukta}', "");
Expect(0, 71351, '\P{Is_Ccc=nukta}', "");
Expect(1, 71351, '\P{^Is_Ccc=nukta}', "");
Expect(0, 71352, '\p{Is_Ccc=nukta}', "");
Expect(1, 71352, '\p{^Is_Ccc=nukta}', "");
Expect(1, 71352, '\P{Is_Ccc=nukta}', "");
Expect(0, 71352, '\P{^Is_Ccc=nukta}', "");
Expect(1, 71351, '\p{Is_Ccc:   -nukta}', "");
Expect(0, 71351, '\p{^Is_Ccc:   -nukta}', "");
Expect(0, 71351, '\P{Is_Ccc:   -nukta}', "");
Expect(1, 71351, '\P{^Is_Ccc:   -nukta}', "");
Expect(0, 71352, '\p{Is_Ccc:   -nukta}', "");
Expect(1, 71352, '\p{^Is_Ccc:   -nukta}', "");
Expect(1, 71352, '\P{Is_Ccc:   -nukta}', "");
Expect(0, 71352, '\P{^Is_Ccc:   -nukta}', "");
Error('\p{Canonical_Combining_Class=/a/--Not_Reordered}');
Error('\P{Canonical_Combining_Class=/a/--Not_Reordered}');
Expect(1, 125143, '\p{Canonical_Combining_Class=notreordered}', "");
Expect(0, 125143, '\p{^Canonical_Combining_Class=notreordered}', "");
Expect(0, 125143, '\P{Canonical_Combining_Class=notreordered}', "");
Expect(1, 125143, '\P{^Canonical_Combining_Class=notreordered}', "");
Expect(0, 125142, '\p{Canonical_Combining_Class=notreordered}', "");
Expect(1, 125142, '\p{^Canonical_Combining_Class=notreordered}', "");
Expect(1, 125142, '\P{Canonical_Combining_Class=notreordered}', "");
Expect(0, 125142, '\P{^Canonical_Combining_Class=notreordered}', "");
Expect(1, 125143, '\p{Canonical_Combining_Class=Not_Reordered}', "");
Expect(0, 125143, '\p{^Canonical_Combining_Class=Not_Reordered}', "");
Expect(0, 125143, '\P{Canonical_Combining_Class=Not_Reordered}', "");
Expect(1, 125143, '\P{^Canonical_Combining_Class=Not_Reordered}', "");
Expect(0, 125142, '\p{Canonical_Combining_Class=Not_Reordered}', "");
Expect(1, 125142, '\p{^Canonical_Combining_Class=Not_Reordered}', "");
Expect(1, 125142, '\P{Canonical_Combining_Class=Not_Reordered}', "");
Expect(0, 125142, '\P{^Canonical_Combining_Class=Not_Reordered}', "");
Error('\p{Ccc=/a/	NR}');
Error('\P{Ccc=/a/	NR}');
Expect(1, 125143, '\p{Ccc=nr}', "");
Expect(0, 125143, '\p{^Ccc=nr}', "");
Expect(0, 125143, '\P{Ccc=nr}', "");
Expect(1, 125143, '\P{^Ccc=nr}', "");
Expect(0, 125142, '\p{Ccc=nr}', "");
Expect(1, 125142, '\p{^Ccc=nr}', "");
Expect(1, 125142, '\P{Ccc=nr}', "");
Expect(0, 125142, '\P{^Ccc=nr}', "");
Expect(1, 125143, '\p{Ccc=	-NR}', "");
Expect(0, 125143, '\p{^Ccc=	-NR}', "");
Expect(0, 125143, '\P{Ccc=	-NR}', "");
Expect(1, 125143, '\P{^Ccc=	-NR}', "");
Expect(0, 125142, '\p{Ccc=	-NR}', "");
Expect(1, 125142, '\p{^Ccc=	-NR}', "");
Expect(1, 125142, '\P{Ccc=	-NR}', "");
Expect(0, 125142, '\P{^Ccc=	-NR}', "");
Error('\p{Is_Canonical_Combining_Class=-_000000:=}');
Error('\P{Is_Canonical_Combining_Class=-_000000:=}');
Expect(1, 125143, '\p{Is_Canonical_Combining_Class=+000_0}', "");
Expect(0, 125143, '\p{^Is_Canonical_Combining_Class=+000_0}', "");
Expect(0, 125143, '\P{Is_Canonical_Combining_Class=+000_0}', "");
Expect(1, 125143, '\P{^Is_Canonical_Combining_Class=+000_0}', "");
Expect(0, 125142, '\p{Is_Canonical_Combining_Class=+000_0}', "");
Expect(1, 125142, '\p{^Is_Canonical_Combining_Class=+000_0}', "");
Expect(1, 125142, '\P{Is_Canonical_Combining_Class=+000_0}', "");
Expect(0, 125142, '\P{^Is_Canonical_Combining_Class=+000_0}', "");
Error('\p{Is_Ccc=	/a/NOT_Reordered}');
Error('\P{Is_Ccc=	/a/NOT_Reordered}');
Expect(1, 125143, '\p{Is_Ccc=notreordered}', "");
Expect(0, 125143, '\p{^Is_Ccc=notreordered}', "");
Expect(0, 125143, '\P{Is_Ccc=notreordered}', "");
Expect(1, 125143, '\P{^Is_Ccc=notreordered}', "");
Expect(0, 125142, '\p{Is_Ccc=notreordered}', "");
Expect(1, 125142, '\p{^Is_Ccc=notreordered}', "");
Expect(1, 125142, '\P{Is_Ccc=notreordered}', "");
Expect(0, 125142, '\P{^Is_Ccc=notreordered}', "");
Expect(1, 125143, '\p{Is_Ccc=_-Not_reordered}', "");
Expect(0, 125143, '\p{^Is_Ccc=_-Not_reordered}', "");
Expect(0, 125143, '\P{Is_Ccc=_-Not_reordered}', "");
Expect(1, 125143, '\P{^Is_Ccc=_-Not_reordered}', "");
Expect(0, 125142, '\p{Is_Ccc=_-Not_reordered}', "");
Expect(1, 125142, '\p{^Is_Ccc=_-Not_reordered}', "");
Expect(1, 125142, '\P{Is_Ccc=_-Not_reordered}', "");
Expect(0, 125142, '\P{^Is_Ccc=_-Not_reordered}', "");
Error('\p{Canonical_Combining_Class=	 Overlay/a/}');
Error('\P{Canonical_Combining_Class=	 Overlay/a/}');
Expect(1, 119145, '\p{Canonical_Combining_Class:	overlay}', "");
Expect(0, 119145, '\p{^Canonical_Combining_Class:	overlay}', "");
Expect(0, 119145, '\P{Canonical_Combining_Class:	overlay}', "");
Expect(1, 119145, '\P{^Canonical_Combining_Class:	overlay}', "");
Expect(0, 119146, '\p{Canonical_Combining_Class:	overlay}', "");
Expect(1, 119146, '\p{^Canonical_Combining_Class:	overlay}', "");
Expect(1, 119146, '\P{Canonical_Combining_Class:	overlay}', "");
Expect(0, 119146, '\P{^Canonical_Combining_Class:	overlay}', "");
Expect(1, 119145, '\p{Canonical_Combining_Class=	-overlay}', "");
Expect(0, 119145, '\p{^Canonical_Combining_Class=	-overlay}', "");
Expect(0, 119145, '\P{Canonical_Combining_Class=	-overlay}', "");
Expect(1, 119145, '\P{^Canonical_Combining_Class=	-overlay}', "");
Expect(0, 119146, '\p{Canonical_Combining_Class=	-overlay}', "");
Expect(1, 119146, '\p{^Canonical_Combining_Class=	-overlay}', "");
Expect(1, 119146, '\P{Canonical_Combining_Class=	-overlay}', "");
Expect(0, 119146, '\P{^Canonical_Combining_Class=	-overlay}', "");
Error('\p{Ccc=:= 	OV}');
Error('\P{Ccc=:= 	OV}');
Expect(1, 119145, '\p{Ccc=ov}', "");
Expect(0, 119145, '\p{^Ccc=ov}', "");
Expect(0, 119145, '\P{Ccc=ov}', "");
Expect(1, 119145, '\P{^Ccc=ov}', "");
Expect(0, 119146, '\p{Ccc=ov}', "");
Expect(1, 119146, '\p{^Ccc=ov}', "");
Expect(1, 119146, '\P{Ccc=ov}', "");
Expect(0, 119146, '\P{^Ccc=ov}', "");
Expect(1, 119145, '\p{Ccc=_	ov}', "");
Expect(0, 119145, '\p{^Ccc=_	ov}', "");
Expect(0, 119145, '\P{Ccc=_	ov}', "");
Expect(1, 119145, '\P{^Ccc=_	ov}', "");
Expect(0, 119146, '\p{Ccc=_	ov}', "");
Expect(1, 119146, '\p{^Ccc=_	ov}', "");
Expect(1, 119146, '\P{Ccc=_	ov}', "");
Expect(0, 119146, '\P{^Ccc=_	ov}', "");
Error('\p{Is_Canonical_Combining_Class=-:=+0000000_1}');
Error('\P{Is_Canonical_Combining_Class=-:=+0000000_1}');
Expect(1, 119145, '\p{Is_Canonical_Combining_Class=001}', "");
Expect(0, 119145, '\p{^Is_Canonical_Combining_Class=001}', "");
Expect(0, 119145, '\P{Is_Canonical_Combining_Class=001}', "");
Expect(1, 119145, '\P{^Is_Canonical_Combining_Class=001}', "");
Expect(0, 119146, '\p{Is_Canonical_Combining_Class=001}', "");
Expect(1, 119146, '\p{^Is_Canonical_Combining_Class=001}', "");
Expect(1, 119146, '\P{Is_Canonical_Combining_Class=001}', "");
Expect(0, 119146, '\P{^Is_Canonical_Combining_Class=001}', "");
Error('\p{Is_Ccc=/a/_OVERLAY}');
Error('\P{Is_Ccc=/a/_OVERLAY}');
Expect(1, 119145, '\p{Is_Ccc=overlay}', "");
Expect(0, 119145, '\p{^Is_Ccc=overlay}', "");
Expect(0, 119145, '\P{Is_Ccc=overlay}', "");
Expect(1, 119145, '\P{^Is_Ccc=overlay}', "");
Expect(0, 119146, '\p{Is_Ccc=overlay}', "");
Expect(1, 119146, '\p{^Is_Ccc=overlay}', "");
Expect(1, 119146, '\P{Is_Ccc=overlay}', "");
Expect(0, 119146, '\P{^Is_Ccc=overlay}', "");
Expect(1, 119145, '\p{Is_Ccc=  Overlay}', "");
Expect(0, 119145, '\p{^Is_Ccc=  Overlay}', "");
Expect(0, 119145, '\P{Is_Ccc=  Overlay}', "");
Expect(1, 119145, '\P{^Is_Ccc=  Overlay}', "");
Expect(0, 119146, '\p{Is_Ccc=  Overlay}', "");
Expect(1, 119146, '\p{^Is_Ccc=  Overlay}', "");
Expect(1, 119146, '\P{Is_Ccc=  Overlay}', "");
Expect(0, 119146, '\P{^Is_Ccc=  Overlay}', "");
Error('\p{Canonical_Combining_Class=_Right/a/}');
Error('\P{Canonical_Combining_Class=_Right/a/}');
Expect(1, 119149, '\p{Canonical_Combining_Class=right}', "");
Expect(0, 119149, '\p{^Canonical_Combining_Class=right}', "");
Expect(0, 119149, '\P{Canonical_Combining_Class=right}', "");
Expect(1, 119149, '\P{^Canonical_Combining_Class=right}', "");
Expect(0, 119150, '\p{Canonical_Combining_Class=right}', "");
Expect(1, 119150, '\p{^Canonical_Combining_Class=right}', "");
Expect(1, 119150, '\P{Canonical_Combining_Class=right}', "");
Expect(0, 119150, '\P{^Canonical_Combining_Class=right}', "");
Expect(1, 119149, '\p{Canonical_Combining_Class= -Right}', "");
Expect(0, 119149, '\p{^Canonical_Combining_Class= -Right}', "");
Expect(0, 119149, '\P{Canonical_Combining_Class= -Right}', "");
Expect(1, 119149, '\P{^Canonical_Combining_Class= -Right}', "");
Expect(0, 119150, '\p{Canonical_Combining_Class= -Right}', "");
Expect(1, 119150, '\p{^Canonical_Combining_Class= -Right}', "");
Expect(1, 119150, '\P{Canonical_Combining_Class= -Right}', "");
Expect(0, 119150, '\P{^Canonical_Combining_Class= -Right}', "");
Error('\p{Ccc=/a/ R}');
Error('\P{Ccc=/a/ R}');
Expect(1, 119149, '\p{Ccc=r}', "");
Expect(0, 119149, '\p{^Ccc=r}', "");
Expect(0, 119149, '\P{Ccc=r}', "");
Expect(1, 119149, '\P{^Ccc=r}', "");
Expect(0, 119150, '\p{Ccc=r}', "");
Expect(1, 119150, '\p{^Ccc=r}', "");
Expect(1, 119150, '\P{Ccc=r}', "");
Expect(0, 119150, '\P{^Ccc=r}', "");
Expect(1, 119149, '\p{Ccc=	-R}', "");
Expect(0, 119149, '\p{^Ccc=	-R}', "");
Expect(0, 119149, '\P{Ccc=	-R}', "");
Expect(1, 119149, '\P{^Ccc=	-R}', "");
Expect(0, 119150, '\p{Ccc=	-R}', "");
Expect(1, 119150, '\p{^Ccc=	-R}', "");
Expect(1, 119150, '\P{Ccc=	-R}', "");
Expect(0, 119150, '\P{^Ccc=	-R}', "");
Error('\p{Is_Canonical_Combining_Class=:=	-00226}');
Error('\P{Is_Canonical_Combining_Class=:=	-00226}');
Expect(1, 119149, '\p{Is_Canonical_Combining_Class=0000000226}', "");
Expect(0, 119149, '\p{^Is_Canonical_Combining_Class=0000000226}', "");
Expect(0, 119149, '\P{Is_Canonical_Combining_Class=0000000226}', "");
Expect(1, 119149, '\P{^Is_Canonical_Combining_Class=0000000226}', "");
Expect(0, 119150, '\p{Is_Canonical_Combining_Class=0000000226}', "");
Expect(1, 119150, '\p{^Is_Canonical_Combining_Class=0000000226}', "");
Expect(1, 119150, '\P{Is_Canonical_Combining_Class=0000000226}', "");
Expect(0, 119150, '\P{^Is_Canonical_Combining_Class=0000000226}', "");
Error('\p{Is_Ccc=	Right:=}');
Error('\P{Is_Ccc=	Right:=}');
Expect(1, 119149, '\p{Is_Ccc=right}', "");
Expect(0, 119149, '\p{^Is_Ccc=right}', "");
Expect(0, 119149, '\P{Is_Ccc=right}', "");
Expect(1, 119149, '\P{^Is_Ccc=right}', "");
Expect(0, 119150, '\p{Is_Ccc=right}', "");
Expect(1, 119150, '\p{^Is_Ccc=right}', "");
Expect(1, 119150, '\P{Is_Ccc=right}', "");
Expect(0, 119150, '\P{^Is_Ccc=right}', "");
Expect(1, 119149, '\p{Is_Ccc= _Right}', "");
Expect(0, 119149, '\p{^Is_Ccc= _Right}', "");
Expect(0, 119149, '\P{Is_Ccc= _Right}', "");
Expect(1, 119149, '\P{^Is_Ccc= _Right}', "");
Expect(0, 119150, '\p{Is_Ccc= _Right}', "");
Expect(1, 119150, '\p{^Is_Ccc= _Right}', "");
Expect(1, 119150, '\P{Is_Ccc= _Right}', "");
Expect(0, 119150, '\P{^Is_Ccc= _Right}', "");
Error('\p{Canonical_Combining_Class: VIRAMA/a/}');
Error('\P{Canonical_Combining_Class: VIRAMA/a/}');
Expect(1, 71467, '\p{Canonical_Combining_Class=virama}', "");
Expect(0, 71467, '\p{^Canonical_Combining_Class=virama}', "");
Expect(0, 71467, '\P{Canonical_Combining_Class=virama}', "");
Expect(1, 71467, '\P{^Canonical_Combining_Class=virama}', "");
Expect(0, 71468, '\p{Canonical_Combining_Class=virama}', "");
Expect(1, 71468, '\p{^Canonical_Combining_Class=virama}', "");
Expect(1, 71468, '\P{Canonical_Combining_Class=virama}', "");
Expect(0, 71468, '\P{^Canonical_Combining_Class=virama}', "");
Expect(1, 71467, '\p{Canonical_Combining_Class=_virama}', "");
Expect(0, 71467, '\p{^Canonical_Combining_Class=_virama}', "");
Expect(0, 71467, '\P{Canonical_Combining_Class=_virama}', "");
Expect(1, 71467, '\P{^Canonical_Combining_Class=_virama}', "");
Expect(0, 71468, '\p{Canonical_Combining_Class=_virama}', "");
Expect(1, 71468, '\p{^Canonical_Combining_Class=_virama}', "");
Expect(1, 71468, '\P{Canonical_Combining_Class=_virama}', "");
Expect(0, 71468, '\P{^Canonical_Combining_Class=_virama}', "");
Error('\p{Ccc:   _	VR:=}');
Error('\P{Ccc:   _	VR:=}');
Expect(1, 71467, '\p{Ccc=vr}', "");
Expect(0, 71467, '\p{^Ccc=vr}', "");
Expect(0, 71467, '\P{Ccc=vr}', "");
Expect(1, 71467, '\P{^Ccc=vr}', "");
Expect(0, 71468, '\p{Ccc=vr}', "");
Expect(1, 71468, '\p{^Ccc=vr}', "");
Expect(1, 71468, '\P{Ccc=vr}', "");
Expect(0, 71468, '\P{^Ccc=vr}', "");
Expect(1, 71467, '\p{Ccc=_-vr}', "");
Expect(0, 71467, '\p{^Ccc=_-vr}', "");
Expect(0, 71467, '\P{Ccc=_-vr}', "");
Expect(1, 71467, '\P{^Ccc=_-vr}', "");
Expect(0, 71468, '\p{Ccc=_-vr}', "");
Expect(1, 71468, '\p{^Ccc=_-vr}', "");
Expect(1, 71468, '\P{Ccc=_-vr}', "");
Expect(0, 71468, '\P{^Ccc=_-vr}', "");
Error('\p{Is_Canonical_Combining_Class=-_+009/a/}');
Error('\P{Is_Canonical_Combining_Class=-_+009/a/}');
Expect(1, 71467, '\p{Is_Canonical_Combining_Class=009}', "");
Expect(0, 71467, '\p{^Is_Canonical_Combining_Class=009}', "");
Expect(0, 71467, '\P{Is_Canonical_Combining_Class=009}', "");
Expect(1, 71467, '\P{^Is_Canonical_Combining_Class=009}', "");
Expect(0, 71468, '\p{Is_Canonical_Combining_Class=009}', "");
Expect(1, 71468, '\p{^Is_Canonical_Combining_Class=009}', "");
Expect(1, 71468, '\P{Is_Canonical_Combining_Class=009}', "");
Expect(0, 71468, '\P{^Is_Canonical_Combining_Class=009}', "");
Error('\p{Is_Ccc=/a/_	virama}');
Error('\P{Is_Ccc=/a/_	virama}');
Expect(1, 71467, '\p{Is_Ccc=virama}', "");
Expect(0, 71467, '\p{^Is_Ccc=virama}', "");
Expect(0, 71467, '\P{Is_Ccc=virama}', "");
Expect(1, 71467, '\P{^Is_Ccc=virama}', "");
Expect(0, 71468, '\p{Is_Ccc=virama}', "");
Expect(1, 71468, '\p{^Is_Ccc=virama}', "");
Expect(1, 71468, '\P{Is_Ccc=virama}', "");
Expect(0, 71468, '\P{^Is_Ccc=virama}', "");
Expect(1, 71467, '\p{Is_Ccc=__VIRAMA}', "");
Expect(0, 71467, '\p{^Is_Ccc=__VIRAMA}', "");
Expect(0, 71467, '\P{Is_Ccc=__VIRAMA}', "");
Expect(1, 71467, '\P{^Is_Ccc=__VIRAMA}', "");
Expect(0, 71468, '\p{Is_Ccc=__VIRAMA}', "");
Expect(1, 71468, '\p{^Is_Ccc=__VIRAMA}', "");
Expect(1, 71468, '\P{Is_Ccc=__VIRAMA}', "");
Expect(0, 71468, '\P{^Is_Ccc=__VIRAMA}', "");
Error('\p{Decomposition_Type= :=Canonical}');
Error('\P{Decomposition_Type= :=Canonical}');
Expect(1, 195101, '\p{Decomposition_Type:   canonical}', "");
Expect(0, 195101, '\p{^Decomposition_Type:   canonical}', "");
Expect(0, 195101, '\P{Decomposition_Type:   canonical}', "");
Expect(1, 195101, '\P{^Decomposition_Type:   canonical}', "");
Expect(0, 195102, '\p{Decomposition_Type:   canonical}', "");
Expect(1, 195102, '\p{^Decomposition_Type:   canonical}', "");
Expect(1, 195102, '\P{Decomposition_Type:   canonical}', "");
Expect(0, 195102, '\P{^Decomposition_Type:   canonical}', "");
Expect(1, 195101, '\p{Decomposition_Type=		CANONICAL}', "");
Expect(0, 195101, '\p{^Decomposition_Type=		CANONICAL}', "");
Expect(0, 195101, '\P{Decomposition_Type=		CANONICAL}', "");
Expect(1, 195101, '\P{^Decomposition_Type=		CANONICAL}', "");
Expect(0, 195102, '\p{Decomposition_Type=		CANONICAL}', "");
Expect(1, 195102, '\p{^Decomposition_Type=		CANONICAL}', "");
Expect(1, 195102, '\P{Decomposition_Type=		CANONICAL}', "");
Expect(0, 195102, '\P{^Decomposition_Type=		CANONICAL}', "");
Error('\p{Dt=	-Can/a/}');
Error('\P{Dt=	-Can/a/}');
Expect(1, 195101, '\p{Dt:   can}', "");
Expect(0, 195101, '\p{^Dt:   can}', "");
Expect(0, 195101, '\P{Dt:   can}', "");
Expect(1, 195101, '\P{^Dt:   can}', "");
Expect(0, 195102, '\p{Dt:   can}', "");
Expect(1, 195102, '\p{^Dt:   can}', "");
Expect(1, 195102, '\P{Dt:   can}', "");
Expect(0, 195102, '\P{^Dt:   can}', "");
Expect(1, 195101, '\p{Dt=	Can}', "");
Expect(0, 195101, '\p{^Dt=	Can}', "");
Expect(0, 195101, '\P{Dt=	Can}', "");
Expect(1, 195101, '\P{^Dt=	Can}', "");
Expect(0, 195102, '\p{Dt=	Can}', "");
Expect(1, 195102, '\p{^Dt=	Can}', "");
Expect(1, 195102, '\P{Dt=	Can}', "");
Expect(0, 195102, '\P{^Dt=	Can}', "");
Error('\p{Is_Decomposition_Type=/a/-	CANONICAL}');
Error('\P{Is_Decomposition_Type=/a/-	CANONICAL}');
Expect(1, 195101, '\p{Is_Decomposition_Type=canonical}', "");
Expect(0, 195101, '\p{^Is_Decomposition_Type=canonical}', "");
Expect(0, 195101, '\P{Is_Decomposition_Type=canonical}', "");
Expect(1, 195101, '\P{^Is_Decomposition_Type=canonical}', "");
Expect(0, 195102, '\p{Is_Decomposition_Type=canonical}', "");
Expect(1, 195102, '\p{^Is_Decomposition_Type=canonical}', "");
Expect(1, 195102, '\P{Is_Decomposition_Type=canonical}', "");
Expect(0, 195102, '\P{^Is_Decomposition_Type=canonical}', "");
Expect(1, 195101, '\p{Is_Decomposition_Type=_-Canonical}', "");
Expect(0, 195101, '\p{^Is_Decomposition_Type=_-Canonical}', "");
Expect(0, 195101, '\P{Is_Decomposition_Type=_-Canonical}', "");
Expect(1, 195101, '\P{^Is_Decomposition_Type=_-Canonical}', "");
Expect(0, 195102, '\p{Is_Decomposition_Type=_-Canonical}', "");
Expect(1, 195102, '\p{^Is_Decomposition_Type=_-Canonical}', "");
Expect(1, 195102, '\P{Is_Decomposition_Type=_-Canonical}', "");
Expect(0, 195102, '\P{^Is_Decomposition_Type=_-Canonical}', "");
Error('\p{Is_Dt= /a/can}');
Error('\P{Is_Dt= /a/can}');
Expect(1, 195101, '\p{Is_Dt=can}', "");
Expect(0, 195101, '\p{^Is_Dt=can}', "");
Expect(0, 195101, '\P{Is_Dt=can}', "");
Expect(1, 195101, '\P{^Is_Dt=can}', "");
Expect(0, 195102, '\p{Is_Dt=can}', "");
Expect(1, 195102, '\p{^Is_Dt=can}', "");
Expect(1, 195102, '\P{Is_Dt=can}', "");
Expect(0, 195102, '\P{^Is_Dt=can}', "");
Expect(1, 195101, '\p{Is_Dt=-_Can}', "");
Expect(0, 195101, '\p{^Is_Dt=-_Can}', "");
Expect(0, 195101, '\P{Is_Dt=-_Can}', "");
Expect(1, 195101, '\P{^Is_Dt=-_Can}', "");
Expect(0, 195102, '\p{Is_Dt=-_Can}', "");
Expect(1, 195102, '\p{^Is_Dt=-_Can}', "");
Expect(1, 195102, '\P{Is_Dt=-_Can}', "");
Expect(0, 195102, '\P{^Is_Dt=-_Can}', "");
Error('\p{Decomposition_Type= /a/Compat}');
Error('\P{Decomposition_Type= /a/Compat}');
Expect(1, 127560, '\p{Decomposition_Type=compat}', "");
Expect(0, 127560, '\p{^Decomposition_Type=compat}', "");
Expect(0, 127560, '\P{Decomposition_Type=compat}', "");
Expect(1, 127560, '\P{^Decomposition_Type=compat}', "");
Expect(0, 127561, '\p{Decomposition_Type=compat}', "");
Expect(1, 127561, '\p{^Decomposition_Type=compat}', "");
Expect(1, 127561, '\P{Decomposition_Type=compat}', "");
Expect(0, 127561, '\P{^Decomposition_Type=compat}', "");
Expect(1, 127560, '\p{Decomposition_Type=	 compat}', "");
Expect(0, 127560, '\p{^Decomposition_Type=	 compat}', "");
Expect(0, 127560, '\P{Decomposition_Type=	 compat}', "");
Expect(1, 127560, '\P{^Decomposition_Type=	 compat}', "");
Expect(0, 127561, '\p{Decomposition_Type=	 compat}', "");
Expect(1, 127561, '\p{^Decomposition_Type=	 compat}', "");
Expect(1, 127561, '\P{Decomposition_Type=	 compat}', "");
Expect(0, 127561, '\P{^Decomposition_Type=	 compat}', "");
Error('\p{Dt=	/a/Com}');
Error('\P{Dt=	/a/Com}');
Expect(1, 127560, '\p{Dt=com}', "");
Expect(0, 127560, '\p{^Dt=com}', "");
Expect(0, 127560, '\P{Dt=com}', "");
Expect(1, 127560, '\P{^Dt=com}', "");
Expect(0, 127561, '\p{Dt=com}', "");
Expect(1, 127561, '\p{^Dt=com}', "");
Expect(1, 127561, '\P{Dt=com}', "");
Expect(0, 127561, '\P{^Dt=com}', "");
Expect(1, 127560, '\p{Dt=_-Com}', "");
Expect(0, 127560, '\p{^Dt=_-Com}', "");
Expect(0, 127560, '\P{Dt=_-Com}', "");
Expect(1, 127560, '\P{^Dt=_-Com}', "");
Expect(0, 127561, '\p{Dt=_-Com}', "");
Expect(1, 127561, '\p{^Dt=_-Com}', "");
Expect(1, 127561, '\P{Dt=_-Com}', "");
Expect(0, 127561, '\P{^Dt=_-Com}', "");
Error('\p{Is_Decomposition_Type=-:=compat}');
Error('\P{Is_Decomposition_Type=-:=compat}');
Expect(1, 127560, '\p{Is_Decomposition_Type=compat}', "");
Expect(0, 127560, '\p{^Is_Decomposition_Type=compat}', "");
Expect(0, 127560, '\P{Is_Decomposition_Type=compat}', "");
Expect(1, 127560, '\P{^Is_Decomposition_Type=compat}', "");
Expect(0, 127561, '\p{Is_Decomposition_Type=compat}', "");
Expect(1, 127561, '\p{^Is_Decomposition_Type=compat}', "");
Expect(1, 127561, '\P{Is_Decomposition_Type=compat}', "");
Expect(0, 127561, '\P{^Is_Decomposition_Type=compat}', "");
Expect(1, 127560, '\p{Is_Decomposition_Type=	COMPAT}', "");
Expect(0, 127560, '\p{^Is_Decomposition_Type=	COMPAT}', "");
Expect(0, 127560, '\P{Is_Decomposition_Type=	COMPAT}', "");
Expect(1, 127560, '\P{^Is_Decomposition_Type=	COMPAT}', "");
Expect(0, 127561, '\p{Is_Decomposition_Type=	COMPAT}', "");
Expect(1, 127561, '\p{^Is_Decomposition_Type=	COMPAT}', "");
Expect(1, 127561, '\P{Is_Decomposition_Type=	COMPAT}', "");
Expect(0, 127561, '\P{^Is_Decomposition_Type=	COMPAT}', "");
Error('\p{Is_Dt=:= _Com}');
Error('\P{Is_Dt=:= _Com}');
Expect(1, 127560, '\p{Is_Dt: com}', "");
Expect(0, 127560, '\p{^Is_Dt: com}', "");
Expect(0, 127560, '\P{Is_Dt: com}', "");
Expect(1, 127560, '\P{^Is_Dt: com}', "");
Expect(0, 127561, '\p{Is_Dt: com}', "");
Expect(1, 127561, '\p{^Is_Dt: com}', "");
Expect(1, 127561, '\P{Is_Dt: com}', "");
Expect(0, 127561, '\P{^Is_Dt: com}', "");
Expect(1, 127560, '\p{Is_Dt=-com}', "");
Expect(0, 127560, '\p{^Is_Dt=-com}', "");
Expect(0, 127560, '\P{Is_Dt=-com}', "");
Expect(1, 127560, '\P{^Is_Dt=-com}', "");
Expect(0, 127561, '\p{Is_Dt=-com}', "");
Expect(1, 127561, '\p{^Is_Dt=-com}', "");
Expect(1, 127561, '\P{Is_Dt=-com}', "");
Expect(0, 127561, '\P{^Is_Dt=-com}', "");
Error('\p{Decomposition_Type=-/a/Circle}');
Error('\P{Decomposition_Type=-/a/Circle}');
Expect(1, 127569, '\p{Decomposition_Type=circle}', "");
Expect(0, 127569, '\p{^Decomposition_Type=circle}', "");
Expect(0, 127569, '\P{Decomposition_Type=circle}', "");
Expect(1, 127569, '\P{^Decomposition_Type=circle}', "");
Expect(0, 127570, '\p{Decomposition_Type=circle}', "");
Expect(1, 127570, '\p{^Decomposition_Type=circle}', "");
Expect(1, 127570, '\P{Decomposition_Type=circle}', "");
Expect(0, 127570, '\P{^Decomposition_Type=circle}', "");
Expect(1, 127569, '\p{Decomposition_Type=_Circle}', "");
Expect(0, 127569, '\p{^Decomposition_Type=_Circle}', "");
Expect(0, 127569, '\P{Decomposition_Type=_Circle}', "");
Expect(1, 127569, '\P{^Decomposition_Type=_Circle}', "");
Expect(0, 127570, '\p{Decomposition_Type=_Circle}', "");
Expect(1, 127570, '\p{^Decomposition_Type=_Circle}', "");
Expect(1, 127570, '\P{Decomposition_Type=_Circle}', "");
Expect(0, 127570, '\P{^Decomposition_Type=_Circle}', "");
Error('\p{Dt=	:=enc}');
Error('\P{Dt=	:=enc}');
Expect(1, 127569, '\p{Dt=enc}', "");
Expect(0, 127569, '\p{^Dt=enc}', "");
Expect(0, 127569, '\P{Dt=enc}', "");
Expect(1, 127569, '\P{^Dt=enc}', "");
Expect(0, 127570, '\p{Dt=enc}', "");
Expect(1, 127570, '\p{^Dt=enc}', "");
Expect(1, 127570, '\P{Dt=enc}', "");
Expect(0, 127570, '\P{^Dt=enc}', "");
Expect(1, 127569, '\p{Dt=	-ENC}', "");
Expect(0, 127569, '\p{^Dt=	-ENC}', "");
Expect(0, 127569, '\P{Dt=	-ENC}', "");
Expect(1, 127569, '\P{^Dt=	-ENC}', "");
Expect(0, 127570, '\p{Dt=	-ENC}', "");
Expect(1, 127570, '\p{^Dt=	-ENC}', "");
Expect(1, 127570, '\P{Dt=	-ENC}', "");
Expect(0, 127570, '\P{^Dt=	-ENC}', "");
Error('\p{Is_Decomposition_Type=-/a/circle}');
Error('\P{Is_Decomposition_Type=-/a/circle}');
Expect(1, 127569, '\p{Is_Decomposition_Type=circle}', "");
Expect(0, 127569, '\p{^Is_Decomposition_Type=circle}', "");
Expect(0, 127569, '\P{Is_Decomposition_Type=circle}', "");
Expect(1, 127569, '\P{^Is_Decomposition_Type=circle}', "");
Expect(0, 127570, '\p{Is_Decomposition_Type=circle}', "");
Expect(1, 127570, '\p{^Is_Decomposition_Type=circle}', "");
Expect(1, 127570, '\P{Is_Decomposition_Type=circle}', "");
Expect(0, 127570, '\P{^Is_Decomposition_Type=circle}', "");
Expect(1, 127569, '\p{Is_Decomposition_Type= -circle}', "");
Expect(0, 127569, '\p{^Is_Decomposition_Type= -circle}', "");
Expect(0, 127569, '\P{Is_Decomposition_Type= -circle}', "");
Expect(1, 127569, '\P{^Is_Decomposition_Type= -circle}', "");
Expect(0, 127570, '\p{Is_Decomposition_Type= -circle}', "");
Expect(1, 127570, '\p{^Is_Decomposition_Type= -circle}', "");
Expect(1, 127570, '\P{Is_Decomposition_Type= -circle}', "");
Expect(0, 127570, '\P{^Is_Decomposition_Type= -circle}', "");
Error('\p{Is_Dt=-/a/Enc}');
Error('\P{Is_Dt=-/a/Enc}');
Expect(1, 127569, '\p{Is_Dt: enc}', "");
Expect(0, 127569, '\p{^Is_Dt: enc}', "");
Expect(0, 127569, '\P{Is_Dt: enc}', "");
Expect(1, 127569, '\P{^Is_Dt: enc}', "");
Expect(0, 127570, '\p{Is_Dt: enc}', "");
Expect(1, 127570, '\p{^Is_Dt: enc}', "");
Expect(1, 127570, '\P{Is_Dt: enc}', "");
Expect(0, 127570, '\P{^Is_Dt: enc}', "");
Expect(1, 127569, '\p{Is_Dt=Enc}', "");
Expect(0, 127569, '\p{^Is_Dt=Enc}', "");
Expect(0, 127569, '\P{Is_Dt=Enc}', "");
Expect(1, 127569, '\P{^Is_Dt=Enc}', "");
Expect(0, 127570, '\p{Is_Dt=Enc}', "");
Expect(1, 127570, '\p{^Is_Dt=Enc}', "");
Expect(1, 127570, '\P{Is_Dt=Enc}', "");
Expect(0, 127570, '\P{^Is_Dt=Enc}', "");
Error('\p{Decomposition_Type=/a/_-final}');
Error('\P{Decomposition_Type=/a/_-final}');
Expect(1, 65276, '\p{Decomposition_Type=final}', "");
Expect(0, 65276, '\p{^Decomposition_Type=final}', "");
Expect(0, 65276, '\P{Decomposition_Type=final}', "");
Expect(1, 65276, '\P{^Decomposition_Type=final}', "");
Expect(0, 65277, '\p{Decomposition_Type=final}', "");
Expect(1, 65277, '\p{^Decomposition_Type=final}', "");
Expect(1, 65277, '\P{Decomposition_Type=final}', "");
Expect(0, 65277, '\P{^Decomposition_Type=final}', "");
Expect(1, 65276, '\p{Decomposition_Type: _FINAL}', "");
Expect(0, 65276, '\p{^Decomposition_Type: _FINAL}', "");
Expect(0, 65276, '\P{Decomposition_Type: _FINAL}', "");
Expect(1, 65276, '\P{^Decomposition_Type: _FINAL}', "");
Expect(0, 65277, '\p{Decomposition_Type: _FINAL}', "");
Expect(1, 65277, '\p{^Decomposition_Type: _FINAL}', "");
Expect(1, 65277, '\P{Decomposition_Type: _FINAL}', "");
Expect(0, 65277, '\P{^Decomposition_Type: _FINAL}', "");
Error('\p{Dt=  Fin:=}');
Error('\P{Dt=  Fin:=}');
Expect(1, 65276, '\p{Dt=fin}', "");
Expect(0, 65276, '\p{^Dt=fin}', "");
Expect(0, 65276, '\P{Dt=fin}', "");
Expect(1, 65276, '\P{^Dt=fin}', "");
Expect(0, 65277, '\p{Dt=fin}', "");
Expect(1, 65277, '\p{^Dt=fin}', "");
Expect(1, 65277, '\P{Dt=fin}', "");
Expect(0, 65277, '\P{^Dt=fin}', "");
Expect(1, 65276, '\p{Dt=--fin}', "");
Expect(0, 65276, '\p{^Dt=--fin}', "");
Expect(0, 65276, '\P{Dt=--fin}', "");
Expect(1, 65276, '\P{^Dt=--fin}', "");
Expect(0, 65277, '\p{Dt=--fin}', "");
Expect(1, 65277, '\p{^Dt=--fin}', "");
Expect(1, 65277, '\P{Dt=--fin}', "");
Expect(0, 65277, '\P{^Dt=--fin}', "");
Error('\p{Is_Decomposition_Type=_-FINAL/a/}');
Error('\P{Is_Decomposition_Type=_-FINAL/a/}');
Expect(1, 65276, '\p{Is_Decomposition_Type=final}', "");
Expect(0, 65276, '\p{^Is_Decomposition_Type=final}', "");
Expect(0, 65276, '\P{Is_Decomposition_Type=final}', "");
Expect(1, 65276, '\P{^Is_Decomposition_Type=final}', "");
Expect(0, 65277, '\p{Is_Decomposition_Type=final}', "");
Expect(1, 65277, '\p{^Is_Decomposition_Type=final}', "");
Expect(1, 65277, '\P{Is_Decomposition_Type=final}', "");
Expect(0, 65277, '\P{^Is_Decomposition_Type=final}', "");
Expect(1, 65276, '\p{Is_Decomposition_Type= -final}', "");
Expect(0, 65276, '\p{^Is_Decomposition_Type= -final}', "");
Expect(0, 65276, '\P{Is_Decomposition_Type= -final}', "");
Expect(1, 65276, '\P{^Is_Decomposition_Type= -final}', "");
Expect(0, 65277, '\p{Is_Decomposition_Type= -final}', "");
Expect(1, 65277, '\p{^Is_Decomposition_Type= -final}', "");
Expect(1, 65277, '\P{Is_Decomposition_Type= -final}', "");
Expect(0, 65277, '\P{^Is_Decomposition_Type= -final}', "");
Error('\p{Is_Dt=	:=FIN}');
Error('\P{Is_Dt=	:=FIN}');
Expect(1, 65276, '\p{Is_Dt: fin}', "");
Expect(0, 65276, '\p{^Is_Dt: fin}', "");
Expect(0, 65276, '\P{Is_Dt: fin}', "");
Expect(1, 65276, '\P{^Is_Dt: fin}', "");
Expect(0, 65277, '\p{Is_Dt: fin}', "");
Expect(1, 65277, '\p{^Is_Dt: fin}', "");
Expect(1, 65277, '\P{Is_Dt: fin}', "");
Expect(0, 65277, '\P{^Is_Dt: fin}', "");
Expect(1, 65276, '\p{Is_Dt= _FIN}', "");
Expect(0, 65276, '\p{^Is_Dt= _FIN}', "");
Expect(0, 65276, '\P{Is_Dt= _FIN}', "");
Expect(1, 65276, '\P{^Is_Dt= _FIN}', "");
Expect(0, 65277, '\p{Is_Dt= _FIN}', "");
Expect(1, 65277, '\p{^Is_Dt= _FIN}', "");
Expect(1, 65277, '\P{Is_Dt= _FIN}', "");
Expect(0, 65277, '\P{^Is_Dt= _FIN}', "");
Error('\p{Decomposition_Type=-_FONT/a/}');
Error('\P{Decomposition_Type=-_FONT/a/}');
Expect(1, 126651, '\p{Decomposition_Type:   font}', "");
Expect(0, 126651, '\p{^Decomposition_Type:   font}', "");
Expect(0, 126651, '\P{Decomposition_Type:   font}', "");
Expect(1, 126651, '\P{^Decomposition_Type:   font}', "");
Expect(0, 126652, '\p{Decomposition_Type:   font}', "");
Expect(1, 126652, '\p{^Decomposition_Type:   font}', "");
Expect(1, 126652, '\P{Decomposition_Type:   font}', "");
Expect(0, 126652, '\P{^Decomposition_Type:   font}', "");
Expect(1, 126651, '\p{Decomposition_Type:	FONT}', "");
Expect(0, 126651, '\p{^Decomposition_Type:	FONT}', "");
Expect(0, 126651, '\P{Decomposition_Type:	FONT}', "");
Expect(1, 126651, '\P{^Decomposition_Type:	FONT}', "");
Expect(0, 126652, '\p{Decomposition_Type:	FONT}', "");
Expect(1, 126652, '\p{^Decomposition_Type:	FONT}', "");
Expect(1, 126652, '\P{Decomposition_Type:	FONT}', "");
Expect(0, 126652, '\P{^Decomposition_Type:	FONT}', "");
Error('\p{Dt=:=-_Font}');
Error('\P{Dt=:=-_Font}');
Expect(1, 126651, '\p{Dt=font}', "");
Expect(0, 126651, '\p{^Dt=font}', "");
Expect(0, 126651, '\P{Dt=font}', "");
Expect(1, 126651, '\P{^Dt=font}', "");
Expect(0, 126652, '\p{Dt=font}', "");
Expect(1, 126652, '\p{^Dt=font}', "");
Expect(1, 126652, '\P{Dt=font}', "");
Expect(0, 126652, '\P{^Dt=font}', "");
Expect(1, 126651, '\p{Dt=-Font}', "");
Expect(0, 126651, '\p{^Dt=-Font}', "");
Expect(0, 126651, '\P{Dt=-Font}', "");
Expect(1, 126651, '\P{^Dt=-Font}', "");
Expect(0, 126652, '\p{Dt=-Font}', "");
Expect(1, 126652, '\p{^Dt=-Font}', "");
Expect(1, 126652, '\P{Dt=-Font}', "");
Expect(0, 126652, '\P{^Dt=-Font}', "");
Error('\p{Is_Decomposition_Type=/a/--font}');
Error('\P{Is_Decomposition_Type=/a/--font}');
Expect(1, 126651, '\p{Is_Decomposition_Type=font}', "");
Expect(0, 126651, '\p{^Is_Decomposition_Type=font}', "");
Expect(0, 126651, '\P{Is_Decomposition_Type=font}', "");
Expect(1, 126651, '\P{^Is_Decomposition_Type=font}', "");
Expect(0, 126652, '\p{Is_Decomposition_Type=font}', "");
Expect(1, 126652, '\p{^Is_Decomposition_Type=font}', "");
Expect(1, 126652, '\P{Is_Decomposition_Type=font}', "");
Expect(0, 126652, '\P{^Is_Decomposition_Type=font}', "");
Expect(1, 126651, '\p{Is_Decomposition_Type= _Font}', "");
Expect(0, 126651, '\p{^Is_Decomposition_Type= _Font}', "");
Expect(0, 126651, '\P{Is_Decomposition_Type= _Font}', "");
Expect(1, 126651, '\P{^Is_Decomposition_Type= _Font}', "");
Expect(0, 126652, '\p{Is_Decomposition_Type= _Font}', "");
Expect(1, 126652, '\p{^Is_Decomposition_Type= _Font}', "");
Expect(1, 126652, '\P{Is_Decomposition_Type= _Font}', "");
Expect(0, 126652, '\P{^Is_Decomposition_Type= _Font}', "");
Error('\p{Is_Dt=:=--Font}');
Error('\P{Is_Dt=:=--Font}');
Expect(1, 126651, '\p{Is_Dt:	font}', "");
Expect(0, 126651, '\p{^Is_Dt:	font}', "");
Expect(0, 126651, '\P{Is_Dt:	font}', "");
Expect(1, 126651, '\P{^Is_Dt:	font}', "");
Expect(0, 126652, '\p{Is_Dt:	font}', "");
Expect(1, 126652, '\p{^Is_Dt:	font}', "");
Expect(1, 126652, '\P{Is_Dt:	font}', "");
Expect(0, 126652, '\P{^Is_Dt:	font}', "");
Expect(1, 126651, '\p{Is_Dt:	-Font}', "");
Expect(0, 126651, '\p{^Is_Dt:	-Font}', "");
Expect(0, 126651, '\P{Is_Dt:	-Font}', "");
Expect(1, 126651, '\P{^Is_Dt:	-Font}', "");
Expect(0, 126652, '\p{Is_Dt:	-Font}', "");
Expect(1, 126652, '\p{^Is_Dt:	-Font}', "");
Expect(1, 126652, '\P{Is_Dt:	-Font}', "");
Expect(0, 126652, '\P{^Is_Dt:	-Font}', "");
Error('\p{Decomposition_Type=	FRACTION/a/}');
Error('\P{Decomposition_Type=	FRACTION/a/}');
Expect(1, 8585, '\p{Decomposition_Type=fraction}', "");
Expect(0, 8585, '\p{^Decomposition_Type=fraction}', "");
Expect(0, 8585, '\P{Decomposition_Type=fraction}', "");
Expect(1, 8585, '\P{^Decomposition_Type=fraction}', "");
Expect(0, 8586, '\p{Decomposition_Type=fraction}', "");
Expect(1, 8586, '\p{^Decomposition_Type=fraction}', "");
Expect(1, 8586, '\P{Decomposition_Type=fraction}', "");
Expect(0, 8586, '\P{^Decomposition_Type=fraction}', "");
Expect(1, 8585, '\p{Decomposition_Type=_	Fraction}', "");
Expect(0, 8585, '\p{^Decomposition_Type=_	Fraction}', "");
Expect(0, 8585, '\P{Decomposition_Type=_	Fraction}', "");
Expect(1, 8585, '\P{^Decomposition_Type=_	Fraction}', "");
Expect(0, 8586, '\p{Decomposition_Type=_	Fraction}', "");
Expect(1, 8586, '\p{^Decomposition_Type=_	Fraction}', "");
Expect(1, 8586, '\P{Decomposition_Type=_	Fraction}', "");
Expect(0, 8586, '\P{^Decomposition_Type=_	Fraction}', "");
Error('\p{Dt=:= 	Fra}');
Error('\P{Dt=:= 	Fra}');
Expect(1, 8585, '\p{Dt=fra}', "");
Expect(0, 8585, '\p{^Dt=fra}', "");
Expect(0, 8585, '\P{Dt=fra}', "");
Expect(1, 8585, '\P{^Dt=fra}', "");
Expect(0, 8586, '\p{Dt=fra}', "");
Expect(1, 8586, '\p{^Dt=fra}', "");
Expect(1, 8586, '\P{Dt=fra}', "");
Expect(0, 8586, '\P{^Dt=fra}', "");
Expect(1, 8585, '\p{Dt= _Fra}', "");
Expect(0, 8585, '\p{^Dt= _Fra}', "");
Expect(0, 8585, '\P{Dt= _Fra}', "");
Expect(1, 8585, '\P{^Dt= _Fra}', "");
Expect(0, 8586, '\p{Dt= _Fra}', "");
Expect(1, 8586, '\p{^Dt= _Fra}', "");
Expect(1, 8586, '\P{Dt= _Fra}', "");
Expect(0, 8586, '\P{^Dt= _Fra}', "");
Error('\p{Is_Decomposition_Type=/a/Fraction}');
Error('\P{Is_Decomposition_Type=/a/Fraction}');
Expect(1, 8585, '\p{Is_Decomposition_Type=fraction}', "");
Expect(0, 8585, '\p{^Is_Decomposition_Type=fraction}', "");
Expect(0, 8585, '\P{Is_Decomposition_Type=fraction}', "");
Expect(1, 8585, '\P{^Is_Decomposition_Type=fraction}', "");
Expect(0, 8586, '\p{Is_Decomposition_Type=fraction}', "");
Expect(1, 8586, '\p{^Is_Decomposition_Type=fraction}', "");
Expect(1, 8586, '\P{Is_Decomposition_Type=fraction}', "");
Expect(0, 8586, '\P{^Is_Decomposition_Type=fraction}', "");
Expect(1, 8585, '\p{Is_Decomposition_Type= _fraction}', "");
Expect(0, 8585, '\p{^Is_Decomposition_Type= _fraction}', "");
Expect(0, 8585, '\P{Is_Decomposition_Type= _fraction}', "");
Expect(1, 8585, '\P{^Is_Decomposition_Type= _fraction}', "");
Expect(0, 8586, '\p{Is_Decomposition_Type= _fraction}', "");
Expect(1, 8586, '\p{^Is_Decomposition_Type= _fraction}', "");
Expect(1, 8586, '\P{Is_Decomposition_Type= _fraction}', "");
Expect(0, 8586, '\P{^Is_Decomposition_Type= _fraction}', "");
Error('\p{Is_Dt=-_fra/a/}');
Error('\P{Is_Dt=-_fra/a/}');
Expect(1, 8585, '\p{Is_Dt=fra}', "");
Expect(0, 8585, '\p{^Is_Dt=fra}', "");
Expect(0, 8585, '\P{Is_Dt=fra}', "");
Expect(1, 8585, '\P{^Is_Dt=fra}', "");
Expect(0, 8586, '\p{Is_Dt=fra}', "");
Expect(1, 8586, '\p{^Is_Dt=fra}', "");
Expect(1, 8586, '\P{Is_Dt=fra}', "");
Expect(0, 8586, '\P{^Is_Dt=fra}', "");
Expect(1, 8585, '\p{Is_Dt: fra}', "");
Expect(0, 8585, '\p{^Is_Dt: fra}', "");
Expect(0, 8585, '\P{Is_Dt: fra}', "");
Expect(1, 8585, '\P{^Is_Dt: fra}', "");
Expect(0, 8586, '\p{Is_Dt: fra}', "");
Expect(1, 8586, '\p{^Is_Dt: fra}', "");
Expect(1, 8586, '\P{Is_Dt: fra}', "");
Expect(0, 8586, '\P{^Is_Dt: fra}', "");
Error('\p{Decomposition_Type=-	INITIAL/a/}');
Error('\P{Decomposition_Type=-	INITIAL/a/}');
Expect(1, 65267, '\p{Decomposition_Type=initial}', "");
Expect(0, 65267, '\p{^Decomposition_Type=initial}', "");
Expect(0, 65267, '\P{Decomposition_Type=initial}', "");
Expect(1, 65267, '\P{^Decomposition_Type=initial}', "");
Expect(0, 65268, '\p{Decomposition_Type=initial}', "");
Expect(1, 65268, '\p{^Decomposition_Type=initial}', "");
Expect(1, 65268, '\P{Decomposition_Type=initial}', "");
Expect(0, 65268, '\P{^Decomposition_Type=initial}', "");
Expect(1, 65267, '\p{Decomposition_Type=- Initial}', "");
Expect(0, 65267, '\p{^Decomposition_Type=- Initial}', "");
Expect(0, 65267, '\P{Decomposition_Type=- Initial}', "");
Expect(1, 65267, '\P{^Decomposition_Type=- Initial}', "");
Expect(0, 65268, '\p{Decomposition_Type=- Initial}', "");
Expect(1, 65268, '\p{^Decomposition_Type=- Initial}', "");
Expect(1, 65268, '\P{Decomposition_Type=- Initial}', "");
Expect(0, 65268, '\P{^Decomposition_Type=- Initial}', "");
Error('\p{Dt=	init:=}');
Error('\P{Dt=	init:=}');
Expect(1, 65267, '\p{Dt=init}', "");
Expect(0, 65267, '\p{^Dt=init}', "");
Expect(0, 65267, '\P{Dt=init}', "");
Expect(1, 65267, '\P{^Dt=init}', "");
Expect(0, 65268, '\p{Dt=init}', "");
Expect(1, 65268, '\p{^Dt=init}', "");
Expect(1, 65268, '\P{Dt=init}', "");
Expect(0, 65268, '\P{^Dt=init}', "");
Expect(1, 65267, '\p{Dt=	INIT}', "");
Expect(0, 65267, '\p{^Dt=	INIT}', "");
Expect(0, 65267, '\P{Dt=	INIT}', "");
Expect(1, 65267, '\P{^Dt=	INIT}', "");
Expect(0, 65268, '\p{Dt=	INIT}', "");
Expect(1, 65268, '\p{^Dt=	INIT}', "");
Expect(1, 65268, '\P{Dt=	INIT}', "");
Expect(0, 65268, '\P{^Dt=	INIT}', "");
Error('\p{Is_Decomposition_Type= _Initial:=}');
Error('\P{Is_Decomposition_Type= _Initial:=}');
Expect(1, 65267, '\p{Is_Decomposition_Type=initial}', "");
Expect(0, 65267, '\p{^Is_Decomposition_Type=initial}', "");
Expect(0, 65267, '\P{Is_Decomposition_Type=initial}', "");
Expect(1, 65267, '\P{^Is_Decomposition_Type=initial}', "");
Expect(0, 65268, '\p{Is_Decomposition_Type=initial}', "");
Expect(1, 65268, '\p{^Is_Decomposition_Type=initial}', "");
Expect(1, 65268, '\P{Is_Decomposition_Type=initial}', "");
Expect(0, 65268, '\P{^Is_Decomposition_Type=initial}', "");
Expect(1, 65267, '\p{Is_Decomposition_Type= Initial}', "");
Expect(0, 65267, '\p{^Is_Decomposition_Type= Initial}', "");
Expect(0, 65267, '\P{Is_Decomposition_Type= Initial}', "");
Expect(1, 65267, '\P{^Is_Decomposition_Type= Initial}', "");
Expect(0, 65268, '\p{Is_Decomposition_Type= Initial}', "");
Expect(1, 65268, '\p{^Is_Decomposition_Type= Initial}', "");
Expect(1, 65268, '\P{Is_Decomposition_Type= Initial}', "");
Expect(0, 65268, '\P{^Is_Decomposition_Type= Initial}', "");
Error('\p{Is_Dt=-	init:=}');
Error('\P{Is_Dt=-	init:=}');
Expect(1, 65267, '\p{Is_Dt=init}', "");
Expect(0, 65267, '\p{^Is_Dt=init}', "");
Expect(0, 65267, '\P{Is_Dt=init}', "");
Expect(1, 65267, '\P{^Is_Dt=init}', "");
Expect(0, 65268, '\p{Is_Dt=init}', "");
Expect(1, 65268, '\p{^Is_Dt=init}', "");
Expect(1, 65268, '\P{Is_Dt=init}', "");
Expect(0, 65268, '\P{^Is_Dt=init}', "");
Expect(1, 65267, '\p{Is_Dt= Init}', "");
Expect(0, 65267, '\p{^Is_Dt= Init}', "");
Expect(0, 65267, '\P{Is_Dt= Init}', "");
Expect(1, 65267, '\P{^Is_Dt= Init}', "");
Expect(0, 65268, '\p{Is_Dt= Init}', "");
Expect(1, 65268, '\p{^Is_Dt= Init}', "");
Expect(1, 65268, '\P{Is_Dt= Init}', "");
Expect(0, 65268, '\P{^Is_Dt= Init}', "");
Error('\p{Decomposition_Type=  Isolated:=}');
Error('\P{Decomposition_Type=  Isolated:=}');
Expect(1, 65275, '\p{Decomposition_Type=isolated}', "");
Expect(0, 65275, '\p{^Decomposition_Type=isolated}', "");
Expect(0, 65275, '\P{Decomposition_Type=isolated}', "");
Expect(1, 65275, '\P{^Decomposition_Type=isolated}', "");
Expect(0, 65276, '\p{Decomposition_Type=isolated}', "");
Expect(1, 65276, '\p{^Decomposition_Type=isolated}', "");
Expect(1, 65276, '\P{Decomposition_Type=isolated}', "");
Expect(0, 65276, '\P{^Decomposition_Type=isolated}', "");
Expect(1, 65275, '\p{Decomposition_Type= 	ISOLATED}', "");
Expect(0, 65275, '\p{^Decomposition_Type= 	ISOLATED}', "");
Expect(0, 65275, '\P{Decomposition_Type= 	ISOLATED}', "");
Expect(1, 65275, '\P{^Decomposition_Type= 	ISOLATED}', "");
Expect(0, 65276, '\p{Decomposition_Type= 	ISOLATED}', "");
Expect(1, 65276, '\p{^Decomposition_Type= 	ISOLATED}', "");
Expect(1, 65276, '\P{Decomposition_Type= 	ISOLATED}', "");
Expect(0, 65276, '\P{^Decomposition_Type= 	ISOLATED}', "");
Error('\p{Dt: _:=iso}');
Error('\P{Dt: _:=iso}');
Expect(1, 65275, '\p{Dt=iso}', "");
Expect(0, 65275, '\p{^Dt=iso}', "");
Expect(0, 65275, '\P{Dt=iso}', "");
Expect(1, 65275, '\P{^Dt=iso}', "");
Expect(0, 65276, '\p{Dt=iso}', "");
Expect(1, 65276, '\p{^Dt=iso}', "");
Expect(1, 65276, '\P{Dt=iso}', "");
Expect(0, 65276, '\P{^Dt=iso}', "");
Expect(1, 65275, '\p{Dt=_Iso}', "");
Expect(0, 65275, '\p{^Dt=_Iso}', "");
Expect(0, 65275, '\P{Dt=_Iso}', "");
Expect(1, 65275, '\P{^Dt=_Iso}', "");
Expect(0, 65276, '\p{Dt=_Iso}', "");
Expect(1, 65276, '\p{^Dt=_Iso}', "");
Expect(1, 65276, '\P{Dt=_Iso}', "");
Expect(0, 65276, '\P{^Dt=_Iso}', "");
Error('\p{Is_Decomposition_Type=:=	isolated}');
Error('\P{Is_Decomposition_Type=:=	isolated}');
Expect(1, 65275, '\p{Is_Decomposition_Type=isolated}', "");
Expect(0, 65275, '\p{^Is_Decomposition_Type=isolated}', "");
Expect(0, 65275, '\P{Is_Decomposition_Type=isolated}', "");
Expect(1, 65275, '\P{^Is_Decomposition_Type=isolated}', "");
Expect(0, 65276, '\p{Is_Decomposition_Type=isolated}', "");
Expect(1, 65276, '\p{^Is_Decomposition_Type=isolated}', "");
Expect(1, 65276, '\P{Is_Decomposition_Type=isolated}', "");
Expect(0, 65276, '\P{^Is_Decomposition_Type=isolated}', "");
Expect(1, 65275, '\p{Is_Decomposition_Type=  isolated}', "");
Expect(0, 65275, '\p{^Is_Decomposition_Type=  isolated}', "");
Expect(0, 65275, '\P{Is_Decomposition_Type=  isolated}', "");
Expect(1, 65275, '\P{^Is_Decomposition_Type=  isolated}', "");
Expect(0, 65276, '\p{Is_Decomposition_Type=  isolated}', "");
Expect(1, 65276, '\p{^Is_Decomposition_Type=  isolated}', "");
Expect(1, 65276, '\P{Is_Decomposition_Type=  isolated}', "");
Expect(0, 65276, '\P{^Is_Decomposition_Type=  isolated}', "");
Error('\p{Is_Dt=_/a/Iso}');
Error('\P{Is_Dt=_/a/Iso}');
Expect(1, 65275, '\p{Is_Dt=iso}', "");
Expect(0, 65275, '\p{^Is_Dt=iso}', "");
Expect(0, 65275, '\P{Is_Dt=iso}', "");
Expect(1, 65275, '\P{^Is_Dt=iso}', "");
Expect(0, 65276, '\p{Is_Dt=iso}', "");
Expect(1, 65276, '\p{^Is_Dt=iso}', "");
Expect(1, 65276, '\P{Is_Dt=iso}', "");
Expect(0, 65276, '\P{^Is_Dt=iso}', "");
Expect(1, 65275, '\p{Is_Dt=	-Iso}', "");
Expect(0, 65275, '\p{^Is_Dt=	-Iso}', "");
Expect(0, 65275, '\P{Is_Dt=	-Iso}', "");
Expect(1, 65275, '\P{^Is_Dt=	-Iso}', "");
Expect(0, 65276, '\p{Is_Dt=	-Iso}', "");
Expect(1, 65276, '\p{^Is_Dt=	-Iso}', "");
Expect(1, 65276, '\P{Is_Dt=	-Iso}', "");
Expect(0, 65276, '\P{^Is_Dt=	-Iso}', "");
Error('\p{Decomposition_Type=	:=medial}');
Error('\P{Decomposition_Type=	:=medial}');
Expect(1, 65268, '\p{Decomposition_Type=medial}', "");
Expect(0, 65268, '\p{^Decomposition_Type=medial}', "");
Expect(0, 65268, '\P{Decomposition_Type=medial}', "");
Expect(1, 65268, '\P{^Decomposition_Type=medial}', "");
Expect(0, 65269, '\p{Decomposition_Type=medial}', "");
Expect(1, 65269, '\p{^Decomposition_Type=medial}', "");
Expect(1, 65269, '\P{Decomposition_Type=medial}', "");
Expect(0, 65269, '\P{^Decomposition_Type=medial}', "");
Expect(1, 65268, '\p{Decomposition_Type=  medial}', "");
Expect(0, 65268, '\p{^Decomposition_Type=  medial}', "");
Expect(0, 65268, '\P{Decomposition_Type=  medial}', "");
Expect(1, 65268, '\P{^Decomposition_Type=  medial}', "");
Expect(0, 65269, '\p{Decomposition_Type=  medial}', "");
Expect(1, 65269, '\p{^Decomposition_Type=  medial}', "");
Expect(1, 65269, '\P{Decomposition_Type=  medial}', "");
Expect(0, 65269, '\P{^Decomposition_Type=  medial}', "");
Error('\p{Dt= 	MED:=}');
Error('\P{Dt= 	MED:=}');
Expect(1, 65268, '\p{Dt:	med}', "");
Expect(0, 65268, '\p{^Dt:	med}', "");
Expect(0, 65268, '\P{Dt:	med}', "");
Expect(1, 65268, '\P{^Dt:	med}', "");
Expect(0, 65269, '\p{Dt:	med}', "");
Expect(1, 65269, '\p{^Dt:	med}', "");
Expect(1, 65269, '\P{Dt:	med}', "");
Expect(0, 65269, '\P{^Dt:	med}', "");
Expect(1, 65268, '\p{Dt=  Med}', "");
Expect(0, 65268, '\p{^Dt=  Med}', "");
Expect(0, 65268, '\P{Dt=  Med}', "");
Expect(1, 65268, '\P{^Dt=  Med}', "");
Expect(0, 65269, '\p{Dt=  Med}', "");
Expect(1, 65269, '\p{^Dt=  Med}', "");
Expect(1, 65269, '\P{Dt=  Med}', "");
Expect(0, 65269, '\P{^Dt=  Med}', "");
Error('\p{Is_Decomposition_Type:		/a/Medial}');
Error('\P{Is_Decomposition_Type:		/a/Medial}');
Expect(1, 65268, '\p{Is_Decomposition_Type=medial}', "");
Expect(0, 65268, '\p{^Is_Decomposition_Type=medial}', "");
Expect(0, 65268, '\P{Is_Decomposition_Type=medial}', "");
Expect(1, 65268, '\P{^Is_Decomposition_Type=medial}', "");
Expect(0, 65269, '\p{Is_Decomposition_Type=medial}', "");
Expect(1, 65269, '\p{^Is_Decomposition_Type=medial}', "");
Expect(1, 65269, '\P{Is_Decomposition_Type=medial}', "");
Expect(0, 65269, '\P{^Is_Decomposition_Type=medial}', "");
Expect(1, 65268, '\p{Is_Decomposition_Type=-Medial}', "");
Expect(0, 65268, '\p{^Is_Decomposition_Type=-Medial}', "");
Expect(0, 65268, '\P{Is_Decomposition_Type=-Medial}', "");
Expect(1, 65268, '\P{^Is_Decomposition_Type=-Medial}', "");
Expect(0, 65269, '\p{Is_Decomposition_Type=-Medial}', "");
Expect(1, 65269, '\p{^Is_Decomposition_Type=-Medial}', "");
Expect(1, 65269, '\P{Is_Decomposition_Type=-Medial}', "");
Expect(0, 65269, '\P{^Is_Decomposition_Type=-Medial}', "");
Error('\p{Is_Dt=-:=Med}');
Error('\P{Is_Dt=-:=Med}');
Expect(1, 65268, '\p{Is_Dt=med}', "");
Expect(0, 65268, '\p{^Is_Dt=med}', "");
Expect(0, 65268, '\P{Is_Dt=med}', "");
Expect(1, 65268, '\P{^Is_Dt=med}', "");
Expect(0, 65269, '\p{Is_Dt=med}', "");
Expect(1, 65269, '\p{^Is_Dt=med}', "");
Expect(1, 65269, '\P{Is_Dt=med}', "");
Expect(0, 65269, '\P{^Is_Dt=med}', "");
Expect(1, 65268, '\p{Is_Dt=MED}', "");
Expect(0, 65268, '\p{^Is_Dt=MED}', "");
Expect(0, 65268, '\P{Is_Dt=MED}', "");
Expect(1, 65268, '\P{^Is_Dt=MED}', "");
Expect(0, 65269, '\p{Is_Dt=MED}', "");
Expect(1, 65269, '\p{^Is_Dt=MED}', "");
Expect(1, 65269, '\P{Is_Dt=MED}', "");
Expect(0, 65269, '\P{^Is_Dt=MED}', "");
Error('\p{Decomposition_Type=:=_-Narrow}');
Error('\P{Decomposition_Type=:=_-Narrow}');
Expect(1, 65518, '\p{Decomposition_Type=narrow}', "");
Expect(0, 65518, '\p{^Decomposition_Type=narrow}', "");
Expect(0, 65518, '\P{Decomposition_Type=narrow}', "");
Expect(1, 65518, '\P{^Decomposition_Type=narrow}', "");
Expect(0, 65519, '\p{Decomposition_Type=narrow}', "");
Expect(1, 65519, '\p{^Decomposition_Type=narrow}', "");
Expect(1, 65519, '\P{Decomposition_Type=narrow}', "");
Expect(0, 65519, '\P{^Decomposition_Type=narrow}', "");
Expect(1, 65518, '\p{Decomposition_Type=	Narrow}', "");
Expect(0, 65518, '\p{^Decomposition_Type=	Narrow}', "");
Expect(0, 65518, '\P{Decomposition_Type=	Narrow}', "");
Expect(1, 65518, '\P{^Decomposition_Type=	Narrow}', "");
Expect(0, 65519, '\p{Decomposition_Type=	Narrow}', "");
Expect(1, 65519, '\p{^Decomposition_Type=	Narrow}', "");
Expect(1, 65519, '\P{Decomposition_Type=	Narrow}', "");
Expect(0, 65519, '\P{^Decomposition_Type=	Narrow}', "");
Error('\p{Dt=	:=Nar}');
Error('\P{Dt=	:=Nar}');
Expect(1, 65518, '\p{Dt:   nar}', "");
Expect(0, 65518, '\p{^Dt:   nar}', "");
Expect(0, 65518, '\P{Dt:   nar}', "");
Expect(1, 65518, '\P{^Dt:   nar}', "");
Expect(0, 65519, '\p{Dt:   nar}', "");
Expect(1, 65519, '\p{^Dt:   nar}', "");
Expect(1, 65519, '\P{Dt:   nar}', "");
Expect(0, 65519, '\P{^Dt:   nar}', "");
Expect(1, 65518, '\p{Dt: -_NAR}', "");
Expect(0, 65518, '\p{^Dt: -_NAR}', "");
Expect(0, 65518, '\P{Dt: -_NAR}', "");
Expect(1, 65518, '\P{^Dt: -_NAR}', "");
Expect(0, 65519, '\p{Dt: -_NAR}', "");
Expect(1, 65519, '\p{^Dt: -_NAR}', "");
Expect(1, 65519, '\P{Dt: -_NAR}', "");
Expect(0, 65519, '\P{^Dt: -_NAR}', "");
Error('\p{Is_Decomposition_Type:_:=Narrow}');
Error('\P{Is_Decomposition_Type:_:=Narrow}');
Expect(1, 65518, '\p{Is_Decomposition_Type:	narrow}', "");
Expect(0, 65518, '\p{^Is_Decomposition_Type:	narrow}', "");
Expect(0, 65518, '\P{Is_Decomposition_Type:	narrow}', "");
Expect(1, 65518, '\P{^Is_Decomposition_Type:	narrow}', "");
Expect(0, 65519, '\p{Is_Decomposition_Type:	narrow}', "");
Expect(1, 65519, '\p{^Is_Decomposition_Type:	narrow}', "");
Expect(1, 65519, '\P{Is_Decomposition_Type:	narrow}', "");
Expect(0, 65519, '\P{^Is_Decomposition_Type:	narrow}', "");
Expect(1, 65518, '\p{Is_Decomposition_Type=--narrow}', "");
Expect(0, 65518, '\p{^Is_Decomposition_Type=--narrow}', "");
Expect(0, 65518, '\P{Is_Decomposition_Type=--narrow}', "");
Expect(1, 65518, '\P{^Is_Decomposition_Type=--narrow}', "");
Expect(0, 65519, '\p{Is_Decomposition_Type=--narrow}', "");
Expect(1, 65519, '\p{^Is_Decomposition_Type=--narrow}', "");
Expect(1, 65519, '\P{Is_Decomposition_Type=--narrow}', "");
Expect(0, 65519, '\P{^Is_Decomposition_Type=--narrow}', "");
Error('\p{Is_Dt= /a/Nar}');
Error('\P{Is_Dt= /a/Nar}');
Expect(1, 65518, '\p{Is_Dt=nar}', "");
Expect(0, 65518, '\p{^Is_Dt=nar}', "");
Expect(0, 65518, '\P{Is_Dt=nar}', "");
Expect(1, 65518, '\P{^Is_Dt=nar}', "");
Expect(0, 65519, '\p{Is_Dt=nar}', "");
Expect(1, 65519, '\p{^Is_Dt=nar}', "");
Expect(1, 65519, '\P{Is_Dt=nar}', "");
Expect(0, 65519, '\P{^Is_Dt=nar}', "");
Expect(1, 65518, '\p{Is_Dt=  Nar}', "");
Expect(0, 65518, '\p{^Is_Dt=  Nar}', "");
Expect(0, 65518, '\P{Is_Dt=  Nar}', "");
Expect(1, 65518, '\P{^Is_Dt=  Nar}', "");
Expect(0, 65519, '\p{Is_Dt=  Nar}', "");
Expect(1, 65519, '\p{^Is_Dt=  Nar}', "");
Expect(1, 65519, '\P{Is_Dt=  Nar}', "");
Expect(0, 65519, '\P{^Is_Dt=  Nar}', "");
Error('\p{Decomposition_Type= /a/Nobreak}');
Error('\P{Decomposition_Type= /a/Nobreak}');
Expect(1, 8239, '\p{Decomposition_Type: nobreak}', "");
Expect(0, 8239, '\p{^Decomposition_Type: nobreak}', "");
Expect(0, 8239, '\P{Decomposition_Type: nobreak}', "");
Expect(1, 8239, '\P{^Decomposition_Type: nobreak}', "");
Expect(0, 8240, '\p{Decomposition_Type: nobreak}', "");
Expect(1, 8240, '\p{^Decomposition_Type: nobreak}', "");
Expect(1, 8240, '\P{Decomposition_Type: nobreak}', "");
Expect(0, 8240, '\P{^Decomposition_Type: nobreak}', "");
Expect(1, 8239, '\p{Decomposition_Type=_nobreak}', "");
Expect(0, 8239, '\p{^Decomposition_Type=_nobreak}', "");
Expect(0, 8239, '\P{Decomposition_Type=_nobreak}', "");
Expect(1, 8239, '\P{^Decomposition_Type=_nobreak}', "");
Expect(0, 8240, '\p{Decomposition_Type=_nobreak}', "");
Expect(1, 8240, '\p{^Decomposition_Type=_nobreak}', "");
Expect(1, 8240, '\P{Decomposition_Type=_nobreak}', "");
Expect(0, 8240, '\P{^Decomposition_Type=_nobreak}', "");
Error('\p{Dt=:=Nb}');
Error('\P{Dt=:=Nb}');
Expect(1, 8239, '\p{Dt=nb}', "");
Expect(0, 8239, '\p{^Dt=nb}', "");
Expect(0, 8239, '\P{Dt=nb}', "");
Expect(1, 8239, '\P{^Dt=nb}', "");
Expect(0, 8240, '\p{Dt=nb}', "");
Expect(1, 8240, '\p{^Dt=nb}', "");
Expect(1, 8240, '\P{Dt=nb}', "");
Expect(0, 8240, '\P{^Dt=nb}', "");
Expect(1, 8239, '\p{Dt= Nb}', "");
Expect(0, 8239, '\p{^Dt= Nb}', "");
Expect(0, 8239, '\P{Dt= Nb}', "");
Expect(1, 8239, '\P{^Dt= Nb}', "");
Expect(0, 8240, '\p{Dt= Nb}', "");
Expect(1, 8240, '\p{^Dt= Nb}', "");
Expect(1, 8240, '\P{Dt= Nb}', "");
Expect(0, 8240, '\P{^Dt= Nb}', "");
Error('\p{Is_Decomposition_Type=Nobreak/a/}');
Error('\P{Is_Decomposition_Type=Nobreak/a/}');
Expect(1, 8239, '\p{Is_Decomposition_Type=nobreak}', "");
Expect(0, 8239, '\p{^Is_Decomposition_Type=nobreak}', "");
Expect(0, 8239, '\P{Is_Decomposition_Type=nobreak}', "");
Expect(1, 8239, '\P{^Is_Decomposition_Type=nobreak}', "");
Expect(0, 8240, '\p{Is_Decomposition_Type=nobreak}', "");
Expect(1, 8240, '\p{^Is_Decomposition_Type=nobreak}', "");
Expect(1, 8240, '\P{Is_Decomposition_Type=nobreak}', "");
Expect(0, 8240, '\P{^Is_Decomposition_Type=nobreak}', "");
Expect(1, 8239, '\p{Is_Decomposition_Type=	_nobreak}', "");
Expect(0, 8239, '\p{^Is_Decomposition_Type=	_nobreak}', "");
Expect(0, 8239, '\P{Is_Decomposition_Type=	_nobreak}', "");
Expect(1, 8239, '\P{^Is_Decomposition_Type=	_nobreak}', "");
Expect(0, 8240, '\p{Is_Decomposition_Type=	_nobreak}', "");
Expect(1, 8240, '\p{^Is_Decomposition_Type=	_nobreak}', "");
Expect(1, 8240, '\P{Is_Decomposition_Type=	_nobreak}', "");
Expect(0, 8240, '\P{^Is_Decomposition_Type=	_nobreak}', "");
Error('\p{Is_Dt=-_nb:=}');
Error('\P{Is_Dt=-_nb:=}');
Expect(1, 8239, '\p{Is_Dt=nb}', "");
Expect(0, 8239, '\p{^Is_Dt=nb}', "");
Expect(0, 8239, '\P{Is_Dt=nb}', "");
Expect(1, 8239, '\P{^Is_Dt=nb}', "");
Expect(0, 8240, '\p{Is_Dt=nb}', "");
Expect(1, 8240, '\p{^Is_Dt=nb}', "");
Expect(1, 8240, '\P{Is_Dt=nb}', "");
Expect(0, 8240, '\P{^Is_Dt=nb}', "");
Expect(1, 8239, '\p{Is_Dt= -Nb}', "");
Expect(0, 8239, '\p{^Is_Dt= -Nb}', "");
Expect(0, 8239, '\P{Is_Dt= -Nb}', "");
Expect(1, 8239, '\P{^Is_Dt= -Nb}', "");
Expect(0, 8240, '\p{Is_Dt= -Nb}', "");
Expect(1, 8240, '\p{^Is_Dt= -Nb}', "");
Expect(1, 8240, '\P{Is_Dt= -Nb}', "");
Expect(0, 8240, '\P{^Is_Dt= -Nb}', "");
Error('\p{Decomposition_Type:   :=non_canonical}');
Error('\P{Decomposition_Type:   :=non_canonical}');
Expect(1, 127569, '\p{Decomposition_Type=noncanonical}', "");
Expect(0, 127569, '\p{^Decomposition_Type=noncanonical}', "");
Expect(0, 127569, '\P{Decomposition_Type=noncanonical}', "");
Expect(1, 127569, '\P{^Decomposition_Type=noncanonical}', "");
Expect(0, 127570, '\p{Decomposition_Type=noncanonical}', "");
Expect(1, 127570, '\p{^Decomposition_Type=noncanonical}', "");
Expect(1, 127570, '\P{Decomposition_Type=noncanonical}', "");
Expect(0, 127570, '\P{^Decomposition_Type=noncanonical}', "");
Expect(1, 127569, '\p{Decomposition_Type=- NON_CANONICAL}', "");
Expect(0, 127569, '\p{^Decomposition_Type=- NON_CANONICAL}', "");
Expect(0, 127569, '\P{Decomposition_Type=- NON_CANONICAL}', "");
Expect(1, 127569, '\P{^Decomposition_Type=- NON_CANONICAL}', "");
Expect(0, 127570, '\p{Decomposition_Type=- NON_CANONICAL}', "");
Expect(1, 127570, '\p{^Decomposition_Type=- NON_CANONICAL}', "");
Expect(1, 127570, '\P{Decomposition_Type=- NON_CANONICAL}', "");
Expect(0, 127570, '\P{^Decomposition_Type=- NON_CANONICAL}', "");
Error('\p{Dt=		non_CANON/a/}');
Error('\P{Dt=		non_CANON/a/}');
Expect(1, 127569, '\p{Dt=noncanon}', "");
Expect(0, 127569, '\p{^Dt=noncanon}', "");
Expect(0, 127569, '\P{Dt=noncanon}', "");
Expect(1, 127569, '\P{^Dt=noncanon}', "");
Expect(0, 127570, '\p{Dt=noncanon}', "");
Expect(1, 127570, '\p{^Dt=noncanon}', "");
Expect(1, 127570, '\P{Dt=noncanon}', "");
Expect(0, 127570, '\P{^Dt=noncanon}', "");
Expect(1, 127569, '\p{Dt=_Non_Canon}', "");
Expect(0, 127569, '\p{^Dt=_Non_Canon}', "");
Expect(0, 127569, '\P{Dt=_Non_Canon}', "");
Expect(1, 127569, '\P{^Dt=_Non_Canon}', "");
Expect(0, 127570, '\p{Dt=_Non_Canon}', "");
Expect(1, 127570, '\p{^Dt=_Non_Canon}', "");
Expect(1, 127570, '\P{Dt=_Non_Canon}', "");
Expect(0, 127570, '\P{^Dt=_Non_Canon}', "");
Error('\p{Is_Decomposition_Type:   :=-NON_Canonical}');
Error('\P{Is_Decomposition_Type:   :=-NON_Canonical}');
Expect(1, 127569, '\p{Is_Decomposition_Type=noncanonical}', "");
Expect(0, 127569, '\p{^Is_Decomposition_Type=noncanonical}', "");
Expect(0, 127569, '\P{Is_Decomposition_Type=noncanonical}', "");
Expect(1, 127569, '\P{^Is_Decomposition_Type=noncanonical}', "");
Expect(0, 127570, '\p{Is_Decomposition_Type=noncanonical}', "");
Expect(1, 127570, '\p{^Is_Decomposition_Type=noncanonical}', "");
Expect(1, 127570, '\P{Is_Decomposition_Type=noncanonical}', "");
Expect(0, 127570, '\P{^Is_Decomposition_Type=noncanonical}', "");
Expect(1, 127569, '\p{Is_Decomposition_Type=--non_canonical}', "");
Expect(0, 127569, '\p{^Is_Decomposition_Type=--non_canonical}', "");
Expect(0, 127569, '\P{Is_Decomposition_Type=--non_canonical}', "");
Expect(1, 127569, '\P{^Is_Decomposition_Type=--non_canonical}', "");
Expect(0, 127570, '\p{Is_Decomposition_Type=--non_canonical}', "");
Expect(1, 127570, '\p{^Is_Decomposition_Type=--non_canonical}', "");
Expect(1, 127570, '\P{Is_Decomposition_Type=--non_canonical}', "");
Expect(0, 127570, '\P{^Is_Decomposition_Type=--non_canonical}', "");
Error('\p{Is_Dt=_/a/non_canon}');
Error('\P{Is_Dt=_/a/non_canon}');
Expect(1, 127569, '\p{Is_Dt=noncanon}', "");
Expect(0, 127569, '\p{^Is_Dt=noncanon}', "");
Expect(0, 127569, '\P{Is_Dt=noncanon}', "");
Expect(1, 127569, '\P{^Is_Dt=noncanon}', "");
Expect(0, 127570, '\p{Is_Dt=noncanon}', "");
Expect(1, 127570, '\p{^Is_Dt=noncanon}', "");
Expect(1, 127570, '\P{Is_Dt=noncanon}', "");
Expect(0, 127570, '\P{^Is_Dt=noncanon}', "");
Expect(1, 127569, '\p{Is_Dt=	_NON_canon}', "");
Expect(0, 127569, '\p{^Is_Dt=	_NON_canon}', "");
Expect(0, 127569, '\P{Is_Dt=	_NON_canon}', "");
Expect(1, 127569, '\P{^Is_Dt=	_NON_canon}', "");
Expect(0, 127570, '\p{Is_Dt=	_NON_canon}', "");
Expect(1, 127570, '\p{^Is_Dt=	_NON_canon}', "");
Expect(1, 127570, '\P{Is_Dt=	_NON_canon}', "");
Expect(0, 127570, '\P{^Is_Dt=	_NON_canon}', "");
Error('\p{Decomposition_Type=_:=NONE}');
Error('\P{Decomposition_Type=_:=NONE}');
Expect(1, 195102, '\p{Decomposition_Type=none}', "");
Expect(0, 195102, '\p{^Decomposition_Type=none}', "");
Expect(0, 195102, '\P{Decomposition_Type=none}', "");
Expect(1, 195102, '\P{^Decomposition_Type=none}', "");
Expect(0, 195101, '\p{Decomposition_Type=none}', "");
Expect(1, 195101, '\p{^Decomposition_Type=none}', "");
Expect(1, 195101, '\P{Decomposition_Type=none}', "");
Expect(0, 195101, '\P{^Decomposition_Type=none}', "");
Expect(1, 195102, '\p{Decomposition_Type=-NONE}', "");
Expect(0, 195102, '\p{^Decomposition_Type=-NONE}', "");
Expect(0, 195102, '\P{Decomposition_Type=-NONE}', "");
Expect(1, 195102, '\P{^Decomposition_Type=-NONE}', "");
Expect(0, 195101, '\p{Decomposition_Type=-NONE}', "");
Expect(1, 195101, '\p{^Decomposition_Type=-NONE}', "");
Expect(1, 195101, '\P{Decomposition_Type=-NONE}', "");
Expect(0, 195101, '\P{^Decomposition_Type=-NONE}', "");
Error('\p{Dt= -NONE:=}');
Error('\P{Dt= -NONE:=}');
Expect(1, 195102, '\p{Dt=none}', "");
Expect(0, 195102, '\p{^Dt=none}', "");
Expect(0, 195102, '\P{Dt=none}', "");
Expect(1, 195102, '\P{^Dt=none}', "");
Expect(0, 195101, '\p{Dt=none}', "");
Expect(1, 195101, '\p{^Dt=none}', "");
Expect(1, 195101, '\P{Dt=none}', "");
Expect(0, 195101, '\P{^Dt=none}', "");
Expect(1, 195102, '\p{Dt=_ NONE}', "");
Expect(0, 195102, '\p{^Dt=_ NONE}', "");
Expect(0, 195102, '\P{Dt=_ NONE}', "");
Expect(1, 195102, '\P{^Dt=_ NONE}', "");
Expect(0, 195101, '\p{Dt=_ NONE}', "");
Expect(1, 195101, '\p{^Dt=_ NONE}', "");
Expect(1, 195101, '\P{Dt=_ NONE}', "");
Expect(0, 195101, '\P{^Dt=_ NONE}', "");
Error('\p{Is_Decomposition_Type= :=None}');
Error('\P{Is_Decomposition_Type= :=None}');
Expect(1, 195102, '\p{Is_Decomposition_Type=none}', "");
Expect(0, 195102, '\p{^Is_Decomposition_Type=none}', "");
Expect(0, 195102, '\P{Is_Decomposition_Type=none}', "");
Expect(1, 195102, '\P{^Is_Decomposition_Type=none}', "");
Expect(0, 195101, '\p{Is_Decomposition_Type=none}', "");
Expect(1, 195101, '\p{^Is_Decomposition_Type=none}', "");
Expect(1, 195101, '\P{Is_Decomposition_Type=none}', "");
Expect(0, 195101, '\P{^Is_Decomposition_Type=none}', "");
Expect(1, 195102, '\p{Is_Decomposition_Type=	None}', "");
Expect(0, 195102, '\p{^Is_Decomposition_Type=	None}', "");
Expect(0, 195102, '\P{Is_Decomposition_Type=	None}', "");
Expect(1, 195102, '\P{^Is_Decomposition_Type=	None}', "");
Expect(0, 195101, '\p{Is_Decomposition_Type=	None}', "");
Expect(1, 195101, '\p{^Is_Decomposition_Type=	None}', "");
Expect(1, 195101, '\P{Is_Decomposition_Type=	None}', "");
Expect(0, 195101, '\P{^Is_Decomposition_Type=	None}', "");
Error('\p{Is_Dt:/a/-none}');
Error('\P{Is_Dt:/a/-none}');
Expect(1, 195102, '\p{Is_Dt=none}', "");
Expect(0, 195102, '\p{^Is_Dt=none}', "");
Expect(0, 195102, '\P{Is_Dt=none}', "");
Expect(1, 195102, '\P{^Is_Dt=none}', "");
Expect(0, 195101, '\p{Is_Dt=none}', "");
Expect(1, 195101, '\p{^Is_Dt=none}', "");
Expect(1, 195101, '\P{Is_Dt=none}', "");
Expect(0, 195101, '\P{^Is_Dt=none}', "");
Expect(1, 195102, '\p{Is_Dt=  none}', "");
Expect(0, 195102, '\p{^Is_Dt=  none}', "");
Expect(0, 195102, '\P{Is_Dt=  none}', "");
Expect(1, 195102, '\P{^Is_Dt=  none}', "");
Expect(0, 195101, '\p{Is_Dt=  none}', "");
Expect(1, 195101, '\p{^Is_Dt=  none}', "");
Expect(1, 195101, '\P{Is_Dt=  none}', "");
Expect(0, 195101, '\P{^Is_Dt=  none}', "");
Error('\p{Decomposition_Type=-_Small/a/}');
Error('\P{Decomposition_Type=-_Small/a/}');
Expect(1, 65131, '\p{Decomposition_Type=small}', "");
Expect(0, 65131, '\p{^Decomposition_Type=small}', "");
Expect(0, 65131, '\P{Decomposition_Type=small}', "");
Expect(1, 65131, '\P{^Decomposition_Type=small}', "");
Expect(0, 65132, '\p{Decomposition_Type=small}', "");
Expect(1, 65132, '\p{^Decomposition_Type=small}', "");
Expect(1, 65132, '\P{Decomposition_Type=small}', "");
Expect(0, 65132, '\P{^Decomposition_Type=small}', "");
Expect(1, 65131, '\p{Decomposition_Type= -small}', "");
Expect(0, 65131, '\p{^Decomposition_Type= -small}', "");
Expect(0, 65131, '\P{Decomposition_Type= -small}', "");
Expect(1, 65131, '\P{^Decomposition_Type= -small}', "");
Expect(0, 65132, '\p{Decomposition_Type= -small}', "");
Expect(1, 65132, '\p{^Decomposition_Type= -small}', "");
Expect(1, 65132, '\P{Decomposition_Type= -small}', "");
Expect(0, 65132, '\P{^Decomposition_Type= -small}', "");
Error('\p{Dt= sml/a/}');
Error('\P{Dt= sml/a/}');
Expect(1, 65131, '\p{Dt=sml}', "");
Expect(0, 65131, '\p{^Dt=sml}', "");
Expect(0, 65131, '\P{Dt=sml}', "");
Expect(1, 65131, '\P{^Dt=sml}', "");
Expect(0, 65132, '\p{Dt=sml}', "");
Expect(1, 65132, '\p{^Dt=sml}', "");
Expect(1, 65132, '\P{Dt=sml}', "");
Expect(0, 65132, '\P{^Dt=sml}', "");
Expect(1, 65131, '\p{Dt=- SML}', "");
Expect(0, 65131, '\p{^Dt=- SML}', "");
Expect(0, 65131, '\P{Dt=- SML}', "");
Expect(1, 65131, '\P{^Dt=- SML}', "");
Expect(0, 65132, '\p{Dt=- SML}', "");
Expect(1, 65132, '\p{^Dt=- SML}', "");
Expect(1, 65132, '\P{Dt=- SML}', "");
Expect(0, 65132, '\P{^Dt=- SML}', "");
Error('\p{Is_Decomposition_Type= Small/a/}');
Error('\P{Is_Decomposition_Type= Small/a/}');
Expect(1, 65131, '\p{Is_Decomposition_Type=small}', "");
Expect(0, 65131, '\p{^Is_Decomposition_Type=small}', "");
Expect(0, 65131, '\P{Is_Decomposition_Type=small}', "");
Expect(1, 65131, '\P{^Is_Decomposition_Type=small}', "");
Expect(0, 65132, '\p{Is_Decomposition_Type=small}', "");
Expect(1, 65132, '\p{^Is_Decomposition_Type=small}', "");
Expect(1, 65132, '\P{Is_Decomposition_Type=small}', "");
Expect(0, 65132, '\P{^Is_Decomposition_Type=small}', "");
Expect(1, 65131, '\p{Is_Decomposition_Type=- Small}', "");
Expect(0, 65131, '\p{^Is_Decomposition_Type=- Small}', "");
Expect(0, 65131, '\P{Is_Decomposition_Type=- Small}', "");
Expect(1, 65131, '\P{^Is_Decomposition_Type=- Small}', "");
Expect(0, 65132, '\p{Is_Decomposition_Type=- Small}', "");
Expect(1, 65132, '\p{^Is_Decomposition_Type=- Small}', "");
Expect(1, 65132, '\P{Is_Decomposition_Type=- Small}', "");
Expect(0, 65132, '\P{^Is_Decomposition_Type=- Small}', "");
Error('\p{Is_Dt=_:=Sml}');
Error('\P{Is_Dt=_:=Sml}');
Expect(1, 65131, '\p{Is_Dt=sml}', "");
Expect(0, 65131, '\p{^Is_Dt=sml}', "");
Expect(0, 65131, '\P{Is_Dt=sml}', "");
Expect(1, 65131, '\P{^Is_Dt=sml}', "");
Expect(0, 65132, '\p{Is_Dt=sml}', "");
Expect(1, 65132, '\p{^Is_Dt=sml}', "");
Expect(1, 65132, '\P{Is_Dt=sml}', "");
Expect(0, 65132, '\P{^Is_Dt=sml}', "");
Expect(1, 65131, '\p{Is_Dt:   	sml}', "");
Expect(0, 65131, '\p{^Is_Dt:   	sml}', "");
Expect(0, 65131, '\P{Is_Dt:   	sml}', "");
Expect(1, 65131, '\P{^Is_Dt:   	sml}', "");
Expect(0, 65132, '\p{Is_Dt:   	sml}', "");
Expect(1, 65132, '\p{^Is_Dt:   	sml}', "");
Expect(1, 65132, '\P{Is_Dt:   	sml}', "");
Expect(0, 65132, '\P{^Is_Dt:   	sml}', "");
Error('\p{Decomposition_Type=/a/ Square}');
Error('\P{Decomposition_Type=/a/ Square}');
Expect(1, 127546, '\p{Decomposition_Type=square}', "");
Expect(0, 127546, '\p{^Decomposition_Type=square}', "");
Expect(0, 127546, '\P{Decomposition_Type=square}', "");
Expect(1, 127546, '\P{^Decomposition_Type=square}', "");
Expect(0, 127547, '\p{Decomposition_Type=square}', "");
Expect(1, 127547, '\p{^Decomposition_Type=square}', "");
Expect(1, 127547, '\P{Decomposition_Type=square}', "");
Expect(0, 127547, '\P{^Decomposition_Type=square}', "");
Expect(1, 127546, '\p{Decomposition_Type=_Square}', "");
Expect(0, 127546, '\p{^Decomposition_Type=_Square}', "");
Expect(0, 127546, '\P{Decomposition_Type=_Square}', "");
Expect(1, 127546, '\P{^Decomposition_Type=_Square}', "");
Expect(0, 127547, '\p{Decomposition_Type=_Square}', "");
Expect(1, 127547, '\p{^Decomposition_Type=_Square}', "");
Expect(1, 127547, '\P{Decomposition_Type=_Square}', "");
Expect(0, 127547, '\P{^Decomposition_Type=_Square}', "");
Error('\p{Dt=/a/_ Sqr}');
Error('\P{Dt=/a/_ Sqr}');
Expect(1, 127546, '\p{Dt:   sqr}', "");
Expect(0, 127546, '\p{^Dt:   sqr}', "");
Expect(0, 127546, '\P{Dt:   sqr}', "");
Expect(1, 127546, '\P{^Dt:   sqr}', "");
Expect(0, 127547, '\p{Dt:   sqr}', "");
Expect(1, 127547, '\p{^Dt:   sqr}', "");
Expect(1, 127547, '\P{Dt:   sqr}', "");
Expect(0, 127547, '\P{^Dt:   sqr}', "");
Expect(1, 127546, '\p{Dt=	 Sqr}', "");
Expect(0, 127546, '\p{^Dt=	 Sqr}', "");
Expect(0, 127546, '\P{Dt=	 Sqr}', "");
Expect(1, 127546, '\P{^Dt=	 Sqr}', "");
Expect(0, 127547, '\p{Dt=	 Sqr}', "");
Expect(1, 127547, '\p{^Dt=	 Sqr}', "");
Expect(1, 127547, '\P{Dt=	 Sqr}', "");
Expect(0, 127547, '\P{^Dt=	 Sqr}', "");
Error('\p{Is_Decomposition_Type=_:=Square}');
Error('\P{Is_Decomposition_Type=_:=Square}');
Expect(1, 127546, '\p{Is_Decomposition_Type=square}', "");
Expect(0, 127546, '\p{^Is_Decomposition_Type=square}', "");
Expect(0, 127546, '\P{Is_Decomposition_Type=square}', "");
Expect(1, 127546, '\P{^Is_Decomposition_Type=square}', "");
Expect(0, 127547, '\p{Is_Decomposition_Type=square}', "");
Expect(1, 127547, '\p{^Is_Decomposition_Type=square}', "");
Expect(1, 127547, '\P{Is_Decomposition_Type=square}', "");
Expect(0, 127547, '\P{^Is_Decomposition_Type=square}', "");
Expect(1, 127546, '\p{Is_Decomposition_Type=-Square}', "");
Expect(0, 127546, '\p{^Is_Decomposition_Type=-Square}', "");
Expect(0, 127546, '\P{Is_Decomposition_Type=-Square}', "");
Expect(1, 127546, '\P{^Is_Decomposition_Type=-Square}', "");
Expect(0, 127547, '\p{Is_Decomposition_Type=-Square}', "");
Expect(1, 127547, '\p{^Is_Decomposition_Type=-Square}', "");
Expect(1, 127547, '\P{Is_Decomposition_Type=-Square}', "");
Expect(0, 127547, '\P{^Is_Decomposition_Type=-Square}', "");
Error('\p{Is_Dt=	/a/Sqr}');
Error('\P{Is_Dt=	/a/Sqr}');
Expect(1, 127546, '\p{Is_Dt=sqr}', "");
Expect(0, 127546, '\p{^Is_Dt=sqr}', "");
Expect(0, 127546, '\P{Is_Dt=sqr}', "");
Expect(1, 127546, '\P{^Is_Dt=sqr}', "");
Expect(0, 127547, '\p{Is_Dt=sqr}', "");
Expect(1, 127547, '\p{^Is_Dt=sqr}', "");
Expect(1, 127547, '\P{Is_Dt=sqr}', "");
Expect(0, 127547, '\P{^Is_Dt=sqr}', "");
Expect(1, 127546, '\p{Is_Dt= _Sqr}', "");
Expect(0, 127546, '\p{^Is_Dt= _Sqr}', "");
Expect(0, 127546, '\P{Is_Dt= _Sqr}', "");
Expect(1, 127546, '\P{^Is_Dt= _Sqr}', "");
Expect(0, 127547, '\p{Is_Dt= _Sqr}', "");
Expect(1, 127547, '\p{^Is_Dt= _Sqr}', "");
Expect(1, 127547, '\P{Is_Dt= _Sqr}', "");
Expect(0, 127547, '\P{^Is_Dt= _Sqr}', "");
Error('\p{Decomposition_Type=	:=Sub}');
Error('\P{Decomposition_Type=	:=Sub}');
Expect(1, 11388, '\p{Decomposition_Type=sub}', "");
Expect(0, 11388, '\p{^Decomposition_Type=sub}', "");
Expect(0, 11388, '\P{Decomposition_Type=sub}', "");
Expect(1, 11388, '\P{^Decomposition_Type=sub}', "");
Expect(0, 11389, '\p{Decomposition_Type=sub}', "");
Expect(1, 11389, '\p{^Decomposition_Type=sub}', "");
Expect(1, 11389, '\P{Decomposition_Type=sub}', "");
Expect(0, 11389, '\P{^Decomposition_Type=sub}', "");
Expect(1, 11388, '\p{Decomposition_Type:   	_Sub}', "");
Expect(0, 11388, '\p{^Decomposition_Type:   	_Sub}', "");
Expect(0, 11388, '\P{Decomposition_Type:   	_Sub}', "");
Expect(1, 11388, '\P{^Decomposition_Type:   	_Sub}', "");
Expect(0, 11389, '\p{Decomposition_Type:   	_Sub}', "");
Expect(1, 11389, '\p{^Decomposition_Type:   	_Sub}', "");
Expect(1, 11389, '\P{Decomposition_Type:   	_Sub}', "");
Expect(0, 11389, '\P{^Decomposition_Type:   	_Sub}', "");
Error('\p{Dt= 	Sub/a/}');
Error('\P{Dt= 	Sub/a/}');
Expect(1, 11388, '\p{Dt=sub}', "");
Expect(0, 11388, '\p{^Dt=sub}', "");
Expect(0, 11388, '\P{Dt=sub}', "");
Expect(1, 11388, '\P{^Dt=sub}', "");
Expect(0, 11389, '\p{Dt=sub}', "");
Expect(1, 11389, '\p{^Dt=sub}', "");
Expect(1, 11389, '\P{Dt=sub}', "");
Expect(0, 11389, '\P{^Dt=sub}', "");
Expect(1, 11388, '\p{Dt=	-SUB}', "");
Expect(0, 11388, '\p{^Dt=	-SUB}', "");
Expect(0, 11388, '\P{Dt=	-SUB}', "");
Expect(1, 11388, '\P{^Dt=	-SUB}', "");
Expect(0, 11389, '\p{Dt=	-SUB}', "");
Expect(1, 11389, '\p{^Dt=	-SUB}', "");
Expect(1, 11389, '\P{Dt=	-SUB}', "");
Expect(0, 11389, '\P{^Dt=	-SUB}', "");
Error('\p{Is_Decomposition_Type=/a/	sub}');
Error('\P{Is_Decomposition_Type=/a/	sub}');
Expect(1, 11388, '\p{Is_Decomposition_Type=sub}', "");
Expect(0, 11388, '\p{^Is_Decomposition_Type=sub}', "");
Expect(0, 11388, '\P{Is_Decomposition_Type=sub}', "");
Expect(1, 11388, '\P{^Is_Decomposition_Type=sub}', "");
Expect(0, 11389, '\p{Is_Decomposition_Type=sub}', "");
Expect(1, 11389, '\p{^Is_Decomposition_Type=sub}', "");
Expect(1, 11389, '\P{Is_Decomposition_Type=sub}', "");
Expect(0, 11389, '\P{^Is_Decomposition_Type=sub}', "");
Expect(1, 11388, '\p{Is_Decomposition_Type=	_Sub}', "");
Expect(0, 11388, '\p{^Is_Decomposition_Type=	_Sub}', "");
Expect(0, 11388, '\P{Is_Decomposition_Type=	_Sub}', "");
Expect(1, 11388, '\P{^Is_Decomposition_Type=	_Sub}', "");
Expect(0, 11389, '\p{Is_Decomposition_Type=	_Sub}', "");
Expect(1, 11389, '\p{^Is_Decomposition_Type=	_Sub}', "");
Expect(1, 11389, '\P{Is_Decomposition_Type=	_Sub}', "");
Expect(0, 11389, '\P{^Is_Decomposition_Type=	_Sub}', "");
Error('\p{Is_Dt=/a/sub}');
Error('\P{Is_Dt=/a/sub}');
Expect(1, 11388, '\p{Is_Dt=sub}', "");
Expect(0, 11388, '\p{^Is_Dt=sub}', "");
Expect(0, 11388, '\P{Is_Dt=sub}', "");
Expect(1, 11388, '\P{^Is_Dt=sub}', "");
Expect(0, 11389, '\p{Is_Dt=sub}', "");
Expect(1, 11389, '\p{^Is_Dt=sub}', "");
Expect(1, 11389, '\P{Is_Dt=sub}', "");
Expect(0, 11389, '\P{^Is_Dt=sub}', "");
Expect(1, 11388, '\p{Is_Dt= Sub}', "");
Expect(0, 11388, '\p{^Is_Dt= Sub}', "");
Expect(0, 11388, '\P{Is_Dt= Sub}', "");
Expect(1, 11388, '\P{^Is_Dt= Sub}', "");
Expect(0, 11389, '\p{Is_Dt= Sub}', "");
Expect(1, 11389, '\p{^Is_Dt= Sub}', "");
Expect(1, 11389, '\P{Is_Dt= Sub}', "");
Expect(0, 11389, '\P{^Is_Dt= Sub}', "");
Error('\p{Decomposition_Type=/a/	SUPER}');
Error('\P{Decomposition_Type=/a/	SUPER}');
Expect(1, 127339, '\p{Decomposition_Type=super}', "");
Expect(0, 127339, '\p{^Decomposition_Type=super}', "");
Expect(0, 127339, '\P{Decomposition_Type=super}', "");
Expect(1, 127339, '\P{^Decomposition_Type=super}', "");
Expect(0, 127340, '\p{Decomposition_Type=super}', "");
Expect(1, 127340, '\p{^Decomposition_Type=super}', "");
Expect(1, 127340, '\P{Decomposition_Type=super}', "");
Expect(0, 127340, '\P{^Decomposition_Type=super}', "");
Expect(1, 127339, '\p{Decomposition_Type=-	Super}', "");
Expect(0, 127339, '\p{^Decomposition_Type=-	Super}', "");
Expect(0, 127339, '\P{Decomposition_Type=-	Super}', "");
Expect(1, 127339, '\P{^Decomposition_Type=-	Super}', "");
Expect(0, 127340, '\p{Decomposition_Type=-	Super}', "");
Expect(1, 127340, '\p{^Decomposition_Type=-	Super}', "");
Expect(1, 127340, '\P{Decomposition_Type=-	Super}', "");
Expect(0, 127340, '\P{^Decomposition_Type=-	Super}', "");
Error('\p{Dt:SUP/a/}');
Error('\P{Dt:SUP/a/}');
Expect(1, 127339, '\p{Dt=sup}', "");
Expect(0, 127339, '\p{^Dt=sup}', "");
Expect(0, 127339, '\P{Dt=sup}', "");
Expect(1, 127339, '\P{^Dt=sup}', "");
Expect(0, 127340, '\p{Dt=sup}', "");
Expect(1, 127340, '\p{^Dt=sup}', "");
Expect(1, 127340, '\P{Dt=sup}', "");
Expect(0, 127340, '\P{^Dt=sup}', "");
Expect(1, 127339, '\p{Dt:	Sup}', "");
Expect(0, 127339, '\p{^Dt:	Sup}', "");
Expect(0, 127339, '\P{Dt:	Sup}', "");
Expect(1, 127339, '\P{^Dt:	Sup}', "");
Expect(0, 127340, '\p{Dt:	Sup}', "");
Expect(1, 127340, '\p{^Dt:	Sup}', "");
Expect(1, 127340, '\P{Dt:	Sup}', "");
Expect(0, 127340, '\P{^Dt:	Sup}', "");
Error('\p{Is_Decomposition_Type=SUPER:=}');
Error('\P{Is_Decomposition_Type=SUPER:=}');
Expect(1, 127339, '\p{Is_Decomposition_Type=super}', "");
Expect(0, 127339, '\p{^Is_Decomposition_Type=super}', "");
Expect(0, 127339, '\P{Is_Decomposition_Type=super}', "");
Expect(1, 127339, '\P{^Is_Decomposition_Type=super}', "");
Expect(0, 127340, '\p{Is_Decomposition_Type=super}', "");
Expect(1, 127340, '\p{^Is_Decomposition_Type=super}', "");
Expect(1, 127340, '\P{Is_Decomposition_Type=super}', "");
Expect(0, 127340, '\P{^Is_Decomposition_Type=super}', "");
Expect(1, 127339, '\p{Is_Decomposition_Type=-	Super}', "");
Expect(0, 127339, '\p{^Is_Decomposition_Type=-	Super}', "");
Expect(0, 127339, '\P{Is_Decomposition_Type=-	Super}', "");
Expect(1, 127339, '\P{^Is_Decomposition_Type=-	Super}', "");
Expect(0, 127340, '\p{Is_Decomposition_Type=-	Super}', "");
Expect(1, 127340, '\p{^Is_Decomposition_Type=-	Super}', "");
Expect(1, 127340, '\P{Is_Decomposition_Type=-	Super}', "");
Expect(0, 127340, '\P{^Is_Decomposition_Type=-	Super}', "");
Error('\p{Is_Dt=  Sup:=}');
Error('\P{Is_Dt=  Sup:=}');
Expect(1, 127339, '\p{Is_Dt=sup}', "");
Expect(0, 127339, '\p{^Is_Dt=sup}', "");
Expect(0, 127339, '\P{Is_Dt=sup}', "");
Expect(1, 127339, '\P{^Is_Dt=sup}', "");
Expect(0, 127340, '\p{Is_Dt=sup}', "");
Expect(1, 127340, '\p{^Is_Dt=sup}', "");
Expect(1, 127340, '\P{Is_Dt=sup}', "");
Expect(0, 127340, '\P{^Is_Dt=sup}', "");
Expect(1, 127339, '\p{Is_Dt=_Sup}', "");
Expect(0, 127339, '\p{^Is_Dt=_Sup}', "");
Expect(0, 127339, '\P{Is_Dt=_Sup}', "");
Expect(1, 127339, '\P{^Is_Dt=_Sup}', "");
Expect(0, 127340, '\p{Is_Dt=_Sup}', "");
Expect(1, 127340, '\p{^Is_Dt=_Sup}', "");
Expect(1, 127340, '\P{Is_Dt=_Sup}', "");
Expect(0, 127340, '\P{^Is_Dt=_Sup}', "");
Error('\p{Decomposition_Type=/a/_	Vertical}');
Error('\P{Decomposition_Type=/a/_	Vertical}');
Expect(1, 65096, '\p{Decomposition_Type=vertical}', "");
Expect(0, 65096, '\p{^Decomposition_Type=vertical}', "");
Expect(0, 65096, '\P{Decomposition_Type=vertical}', "");
Expect(1, 65096, '\P{^Decomposition_Type=vertical}', "");
Expect(0, 65097, '\p{Decomposition_Type=vertical}', "");
Expect(1, 65097, '\p{^Decomposition_Type=vertical}', "");
Expect(1, 65097, '\P{Decomposition_Type=vertical}', "");
Expect(0, 65097, '\P{^Decomposition_Type=vertical}', "");
Expect(1, 65096, '\p{Decomposition_Type=--Vertical}', "");
Expect(0, 65096, '\p{^Decomposition_Type=--Vertical}', "");
Expect(0, 65096, '\P{Decomposition_Type=--Vertical}', "");
Expect(1, 65096, '\P{^Decomposition_Type=--Vertical}', "");
Expect(0, 65097, '\p{Decomposition_Type=--Vertical}', "");
Expect(1, 65097, '\p{^Decomposition_Type=--Vertical}', "");
Expect(1, 65097, '\P{Decomposition_Type=--Vertical}', "");
Expect(0, 65097, '\P{^Decomposition_Type=--Vertical}', "");
Error('\p{Dt= Vert:=}');
Error('\P{Dt= Vert:=}');
Expect(1, 65096, '\p{Dt=vert}', "");
Expect(0, 65096, '\p{^Dt=vert}', "");
Expect(0, 65096, '\P{Dt=vert}', "");
Expect(1, 65096, '\P{^Dt=vert}', "");
Expect(0, 65097, '\p{Dt=vert}', "");
Expect(1, 65097, '\p{^Dt=vert}', "");
Expect(1, 65097, '\P{Dt=vert}', "");
Expect(0, 65097, '\P{^Dt=vert}', "");
Expect(1, 65096, '\p{Dt=-	Vert}', "");
Expect(0, 65096, '\p{^Dt=-	Vert}', "");
Expect(0, 65096, '\P{Dt=-	Vert}', "");
Expect(1, 65096, '\P{^Dt=-	Vert}', "");
Expect(0, 65097, '\p{Dt=-	Vert}', "");
Expect(1, 65097, '\p{^Dt=-	Vert}', "");
Expect(1, 65097, '\P{Dt=-	Vert}', "");
Expect(0, 65097, '\P{^Dt=-	Vert}', "");
Error('\p{Is_Decomposition_Type=_-VERTICAL:=}');
Error('\P{Is_Decomposition_Type=_-VERTICAL:=}');
Expect(1, 65096, '\p{Is_Decomposition_Type=vertical}', "");
Expect(0, 65096, '\p{^Is_Decomposition_Type=vertical}', "");
Expect(0, 65096, '\P{Is_Decomposition_Type=vertical}', "");
Expect(1, 65096, '\P{^Is_Decomposition_Type=vertical}', "");
Expect(0, 65097, '\p{Is_Decomposition_Type=vertical}', "");
Expect(1, 65097, '\p{^Is_Decomposition_Type=vertical}', "");
Expect(1, 65097, '\P{Is_Decomposition_Type=vertical}', "");
Expect(0, 65097, '\P{^Is_Decomposition_Type=vertical}', "");
Expect(1, 65096, '\p{Is_Decomposition_Type:	_ VERTICAL}', "");
Expect(0, 65096, '\p{^Is_Decomposition_Type:	_ VERTICAL}', "");
Expect(0, 65096, '\P{Is_Decomposition_Type:	_ VERTICAL}', "");
Expect(1, 65096, '\P{^Is_Decomposition_Type:	_ VERTICAL}', "");
Expect(0, 65097, '\p{Is_Decomposition_Type:	_ VERTICAL}', "");
Expect(1, 65097, '\p{^Is_Decomposition_Type:	_ VERTICAL}', "");
Expect(1, 65097, '\P{Is_Decomposition_Type:	_ VERTICAL}', "");
Expect(0, 65097, '\P{^Is_Decomposition_Type:	_ VERTICAL}', "");
Error('\p{Is_Dt=	_VERT/a/}');
Error('\P{Is_Dt=	_VERT/a/}');
Expect(1, 65096, '\p{Is_Dt=vert}', "");
Expect(0, 65096, '\p{^Is_Dt=vert}', "");
Expect(0, 65096, '\P{Is_Dt=vert}', "");
Expect(1, 65096, '\P{^Is_Dt=vert}', "");
Expect(0, 65097, '\p{Is_Dt=vert}', "");
Expect(1, 65097, '\p{^Is_Dt=vert}', "");
Expect(1, 65097, '\P{Is_Dt=vert}', "");
Expect(0, 65097, '\P{^Is_Dt=vert}', "");
Expect(1, 65096, '\p{Is_Dt=	-vert}', "");
Expect(0, 65096, '\p{^Is_Dt=	-vert}', "");
Expect(0, 65096, '\P{Is_Dt=	-vert}', "");
Expect(1, 65096, '\P{^Is_Dt=	-vert}', "");
Expect(0, 65097, '\p{Is_Dt=	-vert}', "");
Expect(1, 65097, '\p{^Is_Dt=	-vert}', "");
Expect(1, 65097, '\P{Is_Dt=	-vert}', "");
Expect(0, 65097, '\P{^Is_Dt=	-vert}', "");
Error('\p{Decomposition_Type=/a/Wide}');
Error('\P{Decomposition_Type=/a/Wide}');
Expect(1, 65510, '\p{Decomposition_Type=wide}', "");
Expect(0, 65510, '\p{^Decomposition_Type=wide}', "");
Expect(0, 65510, '\P{Decomposition_Type=wide}', "");
Expect(1, 65510, '\P{^Decomposition_Type=wide}', "");
Expect(0, 65511, '\p{Decomposition_Type=wide}', "");
Expect(1, 65511, '\p{^Decomposition_Type=wide}', "");
Expect(1, 65511, '\P{Decomposition_Type=wide}', "");
Expect(0, 65511, '\P{^Decomposition_Type=wide}', "");
Expect(1, 65510, '\p{Decomposition_Type=__WIDE}', "");
Expect(0, 65510, '\p{^Decomposition_Type=__WIDE}', "");
Expect(0, 65510, '\P{Decomposition_Type=__WIDE}', "");
Expect(1, 65510, '\P{^Decomposition_Type=__WIDE}', "");
Expect(0, 65511, '\p{Decomposition_Type=__WIDE}', "");
Expect(1, 65511, '\p{^Decomposition_Type=__WIDE}', "");
Expect(1, 65511, '\P{Decomposition_Type=__WIDE}', "");
Expect(0, 65511, '\P{^Decomposition_Type=__WIDE}', "");
Error('\p{Dt=Wide:=}');
Error('\P{Dt=Wide:=}');
Expect(1, 65510, '\p{Dt=wide}', "");
Expect(0, 65510, '\p{^Dt=wide}', "");
Expect(0, 65510, '\P{Dt=wide}', "");
Expect(1, 65510, '\P{^Dt=wide}', "");
Expect(0, 65511, '\p{Dt=wide}', "");
Expect(1, 65511, '\p{^Dt=wide}', "");
Expect(1, 65511, '\P{Dt=wide}', "");
Expect(0, 65511, '\P{^Dt=wide}', "");
Expect(1, 65510, '\p{Dt=	 WIDE}', "");
Expect(0, 65510, '\p{^Dt=	 WIDE}', "");
Expect(0, 65510, '\P{Dt=	 WIDE}', "");
Expect(1, 65510, '\P{^Dt=	 WIDE}', "");
Expect(0, 65511, '\p{Dt=	 WIDE}', "");
Expect(1, 65511, '\p{^Dt=	 WIDE}', "");
Expect(1, 65511, '\P{Dt=	 WIDE}', "");
Expect(0, 65511, '\P{^Dt=	 WIDE}', "");
Error('\p{Is_Decomposition_Type=_:=wide}');
Error('\P{Is_Decomposition_Type=_:=wide}');
Expect(1, 65510, '\p{Is_Decomposition_Type=wide}', "");
Expect(0, 65510, '\p{^Is_Decomposition_Type=wide}', "");
Expect(0, 65510, '\P{Is_Decomposition_Type=wide}', "");
Expect(1, 65510, '\P{^Is_Decomposition_Type=wide}', "");
Expect(0, 65511, '\p{Is_Decomposition_Type=wide}', "");
Expect(1, 65511, '\p{^Is_Decomposition_Type=wide}', "");
Expect(1, 65511, '\P{Is_Decomposition_Type=wide}', "");
Expect(0, 65511, '\P{^Is_Decomposition_Type=wide}', "");
Error('\p{Is_Dt=/a/	-Wide}');
Error('\P{Is_Dt=/a/	-Wide}');
Expect(1, 65510, '\p{Is_Dt=wide}', "");
Expect(0, 65510, '\p{^Is_Dt=wide}', "");
Expect(0, 65510, '\P{Is_Dt=wide}', "");
Expect(1, 65510, '\P{^Is_Dt=wide}', "");
Expect(0, 65511, '\p{Is_Dt=wide}', "");
Expect(1, 65511, '\p{^Is_Dt=wide}', "");
Expect(1, 65511, '\P{Is_Dt=wide}', "");
Expect(0, 65511, '\P{^Is_Dt=wide}', "");
Expect(1, 65510, '\p{Is_Dt=		Wide}', "");
Expect(0, 65510, '\p{^Is_Dt=		Wide}', "");
Expect(0, 65510, '\P{Is_Dt=		Wide}', "");
Expect(1, 65510, '\P{^Is_Dt=		Wide}', "");
Expect(0, 65511, '\p{Is_Dt=		Wide}', "");
Expect(1, 65511, '\p{^Is_Dt=		Wide}', "");
Expect(1, 65511, '\P{Is_Dt=		Wide}', "");
Expect(0, 65511, '\P{^Is_Dt=		Wide}', "");
Error('\p{East_Asian_Width=_/a/ambiguous}');
Error('\P{East_Asian_Width=_/a/ambiguous}');
Expect(1, 1114109, '\p{East_Asian_Width=ambiguous}', "");
Expect(0, 1114109, '\p{^East_Asian_Width=ambiguous}', "");
Expect(0, 1114109, '\P{East_Asian_Width=ambiguous}', "");
Expect(1, 1114109, '\P{^East_Asian_Width=ambiguous}', "");
Expect(0, 918000, '\p{East_Asian_Width=ambiguous}', "");
Expect(1, 918000, '\p{^East_Asian_Width=ambiguous}', "");
Expect(1, 918000, '\P{East_Asian_Width=ambiguous}', "");
Expect(0, 918000, '\P{^East_Asian_Width=ambiguous}', "");
Expect(1, 1114109, '\p{East_Asian_Width=  Ambiguous}', "");
Expect(0, 1114109, '\p{^East_Asian_Width=  Ambiguous}', "");
Expect(0, 1114109, '\P{East_Asian_Width=  Ambiguous}', "");
Expect(1, 1114109, '\P{^East_Asian_Width=  Ambiguous}', "");
Expect(0, 918000, '\p{East_Asian_Width=  Ambiguous}', "");
Expect(1, 918000, '\p{^East_Asian_Width=  Ambiguous}', "");
Expect(1, 918000, '\P{East_Asian_Width=  Ambiguous}', "");
Expect(0, 918000, '\P{^East_Asian_Width=  Ambiguous}', "");
Error('\p{Ea= :=A}');
Error('\P{Ea= :=A}');
Expect(1, 1114109, '\p{Ea=a}', "");
Expect(0, 1114109, '\p{^Ea=a}', "");
Expect(0, 1114109, '\P{Ea=a}', "");
Expect(1, 1114109, '\P{^Ea=a}', "");
Expect(0, 918000, '\p{Ea=a}', "");
Expect(1, 918000, '\p{^Ea=a}', "");
Expect(1, 918000, '\P{Ea=a}', "");
Expect(0, 918000, '\P{^Ea=a}', "");
Expect(1, 1114109, '\p{Ea=	_A}', "");
Expect(0, 1114109, '\p{^Ea=	_A}', "");
Expect(0, 1114109, '\P{Ea=	_A}', "");
Expect(1, 1114109, '\P{^Ea=	_A}', "");
Expect(0, 918000, '\p{Ea=	_A}', "");
Expect(1, 918000, '\p{^Ea=	_A}', "");
Expect(1, 918000, '\P{Ea=	_A}', "");
Expect(0, 918000, '\P{^Ea=	_A}', "");
Error('\p{Is_East_Asian_Width=_ Ambiguous/a/}');
Error('\P{Is_East_Asian_Width=_ Ambiguous/a/}');
Expect(1, 1114109, '\p{Is_East_Asian_Width=ambiguous}', "");
Expect(0, 1114109, '\p{^Is_East_Asian_Width=ambiguous}', "");
Expect(0, 1114109, '\P{Is_East_Asian_Width=ambiguous}', "");
Expect(1, 1114109, '\P{^Is_East_Asian_Width=ambiguous}', "");
Expect(0, 918000, '\p{Is_East_Asian_Width=ambiguous}', "");
Expect(1, 918000, '\p{^Is_East_Asian_Width=ambiguous}', "");
Expect(1, 918000, '\P{Is_East_Asian_Width=ambiguous}', "");
Expect(0, 918000, '\P{^Is_East_Asian_Width=ambiguous}', "");
Expect(1, 1114109, '\p{Is_East_Asian_Width= -Ambiguous}', "");
Expect(0, 1114109, '\p{^Is_East_Asian_Width= -Ambiguous}', "");
Expect(0, 1114109, '\P{Is_East_Asian_Width= -Ambiguous}', "");
Expect(1, 1114109, '\P{^Is_East_Asian_Width= -Ambiguous}', "");
Expect(0, 918000, '\p{Is_East_Asian_Width= -Ambiguous}', "");
Expect(1, 918000, '\p{^Is_East_Asian_Width= -Ambiguous}', "");
Expect(1, 918000, '\P{Is_East_Asian_Width= -Ambiguous}', "");
Expect(0, 918000, '\P{^Is_East_Asian_Width= -Ambiguous}', "");
Error('\p{Is_Ea=/a/-A}');
Error('\P{Is_Ea=/a/-A}');
Expect(1, 1114109, '\p{Is_Ea=a}', "");
Expect(0, 1114109, '\p{^Is_Ea=a}', "");
Expect(0, 1114109, '\P{Is_Ea=a}', "");
Expect(1, 1114109, '\P{^Is_Ea=a}', "");
Expect(0, 918000, '\p{Is_Ea=a}', "");
Expect(1, 918000, '\p{^Is_Ea=a}', "");
Expect(1, 918000, '\P{Is_Ea=a}', "");
Expect(0, 918000, '\P{^Is_Ea=a}', "");
Expect(1, 1114109, '\p{Is_Ea: 	-A}', "");
Expect(0, 1114109, '\p{^Is_Ea: 	-A}', "");
Expect(0, 1114109, '\P{Is_Ea: 	-A}', "");
Expect(1, 1114109, '\P{^Is_Ea: 	-A}', "");
Expect(0, 918000, '\p{Is_Ea: 	-A}', "");
Expect(1, 918000, '\p{^Is_Ea: 	-A}', "");
Expect(1, 918000, '\P{Is_Ea: 	-A}', "");
Expect(0, 918000, '\P{^Is_Ea: 	-A}', "");
Error('\p{East_Asian_Width=:=-	Fullwidth}');
Error('\P{East_Asian_Width=:=-	Fullwidth}');
Expect(1, 65510, '\p{East_Asian_Width=fullwidth}', "");
Expect(0, 65510, '\p{^East_Asian_Width=fullwidth}', "");
Expect(0, 65510, '\P{East_Asian_Width=fullwidth}', "");
Expect(1, 65510, '\P{^East_Asian_Width=fullwidth}', "");
Expect(0, 65511, '\p{East_Asian_Width=fullwidth}', "");
Expect(1, 65511, '\p{^East_Asian_Width=fullwidth}', "");
Expect(1, 65511, '\P{East_Asian_Width=fullwidth}', "");
Expect(0, 65511, '\P{^East_Asian_Width=fullwidth}', "");
Expect(1, 65510, '\p{East_Asian_Width=	_Fullwidth}', "");
Expect(0, 65510, '\p{^East_Asian_Width=	_Fullwidth}', "");
Expect(0, 65510, '\P{East_Asian_Width=	_Fullwidth}', "");
Expect(1, 65510, '\P{^East_Asian_Width=	_Fullwidth}', "");
Expect(0, 65511, '\p{East_Asian_Width=	_Fullwidth}', "");
Expect(1, 65511, '\p{^East_Asian_Width=	_Fullwidth}', "");
Expect(1, 65511, '\P{East_Asian_Width=	_Fullwidth}', "");
Expect(0, 65511, '\P{^East_Asian_Width=	_Fullwidth}', "");
Error('\p{Ea= F:=}');
Error('\P{Ea= F:=}');
Expect(1, 65510, '\p{Ea=f}', "");
Expect(0, 65510, '\p{^Ea=f}', "");
Expect(0, 65510, '\P{Ea=f}', "");
Expect(1, 65510, '\P{^Ea=f}', "");
Expect(0, 65511, '\p{Ea=f}', "");
Expect(1, 65511, '\p{^Ea=f}', "");
Expect(1, 65511, '\P{Ea=f}', "");
Expect(0, 65511, '\P{^Ea=f}', "");
Expect(1, 65510, '\p{Ea=-	f}', "");
Expect(0, 65510, '\p{^Ea=-	f}', "");
Expect(0, 65510, '\P{Ea=-	f}', "");
Expect(1, 65510, '\P{^Ea=-	f}', "");
Expect(0, 65511, '\p{Ea=-	f}', "");
Expect(1, 65511, '\p{^Ea=-	f}', "");
Expect(1, 65511, '\P{Ea=-	f}', "");
Expect(0, 65511, '\P{^Ea=-	f}', "");
Error('\p{Is_East_Asian_Width=/a/--Fullwidth}');
Error('\P{Is_East_Asian_Width=/a/--Fullwidth}');
Expect(1, 65510, '\p{Is_East_Asian_Width=fullwidth}', "");
Expect(0, 65510, '\p{^Is_East_Asian_Width=fullwidth}', "");
Expect(0, 65510, '\P{Is_East_Asian_Width=fullwidth}', "");
Expect(1, 65510, '\P{^Is_East_Asian_Width=fullwidth}', "");
Expect(0, 65511, '\p{Is_East_Asian_Width=fullwidth}', "");
Expect(1, 65511, '\p{^Is_East_Asian_Width=fullwidth}', "");
Expect(1, 65511, '\P{Is_East_Asian_Width=fullwidth}', "");
Expect(0, 65511, '\P{^Is_East_Asian_Width=fullwidth}', "");
Expect(1, 65510, '\p{Is_East_Asian_Width=	_Fullwidth}', "");
Expect(0, 65510, '\p{^Is_East_Asian_Width=	_Fullwidth}', "");
Expect(0, 65510, '\P{Is_East_Asian_Width=	_Fullwidth}', "");
Expect(1, 65510, '\P{^Is_East_Asian_Width=	_Fullwidth}', "");
Expect(0, 65511, '\p{Is_East_Asian_Width=	_Fullwidth}', "");
Expect(1, 65511, '\p{^Is_East_Asian_Width=	_Fullwidth}', "");
Expect(1, 65511, '\P{Is_East_Asian_Width=	_Fullwidth}', "");
Expect(0, 65511, '\P{^Is_East_Asian_Width=	_Fullwidth}', "");
Error('\p{Is_Ea=:= f}');
Error('\P{Is_Ea=:= f}');
Expect(1, 65510, '\p{Is_Ea=f}', "");
Expect(0, 65510, '\p{^Is_Ea=f}', "");
Expect(0, 65510, '\P{Is_Ea=f}', "");
Expect(1, 65510, '\P{^Is_Ea=f}', "");
Expect(0, 65511, '\p{Is_Ea=f}', "");
Expect(1, 65511, '\p{^Is_Ea=f}', "");
Expect(1, 65511, '\P{Is_Ea=f}', "");
Expect(0, 65511, '\P{^Is_Ea=f}', "");
Expect(1, 65510, '\p{Is_Ea=_F}', "");
Expect(0, 65510, '\p{^Is_Ea=_F}', "");
Expect(0, 65510, '\P{Is_Ea=_F}', "");
Expect(1, 65510, '\P{^Is_Ea=_F}', "");
Expect(0, 65511, '\p{Is_Ea=_F}', "");
Expect(1, 65511, '\p{^Is_Ea=_F}', "");
Expect(1, 65511, '\P{Is_Ea=_F}', "");
Expect(0, 65511, '\P{^Is_Ea=_F}', "");
Error('\p{East_Asian_Width=	 Halfwidth/a/}');
Error('\P{East_Asian_Width=	 Halfwidth/a/}');
Expect(1, 65518, '\p{East_Asian_Width=halfwidth}', "");
Expect(0, 65518, '\p{^East_Asian_Width=halfwidth}', "");
Expect(0, 65518, '\P{East_Asian_Width=halfwidth}', "");
Expect(1, 65518, '\P{^East_Asian_Width=halfwidth}', "");
Expect(0, 65519, '\p{East_Asian_Width=halfwidth}', "");
Expect(1, 65519, '\p{^East_Asian_Width=halfwidth}', "");
Expect(1, 65519, '\P{East_Asian_Width=halfwidth}', "");
Expect(0, 65519, '\P{^East_Asian_Width=halfwidth}', "");
Expect(1, 65518, '\p{East_Asian_Width=--HALFWIDTH}', "");
Expect(0, 65518, '\p{^East_Asian_Width=--HALFWIDTH}', "");
Expect(0, 65518, '\P{East_Asian_Width=--HALFWIDTH}', "");
Expect(1, 65518, '\P{^East_Asian_Width=--HALFWIDTH}', "");
Expect(0, 65519, '\p{East_Asian_Width=--HALFWIDTH}', "");
Expect(1, 65519, '\p{^East_Asian_Width=--HALFWIDTH}', "");
Expect(1, 65519, '\P{East_Asian_Width=--HALFWIDTH}', "");
Expect(0, 65519, '\P{^East_Asian_Width=--HALFWIDTH}', "");
Error('\p{Ea= h/a/}');
Error('\P{Ea= h/a/}');
Expect(1, 65518, '\p{Ea=h}', "");
Expect(0, 65518, '\p{^Ea=h}', "");
Expect(0, 65518, '\P{Ea=h}', "");
Expect(1, 65518, '\P{^Ea=h}', "");
Expect(0, 65519, '\p{Ea=h}', "");
Expect(1, 65519, '\p{^Ea=h}', "");
Expect(1, 65519, '\P{Ea=h}', "");
Expect(0, 65519, '\P{^Ea=h}', "");
Expect(1, 65518, '\p{Ea: 	_H}', "");
Expect(0, 65518, '\p{^Ea: 	_H}', "");
Expect(0, 65518, '\P{Ea: 	_H}', "");
Expect(1, 65518, '\P{^Ea: 	_H}', "");
Expect(0, 65519, '\p{Ea: 	_H}', "");
Expect(1, 65519, '\p{^Ea: 	_H}', "");
Expect(1, 65519, '\P{Ea: 	_H}', "");
Expect(0, 65519, '\P{^Ea: 	_H}', "");
Error('\p{Is_East_Asian_Width=	/a/HALFWIDTH}');
Error('\P{Is_East_Asian_Width=	/a/HALFWIDTH}');
Expect(1, 65518, '\p{Is_East_Asian_Width=halfwidth}', "");
Expect(0, 65518, '\p{^Is_East_Asian_Width=halfwidth}', "");
Expect(0, 65518, '\P{Is_East_Asian_Width=halfwidth}', "");
Expect(1, 65518, '\P{^Is_East_Asian_Width=halfwidth}', "");
Expect(0, 65519, '\p{Is_East_Asian_Width=halfwidth}', "");
Expect(1, 65519, '\p{^Is_East_Asian_Width=halfwidth}', "");
Expect(1, 65519, '\P{Is_East_Asian_Width=halfwidth}', "");
Expect(0, 65519, '\P{^Is_East_Asian_Width=halfwidth}', "");
Expect(1, 65518, '\p{Is_East_Asian_Width=- Halfwidth}', "");
Expect(0, 65518, '\p{^Is_East_Asian_Width=- Halfwidth}', "");
Expect(0, 65518, '\P{Is_East_Asian_Width=- Halfwidth}', "");
Expect(1, 65518, '\P{^Is_East_Asian_Width=- Halfwidth}', "");
Expect(0, 65519, '\p{Is_East_Asian_Width=- Halfwidth}', "");
Expect(1, 65519, '\p{^Is_East_Asian_Width=- Halfwidth}', "");
Expect(1, 65519, '\P{Is_East_Asian_Width=- Halfwidth}', "");
Expect(0, 65519, '\P{^Is_East_Asian_Width=- Halfwidth}', "");
Error('\p{Is_Ea=	:=H}');
Error('\P{Is_Ea=	:=H}');
Expect(1, 65518, '\p{Is_Ea=h}', "");
Expect(0, 65518, '\p{^Is_Ea=h}', "");
Expect(0, 65518, '\P{Is_Ea=h}', "");
Expect(1, 65518, '\P{^Is_Ea=h}', "");
Expect(0, 65519, '\p{Is_Ea=h}', "");
Expect(1, 65519, '\p{^Is_Ea=h}', "");
Expect(1, 65519, '\P{Is_Ea=h}', "");
Expect(0, 65519, '\P{^Is_Ea=h}', "");
Expect(1, 65518, '\p{Is_Ea=_	h}', "");
Expect(0, 65518, '\p{^Is_Ea=_	h}', "");
Expect(0, 65518, '\P{Is_Ea=_	h}', "");
Expect(1, 65518, '\P{^Is_Ea=_	h}', "");
Expect(0, 65519, '\p{Is_Ea=_	h}', "");
Expect(1, 65519, '\p{^Is_Ea=_	h}', "");
Expect(1, 65519, '\P{Is_Ea=_	h}', "");
Expect(0, 65519, '\P{^Is_Ea=_	h}', "");
Error('\p{East_Asian_Width:   :=	-Neutral}');
Error('\P{East_Asian_Width:   :=	-Neutral}');
Expect(1, 918000, '\p{East_Asian_Width=neutral}', "");
Expect(0, 918000, '\p{^East_Asian_Width=neutral}', "");
Expect(0, 918000, '\P{East_Asian_Width=neutral}', "");
Expect(1, 918000, '\P{^East_Asian_Width=neutral}', "");
Expect(0, 1114109, '\p{East_Asian_Width=neutral}', "");
Expect(1, 1114109, '\p{^East_Asian_Width=neutral}', "");
Expect(1, 1114109, '\P{East_Asian_Width=neutral}', "");
Expect(0, 1114109, '\P{^East_Asian_Width=neutral}', "");
Expect(1, 918000, '\p{East_Asian_Width=-Neutral}', "");
Expect(0, 918000, '\p{^East_Asian_Width=-Neutral}', "");
Expect(0, 918000, '\P{East_Asian_Width=-Neutral}', "");
Expect(1, 918000, '\P{^East_Asian_Width=-Neutral}', "");
Expect(0, 1114109, '\p{East_Asian_Width=-Neutral}', "");
Expect(1, 1114109, '\p{^East_Asian_Width=-Neutral}', "");
Expect(1, 1114109, '\P{East_Asian_Width=-Neutral}', "");
Expect(0, 1114109, '\P{^East_Asian_Width=-Neutral}', "");
Error('\p{Ea= N:=}');
Error('\P{Ea= N:=}');
Expect(1, 918000, '\p{Ea=n}', "");
Expect(0, 918000, '\p{^Ea=n}', "");
Expect(0, 918000, '\P{Ea=n}', "");
Expect(1, 918000, '\P{^Ea=n}', "");
Expect(0, 1114109, '\p{Ea=n}', "");
Expect(1, 1114109, '\p{^Ea=n}', "");
Expect(1, 1114109, '\P{Ea=n}', "");
Expect(0, 1114109, '\P{^Ea=n}', "");
Expect(1, 918000, '\p{Ea=--N}', "");
Expect(0, 918000, '\p{^Ea=--N}', "");
Expect(0, 918000, '\P{Ea=--N}', "");
Expect(1, 918000, '\P{^Ea=--N}', "");
Expect(0, 1114109, '\p{Ea=--N}', "");
Expect(1, 1114109, '\p{^Ea=--N}', "");
Expect(1, 1114109, '\P{Ea=--N}', "");
Expect(0, 1114109, '\P{^Ea=--N}', "");
Error('\p{Is_East_Asian_Width=/a/NEUTRAL}');
Error('\P{Is_East_Asian_Width=/a/NEUTRAL}');
Expect(1, 918000, '\p{Is_East_Asian_Width=neutral}', "");
Expect(0, 918000, '\p{^Is_East_Asian_Width=neutral}', "");
Expect(0, 918000, '\P{Is_East_Asian_Width=neutral}', "");
Expect(1, 918000, '\P{^Is_East_Asian_Width=neutral}', "");
Expect(0, 1114109, '\p{Is_East_Asian_Width=neutral}', "");
Expect(1, 1114109, '\p{^Is_East_Asian_Width=neutral}', "");
Expect(1, 1114109, '\P{Is_East_Asian_Width=neutral}', "");
Expect(0, 1114109, '\P{^Is_East_Asian_Width=neutral}', "");
Expect(1, 918000, '\p{Is_East_Asian_Width=	 neutral}', "");
Expect(0, 918000, '\p{^Is_East_Asian_Width=	 neutral}', "");
Expect(0, 918000, '\P{Is_East_Asian_Width=	 neutral}', "");
Expect(1, 918000, '\P{^Is_East_Asian_Width=	 neutral}', "");
Expect(0, 1114109, '\p{Is_East_Asian_Width=	 neutral}', "");
Expect(1, 1114109, '\p{^Is_East_Asian_Width=	 neutral}', "");
Expect(1, 1114109, '\P{Is_East_Asian_Width=	 neutral}', "");
Expect(0, 1114109, '\P{^Is_East_Asian_Width=	 neutral}', "");
Error('\p{Is_Ea=/a/_ N}');
Error('\P{Is_Ea=/a/_ N}');
Expect(1, 918000, '\p{Is_Ea:n}', "");
Expect(0, 918000, '\p{^Is_Ea:n}', "");
Expect(0, 918000, '\P{Is_Ea:n}', "");
Expect(1, 918000, '\P{^Is_Ea:n}', "");
Expect(0, 1114109, '\p{Is_Ea:n}', "");
Expect(1, 1114109, '\p{^Is_Ea:n}', "");
Expect(1, 1114109, '\P{Is_Ea:n}', "");
Expect(0, 1114109, '\P{^Is_Ea:n}', "");
Expect(1, 918000, '\p{Is_Ea=-N}', "");
Expect(0, 918000, '\p{^Is_Ea=-N}', "");
Expect(0, 918000, '\P{Is_Ea=-N}', "");
Expect(1, 918000, '\P{^Is_Ea=-N}', "");
Expect(0, 1114109, '\p{Is_Ea=-N}', "");
Expect(1, 1114109, '\p{^Is_Ea=-N}', "");
Expect(1, 1114109, '\P{Is_Ea=-N}', "");
Expect(0, 1114109, '\P{^Is_Ea=-N}', "");
Error('\p{East_Asian_Width=-narrow:=}');
Error('\P{East_Asian_Width=-narrow:=}');
Expect(1, 10630, '\p{East_Asian_Width=narrow}', "");
Expect(0, 10630, '\p{^East_Asian_Width=narrow}', "");
Expect(0, 10630, '\P{East_Asian_Width=narrow}', "");
Expect(1, 10630, '\P{^East_Asian_Width=narrow}', "");
Expect(0, 10631, '\p{East_Asian_Width=narrow}', "");
Expect(1, 10631, '\p{^East_Asian_Width=narrow}', "");
Expect(1, 10631, '\P{East_Asian_Width=narrow}', "");
Expect(0, 10631, '\P{^East_Asian_Width=narrow}', "");
Expect(1, 10630, '\p{East_Asian_Width=		narrow}', "");
Expect(0, 10630, '\p{^East_Asian_Width=		narrow}', "");
Expect(0, 10630, '\P{East_Asian_Width=		narrow}', "");
Expect(1, 10630, '\P{^East_Asian_Width=		narrow}', "");
Expect(0, 10631, '\p{East_Asian_Width=		narrow}', "");
Expect(1, 10631, '\p{^East_Asian_Width=		narrow}', "");
Expect(1, 10631, '\P{East_Asian_Width=		narrow}', "");
Expect(0, 10631, '\P{^East_Asian_Width=		narrow}', "");
Error('\p{Ea=_Na:=}');
Error('\P{Ea=_Na:=}');
Expect(1, 10630, '\p{Ea=na}', "");
Expect(0, 10630, '\p{^Ea=na}', "");
Expect(0, 10630, '\P{Ea=na}', "");
Expect(1, 10630, '\P{^Ea=na}', "");
Expect(0, 10631, '\p{Ea=na}', "");
Expect(1, 10631, '\p{^Ea=na}', "");
Expect(1, 10631, '\P{Ea=na}', "");
Expect(0, 10631, '\P{^Ea=na}', "");
Expect(1, 10630, '\p{Ea=-	na}', "");
Expect(0, 10630, '\p{^Ea=-	na}', "");
Expect(0, 10630, '\P{Ea=-	na}', "");
Expect(1, 10630, '\P{^Ea=-	na}', "");
Expect(0, 10631, '\p{Ea=-	na}', "");
Expect(1, 10631, '\p{^Ea=-	na}', "");
Expect(1, 10631, '\P{Ea=-	na}', "");
Expect(0, 10631, '\P{^Ea=-	na}', "");
Error('\p{Is_East_Asian_Width=-Narrow/a/}');
Error('\P{Is_East_Asian_Width=-Narrow/a/}');
Expect(1, 10630, '\p{Is_East_Asian_Width=narrow}', "");
Expect(0, 10630, '\p{^Is_East_Asian_Width=narrow}', "");
Expect(0, 10630, '\P{Is_East_Asian_Width=narrow}', "");
Expect(1, 10630, '\P{^Is_East_Asian_Width=narrow}', "");
Expect(0, 10631, '\p{Is_East_Asian_Width=narrow}', "");
Expect(1, 10631, '\p{^Is_East_Asian_Width=narrow}', "");
Expect(1, 10631, '\P{Is_East_Asian_Width=narrow}', "");
Expect(0, 10631, '\P{^Is_East_Asian_Width=narrow}', "");
Expect(1, 10630, '\p{Is_East_Asian_Width=	Narrow}', "");
Expect(0, 10630, '\p{^Is_East_Asian_Width=	Narrow}', "");
Expect(0, 10630, '\P{Is_East_Asian_Width=	Narrow}', "");
Expect(1, 10630, '\P{^Is_East_Asian_Width=	Narrow}', "");
Expect(0, 10631, '\p{Is_East_Asian_Width=	Narrow}', "");
Expect(1, 10631, '\p{^Is_East_Asian_Width=	Narrow}', "");
Expect(1, 10631, '\P{Is_East_Asian_Width=	Narrow}', "");
Expect(0, 10631, '\P{^Is_East_Asian_Width=	Narrow}', "");
Error('\p{Is_Ea: /a/ _NA}');
Error('\P{Is_Ea: /a/ _NA}');
Expect(1, 10630, '\p{Is_Ea=na}', "");
Expect(0, 10630, '\p{^Is_Ea=na}', "");
Expect(0, 10630, '\P{Is_Ea=na}', "");
Expect(1, 10630, '\P{^Is_Ea=na}', "");
Expect(0, 10631, '\p{Is_Ea=na}', "");
Expect(1, 10631, '\p{^Is_Ea=na}', "");
Expect(1, 10631, '\P{Is_Ea=na}', "");
Expect(0, 10631, '\P{^Is_Ea=na}', "");
Expect(1, 10630, '\p{Is_Ea=	 NA}', "");
Expect(0, 10630, '\p{^Is_Ea=	 NA}', "");
Expect(0, 10630, '\P{Is_Ea=	 NA}', "");
Expect(1, 10630, '\P{^Is_Ea=	 NA}', "");
Expect(0, 10631, '\p{Is_Ea=	 NA}', "");
Expect(1, 10631, '\p{^Is_Ea=	 NA}', "");
Expect(1, 10631, '\P{Is_Ea=	 NA}', "");
Expect(0, 10631, '\P{^Is_Ea=	 NA}', "");
Error('\p{East_Asian_Width= /a/Wide}');
Error('\P{East_Asian_Width= /a/Wide}');
Expect(1, 262141, '\p{East_Asian_Width:   wide}', "");
Expect(0, 262141, '\p{^East_Asian_Width:   wide}', "");
Expect(0, 262141, '\P{East_Asian_Width:   wide}', "");
Expect(1, 262141, '\P{^East_Asian_Width:   wide}', "");
Expect(0, 262144, '\p{East_Asian_Width:   wide}', "");
Expect(1, 262144, '\p{^East_Asian_Width:   wide}', "");
Expect(1, 262144, '\P{East_Asian_Width:   wide}', "");
Expect(0, 262144, '\P{^East_Asian_Width:   wide}', "");
Expect(1, 262141, '\p{East_Asian_Width= _Wide}', "");
Expect(0, 262141, '\p{^East_Asian_Width= _Wide}', "");
Expect(0, 262141, '\P{East_Asian_Width= _Wide}', "");
Expect(1, 262141, '\P{^East_Asian_Width= _Wide}', "");
Expect(0, 262144, '\p{East_Asian_Width= _Wide}', "");
Expect(1, 262144, '\p{^East_Asian_Width= _Wide}', "");
Expect(1, 262144, '\P{East_Asian_Width= _Wide}', "");
Expect(0, 262144, '\P{^East_Asian_Width= _Wide}', "");
Error('\p{Ea=:=_W}');
Error('\P{Ea=:=_W}');
Expect(1, 262141, '\p{Ea=w}', "");
Expect(0, 262141, '\p{^Ea=w}', "");
Expect(0, 262141, '\P{Ea=w}', "");
Expect(1, 262141, '\P{^Ea=w}', "");
Expect(0, 262144, '\p{Ea=w}', "");
Expect(1, 262144, '\p{^Ea=w}', "");
Expect(1, 262144, '\P{Ea=w}', "");
Expect(0, 262144, '\P{^Ea=w}', "");
Expect(1, 262141, '\p{Ea= 	W}', "");
Expect(0, 262141, '\p{^Ea= 	W}', "");
Expect(0, 262141, '\P{Ea= 	W}', "");
Expect(1, 262141, '\P{^Ea= 	W}', "");
Expect(0, 262144, '\p{Ea= 	W}', "");
Expect(1, 262144, '\p{^Ea= 	W}', "");
Expect(1, 262144, '\P{Ea= 	W}', "");
Expect(0, 262144, '\P{^Ea= 	W}', "");
Error('\p{Is_East_Asian_Width=:=_wide}');
Error('\P{Is_East_Asian_Width=:=_wide}');
Expect(1, 262141, '\p{Is_East_Asian_Width: wide}', "");
Expect(0, 262141, '\p{^Is_East_Asian_Width: wide}', "");
Expect(0, 262141, '\P{Is_East_Asian_Width: wide}', "");
Expect(1, 262141, '\P{^Is_East_Asian_Width: wide}', "");
Expect(0, 262144, '\p{Is_East_Asian_Width: wide}', "");
Expect(1, 262144, '\p{^Is_East_Asian_Width: wide}', "");
Expect(1, 262144, '\P{Is_East_Asian_Width: wide}', "");
Expect(0, 262144, '\P{^Is_East_Asian_Width: wide}', "");
Expect(1, 262141, '\p{Is_East_Asian_Width:	-	wide}', "");
Expect(0, 262141, '\p{^Is_East_Asian_Width:	-	wide}', "");
Expect(0, 262141, '\P{Is_East_Asian_Width:	-	wide}', "");
Expect(1, 262141, '\P{^Is_East_Asian_Width:	-	wide}', "");
Expect(0, 262144, '\p{Is_East_Asian_Width:	-	wide}', "");
Expect(1, 262144, '\p{^Is_East_Asian_Width:	-	wide}', "");
Expect(1, 262144, '\P{Is_East_Asian_Width:	-	wide}', "");
Expect(0, 262144, '\P{^Is_East_Asian_Width:	-	wide}', "");
Error('\p{Is_Ea=/a/ w}');
Error('\P{Is_Ea=/a/ w}');
Expect(1, 262141, '\p{Is_Ea:	w}', "");
Expect(0, 262141, '\p{^Is_Ea:	w}', "");
Expect(0, 262141, '\P{Is_Ea:	w}', "");
Expect(1, 262141, '\P{^Is_Ea:	w}', "");
Expect(0, 262144, '\p{Is_Ea:	w}', "");
Expect(1, 262144, '\p{^Is_Ea:	w}', "");
Expect(1, 262144, '\P{Is_Ea:	w}', "");
Expect(0, 262144, '\P{^Is_Ea:	w}', "");
Expect(1, 262141, '\p{Is_Ea=_	w}', "");
Expect(0, 262141, '\p{^Is_Ea=_	w}', "");
Expect(0, 262141, '\P{Is_Ea=_	w}', "");
Expect(1, 262141, '\P{^Is_Ea=_	w}', "");
Expect(0, 262144, '\p{Is_Ea=_	w}', "");
Expect(1, 262144, '\p{^Is_Ea=_	w}', "");
Expect(1, 262144, '\P{Is_Ea=_	w}', "");
Expect(0, 262144, '\P{^Is_Ea=_	w}', "");
Error('\p{General_Category=-:=OTHER}');
Error('\P{General_Category=-:=OTHER}');
Expect(1, 918000, '\p{General_Category=other}', "");
Expect(0, 918000, '\p{^General_Category=other}', "");
Expect(0, 918000, '\P{General_Category=other}', "");
Expect(1, 918000, '\P{^General_Category=other}', "");
Expect(0, 917999, '\p{General_Category=other}', "");
Expect(1, 917999, '\p{^General_Category=other}', "");
Expect(1, 917999, '\P{General_Category=other}', "");
Expect(0, 917999, '\P{^General_Category=other}', "");
Expect(1, 918000, '\p{General_Category:--other}', "");
Expect(0, 918000, '\p{^General_Category:--other}', "");
Expect(0, 918000, '\P{General_Category:--other}', "");
Expect(1, 918000, '\P{^General_Category:--other}', "");
Expect(0, 917999, '\p{General_Category:--other}', "");
Expect(1, 917999, '\p{^General_Category:--other}', "");
Expect(1, 917999, '\P{General_Category:--other}', "");
Expect(0, 917999, '\P{^General_Category:--other}', "");
Error('\p{Gc=/a/_	c}');
Error('\P{Gc=/a/_	c}');
Expect(1, 918000, '\p{Gc=c}', "");
Expect(0, 918000, '\p{^Gc=c}', "");
Expect(0, 918000, '\P{Gc=c}', "");
Expect(1, 918000, '\P{^Gc=c}', "");
Expect(0, 917999, '\p{Gc=c}', "");
Expect(1, 917999, '\p{^Gc=c}', "");
Expect(1, 917999, '\P{Gc=c}', "");
Expect(0, 917999, '\P{^Gc=c}', "");
Expect(1, 918000, '\p{Gc=	C}', "");
Expect(0, 918000, '\p{^Gc=	C}', "");
Expect(0, 918000, '\P{Gc=	C}', "");
Expect(1, 918000, '\P{^Gc=	C}', "");
Expect(0, 917999, '\p{Gc=	C}', "");
Expect(1, 917999, '\p{^Gc=	C}', "");
Expect(1, 917999, '\P{Gc=	C}', "");
Expect(0, 917999, '\P{^Gc=	C}', "");
Error('\p{Category=	Other:=}');
Error('\P{Category=	Other:=}');
Expect(1, 918000, '\p{Category=other}', "");
Expect(0, 918000, '\p{^Category=other}', "");
Expect(0, 918000, '\P{Category=other}', "");
Expect(1, 918000, '\P{^Category=other}', "");
Expect(0, 917999, '\p{Category=other}', "");
Expect(1, 917999, '\p{^Category=other}', "");
Expect(1, 917999, '\P{Category=other}', "");
Expect(0, 917999, '\P{^Category=other}', "");
Expect(1, 918000, '\p{Category=		other}', "");
Expect(0, 918000, '\p{^Category=		other}', "");
Expect(0, 918000, '\P{Category=		other}', "");
Expect(1, 918000, '\P{^Category=		other}', "");
Expect(0, 917999, '\p{Category=		other}', "");
Expect(1, 917999, '\p{^Category=		other}', "");
Expect(1, 917999, '\P{Category=		other}', "");
Expect(0, 917999, '\P{^Category=		other}', "");
Error('\p{Is_General_Category=  C:=}');
Error('\P{Is_General_Category=  C:=}');
Expect(1, 918000, '\p{Is_General_Category=c}', "");
Expect(0, 918000, '\p{^Is_General_Category=c}', "");
Expect(0, 918000, '\P{Is_General_Category=c}', "");
Expect(1, 918000, '\P{^Is_General_Category=c}', "");
Expect(0, 917999, '\p{Is_General_Category=c}', "");
Expect(1, 917999, '\p{^Is_General_Category=c}', "");
Expect(1, 917999, '\P{Is_General_Category=c}', "");
Expect(0, 917999, '\P{^Is_General_Category=c}', "");
Expect(1, 918000, '\p{Is_General_Category=- c}', "");
Expect(0, 918000, '\p{^Is_General_Category=- c}', "");
Expect(0, 918000, '\P{Is_General_Category=- c}', "");
Expect(1, 918000, '\P{^Is_General_Category=- c}', "");
Expect(0, 917999, '\p{Is_General_Category=- c}', "");
Expect(1, 917999, '\p{^Is_General_Category=- c}', "");
Expect(1, 917999, '\P{Is_General_Category=- c}', "");
Expect(0, 917999, '\P{^Is_General_Category=- c}', "");
Error('\p{Is_Gc=	 Other:=}');
Error('\P{Is_Gc=	 Other:=}');
Expect(1, 918000, '\p{Is_Gc=other}', "");
Expect(0, 918000, '\p{^Is_Gc=other}', "");
Expect(0, 918000, '\P{Is_Gc=other}', "");
Expect(1, 918000, '\P{^Is_Gc=other}', "");
Expect(0, 917999, '\p{Is_Gc=other}', "");
Expect(1, 917999, '\p{^Is_Gc=other}', "");
Expect(1, 917999, '\P{Is_Gc=other}', "");
Expect(0, 917999, '\P{^Is_Gc=other}', "");
Expect(1, 918000, '\p{Is_Gc= OTHER}', "");
Expect(0, 918000, '\p{^Is_Gc= OTHER}', "");
Expect(0, 918000, '\P{Is_Gc= OTHER}', "");
Expect(1, 918000, '\P{^Is_Gc= OTHER}', "");
Expect(0, 917999, '\p{Is_Gc= OTHER}', "");
Expect(1, 917999, '\p{^Is_Gc= OTHER}', "");
Expect(1, 917999, '\P{Is_Gc= OTHER}', "");
Expect(0, 917999, '\P{^Is_Gc= OTHER}', "");
Error('\p{Is_Category=- C/a/}');
Error('\P{Is_Category=- C/a/}');
Expect(1, 918000, '\p{Is_Category=c}', "");
Expect(0, 918000, '\p{^Is_Category=c}', "");
Expect(0, 918000, '\P{Is_Category=c}', "");
Expect(1, 918000, '\P{^Is_Category=c}', "");
Expect(0, 917999, '\p{Is_Category=c}', "");
Expect(1, 917999, '\p{^Is_Category=c}', "");
Expect(1, 917999, '\P{Is_Category=c}', "");
Expect(0, 917999, '\P{^Is_Category=c}', "");
Expect(1, 918000, '\p{Is_Category=  C}', "");
Expect(0, 918000, '\p{^Is_Category=  C}', "");
Expect(0, 918000, '\P{Is_Category=  C}', "");
Expect(1, 918000, '\P{^Is_Category=  C}', "");
Expect(0, 917999, '\p{Is_Category=  C}', "");
Expect(1, 917999, '\p{^Is_Category=  C}', "");
Expect(1, 917999, '\P{Is_Category=  C}', "");
Expect(0, 917999, '\P{^Is_Category=  C}', "");
Error('\p{General_Category=- CONTROL:=}');
Error('\P{General_Category=- CONTROL:=}');
Expect(1, 159, '\p{General_Category=control}', "");
Expect(0, 159, '\p{^General_Category=control}', "");
Expect(0, 159, '\P{General_Category=control}', "");
Expect(1, 159, '\P{^General_Category=control}', "");
Expect(0, 160, '\p{General_Category=control}', "");
Expect(1, 160, '\p{^General_Category=control}', "");
Expect(1, 160, '\P{General_Category=control}', "");
Expect(0, 160, '\P{^General_Category=control}', "");
Expect(1, 159, '\p{General_Category=-	control}', "");
Expect(0, 159, '\p{^General_Category=-	control}', "");
Expect(0, 159, '\P{General_Category=-	control}', "");
Expect(1, 159, '\P{^General_Category=-	control}', "");
Expect(0, 160, '\p{General_Category=-	control}', "");
Expect(1, 160, '\p{^General_Category=-	control}', "");
Expect(1, 160, '\P{General_Category=-	control}', "");
Expect(0, 160, '\P{^General_Category=-	control}', "");
Error('\p{Gc=/a/	Cc}');
Error('\P{Gc=/a/	Cc}');
Expect(1, 159, '\p{Gc=cc}', "");
Expect(0, 159, '\p{^Gc=cc}', "");
Expect(0, 159, '\P{Gc=cc}', "");
Expect(1, 159, '\P{^Gc=cc}', "");
Expect(0, 160, '\p{Gc=cc}', "");
Expect(1, 160, '\p{^Gc=cc}', "");
Expect(1, 160, '\P{Gc=cc}', "");
Expect(0, 160, '\P{^Gc=cc}', "");
Expect(1, 159, '\p{Gc=__Cc}', "");
Expect(0, 159, '\p{^Gc=__Cc}', "");
Expect(0, 159, '\P{Gc=__Cc}', "");
Expect(1, 159, '\P{^Gc=__Cc}', "");
Expect(0, 160, '\p{Gc=__Cc}', "");
Expect(1, 160, '\p{^Gc=__Cc}', "");
Expect(1, 160, '\P{Gc=__Cc}', "");
Expect(0, 160, '\P{^Gc=__Cc}', "");
Error('\p{Category=	:=CNTRL}');
Error('\P{Category=	:=CNTRL}');
Expect(1, 159, '\p{Category=cntrl}', "");
Expect(0, 159, '\p{^Category=cntrl}', "");
Expect(0, 159, '\P{Category=cntrl}', "");
Expect(1, 159, '\P{^Category=cntrl}', "");
Expect(0, 160, '\p{Category=cntrl}', "");
Expect(1, 160, '\p{^Category=cntrl}', "");
Expect(1, 160, '\P{Category=cntrl}', "");
Expect(0, 160, '\P{^Category=cntrl}', "");
Expect(1, 159, '\p{Category=_cntrl}', "");
Expect(0, 159, '\p{^Category=_cntrl}', "");
Expect(0, 159, '\P{Category=_cntrl}', "");
Expect(1, 159, '\P{^Category=_cntrl}', "");
Expect(0, 160, '\p{Category=_cntrl}', "");
Expect(1, 160, '\p{^Category=_cntrl}', "");
Expect(1, 160, '\P{Category=_cntrl}', "");
Expect(0, 160, '\P{^Category=_cntrl}', "");
Error('\p{Is_General_Category=:=-Control}');
Error('\P{Is_General_Category=:=-Control}');
Expect(1, 159, '\p{Is_General_Category=control}', "");
Expect(0, 159, '\p{^Is_General_Category=control}', "");
Expect(0, 159, '\P{Is_General_Category=control}', "");
Expect(1, 159, '\P{^Is_General_Category=control}', "");
Expect(0, 160, '\p{Is_General_Category=control}', "");
Expect(1, 160, '\p{^Is_General_Category=control}', "");
Expect(1, 160, '\P{Is_General_Category=control}', "");
Expect(0, 160, '\P{^Is_General_Category=control}', "");
Expect(1, 159, '\p{Is_General_Category=__Control}', "");
Expect(0, 159, '\p{^Is_General_Category=__Control}', "");
Expect(0, 159, '\P{Is_General_Category=__Control}', "");
Expect(1, 159, '\P{^Is_General_Category=__Control}', "");
Expect(0, 160, '\p{Is_General_Category=__Control}', "");
Expect(1, 160, '\p{^Is_General_Category=__Control}', "");
Expect(1, 160, '\P{Is_General_Category=__Control}', "");
Expect(0, 160, '\P{^Is_General_Category=__Control}', "");
Error('\p{Is_Gc=:=Cc}');
Error('\P{Is_Gc=:=Cc}');
Expect(1, 159, '\p{Is_Gc=cc}', "");
Expect(0, 159, '\p{^Is_Gc=cc}', "");
Expect(0, 159, '\P{Is_Gc=cc}', "");
Expect(1, 159, '\P{^Is_Gc=cc}', "");
Expect(0, 160, '\p{Is_Gc=cc}', "");
Expect(1, 160, '\p{^Is_Gc=cc}', "");
Expect(1, 160, '\P{Is_Gc=cc}', "");
Expect(0, 160, '\P{^Is_Gc=cc}', "");
Expect(1, 159, '\p{Is_Gc=_CC}', "");
Expect(0, 159, '\p{^Is_Gc=_CC}', "");
Expect(0, 159, '\P{Is_Gc=_CC}', "");
Expect(1, 159, '\P{^Is_Gc=_CC}', "");
Expect(0, 160, '\p{Is_Gc=_CC}', "");
Expect(1, 160, '\p{^Is_Gc=_CC}', "");
Expect(1, 160, '\P{Is_Gc=_CC}', "");
Expect(0, 160, '\P{^Is_Gc=_CC}', "");
Error('\p{Is_Category= 	cntrl/a/}');
Error('\P{Is_Category= 	cntrl/a/}');
Expect(1, 159, '\p{Is_Category=cntrl}', "");
Expect(0, 159, '\p{^Is_Category=cntrl}', "");
Expect(0, 159, '\P{Is_Category=cntrl}', "");
Expect(1, 159, '\P{^Is_Category=cntrl}', "");
Expect(0, 160, '\p{Is_Category=cntrl}', "");
Expect(1, 160, '\p{^Is_Category=cntrl}', "");
Expect(1, 160, '\P{Is_Category=cntrl}', "");
Expect(0, 160, '\P{^Is_Category=cntrl}', "");
Expect(1, 159, '\p{Is_Category=- CNTRL}', "");
Expect(0, 159, '\p{^Is_Category=- CNTRL}', "");
Expect(0, 159, '\P{Is_Category=- CNTRL}', "");
Expect(1, 159, '\P{^Is_Category=- CNTRL}', "");
Expect(0, 160, '\p{Is_Category=- CNTRL}', "");
Expect(1, 160, '\p{^Is_Category=- CNTRL}', "");
Expect(1, 160, '\P{Is_Category=- CNTRL}', "");
Expect(0, 160, '\P{^Is_Category=- CNTRL}', "");
Error('\p{General_Category=-	Format:=}');
Error('\P{General_Category=-	Format:=}');
Expect(1, 917631, '\p{General_Category=format}', "");
Expect(0, 917631, '\p{^General_Category=format}', "");
Expect(0, 917631, '\P{General_Category=format}', "");
Expect(1, 917631, '\P{^General_Category=format}', "");
Expect(0, 917632, '\p{General_Category=format}', "");
Expect(1, 917632, '\p{^General_Category=format}', "");
Expect(1, 917632, '\P{General_Category=format}', "");
Expect(0, 917632, '\P{^General_Category=format}', "");
Expect(1, 917631, '\p{General_Category=	-FORMAT}', "");
Expect(0, 917631, '\p{^General_Category=	-FORMAT}', "");
Expect(0, 917631, '\P{General_Category=	-FORMAT}', "");
Expect(1, 917631, '\P{^General_Category=	-FORMAT}', "");
Expect(0, 917632, '\p{General_Category=	-FORMAT}', "");
Expect(1, 917632, '\p{^General_Category=	-FORMAT}', "");
Expect(1, 917632, '\P{General_Category=	-FORMAT}', "");
Expect(0, 917632, '\P{^General_Category=	-FORMAT}', "");
Error('\p{Gc=:=_Cf}');
Error('\P{Gc=:=_Cf}');
Expect(1, 917631, '\p{Gc=cf}', "");
Expect(0, 917631, '\p{^Gc=cf}', "");
Expect(0, 917631, '\P{Gc=cf}', "");
Expect(1, 917631, '\P{^Gc=cf}', "");
Expect(0, 917632, '\p{Gc=cf}', "");
Expect(1, 917632, '\p{^Gc=cf}', "");
Expect(1, 917632, '\P{Gc=cf}', "");
Expect(0, 917632, '\P{^Gc=cf}', "");
Expect(1, 917631, '\p{Gc=	CF}', "");
Expect(0, 917631, '\p{^Gc=	CF}', "");
Expect(0, 917631, '\P{Gc=	CF}', "");
Expect(1, 917631, '\P{^Gc=	CF}', "");
Expect(0, 917632, '\p{Gc=	CF}', "");
Expect(1, 917632, '\p{^Gc=	CF}', "");
Expect(1, 917632, '\P{Gc=	CF}', "");
Expect(0, 917632, '\P{^Gc=	CF}', "");
Error('\p{Category=-_FORMAT:=}');
Error('\P{Category=-_FORMAT:=}');
Expect(1, 917631, '\p{Category=format}', "");
Expect(0, 917631, '\p{^Category=format}', "");
Expect(0, 917631, '\P{Category=format}', "");
Expect(1, 917631, '\P{^Category=format}', "");
Expect(0, 917632, '\p{Category=format}', "");
Expect(1, 917632, '\p{^Category=format}', "");
Expect(1, 917632, '\P{Category=format}', "");
Expect(0, 917632, '\P{^Category=format}', "");
Expect(1, 917631, '\p{Category=- FORMAT}', "");
Expect(0, 917631, '\p{^Category=- FORMAT}', "");
Expect(0, 917631, '\P{Category=- FORMAT}', "");
Expect(1, 917631, '\P{^Category=- FORMAT}', "");
Expect(0, 917632, '\p{Category=- FORMAT}', "");
Expect(1, 917632, '\p{^Category=- FORMAT}', "");
Expect(1, 917632, '\P{Category=- FORMAT}', "");
Expect(0, 917632, '\P{^Category=- FORMAT}', "");
Error('\p{Is_General_Category=	/a/cf}');
Error('\P{Is_General_Category=	/a/cf}');
Expect(1, 917631, '\p{Is_General_Category=cf}', "");
Expect(0, 917631, '\p{^Is_General_Category=cf}', "");
Expect(0, 917631, '\P{Is_General_Category=cf}', "");
Expect(1, 917631, '\P{^Is_General_Category=cf}', "");
Expect(0, 917632, '\p{Is_General_Category=cf}', "");
Expect(1, 917632, '\p{^Is_General_Category=cf}', "");
Expect(1, 917632, '\P{Is_General_Category=cf}', "");
Expect(0, 917632, '\P{^Is_General_Category=cf}', "");
Expect(1, 917631, '\p{Is_General_Category=-cf}', "");
Expect(0, 917631, '\p{^Is_General_Category=-cf}', "");
Expect(0, 917631, '\P{Is_General_Category=-cf}', "");
Expect(1, 917631, '\P{^Is_General_Category=-cf}', "");
Expect(0, 917632, '\p{Is_General_Category=-cf}', "");
Expect(1, 917632, '\p{^Is_General_Category=-cf}', "");
Expect(1, 917632, '\P{Is_General_Category=-cf}', "");
Expect(0, 917632, '\P{^Is_General_Category=-cf}', "");
Error('\p{Is_Gc=--format:=}');
Error('\P{Is_Gc=--format:=}');
Expect(1, 917631, '\p{Is_Gc=format}', "");
Expect(0, 917631, '\p{^Is_Gc=format}', "");
Expect(0, 917631, '\P{Is_Gc=format}', "");
Expect(1, 917631, '\P{^Is_Gc=format}', "");
Expect(0, 917632, '\p{Is_Gc=format}', "");
Expect(1, 917632, '\p{^Is_Gc=format}', "");
Expect(1, 917632, '\P{Is_Gc=format}', "");
Expect(0, 917632, '\P{^Is_Gc=format}', "");
Expect(1, 917631, '\p{Is_Gc:   _-Format}', "");
Expect(0, 917631, '\p{^Is_Gc:   _-Format}', "");
Expect(0, 917631, '\P{Is_Gc:   _-Format}', "");
Expect(1, 917631, '\P{^Is_Gc:   _-Format}', "");
Expect(0, 917632, '\p{Is_Gc:   _-Format}', "");
Expect(1, 917632, '\p{^Is_Gc:   _-Format}', "");
Expect(1, 917632, '\P{Is_Gc:   _-Format}', "");
Expect(0, 917632, '\P{^Is_Gc:   _-Format}', "");
Error('\p{Is_Category=	Cf:=}');
Error('\P{Is_Category=	Cf:=}');
Expect(1, 917631, '\p{Is_Category=cf}', "");
Expect(0, 917631, '\p{^Is_Category=cf}', "");
Expect(0, 917631, '\P{Is_Category=cf}', "");
Expect(1, 917631, '\P{^Is_Category=cf}', "");
Expect(0, 917632, '\p{Is_Category=cf}', "");
Expect(1, 917632, '\p{^Is_Category=cf}', "");
Expect(1, 917632, '\P{Is_Category=cf}', "");
Expect(0, 917632, '\P{^Is_Category=cf}', "");
Expect(1, 917631, '\p{Is_Category=		Cf}', "");
Expect(0, 917631, '\p{^Is_Category=		Cf}', "");
Expect(0, 917631, '\P{Is_Category=		Cf}', "");
Expect(1, 917631, '\P{^Is_Category=		Cf}', "");
Expect(0, 917632, '\p{Is_Category=		Cf}', "");
Expect(1, 917632, '\p{^Is_Category=		Cf}', "");
Expect(1, 917632, '\P{Is_Category=		Cf}', "");
Expect(0, 917632, '\P{^Is_Category=		Cf}', "");
Error('\p{General_Category=:=	 unassigned}');
Error('\P{General_Category=:=	 unassigned}');
Expect(1, 918000, '\p{General_Category=unassigned}', "");
Expect(0, 918000, '\p{^General_Category=unassigned}', "");
Expect(0, 918000, '\P{General_Category=unassigned}', "");
Expect(1, 918000, '\P{^General_Category=unassigned}', "");
Expect(0, 1114109, '\p{General_Category=unassigned}', "");
Expect(1, 1114109, '\p{^General_Category=unassigned}', "");
Expect(1, 1114109, '\P{General_Category=unassigned}', "");
Expect(0, 1114109, '\P{^General_Category=unassigned}', "");
Expect(1, 918000, '\p{General_Category:_Unassigned}', "");
Expect(0, 918000, '\p{^General_Category:_Unassigned}', "");
Expect(0, 918000, '\P{General_Category:_Unassigned}', "");
Expect(1, 918000, '\P{^General_Category:_Unassigned}', "");
Expect(0, 1114109, '\p{General_Category:_Unassigned}', "");
Expect(1, 1114109, '\p{^General_Category:_Unassigned}', "");
Expect(1, 1114109, '\P{General_Category:_Unassigned}', "");
Expect(0, 1114109, '\P{^General_Category:_Unassigned}', "");
Error('\p{Gc=/a/-CN}');
Error('\P{Gc=/a/-CN}');
Expect(1, 918000, '\p{Gc=cn}', "");
Expect(0, 918000, '\p{^Gc=cn}', "");
Expect(0, 918000, '\P{Gc=cn}', "");
Expect(1, 918000, '\P{^Gc=cn}', "");
Expect(0, 1114109, '\p{Gc=cn}', "");
Expect(1, 1114109, '\p{^Gc=cn}', "");
Expect(1, 1114109, '\P{Gc=cn}', "");
Expect(0, 1114109, '\P{^Gc=cn}', "");
Expect(1, 918000, '\p{Gc=_-cn}', "");
Expect(0, 918000, '\p{^Gc=_-cn}', "");
Expect(0, 918000, '\P{Gc=_-cn}', "");
Expect(1, 918000, '\P{^Gc=_-cn}', "");
Expect(0, 1114109, '\p{Gc=_-cn}', "");
Expect(1, 1114109, '\p{^Gc=_-cn}', "");
Expect(1, 1114109, '\P{Gc=_-cn}', "");
Expect(0, 1114109, '\P{^Gc=_-cn}', "");
Error('\p{Category=-:=UNASSIGNED}');
Error('\P{Category=-:=UNASSIGNED}');
Expect(1, 918000, '\p{Category:unassigned}', "");
Expect(0, 918000, '\p{^Category:unassigned}', "");
Expect(0, 918000, '\P{Category:unassigned}', "");
Expect(1, 918000, '\P{^Category:unassigned}', "");
Expect(0, 1114109, '\p{Category:unassigned}', "");
Expect(1, 1114109, '\p{^Category:unassigned}', "");
Expect(1, 1114109, '\P{Category:unassigned}', "");
Expect(0, 1114109, '\P{^Category:unassigned}', "");
Expect(1, 918000, '\p{Category:   -Unassigned}', "");
Expect(0, 918000, '\p{^Category:   -Unassigned}', "");
Expect(0, 918000, '\P{Category:   -Unassigned}', "");
Expect(1, 918000, '\P{^Category:   -Unassigned}', "");
Expect(0, 1114109, '\p{Category:   -Unassigned}', "");
Expect(1, 1114109, '\p{^Category:   -Unassigned}', "");
Expect(1, 1114109, '\P{Category:   -Unassigned}', "");
Expect(0, 1114109, '\P{^Category:   -Unassigned}', "");
Error('\p{Is_General_Category=-Cn/a/}');
Error('\P{Is_General_Category=-Cn/a/}');
Expect(1, 918000, '\p{Is_General_Category=cn}', "");
Expect(0, 918000, '\p{^Is_General_Category=cn}', "");
Expect(0, 918000, '\P{Is_General_Category=cn}', "");
Expect(1, 918000, '\P{^Is_General_Category=cn}', "");
Expect(0, 1114109, '\p{Is_General_Category=cn}', "");
Expect(1, 1114109, '\p{^Is_General_Category=cn}', "");
Expect(1, 1114109, '\P{Is_General_Category=cn}', "");
Expect(0, 1114109, '\P{^Is_General_Category=cn}', "");
Expect(1, 918000, '\p{Is_General_Category=	Cn}', "");
Expect(0, 918000, '\p{^Is_General_Category=	Cn}', "");
Expect(0, 918000, '\P{Is_General_Category=	Cn}', "");
Expect(1, 918000, '\P{^Is_General_Category=	Cn}', "");
Expect(0, 1114109, '\p{Is_General_Category=	Cn}', "");
Expect(1, 1114109, '\p{^Is_General_Category=	Cn}', "");
Expect(1, 1114109, '\P{Is_General_Category=	Cn}', "");
Expect(0, 1114109, '\P{^Is_General_Category=	Cn}', "");
Error('\p{Is_Gc=/a/ _UNASSIGNED}');
Error('\P{Is_Gc=/a/ _UNASSIGNED}');
Expect(1, 918000, '\p{Is_Gc=unassigned}', "");
Expect(0, 918000, '\p{^Is_Gc=unassigned}', "");
Expect(0, 918000, '\P{Is_Gc=unassigned}', "");
Expect(1, 918000, '\P{^Is_Gc=unassigned}', "");
Expect(0, 1114109, '\p{Is_Gc=unassigned}', "");
Expect(1, 1114109, '\p{^Is_Gc=unassigned}', "");
Expect(1, 1114109, '\P{Is_Gc=unassigned}', "");
Expect(0, 1114109, '\P{^Is_Gc=unassigned}', "");
Expect(1, 918000, '\p{Is_Gc=	 UNASSIGNED}', "");
Expect(0, 918000, '\p{^Is_Gc=	 UNASSIGNED}', "");
Expect(0, 918000, '\P{Is_Gc=	 UNASSIGNED}', "");
Expect(1, 918000, '\P{^Is_Gc=	 UNASSIGNED}', "");
Expect(0, 1114109, '\p{Is_Gc=	 UNASSIGNED}', "");
Expect(1, 1114109, '\p{^Is_Gc=	 UNASSIGNED}', "");
Expect(1, 1114109, '\P{Is_Gc=	 UNASSIGNED}', "");
Expect(0, 1114109, '\P{^Is_Gc=	 UNASSIGNED}', "");
Error('\p{Is_Category=	:=CN}');
Error('\P{Is_Category=	:=CN}');
Expect(1, 918000, '\p{Is_Category=cn}', "");
Expect(0, 918000, '\p{^Is_Category=cn}', "");
Expect(0, 918000, '\P{Is_Category=cn}', "");
Expect(1, 918000, '\P{^Is_Category=cn}', "");
Expect(0, 1114109, '\p{Is_Category=cn}', "");
Expect(1, 1114109, '\p{^Is_Category=cn}', "");
Expect(1, 1114109, '\P{Is_Category=cn}', "");
Expect(0, 1114109, '\P{^Is_Category=cn}', "");
Expect(1, 918000, '\p{Is_Category= _cn}', "");
Expect(0, 918000, '\p{^Is_Category= _cn}', "");
Expect(0, 918000, '\P{Is_Category= _cn}', "");
Expect(1, 918000, '\P{^Is_Category= _cn}', "");
Expect(0, 1114109, '\p{Is_Category= _cn}', "");
Expect(1, 1114109, '\p{^Is_Category= _cn}', "");
Expect(1, 1114109, '\P{Is_Category= _cn}', "");
Expect(0, 1114109, '\P{^Is_Category= _cn}', "");
Error('\p{General_Category= :=private_Use}');
Error('\P{General_Category= :=private_Use}');
Expect(1, 1114109, '\p{General_Category: privateuse}', "");
Expect(0, 1114109, '\p{^General_Category: privateuse}', "");
Expect(0, 1114109, '\P{General_Category: privateuse}', "");
Expect(1, 1114109, '\P{^General_Category: privateuse}', "");
Expect(0, 63744, '\p{General_Category: privateuse}', "");
Expect(1, 63744, '\p{^General_Category: privateuse}', "");
Expect(1, 63744, '\P{General_Category: privateuse}', "");
Expect(0, 63744, '\P{^General_Category: privateuse}', "");
Expect(1, 1114109, '\p{General_Category=Private_USE}', "");
Expect(0, 1114109, '\p{^General_Category=Private_USE}', "");
Expect(0, 1114109, '\P{General_Category=Private_USE}', "");
Expect(1, 1114109, '\P{^General_Category=Private_USE}', "");
Expect(0, 63744, '\p{General_Category=Private_USE}', "");
Expect(1, 63744, '\p{^General_Category=Private_USE}', "");
Expect(1, 63744, '\P{General_Category=Private_USE}', "");
Expect(0, 63744, '\P{^General_Category=Private_USE}', "");
Error('\p{Gc=	/a/Co}');
Error('\P{Gc=	/a/Co}');
Expect(1, 1114109, '\p{Gc=co}', "");
Expect(0, 1114109, '\p{^Gc=co}', "");
Expect(0, 1114109, '\P{Gc=co}', "");
Expect(1, 1114109, '\P{^Gc=co}', "");
Expect(0, 63744, '\p{Gc=co}', "");
Expect(1, 63744, '\p{^Gc=co}', "");
Expect(1, 63744, '\P{Gc=co}', "");
Expect(0, 63744, '\P{^Gc=co}', "");
Expect(1, 1114109, '\p{Gc:   _Co}', "");
Expect(0, 1114109, '\p{^Gc:   _Co}', "");
Expect(0, 1114109, '\P{Gc:   _Co}', "");
Expect(1, 1114109, '\P{^Gc:   _Co}', "");
Expect(0, 63744, '\p{Gc:   _Co}', "");
Expect(1, 63744, '\p{^Gc:   _Co}', "");
Expect(1, 63744, '\P{Gc:   _Co}', "");
Expect(0, 63744, '\P{^Gc:   _Co}', "");
Error('\p{Category=/a/private_USE}');
Error('\P{Category=/a/private_USE}');
Expect(1, 1114109, '\p{Category=privateuse}', "");
Expect(0, 1114109, '\p{^Category=privateuse}', "");
Expect(0, 1114109, '\P{Category=privateuse}', "");
Expect(1, 1114109, '\P{^Category=privateuse}', "");
Expect(0, 63744, '\p{Category=privateuse}', "");
Expect(1, 63744, '\p{^Category=privateuse}', "");
Expect(1, 63744, '\P{Category=privateuse}', "");
Expect(0, 63744, '\P{^Category=privateuse}', "");
Expect(1, 1114109, '\p{Category=_-PRIVATE_Use}', "");
Expect(0, 1114109, '\p{^Category=_-PRIVATE_Use}', "");
Expect(0, 1114109, '\P{Category=_-PRIVATE_Use}', "");
Expect(1, 1114109, '\P{^Category=_-PRIVATE_Use}', "");
Expect(0, 63744, '\p{Category=_-PRIVATE_Use}', "");
Expect(1, 63744, '\p{^Category=_-PRIVATE_Use}', "");
Expect(1, 63744, '\P{Category=_-PRIVATE_Use}', "");
Expect(0, 63744, '\P{^Category=_-PRIVATE_Use}', "");
Error('\p{Is_General_Category=	/a/CO}');
Error('\P{Is_General_Category=	/a/CO}');
Expect(1, 1114109, '\p{Is_General_Category=co}', "");
Expect(0, 1114109, '\p{^Is_General_Category=co}', "");
Expect(0, 1114109, '\P{Is_General_Category=co}', "");
Expect(1, 1114109, '\P{^Is_General_Category=co}', "");
Expect(0, 63744, '\p{Is_General_Category=co}', "");
Expect(1, 63744, '\p{^Is_General_Category=co}', "");
Expect(1, 63744, '\P{Is_General_Category=co}', "");
Expect(0, 63744, '\P{^Is_General_Category=co}', "");
Expect(1, 1114109, '\p{Is_General_Category=-Co}', "");
Expect(0, 1114109, '\p{^Is_General_Category=-Co}', "");
Expect(0, 1114109, '\P{Is_General_Category=-Co}', "");
Expect(1, 1114109, '\P{^Is_General_Category=-Co}', "");
Expect(0, 63744, '\p{Is_General_Category=-Co}', "");
Expect(1, 63744, '\p{^Is_General_Category=-Co}', "");
Expect(1, 63744, '\P{Is_General_Category=-Co}', "");
Expect(0, 63744, '\P{^Is_General_Category=-Co}', "");
Error('\p{Is_Gc= /a/PRIVATE_Use}');
Error('\P{Is_Gc= /a/PRIVATE_Use}');
Expect(1, 1114109, '\p{Is_Gc=privateuse}', "");
Expect(0, 1114109, '\p{^Is_Gc=privateuse}', "");
Expect(0, 1114109, '\P{Is_Gc=privateuse}', "");
Expect(1, 1114109, '\P{^Is_Gc=privateuse}', "");
Expect(0, 63744, '\p{Is_Gc=privateuse}', "");
Expect(1, 63744, '\p{^Is_Gc=privateuse}', "");
Expect(1, 63744, '\P{Is_Gc=privateuse}', "");
Expect(0, 63744, '\P{^Is_Gc=privateuse}', "");
Expect(1, 1114109, '\p{Is_Gc=  Private_use}', "");
Expect(0, 1114109, '\p{^Is_Gc=  Private_use}', "");
Expect(0, 1114109, '\P{Is_Gc=  Private_use}', "");
Expect(1, 1114109, '\P{^Is_Gc=  Private_use}', "");
Expect(0, 63744, '\p{Is_Gc=  Private_use}', "");
Expect(1, 63744, '\p{^Is_Gc=  Private_use}', "");
Expect(1, 63744, '\P{Is_Gc=  Private_use}', "");
Expect(0, 63744, '\P{^Is_Gc=  Private_use}', "");
Error('\p{Is_Category=_-CO:=}');
Error('\P{Is_Category=_-CO:=}');
Expect(1, 1114109, '\p{Is_Category=co}', "");
Expect(0, 1114109, '\p{^Is_Category=co}', "");
Expect(0, 1114109, '\P{Is_Category=co}', "");
Expect(1, 1114109, '\P{^Is_Category=co}', "");
Expect(0, 63744, '\p{Is_Category=co}', "");
Expect(1, 63744, '\p{^Is_Category=co}', "");
Expect(1, 63744, '\P{Is_Category=co}', "");
Expect(0, 63744, '\P{^Is_Category=co}', "");
Expect(1, 1114109, '\p{Is_Category= -Co}', "");
Expect(0, 1114109, '\p{^Is_Category= -Co}', "");
Expect(0, 1114109, '\P{Is_Category= -Co}', "");
Expect(1, 1114109, '\P{^Is_Category= -Co}', "");
Expect(0, 63744, '\p{Is_Category= -Co}', "");
Expect(1, 63744, '\p{^Is_Category= -Co}', "");
Expect(1, 63744, '\P{Is_Category= -Co}', "");
Expect(0, 63744, '\P{^Is_Category= -Co}', "");
Error('\p{General_Category=_:=Surrogate}');
Error('\P{General_Category=_:=Surrogate}');
Expect(1, 57343, '\p{General_Category=surrogate}', "");
Expect(0, 57343, '\p{^General_Category=surrogate}', "");
Expect(0, 57343, '\P{General_Category=surrogate}', "");
Expect(1, 57343, '\P{^General_Category=surrogate}', "");
Expect(0, 57344, '\p{General_Category=surrogate}', "");
Expect(1, 57344, '\p{^General_Category=surrogate}', "");
Expect(1, 57344, '\P{General_Category=surrogate}', "");
Expect(0, 57344, '\P{^General_Category=surrogate}', "");
Expect(1, 57343, '\p{General_Category=_Surrogate}', "");
Expect(0, 57343, '\p{^General_Category=_Surrogate}', "");
Expect(0, 57343, '\P{General_Category=_Surrogate}', "");
Expect(1, 57343, '\P{^General_Category=_Surrogate}', "");
Expect(0, 57344, '\p{General_Category=_Surrogate}', "");
Expect(1, 57344, '\p{^General_Category=_Surrogate}', "");
Expect(1, 57344, '\P{General_Category=_Surrogate}', "");
Expect(0, 57344, '\P{^General_Category=_Surrogate}', "");
Error('\p{Gc=  Cs:=}');
Error('\P{Gc=  Cs:=}');
Expect(1, 57343, '\p{Gc=cs}', "");
Expect(0, 57343, '\p{^Gc=cs}', "");
Expect(0, 57343, '\P{Gc=cs}', "");
Expect(1, 57343, '\P{^Gc=cs}', "");
Expect(0, 57344, '\p{Gc=cs}', "");
Expect(1, 57344, '\p{^Gc=cs}', "");
Expect(1, 57344, '\P{Gc=cs}', "");
Expect(0, 57344, '\P{^Gc=cs}', "");
Expect(1, 57343, '\p{Gc=Cs}', "");
Expect(0, 57343, '\p{^Gc=Cs}', "");
Expect(0, 57343, '\P{Gc=Cs}', "");
Expect(1, 57343, '\P{^Gc=Cs}', "");
Expect(0, 57344, '\p{Gc=Cs}', "");
Expect(1, 57344, '\p{^Gc=Cs}', "");
Expect(1, 57344, '\P{Gc=Cs}', "");
Expect(0, 57344, '\P{^Gc=Cs}', "");
Error('\p{Category=:=surrogate}');
Error('\P{Category=:=surrogate}');
Expect(1, 57343, '\p{Category=surrogate}', "");
Expect(0, 57343, '\p{^Category=surrogate}', "");
Expect(0, 57343, '\P{Category=surrogate}', "");
Expect(1, 57343, '\P{^Category=surrogate}', "");
Expect(0, 57344, '\p{Category=surrogate}', "");
Expect(1, 57344, '\p{^Category=surrogate}', "");
Expect(1, 57344, '\P{Category=surrogate}', "");
Expect(0, 57344, '\P{^Category=surrogate}', "");
Expect(1, 57343, '\p{Category:	 -SURROGATE}', "");
Expect(0, 57343, '\p{^Category:	 -SURROGATE}', "");
Expect(0, 57343, '\P{Category:	 -SURROGATE}', "");
Expect(1, 57343, '\P{^Category:	 -SURROGATE}', "");
Expect(0, 57344, '\p{Category:	 -SURROGATE}', "");
Expect(1, 57344, '\p{^Category:	 -SURROGATE}', "");
Expect(1, 57344, '\P{Category:	 -SURROGATE}', "");
Expect(0, 57344, '\P{^Category:	 -SURROGATE}', "");
Error('\p{Is_General_Category=:= -CS}');
Error('\P{Is_General_Category=:= -CS}');
Expect(1, 57343, '\p{Is_General_Category=cs}', "");
Expect(0, 57343, '\p{^Is_General_Category=cs}', "");
Expect(0, 57343, '\P{Is_General_Category=cs}', "");
Expect(1, 57343, '\P{^Is_General_Category=cs}', "");
Expect(0, 57344, '\p{Is_General_Category=cs}', "");
Expect(1, 57344, '\p{^Is_General_Category=cs}', "");
Expect(1, 57344, '\P{Is_General_Category=cs}', "");
Expect(0, 57344, '\P{^Is_General_Category=cs}', "");
Expect(1, 57343, '\p{Is_General_Category= _cs}', "");
Expect(0, 57343, '\p{^Is_General_Category= _cs}', "");
Expect(0, 57343, '\P{Is_General_Category= _cs}', "");
Expect(1, 57343, '\P{^Is_General_Category= _cs}', "");
Expect(0, 57344, '\p{Is_General_Category= _cs}', "");
Expect(1, 57344, '\p{^Is_General_Category= _cs}', "");
Expect(1, 57344, '\P{Is_General_Category= _cs}', "");
Expect(0, 57344, '\P{^Is_General_Category= _cs}', "");
Error('\p{Is_Gc=__SURROGATE:=}');
Error('\P{Is_Gc=__SURROGATE:=}');
Expect(1, 57343, '\p{Is_Gc=surrogate}', "");
Expect(0, 57343, '\p{^Is_Gc=surrogate}', "");
Expect(0, 57343, '\P{Is_Gc=surrogate}', "");
Expect(1, 57343, '\P{^Is_Gc=surrogate}', "");
Expect(0, 57344, '\p{Is_Gc=surrogate}', "");
Expect(1, 57344, '\p{^Is_Gc=surrogate}', "");
Expect(1, 57344, '\P{Is_Gc=surrogate}', "");
Expect(0, 57344, '\P{^Is_Gc=surrogate}', "");
Expect(1, 57343, '\p{Is_Gc= _SURROGATE}', "");
Expect(0, 57343, '\p{^Is_Gc= _SURROGATE}', "");
Expect(0, 57343, '\P{Is_Gc= _SURROGATE}', "");
Expect(1, 57343, '\P{^Is_Gc= _SURROGATE}', "");
Expect(0, 57344, '\p{Is_Gc= _SURROGATE}', "");
Expect(1, 57344, '\p{^Is_Gc= _SURROGATE}', "");
Expect(1, 57344, '\P{Is_Gc= _SURROGATE}', "");
Expect(0, 57344, '\P{^Is_Gc= _SURROGATE}', "");
Error('\p{Is_Category=	Cs:=}');
Error('\P{Is_Category=	Cs:=}');
Expect(1, 57343, '\p{Is_Category=cs}', "");
Expect(0, 57343, '\p{^Is_Category=cs}', "");
Expect(0, 57343, '\P{Is_Category=cs}', "");
Expect(1, 57343, '\P{^Is_Category=cs}', "");
Expect(0, 57344, '\p{Is_Category=cs}', "");
Expect(1, 57344, '\p{^Is_Category=cs}', "");
Expect(1, 57344, '\P{Is_Category=cs}', "");
Expect(0, 57344, '\P{^Is_Category=cs}', "");
Expect(1, 57343, '\p{Is_Category= 	Cs}', "");
Expect(0, 57343, '\p{^Is_Category= 	Cs}', "");
Expect(0, 57343, '\P{Is_Category= 	Cs}', "");
Expect(1, 57343, '\P{^Is_Category= 	Cs}', "");
Expect(0, 57344, '\p{Is_Category= 	Cs}', "");
Expect(1, 57344, '\p{^Is_Category= 	Cs}', "");
Expect(1, 57344, '\P{Is_Category= 	Cs}', "");
Expect(0, 57344, '\P{^Is_Category= 	Cs}', "");
Error('\p{General_Category= /a/Letter}');
Error('\P{General_Category= /a/Letter}');
Expect(1, 195101, '\p{General_Category=letter}', "");
Expect(0, 195101, '\p{^General_Category=letter}', "");
Expect(0, 195101, '\P{General_Category=letter}', "");
Expect(1, 195101, '\P{^General_Category=letter}', "");
Expect(0, 195102, '\p{General_Category=letter}', "");
Expect(1, 195102, '\p{^General_Category=letter}', "");
Expect(1, 195102, '\P{General_Category=letter}', "");
Expect(0, 195102, '\P{^General_Category=letter}', "");
Expect(1, 195101, '\p{General_Category=	letter}', "");
Expect(0, 195101, '\p{^General_Category=	letter}', "");
Expect(0, 195101, '\P{General_Category=	letter}', "");
Expect(1, 195101, '\P{^General_Category=	letter}', "");
Expect(0, 195102, '\p{General_Category=	letter}', "");
Expect(1, 195102, '\p{^General_Category=	letter}', "");
Expect(1, 195102, '\P{General_Category=	letter}', "");
Expect(0, 195102, '\P{^General_Category=	letter}', "");
Error('\p{Gc= L/a/}');
Error('\P{Gc= L/a/}');
Expect(1, 195101, '\p{Gc:l}', "");
Expect(0, 195101, '\p{^Gc:l}', "");
Expect(0, 195101, '\P{Gc:l}', "");
Expect(1, 195101, '\P{^Gc:l}', "");
Expect(0, 195102, '\p{Gc:l}', "");
Expect(1, 195102, '\p{^Gc:l}', "");
Expect(1, 195102, '\P{Gc:l}', "");
Expect(0, 195102, '\P{^Gc:l}', "");
Expect(1, 195101, '\p{Gc=	l}', "");
Expect(0, 195101, '\p{^Gc=	l}', "");
Expect(0, 195101, '\P{Gc=	l}', "");
Expect(1, 195101, '\P{^Gc=	l}', "");
Expect(0, 195102, '\p{Gc=	l}', "");
Expect(1, 195102, '\p{^Gc=	l}', "");
Expect(1, 195102, '\P{Gc=	l}', "");
Expect(0, 195102, '\P{^Gc=	l}', "");
Error('\p{Category=	/a/Letter}');
Error('\P{Category=	/a/Letter}');
Expect(1, 195101, '\p{Category=letter}', "");
Expect(0, 195101, '\p{^Category=letter}', "");
Expect(0, 195101, '\P{Category=letter}', "");
Expect(1, 195101, '\P{^Category=letter}', "");
Expect(0, 195102, '\p{Category=letter}', "");
Expect(1, 195102, '\p{^Category=letter}', "");
Expect(1, 195102, '\P{Category=letter}', "");
Expect(0, 195102, '\P{^Category=letter}', "");
Expect(1, 195101, '\p{Category=	letter}', "");
Expect(0, 195101, '\p{^Category=	letter}', "");
Expect(0, 195101, '\P{Category=	letter}', "");
Expect(1, 195101, '\P{^Category=	letter}', "");
Expect(0, 195102, '\p{Category=	letter}', "");
Expect(1, 195102, '\p{^Category=	letter}', "");
Expect(1, 195102, '\P{Category=	letter}', "");
Expect(0, 195102, '\P{^Category=	letter}', "");
Error('\p{Is_General_Category=_L:=}');
Error('\P{Is_General_Category=_L:=}');
Expect(1, 195101, '\p{Is_General_Category=l}', "");
Expect(0, 195101, '\p{^Is_General_Category=l}', "");
Expect(0, 195101, '\P{Is_General_Category=l}', "");
Expect(1, 195101, '\P{^Is_General_Category=l}', "");
Expect(0, 195102, '\p{Is_General_Category=l}', "");
Expect(1, 195102, '\p{^Is_General_Category=l}', "");
Expect(1, 195102, '\P{Is_General_Category=l}', "");
Expect(0, 195102, '\P{^Is_General_Category=l}', "");
Expect(1, 195101, '\p{Is_General_Category=_ L}', "");
Expect(0, 195101, '\p{^Is_General_Category=_ L}', "");
Expect(0, 195101, '\P{Is_General_Category=_ L}', "");
Expect(1, 195101, '\P{^Is_General_Category=_ L}', "");
Expect(0, 195102, '\p{Is_General_Category=_ L}', "");
Expect(1, 195102, '\p{^Is_General_Category=_ L}', "");
Expect(1, 195102, '\P{Is_General_Category=_ L}', "");
Expect(0, 195102, '\P{^Is_General_Category=_ L}', "");
Error('\p{Is_Gc=letter:=}');
Error('\P{Is_Gc=letter:=}');
Expect(1, 195101, '\p{Is_Gc=letter}', "");
Expect(0, 195101, '\p{^Is_Gc=letter}', "");
Expect(0, 195101, '\P{Is_Gc=letter}', "");
Expect(1, 195101, '\P{^Is_Gc=letter}', "");
Expect(0, 195102, '\p{Is_Gc=letter}', "");
Expect(1, 195102, '\p{^Is_Gc=letter}', "");
Expect(1, 195102, '\P{Is_Gc=letter}', "");
Expect(0, 195102, '\P{^Is_Gc=letter}', "");
Expect(1, 195101, '\p{Is_Gc= Letter}', "");
Expect(0, 195101, '\p{^Is_Gc= Letter}', "");
Expect(0, 195101, '\P{Is_Gc= Letter}', "");
Expect(1, 195101, '\P{^Is_Gc= Letter}', "");
Expect(0, 195102, '\p{Is_Gc= Letter}', "");
Expect(1, 195102, '\p{^Is_Gc= Letter}', "");
Expect(1, 195102, '\P{Is_Gc= Letter}', "");
Expect(0, 195102, '\P{^Is_Gc= Letter}', "");
Error('\p{Is_Category=/a/_L}');
Error('\P{Is_Category=/a/_L}');
Expect(1, 195101, '\p{Is_Category=l}', "");
Expect(0, 195101, '\p{^Is_Category=l}', "");
Expect(0, 195101, '\P{Is_Category=l}', "");
Expect(1, 195101, '\P{^Is_Category=l}', "");
Expect(0, 195102, '\p{Is_Category=l}', "");
Expect(1, 195102, '\p{^Is_Category=l}', "");
Expect(1, 195102, '\P{Is_Category=l}', "");
Expect(0, 195102, '\P{^Is_Category=l}', "");
Expect(1, 195101, '\p{Is_Category= L}', "");
Expect(0, 195101, '\p{^Is_Category= L}', "");
Expect(0, 195101, '\P{Is_Category= L}', "");
Expect(1, 195101, '\P{^Is_Category= L}', "");
Expect(0, 195102, '\p{Is_Category= L}', "");
Expect(1, 195102, '\p{^Is_Category= L}', "");
Expect(1, 195102, '\P{Is_Category= L}', "");
Expect(0, 195102, '\P{^Is_Category= L}', "");
Error('\p{General_Category=cased_letter:=}');
Error('\P{General_Category=cased_letter:=}');
Expect(1, 120779, '\p{General_Category:casedletter}', "");
Expect(0, 120779, '\p{^General_Category:casedletter}', "");
Expect(0, 120779, '\P{General_Category:casedletter}', "");
Expect(1, 120779, '\P{^General_Category:casedletter}', "");
Expect(0, 120780, '\p{General_Category:casedletter}', "");
Expect(1, 120780, '\p{^General_Category:casedletter}', "");
Expect(1, 120780, '\P{General_Category:casedletter}', "");
Expect(0, 120780, '\P{^General_Category:casedletter}', "");
Expect(1, 120779, '\p{General_Category:cased_Letter}', "");
Expect(0, 120779, '\p{^General_Category:cased_Letter}', "");
Expect(0, 120779, '\P{General_Category:cased_Letter}', "");
Expect(1, 120779, '\P{^General_Category:cased_Letter}', "");
Expect(0, 120780, '\p{General_Category:cased_Letter}', "");
Expect(1, 120780, '\p{^General_Category:cased_Letter}', "");
Expect(1, 120780, '\P{General_Category:cased_Letter}', "");
Expect(0, 120780, '\P{^General_Category:cased_Letter}', "");
Error('\p{Gc=:=__LC}');
Error('\P{Gc=:=__LC}');
Expect(1, 120779, '\p{Gc:   lc}', "");
Expect(0, 120779, '\p{^Gc:   lc}', "");
Expect(0, 120779, '\P{Gc:   lc}', "");
Expect(1, 120779, '\P{^Gc:   lc}', "");
Expect(0, 120780, '\p{Gc:   lc}', "");
Expect(1, 120780, '\p{^Gc:   lc}', "");
Expect(1, 120780, '\P{Gc:   lc}', "");
Expect(0, 120780, '\P{^Gc:   lc}', "");
Expect(1, 120779, '\p{Gc=- lc}', "");
Expect(0, 120779, '\p{^Gc=- lc}', "");
Expect(0, 120779, '\P{Gc=- lc}', "");
Expect(1, 120779, '\P{^Gc=- lc}', "");
Expect(0, 120780, '\p{Gc=- lc}', "");
Expect(1, 120780, '\p{^Gc=- lc}', "");
Expect(1, 120780, '\P{Gc=- lc}', "");
Expect(0, 120780, '\P{^Gc=- lc}', "");
Error('\p{Category=:=L_}');
Error('\P{Category=:=L_}');
Expect(1, 120779, '\p{Category=l_}', "");
Expect(0, 120779, '\p{^Category=l_}', "");
Expect(0, 120779, '\P{Category=l_}', "");
Expect(1, 120779, '\P{^Category=l_}', "");
Expect(0, 120780, '\p{Category=l_}', "");
Expect(1, 120780, '\p{^Category=l_}', "");
Expect(1, 120780, '\P{Category=l_}', "");
Expect(0, 120780, '\P{^Category=l_}', "");
Expect(1, 120779, '\p{Category:		L_}', "");
Expect(0, 120779, '\p{^Category:		L_}', "");
Expect(0, 120779, '\P{Category:		L_}', "");
Expect(1, 120779, '\P{^Category:		L_}', "");
Expect(0, 120780, '\p{Category:		L_}', "");
Expect(1, 120780, '\p{^Category:		L_}', "");
Expect(1, 120780, '\P{Category:		L_}', "");
Expect(0, 120780, '\P{^Category:		L_}', "");
Error('\p{Is_General_Category= L&/a/}');
Error('\P{Is_General_Category= L&/a/}');
Expect(1, 120779, '\p{Is_General_Category: l&}', "");
Expect(0, 120779, '\p{^Is_General_Category: l&}', "");
Expect(0, 120779, '\P{Is_General_Category: l&}', "");
Expect(1, 120779, '\P{^Is_General_Category: l&}', "");
Expect(0, 120780, '\p{Is_General_Category: l&}', "");
Expect(1, 120780, '\p{^Is_General_Category: l&}', "");
Expect(1, 120780, '\P{Is_General_Category: l&}', "");
Expect(0, 120780, '\P{^Is_General_Category: l&}', "");
Expect(1, 120779, '\p{Is_General_Category=	_L&}', "");
Expect(0, 120779, '\p{^Is_General_Category=	_L&}', "");
Expect(0, 120779, '\P{Is_General_Category=	_L&}', "");
Expect(1, 120779, '\P{^Is_General_Category=	_L&}', "");
Expect(0, 120780, '\p{Is_General_Category=	_L&}', "");
Expect(1, 120780, '\p{^Is_General_Category=	_L&}', "");
Expect(1, 120780, '\P{Is_General_Category=	_L&}', "");
Expect(0, 120780, '\P{^Is_General_Category=	_L&}', "");
Error('\p{Is_Gc:   /a/_	Cased_Letter}');
Error('\P{Is_Gc:   /a/_	Cased_Letter}');
Expect(1, 120779, '\p{Is_Gc=casedletter}', "");
Expect(0, 120779, '\p{^Is_Gc=casedletter}', "");
Expect(0, 120779, '\P{Is_Gc=casedletter}', "");
Expect(1, 120779, '\P{^Is_Gc=casedletter}', "");
Expect(0, 120780, '\p{Is_Gc=casedletter}', "");
Expect(1, 120780, '\p{^Is_Gc=casedletter}', "");
Expect(1, 120780, '\P{Is_Gc=casedletter}', "");
Expect(0, 120780, '\P{^Is_Gc=casedletter}', "");
Expect(1, 120779, '\p{Is_Gc=-	cased_Letter}', "");
Expect(0, 120779, '\p{^Is_Gc=-	cased_Letter}', "");
Expect(0, 120779, '\P{Is_Gc=-	cased_Letter}', "");
Expect(1, 120779, '\P{^Is_Gc=-	cased_Letter}', "");
Expect(0, 120780, '\p{Is_Gc=-	cased_Letter}', "");
Expect(1, 120780, '\p{^Is_Gc=-	cased_Letter}', "");
Expect(1, 120780, '\P{Is_Gc=-	cased_Letter}', "");
Expect(0, 120780, '\P{^Is_Gc=-	cased_Letter}', "");
Error('\p{Is_Category=_/a/LC}');
Error('\P{Is_Category=_/a/LC}');
Expect(1, 120779, '\p{Is_Category:   lc}', "");
Expect(0, 120779, '\p{^Is_Category:   lc}', "");
Expect(0, 120779, '\P{Is_Category:   lc}', "");
Expect(1, 120779, '\P{^Is_Category:   lc}', "");
Expect(0, 120780, '\p{Is_Category:   lc}', "");
Expect(1, 120780, '\p{^Is_Category:   lc}', "");
Expect(1, 120780, '\P{Is_Category:   lc}', "");
Expect(0, 120780, '\P{^Is_Category:   lc}', "");
Expect(1, 120779, '\p{Is_Category=  LC}', "");
Expect(0, 120779, '\p{^Is_Category=  LC}', "");
Expect(0, 120779, '\P{Is_Category=  LC}', "");
Expect(1, 120779, '\P{^Is_Category=  LC}', "");
Expect(0, 120780, '\p{Is_Category=  LC}', "");
Expect(1, 120780, '\p{^Is_Category=  LC}', "");
Expect(1, 120780, '\P{Is_Category=  LC}', "");
Expect(0, 120780, '\P{^Is_Category=  LC}', "");
Error('\p{General_Category=:= -lowercase_Letter}');
Error('\P{General_Category=:= -lowercase_Letter}');
Expect(1, 120779, '\p{General_Category=lowercaseletter}', "");
Expect(0, 120779, '\p{^General_Category=lowercaseletter}', "");
Expect(0, 120779, '\P{General_Category=lowercaseletter}', "");
Expect(1, 120779, '\P{^General_Category=lowercaseletter}', "");
Expect(0, 120780, '\p{General_Category=lowercaseletter}', "");
Expect(1, 120780, '\p{^General_Category=lowercaseletter}', "");
Expect(1, 120780, '\P{General_Category=lowercaseletter}', "");
Expect(0, 120780, '\P{^General_Category=lowercaseletter}', "");
Expect(1, 120779, '\p{General_Category= lowercase_letter}', "");
Expect(0, 120779, '\p{^General_Category= lowercase_letter}', "");
Expect(0, 120779, '\P{General_Category= lowercase_letter}', "");
Expect(1, 120779, '\P{^General_Category= lowercase_letter}', "");
Expect(0, 120780, '\p{General_Category= lowercase_letter}', "");
Expect(1, 120780, '\p{^General_Category= lowercase_letter}', "");
Expect(1, 120780, '\P{General_Category= lowercase_letter}', "");
Expect(0, 120780, '\P{^General_Category= lowercase_letter}', "");
Error('\p{Gc=:=	 Ll}');
Error('\P{Gc=:=	 Ll}');
Expect(1, 120779, '\p{Gc=ll}', "");
Expect(0, 120779, '\p{^Gc=ll}', "");
Expect(0, 120779, '\P{Gc=ll}', "");
Expect(1, 120779, '\P{^Gc=ll}', "");
Expect(0, 120780, '\p{Gc=ll}', "");
Expect(1, 120780, '\p{^Gc=ll}', "");
Expect(1, 120780, '\P{Gc=ll}', "");
Expect(0, 120780, '\P{^Gc=ll}', "");
Expect(1, 120779, '\p{Gc=__LL}', "");
Expect(0, 120779, '\p{^Gc=__LL}', "");
Expect(0, 120779, '\P{Gc=__LL}', "");
Expect(1, 120779, '\P{^Gc=__LL}', "");
Expect(0, 120780, '\p{Gc=__LL}', "");
Expect(1, 120780, '\p{^Gc=__LL}', "");
Expect(1, 120780, '\P{Gc=__LL}', "");
Expect(0, 120780, '\P{^Gc=__LL}', "");
Error('\p{Category=_/a/LOWERCASE_Letter}');
Error('\P{Category=_/a/LOWERCASE_Letter}');
Expect(1, 120779, '\p{Category=lowercaseletter}', "");
Expect(0, 120779, '\p{^Category=lowercaseletter}', "");
Expect(0, 120779, '\P{Category=lowercaseletter}', "");
Expect(1, 120779, '\P{^Category=lowercaseletter}', "");
Expect(0, 120780, '\p{Category=lowercaseletter}', "");
Expect(1, 120780, '\p{^Category=lowercaseletter}', "");
Expect(1, 120780, '\P{Category=lowercaseletter}', "");
Expect(0, 120780, '\P{^Category=lowercaseletter}', "");
Expect(1, 120779, '\p{Category=_	Lowercase_letter}', "");
Expect(0, 120779, '\p{^Category=_	Lowercase_letter}', "");
Expect(0, 120779, '\P{Category=_	Lowercase_letter}', "");
Expect(1, 120779, '\P{^Category=_	Lowercase_letter}', "");
Expect(0, 120780, '\p{Category=_	Lowercase_letter}', "");
Expect(1, 120780, '\p{^Category=_	Lowercase_letter}', "");
Expect(1, 120780, '\P{Category=_	Lowercase_letter}', "");
Expect(0, 120780, '\P{^Category=_	Lowercase_letter}', "");
Error('\p{Is_General_Category=:=	 LL}');
Error('\P{Is_General_Category=:=	 LL}');
Expect(1, 120779, '\p{Is_General_Category=ll}', "");
Expect(0, 120779, '\p{^Is_General_Category=ll}', "");
Expect(0, 120779, '\P{Is_General_Category=ll}', "");
Expect(1, 120779, '\P{^Is_General_Category=ll}', "");
Expect(0, 120780, '\p{Is_General_Category=ll}', "");
Expect(1, 120780, '\p{^Is_General_Category=ll}', "");
Expect(1, 120780, '\P{Is_General_Category=ll}', "");
Expect(0, 120780, '\P{^Is_General_Category=ll}', "");
Expect(1, 120779, '\p{Is_General_Category=	Ll}', "");
Expect(0, 120779, '\p{^Is_General_Category=	Ll}', "");
Expect(0, 120779, '\P{Is_General_Category=	Ll}', "");
Expect(1, 120779, '\P{^Is_General_Category=	Ll}', "");
Expect(0, 120780, '\p{Is_General_Category=	Ll}', "");
Expect(1, 120780, '\p{^Is_General_Category=	Ll}', "");
Expect(1, 120780, '\P{Is_General_Category=	Ll}', "");
Expect(0, 120780, '\P{^Is_General_Category=	Ll}', "");
Error('\p{Is_Gc=lowercase_Letter:=}');
Error('\P{Is_Gc=lowercase_Letter:=}');
Expect(1, 120779, '\p{Is_Gc=lowercaseletter}', "");
Expect(0, 120779, '\p{^Is_Gc=lowercaseletter}', "");
Expect(0, 120779, '\P{Is_Gc=lowercaseletter}', "");
Expect(1, 120779, '\P{^Is_Gc=lowercaseletter}', "");
Expect(0, 120780, '\p{Is_Gc=lowercaseletter}', "");
Expect(1, 120780, '\p{^Is_Gc=lowercaseletter}', "");
Expect(1, 120780, '\P{Is_Gc=lowercaseletter}', "");
Expect(0, 120780, '\P{^Is_Gc=lowercaseletter}', "");
Expect(1, 120779, '\p{Is_Gc=	-Lowercase_LETTER}', "");
Expect(0, 120779, '\p{^Is_Gc=	-Lowercase_LETTER}', "");
Expect(0, 120779, '\P{Is_Gc=	-Lowercase_LETTER}', "");
Expect(1, 120779, '\P{^Is_Gc=	-Lowercase_LETTER}', "");
Expect(0, 120780, '\p{Is_Gc=	-Lowercase_LETTER}', "");
Expect(1, 120780, '\p{^Is_Gc=	-Lowercase_LETTER}', "");
Expect(1, 120780, '\P{Is_Gc=	-Lowercase_LETTER}', "");
Expect(0, 120780, '\P{^Is_Gc=	-Lowercase_LETTER}', "");
Error('\p{Is_Category= /a/Ll}');
Error('\P{Is_Category= /a/Ll}');
Expect(1, 120779, '\p{Is_Category=ll}', "");
Expect(0, 120779, '\p{^Is_Category=ll}', "");
Expect(0, 120779, '\P{Is_Category=ll}', "");
Expect(1, 120779, '\P{^Is_Category=ll}', "");
Expect(0, 120780, '\p{Is_Category=ll}', "");
Expect(1, 120780, '\p{^Is_Category=ll}', "");
Expect(1, 120780, '\P{Is_Category=ll}', "");
Expect(0, 120780, '\P{^Is_Category=ll}', "");
Expect(1, 120779, '\p{Is_Category= 	ll}', "");
Expect(0, 120779, '\p{^Is_Category= 	ll}', "");
Expect(0, 120779, '\P{Is_Category= 	ll}', "");
Expect(1, 120779, '\P{^Is_Category= 	ll}', "");
Expect(0, 120780, '\p{Is_Category= 	ll}', "");
Expect(1, 120780, '\p{^Is_Category= 	ll}', "");
Expect(1, 120780, '\P{Is_Category= 	ll}', "");
Expect(0, 120780, '\P{^Is_Category= 	ll}', "");
Error('\p{General_Category=/a/-MODIFIER_letter}');
Error('\P{General_Category=/a/-MODIFIER_letter}');
Expect(1, 94111, '\p{General_Category=modifierletter}', "");
Expect(0, 94111, '\p{^General_Category=modifierletter}', "");
Expect(0, 94111, '\P{General_Category=modifierletter}', "");
Expect(1, 94111, '\P{^General_Category=modifierletter}', "");
Expect(0, 94112, '\p{General_Category=modifierletter}', "");
Expect(1, 94112, '\p{^General_Category=modifierletter}', "");
Expect(1, 94112, '\P{General_Category=modifierletter}', "");
Expect(0, 94112, '\P{^General_Category=modifierletter}', "");
Expect(1, 94111, '\p{General_Category:   _ modifier_LETTER}', "");
Expect(0, 94111, '\p{^General_Category:   _ modifier_LETTER}', "");
Expect(0, 94111, '\P{General_Category:   _ modifier_LETTER}', "");
Expect(1, 94111, '\P{^General_Category:   _ modifier_LETTER}', "");
Expect(0, 94112, '\p{General_Category:   _ modifier_LETTER}', "");
Expect(1, 94112, '\p{^General_Category:   _ modifier_LETTER}', "");
Expect(1, 94112, '\P{General_Category:   _ modifier_LETTER}', "");
Expect(0, 94112, '\P{^General_Category:   _ modifier_LETTER}', "");
Error('\p{Gc=:=-Lm}');
Error('\P{Gc=:=-Lm}');
Expect(1, 94111, '\p{Gc=lm}', "");
Expect(0, 94111, '\p{^Gc=lm}', "");
Expect(0, 94111, '\P{Gc=lm}', "");
Expect(1, 94111, '\P{^Gc=lm}', "");
Expect(0, 94112, '\p{Gc=lm}', "");
Expect(1, 94112, '\p{^Gc=lm}', "");
Expect(1, 94112, '\P{Gc=lm}', "");
Expect(0, 94112, '\P{^Gc=lm}', "");
Expect(1, 94111, '\p{Gc=	_Lm}', "");
Expect(0, 94111, '\p{^Gc=	_Lm}', "");
Expect(0, 94111, '\P{Gc=	_Lm}', "");
Expect(1, 94111, '\P{^Gc=	_Lm}', "");
Expect(0, 94112, '\p{Gc=	_Lm}', "");
Expect(1, 94112, '\p{^Gc=	_Lm}', "");
Expect(1, 94112, '\P{Gc=	_Lm}', "");
Expect(0, 94112, '\P{^Gc=	_Lm}', "");
Error('\p{Category=-MODIFIER_Letter/a/}');
Error('\P{Category=-MODIFIER_Letter/a/}');
Expect(1, 94111, '\p{Category=modifierletter}', "");
Expect(0, 94111, '\p{^Category=modifierletter}', "");
Expect(0, 94111, '\P{Category=modifierletter}', "");
Expect(1, 94111, '\P{^Category=modifierletter}', "");
Expect(0, 94112, '\p{Category=modifierletter}', "");
Expect(1, 94112, '\p{^Category=modifierletter}', "");
Expect(1, 94112, '\P{Category=modifierletter}', "");
Expect(0, 94112, '\P{^Category=modifierletter}', "");
Expect(1, 94111, '\p{Category=	modifier_Letter}', "");
Expect(0, 94111, '\p{^Category=	modifier_Letter}', "");
Expect(0, 94111, '\P{Category=	modifier_Letter}', "");
Expect(1, 94111, '\P{^Category=	modifier_Letter}', "");
Expect(0, 94112, '\p{Category=	modifier_Letter}', "");
Expect(1, 94112, '\p{^Category=	modifier_Letter}', "");
Expect(1, 94112, '\P{Category=	modifier_Letter}', "");
Expect(0, 94112, '\P{^Category=	modifier_Letter}', "");
Error('\p{Is_General_Category=-:=LM}');
Error('\P{Is_General_Category=-:=LM}');
Expect(1, 94111, '\p{Is_General_Category=lm}', "");
Expect(0, 94111, '\p{^Is_General_Category=lm}', "");
Expect(0, 94111, '\P{Is_General_Category=lm}', "");
Expect(1, 94111, '\P{^Is_General_Category=lm}', "");
Expect(0, 94112, '\p{Is_General_Category=lm}', "");
Expect(1, 94112, '\p{^Is_General_Category=lm}', "");
Expect(1, 94112, '\P{Is_General_Category=lm}', "");
Expect(0, 94112, '\P{^Is_General_Category=lm}', "");
Expect(1, 94111, '\p{Is_General_Category=_LM}', "");
Expect(0, 94111, '\p{^Is_General_Category=_LM}', "");
Expect(0, 94111, '\P{Is_General_Category=_LM}', "");
Expect(1, 94111, '\P{^Is_General_Category=_LM}', "");
Expect(0, 94112, '\p{Is_General_Category=_LM}', "");
Expect(1, 94112, '\p{^Is_General_Category=_LM}', "");
Expect(1, 94112, '\P{Is_General_Category=_LM}', "");
Expect(0, 94112, '\P{^Is_General_Category=_LM}', "");
Error('\p{Is_Gc=modifier_Letter:=}');
Error('\P{Is_Gc=modifier_Letter:=}');
Expect(1, 94111, '\p{Is_Gc=modifierletter}', "");
Expect(0, 94111, '\p{^Is_Gc=modifierletter}', "");
Expect(0, 94111, '\P{Is_Gc=modifierletter}', "");
Expect(1, 94111, '\P{^Is_Gc=modifierletter}', "");
Expect(0, 94112, '\p{Is_Gc=modifierletter}', "");
Expect(1, 94112, '\p{^Is_Gc=modifierletter}', "");
Expect(1, 94112, '\P{Is_Gc=modifierletter}', "");
Expect(0, 94112, '\P{^Is_Gc=modifierletter}', "");
Expect(1, 94111, '\p{Is_Gc=_ Modifier_Letter}', "");
Expect(0, 94111, '\p{^Is_Gc=_ Modifier_Letter}', "");
Expect(0, 94111, '\P{Is_Gc=_ Modifier_Letter}', "");
Expect(1, 94111, '\P{^Is_Gc=_ Modifier_Letter}', "");
Expect(0, 94112, '\p{Is_Gc=_ Modifier_Letter}', "");
Expect(1, 94112, '\p{^Is_Gc=_ Modifier_Letter}', "");
Expect(1, 94112, '\P{Is_Gc=_ Modifier_Letter}', "");
Expect(0, 94112, '\P{^Is_Gc=_ Modifier_Letter}', "");
Error('\p{Is_Category=	-LM:=}');
Error('\P{Is_Category=	-LM:=}');
Expect(1, 94111, '\p{Is_Category=lm}', "");
Expect(0, 94111, '\p{^Is_Category=lm}', "");
Expect(0, 94111, '\P{Is_Category=lm}', "");
Expect(1, 94111, '\P{^Is_Category=lm}', "");
Expect(0, 94112, '\p{Is_Category=lm}', "");
Expect(1, 94112, '\p{^Is_Category=lm}', "");
Expect(1, 94112, '\P{Is_Category=lm}', "");
Expect(0, 94112, '\P{^Is_Category=lm}', "");
Expect(1, 94111, '\p{Is_Category=	LM}', "");
Expect(0, 94111, '\p{^Is_Category=	LM}', "");
Expect(0, 94111, '\P{Is_Category=	LM}', "");
Expect(1, 94111, '\P{^Is_Category=	LM}', "");
Expect(0, 94112, '\p{Is_Category=	LM}', "");
Expect(1, 94112, '\p{^Is_Category=	LM}', "");
Expect(1, 94112, '\P{Is_Category=	LM}', "");
Expect(0, 94112, '\P{^Is_Category=	LM}', "");
Error('\p{General_Category=-other_LETTER/a/}');
Error('\P{General_Category=-other_LETTER/a/}');
Expect(1, 195101, '\p{General_Category=otherletter}', "");
Expect(0, 195101, '\p{^General_Category=otherletter}', "");
Expect(0, 195101, '\P{General_Category=otherletter}', "");
Expect(1, 195101, '\P{^General_Category=otherletter}', "");
Expect(0, 195102, '\p{General_Category=otherletter}', "");
Expect(1, 195102, '\p{^General_Category=otherletter}', "");
Expect(1, 195102, '\P{General_Category=otherletter}', "");
Expect(0, 195102, '\P{^General_Category=otherletter}', "");
Expect(1, 195101, '\p{General_Category=__Other_Letter}', "");
Expect(0, 195101, '\p{^General_Category=__Other_Letter}', "");
Expect(0, 195101, '\P{General_Category=__Other_Letter}', "");
Expect(1, 195101, '\P{^General_Category=__Other_Letter}', "");
Expect(0, 195102, '\p{General_Category=__Other_Letter}', "");
Expect(1, 195102, '\p{^General_Category=__Other_Letter}', "");
Expect(1, 195102, '\P{General_Category=__Other_Letter}', "");
Expect(0, 195102, '\P{^General_Category=__Other_Letter}', "");
Error('\p{Gc=/a/- Lo}');
Error('\P{Gc=/a/- Lo}');
Expect(1, 195101, '\p{Gc:	lo}', "");
Expect(0, 195101, '\p{^Gc:	lo}', "");
Expect(0, 195101, '\P{Gc:	lo}', "");
Expect(1, 195101, '\P{^Gc:	lo}', "");
Expect(0, 195102, '\p{Gc:	lo}', "");
Expect(1, 195102, '\p{^Gc:	lo}', "");
Expect(1, 195102, '\P{Gc:	lo}', "");
Expect(0, 195102, '\P{^Gc:	lo}', "");
Expect(1, 195101, '\p{Gc=	Lo}', "");
Expect(0, 195101, '\p{^Gc=	Lo}', "");
Expect(0, 195101, '\P{Gc=	Lo}', "");
Expect(1, 195101, '\P{^Gc=	Lo}', "");
Expect(0, 195102, '\p{Gc=	Lo}', "");
Expect(1, 195102, '\p{^Gc=	Lo}', "");
Expect(1, 195102, '\P{Gc=	Lo}', "");
Expect(0, 195102, '\P{^Gc=	Lo}', "");
Error('\p{Category=- Other_letter:=}');
Error('\P{Category=- Other_letter:=}');
Expect(1, 195101, '\p{Category=otherletter}', "");
Expect(0, 195101, '\p{^Category=otherletter}', "");
Expect(0, 195101, '\P{Category=otherletter}', "");
Expect(1, 195101, '\P{^Category=otherletter}', "");
Expect(0, 195102, '\p{Category=otherletter}', "");
Expect(1, 195102, '\p{^Category=otherletter}', "");
Expect(1, 195102, '\P{Category=otherletter}', "");
Expect(0, 195102, '\P{^Category=otherletter}', "");
Expect(1, 195101, '\p{Category= 	Other_Letter}', "");
Expect(0, 195101, '\p{^Category= 	Other_Letter}', "");
Expect(0, 195101, '\P{Category= 	Other_Letter}', "");
Expect(1, 195101, '\P{^Category= 	Other_Letter}', "");
Expect(0, 195102, '\p{Category= 	Other_Letter}', "");
Expect(1, 195102, '\p{^Category= 	Other_Letter}', "");
Expect(1, 195102, '\P{Category= 	Other_Letter}', "");
Expect(0, 195102, '\P{^Category= 	Other_Letter}', "");
Error('\p{Is_General_Category=/a/	Lo}');
Error('\P{Is_General_Category=/a/	Lo}');
Expect(1, 195101, '\p{Is_General_Category=lo}', "");
Expect(0, 195101, '\p{^Is_General_Category=lo}', "");
Expect(0, 195101, '\P{Is_General_Category=lo}', "");
Expect(1, 195101, '\P{^Is_General_Category=lo}', "");
Expect(0, 195102, '\p{Is_General_Category=lo}', "");
Expect(1, 195102, '\p{^Is_General_Category=lo}', "");
Expect(1, 195102, '\P{Is_General_Category=lo}', "");
Expect(0, 195102, '\P{^Is_General_Category=lo}', "");
Expect(1, 195101, '\p{Is_General_Category=	-LO}', "");
Expect(0, 195101, '\p{^Is_General_Category=	-LO}', "");
Expect(0, 195101, '\P{Is_General_Category=	-LO}', "");
Expect(1, 195101, '\P{^Is_General_Category=	-LO}', "");
Expect(0, 195102, '\p{Is_General_Category=	-LO}', "");
Expect(1, 195102, '\p{^Is_General_Category=	-LO}', "");
Expect(1, 195102, '\P{Is_General_Category=	-LO}', "");
Expect(0, 195102, '\P{^Is_General_Category=	-LO}', "");
Error('\p{Is_Gc=-/a/Other_Letter}');
Error('\P{Is_Gc=-/a/Other_Letter}');
Expect(1, 195101, '\p{Is_Gc=otherletter}', "");
Expect(0, 195101, '\p{^Is_Gc=otherletter}', "");
Expect(0, 195101, '\P{Is_Gc=otherletter}', "");
Expect(1, 195101, '\P{^Is_Gc=otherletter}', "");
Expect(0, 195102, '\p{Is_Gc=otherletter}', "");
Expect(1, 195102, '\p{^Is_Gc=otherletter}', "");
Expect(1, 195102, '\P{Is_Gc=otherletter}', "");
Expect(0, 195102, '\P{^Is_Gc=otherletter}', "");
Expect(1, 195101, '\p{Is_Gc= Other_LETTER}', "");
Expect(0, 195101, '\p{^Is_Gc= Other_LETTER}', "");
Expect(0, 195101, '\P{Is_Gc= Other_LETTER}', "");
Expect(1, 195101, '\P{^Is_Gc= Other_LETTER}', "");
Expect(0, 195102, '\p{Is_Gc= Other_LETTER}', "");
Expect(1, 195102, '\p{^Is_Gc= Other_LETTER}', "");
Expect(1, 195102, '\P{Is_Gc= Other_LETTER}', "");
Expect(0, 195102, '\P{^Is_Gc= Other_LETTER}', "");
Error('\p{Is_Category=/a/_	LO}');
Error('\P{Is_Category=/a/_	LO}');
Expect(1, 195101, '\p{Is_Category:   lo}', "");
Expect(0, 195101, '\p{^Is_Category:   lo}', "");
Expect(0, 195101, '\P{Is_Category:   lo}', "");
Expect(1, 195101, '\P{^Is_Category:   lo}', "");
Expect(0, 195102, '\p{Is_Category:   lo}', "");
Expect(1, 195102, '\p{^Is_Category:   lo}', "");
Expect(1, 195102, '\P{Is_Category:   lo}', "");
Expect(0, 195102, '\P{^Is_Category:   lo}', "");
Expect(1, 195101, '\p{Is_Category=_Lo}', "");
Expect(0, 195101, '\p{^Is_Category=_Lo}', "");
Expect(0, 195101, '\P{Is_Category=_Lo}', "");
Expect(1, 195101, '\P{^Is_Category=_Lo}', "");
Expect(0, 195102, '\p{Is_Category=_Lo}', "");
Expect(1, 195102, '\p{^Is_Category=_Lo}', "");
Expect(1, 195102, '\P{Is_Category=_Lo}', "");
Expect(0, 195102, '\P{^Is_Category=_Lo}', "");
Error('\p{General_Category=/a/ -titlecase_letter}');
Error('\P{General_Category=/a/ -titlecase_letter}');
Expect(1, 8188, '\p{General_Category=titlecaseletter}', "");
Expect(0, 8188, '\p{^General_Category=titlecaseletter}', "");
Expect(0, 8188, '\P{General_Category=titlecaseletter}', "");
Expect(1, 8188, '\P{^General_Category=titlecaseletter}', "");
Expect(0, 8189, '\p{General_Category=titlecaseletter}', "");
Expect(1, 8189, '\p{^General_Category=titlecaseletter}', "");
Expect(1, 8189, '\P{General_Category=titlecaseletter}', "");
Expect(0, 8189, '\P{^General_Category=titlecaseletter}', "");
Expect(1, 8188, '\p{General_Category= TITLECASE_letter}', "");
Expect(0, 8188, '\p{^General_Category= TITLECASE_letter}', "");
Expect(0, 8188, '\P{General_Category= TITLECASE_letter}', "");
Expect(1, 8188, '\P{^General_Category= TITLECASE_letter}', "");
Expect(0, 8189, '\p{General_Category= TITLECASE_letter}', "");
Expect(1, 8189, '\p{^General_Category= TITLECASE_letter}', "");
Expect(1, 8189, '\P{General_Category= TITLECASE_letter}', "");
Expect(0, 8189, '\P{^General_Category= TITLECASE_letter}', "");
Error('\p{Gc=:=__LT}');
Error('\P{Gc=:=__LT}');
Expect(1, 8188, '\p{Gc=lt}', "");
Expect(0, 8188, '\p{^Gc=lt}', "");
Expect(0, 8188, '\P{Gc=lt}', "");
Expect(1, 8188, '\P{^Gc=lt}', "");
Expect(0, 8189, '\p{Gc=lt}', "");
Expect(1, 8189, '\p{^Gc=lt}', "");
Expect(1, 8189, '\P{Gc=lt}', "");
Expect(0, 8189, '\P{^Gc=lt}', "");
Expect(1, 8188, '\p{Gc:	_	lt}', "");
Expect(0, 8188, '\p{^Gc:	_	lt}', "");
Expect(0, 8188, '\P{Gc:	_	lt}', "");
Expect(1, 8188, '\P{^Gc:	_	lt}', "");
Expect(0, 8189, '\p{Gc:	_	lt}', "");
Expect(1, 8189, '\p{^Gc:	_	lt}', "");
Expect(1, 8189, '\P{Gc:	_	lt}', "");
Expect(0, 8189, '\P{^Gc:	_	lt}', "");
Error('\p{Category= Titlecase_LETTER/a/}');
Error('\P{Category= Titlecase_LETTER/a/}');
Expect(1, 8188, '\p{Category=titlecaseletter}', "");
Expect(0, 8188, '\p{^Category=titlecaseletter}', "");
Expect(0, 8188, '\P{Category=titlecaseletter}', "");
Expect(1, 8188, '\P{^Category=titlecaseletter}', "");
Expect(0, 8189, '\p{Category=titlecaseletter}', "");
Expect(1, 8189, '\p{^Category=titlecaseletter}', "");
Expect(1, 8189, '\P{Category=titlecaseletter}', "");
Expect(0, 8189, '\P{^Category=titlecaseletter}', "");
Expect(1, 8188, '\p{Category= Titlecase_Letter}', "");
Expect(0, 8188, '\p{^Category= Titlecase_Letter}', "");
Expect(0, 8188, '\P{Category= Titlecase_Letter}', "");
Expect(1, 8188, '\P{^Category= Titlecase_Letter}', "");
Expect(0, 8189, '\p{Category= Titlecase_Letter}', "");
Expect(1, 8189, '\p{^Category= Titlecase_Letter}', "");
Expect(1, 8189, '\P{Category= Titlecase_Letter}', "");
Expect(0, 8189, '\P{^Category= Titlecase_Letter}', "");
Error('\p{Is_General_Category= _Lt:=}');
Error('\P{Is_General_Category= _Lt:=}');
Expect(1, 8188, '\p{Is_General_Category=lt}', "");
Expect(0, 8188, '\p{^Is_General_Category=lt}', "");
Expect(0, 8188, '\P{Is_General_Category=lt}', "");
Expect(1, 8188, '\P{^Is_General_Category=lt}', "");
Expect(0, 8189, '\p{Is_General_Category=lt}', "");
Expect(1, 8189, '\p{^Is_General_Category=lt}', "");
Expect(1, 8189, '\P{Is_General_Category=lt}', "");
Expect(0, 8189, '\P{^Is_General_Category=lt}', "");
Expect(1, 8188, '\p{Is_General_Category= -Lt}', "");
Expect(0, 8188, '\p{^Is_General_Category= -Lt}', "");
Expect(0, 8188, '\P{Is_General_Category= -Lt}', "");
Expect(1, 8188, '\P{^Is_General_Category= -Lt}', "");
Expect(0, 8189, '\p{Is_General_Category= -Lt}', "");
Expect(1, 8189, '\p{^Is_General_Category= -Lt}', "");
Expect(1, 8189, '\P{Is_General_Category= -Lt}', "");
Expect(0, 8189, '\P{^Is_General_Category= -Lt}', "");
Error('\p{Is_Gc=/a/  Titlecase_Letter}');
Error('\P{Is_Gc=/a/  Titlecase_Letter}');
Expect(1, 8188, '\p{Is_Gc=titlecaseletter}', "");
Expect(0, 8188, '\p{^Is_Gc=titlecaseletter}', "");
Expect(0, 8188, '\P{Is_Gc=titlecaseletter}', "");
Expect(1, 8188, '\P{^Is_Gc=titlecaseletter}', "");
Expect(0, 8189, '\p{Is_Gc=titlecaseletter}', "");
Expect(1, 8189, '\p{^Is_Gc=titlecaseletter}', "");
Expect(1, 8189, '\P{Is_Gc=titlecaseletter}', "");
Expect(0, 8189, '\P{^Is_Gc=titlecaseletter}', "");
Expect(1, 8188, '\p{Is_Gc= titlecase_letter}', "");
Expect(0, 8188, '\p{^Is_Gc= titlecase_letter}', "");
Expect(0, 8188, '\P{Is_Gc= titlecase_letter}', "");
Expect(1, 8188, '\P{^Is_Gc= titlecase_letter}', "");
Expect(0, 8189, '\p{Is_Gc= titlecase_letter}', "");
Expect(1, 8189, '\p{^Is_Gc= titlecase_letter}', "");
Expect(1, 8189, '\P{Is_Gc= titlecase_letter}', "");
Expect(0, 8189, '\P{^Is_Gc= titlecase_letter}', "");
Error('\p{Is_Category: :=	LT}');
Error('\P{Is_Category: :=	LT}');
Expect(1, 8188, '\p{Is_Category=lt}', "");
Expect(0, 8188, '\p{^Is_Category=lt}', "");
Expect(0, 8188, '\P{Is_Category=lt}', "");
Expect(1, 8188, '\P{^Is_Category=lt}', "");
Expect(0, 8189, '\p{Is_Category=lt}', "");
Expect(1, 8189, '\p{^Is_Category=lt}', "");
Expect(1, 8189, '\P{Is_Category=lt}', "");
Expect(0, 8189, '\P{^Is_Category=lt}', "");
Expect(1, 8188, '\p{Is_Category: 	_LT}', "");
Expect(0, 8188, '\p{^Is_Category: 	_LT}', "");
Expect(0, 8188, '\P{Is_Category: 	_LT}', "");
Expect(1, 8188, '\P{^Is_Category: 	_LT}', "");
Expect(0, 8189, '\p{Is_Category: 	_LT}', "");
Expect(1, 8189, '\p{^Is_Category: 	_LT}', "");
Expect(1, 8189, '\P{Is_Category: 	_LT}', "");
Expect(0, 8189, '\P{^Is_Category: 	_LT}', "");
Error('\p{General_Category=/a/_	Uppercase_LETTER}');
Error('\P{General_Category=/a/_	Uppercase_LETTER}');
Expect(1, 120778, '\p{General_Category: uppercaseletter}', "");
Expect(0, 120778, '\p{^General_Category: uppercaseletter}', "");
Expect(0, 120778, '\P{General_Category: uppercaseletter}', "");
Expect(1, 120778, '\P{^General_Category: uppercaseletter}', "");
Expect(0, 120779, '\p{General_Category: uppercaseletter}', "");
Expect(1, 120779, '\p{^General_Category: uppercaseletter}', "");
Expect(1, 120779, '\P{General_Category: uppercaseletter}', "");
Expect(0, 120779, '\P{^General_Category: uppercaseletter}', "");
Expect(1, 120778, '\p{General_Category=- uppercase_letter}', "");
Expect(0, 120778, '\p{^General_Category=- uppercase_letter}', "");
Expect(0, 120778, '\P{General_Category=- uppercase_letter}', "");
Expect(1, 120778, '\P{^General_Category=- uppercase_letter}', "");
Expect(0, 120779, '\p{General_Category=- uppercase_letter}', "");
Expect(1, 120779, '\p{^General_Category=- uppercase_letter}', "");
Expect(1, 120779, '\P{General_Category=- uppercase_letter}', "");
Expect(0, 120779, '\P{^General_Category=- uppercase_letter}', "");
Error('\p{Gc=-	lu/a/}');
Error('\P{Gc=-	lu/a/}');
Expect(1, 120778, '\p{Gc:   lu}', "");
Expect(0, 120778, '\p{^Gc:   lu}', "");
Expect(0, 120778, '\P{Gc:   lu}', "");
Expect(1, 120778, '\P{^Gc:   lu}', "");
Expect(0, 120779, '\p{Gc:   lu}', "");
Expect(1, 120779, '\p{^Gc:   lu}', "");
Expect(1, 120779, '\P{Gc:   lu}', "");
Expect(0, 120779, '\P{^Gc:   lu}', "");
Expect(1, 120778, '\p{Gc=_-Lu}', "");
Expect(0, 120778, '\p{^Gc=_-Lu}', "");
Expect(0, 120778, '\P{Gc=_-Lu}', "");
Expect(1, 120778, '\P{^Gc=_-Lu}', "");
Expect(0, 120779, '\p{Gc=_-Lu}', "");
Expect(1, 120779, '\p{^Gc=_-Lu}', "");
Expect(1, 120779, '\P{Gc=_-Lu}', "");
Expect(0, 120779, '\P{^Gc=_-Lu}', "");
Error('\p{Category=/a/Uppercase_Letter}');
Error('\P{Category=/a/Uppercase_Letter}');
Expect(1, 120778, '\p{Category:   uppercaseletter}', "");
Expect(0, 120778, '\p{^Category:   uppercaseletter}', "");
Expect(0, 120778, '\P{Category:   uppercaseletter}', "");
Expect(1, 120778, '\P{^Category:   uppercaseletter}', "");
Expect(0, 120779, '\p{Category:   uppercaseletter}', "");
Expect(1, 120779, '\p{^Category:   uppercaseletter}', "");
Expect(1, 120779, '\P{Category:   uppercaseletter}', "");
Expect(0, 120779, '\P{^Category:   uppercaseletter}', "");
Expect(1, 120778, '\p{Category=_ Uppercase_LETTER}', "");
Expect(0, 120778, '\p{^Category=_ Uppercase_LETTER}', "");
Expect(0, 120778, '\P{Category=_ Uppercase_LETTER}', "");
Expect(1, 120778, '\P{^Category=_ Uppercase_LETTER}', "");
Expect(0, 120779, '\p{Category=_ Uppercase_LETTER}', "");
Expect(1, 120779, '\p{^Category=_ Uppercase_LETTER}', "");
Expect(1, 120779, '\P{Category=_ Uppercase_LETTER}', "");
Expect(0, 120779, '\P{^Category=_ Uppercase_LETTER}', "");
Error('\p{Is_General_Category= 	LU:=}');
Error('\P{Is_General_Category= 	LU:=}');
Expect(1, 120778, '\p{Is_General_Category=lu}', "");
Expect(0, 120778, '\p{^Is_General_Category=lu}', "");
Expect(0, 120778, '\P{Is_General_Category=lu}', "");
Expect(1, 120778, '\P{^Is_General_Category=lu}', "");
Expect(0, 120779, '\p{Is_General_Category=lu}', "");
Expect(1, 120779, '\p{^Is_General_Category=lu}', "");
Expect(1, 120779, '\P{Is_General_Category=lu}', "");
Expect(0, 120779, '\P{^Is_General_Category=lu}', "");
Expect(1, 120778, '\p{Is_General_Category=-_LU}', "");
Expect(0, 120778, '\p{^Is_General_Category=-_LU}', "");
Expect(0, 120778, '\P{Is_General_Category=-_LU}', "");
Expect(1, 120778, '\P{^Is_General_Category=-_LU}', "");
Expect(0, 120779, '\p{Is_General_Category=-_LU}', "");
Expect(1, 120779, '\p{^Is_General_Category=-_LU}', "");
Expect(1, 120779, '\P{Is_General_Category=-_LU}', "");
Expect(0, 120779, '\P{^Is_General_Category=-_LU}', "");
Error('\p{Is_Gc=:=	-Uppercase_Letter}');
Error('\P{Is_Gc=:=	-Uppercase_Letter}');
Expect(1, 120778, '\p{Is_Gc:	uppercaseletter}', "");
Expect(0, 120778, '\p{^Is_Gc:	uppercaseletter}', "");
Expect(0, 120778, '\P{Is_Gc:	uppercaseletter}', "");
Expect(1, 120778, '\P{^Is_Gc:	uppercaseletter}', "");
Expect(0, 120779, '\p{Is_Gc:	uppercaseletter}', "");
Expect(1, 120779, '\p{^Is_Gc:	uppercaseletter}', "");
Expect(1, 120779, '\P{Is_Gc:	uppercaseletter}', "");
Expect(0, 120779, '\P{^Is_Gc:	uppercaseletter}', "");
Expect(1, 120778, '\p{Is_Gc=_	Uppercase_Letter}', "");
Expect(0, 120778, '\p{^Is_Gc=_	Uppercase_Letter}', "");
Expect(0, 120778, '\P{Is_Gc=_	Uppercase_Letter}', "");
Expect(1, 120778, '\P{^Is_Gc=_	Uppercase_Letter}', "");
Expect(0, 120779, '\p{Is_Gc=_	Uppercase_Letter}', "");
Expect(1, 120779, '\p{^Is_Gc=_	Uppercase_Letter}', "");
Expect(1, 120779, '\P{Is_Gc=_	Uppercase_Letter}', "");
Expect(0, 120779, '\P{^Is_Gc=_	Uppercase_Letter}', "");
Error('\p{Is_Category=__lu:=}');
Error('\P{Is_Category=__lu:=}');
Expect(1, 120778, '\p{Is_Category=lu}', "");
Expect(0, 120778, '\p{^Is_Category=lu}', "");
Expect(0, 120778, '\P{Is_Category=lu}', "");
Expect(1, 120778, '\P{^Is_Category=lu}', "");
Expect(0, 120779, '\p{Is_Category=lu}', "");
Expect(1, 120779, '\p{^Is_Category=lu}', "");
Expect(1, 120779, '\P{Is_Category=lu}', "");
Expect(0, 120779, '\P{^Is_Category=lu}', "");
Expect(1, 120778, '\p{Is_Category=	_lu}', "");
Expect(0, 120778, '\p{^Is_Category=	_lu}', "");
Expect(0, 120778, '\P{Is_Category=	_lu}', "");
Expect(1, 120778, '\P{^Is_Category=	_lu}', "");
Expect(0, 120779, '\p{Is_Category=	_lu}', "");
Expect(1, 120779, '\p{^Is_Category=	_lu}', "");
Expect(1, 120779, '\P{Is_Category=	_lu}', "");
Expect(0, 120779, '\P{^Is_Category=	_lu}', "");
Error('\p{General_Category=/a/_	mark}');
Error('\P{General_Category=/a/_	mark}');
Expect(1, 917999, '\p{General_Category=mark}', "");
Expect(0, 917999, '\p{^General_Category=mark}', "");
Expect(0, 917999, '\P{General_Category=mark}', "");
Expect(1, 917999, '\P{^General_Category=mark}', "");
Expect(0, 918000, '\p{General_Category=mark}', "");
Expect(1, 918000, '\p{^General_Category=mark}', "");
Expect(1, 918000, '\P{General_Category=mark}', "");
Expect(0, 918000, '\P{^General_Category=mark}', "");
Expect(1, 917999, '\p{General_Category=_-Mark}', "");
Expect(0, 917999, '\p{^General_Category=_-Mark}', "");
Expect(0, 917999, '\P{General_Category=_-Mark}', "");
Expect(1, 917999, '\P{^General_Category=_-Mark}', "");
Expect(0, 918000, '\p{General_Category=_-Mark}', "");
Expect(1, 918000, '\p{^General_Category=_-Mark}', "");
Expect(1, 918000, '\P{General_Category=_-Mark}', "");
Expect(0, 918000, '\P{^General_Category=_-Mark}', "");
Error('\p{Gc:   :=m}');
Error('\P{Gc:   :=m}');
Expect(1, 917999, '\p{Gc=m}', "");
Expect(0, 917999, '\p{^Gc=m}', "");
Expect(0, 917999, '\P{Gc=m}', "");
Expect(1, 917999, '\P{^Gc=m}', "");
Expect(0, 918000, '\p{Gc=m}', "");
Expect(1, 918000, '\p{^Gc=m}', "");
Expect(1, 918000, '\P{Gc=m}', "");
Expect(0, 918000, '\P{^Gc=m}', "");
Expect(1, 917999, '\p{Gc= m}', "");
Expect(0, 917999, '\p{^Gc= m}', "");
Expect(0, 917999, '\P{Gc= m}', "");
Expect(1, 917999, '\P{^Gc= m}', "");
Expect(0, 918000, '\p{Gc= m}', "");
Expect(1, 918000, '\p{^Gc= m}', "");
Expect(1, 918000, '\P{Gc= m}', "");
Expect(0, 918000, '\P{^Gc= m}', "");
Error('\p{Category=:=__Combining_Mark}');
Error('\P{Category=:=__Combining_Mark}');
Expect(1, 917999, '\p{Category:   combiningmark}', "");
Expect(0, 917999, '\p{^Category:   combiningmark}', "");
Expect(0, 917999, '\P{Category:   combiningmark}', "");
Expect(1, 917999, '\P{^Category:   combiningmark}', "");
Expect(0, 918000, '\p{Category:   combiningmark}', "");
Expect(1, 918000, '\p{^Category:   combiningmark}', "");
Expect(1, 918000, '\P{Category:   combiningmark}', "");
Expect(0, 918000, '\P{^Category:   combiningmark}', "");
Expect(1, 917999, '\p{Category:	 combining_mark}', "");
Expect(0, 917999, '\p{^Category:	 combining_mark}', "");
Expect(0, 917999, '\P{Category:	 combining_mark}', "");
Expect(1, 917999, '\P{^Category:	 combining_mark}', "");
Expect(0, 918000, '\p{Category:	 combining_mark}', "");
Expect(1, 918000, '\p{^Category:	 combining_mark}', "");
Expect(1, 918000, '\P{Category:	 combining_mark}', "");
Expect(0, 918000, '\P{^Category:	 combining_mark}', "");
Error('\p{Is_General_Category=	_mark/a/}');
Error('\P{Is_General_Category=	_mark/a/}');
Expect(1, 917999, '\p{Is_General_Category=mark}', "");
Expect(0, 917999, '\p{^Is_General_Category=mark}', "");
Expect(0, 917999, '\P{Is_General_Category=mark}', "");
Expect(1, 917999, '\P{^Is_General_Category=mark}', "");
Expect(0, 918000, '\p{Is_General_Category=mark}', "");
Expect(1, 918000, '\p{^Is_General_Category=mark}', "");
Expect(1, 918000, '\P{Is_General_Category=mark}', "");
Expect(0, 918000, '\P{^Is_General_Category=mark}', "");
Expect(1, 917999, '\p{Is_General_Category=	-MARK}', "");
Expect(0, 917999, '\p{^Is_General_Category=	-MARK}', "");
Expect(0, 917999, '\P{Is_General_Category=	-MARK}', "");
Expect(1, 917999, '\P{^Is_General_Category=	-MARK}', "");
Expect(0, 918000, '\p{Is_General_Category=	-MARK}', "");
Expect(1, 918000, '\p{^Is_General_Category=	-MARK}', "");
Expect(1, 918000, '\P{Is_General_Category=	-MARK}', "");
Expect(0, 918000, '\P{^Is_General_Category=	-MARK}', "");
Error('\p{Is_Gc=_/a/M}');
Error('\P{Is_Gc=_/a/M}');
Expect(1, 917999, '\p{Is_Gc=m}', "");
Expect(0, 917999, '\p{^Is_Gc=m}', "");
Expect(0, 917999, '\P{Is_Gc=m}', "");
Expect(1, 917999, '\P{^Is_Gc=m}', "");
Expect(0, 918000, '\p{Is_Gc=m}', "");
Expect(1, 918000, '\p{^Is_Gc=m}', "");
Expect(1, 918000, '\P{Is_Gc=m}', "");
Expect(0, 918000, '\P{^Is_Gc=m}', "");
Expect(1, 917999, '\p{Is_Gc=	m}', "");
Expect(0, 917999, '\p{^Is_Gc=	m}', "");
Expect(0, 917999, '\P{Is_Gc=	m}', "");
Expect(1, 917999, '\P{^Is_Gc=	m}', "");
Expect(0, 918000, '\p{Is_Gc=	m}', "");
Expect(1, 918000, '\p{^Is_Gc=	m}', "");
Expect(1, 918000, '\P{Is_Gc=	m}', "");
Expect(0, 918000, '\P{^Is_Gc=	m}', "");
Error('\p{Is_Category= _Combining_Mark:=}');
Error('\P{Is_Category= _Combining_Mark:=}');
Expect(1, 917999, '\p{Is_Category=combiningmark}', "");
Expect(0, 917999, '\p{^Is_Category=combiningmark}', "");
Expect(0, 917999, '\P{Is_Category=combiningmark}', "");
Expect(1, 917999, '\P{^Is_Category=combiningmark}', "");
Expect(0, 918000, '\p{Is_Category=combiningmark}', "");
Expect(1, 918000, '\p{^Is_Category=combiningmark}', "");
Expect(1, 918000, '\P{Is_Category=combiningmark}', "");
Expect(0, 918000, '\P{^Is_Category=combiningmark}', "");
Expect(1, 917999, '\p{Is_Category=_-COMBINING_MARK}', "");
Expect(0, 917999, '\p{^Is_Category=_-COMBINING_MARK}', "");
Expect(0, 917999, '\P{Is_Category=_-COMBINING_MARK}', "");
Expect(1, 917999, '\P{^Is_Category=_-COMBINING_MARK}', "");
Expect(0, 918000, '\p{Is_Category=_-COMBINING_MARK}', "");
Expect(1, 918000, '\p{^Is_Category=_-COMBINING_MARK}', "");
Expect(1, 918000, '\P{Is_Category=_-COMBINING_MARK}', "");
Expect(0, 918000, '\P{^Is_Category=_-COMBINING_MARK}', "");
Error('\p{General_Category:	 :=SPACING_Mark}');
Error('\P{General_Category:	 :=SPACING_Mark}');
Expect(1, 119154, '\p{General_Category=spacingmark}', "");
Expect(0, 119154, '\p{^General_Category=spacingmark}', "");
Expect(0, 119154, '\P{General_Category=spacingmark}', "");
Expect(1, 119154, '\P{^General_Category=spacingmark}', "");
Expect(0, 119155, '\p{General_Category=spacingmark}', "");
Expect(1, 119155, '\p{^General_Category=spacingmark}', "");
Expect(1, 119155, '\P{General_Category=spacingmark}', "");
Expect(0, 119155, '\P{^General_Category=spacingmark}', "");
Expect(1, 119154, '\p{General_Category=_	Spacing_mark}', "");
Expect(0, 119154, '\p{^General_Category=_	Spacing_mark}', "");
Expect(0, 119154, '\P{General_Category=_	Spacing_mark}', "");
Expect(1, 119154, '\P{^General_Category=_	Spacing_mark}', "");
Expect(0, 119155, '\p{General_Category=_	Spacing_mark}', "");
Expect(1, 119155, '\p{^General_Category=_	Spacing_mark}', "");
Expect(1, 119155, '\P{General_Category=_	Spacing_mark}', "");
Expect(0, 119155, '\P{^General_Category=_	Spacing_mark}', "");
Error('\p{Gc=/a/-_MC}');
Error('\P{Gc=/a/-_MC}');
Expect(1, 119154, '\p{Gc=mc}', "");
Expect(0, 119154, '\p{^Gc=mc}', "");
Expect(0, 119154, '\P{Gc=mc}', "");
Expect(1, 119154, '\P{^Gc=mc}', "");
Expect(0, 119155, '\p{Gc=mc}', "");
Expect(1, 119155, '\p{^Gc=mc}', "");
Expect(1, 119155, '\P{Gc=mc}', "");
Expect(0, 119155, '\P{^Gc=mc}', "");
Expect(1, 119154, '\p{Gc=  MC}', "");
Expect(0, 119154, '\p{^Gc=  MC}', "");
Expect(0, 119154, '\P{Gc=  MC}', "");
Expect(1, 119154, '\P{^Gc=  MC}', "");
Expect(0, 119155, '\p{Gc=  MC}', "");
Expect(1, 119155, '\p{^Gc=  MC}', "");
Expect(1, 119155, '\P{Gc=  MC}', "");
Expect(0, 119155, '\P{^Gc=  MC}', "");
Error('\p{Category=-/a/spacing_Mark}');
Error('\P{Category=-/a/spacing_Mark}');
Expect(1, 119154, '\p{Category=spacingmark}', "");
Expect(0, 119154, '\p{^Category=spacingmark}', "");
Expect(0, 119154, '\P{Category=spacingmark}', "");
Expect(1, 119154, '\P{^Category=spacingmark}', "");
Expect(0, 119155, '\p{Category=spacingmark}', "");
Expect(1, 119155, '\p{^Category=spacingmark}', "");
Expect(1, 119155, '\P{Category=spacingmark}', "");
Expect(0, 119155, '\P{^Category=spacingmark}', "");
Expect(1, 119154, '\p{Category: -SPACING_MARK}', "");
Expect(0, 119154, '\p{^Category: -SPACING_MARK}', "");
Expect(0, 119154, '\P{Category: -SPACING_MARK}', "");
Expect(1, 119154, '\P{^Category: -SPACING_MARK}', "");
Expect(0, 119155, '\p{Category: -SPACING_MARK}', "");
Expect(1, 119155, '\p{^Category: -SPACING_MARK}', "");
Expect(1, 119155, '\P{Category: -SPACING_MARK}', "");
Expect(0, 119155, '\P{^Category: -SPACING_MARK}', "");
Error('\p{Is_General_Category=:=mc}');
Error('\P{Is_General_Category=:=mc}');
Expect(1, 119154, '\p{Is_General_Category=mc}', "");
Expect(0, 119154, '\p{^Is_General_Category=mc}', "");
Expect(0, 119154, '\P{Is_General_Category=mc}', "");
Expect(1, 119154, '\P{^Is_General_Category=mc}', "");
Expect(0, 119155, '\p{Is_General_Category=mc}', "");
Expect(1, 119155, '\p{^Is_General_Category=mc}', "");
Expect(1, 119155, '\P{Is_General_Category=mc}', "");
Expect(0, 119155, '\P{^Is_General_Category=mc}', "");
Expect(1, 119154, '\p{Is_General_Category=	_Mc}', "");
Expect(0, 119154, '\p{^Is_General_Category=	_Mc}', "");
Expect(0, 119154, '\P{Is_General_Category=	_Mc}', "");
Expect(1, 119154, '\P{^Is_General_Category=	_Mc}', "");
Expect(0, 119155, '\p{Is_General_Category=	_Mc}', "");
Expect(1, 119155, '\p{^Is_General_Category=	_Mc}', "");
Expect(1, 119155, '\P{Is_General_Category=	_Mc}', "");
Expect(0, 119155, '\P{^Is_General_Category=	_Mc}', "");
Error('\p{Is_Gc=/a/_SPACING_Mark}');
Error('\P{Is_Gc=/a/_SPACING_Mark}');
Expect(1, 119154, '\p{Is_Gc=spacingmark}', "");
Expect(0, 119154, '\p{^Is_Gc=spacingmark}', "");
Expect(0, 119154, '\P{Is_Gc=spacingmark}', "");
Expect(1, 119154, '\P{^Is_Gc=spacingmark}', "");
Expect(0, 119155, '\p{Is_Gc=spacingmark}', "");
Expect(1, 119155, '\p{^Is_Gc=spacingmark}', "");
Expect(1, 119155, '\P{Is_Gc=spacingmark}', "");
Expect(0, 119155, '\P{^Is_Gc=spacingmark}', "");
Expect(1, 119154, '\p{Is_Gc= 	SPACING_Mark}', "");
Expect(0, 119154, '\p{^Is_Gc= 	SPACING_Mark}', "");
Expect(0, 119154, '\P{Is_Gc= 	SPACING_Mark}', "");
Expect(1, 119154, '\P{^Is_Gc= 	SPACING_Mark}', "");
Expect(0, 119155, '\p{Is_Gc= 	SPACING_Mark}', "");
Expect(1, 119155, '\p{^Is_Gc= 	SPACING_Mark}', "");
Expect(1, 119155, '\P{Is_Gc= 	SPACING_Mark}', "");
Expect(0, 119155, '\P{^Is_Gc= 	SPACING_Mark}', "");
Error('\p{Is_Category=:=	Mc}');
Error('\P{Is_Category=:=	Mc}');
Expect(1, 119154, '\p{Is_Category=mc}', "");
Expect(0, 119154, '\p{^Is_Category=mc}', "");
Expect(0, 119154, '\P{Is_Category=mc}', "");
Expect(1, 119154, '\P{^Is_Category=mc}', "");
Expect(0, 119155, '\p{Is_Category=mc}', "");
Expect(1, 119155, '\p{^Is_Category=mc}', "");
Expect(1, 119155, '\P{Is_Category=mc}', "");
Expect(0, 119155, '\P{^Is_Category=mc}', "");
Expect(1, 119154, '\p{Is_Category= -mc}', "");
Expect(0, 119154, '\p{^Is_Category= -mc}', "");
Expect(0, 119154, '\P{Is_Category= -mc}', "");
Expect(1, 119154, '\P{^Is_Category= -mc}', "");
Expect(0, 119155, '\p{Is_Category= -mc}', "");
Expect(1, 119155, '\p{^Is_Category= -mc}', "");
Expect(1, 119155, '\P{Is_Category= -mc}', "");
Expect(0, 119155, '\P{^Is_Category= -mc}', "");
Error('\p{General_Category=_	ENCLOSING_MARK:=}');
Error('\P{General_Category=_	ENCLOSING_MARK:=}');
Expect(1, 42610, '\p{General_Category=enclosingmark}', "");
Expect(0, 42610, '\p{^General_Category=enclosingmark}', "");
Expect(0, 42610, '\P{General_Category=enclosingmark}', "");
Expect(1, 42610, '\P{^General_Category=enclosingmark}', "");
Expect(0, 42611, '\p{General_Category=enclosingmark}', "");
Expect(1, 42611, '\p{^General_Category=enclosingmark}', "");
Expect(1, 42611, '\P{General_Category=enclosingmark}', "");
Expect(0, 42611, '\P{^General_Category=enclosingmark}', "");
Expect(1, 42610, '\p{General_Category=__Enclosing_Mark}', "");
Expect(0, 42610, '\p{^General_Category=__Enclosing_Mark}', "");
Expect(0, 42610, '\P{General_Category=__Enclosing_Mark}', "");
Expect(1, 42610, '\P{^General_Category=__Enclosing_Mark}', "");
Expect(0, 42611, '\p{General_Category=__Enclosing_Mark}', "");
Expect(1, 42611, '\p{^General_Category=__Enclosing_Mark}', "");
Expect(1, 42611, '\P{General_Category=__Enclosing_Mark}', "");
Expect(0, 42611, '\P{^General_Category=__Enclosing_Mark}', "");
Error('\p{Gc= _Me:=}');
Error('\P{Gc= _Me:=}');
Expect(1, 42610, '\p{Gc=me}', "");
Expect(0, 42610, '\p{^Gc=me}', "");
Expect(0, 42610, '\P{Gc=me}', "");
Expect(1, 42610, '\P{^Gc=me}', "");
Expect(0, 42611, '\p{Gc=me}', "");
Expect(1, 42611, '\p{^Gc=me}', "");
Expect(1, 42611, '\P{Gc=me}', "");
Expect(0, 42611, '\P{^Gc=me}', "");
Expect(1, 42610, '\p{Gc= ME}', "");
Expect(0, 42610, '\p{^Gc= ME}', "");
Expect(0, 42610, '\P{Gc= ME}', "");
Expect(1, 42610, '\P{^Gc= ME}', "");
Expect(0, 42611, '\p{Gc= ME}', "");
Expect(1, 42611, '\p{^Gc= ME}', "");
Expect(1, 42611, '\P{Gc= ME}', "");
Expect(0, 42611, '\P{^Gc= ME}', "");
Error('\p{Category=-/a/Enclosing_MARK}');
Error('\P{Category=-/a/Enclosing_MARK}');
Expect(1, 42610, '\p{Category=enclosingmark}', "");
Expect(0, 42610, '\p{^Category=enclosingmark}', "");
Expect(0, 42610, '\P{Category=enclosingmark}', "");
Expect(1, 42610, '\P{^Category=enclosingmark}', "");
Expect(0, 42611, '\p{Category=enclosingmark}', "");
Expect(1, 42611, '\p{^Category=enclosingmark}', "");
Expect(1, 42611, '\P{Category=enclosingmark}', "");
Expect(0, 42611, '\P{^Category=enclosingmark}', "");
Expect(1, 42610, '\p{Category=	enclosing_Mark}', "");
Expect(0, 42610, '\p{^Category=	enclosing_Mark}', "");
Expect(0, 42610, '\P{Category=	enclosing_Mark}', "");
Expect(1, 42610, '\P{^Category=	enclosing_Mark}', "");
Expect(0, 42611, '\p{Category=	enclosing_Mark}', "");
Expect(1, 42611, '\p{^Category=	enclosing_Mark}', "");
Expect(1, 42611, '\P{Category=	enclosing_Mark}', "");
Expect(0, 42611, '\P{^Category=	enclosing_Mark}', "");
Error('\p{Is_General_Category=/a/_-me}');
Error('\P{Is_General_Category=/a/_-me}');
Expect(1, 42610, '\p{Is_General_Category=me}', "");
Expect(0, 42610, '\p{^Is_General_Category=me}', "");
Expect(0, 42610, '\P{Is_General_Category=me}', "");
Expect(1, 42610, '\P{^Is_General_Category=me}', "");
Expect(0, 42611, '\p{Is_General_Category=me}', "");
Expect(1, 42611, '\p{^Is_General_Category=me}', "");
Expect(1, 42611, '\P{Is_General_Category=me}', "");
Expect(0, 42611, '\P{^Is_General_Category=me}', "");
Expect(1, 42610, '\p{Is_General_Category=_-Me}', "");
Expect(0, 42610, '\p{^Is_General_Category=_-Me}', "");
Expect(0, 42610, '\P{Is_General_Category=_-Me}', "");
Expect(1, 42610, '\P{^Is_General_Category=_-Me}', "");
Expect(0, 42611, '\p{Is_General_Category=_-Me}', "");
Expect(1, 42611, '\p{^Is_General_Category=_-Me}', "");
Expect(1, 42611, '\P{Is_General_Category=_-Me}', "");
Expect(0, 42611, '\P{^Is_General_Category=_-Me}', "");
Error('\p{Is_Gc= :=Enclosing_Mark}');
Error('\P{Is_Gc= :=Enclosing_Mark}');
Expect(1, 42610, '\p{Is_Gc=enclosingmark}', "");
Expect(0, 42610, '\p{^Is_Gc=enclosingmark}', "");
Expect(0, 42610, '\P{Is_Gc=enclosingmark}', "");
Expect(1, 42610, '\P{^Is_Gc=enclosingmark}', "");
Expect(0, 42611, '\p{Is_Gc=enclosingmark}', "");
Expect(1, 42611, '\p{^Is_Gc=enclosingmark}', "");
Expect(1, 42611, '\P{Is_Gc=enclosingmark}', "");
Expect(0, 42611, '\P{^Is_Gc=enclosingmark}', "");
Expect(1, 42610, '\p{Is_Gc=		Enclosing_MARK}', "");
Expect(0, 42610, '\p{^Is_Gc=		Enclosing_MARK}', "");
Expect(0, 42610, '\P{Is_Gc=		Enclosing_MARK}', "");
Expect(1, 42610, '\P{^Is_Gc=		Enclosing_MARK}', "");
Expect(0, 42611, '\p{Is_Gc=		Enclosing_MARK}', "");
Expect(1, 42611, '\p{^Is_Gc=		Enclosing_MARK}', "");
Expect(1, 42611, '\P{Is_Gc=		Enclosing_MARK}', "");
Expect(0, 42611, '\P{^Is_Gc=		Enclosing_MARK}', "");
Error('\p{Is_Category=:=-Me}');
Error('\P{Is_Category=:=-Me}');
Expect(1, 42610, '\p{Is_Category=me}', "");
Expect(0, 42610, '\p{^Is_Category=me}', "");
Expect(0, 42610, '\P{Is_Category=me}', "");
Expect(1, 42610, '\P{^Is_Category=me}', "");
Expect(0, 42611, '\p{Is_Category=me}', "");
Expect(1, 42611, '\p{^Is_Category=me}', "");
Expect(1, 42611, '\P{Is_Category=me}', "");
Expect(0, 42611, '\P{^Is_Category=me}', "");
Expect(1, 42610, '\p{Is_Category=	Me}', "");
Expect(0, 42610, '\p{^Is_Category=	Me}', "");
Expect(0, 42610, '\P{Is_Category=	Me}', "");
Expect(1, 42610, '\P{^Is_Category=	Me}', "");
Expect(0, 42611, '\p{Is_Category=	Me}', "");
Expect(1, 42611, '\p{^Is_Category=	Me}', "");
Expect(1, 42611, '\P{Is_Category=	Me}', "");
Expect(0, 42611, '\P{^Is_Category=	Me}', "");
Error('\p{General_Category=_/a/nonspacing_Mark}');
Error('\P{General_Category=_/a/nonspacing_Mark}');
Expect(1, 917999, '\p{General_Category=nonspacingmark}', "");
Expect(0, 917999, '\p{^General_Category=nonspacingmark}', "");
Expect(0, 917999, '\P{General_Category=nonspacingmark}', "");
Expect(1, 917999, '\P{^General_Category=nonspacingmark}', "");
Expect(0, 918000, '\p{General_Category=nonspacingmark}', "");
Expect(1, 918000, '\p{^General_Category=nonspacingmark}', "");
Expect(1, 918000, '\P{General_Category=nonspacingmark}', "");
Expect(0, 918000, '\P{^General_Category=nonspacingmark}', "");
Expect(1, 917999, '\p{General_Category= _Nonspacing_mark}', "");
Expect(0, 917999, '\p{^General_Category= _Nonspacing_mark}', "");
Expect(0, 917999, '\P{General_Category= _Nonspacing_mark}', "");
Expect(1, 917999, '\P{^General_Category= _Nonspacing_mark}', "");
Expect(0, 918000, '\p{General_Category= _Nonspacing_mark}', "");
Expect(1, 918000, '\p{^General_Category= _Nonspacing_mark}', "");
Expect(1, 918000, '\P{General_Category= _Nonspacing_mark}', "");
Expect(0, 918000, '\P{^General_Category= _Nonspacing_mark}', "");
Error('\p{Gc=/a/_ mn}');
Error('\P{Gc=/a/_ mn}');
Expect(1, 917999, '\p{Gc=mn}', "");
Expect(0, 917999, '\p{^Gc=mn}', "");
Expect(0, 917999, '\P{Gc=mn}', "");
Expect(1, 917999, '\P{^Gc=mn}', "");
Expect(0, 918000, '\p{Gc=mn}', "");
Expect(1, 918000, '\p{^Gc=mn}', "");
Expect(1, 918000, '\P{Gc=mn}', "");
Expect(0, 918000, '\P{^Gc=mn}', "");
Expect(1, 917999, '\p{Gc=-	Mn}', "");
Expect(0, 917999, '\p{^Gc=-	Mn}', "");
Expect(0, 917999, '\P{Gc=-	Mn}', "");
Expect(1, 917999, '\P{^Gc=-	Mn}', "");
Expect(0, 918000, '\p{Gc=-	Mn}', "");
Expect(1, 918000, '\p{^Gc=-	Mn}', "");
Expect(1, 918000, '\P{Gc=-	Mn}', "");
Expect(0, 918000, '\P{^Gc=-	Mn}', "");
Error('\p{Category:-Nonspacing_Mark:=}');
Error('\P{Category:-Nonspacing_Mark:=}');
Expect(1, 917999, '\p{Category=nonspacingmark}', "");
Expect(0, 917999, '\p{^Category=nonspacingmark}', "");
Expect(0, 917999, '\P{Category=nonspacingmark}', "");
Expect(1, 917999, '\P{^Category=nonspacingmark}', "");
Expect(0, 918000, '\p{Category=nonspacingmark}', "");
Expect(1, 918000, '\p{^Category=nonspacingmark}', "");
Expect(1, 918000, '\P{Category=nonspacingmark}', "");
Expect(0, 918000, '\P{^Category=nonspacingmark}', "");
Expect(1, 917999, '\p{Category= nonspacing_Mark}', "");
Expect(0, 917999, '\p{^Category= nonspacing_Mark}', "");
Expect(0, 917999, '\P{Category= nonspacing_Mark}', "");
Expect(1, 917999, '\P{^Category= nonspacing_Mark}', "");
Expect(0, 918000, '\p{Category= nonspacing_Mark}', "");
Expect(1, 918000, '\p{^Category= nonspacing_Mark}', "");
Expect(1, 918000, '\P{Category= nonspacing_Mark}', "");
Expect(0, 918000, '\P{^Category= nonspacing_Mark}', "");
Error('\p{Is_General_Category=/a/ mn}');
Error('\P{Is_General_Category=/a/ mn}');
Expect(1, 917999, '\p{Is_General_Category:   mn}', "");
Expect(0, 917999, '\p{^Is_General_Category:   mn}', "");
Expect(0, 917999, '\P{Is_General_Category:   mn}', "");
Expect(1, 917999, '\P{^Is_General_Category:   mn}', "");
Expect(0, 918000, '\p{Is_General_Category:   mn}', "");
Expect(1, 918000, '\p{^Is_General_Category:   mn}', "");
Expect(1, 918000, '\P{Is_General_Category:   mn}', "");
Expect(0, 918000, '\P{^Is_General_Category:   mn}', "");
Expect(1, 917999, '\p{Is_General_Category=	_MN}', "");
Expect(0, 917999, '\p{^Is_General_Category=	_MN}', "");
Expect(0, 917999, '\P{Is_General_Category=	_MN}', "");
Expect(1, 917999, '\P{^Is_General_Category=	_MN}', "");
Expect(0, 918000, '\p{Is_General_Category=	_MN}', "");
Expect(1, 918000, '\p{^Is_General_Category=	_MN}', "");
Expect(1, 918000, '\P{Is_General_Category=	_MN}', "");
Expect(0, 918000, '\P{^Is_General_Category=	_MN}', "");
Error('\p{Is_Gc=/a/- NONSPACING_Mark}');
Error('\P{Is_Gc=/a/- NONSPACING_Mark}');
Expect(1, 917999, '\p{Is_Gc=nonspacingmark}', "");
Expect(0, 917999, '\p{^Is_Gc=nonspacingmark}', "");
Expect(0, 917999, '\P{Is_Gc=nonspacingmark}', "");
Expect(1, 917999, '\P{^Is_Gc=nonspacingmark}', "");
Expect(0, 918000, '\p{Is_Gc=nonspacingmark}', "");
Expect(1, 918000, '\p{^Is_Gc=nonspacingmark}', "");
Expect(1, 918000, '\P{Is_Gc=nonspacingmark}', "");
Expect(0, 918000, '\P{^Is_Gc=nonspacingmark}', "");
Expect(1, 917999, '\p{Is_Gc=  NONSPACING_Mark}', "");
Expect(0, 917999, '\p{^Is_Gc=  NONSPACING_Mark}', "");
Expect(0, 917999, '\P{Is_Gc=  NONSPACING_Mark}', "");
Expect(1, 917999, '\P{^Is_Gc=  NONSPACING_Mark}', "");
Expect(0, 918000, '\p{Is_Gc=  NONSPACING_Mark}', "");
Expect(1, 918000, '\p{^Is_Gc=  NONSPACING_Mark}', "");
Expect(1, 918000, '\P{Is_Gc=  NONSPACING_Mark}', "");
Expect(0, 918000, '\P{^Is_Gc=  NONSPACING_Mark}', "");
Error('\p{Is_Category=/a/--mn}');
Error('\P{Is_Category=/a/--mn}');
Expect(1, 917999, '\p{Is_Category=mn}', "");
Expect(0, 917999, '\p{^Is_Category=mn}', "");
Expect(0, 917999, '\P{Is_Category=mn}', "");
Expect(1, 917999, '\P{^Is_Category=mn}', "");
Expect(0, 918000, '\p{Is_Category=mn}', "");
Expect(1, 918000, '\p{^Is_Category=mn}', "");
Expect(1, 918000, '\P{Is_Category=mn}', "");
Expect(0, 918000, '\P{^Is_Category=mn}', "");
Expect(1, 917999, '\p{Is_Category=-Mn}', "");
Expect(0, 917999, '\p{^Is_Category=-Mn}', "");
Expect(0, 917999, '\P{Is_Category=-Mn}', "");
Expect(1, 917999, '\P{^Is_Category=-Mn}', "");
Expect(0, 918000, '\p{Is_Category=-Mn}', "");
Expect(1, 918000, '\p{^Is_Category=-Mn}', "");
Expect(1, 918000, '\P{Is_Category=-Mn}', "");
Expect(0, 918000, '\P{^Is_Category=-Mn}', "");
Error('\p{General_Category=:=--Number}');
Error('\P{General_Category=:=--Number}');
Expect(1, 127244, '\p{General_Category=number}', "");
Expect(0, 127244, '\p{^General_Category=number}', "");
Expect(0, 127244, '\P{General_Category=number}', "");
Expect(1, 127244, '\P{^General_Category=number}', "");
Expect(0, 127245, '\p{General_Category=number}', "");
Expect(1, 127245, '\p{^General_Category=number}', "");
Expect(1, 127245, '\P{General_Category=number}', "");
Expect(0, 127245, '\P{^General_Category=number}', "");
Expect(1, 127244, '\p{General_Category=	number}', "");
Expect(0, 127244, '\p{^General_Category=	number}', "");
Expect(0, 127244, '\P{General_Category=	number}', "");
Expect(1, 127244, '\P{^General_Category=	number}', "");
Expect(0, 127245, '\p{General_Category=	number}', "");
Expect(1, 127245, '\p{^General_Category=	number}', "");
Expect(1, 127245, '\P{General_Category=	number}', "");
Expect(0, 127245, '\P{^General_Category=	number}', "");
Error('\p{Gc=--N/a/}');
Error('\P{Gc=--N/a/}');
Expect(1, 127244, '\p{Gc=n}', "");
Expect(0, 127244, '\p{^Gc=n}', "");
Expect(0, 127244, '\P{Gc=n}', "");
Expect(1, 127244, '\P{^Gc=n}', "");
Expect(0, 127245, '\p{Gc=n}', "");
Expect(1, 127245, '\p{^Gc=n}', "");
Expect(1, 127245, '\P{Gc=n}', "");
Expect(0, 127245, '\P{^Gc=n}', "");
Expect(1, 127244, '\p{Gc=	-N}', "");
Expect(0, 127244, '\p{^Gc=	-N}', "");
Expect(0, 127244, '\P{Gc=	-N}', "");
Expect(1, 127244, '\P{^Gc=	-N}', "");
Expect(0, 127245, '\p{Gc=	-N}', "");
Expect(1, 127245, '\p{^Gc=	-N}', "");
Expect(1, 127245, '\P{Gc=	-N}', "");
Expect(0, 127245, '\P{^Gc=	-N}', "");
Error('\p{Category=	/a/Number}');
Error('\P{Category=	/a/Number}');
Expect(1, 127244, '\p{Category=number}', "");
Expect(0, 127244, '\p{^Category=number}', "");
Expect(0, 127244, '\P{Category=number}', "");
Expect(1, 127244, '\P{^Category=number}', "");
Expect(0, 127245, '\p{Category=number}', "");
Expect(1, 127245, '\p{^Category=number}', "");
Expect(1, 127245, '\P{Category=number}', "");
Expect(0, 127245, '\P{^Category=number}', "");
Expect(1, 127244, '\p{Category=- NUMBER}', "");
Expect(0, 127244, '\p{^Category=- NUMBER}', "");
Expect(0, 127244, '\P{Category=- NUMBER}', "");
Expect(1, 127244, '\P{^Category=- NUMBER}', "");
Expect(0, 127245, '\p{Category=- NUMBER}', "");
Expect(1, 127245, '\p{^Category=- NUMBER}', "");
Expect(1, 127245, '\P{Category=- NUMBER}', "");
Expect(0, 127245, '\P{^Category=- NUMBER}', "");
Error('\p{Is_General_Category= -N/a/}');
Error('\P{Is_General_Category= -N/a/}');
Expect(1, 127244, '\p{Is_General_Category=n}', "");
Expect(0, 127244, '\p{^Is_General_Category=n}', "");
Expect(0, 127244, '\P{Is_General_Category=n}', "");
Expect(1, 127244, '\P{^Is_General_Category=n}', "");
Expect(0, 127245, '\p{Is_General_Category=n}', "");
Expect(1, 127245, '\p{^Is_General_Category=n}', "");
Expect(1, 127245, '\P{Is_General_Category=n}', "");
Expect(0, 127245, '\P{^Is_General_Category=n}', "");
Expect(1, 127244, '\p{Is_General_Category=- N}', "");
Expect(0, 127244, '\p{^Is_General_Category=- N}', "");
Expect(0, 127244, '\P{Is_General_Category=- N}', "");
Expect(1, 127244, '\P{^Is_General_Category=- N}', "");
Expect(0, 127245, '\p{Is_General_Category=- N}', "");
Expect(1, 127245, '\p{^Is_General_Category=- N}', "");
Expect(1, 127245, '\P{Is_General_Category=- N}', "");
Expect(0, 127245, '\P{^Is_General_Category=- N}', "");
Error('\p{Is_Gc=_:=number}');
Error('\P{Is_Gc=_:=number}');
Expect(1, 127244, '\p{Is_Gc=number}', "");
Expect(0, 127244, '\p{^Is_Gc=number}', "");
Expect(0, 127244, '\P{Is_Gc=number}', "");
Expect(1, 127244, '\P{^Is_Gc=number}', "");
Expect(0, 127245, '\p{Is_Gc=number}', "");
Expect(1, 127245, '\p{^Is_Gc=number}', "");
Expect(1, 127245, '\P{Is_Gc=number}', "");
Expect(0, 127245, '\P{^Is_Gc=number}', "");
Expect(1, 127244, '\p{Is_Gc=  Number}', "");
Expect(0, 127244, '\p{^Is_Gc=  Number}', "");
Expect(0, 127244, '\P{Is_Gc=  Number}', "");
Expect(1, 127244, '\P{^Is_Gc=  Number}', "");
Expect(0, 127245, '\p{Is_Gc=  Number}', "");
Expect(1, 127245, '\p{^Is_Gc=  Number}', "");
Expect(1, 127245, '\P{Is_Gc=  Number}', "");
Expect(0, 127245, '\P{^Is_Gc=  Number}', "");
Error('\p{Is_Category:    :=N}');
Error('\P{Is_Category:    :=N}');
Expect(1, 127244, '\p{Is_Category=n}', "");
Expect(0, 127244, '\p{^Is_Category=n}', "");
Expect(0, 127244, '\P{Is_Category=n}', "");
Expect(1, 127244, '\P{^Is_Category=n}', "");
Expect(0, 127245, '\p{Is_Category=n}', "");
Expect(1, 127245, '\p{^Is_Category=n}', "");
Expect(1, 127245, '\P{Is_Category=n}', "");
Expect(0, 127245, '\P{^Is_Category=n}', "");
Expect(1, 127244, '\p{Is_Category=- N}', "");
Expect(0, 127244, '\p{^Is_Category=- N}', "");
Expect(0, 127244, '\P{Is_Category=- N}', "");
Expect(1, 127244, '\P{^Is_Category=- N}', "");
Expect(0, 127245, '\p{Is_Category=- N}', "");
Expect(1, 127245, '\p{^Is_Category=- N}', "");
Expect(1, 127245, '\P{Is_Category=- N}', "");
Expect(0, 127245, '\P{^Is_Category=- N}', "");
Error('\p{General_Category=:=_Decimal_Number}');
Error('\P{General_Category=:=_Decimal_Number}');
Expect(1, 120831, '\p{General_Category:decimalnumber}', "");
Expect(0, 120831, '\p{^General_Category:decimalnumber}', "");
Expect(0, 120831, '\P{General_Category:decimalnumber}', "");
Expect(1, 120831, '\P{^General_Category:decimalnumber}', "");
Expect(0, 120832, '\p{General_Category:decimalnumber}', "");
Expect(1, 120832, '\p{^General_Category:decimalnumber}', "");
Expect(1, 120832, '\P{General_Category:decimalnumber}', "");
Expect(0, 120832, '\P{^General_Category:decimalnumber}', "");
Expect(1, 120831, '\p{General_Category: 	decimal_number}', "");
Expect(0, 120831, '\p{^General_Category: 	decimal_number}', "");
Expect(0, 120831, '\P{General_Category: 	decimal_number}', "");
Expect(1, 120831, '\P{^General_Category: 	decimal_number}', "");
Expect(0, 120832, '\p{General_Category: 	decimal_number}', "");
Expect(1, 120832, '\p{^General_Category: 	decimal_number}', "");
Expect(1, 120832, '\P{General_Category: 	decimal_number}', "");
Expect(0, 120832, '\P{^General_Category: 	decimal_number}', "");
Error('\p{Gc=_ ND/a/}');
Error('\P{Gc=_ ND/a/}');
Expect(1, 120831, '\p{Gc=nd}', "");
Expect(0, 120831, '\p{^Gc=nd}', "");
Expect(0, 120831, '\P{Gc=nd}', "");
Expect(1, 120831, '\P{^Gc=nd}', "");
Expect(0, 120832, '\p{Gc=nd}', "");
Expect(1, 120832, '\p{^Gc=nd}', "");
Expect(1, 120832, '\P{Gc=nd}', "");
Expect(0, 120832, '\P{^Gc=nd}', "");
Expect(1, 120831, '\p{Gc= Nd}', "");
Expect(0, 120831, '\p{^Gc= Nd}', "");
Expect(0, 120831, '\P{Gc= Nd}', "");
Expect(1, 120831, '\P{^Gc= Nd}', "");
Expect(0, 120832, '\p{Gc= Nd}', "");
Expect(1, 120832, '\p{^Gc= Nd}', "");
Expect(1, 120832, '\P{Gc= Nd}', "");
Expect(0, 120832, '\P{^Gc= Nd}', "");
Error('\p{Category=/a/_-DIGIT}');
Error('\P{Category=/a/_-DIGIT}');
Expect(1, 120831, '\p{Category=digit}', "");
Expect(0, 120831, '\p{^Category=digit}', "");
Expect(0, 120831, '\P{Category=digit}', "");
Expect(1, 120831, '\P{^Category=digit}', "");
Expect(0, 120832, '\p{Category=digit}', "");
Expect(1, 120832, '\p{^Category=digit}', "");
Expect(1, 120832, '\P{Category=digit}', "");
Expect(0, 120832, '\P{^Category=digit}', "");
Expect(1, 120831, '\p{Category=	 DIGIT}', "");
Expect(0, 120831, '\p{^Category=	 DIGIT}', "");
Expect(0, 120831, '\P{Category=	 DIGIT}', "");
Expect(1, 120831, '\P{^Category=	 DIGIT}', "");
Expect(0, 120832, '\p{Category=	 DIGIT}', "");
Expect(1, 120832, '\p{^Category=	 DIGIT}', "");
Expect(1, 120832, '\P{Category=	 DIGIT}', "");
Expect(0, 120832, '\P{^Category=	 DIGIT}', "");
Error('\p{Is_General_Category=-	Decimal_Number:=}');
Error('\P{Is_General_Category=-	Decimal_Number:=}');
Expect(1, 120831, '\p{Is_General_Category=decimalnumber}', "");
Expect(0, 120831, '\p{^Is_General_Category=decimalnumber}', "");
Expect(0, 120831, '\P{Is_General_Category=decimalnumber}', "");
Expect(1, 120831, '\P{^Is_General_Category=decimalnumber}', "");
Expect(0, 120832, '\p{Is_General_Category=decimalnumber}', "");
Expect(1, 120832, '\p{^Is_General_Category=decimalnumber}', "");
Expect(1, 120832, '\P{Is_General_Category=decimalnumber}', "");
Expect(0, 120832, '\P{^Is_General_Category=decimalnumber}', "");
Expect(1, 120831, '\p{Is_General_Category:-DECIMAL_Number}', "");
Expect(0, 120831, '\p{^Is_General_Category:-DECIMAL_Number}', "");
Expect(0, 120831, '\P{Is_General_Category:-DECIMAL_Number}', "");
Expect(1, 120831, '\P{^Is_General_Category:-DECIMAL_Number}', "");
Expect(0, 120832, '\p{Is_General_Category:-DECIMAL_Number}', "");
Expect(1, 120832, '\p{^Is_General_Category:-DECIMAL_Number}', "");
Expect(1, 120832, '\P{Is_General_Category:-DECIMAL_Number}', "");
Expect(0, 120832, '\P{^Is_General_Category:-DECIMAL_Number}', "");
Error('\p{Is_Gc=	Nd:=}');
Error('\P{Is_Gc=	Nd:=}');
Expect(1, 120831, '\p{Is_Gc=nd}', "");
Expect(0, 120831, '\p{^Is_Gc=nd}', "");
Expect(0, 120831, '\P{Is_Gc=nd}', "");
Expect(1, 120831, '\P{^Is_Gc=nd}', "");
Expect(0, 120832, '\p{Is_Gc=nd}', "");
Expect(1, 120832, '\p{^Is_Gc=nd}', "");
Expect(1, 120832, '\P{Is_Gc=nd}', "");
Expect(0, 120832, '\P{^Is_Gc=nd}', "");
Expect(1, 120831, '\p{Is_Gc=_	Nd}', "");
Expect(0, 120831, '\p{^Is_Gc=_	Nd}', "");
Expect(0, 120831, '\P{Is_Gc=_	Nd}', "");
Expect(1, 120831, '\P{^Is_Gc=_	Nd}', "");
Expect(0, 120832, '\p{Is_Gc=_	Nd}', "");
Expect(1, 120832, '\p{^Is_Gc=_	Nd}', "");
Expect(1, 120832, '\P{Is_Gc=_	Nd}', "");
Expect(0, 120832, '\P{^Is_Gc=_	Nd}', "");
Error('\p{Is_Category=:=DIGIT}');
Error('\P{Is_Category=:=DIGIT}');
Expect(1, 120831, '\p{Is_Category:   digit}', "");
Expect(0, 120831, '\p{^Is_Category:   digit}', "");
Expect(0, 120831, '\P{Is_Category:   digit}', "");
Expect(1, 120831, '\P{^Is_Category:   digit}', "");
Expect(0, 120832, '\p{Is_Category:   digit}', "");
Expect(1, 120832, '\p{^Is_Category:   digit}', "");
Expect(1, 120832, '\P{Is_Category:   digit}', "");
Expect(0, 120832, '\P{^Is_Category:   digit}', "");
Expect(1, 120831, '\p{Is_Category=_DIGIT}', "");
Expect(0, 120831, '\p{^Is_Category=_DIGIT}', "");
Expect(0, 120831, '\P{Is_Category=_DIGIT}', "");
Expect(1, 120831, '\P{^Is_Category=_DIGIT}', "");
Expect(0, 120832, '\p{Is_Category=_DIGIT}', "");
Expect(1, 120832, '\p{^Is_Category=_DIGIT}', "");
Expect(1, 120832, '\P{Is_Category=_DIGIT}', "");
Expect(0, 120832, '\P{^Is_Category=_DIGIT}', "");
Error('\p{General_Category=/a/--LETTER_NUMBER}');
Error('\P{General_Category=/a/--LETTER_NUMBER}');
Expect(1, 74862, '\p{General_Category=letternumber}', "");
Expect(0, 74862, '\p{^General_Category=letternumber}', "");
Expect(0, 74862, '\P{General_Category=letternumber}', "");
Expect(1, 74862, '\P{^General_Category=letternumber}', "");
Expect(0, 74863, '\p{General_Category=letternumber}', "");
Expect(1, 74863, '\p{^General_Category=letternumber}', "");
Expect(1, 74863, '\P{General_Category=letternumber}', "");
Expect(0, 74863, '\P{^General_Category=letternumber}', "");
Expect(1, 74862, '\p{General_Category:- LETTER_number}', "");
Expect(0, 74862, '\p{^General_Category:- LETTER_number}', "");
Expect(0, 74862, '\P{General_Category:- LETTER_number}', "");
Expect(1, 74862, '\P{^General_Category:- LETTER_number}', "");
Expect(0, 74863, '\p{General_Category:- LETTER_number}', "");
Expect(1, 74863, '\p{^General_Category:- LETTER_number}', "");
Expect(1, 74863, '\P{General_Category:- LETTER_number}', "");
Expect(0, 74863, '\P{^General_Category:- LETTER_number}', "");
Error('\p{Gc: 	-nl/a/}');
Error('\P{Gc: 	-nl/a/}');
Expect(1, 74862, '\p{Gc=nl}', "");
Expect(0, 74862, '\p{^Gc=nl}', "");
Expect(0, 74862, '\P{Gc=nl}', "");
Expect(1, 74862, '\P{^Gc=nl}', "");
Expect(0, 74863, '\p{Gc=nl}', "");
Expect(1, 74863, '\p{^Gc=nl}', "");
Expect(1, 74863, '\P{Gc=nl}', "");
Expect(0, 74863, '\P{^Gc=nl}', "");
Expect(1, 74862, '\p{Gc= NL}', "");
Expect(0, 74862, '\p{^Gc= NL}', "");
Expect(0, 74862, '\P{Gc= NL}', "");
Expect(1, 74862, '\P{^Gc= NL}', "");
Expect(0, 74863, '\p{Gc= NL}', "");
Expect(1, 74863, '\p{^Gc= NL}', "");
Expect(1, 74863, '\P{Gc= NL}', "");
Expect(0, 74863, '\P{^Gc= NL}', "");
Error('\p{Category=-:=letter_Number}');
Error('\P{Category=-:=letter_Number}');
Expect(1, 74862, '\p{Category=letternumber}', "");
Expect(0, 74862, '\p{^Category=letternumber}', "");
Expect(0, 74862, '\P{Category=letternumber}', "");
Expect(1, 74862, '\P{^Category=letternumber}', "");
Expect(0, 74863, '\p{Category=letternumber}', "");
Expect(1, 74863, '\p{^Category=letternumber}', "");
Expect(1, 74863, '\P{Category=letternumber}', "");
Expect(0, 74863, '\P{^Category=letternumber}', "");
Expect(1, 74862, '\p{Category= _Letter_Number}', "");
Expect(0, 74862, '\p{^Category= _Letter_Number}', "");
Expect(0, 74862, '\P{Category= _Letter_Number}', "");
Expect(1, 74862, '\P{^Category= _Letter_Number}', "");
Expect(0, 74863, '\p{Category= _Letter_Number}', "");
Expect(1, 74863, '\p{^Category= _Letter_Number}', "");
Expect(1, 74863, '\P{Category= _Letter_Number}', "");
Expect(0, 74863, '\P{^Category= _Letter_Number}', "");
Error('\p{Is_General_Category=	:=Nl}');
Error('\P{Is_General_Category=	:=Nl}');
Expect(1, 74862, '\p{Is_General_Category=nl}', "");
Expect(0, 74862, '\p{^Is_General_Category=nl}', "");
Expect(0, 74862, '\P{Is_General_Category=nl}', "");
Expect(1, 74862, '\P{^Is_General_Category=nl}', "");
Expect(0, 74863, '\p{Is_General_Category=nl}', "");
Expect(1, 74863, '\p{^Is_General_Category=nl}', "");
Expect(1, 74863, '\P{Is_General_Category=nl}', "");
Expect(0, 74863, '\P{^Is_General_Category=nl}', "");
Expect(1, 74862, '\p{Is_General_Category= _nl}', "");
Expect(0, 74862, '\p{^Is_General_Category= _nl}', "");
Expect(0, 74862, '\P{Is_General_Category= _nl}', "");
Expect(1, 74862, '\P{^Is_General_Category= _nl}', "");
Expect(0, 74863, '\p{Is_General_Category= _nl}', "");
Expect(1, 74863, '\p{^Is_General_Category= _nl}', "");
Expect(1, 74863, '\P{Is_General_Category= _nl}', "");
Expect(0, 74863, '\P{^Is_General_Category= _nl}', "");
Error('\p{Is_Gc=-	Letter_number:=}');
Error('\P{Is_Gc=-	Letter_number:=}');
Expect(1, 74862, '\p{Is_Gc: letternumber}', "");
Expect(0, 74862, '\p{^Is_Gc: letternumber}', "");
Expect(0, 74862, '\P{Is_Gc: letternumber}', "");
Expect(1, 74862, '\P{^Is_Gc: letternumber}', "");
Expect(0, 74863, '\p{Is_Gc: letternumber}', "");
Expect(1, 74863, '\p{^Is_Gc: letternumber}', "");
Expect(1, 74863, '\P{Is_Gc: letternumber}', "");
Expect(0, 74863, '\P{^Is_Gc: letternumber}', "");
Expect(1, 74862, '\p{Is_Gc=  Letter_Number}', "");
Expect(0, 74862, '\p{^Is_Gc=  Letter_Number}', "");
Expect(0, 74862, '\P{Is_Gc=  Letter_Number}', "");
Expect(1, 74862, '\P{^Is_Gc=  Letter_Number}', "");
Expect(0, 74863, '\p{Is_Gc=  Letter_Number}', "");
Expect(1, 74863, '\p{^Is_Gc=  Letter_Number}', "");
Expect(1, 74863, '\P{Is_Gc=  Letter_Number}', "");
Expect(0, 74863, '\P{^Is_Gc=  Letter_Number}', "");
Error('\p{Is_Category=	_Nl:=}');
Error('\P{Is_Category=	_Nl:=}');
Expect(1, 74862, '\p{Is_Category=nl}', "");
Expect(0, 74862, '\p{^Is_Category=nl}', "");
Expect(0, 74862, '\P{Is_Category=nl}', "");
Expect(1, 74862, '\P{^Is_Category=nl}', "");
Expect(0, 74863, '\p{Is_Category=nl}', "");
Expect(1, 74863, '\p{^Is_Category=nl}', "");
Expect(1, 74863, '\P{Is_Category=nl}', "");
Expect(0, 74863, '\P{^Is_Category=nl}', "");
Expect(1, 74862, '\p{Is_Category:	Nl}', "");
Expect(0, 74862, '\p{^Is_Category:	Nl}', "");
Expect(0, 74862, '\P{Is_Category:	Nl}', "");
Expect(1, 74862, '\P{^Is_Category:	Nl}', "");
Expect(0, 74863, '\p{Is_Category:	Nl}', "");
Expect(1, 74863, '\p{^Is_Category:	Nl}', "");
Expect(1, 74863, '\P{Is_Category:	Nl}', "");
Expect(0, 74863, '\P{^Is_Category:	Nl}', "");
Error('\p{General_Category=/a/	_Other_Number}');
Error('\P{General_Category=/a/	_Other_Number}');
Expect(1, 127244, '\p{General_Category=othernumber}', "");
Expect(0, 127244, '\p{^General_Category=othernumber}', "");
Expect(0, 127244, '\P{General_Category=othernumber}', "");
Expect(1, 127244, '\P{^General_Category=othernumber}', "");
Expect(0, 127245, '\p{General_Category=othernumber}', "");
Expect(1, 127245, '\p{^General_Category=othernumber}', "");
Expect(1, 127245, '\P{General_Category=othernumber}', "");
Expect(0, 127245, '\P{^General_Category=othernumber}', "");
Expect(1, 127244, '\p{General_Category= _OTHER_number}', "");
Expect(0, 127244, '\p{^General_Category= _OTHER_number}', "");
Expect(0, 127244, '\P{General_Category= _OTHER_number}', "");
Expect(1, 127244, '\P{^General_Category= _OTHER_number}', "");
Expect(0, 127245, '\p{General_Category= _OTHER_number}', "");
Expect(1, 127245, '\p{^General_Category= _OTHER_number}', "");
Expect(1, 127245, '\P{General_Category= _OTHER_number}', "");
Expect(0, 127245, '\P{^General_Category= _OTHER_number}', "");
Error('\p{Gc=:=_ NO}');
Error('\P{Gc=:=_ NO}');
Expect(1, 127244, '\p{Gc=no}', "");
Expect(0, 127244, '\p{^Gc=no}', "");
Expect(0, 127244, '\P{Gc=no}', "");
Expect(1, 127244, '\P{^Gc=no}', "");
Expect(0, 127245, '\p{Gc=no}', "");
Expect(1, 127245, '\p{^Gc=no}', "");
Expect(1, 127245, '\P{Gc=no}', "");
Expect(0, 127245, '\P{^Gc=no}', "");
Expect(1, 127244, '\p{Gc= NO}', "");
Expect(0, 127244, '\p{^Gc= NO}', "");
Expect(0, 127244, '\P{Gc= NO}', "");
Expect(1, 127244, '\P{^Gc= NO}', "");
Expect(0, 127245, '\p{Gc= NO}', "");
Expect(1, 127245, '\p{^Gc= NO}', "");
Expect(1, 127245, '\P{Gc= NO}', "");
Expect(0, 127245, '\P{^Gc= NO}', "");
Error('\p{Category=--Other_Number/a/}');
Error('\P{Category=--Other_Number/a/}');
Expect(1, 127244, '\p{Category=othernumber}', "");
Expect(0, 127244, '\p{^Category=othernumber}', "");
Expect(0, 127244, '\P{Category=othernumber}', "");
Expect(1, 127244, '\P{^Category=othernumber}', "");
Expect(0, 127245, '\p{Category=othernumber}', "");
Expect(1, 127245, '\p{^Category=othernumber}', "");
Expect(1, 127245, '\P{Category=othernumber}', "");
Expect(0, 127245, '\P{^Category=othernumber}', "");
Expect(1, 127244, '\p{Category=-other_NUMBER}', "");
Expect(0, 127244, '\p{^Category=-other_NUMBER}', "");
Expect(0, 127244, '\P{Category=-other_NUMBER}', "");
Expect(1, 127244, '\P{^Category=-other_NUMBER}', "");
Expect(0, 127245, '\p{Category=-other_NUMBER}', "");
Expect(1, 127245, '\p{^Category=-other_NUMBER}', "");
Expect(1, 127245, '\P{Category=-other_NUMBER}', "");
Expect(0, 127245, '\P{^Category=-other_NUMBER}', "");
Error('\p{Is_General_Category:   :=- No}');
Error('\P{Is_General_Category:   :=- No}');
Expect(1, 127244, '\p{Is_General_Category:no}', "");
Expect(0, 127244, '\p{^Is_General_Category:no}', "");
Expect(0, 127244, '\P{Is_General_Category:no}', "");
Expect(1, 127244, '\P{^Is_General_Category:no}', "");
Expect(0, 127245, '\p{Is_General_Category:no}', "");
Expect(1, 127245, '\p{^Is_General_Category:no}', "");
Expect(1, 127245, '\P{Is_General_Category:no}', "");
Expect(0, 127245, '\P{^Is_General_Category:no}', "");
Expect(1, 127244, '\p{Is_General_Category=	No}', "");
Expect(0, 127244, '\p{^Is_General_Category=	No}', "");
Expect(0, 127244, '\P{Is_General_Category=	No}', "");
Expect(1, 127244, '\P{^Is_General_Category=	No}', "");
Expect(0, 127245, '\p{Is_General_Category=	No}', "");
Expect(1, 127245, '\p{^Is_General_Category=	No}', "");
Expect(1, 127245, '\P{Is_General_Category=	No}', "");
Expect(0, 127245, '\P{^Is_General_Category=	No}', "");
Error('\p{Is_Gc=	OTHER_number:=}');
Error('\P{Is_Gc=	OTHER_number:=}');
Expect(1, 127244, '\p{Is_Gc=othernumber}', "");
Expect(0, 127244, '\p{^Is_Gc=othernumber}', "");
Expect(0, 127244, '\P{Is_Gc=othernumber}', "");
Expect(1, 127244, '\P{^Is_Gc=othernumber}', "");
Expect(0, 127245, '\p{Is_Gc=othernumber}', "");
Expect(1, 127245, '\p{^Is_Gc=othernumber}', "");
Expect(1, 127245, '\P{Is_Gc=othernumber}', "");
Expect(0, 127245, '\P{^Is_Gc=othernumber}', "");
Expect(1, 127244, '\p{Is_Gc=_-OTHER_Number}', "");
Expect(0, 127244, '\p{^Is_Gc=_-OTHER_Number}', "");
Expect(0, 127244, '\P{Is_Gc=_-OTHER_Number}', "");
Expect(1, 127244, '\P{^Is_Gc=_-OTHER_Number}', "");
Expect(0, 127245, '\p{Is_Gc=_-OTHER_Number}', "");
Expect(1, 127245, '\p{^Is_Gc=_-OTHER_Number}', "");
Expect(1, 127245, '\P{Is_Gc=_-OTHER_Number}', "");
Expect(0, 127245, '\P{^Is_Gc=_-OTHER_Number}', "");
Error('\p{Is_Category=:=_-no}');
Error('\P{Is_Category=:=_-no}');
Expect(1, 127244, '\p{Is_Category=no}', "");
Expect(0, 127244, '\p{^Is_Category=no}', "");
Expect(0, 127244, '\P{Is_Category=no}', "");
Expect(1, 127244, '\P{^Is_Category=no}', "");
Expect(0, 127245, '\p{Is_Category=no}', "");
Expect(1, 127245, '\p{^Is_Category=no}', "");
Expect(1, 127245, '\P{Is_Category=no}', "");
Expect(0, 127245, '\P{^Is_Category=no}', "");
Expect(1, 127244, '\p{Is_Category: _-no}', "");
Expect(0, 127244, '\p{^Is_Category: _-no}', "");
Expect(0, 127244, '\P{Is_Category: _-no}', "");
Expect(1, 127244, '\P{^Is_Category: _-no}', "");
Expect(0, 127245, '\p{Is_Category: _-no}', "");
Expect(1, 127245, '\p{^Is_Category: _-no}', "");
Expect(1, 127245, '\P{Is_Category: _-no}', "");
Expect(0, 127245, '\P{^Is_Category: _-no}', "");
Error('\p{General_Category=/a/ PUNCTUATION}');
Error('\P{General_Category=/a/ PUNCTUATION}');
Expect(1, 121483, '\p{General_Category=punctuation}', "");
Expect(0, 121483, '\p{^General_Category=punctuation}', "");
Expect(0, 121483, '\P{General_Category=punctuation}', "");
Expect(1, 121483, '\P{^General_Category=punctuation}', "");
Expect(0, 121484, '\p{General_Category=punctuation}', "");
Expect(1, 121484, '\p{^General_Category=punctuation}', "");
Expect(1, 121484, '\P{General_Category=punctuation}', "");
Expect(0, 121484, '\P{^General_Category=punctuation}', "");
Expect(1, 121483, '\p{General_Category=	Punctuation}', "");
Expect(0, 121483, '\p{^General_Category=	Punctuation}', "");
Expect(0, 121483, '\P{General_Category=	Punctuation}', "");
Expect(1, 121483, '\P{^General_Category=	Punctuation}', "");
Expect(0, 121484, '\p{General_Category=	Punctuation}', "");
Expect(1, 121484, '\p{^General_Category=	Punctuation}', "");
Expect(1, 121484, '\P{General_Category=	Punctuation}', "");
Expect(0, 121484, '\P{^General_Category=	Punctuation}', "");
Error('\p{Gc=-:=p}');
Error('\P{Gc=-:=p}');
Expect(1, 121483, '\p{Gc=p}', "");
Expect(0, 121483, '\p{^Gc=p}', "");
Expect(0, 121483, '\P{Gc=p}', "");
Expect(1, 121483, '\P{^Gc=p}', "");
Expect(0, 121484, '\p{Gc=p}', "");
Expect(1, 121484, '\p{^Gc=p}', "");
Expect(1, 121484, '\P{Gc=p}', "");
Expect(0, 121484, '\P{^Gc=p}', "");
Expect(1, 121483, '\p{Gc=_P}', "");
Expect(0, 121483, '\p{^Gc=_P}', "");
Expect(0, 121483, '\P{Gc=_P}', "");
Expect(1, 121483, '\P{^Gc=_P}', "");
Expect(0, 121484, '\p{Gc=_P}', "");
Expect(1, 121484, '\p{^Gc=_P}', "");
Expect(1, 121484, '\P{Gc=_P}', "");
Expect(0, 121484, '\P{^Gc=_P}', "");
Error('\p{Category=:=-punct}');
Error('\P{Category=:=-punct}');
Expect(1, 121483, '\p{Category=punct}', "");
Expect(0, 121483, '\p{^Category=punct}', "");
Expect(0, 121483, '\P{Category=punct}', "");
Expect(1, 121483, '\P{^Category=punct}', "");
Expect(0, 121484, '\p{Category=punct}', "");
Expect(1, 121484, '\p{^Category=punct}', "");
Expect(1, 121484, '\P{Category=punct}', "");
Expect(0, 121484, '\P{^Category=punct}', "");
Expect(1, 121483, '\p{Category= Punct}', "");
Expect(0, 121483, '\p{^Category= Punct}', "");
Expect(0, 121483, '\P{Category= Punct}', "");
Expect(1, 121483, '\P{^Category= Punct}', "");
Expect(0, 121484, '\p{Category= Punct}', "");
Expect(1, 121484, '\p{^Category= Punct}', "");
Expect(1, 121484, '\P{Category= Punct}', "");
Expect(0, 121484, '\P{^Category= Punct}', "");
Error('\p{Is_General_Category=:=__punctuation}');
Error('\P{Is_General_Category=:=__punctuation}');
Expect(1, 121483, '\p{Is_General_Category:	punctuation}', "");
Expect(0, 121483, '\p{^Is_General_Category:	punctuation}', "");
Expect(0, 121483, '\P{Is_General_Category:	punctuation}', "");
Expect(1, 121483, '\P{^Is_General_Category:	punctuation}', "");
Expect(0, 121484, '\p{Is_General_Category:	punctuation}', "");
Expect(1, 121484, '\p{^Is_General_Category:	punctuation}', "");
Expect(1, 121484, '\P{Is_General_Category:	punctuation}', "");
Expect(0, 121484, '\P{^Is_General_Category:	punctuation}', "");
Expect(1, 121483, '\p{Is_General_Category:-	Punctuation}', "");
Expect(0, 121483, '\p{^Is_General_Category:-	Punctuation}', "");
Expect(0, 121483, '\P{Is_General_Category:-	Punctuation}', "");
Expect(1, 121483, '\P{^Is_General_Category:-	Punctuation}', "");
Expect(0, 121484, '\p{Is_General_Category:-	Punctuation}', "");
Expect(1, 121484, '\p{^Is_General_Category:-	Punctuation}', "");
Expect(1, 121484, '\P{Is_General_Category:-	Punctuation}', "");
Expect(0, 121484, '\P{^Is_General_Category:-	Punctuation}', "");
Error('\p{Is_Gc:_/a/P}');
Error('\P{Is_Gc:_/a/P}');
Expect(1, 121483, '\p{Is_Gc=p}', "");
Expect(0, 121483, '\p{^Is_Gc=p}', "");
Expect(0, 121483, '\P{Is_Gc=p}', "");
Expect(1, 121483, '\P{^Is_Gc=p}', "");
Expect(0, 121484, '\p{Is_Gc=p}', "");
Expect(1, 121484, '\p{^Is_Gc=p}', "");
Expect(1, 121484, '\P{Is_Gc=p}', "");
Expect(0, 121484, '\P{^Is_Gc=p}', "");
Expect(1, 121483, '\p{Is_Gc=_	P}', "");
Expect(0, 121483, '\p{^Is_Gc=_	P}', "");
Expect(0, 121483, '\P{Is_Gc=_	P}', "");
Expect(1, 121483, '\P{^Is_Gc=_	P}', "");
Expect(0, 121484, '\p{Is_Gc=_	P}', "");
Expect(1, 121484, '\p{^Is_Gc=_	P}', "");
Expect(1, 121484, '\P{Is_Gc=_	P}', "");
Expect(0, 121484, '\P{^Is_Gc=_	P}', "");
Error('\p{Is_Category=-Punct:=}');
Error('\P{Is_Category=-Punct:=}');
Expect(1, 121483, '\p{Is_Category=punct}', "");
Expect(0, 121483, '\p{^Is_Category=punct}', "");
Expect(0, 121483, '\P{Is_Category=punct}', "");
Expect(1, 121483, '\P{^Is_Category=punct}', "");
Expect(0, 121484, '\p{Is_Category=punct}', "");
Expect(1, 121484, '\p{^Is_Category=punct}', "");
Expect(1, 121484, '\P{Is_Category=punct}', "");
Expect(0, 121484, '\P{^Is_Category=punct}', "");
Expect(1, 121483, '\p{Is_Category=-	punct}', "");
Expect(0, 121483, '\p{^Is_Category=-	punct}', "");
Expect(0, 121483, '\P{Is_Category=-	punct}', "");
Expect(1, 121483, '\P{^Is_Category=-	punct}', "");
Expect(0, 121484, '\p{Is_Category=-	punct}', "");
Expect(1, 121484, '\p{^Is_Category=-	punct}', "");
Expect(1, 121484, '\P{Is_Category=-	punct}', "");
Expect(0, 121484, '\P{^Is_Category=-	punct}', "");
Error('\p{General_Category= /a/Connector_Punctuation}');
Error('\P{General_Category= /a/Connector_Punctuation}');
Expect(1, 65343, '\p{General_Category:	connectorpunctuation}', "");
Expect(0, 65343, '\p{^General_Category:	connectorpunctuation}', "");
Expect(0, 65343, '\P{General_Category:	connectorpunctuation}', "");
Expect(1, 65343, '\P{^General_Category:	connectorpunctuation}', "");
Expect(0, 65344, '\p{General_Category:	connectorpunctuation}', "");
Expect(1, 65344, '\p{^General_Category:	connectorpunctuation}', "");
Expect(1, 65344, '\P{General_Category:	connectorpunctuation}', "");
Expect(0, 65344, '\P{^General_Category:	connectorpunctuation}', "");
Expect(1, 65343, '\p{General_Category: _connector_Punctuation}', "");
Expect(0, 65343, '\p{^General_Category: _connector_Punctuation}', "");
Expect(0, 65343, '\P{General_Category: _connector_Punctuation}', "");
Expect(1, 65343, '\P{^General_Category: _connector_Punctuation}', "");
Expect(0, 65344, '\p{General_Category: _connector_Punctuation}', "");
Expect(1, 65344, '\p{^General_Category: _connector_Punctuation}', "");
Expect(1, 65344, '\P{General_Category: _connector_Punctuation}', "");
Expect(0, 65344, '\P{^General_Category: _connector_Punctuation}', "");
Error('\p{Gc:		-PC:=}');
Error('\P{Gc:		-PC:=}');
Expect(1, 65343, '\p{Gc: pc}', "");
Expect(0, 65343, '\p{^Gc: pc}', "");
Expect(0, 65343, '\P{Gc: pc}', "");
Expect(1, 65343, '\P{^Gc: pc}', "");
Expect(0, 65344, '\p{Gc: pc}', "");
Expect(1, 65344, '\p{^Gc: pc}', "");
Expect(1, 65344, '\P{Gc: pc}', "");
Expect(0, 65344, '\P{^Gc: pc}', "");
Expect(1, 65343, '\p{Gc=	PC}', "");
Expect(0, 65343, '\p{^Gc=	PC}', "");
Expect(0, 65343, '\P{Gc=	PC}', "");
Expect(1, 65343, '\P{^Gc=	PC}', "");
Expect(0, 65344, '\p{Gc=	PC}', "");
Expect(1, 65344, '\p{^Gc=	PC}', "");
Expect(1, 65344, '\P{Gc=	PC}', "");
Expect(0, 65344, '\P{^Gc=	PC}', "");
Error('\p{Category=-	Connector_punctuation/a/}');
Error('\P{Category=-	Connector_punctuation/a/}');
Expect(1, 65343, '\p{Category=connectorpunctuation}', "");
Expect(0, 65343, '\p{^Category=connectorpunctuation}', "");
Expect(0, 65343, '\P{Category=connectorpunctuation}', "");
Expect(1, 65343, '\P{^Category=connectorpunctuation}', "");
Expect(0, 65344, '\p{Category=connectorpunctuation}', "");
Expect(1, 65344, '\p{^Category=connectorpunctuation}', "");
Expect(1, 65344, '\P{Category=connectorpunctuation}', "");
Expect(0, 65344, '\P{^Category=connectorpunctuation}', "");
Expect(1, 65343, '\p{Category=-	connector_punctuation}', "");
Expect(0, 65343, '\p{^Category=-	connector_punctuation}', "");
Expect(0, 65343, '\P{Category=-	connector_punctuation}', "");
Expect(1, 65343, '\P{^Category=-	connector_punctuation}', "");
Expect(0, 65344, '\p{Category=-	connector_punctuation}', "");
Expect(1, 65344, '\p{^Category=-	connector_punctuation}', "");
Expect(1, 65344, '\P{Category=-	connector_punctuation}', "");
Expect(0, 65344, '\P{^Category=-	connector_punctuation}', "");
Error('\p{Is_General_Category=-Pc/a/}');
Error('\P{Is_General_Category=-Pc/a/}');
Expect(1, 65343, '\p{Is_General_Category=pc}', "");
Expect(0, 65343, '\p{^Is_General_Category=pc}', "");
Expect(0, 65343, '\P{Is_General_Category=pc}', "");
Expect(1, 65343, '\P{^Is_General_Category=pc}', "");
Expect(0, 65344, '\p{Is_General_Category=pc}', "");
Expect(1, 65344, '\p{^Is_General_Category=pc}', "");
Expect(1, 65344, '\P{Is_General_Category=pc}', "");
Expect(0, 65344, '\P{^Is_General_Category=pc}', "");
Expect(1, 65343, '\p{Is_General_Category=	Pc}', "");
Expect(0, 65343, '\p{^Is_General_Category=	Pc}', "");
Expect(0, 65343, '\P{Is_General_Category=	Pc}', "");
Expect(1, 65343, '\P{^Is_General_Category=	Pc}', "");
Expect(0, 65344, '\p{Is_General_Category=	Pc}', "");
Expect(1, 65344, '\p{^Is_General_Category=	Pc}', "");
Expect(1, 65344, '\P{Is_General_Category=	Pc}', "");
Expect(0, 65344, '\P{^Is_General_Category=	Pc}', "");
Error('\p{Is_Gc=_/a/Connector_Punctuation}');
Error('\P{Is_Gc=_/a/Connector_Punctuation}');
Expect(1, 65343, '\p{Is_Gc=connectorpunctuation}', "");
Expect(0, 65343, '\p{^Is_Gc=connectorpunctuation}', "");
Expect(0, 65343, '\P{Is_Gc=connectorpunctuation}', "");
Expect(1, 65343, '\P{^Is_Gc=connectorpunctuation}', "");
Expect(0, 65344, '\p{Is_Gc=connectorpunctuation}', "");
Expect(1, 65344, '\p{^Is_Gc=connectorpunctuation}', "");
Expect(1, 65344, '\P{Is_Gc=connectorpunctuation}', "");
Expect(0, 65344, '\P{^Is_Gc=connectorpunctuation}', "");
Expect(1, 65343, '\p{Is_Gc=	 CONNECTOR_punctuation}', "");
Expect(0, 65343, '\p{^Is_Gc=	 CONNECTOR_punctuation}', "");
Expect(0, 65343, '\P{Is_Gc=	 CONNECTOR_punctuation}', "");
Expect(1, 65343, '\P{^Is_Gc=	 CONNECTOR_punctuation}', "");
Expect(0, 65344, '\p{Is_Gc=	 CONNECTOR_punctuation}', "");
Expect(1, 65344, '\p{^Is_Gc=	 CONNECTOR_punctuation}', "");
Expect(1, 65344, '\P{Is_Gc=	 CONNECTOR_punctuation}', "");
Expect(0, 65344, '\P{^Is_Gc=	 CONNECTOR_punctuation}', "");
Error('\p{Is_Category: /a/-_Pc}');
Error('\P{Is_Category: /a/-_Pc}');
Expect(1, 65343, '\p{Is_Category=pc}', "");
Expect(0, 65343, '\p{^Is_Category=pc}', "");
Expect(0, 65343, '\P{Is_Category=pc}', "");
Expect(1, 65343, '\P{^Is_Category=pc}', "");
Expect(0, 65344, '\p{Is_Category=pc}', "");
Expect(1, 65344, '\p{^Is_Category=pc}', "");
Expect(1, 65344, '\P{Is_Category=pc}', "");
Expect(0, 65344, '\P{^Is_Category=pc}', "");
Expect(1, 65343, '\p{Is_Category=_Pc}', "");
Expect(0, 65343, '\p{^Is_Category=_Pc}', "");
Expect(0, 65343, '\P{Is_Category=_Pc}', "");
Expect(1, 65343, '\P{^Is_Category=_Pc}', "");
Expect(0, 65344, '\p{Is_Category=_Pc}', "");
Expect(1, 65344, '\p{^Is_Category=_Pc}', "");
Expect(1, 65344, '\P{Is_Category=_Pc}', "");
Expect(0, 65344, '\P{^Is_Category=_Pc}', "");
Error('\p{General_Category:-:=Dash_PUNCTUATION}');
Error('\P{General_Category:-:=Dash_PUNCTUATION}');
Expect(1, 65293, '\p{General_Category=dashpunctuation}', "");
Expect(0, 65293, '\p{^General_Category=dashpunctuation}', "");
Expect(0, 65293, '\P{General_Category=dashpunctuation}', "");
Expect(1, 65293, '\P{^General_Category=dashpunctuation}', "");
Expect(0, 65294, '\p{General_Category=dashpunctuation}', "");
Expect(1, 65294, '\p{^General_Category=dashpunctuation}', "");
Expect(1, 65294, '\P{General_Category=dashpunctuation}', "");
Expect(0, 65294, '\P{^General_Category=dashpunctuation}', "");
Expect(1, 65293, '\p{General_Category=- dash_Punctuation}', "");
Expect(0, 65293, '\p{^General_Category=- dash_Punctuation}', "");
Expect(0, 65293, '\P{General_Category=- dash_Punctuation}', "");
Expect(1, 65293, '\P{^General_Category=- dash_Punctuation}', "");
Expect(0, 65294, '\p{General_Category=- dash_Punctuation}', "");
Expect(1, 65294, '\p{^General_Category=- dash_Punctuation}', "");
Expect(1, 65294, '\P{General_Category=- dash_Punctuation}', "");
Expect(0, 65294, '\P{^General_Category=- dash_Punctuation}', "");
Error('\p{Gc=-/a/Pd}');
Error('\P{Gc=-/a/Pd}');
Expect(1, 65293, '\p{Gc=pd}', "");
Expect(0, 65293, '\p{^Gc=pd}', "");
Expect(0, 65293, '\P{Gc=pd}', "");
Expect(1, 65293, '\P{^Gc=pd}', "");
Expect(0, 65294, '\p{Gc=pd}', "");
Expect(1, 65294, '\p{^Gc=pd}', "");
Expect(1, 65294, '\P{Gc=pd}', "");
Expect(0, 65294, '\P{^Gc=pd}', "");
Expect(1, 65293, '\p{Gc=-PD}', "");
Expect(0, 65293, '\p{^Gc=-PD}', "");
Expect(0, 65293, '\P{Gc=-PD}', "");
Expect(1, 65293, '\P{^Gc=-PD}', "");
Expect(0, 65294, '\p{Gc=-PD}', "");
Expect(1, 65294, '\p{^Gc=-PD}', "");
Expect(1, 65294, '\P{Gc=-PD}', "");
Expect(0, 65294, '\P{^Gc=-PD}', "");
Error('\p{Category=/a/	_DASH_Punctuation}');
Error('\P{Category=/a/	_DASH_Punctuation}');
Expect(1, 65293, '\p{Category=dashpunctuation}', "");
Expect(0, 65293, '\p{^Category=dashpunctuation}', "");
Expect(0, 65293, '\P{Category=dashpunctuation}', "");
Expect(1, 65293, '\P{^Category=dashpunctuation}', "");
Expect(0, 65294, '\p{Category=dashpunctuation}', "");
Expect(1, 65294, '\p{^Category=dashpunctuation}', "");
Expect(1, 65294, '\P{Category=dashpunctuation}', "");
Expect(0, 65294, '\P{^Category=dashpunctuation}', "");
Expect(1, 65293, '\p{Category=	DASH_Punctuation}', "");
Expect(0, 65293, '\p{^Category=	DASH_Punctuation}', "");
Expect(0, 65293, '\P{Category=	DASH_Punctuation}', "");
Expect(1, 65293, '\P{^Category=	DASH_Punctuation}', "");
Expect(0, 65294, '\p{Category=	DASH_Punctuation}', "");
Expect(1, 65294, '\p{^Category=	DASH_Punctuation}', "");
Expect(1, 65294, '\P{Category=	DASH_Punctuation}', "");
Expect(0, 65294, '\P{^Category=	DASH_Punctuation}', "");
Error('\p{Is_General_Category= 	pd/a/}');
Error('\P{Is_General_Category= 	pd/a/}');
Expect(1, 65293, '\p{Is_General_Category=pd}', "");
Expect(0, 65293, '\p{^Is_General_Category=pd}', "");
Expect(0, 65293, '\P{Is_General_Category=pd}', "");
Expect(1, 65293, '\P{^Is_General_Category=pd}', "");
Expect(0, 65294, '\p{Is_General_Category=pd}', "");
Expect(1, 65294, '\p{^Is_General_Category=pd}', "");
Expect(1, 65294, '\P{Is_General_Category=pd}', "");
Expect(0, 65294, '\P{^Is_General_Category=pd}', "");
Expect(1, 65293, '\p{Is_General_Category=	 pd}', "");
Expect(0, 65293, '\p{^Is_General_Category=	 pd}', "");
Expect(0, 65293, '\P{Is_General_Category=	 pd}', "");
Expect(1, 65293, '\P{^Is_General_Category=	 pd}', "");
Expect(0, 65294, '\p{Is_General_Category=	 pd}', "");
Expect(1, 65294, '\p{^Is_General_Category=	 pd}', "");
Expect(1, 65294, '\P{Is_General_Category=	 pd}', "");
Expect(0, 65294, '\P{^Is_General_Category=	 pd}', "");
Error('\p{Is_Gc: -:=Dash_Punctuation}');
Error('\P{Is_Gc: -:=Dash_Punctuation}');
Expect(1, 65293, '\p{Is_Gc=dashpunctuation}', "");
Expect(0, 65293, '\p{^Is_Gc=dashpunctuation}', "");
Expect(0, 65293, '\P{Is_Gc=dashpunctuation}', "");
Expect(1, 65293, '\P{^Is_Gc=dashpunctuation}', "");
Expect(0, 65294, '\p{Is_Gc=dashpunctuation}', "");
Expect(1, 65294, '\p{^Is_Gc=dashpunctuation}', "");
Expect(1, 65294, '\P{Is_Gc=dashpunctuation}', "");
Expect(0, 65294, '\P{^Is_Gc=dashpunctuation}', "");
Expect(1, 65293, '\p{Is_Gc=DASH_PUNCTUATION}', "");
Expect(0, 65293, '\p{^Is_Gc=DASH_PUNCTUATION}', "");
Expect(0, 65293, '\P{Is_Gc=DASH_PUNCTUATION}', "");
Expect(1, 65293, '\P{^Is_Gc=DASH_PUNCTUATION}', "");
Expect(0, 65294, '\p{Is_Gc=DASH_PUNCTUATION}', "");
Expect(1, 65294, '\p{^Is_Gc=DASH_PUNCTUATION}', "");
Expect(1, 65294, '\P{Is_Gc=DASH_PUNCTUATION}', "");
Expect(0, 65294, '\P{^Is_Gc=DASH_PUNCTUATION}', "");
Error('\p{Is_Category=_Pd/a/}');
Error('\P{Is_Category=_Pd/a/}');
Expect(1, 65293, '\p{Is_Category=pd}', "");
Expect(0, 65293, '\p{^Is_Category=pd}', "");
Expect(0, 65293, '\P{Is_Category=pd}', "");
Expect(1, 65293, '\P{^Is_Category=pd}', "");
Expect(0, 65294, '\p{Is_Category=pd}', "");
Expect(1, 65294, '\p{^Is_Category=pd}', "");
Expect(1, 65294, '\P{Is_Category=pd}', "");
Expect(0, 65294, '\P{^Is_Category=pd}', "");
Expect(1, 65293, '\p{Is_Category=- PD}', "");
Expect(0, 65293, '\p{^Is_Category=- PD}', "");
Expect(0, 65293, '\P{Is_Category=- PD}', "");
Expect(1, 65293, '\P{^Is_Category=- PD}', "");
Expect(0, 65294, '\p{Is_Category=- PD}', "");
Expect(1, 65294, '\p{^Is_Category=- PD}', "");
Expect(1, 65294, '\P{Is_Category=- PD}', "");
Expect(0, 65294, '\P{^Is_Category=- PD}', "");
Error('\p{General_Category=:= Close_PUNCTUATION}');
Error('\P{General_Category=:= Close_PUNCTUATION}');
Expect(1, 65379, '\p{General_Category=closepunctuation}', "");
Expect(0, 65379, '\p{^General_Category=closepunctuation}', "");
Expect(0, 65379, '\P{General_Category=closepunctuation}', "");
Expect(1, 65379, '\P{^General_Category=closepunctuation}', "");
Expect(0, 65380, '\p{General_Category=closepunctuation}', "");
Expect(1, 65380, '\p{^General_Category=closepunctuation}', "");
Expect(1, 65380, '\P{General_Category=closepunctuation}', "");
Expect(0, 65380, '\P{^General_Category=closepunctuation}', "");
Expect(1, 65379, '\p{General_Category=_ Close_punctuation}', "");
Expect(0, 65379, '\p{^General_Category=_ Close_punctuation}', "");
Expect(0, 65379, '\P{General_Category=_ Close_punctuation}', "");
Expect(1, 65379, '\P{^General_Category=_ Close_punctuation}', "");
Expect(0, 65380, '\p{General_Category=_ Close_punctuation}', "");
Expect(1, 65380, '\p{^General_Category=_ Close_punctuation}', "");
Expect(1, 65380, '\P{General_Category=_ Close_punctuation}', "");
Expect(0, 65380, '\P{^General_Category=_ Close_punctuation}', "");
Error('\p{Gc=/a/-Pe}');
Error('\P{Gc=/a/-Pe}');
Expect(1, 65379, '\p{Gc=pe}', "");
Expect(0, 65379, '\p{^Gc=pe}', "");
Expect(0, 65379, '\P{Gc=pe}', "");
Expect(1, 65379, '\P{^Gc=pe}', "");
Expect(0, 65380, '\p{Gc=pe}', "");
Expect(1, 65380, '\p{^Gc=pe}', "");
Expect(1, 65380, '\P{Gc=pe}', "");
Expect(0, 65380, '\P{^Gc=pe}', "");
Expect(1, 65379, '\p{Gc=_Pe}', "");
Expect(0, 65379, '\p{^Gc=_Pe}', "");
Expect(0, 65379, '\P{Gc=_Pe}', "");
Expect(1, 65379, '\P{^Gc=_Pe}', "");
Expect(0, 65380, '\p{Gc=_Pe}', "");
Expect(1, 65380, '\p{^Gc=_Pe}', "");
Expect(1, 65380, '\P{Gc=_Pe}', "");
Expect(0, 65380, '\P{^Gc=_Pe}', "");
Error('\p{Category=/a/__CLOSE_Punctuation}');
Error('\P{Category=/a/__CLOSE_Punctuation}');
Expect(1, 65379, '\p{Category=closepunctuation}', "");
Expect(0, 65379, '\p{^Category=closepunctuation}', "");
Expect(0, 65379, '\P{Category=closepunctuation}', "");
Expect(1, 65379, '\P{^Category=closepunctuation}', "");
Expect(0, 65380, '\p{Category=closepunctuation}', "");
Expect(1, 65380, '\p{^Category=closepunctuation}', "");
Expect(1, 65380, '\P{Category=closepunctuation}', "");
Expect(0, 65380, '\P{^Category=closepunctuation}', "");
Expect(1, 65379, '\p{Category=_-CLOSE_punctuation}', "");
Expect(0, 65379, '\p{^Category=_-CLOSE_punctuation}', "");
Expect(0, 65379, '\P{Category=_-CLOSE_punctuation}', "");
Expect(1, 65379, '\P{^Category=_-CLOSE_punctuation}', "");
Expect(0, 65380, '\p{Category=_-CLOSE_punctuation}', "");
Expect(1, 65380, '\p{^Category=_-CLOSE_punctuation}', "");
Expect(1, 65380, '\P{Category=_-CLOSE_punctuation}', "");
Expect(0, 65380, '\P{^Category=_-CLOSE_punctuation}', "");
Error('\p{Is_General_Category=:=__pe}');
Error('\P{Is_General_Category=:=__pe}');
Expect(1, 65379, '\p{Is_General_Category=pe}', "");
Expect(0, 65379, '\p{^Is_General_Category=pe}', "");
Expect(0, 65379, '\P{Is_General_Category=pe}', "");
Expect(1, 65379, '\P{^Is_General_Category=pe}', "");
Expect(0, 65380, '\p{Is_General_Category=pe}', "");
Expect(1, 65380, '\p{^Is_General_Category=pe}', "");
Expect(1, 65380, '\P{Is_General_Category=pe}', "");
Expect(0, 65380, '\P{^Is_General_Category=pe}', "");
Expect(1, 65379, '\p{Is_General_Category=	_Pe}', "");
Expect(0, 65379, '\p{^Is_General_Category=	_Pe}', "");
Expect(0, 65379, '\P{Is_General_Category=	_Pe}', "");
Expect(1, 65379, '\P{^Is_General_Category=	_Pe}', "");
Expect(0, 65380, '\p{Is_General_Category=	_Pe}', "");
Expect(1, 65380, '\p{^Is_General_Category=	_Pe}', "");
Expect(1, 65380, '\P{Is_General_Category=	_Pe}', "");
Expect(0, 65380, '\P{^Is_General_Category=	_Pe}', "");
Error('\p{Is_Gc=	close_Punctuation/a/}');
Error('\P{Is_Gc=	close_Punctuation/a/}');
Expect(1, 65379, '\p{Is_Gc=closepunctuation}', "");
Expect(0, 65379, '\p{^Is_Gc=closepunctuation}', "");
Expect(0, 65379, '\P{Is_Gc=closepunctuation}', "");
Expect(1, 65379, '\P{^Is_Gc=closepunctuation}', "");
Expect(0, 65380, '\p{Is_Gc=closepunctuation}', "");
Expect(1, 65380, '\p{^Is_Gc=closepunctuation}', "");
Expect(1, 65380, '\P{Is_Gc=closepunctuation}', "");
Expect(0, 65380, '\P{^Is_Gc=closepunctuation}', "");
Expect(1, 65379, '\p{Is_Gc= Close_Punctuation}', "");
Expect(0, 65379, '\p{^Is_Gc= Close_Punctuation}', "");
Expect(0, 65379, '\P{Is_Gc= Close_Punctuation}', "");
Expect(1, 65379, '\P{^Is_Gc= Close_Punctuation}', "");
Expect(0, 65380, '\p{Is_Gc= Close_Punctuation}', "");
Expect(1, 65380, '\p{^Is_Gc= Close_Punctuation}', "");
Expect(1, 65380, '\P{Is_Gc= Close_Punctuation}', "");
Expect(0, 65380, '\P{^Is_Gc= Close_Punctuation}', "");
Error('\p{Is_Category=:= 	Pe}');
Error('\P{Is_Category=:= 	Pe}');
Expect(1, 65379, '\p{Is_Category=pe}', "");
Expect(0, 65379, '\p{^Is_Category=pe}', "");
Expect(0, 65379, '\P{Is_Category=pe}', "");
Expect(1, 65379, '\P{^Is_Category=pe}', "");
Expect(0, 65380, '\p{Is_Category=pe}', "");
Expect(1, 65380, '\p{^Is_Category=pe}', "");
Expect(1, 65380, '\P{Is_Category=pe}', "");
Expect(0, 65380, '\P{^Is_Category=pe}', "");
Expect(1, 65379, '\p{Is_Category=	pe}', "");
Expect(0, 65379, '\p{^Is_Category=	pe}', "");
Expect(0, 65379, '\P{Is_Category=	pe}', "");
Expect(1, 65379, '\P{^Is_Category=	pe}', "");
Expect(0, 65380, '\p{Is_Category=	pe}', "");
Expect(1, 65380, '\p{^Is_Category=	pe}', "");
Expect(1, 65380, '\P{Is_Category=	pe}', "");
Expect(0, 65380, '\P{^Is_Category=	pe}', "");
Error('\p{General_Category=-/a/Final_Punctuation}');
Error('\P{General_Category=-/a/Final_Punctuation}');
Expect(1, 11809, '\p{General_Category=finalpunctuation}', "");
Expect(0, 11809, '\p{^General_Category=finalpunctuation}', "");
Expect(0, 11809, '\P{General_Category=finalpunctuation}', "");
Expect(1, 11809, '\P{^General_Category=finalpunctuation}', "");
Expect(0, 11810, '\p{General_Category=finalpunctuation}', "");
Expect(1, 11810, '\p{^General_Category=finalpunctuation}', "");
Expect(1, 11810, '\P{General_Category=finalpunctuation}', "");
Expect(0, 11810, '\P{^General_Category=finalpunctuation}', "");
Expect(1, 11809, '\p{General_Category=-Final_Punctuation}', "");
Expect(0, 11809, '\p{^General_Category=-Final_Punctuation}', "");
Expect(0, 11809, '\P{General_Category=-Final_Punctuation}', "");
Expect(1, 11809, '\P{^General_Category=-Final_Punctuation}', "");
Expect(0, 11810, '\p{General_Category=-Final_Punctuation}', "");
Expect(1, 11810, '\p{^General_Category=-Final_Punctuation}', "");
Expect(1, 11810, '\P{General_Category=-Final_Punctuation}', "");
Expect(0, 11810, '\P{^General_Category=-Final_Punctuation}', "");
Error('\p{Gc=-pf/a/}');
Error('\P{Gc=-pf/a/}');
Expect(1, 11809, '\p{Gc=pf}', "");
Expect(0, 11809, '\p{^Gc=pf}', "");
Expect(0, 11809, '\P{Gc=pf}', "");
Expect(1, 11809, '\P{^Gc=pf}', "");
Expect(0, 11810, '\p{Gc=pf}', "");
Expect(1, 11810, '\p{^Gc=pf}', "");
Expect(1, 11810, '\P{Gc=pf}', "");
Expect(0, 11810, '\P{^Gc=pf}', "");
Expect(1, 11809, '\p{Gc=__pf}', "");
Expect(0, 11809, '\p{^Gc=__pf}', "");
Expect(0, 11809, '\P{Gc=__pf}', "");
Expect(1, 11809, '\P{^Gc=__pf}', "");
Expect(0, 11810, '\p{Gc=__pf}', "");
Expect(1, 11810, '\p{^Gc=__pf}', "");
Expect(1, 11810, '\P{Gc=__pf}', "");
Expect(0, 11810, '\P{^Gc=__pf}', "");
Error('\p{Category=/a/ _final_Punctuation}');
Error('\P{Category=/a/ _final_Punctuation}');
Expect(1, 11809, '\p{Category=finalpunctuation}', "");
Expect(0, 11809, '\p{^Category=finalpunctuation}', "");
Expect(0, 11809, '\P{Category=finalpunctuation}', "");
Expect(1, 11809, '\P{^Category=finalpunctuation}', "");
Expect(0, 11810, '\p{Category=finalpunctuation}', "");
Expect(1, 11810, '\p{^Category=finalpunctuation}', "");
Expect(1, 11810, '\P{Category=finalpunctuation}', "");
Expect(0, 11810, '\P{^Category=finalpunctuation}', "");
Expect(1, 11809, '\p{Category=	FINAL_Punctuation}', "");
Expect(0, 11809, '\p{^Category=	FINAL_Punctuation}', "");
Expect(0, 11809, '\P{Category=	FINAL_Punctuation}', "");
Expect(1, 11809, '\P{^Category=	FINAL_Punctuation}', "");
Expect(0, 11810, '\p{Category=	FINAL_Punctuation}', "");
Expect(1, 11810, '\p{^Category=	FINAL_Punctuation}', "");
Expect(1, 11810, '\P{Category=	FINAL_Punctuation}', "");
Expect(0, 11810, '\P{^Category=	FINAL_Punctuation}', "");
Error('\p{Is_General_Category=:=	PF}');
Error('\P{Is_General_Category=:=	PF}');
Expect(1, 11809, '\p{Is_General_Category=pf}', "");
Expect(0, 11809, '\p{^Is_General_Category=pf}', "");
Expect(0, 11809, '\P{Is_General_Category=pf}', "");
Expect(1, 11809, '\P{^Is_General_Category=pf}', "");
Expect(0, 11810, '\p{Is_General_Category=pf}', "");
Expect(1, 11810, '\p{^Is_General_Category=pf}', "");
Expect(1, 11810, '\P{Is_General_Category=pf}', "");
Expect(0, 11810, '\P{^Is_General_Category=pf}', "");
Expect(1, 11809, '\p{Is_General_Category=	 Pf}', "");
Expect(0, 11809, '\p{^Is_General_Category=	 Pf}', "");
Expect(0, 11809, '\P{Is_General_Category=	 Pf}', "");
Expect(1, 11809, '\P{^Is_General_Category=	 Pf}', "");
Expect(0, 11810, '\p{Is_General_Category=	 Pf}', "");
Expect(1, 11810, '\p{^Is_General_Category=	 Pf}', "");
Expect(1, 11810, '\P{Is_General_Category=	 Pf}', "");
Expect(0, 11810, '\P{^Is_General_Category=	 Pf}', "");
Error('\p{Is_Gc=-/a/Final_Punctuation}');
Error('\P{Is_Gc=-/a/Final_Punctuation}');
Expect(1, 11809, '\p{Is_Gc=finalpunctuation}', "");
Expect(0, 11809, '\p{^Is_Gc=finalpunctuation}', "");
Expect(0, 11809, '\P{Is_Gc=finalpunctuation}', "");
Expect(1, 11809, '\P{^Is_Gc=finalpunctuation}', "");
Expect(0, 11810, '\p{Is_Gc=finalpunctuation}', "");
Expect(1, 11810, '\p{^Is_Gc=finalpunctuation}', "");
Expect(1, 11810, '\P{Is_Gc=finalpunctuation}', "");
Expect(0, 11810, '\P{^Is_Gc=finalpunctuation}', "");
Expect(1, 11809, '\p{Is_Gc=		final_Punctuation}', "");
Expect(0, 11809, '\p{^Is_Gc=		final_Punctuation}', "");
Expect(0, 11809, '\P{Is_Gc=		final_Punctuation}', "");
Expect(1, 11809, '\P{^Is_Gc=		final_Punctuation}', "");
Expect(0, 11810, '\p{Is_Gc=		final_Punctuation}', "");
Expect(1, 11810, '\p{^Is_Gc=		final_Punctuation}', "");
Expect(1, 11810, '\P{Is_Gc=		final_Punctuation}', "");
Expect(0, 11810, '\P{^Is_Gc=		final_Punctuation}', "");
Error('\p{Is_Category:   - PF/a/}');
Error('\P{Is_Category:   - PF/a/}');
Expect(1, 11809, '\p{Is_Category=pf}', "");
Expect(0, 11809, '\p{^Is_Category=pf}', "");
Expect(0, 11809, '\P{Is_Category=pf}', "");
Expect(1, 11809, '\P{^Is_Category=pf}', "");
Expect(0, 11810, '\p{Is_Category=pf}', "");
Expect(1, 11810, '\p{^Is_Category=pf}', "");
Expect(1, 11810, '\P{Is_Category=pf}', "");
Expect(0, 11810, '\P{^Is_Category=pf}', "");
Expect(1, 11809, '\p{Is_Category=_PF}', "");
Expect(0, 11809, '\p{^Is_Category=_PF}', "");
Expect(0, 11809, '\P{Is_Category=_PF}', "");
Expect(1, 11809, '\P{^Is_Category=_PF}', "");
Expect(0, 11810, '\p{Is_Category=_PF}', "");
Expect(1, 11810, '\p{^Is_Category=_PF}', "");
Expect(1, 11810, '\P{Is_Category=_PF}', "");
Expect(0, 11810, '\P{^Is_Category=_PF}', "");
Error('\p{General_Category: /a/_Initial_Punctuation}');
Error('\P{General_Category: /a/_Initial_Punctuation}');
Expect(1, 11808, '\p{General_Category:   initialpunctuation}', "");
Expect(0, 11808, '\p{^General_Category:   initialpunctuation}', "");
Expect(0, 11808, '\P{General_Category:   initialpunctuation}', "");
Expect(1, 11808, '\P{^General_Category:   initialpunctuation}', "");
Expect(0, 11809, '\p{General_Category:   initialpunctuation}', "");
Expect(1, 11809, '\p{^General_Category:   initialpunctuation}', "");
Expect(1, 11809, '\P{General_Category:   initialpunctuation}', "");
Expect(0, 11809, '\P{^General_Category:   initialpunctuation}', "");
Expect(1, 11808, '\p{General_Category=-_initial_PUNCTUATION}', "");
Expect(0, 11808, '\p{^General_Category=-_initial_PUNCTUATION}', "");
Expect(0, 11808, '\P{General_Category=-_initial_PUNCTUATION}', "");
Expect(1, 11808, '\P{^General_Category=-_initial_PUNCTUATION}', "");
Expect(0, 11809, '\p{General_Category=-_initial_PUNCTUATION}', "");
Expect(1, 11809, '\p{^General_Category=-_initial_PUNCTUATION}', "");
Expect(1, 11809, '\P{General_Category=-_initial_PUNCTUATION}', "");
Expect(0, 11809, '\P{^General_Category=-_initial_PUNCTUATION}', "");
Error('\p{Gc=_Pi:=}');
Error('\P{Gc=_Pi:=}');
Expect(1, 11808, '\p{Gc=pi}', "");
Expect(0, 11808, '\p{^Gc=pi}', "");
Expect(0, 11808, '\P{Gc=pi}', "");
Expect(1, 11808, '\P{^Gc=pi}', "");
Expect(0, 11809, '\p{Gc=pi}', "");
Expect(1, 11809, '\p{^Gc=pi}', "");
Expect(1, 11809, '\P{Gc=pi}', "");
Expect(0, 11809, '\P{^Gc=pi}', "");
Expect(1, 11808, '\p{Gc:	pi}', "");
Expect(0, 11808, '\p{^Gc:	pi}', "");
Expect(0, 11808, '\P{Gc:	pi}', "");
Expect(1, 11808, '\P{^Gc:	pi}', "");
Expect(0, 11809, '\p{Gc:	pi}', "");
Expect(1, 11809, '\p{^Gc:	pi}', "");
Expect(1, 11809, '\P{Gc:	pi}', "");
Expect(0, 11809, '\P{^Gc:	pi}', "");
Error('\p{Category=:=__Initial_Punctuation}');
Error('\P{Category=:=__Initial_Punctuation}');
Expect(1, 11808, '\p{Category=initialpunctuation}', "");
Expect(0, 11808, '\p{^Category=initialpunctuation}', "");
Expect(0, 11808, '\P{Category=initialpunctuation}', "");
Expect(1, 11808, '\P{^Category=initialpunctuation}', "");
Expect(0, 11809, '\p{Category=initialpunctuation}', "");
Expect(1, 11809, '\p{^Category=initialpunctuation}', "");
Expect(1, 11809, '\P{Category=initialpunctuation}', "");
Expect(0, 11809, '\P{^Category=initialpunctuation}', "");
Expect(1, 11808, '\p{Category=	 initial_punctuation}', "");
Expect(0, 11808, '\p{^Category=	 initial_punctuation}', "");
Expect(0, 11808, '\P{Category=	 initial_punctuation}', "");
Expect(1, 11808, '\P{^Category=	 initial_punctuation}', "");
Expect(0, 11809, '\p{Category=	 initial_punctuation}', "");
Expect(1, 11809, '\p{^Category=	 initial_punctuation}', "");
Expect(1, 11809, '\P{Category=	 initial_punctuation}', "");
Expect(0, 11809, '\P{^Category=	 initial_punctuation}', "");
Error('\p{Is_General_Category=	_PI/a/}');
Error('\P{Is_General_Category=	_PI/a/}');
Expect(1, 11808, '\p{Is_General_Category:pi}', "");
Expect(0, 11808, '\p{^Is_General_Category:pi}', "");
Expect(0, 11808, '\P{Is_General_Category:pi}', "");
Expect(1, 11808, '\P{^Is_General_Category:pi}', "");
Expect(0, 11809, '\p{Is_General_Category:pi}', "");
Expect(1, 11809, '\p{^Is_General_Category:pi}', "");
Expect(1, 11809, '\P{Is_General_Category:pi}', "");
Expect(0, 11809, '\P{^Is_General_Category:pi}', "");
Expect(1, 11808, '\p{Is_General_Category= PI}', "");
Expect(0, 11808, '\p{^Is_General_Category= PI}', "");
Expect(0, 11808, '\P{Is_General_Category= PI}', "");
Expect(1, 11808, '\P{^Is_General_Category= PI}', "");
Expect(0, 11809, '\p{Is_General_Category= PI}', "");
Expect(1, 11809, '\p{^Is_General_Category= PI}', "");
Expect(1, 11809, '\P{Is_General_Category= PI}', "");
Expect(0, 11809, '\P{^Is_General_Category= PI}', "");
Error('\p{Is_Gc: _/a/Initial_Punctuation}');
Error('\P{Is_Gc: _/a/Initial_Punctuation}');
Expect(1, 11808, '\p{Is_Gc=initialpunctuation}', "");
Expect(0, 11808, '\p{^Is_Gc=initialpunctuation}', "");
Expect(0, 11808, '\P{Is_Gc=initialpunctuation}', "");
Expect(1, 11808, '\P{^Is_Gc=initialpunctuation}', "");
Expect(0, 11809, '\p{Is_Gc=initialpunctuation}', "");
Expect(1, 11809, '\p{^Is_Gc=initialpunctuation}', "");
Expect(1, 11809, '\P{Is_Gc=initialpunctuation}', "");
Expect(0, 11809, '\P{^Is_Gc=initialpunctuation}', "");
Expect(1, 11808, '\p{Is_Gc=	Initial_PUNCTUATION}', "");
Expect(0, 11808, '\p{^Is_Gc=	Initial_PUNCTUATION}', "");
Expect(0, 11808, '\P{Is_Gc=	Initial_PUNCTUATION}', "");
Expect(1, 11808, '\P{^Is_Gc=	Initial_PUNCTUATION}', "");
Expect(0, 11809, '\p{Is_Gc=	Initial_PUNCTUATION}', "");
Expect(1, 11809, '\p{^Is_Gc=	Initial_PUNCTUATION}', "");
Expect(1, 11809, '\P{Is_Gc=	Initial_PUNCTUATION}', "");
Expect(0, 11809, '\P{^Is_Gc=	Initial_PUNCTUATION}', "");
Error('\p{Is_Category=_:=pi}');
Error('\P{Is_Category=_:=pi}');
Expect(1, 11808, '\p{Is_Category=pi}', "");
Expect(0, 11808, '\p{^Is_Category=pi}', "");
Expect(0, 11808, '\P{Is_Category=pi}', "");
Expect(1, 11808, '\P{^Is_Category=pi}', "");
Expect(0, 11809, '\p{Is_Category=pi}', "");
Expect(1, 11809, '\p{^Is_Category=pi}', "");
Expect(1, 11809, '\P{Is_Category=pi}', "");
Expect(0, 11809, '\P{^Is_Category=pi}', "");
Expect(1, 11808, '\p{Is_Category=_	Pi}', "");
Expect(0, 11808, '\p{^Is_Category=_	Pi}', "");
Expect(0, 11808, '\P{Is_Category=_	Pi}', "");
Expect(1, 11808, '\P{^Is_Category=_	Pi}', "");
Expect(0, 11809, '\p{Is_Category=_	Pi}', "");
Expect(1, 11809, '\p{^Is_Category=_	Pi}', "");
Expect(1, 11809, '\P{Is_Category=_	Pi}', "");
Expect(0, 11809, '\P{^Is_Category=_	Pi}', "");
Error('\p{General_Category=/a/-other_Punctuation}');
Error('\P{General_Category=/a/-other_Punctuation}');
Expect(1, 121483, '\p{General_Category=otherpunctuation}', "");
Expect(0, 121483, '\p{^General_Category=otherpunctuation}', "");
Expect(0, 121483, '\P{General_Category=otherpunctuation}', "");
Expect(1, 121483, '\P{^General_Category=otherpunctuation}', "");
Expect(0, 121484, '\p{General_Category=otherpunctuation}', "");
Expect(1, 121484, '\p{^General_Category=otherpunctuation}', "");
Expect(1, 121484, '\P{General_Category=otherpunctuation}', "");
Expect(0, 121484, '\P{^General_Category=otherpunctuation}', "");
Expect(1, 121483, '\p{General_Category:   -OTHER_Punctuation}', "");
Expect(0, 121483, '\p{^General_Category:   -OTHER_Punctuation}', "");
Expect(0, 121483, '\P{General_Category:   -OTHER_Punctuation}', "");
Expect(1, 121483, '\P{^General_Category:   -OTHER_Punctuation}', "");
Expect(0, 121484, '\p{General_Category:   -OTHER_Punctuation}', "");
Expect(1, 121484, '\p{^General_Category:   -OTHER_Punctuation}', "");
Expect(1, 121484, '\P{General_Category:   -OTHER_Punctuation}', "");
Expect(0, 121484, '\P{^General_Category:   -OTHER_Punctuation}', "");
Error('\p{Gc=/a/ PO}');
Error('\P{Gc=/a/ PO}');
Expect(1, 121483, '\p{Gc=po}', "");
Expect(0, 121483, '\p{^Gc=po}', "");
Expect(0, 121483, '\P{Gc=po}', "");
Expect(1, 121483, '\P{^Gc=po}', "");
Expect(0, 121484, '\p{Gc=po}', "");
Expect(1, 121484, '\p{^Gc=po}', "");
Expect(1, 121484, '\P{Gc=po}', "");
Expect(0, 121484, '\P{^Gc=po}', "");
Expect(1, 121483, '\p{Gc: --po}', "");
Expect(0, 121483, '\p{^Gc: --po}', "");
Expect(0, 121483, '\P{Gc: --po}', "");
Expect(1, 121483, '\P{^Gc: --po}', "");
Expect(0, 121484, '\p{Gc: --po}', "");
Expect(1, 121484, '\p{^Gc: --po}', "");
Expect(1, 121484, '\P{Gc: --po}', "");
Expect(0, 121484, '\P{^Gc: --po}', "");
Error('\p{Category=/a/OTHER_Punctuation}');
Error('\P{Category=/a/OTHER_Punctuation}');
Expect(1, 121483, '\p{Category=otherpunctuation}', "");
Expect(0, 121483, '\p{^Category=otherpunctuation}', "");
Expect(0, 121483, '\P{Category=otherpunctuation}', "");
Expect(1, 121483, '\P{^Category=otherpunctuation}', "");
Expect(0, 121484, '\p{Category=otherpunctuation}', "");
Expect(1, 121484, '\p{^Category=otherpunctuation}', "");
Expect(1, 121484, '\P{Category=otherpunctuation}', "");
Expect(0, 121484, '\P{^Category=otherpunctuation}', "");
Expect(1, 121483, '\p{Category=	other_Punctuation}', "");
Expect(0, 121483, '\p{^Category=	other_Punctuation}', "");
Expect(0, 121483, '\P{Category=	other_Punctuation}', "");
Expect(1, 121483, '\P{^Category=	other_Punctuation}', "");
Expect(0, 121484, '\p{Category=	other_Punctuation}', "");
Expect(1, 121484, '\p{^Category=	other_Punctuation}', "");
Expect(1, 121484, '\P{Category=	other_Punctuation}', "");
Expect(0, 121484, '\P{^Category=	other_Punctuation}', "");
Error('\p{Is_General_Category= 	Po/a/}');
Error('\P{Is_General_Category= 	Po/a/}');
Expect(1, 121483, '\p{Is_General_Category=po}', "");
Expect(0, 121483, '\p{^Is_General_Category=po}', "");
Expect(0, 121483, '\P{Is_General_Category=po}', "");
Expect(1, 121483, '\P{^Is_General_Category=po}', "");
Expect(0, 121484, '\p{Is_General_Category=po}', "");
Expect(1, 121484, '\p{^Is_General_Category=po}', "");
Expect(1, 121484, '\P{Is_General_Category=po}', "");
Expect(0, 121484, '\P{^Is_General_Category=po}', "");
Expect(1, 121483, '\p{Is_General_Category= 	Po}', "");
Expect(0, 121483, '\p{^Is_General_Category= 	Po}', "");
Expect(0, 121483, '\P{Is_General_Category= 	Po}', "");
Expect(1, 121483, '\P{^Is_General_Category= 	Po}', "");
Expect(0, 121484, '\p{Is_General_Category= 	Po}', "");
Expect(1, 121484, '\p{^Is_General_Category= 	Po}', "");
Expect(1, 121484, '\P{Is_General_Category= 	Po}', "");
Expect(0, 121484, '\P{^Is_General_Category= 	Po}', "");
Error('\p{Is_Gc=__Other_punctuation/a/}');
Error('\P{Is_Gc=__Other_punctuation/a/}');
Expect(1, 121483, '\p{Is_Gc=otherpunctuation}', "");
Expect(0, 121483, '\p{^Is_Gc=otherpunctuation}', "");
Expect(0, 121483, '\P{Is_Gc=otherpunctuation}', "");
Expect(1, 121483, '\P{^Is_Gc=otherpunctuation}', "");
Expect(0, 121484, '\p{Is_Gc=otherpunctuation}', "");
Expect(1, 121484, '\p{^Is_Gc=otherpunctuation}', "");
Expect(1, 121484, '\P{Is_Gc=otherpunctuation}', "");
Expect(0, 121484, '\P{^Is_Gc=otherpunctuation}', "");
Expect(1, 121483, '\p{Is_Gc= other_Punctuation}', "");
Expect(0, 121483, '\p{^Is_Gc= other_Punctuation}', "");
Expect(0, 121483, '\P{Is_Gc= other_Punctuation}', "");
Expect(1, 121483, '\P{^Is_Gc= other_Punctuation}', "");
Expect(0, 121484, '\p{Is_Gc= other_Punctuation}', "");
Expect(1, 121484, '\p{^Is_Gc= other_Punctuation}', "");
Expect(1, 121484, '\P{Is_Gc= other_Punctuation}', "");
Expect(0, 121484, '\P{^Is_Gc= other_Punctuation}', "");
Error('\p{Is_Category=:=-po}');
Error('\P{Is_Category=:=-po}');
Expect(1, 121483, '\p{Is_Category=po}', "");
Expect(0, 121483, '\p{^Is_Category=po}', "");
Expect(0, 121483, '\P{Is_Category=po}', "");
Expect(1, 121483, '\P{^Is_Category=po}', "");
Expect(0, 121484, '\p{Is_Category=po}', "");
Expect(1, 121484, '\p{^Is_Category=po}', "");
Expect(1, 121484, '\P{Is_Category=po}', "");
Expect(0, 121484, '\P{^Is_Category=po}', "");
Expect(1, 121483, '\p{Is_Category=	-PO}', "");
Expect(0, 121483, '\p{^Is_Category=	-PO}', "");
Expect(0, 121483, '\P{Is_Category=	-PO}', "");
Expect(1, 121483, '\P{^Is_Category=	-PO}', "");
Expect(0, 121484, '\p{Is_Category=	-PO}', "");
Expect(1, 121484, '\p{^Is_Category=	-PO}', "");
Expect(1, 121484, '\P{Is_Category=	-PO}', "");
Expect(0, 121484, '\P{^Is_Category=	-PO}', "");
Error('\p{General_Category:   	/a/OPEN_Punctuation}');
Error('\P{General_Category:   	/a/OPEN_Punctuation}');
Expect(1, 65378, '\p{General_Category=openpunctuation}', "");
Expect(0, 65378, '\p{^General_Category=openpunctuation}', "");
Expect(0, 65378, '\P{General_Category=openpunctuation}', "");
Expect(1, 65378, '\P{^General_Category=openpunctuation}', "");
Expect(0, 65379, '\p{General_Category=openpunctuation}', "");
Expect(1, 65379, '\p{^General_Category=openpunctuation}', "");
Expect(1, 65379, '\P{General_Category=openpunctuation}', "");
Expect(0, 65379, '\P{^General_Category=openpunctuation}', "");
Expect(1, 65378, '\p{General_Category:   	 Open_punctuation}', "");
Expect(0, 65378, '\p{^General_Category:   	 Open_punctuation}', "");
Expect(0, 65378, '\P{General_Category:   	 Open_punctuation}', "");
Expect(1, 65378, '\P{^General_Category:   	 Open_punctuation}', "");
Expect(0, 65379, '\p{General_Category:   	 Open_punctuation}', "");
Expect(1, 65379, '\p{^General_Category:   	 Open_punctuation}', "");
Expect(1, 65379, '\P{General_Category:   	 Open_punctuation}', "");
Expect(0, 65379, '\P{^General_Category:   	 Open_punctuation}', "");
Error('\p{Gc=:=	PS}');
Error('\P{Gc=:=	PS}');
Expect(1, 65378, '\p{Gc=ps}', "");
Expect(0, 65378, '\p{^Gc=ps}', "");
Expect(0, 65378, '\P{Gc=ps}', "");
Expect(1, 65378, '\P{^Gc=ps}', "");
Expect(0, 65379, '\p{Gc=ps}', "");
Expect(1, 65379, '\p{^Gc=ps}', "");
Expect(1, 65379, '\P{Gc=ps}', "");
Expect(0, 65379, '\P{^Gc=ps}', "");
Expect(1, 65378, '\p{Gc= -PS}', "");
Expect(0, 65378, '\p{^Gc= -PS}', "");
Expect(0, 65378, '\P{Gc= -PS}', "");
Expect(1, 65378, '\P{^Gc= -PS}', "");
Expect(0, 65379, '\p{Gc= -PS}', "");
Expect(1, 65379, '\p{^Gc= -PS}', "");
Expect(1, 65379, '\P{Gc= -PS}', "");
Expect(0, 65379, '\P{^Gc= -PS}', "");
Error('\p{Category=_ Open_PUNCTUATION:=}');
Error('\P{Category=_ Open_PUNCTUATION:=}');
Expect(1, 65378, '\p{Category=openpunctuation}', "");
Expect(0, 65378, '\p{^Category=openpunctuation}', "");
Expect(0, 65378, '\P{Category=openpunctuation}', "");
Expect(1, 65378, '\P{^Category=openpunctuation}', "");
Expect(0, 65379, '\p{Category=openpunctuation}', "");
Expect(1, 65379, '\p{^Category=openpunctuation}', "");
Expect(1, 65379, '\P{Category=openpunctuation}', "");
Expect(0, 65379, '\P{^Category=openpunctuation}', "");
Expect(1, 65378, '\p{Category=	_OPEN_Punctuation}', "");
Expect(0, 65378, '\p{^Category=	_OPEN_Punctuation}', "");
Expect(0, 65378, '\P{Category=	_OPEN_Punctuation}', "");
Expect(1, 65378, '\P{^Category=	_OPEN_Punctuation}', "");
Expect(0, 65379, '\p{Category=	_OPEN_Punctuation}', "");
Expect(1, 65379, '\p{^Category=	_OPEN_Punctuation}', "");
Expect(1, 65379, '\P{Category=	_OPEN_Punctuation}', "");
Expect(0, 65379, '\P{^Category=	_OPEN_Punctuation}', "");
Error('\p{Is_General_Category=--Ps:=}');
Error('\P{Is_General_Category=--Ps:=}');
Expect(1, 65378, '\p{Is_General_Category=ps}', "");
Expect(0, 65378, '\p{^Is_General_Category=ps}', "");
Expect(0, 65378, '\P{Is_General_Category=ps}', "");
Expect(1, 65378, '\P{^Is_General_Category=ps}', "");
Expect(0, 65379, '\p{Is_General_Category=ps}', "");
Expect(1, 65379, '\p{^Is_General_Category=ps}', "");
Expect(1, 65379, '\P{Is_General_Category=ps}', "");
Expect(0, 65379, '\P{^Is_General_Category=ps}', "");
Expect(1, 65378, '\p{Is_General_Category= Ps}', "");
Expect(0, 65378, '\p{^Is_General_Category= Ps}', "");
Expect(0, 65378, '\P{Is_General_Category= Ps}', "");
Expect(1, 65378, '\P{^Is_General_Category= Ps}', "");
Expect(0, 65379, '\p{Is_General_Category= Ps}', "");
Expect(1, 65379, '\p{^Is_General_Category= Ps}', "");
Expect(1, 65379, '\P{Is_General_Category= Ps}', "");
Expect(0, 65379, '\P{^Is_General_Category= Ps}', "");
Error('\p{Is_Gc=_Open_PUNCTUATION:=}');
Error('\P{Is_Gc=_Open_PUNCTUATION:=}');
Expect(1, 65378, '\p{Is_Gc=openpunctuation}', "");
Expect(0, 65378, '\p{^Is_Gc=openpunctuation}', "");
Expect(0, 65378, '\P{Is_Gc=openpunctuation}', "");
Expect(1, 65378, '\P{^Is_Gc=openpunctuation}', "");
Expect(0, 65379, '\p{Is_Gc=openpunctuation}', "");
Expect(1, 65379, '\p{^Is_Gc=openpunctuation}', "");
Expect(1, 65379, '\P{Is_Gc=openpunctuation}', "");
Expect(0, 65379, '\P{^Is_Gc=openpunctuation}', "");
Expect(1, 65378, '\p{Is_Gc:  	Open_punctuation}', "");
Expect(0, 65378, '\p{^Is_Gc:  	Open_punctuation}', "");
Expect(0, 65378, '\P{Is_Gc:  	Open_punctuation}', "");
Expect(1, 65378, '\P{^Is_Gc:  	Open_punctuation}', "");
Expect(0, 65379, '\p{Is_Gc:  	Open_punctuation}', "");
Expect(1, 65379, '\p{^Is_Gc:  	Open_punctuation}', "");
Expect(1, 65379, '\P{Is_Gc:  	Open_punctuation}', "");
Expect(0, 65379, '\P{^Is_Gc:  	Open_punctuation}', "");
Error('\p{Is_Category= 	Ps:=}');
Error('\P{Is_Category= 	Ps:=}');
Expect(1, 65378, '\p{Is_Category=ps}', "");
Expect(0, 65378, '\p{^Is_Category=ps}', "");
Expect(0, 65378, '\P{Is_Category=ps}', "");
Expect(1, 65378, '\P{^Is_Category=ps}', "");
Expect(0, 65379, '\p{Is_Category=ps}', "");
Expect(1, 65379, '\p{^Is_Category=ps}', "");
Expect(1, 65379, '\P{Is_Category=ps}', "");
Expect(0, 65379, '\P{^Is_Category=ps}', "");
Expect(1, 65378, '\p{Is_Category=-Ps}', "");
Expect(0, 65378, '\p{^Is_Category=-Ps}', "");
Expect(0, 65378, '\P{Is_Category=-Ps}', "");
Expect(1, 65378, '\P{^Is_Category=-Ps}', "");
Expect(0, 65379, '\p{Is_Category=-Ps}', "");
Expect(1, 65379, '\p{^Is_Category=-Ps}', "");
Expect(1, 65379, '\P{Is_Category=-Ps}', "");
Expect(0, 65379, '\P{^Is_Category=-Ps}', "");
Error('\p{General_Category=:=-symbol}');
Error('\P{General_Category=:=-symbol}');
Expect(1, 129472, '\p{General_Category=symbol}', "");
Expect(0, 129472, '\p{^General_Category=symbol}', "");
Expect(0, 129472, '\P{General_Category=symbol}', "");
Expect(1, 129472, '\P{^General_Category=symbol}', "");
Expect(0, 129473, '\p{General_Category=symbol}', "");
Expect(1, 129473, '\p{^General_Category=symbol}', "");
Expect(1, 129473, '\P{General_Category=symbol}', "");
Expect(0, 129473, '\P{^General_Category=symbol}', "");
Expect(1, 129472, '\p{General_Category= -symbol}', "");
Expect(0, 129472, '\p{^General_Category= -symbol}', "");
Expect(0, 129472, '\P{General_Category= -symbol}', "");
Expect(1, 129472, '\P{^General_Category= -symbol}', "");
Expect(0, 129473, '\p{General_Category= -symbol}', "");
Expect(1, 129473, '\p{^General_Category= -symbol}', "");
Expect(1, 129473, '\P{General_Category= -symbol}', "");
Expect(0, 129473, '\P{^General_Category= -symbol}', "");
Error('\p{Gc= /a/S}');
Error('\P{Gc= /a/S}');
Expect(1, 129472, '\p{Gc=s}', "");
Expect(0, 129472, '\p{^Gc=s}', "");
Expect(0, 129472, '\P{Gc=s}', "");
Expect(1, 129472, '\P{^Gc=s}', "");
Expect(0, 129473, '\p{Gc=s}', "");
Expect(1, 129473, '\p{^Gc=s}', "");
Expect(1, 129473, '\P{Gc=s}', "");
Expect(0, 129473, '\P{^Gc=s}', "");
Expect(1, 129472, '\p{Gc=	_S}', "");
Expect(0, 129472, '\p{^Gc=	_S}', "");
Expect(0, 129472, '\P{Gc=	_S}', "");
Expect(1, 129472, '\P{^Gc=	_S}', "");
Expect(0, 129473, '\p{Gc=	_S}', "");
Expect(1, 129473, '\p{^Gc=	_S}', "");
Expect(1, 129473, '\P{Gc=	_S}', "");
Expect(0, 129473, '\P{^Gc=	_S}', "");
Error('\p{Category=:=_symbol}');
Error('\P{Category=:=_symbol}');
Expect(1, 129472, '\p{Category=symbol}', "");
Expect(0, 129472, '\p{^Category=symbol}', "");
Expect(0, 129472, '\P{Category=symbol}', "");
Expect(1, 129472, '\P{^Category=symbol}', "");
Expect(0, 129473, '\p{Category=symbol}', "");
Expect(1, 129473, '\p{^Category=symbol}', "");
Expect(1, 129473, '\P{Category=symbol}', "");
Expect(0, 129473, '\P{^Category=symbol}', "");
Expect(1, 129472, '\p{Category: _ SYMBOL}', "");
Expect(0, 129472, '\p{^Category: _ SYMBOL}', "");
Expect(0, 129472, '\P{Category: _ SYMBOL}', "");
Expect(1, 129472, '\P{^Category: _ SYMBOL}', "");
Expect(0, 129473, '\p{Category: _ SYMBOL}', "");
Expect(1, 129473, '\p{^Category: _ SYMBOL}', "");
Expect(1, 129473, '\P{Category: _ SYMBOL}', "");
Expect(0, 129473, '\P{^Category: _ SYMBOL}', "");
Error('\p{Is_General_Category=-:=s}');
Error('\P{Is_General_Category=-:=s}');
Expect(1, 129472, '\p{Is_General_Category=s}', "");
Expect(0, 129472, '\p{^Is_General_Category=s}', "");
Expect(0, 129472, '\P{Is_General_Category=s}', "");
Expect(1, 129472, '\P{^Is_General_Category=s}', "");
Expect(0, 129473, '\p{Is_General_Category=s}', "");
Expect(1, 129473, '\p{^Is_General_Category=s}', "");
Expect(1, 129473, '\P{Is_General_Category=s}', "");
Expect(0, 129473, '\P{^Is_General_Category=s}', "");
Expect(1, 129472, '\p{Is_General_Category=-S}', "");
Expect(0, 129472, '\p{^Is_General_Category=-S}', "");
Expect(0, 129472, '\P{Is_General_Category=-S}', "");
Expect(1, 129472, '\P{^Is_General_Category=-S}', "");
Expect(0, 129473, '\p{Is_General_Category=-S}', "");
Expect(1, 129473, '\p{^Is_General_Category=-S}', "");
Expect(1, 129473, '\P{Is_General_Category=-S}', "");
Expect(0, 129473, '\P{^Is_General_Category=-S}', "");
Error('\p{Is_Gc=_:=Symbol}');
Error('\P{Is_Gc=_:=Symbol}');
Expect(1, 129472, '\p{Is_Gc=symbol}', "");
Expect(0, 129472, '\p{^Is_Gc=symbol}', "");
Expect(0, 129472, '\P{Is_Gc=symbol}', "");
Expect(1, 129472, '\P{^Is_Gc=symbol}', "");
Expect(0, 129473, '\p{Is_Gc=symbol}', "");
Expect(1, 129473, '\p{^Is_Gc=symbol}', "");
Expect(1, 129473, '\P{Is_Gc=symbol}', "");
Expect(0, 129473, '\P{^Is_Gc=symbol}', "");
Expect(1, 129472, '\p{Is_Gc=_ SYMBOL}', "");
Expect(0, 129472, '\p{^Is_Gc=_ SYMBOL}', "");
Expect(0, 129472, '\P{Is_Gc=_ SYMBOL}', "");
Expect(1, 129472, '\P{^Is_Gc=_ SYMBOL}', "");
Expect(0, 129473, '\p{Is_Gc=_ SYMBOL}', "");
Expect(1, 129473, '\p{^Is_Gc=_ SYMBOL}', "");
Expect(1, 129473, '\P{Is_Gc=_ SYMBOL}', "");
Expect(0, 129473, '\P{^Is_Gc=_ SYMBOL}', "");
Error('\p{Is_Category=:=	 S}');
Error('\P{Is_Category=:=	 S}');
Expect(1, 129472, '\p{Is_Category=s}', "");
Expect(0, 129472, '\p{^Is_Category=s}', "");
Expect(0, 129472, '\P{Is_Category=s}', "");
Expect(1, 129472, '\P{^Is_Category=s}', "");
Expect(0, 129473, '\p{Is_Category=s}', "");
Expect(1, 129473, '\p{^Is_Category=s}', "");
Expect(1, 129473, '\P{Is_Category=s}', "");
Expect(0, 129473, '\P{^Is_Category=s}', "");
Expect(1, 129472, '\p{Is_Category=-_S}', "");
Expect(0, 129472, '\p{^Is_Category=-_S}', "");
Expect(0, 129472, '\P{Is_Category=-_S}', "");
Expect(1, 129472, '\P{^Is_Category=-_S}', "");
Expect(0, 129473, '\p{Is_Category=-_S}', "");
Expect(1, 129473, '\p{^Is_Category=-_S}', "");
Expect(1, 129473, '\P{Is_Category=-_S}', "");
Expect(0, 129473, '\P{^Is_Category=-_S}', "");
Error('\p{General_Category=:=--CURRENCY_symbol}');
Error('\P{General_Category=:=--CURRENCY_symbol}');
Expect(1, 65510, '\p{General_Category=currencysymbol}', "");
Expect(0, 65510, '\p{^General_Category=currencysymbol}', "");
Expect(0, 65510, '\P{General_Category=currencysymbol}', "");
Expect(1, 65510, '\P{^General_Category=currencysymbol}', "");
Expect(0, 65511, '\p{General_Category=currencysymbol}', "");
Expect(1, 65511, '\p{^General_Category=currencysymbol}', "");
Expect(1, 65511, '\P{General_Category=currencysymbol}', "");
Expect(0, 65511, '\P{^General_Category=currencysymbol}', "");
Expect(1, 65510, '\p{General_Category=_Currency_Symbol}', "");
Expect(0, 65510, '\p{^General_Category=_Currency_Symbol}', "");
Expect(0, 65510, '\P{General_Category=_Currency_Symbol}', "");
Expect(1, 65510, '\P{^General_Category=_Currency_Symbol}', "");
Expect(0, 65511, '\p{General_Category=_Currency_Symbol}', "");
Expect(1, 65511, '\p{^General_Category=_Currency_Symbol}', "");
Expect(1, 65511, '\P{General_Category=_Currency_Symbol}', "");
Expect(0, 65511, '\P{^General_Category=_Currency_Symbol}', "");
Error('\p{Gc=sc/a/}');
Error('\P{Gc=sc/a/}');
Expect(1, 65510, '\p{Gc=sc}', "");
Expect(0, 65510, '\p{^Gc=sc}', "");
Expect(0, 65510, '\P{Gc=sc}', "");
Expect(1, 65510, '\P{^Gc=sc}', "");
Expect(0, 65511, '\p{Gc=sc}', "");
Expect(1, 65511, '\p{^Gc=sc}', "");
Expect(1, 65511, '\P{Gc=sc}', "");
Expect(0, 65511, '\P{^Gc=sc}', "");
Expect(1, 65510, '\p{Gc:_	Sc}', "");
Expect(0, 65510, '\p{^Gc:_	Sc}', "");
Expect(0, 65510, '\P{Gc:_	Sc}', "");
Expect(1, 65510, '\P{^Gc:_	Sc}', "");
Expect(0, 65511, '\p{Gc:_	Sc}', "");
Expect(1, 65511, '\p{^Gc:_	Sc}', "");
Expect(1, 65511, '\P{Gc:_	Sc}', "");
Expect(0, 65511, '\P{^Gc:_	Sc}', "");
Error('\p{Category=/a/ currency_Symbol}');
Error('\P{Category=/a/ currency_Symbol}');
Expect(1, 65510, '\p{Category=currencysymbol}', "");
Expect(0, 65510, '\p{^Category=currencysymbol}', "");
Expect(0, 65510, '\P{Category=currencysymbol}', "");
Expect(1, 65510, '\P{^Category=currencysymbol}', "");
Expect(0, 65511, '\p{Category=currencysymbol}', "");
Expect(1, 65511, '\p{^Category=currencysymbol}', "");
Expect(1, 65511, '\P{Category=currencysymbol}', "");
Expect(0, 65511, '\P{^Category=currencysymbol}', "");
Expect(1, 65510, '\p{Category=	Currency_SYMBOL}', "");
Expect(0, 65510, '\p{^Category=	Currency_SYMBOL}', "");
Expect(0, 65510, '\P{Category=	Currency_SYMBOL}', "");
Expect(1, 65510, '\P{^Category=	Currency_SYMBOL}', "");
Expect(0, 65511, '\p{Category=	Currency_SYMBOL}', "");
Expect(1, 65511, '\p{^Category=	Currency_SYMBOL}', "");
Expect(1, 65511, '\P{Category=	Currency_SYMBOL}', "");
Expect(0, 65511, '\P{^Category=	Currency_SYMBOL}', "");
Error('\p{Is_General_Category=_/a/SC}');
Error('\P{Is_General_Category=_/a/SC}');
Expect(1, 65510, '\p{Is_General_Category=sc}', "");
Expect(0, 65510, '\p{^Is_General_Category=sc}', "");
Expect(0, 65510, '\P{Is_General_Category=sc}', "");
Expect(1, 65510, '\P{^Is_General_Category=sc}', "");
Expect(0, 65511, '\p{Is_General_Category=sc}', "");
Expect(1, 65511, '\p{^Is_General_Category=sc}', "");
Expect(1, 65511, '\P{Is_General_Category=sc}', "");
Expect(0, 65511, '\P{^Is_General_Category=sc}', "");
Expect(1, 65510, '\p{Is_General_Category=-sc}', "");
Expect(0, 65510, '\p{^Is_General_Category=-sc}', "");
Expect(0, 65510, '\P{Is_General_Category=-sc}', "");
Expect(1, 65510, '\P{^Is_General_Category=-sc}', "");
Expect(0, 65511, '\p{Is_General_Category=-sc}', "");
Expect(1, 65511, '\p{^Is_General_Category=-sc}', "");
Expect(1, 65511, '\P{Is_General_Category=-sc}', "");
Expect(0, 65511, '\P{^Is_General_Category=-sc}', "");
Error('\p{Is_Gc=_:=Currency_Symbol}');
Error('\P{Is_Gc=_:=Currency_Symbol}');
Expect(1, 65510, '\p{Is_Gc=currencysymbol}', "");
Expect(0, 65510, '\p{^Is_Gc=currencysymbol}', "");
Expect(0, 65510, '\P{Is_Gc=currencysymbol}', "");
Expect(1, 65510, '\P{^Is_Gc=currencysymbol}', "");
Expect(0, 65511, '\p{Is_Gc=currencysymbol}', "");
Expect(1, 65511, '\p{^Is_Gc=currencysymbol}', "");
Expect(1, 65511, '\P{Is_Gc=currencysymbol}', "");
Expect(0, 65511, '\P{^Is_Gc=currencysymbol}', "");
Expect(1, 65510, '\p{Is_Gc= _currency_Symbol}', "");
Expect(0, 65510, '\p{^Is_Gc= _currency_Symbol}', "");
Expect(0, 65510, '\P{Is_Gc= _currency_Symbol}', "");
Expect(1, 65510, '\P{^Is_Gc= _currency_Symbol}', "");
Expect(0, 65511, '\p{Is_Gc= _currency_Symbol}', "");
Expect(1, 65511, '\p{^Is_Gc= _currency_Symbol}', "");
Expect(1, 65511, '\P{Is_Gc= _currency_Symbol}', "");
Expect(0, 65511, '\P{^Is_Gc= _currency_Symbol}', "");
Error('\p{Is_Category=_	SC:=}');
Error('\P{Is_Category=_	SC:=}');
Expect(1, 65510, '\p{Is_Category=sc}', "");
Expect(0, 65510, '\p{^Is_Category=sc}', "");
Expect(0, 65510, '\P{Is_Category=sc}', "");
Expect(1, 65510, '\P{^Is_Category=sc}', "");
Expect(0, 65511, '\p{Is_Category=sc}', "");
Expect(1, 65511, '\p{^Is_Category=sc}', "");
Expect(1, 65511, '\P{Is_Category=sc}', "");
Expect(0, 65511, '\P{^Is_Category=sc}', "");
Expect(1, 65510, '\p{Is_Category=_-sc}', "");
Expect(0, 65510, '\p{^Is_Category=_-sc}', "");
Expect(0, 65510, '\P{Is_Category=_-sc}', "");
Expect(1, 65510, '\P{^Is_Category=_-sc}', "");
Expect(0, 65511, '\p{Is_Category=_-sc}', "");
Expect(1, 65511, '\p{^Is_Category=_-sc}', "");
Expect(1, 65511, '\P{Is_Category=_-sc}', "");
Expect(0, 65511, '\P{^Is_Category=_-sc}', "");
Error('\p{General_Category=/a/_MODIFIER_Symbol}');
Error('\P{General_Category=/a/_MODIFIER_Symbol}');
Expect(1, 127999, '\p{General_Category=modifiersymbol}', "");
Expect(0, 127999, '\p{^General_Category=modifiersymbol}', "");
Expect(0, 127999, '\P{General_Category=modifiersymbol}', "");
Expect(1, 127999, '\P{^General_Category=modifiersymbol}', "");
Expect(0, 128000, '\p{General_Category=modifiersymbol}', "");
Expect(1, 128000, '\p{^General_Category=modifiersymbol}', "");
Expect(1, 128000, '\P{General_Category=modifiersymbol}', "");
Expect(0, 128000, '\P{^General_Category=modifiersymbol}', "");
Expect(1, 127999, '\p{General_Category:		MODIFIER_symbol}', "");
Expect(0, 127999, '\p{^General_Category:		MODIFIER_symbol}', "");
Expect(0, 127999, '\P{General_Category:		MODIFIER_symbol}', "");
Expect(1, 127999, '\P{^General_Category:		MODIFIER_symbol}', "");
Expect(0, 128000, '\p{General_Category:		MODIFIER_symbol}', "");
Expect(1, 128000, '\p{^General_Category:		MODIFIER_symbol}', "");
Expect(1, 128000, '\P{General_Category:		MODIFIER_symbol}', "");
Expect(0, 128000, '\P{^General_Category:		MODIFIER_symbol}', "");
Error('\p{Gc=:=	_sk}');
Error('\P{Gc=:=	_sk}');
Expect(1, 127999, '\p{Gc=sk}', "");
Expect(0, 127999, '\p{^Gc=sk}', "");
Expect(0, 127999, '\P{Gc=sk}', "");
Expect(1, 127999, '\P{^Gc=sk}', "");
Expect(0, 128000, '\p{Gc=sk}', "");
Expect(1, 128000, '\p{^Gc=sk}', "");
Expect(1, 128000, '\P{Gc=sk}', "");
Expect(0, 128000, '\P{^Gc=sk}', "");
Expect(1, 127999, '\p{Gc=		sk}', "");
Expect(0, 127999, '\p{^Gc=		sk}', "");
Expect(0, 127999, '\P{Gc=		sk}', "");
Expect(1, 127999, '\P{^Gc=		sk}', "");
Expect(0, 128000, '\p{Gc=		sk}', "");
Expect(1, 128000, '\p{^Gc=		sk}', "");
Expect(1, 128000, '\P{Gc=		sk}', "");
Expect(0, 128000, '\P{^Gc=		sk}', "");
Error('\p{Category= /a/Modifier_symbol}');
Error('\P{Category= /a/Modifier_symbol}');
Expect(1, 127999, '\p{Category=modifiersymbol}', "");
Expect(0, 127999, '\p{^Category=modifiersymbol}', "");
Expect(0, 127999, '\P{Category=modifiersymbol}', "");
Expect(1, 127999, '\P{^Category=modifiersymbol}', "");
Expect(0, 128000, '\p{Category=modifiersymbol}', "");
Expect(1, 128000, '\p{^Category=modifiersymbol}', "");
Expect(1, 128000, '\P{Category=modifiersymbol}', "");
Expect(0, 128000, '\P{^Category=modifiersymbol}', "");
Expect(1, 127999, '\p{Category=-	MODIFIER_symbol}', "");
Expect(0, 127999, '\p{^Category=-	MODIFIER_symbol}', "");
Expect(0, 127999, '\P{Category=-	MODIFIER_symbol}', "");
Expect(1, 127999, '\P{^Category=-	MODIFIER_symbol}', "");
Expect(0, 128000, '\p{Category=-	MODIFIER_symbol}', "");
Expect(1, 128000, '\p{^Category=-	MODIFIER_symbol}', "");
Expect(1, 128000, '\P{Category=-	MODIFIER_symbol}', "");
Expect(0, 128000, '\P{^Category=-	MODIFIER_symbol}', "");
Error('\p{Is_General_Category=/a/Sk}');
Error('\P{Is_General_Category=/a/Sk}');
Expect(1, 127999, '\p{Is_General_Category=sk}', "");
Expect(0, 127999, '\p{^Is_General_Category=sk}', "");
Expect(0, 127999, '\P{Is_General_Category=sk}', "");
Expect(1, 127999, '\P{^Is_General_Category=sk}', "");
Expect(0, 128000, '\p{Is_General_Category=sk}', "");
Expect(1, 128000, '\p{^Is_General_Category=sk}', "");
Expect(1, 128000, '\P{Is_General_Category=sk}', "");
Expect(0, 128000, '\P{^Is_General_Category=sk}', "");
Expect(1, 127999, '\p{Is_General_Category=	_sk}', "");
Expect(0, 127999, '\p{^Is_General_Category=	_sk}', "");
Expect(0, 127999, '\P{Is_General_Category=	_sk}', "");
Expect(1, 127999, '\P{^Is_General_Category=	_sk}', "");
Expect(0, 128000, '\p{Is_General_Category=	_sk}', "");
Expect(1, 128000, '\p{^Is_General_Category=	_sk}', "");
Expect(1, 128000, '\P{Is_General_Category=	_sk}', "");
Expect(0, 128000, '\P{^Is_General_Category=	_sk}', "");
Error('\p{Is_Gc=	Modifier_SYMBOL:=}');
Error('\P{Is_Gc=	Modifier_SYMBOL:=}');
Expect(1, 127999, '\p{Is_Gc=modifiersymbol}', "");
Expect(0, 127999, '\p{^Is_Gc=modifiersymbol}', "");
Expect(0, 127999, '\P{Is_Gc=modifiersymbol}', "");
Expect(1, 127999, '\P{^Is_Gc=modifiersymbol}', "");
Expect(0, 128000, '\p{Is_Gc=modifiersymbol}', "");
Expect(1, 128000, '\p{^Is_Gc=modifiersymbol}', "");
Expect(1, 128000, '\P{Is_Gc=modifiersymbol}', "");
Expect(0, 128000, '\P{^Is_Gc=modifiersymbol}', "");
Expect(1, 127999, '\p{Is_Gc: 	MODIFIER_Symbol}', "");
Expect(0, 127999, '\p{^Is_Gc: 	MODIFIER_Symbol}', "");
Expect(0, 127999, '\P{Is_Gc: 	MODIFIER_Symbol}', "");
Expect(1, 127999, '\P{^Is_Gc: 	MODIFIER_Symbol}', "");
Expect(0, 128000, '\p{Is_Gc: 	MODIFIER_Symbol}', "");
Expect(1, 128000, '\p{^Is_Gc: 	MODIFIER_Symbol}', "");
Expect(1, 128000, '\P{Is_Gc: 	MODIFIER_Symbol}', "");
Expect(0, 128000, '\P{^Is_Gc: 	MODIFIER_Symbol}', "");
Error('\p{Is_Category=_-SK/a/}');
Error('\P{Is_Category=_-SK/a/}');
Expect(1, 127999, '\p{Is_Category=sk}', "");
Expect(0, 127999, '\p{^Is_Category=sk}', "");
Expect(0, 127999, '\P{Is_Category=sk}', "");
Expect(1, 127999, '\P{^Is_Category=sk}', "");
Expect(0, 128000, '\p{Is_Category=sk}', "");
Expect(1, 128000, '\p{^Is_Category=sk}', "");
Expect(1, 128000, '\P{Is_Category=sk}', "");
Expect(0, 128000, '\P{^Is_Category=sk}', "");
Expect(1, 127999, '\p{Is_Category= 	sk}', "");
Expect(0, 127999, '\p{^Is_Category= 	sk}', "");
Expect(0, 127999, '\P{Is_Category= 	sk}', "");
Expect(1, 127999, '\P{^Is_Category= 	sk}', "");
Expect(0, 128000, '\p{Is_Category= 	sk}', "");
Expect(1, 128000, '\p{^Is_Category= 	sk}', "");
Expect(1, 128000, '\P{Is_Category= 	sk}', "");
Expect(0, 128000, '\P{^Is_Category= 	sk}', "");
Error('\p{General_Category=/a/-MATH_symbol}');
Error('\P{General_Category=/a/-MATH_symbol}');
Expect(1, 126705, '\p{General_Category=mathsymbol}', "");
Expect(0, 126705, '\p{^General_Category=mathsymbol}', "");
Expect(0, 126705, '\P{General_Category=mathsymbol}', "");
Expect(1, 126705, '\P{^General_Category=mathsymbol}', "");
Expect(0, 126706, '\p{General_Category=mathsymbol}', "");
Expect(1, 126706, '\p{^General_Category=mathsymbol}', "");
Expect(1, 126706, '\P{General_Category=mathsymbol}', "");
Expect(0, 126706, '\P{^General_Category=mathsymbol}', "");
Expect(1, 126705, '\p{General_Category=--math_Symbol}', "");
Expect(0, 126705, '\p{^General_Category=--math_Symbol}', "");
Expect(0, 126705, '\P{General_Category=--math_Symbol}', "");
Expect(1, 126705, '\P{^General_Category=--math_Symbol}', "");
Expect(0, 126706, '\p{General_Category=--math_Symbol}', "");
Expect(1, 126706, '\p{^General_Category=--math_Symbol}', "");
Expect(1, 126706, '\P{General_Category=--math_Symbol}', "");
Expect(0, 126706, '\P{^General_Category=--math_Symbol}', "");
Error('\p{Gc: 	_sm/a/}');
Error('\P{Gc: 	_sm/a/}');
Expect(1, 126705, '\p{Gc=sm}', "");
Expect(0, 126705, '\p{^Gc=sm}', "");
Expect(0, 126705, '\P{Gc=sm}', "");
Expect(1, 126705, '\P{^Gc=sm}', "");
Expect(0, 126706, '\p{Gc=sm}', "");
Expect(1, 126706, '\p{^Gc=sm}', "");
Expect(1, 126706, '\P{Gc=sm}', "");
Expect(0, 126706, '\P{^Gc=sm}', "");
Expect(1, 126705, '\p{Gc= sm}', "");
Expect(0, 126705, '\p{^Gc= sm}', "");
Expect(0, 126705, '\P{Gc= sm}', "");
Expect(1, 126705, '\P{^Gc= sm}', "");
Expect(0, 126706, '\p{Gc= sm}', "");
Expect(1, 126706, '\p{^Gc= sm}', "");
Expect(1, 126706, '\P{Gc= sm}', "");
Expect(0, 126706, '\P{^Gc= sm}', "");
Error('\p{Category=_/a/Math_Symbol}');
Error('\P{Category=_/a/Math_Symbol}');
Expect(1, 126705, '\p{Category=mathsymbol}', "");
Expect(0, 126705, '\p{^Category=mathsymbol}', "");
Expect(0, 126705, '\P{Category=mathsymbol}', "");
Expect(1, 126705, '\P{^Category=mathsymbol}', "");
Expect(0, 126706, '\p{Category=mathsymbol}', "");
Expect(1, 126706, '\p{^Category=mathsymbol}', "");
Expect(1, 126706, '\P{Category=mathsymbol}', "");
Expect(0, 126706, '\P{^Category=mathsymbol}', "");
Expect(1, 126705, '\p{Category=	-Math_Symbol}', "");
Expect(0, 126705, '\p{^Category=	-Math_Symbol}', "");
Expect(0, 126705, '\P{Category=	-Math_Symbol}', "");
Expect(1, 126705, '\P{^Category=	-Math_Symbol}', "");
Expect(0, 126706, '\p{Category=	-Math_Symbol}', "");
Expect(1, 126706, '\p{^Category=	-Math_Symbol}', "");
Expect(1, 126706, '\P{Category=	-Math_Symbol}', "");
Expect(0, 126706, '\P{^Category=	-Math_Symbol}', "");
Error('\p{Is_General_Category=:=	Sm}');
Error('\P{Is_General_Category=:=	Sm}');
Expect(1, 126705, '\p{Is_General_Category=sm}', "");
Expect(0, 126705, '\p{^Is_General_Category=sm}', "");
Expect(0, 126705, '\P{Is_General_Category=sm}', "");
Expect(1, 126705, '\P{^Is_General_Category=sm}', "");
Expect(0, 126706, '\p{Is_General_Category=sm}', "");
Expect(1, 126706, '\p{^Is_General_Category=sm}', "");
Expect(1, 126706, '\P{Is_General_Category=sm}', "");
Expect(0, 126706, '\P{^Is_General_Category=sm}', "");
Expect(1, 126705, '\p{Is_General_Category=-_SM}', "");
Expect(0, 126705, '\p{^Is_General_Category=-_SM}', "");
Expect(0, 126705, '\P{Is_General_Category=-_SM}', "");
Expect(1, 126705, '\P{^Is_General_Category=-_SM}', "");
Expect(0, 126706, '\p{Is_General_Category=-_SM}', "");
Expect(1, 126706, '\p{^Is_General_Category=-_SM}', "");
Expect(1, 126706, '\P{Is_General_Category=-_SM}', "");
Expect(0, 126706, '\P{^Is_General_Category=-_SM}', "");
Error('\p{Is_Gc= /a/math_symbol}');
Error('\P{Is_Gc= /a/math_symbol}');
Expect(1, 126705, '\p{Is_Gc=mathsymbol}', "");
Expect(0, 126705, '\p{^Is_Gc=mathsymbol}', "");
Expect(0, 126705, '\P{Is_Gc=mathsymbol}', "");
Expect(1, 126705, '\P{^Is_Gc=mathsymbol}', "");
Expect(0, 126706, '\p{Is_Gc=mathsymbol}', "");
Expect(1, 126706, '\p{^Is_Gc=mathsymbol}', "");
Expect(1, 126706, '\P{Is_Gc=mathsymbol}', "");
Expect(0, 126706, '\P{^Is_Gc=mathsymbol}', "");
Expect(1, 126705, '\p{Is_Gc=-_Math_SYMBOL}', "");
Expect(0, 126705, '\p{^Is_Gc=-_Math_SYMBOL}', "");
Expect(0, 126705, '\P{Is_Gc=-_Math_SYMBOL}', "");
Expect(1, 126705, '\P{^Is_Gc=-_Math_SYMBOL}', "");
Expect(0, 126706, '\p{Is_Gc=-_Math_SYMBOL}', "");
Expect(1, 126706, '\p{^Is_Gc=-_Math_SYMBOL}', "");
Expect(1, 126706, '\P{Is_Gc=-_Math_SYMBOL}', "");
Expect(0, 126706, '\P{^Is_Gc=-_Math_SYMBOL}', "");
Error('\p{Is_Category=/a/_SM}');
Error('\P{Is_Category=/a/_SM}');
Expect(1, 126705, '\p{Is_Category=sm}', "");
Expect(0, 126705, '\p{^Is_Category=sm}', "");
Expect(0, 126705, '\P{Is_Category=sm}', "");
Expect(1, 126705, '\P{^Is_Category=sm}', "");
Expect(0, 126706, '\p{Is_Category=sm}', "");
Expect(1, 126706, '\p{^Is_Category=sm}', "");
Expect(1, 126706, '\P{Is_Category=sm}', "");
Expect(0, 126706, '\P{^Is_Category=sm}', "");
Expect(1, 126705, '\p{Is_Category= _SM}', "");
Expect(0, 126705, '\p{^Is_Category= _SM}', "");
Expect(0, 126705, '\P{Is_Category= _SM}', "");
Expect(1, 126705, '\P{^Is_Category= _SM}', "");
Expect(0, 126706, '\p{Is_Category= _SM}', "");
Expect(1, 126706, '\p{^Is_Category= _SM}', "");
Expect(1, 126706, '\P{Is_Category= _SM}', "");
Expect(0, 126706, '\P{^Is_Category= _SM}', "");
Error('\p{General_Category=	other_symbol:=}');
Error('\P{General_Category=	other_symbol:=}');
Expect(1, 129472, '\p{General_Category:   othersymbol}', "");
Expect(0, 129472, '\p{^General_Category:   othersymbol}', "");
Expect(0, 129472, '\P{General_Category:   othersymbol}', "");
Expect(1, 129472, '\P{^General_Category:   othersymbol}', "");
Expect(0, 129473, '\p{General_Category:   othersymbol}', "");
Expect(1, 129473, '\p{^General_Category:   othersymbol}', "");
Expect(1, 129473, '\P{General_Category:   othersymbol}', "");
Expect(0, 129473, '\P{^General_Category:   othersymbol}', "");
Expect(1, 129472, '\p{General_Category:  _OTHER_Symbol}', "");
Expect(0, 129472, '\p{^General_Category:  _OTHER_Symbol}', "");
Expect(0, 129472, '\P{General_Category:  _OTHER_Symbol}', "");
Expect(1, 129472, '\P{^General_Category:  _OTHER_Symbol}', "");
Expect(0, 129473, '\p{General_Category:  _OTHER_Symbol}', "");
Expect(1, 129473, '\p{^General_Category:  _OTHER_Symbol}', "");
Expect(1, 129473, '\P{General_Category:  _OTHER_Symbol}', "");
Expect(0, 129473, '\P{^General_Category:  _OTHER_Symbol}', "");
Error('\p{Gc=/a/  so}');
Error('\P{Gc=/a/  so}');
Expect(1, 129472, '\p{Gc:   so}', "");
Expect(0, 129472, '\p{^Gc:   so}', "");
Expect(0, 129472, '\P{Gc:   so}', "");
Expect(1, 129472, '\P{^Gc:   so}', "");
Expect(0, 129473, '\p{Gc:   so}', "");
Expect(1, 129473, '\p{^Gc:   so}', "");
Expect(1, 129473, '\P{Gc:   so}', "");
Expect(0, 129473, '\P{^Gc:   so}', "");
Expect(1, 129472, '\p{Gc=	-so}', "");
Expect(0, 129472, '\p{^Gc=	-so}', "");
Expect(0, 129472, '\P{Gc=	-so}', "");
Expect(1, 129472, '\P{^Gc=	-so}', "");
Expect(0, 129473, '\p{Gc=	-so}', "");
Expect(1, 129473, '\p{^Gc=	-so}', "");
Expect(1, 129473, '\P{Gc=	-so}', "");
Expect(0, 129473, '\P{^Gc=	-so}', "");
Error('\p{Category=	Other_SYMBOL:=}');
Error('\P{Category=	Other_SYMBOL:=}');
Expect(1, 129472, '\p{Category=othersymbol}', "");
Expect(0, 129472, '\p{^Category=othersymbol}', "");
Expect(0, 129472, '\P{Category=othersymbol}', "");
Expect(1, 129472, '\P{^Category=othersymbol}', "");
Expect(0, 129473, '\p{Category=othersymbol}', "");
Expect(1, 129473, '\p{^Category=othersymbol}', "");
Expect(1, 129473, '\P{Category=othersymbol}', "");
Expect(0, 129473, '\P{^Category=othersymbol}', "");
Expect(1, 129472, '\p{Category=	-Other_Symbol}', "");
Expect(0, 129472, '\p{^Category=	-Other_Symbol}', "");
Expect(0, 129472, '\P{Category=	-Other_Symbol}', "");
Expect(1, 129472, '\P{^Category=	-Other_Symbol}', "");
Expect(0, 129473, '\p{Category=	-Other_Symbol}', "");
Expect(1, 129473, '\p{^Category=	-Other_Symbol}', "");
Expect(1, 129473, '\P{Category=	-Other_Symbol}', "");
Expect(0, 129473, '\P{^Category=	-Other_Symbol}', "");
Error('\p{Is_General_Category=:=-So}');
Error('\P{Is_General_Category=:=-So}');
Expect(1, 129472, '\p{Is_General_Category=so}', "");
Expect(0, 129472, '\p{^Is_General_Category=so}', "");
Expect(0, 129472, '\P{Is_General_Category=so}', "");
Expect(1, 129472, '\P{^Is_General_Category=so}', "");
Expect(0, 129473, '\p{Is_General_Category=so}', "");
Expect(1, 129473, '\p{^Is_General_Category=so}', "");
Expect(1, 129473, '\P{Is_General_Category=so}', "");
Expect(0, 129473, '\P{^Is_General_Category=so}', "");
Expect(1, 129472, '\p{Is_General_Category=		So}', "");
Expect(0, 129472, '\p{^Is_General_Category=		So}', "");
Expect(0, 129472, '\P{Is_General_Category=		So}', "");
Expect(1, 129472, '\P{^Is_General_Category=		So}', "");
Expect(0, 129473, '\p{Is_General_Category=		So}', "");
Expect(1, 129473, '\p{^Is_General_Category=		So}', "");
Expect(1, 129473, '\P{Is_General_Category=		So}', "");
Expect(0, 129473, '\P{^Is_General_Category=		So}', "");
Error('\p{Is_Gc= :=OTHER_symbol}');
Error('\P{Is_Gc= :=OTHER_symbol}');
Expect(1, 129472, '\p{Is_Gc: othersymbol}', "");
Expect(0, 129472, '\p{^Is_Gc: othersymbol}', "");
Expect(0, 129472, '\P{Is_Gc: othersymbol}', "");
Expect(1, 129472, '\P{^Is_Gc: othersymbol}', "");
Expect(0, 129473, '\p{Is_Gc: othersymbol}', "");
Expect(1, 129473, '\p{^Is_Gc: othersymbol}', "");
Expect(1, 129473, '\P{Is_Gc: othersymbol}', "");
Expect(0, 129473, '\P{^Is_Gc: othersymbol}', "");
Expect(1, 129472, '\p{Is_Gc=_ OTHER_SYMBOL}', "");
Expect(0, 129472, '\p{^Is_Gc=_ OTHER_SYMBOL}', "");
Expect(0, 129472, '\P{Is_Gc=_ OTHER_SYMBOL}', "");
Expect(1, 129472, '\P{^Is_Gc=_ OTHER_SYMBOL}', "");
Expect(0, 129473, '\p{Is_Gc=_ OTHER_SYMBOL}', "");
Expect(1, 129473, '\p{^Is_Gc=_ OTHER_SYMBOL}', "");
Expect(1, 129473, '\P{Is_Gc=_ OTHER_SYMBOL}', "");
Expect(0, 129473, '\P{^Is_Gc=_ OTHER_SYMBOL}', "");
Error('\p{Is_Category=/a/  So}');
Error('\P{Is_Category=/a/  So}');
Expect(1, 129472, '\p{Is_Category=so}', "");
Expect(0, 129472, '\p{^Is_Category=so}', "");
Expect(0, 129472, '\P{Is_Category=so}', "");
Expect(1, 129472, '\P{^Is_Category=so}', "");
Expect(0, 129473, '\p{Is_Category=so}', "");
Expect(1, 129473, '\p{^Is_Category=so}', "");
Expect(1, 129473, '\P{Is_Category=so}', "");
Expect(0, 129473, '\P{^Is_Category=so}', "");
Expect(1, 129472, '\p{Is_Category=	_so}', "");
Expect(0, 129472, '\p{^Is_Category=	_so}', "");
Expect(0, 129472, '\P{Is_Category=	_so}', "");
Expect(1, 129472, '\P{^Is_Category=	_so}', "");
Expect(0, 129473, '\p{Is_Category=	_so}', "");
Expect(1, 129473, '\p{^Is_Category=	_so}', "");
Expect(1, 129473, '\P{Is_Category=	_so}', "");
Expect(0, 129473, '\P{^Is_Category=	_so}', "");
Error('\p{General_Category=_:=SEPARATOR}');
Error('\P{General_Category=_:=SEPARATOR}');
Expect(1, 12288, '\p{General_Category=separator}', "");
Expect(0, 12288, '\p{^General_Category=separator}', "");
Expect(0, 12288, '\P{General_Category=separator}', "");
Expect(1, 12288, '\P{^General_Category=separator}', "");
Expect(0, 12289, '\p{General_Category=separator}', "");
Expect(1, 12289, '\p{^General_Category=separator}', "");
Expect(1, 12289, '\P{General_Category=separator}', "");
Expect(0, 12289, '\P{^General_Category=separator}', "");
Expect(1, 12288, '\p{General_Category=	 separator}', "");
Expect(0, 12288, '\p{^General_Category=	 separator}', "");
Expect(0, 12288, '\P{General_Category=	 separator}', "");
Expect(1, 12288, '\P{^General_Category=	 separator}', "");
Expect(0, 12289, '\p{General_Category=	 separator}', "");
Expect(1, 12289, '\p{^General_Category=	 separator}', "");
Expect(1, 12289, '\P{General_Category=	 separator}', "");
Expect(0, 12289, '\P{^General_Category=	 separator}', "");
Error('\p{Gc=:= Z}');
Error('\P{Gc=:= Z}');
Expect(1, 12288, '\p{Gc=z}', "");
Expect(0, 12288, '\p{^Gc=z}', "");
Expect(0, 12288, '\P{Gc=z}', "");
Expect(1, 12288, '\P{^Gc=z}', "");
Expect(0, 12289, '\p{Gc=z}', "");
Expect(1, 12289, '\p{^Gc=z}', "");
Expect(1, 12289, '\P{Gc=z}', "");
Expect(0, 12289, '\P{^Gc=z}', "");
Expect(1, 12288, '\p{Gc=	_Z}', "");
Expect(0, 12288, '\p{^Gc=	_Z}', "");
Expect(0, 12288, '\P{Gc=	_Z}', "");
Expect(1, 12288, '\P{^Gc=	_Z}', "");
Expect(0, 12289, '\p{Gc=	_Z}', "");
Expect(1, 12289, '\p{^Gc=	_Z}', "");
Expect(1, 12289, '\P{Gc=	_Z}', "");
Expect(0, 12289, '\P{^Gc=	_Z}', "");
Error('\p{Category=/a/ _Separator}');
Error('\P{Category=/a/ _Separator}');
Expect(1, 12288, '\p{Category:	separator}', "");
Expect(0, 12288, '\p{^Category:	separator}', "");
Expect(0, 12288, '\P{Category:	separator}', "");
Expect(1, 12288, '\P{^Category:	separator}', "");
Expect(0, 12289, '\p{Category:	separator}', "");
Expect(1, 12289, '\p{^Category:	separator}', "");
Expect(1, 12289, '\P{Category:	separator}', "");
Expect(0, 12289, '\P{^Category:	separator}', "");
Expect(1, 12288, '\p{Category:   _	separator}', "");
Expect(0, 12288, '\p{^Category:   _	separator}', "");
Expect(0, 12288, '\P{Category:   _	separator}', "");
Expect(1, 12288, '\P{^Category:   _	separator}', "");
Expect(0, 12289, '\p{Category:   _	separator}', "");
Expect(1, 12289, '\p{^Category:   _	separator}', "");
Expect(1, 12289, '\P{Category:   _	separator}', "");
Expect(0, 12289, '\P{^Category:   _	separator}', "");
Error('\p{Is_General_Category: 	z:=}');
Error('\P{Is_General_Category: 	z:=}');
Expect(1, 12288, '\p{Is_General_Category=z}', "");
Expect(0, 12288, '\p{^Is_General_Category=z}', "");
Expect(0, 12288, '\P{Is_General_Category=z}', "");
Expect(1, 12288, '\P{^Is_General_Category=z}', "");
Expect(0, 12289, '\p{Is_General_Category=z}', "");
Expect(1, 12289, '\p{^Is_General_Category=z}', "");
Expect(1, 12289, '\P{Is_General_Category=z}', "");
Expect(0, 12289, '\P{^Is_General_Category=z}', "");
Expect(1, 12288, '\p{Is_General_Category=		Z}', "");
Expect(0, 12288, '\p{^Is_General_Category=		Z}', "");
Expect(0, 12288, '\P{Is_General_Category=		Z}', "");
Expect(1, 12288, '\P{^Is_General_Category=		Z}', "");
Expect(0, 12289, '\p{Is_General_Category=		Z}', "");
Expect(1, 12289, '\p{^Is_General_Category=		Z}', "");
Expect(1, 12289, '\P{Is_General_Category=		Z}', "");
Expect(0, 12289, '\P{^Is_General_Category=		Z}', "");
Error('\p{Is_Gc=-:=Separator}');
Error('\P{Is_Gc=-:=Separator}');
Expect(1, 12288, '\p{Is_Gc=separator}', "");
Expect(0, 12288, '\p{^Is_Gc=separator}', "");
Expect(0, 12288, '\P{Is_Gc=separator}', "");
Expect(1, 12288, '\P{^Is_Gc=separator}', "");
Expect(0, 12289, '\p{Is_Gc=separator}', "");
Expect(1, 12289, '\p{^Is_Gc=separator}', "");
Expect(1, 12289, '\P{Is_Gc=separator}', "");
Expect(0, 12289, '\P{^Is_Gc=separator}', "");
Expect(1, 12288, '\p{Is_Gc=	_separator}', "");
Expect(0, 12288, '\p{^Is_Gc=	_separator}', "");
Expect(0, 12288, '\P{Is_Gc=	_separator}', "");
Expect(1, 12288, '\P{^Is_Gc=	_separator}', "");
Expect(0, 12289, '\p{Is_Gc=	_separator}', "");
Expect(1, 12289, '\p{^Is_Gc=	_separator}', "");
Expect(1, 12289, '\P{Is_Gc=	_separator}', "");
Expect(0, 12289, '\P{^Is_Gc=	_separator}', "");
Error('\p{Is_Category:   /a/ _z}');
Error('\P{Is_Category:   /a/ _z}');
Expect(1, 12288, '\p{Is_Category=z}', "");
Expect(0, 12288, '\p{^Is_Category=z}', "");
Expect(0, 12288, '\P{Is_Category=z}', "");
Expect(1, 12288, '\P{^Is_Category=z}', "");
Expect(0, 12289, '\p{Is_Category=z}', "");
Expect(1, 12289, '\p{^Is_Category=z}', "");
Expect(1, 12289, '\P{Is_Category=z}', "");
Expect(0, 12289, '\P{^Is_Category=z}', "");
Expect(1, 12288, '\p{Is_Category= -z}', "");
Expect(0, 12288, '\p{^Is_Category= -z}', "");
Expect(0, 12288, '\P{Is_Category= -z}', "");
Expect(1, 12288, '\P{^Is_Category= -z}', "");
Expect(0, 12289, '\p{Is_Category= -z}', "");
Expect(1, 12289, '\p{^Is_Category= -z}', "");
Expect(1, 12289, '\P{Is_Category= -z}', "");
Expect(0, 12289, '\P{^Is_Category= -z}', "");
Error('\p{General_Category=:=_Line_SEPARATOR}');
Error('\P{General_Category=:=_Line_SEPARATOR}');
Expect(1, 8232, '\p{General_Category=lineseparator}', "");
Expect(0, 8232, '\p{^General_Category=lineseparator}', "");
Expect(0, 8232, '\P{General_Category=lineseparator}', "");
Expect(1, 8232, '\P{^General_Category=lineseparator}', "");
Expect(0, 8233, '\p{General_Category=lineseparator}', "");
Expect(1, 8233, '\p{^General_Category=lineseparator}', "");
Expect(1, 8233, '\P{General_Category=lineseparator}', "");
Expect(0, 8233, '\P{^General_Category=lineseparator}', "");
Expect(1, 8232, '\p{General_Category:   _line_Separator}', "");
Expect(0, 8232, '\p{^General_Category:   _line_Separator}', "");
Expect(0, 8232, '\P{General_Category:   _line_Separator}', "");
Expect(1, 8232, '\P{^General_Category:   _line_Separator}', "");
Expect(0, 8233, '\p{General_Category:   _line_Separator}', "");
Expect(1, 8233, '\p{^General_Category:   _line_Separator}', "");
Expect(1, 8233, '\P{General_Category:   _line_Separator}', "");
Expect(0, 8233, '\P{^General_Category:   _line_Separator}', "");
Error('\p{Gc=:=	ZL}');
Error('\P{Gc=:=	ZL}');
Expect(1, 8232, '\p{Gc=zl}', "");
Expect(0, 8232, '\p{^Gc=zl}', "");
Expect(0, 8232, '\P{Gc=zl}', "");
Expect(1, 8232, '\P{^Gc=zl}', "");
Expect(0, 8233, '\p{Gc=zl}', "");
Expect(1, 8233, '\p{^Gc=zl}', "");
Expect(1, 8233, '\P{Gc=zl}', "");
Expect(0, 8233, '\P{^Gc=zl}', "");
Expect(1, 8232, '\p{Gc=	zl}', "");
Expect(0, 8232, '\p{^Gc=	zl}', "");
Expect(0, 8232, '\P{Gc=	zl}', "");
Expect(1, 8232, '\P{^Gc=	zl}', "");
Expect(0, 8233, '\p{Gc=	zl}', "");
Expect(1, 8233, '\p{^Gc=	zl}', "");
Expect(1, 8233, '\P{Gc=	zl}', "");
Expect(0, 8233, '\P{^Gc=	zl}', "");
Error('\p{Category=-/a/Line_Separator}');
Error('\P{Category=-/a/Line_Separator}');
Expect(1, 8232, '\p{Category=lineseparator}', "");
Expect(0, 8232, '\p{^Category=lineseparator}', "");
Expect(0, 8232, '\P{Category=lineseparator}', "");
Expect(1, 8232, '\P{^Category=lineseparator}', "");
Expect(0, 8233, '\p{Category=lineseparator}', "");
Expect(1, 8233, '\p{^Category=lineseparator}', "");
Expect(1, 8233, '\P{Category=lineseparator}', "");
Expect(0, 8233, '\P{^Category=lineseparator}', "");
Expect(1, 8232, '\p{Category= -Line_Separator}', "");
Expect(0, 8232, '\p{^Category= -Line_Separator}', "");
Expect(0, 8232, '\P{Category= -Line_Separator}', "");
Expect(1, 8232, '\P{^Category= -Line_Separator}', "");
Expect(0, 8233, '\p{Category= -Line_Separator}', "");
Expect(1, 8233, '\p{^Category= -Line_Separator}', "");
Expect(1, 8233, '\P{Category= -Line_Separator}', "");
Expect(0, 8233, '\P{^Category= -Line_Separator}', "");
Error('\p{Is_General_Category=	:=Zl}');
Error('\P{Is_General_Category=	:=Zl}');
Expect(1, 8232, '\p{Is_General_Category=zl}', "");
Expect(0, 8232, '\p{^Is_General_Category=zl}', "");
Expect(0, 8232, '\P{Is_General_Category=zl}', "");
Expect(1, 8232, '\P{^Is_General_Category=zl}', "");
Expect(0, 8233, '\p{Is_General_Category=zl}', "");
Expect(1, 8233, '\p{^Is_General_Category=zl}', "");
Expect(1, 8233, '\P{Is_General_Category=zl}', "");
Expect(0, 8233, '\P{^Is_General_Category=zl}', "");
Expect(1, 8232, '\p{Is_General_Category=	Zl}', "");
Expect(0, 8232, '\p{^Is_General_Category=	Zl}', "");
Expect(0, 8232, '\P{Is_General_Category=	Zl}', "");
Expect(1, 8232, '\P{^Is_General_Category=	Zl}', "");
Expect(0, 8233, '\p{Is_General_Category=	Zl}', "");
Expect(1, 8233, '\p{^Is_General_Category=	Zl}', "");
Expect(1, 8233, '\P{Is_General_Category=	Zl}', "");
Expect(0, 8233, '\P{^Is_General_Category=	Zl}', "");
Error('\p{Is_Gc:	/a/	 LINE_Separator}');
Error('\P{Is_Gc:	/a/	 LINE_Separator}');
Expect(1, 8232, '\p{Is_Gc: lineseparator}', "");
Expect(0, 8232, '\p{^Is_Gc: lineseparator}', "");
Expect(0, 8232, '\P{Is_Gc: lineseparator}', "");
Expect(1, 8232, '\P{^Is_Gc: lineseparator}', "");
Expect(0, 8233, '\p{Is_Gc: lineseparator}', "");
Expect(1, 8233, '\p{^Is_Gc: lineseparator}', "");
Expect(1, 8233, '\P{Is_Gc: lineseparator}', "");
Expect(0, 8233, '\P{^Is_Gc: lineseparator}', "");
Expect(1, 8232, '\p{Is_Gc= _LINE_Separator}', "");
Expect(0, 8232, '\p{^Is_Gc= _LINE_Separator}', "");
Expect(0, 8232, '\P{Is_Gc= _LINE_Separator}', "");
Expect(1, 8232, '\P{^Is_Gc= _LINE_Separator}', "");
Expect(0, 8233, '\p{Is_Gc= _LINE_Separator}', "");
Expect(1, 8233, '\p{^Is_Gc= _LINE_Separator}', "");
Expect(1, 8233, '\P{Is_Gc= _LINE_Separator}', "");
Expect(0, 8233, '\P{^Is_Gc= _LINE_Separator}', "");
Error('\p{Is_Category=/a/Zl}');
Error('\P{Is_Category=/a/Zl}');
Expect(1, 8232, '\p{Is_Category=zl}', "");
Expect(0, 8232, '\p{^Is_Category=zl}', "");
Expect(0, 8232, '\P{Is_Category=zl}', "");
Expect(1, 8232, '\P{^Is_Category=zl}', "");
Expect(0, 8233, '\p{Is_Category=zl}', "");
Expect(1, 8233, '\p{^Is_Category=zl}', "");
Expect(1, 8233, '\P{Is_Category=zl}', "");
Expect(0, 8233, '\P{^Is_Category=zl}', "");
Expect(1, 8232, '\p{Is_Category=  Zl}', "");
Expect(0, 8232, '\p{^Is_Category=  Zl}', "");
Expect(0, 8232, '\P{Is_Category=  Zl}', "");
Expect(1, 8232, '\P{^Is_Category=  Zl}', "");
Expect(0, 8233, '\p{Is_Category=  Zl}', "");
Expect(1, 8233, '\p{^Is_Category=  Zl}', "");
Expect(1, 8233, '\P{Is_Category=  Zl}', "");
Expect(0, 8233, '\P{^Is_Category=  Zl}', "");
Error('\p{General_Category=-/a/paragraph_Separator}');
Error('\P{General_Category=-/a/paragraph_Separator}');
Expect(1, 8233, '\p{General_Category: paragraphseparator}', "");
Expect(0, 8233, '\p{^General_Category: paragraphseparator}', "");
Expect(0, 8233, '\P{General_Category: paragraphseparator}', "");
Expect(1, 8233, '\P{^General_Category: paragraphseparator}', "");
Expect(0, 8234, '\p{General_Category: paragraphseparator}', "");
Expect(1, 8234, '\p{^General_Category: paragraphseparator}', "");
Expect(1, 8234, '\P{General_Category: paragraphseparator}', "");
Expect(0, 8234, '\P{^General_Category: paragraphseparator}', "");
Expect(1, 8233, '\p{General_Category= 	Paragraph_Separator}', "");
Expect(0, 8233, '\p{^General_Category= 	Paragraph_Separator}', "");
Expect(0, 8233, '\P{General_Category= 	Paragraph_Separator}', "");
Expect(1, 8233, '\P{^General_Category= 	Paragraph_Separator}', "");
Expect(0, 8234, '\p{General_Category= 	Paragraph_Separator}', "");
Expect(1, 8234, '\p{^General_Category= 	Paragraph_Separator}', "");
Expect(1, 8234, '\P{General_Category= 	Paragraph_Separator}', "");
Expect(0, 8234, '\P{^General_Category= 	Paragraph_Separator}', "");
Error('\p{Gc=:= _ZP}');
Error('\P{Gc=:= _ZP}');
Expect(1, 8233, '\p{Gc=zp}', "");
Expect(0, 8233, '\p{^Gc=zp}', "");
Expect(0, 8233, '\P{Gc=zp}', "");
Expect(1, 8233, '\P{^Gc=zp}', "");
Expect(0, 8234, '\p{Gc=zp}', "");
Expect(1, 8234, '\p{^Gc=zp}', "");
Expect(1, 8234, '\P{Gc=zp}', "");
Expect(0, 8234, '\P{^Gc=zp}', "");
Expect(1, 8233, '\p{Gc=_ZP}', "");
Expect(0, 8233, '\p{^Gc=_ZP}', "");
Expect(0, 8233, '\P{Gc=_ZP}', "");
Expect(1, 8233, '\P{^Gc=_ZP}', "");
Expect(0, 8234, '\p{Gc=_ZP}', "");
Expect(1, 8234, '\p{^Gc=_ZP}', "");
Expect(1, 8234, '\P{Gc=_ZP}', "");
Expect(0, 8234, '\P{^Gc=_ZP}', "");
Error('\p{Category=:=--Paragraph_Separator}');
Error('\P{Category=:=--Paragraph_Separator}');
Expect(1, 8233, '\p{Category=paragraphseparator}', "");
Expect(0, 8233, '\p{^Category=paragraphseparator}', "");
Expect(0, 8233, '\P{Category=paragraphseparator}', "");
Expect(1, 8233, '\P{^Category=paragraphseparator}', "");
Expect(0, 8234, '\p{Category=paragraphseparator}', "");
Expect(1, 8234, '\p{^Category=paragraphseparator}', "");
Expect(1, 8234, '\P{Category=paragraphseparator}', "");
Expect(0, 8234, '\P{^Category=paragraphseparator}', "");
Expect(1, 8233, '\p{Category: -	PARAGRAPH_Separator}', "");
Expect(0, 8233, '\p{^Category: -	PARAGRAPH_Separator}', "");
Expect(0, 8233, '\P{Category: -	PARAGRAPH_Separator}', "");
Expect(1, 8233, '\P{^Category: -	PARAGRAPH_Separator}', "");
Expect(0, 8234, '\p{Category: -	PARAGRAPH_Separator}', "");
Expect(1, 8234, '\p{^Category: -	PARAGRAPH_Separator}', "");
Expect(1, 8234, '\P{Category: -	PARAGRAPH_Separator}', "");
Expect(0, 8234, '\P{^Category: -	PARAGRAPH_Separator}', "");
Error('\p{Is_General_Category:   _/a/Zp}');
Error('\P{Is_General_Category:   _/a/Zp}');
Expect(1, 8233, '\p{Is_General_Category=zp}', "");
Expect(0, 8233, '\p{^Is_General_Category=zp}', "");
Expect(0, 8233, '\P{Is_General_Category=zp}', "");
Expect(1, 8233, '\P{^Is_General_Category=zp}', "");
Expect(0, 8234, '\p{Is_General_Category=zp}', "");
Expect(1, 8234, '\p{^Is_General_Category=zp}', "");
Expect(1, 8234, '\P{Is_General_Category=zp}', "");
Expect(0, 8234, '\P{^Is_General_Category=zp}', "");
Expect(1, 8233, '\p{Is_General_Category=	Zp}', "");
Expect(0, 8233, '\p{^Is_General_Category=	Zp}', "");
Expect(0, 8233, '\P{Is_General_Category=	Zp}', "");
Expect(1, 8233, '\P{^Is_General_Category=	Zp}', "");
Expect(0, 8234, '\p{Is_General_Category=	Zp}', "");
Expect(1, 8234, '\p{^Is_General_Category=	Zp}', "");
Expect(1, 8234, '\P{Is_General_Category=	Zp}', "");
Expect(0, 8234, '\P{^Is_General_Category=	Zp}', "");
Error('\p{Is_Gc= /a/paragraph_separator}');
Error('\P{Is_Gc= /a/paragraph_separator}');
Expect(1, 8233, '\p{Is_Gc=paragraphseparator}', "");
Expect(0, 8233, '\p{^Is_Gc=paragraphseparator}', "");
Expect(0, 8233, '\P{Is_Gc=paragraphseparator}', "");
Expect(1, 8233, '\P{^Is_Gc=paragraphseparator}', "");
Expect(0, 8234, '\p{Is_Gc=paragraphseparator}', "");
Expect(1, 8234, '\p{^Is_Gc=paragraphseparator}', "");
Expect(1, 8234, '\P{Is_Gc=paragraphseparator}', "");
Expect(0, 8234, '\P{^Is_Gc=paragraphseparator}', "");
Expect(1, 8233, '\p{Is_Gc:	__Paragraph_SEPARATOR}', "");
Expect(0, 8233, '\p{^Is_Gc:	__Paragraph_SEPARATOR}', "");
Expect(0, 8233, '\P{Is_Gc:	__Paragraph_SEPARATOR}', "");
Expect(1, 8233, '\P{^Is_Gc:	__Paragraph_SEPARATOR}', "");
Expect(0, 8234, '\p{Is_Gc:	__Paragraph_SEPARATOR}', "");
Expect(1, 8234, '\p{^Is_Gc:	__Paragraph_SEPARATOR}', "");
Expect(1, 8234, '\P{Is_Gc:	__Paragraph_SEPARATOR}', "");
Expect(0, 8234, '\P{^Is_Gc:	__Paragraph_SEPARATOR}', "");
Error('\p{Is_Category= :=Zp}');
Error('\P{Is_Category= :=Zp}');
Expect(1, 8233, '\p{Is_Category=zp}', "");
Expect(0, 8233, '\p{^Is_Category=zp}', "");
Expect(0, 8233, '\P{Is_Category=zp}', "");
Expect(1, 8233, '\P{^Is_Category=zp}', "");
Expect(0, 8234, '\p{Is_Category=zp}', "");
Expect(1, 8234, '\p{^Is_Category=zp}', "");
Expect(1, 8234, '\P{Is_Category=zp}', "");
Expect(0, 8234, '\P{^Is_Category=zp}', "");
Expect(1, 8233, '\p{Is_Category=- ZP}', "");
Expect(0, 8233, '\p{^Is_Category=- ZP}', "");
Expect(0, 8233, '\P{Is_Category=- ZP}', "");
Expect(1, 8233, '\P{^Is_Category=- ZP}', "");
Expect(0, 8234, '\p{Is_Category=- ZP}', "");
Expect(1, 8234, '\p{^Is_Category=- ZP}', "");
Expect(1, 8234, '\P{Is_Category=- ZP}', "");
Expect(0, 8234, '\P{^Is_Category=- ZP}', "");
Error('\p{General_Category=:=-	Space_separator}');
Error('\P{General_Category=:=-	Space_separator}');
Expect(1, 12288, '\p{General_Category=spaceseparator}', "");
Expect(0, 12288, '\p{^General_Category=spaceseparator}', "");
Expect(0, 12288, '\P{General_Category=spaceseparator}', "");
Expect(1, 12288, '\P{^General_Category=spaceseparator}', "");
Expect(0, 12289, '\p{General_Category=spaceseparator}', "");
Expect(1, 12289, '\p{^General_Category=spaceseparator}', "");
Expect(1, 12289, '\P{General_Category=spaceseparator}', "");
Expect(0, 12289, '\P{^General_Category=spaceseparator}', "");
Expect(1, 12288, '\p{General_Category=  Space_separator}', "");
Expect(0, 12288, '\p{^General_Category=  Space_separator}', "");
Expect(0, 12288, '\P{General_Category=  Space_separator}', "");
Expect(1, 12288, '\P{^General_Category=  Space_separator}', "");
Expect(0, 12289, '\p{General_Category=  Space_separator}', "");
Expect(1, 12289, '\p{^General_Category=  Space_separator}', "");
Expect(1, 12289, '\P{General_Category=  Space_separator}', "");
Expect(0, 12289, '\P{^General_Category=  Space_separator}', "");
Error('\p{Gc=/a/		ZS}');
Error('\P{Gc=/a/		ZS}');
Expect(1, 12288, '\p{Gc=zs}', "");
Expect(0, 12288, '\p{^Gc=zs}', "");
Expect(0, 12288, '\P{Gc=zs}', "");
Expect(1, 12288, '\P{^Gc=zs}', "");
Expect(0, 12289, '\p{Gc=zs}', "");
Expect(1, 12289, '\p{^Gc=zs}', "");
Expect(1, 12289, '\P{Gc=zs}', "");
Expect(0, 12289, '\P{^Gc=zs}', "");
Expect(1, 12288, '\p{Gc=Zs}', "");
Expect(0, 12288, '\p{^Gc=Zs}', "");
Expect(0, 12288, '\P{Gc=Zs}', "");
Expect(1, 12288, '\P{^Gc=Zs}', "");
Expect(0, 12289, '\p{Gc=Zs}', "");
Expect(1, 12289, '\p{^Gc=Zs}', "");
Expect(1, 12289, '\P{Gc=Zs}', "");
Expect(0, 12289, '\P{^Gc=Zs}', "");
Error('\p{Category=/a/	SPACE_separator}');
Error('\P{Category=/a/	SPACE_separator}');
Expect(1, 12288, '\p{Category=spaceseparator}', "");
Expect(0, 12288, '\p{^Category=spaceseparator}', "");
Expect(0, 12288, '\P{Category=spaceseparator}', "");
Expect(1, 12288, '\P{^Category=spaceseparator}', "");
Expect(0, 12289, '\p{Category=spaceseparator}', "");
Expect(1, 12289, '\p{^Category=spaceseparator}', "");
Expect(1, 12289, '\P{Category=spaceseparator}', "");
Expect(0, 12289, '\P{^Category=spaceseparator}', "");
Expect(1, 12288, '\p{Category:    Space_SEPARATOR}', "");
Expect(0, 12288, '\p{^Category:    Space_SEPARATOR}', "");
Expect(0, 12288, '\P{Category:    Space_SEPARATOR}', "");
Expect(1, 12288, '\P{^Category:    Space_SEPARATOR}', "");
Expect(0, 12289, '\p{Category:    Space_SEPARATOR}', "");
Expect(1, 12289, '\p{^Category:    Space_SEPARATOR}', "");
Expect(1, 12289, '\P{Category:    Space_SEPARATOR}', "");
Expect(0, 12289, '\P{^Category:    Space_SEPARATOR}', "");
Error('\p{Is_General_Category=/a/ZS}');
Error('\P{Is_General_Category=/a/ZS}');
Expect(1, 12288, '\p{Is_General_Category=zs}', "");
Expect(0, 12288, '\p{^Is_General_Category=zs}', "");
Expect(0, 12288, '\P{Is_General_Category=zs}', "");
Expect(1, 12288, '\P{^Is_General_Category=zs}', "");
Expect(0, 12289, '\p{Is_General_Category=zs}', "");
Expect(1, 12289, '\p{^Is_General_Category=zs}', "");
Expect(1, 12289, '\P{Is_General_Category=zs}', "");
Expect(0, 12289, '\P{^Is_General_Category=zs}', "");
Expect(1, 12288, '\p{Is_General_Category=- ZS}', "");
Expect(0, 12288, '\p{^Is_General_Category=- ZS}', "");
Expect(0, 12288, '\P{Is_General_Category=- ZS}', "");
Expect(1, 12288, '\P{^Is_General_Category=- ZS}', "");
Expect(0, 12289, '\p{Is_General_Category=- ZS}', "");
Expect(1, 12289, '\p{^Is_General_Category=- ZS}', "");
Expect(1, 12289, '\P{Is_General_Category=- ZS}', "");
Expect(0, 12289, '\P{^Is_General_Category=- ZS}', "");
Error('\p{Is_Gc=_/a/Space_SEPARATOR}');
Error('\P{Is_Gc=_/a/Space_SEPARATOR}');
Expect(1, 12288, '\p{Is_Gc=spaceseparator}', "");
Expect(0, 12288, '\p{^Is_Gc=spaceseparator}', "");
Expect(0, 12288, '\P{Is_Gc=spaceseparator}', "");
Expect(1, 12288, '\P{^Is_Gc=spaceseparator}', "");
Expect(0, 12289, '\p{Is_Gc=spaceseparator}', "");
Expect(1, 12289, '\p{^Is_Gc=spaceseparator}', "");
Expect(1, 12289, '\P{Is_Gc=spaceseparator}', "");
Expect(0, 12289, '\P{^Is_Gc=spaceseparator}', "");
Expect(1, 12288, '\p{Is_Gc= -space_Separator}', "");
Expect(0, 12288, '\p{^Is_Gc= -space_Separator}', "");
Expect(0, 12288, '\P{Is_Gc= -space_Separator}', "");
Expect(1, 12288, '\P{^Is_Gc= -space_Separator}', "");
Expect(0, 12289, '\p{Is_Gc= -space_Separator}', "");
Expect(1, 12289, '\p{^Is_Gc= -space_Separator}', "");
Expect(1, 12289, '\P{Is_Gc= -space_Separator}', "");
Expect(0, 12289, '\P{^Is_Gc= -space_Separator}', "");
Error('\p{Is_Category=/a/		Zs}');
Error('\P{Is_Category=/a/		Zs}');
Expect(1, 12288, '\p{Is_Category=zs}', "");
Expect(0, 12288, '\p{^Is_Category=zs}', "");
Expect(0, 12288, '\P{Is_Category=zs}', "");
Expect(1, 12288, '\P{^Is_Category=zs}', "");
Expect(0, 12289, '\p{Is_Category=zs}', "");
Expect(1, 12289, '\p{^Is_Category=zs}', "");
Expect(1, 12289, '\P{Is_Category=zs}', "");
Expect(0, 12289, '\P{^Is_Category=zs}', "");
Expect(1, 12288, '\p{Is_Category=_ ZS}', "");
Expect(0, 12288, '\p{^Is_Category=_ ZS}', "");
Expect(0, 12288, '\P{Is_Category=_ ZS}', "");
Expect(1, 12288, '\P{^Is_Category=_ ZS}', "");
Expect(0, 12289, '\p{Is_Category=_ ZS}', "");
Expect(1, 12289, '\p{^Is_Category=_ ZS}', "");
Expect(1, 12289, '\P{Is_Category=_ ZS}', "");
Expect(0, 12289, '\P{^Is_Category=_ ZS}', "");
Error('\p{Hangul_Syllable_Type=	 leading_Jamo:=}');
Error('\P{Hangul_Syllable_Type=	 leading_Jamo:=}');
Expect(1, 43388, '\p{Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 43388, '\p{^Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 43388, '\P{Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 43388, '\P{^Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 43389, '\p{Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 43389, '\p{^Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 43389, '\P{Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 43389, '\P{^Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 43388, '\p{Hangul_Syllable_Type=-_Leading_JAMO}', "");
Expect(0, 43388, '\p{^Hangul_Syllable_Type=-_Leading_JAMO}', "");
Expect(0, 43388, '\P{Hangul_Syllable_Type=-_Leading_JAMO}', "");
Expect(1, 43388, '\P{^Hangul_Syllable_Type=-_Leading_JAMO}', "");
Expect(0, 43389, '\p{Hangul_Syllable_Type=-_Leading_JAMO}', "");
Expect(1, 43389, '\p{^Hangul_Syllable_Type=-_Leading_JAMO}', "");
Expect(1, 43389, '\P{Hangul_Syllable_Type=-_Leading_JAMO}', "");
Expect(0, 43389, '\P{^Hangul_Syllable_Type=-_Leading_JAMO}', "");
Error('\p{Hst:   :=- L}');
Error('\P{Hst:   :=- L}');
Expect(1, 43388, '\p{Hst=l}', "");
Expect(0, 43388, '\p{^Hst=l}', "");
Expect(0, 43388, '\P{Hst=l}', "");
Expect(1, 43388, '\P{^Hst=l}', "");
Expect(0, 43389, '\p{Hst=l}', "");
Expect(1, 43389, '\p{^Hst=l}', "");
Expect(1, 43389, '\P{Hst=l}', "");
Expect(0, 43389, '\P{^Hst=l}', "");
Expect(1, 43388, '\p{Hst=	_L}', "");
Expect(0, 43388, '\p{^Hst=	_L}', "");
Expect(0, 43388, '\P{Hst=	_L}', "");
Expect(1, 43388, '\P{^Hst=	_L}', "");
Expect(0, 43389, '\p{Hst=	_L}', "");
Expect(1, 43389, '\p{^Hst=	_L}', "");
Expect(1, 43389, '\P{Hst=	_L}', "");
Expect(0, 43389, '\P{^Hst=	_L}', "");
Error('\p{Is_Hangul_Syllable_Type=_	Leading_jamo/a/}');
Error('\P{Is_Hangul_Syllable_Type=_	Leading_jamo/a/}');
Expect(1, 43388, '\p{Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 43388, '\p{^Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 43388, '\P{Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 43388, '\P{^Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 43389, '\p{Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 43389, '\p{^Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 43389, '\P{Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(0, 43389, '\P{^Is_Hangul_Syllable_Type=leadingjamo}', "");
Expect(1, 43388, '\p{Is_Hangul_Syllable_Type= Leading_jamo}', "");
Expect(0, 43388, '\p{^Is_Hangul_Syllable_Type= Leading_jamo}', "");
Expect(0, 43388, '\P{Is_Hangul_Syllable_Type= Leading_jamo}', "");
Expect(1, 43388, '\P{^Is_Hangul_Syllable_Type= Leading_jamo}', "");
Expect(0, 43389, '\p{Is_Hangul_Syllable_Type= Leading_jamo}', "");
Expect(1, 43389, '\p{^Is_Hangul_Syllable_Type= Leading_jamo}', "");
Expect(1, 43389, '\P{Is_Hangul_Syllable_Type= Leading_jamo}', "");
Expect(0, 43389, '\P{^Is_Hangul_Syllable_Type= Leading_jamo}', "");
Error('\p{Is_Hst=_	l:=}');
Error('\P{Is_Hst=_	l:=}');
Expect(1, 43388, '\p{Is_Hst=l}', "");
Expect(0, 43388, '\p{^Is_Hst=l}', "");
Expect(0, 43388, '\P{Is_Hst=l}', "");
Expect(1, 43388, '\P{^Is_Hst=l}', "");
Expect(0, 43389, '\p{Is_Hst=l}', "");
Expect(1, 43389, '\p{^Is_Hst=l}', "");
Expect(1, 43389, '\P{Is_Hst=l}', "");
Expect(0, 43389, '\P{^Is_Hst=l}', "");
Expect(1, 43388, '\p{Is_Hst=L}', "");
Expect(0, 43388, '\p{^Is_Hst=L}', "");
Expect(0, 43388, '\P{Is_Hst=L}', "");
Expect(1, 43388, '\P{^Is_Hst=L}', "");
Expect(0, 43389, '\p{Is_Hst=L}', "");
Expect(1, 43389, '\p{^Is_Hst=L}', "");
Expect(1, 43389, '\P{Is_Hst=L}', "");
Expect(0, 43389, '\P{^Is_Hst=L}', "");
Error('\p{Hangul_Syllable_Type= 	LV_Syllable/a/}');
Error('\P{Hangul_Syllable_Type= 	LV_Syllable/a/}');
Expect(1, 55176, '\p{Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 55176, '\p{^Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 55176, '\P{Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 55176, '\P{^Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 55177, '\p{Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 55177, '\p{^Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 55177, '\P{Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 55177, '\P{^Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 55176, '\p{Hangul_Syllable_Type=  LV_Syllable}', "");
Expect(0, 55176, '\p{^Hangul_Syllable_Type=  LV_Syllable}', "");
Expect(0, 55176, '\P{Hangul_Syllable_Type=  LV_Syllable}', "");
Expect(1, 55176, '\P{^Hangul_Syllable_Type=  LV_Syllable}', "");
Expect(0, 55177, '\p{Hangul_Syllable_Type=  LV_Syllable}', "");
Expect(1, 55177, '\p{^Hangul_Syllable_Type=  LV_Syllable}', "");
Expect(1, 55177, '\P{Hangul_Syllable_Type=  LV_Syllable}', "");
Expect(0, 55177, '\P{^Hangul_Syllable_Type=  LV_Syllable}', "");
Error('\p{Hst=:=		LV}');
Error('\P{Hst=:=		LV}');
Expect(1, 55176, '\p{Hst=lv}', "");
Expect(0, 55176, '\p{^Hst=lv}', "");
Expect(0, 55176, '\P{Hst=lv}', "");
Expect(1, 55176, '\P{^Hst=lv}', "");
Expect(0, 55177, '\p{Hst=lv}', "");
Expect(1, 55177, '\p{^Hst=lv}', "");
Expect(1, 55177, '\P{Hst=lv}', "");
Expect(0, 55177, '\P{^Hst=lv}', "");
Expect(1, 55176, '\p{Hst=_	LV}', "");
Expect(0, 55176, '\p{^Hst=_	LV}', "");
Expect(0, 55176, '\P{Hst=_	LV}', "");
Expect(1, 55176, '\P{^Hst=_	LV}', "");
Expect(0, 55177, '\p{Hst=_	LV}', "");
Expect(1, 55177, '\p{^Hst=_	LV}', "");
Expect(1, 55177, '\P{Hst=_	LV}', "");
Expect(0, 55177, '\P{^Hst=_	LV}', "");
Error('\p{Is_Hangul_Syllable_Type:_:=lv_Syllable}');
Error('\P{Is_Hangul_Syllable_Type:_:=lv_Syllable}');
Expect(1, 55176, '\p{Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 55176, '\p{^Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 55176, '\P{Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 55176, '\P{^Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 55177, '\p{Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 55177, '\p{^Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 55177, '\P{Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(0, 55177, '\P{^Is_Hangul_Syllable_Type=lvsyllable}', "");
Expect(1, 55176, '\p{Is_Hangul_Syllable_Type=-lv_SYLLABLE}', "");
Expect(0, 55176, '\p{^Is_Hangul_Syllable_Type=-lv_SYLLABLE}', "");
Expect(0, 55176, '\P{Is_Hangul_Syllable_Type=-lv_SYLLABLE}', "");
Expect(1, 55176, '\P{^Is_Hangul_Syllable_Type=-lv_SYLLABLE}', "");
Expect(0, 55177, '\p{Is_Hangul_Syllable_Type=-lv_SYLLABLE}', "");
Expect(1, 55177, '\p{^Is_Hangul_Syllable_Type=-lv_SYLLABLE}', "");
Expect(1, 55177, '\P{Is_Hangul_Syllable_Type=-lv_SYLLABLE}', "");
Expect(0, 55177, '\P{^Is_Hangul_Syllable_Type=-lv_SYLLABLE}', "");
Error('\p{Is_Hst=  LV:=}');
Error('\P{Is_Hst=  LV:=}');
Expect(1, 55176, '\p{Is_Hst=lv}', "");
Expect(0, 55176, '\p{^Is_Hst=lv}', "");
Expect(0, 55176, '\P{Is_Hst=lv}', "");
Expect(1, 55176, '\P{^Is_Hst=lv}', "");
Expect(0, 55177, '\p{Is_Hst=lv}', "");
Expect(1, 55177, '\p{^Is_Hst=lv}', "");
Expect(1, 55177, '\P{Is_Hst=lv}', "");
Expect(0, 55177, '\P{^Is_Hst=lv}', "");
Expect(1, 55176, '\p{Is_Hst=		lv}', "");
Expect(0, 55176, '\p{^Is_Hst=		lv}', "");
Expect(0, 55176, '\P{Is_Hst=		lv}', "");
Expect(1, 55176, '\P{^Is_Hst=		lv}', "");
Expect(0, 55177, '\p{Is_Hst=		lv}', "");
Expect(1, 55177, '\p{^Is_Hst=		lv}', "");
Expect(1, 55177, '\P{Is_Hst=		lv}', "");
Expect(0, 55177, '\P{^Is_Hst=		lv}', "");
Error('\p{Hangul_Syllable_Type=	:=lvt_syllable}');
Error('\P{Hangul_Syllable_Type=	:=lvt_syllable}');
Expect(1, 55203, '\p{Hangul_Syllable_Type=lvtsyllable}', "");
Expect(0, 55203, '\p{^Hangul_Syllable_Type=lvtsyllable}', "");
Expect(0, 55203, '\P{Hangul_Syllable_Type=lvtsyllable}', "");
Expect(1, 55203, '\P{^Hangul_Syllable_Type=lvtsyllable}', "");
Expect(0, 55204, '\p{Hangul_Syllable_Type=lvtsyllable}', "");
Expect(1, 55204, '\p{^Hangul_Syllable_Type=lvtsyllable}', "");
Expect(1, 55204, '\P{Hangul_Syllable_Type=lvtsyllable}', "");
Expect(0, 55204, '\P{^Hangul_Syllable_Type=lvtsyllable}', "");
Expect(1, 55203, '\p{Hangul_Syllable_Type:    lvt_Syllable}', "");
Expect(0, 55203, '\p{^Hangul_Syllable_Type:    lvt_Syllable}', "");
Expect(0, 55203, '\P{Hangul_Syllable_Type:    lvt_Syllable}', "");
Expect(1, 55203, '\P{^Hangul_Syllable_Type:    lvt_Syllable}', "");
Expect(0, 55204, '\p{Hangul_Syllable_Type:    lvt_Syllable}', "");
Expect(1, 55204, '\p{^Hangul_Syllable_Type:    lvt_Syllable}', "");
Expect(1, 55204, '\P{Hangul_Syllable_Type:    lvt_Syllable}', "");
Expect(0, 55204, '\P{^Hangul_Syllable_Type:    lvt_Syllable}', "");
Error('\p{Hst=-	LVT/a/}');
Error('\P{Hst=-	LVT/a/}');
Expect(1, 55203, '\p{Hst=lvt}', "");
Expect(0, 55203, '\p{^Hst=lvt}', "");
Expect(0, 55203, '\P{Hst=lvt}', "");
Expect(1, 55203, '\P{^Hst=lvt}', "");
Expect(0, 55204, '\p{Hst=lvt}', "");
Expect(1, 55204, '\p{^Hst=lvt}', "");
Expect(1, 55204, '\P{Hst=lvt}', "");
Expect(0, 55204, '\P{^Hst=lvt}', "");
Expect(1, 55203, '\p{Hst=  LVT}', "");
Expect(0, 55203, '\p{^Hst=  LVT}', "");
Expect(0, 55203, '\P{Hst=  LVT}', "");
Expect(1, 55203, '\P{^Hst=  LVT}', "");
Expect(0, 55204, '\p{Hst=  LVT}', "");
Expect(1, 55204, '\p{^Hst=  LVT}', "");
Expect(1, 55204, '\P{Hst=  LVT}', "");
Expect(0, 55204, '\P{^Hst=  LVT}', "");
Error('\p{Is_Hangul_Syllable_Type=/a/	-LVT_SYLLABLE}');
Error('\P{Is_Hangul_Syllable_Type=/a/	-LVT_SYLLABLE}');
Expect(1, 55203, '\p{Is_Hangul_Syllable_Type=lvtsyllable}', "");
Expect(0, 55203, '\p{^Is_Hangul_Syllable_Type=lvtsyllable}', "");
Expect(0, 55203, '\P{Is_Hangul_Syllable_Type=lvtsyllable}', "");
Expect(1, 55203, '\P{^Is_Hangul_Syllable_Type=lvtsyllable}', "");
Expect(0, 55204, '\p{Is_Hangul_Syllable_Type=lvtsyllable}', "");
Expect(1, 55204, '\p{^Is_Hangul_Syllable_Type=lvtsyllable}', "");
Expect(1, 55204, '\P{Is_Hangul_Syllable_Type=lvtsyllable}', "");
Expect(0, 55204, '\P{^Is_Hangul_Syllable_Type=lvtsyllable}', "");
Expect(1, 55203, '\p{Is_Hangul_Syllable_Type=	-LVT_Syllable}', "");
Expect(0, 55203, '\p{^Is_Hangul_Syllable_Type=	-LVT_Syllable}', "");
Expect(0, 55203, '\P{Is_Hangul_Syllable_Type=	-LVT_Syllable}', "");
Expect(1, 55203, '\P{^Is_Hangul_Syllable_Type=	-LVT_Syllable}', "");
Expect(0, 55204, '\p{Is_Hangul_Syllable_Type=	-LVT_Syllable}', "");
Expect(1, 55204, '\p{^Is_Hangul_Syllable_Type=	-LVT_Syllable}', "");
Expect(1, 55204, '\P{Is_Hangul_Syllable_Type=	-LVT_Syllable}', "");
Expect(0, 55204, '\P{^Is_Hangul_Syllable_Type=	-LVT_Syllable}', "");
Error('\p{Is_Hst=:=- LVT}');
Error('\P{Is_Hst=:=- LVT}');
Expect(1, 55203, '\p{Is_Hst=lvt}', "");
Expect(0, 55203, '\p{^Is_Hst=lvt}', "");
Expect(0, 55203, '\P{Is_Hst=lvt}', "");
Expect(1, 55203, '\P{^Is_Hst=lvt}', "");
Expect(0, 55204, '\p{Is_Hst=lvt}', "");
Expect(1, 55204, '\p{^Is_Hst=lvt}', "");
Expect(1, 55204, '\P{Is_Hst=lvt}', "");
Expect(0, 55204, '\P{^Is_Hst=lvt}', "");
Expect(1, 55203, '\p{Is_Hst=	 lvt}', "");
Expect(0, 55203, '\p{^Is_Hst=	 lvt}', "");
Expect(0, 55203, '\P{Is_Hst=	 lvt}', "");
Expect(1, 55203, '\P{^Is_Hst=	 lvt}', "");
Expect(0, 55204, '\p{Is_Hst=	 lvt}', "");
Expect(1, 55204, '\p{^Is_Hst=	 lvt}', "");
Expect(1, 55204, '\P{Is_Hst=	 lvt}', "");
Expect(0, 55204, '\P{^Is_Hst=	 lvt}', "");
Error('\p{Hangul_Syllable_Type=	Not_applicable/a/}');
Error('\P{Hangul_Syllable_Type=	Not_applicable/a/}');
Expect(1, 55292, '\p{Hangul_Syllable_Type=notapplicable}', "");
Expect(0, 55292, '\p{^Hangul_Syllable_Type=notapplicable}', "");
Expect(0, 55292, '\P{Hangul_Syllable_Type=notapplicable}', "");
Expect(1, 55292, '\P{^Hangul_Syllable_Type=notapplicable}', "");
Expect(0, 55291, '\p{Hangul_Syllable_Type=notapplicable}', "");
Expect(1, 55291, '\p{^Hangul_Syllable_Type=notapplicable}', "");
Expect(1, 55291, '\P{Hangul_Syllable_Type=notapplicable}', "");
Expect(0, 55291, '\P{^Hangul_Syllable_Type=notapplicable}', "");
Expect(1, 55292, '\p{Hangul_Syllable_Type=	 NOT_Applicable}', "");
Expect(0, 55292, '\p{^Hangul_Syllable_Type=	 NOT_Applicable}', "");
Expect(0, 55292, '\P{Hangul_Syllable_Type=	 NOT_Applicable}', "");
Expect(1, 55292, '\P{^Hangul_Syllable_Type=	 NOT_Applicable}', "");
Expect(0, 55291, '\p{Hangul_Syllable_Type=	 NOT_Applicable}', "");
Expect(1, 55291, '\p{^Hangul_Syllable_Type=	 NOT_Applicable}', "");
Expect(1, 55291, '\P{Hangul_Syllable_Type=	 NOT_Applicable}', "");
Expect(0, 55291, '\P{^Hangul_Syllable_Type=	 NOT_Applicable}', "");
Error('\p{Hst=/a/-	NA}');
Error('\P{Hst=/a/-	NA}');
Expect(1, 55292, '\p{Hst=na}', "");
Expect(0, 55292, '\p{^Hst=na}', "");
Expect(0, 55292, '\P{Hst=na}', "");
Expect(1, 55292, '\P{^Hst=na}', "");
Expect(0, 55291, '\p{Hst=na}', "");
Expect(1, 55291, '\p{^Hst=na}', "");
Expect(1, 55291, '\P{Hst=na}', "");
Expect(0, 55291, '\P{^Hst=na}', "");
Expect(1, 55292, '\p{Hst=-_NA}', "");
Expect(0, 55292, '\p{^Hst=-_NA}', "");
Expect(0, 55292, '\P{Hst=-_NA}', "");
Expect(1, 55292, '\P{^Hst=-_NA}', "");
Expect(0, 55291, '\p{Hst=-_NA}', "");
Expect(1, 55291, '\p{^Hst=-_NA}', "");
Expect(1, 55291, '\P{Hst=-_NA}', "");
Expect(0, 55291, '\P{^Hst=-_NA}', "");
Error('\p{Is_Hangul_Syllable_Type= not_APPLICABLE:=}');
Error('\P{Is_Hangul_Syllable_Type= not_APPLICABLE:=}');
Expect(1, 55292, '\p{Is_Hangul_Syllable_Type=notapplicable}', "");
Expect(0, 55292, '\p{^Is_Hangul_Syllable_Type=notapplicable}', "");
Expect(0, 55292, '\P{Is_Hangul_Syllable_Type=notapplicable}', "");
Expect(1, 55292, '\P{^Is_Hangul_Syllable_Type=notapplicable}', "");
Expect(0, 55291, '\p{Is_Hangul_Syllable_Type=notapplicable}', "");
Expect(1, 55291, '\p{^Is_Hangul_Syllable_Type=notapplicable}', "");
Expect(1, 55291, '\P{Is_Hangul_Syllable_Type=notapplicable}', "");
Expect(0, 55291, '\P{^Is_Hangul_Syllable_Type=notapplicable}', "");
Expect(1, 55292, '\p{Is_Hangul_Syllable_Type=	 NOT_Applicable}', "");
Expect(0, 55292, '\p{^Is_Hangul_Syllable_Type=	 NOT_Applicable}', "");
Expect(0, 55292, '\P{Is_Hangul_Syllable_Type=	 NOT_Applicable}', "");
Expect(1, 55292, '\P{^Is_Hangul_Syllable_Type=	 NOT_Applicable}', "");
Expect(0, 55291, '\p{Is_Hangul_Syllable_Type=	 NOT_Applicable}', "");
Expect(1, 55291, '\p{^Is_Hangul_Syllable_Type=	 NOT_Applicable}', "");
Expect(1, 55291, '\P{Is_Hangul_Syllable_Type=	 NOT_Applicable}', "");
Expect(0, 55291, '\P{^Is_Hangul_Syllable_Type=	 NOT_Applicable}', "");
Error('\p{Is_Hst=-/a/NA}');
Error('\P{Is_Hst=-/a/NA}');
Expect(1, 55292, '\p{Is_Hst=na}', "");
Expect(0, 55292, '\p{^Is_Hst=na}', "");
Expect(0, 55292, '\P{Is_Hst=na}', "");
Expect(1, 55292, '\P{^Is_Hst=na}', "");
Expect(0, 55291, '\p{Is_Hst=na}', "");
Expect(1, 55291, '\p{^Is_Hst=na}', "");
Expect(1, 55291, '\P{Is_Hst=na}', "");
Expect(0, 55291, '\P{^Is_Hst=na}', "");
Expect(1, 55292, '\p{Is_Hst=NA}', "");
Expect(0, 55292, '\p{^Is_Hst=NA}', "");
Expect(0, 55292, '\P{Is_Hst=NA}', "");
Expect(1, 55292, '\P{^Is_Hst=NA}', "");
Expect(0, 55291, '\p{Is_Hst=NA}', "");
Expect(1, 55291, '\p{^Is_Hst=NA}', "");
Expect(1, 55291, '\P{Is_Hst=NA}', "");
Expect(0, 55291, '\P{^Is_Hst=NA}', "");
Error('\p{Hangul_Syllable_Type=:=Trailing_JAMO}');
Error('\P{Hangul_Syllable_Type=:=Trailing_JAMO}');
Expect(1, 55291, '\p{Hangul_Syllable_Type=trailingjamo}', "");
Expect(0, 55291, '\p{^Hangul_Syllable_Type=trailingjamo}', "");
Expect(0, 55291, '\P{Hangul_Syllable_Type=trailingjamo}', "");
Expect(1, 55291, '\P{^Hangul_Syllable_Type=trailingjamo}', "");
Expect(0, 55292, '\p{Hangul_Syllable_Type=trailingjamo}', "");
Expect(1, 55292, '\p{^Hangul_Syllable_Type=trailingjamo}', "");
Expect(1, 55292, '\P{Hangul_Syllable_Type=trailingjamo}', "");
Expect(0, 55292, '\P{^Hangul_Syllable_Type=trailingjamo}', "");
Expect(1, 55291, '\p{Hangul_Syllable_Type= trailing_JAMO}', "");
Expect(0, 55291, '\p{^Hangul_Syllable_Type= trailing_JAMO}', "");
Expect(0, 55291, '\P{Hangul_Syllable_Type= trailing_JAMO}', "");
Expect(1, 55291, '\P{^Hangul_Syllable_Type= trailing_JAMO}', "");
Expect(0, 55292, '\p{Hangul_Syllable_Type= trailing_JAMO}', "");
Expect(1, 55292, '\p{^Hangul_Syllable_Type= trailing_JAMO}', "");
Expect(1, 55292, '\P{Hangul_Syllable_Type= trailing_JAMO}', "");
Expect(0, 55292, '\P{^Hangul_Syllable_Type= trailing_JAMO}', "");
Error('\p{Hst=:=t}');
Error('\P{Hst=:=t}');
Expect(1, 55291, '\p{Hst=t}', "");
Expect(0, 55291, '\p{^Hst=t}', "");
Expect(0, 55291, '\P{Hst=t}', "");
Expect(1, 55291, '\P{^Hst=t}', "");
Expect(0, 55292, '\p{Hst=t}', "");
Expect(1, 55292, '\p{^Hst=t}', "");
Expect(1, 55292, '\P{Hst=t}', "");
Expect(0, 55292, '\P{^Hst=t}', "");
Expect(1, 55291, '\p{Hst= T}', "");
Expect(0, 55291, '\p{^Hst= T}', "");
Expect(0, 55291, '\P{Hst= T}', "");
Expect(1, 55291, '\P{^Hst= T}', "");
Expect(0, 55292, '\p{Hst= T}', "");
Expect(1, 55292, '\p{^Hst= T}', "");
Expect(1, 55292, '\P{Hst= T}', "");
Expect(0, 55292, '\P{^Hst= T}', "");
Error('\p{Is_Hangul_Syllable_Type=--trailing_JAMO:=}');
Error('\P{Is_Hangul_Syllable_Type=--trailing_JAMO:=}');
Expect(1, 55291, '\p{Is_Hangul_Syllable_Type=trailingjamo}', "");
Expect(0, 55291, '\p{^Is_Hangul_Syllable_Type=trailingjamo}', "");
Expect(0, 55291, '\P{Is_Hangul_Syllable_Type=trailingjamo}', "");
Expect(1, 55291, '\P{^Is_Hangul_Syllable_Type=trailingjamo}', "");
Expect(0, 55292, '\p{Is_Hangul_Syllable_Type=trailingjamo}', "");
Expect(1, 55292, '\p{^Is_Hangul_Syllable_Type=trailingjamo}', "");
Expect(1, 55292, '\P{Is_Hangul_Syllable_Type=trailingjamo}', "");
Expect(0, 55292, '\P{^Is_Hangul_Syllable_Type=trailingjamo}', "");
Expect(1, 55291, '\p{Is_Hangul_Syllable_Type=--TRAILING_Jamo}', "");
Expect(0, 55291, '\p{^Is_Hangul_Syllable_Type=--TRAILING_Jamo}', "");
Expect(0, 55291, '\P{Is_Hangul_Syllable_Type=--TRAILING_Jamo}', "");
Expect(1, 55291, '\P{^Is_Hangul_Syllable_Type=--TRAILING_Jamo}', "");
Expect(0, 55292, '\p{Is_Hangul_Syllable_Type=--TRAILING_Jamo}', "");
Expect(1, 55292, '\p{^Is_Hangul_Syllable_Type=--TRAILING_Jamo}', "");
Expect(1, 55292, '\P{Is_Hangul_Syllable_Type=--TRAILING_Jamo}', "");
Expect(0, 55292, '\P{^Is_Hangul_Syllable_Type=--TRAILING_Jamo}', "");
Error('\p{Is_Hst=:=_t}');
Error('\P{Is_Hst=:=_t}');
Expect(1, 55291, '\p{Is_Hst=t}', "");
Expect(0, 55291, '\p{^Is_Hst=t}', "");
Expect(0, 55291, '\P{Is_Hst=t}', "");
Expect(1, 55291, '\P{^Is_Hst=t}', "");
Expect(0, 55292, '\p{Is_Hst=t}', "");
Expect(1, 55292, '\p{^Is_Hst=t}', "");
Expect(1, 55292, '\P{Is_Hst=t}', "");
Expect(0, 55292, '\P{^Is_Hst=t}', "");
Expect(1, 55291, '\p{Is_Hst=- T}', "");
Expect(0, 55291, '\p{^Is_Hst=- T}', "");
Expect(0, 55291, '\P{Is_Hst=- T}', "");
Expect(1, 55291, '\P{^Is_Hst=- T}', "");
Expect(0, 55292, '\p{Is_Hst=- T}', "");
Expect(1, 55292, '\p{^Is_Hst=- T}', "");
Expect(1, 55292, '\P{Is_Hst=- T}', "");
Expect(0, 55292, '\P{^Is_Hst=- T}', "");
Error('\p{Hangul_Syllable_Type:	_:=vowel_jamo}');
Error('\P{Hangul_Syllable_Type:	_:=vowel_jamo}');
Expect(1, 55238, '\p{Hangul_Syllable_Type=voweljamo}', "");
Expect(0, 55238, '\p{^Hangul_Syllable_Type=voweljamo}', "");
Expect(0, 55238, '\P{Hangul_Syllable_Type=voweljamo}', "");
Expect(1, 55238, '\P{^Hangul_Syllable_Type=voweljamo}', "");
Expect(0, 55239, '\p{Hangul_Syllable_Type=voweljamo}', "");
Expect(1, 55239, '\p{^Hangul_Syllable_Type=voweljamo}', "");
Expect(1, 55239, '\P{Hangul_Syllable_Type=voweljamo}', "");
Expect(0, 55239, '\P{^Hangul_Syllable_Type=voweljamo}', "");
Expect(1, 55238, '\p{Hangul_Syllable_Type= -VOWEL_jamo}', "");
Expect(0, 55238, '\p{^Hangul_Syllable_Type= -VOWEL_jamo}', "");
Expect(0, 55238, '\P{Hangul_Syllable_Type= -VOWEL_jamo}', "");
Expect(1, 55238, '\P{^Hangul_Syllable_Type= -VOWEL_jamo}', "");
Expect(0, 55239, '\p{Hangul_Syllable_Type= -VOWEL_jamo}', "");
Expect(1, 55239, '\p{^Hangul_Syllable_Type= -VOWEL_jamo}', "");
Expect(1, 55239, '\P{Hangul_Syllable_Type= -VOWEL_jamo}', "");
Expect(0, 55239, '\P{^Hangul_Syllable_Type= -VOWEL_jamo}', "");
Error('\p{Hst=_/a/V}');
Error('\P{Hst=_/a/V}');
Expect(1, 55238, '\p{Hst=v}', "");
Expect(0, 55238, '\p{^Hst=v}', "");
Expect(0, 55238, '\P{Hst=v}', "");
Expect(1, 55238, '\P{^Hst=v}', "");
Expect(0, 55239, '\p{Hst=v}', "");
Expect(1, 55239, '\p{^Hst=v}', "");
Expect(1, 55239, '\P{Hst=v}', "");
Expect(0, 55239, '\P{^Hst=v}', "");
Expect(1, 55238, '\p{Hst=_v}', "");
Expect(0, 55238, '\p{^Hst=_v}', "");
Expect(0, 55238, '\P{Hst=_v}', "");
Expect(1, 55238, '\P{^Hst=_v}', "");
Expect(0, 55239, '\p{Hst=_v}', "");
Expect(1, 55239, '\p{^Hst=_v}', "");
Expect(1, 55239, '\P{Hst=_v}', "");
Expect(0, 55239, '\P{^Hst=_v}', "");
Error('\p{Is_Hangul_Syllable_Type=_:=VOWEL_jamo}');
Error('\P{Is_Hangul_Syllable_Type=_:=VOWEL_jamo}');
Expect(1, 55238, '\p{Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(0, 55238, '\p{^Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(0, 55238, '\P{Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(1, 55238, '\P{^Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(0, 55239, '\p{Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(1, 55239, '\p{^Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(1, 55239, '\P{Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(0, 55239, '\P{^Is_Hangul_Syllable_Type=voweljamo}', "");
Expect(1, 55238, '\p{Is_Hangul_Syllable_Type=	Vowel_Jamo}', "");
Expect(0, 55238, '\p{^Is_Hangul_Syllable_Type=	Vowel_Jamo}', "");
Expect(0, 55238, '\P{Is_Hangul_Syllable_Type=	Vowel_Jamo}', "");
Expect(1, 55238, '\P{^Is_Hangul_Syllable_Type=	Vowel_Jamo}', "");
Expect(0, 55239, '\p{Is_Hangul_Syllable_Type=	Vowel_Jamo}', "");
Expect(1, 55239, '\p{^Is_Hangul_Syllable_Type=	Vowel_Jamo}', "");
Expect(1, 55239, '\P{Is_Hangul_Syllable_Type=	Vowel_Jamo}', "");
Expect(0, 55239, '\P{^Is_Hangul_Syllable_Type=	Vowel_Jamo}', "");
Error('\p{Is_Hst=-	V:=}');
Error('\P{Is_Hst=-	V:=}');
Expect(1, 55238, '\p{Is_Hst:   v}', "");
Expect(0, 55238, '\p{^Is_Hst:   v}', "");
Expect(0, 55238, '\P{Is_Hst:   v}', "");
Expect(1, 55238, '\P{^Is_Hst:   v}', "");
Expect(0, 55239, '\p{Is_Hst:   v}', "");
Expect(1, 55239, '\p{^Is_Hst:   v}', "");
Expect(1, 55239, '\P{Is_Hst:   v}', "");
Expect(0, 55239, '\P{^Is_Hst:   v}', "");
Expect(1, 55238, '\p{Is_Hst=  V}', "");
Expect(0, 55238, '\p{^Is_Hst=  V}', "");
Expect(0, 55238, '\P{Is_Hst=  V}', "");
Expect(1, 55238, '\P{^Is_Hst=  V}', "");
Expect(0, 55239, '\p{Is_Hst=  V}', "");
Expect(1, 55239, '\p{^Is_Hst=  V}', "");
Expect(1, 55239, '\P{Is_Hst=  V}', "");
Expect(0, 55239, '\P{^Is_Hst=  V}', "");
Error('\p{Joining_Group=_Ain/a/}');
Error('\P{Joining_Group=_Ain/a/}');
Expect(1, 2227, '\p{Joining_Group=ain}', "");
Expect(0, 2227, '\p{^Joining_Group=ain}', "");
Expect(0, 2227, '\P{Joining_Group=ain}', "");
Expect(1, 2227, '\P{^Joining_Group=ain}', "");
Expect(0, 2228, '\p{Joining_Group=ain}', "");
Expect(1, 2228, '\p{^Joining_Group=ain}', "");
Expect(1, 2228, '\P{Joining_Group=ain}', "");
Expect(0, 2228, '\P{^Joining_Group=ain}', "");
Expect(1, 2227, '\p{Joining_Group=	-Ain}', "");
Expect(0, 2227, '\p{^Joining_Group=	-Ain}', "");
Expect(0, 2227, '\P{Joining_Group=	-Ain}', "");
Expect(1, 2227, '\P{^Joining_Group=	-Ain}', "");
Expect(0, 2228, '\p{Joining_Group=	-Ain}', "");
Expect(1, 2228, '\p{^Joining_Group=	-Ain}', "");
Expect(1, 2228, '\P{Joining_Group=	-Ain}', "");
Expect(0, 2228, '\P{^Joining_Group=	-Ain}', "");
Error('\p{Jg=-	Ain:=}');
Error('\P{Jg=-	Ain:=}');
Expect(1, 2227, '\p{Jg=ain}', "");
Expect(0, 2227, '\p{^Jg=ain}', "");
Expect(0, 2227, '\P{Jg=ain}', "");
Expect(1, 2227, '\P{^Jg=ain}', "");
Expect(0, 2228, '\p{Jg=ain}', "");
Expect(1, 2228, '\p{^Jg=ain}', "");
Expect(1, 2228, '\P{Jg=ain}', "");
Expect(0, 2228, '\P{^Jg=ain}', "");
Expect(1, 2227, '\p{Jg=- Ain}', "");
Expect(0, 2227, '\p{^Jg=- Ain}', "");
Expect(0, 2227, '\P{Jg=- Ain}', "");
Expect(1, 2227, '\P{^Jg=- Ain}', "");
Expect(0, 2228, '\p{Jg=- Ain}', "");
Expect(1, 2228, '\p{^Jg=- Ain}', "");
Expect(1, 2228, '\P{Jg=- Ain}', "");
Expect(0, 2228, '\P{^Jg=- Ain}', "");
Error('\p{Is_Joining_Group=:=-	ain}');
Error('\P{Is_Joining_Group=:=-	ain}');
Expect(1, 2227, '\p{Is_Joining_Group=ain}', "");
Expect(0, 2227, '\p{^Is_Joining_Group=ain}', "");
Expect(0, 2227, '\P{Is_Joining_Group=ain}', "");
Expect(1, 2227, '\P{^Is_Joining_Group=ain}', "");
Expect(0, 2228, '\p{Is_Joining_Group=ain}', "");
Expect(1, 2228, '\p{^Is_Joining_Group=ain}', "");
Expect(1, 2228, '\P{Is_Joining_Group=ain}', "");
Expect(0, 2228, '\P{^Is_Joining_Group=ain}', "");
Expect(1, 2227, '\p{Is_Joining_Group=--Ain}', "");
Expect(0, 2227, '\p{^Is_Joining_Group=--Ain}', "");
Expect(0, 2227, '\P{Is_Joining_Group=--Ain}', "");
Expect(1, 2227, '\P{^Is_Joining_Group=--Ain}', "");
Expect(0, 2228, '\p{Is_Joining_Group=--Ain}', "");
Expect(1, 2228, '\p{^Is_Joining_Group=--Ain}', "");
Expect(1, 2228, '\P{Is_Joining_Group=--Ain}', "");
Expect(0, 2228, '\P{^Is_Joining_Group=--Ain}', "");
Error('\p{Is_Jg=-	AIN:=}');
Error('\P{Is_Jg=-	AIN:=}');
Expect(1, 2227, '\p{Is_Jg=ain}', "");
Expect(0, 2227, '\p{^Is_Jg=ain}', "");
Expect(0, 2227, '\P{Is_Jg=ain}', "");
Expect(1, 2227, '\P{^Is_Jg=ain}', "");
Expect(0, 2228, '\p{Is_Jg=ain}', "");
Expect(1, 2228, '\p{^Is_Jg=ain}', "");
Expect(1, 2228, '\P{Is_Jg=ain}', "");
Expect(0, 2228, '\P{^Is_Jg=ain}', "");
Expect(1, 2227, '\p{Is_Jg:   _ain}', "");
Expect(0, 2227, '\p{^Is_Jg:   _ain}', "");
Expect(0, 2227, '\P{Is_Jg:   _ain}', "");
Expect(1, 2227, '\P{^Is_Jg:   _ain}', "");
Expect(0, 2228, '\p{Is_Jg:   _ain}', "");
Expect(1, 2228, '\p{^Is_Jg:   _ain}', "");
Expect(1, 2228, '\P{Is_Jg:   _ain}', "");
Expect(0, 2228, '\P{^Is_Jg:   _ain}', "");
Error('\p{Joining_Group=:=ALAPH}');
Error('\P{Joining_Group=:=ALAPH}');
Expect(1, 1808, '\p{Joining_Group=alaph}', "");
Expect(0, 1808, '\p{^Joining_Group=alaph}', "");
Expect(0, 1808, '\P{Joining_Group=alaph}', "");
Expect(1, 1808, '\P{^Joining_Group=alaph}', "");
Expect(0, 1809, '\p{Joining_Group=alaph}', "");
Expect(1, 1809, '\p{^Joining_Group=alaph}', "");
Expect(1, 1809, '\P{Joining_Group=alaph}', "");
Expect(0, 1809, '\P{^Joining_Group=alaph}', "");
Expect(1, 1808, '\p{Joining_Group=	alaph}', "");
Expect(0, 1808, '\p{^Joining_Group=	alaph}', "");
Expect(0, 1808, '\P{Joining_Group=	alaph}', "");
Expect(1, 1808, '\P{^Joining_Group=	alaph}', "");
Expect(0, 1809, '\p{Joining_Group=	alaph}', "");
Expect(1, 1809, '\p{^Joining_Group=	alaph}', "");
Expect(1, 1809, '\P{Joining_Group=	alaph}', "");
Expect(0, 1809, '\P{^Joining_Group=	alaph}', "");
Error('\p{Jg: :=ALAPH}');
Error('\P{Jg: :=ALAPH}');
Expect(1, 1808, '\p{Jg=alaph}', "");
Expect(0, 1808, '\p{^Jg=alaph}', "");
Expect(0, 1808, '\P{Jg=alaph}', "");
Expect(1, 1808, '\P{^Jg=alaph}', "");
Expect(0, 1809, '\p{Jg=alaph}', "");
Expect(1, 1809, '\p{^Jg=alaph}', "");
Expect(1, 1809, '\P{Jg=alaph}', "");
Expect(0, 1809, '\P{^Jg=alaph}', "");
Expect(1, 1808, '\p{Jg=Alaph}', "");
Expect(0, 1808, '\p{^Jg=Alaph}', "");
Expect(0, 1808, '\P{Jg=Alaph}', "");
Expect(1, 1808, '\P{^Jg=Alaph}', "");
Expect(0, 1809, '\p{Jg=Alaph}', "");
Expect(1, 1809, '\p{^Jg=Alaph}', "");
Expect(1, 1809, '\P{Jg=Alaph}', "");
Expect(0, 1809, '\P{^Jg=Alaph}', "");
Error('\p{Is_Joining_Group=:=-	Alaph}');
Error('\P{Is_Joining_Group=:=-	Alaph}');
Expect(1, 1808, '\p{Is_Joining_Group=alaph}', "");
Expect(0, 1808, '\p{^Is_Joining_Group=alaph}', "");
Expect(0, 1808, '\P{Is_Joining_Group=alaph}', "");
Expect(1, 1808, '\P{^Is_Joining_Group=alaph}', "");
Expect(0, 1809, '\p{Is_Joining_Group=alaph}', "");
Expect(1, 1809, '\p{^Is_Joining_Group=alaph}', "");
Expect(1, 1809, '\P{Is_Joining_Group=alaph}', "");
Expect(0, 1809, '\P{^Is_Joining_Group=alaph}', "");
Expect(1, 1808, '\p{Is_Joining_Group=		Alaph}', "");
Expect(0, 1808, '\p{^Is_Joining_Group=		Alaph}', "");
Expect(0, 1808, '\P{Is_Joining_Group=		Alaph}', "");
Expect(1, 1808, '\P{^Is_Joining_Group=		Alaph}', "");
Expect(0, 1809, '\p{Is_Joining_Group=		Alaph}', "");
Expect(1, 1809, '\p{^Is_Joining_Group=		Alaph}', "");
Expect(1, 1809, '\P{Is_Joining_Group=		Alaph}', "");
Expect(0, 1809, '\P{^Is_Joining_Group=		Alaph}', "");
Error('\p{Is_Jg=/a/	Alaph}');
Error('\P{Is_Jg=/a/	Alaph}');
Expect(1, 1808, '\p{Is_Jg=alaph}', "");
Expect(0, 1808, '\p{^Is_Jg=alaph}', "");
Expect(0, 1808, '\P{Is_Jg=alaph}', "");
Expect(1, 1808, '\P{^Is_Jg=alaph}', "");
Expect(0, 1809, '\p{Is_Jg=alaph}', "");
Expect(1, 1809, '\p{^Is_Jg=alaph}', "");
Expect(1, 1809, '\P{Is_Jg=alaph}', "");
Expect(0, 1809, '\P{^Is_Jg=alaph}', "");
Expect(1, 1808, '\p{Is_Jg=-Alaph}', "");
Expect(0, 1808, '\p{^Is_Jg=-Alaph}', "");
Expect(0, 1808, '\P{Is_Jg=-Alaph}', "");
Expect(1, 1808, '\P{^Is_Jg=-Alaph}', "");
Expect(0, 1809, '\p{Is_Jg=-Alaph}', "");
Expect(1, 1809, '\p{^Is_Jg=-Alaph}', "");
Expect(1, 1809, '\P{Is_Jg=-Alaph}', "");
Expect(0, 1809, '\P{^Is_Jg=-Alaph}', "");
Error('\p{Joining_Group=ALEF:=}');
Error('\P{Joining_Group=ALEF:=}');
Expect(1, 1908, '\p{Joining_Group=alef}', "");
Expect(0, 1908, '\p{^Joining_Group=alef}', "");
Expect(0, 1908, '\P{Joining_Group=alef}', "");
Expect(1, 1908, '\P{^Joining_Group=alef}', "");
Expect(0, 1909, '\p{Joining_Group=alef}', "");
Expect(1, 1909, '\p{^Joining_Group=alef}', "");
Expect(1, 1909, '\P{Joining_Group=alef}', "");
Expect(0, 1909, '\P{^Joining_Group=alef}', "");
Expect(1, 1908, '\p{Joining_Group=	ALEF}', "");
Expect(0, 1908, '\p{^Joining_Group=	ALEF}', "");
Expect(0, 1908, '\P{Joining_Group=	ALEF}', "");
Expect(1, 1908, '\P{^Joining_Group=	ALEF}', "");
Expect(0, 1909, '\p{Joining_Group=	ALEF}', "");
Expect(1, 1909, '\p{^Joining_Group=	ALEF}', "");
Expect(1, 1909, '\P{Joining_Group=	ALEF}', "");
Expect(0, 1909, '\P{^Joining_Group=	ALEF}', "");
Error('\p{Jg=_:=alef}');
Error('\P{Jg=_:=alef}');
Expect(1, 1908, '\p{Jg=alef}', "");
Expect(0, 1908, '\p{^Jg=alef}', "");
Expect(0, 1908, '\P{Jg=alef}', "");
Expect(1, 1908, '\P{^Jg=alef}', "");
Expect(0, 1909, '\p{Jg=alef}', "");
Expect(1, 1909, '\p{^Jg=alef}', "");
Expect(1, 1909, '\P{Jg=alef}', "");
Expect(0, 1909, '\P{^Jg=alef}', "");
Expect(1, 1908, '\p{Jg=	Alef}', "");
Expect(0, 1908, '\p{^Jg=	Alef}', "");
Expect(0, 1908, '\P{Jg=	Alef}', "");
Expect(1, 1908, '\P{^Jg=	Alef}', "");
Expect(0, 1909, '\p{Jg=	Alef}', "");
Expect(1, 1909, '\p{^Jg=	Alef}', "");
Expect(1, 1909, '\P{Jg=	Alef}', "");
Expect(0, 1909, '\P{^Jg=	Alef}', "");
Error('\p{Is_Joining_Group=/a/_-Alef}');
Error('\P{Is_Joining_Group=/a/_-Alef}');
Expect(1, 1908, '\p{Is_Joining_Group=alef}', "");
Expect(0, 1908, '\p{^Is_Joining_Group=alef}', "");
Expect(0, 1908, '\P{Is_Joining_Group=alef}', "");
Expect(1, 1908, '\P{^Is_Joining_Group=alef}', "");
Expect(0, 1909, '\p{Is_Joining_Group=alef}', "");
Expect(1, 1909, '\p{^Is_Joining_Group=alef}', "");
Expect(1, 1909, '\P{Is_Joining_Group=alef}', "");
Expect(0, 1909, '\P{^Is_Joining_Group=alef}', "");
Expect(1, 1908, '\p{Is_Joining_Group=_Alef}', "");
Expect(0, 1908, '\p{^Is_Joining_Group=_Alef}', "");
Expect(0, 1908, '\P{Is_Joining_Group=_Alef}', "");
Expect(1, 1908, '\P{^Is_Joining_Group=_Alef}', "");
Expect(0, 1909, '\p{Is_Joining_Group=_Alef}', "");
Expect(1, 1909, '\p{^Is_Joining_Group=_Alef}', "");
Expect(1, 1909, '\P{Is_Joining_Group=_Alef}', "");
Expect(0, 1909, '\P{^Is_Joining_Group=_Alef}', "");
Error('\p{Is_Jg=	Alef/a/}');
Error('\P{Is_Jg=	Alef/a/}');
Expect(1, 1908, '\p{Is_Jg:alef}', "");
Expect(0, 1908, '\p{^Is_Jg:alef}', "");
Expect(0, 1908, '\P{Is_Jg:alef}', "");
Expect(1, 1908, '\P{^Is_Jg:alef}', "");
Expect(0, 1909, '\p{Is_Jg:alef}', "");
Expect(1, 1909, '\p{^Is_Jg:alef}', "");
Expect(1, 1909, '\P{Is_Jg:alef}', "");
Expect(0, 1909, '\P{^Is_Jg:alef}', "");
Expect(1, 1908, '\p{Is_Jg=	Alef}', "");
Expect(0, 1908, '\p{^Is_Jg=	Alef}', "");
Expect(0, 1908, '\P{Is_Jg=	Alef}', "");
Expect(1, 1908, '\P{^Is_Jg=	Alef}', "");
Expect(0, 1909, '\p{Is_Jg=	Alef}', "");
Expect(1, 1909, '\p{^Is_Jg=	Alef}', "");
Expect(1, 1909, '\P{Is_Jg=	Alef}', "");
Expect(0, 1909, '\P{^Is_Jg=	Alef}', "");
Error('\p{Joining_Group:   _:=BEH}');
Error('\P{Joining_Group:   _:=BEH}');
Expect(1, 2209, '\p{Joining_Group:   beh}', "");
Expect(0, 2209, '\p{^Joining_Group:   beh}', "");
Expect(0, 2209, '\P{Joining_Group:   beh}', "");
Expect(1, 2209, '\P{^Joining_Group:   beh}', "");
Expect(0, 2210, '\p{Joining_Group:   beh}', "");
Expect(1, 2210, '\p{^Joining_Group:   beh}', "");
Expect(1, 2210, '\P{Joining_Group:   beh}', "");
Expect(0, 2210, '\P{^Joining_Group:   beh}', "");
Expect(1, 2209, '\p{Joining_Group=		beh}', "");
Expect(0, 2209, '\p{^Joining_Group=		beh}', "");
Expect(0, 2209, '\P{Joining_Group=		beh}', "");
Expect(1, 2209, '\P{^Joining_Group=		beh}', "");
Expect(0, 2210, '\p{Joining_Group=		beh}', "");
Expect(1, 2210, '\p{^Joining_Group=		beh}', "");
Expect(1, 2210, '\P{Joining_Group=		beh}', "");
Expect(0, 2210, '\P{^Joining_Group=		beh}', "");
Error('\p{Jg: _beh:=}');
Error('\P{Jg: _beh:=}');
Expect(1, 2209, '\p{Jg=beh}', "");
Expect(0, 2209, '\p{^Jg=beh}', "");
Expect(0, 2209, '\P{Jg=beh}', "");
Expect(1, 2209, '\P{^Jg=beh}', "");
Expect(0, 2210, '\p{Jg=beh}', "");
Expect(1, 2210, '\p{^Jg=beh}', "");
Expect(1, 2210, '\P{Jg=beh}', "");
Expect(0, 2210, '\P{^Jg=beh}', "");
Expect(1, 2209, '\p{Jg=_Beh}', "");
Expect(0, 2209, '\p{^Jg=_Beh}', "");
Expect(0, 2209, '\P{Jg=_Beh}', "");
Expect(1, 2209, '\P{^Jg=_Beh}', "");
Expect(0, 2210, '\p{Jg=_Beh}', "");
Expect(1, 2210, '\p{^Jg=_Beh}', "");
Expect(1, 2210, '\P{Jg=_Beh}', "");
Expect(0, 2210, '\P{^Jg=_Beh}', "");
Error('\p{Is_Joining_Group= -Beh:=}');
Error('\P{Is_Joining_Group= -Beh:=}');
Expect(1, 2209, '\p{Is_Joining_Group=beh}', "");
Expect(0, 2209, '\p{^Is_Joining_Group=beh}', "");
Expect(0, 2209, '\P{Is_Joining_Group=beh}', "");
Expect(1, 2209, '\P{^Is_Joining_Group=beh}', "");
Expect(0, 2210, '\p{Is_Joining_Group=beh}', "");
Expect(1, 2210, '\p{^Is_Joining_Group=beh}', "");
Expect(1, 2210, '\P{Is_Joining_Group=beh}', "");
Expect(0, 2210, '\P{^Is_Joining_Group=beh}', "");
Expect(1, 2209, '\p{Is_Joining_Group=-_Beh}', "");
Expect(0, 2209, '\p{^Is_Joining_Group=-_Beh}', "");
Expect(0, 2209, '\P{Is_Joining_Group=-_Beh}', "");
Expect(1, 2209, '\P{^Is_Joining_Group=-_Beh}', "");
Expect(0, 2210, '\p{Is_Joining_Group=-_Beh}', "");
Expect(1, 2210, '\p{^Is_Joining_Group=-_Beh}', "");
Expect(1, 2210, '\P{Is_Joining_Group=-_Beh}', "");
Expect(0, 2210, '\P{^Is_Joining_Group=-_Beh}', "");
Error('\p{Is_Jg=-:=BEH}');
Error('\P{Is_Jg=-:=BEH}');
Expect(1, 2209, '\p{Is_Jg=beh}', "");
Expect(0, 2209, '\p{^Is_Jg=beh}', "");
Expect(0, 2209, '\P{Is_Jg=beh}', "");
Expect(1, 2209, '\P{^Is_Jg=beh}', "");
Expect(0, 2210, '\p{Is_Jg=beh}', "");
Expect(1, 2210, '\p{^Is_Jg=beh}', "");
Expect(1, 2210, '\P{Is_Jg=beh}', "");
Expect(0, 2210, '\P{^Is_Jg=beh}', "");
Expect(1, 2209, '\p{Is_Jg=	beh}', "");
Expect(0, 2209, '\p{^Is_Jg=	beh}', "");
Expect(0, 2209, '\P{Is_Jg=	beh}', "");
Expect(1, 2209, '\P{^Is_Jg=	beh}', "");
Expect(0, 2210, '\p{Is_Jg=	beh}', "");
Expect(1, 2210, '\p{^Is_Jg=	beh}', "");
Expect(1, 2210, '\P{Is_Jg=	beh}', "");
Expect(0, 2210, '\P{^Is_Jg=	beh}', "");
Error('\p{Joining_Group=/a/- Beth}');
Error('\P{Joining_Group=/a/- Beth}');
Expect(1, 1837, '\p{Joining_Group=beth}', "");
Expect(0, 1837, '\p{^Joining_Group=beth}', "");
Expect(0, 1837, '\P{Joining_Group=beth}', "");
Expect(1, 1837, '\P{^Joining_Group=beth}', "");
Expect(0, 1838, '\p{Joining_Group=beth}', "");
Expect(1, 1838, '\p{^Joining_Group=beth}', "");
Expect(1, 1838, '\P{Joining_Group=beth}', "");
Expect(0, 1838, '\P{^Joining_Group=beth}', "");
Expect(1, 1837, '\p{Joining_Group= Beth}', "");
Expect(0, 1837, '\p{^Joining_Group= Beth}', "");
Expect(0, 1837, '\P{Joining_Group= Beth}', "");
Expect(1, 1837, '\P{^Joining_Group= Beth}', "");
Expect(0, 1838, '\p{Joining_Group= Beth}', "");
Expect(1, 1838, '\p{^Joining_Group= Beth}', "");
Expect(1, 1838, '\P{Joining_Group= Beth}', "");
Expect(0, 1838, '\P{^Joining_Group= Beth}', "");
Error('\p{Jg= :=Beth}');
Error('\P{Jg= :=Beth}');
Expect(1, 1837, '\p{Jg=beth}', "");
Expect(0, 1837, '\p{^Jg=beth}', "");
Expect(0, 1837, '\P{Jg=beth}', "");
Expect(1, 1837, '\P{^Jg=beth}', "");
Expect(0, 1838, '\p{Jg=beth}', "");
Expect(1, 1838, '\p{^Jg=beth}', "");
Expect(1, 1838, '\P{Jg=beth}', "");
Expect(0, 1838, '\P{^Jg=beth}', "");
Expect(1, 1837, '\p{Jg=	BETH}', "");
Expect(0, 1837, '\p{^Jg=	BETH}', "");
Expect(0, 1837, '\P{Jg=	BETH}', "");
Expect(1, 1837, '\P{^Jg=	BETH}', "");
Expect(0, 1838, '\p{Jg=	BETH}', "");
Expect(1, 1838, '\p{^Jg=	BETH}', "");
Expect(1, 1838, '\P{Jg=	BETH}', "");
Expect(0, 1838, '\P{^Jg=	BETH}', "");
Error('\p{Is_Joining_Group=-Beth/a/}');
Error('\P{Is_Joining_Group=-Beth/a/}');
Expect(1, 1837, '\p{Is_Joining_Group=beth}', "");
Expect(0, 1837, '\p{^Is_Joining_Group=beth}', "");
Expect(0, 1837, '\P{Is_Joining_Group=beth}', "");
Expect(1, 1837, '\P{^Is_Joining_Group=beth}', "");
Expect(0, 1838, '\p{Is_Joining_Group=beth}', "");
Expect(1, 1838, '\p{^Is_Joining_Group=beth}', "");
Expect(1, 1838, '\P{Is_Joining_Group=beth}', "");
Expect(0, 1838, '\P{^Is_Joining_Group=beth}', "");
Expect(1, 1837, '\p{Is_Joining_Group=-_beth}', "");
Expect(0, 1837, '\p{^Is_Joining_Group=-_beth}', "");
Expect(0, 1837, '\P{Is_Joining_Group=-_beth}', "");
Expect(1, 1837, '\P{^Is_Joining_Group=-_beth}', "");
Expect(0, 1838, '\p{Is_Joining_Group=-_beth}', "");
Expect(1, 1838, '\p{^Is_Joining_Group=-_beth}', "");
Expect(1, 1838, '\P{Is_Joining_Group=-_beth}', "");
Expect(0, 1838, '\P{^Is_Joining_Group=-_beth}', "");
Error('\p{Is_Jg=/a/-_Beth}');
Error('\P{Is_Jg=/a/-_Beth}');
Expect(1, 1837, '\p{Is_Jg=beth}', "");
Expect(0, 1837, '\p{^Is_Jg=beth}', "");
Expect(0, 1837, '\P{Is_Jg=beth}', "");
Expect(1, 1837, '\P{^Is_Jg=beth}', "");
Expect(0, 1838, '\p{Is_Jg=beth}', "");
Expect(1, 1838, '\p{^Is_Jg=beth}', "");
Expect(1, 1838, '\P{Is_Jg=beth}', "");
Expect(0, 1838, '\P{^Is_Jg=beth}', "");
Expect(1, 1837, '\p{Is_Jg=BETH}', "");
Expect(0, 1837, '\p{^Is_Jg=BETH}', "");
Expect(0, 1837, '\P{Is_Jg=BETH}', "");
Expect(1, 1837, '\P{^Is_Jg=BETH}', "");
Expect(0, 1838, '\p{Is_Jg=BETH}', "");
Expect(1, 1838, '\p{^Is_Jg=BETH}', "");
Expect(1, 1838, '\P{Is_Jg=BETH}', "");
Expect(0, 1838, '\P{^Is_Jg=BETH}', "");
Error('\p{Joining_Group=	_burushaski_Yeh_Barree:=}');
Error('\P{Joining_Group=	_burushaski_Yeh_Barree:=}');
Expect(1, 1915, '\p{Joining_Group=burushaskiyehbarree}', "");
Expect(0, 1915, '\p{^Joining_Group=burushaskiyehbarree}', "");
Expect(0, 1915, '\P{Joining_Group=burushaskiyehbarree}', "");
Expect(1, 1915, '\P{^Joining_Group=burushaskiyehbarree}', "");
Expect(0, 1916, '\p{Joining_Group=burushaskiyehbarree}', "");
Expect(1, 1916, '\p{^Joining_Group=burushaskiyehbarree}', "");
Expect(1, 1916, '\P{Joining_Group=burushaskiyehbarree}', "");
Expect(0, 1916, '\P{^Joining_Group=burushaskiyehbarree}', "");
Expect(1, 1915, '\p{Joining_Group=__BURUSHASKI_Yeh_BARREE}', "");
Expect(0, 1915, '\p{^Joining_Group=__BURUSHASKI_Yeh_BARREE}', "");
Expect(0, 1915, '\P{Joining_Group=__BURUSHASKI_Yeh_BARREE}', "");
Expect(1, 1915, '\P{^Joining_Group=__BURUSHASKI_Yeh_BARREE}', "");
Expect(0, 1916, '\p{Joining_Group=__BURUSHASKI_Yeh_BARREE}', "");
Expect(1, 1916, '\p{^Joining_Group=__BURUSHASKI_Yeh_BARREE}', "");
Expect(1, 1916, '\P{Joining_Group=__BURUSHASKI_Yeh_BARREE}', "");
Expect(0, 1916, '\P{^Joining_Group=__BURUSHASKI_Yeh_BARREE}', "");
Error('\p{Jg=	/a/BURUSHASKI_Yeh_Barree}');
Error('\P{Jg=	/a/BURUSHASKI_Yeh_Barree}');
Expect(1, 1915, '\p{Jg=burushaskiyehbarree}', "");
Expect(0, 1915, '\p{^Jg=burushaskiyehbarree}', "");
Expect(0, 1915, '\P{Jg=burushaskiyehbarree}', "");
Expect(1, 1915, '\P{^Jg=burushaskiyehbarree}', "");
Expect(0, 1916, '\p{Jg=burushaskiyehbarree}', "");
Expect(1, 1916, '\p{^Jg=burushaskiyehbarree}', "");
Expect(1, 1916, '\P{Jg=burushaskiyehbarree}', "");
Expect(0, 1916, '\P{^Jg=burushaskiyehbarree}', "");
Expect(1, 1915, '\p{Jg:	_-burushaski_yeh_barree}', "");
Expect(0, 1915, '\p{^Jg:	_-burushaski_yeh_barree}', "");
Expect(0, 1915, '\P{Jg:	_-burushaski_yeh_barree}', "");
Expect(1, 1915, '\P{^Jg:	_-burushaski_yeh_barree}', "");
Expect(0, 1916, '\p{Jg:	_-burushaski_yeh_barree}', "");
Expect(1, 1916, '\p{^Jg:	_-burushaski_yeh_barree}', "");
Expect(1, 1916, '\P{Jg:	_-burushaski_yeh_barree}', "");
Expect(0, 1916, '\P{^Jg:	_-burushaski_yeh_barree}', "");
Error('\p{Is_Joining_Group=-:=BURUSHASKI_YEH_Barree}');
Error('\P{Is_Joining_Group=-:=BURUSHASKI_YEH_Barree}');
Expect(1, 1915, '\p{Is_Joining_Group=burushaskiyehbarree}', "");
Expect(0, 1915, '\p{^Is_Joining_Group=burushaskiyehbarree}', "");
Expect(0, 1915, '\P{Is_Joining_Group=burushaskiyehbarree}', "");
Expect(1, 1915, '\P{^Is_Joining_Group=burushaskiyehbarree}', "");
Expect(0, 1916, '\p{Is_Joining_Group=burushaskiyehbarree}', "");
Expect(1, 1916, '\p{^Is_Joining_Group=burushaskiyehbarree}', "");
Expect(1, 1916, '\P{Is_Joining_Group=burushaskiyehbarree}', "");
Expect(0, 1916, '\P{^Is_Joining_Group=burushaskiyehbarree}', "");
Expect(1, 1915, '\p{Is_Joining_Group: 	burushaski_YEH_Barree}', "");
Expect(0, 1915, '\p{^Is_Joining_Group: 	burushaski_YEH_Barree}', "");
Expect(0, 1915, '\P{Is_Joining_Group: 	burushaski_YEH_Barree}', "");
Expect(1, 1915, '\P{^Is_Joining_Group: 	burushaski_YEH_Barree}', "");
Expect(0, 1916, '\p{Is_Joining_Group: 	burushaski_YEH_Barree}', "");
Expect(1, 1916, '\p{^Is_Joining_Group: 	burushaski_YEH_Barree}', "");
Expect(1, 1916, '\P{Is_Joining_Group: 	burushaski_YEH_Barree}', "");
Expect(0, 1916, '\P{^Is_Joining_Group: 	burushaski_YEH_Barree}', "");
Error('\p{Is_Jg=:= _Burushaski_yeh_Barree}');
Error('\P{Is_Jg=:= _Burushaski_yeh_Barree}');
Expect(1, 1915, '\p{Is_Jg=burushaskiyehbarree}', "");
Expect(0, 1915, '\p{^Is_Jg=burushaskiyehbarree}', "");
Expect(0, 1915, '\P{Is_Jg=burushaskiyehbarree}', "");
Expect(1, 1915, '\P{^Is_Jg=burushaskiyehbarree}', "");
Expect(0, 1916, '\p{Is_Jg=burushaskiyehbarree}', "");
Expect(1, 1916, '\p{^Is_Jg=burushaskiyehbarree}', "");
Expect(1, 1916, '\P{Is_Jg=burushaskiyehbarree}', "");
Expect(0, 1916, '\P{^Is_Jg=burushaskiyehbarree}', "");
Expect(1, 1915, '\p{Is_Jg= BURUSHASKI_Yeh_Barree}', "");
Expect(0, 1915, '\p{^Is_Jg= BURUSHASKI_Yeh_Barree}', "");
Expect(0, 1915, '\P{Is_Jg= BURUSHASKI_Yeh_Barree}', "");
Expect(1, 1915, '\P{^Is_Jg= BURUSHASKI_Yeh_Barree}', "");
Expect(0, 1916, '\p{Is_Jg= BURUSHASKI_Yeh_Barree}', "");
Expect(1, 1916, '\p{^Is_Jg= BURUSHASKI_Yeh_Barree}', "");
Expect(1, 1916, '\P{Is_Jg= BURUSHASKI_Yeh_Barree}', "");
Expect(0, 1916, '\P{^Is_Jg= BURUSHASKI_Yeh_Barree}', "");
Error('\p{Joining_Group=	dal/a/}');
Error('\P{Joining_Group=	dal/a/}');
Expect(1, 2222, '\p{Joining_Group:dal}', "");
Expect(0, 2222, '\p{^Joining_Group:dal}', "");
Expect(0, 2222, '\P{Joining_Group:dal}', "");
Expect(1, 2222, '\P{^Joining_Group:dal}', "");
Expect(0, 2223, '\p{Joining_Group:dal}', "");
Expect(1, 2223, '\p{^Joining_Group:dal}', "");
Expect(1, 2223, '\P{Joining_Group:dal}', "");
Expect(0, 2223, '\P{^Joining_Group:dal}', "");
Expect(1, 2222, '\p{Joining_Group:   - dal}', "");
Expect(0, 2222, '\p{^Joining_Group:   - dal}', "");
Expect(0, 2222, '\P{Joining_Group:   - dal}', "");
Expect(1, 2222, '\P{^Joining_Group:   - dal}', "");
Expect(0, 2223, '\p{Joining_Group:   - dal}', "");
Expect(1, 2223, '\p{^Joining_Group:   - dal}', "");
Expect(1, 2223, '\P{Joining_Group:   - dal}', "");
Expect(0, 2223, '\P{^Joining_Group:   - dal}', "");
Error('\p{Jg=:= -Dal}');
Error('\P{Jg=:= -Dal}');
Expect(1, 2222, '\p{Jg=dal}', "");
Expect(0, 2222, '\p{^Jg=dal}', "");
Expect(0, 2222, '\P{Jg=dal}', "");
Expect(1, 2222, '\P{^Jg=dal}', "");
Expect(0, 2223, '\p{Jg=dal}', "");
Expect(1, 2223, '\p{^Jg=dal}', "");
Expect(1, 2223, '\P{Jg=dal}', "");
Expect(0, 2223, '\P{^Jg=dal}', "");
Expect(1, 2222, '\p{Jg=	DAL}', "");
Expect(0, 2222, '\p{^Jg=	DAL}', "");
Expect(0, 2222, '\P{Jg=	DAL}', "");
Expect(1, 2222, '\P{^Jg=	DAL}', "");
Expect(0, 2223, '\p{Jg=	DAL}', "");
Expect(1, 2223, '\p{^Jg=	DAL}', "");
Expect(1, 2223, '\P{Jg=	DAL}', "");
Expect(0, 2223, '\P{^Jg=	DAL}', "");
Error('\p{Is_Joining_Group=__DAL:=}');
Error('\P{Is_Joining_Group=__DAL:=}');
Expect(1, 2222, '\p{Is_Joining_Group=dal}', "");
Expect(0, 2222, '\p{^Is_Joining_Group=dal}', "");
Expect(0, 2222, '\P{Is_Joining_Group=dal}', "");
Expect(1, 2222, '\P{^Is_Joining_Group=dal}', "");
Expect(0, 2223, '\p{Is_Joining_Group=dal}', "");
Expect(1, 2223, '\p{^Is_Joining_Group=dal}', "");
Expect(1, 2223, '\P{Is_Joining_Group=dal}', "");
Expect(0, 2223, '\P{^Is_Joining_Group=dal}', "");
Expect(1, 2222, '\p{Is_Joining_Group=-dal}', "");
Expect(0, 2222, '\p{^Is_Joining_Group=-dal}', "");
Expect(0, 2222, '\P{Is_Joining_Group=-dal}', "");
Expect(1, 2222, '\P{^Is_Joining_Group=-dal}', "");
Expect(0, 2223, '\p{Is_Joining_Group=-dal}', "");
Expect(1, 2223, '\p{^Is_Joining_Group=-dal}', "");
Expect(1, 2223, '\P{Is_Joining_Group=-dal}', "");
Expect(0, 2223, '\P{^Is_Joining_Group=-dal}', "");
Error('\p{Is_Jg=	-dal/a/}');
Error('\P{Is_Jg=	-dal/a/}');
Expect(1, 2222, '\p{Is_Jg=dal}', "");
Expect(0, 2222, '\p{^Is_Jg=dal}', "");
Expect(0, 2222, '\P{Is_Jg=dal}', "");
Expect(1, 2222, '\P{^Is_Jg=dal}', "");
Expect(0, 2223, '\p{Is_Jg=dal}', "");
Expect(1, 2223, '\p{^Is_Jg=dal}', "");
Expect(1, 2223, '\P{Is_Jg=dal}', "");
Expect(0, 2223, '\P{^Is_Jg=dal}', "");
Expect(1, 2222, '\p{Is_Jg=-DAL}', "");
Expect(0, 2222, '\p{^Is_Jg=-DAL}', "");
Expect(0, 2222, '\P{Is_Jg=-DAL}', "");
Expect(1, 2222, '\P{^Is_Jg=-DAL}', "");
Expect(0, 2223, '\p{Is_Jg=-DAL}', "");
Expect(1, 2223, '\p{^Is_Jg=-DAL}', "");
Expect(1, 2223, '\P{Is_Jg=-DAL}', "");
Expect(0, 2223, '\P{^Is_Jg=-DAL}', "");
Error('\p{Joining_Group: _Dalath_Rish:=}');
Error('\P{Joining_Group: _Dalath_Rish:=}');
Expect(1, 1839, '\p{Joining_Group=dalathrish}', "");
Expect(0, 1839, '\p{^Joining_Group=dalathrish}', "");
Expect(0, 1839, '\P{Joining_Group=dalathrish}', "");
Expect(1, 1839, '\P{^Joining_Group=dalathrish}', "");
Expect(0, 1840, '\p{Joining_Group=dalathrish}', "");
Expect(1, 1840, '\p{^Joining_Group=dalathrish}', "");
Expect(1, 1840, '\P{Joining_Group=dalathrish}', "");
Expect(0, 1840, '\P{^Joining_Group=dalathrish}', "");
Expect(1, 1839, '\p{Joining_Group=	 dalath_Rish}', "");
Expect(0, 1839, '\p{^Joining_Group=	 dalath_Rish}', "");
Expect(0, 1839, '\P{Joining_Group=	 dalath_Rish}', "");
Expect(1, 1839, '\P{^Joining_Group=	 dalath_Rish}', "");
Expect(0, 1840, '\p{Joining_Group=	 dalath_Rish}', "");
Expect(1, 1840, '\p{^Joining_Group=	 dalath_Rish}', "");
Expect(1, 1840, '\P{Joining_Group=	 dalath_Rish}', "");
Expect(0, 1840, '\P{^Joining_Group=	 dalath_Rish}', "");
Error('\p{Jg=:=	-Dalath_Rish}');
Error('\P{Jg=:=	-Dalath_Rish}');
Expect(1, 1839, '\p{Jg=dalathrish}', "");
Expect(0, 1839, '\p{^Jg=dalathrish}', "");
Expect(0, 1839, '\P{Jg=dalathrish}', "");
Expect(1, 1839, '\P{^Jg=dalathrish}', "");
Expect(0, 1840, '\p{Jg=dalathrish}', "");
Expect(1, 1840, '\p{^Jg=dalathrish}', "");
Expect(1, 1840, '\P{Jg=dalathrish}', "");
Expect(0, 1840, '\P{^Jg=dalathrish}', "");
Expect(1, 1839, '\p{Jg= DALATH_Rish}', "");
Expect(0, 1839, '\p{^Jg= DALATH_Rish}', "");
Expect(0, 1839, '\P{Jg= DALATH_Rish}', "");
Expect(1, 1839, '\P{^Jg= DALATH_Rish}', "");
Expect(0, 1840, '\p{Jg= DALATH_Rish}', "");
Expect(1, 1840, '\p{^Jg= DALATH_Rish}', "");
Expect(1, 1840, '\P{Jg= DALATH_Rish}', "");
Expect(0, 1840, '\P{^Jg= DALATH_Rish}', "");
Error('\p{Is_Joining_Group:   _dalath_rish:=}');
Error('\P{Is_Joining_Group:   _dalath_rish:=}');
Expect(1, 1839, '\p{Is_Joining_Group=dalathrish}', "");
Expect(0, 1839, '\p{^Is_Joining_Group=dalathrish}', "");
Expect(0, 1839, '\P{Is_Joining_Group=dalathrish}', "");
Expect(1, 1839, '\P{^Is_Joining_Group=dalathrish}', "");
Expect(0, 1840, '\p{Is_Joining_Group=dalathrish}', "");
Expect(1, 1840, '\p{^Is_Joining_Group=dalathrish}', "");
Expect(1, 1840, '\P{Is_Joining_Group=dalathrish}', "");
Expect(0, 1840, '\P{^Is_Joining_Group=dalathrish}', "");
Expect(1, 1839, '\p{Is_Joining_Group:	-_DALATH_Rish}', "");
Expect(0, 1839, '\p{^Is_Joining_Group:	-_DALATH_Rish}', "");
Expect(0, 1839, '\P{Is_Joining_Group:	-_DALATH_Rish}', "");
Expect(1, 1839, '\P{^Is_Joining_Group:	-_DALATH_Rish}', "");
Expect(0, 1840, '\p{Is_Joining_Group:	-_DALATH_Rish}', "");
Expect(1, 1840, '\p{^Is_Joining_Group:	-_DALATH_Rish}', "");
Expect(1, 1840, '\P{Is_Joining_Group:	-_DALATH_Rish}', "");
Expect(0, 1840, '\P{^Is_Joining_Group:	-_DALATH_Rish}', "");
Error('\p{Is_Jg=_ DALATH_Rish/a/}');
Error('\P{Is_Jg=_ DALATH_Rish/a/}');
Expect(1, 1839, '\p{Is_Jg=dalathrish}', "");
Expect(0, 1839, '\p{^Is_Jg=dalathrish}', "");
Expect(0, 1839, '\P{Is_Jg=dalathrish}', "");
Expect(1, 1839, '\P{^Is_Jg=dalathrish}', "");
Expect(0, 1840, '\p{Is_Jg=dalathrish}', "");
Expect(1, 1840, '\p{^Is_Jg=dalathrish}', "");
Expect(1, 1840, '\P{Is_Jg=dalathrish}', "");
Expect(0, 1840, '\P{^Is_Jg=dalathrish}', "");
Expect(1, 1839, '\p{Is_Jg=- dalath_RISH}', "");
Expect(0, 1839, '\p{^Is_Jg=- dalath_RISH}', "");
Expect(0, 1839, '\P{Is_Jg=- dalath_RISH}', "");
Expect(1, 1839, '\P{^Is_Jg=- dalath_RISH}', "");
Expect(0, 1840, '\p{Is_Jg=- dalath_RISH}', "");
Expect(1, 1840, '\p{^Is_Jg=- dalath_RISH}', "");
Expect(1, 1840, '\P{Is_Jg=- dalath_RISH}', "");
Expect(0, 1840, '\P{^Is_Jg=- dalath_RISH}', "");
Error('\p{Joining_Group=:= e}');
Error('\P{Joining_Group=:= e}');
Expect(1, 1829, '\p{Joining_Group=e}', "");
Expect(0, 1829, '\p{^Joining_Group=e}', "");
Expect(0, 1829, '\P{Joining_Group=e}', "");
Expect(1, 1829, '\P{^Joining_Group=e}', "");
Expect(0, 1830, '\p{Joining_Group=e}', "");
Expect(1, 1830, '\p{^Joining_Group=e}', "");
Expect(1, 1830, '\P{Joining_Group=e}', "");
Expect(0, 1830, '\P{^Joining_Group=e}', "");
Expect(1, 1829, '\p{Joining_Group=	E}', "");
Expect(0, 1829, '\p{^Joining_Group=	E}', "");
Expect(0, 1829, '\P{Joining_Group=	E}', "");
Expect(1, 1829, '\P{^Joining_Group=	E}', "");
Expect(0, 1830, '\p{Joining_Group=	E}', "");
Expect(1, 1830, '\p{^Joining_Group=	E}', "");
Expect(1, 1830, '\P{Joining_Group=	E}', "");
Expect(0, 1830, '\P{^Joining_Group=	E}', "");
Error('\p{Jg=/a/_	E}');
Error('\P{Jg=/a/_	E}');
Expect(1, 1829, '\p{Jg=e}', "");
Expect(0, 1829, '\p{^Jg=e}', "");
Expect(0, 1829, '\P{Jg=e}', "");
Expect(1, 1829, '\P{^Jg=e}', "");
Expect(0, 1830, '\p{Jg=e}', "");
Expect(1, 1830, '\p{^Jg=e}', "");
Expect(1, 1830, '\P{Jg=e}', "");
Expect(0, 1830, '\P{^Jg=e}', "");
Expect(1, 1829, '\p{Jg=_	E}', "");
Expect(0, 1829, '\p{^Jg=_	E}', "");
Expect(0, 1829, '\P{Jg=_	E}', "");
Expect(1, 1829, '\P{^Jg=_	E}', "");
Expect(0, 1830, '\p{Jg=_	E}', "");
Expect(1, 1830, '\p{^Jg=_	E}', "");
Expect(1, 1830, '\P{Jg=_	E}', "");
Expect(0, 1830, '\P{^Jg=_	E}', "");
Error('\p{Is_Joining_Group=:=		E}');
Error('\P{Is_Joining_Group=:=		E}');
Expect(1, 1829, '\p{Is_Joining_Group=e}', "");
Expect(0, 1829, '\p{^Is_Joining_Group=e}', "");
Expect(0, 1829, '\P{Is_Joining_Group=e}', "");
Expect(1, 1829, '\P{^Is_Joining_Group=e}', "");
Expect(0, 1830, '\p{Is_Joining_Group=e}', "");
Expect(1, 1830, '\p{^Is_Joining_Group=e}', "");
Expect(1, 1830, '\P{Is_Joining_Group=e}', "");
Expect(0, 1830, '\P{^Is_Joining_Group=e}', "");
Expect(1, 1829, '\p{Is_Joining_Group:	-E}', "");
Expect(0, 1829, '\p{^Is_Joining_Group:	-E}', "");
Expect(0, 1829, '\P{Is_Joining_Group:	-E}', "");
Expect(1, 1829, '\P{^Is_Joining_Group:	-E}', "");
Expect(0, 1830, '\p{Is_Joining_Group:	-E}', "");
Expect(1, 1830, '\p{^Is_Joining_Group:	-E}', "");
Expect(1, 1830, '\P{Is_Joining_Group:	-E}', "");
Expect(0, 1830, '\P{^Is_Joining_Group:	-E}', "");
Error('\p{Is_Jg:	-E:=}');
Error('\P{Is_Jg:	-E:=}');
Expect(1, 1829, '\p{Is_Jg=e}', "");
Expect(0, 1829, '\p{^Is_Jg=e}', "");
Expect(0, 1829, '\P{Is_Jg=e}', "");
Expect(1, 1829, '\P{^Is_Jg=e}', "");
Expect(0, 1830, '\p{Is_Jg=e}', "");
Expect(1, 1830, '\p{^Is_Jg=e}', "");
Expect(1, 1830, '\P{Is_Jg=e}', "");
Expect(0, 1830, '\P{^Is_Jg=e}', "");
Expect(1, 1829, '\p{Is_Jg: -	E}', "");
Expect(0, 1829, '\p{^Is_Jg: -	E}', "");
Expect(0, 1829, '\P{Is_Jg: -	E}', "");
Expect(1, 1829, '\P{^Is_Jg: -	E}', "");
Expect(0, 1830, '\p{Is_Jg: -	E}', "");
Expect(1, 1830, '\p{^Is_Jg: -	E}', "");
Expect(1, 1830, '\P{Is_Jg: -	E}', "");
Expect(0, 1830, '\P{^Is_Jg: -	E}', "");
Error('\p{Joining_Group:	:=  Farsi_Yeh}');
Error('\P{Joining_Group:	:=  Farsi_Yeh}');
Expect(1, 1910, '\p{Joining_Group=farsiyeh}', "");
Expect(0, 1910, '\p{^Joining_Group=farsiyeh}', "");
Expect(0, 1910, '\P{Joining_Group=farsiyeh}', "");
Expect(1, 1910, '\P{^Joining_Group=farsiyeh}', "");
Expect(0, 1911, '\p{Joining_Group=farsiyeh}', "");
Expect(1, 1911, '\p{^Joining_Group=farsiyeh}', "");
Expect(1, 1911, '\P{Joining_Group=farsiyeh}', "");
Expect(0, 1911, '\P{^Joining_Group=farsiyeh}', "");
Expect(1, 1910, '\p{Joining_Group=	_farsi_Yeh}', "");
Expect(0, 1910, '\p{^Joining_Group=	_farsi_Yeh}', "");
Expect(0, 1910, '\P{Joining_Group=	_farsi_Yeh}', "");
Expect(1, 1910, '\P{^Joining_Group=	_farsi_Yeh}', "");
Expect(0, 1911, '\p{Joining_Group=	_farsi_Yeh}', "");
Expect(1, 1911, '\p{^Joining_Group=	_farsi_Yeh}', "");
Expect(1, 1911, '\P{Joining_Group=	_farsi_Yeh}', "");
Expect(0, 1911, '\P{^Joining_Group=	_farsi_Yeh}', "");
Error('\p{Jg=:=_	FARSI_Yeh}');
Error('\P{Jg=:=_	FARSI_Yeh}');
Expect(1, 1910, '\p{Jg=farsiyeh}', "");
Expect(0, 1910, '\p{^Jg=farsiyeh}', "");
Expect(0, 1910, '\P{Jg=farsiyeh}', "");
Expect(1, 1910, '\P{^Jg=farsiyeh}', "");
Expect(0, 1911, '\p{Jg=farsiyeh}', "");
Expect(1, 1911, '\p{^Jg=farsiyeh}', "");
Expect(1, 1911, '\P{Jg=farsiyeh}', "");
Expect(0, 1911, '\P{^Jg=farsiyeh}', "");
Expect(1, 1910, '\p{Jg=-	Farsi_YEH}', "");
Expect(0, 1910, '\p{^Jg=-	Farsi_YEH}', "");
Expect(0, 1910, '\P{Jg=-	Farsi_YEH}', "");
Expect(1, 1910, '\P{^Jg=-	Farsi_YEH}', "");
Expect(0, 1911, '\p{Jg=-	Farsi_YEH}', "");
Expect(1, 1911, '\p{^Jg=-	Farsi_YEH}', "");
Expect(1, 1911, '\P{Jg=-	Farsi_YEH}', "");
Expect(0, 1911, '\P{^Jg=-	Farsi_YEH}', "");
Error('\p{Is_Joining_Group=__Farsi_Yeh/a/}');
Error('\P{Is_Joining_Group=__Farsi_Yeh/a/}');
Expect(1, 1910, '\p{Is_Joining_Group=farsiyeh}', "");
Expect(0, 1910, '\p{^Is_Joining_Group=farsiyeh}', "");
Expect(0, 1910, '\P{Is_Joining_Group=farsiyeh}', "");
Expect(1, 1910, '\P{^Is_Joining_Group=farsiyeh}', "");
Expect(0, 1911, '\p{Is_Joining_Group=farsiyeh}', "");
Expect(1, 1911, '\p{^Is_Joining_Group=farsiyeh}', "");
Expect(1, 1911, '\P{Is_Joining_Group=farsiyeh}', "");
Expect(0, 1911, '\P{^Is_Joining_Group=farsiyeh}', "");
Expect(1, 1910, '\p{Is_Joining_Group= 	farsi_Yeh}', "");
Expect(0, 1910, '\p{^Is_Joining_Group= 	farsi_Yeh}', "");
Expect(0, 1910, '\P{Is_Joining_Group= 	farsi_Yeh}', "");
Expect(1, 1910, '\P{^Is_Joining_Group= 	farsi_Yeh}', "");
Expect(0, 1911, '\p{Is_Joining_Group= 	farsi_Yeh}', "");
Expect(1, 1911, '\p{^Is_Joining_Group= 	farsi_Yeh}', "");
Expect(1, 1911, '\P{Is_Joining_Group= 	farsi_Yeh}', "");
Expect(0, 1911, '\P{^Is_Joining_Group= 	farsi_Yeh}', "");
Error('\p{Is_Jg=-/a/farsi_Yeh}');
Error('\P{Is_Jg=-/a/farsi_Yeh}');
Expect(1, 1910, '\p{Is_Jg=farsiyeh}', "");
Expect(0, 1910, '\p{^Is_Jg=farsiyeh}', "");
Expect(0, 1910, '\P{Is_Jg=farsiyeh}', "");
Expect(1, 1910, '\P{^Is_Jg=farsiyeh}', "");
Expect(0, 1911, '\p{Is_Jg=farsiyeh}', "");
Expect(1, 1911, '\p{^Is_Jg=farsiyeh}', "");
Expect(1, 1911, '\P{Is_Jg=farsiyeh}', "");
Expect(0, 1911, '\P{^Is_Jg=farsiyeh}', "");
Expect(1, 1910, '\p{Is_Jg=		Farsi_Yeh}', "");
Expect(0, 1910, '\p{^Is_Jg=		Farsi_Yeh}', "");
Expect(0, 1910, '\P{Is_Jg=		Farsi_Yeh}', "");
Expect(1, 1910, '\P{^Is_Jg=		Farsi_Yeh}', "");
Expect(0, 1911, '\p{Is_Jg=		Farsi_Yeh}', "");
Expect(1, 1911, '\p{^Is_Jg=		Farsi_Yeh}', "");
Expect(1, 1911, '\P{Is_Jg=		Farsi_Yeh}', "");
Expect(0, 1911, '\P{^Is_Jg=		Farsi_Yeh}', "");
Error('\p{Joining_Group=:=Fe}');
Error('\P{Joining_Group=:=Fe}');
Expect(1, 1871, '\p{Joining_Group=fe}', "");
Expect(0, 1871, '\p{^Joining_Group=fe}', "");
Expect(0, 1871, '\P{Joining_Group=fe}', "");
Expect(1, 1871, '\P{^Joining_Group=fe}', "");
Expect(0, 1872, '\p{Joining_Group=fe}', "");
Expect(1, 1872, '\p{^Joining_Group=fe}', "");
Expect(1, 1872, '\P{Joining_Group=fe}', "");
Expect(0, 1872, '\P{^Joining_Group=fe}', "");
Expect(1, 1871, '\p{Joining_Group=	_Fe}', "");
Expect(0, 1871, '\p{^Joining_Group=	_Fe}', "");
Expect(0, 1871, '\P{Joining_Group=	_Fe}', "");
Expect(1, 1871, '\P{^Joining_Group=	_Fe}', "");
Expect(0, 1872, '\p{Joining_Group=	_Fe}', "");
Expect(1, 1872, '\p{^Joining_Group=	_Fe}', "");
Expect(1, 1872, '\P{Joining_Group=	_Fe}', "");
Expect(0, 1872, '\P{^Joining_Group=	_Fe}', "");
Error('\p{Jg=_/a/FE}');
Error('\P{Jg=_/a/FE}');
Expect(1, 1871, '\p{Jg=fe}', "");
Expect(0, 1871, '\p{^Jg=fe}', "");
Expect(0, 1871, '\P{Jg=fe}', "");
Expect(1, 1871, '\P{^Jg=fe}', "");
Expect(0, 1872, '\p{Jg=fe}', "");
Expect(1, 1872, '\p{^Jg=fe}', "");
Expect(1, 1872, '\P{Jg=fe}', "");
Expect(0, 1872, '\P{^Jg=fe}', "");
Expect(1, 1871, '\p{Jg= -Fe}', "");
Expect(0, 1871, '\p{^Jg= -Fe}', "");
Expect(0, 1871, '\P{Jg= -Fe}', "");
Expect(1, 1871, '\P{^Jg= -Fe}', "");
Expect(0, 1872, '\p{Jg= -Fe}', "");
Expect(1, 1872, '\p{^Jg= -Fe}', "");
Expect(1, 1872, '\P{Jg= -Fe}', "");
Expect(0, 1872, '\P{^Jg= -Fe}', "");
Error('\p{Is_Joining_Group=_/a/FE}');
Error('\P{Is_Joining_Group=_/a/FE}');
Expect(1, 1871, '\p{Is_Joining_Group=fe}', "");
Expect(0, 1871, '\p{^Is_Joining_Group=fe}', "");
Expect(0, 1871, '\P{Is_Joining_Group=fe}', "");
Expect(1, 1871, '\P{^Is_Joining_Group=fe}', "");
Expect(0, 1872, '\p{Is_Joining_Group=fe}', "");
Expect(1, 1872, '\p{^Is_Joining_Group=fe}', "");
Expect(1, 1872, '\P{Is_Joining_Group=fe}', "");
Expect(0, 1872, '\P{^Is_Joining_Group=fe}', "");
Expect(1, 1871, '\p{Is_Joining_Group= -FE}', "");
Expect(0, 1871, '\p{^Is_Joining_Group= -FE}', "");
Expect(0, 1871, '\P{Is_Joining_Group= -FE}', "");
Expect(1, 1871, '\P{^Is_Joining_Group= -FE}', "");
Expect(0, 1872, '\p{Is_Joining_Group= -FE}', "");
Expect(1, 1872, '\p{^Is_Joining_Group= -FE}', "");
Expect(1, 1872, '\P{Is_Joining_Group= -FE}', "");
Expect(0, 1872, '\P{^Is_Joining_Group= -FE}', "");
Error('\p{Is_Jg=:=- fe}');
Error('\P{Is_Jg=:=- fe}');
Expect(1, 1871, '\p{Is_Jg=fe}', "");
Expect(0, 1871, '\p{^Is_Jg=fe}', "");
Expect(0, 1871, '\P{Is_Jg=fe}', "");
Expect(1, 1871, '\P{^Is_Jg=fe}', "");
Expect(0, 1872, '\p{Is_Jg=fe}', "");
Expect(1, 1872, '\p{^Is_Jg=fe}', "");
Expect(1, 1872, '\P{Is_Jg=fe}', "");
Expect(0, 1872, '\P{^Is_Jg=fe}', "");
Expect(1, 1871, '\p{Is_Jg=	fe}', "");
Expect(0, 1871, '\p{^Is_Jg=	fe}', "");
Expect(0, 1871, '\P{Is_Jg=	fe}', "");
Expect(1, 1871, '\P{^Is_Jg=	fe}', "");
Expect(0, 1872, '\p{Is_Jg=	fe}', "");
Expect(1, 1872, '\p{^Is_Jg=	fe}', "");
Expect(1, 1872, '\P{Is_Jg=	fe}', "");
Expect(0, 1872, '\P{^Is_Jg=	fe}', "");
Error('\p{Joining_Group= /a/feh}');
Error('\P{Joining_Group= /a/feh}');
Expect(1, 2212, '\p{Joining_Group=feh}', "");
Expect(0, 2212, '\p{^Joining_Group=feh}', "");
Expect(0, 2212, '\P{Joining_Group=feh}', "");
Expect(1, 2212, '\P{^Joining_Group=feh}', "");
Expect(0, 2213, '\p{Joining_Group=feh}', "");
Expect(1, 2213, '\p{^Joining_Group=feh}', "");
Expect(1, 2213, '\P{Joining_Group=feh}', "");
Expect(0, 2213, '\P{^Joining_Group=feh}', "");
Expect(1, 2212, '\p{Joining_Group=		Feh}', "");
Expect(0, 2212, '\p{^Joining_Group=		Feh}', "");
Expect(0, 2212, '\P{Joining_Group=		Feh}', "");
Expect(1, 2212, '\P{^Joining_Group=		Feh}', "");
Expect(0, 2213, '\p{Joining_Group=		Feh}', "");
Expect(1, 2213, '\p{^Joining_Group=		Feh}', "");
Expect(1, 2213, '\P{Joining_Group=		Feh}', "");
Expect(0, 2213, '\P{^Joining_Group=		Feh}', "");
Error('\p{Jg=/a/feh}');
Error('\P{Jg=/a/feh}');
Expect(1, 2212, '\p{Jg=feh}', "");
Expect(0, 2212, '\p{^Jg=feh}', "");
Expect(0, 2212, '\P{Jg=feh}', "");
Expect(1, 2212, '\P{^Jg=feh}', "");
Expect(0, 2213, '\p{Jg=feh}', "");
Expect(1, 2213, '\p{^Jg=feh}', "");
Expect(1, 2213, '\P{Jg=feh}', "");
Expect(0, 2213, '\P{^Jg=feh}', "");
Expect(1, 2212, '\p{Jg:		feh}', "");
Expect(0, 2212, '\p{^Jg:		feh}', "");
Expect(0, 2212, '\P{Jg:		feh}', "");
Expect(1, 2212, '\P{^Jg:		feh}', "");
Expect(0, 2213, '\p{Jg:		feh}', "");
Expect(1, 2213, '\p{^Jg:		feh}', "");
Expect(1, 2213, '\P{Jg:		feh}', "");
Expect(0, 2213, '\P{^Jg:		feh}', "");
Error('\p{Is_Joining_Group=__Feh/a/}');
Error('\P{Is_Joining_Group=__Feh/a/}');
Expect(1, 2212, '\p{Is_Joining_Group: feh}', "");
Expect(0, 2212, '\p{^Is_Joining_Group: feh}', "");
Expect(0, 2212, '\P{Is_Joining_Group: feh}', "");
Expect(1, 2212, '\P{^Is_Joining_Group: feh}', "");
Expect(0, 2213, '\p{Is_Joining_Group: feh}', "");
Expect(1, 2213, '\p{^Is_Joining_Group: feh}', "");
Expect(1, 2213, '\P{Is_Joining_Group: feh}', "");
Expect(0, 2213, '\P{^Is_Joining_Group: feh}', "");
Expect(1, 2212, '\p{Is_Joining_Group=		feh}', "");
Expect(0, 2212, '\p{^Is_Joining_Group=		feh}', "");
Expect(0, 2212, '\P{Is_Joining_Group=		feh}', "");
Expect(1, 2212, '\P{^Is_Joining_Group=		feh}', "");
Expect(0, 2213, '\p{Is_Joining_Group=		feh}', "");
Expect(1, 2213, '\p{^Is_Joining_Group=		feh}', "");
Expect(1, 2213, '\P{Is_Joining_Group=		feh}', "");
Expect(0, 2213, '\P{^Is_Joining_Group=		feh}', "");
Error('\p{Is_Jg=:=--Feh}');
Error('\P{Is_Jg=:=--Feh}');
Expect(1, 2212, '\p{Is_Jg=feh}', "");
Expect(0, 2212, '\p{^Is_Jg=feh}', "");
Expect(0, 2212, '\P{Is_Jg=feh}', "");
Expect(1, 2212, '\P{^Is_Jg=feh}', "");
Expect(0, 2213, '\p{Is_Jg=feh}', "");
Expect(1, 2213, '\p{^Is_Jg=feh}', "");
Expect(1, 2213, '\P{Is_Jg=feh}', "");
Expect(0, 2213, '\P{^Is_Jg=feh}', "");
Expect(1, 2212, '\p{Is_Jg=-FEH}', "");
Expect(0, 2212, '\p{^Is_Jg=-FEH}', "");
Expect(0, 2212, '\P{Is_Jg=-FEH}', "");
Expect(1, 2212, '\P{^Is_Jg=-FEH}', "");
Expect(0, 2213, '\p{Is_Jg=-FEH}', "");
Expect(1, 2213, '\p{^Is_Jg=-FEH}', "");
Expect(1, 2213, '\P{Is_Jg=-FEH}', "");
Expect(0, 2213, '\P{^Is_Jg=-FEH}', "");
Error('\p{Joining_Group=__final_Semkath:=}');
Error('\P{Joining_Group=__final_Semkath:=}');
Expect(1, 1828, '\p{Joining_Group=finalsemkath}', "");
Expect(0, 1828, '\p{^Joining_Group=finalsemkath}', "");
Expect(0, 1828, '\P{Joining_Group=finalsemkath}', "");
Expect(1, 1828, '\P{^Joining_Group=finalsemkath}', "");
Expect(0, 1829, '\p{Joining_Group=finalsemkath}', "");
Expect(1, 1829, '\p{^Joining_Group=finalsemkath}', "");
Expect(1, 1829, '\P{Joining_Group=finalsemkath}', "");
Expect(0, 1829, '\P{^Joining_Group=finalsemkath}', "");
Expect(1, 1828, '\p{Joining_Group: -_Final_semkath}', "");
Expect(0, 1828, '\p{^Joining_Group: -_Final_semkath}', "");
Expect(0, 1828, '\P{Joining_Group: -_Final_semkath}', "");
Expect(1, 1828, '\P{^Joining_Group: -_Final_semkath}', "");
Expect(0, 1829, '\p{Joining_Group: -_Final_semkath}', "");
Expect(1, 1829, '\p{^Joining_Group: -_Final_semkath}', "");
Expect(1, 1829, '\P{Joining_Group: -_Final_semkath}', "");
Expect(0, 1829, '\P{^Joining_Group: -_Final_semkath}', "");
Error('\p{Jg=- Final_SEMKATH:=}');
Error('\P{Jg=- Final_SEMKATH:=}');
Expect(1, 1828, '\p{Jg=finalsemkath}', "");
Expect(0, 1828, '\p{^Jg=finalsemkath}', "");
Expect(0, 1828, '\P{Jg=finalsemkath}', "");
Expect(1, 1828, '\P{^Jg=finalsemkath}', "");
Expect(0, 1829, '\p{Jg=finalsemkath}', "");
Expect(1, 1829, '\p{^Jg=finalsemkath}', "");
Expect(1, 1829, '\P{Jg=finalsemkath}', "");
Expect(0, 1829, '\P{^Jg=finalsemkath}', "");
Expect(1, 1828, '\p{Jg=-_FINAL_semkath}', "");
Expect(0, 1828, '\p{^Jg=-_FINAL_semkath}', "");
Expect(0, 1828, '\P{Jg=-_FINAL_semkath}', "");
Expect(1, 1828, '\P{^Jg=-_FINAL_semkath}', "");
Expect(0, 1829, '\p{Jg=-_FINAL_semkath}', "");
Expect(1, 1829, '\p{^Jg=-_FINAL_semkath}', "");
Expect(1, 1829, '\P{Jg=-_FINAL_semkath}', "");
Expect(0, 1829, '\P{^Jg=-_FINAL_semkath}', "");
Error('\p{Is_Joining_Group=	/a/FINAL_SEMKATH}');
Error('\P{Is_Joining_Group=	/a/FINAL_SEMKATH}');
Expect(1, 1828, '\p{Is_Joining_Group=finalsemkath}', "");
Expect(0, 1828, '\p{^Is_Joining_Group=finalsemkath}', "");
Expect(0, 1828, '\P{Is_Joining_Group=finalsemkath}', "");
Expect(1, 1828, '\P{^Is_Joining_Group=finalsemkath}', "");
Expect(0, 1829, '\p{Is_Joining_Group=finalsemkath}', "");
Expect(1, 1829, '\p{^Is_Joining_Group=finalsemkath}', "");
Expect(1, 1829, '\P{Is_Joining_Group=finalsemkath}', "");
Expect(0, 1829, '\P{^Is_Joining_Group=finalsemkath}', "");
Expect(1, 1828, '\p{Is_Joining_Group=	final_Semkath}', "");
Expect(0, 1828, '\p{^Is_Joining_Group=	final_Semkath}', "");
Expect(0, 1828, '\P{Is_Joining_Group=	final_Semkath}', "");
Expect(1, 1828, '\P{^Is_Joining_Group=	final_Semkath}', "");
Expect(0, 1829, '\p{Is_Joining_Group=	final_Semkath}', "");
Expect(1, 1829, '\p{^Is_Joining_Group=	final_Semkath}', "");
Expect(1, 1829, '\P{Is_Joining_Group=	final_Semkath}', "");
Expect(0, 1829, '\P{^Is_Joining_Group=	final_Semkath}', "");
Error('\p{Is_Jg=	 Final_semkath:=}');
Error('\P{Is_Jg=	 Final_semkath:=}');
Expect(1, 1828, '\p{Is_Jg=finalsemkath}', "");
Expect(0, 1828, '\p{^Is_Jg=finalsemkath}', "");
Expect(0, 1828, '\P{Is_Jg=finalsemkath}', "");
Expect(1, 1828, '\P{^Is_Jg=finalsemkath}', "");
Expect(0, 1829, '\p{Is_Jg=finalsemkath}', "");
Expect(1, 1829, '\p{^Is_Jg=finalsemkath}', "");
Expect(1, 1829, '\P{Is_Jg=finalsemkath}', "");
Expect(0, 1829, '\P{^Is_Jg=finalsemkath}', "");
Expect(1, 1828, '\p{Is_Jg= -final_semkath}', "");
Expect(0, 1828, '\p{^Is_Jg= -final_semkath}', "");
Expect(0, 1828, '\P{Is_Jg= -final_semkath}', "");
Expect(1, 1828, '\P{^Is_Jg= -final_semkath}', "");
Expect(0, 1829, '\p{Is_Jg= -final_semkath}', "");
Expect(1, 1829, '\p{^Is_Jg= -final_semkath}', "");
Expect(1, 1829, '\P{Is_Jg= -final_semkath}', "");
Expect(0, 1829, '\P{^Is_Jg= -final_semkath}', "");
Error('\p{Joining_Group=:= -GAF}');
Error('\P{Joining_Group=:= -GAF}');
Expect(1, 2224, '\p{Joining_Group=gaf}', "");
Expect(0, 2224, '\p{^Joining_Group=gaf}', "");
Expect(0, 2224, '\P{Joining_Group=gaf}', "");
Expect(1, 2224, '\P{^Joining_Group=gaf}', "");
Expect(0, 2225, '\p{Joining_Group=gaf}', "");
Expect(1, 2225, '\p{^Joining_Group=gaf}', "");
Expect(1, 2225, '\P{Joining_Group=gaf}', "");
Expect(0, 2225, '\P{^Joining_Group=gaf}', "");
Expect(1, 2224, '\p{Joining_Group:	 -gaf}', "");
Expect(0, 2224, '\p{^Joining_Group:	 -gaf}', "");
Expect(0, 2224, '\P{Joining_Group:	 -gaf}', "");
Expect(1, 2224, '\P{^Joining_Group:	 -gaf}', "");
Expect(0, 2225, '\p{Joining_Group:	 -gaf}', "");
Expect(1, 2225, '\p{^Joining_Group:	 -gaf}', "");
Expect(1, 2225, '\P{Joining_Group:	 -gaf}', "");
Expect(0, 2225, '\P{^Joining_Group:	 -gaf}', "");
Error('\p{Jg=:=	_gaf}');
Error('\P{Jg=:=	_gaf}');
Expect(1, 2224, '\p{Jg=gaf}', "");
Expect(0, 2224, '\p{^Jg=gaf}', "");
Expect(0, 2224, '\P{Jg=gaf}', "");
Expect(1, 2224, '\P{^Jg=gaf}', "");
Expect(0, 2225, '\p{Jg=gaf}', "");
Expect(1, 2225, '\p{^Jg=gaf}', "");
Expect(1, 2225, '\P{Jg=gaf}', "");
Expect(0, 2225, '\P{^Jg=gaf}', "");
Expect(1, 2224, '\p{Jg=_-GAF}', "");
Expect(0, 2224, '\p{^Jg=_-GAF}', "");
Expect(0, 2224, '\P{Jg=_-GAF}', "");
Expect(1, 2224, '\P{^Jg=_-GAF}', "");
Expect(0, 2225, '\p{Jg=_-GAF}', "");
Expect(1, 2225, '\p{^Jg=_-GAF}', "");
Expect(1, 2225, '\P{Jg=_-GAF}', "");
Expect(0, 2225, '\P{^Jg=_-GAF}', "");
Error('\p{Is_Joining_Group=/a/- Gaf}');
Error('\P{Is_Joining_Group=/a/- Gaf}');
Expect(1, 2224, '\p{Is_Joining_Group=gaf}', "");
Expect(0, 2224, '\p{^Is_Joining_Group=gaf}', "");
Expect(0, 2224, '\P{Is_Joining_Group=gaf}', "");
Expect(1, 2224, '\P{^Is_Joining_Group=gaf}', "");
Expect(0, 2225, '\p{Is_Joining_Group=gaf}', "");
Expect(1, 2225, '\p{^Is_Joining_Group=gaf}', "");
Expect(1, 2225, '\P{Is_Joining_Group=gaf}', "");
Expect(0, 2225, '\P{^Is_Joining_Group=gaf}', "");
Expect(1, 2224, '\p{Is_Joining_Group=- GAF}', "");
Expect(0, 2224, '\p{^Is_Joining_Group=- GAF}', "");
Expect(0, 2224, '\P{Is_Joining_Group=- GAF}', "");
Expect(1, 2224, '\P{^Is_Joining_Group=- GAF}', "");
Expect(0, 2225, '\p{Is_Joining_Group=- GAF}', "");
Expect(1, 2225, '\p{^Is_Joining_Group=- GAF}', "");
Expect(1, 2225, '\P{Is_Joining_Group=- GAF}', "");
Expect(0, 2225, '\P{^Is_Joining_Group=- GAF}', "");
Error('\p{Is_Jg= _gaf/a/}');
Error('\P{Is_Jg= _gaf/a/}');
Expect(1, 2224, '\p{Is_Jg=gaf}', "");
Expect(0, 2224, '\p{^Is_Jg=gaf}', "");
Expect(0, 2224, '\P{Is_Jg=gaf}', "");
Expect(1, 2224, '\P{^Is_Jg=gaf}', "");
Expect(0, 2225, '\p{Is_Jg=gaf}', "");
Expect(1, 2225, '\p{^Is_Jg=gaf}', "");
Expect(1, 2225, '\P{Is_Jg=gaf}', "");
Expect(0, 2225, '\P{^Is_Jg=gaf}', "");
Expect(1, 2224, '\p{Is_Jg=--Gaf}', "");
Expect(0, 2224, '\p{^Is_Jg=--Gaf}', "");
Expect(0, 2224, '\P{Is_Jg=--Gaf}', "");
Expect(1, 2224, '\P{^Is_Jg=--Gaf}', "");
Expect(0, 2225, '\p{Is_Jg=--Gaf}', "");
Expect(1, 2225, '\p{^Is_Jg=--Gaf}', "");
Expect(1, 2225, '\P{Is_Jg=--Gaf}', "");
Expect(0, 2225, '\P{^Is_Jg=--Gaf}', "");
Error('\p{Joining_Group= /a/gamal}');
Error('\P{Joining_Group= /a/gamal}');
Expect(1, 1838, '\p{Joining_Group=gamal}', "");
Expect(0, 1838, '\p{^Joining_Group=gamal}', "");
Expect(0, 1838, '\P{Joining_Group=gamal}', "");
Expect(1, 1838, '\P{^Joining_Group=gamal}', "");
Expect(0, 1839, '\p{Joining_Group=gamal}', "");
Expect(1, 1839, '\p{^Joining_Group=gamal}', "");
Expect(1, 1839, '\P{Joining_Group=gamal}', "");
Expect(0, 1839, '\P{^Joining_Group=gamal}', "");
Expect(1, 1838, '\p{Joining_Group:	 Gamal}', "");
Expect(0, 1838, '\p{^Joining_Group:	 Gamal}', "");
Expect(0, 1838, '\P{Joining_Group:	 Gamal}', "");
Expect(1, 1838, '\P{^Joining_Group:	 Gamal}', "");
Expect(0, 1839, '\p{Joining_Group:	 Gamal}', "");
Expect(1, 1839, '\p{^Joining_Group:	 Gamal}', "");
Expect(1, 1839, '\P{Joining_Group:	 Gamal}', "");
Expect(0, 1839, '\P{^Joining_Group:	 Gamal}', "");
Error('\p{Jg=	GAMAL:=}');
Error('\P{Jg=	GAMAL:=}');
Expect(1, 1838, '\p{Jg=gamal}', "");
Expect(0, 1838, '\p{^Jg=gamal}', "");
Expect(0, 1838, '\P{Jg=gamal}', "");
Expect(1, 1838, '\P{^Jg=gamal}', "");
Expect(0, 1839, '\p{Jg=gamal}', "");
Expect(1, 1839, '\p{^Jg=gamal}', "");
Expect(1, 1839, '\P{Jg=gamal}', "");
Expect(0, 1839, '\P{^Jg=gamal}', "");
Expect(1, 1838, '\p{Jg=Gamal}', "");
Expect(0, 1838, '\p{^Jg=Gamal}', "");
Expect(0, 1838, '\P{Jg=Gamal}', "");
Expect(1, 1838, '\P{^Jg=Gamal}', "");
Expect(0, 1839, '\p{Jg=Gamal}', "");
Expect(1, 1839, '\p{^Jg=Gamal}', "");
Expect(1, 1839, '\P{Jg=Gamal}', "");
Expect(0, 1839, '\P{^Jg=Gamal}', "");
Error('\p{Is_Joining_Group=/a/		GAMAL}');
Error('\P{Is_Joining_Group=/a/		GAMAL}');
Expect(1, 1838, '\p{Is_Joining_Group:	gamal}', "");
Expect(0, 1838, '\p{^Is_Joining_Group:	gamal}', "");
Expect(0, 1838, '\P{Is_Joining_Group:	gamal}', "");
Expect(1, 1838, '\P{^Is_Joining_Group:	gamal}', "");
Expect(0, 1839, '\p{Is_Joining_Group:	gamal}', "");
Expect(1, 1839, '\p{^Is_Joining_Group:	gamal}', "");
Expect(1, 1839, '\P{Is_Joining_Group:	gamal}', "");
Expect(0, 1839, '\P{^Is_Joining_Group:	gamal}', "");
Expect(1, 1838, '\p{Is_Joining_Group=Gamal}', "");
Expect(0, 1838, '\p{^Is_Joining_Group=Gamal}', "");
Expect(0, 1838, '\P{Is_Joining_Group=Gamal}', "");
Expect(1, 1838, '\P{^Is_Joining_Group=Gamal}', "");
Expect(0, 1839, '\p{Is_Joining_Group=Gamal}', "");
Expect(1, 1839, '\p{^Is_Joining_Group=Gamal}', "");
Expect(1, 1839, '\P{Is_Joining_Group=Gamal}', "");
Expect(0, 1839, '\P{^Is_Joining_Group=Gamal}', "");
Error('\p{Is_Jg: -_Gamal/a/}');
Error('\P{Is_Jg: -_Gamal/a/}');
Expect(1, 1838, '\p{Is_Jg=gamal}', "");
Expect(0, 1838, '\p{^Is_Jg=gamal}', "");
Expect(0, 1838, '\P{Is_Jg=gamal}', "");
Expect(1, 1838, '\P{^Is_Jg=gamal}', "");
Expect(0, 1839, '\p{Is_Jg=gamal}', "");
Expect(1, 1839, '\p{^Is_Jg=gamal}', "");
Expect(1, 1839, '\P{Is_Jg=gamal}', "");
Expect(0, 1839, '\P{^Is_Jg=gamal}', "");
Expect(1, 1838, '\p{Is_Jg=_-Gamal}', "");
Expect(0, 1838, '\p{^Is_Jg=_-Gamal}', "");
Expect(0, 1838, '\P{Is_Jg=_-Gamal}', "");
Expect(1, 1838, '\P{^Is_Jg=_-Gamal}', "");
Expect(0, 1839, '\p{Is_Jg=_-Gamal}', "");
Expect(1, 1839, '\p{^Is_Jg=_-Gamal}', "");
Expect(1, 1839, '\P{Is_Jg=_-Gamal}', "");
Expect(0, 1839, '\P{^Is_Jg=_-Gamal}', "");
Error('\p{Joining_Group=/a/	_HAH}');
Error('\P{Joining_Group=/a/	_HAH}');
Expect(1, 2210, '\p{Joining_Group=hah}', "");
Expect(0, 2210, '\p{^Joining_Group=hah}', "");
Expect(0, 2210, '\P{Joining_Group=hah}', "");
Expect(1, 2210, '\P{^Joining_Group=hah}', "");
Expect(0, 2211, '\p{Joining_Group=hah}', "");
Expect(1, 2211, '\p{^Joining_Group=hah}', "");
Expect(1, 2211, '\P{Joining_Group=hah}', "");
Expect(0, 2211, '\P{^Joining_Group=hah}', "");
Expect(1, 2210, '\p{Joining_Group=_-Hah}', "");
Expect(0, 2210, '\p{^Joining_Group=_-Hah}', "");
Expect(0, 2210, '\P{Joining_Group=_-Hah}', "");
Expect(1, 2210, '\P{^Joining_Group=_-Hah}', "");
Expect(0, 2211, '\p{Joining_Group=_-Hah}', "");
Expect(1, 2211, '\p{^Joining_Group=_-Hah}', "");
Expect(1, 2211, '\P{Joining_Group=_-Hah}', "");
Expect(0, 2211, '\P{^Joining_Group=_-Hah}', "");
Error('\p{Jg=-:=HAH}');
Error('\P{Jg=-:=HAH}');
Expect(1, 2210, '\p{Jg=hah}', "");
Expect(0, 2210, '\p{^Jg=hah}', "");
Expect(0, 2210, '\P{Jg=hah}', "");
Expect(1, 2210, '\P{^Jg=hah}', "");
Expect(0, 2211, '\p{Jg=hah}', "");
Expect(1, 2211, '\p{^Jg=hah}', "");
Expect(1, 2211, '\P{Jg=hah}', "");
Expect(0, 2211, '\P{^Jg=hah}', "");
Expect(1, 2210, '\p{Jg:  	hah}', "");
Expect(0, 2210, '\p{^Jg:  	hah}', "");
Expect(0, 2210, '\P{Jg:  	hah}', "");
Expect(1, 2210, '\P{^Jg:  	hah}', "");
Expect(0, 2211, '\p{Jg:  	hah}', "");
Expect(1, 2211, '\p{^Jg:  	hah}', "");
Expect(1, 2211, '\P{Jg:  	hah}', "");
Expect(0, 2211, '\P{^Jg:  	hah}', "");
Error('\p{Is_Joining_Group:	/a/_-Hah}');
Error('\P{Is_Joining_Group:	/a/_-Hah}');
Expect(1, 2210, '\p{Is_Joining_Group=hah}', "");
Expect(0, 2210, '\p{^Is_Joining_Group=hah}', "");
Expect(0, 2210, '\P{Is_Joining_Group=hah}', "");
Expect(1, 2210, '\P{^Is_Joining_Group=hah}', "");
Expect(0, 2211, '\p{Is_Joining_Group=hah}', "");
Expect(1, 2211, '\p{^Is_Joining_Group=hah}', "");
Expect(1, 2211, '\P{Is_Joining_Group=hah}', "");
Expect(0, 2211, '\P{^Is_Joining_Group=hah}', "");
Expect(1, 2210, '\p{Is_Joining_Group=-	HAH}', "");
Expect(0, 2210, '\p{^Is_Joining_Group=-	HAH}', "");
Expect(0, 2210, '\P{Is_Joining_Group=-	HAH}', "");
Expect(1, 2210, '\P{^Is_Joining_Group=-	HAH}', "");
Expect(0, 2211, '\p{Is_Joining_Group=-	HAH}', "");
Expect(1, 2211, '\p{^Is_Joining_Group=-	HAH}', "");
Expect(1, 2211, '\P{Is_Joining_Group=-	HAH}', "");
Expect(0, 2211, '\P{^Is_Joining_Group=-	HAH}', "");
Error('\p{Is_Jg=hah/a/}');
Error('\P{Is_Jg=hah/a/}');
Expect(1, 2210, '\p{Is_Jg=hah}', "");
Expect(0, 2210, '\p{^Is_Jg=hah}', "");
Expect(0, 2210, '\P{Is_Jg=hah}', "");
Expect(1, 2210, '\P{^Is_Jg=hah}', "");
Expect(0, 2211, '\p{Is_Jg=hah}', "");
Expect(1, 2211, '\p{^Is_Jg=hah}', "");
Expect(1, 2211, '\P{Is_Jg=hah}', "");
Expect(0, 2211, '\P{^Is_Jg=hah}', "");
Expect(1, 2210, '\p{Is_Jg=- Hah}', "");
Expect(0, 2210, '\p{^Is_Jg=- Hah}', "");
Expect(0, 2210, '\P{Is_Jg=- Hah}', "");
Expect(1, 2210, '\P{^Is_Jg=- Hah}', "");
Expect(0, 2211, '\p{Is_Jg=- Hah}', "");
Expect(1, 2211, '\p{^Is_Jg=- Hah}', "");
Expect(1, 2211, '\P{Is_Jg=- Hah}', "");
Expect(0, 2211, '\P{^Is_Jg=- Hah}', "");
Error('\p{Joining_Group=:=HE}');
Error('\P{Joining_Group=:=HE}');
Expect(1, 1815, '\p{Joining_Group=he}', "");
Expect(0, 1815, '\p{^Joining_Group=he}', "");
Expect(0, 1815, '\P{Joining_Group=he}', "");
Expect(1, 1815, '\P{^Joining_Group=he}', "");
Expect(0, 1816, '\p{Joining_Group=he}', "");
Expect(1, 1816, '\p{^Joining_Group=he}', "");
Expect(1, 1816, '\P{Joining_Group=he}', "");
Expect(0, 1816, '\P{^Joining_Group=he}', "");
Expect(1, 1815, '\p{Joining_Group=	 He}', "");
Expect(0, 1815, '\p{^Joining_Group=	 He}', "");
Expect(0, 1815, '\P{Joining_Group=	 He}', "");
Expect(1, 1815, '\P{^Joining_Group=	 He}', "");
Expect(0, 1816, '\p{Joining_Group=	 He}', "");
Expect(1, 1816, '\p{^Joining_Group=	 He}', "");
Expect(1, 1816, '\P{Joining_Group=	 He}', "");
Expect(0, 1816, '\P{^Joining_Group=	 He}', "");
Error('\p{Jg=	HE/a/}');
Error('\P{Jg=	HE/a/}');
Expect(1, 1815, '\p{Jg=he}', "");
Expect(0, 1815, '\p{^Jg=he}', "");
Expect(0, 1815, '\P{Jg=he}', "");
Expect(1, 1815, '\P{^Jg=he}', "");
Expect(0, 1816, '\p{Jg=he}', "");
Expect(1, 1816, '\p{^Jg=he}', "");
Expect(1, 1816, '\P{Jg=he}', "");
Expect(0, 1816, '\P{^Jg=he}', "");
Expect(1, 1815, '\p{Jg=	He}', "");
Expect(0, 1815, '\p{^Jg=	He}', "");
Expect(0, 1815, '\P{Jg=	He}', "");
Expect(1, 1815, '\P{^Jg=	He}', "");
Expect(0, 1816, '\p{Jg=	He}', "");
Expect(1, 1816, '\p{^Jg=	He}', "");
Expect(1, 1816, '\P{Jg=	He}', "");
Expect(0, 1816, '\P{^Jg=	He}', "");
Error('\p{Is_Joining_Group=_he:=}');
Error('\P{Is_Joining_Group=_he:=}');
Expect(1, 1815, '\p{Is_Joining_Group=he}', "");
Expect(0, 1815, '\p{^Is_Joining_Group=he}', "");
Expect(0, 1815, '\P{Is_Joining_Group=he}', "");
Expect(1, 1815, '\P{^Is_Joining_Group=he}', "");
Expect(0, 1816, '\p{Is_Joining_Group=he}', "");
Expect(1, 1816, '\p{^Is_Joining_Group=he}', "");
Expect(1, 1816, '\P{Is_Joining_Group=he}', "");
Expect(0, 1816, '\P{^Is_Joining_Group=he}', "");
Expect(1, 1815, '\p{Is_Joining_Group= He}', "");
Expect(0, 1815, '\p{^Is_Joining_Group= He}', "");
Expect(0, 1815, '\P{Is_Joining_Group= He}', "");
Expect(1, 1815, '\P{^Is_Joining_Group= He}', "");
Expect(0, 1816, '\p{Is_Joining_Group= He}', "");
Expect(1, 1816, '\p{^Is_Joining_Group= He}', "");
Expect(1, 1816, '\P{Is_Joining_Group= He}', "");
Expect(0, 1816, '\P{^Is_Joining_Group= He}', "");
Error('\p{Is_Jg=-He:=}');
Error('\P{Is_Jg=-He:=}');
Expect(1, 1815, '\p{Is_Jg=he}', "");
Expect(0, 1815, '\p{^Is_Jg=he}', "");
Expect(0, 1815, '\P{Is_Jg=he}', "");
Expect(1, 1815, '\P{^Is_Jg=he}', "");
Expect(0, 1816, '\p{Is_Jg=he}', "");
Expect(1, 1816, '\p{^Is_Jg=he}', "");
Expect(1, 1816, '\P{Is_Jg=he}', "");
Expect(0, 1816, '\P{^Is_Jg=he}', "");
Expect(1, 1815, '\p{Is_Jg=_-He}', "");
Expect(0, 1815, '\p{^Is_Jg=_-He}', "");
Expect(0, 1815, '\P{Is_Jg=_-He}', "");
Expect(1, 1815, '\P{^Is_Jg=_-He}', "");
Expect(0, 1816, '\p{Is_Jg=_-He}', "");
Expect(1, 1816, '\p{^Is_Jg=_-He}', "");
Expect(1, 1816, '\P{Is_Jg=_-He}', "");
Expect(0, 1816, '\P{^Is_Jg=_-He}', "");
Error('\p{Joining_Group=:=	HEH}');
Error('\P{Joining_Group=:=	HEH}');
Expect(1, 1607, '\p{Joining_Group=heh}', "");
Expect(0, 1607, '\p{^Joining_Group=heh}', "");
Expect(0, 1607, '\P{Joining_Group=heh}', "");
Expect(1, 1607, '\P{^Joining_Group=heh}', "");
Expect(0, 1608, '\p{Joining_Group=heh}', "");
Expect(1, 1608, '\p{^Joining_Group=heh}', "");
Expect(1, 1608, '\P{Joining_Group=heh}', "");
Expect(0, 1608, '\P{^Joining_Group=heh}', "");
Expect(1, 1607, '\p{Joining_Group= 	Heh}', "");
Expect(0, 1607, '\p{^Joining_Group= 	Heh}', "");
Expect(0, 1607, '\P{Joining_Group= 	Heh}', "");
Expect(1, 1607, '\P{^Joining_Group= 	Heh}', "");
Expect(0, 1608, '\p{Joining_Group= 	Heh}', "");
Expect(1, 1608, '\p{^Joining_Group= 	Heh}', "");
Expect(1, 1608, '\P{Joining_Group= 	Heh}', "");
Expect(0, 1608, '\P{^Joining_Group= 	Heh}', "");
Error('\p{Jg=	Heh:=}');
Error('\P{Jg=	Heh:=}');
Expect(1, 1607, '\p{Jg=heh}', "");
Expect(0, 1607, '\p{^Jg=heh}', "");
Expect(0, 1607, '\P{Jg=heh}', "");
Expect(1, 1607, '\P{^Jg=heh}', "");
Expect(0, 1608, '\p{Jg=heh}', "");
Expect(1, 1608, '\p{^Jg=heh}', "");
Expect(1, 1608, '\P{Jg=heh}', "");
Expect(0, 1608, '\P{^Jg=heh}', "");
Expect(1, 1607, '\p{Jg=- HEH}', "");
Expect(0, 1607, '\p{^Jg=- HEH}', "");
Expect(0, 1607, '\P{Jg=- HEH}', "");
Expect(1, 1607, '\P{^Jg=- HEH}', "");
Expect(0, 1608, '\p{Jg=- HEH}', "");
Expect(1, 1608, '\p{^Jg=- HEH}', "");
Expect(1, 1608, '\P{Jg=- HEH}', "");
Expect(0, 1608, '\P{^Jg=- HEH}', "");
Error('\p{Is_Joining_Group=/a/_Heh}');
Error('\P{Is_Joining_Group=/a/_Heh}');
Expect(1, 1607, '\p{Is_Joining_Group:	heh}', "");
Expect(0, 1607, '\p{^Is_Joining_Group:	heh}', "");
Expect(0, 1607, '\P{Is_Joining_Group:	heh}', "");
Expect(1, 1607, '\P{^Is_Joining_Group:	heh}', "");
Expect(0, 1608, '\p{Is_Joining_Group:	heh}', "");
Expect(1, 1608, '\p{^Is_Joining_Group:	heh}', "");
Expect(1, 1608, '\P{Is_Joining_Group:	heh}', "");
Expect(0, 1608, '\P{^Is_Joining_Group:	heh}', "");
Expect(1, 1607, '\p{Is_Joining_Group:	_ heh}', "");
Expect(0, 1607, '\p{^Is_Joining_Group:	_ heh}', "");
Expect(0, 1607, '\P{Is_Joining_Group:	_ heh}', "");
Expect(1, 1607, '\P{^Is_Joining_Group:	_ heh}', "");
Expect(0, 1608, '\p{Is_Joining_Group:	_ heh}', "");
Expect(1, 1608, '\p{^Is_Joining_Group:	_ heh}', "");
Expect(1, 1608, '\P{Is_Joining_Group:	_ heh}', "");
Expect(0, 1608, '\P{^Is_Joining_Group:	_ heh}', "");
Error('\p{Is_Jg=:= -Heh}');
Error('\P{Is_Jg=:= -Heh}');
Expect(1, 1607, '\p{Is_Jg=heh}', "");
Expect(0, 1607, '\p{^Is_Jg=heh}', "");
Expect(0, 1607, '\P{Is_Jg=heh}', "");
Expect(1, 1607, '\P{^Is_Jg=heh}', "");
Expect(0, 1608, '\p{Is_Jg=heh}', "");
Expect(1, 1608, '\p{^Is_Jg=heh}', "");
Expect(1, 1608, '\P{Is_Jg=heh}', "");
Expect(0, 1608, '\P{^Is_Jg=heh}', "");
Expect(1, 1607, '\p{Is_Jg=_Heh}', "");
Expect(0, 1607, '\p{^Is_Jg=_Heh}', "");
Expect(0, 1607, '\P{Is_Jg=_Heh}', "");
Expect(1, 1607, '\P{^Is_Jg=_Heh}', "");
Expect(0, 1608, '\p{Is_Jg=_Heh}', "");
Expect(1, 1608, '\p{^Is_Jg=_Heh}', "");
Expect(1, 1608, '\P{Is_Jg=_Heh}', "");
Expect(0, 1608, '\P{^Is_Jg=_Heh}', "");
Error('\p{Joining_Group=/a/  Heh_goal}');
Error('\P{Joining_Group=/a/  Heh_goal}');
Expect(1, 1730, '\p{Joining_Group=hehgoal}', "");
Expect(0, 1730, '\p{^Joining_Group=hehgoal}', "");
Expect(0, 1730, '\P{Joining_Group=hehgoal}', "");
Expect(1, 1730, '\P{^Joining_Group=hehgoal}', "");
Expect(0, 1731, '\p{Joining_Group=hehgoal}', "");
Expect(1, 1731, '\p{^Joining_Group=hehgoal}', "");
Expect(1, 1731, '\P{Joining_Group=hehgoal}', "");
Expect(0, 1731, '\P{^Joining_Group=hehgoal}', "");
Expect(1, 1730, '\p{Joining_Group=  Heh_GOAL}', "");
Expect(0, 1730, '\p{^Joining_Group=  Heh_GOAL}', "");
Expect(0, 1730, '\P{Joining_Group=  Heh_GOAL}', "");
Expect(1, 1730, '\P{^Joining_Group=  Heh_GOAL}', "");
Expect(0, 1731, '\p{Joining_Group=  Heh_GOAL}', "");
Expect(1, 1731, '\p{^Joining_Group=  Heh_GOAL}', "");
Expect(1, 1731, '\P{Joining_Group=  Heh_GOAL}', "");
Expect(0, 1731, '\P{^Joining_Group=  Heh_GOAL}', "");
Error('\p{Jg=/a/_Heh_Goal}');
Error('\P{Jg=/a/_Heh_Goal}');
Expect(1, 1730, '\p{Jg=hehgoal}', "");
Expect(0, 1730, '\p{^Jg=hehgoal}', "");
Expect(0, 1730, '\P{Jg=hehgoal}', "");
Expect(1, 1730, '\P{^Jg=hehgoal}', "");
Expect(0, 1731, '\p{Jg=hehgoal}', "");
Expect(1, 1731, '\p{^Jg=hehgoal}', "");
Expect(1, 1731, '\P{Jg=hehgoal}', "");
Expect(0, 1731, '\P{^Jg=hehgoal}', "");
Expect(1, 1730, '\p{Jg= 	HEH_goal}', "");
Expect(0, 1730, '\p{^Jg= 	HEH_goal}', "");
Expect(0, 1730, '\P{Jg= 	HEH_goal}', "");
Expect(1, 1730, '\P{^Jg= 	HEH_goal}', "");
Expect(0, 1731, '\p{Jg= 	HEH_goal}', "");
Expect(1, 1731, '\p{^Jg= 	HEH_goal}', "");
Expect(1, 1731, '\P{Jg= 	HEH_goal}', "");
Expect(0, 1731, '\P{^Jg= 	HEH_goal}', "");
Error('\p{Is_Joining_Group=:=HEH_GOAL}');
Error('\P{Is_Joining_Group=:=HEH_GOAL}');
Expect(1, 1730, '\p{Is_Joining_Group=hehgoal}', "");
Expect(0, 1730, '\p{^Is_Joining_Group=hehgoal}', "");
Expect(0, 1730, '\P{Is_Joining_Group=hehgoal}', "");
Expect(1, 1730, '\P{^Is_Joining_Group=hehgoal}', "");
Expect(0, 1731, '\p{Is_Joining_Group=hehgoal}', "");
Expect(1, 1731, '\p{^Is_Joining_Group=hehgoal}', "");
Expect(1, 1731, '\P{Is_Joining_Group=hehgoal}', "");
Expect(0, 1731, '\P{^Is_Joining_Group=hehgoal}', "");
Expect(1, 1730, '\p{Is_Joining_Group=	-HEH_GOAL}', "");
Expect(0, 1730, '\p{^Is_Joining_Group=	-HEH_GOAL}', "");
Expect(0, 1730, '\P{Is_Joining_Group=	-HEH_GOAL}', "");
Expect(1, 1730, '\P{^Is_Joining_Group=	-HEH_GOAL}', "");
Expect(0, 1731, '\p{Is_Joining_Group=	-HEH_GOAL}', "");
Expect(1, 1731, '\p{^Is_Joining_Group=	-HEH_GOAL}', "");
Expect(1, 1731, '\P{Is_Joining_Group=	-HEH_GOAL}', "");
Expect(0, 1731, '\P{^Is_Joining_Group=	-HEH_GOAL}', "");
Error('\p{Is_Jg=-:=heh_GOAL}');
Error('\P{Is_Jg=-:=heh_GOAL}');
Expect(1, 1730, '\p{Is_Jg: hehgoal}', "");
Expect(0, 1730, '\p{^Is_Jg: hehgoal}', "");
Expect(0, 1730, '\P{Is_Jg: hehgoal}', "");
Expect(1, 1730, '\P{^Is_Jg: hehgoal}', "");
Expect(0, 1731, '\p{Is_Jg: hehgoal}', "");
Expect(1, 1731, '\p{^Is_Jg: hehgoal}', "");
Expect(1, 1731, '\P{Is_Jg: hehgoal}', "");
Expect(0, 1731, '\P{^Is_Jg: hehgoal}', "");
Expect(1, 1730, '\p{Is_Jg=- Heh_goal}', "");
Expect(0, 1730, '\p{^Is_Jg=- Heh_goal}', "");
Expect(0, 1730, '\P{Is_Jg=- Heh_goal}', "");
Expect(1, 1730, '\P{^Is_Jg=- Heh_goal}', "");
Expect(0, 1731, '\p{Is_Jg=- Heh_goal}', "");
Expect(1, 1731, '\p{^Is_Jg=- Heh_goal}', "");
Expect(1, 1731, '\P{Is_Jg=- Heh_goal}', "");
Expect(0, 1731, '\P{^Is_Jg=- Heh_goal}', "");
Error('\p{Joining_Group=:= Heth}');
Error('\P{Joining_Group=:= Heth}');
Expect(1, 1818, '\p{Joining_Group=heth}', "");
Expect(0, 1818, '\p{^Joining_Group=heth}', "");
Expect(0, 1818, '\P{Joining_Group=heth}', "");
Expect(1, 1818, '\P{^Joining_Group=heth}', "");
Expect(0, 1819, '\p{Joining_Group=heth}', "");
Expect(1, 1819, '\p{^Joining_Group=heth}', "");
Expect(1, 1819, '\P{Joining_Group=heth}', "");
Expect(0, 1819, '\P{^Joining_Group=heth}', "");
Expect(1, 1818, '\p{Joining_Group=-heth}', "");
Expect(0, 1818, '\p{^Joining_Group=-heth}', "");
Expect(0, 1818, '\P{Joining_Group=-heth}', "");
Expect(1, 1818, '\P{^Joining_Group=-heth}', "");
Expect(0, 1819, '\p{Joining_Group=-heth}', "");
Expect(1, 1819, '\p{^Joining_Group=-heth}', "");
Expect(1, 1819, '\P{Joining_Group=-heth}', "");
Expect(0, 1819, '\P{^Joining_Group=-heth}', "");
Error('\p{Jg:   :=_-HETH}');
Error('\P{Jg:   :=_-HETH}');
Expect(1, 1818, '\p{Jg=heth}', "");
Expect(0, 1818, '\p{^Jg=heth}', "");
Expect(0, 1818, '\P{Jg=heth}', "");
Expect(1, 1818, '\P{^Jg=heth}', "");
Expect(0, 1819, '\p{Jg=heth}', "");
Expect(1, 1819, '\p{^Jg=heth}', "");
Expect(1, 1819, '\P{Jg=heth}', "");
Expect(0, 1819, '\P{^Jg=heth}', "");
Expect(1, 1818, '\p{Jg=_Heth}', "");
Expect(0, 1818, '\p{^Jg=_Heth}', "");
Expect(0, 1818, '\P{Jg=_Heth}', "");
Expect(1, 1818, '\P{^Jg=_Heth}', "");
Expect(0, 1819, '\p{Jg=_Heth}', "");
Expect(1, 1819, '\p{^Jg=_Heth}', "");
Expect(1, 1819, '\P{Jg=_Heth}', "");
Expect(0, 1819, '\P{^Jg=_Heth}', "");
Error('\p{Is_Joining_Group=	-Heth:=}');
Error('\P{Is_Joining_Group=	-Heth:=}');
Expect(1, 1818, '\p{Is_Joining_Group=heth}', "");
Expect(0, 1818, '\p{^Is_Joining_Group=heth}', "");
Expect(0, 1818, '\P{Is_Joining_Group=heth}', "");
Expect(1, 1818, '\P{^Is_Joining_Group=heth}', "");
Expect(0, 1819, '\p{Is_Joining_Group=heth}', "");
Expect(1, 1819, '\p{^Is_Joining_Group=heth}', "");
Expect(1, 1819, '\P{Is_Joining_Group=heth}', "");
Expect(0, 1819, '\P{^Is_Joining_Group=heth}', "");
Expect(1, 1818, '\p{Is_Joining_Group=__heth}', "");
Expect(0, 1818, '\p{^Is_Joining_Group=__heth}', "");
Expect(0, 1818, '\P{Is_Joining_Group=__heth}', "");
Expect(1, 1818, '\P{^Is_Joining_Group=__heth}', "");
Expect(0, 1819, '\p{Is_Joining_Group=__heth}', "");
Expect(1, 1819, '\p{^Is_Joining_Group=__heth}', "");
Expect(1, 1819, '\P{Is_Joining_Group=__heth}', "");
Expect(0, 1819, '\P{^Is_Joining_Group=__heth}', "");
Error('\p{Is_Jg=/a/-Heth}');
Error('\P{Is_Jg=/a/-Heth}');
Expect(1, 1818, '\p{Is_Jg=heth}', "");
Expect(0, 1818, '\p{^Is_Jg=heth}', "");
Expect(0, 1818, '\P{Is_Jg=heth}', "");
Expect(1, 1818, '\P{^Is_Jg=heth}', "");
Expect(0, 1819, '\p{Is_Jg=heth}', "");
Expect(1, 1819, '\p{^Is_Jg=heth}', "");
Expect(1, 1819, '\P{Is_Jg=heth}', "");
Expect(0, 1819, '\P{^Is_Jg=heth}', "");
Expect(1, 1818, '\p{Is_Jg=-_Heth}', "");
Expect(0, 1818, '\p{^Is_Jg=-_Heth}', "");
Expect(0, 1818, '\P{Is_Jg=-_Heth}', "");
Expect(1, 1818, '\P{^Is_Jg=-_Heth}', "");
Expect(0, 1819, '\p{Is_Jg=-_Heth}', "");
Expect(1, 1819, '\p{^Is_Jg=-_Heth}', "");
Expect(1, 1819, '\P{Is_Jg=-_Heth}', "");
Expect(0, 1819, '\P{^Is_Jg=-_Heth}', "");
Error('\p{Joining_Group=	_Kaf/a/}');
Error('\P{Joining_Group=	_Kaf/a/}');
Expect(1, 2228, '\p{Joining_Group=kaf}', "");
Expect(0, 2228, '\p{^Joining_Group=kaf}', "");
Expect(0, 2228, '\P{Joining_Group=kaf}', "");
Expect(1, 2228, '\P{^Joining_Group=kaf}', "");
Expect(0, 2229, '\p{Joining_Group=kaf}', "");
Expect(1, 2229, '\p{^Joining_Group=kaf}', "");
Expect(1, 2229, '\P{Joining_Group=kaf}', "");
Expect(0, 2229, '\P{^Joining_Group=kaf}', "");
Expect(1, 2228, '\p{Joining_Group=_Kaf}', "");
Expect(0, 2228, '\p{^Joining_Group=_Kaf}', "");
Expect(0, 2228, '\P{Joining_Group=_Kaf}', "");
Expect(1, 2228, '\P{^Joining_Group=_Kaf}', "");
Expect(0, 2229, '\p{Joining_Group=_Kaf}', "");
Expect(1, 2229, '\p{^Joining_Group=_Kaf}', "");
Expect(1, 2229, '\P{Joining_Group=_Kaf}', "");
Expect(0, 2229, '\P{^Joining_Group=_Kaf}', "");
Error('\p{Jg: -Kaf/a/}');
Error('\P{Jg: -Kaf/a/}');
Expect(1, 2228, '\p{Jg=kaf}', "");
Expect(0, 2228, '\p{^Jg=kaf}', "");
Expect(0, 2228, '\P{Jg=kaf}', "");
Expect(1, 2228, '\P{^Jg=kaf}', "");
Expect(0, 2229, '\p{Jg=kaf}', "");
Expect(1, 2229, '\p{^Jg=kaf}', "");
Expect(1, 2229, '\P{Jg=kaf}', "");
Expect(0, 2229, '\P{^Jg=kaf}', "");
Expect(1, 2228, '\p{Jg=- Kaf}', "");
Expect(0, 2228, '\p{^Jg=- Kaf}', "");
Expect(0, 2228, '\P{Jg=- Kaf}', "");
Expect(1, 2228, '\P{^Jg=- Kaf}', "");
Expect(0, 2229, '\p{Jg=- Kaf}', "");
Expect(1, 2229, '\p{^Jg=- Kaf}', "");
Expect(1, 2229, '\P{Jg=- Kaf}', "");
Expect(0, 2229, '\P{^Jg=- Kaf}', "");
Error('\p{Is_Joining_Group=/a/ -Kaf}');
Error('\P{Is_Joining_Group=/a/ -Kaf}');
Expect(1, 2228, '\p{Is_Joining_Group=kaf}', "");
Expect(0, 2228, '\p{^Is_Joining_Group=kaf}', "");
Expect(0, 2228, '\P{Is_Joining_Group=kaf}', "");
Expect(1, 2228, '\P{^Is_Joining_Group=kaf}', "");
Expect(0, 2229, '\p{Is_Joining_Group=kaf}', "");
Expect(1, 2229, '\p{^Is_Joining_Group=kaf}', "");
Expect(1, 2229, '\P{Is_Joining_Group=kaf}', "");
Expect(0, 2229, '\P{^Is_Joining_Group=kaf}', "");
Expect(1, 2228, '\p{Is_Joining_Group:	 _Kaf}', "");
Expect(0, 2228, '\p{^Is_Joining_Group:	 _Kaf}', "");
Expect(0, 2228, '\P{Is_Joining_Group:	 _Kaf}', "");
Expect(1, 2228, '\P{^Is_Joining_Group:	 _Kaf}', "");
Expect(0, 2229, '\p{Is_Joining_Group:	 _Kaf}', "");
Expect(1, 2229, '\p{^Is_Joining_Group:	 _Kaf}', "");
Expect(1, 2229, '\P{Is_Joining_Group:	 _Kaf}', "");
Expect(0, 2229, '\P{^Is_Joining_Group:	 _Kaf}', "");
Error('\p{Is_Jg=_/a/Kaf}');
Error('\P{Is_Jg=_/a/Kaf}');
Expect(1, 2228, '\p{Is_Jg:kaf}', "");
Expect(0, 2228, '\p{^Is_Jg:kaf}', "");
Expect(0, 2228, '\P{Is_Jg:kaf}', "");
Expect(1, 2228, '\P{^Is_Jg:kaf}', "");
Expect(0, 2229, '\p{Is_Jg:kaf}', "");
Expect(1, 2229, '\p{^Is_Jg:kaf}', "");
Expect(1, 2229, '\P{Is_Jg:kaf}', "");
Expect(0, 2229, '\P{^Is_Jg:kaf}', "");
Expect(1, 2228, '\p{Is_Jg=	-Kaf}', "");
Expect(0, 2228, '\p{^Is_Jg=	-Kaf}', "");
Expect(0, 2228, '\P{Is_Jg=	-Kaf}', "");
Expect(1, 2228, '\P{^Is_Jg=	-Kaf}', "");
Expect(0, 2229, '\p{Is_Jg=	-Kaf}', "");
Expect(1, 2229, '\p{^Is_Jg=	-Kaf}', "");
Expect(1, 2229, '\P{Is_Jg=	-Kaf}', "");
Expect(0, 2229, '\P{^Is_Jg=	-Kaf}', "");
Error('\p{Joining_Group= 	KAPH:=}');
Error('\P{Joining_Group= 	KAPH:=}');
Expect(1, 1823, '\p{Joining_Group:   kaph}', "");
Expect(0, 1823, '\p{^Joining_Group:   kaph}', "");
Expect(0, 1823, '\P{Joining_Group:   kaph}', "");
Expect(1, 1823, '\P{^Joining_Group:   kaph}', "");
Expect(0, 1824, '\p{Joining_Group:   kaph}', "");
Expect(1, 1824, '\p{^Joining_Group:   kaph}', "");
Expect(1, 1824, '\P{Joining_Group:   kaph}', "");
Expect(0, 1824, '\P{^Joining_Group:   kaph}', "");
Expect(1, 1823, '\p{Joining_Group:    	kaph}', "");
Expect(0, 1823, '\p{^Joining_Group:    	kaph}', "");
Expect(0, 1823, '\P{Joining_Group:    	kaph}', "");
Expect(1, 1823, '\P{^Joining_Group:    	kaph}', "");
Expect(0, 1824, '\p{Joining_Group:    	kaph}', "");
Expect(1, 1824, '\p{^Joining_Group:    	kaph}', "");
Expect(1, 1824, '\P{Joining_Group:    	kaph}', "");
Expect(0, 1824, '\P{^Joining_Group:    	kaph}', "");
Error('\p{Jg=/a/	Kaph}');
Error('\P{Jg=/a/	Kaph}');
Expect(1, 1823, '\p{Jg=kaph}', "");
Expect(0, 1823, '\p{^Jg=kaph}', "");
Expect(0, 1823, '\P{Jg=kaph}', "");
Expect(1, 1823, '\P{^Jg=kaph}', "");
Expect(0, 1824, '\p{Jg=kaph}', "");
Expect(1, 1824, '\p{^Jg=kaph}', "");
Expect(1, 1824, '\P{Jg=kaph}', "");
Expect(0, 1824, '\P{^Jg=kaph}', "");
Expect(1, 1823, '\p{Jg= _Kaph}', "");
Expect(0, 1823, '\p{^Jg= _Kaph}', "");
Expect(0, 1823, '\P{Jg= _Kaph}', "");
Expect(1, 1823, '\P{^Jg= _Kaph}', "");
Expect(0, 1824, '\p{Jg= _Kaph}', "");
Expect(1, 1824, '\p{^Jg= _Kaph}', "");
Expect(1, 1824, '\P{Jg= _Kaph}', "");
Expect(0, 1824, '\P{^Jg= _Kaph}', "");
Error('\p{Is_Joining_Group=/a/- kaph}');
Error('\P{Is_Joining_Group=/a/- kaph}');
Expect(1, 1823, '\p{Is_Joining_Group=kaph}', "");
Expect(0, 1823, '\p{^Is_Joining_Group=kaph}', "");
Expect(0, 1823, '\P{Is_Joining_Group=kaph}', "");
Expect(1, 1823, '\P{^Is_Joining_Group=kaph}', "");
Expect(0, 1824, '\p{Is_Joining_Group=kaph}', "");
Expect(1, 1824, '\p{^Is_Joining_Group=kaph}', "");
Expect(1, 1824, '\P{Is_Joining_Group=kaph}', "");
Expect(0, 1824, '\P{^Is_Joining_Group=kaph}', "");
Expect(1, 1823, '\p{Is_Joining_Group=	-kaph}', "");
Expect(0, 1823, '\p{^Is_Joining_Group=	-kaph}', "");
Expect(0, 1823, '\P{Is_Joining_Group=	-kaph}', "");
Expect(1, 1823, '\P{^Is_Joining_Group=	-kaph}', "");
Expect(0, 1824, '\p{Is_Joining_Group=	-kaph}', "");
Expect(1, 1824, '\p{^Is_Joining_Group=	-kaph}', "");
Expect(1, 1824, '\P{Is_Joining_Group=	-kaph}', "");
Expect(0, 1824, '\P{^Is_Joining_Group=	-kaph}', "");
Error('\p{Is_Jg=/a/_ kaph}');
Error('\P{Is_Jg=/a/_ kaph}');
Expect(1, 1823, '\p{Is_Jg=kaph}', "");
Expect(0, 1823, '\p{^Is_Jg=kaph}', "");
Expect(0, 1823, '\P{Is_Jg=kaph}', "");
Expect(1, 1823, '\P{^Is_Jg=kaph}', "");
Expect(0, 1824, '\p{Is_Jg=kaph}', "");
Expect(1, 1824, '\p{^Is_Jg=kaph}', "");
Expect(1, 1824, '\P{Is_Jg=kaph}', "");
Expect(0, 1824, '\P{^Is_Jg=kaph}', "");
Expect(1, 1823, '\p{Is_Jg: _	Kaph}', "");
Expect(0, 1823, '\p{^Is_Jg: _	Kaph}', "");
Expect(0, 1823, '\P{Is_Jg: _	Kaph}', "");
Expect(1, 1823, '\P{^Is_Jg: _	Kaph}', "");
Expect(0, 1824, '\p{Is_Jg: _	Kaph}', "");
Expect(1, 1824, '\p{^Is_Jg: _	Kaph}', "");
Expect(1, 1824, '\P{Is_Jg: _	Kaph}', "");
Expect(0, 1824, '\P{^Is_Jg: _	Kaph}', "");
Error('\p{Joining_Group= khaph/a/}');
Error('\P{Joining_Group= khaph/a/}');
Expect(1, 1870, '\p{Joining_Group=khaph}', "");
Expect(0, 1870, '\p{^Joining_Group=khaph}', "");
Expect(0, 1870, '\P{Joining_Group=khaph}', "");
Expect(1, 1870, '\P{^Joining_Group=khaph}', "");
Expect(0, 1871, '\p{Joining_Group=khaph}', "");
Expect(1, 1871, '\p{^Joining_Group=khaph}', "");
Expect(1, 1871, '\P{Joining_Group=khaph}', "");
Expect(0, 1871, '\P{^Joining_Group=khaph}', "");
Expect(1, 1870, '\p{Joining_Group=_khaph}', "");
Expect(0, 1870, '\p{^Joining_Group=_khaph}', "");
Expect(0, 1870, '\P{Joining_Group=_khaph}', "");
Expect(1, 1870, '\P{^Joining_Group=_khaph}', "");
Expect(0, 1871, '\p{Joining_Group=_khaph}', "");
Expect(1, 1871, '\p{^Joining_Group=_khaph}', "");
Expect(1, 1871, '\P{Joining_Group=_khaph}', "");
Expect(0, 1871, '\P{^Joining_Group=_khaph}', "");
Error('\p{Jg= :=khaph}');
Error('\P{Jg= :=khaph}');
Expect(1, 1870, '\p{Jg=khaph}', "");
Expect(0, 1870, '\p{^Jg=khaph}', "");
Expect(0, 1870, '\P{Jg=khaph}', "");
Expect(1, 1870, '\P{^Jg=khaph}', "");
Expect(0, 1871, '\p{Jg=khaph}', "");
Expect(1, 1871, '\p{^Jg=khaph}', "");
Expect(1, 1871, '\P{Jg=khaph}', "");
Expect(0, 1871, '\P{^Jg=khaph}', "");
Expect(1, 1870, '\p{Jg=	-Khaph}', "");
Expect(0, 1870, '\p{^Jg=	-Khaph}', "");
Expect(0, 1870, '\P{Jg=	-Khaph}', "");
Expect(1, 1870, '\P{^Jg=	-Khaph}', "");
Expect(0, 1871, '\p{Jg=	-Khaph}', "");
Expect(1, 1871, '\p{^Jg=	-Khaph}', "");
Expect(1, 1871, '\P{Jg=	-Khaph}', "");
Expect(0, 1871, '\P{^Jg=	-Khaph}', "");
Error('\p{Is_Joining_Group=/a/-	Khaph}');
Error('\P{Is_Joining_Group=/a/-	Khaph}');
Expect(1, 1870, '\p{Is_Joining_Group:   khaph}', "");
Expect(0, 1870, '\p{^Is_Joining_Group:   khaph}', "");
Expect(0, 1870, '\P{Is_Joining_Group:   khaph}', "");
Expect(1, 1870, '\P{^Is_Joining_Group:   khaph}', "");
Expect(0, 1871, '\p{Is_Joining_Group:   khaph}', "");
Expect(1, 1871, '\p{^Is_Joining_Group:   khaph}', "");
Expect(1, 1871, '\P{Is_Joining_Group:   khaph}', "");
Expect(0, 1871, '\P{^Is_Joining_Group:   khaph}', "");
Expect(1, 1870, '\p{Is_Joining_Group=	 Khaph}', "");
Expect(0, 1870, '\p{^Is_Joining_Group=	 Khaph}', "");
Expect(0, 1870, '\P{Is_Joining_Group=	 Khaph}', "");
Expect(1, 1870, '\P{^Is_Joining_Group=	 Khaph}', "");
Expect(0, 1871, '\p{Is_Joining_Group=	 Khaph}', "");
Expect(1, 1871, '\p{^Is_Joining_Group=	 Khaph}', "");
Expect(1, 1871, '\P{Is_Joining_Group=	 Khaph}', "");
Expect(0, 1871, '\P{^Is_Joining_Group=	 Khaph}', "");
Error('\p{Is_Jg:-	Khaph/a/}');
Error('\P{Is_Jg:-	Khaph/a/}');
Expect(1, 1870, '\p{Is_Jg=khaph}', "");
Expect(0, 1870, '\p{^Is_Jg=khaph}', "");
Expect(0, 1870, '\P{Is_Jg=khaph}', "");
Expect(1, 1870, '\P{^Is_Jg=khaph}', "");
Expect(0, 1871, '\p{Is_Jg=khaph}', "");
Expect(1, 1871, '\p{^Is_Jg=khaph}', "");
Expect(1, 1871, '\P{Is_Jg=khaph}', "");
Expect(0, 1871, '\P{^Is_Jg=khaph}', "");
Expect(1, 1870, '\p{Is_Jg=_ khaph}', "");
Expect(0, 1870, '\p{^Is_Jg=_ khaph}', "");
Expect(0, 1870, '\P{Is_Jg=_ khaph}', "");
Expect(1, 1870, '\P{^Is_Jg=_ khaph}', "");
Expect(0, 1871, '\p{Is_Jg=_ khaph}', "");
Expect(1, 1871, '\p{^Is_Jg=_ khaph}', "");
Expect(1, 1871, '\P{Is_Jg=_ khaph}', "");
Expect(0, 1871, '\P{^Is_Jg=_ khaph}', "");
Error('\p{Joining_Group=	:=Knotted_heh}');
Error('\P{Joining_Group=	:=Knotted_heh}');
Expect(1, 1791, '\p{Joining_Group=knottedheh}', "");
Expect(0, 1791, '\p{^Joining_Group=knottedheh}', "");
Expect(0, 1791, '\P{Joining_Group=knottedheh}', "");
Expect(1, 1791, '\P{^Joining_Group=knottedheh}', "");
Expect(0, 1792, '\p{Joining_Group=knottedheh}', "");
Expect(1, 1792, '\p{^Joining_Group=knottedheh}', "");
Expect(1, 1792, '\P{Joining_Group=knottedheh}', "");
Expect(0, 1792, '\P{^Joining_Group=knottedheh}', "");
Expect(1, 1791, '\p{Joining_Group= 	Knotted_HEH}', "");
Expect(0, 1791, '\p{^Joining_Group= 	Knotted_HEH}', "");
Expect(0, 1791, '\P{Joining_Group= 	Knotted_HEH}', "");
Expect(1, 1791, '\P{^Joining_Group= 	Knotted_HEH}', "");
Expect(0, 1792, '\p{Joining_Group= 	Knotted_HEH}', "");
Expect(1, 1792, '\p{^Joining_Group= 	Knotted_HEH}', "");
Expect(1, 1792, '\P{Joining_Group= 	Knotted_HEH}', "");
Expect(0, 1792, '\P{^Joining_Group= 	Knotted_HEH}', "");
Error('\p{Jg=-_knotted_Heh:=}');
Error('\P{Jg=-_knotted_Heh:=}');
Expect(1, 1791, '\p{Jg=knottedheh}', "");
Expect(0, 1791, '\p{^Jg=knottedheh}', "");
Expect(0, 1791, '\P{Jg=knottedheh}', "");
Expect(1, 1791, '\P{^Jg=knottedheh}', "");
Expect(0, 1792, '\p{Jg=knottedheh}', "");
Expect(1, 1792, '\p{^Jg=knottedheh}', "");
Expect(1, 1792, '\P{Jg=knottedheh}', "");
Expect(0, 1792, '\P{^Jg=knottedheh}', "");
Expect(1, 1791, '\p{Jg=	Knotted_Heh}', "");
Expect(0, 1791, '\p{^Jg=	Knotted_Heh}', "");
Expect(0, 1791, '\P{Jg=	Knotted_Heh}', "");
Expect(1, 1791, '\P{^Jg=	Knotted_Heh}', "");
Expect(0, 1792, '\p{Jg=	Knotted_Heh}', "");
Expect(1, 1792, '\p{^Jg=	Knotted_Heh}', "");
Expect(1, 1792, '\P{Jg=	Knotted_Heh}', "");
Expect(0, 1792, '\P{^Jg=	Knotted_Heh}', "");
Error('\p{Is_Joining_Group=-:=knotted_heh}');
Error('\P{Is_Joining_Group=-:=knotted_heh}');
Expect(1, 1791, '\p{Is_Joining_Group=knottedheh}', "");
Expect(0, 1791, '\p{^Is_Joining_Group=knottedheh}', "");
Expect(0, 1791, '\P{Is_Joining_Group=knottedheh}', "");
Expect(1, 1791, '\P{^Is_Joining_Group=knottedheh}', "");
Expect(0, 1792, '\p{Is_Joining_Group=knottedheh}', "");
Expect(1, 1792, '\p{^Is_Joining_Group=knottedheh}', "");
Expect(1, 1792, '\P{Is_Joining_Group=knottedheh}', "");
Expect(0, 1792, '\P{^Is_Joining_Group=knottedheh}', "");
Expect(1, 1791, '\p{Is_Joining_Group=	-Knotted_HEH}', "");
Expect(0, 1791, '\p{^Is_Joining_Group=	-Knotted_HEH}', "");
Expect(0, 1791, '\P{Is_Joining_Group=	-Knotted_HEH}', "");
Expect(1, 1791, '\P{^Is_Joining_Group=	-Knotted_HEH}', "");
Expect(0, 1792, '\p{Is_Joining_Group=	-Knotted_HEH}', "");
Expect(1, 1792, '\p{^Is_Joining_Group=	-Knotted_HEH}', "");
Expect(1, 1792, '\P{Is_Joining_Group=	-Knotted_HEH}', "");
Expect(0, 1792, '\P{^Is_Joining_Group=	-Knotted_HEH}', "");
Error('\p{Is_Jg=/a/Knotted_heh}');
Error('\P{Is_Jg=/a/Knotted_heh}');
Expect(1, 1791, '\p{Is_Jg=knottedheh}', "");
Expect(0, 1791, '\p{^Is_Jg=knottedheh}', "");
Expect(0, 1791, '\P{Is_Jg=knottedheh}', "");
Expect(1, 1791, '\P{^Is_Jg=knottedheh}', "");
Expect(0, 1792, '\p{Is_Jg=knottedheh}', "");
Expect(1, 1792, '\p{^Is_Jg=knottedheh}', "");
Expect(1, 1792, '\P{Is_Jg=knottedheh}', "");
Expect(0, 1792, '\P{^Is_Jg=knottedheh}', "");
Expect(1, 1791, '\p{Is_Jg=_knotted_Heh}', "");
Expect(0, 1791, '\p{^Is_Jg=_knotted_Heh}', "");
Expect(0, 1791, '\P{Is_Jg=_knotted_Heh}', "");
Expect(1, 1791, '\P{^Is_Jg=_knotted_Heh}', "");
Expect(0, 1792, '\p{Is_Jg=_knotted_Heh}', "");
Expect(1, 1792, '\p{^Is_Jg=_knotted_Heh}', "");
Expect(1, 1792, '\P{Is_Jg=_knotted_Heh}', "");
Expect(0, 1792, '\P{^Is_Jg=_knotted_Heh}', "");
Error('\p{Joining_Group=/a/__Lam}');
Error('\P{Joining_Group=/a/__Lam}');
Expect(1, 2214, '\p{Joining_Group=lam}', "");
Expect(0, 2214, '\p{^Joining_Group=lam}', "");
Expect(0, 2214, '\P{Joining_Group=lam}', "");
Expect(1, 2214, '\P{^Joining_Group=lam}', "");
Expect(0, 2215, '\p{Joining_Group=lam}', "");
Expect(1, 2215, '\p{^Joining_Group=lam}', "");
Expect(1, 2215, '\P{Joining_Group=lam}', "");
Expect(0, 2215, '\P{^Joining_Group=lam}', "");
Expect(1, 2214, '\p{Joining_Group=  LAM}', "");
Expect(0, 2214, '\p{^Joining_Group=  LAM}', "");
Expect(0, 2214, '\P{Joining_Group=  LAM}', "");
Expect(1, 2214, '\P{^Joining_Group=  LAM}', "");
Expect(0, 2215, '\p{Joining_Group=  LAM}', "");
Expect(1, 2215, '\p{^Joining_Group=  LAM}', "");
Expect(1, 2215, '\P{Joining_Group=  LAM}', "");
Expect(0, 2215, '\P{^Joining_Group=  LAM}', "");
Error('\p{Jg=	:=Lam}');
Error('\P{Jg=	:=Lam}');
Expect(1, 2214, '\p{Jg=lam}', "");
Expect(0, 2214, '\p{^Jg=lam}', "");
Expect(0, 2214, '\P{Jg=lam}', "");
Expect(1, 2214, '\P{^Jg=lam}', "");
Expect(0, 2215, '\p{Jg=lam}', "");
Expect(1, 2215, '\p{^Jg=lam}', "");
Expect(1, 2215, '\P{Jg=lam}', "");
Expect(0, 2215, '\P{^Jg=lam}', "");
Expect(1, 2214, '\p{Jg=	lam}', "");
Expect(0, 2214, '\p{^Jg=	lam}', "");
Expect(0, 2214, '\P{Jg=	lam}', "");
Expect(1, 2214, '\P{^Jg=	lam}', "");
Expect(0, 2215, '\p{Jg=	lam}', "");
Expect(1, 2215, '\p{^Jg=	lam}', "");
Expect(1, 2215, '\P{Jg=	lam}', "");
Expect(0, 2215, '\P{^Jg=	lam}', "");
Error('\p{Is_Joining_Group=	LAM:=}');
Error('\P{Is_Joining_Group=	LAM:=}');
Expect(1, 2214, '\p{Is_Joining_Group=lam}', "");
Expect(0, 2214, '\p{^Is_Joining_Group=lam}', "");
Expect(0, 2214, '\P{Is_Joining_Group=lam}', "");
Expect(1, 2214, '\P{^Is_Joining_Group=lam}', "");
Expect(0, 2215, '\p{Is_Joining_Group=lam}', "");
Expect(1, 2215, '\p{^Is_Joining_Group=lam}', "");
Expect(1, 2215, '\P{Is_Joining_Group=lam}', "");
Expect(0, 2215, '\P{^Is_Joining_Group=lam}', "");
Expect(1, 2214, '\p{Is_Joining_Group=_ Lam}', "");
Expect(0, 2214, '\p{^Is_Joining_Group=_ Lam}', "");
Expect(0, 2214, '\P{Is_Joining_Group=_ Lam}', "");
Expect(1, 2214, '\P{^Is_Joining_Group=_ Lam}', "");
Expect(0, 2215, '\p{Is_Joining_Group=_ Lam}', "");
Expect(1, 2215, '\p{^Is_Joining_Group=_ Lam}', "");
Expect(1, 2215, '\P{Is_Joining_Group=_ Lam}', "");
Expect(0, 2215, '\P{^Is_Joining_Group=_ Lam}', "");
Error('\p{Is_Jg:   --Lam/a/}');
Error('\P{Is_Jg:   --Lam/a/}');
Expect(1, 2214, '\p{Is_Jg=lam}', "");
Expect(0, 2214, '\p{^Is_Jg=lam}', "");
Expect(0, 2214, '\P{Is_Jg=lam}', "");
Expect(1, 2214, '\P{^Is_Jg=lam}', "");
Expect(0, 2215, '\p{Is_Jg=lam}', "");
Expect(1, 2215, '\p{^Is_Jg=lam}', "");
Expect(1, 2215, '\P{Is_Jg=lam}', "");
Expect(0, 2215, '\P{^Is_Jg=lam}', "");
Expect(1, 2214, '\p{Is_Jg= _LAM}', "");
Expect(0, 2214, '\p{^Is_Jg= _LAM}', "");
Expect(0, 2214, '\P{Is_Jg= _LAM}', "");
Expect(1, 2214, '\P{^Is_Jg= _LAM}', "");
Expect(0, 2215, '\p{Is_Jg= _LAM}', "");
Expect(1, 2215, '\p{^Is_Jg= _LAM}', "");
Expect(1, 2215, '\P{Is_Jg= _LAM}', "");
Expect(0, 2215, '\P{^Is_Jg= _LAM}', "");
Error('\p{Joining_Group=/a/Lamadh}');
Error('\P{Joining_Group=/a/Lamadh}');
Expect(1, 1824, '\p{Joining_Group=lamadh}', "");
Expect(0, 1824, '\p{^Joining_Group=lamadh}', "");
Expect(0, 1824, '\P{Joining_Group=lamadh}', "");
Expect(1, 1824, '\P{^Joining_Group=lamadh}', "");
Expect(0, 1825, '\p{Joining_Group=lamadh}', "");
Expect(1, 1825, '\p{^Joining_Group=lamadh}', "");
Expect(1, 1825, '\P{Joining_Group=lamadh}', "");
Expect(0, 1825, '\P{^Joining_Group=lamadh}', "");
Expect(1, 1824, '\p{Joining_Group=LAMADH}', "");
Expect(0, 1824, '\p{^Joining_Group=LAMADH}', "");
Expect(0, 1824, '\P{Joining_Group=LAMADH}', "");
Expect(1, 1824, '\P{^Joining_Group=LAMADH}', "");
Expect(0, 1825, '\p{Joining_Group=LAMADH}', "");
Expect(1, 1825, '\p{^Joining_Group=LAMADH}', "");
Expect(1, 1825, '\P{Joining_Group=LAMADH}', "");
Expect(0, 1825, '\P{^Joining_Group=LAMADH}', "");
Error('\p{Jg=	/a/LAMADH}');
Error('\P{Jg=	/a/LAMADH}');
Expect(1, 1824, '\p{Jg:   lamadh}', "");
Expect(0, 1824, '\p{^Jg:   lamadh}', "");
Expect(0, 1824, '\P{Jg:   lamadh}', "");
Expect(1, 1824, '\P{^Jg:   lamadh}', "");
Expect(0, 1825, '\p{Jg:   lamadh}', "");
Expect(1, 1825, '\p{^Jg:   lamadh}', "");
Expect(1, 1825, '\P{Jg:   lamadh}', "");
Expect(0, 1825, '\P{^Jg:   lamadh}', "");
Expect(1, 1824, '\p{Jg=-	Lamadh}', "");
Expect(0, 1824, '\p{^Jg=-	Lamadh}', "");
Expect(0, 1824, '\P{Jg=-	Lamadh}', "");
Expect(1, 1824, '\P{^Jg=-	Lamadh}', "");
Expect(0, 1825, '\p{Jg=-	Lamadh}', "");
Expect(1, 1825, '\p{^Jg=-	Lamadh}', "");
Expect(1, 1825, '\P{Jg=-	Lamadh}', "");
Expect(0, 1825, '\P{^Jg=-	Lamadh}', "");
Error('\p{Is_Joining_Group=		Lamadh:=}');
Error('\P{Is_Joining_Group=		Lamadh:=}');
Expect(1, 1824, '\p{Is_Joining_Group=lamadh}', "");
Expect(0, 1824, '\p{^Is_Joining_Group=lamadh}', "");
Expect(0, 1824, '\P{Is_Joining_Group=lamadh}', "");
Expect(1, 1824, '\P{^Is_Joining_Group=lamadh}', "");
Expect(0, 1825, '\p{Is_Joining_Group=lamadh}', "");
Expect(1, 1825, '\p{^Is_Joining_Group=lamadh}', "");
Expect(1, 1825, '\P{Is_Joining_Group=lamadh}', "");
Expect(0, 1825, '\P{^Is_Joining_Group=lamadh}', "");
Expect(1, 1824, '\p{Is_Joining_Group:	 	Lamadh}', "");
Expect(0, 1824, '\p{^Is_Joining_Group:	 	Lamadh}', "");
Expect(0, 1824, '\P{Is_Joining_Group:	 	Lamadh}', "");
Expect(1, 1824, '\P{^Is_Joining_Group:	 	Lamadh}', "");
Expect(0, 1825, '\p{Is_Joining_Group:	 	Lamadh}', "");
Expect(1, 1825, '\p{^Is_Joining_Group:	 	Lamadh}', "");
Expect(1, 1825, '\P{Is_Joining_Group:	 	Lamadh}', "");
Expect(0, 1825, '\P{^Is_Joining_Group:	 	Lamadh}', "");
Error('\p{Is_Jg=:=__Lamadh}');
Error('\P{Is_Jg=:=__Lamadh}');
Expect(1, 1824, '\p{Is_Jg=lamadh}', "");
Expect(0, 1824, '\p{^Is_Jg=lamadh}', "");
Expect(0, 1824, '\P{Is_Jg=lamadh}', "");
Expect(1, 1824, '\P{^Is_Jg=lamadh}', "");
Expect(0, 1825, '\p{Is_Jg=lamadh}', "");
Expect(1, 1825, '\p{^Is_Jg=lamadh}', "");
Expect(1, 1825, '\P{Is_Jg=lamadh}', "");
Expect(0, 1825, '\P{^Is_Jg=lamadh}', "");
Expect(1, 1824, '\p{Is_Jg=_-lamadh}', "");
Expect(0, 1824, '\p{^Is_Jg=_-lamadh}', "");
Expect(0, 1824, '\P{Is_Jg=_-lamadh}', "");
Expect(1, 1824, '\P{^Is_Jg=_-lamadh}', "");
Expect(0, 1825, '\p{Is_Jg=_-lamadh}', "");
Expect(1, 1825, '\p{^Is_Jg=_-lamadh}', "");
Expect(1, 1825, '\P{Is_Jg=_-lamadh}', "");
Expect(0, 1825, '\P{^Is_Jg=_-lamadh}', "");
Error('\p{Joining_Group=:=MANICHAEAN_aleph}');
Error('\P{Joining_Group=:=MANICHAEAN_aleph}');
Expect(1, 68288, '\p{Joining_Group=manichaeanaleph}', "");
Expect(0, 68288, '\p{^Joining_Group=manichaeanaleph}', "");
Expect(0, 68288, '\P{Joining_Group=manichaeanaleph}', "");
Expect(1, 68288, '\P{^Joining_Group=manichaeanaleph}', "");
Expect(0, 68289, '\p{Joining_Group=manichaeanaleph}', "");
Expect(1, 68289, '\p{^Joining_Group=manichaeanaleph}', "");
Expect(1, 68289, '\P{Joining_Group=manichaeanaleph}', "");
Expect(0, 68289, '\P{^Joining_Group=manichaeanaleph}', "");
Expect(1, 68288, '\p{Joining_Group=	Manichaean_aleph}', "");
Expect(0, 68288, '\p{^Joining_Group=	Manichaean_aleph}', "");
Expect(0, 68288, '\P{Joining_Group=	Manichaean_aleph}', "");
Expect(1, 68288, '\P{^Joining_Group=	Manichaean_aleph}', "");
Expect(0, 68289, '\p{Joining_Group=	Manichaean_aleph}', "");
Expect(1, 68289, '\p{^Joining_Group=	Manichaean_aleph}', "");
Expect(1, 68289, '\P{Joining_Group=	Manichaean_aleph}', "");
Expect(0, 68289, '\P{^Joining_Group=	Manichaean_aleph}', "");
Error('\p{Jg=:=	-MANICHAEAN_Aleph}');
Error('\P{Jg=:=	-MANICHAEAN_Aleph}');
Expect(1, 68288, '\p{Jg=manichaeanaleph}', "");
Expect(0, 68288, '\p{^Jg=manichaeanaleph}', "");
Expect(0, 68288, '\P{Jg=manichaeanaleph}', "");
Expect(1, 68288, '\P{^Jg=manichaeanaleph}', "");
Expect(0, 68289, '\p{Jg=manichaeanaleph}', "");
Expect(1, 68289, '\p{^Jg=manichaeanaleph}', "");
Expect(1, 68289, '\P{Jg=manichaeanaleph}', "");
Expect(0, 68289, '\P{^Jg=manichaeanaleph}', "");
Expect(1, 68288, '\p{Jg=	-manichaean_Aleph}', "");
Expect(0, 68288, '\p{^Jg=	-manichaean_Aleph}', "");
Expect(0, 68288, '\P{Jg=	-manichaean_Aleph}', "");
Expect(1, 68288, '\P{^Jg=	-manichaean_Aleph}', "");
Expect(0, 68289, '\p{Jg=	-manichaean_Aleph}', "");
Expect(1, 68289, '\p{^Jg=	-manichaean_Aleph}', "");
Expect(1, 68289, '\P{Jg=	-manichaean_Aleph}', "");
Expect(0, 68289, '\P{^Jg=	-manichaean_Aleph}', "");
Error('\p{Is_Joining_Group=__Manichaean_aleph/a/}');
Error('\P{Is_Joining_Group=__Manichaean_aleph/a/}');
Expect(1, 68288, '\p{Is_Joining_Group=manichaeanaleph}', "");
Expect(0, 68288, '\p{^Is_Joining_Group=manichaeanaleph}', "");
Expect(0, 68288, '\P{Is_Joining_Group=manichaeanaleph}', "");
Expect(1, 68288, '\P{^Is_Joining_Group=manichaeanaleph}', "");
Expect(0, 68289, '\p{Is_Joining_Group=manichaeanaleph}', "");
Expect(1, 68289, '\p{^Is_Joining_Group=manichaeanaleph}', "");
Expect(1, 68289, '\P{Is_Joining_Group=manichaeanaleph}', "");
Expect(0, 68289, '\P{^Is_Joining_Group=manichaeanaleph}', "");
Expect(1, 68288, '\p{Is_Joining_Group=-	Manichaean_Aleph}', "");
Expect(0, 68288, '\p{^Is_Joining_Group=-	Manichaean_Aleph}', "");
Expect(0, 68288, '\P{Is_Joining_Group=-	Manichaean_Aleph}', "");
Expect(1, 68288, '\P{^Is_Joining_Group=-	Manichaean_Aleph}', "");
Expect(0, 68289, '\p{Is_Joining_Group=-	Manichaean_Aleph}', "");
Expect(1, 68289, '\p{^Is_Joining_Group=-	Manichaean_Aleph}', "");
Expect(1, 68289, '\P{Is_Joining_Group=-	Manichaean_Aleph}', "");
Expect(0, 68289, '\P{^Is_Joining_Group=-	Manichaean_Aleph}', "");
Error('\p{Is_Jg: --Manichaean_Aleph:=}');
Error('\P{Is_Jg: --Manichaean_Aleph:=}');
Expect(1, 68288, '\p{Is_Jg=manichaeanaleph}', "");
Expect(0, 68288, '\p{^Is_Jg=manichaeanaleph}', "");
Expect(0, 68288, '\P{Is_Jg=manichaeanaleph}', "");
Expect(1, 68288, '\P{^Is_Jg=manichaeanaleph}', "");
Expect(0, 68289, '\p{Is_Jg=manichaeanaleph}', "");
Expect(1, 68289, '\p{^Is_Jg=manichaeanaleph}', "");
Expect(1, 68289, '\P{Is_Jg=manichaeanaleph}', "");
Expect(0, 68289, '\P{^Is_Jg=manichaeanaleph}', "");
Expect(1, 68288, '\p{Is_Jg=	 Manichaean_aleph}', "");
Expect(0, 68288, '\p{^Is_Jg=	 Manichaean_aleph}', "");
Expect(0, 68288, '\P{Is_Jg=	 Manichaean_aleph}', "");
Expect(1, 68288, '\P{^Is_Jg=	 Manichaean_aleph}', "");
Expect(0, 68289, '\p{Is_Jg=	 Manichaean_aleph}', "");
Expect(1, 68289, '\p{^Is_Jg=	 Manichaean_aleph}', "");
Expect(1, 68289, '\P{Is_Jg=	 Manichaean_aleph}', "");
Expect(0, 68289, '\P{^Is_Jg=	 Manichaean_aleph}', "");
Error('\p{Joining_Group=	-manichaean_AYIN:=}');
Error('\P{Joining_Group=	-manichaean_AYIN:=}');
Expect(1, 68314, '\p{Joining_Group=manichaeanayin}', "");
Expect(0, 68314, '\p{^Joining_Group=manichaeanayin}', "");
Expect(0, 68314, '\P{Joining_Group=manichaeanayin}', "");
Expect(1, 68314, '\P{^Joining_Group=manichaeanayin}', "");
Expect(0, 68315, '\p{Joining_Group=manichaeanayin}', "");
Expect(1, 68315, '\p{^Joining_Group=manichaeanayin}', "");
Expect(1, 68315, '\P{Joining_Group=manichaeanayin}', "");
Expect(0, 68315, '\P{^Joining_Group=manichaeanayin}', "");
Expect(1, 68314, '\p{Joining_Group=-_Manichaean_ayin}', "");
Expect(0, 68314, '\p{^Joining_Group=-_Manichaean_ayin}', "");
Expect(0, 68314, '\P{Joining_Group=-_Manichaean_ayin}', "");
Expect(1, 68314, '\P{^Joining_Group=-_Manichaean_ayin}', "");
Expect(0, 68315, '\p{Joining_Group=-_Manichaean_ayin}', "");
Expect(1, 68315, '\p{^Joining_Group=-_Manichaean_ayin}', "");
Expect(1, 68315, '\P{Joining_Group=-_Manichaean_ayin}', "");
Expect(0, 68315, '\P{^Joining_Group=-_Manichaean_ayin}', "");
Error('\p{Jg=_-manichaean_ayin/a/}');
Error('\P{Jg=_-manichaean_ayin/a/}');
Expect(1, 68314, '\p{Jg=manichaeanayin}', "");
Expect(0, 68314, '\p{^Jg=manichaeanayin}', "");
Expect(0, 68314, '\P{Jg=manichaeanayin}', "");
Expect(1, 68314, '\P{^Jg=manichaeanayin}', "");
Expect(0, 68315, '\p{Jg=manichaeanayin}', "");
Expect(1, 68315, '\p{^Jg=manichaeanayin}', "");
Expect(1, 68315, '\P{Jg=manichaeanayin}', "");
Expect(0, 68315, '\P{^Jg=manichaeanayin}', "");
Expect(1, 68314, '\p{Jg=		manichaean_AYIN}', "");
Expect(0, 68314, '\p{^Jg=		manichaean_AYIN}', "");
Expect(0, 68314, '\P{Jg=		manichaean_AYIN}', "");
Expect(1, 68314, '\P{^Jg=		manichaean_AYIN}', "");
Expect(0, 68315, '\p{Jg=		manichaean_AYIN}', "");
Expect(1, 68315, '\p{^Jg=		manichaean_AYIN}', "");
Expect(1, 68315, '\P{Jg=		manichaean_AYIN}', "");
Expect(0, 68315, '\P{^Jg=		manichaean_AYIN}', "");
Error('\p{Is_Joining_Group=_:=Manichaean_Ayin}');
Error('\P{Is_Joining_Group=_:=Manichaean_Ayin}');
Expect(1, 68314, '\p{Is_Joining_Group=manichaeanayin}', "");
Expect(0, 68314, '\p{^Is_Joining_Group=manichaeanayin}', "");
Expect(0, 68314, '\P{Is_Joining_Group=manichaeanayin}', "");
Expect(1, 68314, '\P{^Is_Joining_Group=manichaeanayin}', "");
Expect(0, 68315, '\p{Is_Joining_Group=manichaeanayin}', "");
Expect(1, 68315, '\p{^Is_Joining_Group=manichaeanayin}', "");
Expect(1, 68315, '\P{Is_Joining_Group=manichaeanayin}', "");
Expect(0, 68315, '\P{^Is_Joining_Group=manichaeanayin}', "");
Expect(1, 68314, '\p{Is_Joining_Group=	-Manichaean_AYIN}', "");
Expect(0, 68314, '\p{^Is_Joining_Group=	-Manichaean_AYIN}', "");
Expect(0, 68314, '\P{Is_Joining_Group=	-Manichaean_AYIN}', "");
Expect(1, 68314, '\P{^Is_Joining_Group=	-Manichaean_AYIN}', "");
Expect(0, 68315, '\p{Is_Joining_Group=	-Manichaean_AYIN}', "");
Expect(1, 68315, '\p{^Is_Joining_Group=	-Manichaean_AYIN}', "");
Expect(1, 68315, '\P{Is_Joining_Group=	-Manichaean_AYIN}', "");
Expect(0, 68315, '\P{^Is_Joining_Group=	-Manichaean_AYIN}', "");
Error('\p{Is_Jg=/a/_Manichaean_AYIN}');
Error('\P{Is_Jg=/a/_Manichaean_AYIN}');
Expect(1, 68314, '\p{Is_Jg:   manichaeanayin}', "");
Expect(0, 68314, '\p{^Is_Jg:   manichaeanayin}', "");
Expect(0, 68314, '\P{Is_Jg:   manichaeanayin}', "");
Expect(1, 68314, '\P{^Is_Jg:   manichaeanayin}', "");
Expect(0, 68315, '\p{Is_Jg:   manichaeanayin}', "");
Expect(1, 68315, '\p{^Is_Jg:   manichaeanayin}', "");
Expect(1, 68315, '\P{Is_Jg:   manichaeanayin}', "");
Expect(0, 68315, '\P{^Is_Jg:   manichaeanayin}', "");
Expect(1, 68314, '\p{Is_Jg=manichaean_ayin}', "");
Expect(0, 68314, '\p{^Is_Jg=manichaean_ayin}', "");
Expect(0, 68314, '\P{Is_Jg=manichaean_ayin}', "");
Expect(1, 68314, '\P{^Is_Jg=manichaean_ayin}', "");
Expect(0, 68315, '\p{Is_Jg=manichaean_ayin}', "");
Expect(1, 68315, '\p{^Is_Jg=manichaean_ayin}', "");
Expect(1, 68315, '\P{Is_Jg=manichaean_ayin}', "");
Expect(0, 68315, '\P{^Is_Jg=manichaean_ayin}', "");
Error('\p{Joining_Group=/a/_-Manichaean_beth}');
Error('\P{Joining_Group=/a/_-Manichaean_beth}');
Expect(1, 68290, '\p{Joining_Group: manichaeanbeth}', "");
Expect(0, 68290, '\p{^Joining_Group: manichaeanbeth}', "");
Expect(0, 68290, '\P{Joining_Group: manichaeanbeth}', "");
Expect(1, 68290, '\P{^Joining_Group: manichaeanbeth}', "");
Expect(0, 68291, '\p{Joining_Group: manichaeanbeth}', "");
Expect(1, 68291, '\p{^Joining_Group: manichaeanbeth}', "");
Expect(1, 68291, '\P{Joining_Group: manichaeanbeth}', "");
Expect(0, 68291, '\P{^Joining_Group: manichaeanbeth}', "");
Expect(1, 68290, '\p{Joining_Group:- manichaean_Beth}', "");
Expect(0, 68290, '\p{^Joining_Group:- manichaean_Beth}', "");
Expect(0, 68290, '\P{Joining_Group:- manichaean_Beth}', "");
Expect(1, 68290, '\P{^Joining_Group:- manichaean_Beth}', "");
Expect(0, 68291, '\p{Joining_Group:- manichaean_Beth}', "");
Expect(1, 68291, '\p{^Joining_Group:- manichaean_Beth}', "");
Expect(1, 68291, '\P{Joining_Group:- manichaean_Beth}', "");
Expect(0, 68291, '\P{^Joining_Group:- manichaean_Beth}', "");
Error('\p{Jg=:=_ Manichaean_Beth}');
Error('\P{Jg=:=_ Manichaean_Beth}');
Expect(1, 68290, '\p{Jg=manichaeanbeth}', "");
Expect(0, 68290, '\p{^Jg=manichaeanbeth}', "");
Expect(0, 68290, '\P{Jg=manichaeanbeth}', "");
Expect(1, 68290, '\P{^Jg=manichaeanbeth}', "");
Expect(0, 68291, '\p{Jg=manichaeanbeth}', "");
Expect(1, 68291, '\p{^Jg=manichaeanbeth}', "");
Expect(1, 68291, '\P{Jg=manichaeanbeth}', "");
Expect(0, 68291, '\P{^Jg=manichaeanbeth}', "");
Expect(1, 68290, '\p{Jg=__Manichaean_Beth}', "");
Expect(0, 68290, '\p{^Jg=__Manichaean_Beth}', "");
Expect(0, 68290, '\P{Jg=__Manichaean_Beth}', "");
Expect(1, 68290, '\P{^Jg=__Manichaean_Beth}', "");
Expect(0, 68291, '\p{Jg=__Manichaean_Beth}', "");
Expect(1, 68291, '\p{^Jg=__Manichaean_Beth}', "");
Expect(1, 68291, '\P{Jg=__Manichaean_Beth}', "");
Expect(0, 68291, '\P{^Jg=__Manichaean_Beth}', "");
Error('\p{Is_Joining_Group=_MANICHAEAN_beth/a/}');
Error('\P{Is_Joining_Group=_MANICHAEAN_beth/a/}');
Expect(1, 68290, '\p{Is_Joining_Group=manichaeanbeth}', "");
Expect(0, 68290, '\p{^Is_Joining_Group=manichaeanbeth}', "");
Expect(0, 68290, '\P{Is_Joining_Group=manichaeanbeth}', "");
Expect(1, 68290, '\P{^Is_Joining_Group=manichaeanbeth}', "");
Expect(0, 68291, '\p{Is_Joining_Group=manichaeanbeth}', "");
Expect(1, 68291, '\p{^Is_Joining_Group=manichaeanbeth}', "");
Expect(1, 68291, '\P{Is_Joining_Group=manichaeanbeth}', "");
Expect(0, 68291, '\P{^Is_Joining_Group=manichaeanbeth}', "");
Expect(1, 68290, '\p{Is_Joining_Group=_Manichaean_Beth}', "");
Expect(0, 68290, '\p{^Is_Joining_Group=_Manichaean_Beth}', "");
Expect(0, 68290, '\P{Is_Joining_Group=_Manichaean_Beth}', "");
Expect(1, 68290, '\P{^Is_Joining_Group=_Manichaean_Beth}', "");
Expect(0, 68291, '\p{Is_Joining_Group=_Manichaean_Beth}', "");
Expect(1, 68291, '\p{^Is_Joining_Group=_Manichaean_Beth}', "");
Expect(1, 68291, '\P{Is_Joining_Group=_Manichaean_Beth}', "");
Expect(0, 68291, '\P{^Is_Joining_Group=_Manichaean_Beth}', "");
Error('\p{Is_Jg= Manichaean_BETH:=}');
Error('\P{Is_Jg= Manichaean_BETH:=}');
Expect(1, 68290, '\p{Is_Jg=manichaeanbeth}', "");
Expect(0, 68290, '\p{^Is_Jg=manichaeanbeth}', "");
Expect(0, 68290, '\P{Is_Jg=manichaeanbeth}', "");
Expect(1, 68290, '\P{^Is_Jg=manichaeanbeth}', "");
Expect(0, 68291, '\p{Is_Jg=manichaeanbeth}', "");
Expect(1, 68291, '\p{^Is_Jg=manichaeanbeth}', "");
Expect(1, 68291, '\P{Is_Jg=manichaeanbeth}', "");
Expect(0, 68291, '\P{^Is_Jg=manichaeanbeth}', "");
Expect(1, 68290, '\p{Is_Jg=_	MANICHAEAN_BETH}', "");
Expect(0, 68290, '\p{^Is_Jg=_	MANICHAEAN_BETH}', "");
Expect(0, 68290, '\P{Is_Jg=_	MANICHAEAN_BETH}', "");
Expect(1, 68290, '\P{^Is_Jg=_	MANICHAEAN_BETH}', "");
Expect(0, 68291, '\p{Is_Jg=_	MANICHAEAN_BETH}', "");
Expect(1, 68291, '\p{^Is_Jg=_	MANICHAEAN_BETH}', "");
Expect(1, 68291, '\P{Is_Jg=_	MANICHAEAN_BETH}', "");
Expect(0, 68291, '\P{^Is_Jg=_	MANICHAEAN_BETH}', "");
Error('\p{Joining_Group=:=  MANICHAEAN_Daleth}');
Error('\P{Joining_Group=:=  MANICHAEAN_Daleth}');
Expect(1, 68293, '\p{Joining_Group:   manichaeandaleth}', "");
Expect(0, 68293, '\p{^Joining_Group:   manichaeandaleth}', "");
Expect(0, 68293, '\P{Joining_Group:   manichaeandaleth}', "");
Expect(1, 68293, '\P{^Joining_Group:   manichaeandaleth}', "");
Expect(0, 68294, '\p{Joining_Group:   manichaeandaleth}', "");
Expect(1, 68294, '\p{^Joining_Group:   manichaeandaleth}', "");
Expect(1, 68294, '\P{Joining_Group:   manichaeandaleth}', "");
Expect(0, 68294, '\P{^Joining_Group:   manichaeandaleth}', "");
Expect(1, 68293, '\p{Joining_Group:-_manichaean_DALETH}', "");
Expect(0, 68293, '\p{^Joining_Group:-_manichaean_DALETH}', "");
Expect(0, 68293, '\P{Joining_Group:-_manichaean_DALETH}', "");
Expect(1, 68293, '\P{^Joining_Group:-_manichaean_DALETH}', "");
Expect(0, 68294, '\p{Joining_Group:-_manichaean_DALETH}', "");
Expect(1, 68294, '\p{^Joining_Group:-_manichaean_DALETH}', "");
Expect(1, 68294, '\P{Joining_Group:-_manichaean_DALETH}', "");
Expect(0, 68294, '\P{^Joining_Group:-_manichaean_DALETH}', "");
Error('\p{Jg=-/a/manichaean_Daleth}');
Error('\P{Jg=-/a/manichaean_Daleth}');
Expect(1, 68293, '\p{Jg=manichaeandaleth}', "");
Expect(0, 68293, '\p{^Jg=manichaeandaleth}', "");
Expect(0, 68293, '\P{Jg=manichaeandaleth}', "");
Expect(1, 68293, '\P{^Jg=manichaeandaleth}', "");
Expect(0, 68294, '\p{Jg=manichaeandaleth}', "");
Expect(1, 68294, '\p{^Jg=manichaeandaleth}', "");
Expect(1, 68294, '\P{Jg=manichaeandaleth}', "");
Expect(0, 68294, '\P{^Jg=manichaeandaleth}', "");
Expect(1, 68293, '\p{Jg= Manichaean_Daleth}', "");
Expect(0, 68293, '\p{^Jg= Manichaean_Daleth}', "");
Expect(0, 68293, '\P{Jg= Manichaean_Daleth}', "");
Expect(1, 68293, '\P{^Jg= Manichaean_Daleth}', "");
Expect(0, 68294, '\p{Jg= Manichaean_Daleth}', "");
Expect(1, 68294, '\p{^Jg= Manichaean_Daleth}', "");
Expect(1, 68294, '\P{Jg= Manichaean_Daleth}', "");
Expect(0, 68294, '\P{^Jg= Manichaean_Daleth}', "");
Error('\p{Is_Joining_Group=	manichaean_daleth:=}');
Error('\P{Is_Joining_Group=	manichaean_daleth:=}');
Expect(1, 68293, '\p{Is_Joining_Group:   manichaeandaleth}', "");
Expect(0, 68293, '\p{^Is_Joining_Group:   manichaeandaleth}', "");
Expect(0, 68293, '\P{Is_Joining_Group:   manichaeandaleth}', "");
Expect(1, 68293, '\P{^Is_Joining_Group:   manichaeandaleth}', "");
Expect(0, 68294, '\p{Is_Joining_Group:   manichaeandaleth}', "");
Expect(1, 68294, '\p{^Is_Joining_Group:   manichaeandaleth}', "");
Expect(1, 68294, '\P{Is_Joining_Group:   manichaeandaleth}', "");
Expect(0, 68294, '\P{^Is_Joining_Group:   manichaeandaleth}', "");
Expect(1, 68293, '\p{Is_Joining_Group: 	_Manichaean_daleth}', "");
Expect(0, 68293, '\p{^Is_Joining_Group: 	_Manichaean_daleth}', "");
Expect(0, 68293, '\P{Is_Joining_Group: 	_Manichaean_daleth}', "");
Expect(1, 68293, '\P{^Is_Joining_Group: 	_Manichaean_daleth}', "");
Expect(0, 68294, '\p{Is_Joining_Group: 	_Manichaean_daleth}', "");
Expect(1, 68294, '\p{^Is_Joining_Group: 	_Manichaean_daleth}', "");
Expect(1, 68294, '\P{Is_Joining_Group: 	_Manichaean_daleth}', "");
Expect(0, 68294, '\P{^Is_Joining_Group: 	_Manichaean_daleth}', "");
Error('\p{Is_Jg=-/a/manichaean_daleth}');
Error('\P{Is_Jg=-/a/manichaean_daleth}');
Expect(1, 68293, '\p{Is_Jg=manichaeandaleth}', "");
Expect(0, 68293, '\p{^Is_Jg=manichaeandaleth}', "");
Expect(0, 68293, '\P{Is_Jg=manichaeandaleth}', "");
Expect(1, 68293, '\P{^Is_Jg=manichaeandaleth}', "");
Expect(0, 68294, '\p{Is_Jg=manichaeandaleth}', "");
Expect(1, 68294, '\p{^Is_Jg=manichaeandaleth}', "");
Expect(1, 68294, '\P{Is_Jg=manichaeandaleth}', "");
Expect(0, 68294, '\P{^Is_Jg=manichaeandaleth}', "");
Expect(1, 68293, '\p{Is_Jg=-MANICHAEAN_Daleth}', "");
Expect(0, 68293, '\p{^Is_Jg=-MANICHAEAN_Daleth}', "");
Expect(0, 68293, '\P{Is_Jg=-MANICHAEAN_Daleth}', "");
Expect(1, 68293, '\P{^Is_Jg=-MANICHAEAN_Daleth}', "");
Expect(0, 68294, '\p{Is_Jg=-MANICHAEAN_Daleth}', "");
Expect(1, 68294, '\p{^Is_Jg=-MANICHAEAN_Daleth}', "");
Expect(1, 68294, '\P{Is_Jg=-MANICHAEAN_Daleth}', "");
Expect(0, 68294, '\P{^Is_Jg=-MANICHAEAN_Daleth}', "");
Error('\p{Joining_Group= /a/manichaean_DHAMEDH}');
Error('\P{Joining_Group= /a/manichaean_DHAMEDH}');
Expect(1, 68308, '\p{Joining_Group=manichaeandhamedh}', "");
Expect(0, 68308, '\p{^Joining_Group=manichaeandhamedh}', "");
Expect(0, 68308, '\P{Joining_Group=manichaeandhamedh}', "");
Expect(1, 68308, '\P{^Joining_Group=manichaeandhamedh}', "");
Expect(0, 68309, '\p{Joining_Group=manichaeandhamedh}', "");
Expect(1, 68309, '\p{^Joining_Group=manichaeandhamedh}', "");
Expect(1, 68309, '\P{Joining_Group=manichaeandhamedh}', "");
Expect(0, 68309, '\P{^Joining_Group=manichaeandhamedh}', "");
Expect(1, 68308, '\p{Joining_Group=__manichaean_DHAMEDH}', "");
Expect(0, 68308, '\p{^Joining_Group=__manichaean_DHAMEDH}', "");
Expect(0, 68308, '\P{Joining_Group=__manichaean_DHAMEDH}', "");
Expect(1, 68308, '\P{^Joining_Group=__manichaean_DHAMEDH}', "");
Expect(0, 68309, '\p{Joining_Group=__manichaean_DHAMEDH}', "");
Expect(1, 68309, '\p{^Joining_Group=__manichaean_DHAMEDH}', "");
Expect(1, 68309, '\P{Joining_Group=__manichaean_DHAMEDH}', "");
Expect(0, 68309, '\P{^Joining_Group=__manichaean_DHAMEDH}', "");
Error('\p{Jg=__manichaean_dhamedh/a/}');
Error('\P{Jg=__manichaean_dhamedh/a/}');
Expect(1, 68308, '\p{Jg=manichaeandhamedh}', "");
Expect(0, 68308, '\p{^Jg=manichaeandhamedh}', "");
Expect(0, 68308, '\P{Jg=manichaeandhamedh}', "");
Expect(1, 68308, '\P{^Jg=manichaeandhamedh}', "");
Expect(0, 68309, '\p{Jg=manichaeandhamedh}', "");
Expect(1, 68309, '\p{^Jg=manichaeandhamedh}', "");
Expect(1, 68309, '\P{Jg=manichaeandhamedh}', "");
Expect(0, 68309, '\P{^Jg=manichaeandhamedh}', "");
Expect(1, 68308, '\p{Jg= -Manichaean_DHAMEDH}', "");
Expect(0, 68308, '\p{^Jg= -Manichaean_DHAMEDH}', "");
Expect(0, 68308, '\P{Jg= -Manichaean_DHAMEDH}', "");
Expect(1, 68308, '\P{^Jg= -Manichaean_DHAMEDH}', "");
Expect(0, 68309, '\p{Jg= -Manichaean_DHAMEDH}', "");
Expect(1, 68309, '\p{^Jg= -Manichaean_DHAMEDH}', "");
Expect(1, 68309, '\P{Jg= -Manichaean_DHAMEDH}', "");
Expect(0, 68309, '\P{^Jg= -Manichaean_DHAMEDH}', "");
Error('\p{Is_Joining_Group=	:=Manichaean_dhamedh}');
Error('\P{Is_Joining_Group=	:=Manichaean_dhamedh}');
Expect(1, 68308, '\p{Is_Joining_Group=manichaeandhamedh}', "");
Expect(0, 68308, '\p{^Is_Joining_Group=manichaeandhamedh}', "");
Expect(0, 68308, '\P{Is_Joining_Group=manichaeandhamedh}', "");
Expect(1, 68308, '\P{^Is_Joining_Group=manichaeandhamedh}', "");
Expect(0, 68309, '\p{Is_Joining_Group=manichaeandhamedh}', "");
Expect(1, 68309, '\p{^Is_Joining_Group=manichaeandhamedh}', "");
Expect(1, 68309, '\P{Is_Joining_Group=manichaeandhamedh}', "");
Expect(0, 68309, '\P{^Is_Joining_Group=manichaeandhamedh}', "");
Expect(1, 68308, '\p{Is_Joining_Group=_Manichaean_Dhamedh}', "");
Expect(0, 68308, '\p{^Is_Joining_Group=_Manichaean_Dhamedh}', "");
Expect(0, 68308, '\P{Is_Joining_Group=_Manichaean_Dhamedh}', "");
Expect(1, 68308, '\P{^Is_Joining_Group=_Manichaean_Dhamedh}', "");
Expect(0, 68309, '\p{Is_Joining_Group=_Manichaean_Dhamedh}', "");
Expect(1, 68309, '\p{^Is_Joining_Group=_Manichaean_Dhamedh}', "");
Expect(1, 68309, '\P{Is_Joining_Group=_Manichaean_Dhamedh}', "");
Expect(0, 68309, '\P{^Is_Joining_Group=_Manichaean_Dhamedh}', "");
Error('\p{Is_Jg=/a/manichaean_Dhamedh}');
Error('\P{Is_Jg=/a/manichaean_Dhamedh}');
Expect(1, 68308, '\p{Is_Jg=manichaeandhamedh}', "");
Expect(0, 68308, '\p{^Is_Jg=manichaeandhamedh}', "");
Expect(0, 68308, '\P{Is_Jg=manichaeandhamedh}', "");
Expect(1, 68308, '\P{^Is_Jg=manichaeandhamedh}', "");
Expect(0, 68309, '\p{Is_Jg=manichaeandhamedh}', "");
Expect(1, 68309, '\p{^Is_Jg=manichaeandhamedh}', "");
Expect(1, 68309, '\P{Is_Jg=manichaeandhamedh}', "");
Expect(0, 68309, '\P{^Is_Jg=manichaeandhamedh}', "");
Expect(1, 68308, '\p{Is_Jg=_ Manichaean_Dhamedh}', "");
Expect(0, 68308, '\p{^Is_Jg=_ Manichaean_Dhamedh}', "");
Expect(0, 68308, '\P{Is_Jg=_ Manichaean_Dhamedh}', "");
Expect(1, 68308, '\P{^Is_Jg=_ Manichaean_Dhamedh}', "");
Expect(0, 68309, '\p{Is_Jg=_ Manichaean_Dhamedh}', "");
Expect(1, 68309, '\p{^Is_Jg=_ Manichaean_Dhamedh}', "");
Expect(1, 68309, '\P{Is_Jg=_ Manichaean_Dhamedh}', "");
Expect(0, 68309, '\P{^Is_Jg=_ Manichaean_Dhamedh}', "");
Error('\p{Joining_Group=_/a/manichaean_Five}');
Error('\P{Joining_Group=_/a/manichaean_Five}');
Expect(1, 68332, '\p{Joining_Group=manichaeanfive}', "");
Expect(0, 68332, '\p{^Joining_Group=manichaeanfive}', "");
Expect(0, 68332, '\P{Joining_Group=manichaeanfive}', "");
Expect(1, 68332, '\P{^Joining_Group=manichaeanfive}', "");
Expect(0, 68333, '\p{Joining_Group=manichaeanfive}', "");
Expect(1, 68333, '\p{^Joining_Group=manichaeanfive}', "");
Expect(1, 68333, '\P{Joining_Group=manichaeanfive}', "");
Expect(0, 68333, '\P{^Joining_Group=manichaeanfive}', "");
Expect(1, 68332, '\p{Joining_Group=-manichaean_FIVE}', "");
Expect(0, 68332, '\p{^Joining_Group=-manichaean_FIVE}', "");
Expect(0, 68332, '\P{Joining_Group=-manichaean_FIVE}', "");
Expect(1, 68332, '\P{^Joining_Group=-manichaean_FIVE}', "");
Expect(0, 68333, '\p{Joining_Group=-manichaean_FIVE}', "");
Expect(1, 68333, '\p{^Joining_Group=-manichaean_FIVE}', "");
Expect(1, 68333, '\P{Joining_Group=-manichaean_FIVE}', "");
Expect(0, 68333, '\P{^Joining_Group=-manichaean_FIVE}', "");
Error('\p{Jg: /a/	Manichaean_Five}');
Error('\P{Jg: /a/	Manichaean_Five}');
Expect(1, 68332, '\p{Jg:   manichaeanfive}', "");
Expect(0, 68332, '\p{^Jg:   manichaeanfive}', "");
Expect(0, 68332, '\P{Jg:   manichaeanfive}', "");
Expect(1, 68332, '\P{^Jg:   manichaeanfive}', "");
Expect(0, 68333, '\p{Jg:   manichaeanfive}', "");
Expect(1, 68333, '\p{^Jg:   manichaeanfive}', "");
Expect(1, 68333, '\P{Jg:   manichaeanfive}', "");
Expect(0, 68333, '\P{^Jg:   manichaeanfive}', "");
Expect(1, 68332, '\p{Jg=_manichaean_Five}', "");
Expect(0, 68332, '\p{^Jg=_manichaean_Five}', "");
Expect(0, 68332, '\P{Jg=_manichaean_Five}', "");
Expect(1, 68332, '\P{^Jg=_manichaean_Five}', "");
Expect(0, 68333, '\p{Jg=_manichaean_Five}', "");
Expect(1, 68333, '\p{^Jg=_manichaean_Five}', "");
Expect(1, 68333, '\P{Jg=_manichaean_Five}', "");
Expect(0, 68333, '\P{^Jg=_manichaean_Five}', "");
Error('\p{Is_Joining_Group= /a/Manichaean_Five}');
Error('\P{Is_Joining_Group= /a/Manichaean_Five}');
Expect(1, 68332, '\p{Is_Joining_Group=manichaeanfive}', "");
Expect(0, 68332, '\p{^Is_Joining_Group=manichaeanfive}', "");
Expect(0, 68332, '\P{Is_Joining_Group=manichaeanfive}', "");
Expect(1, 68332, '\P{^Is_Joining_Group=manichaeanfive}', "");
Expect(0, 68333, '\p{Is_Joining_Group=manichaeanfive}', "");
Expect(1, 68333, '\p{^Is_Joining_Group=manichaeanfive}', "");
Expect(1, 68333, '\P{Is_Joining_Group=manichaeanfive}', "");
Expect(0, 68333, '\P{^Is_Joining_Group=manichaeanfive}', "");
Expect(1, 68332, '\p{Is_Joining_Group=_-MANICHAEAN_Five}', "");
Expect(0, 68332, '\p{^Is_Joining_Group=_-MANICHAEAN_Five}', "");
Expect(0, 68332, '\P{Is_Joining_Group=_-MANICHAEAN_Five}', "");
Expect(1, 68332, '\P{^Is_Joining_Group=_-MANICHAEAN_Five}', "");
Expect(0, 68333, '\p{Is_Joining_Group=_-MANICHAEAN_Five}', "");
Expect(1, 68333, '\p{^Is_Joining_Group=_-MANICHAEAN_Five}', "");
Expect(1, 68333, '\P{Is_Joining_Group=_-MANICHAEAN_Five}', "");
Expect(0, 68333, '\P{^Is_Joining_Group=_-MANICHAEAN_Five}', "");
Error('\p{Is_Jg=	/a/MANICHAEAN_Five}');
Error('\P{Is_Jg=	/a/MANICHAEAN_Five}');
Expect(1, 68332, '\p{Is_Jg=manichaeanfive}', "");
Expect(0, 68332, '\p{^Is_Jg=manichaeanfive}', "");
Expect(0, 68332, '\P{Is_Jg=manichaeanfive}', "");
Expect(1, 68332, '\P{^Is_Jg=manichaeanfive}', "");
Expect(0, 68333, '\p{Is_Jg=manichaeanfive}', "");
Expect(1, 68333, '\p{^Is_Jg=manichaeanfive}', "");
Expect(1, 68333, '\P{Is_Jg=manichaeanfive}', "");
Expect(0, 68333, '\P{^Is_Jg=manichaeanfive}', "");
Expect(1, 68332, '\p{Is_Jg=	MANICHAEAN_FIVE}', "");
Expect(0, 68332, '\p{^Is_Jg=	MANICHAEAN_FIVE}', "");
Expect(0, 68332, '\P{Is_Jg=	MANICHAEAN_FIVE}', "");
Expect(1, 68332, '\P{^Is_Jg=	MANICHAEAN_FIVE}', "");
Expect(0, 68333, '\p{Is_Jg=	MANICHAEAN_FIVE}', "");
Expect(1, 68333, '\p{^Is_Jg=	MANICHAEAN_FIVE}', "");
Expect(1, 68333, '\P{Is_Jg=	MANICHAEAN_FIVE}', "");
Expect(0, 68333, '\P{^Is_Jg=	MANICHAEAN_FIVE}', "");
Error('\p{Joining_Group:    /a/Manichaean_gimel}');
Error('\P{Joining_Group:    /a/Manichaean_gimel}');
Expect(1, 68292, '\p{Joining_Group=manichaeangimel}', "");
Expect(0, 68292, '\p{^Joining_Group=manichaeangimel}', "");
Expect(0, 68292, '\P{Joining_Group=manichaeangimel}', "");
Expect(1, 68292, '\P{^Joining_Group=manichaeangimel}', "");
Expect(0, 68293, '\p{Joining_Group=manichaeangimel}', "");
Expect(1, 68293, '\p{^Joining_Group=manichaeangimel}', "");
Expect(1, 68293, '\P{Joining_Group=manichaeangimel}', "");
Expect(0, 68293, '\P{^Joining_Group=manichaeangimel}', "");
Expect(1, 68292, '\p{Joining_Group=		Manichaean_GIMEL}', "");
Expect(0, 68292, '\p{^Joining_Group=		Manichaean_GIMEL}', "");
Expect(0, 68292, '\P{Joining_Group=		Manichaean_GIMEL}', "");
Expect(1, 68292, '\P{^Joining_Group=		Manichaean_GIMEL}', "");
Expect(0, 68293, '\p{Joining_Group=		Manichaean_GIMEL}', "");
Expect(1, 68293, '\p{^Joining_Group=		Manichaean_GIMEL}', "");
Expect(1, 68293, '\P{Joining_Group=		Manichaean_GIMEL}', "");
Expect(0, 68293, '\P{^Joining_Group=		Manichaean_GIMEL}', "");
Error('\p{Jg=_-Manichaean_Gimel/a/}');
Error('\P{Jg=_-Manichaean_Gimel/a/}');
Expect(1, 68292, '\p{Jg=manichaeangimel}', "");
Expect(0, 68292, '\p{^Jg=manichaeangimel}', "");
Expect(0, 68292, '\P{Jg=manichaeangimel}', "");
Expect(1, 68292, '\P{^Jg=manichaeangimel}', "");
Expect(0, 68293, '\p{Jg=manichaeangimel}', "");
Expect(1, 68293, '\p{^Jg=manichaeangimel}', "");
Expect(1, 68293, '\P{Jg=manichaeangimel}', "");
Expect(0, 68293, '\P{^Jg=manichaeangimel}', "");
Expect(1, 68292, '\p{Jg=_MANICHAEAN_Gimel}', "");
Expect(0, 68292, '\p{^Jg=_MANICHAEAN_Gimel}', "");
Expect(0, 68292, '\P{Jg=_MANICHAEAN_Gimel}', "");
Expect(1, 68292, '\P{^Jg=_MANICHAEAN_Gimel}', "");
Expect(0, 68293, '\p{Jg=_MANICHAEAN_Gimel}', "");
Expect(1, 68293, '\p{^Jg=_MANICHAEAN_Gimel}', "");
Expect(1, 68293, '\P{Jg=_MANICHAEAN_Gimel}', "");
Expect(0, 68293, '\P{^Jg=_MANICHAEAN_Gimel}', "");
Error('\p{Is_Joining_Group=/a/ -Manichaean_Gimel}');
Error('\P{Is_Joining_Group=/a/ -Manichaean_Gimel}');
Expect(1, 68292, '\p{Is_Joining_Group=manichaeangimel}', "");
Expect(0, 68292, '\p{^Is_Joining_Group=manichaeangimel}', "");
Expect(0, 68292, '\P{Is_Joining_Group=manichaeangimel}', "");
Expect(1, 68292, '\P{^Is_Joining_Group=manichaeangimel}', "");
Expect(0, 68293, '\p{Is_Joining_Group=manichaeangimel}', "");
Expect(1, 68293, '\p{^Is_Joining_Group=manichaeangimel}', "");
Expect(1, 68293, '\P{Is_Joining_Group=manichaeangimel}', "");
Expect(0, 68293, '\P{^Is_Joining_Group=manichaeangimel}', "");
Expect(1, 68292, '\p{Is_Joining_Group:   _ Manichaean_Gimel}', "");
Expect(0, 68292, '\p{^Is_Joining_Group:   _ Manichaean_Gimel}', "");
Expect(0, 68292, '\P{Is_Joining_Group:   _ Manichaean_Gimel}', "");
Expect(1, 68292, '\P{^Is_Joining_Group:   _ Manichaean_Gimel}', "");
Expect(0, 68293, '\p{Is_Joining_Group:   _ Manichaean_Gimel}', "");
Expect(1, 68293, '\p{^Is_Joining_Group:   _ Manichaean_Gimel}', "");
Expect(1, 68293, '\P{Is_Joining_Group:   _ Manichaean_Gimel}', "");
Expect(0, 68293, '\P{^Is_Joining_Group:   _ Manichaean_Gimel}', "");
Error('\p{Is_Jg= /a/Manichaean_Gimel}');
Error('\P{Is_Jg= /a/Manichaean_Gimel}');
Expect(1, 68292, '\p{Is_Jg=manichaeangimel}', "");
Expect(0, 68292, '\p{^Is_Jg=manichaeangimel}', "");
Expect(0, 68292, '\P{Is_Jg=manichaeangimel}', "");
Expect(1, 68292, '\P{^Is_Jg=manichaeangimel}', "");
Expect(0, 68293, '\p{Is_Jg=manichaeangimel}', "");
Expect(1, 68293, '\p{^Is_Jg=manichaeangimel}', "");
Expect(1, 68293, '\P{Is_Jg=manichaeangimel}', "");
Expect(0, 68293, '\P{^Is_Jg=manichaeangimel}', "");
Expect(1, 68292, '\p{Is_Jg= MANICHAEAN_Gimel}', "");
Expect(0, 68292, '\p{^Is_Jg= MANICHAEAN_Gimel}', "");
Expect(0, 68292, '\P{Is_Jg= MANICHAEAN_Gimel}', "");
Expect(1, 68292, '\P{^Is_Jg= MANICHAEAN_Gimel}', "");
Expect(0, 68293, '\p{Is_Jg= MANICHAEAN_Gimel}', "");
Expect(1, 68293, '\p{^Is_Jg= MANICHAEAN_Gimel}', "");
Expect(1, 68293, '\P{Is_Jg= MANICHAEAN_Gimel}', "");
Expect(0, 68293, '\P{^Is_Jg= MANICHAEAN_Gimel}', "");
Error('\p{Joining_Group=:= _Manichaean_heth}');
Error('\P{Joining_Group=:= _Manichaean_heth}');
Expect(1, 68301, '\p{Joining_Group=manichaeanheth}', "");
Expect(0, 68301, '\p{^Joining_Group=manichaeanheth}', "");
Expect(0, 68301, '\P{Joining_Group=manichaeanheth}', "");
Expect(1, 68301, '\P{^Joining_Group=manichaeanheth}', "");
Expect(0, 68302, '\p{Joining_Group=manichaeanheth}', "");
Expect(1, 68302, '\p{^Joining_Group=manichaeanheth}', "");
Expect(1, 68302, '\P{Joining_Group=manichaeanheth}', "");
Expect(0, 68302, '\P{^Joining_Group=manichaeanheth}', "");
Expect(1, 68301, '\p{Joining_Group= 	manichaean_Heth}', "");
Expect(0, 68301, '\p{^Joining_Group= 	manichaean_Heth}', "");
Expect(0, 68301, '\P{Joining_Group= 	manichaean_Heth}', "");
Expect(1, 68301, '\P{^Joining_Group= 	manichaean_Heth}', "");
Expect(0, 68302, '\p{Joining_Group= 	manichaean_Heth}', "");
Expect(1, 68302, '\p{^Joining_Group= 	manichaean_Heth}', "");
Expect(1, 68302, '\P{Joining_Group= 	manichaean_Heth}', "");
Expect(0, 68302, '\P{^Joining_Group= 	manichaean_Heth}', "");
Error('\p{Jg=	:=manichaean_Heth}');
Error('\P{Jg=	:=manichaean_Heth}');
Expect(1, 68301, '\p{Jg=manichaeanheth}', "");
Expect(0, 68301, '\p{^Jg=manichaeanheth}', "");
Expect(0, 68301, '\P{Jg=manichaeanheth}', "");
Expect(1, 68301, '\P{^Jg=manichaeanheth}', "");
Expect(0, 68302, '\p{Jg=manichaeanheth}', "");
Expect(1, 68302, '\p{^Jg=manichaeanheth}', "");
Expect(1, 68302, '\P{Jg=manichaeanheth}', "");
Expect(0, 68302, '\P{^Jg=manichaeanheth}', "");
Expect(1, 68301, '\p{Jg= -Manichaean_heth}', "");
Expect(0, 68301, '\p{^Jg= -Manichaean_heth}', "");
Expect(0, 68301, '\P{Jg= -Manichaean_heth}', "");
Expect(1, 68301, '\P{^Jg= -Manichaean_heth}', "");
Expect(0, 68302, '\p{Jg= -Manichaean_heth}', "");
Expect(1, 68302, '\p{^Jg= -Manichaean_heth}', "");
Expect(1, 68302, '\P{Jg= -Manichaean_heth}', "");
Expect(0, 68302, '\P{^Jg= -Manichaean_heth}', "");
Error('\p{Is_Joining_Group=- manichaean_HETH/a/}');
Error('\P{Is_Joining_Group=- manichaean_HETH/a/}');
Expect(1, 68301, '\p{Is_Joining_Group=manichaeanheth}', "");
Expect(0, 68301, '\p{^Is_Joining_Group=manichaeanheth}', "");
Expect(0, 68301, '\P{Is_Joining_Group=manichaeanheth}', "");
Expect(1, 68301, '\P{^Is_Joining_Group=manichaeanheth}', "");
Expect(0, 68302, '\p{Is_Joining_Group=manichaeanheth}', "");
Expect(1, 68302, '\p{^Is_Joining_Group=manichaeanheth}', "");
Expect(1, 68302, '\P{Is_Joining_Group=manichaeanheth}', "");
Expect(0, 68302, '\P{^Is_Joining_Group=manichaeanheth}', "");
Expect(1, 68301, '\p{Is_Joining_Group=	 MANICHAEAN_Heth}', "");
Expect(0, 68301, '\p{^Is_Joining_Group=	 MANICHAEAN_Heth}', "");
Expect(0, 68301, '\P{Is_Joining_Group=	 MANICHAEAN_Heth}', "");
Expect(1, 68301, '\P{^Is_Joining_Group=	 MANICHAEAN_Heth}', "");
Expect(0, 68302, '\p{Is_Joining_Group=	 MANICHAEAN_Heth}', "");
Expect(1, 68302, '\p{^Is_Joining_Group=	 MANICHAEAN_Heth}', "");
Expect(1, 68302, '\P{Is_Joining_Group=	 MANICHAEAN_Heth}', "");
Expect(0, 68302, '\P{^Is_Joining_Group=	 MANICHAEAN_Heth}', "");
Error('\p{Is_Jg= /a/Manichaean_Heth}');
Error('\P{Is_Jg= /a/Manichaean_Heth}');
Expect(1, 68301, '\p{Is_Jg=manichaeanheth}', "");
Expect(0, 68301, '\p{^Is_Jg=manichaeanheth}', "");
Expect(0, 68301, '\P{Is_Jg=manichaeanheth}', "");
Expect(1, 68301, '\P{^Is_Jg=manichaeanheth}', "");
Expect(0, 68302, '\p{Is_Jg=manichaeanheth}', "");
Expect(1, 68302, '\p{^Is_Jg=manichaeanheth}', "");
Expect(1, 68302, '\P{Is_Jg=manichaeanheth}', "");
Expect(0, 68302, '\P{^Is_Jg=manichaeanheth}', "");
Expect(1, 68301, '\p{Is_Jg=_ MANICHAEAN_Heth}', "");
Expect(0, 68301, '\p{^Is_Jg=_ MANICHAEAN_Heth}', "");
Expect(0, 68301, '\P{Is_Jg=_ MANICHAEAN_Heth}', "");
Expect(1, 68301, '\P{^Is_Jg=_ MANICHAEAN_Heth}', "");
Expect(0, 68302, '\p{Is_Jg=_ MANICHAEAN_Heth}', "");
Expect(1, 68302, '\p{^Is_Jg=_ MANICHAEAN_Heth}', "");
Expect(1, 68302, '\P{Is_Jg=_ MANICHAEAN_Heth}', "");
Expect(0, 68302, '\P{^Is_Jg=_ MANICHAEAN_Heth}', "");
Error('\p{Joining_Group=_manichaean_HUNDRED:=}');
Error('\P{Joining_Group=_manichaean_HUNDRED:=}');
Expect(1, 68335, '\p{Joining_Group=manichaeanhundred}', "");
Expect(0, 68335, '\p{^Joining_Group=manichaeanhundred}', "");
Expect(0, 68335, '\P{Joining_Group=manichaeanhundred}', "");
Expect(1, 68335, '\P{^Joining_Group=manichaeanhundred}', "");
Expect(0, 68336, '\p{Joining_Group=manichaeanhundred}', "");
Expect(1, 68336, '\p{^Joining_Group=manichaeanhundred}', "");
Expect(1, 68336, '\P{Joining_Group=manichaeanhundred}', "");
Expect(0, 68336, '\P{^Joining_Group=manichaeanhundred}', "");
Expect(1, 68335, '\p{Joining_Group=_ Manichaean_Hundred}', "");
Expect(0, 68335, '\p{^Joining_Group=_ Manichaean_Hundred}', "");
Expect(0, 68335, '\P{Joining_Group=_ Manichaean_Hundred}', "");
Expect(1, 68335, '\P{^Joining_Group=_ Manichaean_Hundred}', "");
Expect(0, 68336, '\p{Joining_Group=_ Manichaean_Hundred}', "");
Expect(1, 68336, '\p{^Joining_Group=_ Manichaean_Hundred}', "");
Expect(1, 68336, '\P{Joining_Group=_ Manichaean_Hundred}', "");
Expect(0, 68336, '\P{^Joining_Group=_ Manichaean_Hundred}', "");
Error('\p{Jg=	:=Manichaean_HUNDRED}');
Error('\P{Jg=	:=Manichaean_HUNDRED}');
Expect(1, 68335, '\p{Jg=manichaeanhundred}', "");
Expect(0, 68335, '\p{^Jg=manichaeanhundred}', "");
Expect(0, 68335, '\P{Jg=manichaeanhundred}', "");
Expect(1, 68335, '\P{^Jg=manichaeanhundred}', "");
Expect(0, 68336, '\p{Jg=manichaeanhundred}', "");
Expect(1, 68336, '\p{^Jg=manichaeanhundred}', "");
Expect(1, 68336, '\P{Jg=manichaeanhundred}', "");
Expect(0, 68336, '\P{^Jg=manichaeanhundred}', "");
Expect(1, 68335, '\p{Jg=_-Manichaean_hundred}', "");
Expect(0, 68335, '\p{^Jg=_-Manichaean_hundred}', "");
Expect(0, 68335, '\P{Jg=_-Manichaean_hundred}', "");
Expect(1, 68335, '\P{^Jg=_-Manichaean_hundred}', "");
Expect(0, 68336, '\p{Jg=_-Manichaean_hundred}', "");
Expect(1, 68336, '\p{^Jg=_-Manichaean_hundred}', "");
Expect(1, 68336, '\P{Jg=_-Manichaean_hundred}', "");
Expect(0, 68336, '\P{^Jg=_-Manichaean_hundred}', "");
Error('\p{Is_Joining_Group=/a/Manichaean_Hundred}');
Error('\P{Is_Joining_Group=/a/Manichaean_Hundred}');
Expect(1, 68335, '\p{Is_Joining_Group=manichaeanhundred}', "");
Expect(0, 68335, '\p{^Is_Joining_Group=manichaeanhundred}', "");
Expect(0, 68335, '\P{Is_Joining_Group=manichaeanhundred}', "");
Expect(1, 68335, '\P{^Is_Joining_Group=manichaeanhundred}', "");
Expect(0, 68336, '\p{Is_Joining_Group=manichaeanhundred}', "");
Expect(1, 68336, '\p{^Is_Joining_Group=manichaeanhundred}', "");
Expect(1, 68336, '\P{Is_Joining_Group=manichaeanhundred}', "");
Expect(0, 68336, '\P{^Is_Joining_Group=manichaeanhundred}', "");
Expect(1, 68335, '\p{Is_Joining_Group=- MANICHAEAN_HUNDRED}', "");
Expect(0, 68335, '\p{^Is_Joining_Group=- MANICHAEAN_HUNDRED}', "");
Expect(0, 68335, '\P{Is_Joining_Group=- MANICHAEAN_HUNDRED}', "");
Expect(1, 68335, '\P{^Is_Joining_Group=- MANICHAEAN_HUNDRED}', "");
Expect(0, 68336, '\p{Is_Joining_Group=- MANICHAEAN_HUNDRED}', "");
Expect(1, 68336, '\p{^Is_Joining_Group=- MANICHAEAN_HUNDRED}', "");
Expect(1, 68336, '\P{Is_Joining_Group=- MANICHAEAN_HUNDRED}', "");
Expect(0, 68336, '\P{^Is_Joining_Group=- MANICHAEAN_HUNDRED}', "");
Error('\p{Is_Jg=_/a/MANICHAEAN_HUNDRED}');
Error('\P{Is_Jg=_/a/MANICHAEAN_HUNDRED}');
Expect(1, 68335, '\p{Is_Jg:	manichaeanhundred}', "");
Expect(0, 68335, '\p{^Is_Jg:	manichaeanhundred}', "");
Expect(0, 68335, '\P{Is_Jg:	manichaeanhundred}', "");
Expect(1, 68335, '\P{^Is_Jg:	manichaeanhundred}', "");
Expect(0, 68336, '\p{Is_Jg:	manichaeanhundred}', "");
Expect(1, 68336, '\p{^Is_Jg:	manichaeanhundred}', "");
Expect(1, 68336, '\P{Is_Jg:	manichaeanhundred}', "");
Expect(0, 68336, '\P{^Is_Jg:	manichaeanhundred}', "");
Expect(1, 68335, '\p{Is_Jg=-	manichaean_Hundred}', "");
Expect(0, 68335, '\p{^Is_Jg=-	manichaean_Hundred}', "");
Expect(0, 68335, '\P{Is_Jg=-	manichaean_Hundred}', "");
Expect(1, 68335, '\P{^Is_Jg=-	manichaean_Hundred}', "");
Expect(0, 68336, '\p{Is_Jg=-	manichaean_Hundred}', "");
Expect(1, 68336, '\p{^Is_Jg=-	manichaean_Hundred}', "");
Expect(1, 68336, '\P{Is_Jg=-	manichaean_Hundred}', "");
Expect(0, 68336, '\P{^Is_Jg=-	manichaean_Hundred}', "");
Error('\p{Joining_Group=/a/  MANICHAEAN_KAPH}');
Error('\P{Joining_Group=/a/  MANICHAEAN_KAPH}');
Expect(1, 68306, '\p{Joining_Group=manichaeankaph}', "");
Expect(0, 68306, '\p{^Joining_Group=manichaeankaph}', "");
Expect(0, 68306, '\P{Joining_Group=manichaeankaph}', "");
Expect(1, 68306, '\P{^Joining_Group=manichaeankaph}', "");
Expect(0, 68307, '\p{Joining_Group=manichaeankaph}', "");
Expect(1, 68307, '\p{^Joining_Group=manichaeankaph}', "");
Expect(1, 68307, '\P{Joining_Group=manichaeankaph}', "");
Expect(0, 68307, '\P{^Joining_Group=manichaeankaph}', "");
Expect(1, 68306, '\p{Joining_Group=	Manichaean_Kaph}', "");
Expect(0, 68306, '\p{^Joining_Group=	Manichaean_Kaph}', "");
Expect(0, 68306, '\P{Joining_Group=	Manichaean_Kaph}', "");
Expect(1, 68306, '\P{^Joining_Group=	Manichaean_Kaph}', "");
Expect(0, 68307, '\p{Joining_Group=	Manichaean_Kaph}', "");
Expect(1, 68307, '\p{^Joining_Group=	Manichaean_Kaph}', "");
Expect(1, 68307, '\P{Joining_Group=	Manichaean_Kaph}', "");
Expect(0, 68307, '\P{^Joining_Group=	Manichaean_Kaph}', "");
Error('\p{Jg=/a/_ Manichaean_KAPH}');
Error('\P{Jg=/a/_ Manichaean_KAPH}');
Expect(1, 68306, '\p{Jg:manichaeankaph}', "");
Expect(0, 68306, '\p{^Jg:manichaeankaph}', "");
Expect(0, 68306, '\P{Jg:manichaeankaph}', "");
Expect(1, 68306, '\P{^Jg:manichaeankaph}', "");
Expect(0, 68307, '\p{Jg:manichaeankaph}', "");
Expect(1, 68307, '\p{^Jg:manichaeankaph}', "");
Expect(1, 68307, '\P{Jg:manichaeankaph}', "");
Expect(0, 68307, '\P{^Jg:manichaeankaph}', "");
Expect(1, 68306, '\p{Jg=__MANICHAEAN_Kaph}', "");
Expect(0, 68306, '\p{^Jg=__MANICHAEAN_Kaph}', "");
Expect(0, 68306, '\P{Jg=__MANICHAEAN_Kaph}', "");
Expect(1, 68306, '\P{^Jg=__MANICHAEAN_Kaph}', "");
Expect(0, 68307, '\p{Jg=__MANICHAEAN_Kaph}', "");
Expect(1, 68307, '\p{^Jg=__MANICHAEAN_Kaph}', "");
Expect(1, 68307, '\P{Jg=__MANICHAEAN_Kaph}', "");
Expect(0, 68307, '\P{^Jg=__MANICHAEAN_Kaph}', "");
Error('\p{Is_Joining_Group= MANICHAEAN_Kaph/a/}');
Error('\P{Is_Joining_Group= MANICHAEAN_Kaph/a/}');
Expect(1, 68306, '\p{Is_Joining_Group=manichaeankaph}', "");
Expect(0, 68306, '\p{^Is_Joining_Group=manichaeankaph}', "");
Expect(0, 68306, '\P{Is_Joining_Group=manichaeankaph}', "");
Expect(1, 68306, '\P{^Is_Joining_Group=manichaeankaph}', "");
Expect(0, 68307, '\p{Is_Joining_Group=manichaeankaph}', "");
Expect(1, 68307, '\p{^Is_Joining_Group=manichaeankaph}', "");
Expect(1, 68307, '\P{Is_Joining_Group=manichaeankaph}', "");
Expect(0, 68307, '\P{^Is_Joining_Group=manichaeankaph}', "");
Expect(1, 68306, '\p{Is_Joining_Group=		Manichaean_Kaph}', "");
Expect(0, 68306, '\p{^Is_Joining_Group=		Manichaean_Kaph}', "");
Expect(0, 68306, '\P{Is_Joining_Group=		Manichaean_Kaph}', "");
Expect(1, 68306, '\P{^Is_Joining_Group=		Manichaean_Kaph}', "");
Expect(0, 68307, '\p{Is_Joining_Group=		Manichaean_Kaph}', "");
Expect(1, 68307, '\p{^Is_Joining_Group=		Manichaean_Kaph}', "");
Expect(1, 68307, '\P{Is_Joining_Group=		Manichaean_Kaph}', "");
Expect(0, 68307, '\P{^Is_Joining_Group=		Manichaean_Kaph}', "");
Error('\p{Is_Jg:--MANICHAEAN_kaph/a/}');
Error('\P{Is_Jg:--MANICHAEAN_kaph/a/}');
Expect(1, 68306, '\p{Is_Jg=manichaeankaph}', "");
Expect(0, 68306, '\p{^Is_Jg=manichaeankaph}', "");
Expect(0, 68306, '\P{Is_Jg=manichaeankaph}', "");
Expect(1, 68306, '\P{^Is_Jg=manichaeankaph}', "");
Expect(0, 68307, '\p{Is_Jg=manichaeankaph}', "");
Expect(1, 68307, '\p{^Is_Jg=manichaeankaph}', "");
Expect(1, 68307, '\P{Is_Jg=manichaeankaph}', "");
Expect(0, 68307, '\P{^Is_Jg=manichaeankaph}', "");
Expect(1, 68306, '\p{Is_Jg: - manichaean_kaph}', "");
Expect(0, 68306, '\p{^Is_Jg: - manichaean_kaph}', "");
Expect(0, 68306, '\P{Is_Jg: - manichaean_kaph}', "");
Expect(1, 68306, '\P{^Is_Jg: - manichaean_kaph}', "");
Expect(0, 68307, '\p{Is_Jg: - manichaean_kaph}', "");
Expect(1, 68307, '\p{^Is_Jg: - manichaean_kaph}', "");
Expect(1, 68307, '\P{Is_Jg: - manichaean_kaph}', "");
Expect(0, 68307, '\P{^Is_Jg: - manichaean_kaph}', "");
Error('\p{Joining_Group=:=__Manichaean_lamedh}');
Error('\P{Joining_Group=:=__Manichaean_lamedh}');
Expect(1, 68307, '\p{Joining_Group=manichaeanlamedh}', "");
Expect(0, 68307, '\p{^Joining_Group=manichaeanlamedh}', "");
Expect(0, 68307, '\P{Joining_Group=manichaeanlamedh}', "");
Expect(1, 68307, '\P{^Joining_Group=manichaeanlamedh}', "");
Expect(0, 68308, '\p{Joining_Group=manichaeanlamedh}', "");
Expect(1, 68308, '\p{^Joining_Group=manichaeanlamedh}', "");
Expect(1, 68308, '\P{Joining_Group=manichaeanlamedh}', "");
Expect(0, 68308, '\P{^Joining_Group=manichaeanlamedh}', "");
Expect(1, 68307, '\p{Joining_Group=	manichaean_LAMEDH}', "");
Expect(0, 68307, '\p{^Joining_Group=	manichaean_LAMEDH}', "");
Expect(0, 68307, '\P{Joining_Group=	manichaean_LAMEDH}', "");
Expect(1, 68307, '\P{^Joining_Group=	manichaean_LAMEDH}', "");
Expect(0, 68308, '\p{Joining_Group=	manichaean_LAMEDH}', "");
Expect(1, 68308, '\p{^Joining_Group=	manichaean_LAMEDH}', "");
Expect(1, 68308, '\P{Joining_Group=	manichaean_LAMEDH}', "");
Expect(0, 68308, '\P{^Joining_Group=	manichaean_LAMEDH}', "");
Error('\p{Jg=- manichaean_Lamedh:=}');
Error('\P{Jg=- manichaean_Lamedh:=}');
Expect(1, 68307, '\p{Jg:   manichaeanlamedh}', "");
Expect(0, 68307, '\p{^Jg:   manichaeanlamedh}', "");
Expect(0, 68307, '\P{Jg:   manichaeanlamedh}', "");
Expect(1, 68307, '\P{^Jg:   manichaeanlamedh}', "");
Expect(0, 68308, '\p{Jg:   manichaeanlamedh}', "");
Expect(1, 68308, '\p{^Jg:   manichaeanlamedh}', "");
Expect(1, 68308, '\P{Jg:   manichaeanlamedh}', "");
Expect(0, 68308, '\P{^Jg:   manichaeanlamedh}', "");
Expect(1, 68307, '\p{Jg=	_Manichaean_lamedh}', "");
Expect(0, 68307, '\p{^Jg=	_Manichaean_lamedh}', "");
Expect(0, 68307, '\P{Jg=	_Manichaean_lamedh}', "");
Expect(1, 68307, '\P{^Jg=	_Manichaean_lamedh}', "");
Expect(0, 68308, '\p{Jg=	_Manichaean_lamedh}', "");
Expect(1, 68308, '\p{^Jg=	_Manichaean_lamedh}', "");
Expect(1, 68308, '\P{Jg=	_Manichaean_lamedh}', "");
Expect(0, 68308, '\P{^Jg=	_Manichaean_lamedh}', "");
Error('\p{Is_Joining_Group=_:=MANICHAEAN_Lamedh}');
Error('\P{Is_Joining_Group=_:=MANICHAEAN_Lamedh}');
Expect(1, 68307, '\p{Is_Joining_Group=manichaeanlamedh}', "");
Expect(0, 68307, '\p{^Is_Joining_Group=manichaeanlamedh}', "");
Expect(0, 68307, '\P{Is_Joining_Group=manichaeanlamedh}', "");
Expect(1, 68307, '\P{^Is_Joining_Group=manichaeanlamedh}', "");
Expect(0, 68308, '\p{Is_Joining_Group=manichaeanlamedh}', "");
Expect(1, 68308, '\p{^Is_Joining_Group=manichaeanlamedh}', "");
Expect(1, 68308, '\P{Is_Joining_Group=manichaeanlamedh}', "");
Expect(0, 68308, '\P{^Is_Joining_Group=manichaeanlamedh}', "");
Expect(1, 68307, '\p{Is_Joining_Group=		Manichaean_lamedh}', "");
Expect(0, 68307, '\p{^Is_Joining_Group=		Manichaean_lamedh}', "");
Expect(0, 68307, '\P{Is_Joining_Group=		Manichaean_lamedh}', "");
Expect(1, 68307, '\P{^Is_Joining_Group=		Manichaean_lamedh}', "");
Expect(0, 68308, '\p{Is_Joining_Group=		Manichaean_lamedh}', "");
Expect(1, 68308, '\p{^Is_Joining_Group=		Manichaean_lamedh}', "");
Expect(1, 68308, '\P{Is_Joining_Group=		Manichaean_lamedh}', "");
Expect(0, 68308, '\P{^Is_Joining_Group=		Manichaean_lamedh}', "");
Error('\p{Is_Jg=/a/ -Manichaean_Lamedh}');
Error('\P{Is_Jg=/a/ -Manichaean_Lamedh}');
Expect(1, 68307, '\p{Is_Jg=manichaeanlamedh}', "");
Expect(0, 68307, '\p{^Is_Jg=manichaeanlamedh}', "");
Expect(0, 68307, '\P{Is_Jg=manichaeanlamedh}', "");
Expect(1, 68307, '\P{^Is_Jg=manichaeanlamedh}', "");
Expect(0, 68308, '\p{Is_Jg=manichaeanlamedh}', "");
Expect(1, 68308, '\p{^Is_Jg=manichaeanlamedh}', "");
Expect(1, 68308, '\P{Is_Jg=manichaeanlamedh}', "");
Expect(0, 68308, '\P{^Is_Jg=manichaeanlamedh}', "");
Expect(1, 68307, '\p{Is_Jg=_ MANICHAEAN_Lamedh}', "");
Expect(0, 68307, '\p{^Is_Jg=_ MANICHAEAN_Lamedh}', "");
Expect(0, 68307, '\P{Is_Jg=_ MANICHAEAN_Lamedh}', "");
Expect(1, 68307, '\P{^Is_Jg=_ MANICHAEAN_Lamedh}', "");
Expect(0, 68308, '\p{Is_Jg=_ MANICHAEAN_Lamedh}', "");
Expect(1, 68308, '\p{^Is_Jg=_ MANICHAEAN_Lamedh}', "");
Expect(1, 68308, '\P{Is_Jg=_ MANICHAEAN_Lamedh}', "");
Expect(0, 68308, '\P{^Is_Jg=_ MANICHAEAN_Lamedh}', "");
Error('\p{Joining_Group= _Manichaean_MEM/a/}');
Error('\P{Joining_Group= _Manichaean_MEM/a/}');
Expect(1, 68310, '\p{Joining_Group=manichaeanmem}', "");
Expect(0, 68310, '\p{^Joining_Group=manichaeanmem}', "");
Expect(0, 68310, '\P{Joining_Group=manichaeanmem}', "");
Expect(1, 68310, '\P{^Joining_Group=manichaeanmem}', "");
Expect(0, 68311, '\p{Joining_Group=manichaeanmem}', "");
Expect(1, 68311, '\p{^Joining_Group=manichaeanmem}', "");
Expect(1, 68311, '\P{Joining_Group=manichaeanmem}', "");
Expect(0, 68311, '\P{^Joining_Group=manichaeanmem}', "");
Expect(1, 68310, '\p{Joining_Group=manichaean_Mem}', "");
Expect(0, 68310, '\p{^Joining_Group=manichaean_Mem}', "");
Expect(0, 68310, '\P{Joining_Group=manichaean_Mem}', "");
Expect(1, 68310, '\P{^Joining_Group=manichaean_Mem}', "");
Expect(0, 68311, '\p{Joining_Group=manichaean_Mem}', "");
Expect(1, 68311, '\p{^Joining_Group=manichaean_Mem}', "");
Expect(1, 68311, '\P{Joining_Group=manichaean_Mem}', "");
Expect(0, 68311, '\P{^Joining_Group=manichaean_Mem}', "");
Error('\p{Jg=-manichaean_MEM:=}');
Error('\P{Jg=-manichaean_MEM:=}');
Expect(1, 68310, '\p{Jg=manichaeanmem}', "");
Expect(0, 68310, '\p{^Jg=manichaeanmem}', "");
Expect(0, 68310, '\P{Jg=manichaeanmem}', "");
Expect(1, 68310, '\P{^Jg=manichaeanmem}', "");
Expect(0, 68311, '\p{Jg=manichaeanmem}', "");
Expect(1, 68311, '\p{^Jg=manichaeanmem}', "");
Expect(1, 68311, '\P{Jg=manichaeanmem}', "");
Expect(0, 68311, '\P{^Jg=manichaeanmem}', "");
Expect(1, 68310, '\p{Jg=  manichaean_mem}', "");
Expect(0, 68310, '\p{^Jg=  manichaean_mem}', "");
Expect(0, 68310, '\P{Jg=  manichaean_mem}', "");
Expect(1, 68310, '\P{^Jg=  manichaean_mem}', "");
Expect(0, 68311, '\p{Jg=  manichaean_mem}', "");
Expect(1, 68311, '\p{^Jg=  manichaean_mem}', "");
Expect(1, 68311, '\P{Jg=  manichaean_mem}', "");
Expect(0, 68311, '\P{^Jg=  manichaean_mem}', "");
Error('\p{Is_Joining_Group=:=-	Manichaean_MEM}');
Error('\P{Is_Joining_Group=:=-	Manichaean_MEM}');
Expect(1, 68310, '\p{Is_Joining_Group=manichaeanmem}', "");
Expect(0, 68310, '\p{^Is_Joining_Group=manichaeanmem}', "");
Expect(0, 68310, '\P{Is_Joining_Group=manichaeanmem}', "");
Expect(1, 68310, '\P{^Is_Joining_Group=manichaeanmem}', "");
Expect(0, 68311, '\p{Is_Joining_Group=manichaeanmem}', "");
Expect(1, 68311, '\p{^Is_Joining_Group=manichaeanmem}', "");
Expect(1, 68311, '\P{Is_Joining_Group=manichaeanmem}', "");
Expect(0, 68311, '\P{^Is_Joining_Group=manichaeanmem}', "");
Expect(1, 68310, '\p{Is_Joining_Group=_	Manichaean_Mem}', "");
Expect(0, 68310, '\p{^Is_Joining_Group=_	Manichaean_Mem}', "");
Expect(0, 68310, '\P{Is_Joining_Group=_	Manichaean_Mem}', "");
Expect(1, 68310, '\P{^Is_Joining_Group=_	Manichaean_Mem}', "");
Expect(0, 68311, '\p{Is_Joining_Group=_	Manichaean_Mem}', "");
Expect(1, 68311, '\p{^Is_Joining_Group=_	Manichaean_Mem}', "");
Expect(1, 68311, '\P{Is_Joining_Group=_	Manichaean_Mem}', "");
Expect(0, 68311, '\P{^Is_Joining_Group=_	Manichaean_Mem}', "");
Error('\p{Is_Jg=/a/Manichaean_Mem}');
Error('\P{Is_Jg=/a/Manichaean_Mem}');
Expect(1, 68310, '\p{Is_Jg=manichaeanmem}', "");
Expect(0, 68310, '\p{^Is_Jg=manichaeanmem}', "");
Expect(0, 68310, '\P{Is_Jg=manichaeanmem}', "");
Expect(1, 68310, '\P{^Is_Jg=manichaeanmem}', "");
Expect(0, 68311, '\p{Is_Jg=manichaeanmem}', "");
Expect(1, 68311, '\p{^Is_Jg=manichaeanmem}', "");
Expect(1, 68311, '\P{Is_Jg=manichaeanmem}', "");
Expect(0, 68311, '\P{^Is_Jg=manichaeanmem}', "");
Expect(1, 68310, '\p{Is_Jg=Manichaean_MEM}', "");
Expect(0, 68310, '\p{^Is_Jg=Manichaean_MEM}', "");
Expect(0, 68310, '\P{Is_Jg=Manichaean_MEM}', "");
Expect(1, 68310, '\P{^Is_Jg=Manichaean_MEM}', "");
Expect(0, 68311, '\p{Is_Jg=Manichaean_MEM}', "");
Expect(1, 68311, '\p{^Is_Jg=Manichaean_MEM}', "");
Expect(1, 68311, '\P{Is_Jg=Manichaean_MEM}', "");
Expect(0, 68311, '\P{^Is_Jg=Manichaean_MEM}', "");
Error('\p{Joining_Group=	/a/MANICHAEAN_NUN}');
Error('\P{Joining_Group=	/a/MANICHAEAN_NUN}');
Expect(1, 68311, '\p{Joining_Group=manichaeannun}', "");
Expect(0, 68311, '\p{^Joining_Group=manichaeannun}', "");
Expect(0, 68311, '\P{Joining_Group=manichaeannun}', "");
Expect(1, 68311, '\P{^Joining_Group=manichaeannun}', "");
Expect(0, 68312, '\p{Joining_Group=manichaeannun}', "");
Expect(1, 68312, '\p{^Joining_Group=manichaeannun}', "");
Expect(1, 68312, '\P{Joining_Group=manichaeannun}', "");
Expect(0, 68312, '\P{^Joining_Group=manichaeannun}', "");
Expect(1, 68311, '\p{Joining_Group= -Manichaean_Nun}', "");
Expect(0, 68311, '\p{^Joining_Group= -Manichaean_Nun}', "");
Expect(0, 68311, '\P{Joining_Group= -Manichaean_Nun}', "");
Expect(1, 68311, '\P{^Joining_Group= -Manichaean_Nun}', "");
Expect(0, 68312, '\p{Joining_Group= -Manichaean_Nun}', "");
Expect(1, 68312, '\p{^Joining_Group= -Manichaean_Nun}', "");
Expect(1, 68312, '\P{Joining_Group= -Manichaean_Nun}', "");
Expect(0, 68312, '\P{^Joining_Group= -Manichaean_Nun}', "");
Error('\p{Jg=/a/ Manichaean_Nun}');
Error('\P{Jg=/a/ Manichaean_Nun}');
Expect(1, 68311, '\p{Jg=manichaeannun}', "");
Expect(0, 68311, '\p{^Jg=manichaeannun}', "");
Expect(0, 68311, '\P{Jg=manichaeannun}', "");
Expect(1, 68311, '\P{^Jg=manichaeannun}', "");
Expect(0, 68312, '\p{Jg=manichaeannun}', "");
Expect(1, 68312, '\p{^Jg=manichaeannun}', "");
Expect(1, 68312, '\P{Jg=manichaeannun}', "");
Expect(0, 68312, '\P{^Jg=manichaeannun}', "");
Expect(1, 68311, '\p{Jg=__manichaean_Nun}', "");
Expect(0, 68311, '\p{^Jg=__manichaean_Nun}', "");
Expect(0, 68311, '\P{Jg=__manichaean_Nun}', "");
Expect(1, 68311, '\P{^Jg=__manichaean_Nun}', "");
Expect(0, 68312, '\p{Jg=__manichaean_Nun}', "");
Expect(1, 68312, '\p{^Jg=__manichaean_Nun}', "");
Expect(1, 68312, '\P{Jg=__manichaean_Nun}', "");
Expect(0, 68312, '\P{^Jg=__manichaean_Nun}', "");
Error('\p{Is_Joining_Group= /a/Manichaean_nun}');
Error('\P{Is_Joining_Group= /a/Manichaean_nun}');
Expect(1, 68311, '\p{Is_Joining_Group=manichaeannun}', "");
Expect(0, 68311, '\p{^Is_Joining_Group=manichaeannun}', "");
Expect(0, 68311, '\P{Is_Joining_Group=manichaeannun}', "");
Expect(1, 68311, '\P{^Is_Joining_Group=manichaeannun}', "");
Expect(0, 68312, '\p{Is_Joining_Group=manichaeannun}', "");
Expect(1, 68312, '\p{^Is_Joining_Group=manichaeannun}', "");
Expect(1, 68312, '\P{Is_Joining_Group=manichaeannun}', "");
Expect(0, 68312, '\P{^Is_Joining_Group=manichaeannun}', "");
Expect(1, 68311, '\p{Is_Joining_Group= manichaean_Nun}', "");
Expect(0, 68311, '\p{^Is_Joining_Group= manichaean_Nun}', "");
Expect(0, 68311, '\P{Is_Joining_Group= manichaean_Nun}', "");
Expect(1, 68311, '\P{^Is_Joining_Group= manichaean_Nun}', "");
Expect(0, 68312, '\p{Is_Joining_Group= manichaean_Nun}', "");
Expect(1, 68312, '\p{^Is_Joining_Group= manichaean_Nun}', "");
Expect(1, 68312, '\P{Is_Joining_Group= manichaean_Nun}', "");
Expect(0, 68312, '\P{^Is_Joining_Group= manichaean_Nun}', "");
Error('\p{Is_Jg=/a/	MANICHAEAN_Nun}');
Error('\P{Is_Jg=/a/	MANICHAEAN_Nun}');
Expect(1, 68311, '\p{Is_Jg=manichaeannun}', "");
Expect(0, 68311, '\p{^Is_Jg=manichaeannun}', "");
Expect(0, 68311, '\P{Is_Jg=manichaeannun}', "");
Expect(1, 68311, '\P{^Is_Jg=manichaeannun}', "");
Expect(0, 68312, '\p{Is_Jg=manichaeannun}', "");
Expect(1, 68312, '\p{^Is_Jg=manichaeannun}', "");
Expect(1, 68312, '\P{Is_Jg=manichaeannun}', "");
Expect(0, 68312, '\P{^Is_Jg=manichaeannun}', "");
Expect(1, 68311, '\p{Is_Jg=-manichaean_Nun}', "");
Expect(0, 68311, '\p{^Is_Jg=-manichaean_Nun}', "");
Expect(0, 68311, '\P{Is_Jg=-manichaean_Nun}', "");
Expect(1, 68311, '\P{^Is_Jg=-manichaean_Nun}', "");
Expect(0, 68312, '\p{Is_Jg=-manichaean_Nun}', "");
Expect(1, 68312, '\p{^Is_Jg=-manichaean_Nun}', "");
Expect(1, 68312, '\P{Is_Jg=-manichaean_Nun}', "");
Expect(0, 68312, '\P{^Is_Jg=-manichaean_Nun}', "");
Error('\p{Joining_Group=		manichaean_one/a/}');
Error('\P{Joining_Group=		manichaean_one/a/}');
Expect(1, 68331, '\p{Joining_Group=manichaeanone}', "");
Expect(0, 68331, '\p{^Joining_Group=manichaeanone}', "");
Expect(0, 68331, '\P{Joining_Group=manichaeanone}', "");
Expect(1, 68331, '\P{^Joining_Group=manichaeanone}', "");
Expect(0, 68332, '\p{Joining_Group=manichaeanone}', "");
Expect(1, 68332, '\p{^Joining_Group=manichaeanone}', "");
Expect(1, 68332, '\P{Joining_Group=manichaeanone}', "");
Expect(0, 68332, '\P{^Joining_Group=manichaeanone}', "");
Expect(1, 68331, '\p{Joining_Group=	-Manichaean_One}', "");
Expect(0, 68331, '\p{^Joining_Group=	-Manichaean_One}', "");
Expect(0, 68331, '\P{Joining_Group=	-Manichaean_One}', "");
Expect(1, 68331, '\P{^Joining_Group=	-Manichaean_One}', "");
Expect(0, 68332, '\p{Joining_Group=	-Manichaean_One}', "");
Expect(1, 68332, '\p{^Joining_Group=	-Manichaean_One}', "");
Expect(1, 68332, '\P{Joining_Group=	-Manichaean_One}', "");
Expect(0, 68332, '\P{^Joining_Group=	-Manichaean_One}', "");
Error('\p{Jg=/a/MANICHAEAN_One}');
Error('\P{Jg=/a/MANICHAEAN_One}');
Expect(1, 68331, '\p{Jg=manichaeanone}', "");
Expect(0, 68331, '\p{^Jg=manichaeanone}', "");
Expect(0, 68331, '\P{Jg=manichaeanone}', "");
Expect(1, 68331, '\P{^Jg=manichaeanone}', "");
Expect(0, 68332, '\p{Jg=manichaeanone}', "");
Expect(1, 68332, '\p{^Jg=manichaeanone}', "");
Expect(1, 68332, '\P{Jg=manichaeanone}', "");
Expect(0, 68332, '\P{^Jg=manichaeanone}', "");
Expect(1, 68331, '\p{Jg=_-Manichaean_ONE}', "");
Expect(0, 68331, '\p{^Jg=_-Manichaean_ONE}', "");
Expect(0, 68331, '\P{Jg=_-Manichaean_ONE}', "");
Expect(1, 68331, '\P{^Jg=_-Manichaean_ONE}', "");
Expect(0, 68332, '\p{Jg=_-Manichaean_ONE}', "");
Expect(1, 68332, '\p{^Jg=_-Manichaean_ONE}', "");
Expect(1, 68332, '\P{Jg=_-Manichaean_ONE}', "");
Expect(0, 68332, '\P{^Jg=_-Manichaean_ONE}', "");
Error('\p{Is_Joining_Group=-:=manichaean_One}');
Error('\P{Is_Joining_Group=-:=manichaean_One}');
Expect(1, 68331, '\p{Is_Joining_Group:manichaeanone}', "");
Expect(0, 68331, '\p{^Is_Joining_Group:manichaeanone}', "");
Expect(0, 68331, '\P{Is_Joining_Group:manichaeanone}', "");
Expect(1, 68331, '\P{^Is_Joining_Group:manichaeanone}', "");
Expect(0, 68332, '\p{Is_Joining_Group:manichaeanone}', "");
Expect(1, 68332, '\p{^Is_Joining_Group:manichaeanone}', "");
Expect(1, 68332, '\P{Is_Joining_Group:manichaeanone}', "");
Expect(0, 68332, '\P{^Is_Joining_Group:manichaeanone}', "");
Expect(1, 68331, '\p{Is_Joining_Group= 	Manichaean_one}', "");
Expect(0, 68331, '\p{^Is_Joining_Group= 	Manichaean_one}', "");
Expect(0, 68331, '\P{Is_Joining_Group= 	Manichaean_one}', "");
Expect(1, 68331, '\P{^Is_Joining_Group= 	Manichaean_one}', "");
Expect(0, 68332, '\p{Is_Joining_Group= 	Manichaean_one}', "");
Expect(1, 68332, '\p{^Is_Joining_Group= 	Manichaean_one}', "");
Expect(1, 68332, '\P{Is_Joining_Group= 	Manichaean_one}', "");
Expect(0, 68332, '\P{^Is_Joining_Group= 	Manichaean_one}', "");
Error('\p{Is_Jg= :=Manichaean_One}');
Error('\P{Is_Jg= :=Manichaean_One}');
Expect(1, 68331, '\p{Is_Jg: manichaeanone}', "");
Expect(0, 68331, '\p{^Is_Jg: manichaeanone}', "");
Expect(0, 68331, '\P{Is_Jg: manichaeanone}', "");
Expect(1, 68331, '\P{^Is_Jg: manichaeanone}', "");
Expect(0, 68332, '\p{Is_Jg: manichaeanone}', "");
Expect(1, 68332, '\p{^Is_Jg: manichaeanone}', "");
Expect(1, 68332, '\P{Is_Jg: manichaeanone}', "");
Expect(0, 68332, '\P{^Is_Jg: manichaeanone}', "");
Expect(1, 68331, '\p{Is_Jg:  Manichaean_one}', "");
Expect(0, 68331, '\p{^Is_Jg:  Manichaean_one}', "");
Expect(0, 68331, '\P{Is_Jg:  Manichaean_one}', "");
Expect(1, 68331, '\P{^Is_Jg:  Manichaean_one}', "");
Expect(0, 68332, '\p{Is_Jg:  Manichaean_one}', "");
Expect(1, 68332, '\p{^Is_Jg:  Manichaean_one}', "");
Expect(1, 68332, '\P{Is_Jg:  Manichaean_one}', "");
Expect(0, 68332, '\P{^Is_Jg:  Manichaean_one}', "");
Error('\p{Joining_Group= Manichaean_Pe/a/}');
Error('\P{Joining_Group= Manichaean_Pe/a/}');
Expect(1, 68316, '\p{Joining_Group=manichaeanpe}', "");
Expect(0, 68316, '\p{^Joining_Group=manichaeanpe}', "");
Expect(0, 68316, '\P{Joining_Group=manichaeanpe}', "");
Expect(1, 68316, '\P{^Joining_Group=manichaeanpe}', "");
Expect(0, 68317, '\p{Joining_Group=manichaeanpe}', "");
Expect(1, 68317, '\p{^Joining_Group=manichaeanpe}', "");
Expect(1, 68317, '\P{Joining_Group=manichaeanpe}', "");
Expect(0, 68317, '\P{^Joining_Group=manichaeanpe}', "");
Expect(1, 68316, '\p{Joining_Group=Manichaean_PE}', "");
Expect(0, 68316, '\p{^Joining_Group=Manichaean_PE}', "");
Expect(0, 68316, '\P{Joining_Group=Manichaean_PE}', "");
Expect(1, 68316, '\P{^Joining_Group=Manichaean_PE}', "");
Expect(0, 68317, '\p{Joining_Group=Manichaean_PE}', "");
Expect(1, 68317, '\p{^Joining_Group=Manichaean_PE}', "");
Expect(1, 68317, '\P{Joining_Group=Manichaean_PE}', "");
Expect(0, 68317, '\P{^Joining_Group=Manichaean_PE}', "");
Error('\p{Jg= /a/Manichaean_Pe}');
Error('\P{Jg= /a/Manichaean_Pe}');
Expect(1, 68316, '\p{Jg=manichaeanpe}', "");
Expect(0, 68316, '\p{^Jg=manichaeanpe}', "");
Expect(0, 68316, '\P{Jg=manichaeanpe}', "");
Expect(1, 68316, '\P{^Jg=manichaeanpe}', "");
Expect(0, 68317, '\p{Jg=manichaeanpe}', "");
Expect(1, 68317, '\p{^Jg=manichaeanpe}', "");
Expect(1, 68317, '\P{Jg=manichaeanpe}', "");
Expect(0, 68317, '\P{^Jg=manichaeanpe}', "");
Expect(1, 68316, '\p{Jg= -manichaean_PE}', "");
Expect(0, 68316, '\p{^Jg= -manichaean_PE}', "");
Expect(0, 68316, '\P{Jg= -manichaean_PE}', "");
Expect(1, 68316, '\P{^Jg= -manichaean_PE}', "");
Expect(0, 68317, '\p{Jg= -manichaean_PE}', "");
Expect(1, 68317, '\p{^Jg= -manichaean_PE}', "");
Expect(1, 68317, '\P{Jg= -manichaean_PE}', "");
Expect(0, 68317, '\P{^Jg= -manichaean_PE}', "");
Error('\p{Is_Joining_Group=:=  Manichaean_PE}');
Error('\P{Is_Joining_Group=:=  Manichaean_PE}');
Expect(1, 68316, '\p{Is_Joining_Group=manichaeanpe}', "");
Expect(0, 68316, '\p{^Is_Joining_Group=manichaeanpe}', "");
Expect(0, 68316, '\P{Is_Joining_Group=manichaeanpe}', "");
Expect(1, 68316, '\P{^Is_Joining_Group=manichaeanpe}', "");
Expect(0, 68317, '\p{Is_Joining_Group=manichaeanpe}', "");
Expect(1, 68317, '\p{^Is_Joining_Group=manichaeanpe}', "");
Expect(1, 68317, '\P{Is_Joining_Group=manichaeanpe}', "");
Expect(0, 68317, '\P{^Is_Joining_Group=manichaeanpe}', "");
Expect(1, 68316, '\p{Is_Joining_Group= _manichaean_pe}', "");
Expect(0, 68316, '\p{^Is_Joining_Group= _manichaean_pe}', "");
Expect(0, 68316, '\P{Is_Joining_Group= _manichaean_pe}', "");
Expect(1, 68316, '\P{^Is_Joining_Group= _manichaean_pe}', "");
Expect(0, 68317, '\p{Is_Joining_Group= _manichaean_pe}', "");
Expect(1, 68317, '\p{^Is_Joining_Group= _manichaean_pe}', "");
Expect(1, 68317, '\P{Is_Joining_Group= _manichaean_pe}', "");
Expect(0, 68317, '\P{^Is_Joining_Group= _manichaean_pe}', "");
Error('\p{Is_Jg=/a/-_Manichaean_Pe}');
Error('\P{Is_Jg=/a/-_Manichaean_Pe}');
Expect(1, 68316, '\p{Is_Jg=manichaeanpe}', "");
Expect(0, 68316, '\p{^Is_Jg=manichaeanpe}', "");
Expect(0, 68316, '\P{Is_Jg=manichaeanpe}', "");
Expect(1, 68316, '\P{^Is_Jg=manichaeanpe}', "");
Expect(0, 68317, '\p{Is_Jg=manichaeanpe}', "");
Expect(1, 68317, '\p{^Is_Jg=manichaeanpe}', "");
Expect(1, 68317, '\P{Is_Jg=manichaeanpe}', "");
Expect(0, 68317, '\P{^Is_Jg=manichaeanpe}', "");
Expect(1, 68316, '\p{Is_Jg=_Manichaean_PE}', "");
Expect(0, 68316, '\p{^Is_Jg=_Manichaean_PE}', "");
Expect(0, 68316, '\P{Is_Jg=_Manichaean_PE}', "");
Expect(1, 68316, '\P{^Is_Jg=_Manichaean_PE}', "");
Expect(0, 68317, '\p{Is_Jg=_Manichaean_PE}', "");
Expect(1, 68317, '\p{^Is_Jg=_Manichaean_PE}', "");
Expect(1, 68317, '\P{Is_Jg=_Manichaean_PE}', "");
Expect(0, 68317, '\P{^Is_Jg=_Manichaean_PE}', "");
Error('\p{Joining_Group=/a/ _MANICHAEAN_Qoph}');
Error('\P{Joining_Group=/a/ _MANICHAEAN_Qoph}');
Expect(1, 68320, '\p{Joining_Group=manichaeanqoph}', "");
Expect(0, 68320, '\p{^Joining_Group=manichaeanqoph}', "");
Expect(0, 68320, '\P{Joining_Group=manichaeanqoph}', "");
Expect(1, 68320, '\P{^Joining_Group=manichaeanqoph}', "");
Expect(0, 68321, '\p{Joining_Group=manichaeanqoph}', "");
Expect(1, 68321, '\p{^Joining_Group=manichaeanqoph}', "");
Expect(1, 68321, '\P{Joining_Group=manichaeanqoph}', "");
Expect(0, 68321, '\P{^Joining_Group=manichaeanqoph}', "");
Expect(1, 68320, '\p{Joining_Group: - manichaean_qoph}', "");
Expect(0, 68320, '\p{^Joining_Group: - manichaean_qoph}', "");
Expect(0, 68320, '\P{Joining_Group: - manichaean_qoph}', "");
Expect(1, 68320, '\P{^Joining_Group: - manichaean_qoph}', "");
Expect(0, 68321, '\p{Joining_Group: - manichaean_qoph}', "");
Expect(1, 68321, '\p{^Joining_Group: - manichaean_qoph}', "");
Expect(1, 68321, '\P{Joining_Group: - manichaean_qoph}', "");
Expect(0, 68321, '\P{^Joining_Group: - manichaean_qoph}', "");
Error('\p{Jg=	:=Manichaean_QOPH}');
Error('\P{Jg=	:=Manichaean_QOPH}');
Expect(1, 68320, '\p{Jg=manichaeanqoph}', "");
Expect(0, 68320, '\p{^Jg=manichaeanqoph}', "");
Expect(0, 68320, '\P{Jg=manichaeanqoph}', "");
Expect(1, 68320, '\P{^Jg=manichaeanqoph}', "");
Expect(0, 68321, '\p{Jg=manichaeanqoph}', "");
Expect(1, 68321, '\p{^Jg=manichaeanqoph}', "");
Expect(1, 68321, '\P{Jg=manichaeanqoph}', "");
Expect(0, 68321, '\P{^Jg=manichaeanqoph}', "");
Expect(1, 68320, '\p{Jg=	-Manichaean_QOPH}', "");
Expect(0, 68320, '\p{^Jg=	-Manichaean_QOPH}', "");
Expect(0, 68320, '\P{Jg=	-Manichaean_QOPH}', "");
Expect(1, 68320, '\P{^Jg=	-Manichaean_QOPH}', "");
Expect(0, 68321, '\p{Jg=	-Manichaean_QOPH}', "");
Expect(1, 68321, '\p{^Jg=	-Manichaean_QOPH}', "");
Expect(1, 68321, '\P{Jg=	-Manichaean_QOPH}', "");
Expect(0, 68321, '\P{^Jg=	-Manichaean_QOPH}', "");
Error('\p{Is_Joining_Group=/a/ _manichaean_QOPH}');
Error('\P{Is_Joining_Group=/a/ _manichaean_QOPH}');
Expect(1, 68320, '\p{Is_Joining_Group=manichaeanqoph}', "");
Expect(0, 68320, '\p{^Is_Joining_Group=manichaeanqoph}', "");
Expect(0, 68320, '\P{Is_Joining_Group=manichaeanqoph}', "");
Expect(1, 68320, '\P{^Is_Joining_Group=manichaeanqoph}', "");
Expect(0, 68321, '\p{Is_Joining_Group=manichaeanqoph}', "");
Expect(1, 68321, '\p{^Is_Joining_Group=manichaeanqoph}', "");
Expect(1, 68321, '\P{Is_Joining_Group=manichaeanqoph}', "");
Expect(0, 68321, '\P{^Is_Joining_Group=manichaeanqoph}', "");
Expect(1, 68320, '\p{Is_Joining_Group= _Manichaean_Qoph}', "");
Expect(0, 68320, '\p{^Is_Joining_Group= _Manichaean_Qoph}', "");
Expect(0, 68320, '\P{Is_Joining_Group= _Manichaean_Qoph}', "");
Expect(1, 68320, '\P{^Is_Joining_Group= _Manichaean_Qoph}', "");
Expect(0, 68321, '\p{Is_Joining_Group= _Manichaean_Qoph}', "");
Expect(1, 68321, '\p{^Is_Joining_Group= _Manichaean_Qoph}', "");
Expect(1, 68321, '\P{Is_Joining_Group= _Manichaean_Qoph}', "");
Expect(0, 68321, '\P{^Is_Joining_Group= _Manichaean_Qoph}', "");
Error('\p{Is_Jg=:=-_MANICHAEAN_Qoph}');
Error('\P{Is_Jg=:=-_MANICHAEAN_Qoph}');
Expect(1, 68320, '\p{Is_Jg=manichaeanqoph}', "");
Expect(0, 68320, '\p{^Is_Jg=manichaeanqoph}', "");
Expect(0, 68320, '\P{Is_Jg=manichaeanqoph}', "");
Expect(1, 68320, '\P{^Is_Jg=manichaeanqoph}', "");
Expect(0, 68321, '\p{Is_Jg=manichaeanqoph}', "");
Expect(1, 68321, '\p{^Is_Jg=manichaeanqoph}', "");
Expect(1, 68321, '\P{Is_Jg=manichaeanqoph}', "");
Expect(0, 68321, '\P{^Is_Jg=manichaeanqoph}', "");
Expect(1, 68320, '\p{Is_Jg:	-manichaean_Qoph}', "");
Expect(0, 68320, '\p{^Is_Jg:	-manichaean_Qoph}', "");
Expect(0, 68320, '\P{Is_Jg:	-manichaean_Qoph}', "");
Expect(1, 68320, '\P{^Is_Jg:	-manichaean_Qoph}', "");
Expect(0, 68321, '\p{Is_Jg:	-manichaean_Qoph}', "");
Expect(1, 68321, '\p{^Is_Jg:	-manichaean_Qoph}', "");
Expect(1, 68321, '\P{Is_Jg:	-manichaean_Qoph}', "");
Expect(0, 68321, '\P{^Is_Jg:	-manichaean_Qoph}', "");
Error('\p{Joining_Group: -:=manichaean_Resh}');
Error('\P{Joining_Group: -:=manichaean_Resh}');
Expect(1, 68321, '\p{Joining_Group=manichaeanresh}', "");
Expect(0, 68321, '\p{^Joining_Group=manichaeanresh}', "");
Expect(0, 68321, '\P{Joining_Group=manichaeanresh}', "");
Expect(1, 68321, '\P{^Joining_Group=manichaeanresh}', "");
Expect(0, 68322, '\p{Joining_Group=manichaeanresh}', "");
Expect(1, 68322, '\p{^Joining_Group=manichaeanresh}', "");
Expect(1, 68322, '\P{Joining_Group=manichaeanresh}', "");
Expect(0, 68322, '\P{^Joining_Group=manichaeanresh}', "");
Expect(1, 68321, '\p{Joining_Group= 	MANICHAEAN_Resh}', "");
Expect(0, 68321, '\p{^Joining_Group= 	MANICHAEAN_Resh}', "");
Expect(0, 68321, '\P{Joining_Group= 	MANICHAEAN_Resh}', "");
Expect(1, 68321, '\P{^Joining_Group= 	MANICHAEAN_Resh}', "");
Expect(0, 68322, '\p{Joining_Group= 	MANICHAEAN_Resh}', "");
Expect(1, 68322, '\p{^Joining_Group= 	MANICHAEAN_Resh}', "");
Expect(1, 68322, '\P{Joining_Group= 	MANICHAEAN_Resh}', "");
Expect(0, 68322, '\P{^Joining_Group= 	MANICHAEAN_Resh}', "");
Error('\p{Jg:/a/ -Manichaean_resh}');
Error('\P{Jg:/a/ -Manichaean_resh}');
Expect(1, 68321, '\p{Jg=manichaeanresh}', "");
Expect(0, 68321, '\p{^Jg=manichaeanresh}', "");
Expect(0, 68321, '\P{Jg=manichaeanresh}', "");
Expect(1, 68321, '\P{^Jg=manichaeanresh}', "");
Expect(0, 68322, '\p{Jg=manichaeanresh}', "");
Expect(1, 68322, '\p{^Jg=manichaeanresh}', "");
Expect(1, 68322, '\P{Jg=manichaeanresh}', "");
Expect(0, 68322, '\P{^Jg=manichaeanresh}', "");
Expect(1, 68321, '\p{Jg=	 manichaean_resh}', "");
Expect(0, 68321, '\p{^Jg=	 manichaean_resh}', "");
Expect(0, 68321, '\P{Jg=	 manichaean_resh}', "");
Expect(1, 68321, '\P{^Jg=	 manichaean_resh}', "");
Expect(0, 68322, '\p{Jg=	 manichaean_resh}', "");
Expect(1, 68322, '\p{^Jg=	 manichaean_resh}', "");
Expect(1, 68322, '\P{Jg=	 manichaean_resh}', "");
Expect(0, 68322, '\P{^Jg=	 manichaean_resh}', "");
Error('\p{Is_Joining_Group:--Manichaean_resh:=}');
Error('\P{Is_Joining_Group:--Manichaean_resh:=}');
Expect(1, 68321, '\p{Is_Joining_Group=manichaeanresh}', "");
Expect(0, 68321, '\p{^Is_Joining_Group=manichaeanresh}', "");
Expect(0, 68321, '\P{Is_Joining_Group=manichaeanresh}', "");
Expect(1, 68321, '\P{^Is_Joining_Group=manichaeanresh}', "");
Expect(0, 68322, '\p{Is_Joining_Group=manichaeanresh}', "");
Expect(1, 68322, '\p{^Is_Joining_Group=manichaeanresh}', "");
Expect(1, 68322, '\P{Is_Joining_Group=manichaeanresh}', "");
Expect(0, 68322, '\P{^Is_Joining_Group=manichaeanresh}', "");
Expect(1, 68321, '\p{Is_Joining_Group=_-MANICHAEAN_resh}', "");
Expect(0, 68321, '\p{^Is_Joining_Group=_-MANICHAEAN_resh}', "");
Expect(0, 68321, '\P{Is_Joining_Group=_-MANICHAEAN_resh}', "");
Expect(1, 68321, '\P{^Is_Joining_Group=_-MANICHAEAN_resh}', "");
Expect(0, 68322, '\p{Is_Joining_Group=_-MANICHAEAN_resh}', "");
Expect(1, 68322, '\p{^Is_Joining_Group=_-MANICHAEAN_resh}', "");
Expect(1, 68322, '\P{Is_Joining_Group=_-MANICHAEAN_resh}', "");
Expect(0, 68322, '\P{^Is_Joining_Group=_-MANICHAEAN_resh}', "");
Error('\p{Is_Jg=:=Manichaean_Resh}');
Error('\P{Is_Jg=:=Manichaean_Resh}');
Expect(1, 68321, '\p{Is_Jg=manichaeanresh}', "");
Expect(0, 68321, '\p{^Is_Jg=manichaeanresh}', "");
Expect(0, 68321, '\P{Is_Jg=manichaeanresh}', "");
Expect(1, 68321, '\P{^Is_Jg=manichaeanresh}', "");
Expect(0, 68322, '\p{Is_Jg=manichaeanresh}', "");
Expect(1, 68322, '\p{^Is_Jg=manichaeanresh}', "");
Expect(1, 68322, '\P{Is_Jg=manichaeanresh}', "");
Expect(0, 68322, '\P{^Is_Jg=manichaeanresh}', "");
Expect(1, 68321, '\p{Is_Jg= Manichaean_Resh}', "");
Expect(0, 68321, '\p{^Is_Jg= Manichaean_Resh}', "");
Expect(0, 68321, '\P{Is_Jg= Manichaean_Resh}', "");
Expect(1, 68321, '\P{^Is_Jg= Manichaean_Resh}', "");
Expect(0, 68322, '\p{Is_Jg= Manichaean_Resh}', "");
Expect(1, 68322, '\p{^Is_Jg= Manichaean_Resh}', "");
Expect(1, 68322, '\P{Is_Jg= Manichaean_Resh}', "");
Expect(0, 68322, '\P{^Is_Jg= Manichaean_Resh}', "");
Error('\p{Joining_Group=:=--manichaean_Sadhe}');
Error('\P{Joining_Group=:=--manichaean_Sadhe}');
Expect(1, 68317, '\p{Joining_Group=manichaeansadhe}', "");
Expect(0, 68317, '\p{^Joining_Group=manichaeansadhe}', "");
Expect(0, 68317, '\P{Joining_Group=manichaeansadhe}', "");
Expect(1, 68317, '\P{^Joining_Group=manichaeansadhe}', "");
Expect(0, 68318, '\p{Joining_Group=manichaeansadhe}', "");
Expect(1, 68318, '\p{^Joining_Group=manichaeansadhe}', "");
Expect(1, 68318, '\P{Joining_Group=manichaeansadhe}', "");
Expect(0, 68318, '\P{^Joining_Group=manichaeansadhe}', "");
Expect(1, 68317, '\p{Joining_Group=-MANICHAEAN_SADHE}', "");
Expect(0, 68317, '\p{^Joining_Group=-MANICHAEAN_SADHE}', "");
Expect(0, 68317, '\P{Joining_Group=-MANICHAEAN_SADHE}', "");
Expect(1, 68317, '\P{^Joining_Group=-MANICHAEAN_SADHE}', "");
Expect(0, 68318, '\p{Joining_Group=-MANICHAEAN_SADHE}', "");
Expect(1, 68318, '\p{^Joining_Group=-MANICHAEAN_SADHE}', "");
Expect(1, 68318, '\P{Joining_Group=-MANICHAEAN_SADHE}', "");
Expect(0, 68318, '\P{^Joining_Group=-MANICHAEAN_SADHE}', "");
Error('\p{Jg=_/a/manichaean_Sadhe}');
Error('\P{Jg=_/a/manichaean_Sadhe}');
Expect(1, 68317, '\p{Jg=manichaeansadhe}', "");
Expect(0, 68317, '\p{^Jg=manichaeansadhe}', "");
Expect(0, 68317, '\P{Jg=manichaeansadhe}', "");
Expect(1, 68317, '\P{^Jg=manichaeansadhe}', "");
Expect(0, 68318, '\p{Jg=manichaeansadhe}', "");
Expect(1, 68318, '\p{^Jg=manichaeansadhe}', "");
Expect(1, 68318, '\P{Jg=manichaeansadhe}', "");
Expect(0, 68318, '\P{^Jg=manichaeansadhe}', "");
Expect(1, 68317, '\p{Jg=_Manichaean_sadhe}', "");
Expect(0, 68317, '\p{^Jg=_Manichaean_sadhe}', "");
Expect(0, 68317, '\P{Jg=_Manichaean_sadhe}', "");
Expect(1, 68317, '\P{^Jg=_Manichaean_sadhe}', "");
Expect(0, 68318, '\p{Jg=_Manichaean_sadhe}', "");
Expect(1, 68318, '\p{^Jg=_Manichaean_sadhe}', "");
Expect(1, 68318, '\P{Jg=_Manichaean_sadhe}', "");
Expect(0, 68318, '\P{^Jg=_Manichaean_sadhe}', "");
Error('\p{Is_Joining_Group=/a/-MANICHAEAN_Sadhe}');
Error('\P{Is_Joining_Group=/a/-MANICHAEAN_Sadhe}');
Expect(1, 68317, '\p{Is_Joining_Group=manichaeansadhe}', "");
Expect(0, 68317, '\p{^Is_Joining_Group=manichaeansadhe}', "");
Expect(0, 68317, '\P{Is_Joining_Group=manichaeansadhe}', "");
Expect(1, 68317, '\P{^Is_Joining_Group=manichaeansadhe}', "");
Expect(0, 68318, '\p{Is_Joining_Group=manichaeansadhe}', "");
Expect(1, 68318, '\p{^Is_Joining_Group=manichaeansadhe}', "");
Expect(1, 68318, '\P{Is_Joining_Group=manichaeansadhe}', "");
Expect(0, 68318, '\P{^Is_Joining_Group=manichaeansadhe}', "");
Expect(1, 68317, '\p{Is_Joining_Group=-_Manichaean_Sadhe}', "");
Expect(0, 68317, '\p{^Is_Joining_Group=-_Manichaean_Sadhe}', "");
Expect(0, 68317, '\P{Is_Joining_Group=-_Manichaean_Sadhe}', "");
Expect(1, 68317, '\P{^Is_Joining_Group=-_Manichaean_Sadhe}', "");
Expect(0, 68318, '\p{Is_Joining_Group=-_Manichaean_Sadhe}', "");
Expect(1, 68318, '\p{^Is_Joining_Group=-_Manichaean_Sadhe}', "");
Expect(1, 68318, '\P{Is_Joining_Group=-_Manichaean_Sadhe}', "");
Expect(0, 68318, '\P{^Is_Joining_Group=-_Manichaean_Sadhe}', "");
Error('\p{Is_Jg=	/a/Manichaean_sadhe}');
Error('\P{Is_Jg=	/a/Manichaean_sadhe}');
Expect(1, 68317, '\p{Is_Jg:	manichaeansadhe}', "");
Expect(0, 68317, '\p{^Is_Jg:	manichaeansadhe}', "");
Expect(0, 68317, '\P{Is_Jg:	manichaeansadhe}', "");
Expect(1, 68317, '\P{^Is_Jg:	manichaeansadhe}', "");
Expect(0, 68318, '\p{Is_Jg:	manichaeansadhe}', "");
Expect(1, 68318, '\p{^Is_Jg:	manichaeansadhe}', "");
Expect(1, 68318, '\P{Is_Jg:	manichaeansadhe}', "");
Expect(0, 68318, '\P{^Is_Jg:	manichaeansadhe}', "");
Expect(1, 68317, '\p{Is_Jg=_Manichaean_SADHE}', "");
Expect(0, 68317, '\p{^Is_Jg=_Manichaean_SADHE}', "");
Expect(0, 68317, '\P{Is_Jg=_Manichaean_SADHE}', "");
Expect(1, 68317, '\P{^Is_Jg=_Manichaean_SADHE}', "");
Expect(0, 68318, '\p{Is_Jg=_Manichaean_SADHE}', "");
Expect(1, 68318, '\p{^Is_Jg=_Manichaean_SADHE}', "");
Expect(1, 68318, '\P{Is_Jg=_Manichaean_SADHE}', "");
Expect(0, 68318, '\P{^Is_Jg=_Manichaean_SADHE}', "");
Error('\p{Joining_Group=	_MANICHAEAN_samekh:=}');
Error('\P{Joining_Group=	_MANICHAEAN_samekh:=}');
Expect(1, 68312, '\p{Joining_Group=manichaeansamekh}', "");
Expect(0, 68312, '\p{^Joining_Group=manichaeansamekh}', "");
Expect(0, 68312, '\P{Joining_Group=manichaeansamekh}', "");
Expect(1, 68312, '\P{^Joining_Group=manichaeansamekh}', "");
Expect(0, 68313, '\p{Joining_Group=manichaeansamekh}', "");
Expect(1, 68313, '\p{^Joining_Group=manichaeansamekh}', "");
Expect(1, 68313, '\P{Joining_Group=manichaeansamekh}', "");
Expect(0, 68313, '\P{^Joining_Group=manichaeansamekh}', "");
Expect(1, 68312, '\p{Joining_Group= -Manichaean_samekh}', "");
Expect(0, 68312, '\p{^Joining_Group= -Manichaean_samekh}', "");
Expect(0, 68312, '\P{Joining_Group= -Manichaean_samekh}', "");
Expect(1, 68312, '\P{^Joining_Group= -Manichaean_samekh}', "");
Expect(0, 68313, '\p{Joining_Group= -Manichaean_samekh}', "");
Expect(1, 68313, '\p{^Joining_Group= -Manichaean_samekh}', "");
Expect(1, 68313, '\P{Joining_Group= -Manichaean_samekh}', "");
Expect(0, 68313, '\P{^Joining_Group= -Manichaean_samekh}', "");
Error('\p{Jg=	/a/MANICHAEAN_Samekh}');
Error('\P{Jg=	/a/MANICHAEAN_Samekh}');
Expect(1, 68312, '\p{Jg=manichaeansamekh}', "");
Expect(0, 68312, '\p{^Jg=manichaeansamekh}', "");
Expect(0, 68312, '\P{Jg=manichaeansamekh}', "");
Expect(1, 68312, '\P{^Jg=manichaeansamekh}', "");
Expect(0, 68313, '\p{Jg=manichaeansamekh}', "");
Expect(1, 68313, '\p{^Jg=manichaeansamekh}', "");
Expect(1, 68313, '\P{Jg=manichaeansamekh}', "");
Expect(0, 68313, '\P{^Jg=manichaeansamekh}', "");
Expect(1, 68312, '\p{Jg:	__manichaean_Samekh}', "");
Expect(0, 68312, '\p{^Jg:	__manichaean_Samekh}', "");
Expect(0, 68312, '\P{Jg:	__manichaean_Samekh}', "");
Expect(1, 68312, '\P{^Jg:	__manichaean_Samekh}', "");
Expect(0, 68313, '\p{Jg:	__manichaean_Samekh}', "");
Expect(1, 68313, '\p{^Jg:	__manichaean_Samekh}', "");
Expect(1, 68313, '\P{Jg:	__manichaean_Samekh}', "");
Expect(0, 68313, '\P{^Jg:	__manichaean_Samekh}', "");
Error('\p{Is_Joining_Group=-manichaean_Samekh/a/}');
Error('\P{Is_Joining_Group=-manichaean_Samekh/a/}');
Expect(1, 68312, '\p{Is_Joining_Group=manichaeansamekh}', "");
Expect(0, 68312, '\p{^Is_Joining_Group=manichaeansamekh}', "");
Expect(0, 68312, '\P{Is_Joining_Group=manichaeansamekh}', "");
Expect(1, 68312, '\P{^Is_Joining_Group=manichaeansamekh}', "");
Expect(0, 68313, '\p{Is_Joining_Group=manichaeansamekh}', "");
Expect(1, 68313, '\p{^Is_Joining_Group=manichaeansamekh}', "");
Expect(1, 68313, '\P{Is_Joining_Group=manichaeansamekh}', "");
Expect(0, 68313, '\P{^Is_Joining_Group=manichaeansamekh}', "");
Expect(1, 68312, '\p{Is_Joining_Group:			Manichaean_SAMEKH}', "");
Expect(0, 68312, '\p{^Is_Joining_Group:			Manichaean_SAMEKH}', "");
Expect(0, 68312, '\P{Is_Joining_Group:			Manichaean_SAMEKH}', "");
Expect(1, 68312, '\P{^Is_Joining_Group:			Manichaean_SAMEKH}', "");
Expect(0, 68313, '\p{Is_Joining_Group:			Manichaean_SAMEKH}', "");
Expect(1, 68313, '\p{^Is_Joining_Group:			Manichaean_SAMEKH}', "");
Expect(1, 68313, '\P{Is_Joining_Group:			Manichaean_SAMEKH}', "");
Expect(0, 68313, '\P{^Is_Joining_Group:			Manichaean_SAMEKH}', "");
Error('\p{Is_Jg=	:=MANICHAEAN_Samekh}');
Error('\P{Is_Jg=	:=MANICHAEAN_Samekh}');
Expect(1, 68312, '\p{Is_Jg=manichaeansamekh}', "");
Expect(0, 68312, '\p{^Is_Jg=manichaeansamekh}', "");
Expect(0, 68312, '\P{Is_Jg=manichaeansamekh}', "");
Expect(1, 68312, '\P{^Is_Jg=manichaeansamekh}', "");
Expect(0, 68313, '\p{Is_Jg=manichaeansamekh}', "");
Expect(1, 68313, '\p{^Is_Jg=manichaeansamekh}', "");
Expect(1, 68313, '\P{Is_Jg=manichaeansamekh}', "");
Expect(0, 68313, '\P{^Is_Jg=manichaeansamekh}', "");
Expect(1, 68312, '\p{Is_Jg=_Manichaean_samekh}', "");
Expect(0, 68312, '\p{^Is_Jg=_Manichaean_samekh}', "");
Expect(0, 68312, '\P{Is_Jg=_Manichaean_samekh}', "");
Expect(1, 68312, '\P{^Is_Jg=_Manichaean_samekh}', "");
Expect(0, 68313, '\p{Is_Jg=_Manichaean_samekh}', "");
Expect(1, 68313, '\p{^Is_Jg=_Manichaean_samekh}', "");
Expect(1, 68313, '\P{Is_Jg=_Manichaean_samekh}', "");
Expect(0, 68313, '\P{^Is_Jg=_Manichaean_samekh}', "");
Error('\p{Joining_Group=_:=Manichaean_taw}');
Error('\P{Joining_Group=_:=Manichaean_taw}');
Expect(1, 68324, '\p{Joining_Group=manichaeantaw}', "");
Expect(0, 68324, '\p{^Joining_Group=manichaeantaw}', "");
Expect(0, 68324, '\P{Joining_Group=manichaeantaw}', "");
Expect(1, 68324, '\P{^Joining_Group=manichaeantaw}', "");
Expect(0, 68325, '\p{Joining_Group=manichaeantaw}', "");
Expect(1, 68325, '\p{^Joining_Group=manichaeantaw}', "");
Expect(1, 68325, '\P{Joining_Group=manichaeantaw}', "");
Expect(0, 68325, '\P{^Joining_Group=manichaeantaw}', "");
Expect(1, 68324, '\p{Joining_Group= Manichaean_taw}', "");
Expect(0, 68324, '\p{^Joining_Group= Manichaean_taw}', "");
Expect(0, 68324, '\P{Joining_Group= Manichaean_taw}', "");
Expect(1, 68324, '\P{^Joining_Group= Manichaean_taw}', "");
Expect(0, 68325, '\p{Joining_Group= Manichaean_taw}', "");
Expect(1, 68325, '\p{^Joining_Group= Manichaean_taw}', "");
Expect(1, 68325, '\P{Joining_Group= Manichaean_taw}', "");
Expect(0, 68325, '\P{^Joining_Group= Manichaean_taw}', "");
Error('\p{Jg=/a/- MANICHAEAN_taw}');
Error('\P{Jg=/a/- MANICHAEAN_taw}');
Expect(1, 68324, '\p{Jg=manichaeantaw}', "");
Expect(0, 68324, '\p{^Jg=manichaeantaw}', "");
Expect(0, 68324, '\P{Jg=manichaeantaw}', "");
Expect(1, 68324, '\P{^Jg=manichaeantaw}', "");
Expect(0, 68325, '\p{Jg=manichaeantaw}', "");
Expect(1, 68325, '\p{^Jg=manichaeantaw}', "");
Expect(1, 68325, '\P{Jg=manichaeantaw}', "");
Expect(0, 68325, '\P{^Jg=manichaeantaw}', "");
Expect(1, 68324, '\p{Jg: -Manichaean_Taw}', "");
Expect(0, 68324, '\p{^Jg: -Manichaean_Taw}', "");
Expect(0, 68324, '\P{Jg: -Manichaean_Taw}', "");
Expect(1, 68324, '\P{^Jg: -Manichaean_Taw}', "");
Expect(0, 68325, '\p{Jg: -Manichaean_Taw}', "");
Expect(1, 68325, '\p{^Jg: -Manichaean_Taw}', "");
Expect(1, 68325, '\P{Jg: -Manichaean_Taw}', "");
Expect(0, 68325, '\P{^Jg: -Manichaean_Taw}', "");
Error('\p{Is_Joining_Group= /a/Manichaean_TAW}');
Error('\P{Is_Joining_Group= /a/Manichaean_TAW}');
Expect(1, 68324, '\p{Is_Joining_Group=manichaeantaw}', "");
Expect(0, 68324, '\p{^Is_Joining_Group=manichaeantaw}', "");
Expect(0, 68324, '\P{Is_Joining_Group=manichaeantaw}', "");
Expect(1, 68324, '\P{^Is_Joining_Group=manichaeantaw}', "");
Expect(0, 68325, '\p{Is_Joining_Group=manichaeantaw}', "");
Expect(1, 68325, '\p{^Is_Joining_Group=manichaeantaw}', "");
Expect(1, 68325, '\P{Is_Joining_Group=manichaeantaw}', "");
Expect(0, 68325, '\P{^Is_Joining_Group=manichaeantaw}', "");
Expect(1, 68324, '\p{Is_Joining_Group=_ MANICHAEAN_Taw}', "");
Expect(0, 68324, '\p{^Is_Joining_Group=_ MANICHAEAN_Taw}', "");
Expect(0, 68324, '\P{Is_Joining_Group=_ MANICHAEAN_Taw}', "");
Expect(1, 68324, '\P{^Is_Joining_Group=_ MANICHAEAN_Taw}', "");
Expect(0, 68325, '\p{Is_Joining_Group=_ MANICHAEAN_Taw}', "");
Expect(1, 68325, '\p{^Is_Joining_Group=_ MANICHAEAN_Taw}', "");
Expect(1, 68325, '\P{Is_Joining_Group=_ MANICHAEAN_Taw}', "");
Expect(0, 68325, '\P{^Is_Joining_Group=_ MANICHAEAN_Taw}', "");
Error('\p{Is_Jg=/a/ Manichaean_taw}');
Error('\P{Is_Jg=/a/ Manichaean_taw}');
Expect(1, 68324, '\p{Is_Jg: manichaeantaw}', "");
Expect(0, 68324, '\p{^Is_Jg: manichaeantaw}', "");
Expect(0, 68324, '\P{Is_Jg: manichaeantaw}', "");
Expect(1, 68324, '\P{^Is_Jg: manichaeantaw}', "");
Expect(0, 68325, '\p{Is_Jg: manichaeantaw}', "");
Expect(1, 68325, '\p{^Is_Jg: manichaeantaw}', "");
Expect(1, 68325, '\P{Is_Jg: manichaeantaw}', "");
Expect(0, 68325, '\P{^Is_Jg: manichaeantaw}', "");
Expect(1, 68324, '\p{Is_Jg=	_Manichaean_taw}', "");
Expect(0, 68324, '\p{^Is_Jg=	_Manichaean_taw}', "");
Expect(0, 68324, '\P{Is_Jg=	_Manichaean_taw}', "");
Expect(1, 68324, '\P{^Is_Jg=	_Manichaean_taw}', "");
Expect(0, 68325, '\p{Is_Jg=	_Manichaean_taw}', "");
Expect(1, 68325, '\p{^Is_Jg=	_Manichaean_taw}', "");
Expect(1, 68325, '\P{Is_Jg=	_Manichaean_taw}', "");
Expect(0, 68325, '\P{^Is_Jg=	_Manichaean_taw}', "");
Error('\p{Joining_Group=/a/	_Manichaean_Ten}');
Error('\P{Joining_Group=/a/	_Manichaean_Ten}');
Expect(1, 68333, '\p{Joining_Group=manichaeanten}', "");
Expect(0, 68333, '\p{^Joining_Group=manichaeanten}', "");
Expect(0, 68333, '\P{Joining_Group=manichaeanten}', "");
Expect(1, 68333, '\P{^Joining_Group=manichaeanten}', "");
Expect(0, 68334, '\p{Joining_Group=manichaeanten}', "");
Expect(1, 68334, '\p{^Joining_Group=manichaeanten}', "");
Expect(1, 68334, '\P{Joining_Group=manichaeanten}', "");
Expect(0, 68334, '\P{^Joining_Group=manichaeanten}', "");
Expect(1, 68333, '\p{Joining_Group=	Manichaean_TEN}', "");
Expect(0, 68333, '\p{^Joining_Group=	Manichaean_TEN}', "");
Expect(0, 68333, '\P{Joining_Group=	Manichaean_TEN}', "");
Expect(1, 68333, '\P{^Joining_Group=	Manichaean_TEN}', "");
Expect(0, 68334, '\p{Joining_Group=	Manichaean_TEN}', "");
Expect(1, 68334, '\p{^Joining_Group=	Manichaean_TEN}', "");
Expect(1, 68334, '\P{Joining_Group=	Manichaean_TEN}', "");
Expect(0, 68334, '\P{^Joining_Group=	Manichaean_TEN}', "");
Error('\p{Jg=:=-_MANICHAEAN_TEN}');
Error('\P{Jg=:=-_MANICHAEAN_TEN}');
Expect(1, 68333, '\p{Jg:manichaeanten}', "");
Expect(0, 68333, '\p{^Jg:manichaeanten}', "");
Expect(0, 68333, '\P{Jg:manichaeanten}', "");
Expect(1, 68333, '\P{^Jg:manichaeanten}', "");
Expect(0, 68334, '\p{Jg:manichaeanten}', "");
Expect(1, 68334, '\p{^Jg:manichaeanten}', "");
Expect(1, 68334, '\P{Jg:manichaeanten}', "");
Expect(0, 68334, '\P{^Jg:manichaeanten}', "");
Expect(1, 68333, '\p{Jg=-Manichaean_Ten}', "");
Expect(0, 68333, '\p{^Jg=-Manichaean_Ten}', "");
Expect(0, 68333, '\P{Jg=-Manichaean_Ten}', "");
Expect(1, 68333, '\P{^Jg=-Manichaean_Ten}', "");
Expect(0, 68334, '\p{Jg=-Manichaean_Ten}', "");
Expect(1, 68334, '\p{^Jg=-Manichaean_Ten}', "");
Expect(1, 68334, '\P{Jg=-Manichaean_Ten}', "");
Expect(0, 68334, '\P{^Jg=-Manichaean_Ten}', "");
Error('\p{Is_Joining_Group=:=Manichaean_TEN}');
Error('\P{Is_Joining_Group=:=Manichaean_TEN}');
Expect(1, 68333, '\p{Is_Joining_Group=manichaeanten}', "");
Expect(0, 68333, '\p{^Is_Joining_Group=manichaeanten}', "");
Expect(0, 68333, '\P{Is_Joining_Group=manichaeanten}', "");
Expect(1, 68333, '\P{^Is_Joining_Group=manichaeanten}', "");
Expect(0, 68334, '\p{Is_Joining_Group=manichaeanten}', "");
Expect(1, 68334, '\p{^Is_Joining_Group=manichaeanten}', "");
Expect(1, 68334, '\P{Is_Joining_Group=manichaeanten}', "");
Expect(0, 68334, '\P{^Is_Joining_Group=manichaeanten}', "");
Expect(1, 68333, '\p{Is_Joining_Group=	-Manichaean_Ten}', "");
Expect(0, 68333, '\p{^Is_Joining_Group=	-Manichaean_Ten}', "");
Expect(0, 68333, '\P{Is_Joining_Group=	-Manichaean_Ten}', "");
Expect(1, 68333, '\P{^Is_Joining_Group=	-Manichaean_Ten}', "");
Expect(0, 68334, '\p{Is_Joining_Group=	-Manichaean_Ten}', "");
Expect(1, 68334, '\p{^Is_Joining_Group=	-Manichaean_Ten}', "");
Expect(1, 68334, '\P{Is_Joining_Group=	-Manichaean_Ten}', "");
Expect(0, 68334, '\P{^Is_Joining_Group=	-Manichaean_Ten}', "");
Error('\p{Is_Jg=--Manichaean_ten:=}');
Error('\P{Is_Jg=--Manichaean_ten:=}');
Expect(1, 68333, '\p{Is_Jg=manichaeanten}', "");
Expect(0, 68333, '\p{^Is_Jg=manichaeanten}', "");
Expect(0, 68333, '\P{Is_Jg=manichaeanten}', "");
Expect(1, 68333, '\P{^Is_Jg=manichaeanten}', "");
Expect(0, 68334, '\p{Is_Jg=manichaeanten}', "");
Expect(1, 68334, '\p{^Is_Jg=manichaeanten}', "");
Expect(1, 68334, '\P{Is_Jg=manichaeanten}', "");
Expect(0, 68334, '\P{^Is_Jg=manichaeanten}', "");
Expect(1, 68333, '\p{Is_Jg=- Manichaean_Ten}', "");
Expect(0, 68333, '\p{^Is_Jg=- Manichaean_Ten}', "");
Expect(0, 68333, '\P{Is_Jg=- Manichaean_Ten}', "");
Expect(1, 68333, '\P{^Is_Jg=- Manichaean_Ten}', "");
Expect(0, 68334, '\p{Is_Jg=- Manichaean_Ten}', "");
Expect(1, 68334, '\p{^Is_Jg=- Manichaean_Ten}', "");
Expect(1, 68334, '\P{Is_Jg=- Manichaean_Ten}', "");
Expect(0, 68334, '\P{^Is_Jg=- Manichaean_Ten}', "");
Error('\p{Joining_Group= /a/Manichaean_TETH}');
Error('\P{Joining_Group= /a/Manichaean_TETH}');
Expect(1, 68302, '\p{Joining_Group=manichaeanteth}', "");
Expect(0, 68302, '\p{^Joining_Group=manichaeanteth}', "");
Expect(0, 68302, '\P{Joining_Group=manichaeanteth}', "");
Expect(1, 68302, '\P{^Joining_Group=manichaeanteth}', "");
Expect(0, 68303, '\p{Joining_Group=manichaeanteth}', "");
Expect(1, 68303, '\p{^Joining_Group=manichaeanteth}', "");
Expect(1, 68303, '\P{Joining_Group=manichaeanteth}', "");
Expect(0, 68303, '\P{^Joining_Group=manichaeanteth}', "");
Expect(1, 68302, '\p{Joining_Group=	 MANICHAEAN_teth}', "");
Expect(0, 68302, '\p{^Joining_Group=	 MANICHAEAN_teth}', "");
Expect(0, 68302, '\P{Joining_Group=	 MANICHAEAN_teth}', "");
Expect(1, 68302, '\P{^Joining_Group=	 MANICHAEAN_teth}', "");
Expect(0, 68303, '\p{Joining_Group=	 MANICHAEAN_teth}', "");
Expect(1, 68303, '\p{^Joining_Group=	 MANICHAEAN_teth}', "");
Expect(1, 68303, '\P{Joining_Group=	 MANICHAEAN_teth}', "");
Expect(0, 68303, '\P{^Joining_Group=	 MANICHAEAN_teth}', "");
Error('\p{Jg=	-MANICHAEAN_TETH:=}');
Error('\P{Jg=	-MANICHAEAN_TETH:=}');
Expect(1, 68302, '\p{Jg: manichaeanteth}', "");
Expect(0, 68302, '\p{^Jg: manichaeanteth}', "");
Expect(0, 68302, '\P{Jg: manichaeanteth}', "");
Expect(1, 68302, '\P{^Jg: manichaeanteth}', "");
Expect(0, 68303, '\p{Jg: manichaeanteth}', "");
Expect(1, 68303, '\p{^Jg: manichaeanteth}', "");
Expect(1, 68303, '\P{Jg: manichaeanteth}', "");
Expect(0, 68303, '\P{^Jg: manichaeanteth}', "");
Expect(1, 68302, '\p{Jg=_ Manichaean_Teth}', "");
Expect(0, 68302, '\p{^Jg=_ Manichaean_Teth}', "");
Expect(0, 68302, '\P{Jg=_ Manichaean_Teth}', "");
Expect(1, 68302, '\P{^Jg=_ Manichaean_Teth}', "");
Expect(0, 68303, '\p{Jg=_ Manichaean_Teth}', "");
Expect(1, 68303, '\p{^Jg=_ Manichaean_Teth}', "");
Expect(1, 68303, '\P{Jg=_ Manichaean_Teth}', "");
Expect(0, 68303, '\P{^Jg=_ Manichaean_Teth}', "");
Error('\p{Is_Joining_Group=:= 	Manichaean_teth}');
Error('\P{Is_Joining_Group=:= 	Manichaean_teth}');
Expect(1, 68302, '\p{Is_Joining_Group=manichaeanteth}', "");
Expect(0, 68302, '\p{^Is_Joining_Group=manichaeanteth}', "");
Expect(0, 68302, '\P{Is_Joining_Group=manichaeanteth}', "");
Expect(1, 68302, '\P{^Is_Joining_Group=manichaeanteth}', "");
Expect(0, 68303, '\p{Is_Joining_Group=manichaeanteth}', "");
Expect(1, 68303, '\p{^Is_Joining_Group=manichaeanteth}', "");
Expect(1, 68303, '\P{Is_Joining_Group=manichaeanteth}', "");
Expect(0, 68303, '\P{^Is_Joining_Group=manichaeanteth}', "");
Expect(1, 68302, '\p{Is_Joining_Group= Manichaean_Teth}', "");
Expect(0, 68302, '\p{^Is_Joining_Group= Manichaean_Teth}', "");
Expect(0, 68302, '\P{Is_Joining_Group= Manichaean_Teth}', "");
Expect(1, 68302, '\P{^Is_Joining_Group= Manichaean_Teth}', "");
Expect(0, 68303, '\p{Is_Joining_Group= Manichaean_Teth}', "");
Expect(1, 68303, '\p{^Is_Joining_Group= Manichaean_Teth}', "");
Expect(1, 68303, '\P{Is_Joining_Group= Manichaean_Teth}', "");
Expect(0, 68303, '\P{^Is_Joining_Group= Manichaean_Teth}', "");
Error('\p{Is_Jg= Manichaean_Teth/a/}');
Error('\P{Is_Jg= Manichaean_Teth/a/}');
Expect(1, 68302, '\p{Is_Jg=manichaeanteth}', "");
Expect(0, 68302, '\p{^Is_Jg=manichaeanteth}', "");
Expect(0, 68302, '\P{Is_Jg=manichaeanteth}', "");
Expect(1, 68302, '\P{^Is_Jg=manichaeanteth}', "");
Expect(0, 68303, '\p{Is_Jg=manichaeanteth}', "");
Expect(1, 68303, '\p{^Is_Jg=manichaeanteth}', "");
Expect(1, 68303, '\P{Is_Jg=manichaeanteth}', "");
Expect(0, 68303, '\P{^Is_Jg=manichaeanteth}', "");
Expect(1, 68302, '\p{Is_Jg=MANICHAEAN_Teth}', "");
Expect(0, 68302, '\p{^Is_Jg=MANICHAEAN_Teth}', "");
Expect(0, 68302, '\P{Is_Jg=MANICHAEAN_Teth}', "");
Expect(1, 68302, '\P{^Is_Jg=MANICHAEAN_Teth}', "");
Expect(0, 68303, '\p{Is_Jg=MANICHAEAN_Teth}', "");
Expect(1, 68303, '\p{^Is_Jg=MANICHAEAN_Teth}', "");
Expect(1, 68303, '\P{Is_Jg=MANICHAEAN_Teth}', "");
Expect(0, 68303, '\P{^Is_Jg=MANICHAEAN_Teth}', "");
Error('\p{Joining_Group=/a/_-Manichaean_Thamedh}');
Error('\P{Joining_Group=/a/_-Manichaean_Thamedh}');
Expect(1, 68309, '\p{Joining_Group:manichaeanthamedh}', "");
Expect(0, 68309, '\p{^Joining_Group:manichaeanthamedh}', "");
Expect(0, 68309, '\P{Joining_Group:manichaeanthamedh}', "");
Expect(1, 68309, '\P{^Joining_Group:manichaeanthamedh}', "");
Expect(0, 68310, '\p{Joining_Group:manichaeanthamedh}', "");
Expect(1, 68310, '\p{^Joining_Group:manichaeanthamedh}', "");
Expect(1, 68310, '\P{Joining_Group:manichaeanthamedh}', "");
Expect(0, 68310, '\P{^Joining_Group:manichaeanthamedh}', "");
Expect(1, 68309, '\p{Joining_Group=- manichaean_Thamedh}', "");
Expect(0, 68309, '\p{^Joining_Group=- manichaean_Thamedh}', "");
Expect(0, 68309, '\P{Joining_Group=- manichaean_Thamedh}', "");
Expect(1, 68309, '\P{^Joining_Group=- manichaean_Thamedh}', "");
Expect(0, 68310, '\p{Joining_Group=- manichaean_Thamedh}', "");
Expect(1, 68310, '\p{^Joining_Group=- manichaean_Thamedh}', "");
Expect(1, 68310, '\P{Joining_Group=- manichaean_Thamedh}', "");
Expect(0, 68310, '\P{^Joining_Group=- manichaean_Thamedh}', "");
Error('\p{Jg=/a/	manichaean_thamedh}');
Error('\P{Jg=/a/	manichaean_thamedh}');
Expect(1, 68309, '\p{Jg=manichaeanthamedh}', "");
Expect(0, 68309, '\p{^Jg=manichaeanthamedh}', "");
Expect(0, 68309, '\P{Jg=manichaeanthamedh}', "");
Expect(1, 68309, '\P{^Jg=manichaeanthamedh}', "");
Expect(0, 68310, '\p{Jg=manichaeanthamedh}', "");
Expect(1, 68310, '\p{^Jg=manichaeanthamedh}', "");
Expect(1, 68310, '\P{Jg=manichaeanthamedh}', "");
Expect(0, 68310, '\P{^Jg=manichaeanthamedh}', "");
Expect(1, 68309, '\p{Jg= manichaean_thamedh}', "");
Expect(0, 68309, '\p{^Jg= manichaean_thamedh}', "");
Expect(0, 68309, '\P{Jg= manichaean_thamedh}', "");
Expect(1, 68309, '\P{^Jg= manichaean_thamedh}', "");
Expect(0, 68310, '\p{Jg= manichaean_thamedh}', "");
Expect(1, 68310, '\p{^Jg= manichaean_thamedh}', "");
Expect(1, 68310, '\P{Jg= manichaean_thamedh}', "");
Expect(0, 68310, '\P{^Jg= manichaean_thamedh}', "");
Error('\p{Is_Joining_Group= manichaean_THAMEDH:=}');
Error('\P{Is_Joining_Group= manichaean_THAMEDH:=}');
Expect(1, 68309, '\p{Is_Joining_Group=manichaeanthamedh}', "");
Expect(0, 68309, '\p{^Is_Joining_Group=manichaeanthamedh}', "");
Expect(0, 68309, '\P{Is_Joining_Group=manichaeanthamedh}', "");
Expect(1, 68309, '\P{^Is_Joining_Group=manichaeanthamedh}', "");
Expect(0, 68310, '\p{Is_Joining_Group=manichaeanthamedh}', "");
Expect(1, 68310, '\p{^Is_Joining_Group=manichaeanthamedh}', "");
Expect(1, 68310, '\P{Is_Joining_Group=manichaeanthamedh}', "");
Expect(0, 68310, '\P{^Is_Joining_Group=manichaeanthamedh}', "");
Expect(1, 68309, '\p{Is_Joining_Group:__manichaean_thamedh}', "");
Expect(0, 68309, '\p{^Is_Joining_Group:__manichaean_thamedh}', "");
Expect(0, 68309, '\P{Is_Joining_Group:__manichaean_thamedh}', "");
Expect(1, 68309, '\P{^Is_Joining_Group:__manichaean_thamedh}', "");
Expect(0, 68310, '\p{Is_Joining_Group:__manichaean_thamedh}', "");
Expect(1, 68310, '\p{^Is_Joining_Group:__manichaean_thamedh}', "");
Expect(1, 68310, '\P{Is_Joining_Group:__manichaean_thamedh}', "");
Expect(0, 68310, '\P{^Is_Joining_Group:__manichaean_thamedh}', "");
Error('\p{Is_Jg=/a/Manichaean_Thamedh}');
Error('\P{Is_Jg=/a/Manichaean_Thamedh}');
Expect(1, 68309, '\p{Is_Jg=manichaeanthamedh}', "");
Expect(0, 68309, '\p{^Is_Jg=manichaeanthamedh}', "");
Expect(0, 68309, '\P{Is_Jg=manichaeanthamedh}', "");
Expect(1, 68309, '\P{^Is_Jg=manichaeanthamedh}', "");
Expect(0, 68310, '\p{Is_Jg=manichaeanthamedh}', "");
Expect(1, 68310, '\p{^Is_Jg=manichaeanthamedh}', "");
Expect(1, 68310, '\P{Is_Jg=manichaeanthamedh}', "");
Expect(0, 68310, '\P{^Is_Jg=manichaeanthamedh}', "");
Expect(1, 68309, '\p{Is_Jg= Manichaean_THAMEDH}', "");
Expect(0, 68309, '\p{^Is_Jg= Manichaean_THAMEDH}', "");
Expect(0, 68309, '\P{Is_Jg= Manichaean_THAMEDH}', "");
Expect(1, 68309, '\P{^Is_Jg= Manichaean_THAMEDH}', "");
Expect(0, 68310, '\p{Is_Jg= Manichaean_THAMEDH}', "");
Expect(1, 68310, '\p{^Is_Jg= Manichaean_THAMEDH}', "");
Expect(1, 68310, '\P{Is_Jg= Manichaean_THAMEDH}', "");
Expect(0, 68310, '\P{^Is_Jg= Manichaean_THAMEDH}', "");
Error('\p{Joining_Group=/a/_-manichaean_TWENTY}');
Error('\P{Joining_Group=/a/_-manichaean_TWENTY}');
Expect(1, 68334, '\p{Joining_Group=manichaeantwenty}', "");
Expect(0, 68334, '\p{^Joining_Group=manichaeantwenty}', "");
Expect(0, 68334, '\P{Joining_Group=manichaeantwenty}', "");
Expect(1, 68334, '\P{^Joining_Group=manichaeantwenty}', "");
Expect(0, 68335, '\p{Joining_Group=manichaeantwenty}', "");
Expect(1, 68335, '\p{^Joining_Group=manichaeantwenty}', "");
Expect(1, 68335, '\P{Joining_Group=manichaeantwenty}', "");
Expect(0, 68335, '\P{^Joining_Group=manichaeantwenty}', "");
Expect(1, 68334, '\p{Joining_Group=-Manichaean_Twenty}', "");
Expect(0, 68334, '\p{^Joining_Group=-Manichaean_Twenty}', "");
Expect(0, 68334, '\P{Joining_Group=-Manichaean_Twenty}', "");
Expect(1, 68334, '\P{^Joining_Group=-Manichaean_Twenty}', "");
Expect(0, 68335, '\p{Joining_Group=-Manichaean_Twenty}', "");
Expect(1, 68335, '\p{^Joining_Group=-Manichaean_Twenty}', "");
Expect(1, 68335, '\P{Joining_Group=-Manichaean_Twenty}', "");
Expect(0, 68335, '\P{^Joining_Group=-Manichaean_Twenty}', "");
Error('\p{Jg=	/a/manichaean_twenty}');
Error('\P{Jg=	/a/manichaean_twenty}');
Expect(1, 68334, '\p{Jg:manichaeantwenty}', "");
Expect(0, 68334, '\p{^Jg:manichaeantwenty}', "");
Expect(0, 68334, '\P{Jg:manichaeantwenty}', "");
Expect(1, 68334, '\P{^Jg:manichaeantwenty}', "");
Expect(0, 68335, '\p{Jg:manichaeantwenty}', "");
Expect(1, 68335, '\p{^Jg:manichaeantwenty}', "");
Expect(1, 68335, '\P{Jg:manichaeantwenty}', "");
Expect(0, 68335, '\P{^Jg:manichaeantwenty}', "");
Expect(1, 68334, '\p{Jg= _Manichaean_Twenty}', "");
Expect(0, 68334, '\p{^Jg= _Manichaean_Twenty}', "");
Expect(0, 68334, '\P{Jg= _Manichaean_Twenty}', "");
Expect(1, 68334, '\P{^Jg= _Manichaean_Twenty}', "");
Expect(0, 68335, '\p{Jg= _Manichaean_Twenty}', "");
Expect(1, 68335, '\p{^Jg= _Manichaean_Twenty}', "");
Expect(1, 68335, '\P{Jg= _Manichaean_Twenty}', "");
Expect(0, 68335, '\P{^Jg= _Manichaean_Twenty}', "");
Error('\p{Is_Joining_Group=_ manichaean_Twenty/a/}');
Error('\P{Is_Joining_Group=_ manichaean_Twenty/a/}');
Expect(1, 68334, '\p{Is_Joining_Group=manichaeantwenty}', "");
Expect(0, 68334, '\p{^Is_Joining_Group=manichaeantwenty}', "");
Expect(0, 68334, '\P{Is_Joining_Group=manichaeantwenty}', "");
Expect(1, 68334, '\P{^Is_Joining_Group=manichaeantwenty}', "");
Expect(0, 68335, '\p{Is_Joining_Group=manichaeantwenty}', "");
Expect(1, 68335, '\p{^Is_Joining_Group=manichaeantwenty}', "");
Expect(1, 68335, '\P{Is_Joining_Group=manichaeantwenty}', "");
Expect(0, 68335, '\P{^Is_Joining_Group=manichaeantwenty}', "");
Expect(1, 68334, '\p{Is_Joining_Group= _Manichaean_TWENTY}', "");
Expect(0, 68334, '\p{^Is_Joining_Group= _Manichaean_TWENTY}', "");
Expect(0, 68334, '\P{Is_Joining_Group= _Manichaean_TWENTY}', "");
Expect(1, 68334, '\P{^Is_Joining_Group= _Manichaean_TWENTY}', "");
Expect(0, 68335, '\p{Is_Joining_Group= _Manichaean_TWENTY}', "");
Expect(1, 68335, '\p{^Is_Joining_Group= _Manichaean_TWENTY}', "");
Expect(1, 68335, '\P{Is_Joining_Group= _Manichaean_TWENTY}', "");
Expect(0, 68335, '\P{^Is_Joining_Group= _Manichaean_TWENTY}', "");
Error('\p{Is_Jg=	Manichaean_Twenty:=}');
Error('\P{Is_Jg=	Manichaean_Twenty:=}');
Expect(1, 68334, '\p{Is_Jg: manichaeantwenty}', "");
Expect(0, 68334, '\p{^Is_Jg: manichaeantwenty}', "");
Expect(0, 68334, '\P{Is_Jg: manichaeantwenty}', "");
Expect(1, 68334, '\P{^Is_Jg: manichaeantwenty}', "");
Expect(0, 68335, '\p{Is_Jg: manichaeantwenty}', "");
Expect(1, 68335, '\p{^Is_Jg: manichaeantwenty}', "");
Expect(1, 68335, '\P{Is_Jg: manichaeantwenty}', "");
Expect(0, 68335, '\P{^Is_Jg: manichaeantwenty}', "");
Expect(1, 68334, '\p{Is_Jg=	Manichaean_TWENTY}', "");
Expect(0, 68334, '\p{^Is_Jg=	Manichaean_TWENTY}', "");
Expect(0, 68334, '\P{Is_Jg=	Manichaean_TWENTY}', "");
Expect(1, 68334, '\P{^Is_Jg=	Manichaean_TWENTY}', "");
Expect(0, 68335, '\p{Is_Jg=	Manichaean_TWENTY}', "");
Expect(1, 68335, '\p{^Is_Jg=	Manichaean_TWENTY}', "");
Expect(1, 68335, '\P{Is_Jg=	Manichaean_TWENTY}', "");
Expect(0, 68335, '\P{^Is_Jg=	Manichaean_TWENTY}', "");
Error('\p{Joining_Group=/a/_	Manichaean_Waw}');
Error('\P{Joining_Group=/a/_	Manichaean_Waw}');
Expect(1, 68295, '\p{Joining_Group: manichaeanwaw}', "");
Expect(0, 68295, '\p{^Joining_Group: manichaeanwaw}', "");
Expect(0, 68295, '\P{Joining_Group: manichaeanwaw}', "");
Expect(1, 68295, '\P{^Joining_Group: manichaeanwaw}', "");
Expect(0, 68296, '\p{Joining_Group: manichaeanwaw}', "");
Expect(1, 68296, '\p{^Joining_Group: manichaeanwaw}', "");
Expect(1, 68296, '\P{Joining_Group: manichaeanwaw}', "");
Expect(0, 68296, '\P{^Joining_Group: manichaeanwaw}', "");
Expect(1, 68295, '\p{Joining_Group=__Manichaean_Waw}', "");
Expect(0, 68295, '\p{^Joining_Group=__Manichaean_Waw}', "");
Expect(0, 68295, '\P{Joining_Group=__Manichaean_Waw}', "");
Expect(1, 68295, '\P{^Joining_Group=__Manichaean_Waw}', "");
Expect(0, 68296, '\p{Joining_Group=__Manichaean_Waw}', "");
Expect(1, 68296, '\p{^Joining_Group=__Manichaean_Waw}', "");
Expect(1, 68296, '\P{Joining_Group=__Manichaean_Waw}', "");
Expect(0, 68296, '\P{^Joining_Group=__Manichaean_Waw}', "");
Error('\p{Jg:   -:=manichaean_WAW}');
Error('\P{Jg:   -:=manichaean_WAW}');
Expect(1, 68295, '\p{Jg=manichaeanwaw}', "");
Expect(0, 68295, '\p{^Jg=manichaeanwaw}', "");
Expect(0, 68295, '\P{Jg=manichaeanwaw}', "");
Expect(1, 68295, '\P{^Jg=manichaeanwaw}', "");
Expect(0, 68296, '\p{Jg=manichaeanwaw}', "");
Expect(1, 68296, '\p{^Jg=manichaeanwaw}', "");
Expect(1, 68296, '\P{Jg=manichaeanwaw}', "");
Expect(0, 68296, '\P{^Jg=manichaeanwaw}', "");
Expect(1, 68295, '\p{Jg=_MANICHAEAN_Waw}', "");
Expect(0, 68295, '\p{^Jg=_MANICHAEAN_Waw}', "");
Expect(0, 68295, '\P{Jg=_MANICHAEAN_Waw}', "");
Expect(1, 68295, '\P{^Jg=_MANICHAEAN_Waw}', "");
Expect(0, 68296, '\p{Jg=_MANICHAEAN_Waw}', "");
Expect(1, 68296, '\p{^Jg=_MANICHAEAN_Waw}', "");
Expect(1, 68296, '\P{Jg=_MANICHAEAN_Waw}', "");
Expect(0, 68296, '\P{^Jg=_MANICHAEAN_Waw}', "");
Error('\p{Is_Joining_Group=:=-manichaean_WAW}');
Error('\P{Is_Joining_Group=:=-manichaean_WAW}');
Expect(1, 68295, '\p{Is_Joining_Group:	manichaeanwaw}', "");
Expect(0, 68295, '\p{^Is_Joining_Group:	manichaeanwaw}', "");
Expect(0, 68295, '\P{Is_Joining_Group:	manichaeanwaw}', "");
Expect(1, 68295, '\P{^Is_Joining_Group:	manichaeanwaw}', "");
Expect(0, 68296, '\p{Is_Joining_Group:	manichaeanwaw}', "");
Expect(1, 68296, '\p{^Is_Joining_Group:	manichaeanwaw}', "");
Expect(1, 68296, '\P{Is_Joining_Group:	manichaeanwaw}', "");
Expect(0, 68296, '\P{^Is_Joining_Group:	manichaeanwaw}', "");
Expect(1, 68295, '\p{Is_Joining_Group= MANICHAEAN_WAW}', "");
Expect(0, 68295, '\p{^Is_Joining_Group= MANICHAEAN_WAW}', "");
Expect(0, 68295, '\P{Is_Joining_Group= MANICHAEAN_WAW}', "");
Expect(1, 68295, '\P{^Is_Joining_Group= MANICHAEAN_WAW}', "");
Expect(0, 68296, '\p{Is_Joining_Group= MANICHAEAN_WAW}', "");
Expect(1, 68296, '\p{^Is_Joining_Group= MANICHAEAN_WAW}', "");
Expect(1, 68296, '\P{Is_Joining_Group= MANICHAEAN_WAW}', "");
Expect(0, 68296, '\P{^Is_Joining_Group= MANICHAEAN_WAW}', "");
Error('\p{Is_Jg=-:=Manichaean_Waw}');
Error('\P{Is_Jg=-:=Manichaean_Waw}');
Expect(1, 68295, '\p{Is_Jg=manichaeanwaw}', "");
Expect(0, 68295, '\p{^Is_Jg=manichaeanwaw}', "");
Expect(0, 68295, '\P{Is_Jg=manichaeanwaw}', "");
Expect(1, 68295, '\P{^Is_Jg=manichaeanwaw}', "");
Expect(0, 68296, '\p{Is_Jg=manichaeanwaw}', "");
Expect(1, 68296, '\p{^Is_Jg=manichaeanwaw}', "");
Expect(1, 68296, '\P{Is_Jg=manichaeanwaw}', "");
Expect(0, 68296, '\P{^Is_Jg=manichaeanwaw}', "");
Expect(1, 68295, '\p{Is_Jg=- MANICHAEAN_waw}', "");
Expect(0, 68295, '\p{^Is_Jg=- MANICHAEAN_waw}', "");
Expect(0, 68295, '\P{Is_Jg=- MANICHAEAN_waw}', "");
Expect(1, 68295, '\P{^Is_Jg=- MANICHAEAN_waw}', "");
Expect(0, 68296, '\p{Is_Jg=- MANICHAEAN_waw}', "");
Expect(1, 68296, '\p{^Is_Jg=- MANICHAEAN_waw}', "");
Expect(1, 68296, '\P{Is_Jg=- MANICHAEAN_waw}', "");
Expect(0, 68296, '\P{^Is_Jg=- MANICHAEAN_waw}', "");
Error('\p{Joining_Group=	:=MANICHAEAN_Yodh}');
Error('\P{Joining_Group=	:=MANICHAEAN_Yodh}');
Expect(1, 68303, '\p{Joining_Group=manichaeanyodh}', "");
Expect(0, 68303, '\p{^Joining_Group=manichaeanyodh}', "");
Expect(0, 68303, '\P{Joining_Group=manichaeanyodh}', "");
Expect(1, 68303, '\P{^Joining_Group=manichaeanyodh}', "");
Expect(0, 68304, '\p{Joining_Group=manichaeanyodh}', "");
Expect(1, 68304, '\p{^Joining_Group=manichaeanyodh}', "");
Expect(1, 68304, '\P{Joining_Group=manichaeanyodh}', "");
Expect(0, 68304, '\P{^Joining_Group=manichaeanyodh}', "");
Expect(1, 68303, '\p{Joining_Group=-_MANICHAEAN_YODH}', "");
Expect(0, 68303, '\p{^Joining_Group=-_MANICHAEAN_YODH}', "");
Expect(0, 68303, '\P{Joining_Group=-_MANICHAEAN_YODH}', "");
Expect(1, 68303, '\P{^Joining_Group=-_MANICHAEAN_YODH}', "");
Expect(0, 68304, '\p{Joining_Group=-_MANICHAEAN_YODH}', "");
Expect(1, 68304, '\p{^Joining_Group=-_MANICHAEAN_YODH}', "");
Expect(1, 68304, '\P{Joining_Group=-_MANICHAEAN_YODH}', "");
Expect(0, 68304, '\P{^Joining_Group=-_MANICHAEAN_YODH}', "");
Error('\p{Jg= :=Manichaean_Yodh}');
Error('\P{Jg= :=Manichaean_Yodh}');
Expect(1, 68303, '\p{Jg=manichaeanyodh}', "");
Expect(0, 68303, '\p{^Jg=manichaeanyodh}', "");
Expect(0, 68303, '\P{Jg=manichaeanyodh}', "");
Expect(1, 68303, '\P{^Jg=manichaeanyodh}', "");
Expect(0, 68304, '\p{Jg=manichaeanyodh}', "");
Expect(1, 68304, '\p{^Jg=manichaeanyodh}', "");
Expect(1, 68304, '\P{Jg=manichaeanyodh}', "");
Expect(0, 68304, '\P{^Jg=manichaeanyodh}', "");
Expect(1, 68303, '\p{Jg=_Manichaean_yodh}', "");
Expect(0, 68303, '\p{^Jg=_Manichaean_yodh}', "");
Expect(0, 68303, '\P{Jg=_Manichaean_yodh}', "");
Expect(1, 68303, '\P{^Jg=_Manichaean_yodh}', "");
Expect(0, 68304, '\p{Jg=_Manichaean_yodh}', "");
Expect(1, 68304, '\p{^Jg=_Manichaean_yodh}', "");
Expect(1, 68304, '\P{Jg=_Manichaean_yodh}', "");
Expect(0, 68304, '\P{^Jg=_Manichaean_yodh}', "");
Error('\p{Is_Joining_Group=/a/ -Manichaean_YODH}');
Error('\P{Is_Joining_Group=/a/ -Manichaean_YODH}');
Expect(1, 68303, '\p{Is_Joining_Group:	manichaeanyodh}', "");
Expect(0, 68303, '\p{^Is_Joining_Group:	manichaeanyodh}', "");
Expect(0, 68303, '\P{Is_Joining_Group:	manichaeanyodh}', "");
Expect(1, 68303, '\P{^Is_Joining_Group:	manichaeanyodh}', "");
Expect(0, 68304, '\p{Is_Joining_Group:	manichaeanyodh}', "");
Expect(1, 68304, '\p{^Is_Joining_Group:	manichaeanyodh}', "");
Expect(1, 68304, '\P{Is_Joining_Group:	manichaeanyodh}', "");
Expect(0, 68304, '\P{^Is_Joining_Group:	manichaeanyodh}', "");
Expect(1, 68303, '\p{Is_Joining_Group= -MANICHAEAN_yodh}', "");
Expect(0, 68303, '\p{^Is_Joining_Group= -MANICHAEAN_yodh}', "");
Expect(0, 68303, '\P{Is_Joining_Group= -MANICHAEAN_yodh}', "");
Expect(1, 68303, '\P{^Is_Joining_Group= -MANICHAEAN_yodh}', "");
Expect(0, 68304, '\p{Is_Joining_Group= -MANICHAEAN_yodh}', "");
Expect(1, 68304, '\p{^Is_Joining_Group= -MANICHAEAN_yodh}', "");
Expect(1, 68304, '\P{Is_Joining_Group= -MANICHAEAN_yodh}', "");
Expect(0, 68304, '\P{^Is_Joining_Group= -MANICHAEAN_yodh}', "");
Error('\p{Is_Jg=-:=Manichaean_yodh}');
Error('\P{Is_Jg=-:=Manichaean_yodh}');
Expect(1, 68303, '\p{Is_Jg=manichaeanyodh}', "");
Expect(0, 68303, '\p{^Is_Jg=manichaeanyodh}', "");
Expect(0, 68303, '\P{Is_Jg=manichaeanyodh}', "");
Expect(1, 68303, '\P{^Is_Jg=manichaeanyodh}', "");
Expect(0, 68304, '\p{Is_Jg=manichaeanyodh}', "");
Expect(1, 68304, '\p{^Is_Jg=manichaeanyodh}', "");
Expect(1, 68304, '\P{Is_Jg=manichaeanyodh}', "");
Expect(0, 68304, '\P{^Is_Jg=manichaeanyodh}', "");
Expect(1, 68303, '\p{Is_Jg=_	Manichaean_yodh}', "");
Expect(0, 68303, '\p{^Is_Jg=_	Manichaean_yodh}', "");
Expect(0, 68303, '\P{Is_Jg=_	Manichaean_yodh}', "");
Expect(1, 68303, '\P{^Is_Jg=_	Manichaean_yodh}', "");
Expect(0, 68304, '\p{Is_Jg=_	Manichaean_yodh}', "");
Expect(1, 68304, '\p{^Is_Jg=_	Manichaean_yodh}', "");
Expect(1, 68304, '\P{Is_Jg=_	Manichaean_yodh}', "");
Expect(0, 68304, '\P{^Is_Jg=_	Manichaean_yodh}', "");
Error('\p{Joining_Group:   _manichaean_Zayin:=}');
Error('\P{Joining_Group:   _manichaean_Zayin:=}');
Expect(1, 68298, '\p{Joining_Group=manichaeanzayin}', "");
Expect(0, 68298, '\p{^Joining_Group=manichaeanzayin}', "");
Expect(0, 68298, '\P{Joining_Group=manichaeanzayin}', "");
Expect(1, 68298, '\P{^Joining_Group=manichaeanzayin}', "");
Expect(0, 68299, '\p{Joining_Group=manichaeanzayin}', "");
Expect(1, 68299, '\p{^Joining_Group=manichaeanzayin}', "");
Expect(1, 68299, '\P{Joining_Group=manichaeanzayin}', "");
Expect(0, 68299, '\P{^Joining_Group=manichaeanzayin}', "");
Expect(1, 68298, '\p{Joining_Group=	manichaean_zayin}', "");
Expect(0, 68298, '\p{^Joining_Group=	manichaean_zayin}', "");
Expect(0, 68298, '\P{Joining_Group=	manichaean_zayin}', "");
Expect(1, 68298, '\P{^Joining_Group=	manichaean_zayin}', "");
Expect(0, 68299, '\p{Joining_Group=	manichaean_zayin}', "");
Expect(1, 68299, '\p{^Joining_Group=	manichaean_zayin}', "");
Expect(1, 68299, '\P{Joining_Group=	manichaean_zayin}', "");
Expect(0, 68299, '\P{^Joining_Group=	manichaean_zayin}', "");
Error('\p{Jg=_Manichaean_Zayin:=}');
Error('\P{Jg=_Manichaean_Zayin:=}');
Expect(1, 68298, '\p{Jg=manichaeanzayin}', "");
Expect(0, 68298, '\p{^Jg=manichaeanzayin}', "");
Expect(0, 68298, '\P{Jg=manichaeanzayin}', "");
Expect(1, 68298, '\P{^Jg=manichaeanzayin}', "");
Expect(0, 68299, '\p{Jg=manichaeanzayin}', "");
Expect(1, 68299, '\p{^Jg=manichaeanzayin}', "");
Expect(1, 68299, '\P{Jg=manichaeanzayin}', "");
Expect(0, 68299, '\P{^Jg=manichaeanzayin}', "");
Expect(1, 68298, '\p{Jg:	 -Manichaean_zayin}', "");
Expect(0, 68298, '\p{^Jg:	 -Manichaean_zayin}', "");
Expect(0, 68298, '\P{Jg:	 -Manichaean_zayin}', "");
Expect(1, 68298, '\P{^Jg:	 -Manichaean_zayin}', "");
Expect(0, 68299, '\p{Jg:	 -Manichaean_zayin}', "");
Expect(1, 68299, '\p{^Jg:	 -Manichaean_zayin}', "");
Expect(1, 68299, '\P{Jg:	 -Manichaean_zayin}', "");
Expect(0, 68299, '\P{^Jg:	 -Manichaean_zayin}', "");
Error('\p{Is_Joining_Group=:= manichaean_zayin}');
Error('\P{Is_Joining_Group=:= manichaean_zayin}');
Expect(1, 68298, '\p{Is_Joining_Group=manichaeanzayin}', "");
Expect(0, 68298, '\p{^Is_Joining_Group=manichaeanzayin}', "");
Expect(0, 68298, '\P{Is_Joining_Group=manichaeanzayin}', "");
Expect(1, 68298, '\P{^Is_Joining_Group=manichaeanzayin}', "");
Expect(0, 68299, '\p{Is_Joining_Group=manichaeanzayin}', "");
Expect(1, 68299, '\p{^Is_Joining_Group=manichaeanzayin}', "");
Expect(1, 68299, '\P{Is_Joining_Group=manichaeanzayin}', "");
Expect(0, 68299, '\P{^Is_Joining_Group=manichaeanzayin}', "");
Expect(1, 68298, '\p{Is_Joining_Group:   MANICHAEAN_zayin}', "");
Expect(0, 68298, '\p{^Is_Joining_Group:   MANICHAEAN_zayin}', "");
Expect(0, 68298, '\P{Is_Joining_Group:   MANICHAEAN_zayin}', "");
Expect(1, 68298, '\P{^Is_Joining_Group:   MANICHAEAN_zayin}', "");
Expect(0, 68299, '\p{Is_Joining_Group:   MANICHAEAN_zayin}', "");
Expect(1, 68299, '\p{^Is_Joining_Group:   MANICHAEAN_zayin}', "");
Expect(1, 68299, '\P{Is_Joining_Group:   MANICHAEAN_zayin}', "");
Expect(0, 68299, '\P{^Is_Joining_Group:   MANICHAEAN_zayin}', "");
Error('\p{Is_Jg= /a/Manichaean_ZAYIN}');
Error('\P{Is_Jg= /a/Manichaean_ZAYIN}');
Expect(1, 68298, '\p{Is_Jg=manichaeanzayin}', "");
Expect(0, 68298, '\p{^Is_Jg=manichaeanzayin}', "");
Expect(0, 68298, '\P{Is_Jg=manichaeanzayin}', "");
Expect(1, 68298, '\P{^Is_Jg=manichaeanzayin}', "");
Expect(0, 68299, '\p{Is_Jg=manichaeanzayin}', "");
Expect(1, 68299, '\p{^Is_Jg=manichaeanzayin}', "");
Expect(1, 68299, '\P{Is_Jg=manichaeanzayin}', "");
Expect(0, 68299, '\P{^Is_Jg=manichaeanzayin}', "");
Expect(1, 68298, '\p{Is_Jg=__MANICHAEAN_ZAYIN}', "");
Expect(0, 68298, '\p{^Is_Jg=__MANICHAEAN_ZAYIN}', "");
Expect(0, 68298, '\P{Is_Jg=__MANICHAEAN_ZAYIN}', "");
Expect(1, 68298, '\P{^Is_Jg=__MANICHAEAN_ZAYIN}', "");
Expect(0, 68299, '\p{Is_Jg=__MANICHAEAN_ZAYIN}', "");
Expect(1, 68299, '\p{^Is_Jg=__MANICHAEAN_ZAYIN}', "");
Expect(1, 68299, '\P{Is_Jg=__MANICHAEAN_ZAYIN}', "");
Expect(0, 68299, '\P{^Is_Jg=__MANICHAEAN_ZAYIN}', "");
Error('\p{Joining_Group=	:=MEEM}');
Error('\P{Joining_Group=	:=MEEM}');
Expect(1, 2215, '\p{Joining_Group=meem}', "");
Expect(0, 2215, '\p{^Joining_Group=meem}', "");
Expect(0, 2215, '\P{Joining_Group=meem}', "");
Expect(1, 2215, '\P{^Joining_Group=meem}', "");
Expect(0, 2216, '\p{Joining_Group=meem}', "");
Expect(1, 2216, '\p{^Joining_Group=meem}', "");
Expect(1, 2216, '\P{Joining_Group=meem}', "");
Expect(0, 2216, '\P{^Joining_Group=meem}', "");
Expect(1, 2215, '\p{Joining_Group=_ meem}', "");
Expect(0, 2215, '\p{^Joining_Group=_ meem}', "");
Expect(0, 2215, '\P{Joining_Group=_ meem}', "");
Expect(1, 2215, '\P{^Joining_Group=_ meem}', "");
Expect(0, 2216, '\p{Joining_Group=_ meem}', "");
Expect(1, 2216, '\p{^Joining_Group=_ meem}', "");
Expect(1, 2216, '\P{Joining_Group=_ meem}', "");
Expect(0, 2216, '\P{^Joining_Group=_ meem}', "");
Error('\p{Jg=-_Meem/a/}');
Error('\P{Jg=-_Meem/a/}');
Expect(1, 2215, '\p{Jg=meem}', "");
Expect(0, 2215, '\p{^Jg=meem}', "");
Expect(0, 2215, '\P{Jg=meem}', "");
Expect(1, 2215, '\P{^Jg=meem}', "");
Expect(0, 2216, '\p{Jg=meem}', "");
Expect(1, 2216, '\p{^Jg=meem}', "");
Expect(1, 2216, '\P{Jg=meem}', "");
Expect(0, 2216, '\P{^Jg=meem}', "");
Expect(1, 2215, '\p{Jg=--Meem}', "");
Expect(0, 2215, '\p{^Jg=--Meem}', "");
Expect(0, 2215, '\P{Jg=--Meem}', "");
Expect(1, 2215, '\P{^Jg=--Meem}', "");
Expect(0, 2216, '\p{Jg=--Meem}', "");
Expect(1, 2216, '\p{^Jg=--Meem}', "");
Expect(1, 2216, '\P{Jg=--Meem}', "");
Expect(0, 2216, '\P{^Jg=--Meem}', "");
Error('\p{Is_Joining_Group=-Meem:=}');
Error('\P{Is_Joining_Group=-Meem:=}');
Expect(1, 2215, '\p{Is_Joining_Group=meem}', "");
Expect(0, 2215, '\p{^Is_Joining_Group=meem}', "");
Expect(0, 2215, '\P{Is_Joining_Group=meem}', "");
Expect(1, 2215, '\P{^Is_Joining_Group=meem}', "");
Expect(0, 2216, '\p{Is_Joining_Group=meem}', "");
Expect(1, 2216, '\p{^Is_Joining_Group=meem}', "");
Expect(1, 2216, '\P{Is_Joining_Group=meem}', "");
Expect(0, 2216, '\P{^Is_Joining_Group=meem}', "");
Expect(1, 2215, '\p{Is_Joining_Group=  MEEM}', "");
Expect(0, 2215, '\p{^Is_Joining_Group=  MEEM}', "");
Expect(0, 2215, '\P{Is_Joining_Group=  MEEM}', "");
Expect(1, 2215, '\P{^Is_Joining_Group=  MEEM}', "");
Expect(0, 2216, '\p{Is_Joining_Group=  MEEM}', "");
Expect(1, 2216, '\p{^Is_Joining_Group=  MEEM}', "");
Expect(1, 2216, '\P{Is_Joining_Group=  MEEM}', "");
Expect(0, 2216, '\P{^Is_Joining_Group=  MEEM}', "");
Error('\p{Is_Jg=-Meem:=}');
Error('\P{Is_Jg=-Meem:=}');
Expect(1, 2215, '\p{Is_Jg=meem}', "");
Expect(0, 2215, '\p{^Is_Jg=meem}', "");
Expect(0, 2215, '\P{Is_Jg=meem}', "");
Expect(1, 2215, '\P{^Is_Jg=meem}', "");
Expect(0, 2216, '\p{Is_Jg=meem}', "");
Expect(1, 2216, '\p{^Is_Jg=meem}', "");
Expect(1, 2216, '\P{Is_Jg=meem}', "");
Expect(0, 2216, '\P{^Is_Jg=meem}', "");
Expect(1, 2215, '\p{Is_Jg= 	Meem}', "");
Expect(0, 2215, '\p{^Is_Jg= 	Meem}', "");
Expect(0, 2215, '\P{Is_Jg= 	Meem}', "");
Expect(1, 2215, '\P{^Is_Jg= 	Meem}', "");
Expect(0, 2216, '\p{Is_Jg= 	Meem}', "");
Expect(1, 2216, '\p{^Is_Jg= 	Meem}', "");
Expect(1, 2216, '\P{Is_Jg= 	Meem}', "");
Expect(0, 2216, '\P{^Is_Jg= 	Meem}', "");
Error('\p{Joining_Group:_ MIM/a/}');
Error('\P{Joining_Group:_ MIM/a/}');
Expect(1, 1825, '\p{Joining_Group=mim}', "");
Expect(0, 1825, '\p{^Joining_Group=mim}', "");
Expect(0, 1825, '\P{Joining_Group=mim}', "");
Expect(1, 1825, '\P{^Joining_Group=mim}', "");
Expect(0, 1826, '\p{Joining_Group=mim}', "");
Expect(1, 1826, '\p{^Joining_Group=mim}', "");
Expect(1, 1826, '\P{Joining_Group=mim}', "");
Expect(0, 1826, '\P{^Joining_Group=mim}', "");
Expect(1, 1825, '\p{Joining_Group:   _-Mim}', "");
Expect(0, 1825, '\p{^Joining_Group:   _-Mim}', "");
Expect(0, 1825, '\P{Joining_Group:   _-Mim}', "");
Expect(1, 1825, '\P{^Joining_Group:   _-Mim}', "");
Expect(0, 1826, '\p{Joining_Group:   _-Mim}', "");
Expect(1, 1826, '\p{^Joining_Group:   _-Mim}', "");
Expect(1, 1826, '\P{Joining_Group:   _-Mim}', "");
Expect(0, 1826, '\P{^Joining_Group:   _-Mim}', "");
Error('\p{Jg=/a/MIM}');
Error('\P{Jg=/a/MIM}');
Expect(1, 1825, '\p{Jg=mim}', "");
Expect(0, 1825, '\p{^Jg=mim}', "");
Expect(0, 1825, '\P{Jg=mim}', "");
Expect(1, 1825, '\P{^Jg=mim}', "");
Expect(0, 1826, '\p{Jg=mim}', "");
Expect(1, 1826, '\p{^Jg=mim}', "");
Expect(1, 1826, '\P{Jg=mim}', "");
Expect(0, 1826, '\P{^Jg=mim}', "");
Expect(1, 1825, '\p{Jg=_Mim}', "");
Expect(0, 1825, '\p{^Jg=_Mim}', "");
Expect(0, 1825, '\P{Jg=_Mim}', "");
Expect(1, 1825, '\P{^Jg=_Mim}', "");
Expect(0, 1826, '\p{Jg=_Mim}', "");
Expect(1, 1826, '\p{^Jg=_Mim}', "");
Expect(1, 1826, '\P{Jg=_Mim}', "");
Expect(0, 1826, '\P{^Jg=_Mim}', "");
Error('\p{Is_Joining_Group=	 MIM/a/}');
Error('\P{Is_Joining_Group=	 MIM/a/}');
Expect(1, 1825, '\p{Is_Joining_Group:	mim}', "");
Expect(0, 1825, '\p{^Is_Joining_Group:	mim}', "");
Expect(0, 1825, '\P{Is_Joining_Group:	mim}', "");
Expect(1, 1825, '\P{^Is_Joining_Group:	mim}', "");
Expect(0, 1826, '\p{Is_Joining_Group:	mim}', "");
Expect(1, 1826, '\p{^Is_Joining_Group:	mim}', "");
Expect(1, 1826, '\P{Is_Joining_Group:	mim}', "");
Expect(0, 1826, '\P{^Is_Joining_Group:	mim}', "");
Expect(1, 1825, '\p{Is_Joining_Group=_mim}', "");
Expect(0, 1825, '\p{^Is_Joining_Group=_mim}', "");
Expect(0, 1825, '\P{Is_Joining_Group=_mim}', "");
Expect(1, 1825, '\P{^Is_Joining_Group=_mim}', "");
Expect(0, 1826, '\p{Is_Joining_Group=_mim}', "");
Expect(1, 1826, '\p{^Is_Joining_Group=_mim}', "");
Expect(1, 1826, '\P{Is_Joining_Group=_mim}', "");
Expect(0, 1826, '\P{^Is_Joining_Group=_mim}', "");
Error('\p{Is_Jg=/a/-mim}');
Error('\P{Is_Jg=/a/-mim}');
Expect(1, 1825, '\p{Is_Jg=mim}', "");
Expect(0, 1825, '\p{^Is_Jg=mim}', "");
Expect(0, 1825, '\P{Is_Jg=mim}', "");
Expect(1, 1825, '\P{^Is_Jg=mim}', "");
Expect(0, 1826, '\p{Is_Jg=mim}', "");
Expect(1, 1826, '\p{^Is_Jg=mim}', "");
Expect(1, 1826, '\P{Is_Jg=mim}', "");
Expect(0, 1826, '\P{^Is_Jg=mim}', "");
Expect(1, 1825, '\p{Is_Jg=_Mim}', "");
Expect(0, 1825, '\p{^Is_Jg=_Mim}', "");
Expect(0, 1825, '\P{Is_Jg=_Mim}', "");
Expect(1, 1825, '\P{^Is_Jg=_Mim}', "");
Expect(0, 1826, '\p{Is_Jg=_Mim}', "");
Expect(1, 1826, '\p{^Is_Jg=_Mim}', "");
Expect(1, 1826, '\P{Is_Jg=_Mim}', "");
Expect(0, 1826, '\P{^Is_Jg=_Mim}', "");
Error('\p{Joining_Group=	 no_joining_group:=}');
Error('\P{Joining_Group=	 no_joining_group:=}');
Expect(1, 68336, '\p{Joining_Group=nojoininggroup}', "");
Expect(0, 68336, '\p{^Joining_Group=nojoininggroup}', "");
Expect(0, 68336, '\P{Joining_Group=nojoininggroup}', "");
Expect(1, 68336, '\P{^Joining_Group=nojoininggroup}', "");
Expect(0, 68335, '\p{Joining_Group=nojoininggroup}', "");
Expect(1, 68335, '\p{^Joining_Group=nojoininggroup}', "");
Expect(1, 68335, '\P{Joining_Group=nojoininggroup}', "");
Expect(0, 68335, '\P{^Joining_Group=nojoininggroup}', "");
Expect(1, 68336, '\p{Joining_Group=_-No_Joining_Group}', "");
Expect(0, 68336, '\p{^Joining_Group=_-No_Joining_Group}', "");
Expect(0, 68336, '\P{Joining_Group=_-No_Joining_Group}', "");
Expect(1, 68336, '\P{^Joining_Group=_-No_Joining_Group}', "");
Expect(0, 68335, '\p{Joining_Group=_-No_Joining_Group}', "");
Expect(1, 68335, '\p{^Joining_Group=_-No_Joining_Group}', "");
Expect(1, 68335, '\P{Joining_Group=_-No_Joining_Group}', "");
Expect(0, 68335, '\P{^Joining_Group=_-No_Joining_Group}', "");
Error('\p{Jg=/a/_No_JOINING_Group}');
Error('\P{Jg=/a/_No_JOINING_Group}');
Expect(1, 68336, '\p{Jg=nojoininggroup}', "");
Expect(0, 68336, '\p{^Jg=nojoininggroup}', "");
Expect(0, 68336, '\P{Jg=nojoininggroup}', "");
Expect(1, 68336, '\P{^Jg=nojoininggroup}', "");
Expect(0, 68335, '\p{Jg=nojoininggroup}', "");
Expect(1, 68335, '\p{^Jg=nojoininggroup}', "");
Expect(1, 68335, '\P{Jg=nojoininggroup}', "");
Expect(0, 68335, '\P{^Jg=nojoininggroup}', "");
Expect(1, 68336, '\p{Jg=-no_Joining_Group}', "");
Expect(0, 68336, '\p{^Jg=-no_Joining_Group}', "");
Expect(0, 68336, '\P{Jg=-no_Joining_Group}', "");
Expect(1, 68336, '\P{^Jg=-no_Joining_Group}', "");
Expect(0, 68335, '\p{Jg=-no_Joining_Group}', "");
Expect(1, 68335, '\p{^Jg=-no_Joining_Group}', "");
Expect(1, 68335, '\P{Jg=-no_Joining_Group}', "");
Expect(0, 68335, '\P{^Jg=-no_Joining_Group}', "");
Error('\p{Is_Joining_Group=-NO_Joining_GROUP/a/}');
Error('\P{Is_Joining_Group=-NO_Joining_GROUP/a/}');
Expect(1, 68336, '\p{Is_Joining_Group=nojoininggroup}', "");
Expect(0, 68336, '\p{^Is_Joining_Group=nojoininggroup}', "");
Expect(0, 68336, '\P{Is_Joining_Group=nojoininggroup}', "");
Expect(1, 68336, '\P{^Is_Joining_Group=nojoininggroup}', "");
Expect(0, 68335, '\p{Is_Joining_Group=nojoininggroup}', "");
Expect(1, 68335, '\p{^Is_Joining_Group=nojoininggroup}', "");
Expect(1, 68335, '\P{Is_Joining_Group=nojoininggroup}', "");
Expect(0, 68335, '\P{^Is_Joining_Group=nojoininggroup}', "");
Expect(1, 68336, '\p{Is_Joining_Group=_-no_Joining_Group}', "");
Expect(0, 68336, '\p{^Is_Joining_Group=_-no_Joining_Group}', "");
Expect(0, 68336, '\P{Is_Joining_Group=_-no_Joining_Group}', "");
Expect(1, 68336, '\P{^Is_Joining_Group=_-no_Joining_Group}', "");
Expect(0, 68335, '\p{Is_Joining_Group=_-no_Joining_Group}', "");
Expect(1, 68335, '\p{^Is_Joining_Group=_-no_Joining_Group}', "");
Expect(1, 68335, '\P{Is_Joining_Group=_-no_Joining_Group}', "");
Expect(0, 68335, '\P{^Is_Joining_Group=_-no_Joining_Group}', "");
Error('\p{Is_Jg=	 No_joining_Group:=}');
Error('\P{Is_Jg=	 No_joining_Group:=}');
Expect(1, 68336, '\p{Is_Jg=nojoininggroup}', "");
Expect(0, 68336, '\p{^Is_Jg=nojoininggroup}', "");
Expect(0, 68336, '\P{Is_Jg=nojoininggroup}', "");
Expect(1, 68336, '\P{^Is_Jg=nojoininggroup}', "");
Expect(0, 68335, '\p{Is_Jg=nojoininggroup}', "");
Expect(1, 68335, '\p{^Is_Jg=nojoininggroup}', "");
Expect(1, 68335, '\P{Is_Jg=nojoininggroup}', "");
Expect(0, 68335, '\P{^Is_Jg=nojoininggroup}', "");
Expect(1, 68336, '\p{Is_Jg=_ No_JOINING_Group}', "");
Expect(0, 68336, '\p{^Is_Jg=_ No_JOINING_Group}', "");
Expect(0, 68336, '\P{Is_Jg=_ No_JOINING_Group}', "");
Expect(1, 68336, '\P{^Is_Jg=_ No_JOINING_Group}', "");
Expect(0, 68335, '\p{Is_Jg=_ No_JOINING_Group}', "");
Expect(1, 68335, '\p{^Is_Jg=_ No_JOINING_Group}', "");
Expect(1, 68335, '\P{Is_Jg=_ No_JOINING_Group}', "");
Expect(0, 68335, '\P{^Is_Jg=_ No_JOINING_Group}', "");
Error('\p{Joining_Group=/a/-	noon}');
Error('\P{Joining_Group=/a/-	noon}');
Expect(1, 1897, '\p{Joining_Group: noon}', "");
Expect(0, 1897, '\p{^Joining_Group: noon}', "");
Expect(0, 1897, '\P{Joining_Group: noon}', "");
Expect(1, 1897, '\P{^Joining_Group: noon}', "");
Expect(0, 1898, '\p{Joining_Group: noon}', "");
Expect(1, 1898, '\p{^Joining_Group: noon}', "");
Expect(1, 1898, '\P{Joining_Group: noon}', "");
Expect(0, 1898, '\P{^Joining_Group: noon}', "");
Expect(1, 1897, '\p{Joining_Group=- Noon}', "");
Expect(0, 1897, '\p{^Joining_Group=- Noon}', "");
Expect(0, 1897, '\P{Joining_Group=- Noon}', "");
Expect(1, 1897, '\P{^Joining_Group=- Noon}', "");
Expect(0, 1898, '\p{Joining_Group=- Noon}', "");
Expect(1, 1898, '\p{^Joining_Group=- Noon}', "");
Expect(1, 1898, '\P{Joining_Group=- Noon}', "");
Expect(0, 1898, '\P{^Joining_Group=- Noon}', "");
Error('\p{Jg=	Noon/a/}');
Error('\P{Jg=	Noon/a/}');
Expect(1, 1897, '\p{Jg:   noon}', "");
Expect(0, 1897, '\p{^Jg:   noon}', "");
Expect(0, 1897, '\P{Jg:   noon}', "");
Expect(1, 1897, '\P{^Jg:   noon}', "");
Expect(0, 1898, '\p{Jg:   noon}', "");
Expect(1, 1898, '\p{^Jg:   noon}', "");
Expect(1, 1898, '\P{Jg:   noon}', "");
Expect(0, 1898, '\P{^Jg:   noon}', "");
Expect(1, 1897, '\p{Jg= noon}', "");
Expect(0, 1897, '\p{^Jg= noon}', "");
Expect(0, 1897, '\P{Jg= noon}', "");
Expect(1, 1897, '\P{^Jg= noon}', "");
Expect(0, 1898, '\p{Jg= noon}', "");
Expect(1, 1898, '\p{^Jg= noon}', "");
Expect(1, 1898, '\P{Jg= noon}', "");
Expect(0, 1898, '\P{^Jg= noon}', "");
Error('\p{Is_Joining_Group=-_Noon:=}');
Error('\P{Is_Joining_Group=-_Noon:=}');
Expect(1, 1897, '\p{Is_Joining_Group=noon}', "");
Expect(0, 1897, '\p{^Is_Joining_Group=noon}', "");
Expect(0, 1897, '\P{Is_Joining_Group=noon}', "");
Expect(1, 1897, '\P{^Is_Joining_Group=noon}', "");
Expect(0, 1898, '\p{Is_Joining_Group=noon}', "");
Expect(1, 1898, '\p{^Is_Joining_Group=noon}', "");
Expect(1, 1898, '\P{Is_Joining_Group=noon}', "");
Expect(0, 1898, '\P{^Is_Joining_Group=noon}', "");
Expect(1, 1897, '\p{Is_Joining_Group= _Noon}', "");
Expect(0, 1897, '\p{^Is_Joining_Group= _Noon}', "");
Expect(0, 1897, '\P{Is_Joining_Group= _Noon}', "");
Expect(1, 1897, '\P{^Is_Joining_Group= _Noon}', "");
Expect(0, 1898, '\p{Is_Joining_Group= _Noon}', "");
Expect(1, 1898, '\p{^Is_Joining_Group= _Noon}', "");
Expect(1, 1898, '\P{Is_Joining_Group= _Noon}', "");
Expect(0, 1898, '\P{^Is_Joining_Group= _Noon}', "");
Error('\p{Is_Jg=/a/-Noon}');
Error('\P{Is_Jg=/a/-Noon}');
Expect(1, 1897, '\p{Is_Jg=noon}', "");
Expect(0, 1897, '\p{^Is_Jg=noon}', "");
Expect(0, 1897, '\P{Is_Jg=noon}', "");
Expect(1, 1897, '\P{^Is_Jg=noon}', "");
Expect(0, 1898, '\p{Is_Jg=noon}', "");
Expect(1, 1898, '\p{^Is_Jg=noon}', "");
Expect(1, 1898, '\P{Is_Jg=noon}', "");
Expect(0, 1898, '\P{^Is_Jg=noon}', "");
Expect(1, 1897, '\p{Is_Jg=-NOON}', "");
Expect(0, 1897, '\p{^Is_Jg=-NOON}', "");
Expect(0, 1897, '\P{Is_Jg=-NOON}', "");
Expect(1, 1897, '\P{^Is_Jg=-NOON}', "");
Expect(0, 1898, '\p{Is_Jg=-NOON}', "");
Expect(1, 1898, '\p{^Is_Jg=-NOON}', "");
Expect(1, 1898, '\P{Is_Jg=-NOON}', "");
Expect(0, 1898, '\P{^Is_Jg=-NOON}', "");
Error('\p{Joining_Group=--nun/a/}');
Error('\P{Joining_Group=--nun/a/}');
Expect(1, 1826, '\p{Joining_Group=nun}', "");
Expect(0, 1826, '\p{^Joining_Group=nun}', "");
Expect(0, 1826, '\P{Joining_Group=nun}', "");
Expect(1, 1826, '\P{^Joining_Group=nun}', "");
Expect(0, 1827, '\p{Joining_Group=nun}', "");
Expect(1, 1827, '\p{^Joining_Group=nun}', "");
Expect(1, 1827, '\P{Joining_Group=nun}', "");
Expect(0, 1827, '\P{^Joining_Group=nun}', "");
Expect(1, 1826, '\p{Joining_Group=_	NUN}', "");
Expect(0, 1826, '\p{^Joining_Group=_	NUN}', "");
Expect(0, 1826, '\P{Joining_Group=_	NUN}', "");
Expect(1, 1826, '\P{^Joining_Group=_	NUN}', "");
Expect(0, 1827, '\p{Joining_Group=_	NUN}', "");
Expect(1, 1827, '\p{^Joining_Group=_	NUN}', "");
Expect(1, 1827, '\P{Joining_Group=_	NUN}', "");
Expect(0, 1827, '\P{^Joining_Group=_	NUN}', "");
Error('\p{Jg=/a/nun}');
Error('\P{Jg=/a/nun}');
Expect(1, 1826, '\p{Jg=nun}', "");
Expect(0, 1826, '\p{^Jg=nun}', "");
Expect(0, 1826, '\P{Jg=nun}', "");
Expect(1, 1826, '\P{^Jg=nun}', "");
Expect(0, 1827, '\p{Jg=nun}', "");
Expect(1, 1827, '\p{^Jg=nun}', "");
Expect(1, 1827, '\P{Jg=nun}', "");
Expect(0, 1827, '\P{^Jg=nun}', "");
Expect(1, 1826, '\p{Jg=_Nun}', "");
Expect(0, 1826, '\p{^Jg=_Nun}', "");
Expect(0, 1826, '\P{Jg=_Nun}', "");
Expect(1, 1826, '\P{^Jg=_Nun}', "");
Expect(0, 1827, '\p{Jg=_Nun}', "");
Expect(1, 1827, '\p{^Jg=_Nun}', "");
Expect(1, 1827, '\P{Jg=_Nun}', "");
Expect(0, 1827, '\P{^Jg=_Nun}', "");
Error('\p{Is_Joining_Group=:=	 Nun}');
Error('\P{Is_Joining_Group=:=	 Nun}');
Expect(1, 1826, '\p{Is_Joining_Group=nun}', "");
Expect(0, 1826, '\p{^Is_Joining_Group=nun}', "");
Expect(0, 1826, '\P{Is_Joining_Group=nun}', "");
Expect(1, 1826, '\P{^Is_Joining_Group=nun}', "");
Expect(0, 1827, '\p{Is_Joining_Group=nun}', "");
Expect(1, 1827, '\p{^Is_Joining_Group=nun}', "");
Expect(1, 1827, '\P{Is_Joining_Group=nun}', "");
Expect(0, 1827, '\P{^Is_Joining_Group=nun}', "");
Expect(1, 1826, '\p{Is_Joining_Group=  nun}', "");
Expect(0, 1826, '\p{^Is_Joining_Group=  nun}', "");
Expect(0, 1826, '\P{Is_Joining_Group=  nun}', "");
Expect(1, 1826, '\P{^Is_Joining_Group=  nun}', "");
Expect(0, 1827, '\p{Is_Joining_Group=  nun}', "");
Expect(1, 1827, '\p{^Is_Joining_Group=  nun}', "");
Expect(1, 1827, '\P{Is_Joining_Group=  nun}', "");
Expect(0, 1827, '\P{^Is_Joining_Group=  nun}', "");
Error('\p{Is_Jg=/a/_Nun}');
Error('\P{Is_Jg=/a/_Nun}');
Expect(1, 1826, '\p{Is_Jg=nun}', "");
Expect(0, 1826, '\p{^Is_Jg=nun}', "");
Expect(0, 1826, '\P{Is_Jg=nun}', "");
Expect(1, 1826, '\P{^Is_Jg=nun}', "");
Expect(0, 1827, '\p{Is_Jg=nun}', "");
Expect(1, 1827, '\p{^Is_Jg=nun}', "");
Expect(1, 1827, '\P{Is_Jg=nun}', "");
Expect(0, 1827, '\P{^Is_Jg=nun}', "");
Expect(1, 1826, '\p{Is_Jg= Nun}', "");
Expect(0, 1826, '\p{^Is_Jg= Nun}', "");
Expect(0, 1826, '\P{Is_Jg= Nun}', "");
Expect(1, 1826, '\P{^Is_Jg= Nun}', "");
Expect(0, 1827, '\p{Is_Jg= Nun}', "");
Expect(1, 1827, '\p{^Is_Jg= Nun}', "");
Expect(1, 1827, '\P{Is_Jg= Nun}', "");
Expect(0, 1827, '\P{^Is_Jg= Nun}', "");
Error('\p{Joining_Group:  	Nya/a/}');
Error('\P{Joining_Group:  	Nya/a/}');
Expect(1, 1725, '\p{Joining_Group=nya}', "");
Expect(0, 1725, '\p{^Joining_Group=nya}', "");
Expect(0, 1725, '\P{Joining_Group=nya}', "");
Expect(1, 1725, '\P{^Joining_Group=nya}', "");
Expect(0, 1726, '\p{Joining_Group=nya}', "");
Expect(1, 1726, '\p{^Joining_Group=nya}', "");
Expect(1, 1726, '\P{Joining_Group=nya}', "");
Expect(0, 1726, '\P{^Joining_Group=nya}', "");
Expect(1, 1725, '\p{Joining_Group=_Nya}', "");
Expect(0, 1725, '\p{^Joining_Group=_Nya}', "");
Expect(0, 1725, '\P{Joining_Group=_Nya}', "");
Expect(1, 1725, '\P{^Joining_Group=_Nya}', "");
Expect(0, 1726, '\p{Joining_Group=_Nya}', "");
Expect(1, 1726, '\p{^Joining_Group=_Nya}', "");
Expect(1, 1726, '\P{Joining_Group=_Nya}', "");
Expect(0, 1726, '\P{^Joining_Group=_Nya}', "");
Error('\p{Jg=	 nya:=}');
Error('\P{Jg=	 nya:=}');
Expect(1, 1725, '\p{Jg=nya}', "");
Expect(0, 1725, '\p{^Jg=nya}', "");
Expect(0, 1725, '\P{Jg=nya}', "");
Expect(1, 1725, '\P{^Jg=nya}', "");
Expect(0, 1726, '\p{Jg=nya}', "");
Expect(1, 1726, '\p{^Jg=nya}', "");
Expect(1, 1726, '\P{Jg=nya}', "");
Expect(0, 1726, '\P{^Jg=nya}', "");
Expect(1, 1725, '\p{Jg=_nya}', "");
Expect(0, 1725, '\p{^Jg=_nya}', "");
Expect(0, 1725, '\P{Jg=_nya}', "");
Expect(1, 1725, '\P{^Jg=_nya}', "");
Expect(0, 1726, '\p{Jg=_nya}', "");
Expect(1, 1726, '\p{^Jg=_nya}', "");
Expect(1, 1726, '\P{Jg=_nya}', "");
Expect(0, 1726, '\P{^Jg=_nya}', "");
Error('\p{Is_Joining_Group=/a/Nya}');
Error('\P{Is_Joining_Group=/a/Nya}');
Expect(1, 1725, '\p{Is_Joining_Group=nya}', "");
Expect(0, 1725, '\p{^Is_Joining_Group=nya}', "");
Expect(0, 1725, '\P{Is_Joining_Group=nya}', "");
Expect(1, 1725, '\P{^Is_Joining_Group=nya}', "");
Expect(0, 1726, '\p{Is_Joining_Group=nya}', "");
Expect(1, 1726, '\p{^Is_Joining_Group=nya}', "");
Expect(1, 1726, '\P{Is_Joining_Group=nya}', "");
Expect(0, 1726, '\P{^Is_Joining_Group=nya}', "");
Expect(1, 1725, '\p{Is_Joining_Group=-	nya}', "");
Expect(0, 1725, '\p{^Is_Joining_Group=-	nya}', "");
Expect(0, 1725, '\P{Is_Joining_Group=-	nya}', "");
Expect(1, 1725, '\P{^Is_Joining_Group=-	nya}', "");
Expect(0, 1726, '\p{Is_Joining_Group=-	nya}', "");
Expect(1, 1726, '\p{^Is_Joining_Group=-	nya}', "");
Expect(1, 1726, '\P{Is_Joining_Group=-	nya}', "");
Expect(0, 1726, '\P{^Is_Joining_Group=-	nya}', "");
Error('\p{Is_Jg=/a/ Nya}');
Error('\P{Is_Jg=/a/ Nya}');
Expect(1, 1725, '\p{Is_Jg=nya}', "");
Expect(0, 1725, '\p{^Is_Jg=nya}', "");
Expect(0, 1725, '\P{Is_Jg=nya}', "");
Expect(1, 1725, '\P{^Is_Jg=nya}', "");
Expect(0, 1726, '\p{Is_Jg=nya}', "");
Expect(1, 1726, '\p{^Is_Jg=nya}', "");
Expect(1, 1726, '\P{Is_Jg=nya}', "");
Expect(0, 1726, '\P{^Is_Jg=nya}', "");
Expect(1, 1725, '\p{Is_Jg:		-NYA}', "");
Expect(0, 1725, '\p{^Is_Jg:		-NYA}', "");
Expect(0, 1725, '\P{Is_Jg:		-NYA}', "");
Expect(1, 1725, '\P{^Is_Jg:		-NYA}', "");
Expect(0, 1726, '\p{Is_Jg:		-NYA}', "");
Expect(1, 1726, '\p{^Is_Jg:		-NYA}', "");
Expect(1, 1726, '\P{Is_Jg:		-NYA}', "");
Expect(0, 1726, '\P{^Is_Jg:		-NYA}', "");
Error('\p{Joining_Group=_/a/Pe}');
Error('\P{Joining_Group=_/a/Pe}');
Expect(1, 1830, '\p{Joining_Group=pe}', "");
Expect(0, 1830, '\p{^Joining_Group=pe}', "");
Expect(0, 1830, '\P{Joining_Group=pe}', "");
Expect(1, 1830, '\P{^Joining_Group=pe}', "");
Expect(0, 1831, '\p{Joining_Group=pe}', "");
Expect(1, 1831, '\p{^Joining_Group=pe}', "");
Expect(1, 1831, '\P{Joining_Group=pe}', "");
Expect(0, 1831, '\P{^Joining_Group=pe}', "");
Expect(1, 1830, '\p{Joining_Group=- pe}', "");
Expect(0, 1830, '\p{^Joining_Group=- pe}', "");
Expect(0, 1830, '\P{Joining_Group=- pe}', "");
Expect(1, 1830, '\P{^Joining_Group=- pe}', "");
Expect(0, 1831, '\p{Joining_Group=- pe}', "");
Expect(1, 1831, '\p{^Joining_Group=- pe}', "");
Expect(1, 1831, '\P{Joining_Group=- pe}', "");
Expect(0, 1831, '\P{^Joining_Group=- pe}', "");
Error('\p{Jg:	:=	Pe}');
Error('\P{Jg:	:=	Pe}');
Expect(1, 1830, '\p{Jg=pe}', "");
Expect(0, 1830, '\p{^Jg=pe}', "");
Expect(0, 1830, '\P{Jg=pe}', "");
Expect(1, 1830, '\P{^Jg=pe}', "");
Expect(0, 1831, '\p{Jg=pe}', "");
Expect(1, 1831, '\p{^Jg=pe}', "");
Expect(1, 1831, '\P{Jg=pe}', "");
Expect(0, 1831, '\P{^Jg=pe}', "");
Expect(1, 1830, '\p{Jg=_Pe}', "");
Expect(0, 1830, '\p{^Jg=_Pe}', "");
Expect(0, 1830, '\P{Jg=_Pe}', "");
Expect(1, 1830, '\P{^Jg=_Pe}', "");
Expect(0, 1831, '\p{Jg=_Pe}', "");
Expect(1, 1831, '\p{^Jg=_Pe}', "");
Expect(1, 1831, '\P{Jg=_Pe}', "");
Expect(0, 1831, '\P{^Jg=_Pe}', "");
Error('\p{Is_Joining_Group= pe/a/}');
Error('\P{Is_Joining_Group= pe/a/}');
Expect(1, 1830, '\p{Is_Joining_Group=pe}', "");
Expect(0, 1830, '\p{^Is_Joining_Group=pe}', "");
Expect(0, 1830, '\P{Is_Joining_Group=pe}', "");
Expect(1, 1830, '\P{^Is_Joining_Group=pe}', "");
Expect(0, 1831, '\p{Is_Joining_Group=pe}', "");
Expect(1, 1831, '\p{^Is_Joining_Group=pe}', "");
Expect(1, 1831, '\P{Is_Joining_Group=pe}', "");
Expect(0, 1831, '\P{^Is_Joining_Group=pe}', "");
Expect(1, 1830, '\p{Is_Joining_Group= pe}', "");
Expect(0, 1830, '\p{^Is_Joining_Group= pe}', "");
Expect(0, 1830, '\P{Is_Joining_Group= pe}', "");
Expect(1, 1830, '\P{^Is_Joining_Group= pe}', "");
Expect(0, 1831, '\p{Is_Joining_Group= pe}', "");
Expect(1, 1831, '\p{^Is_Joining_Group= pe}', "");
Expect(1, 1831, '\P{Is_Joining_Group= pe}', "");
Expect(0, 1831, '\P{^Is_Joining_Group= pe}', "");
Error('\p{Is_Jg=_Pe/a/}');
Error('\P{Is_Jg=_Pe/a/}');
Expect(1, 1830, '\p{Is_Jg=pe}', "");
Expect(0, 1830, '\p{^Is_Jg=pe}', "");
Expect(0, 1830, '\P{Is_Jg=pe}', "");
Expect(1, 1830, '\P{^Is_Jg=pe}', "");
Expect(0, 1831, '\p{Is_Jg=pe}', "");
Expect(1, 1831, '\p{^Is_Jg=pe}', "");
Expect(1, 1831, '\P{Is_Jg=pe}', "");
Expect(0, 1831, '\P{^Is_Jg=pe}', "");
Expect(1, 1830, '\p{Is_Jg=	 Pe}', "");
Expect(0, 1830, '\p{^Is_Jg=	 Pe}', "");
Expect(0, 1830, '\P{Is_Jg=	 Pe}', "");
Expect(1, 1830, '\P{^Is_Jg=	 Pe}', "");
Expect(0, 1831, '\p{Is_Jg=	 Pe}', "");
Expect(1, 1831, '\p{^Is_Jg=	 Pe}', "");
Expect(1, 1831, '\P{Is_Jg=	 Pe}', "");
Expect(0, 1831, '\P{^Is_Jg=	 Pe}', "");
Error('\p{Joining_Group=:= -Qaf}');
Error('\P{Joining_Group=:= -Qaf}');
Expect(1, 2213, '\p{Joining_Group=qaf}', "");
Expect(0, 2213, '\p{^Joining_Group=qaf}', "");
Expect(0, 2213, '\P{Joining_Group=qaf}', "");
Expect(1, 2213, '\P{^Joining_Group=qaf}', "");
Expect(0, 2214, '\p{Joining_Group=qaf}', "");
Expect(1, 2214, '\p{^Joining_Group=qaf}', "");
Expect(1, 2214, '\P{Joining_Group=qaf}', "");
Expect(0, 2214, '\P{^Joining_Group=qaf}', "");
Expect(1, 2213, '\p{Joining_Group:  _Qaf}', "");
Expect(0, 2213, '\p{^Joining_Group:  _Qaf}', "");
Expect(0, 2213, '\P{Joining_Group:  _Qaf}', "");
Expect(1, 2213, '\P{^Joining_Group:  _Qaf}', "");
Expect(0, 2214, '\p{Joining_Group:  _Qaf}', "");
Expect(1, 2214, '\p{^Joining_Group:  _Qaf}', "");
Expect(1, 2214, '\P{Joining_Group:  _Qaf}', "");
Expect(0, 2214, '\P{^Joining_Group:  _Qaf}', "");
Error('\p{Jg=_ Qaf/a/}');
Error('\P{Jg=_ Qaf/a/}');
Expect(1, 2213, '\p{Jg=qaf}', "");
Expect(0, 2213, '\p{^Jg=qaf}', "");
Expect(0, 2213, '\P{Jg=qaf}', "");
Expect(1, 2213, '\P{^Jg=qaf}', "");
Expect(0, 2214, '\p{Jg=qaf}', "");
Expect(1, 2214, '\p{^Jg=qaf}', "");
Expect(1, 2214, '\P{Jg=qaf}', "");
Expect(0, 2214, '\P{^Jg=qaf}', "");
Expect(1, 2213, '\p{Jg=-	Qaf}', "");
Expect(0, 2213, '\p{^Jg=-	Qaf}', "");
Expect(0, 2213, '\P{Jg=-	Qaf}', "");
Expect(1, 2213, '\P{^Jg=-	Qaf}', "");
Expect(0, 2214, '\p{Jg=-	Qaf}', "");
Expect(1, 2214, '\p{^Jg=-	Qaf}', "");
Expect(1, 2214, '\P{Jg=-	Qaf}', "");
Expect(0, 2214, '\P{^Jg=-	Qaf}', "");
Error('\p{Is_Joining_Group=	Qaf/a/}');
Error('\P{Is_Joining_Group=	Qaf/a/}');
Expect(1, 2213, '\p{Is_Joining_Group=qaf}', "");
Expect(0, 2213, '\p{^Is_Joining_Group=qaf}', "");
Expect(0, 2213, '\P{Is_Joining_Group=qaf}', "");
Expect(1, 2213, '\P{^Is_Joining_Group=qaf}', "");
Expect(0, 2214, '\p{Is_Joining_Group=qaf}', "");
Expect(1, 2214, '\p{^Is_Joining_Group=qaf}', "");
Expect(1, 2214, '\P{Is_Joining_Group=qaf}', "");
Expect(0, 2214, '\P{^Is_Joining_Group=qaf}', "");
Expect(1, 2213, '\p{Is_Joining_Group=-_Qaf}', "");
Expect(0, 2213, '\p{^Is_Joining_Group=-_Qaf}', "");
Expect(0, 2213, '\P{Is_Joining_Group=-_Qaf}', "");
Expect(1, 2213, '\P{^Is_Joining_Group=-_Qaf}', "");
Expect(0, 2214, '\p{Is_Joining_Group=-_Qaf}', "");
Expect(1, 2214, '\p{^Is_Joining_Group=-_Qaf}', "");
Expect(1, 2214, '\P{Is_Joining_Group=-_Qaf}', "");
Expect(0, 2214, '\P{^Is_Joining_Group=-_Qaf}', "");
Error('\p{Is_Jg=/a/-	Qaf}');
Error('\P{Is_Jg=/a/-	Qaf}');
Expect(1, 2213, '\p{Is_Jg=qaf}', "");
Expect(0, 2213, '\p{^Is_Jg=qaf}', "");
Expect(0, 2213, '\P{Is_Jg=qaf}', "");
Expect(1, 2213, '\P{^Is_Jg=qaf}', "");
Expect(0, 2214, '\p{Is_Jg=qaf}', "");
Expect(1, 2214, '\p{^Is_Jg=qaf}', "");
Expect(1, 2214, '\P{Is_Jg=qaf}', "");
Expect(0, 2214, '\P{^Is_Jg=qaf}', "");
Expect(1, 2213, '\p{Is_Jg=-Qaf}', "");
Expect(0, 2213, '\p{^Is_Jg=-Qaf}', "");
Expect(0, 2213, '\P{Is_Jg=-Qaf}', "");
Expect(1, 2213, '\P{^Is_Jg=-Qaf}', "");
Expect(0, 2214, '\p{Is_Jg=-Qaf}', "");
Expect(1, 2214, '\p{^Is_Jg=-Qaf}', "");
Expect(1, 2214, '\P{Is_Jg=-Qaf}', "");
Expect(0, 2214, '\P{^Is_Jg=-Qaf}', "");
Error('\p{Joining_Group=_/a/qaph}');
Error('\P{Joining_Group=_/a/qaph}');
Expect(1, 1833, '\p{Joining_Group=qaph}', "");
Expect(0, 1833, '\p{^Joining_Group=qaph}', "");
Expect(0, 1833, '\P{Joining_Group=qaph}', "");
Expect(1, 1833, '\P{^Joining_Group=qaph}', "");
Expect(0, 1834, '\p{Joining_Group=qaph}', "");
Expect(1, 1834, '\p{^Joining_Group=qaph}', "");
Expect(1, 1834, '\P{Joining_Group=qaph}', "");
Expect(0, 1834, '\P{^Joining_Group=qaph}', "");
Expect(1, 1833, '\p{Joining_Group=__qaph}', "");
Expect(0, 1833, '\p{^Joining_Group=__qaph}', "");
Expect(0, 1833, '\P{Joining_Group=__qaph}', "");
Expect(1, 1833, '\P{^Joining_Group=__qaph}', "");
Expect(0, 1834, '\p{Joining_Group=__qaph}', "");
Expect(1, 1834, '\p{^Joining_Group=__qaph}', "");
Expect(1, 1834, '\P{Joining_Group=__qaph}', "");
Expect(0, 1834, '\P{^Joining_Group=__qaph}', "");
Error('\p{Jg=/a/- QAPH}');
Error('\P{Jg=/a/- QAPH}');
Expect(1, 1833, '\p{Jg=qaph}', "");
Expect(0, 1833, '\p{^Jg=qaph}', "");
Expect(0, 1833, '\P{Jg=qaph}', "");
Expect(1, 1833, '\P{^Jg=qaph}', "");
Expect(0, 1834, '\p{Jg=qaph}', "");
Expect(1, 1834, '\p{^Jg=qaph}', "");
Expect(1, 1834, '\P{Jg=qaph}', "");
Expect(0, 1834, '\P{^Jg=qaph}', "");
Expect(1, 1833, '\p{Jg=_Qaph}', "");
Expect(0, 1833, '\p{^Jg=_Qaph}', "");
Expect(0, 1833, '\P{Jg=_Qaph}', "");
Expect(1, 1833, '\P{^Jg=_Qaph}', "");
Expect(0, 1834, '\p{Jg=_Qaph}', "");
Expect(1, 1834, '\p{^Jg=_Qaph}', "");
Expect(1, 1834, '\P{Jg=_Qaph}', "");
Expect(0, 1834, '\P{^Jg=_Qaph}', "");
Error('\p{Is_Joining_Group=/a/	-QAPH}');
Error('\P{Is_Joining_Group=/a/	-QAPH}');
Expect(1, 1833, '\p{Is_Joining_Group=qaph}', "");
Expect(0, 1833, '\p{^Is_Joining_Group=qaph}', "");
Expect(0, 1833, '\P{Is_Joining_Group=qaph}', "");
Expect(1, 1833, '\P{^Is_Joining_Group=qaph}', "");
Expect(0, 1834, '\p{Is_Joining_Group=qaph}', "");
Expect(1, 1834, '\p{^Is_Joining_Group=qaph}', "");
Expect(1, 1834, '\P{Is_Joining_Group=qaph}', "");
Expect(0, 1834, '\P{^Is_Joining_Group=qaph}', "");
Expect(1, 1833, '\p{Is_Joining_Group=_	Qaph}', "");
Expect(0, 1833, '\p{^Is_Joining_Group=_	Qaph}', "");
Expect(0, 1833, '\P{Is_Joining_Group=_	Qaph}', "");
Expect(1, 1833, '\P{^Is_Joining_Group=_	Qaph}', "");
Expect(0, 1834, '\p{Is_Joining_Group=_	Qaph}', "");
Expect(1, 1834, '\p{^Is_Joining_Group=_	Qaph}', "");
Expect(1, 1834, '\P{Is_Joining_Group=_	Qaph}', "");
Expect(0, 1834, '\P{^Is_Joining_Group=_	Qaph}', "");
Error('\p{Is_Jg=	/a/qaph}');
Error('\P{Is_Jg=	/a/qaph}');
Expect(1, 1833, '\p{Is_Jg=qaph}', "");
Expect(0, 1833, '\p{^Is_Jg=qaph}', "");
Expect(0, 1833, '\P{Is_Jg=qaph}', "");
Expect(1, 1833, '\P{^Is_Jg=qaph}', "");
Expect(0, 1834, '\p{Is_Jg=qaph}', "");
Expect(1, 1834, '\p{^Is_Jg=qaph}', "");
Expect(1, 1834, '\P{Is_Jg=qaph}', "");
Expect(0, 1834, '\P{^Is_Jg=qaph}', "");
Expect(1, 1833, '\p{Is_Jg=-	Qaph}', "");
Expect(0, 1833, '\p{^Is_Jg=-	Qaph}', "");
Expect(0, 1833, '\P{Is_Jg=-	Qaph}', "");
Expect(1, 1833, '\P{^Is_Jg=-	Qaph}', "");
Expect(0, 1834, '\p{Is_Jg=-	Qaph}', "");
Expect(1, 1834, '\p{^Is_Jg=-	Qaph}', "");
Expect(1, 1834, '\P{Is_Jg=-	Qaph}', "");
Expect(0, 1834, '\P{^Is_Jg=-	Qaph}', "");
Error('\p{Joining_Group= /a/Reh}');
Error('\P{Joining_Group= /a/Reh}');
Expect(1, 2226, '\p{Joining_Group=reh}', "");
Expect(0, 2226, '\p{^Joining_Group=reh}', "");
Expect(0, 2226, '\P{Joining_Group=reh}', "");
Expect(1, 2226, '\P{^Joining_Group=reh}', "");
Expect(0, 2227, '\p{Joining_Group=reh}', "");
Expect(1, 2227, '\p{^Joining_Group=reh}', "");
Expect(1, 2227, '\P{Joining_Group=reh}', "");
Expect(0, 2227, '\P{^Joining_Group=reh}', "");
Expect(1, 2226, '\p{Joining_Group=--REH}', "");
Expect(0, 2226, '\p{^Joining_Group=--REH}', "");
Expect(0, 2226, '\P{Joining_Group=--REH}', "");
Expect(1, 2226, '\P{^Joining_Group=--REH}', "");
Expect(0, 2227, '\p{Joining_Group=--REH}', "");
Expect(1, 2227, '\p{^Joining_Group=--REH}', "");
Expect(1, 2227, '\P{Joining_Group=--REH}', "");
Expect(0, 2227, '\P{^Joining_Group=--REH}', "");
Error('\p{Jg=/a/Reh}');
Error('\P{Jg=/a/Reh}');
Expect(1, 2226, '\p{Jg=reh}', "");
Expect(0, 2226, '\p{^Jg=reh}', "");
Expect(0, 2226, '\P{Jg=reh}', "");
Expect(1, 2226, '\P{^Jg=reh}', "");
Expect(0, 2227, '\p{Jg=reh}', "");
Expect(1, 2227, '\p{^Jg=reh}', "");
Expect(1, 2227, '\P{Jg=reh}', "");
Expect(0, 2227, '\P{^Jg=reh}', "");
Expect(1, 2226, '\p{Jg=- Reh}', "");
Expect(0, 2226, '\p{^Jg=- Reh}', "");
Expect(0, 2226, '\P{Jg=- Reh}', "");
Expect(1, 2226, '\P{^Jg=- Reh}', "");
Expect(0, 2227, '\p{Jg=- Reh}', "");
Expect(1, 2227, '\p{^Jg=- Reh}', "");
Expect(1, 2227, '\P{Jg=- Reh}', "");
Expect(0, 2227, '\P{^Jg=- Reh}', "");
Error('\p{Is_Joining_Group=:= _reh}');
Error('\P{Is_Joining_Group=:= _reh}');
Expect(1, 2226, '\p{Is_Joining_Group=reh}', "");
Expect(0, 2226, '\p{^Is_Joining_Group=reh}', "");
Expect(0, 2226, '\P{Is_Joining_Group=reh}', "");
Expect(1, 2226, '\P{^Is_Joining_Group=reh}', "");
Expect(0, 2227, '\p{Is_Joining_Group=reh}', "");
Expect(1, 2227, '\p{^Is_Joining_Group=reh}', "");
Expect(1, 2227, '\P{Is_Joining_Group=reh}', "");
Expect(0, 2227, '\P{^Is_Joining_Group=reh}', "");
Expect(1, 2226, '\p{Is_Joining_Group=	Reh}', "");
Expect(0, 2226, '\p{^Is_Joining_Group=	Reh}', "");
Expect(0, 2226, '\P{Is_Joining_Group=	Reh}', "");
Expect(1, 2226, '\P{^Is_Joining_Group=	Reh}', "");
Expect(0, 2227, '\p{Is_Joining_Group=	Reh}', "");
Expect(1, 2227, '\p{^Is_Joining_Group=	Reh}', "");
Expect(1, 2227, '\P{Is_Joining_Group=	Reh}', "");
Expect(0, 2227, '\P{^Is_Joining_Group=	Reh}', "");
Error('\p{Is_Jg=_REH:=}');
Error('\P{Is_Jg=_REH:=}');
Expect(1, 2226, '\p{Is_Jg=reh}', "");
Expect(0, 2226, '\p{^Is_Jg=reh}', "");
Expect(0, 2226, '\P{Is_Jg=reh}', "");
Expect(1, 2226, '\P{^Is_Jg=reh}', "");
Expect(0, 2227, '\p{Is_Jg=reh}', "");
Expect(1, 2227, '\p{^Is_Jg=reh}', "");
Expect(1, 2227, '\P{Is_Jg=reh}', "");
Expect(0, 2227, '\P{^Is_Jg=reh}', "");
Expect(1, 2226, '\p{Is_Jg: _-reh}', "");
Expect(0, 2226, '\p{^Is_Jg: _-reh}', "");
Expect(0, 2226, '\P{Is_Jg: _-reh}', "");
Expect(1, 2226, '\P{^Is_Jg: _-reh}', "");
Expect(0, 2227, '\p{Is_Jg: _-reh}', "");
Expect(1, 2227, '\p{^Is_Jg: _-reh}', "");
Expect(1, 2227, '\P{Is_Jg: _-reh}', "");
Expect(0, 2227, '\P{^Is_Jg: _-reh}', "");
Error('\p{Joining_Group:	:= reversed_pe}');
Error('\P{Joining_Group:	:= reversed_pe}');
Expect(1, 1831, '\p{Joining_Group:reversedpe}', "");
Expect(0, 1831, '\p{^Joining_Group:reversedpe}', "");
Expect(0, 1831, '\P{Joining_Group:reversedpe}', "");
Expect(1, 1831, '\P{^Joining_Group:reversedpe}', "");
Expect(0, 1832, '\p{Joining_Group:reversedpe}', "");
Expect(1, 1832, '\p{^Joining_Group:reversedpe}', "");
Expect(1, 1832, '\P{Joining_Group:reversedpe}', "");
Expect(0, 1832, '\P{^Joining_Group:reversedpe}', "");
Expect(1, 1831, '\p{Joining_Group= reversed_PE}', "");
Expect(0, 1831, '\p{^Joining_Group= reversed_PE}', "");
Expect(0, 1831, '\P{Joining_Group= reversed_PE}', "");
Expect(1, 1831, '\P{^Joining_Group= reversed_PE}', "");
Expect(0, 1832, '\p{Joining_Group= reversed_PE}', "");
Expect(1, 1832, '\p{^Joining_Group= reversed_PE}', "");
Expect(1, 1832, '\P{Joining_Group= reversed_PE}', "");
Expect(0, 1832, '\P{^Joining_Group= reversed_PE}', "");
Error('\p{Jg=--Reversed_Pe:=}');
Error('\P{Jg=--Reversed_Pe:=}');
Expect(1, 1831, '\p{Jg=reversedpe}', "");
Expect(0, 1831, '\p{^Jg=reversedpe}', "");
Expect(0, 1831, '\P{Jg=reversedpe}', "");
Expect(1, 1831, '\P{^Jg=reversedpe}', "");
Expect(0, 1832, '\p{Jg=reversedpe}', "");
Expect(1, 1832, '\p{^Jg=reversedpe}', "");
Expect(1, 1832, '\P{Jg=reversedpe}', "");
Expect(0, 1832, '\P{^Jg=reversedpe}', "");
Expect(1, 1831, '\p{Jg=_	reversed_pe}', "");
Expect(0, 1831, '\p{^Jg=_	reversed_pe}', "");
Expect(0, 1831, '\P{Jg=_	reversed_pe}', "");
Expect(1, 1831, '\P{^Jg=_	reversed_pe}', "");
Expect(0, 1832, '\p{Jg=_	reversed_pe}', "");
Expect(1, 1832, '\p{^Jg=_	reversed_pe}', "");
Expect(1, 1832, '\P{Jg=_	reversed_pe}', "");
Expect(0, 1832, '\P{^Jg=_	reversed_pe}', "");
Error('\p{Is_Joining_Group: /a/	_Reversed_pe}');
Error('\P{Is_Joining_Group: /a/	_Reversed_pe}');
Expect(1, 1831, '\p{Is_Joining_Group=reversedpe}', "");
Expect(0, 1831, '\p{^Is_Joining_Group=reversedpe}', "");
Expect(0, 1831, '\P{Is_Joining_Group=reversedpe}', "");
Expect(1, 1831, '\P{^Is_Joining_Group=reversedpe}', "");
Expect(0, 1832, '\p{Is_Joining_Group=reversedpe}', "");
Expect(1, 1832, '\p{^Is_Joining_Group=reversedpe}', "");
Expect(1, 1832, '\P{Is_Joining_Group=reversedpe}', "");
Expect(0, 1832, '\P{^Is_Joining_Group=reversedpe}', "");
Expect(1, 1831, '\p{Is_Joining_Group=-	reversed_PE}', "");
Expect(0, 1831, '\p{^Is_Joining_Group=-	reversed_PE}', "");
Expect(0, 1831, '\P{Is_Joining_Group=-	reversed_PE}', "");
Expect(1, 1831, '\P{^Is_Joining_Group=-	reversed_PE}', "");
Expect(0, 1832, '\p{Is_Joining_Group=-	reversed_PE}', "");
Expect(1, 1832, '\p{^Is_Joining_Group=-	reversed_PE}', "");
Expect(1, 1832, '\P{Is_Joining_Group=-	reversed_PE}', "");
Expect(0, 1832, '\P{^Is_Joining_Group=-	reversed_PE}', "");
Error('\p{Is_Jg=:= 	Reversed_Pe}');
Error('\P{Is_Jg=:= 	Reversed_Pe}');
Expect(1, 1831, '\p{Is_Jg=reversedpe}', "");
Expect(0, 1831, '\p{^Is_Jg=reversedpe}', "");
Expect(0, 1831, '\P{Is_Jg=reversedpe}', "");
Expect(1, 1831, '\P{^Is_Jg=reversedpe}', "");
Expect(0, 1832, '\p{Is_Jg=reversedpe}', "");
Expect(1, 1832, '\p{^Is_Jg=reversedpe}', "");
Expect(1, 1832, '\P{Is_Jg=reversedpe}', "");
Expect(0, 1832, '\P{^Is_Jg=reversedpe}', "");
Expect(1, 1831, '\p{Is_Jg=_	Reversed_Pe}', "");
Expect(0, 1831, '\p{^Is_Jg=_	Reversed_Pe}', "");
Expect(0, 1831, '\P{Is_Jg=_	Reversed_Pe}', "");
Expect(1, 1831, '\P{^Is_Jg=_	Reversed_Pe}', "");
Expect(0, 1832, '\p{Is_Jg=_	Reversed_Pe}', "");
Expect(1, 1832, '\p{^Is_Jg=_	Reversed_Pe}', "");
Expect(1, 1832, '\P{Is_Jg=_	Reversed_Pe}', "");
Expect(0, 1832, '\P{^Is_Jg=_	Reversed_Pe}', "");
Error('\p{Joining_Group=-_ROHINGYA_yeh/a/}');
Error('\P{Joining_Group=-_ROHINGYA_yeh/a/}');
Expect(1, 2220, '\p{Joining_Group=rohingyayeh}', "");
Expect(0, 2220, '\p{^Joining_Group=rohingyayeh}', "");
Expect(0, 2220, '\P{Joining_Group=rohingyayeh}', "");
Expect(1, 2220, '\P{^Joining_Group=rohingyayeh}', "");
Expect(0, 2221, '\p{Joining_Group=rohingyayeh}', "");
Expect(1, 2221, '\p{^Joining_Group=rohingyayeh}', "");
Expect(1, 2221, '\P{Joining_Group=rohingyayeh}', "");
Expect(0, 2221, '\P{^Joining_Group=rohingyayeh}', "");
Expect(1, 2220, '\p{Joining_Group=	 ROHINGYA_Yeh}', "");
Expect(0, 2220, '\p{^Joining_Group=	 ROHINGYA_Yeh}', "");
Expect(0, 2220, '\P{Joining_Group=	 ROHINGYA_Yeh}', "");
Expect(1, 2220, '\P{^Joining_Group=	 ROHINGYA_Yeh}', "");
Expect(0, 2221, '\p{Joining_Group=	 ROHINGYA_Yeh}', "");
Expect(1, 2221, '\p{^Joining_Group=	 ROHINGYA_Yeh}', "");
Expect(1, 2221, '\P{Joining_Group=	 ROHINGYA_Yeh}', "");
Expect(0, 2221, '\P{^Joining_Group=	 ROHINGYA_Yeh}', "");
Error('\p{Jg=/a/ 	Rohingya_YEH}');
Error('\P{Jg=/a/ 	Rohingya_YEH}');
Expect(1, 2220, '\p{Jg=rohingyayeh}', "");
Expect(0, 2220, '\p{^Jg=rohingyayeh}', "");
Expect(0, 2220, '\P{Jg=rohingyayeh}', "");
Expect(1, 2220, '\P{^Jg=rohingyayeh}', "");
Expect(0, 2221, '\p{Jg=rohingyayeh}', "");
Expect(1, 2221, '\p{^Jg=rohingyayeh}', "");
Expect(1, 2221, '\P{Jg=rohingyayeh}', "");
Expect(0, 2221, '\P{^Jg=rohingyayeh}', "");
Expect(1, 2220, '\p{Jg= ROHINGYA_yeh}', "");
Expect(0, 2220, '\p{^Jg= ROHINGYA_yeh}', "");
Expect(0, 2220, '\P{Jg= ROHINGYA_yeh}', "");
Expect(1, 2220, '\P{^Jg= ROHINGYA_yeh}', "");
Expect(0, 2221, '\p{Jg= ROHINGYA_yeh}', "");
Expect(1, 2221, '\p{^Jg= ROHINGYA_yeh}', "");
Expect(1, 2221, '\P{Jg= ROHINGYA_yeh}', "");
Expect(0, 2221, '\P{^Jg= ROHINGYA_yeh}', "");
Error('\p{Is_Joining_Group:	 rohingya_YEH/a/}');
Error('\P{Is_Joining_Group:	 rohingya_YEH/a/}');
Expect(1, 2220, '\p{Is_Joining_Group:rohingyayeh}', "");
Expect(0, 2220, '\p{^Is_Joining_Group:rohingyayeh}', "");
Expect(0, 2220, '\P{Is_Joining_Group:rohingyayeh}', "");
Expect(1, 2220, '\P{^Is_Joining_Group:rohingyayeh}', "");
Expect(0, 2221, '\p{Is_Joining_Group:rohingyayeh}', "");
Expect(1, 2221, '\p{^Is_Joining_Group:rohingyayeh}', "");
Expect(1, 2221, '\P{Is_Joining_Group:rohingyayeh}', "");
Expect(0, 2221, '\P{^Is_Joining_Group:rohingyayeh}', "");
Expect(1, 2220, '\p{Is_Joining_Group:	 _rohingya_yeh}', "");
Expect(0, 2220, '\p{^Is_Joining_Group:	 _rohingya_yeh}', "");
Expect(0, 2220, '\P{Is_Joining_Group:	 _rohingya_yeh}', "");
Expect(1, 2220, '\P{^Is_Joining_Group:	 _rohingya_yeh}', "");
Expect(0, 2221, '\p{Is_Joining_Group:	 _rohingya_yeh}', "");
Expect(1, 2221, '\p{^Is_Joining_Group:	 _rohingya_yeh}', "");
Expect(1, 2221, '\P{Is_Joining_Group:	 _rohingya_yeh}', "");
Expect(0, 2221, '\P{^Is_Joining_Group:	 _rohingya_yeh}', "");
Error('\p{Is_Jg=:=rohingya_Yeh}');
Error('\P{Is_Jg=:=rohingya_Yeh}');
Expect(1, 2220, '\p{Is_Jg=rohingyayeh}', "");
Expect(0, 2220, '\p{^Is_Jg=rohingyayeh}', "");
Expect(0, 2220, '\P{Is_Jg=rohingyayeh}', "");
Expect(1, 2220, '\P{^Is_Jg=rohingyayeh}', "");
Expect(0, 2221, '\p{Is_Jg=rohingyayeh}', "");
Expect(1, 2221, '\p{^Is_Jg=rohingyayeh}', "");
Expect(1, 2221, '\P{Is_Jg=rohingyayeh}', "");
Expect(0, 2221, '\P{^Is_Jg=rohingyayeh}', "");
Expect(1, 2220, '\p{Is_Jg=_Rohingya_YEH}', "");
Expect(0, 2220, '\p{^Is_Jg=_Rohingya_YEH}', "");
Expect(0, 2220, '\P{Is_Jg=_Rohingya_YEH}', "");
Expect(1, 2220, '\P{^Is_Jg=_Rohingya_YEH}', "");
Expect(0, 2221, '\p{Is_Jg=_Rohingya_YEH}', "");
Expect(1, 2221, '\p{^Is_Jg=_Rohingya_YEH}', "");
Expect(1, 2221, '\P{Is_Jg=_Rohingya_YEH}', "");
Expect(0, 2221, '\P{^Is_Jg=_Rohingya_YEH}', "");
Error('\p{Joining_Group: :=-Sad}');
Error('\P{Joining_Group: :=-Sad}');
Expect(1, 2223, '\p{Joining_Group:   sad}', "");
Expect(0, 2223, '\p{^Joining_Group:   sad}', "");
Expect(0, 2223, '\P{Joining_Group:   sad}', "");
Expect(1, 2223, '\P{^Joining_Group:   sad}', "");
Expect(0, 2224, '\p{Joining_Group:   sad}', "");
Expect(1, 2224, '\p{^Joining_Group:   sad}', "");
Expect(1, 2224, '\P{Joining_Group:   sad}', "");
Expect(0, 2224, '\P{^Joining_Group:   sad}', "");
Expect(1, 2223, '\p{Joining_Group: - Sad}', "");
Expect(0, 2223, '\p{^Joining_Group: - Sad}', "");
Expect(0, 2223, '\P{Joining_Group: - Sad}', "");
Expect(1, 2223, '\P{^Joining_Group: - Sad}', "");
Expect(0, 2224, '\p{Joining_Group: - Sad}', "");
Expect(1, 2224, '\p{^Joining_Group: - Sad}', "");
Expect(1, 2224, '\P{Joining_Group: - Sad}', "");
Expect(0, 2224, '\P{^Joining_Group: - Sad}', "");
Error('\p{Jg=/a/sad}');
Error('\P{Jg=/a/sad}');
Expect(1, 2223, '\p{Jg=sad}', "");
Expect(0, 2223, '\p{^Jg=sad}', "");
Expect(0, 2223, '\P{Jg=sad}', "");
Expect(1, 2223, '\P{^Jg=sad}', "");
Expect(0, 2224, '\p{Jg=sad}', "");
Expect(1, 2224, '\p{^Jg=sad}', "");
Expect(1, 2224, '\P{Jg=sad}', "");
Expect(0, 2224, '\P{^Jg=sad}', "");
Expect(1, 2223, '\p{Jg:   -_sad}', "");
Expect(0, 2223, '\p{^Jg:   -_sad}', "");
Expect(0, 2223, '\P{Jg:   -_sad}', "");
Expect(1, 2223, '\P{^Jg:   -_sad}', "");
Expect(0, 2224, '\p{Jg:   -_sad}', "");
Expect(1, 2224, '\p{^Jg:   -_sad}', "");
Expect(1, 2224, '\P{Jg:   -_sad}', "");
Expect(0, 2224, '\P{^Jg:   -_sad}', "");
Error('\p{Is_Joining_Group=/a/	_SAD}');
Error('\P{Is_Joining_Group=/a/	_SAD}');
Expect(1, 2223, '\p{Is_Joining_Group=sad}', "");
Expect(0, 2223, '\p{^Is_Joining_Group=sad}', "");
Expect(0, 2223, '\P{Is_Joining_Group=sad}', "");
Expect(1, 2223, '\P{^Is_Joining_Group=sad}', "");
Expect(0, 2224, '\p{Is_Joining_Group=sad}', "");
Expect(1, 2224, '\p{^Is_Joining_Group=sad}', "");
Expect(1, 2224, '\P{Is_Joining_Group=sad}', "");
Expect(0, 2224, '\P{^Is_Joining_Group=sad}', "");
Expect(1, 2223, '\p{Is_Joining_Group=- SAD}', "");
Expect(0, 2223, '\p{^Is_Joining_Group=- SAD}', "");
Expect(0, 2223, '\P{Is_Joining_Group=- SAD}', "");
Expect(1, 2223, '\P{^Is_Joining_Group=- SAD}', "");
Expect(0, 2224, '\p{Is_Joining_Group=- SAD}', "");
Expect(1, 2224, '\p{^Is_Joining_Group=- SAD}', "");
Expect(1, 2224, '\P{Is_Joining_Group=- SAD}', "");
Expect(0, 2224, '\P{^Is_Joining_Group=- SAD}', "");
Error('\p{Is_Jg=/a/	-Sad}');
Error('\P{Is_Jg=/a/	-Sad}');
Expect(1, 2223, '\p{Is_Jg=sad}', "");
Expect(0, 2223, '\p{^Is_Jg=sad}', "");
Expect(0, 2223, '\P{Is_Jg=sad}', "");
Expect(1, 2223, '\P{^Is_Jg=sad}', "");
Expect(0, 2224, '\p{Is_Jg=sad}', "");
Expect(1, 2224, '\p{^Is_Jg=sad}', "");
Expect(1, 2224, '\P{Is_Jg=sad}', "");
Expect(0, 2224, '\P{^Is_Jg=sad}', "");
Expect(1, 2223, '\p{Is_Jg: --sad}', "");
Expect(0, 2223, '\p{^Is_Jg: --sad}', "");
Expect(0, 2223, '\P{Is_Jg: --sad}', "");
Expect(1, 2223, '\P{^Is_Jg: --sad}', "");
Expect(0, 2224, '\p{Is_Jg: --sad}', "");
Expect(1, 2224, '\p{^Is_Jg: --sad}', "");
Expect(1, 2224, '\P{Is_Jg: --sad}', "");
Expect(0, 2224, '\P{^Is_Jg: --sad}', "");
Error('\p{Joining_Group=/a/SADHE}');
Error('\P{Joining_Group=/a/SADHE}');
Expect(1, 1832, '\p{Joining_Group=sadhe}', "");
Expect(0, 1832, '\p{^Joining_Group=sadhe}', "");
Expect(0, 1832, '\P{Joining_Group=sadhe}', "");
Expect(1, 1832, '\P{^Joining_Group=sadhe}', "");
Expect(0, 1833, '\p{Joining_Group=sadhe}', "");
Expect(1, 1833, '\p{^Joining_Group=sadhe}', "");
Expect(1, 1833, '\P{Joining_Group=sadhe}', "");
Expect(0, 1833, '\P{^Joining_Group=sadhe}', "");
Expect(1, 1832, '\p{Joining_Group=	sadhe}', "");
Expect(0, 1832, '\p{^Joining_Group=	sadhe}', "");
Expect(0, 1832, '\P{Joining_Group=	sadhe}', "");
Expect(1, 1832, '\P{^Joining_Group=	sadhe}', "");
Expect(0, 1833, '\p{Joining_Group=	sadhe}', "");
Expect(1, 1833, '\p{^Joining_Group=	sadhe}', "");
Expect(1, 1833, '\P{Joining_Group=	sadhe}', "");
Expect(0, 1833, '\P{^Joining_Group=	sadhe}', "");
Error('\p{Jg:   _:=sadhe}');
Error('\P{Jg:   _:=sadhe}');
Expect(1, 1832, '\p{Jg:sadhe}', "");
Expect(0, 1832, '\p{^Jg:sadhe}', "");
Expect(0, 1832, '\P{Jg:sadhe}', "");
Expect(1, 1832, '\P{^Jg:sadhe}', "");
Expect(0, 1833, '\p{Jg:sadhe}', "");
Expect(1, 1833, '\p{^Jg:sadhe}', "");
Expect(1, 1833, '\P{Jg:sadhe}', "");
Expect(0, 1833, '\P{^Jg:sadhe}', "");
Expect(1, 1832, '\p{Jg=	Sadhe}', "");
Expect(0, 1832, '\p{^Jg=	Sadhe}', "");
Expect(0, 1832, '\P{Jg=	Sadhe}', "");
Expect(1, 1832, '\P{^Jg=	Sadhe}', "");
Expect(0, 1833, '\p{Jg=	Sadhe}', "");
Expect(1, 1833, '\p{^Jg=	Sadhe}', "");
Expect(1, 1833, '\P{Jg=	Sadhe}', "");
Expect(0, 1833, '\P{^Jg=	Sadhe}', "");
Error('\p{Is_Joining_Group=-:=SADHE}');
Error('\P{Is_Joining_Group=-:=SADHE}');
Expect(1, 1832, '\p{Is_Joining_Group=sadhe}', "");
Expect(0, 1832, '\p{^Is_Joining_Group=sadhe}', "");
Expect(0, 1832, '\P{Is_Joining_Group=sadhe}', "");
Expect(1, 1832, '\P{^Is_Joining_Group=sadhe}', "");
Expect(0, 1833, '\p{Is_Joining_Group=sadhe}', "");
Expect(1, 1833, '\p{^Is_Joining_Group=sadhe}', "");
Expect(1, 1833, '\P{Is_Joining_Group=sadhe}', "");
Expect(0, 1833, '\P{^Is_Joining_Group=sadhe}', "");
Expect(1, 1832, '\p{Is_Joining_Group=_Sadhe}', "");
Expect(0, 1832, '\p{^Is_Joining_Group=_Sadhe}', "");
Expect(0, 1832, '\P{Is_Joining_Group=_Sadhe}', "");
Expect(1, 1832, '\P{^Is_Joining_Group=_Sadhe}', "");
Expect(0, 1833, '\p{Is_Joining_Group=_Sadhe}', "");
Expect(1, 1833, '\p{^Is_Joining_Group=_Sadhe}', "");
Expect(1, 1833, '\P{Is_Joining_Group=_Sadhe}', "");
Expect(0, 1833, '\P{^Is_Joining_Group=_Sadhe}', "");
Error('\p{Is_Jg:_sadhe/a/}');
Error('\P{Is_Jg:_sadhe/a/}');
Expect(1, 1832, '\p{Is_Jg=sadhe}', "");
Expect(0, 1832, '\p{^Is_Jg=sadhe}', "");
Expect(0, 1832, '\P{Is_Jg=sadhe}', "");
Expect(1, 1832, '\P{^Is_Jg=sadhe}', "");
Expect(0, 1833, '\p{Is_Jg=sadhe}', "");
Expect(1, 1833, '\p{^Is_Jg=sadhe}', "");
Expect(1, 1833, '\P{Is_Jg=sadhe}', "");
Expect(0, 1833, '\P{^Is_Jg=sadhe}', "");
Expect(1, 1832, '\p{Is_Jg= sadhe}', "");
Expect(0, 1832, '\p{^Is_Jg= sadhe}', "");
Expect(0, 1832, '\P{Is_Jg= sadhe}', "");
Expect(1, 1832, '\P{^Is_Jg= sadhe}', "");
Expect(0, 1833, '\p{Is_Jg= sadhe}', "");
Expect(1, 1833, '\p{^Is_Jg= sadhe}', "");
Expect(1, 1833, '\P{Is_Jg= sadhe}', "");
Expect(0, 1833, '\P{^Is_Jg= sadhe}', "");
Error('\p{Joining_Group:  -SEEN/a/}');
Error('\P{Joining_Group:  -SEEN/a/}');
Expect(1, 1918, '\p{Joining_Group=seen}', "");
Expect(0, 1918, '\p{^Joining_Group=seen}', "");
Expect(0, 1918, '\P{Joining_Group=seen}', "");
Expect(1, 1918, '\P{^Joining_Group=seen}', "");
Expect(0, 1919, '\p{Joining_Group=seen}', "");
Expect(1, 1919, '\p{^Joining_Group=seen}', "");
Expect(1, 1919, '\P{Joining_Group=seen}', "");
Expect(0, 1919, '\P{^Joining_Group=seen}', "");
Expect(1, 1918, '\p{Joining_Group=	_SEEN}', "");
Expect(0, 1918, '\p{^Joining_Group=	_SEEN}', "");
Expect(0, 1918, '\P{Joining_Group=	_SEEN}', "");
Expect(1, 1918, '\P{^Joining_Group=	_SEEN}', "");
Expect(0, 1919, '\p{Joining_Group=	_SEEN}', "");
Expect(1, 1919, '\p{^Joining_Group=	_SEEN}', "");
Expect(1, 1919, '\P{Joining_Group=	_SEEN}', "");
Expect(0, 1919, '\P{^Joining_Group=	_SEEN}', "");
Error('\p{Jg=-Seen:=}');
Error('\P{Jg=-Seen:=}');
Expect(1, 1918, '\p{Jg=seen}', "");
Expect(0, 1918, '\p{^Jg=seen}', "");
Expect(0, 1918, '\P{Jg=seen}', "");
Expect(1, 1918, '\P{^Jg=seen}', "");
Expect(0, 1919, '\p{Jg=seen}', "");
Expect(1, 1919, '\p{^Jg=seen}', "");
Expect(1, 1919, '\P{Jg=seen}', "");
Expect(0, 1919, '\P{^Jg=seen}', "");
Expect(1, 1918, '\p{Jg=- SEEN}', "");
Expect(0, 1918, '\p{^Jg=- SEEN}', "");
Expect(0, 1918, '\P{Jg=- SEEN}', "");
Expect(1, 1918, '\P{^Jg=- SEEN}', "");
Expect(0, 1919, '\p{Jg=- SEEN}', "");
Expect(1, 1919, '\p{^Jg=- SEEN}', "");
Expect(1, 1919, '\P{Jg=- SEEN}', "");
Expect(0, 1919, '\P{^Jg=- SEEN}', "");
Error('\p{Is_Joining_Group:	/a/seen}');
Error('\P{Is_Joining_Group:	/a/seen}');
Expect(1, 1918, '\p{Is_Joining_Group=seen}', "");
Expect(0, 1918, '\p{^Is_Joining_Group=seen}', "");
Expect(0, 1918, '\P{Is_Joining_Group=seen}', "");
Expect(1, 1918, '\P{^Is_Joining_Group=seen}', "");
Expect(0, 1919, '\p{Is_Joining_Group=seen}', "");
Expect(1, 1919, '\p{^Is_Joining_Group=seen}', "");
Expect(1, 1919, '\P{Is_Joining_Group=seen}', "");
Expect(0, 1919, '\P{^Is_Joining_Group=seen}', "");
Expect(1, 1918, '\p{Is_Joining_Group=-	SEEN}', "");
Expect(0, 1918, '\p{^Is_Joining_Group=-	SEEN}', "");
Expect(0, 1918, '\P{Is_Joining_Group=-	SEEN}', "");
Expect(1, 1918, '\P{^Is_Joining_Group=-	SEEN}', "");
Expect(0, 1919, '\p{Is_Joining_Group=-	SEEN}', "");
Expect(1, 1919, '\p{^Is_Joining_Group=-	SEEN}', "");
Expect(1, 1919, '\P{Is_Joining_Group=-	SEEN}', "");
Expect(0, 1919, '\P{^Is_Joining_Group=-	SEEN}', "");
Error('\p{Is_Jg=/a/SEEN}');
Error('\P{Is_Jg=/a/SEEN}');
Expect(1, 1918, '\p{Is_Jg=seen}', "");
Expect(0, 1918, '\p{^Is_Jg=seen}', "");
Expect(0, 1918, '\P{Is_Jg=seen}', "");
Expect(1, 1918, '\P{^Is_Jg=seen}', "");
Expect(0, 1919, '\p{Is_Jg=seen}', "");
Expect(1, 1919, '\p{^Is_Jg=seen}', "");
Expect(1, 1919, '\P{Is_Jg=seen}', "");
Expect(0, 1919, '\P{^Is_Jg=seen}', "");
Expect(1, 1918, '\p{Is_Jg=_Seen}', "");
Expect(0, 1918, '\p{^Is_Jg=_Seen}', "");
Expect(0, 1918, '\P{Is_Jg=_Seen}', "");
Expect(1, 1918, '\P{^Is_Jg=_Seen}', "");
Expect(0, 1919, '\p{Is_Jg=_Seen}', "");
Expect(1, 1919, '\p{^Is_Jg=_Seen}', "");
Expect(1, 1919, '\P{Is_Jg=_Seen}', "");
Expect(0, 1919, '\P{^Is_Jg=_Seen}', "");
Error('\p{Joining_Group=__Semkath:=}');
Error('\P{Joining_Group=__Semkath:=}');
Expect(1, 1827, '\p{Joining_Group=semkath}', "");
Expect(0, 1827, '\p{^Joining_Group=semkath}', "");
Expect(0, 1827, '\P{Joining_Group=semkath}', "");
Expect(1, 1827, '\P{^Joining_Group=semkath}', "");
Expect(0, 1828, '\p{Joining_Group=semkath}', "");
Expect(1, 1828, '\p{^Joining_Group=semkath}', "");
Expect(1, 1828, '\P{Joining_Group=semkath}', "");
Expect(0, 1828, '\P{^Joining_Group=semkath}', "");
Expect(1, 1827, '\p{Joining_Group=  Semkath}', "");
Expect(0, 1827, '\p{^Joining_Group=  Semkath}', "");
Expect(0, 1827, '\P{Joining_Group=  Semkath}', "");
Expect(1, 1827, '\P{^Joining_Group=  Semkath}', "");
Expect(0, 1828, '\p{Joining_Group=  Semkath}', "");
Expect(1, 1828, '\p{^Joining_Group=  Semkath}', "");
Expect(1, 1828, '\P{Joining_Group=  Semkath}', "");
Expect(0, 1828, '\P{^Joining_Group=  Semkath}', "");
Error('\p{Jg= _SEMKATH:=}');
Error('\P{Jg= _SEMKATH:=}');
Expect(1, 1827, '\p{Jg=semkath}', "");
Expect(0, 1827, '\p{^Jg=semkath}', "");
Expect(0, 1827, '\P{Jg=semkath}', "");
Expect(1, 1827, '\P{^Jg=semkath}', "");
Expect(0, 1828, '\p{Jg=semkath}', "");
Expect(1, 1828, '\p{^Jg=semkath}', "");
Expect(1, 1828, '\P{Jg=semkath}', "");
Expect(0, 1828, '\P{^Jg=semkath}', "");
Expect(1, 1827, '\p{Jg=--semkath}', "");
Expect(0, 1827, '\p{^Jg=--semkath}', "");
Expect(0, 1827, '\P{Jg=--semkath}', "");
Expect(1, 1827, '\P{^Jg=--semkath}', "");
Expect(0, 1828, '\p{Jg=--semkath}', "");
Expect(1, 1828, '\p{^Jg=--semkath}', "");
Expect(1, 1828, '\P{Jg=--semkath}', "");
Expect(0, 1828, '\P{^Jg=--semkath}', "");
Error('\p{Is_Joining_Group= /a/Semkath}');
Error('\P{Is_Joining_Group= /a/Semkath}');
Expect(1, 1827, '\p{Is_Joining_Group=semkath}', "");
Expect(0, 1827, '\p{^Is_Joining_Group=semkath}', "");
Expect(0, 1827, '\P{Is_Joining_Group=semkath}', "");
Expect(1, 1827, '\P{^Is_Joining_Group=semkath}', "");
Expect(0, 1828, '\p{Is_Joining_Group=semkath}', "");
Expect(1, 1828, '\p{^Is_Joining_Group=semkath}', "");
Expect(1, 1828, '\P{Is_Joining_Group=semkath}', "");
Expect(0, 1828, '\P{^Is_Joining_Group=semkath}', "");
Expect(1, 1827, '\p{Is_Joining_Group=_-semkath}', "");
Expect(0, 1827, '\p{^Is_Joining_Group=_-semkath}', "");
Expect(0, 1827, '\P{Is_Joining_Group=_-semkath}', "");
Expect(1, 1827, '\P{^Is_Joining_Group=_-semkath}', "");
Expect(0, 1828, '\p{Is_Joining_Group=_-semkath}', "");
Expect(1, 1828, '\p{^Is_Joining_Group=_-semkath}', "");
Expect(1, 1828, '\P{Is_Joining_Group=_-semkath}', "");
Expect(0, 1828, '\P{^Is_Joining_Group=_-semkath}', "");
Error('\p{Is_Jg:  -SEMKATH:=}');
Error('\P{Is_Jg:  -SEMKATH:=}');
Expect(1, 1827, '\p{Is_Jg: semkath}', "");
Expect(0, 1827, '\p{^Is_Jg: semkath}', "");
Expect(0, 1827, '\P{Is_Jg: semkath}', "");
Expect(1, 1827, '\P{^Is_Jg: semkath}', "");
Expect(0, 1828, '\p{Is_Jg: semkath}', "");
Expect(1, 1828, '\p{^Is_Jg: semkath}', "");
Expect(1, 1828, '\P{Is_Jg: semkath}', "");
Expect(0, 1828, '\P{^Is_Jg: semkath}', "");
Expect(1, 1827, '\p{Is_Jg=	Semkath}', "");
Expect(0, 1827, '\p{^Is_Jg=	Semkath}', "");
Expect(0, 1827, '\P{Is_Jg=	Semkath}', "");
Expect(1, 1827, '\P{^Is_Jg=	Semkath}', "");
Expect(0, 1828, '\p{Is_Jg=	Semkath}', "");
Expect(1, 1828, '\p{^Is_Jg=	Semkath}', "");
Expect(1, 1828, '\P{Is_Jg=	Semkath}', "");
Expect(0, 1828, '\P{^Is_Jg=	Semkath}', "");
Error('\p{Joining_Group: :=Shin}');
Error('\P{Joining_Group: :=Shin}');
Expect(1, 1835, '\p{Joining_Group:   shin}', "");
Expect(0, 1835, '\p{^Joining_Group:   shin}', "");
Expect(0, 1835, '\P{Joining_Group:   shin}', "");
Expect(1, 1835, '\P{^Joining_Group:   shin}', "");
Expect(0, 1836, '\p{Joining_Group:   shin}', "");
Expect(1, 1836, '\p{^Joining_Group:   shin}', "");
Expect(1, 1836, '\P{Joining_Group:   shin}', "");
Expect(0, 1836, '\P{^Joining_Group:   shin}', "");
Expect(1, 1835, '\p{Joining_Group=_ SHIN}', "");
Expect(0, 1835, '\p{^Joining_Group=_ SHIN}', "");
Expect(0, 1835, '\P{Joining_Group=_ SHIN}', "");
Expect(1, 1835, '\P{^Joining_Group=_ SHIN}', "");
Expect(0, 1836, '\p{Joining_Group=_ SHIN}', "");
Expect(1, 1836, '\p{^Joining_Group=_ SHIN}', "");
Expect(1, 1836, '\P{Joining_Group=_ SHIN}', "");
Expect(0, 1836, '\P{^Joining_Group=_ SHIN}', "");
Error('\p{Jg=	Shin/a/}');
Error('\P{Jg=	Shin/a/}');
Expect(1, 1835, '\p{Jg=shin}', "");
Expect(0, 1835, '\p{^Jg=shin}', "");
Expect(0, 1835, '\P{Jg=shin}', "");
Expect(1, 1835, '\P{^Jg=shin}', "");
Expect(0, 1836, '\p{Jg=shin}', "");
Expect(1, 1836, '\p{^Jg=shin}', "");
Expect(1, 1836, '\P{Jg=shin}', "");
Expect(0, 1836, '\P{^Jg=shin}', "");
Expect(1, 1835, '\p{Jg=-shin}', "");
Expect(0, 1835, '\p{^Jg=-shin}', "");
Expect(0, 1835, '\P{Jg=-shin}', "");
Expect(1, 1835, '\P{^Jg=-shin}', "");
Expect(0, 1836, '\p{Jg=-shin}', "");
Expect(1, 1836, '\p{^Jg=-shin}', "");
Expect(1, 1836, '\P{Jg=-shin}', "");
Expect(0, 1836, '\P{^Jg=-shin}', "");
Error('\p{Is_Joining_Group= :=SHIN}');
Error('\P{Is_Joining_Group= :=SHIN}');
Expect(1, 1835, '\p{Is_Joining_Group=shin}', "");
Expect(0, 1835, '\p{^Is_Joining_Group=shin}', "");
Expect(0, 1835, '\P{Is_Joining_Group=shin}', "");
Expect(1, 1835, '\P{^Is_Joining_Group=shin}', "");
Expect(0, 1836, '\p{Is_Joining_Group=shin}', "");
Expect(1, 1836, '\p{^Is_Joining_Group=shin}', "");
Expect(1, 1836, '\P{Is_Joining_Group=shin}', "");
Expect(0, 1836, '\P{^Is_Joining_Group=shin}', "");
Error('\p{Is_Jg=-SHIN:=}');
Error('\P{Is_Jg=-SHIN:=}');
Expect(1, 1835, '\p{Is_Jg=shin}', "");
Expect(0, 1835, '\p{^Is_Jg=shin}', "");
Expect(0, 1835, '\P{Is_Jg=shin}', "");
Expect(1, 1835, '\P{^Is_Jg=shin}', "");
Expect(0, 1836, '\p{Is_Jg=shin}', "");
Expect(1, 1836, '\p{^Is_Jg=shin}', "");
Expect(1, 1836, '\P{Is_Jg=shin}', "");
Expect(0, 1836, '\P{^Is_Jg=shin}', "");
Expect(1, 1835, '\p{Is_Jg=		shin}', "");
Expect(0, 1835, '\p{^Is_Jg=		shin}', "");
Expect(0, 1835, '\P{Is_Jg=		shin}', "");
Expect(1, 1835, '\P{^Is_Jg=		shin}', "");
Expect(0, 1836, '\p{Is_Jg=		shin}', "");
Expect(1, 1836, '\p{^Is_Jg=		shin}', "");
Expect(1, 1836, '\P{Is_Jg=		shin}', "");
Expect(0, 1836, '\P{^Is_Jg=		shin}', "");
Error('\p{Joining_Group=-/a/straight_Waw}');
Error('\P{Joining_Group=-/a/straight_Waw}');
Expect(1, 2225, '\p{Joining_Group=straightwaw}', "");
Expect(0, 2225, '\p{^Joining_Group=straightwaw}', "");
Expect(0, 2225, '\P{Joining_Group=straightwaw}', "");
Expect(1, 2225, '\P{^Joining_Group=straightwaw}', "");
Expect(0, 2226, '\p{Joining_Group=straightwaw}', "");
Expect(1, 2226, '\p{^Joining_Group=straightwaw}', "");
Expect(1, 2226, '\P{Joining_Group=straightwaw}', "");
Expect(0, 2226, '\P{^Joining_Group=straightwaw}', "");
Expect(1, 2225, '\p{Joining_Group=__Straight_WAW}', "");
Expect(0, 2225, '\p{^Joining_Group=__Straight_WAW}', "");
Expect(0, 2225, '\P{Joining_Group=__Straight_WAW}', "");
Expect(1, 2225, '\P{^Joining_Group=__Straight_WAW}', "");
Expect(0, 2226, '\p{Joining_Group=__Straight_WAW}', "");
Expect(1, 2226, '\p{^Joining_Group=__Straight_WAW}', "");
Expect(1, 2226, '\P{Joining_Group=__Straight_WAW}', "");
Expect(0, 2226, '\P{^Joining_Group=__Straight_WAW}', "");
Error('\p{Jg=/a/ 	STRAIGHT_Waw}');
Error('\P{Jg=/a/ 	STRAIGHT_Waw}');
Expect(1, 2225, '\p{Jg=straightwaw}', "");
Expect(0, 2225, '\p{^Jg=straightwaw}', "");
Expect(0, 2225, '\P{Jg=straightwaw}', "");
Expect(1, 2225, '\P{^Jg=straightwaw}', "");
Expect(0, 2226, '\p{Jg=straightwaw}', "");
Expect(1, 2226, '\p{^Jg=straightwaw}', "");
Expect(1, 2226, '\P{Jg=straightwaw}', "");
Expect(0, 2226, '\P{^Jg=straightwaw}', "");
Expect(1, 2225, '\p{Jg=-straight_Waw}', "");
Expect(0, 2225, '\p{^Jg=-straight_Waw}', "");
Expect(0, 2225, '\P{Jg=-straight_Waw}', "");
Expect(1, 2225, '\P{^Jg=-straight_Waw}', "");
Expect(0, 2226, '\p{Jg=-straight_Waw}', "");
Expect(1, 2226, '\p{^Jg=-straight_Waw}', "");
Expect(1, 2226, '\P{Jg=-straight_Waw}', "");
Expect(0, 2226, '\P{^Jg=-straight_Waw}', "");
Error('\p{Is_Joining_Group=/a/straight_waw}');
Error('\P{Is_Joining_Group=/a/straight_waw}');
Expect(1, 2225, '\p{Is_Joining_Group:   straightwaw}', "");
Expect(0, 2225, '\p{^Is_Joining_Group:   straightwaw}', "");
Expect(0, 2225, '\P{Is_Joining_Group:   straightwaw}', "");
Expect(1, 2225, '\P{^Is_Joining_Group:   straightwaw}', "");
Expect(0, 2226, '\p{Is_Joining_Group:   straightwaw}', "");
Expect(1, 2226, '\p{^Is_Joining_Group:   straightwaw}', "");
Expect(1, 2226, '\P{Is_Joining_Group:   straightwaw}', "");
Expect(0, 2226, '\P{^Is_Joining_Group:   straightwaw}', "");
Expect(1, 2225, '\p{Is_Joining_Group=_	straight_Waw}', "");
Expect(0, 2225, '\p{^Is_Joining_Group=_	straight_Waw}', "");
Expect(0, 2225, '\P{Is_Joining_Group=_	straight_Waw}', "");
Expect(1, 2225, '\P{^Is_Joining_Group=_	straight_Waw}', "");
Expect(0, 2226, '\p{Is_Joining_Group=_	straight_Waw}', "");
Expect(1, 2226, '\p{^Is_Joining_Group=_	straight_Waw}', "");
Expect(1, 2226, '\P{Is_Joining_Group=_	straight_Waw}', "");
Expect(0, 2226, '\P{^Is_Joining_Group=_	straight_Waw}', "");
Error('\p{Is_Jg= 	Straight_WAW:=}');
Error('\P{Is_Jg= 	Straight_WAW:=}');
Expect(1, 2225, '\p{Is_Jg:	straightwaw}', "");
Expect(0, 2225, '\p{^Is_Jg:	straightwaw}', "");
Expect(0, 2225, '\P{Is_Jg:	straightwaw}', "");
Expect(1, 2225, '\P{^Is_Jg:	straightwaw}', "");
Expect(0, 2226, '\p{Is_Jg:	straightwaw}', "");
Expect(1, 2226, '\p{^Is_Jg:	straightwaw}', "");
Expect(1, 2226, '\P{Is_Jg:	straightwaw}', "");
Expect(0, 2226, '\P{^Is_Jg:	straightwaw}', "");
Expect(1, 2225, '\p{Is_Jg:		 STRAIGHT_WAW}', "");
Expect(0, 2225, '\p{^Is_Jg:		 STRAIGHT_WAW}', "");
Expect(0, 2225, '\P{Is_Jg:		 STRAIGHT_WAW}', "");
Expect(1, 2225, '\P{^Is_Jg:		 STRAIGHT_WAW}', "");
Expect(0, 2226, '\p{Is_Jg:		 STRAIGHT_WAW}', "");
Expect(1, 2226, '\p{^Is_Jg:		 STRAIGHT_WAW}', "");
Expect(1, 2226, '\P{Is_Jg:		 STRAIGHT_WAW}', "");
Expect(0, 2226, '\P{^Is_Jg:		 STRAIGHT_WAW}', "");
Error('\p{Joining_Group=:=	 SWASH_kaf}');
Error('\P{Joining_Group=:=	 SWASH_kaf}');
Expect(1, 1706, '\p{Joining_Group=swashkaf}', "");
Expect(0, 1706, '\p{^Joining_Group=swashkaf}', "");
Expect(0, 1706, '\P{Joining_Group=swashkaf}', "");
Expect(1, 1706, '\P{^Joining_Group=swashkaf}', "");
Expect(0, 1707, '\p{Joining_Group=swashkaf}', "");
Expect(1, 1707, '\p{^Joining_Group=swashkaf}', "");
Expect(1, 1707, '\P{Joining_Group=swashkaf}', "");
Expect(0, 1707, '\P{^Joining_Group=swashkaf}', "");
Expect(1, 1706, '\p{Joining_Group=__Swash_Kaf}', "");
Expect(0, 1706, '\p{^Joining_Group=__Swash_Kaf}', "");
Expect(0, 1706, '\P{Joining_Group=__Swash_Kaf}', "");
Expect(1, 1706, '\P{^Joining_Group=__Swash_Kaf}', "");
Expect(0, 1707, '\p{Joining_Group=__Swash_Kaf}', "");
Expect(1, 1707, '\p{^Joining_Group=__Swash_Kaf}', "");
Expect(1, 1707, '\P{Joining_Group=__Swash_Kaf}', "");
Expect(0, 1707, '\P{^Joining_Group=__Swash_Kaf}', "");
Error('\p{Jg=-:=Swash_kaf}');
Error('\P{Jg=-:=Swash_kaf}');
Expect(1, 1706, '\p{Jg=swashkaf}', "");
Expect(0, 1706, '\p{^Jg=swashkaf}', "");
Expect(0, 1706, '\P{Jg=swashkaf}', "");
Expect(1, 1706, '\P{^Jg=swashkaf}', "");
Expect(0, 1707, '\p{Jg=swashkaf}', "");
Expect(1, 1707, '\p{^Jg=swashkaf}', "");
Expect(1, 1707, '\P{Jg=swashkaf}', "");
Expect(0, 1707, '\P{^Jg=swashkaf}', "");
Expect(1, 1706, '\p{Jg=		SWASH_kaf}', "");
Expect(0, 1706, '\p{^Jg=		SWASH_kaf}', "");
Expect(0, 1706, '\P{Jg=		SWASH_kaf}', "");
Expect(1, 1706, '\P{^Jg=		SWASH_kaf}', "");
Expect(0, 1707, '\p{Jg=		SWASH_kaf}', "");
Expect(1, 1707, '\p{^Jg=		SWASH_kaf}', "");
Expect(1, 1707, '\P{Jg=		SWASH_kaf}', "");
Expect(0, 1707, '\P{^Jg=		SWASH_kaf}', "");
Error('\p{Is_Joining_Group:   /a/-swash_KAF}');
Error('\P{Is_Joining_Group:   /a/-swash_KAF}');
Expect(1, 1706, '\p{Is_Joining_Group=swashkaf}', "");
Expect(0, 1706, '\p{^Is_Joining_Group=swashkaf}', "");
Expect(0, 1706, '\P{Is_Joining_Group=swashkaf}', "");
Expect(1, 1706, '\P{^Is_Joining_Group=swashkaf}', "");
Expect(0, 1707, '\p{Is_Joining_Group=swashkaf}', "");
Expect(1, 1707, '\p{^Is_Joining_Group=swashkaf}', "");
Expect(1, 1707, '\P{Is_Joining_Group=swashkaf}', "");
Expect(0, 1707, '\P{^Is_Joining_Group=swashkaf}', "");
Expect(1, 1706, '\p{Is_Joining_Group=- swash_kaf}', "");
Expect(0, 1706, '\p{^Is_Joining_Group=- swash_kaf}', "");
Expect(0, 1706, '\P{Is_Joining_Group=- swash_kaf}', "");
Expect(1, 1706, '\P{^Is_Joining_Group=- swash_kaf}', "");
Expect(0, 1707, '\p{Is_Joining_Group=- swash_kaf}', "");
Expect(1, 1707, '\p{^Is_Joining_Group=- swash_kaf}', "");
Expect(1, 1707, '\P{Is_Joining_Group=- swash_kaf}', "");
Expect(0, 1707, '\P{^Is_Joining_Group=- swash_kaf}', "");
Error('\p{Is_Jg=:=-	SWASH_KAF}');
Error('\P{Is_Jg=:=-	SWASH_KAF}');
Expect(1, 1706, '\p{Is_Jg=swashkaf}', "");
Expect(0, 1706, '\p{^Is_Jg=swashkaf}', "");
Expect(0, 1706, '\P{Is_Jg=swashkaf}', "");
Expect(1, 1706, '\P{^Is_Jg=swashkaf}', "");
Expect(0, 1707, '\p{Is_Jg=swashkaf}', "");
Expect(1, 1707, '\p{^Is_Jg=swashkaf}', "");
Expect(1, 1707, '\P{Is_Jg=swashkaf}', "");
Expect(0, 1707, '\P{^Is_Jg=swashkaf}', "");
Expect(1, 1706, '\p{Is_Jg=	-Swash_KAF}', "");
Expect(0, 1706, '\p{^Is_Jg=	-Swash_KAF}', "");
Expect(0, 1706, '\P{Is_Jg=	-Swash_KAF}', "");
Expect(1, 1706, '\P{^Is_Jg=	-Swash_KAF}', "");
Expect(0, 1707, '\p{Is_Jg=	-Swash_KAF}', "");
Expect(1, 1707, '\p{^Is_Jg=	-Swash_KAF}', "");
Expect(1, 1707, '\P{Is_Jg=	-Swash_KAF}', "");
Expect(0, 1707, '\P{^Is_Jg=	-Swash_KAF}', "");
Error('\p{Joining_Group=:=_	syriac_WAW}');
Error('\P{Joining_Group=:=_	syriac_WAW}');
Expect(1, 1816, '\p{Joining_Group=syriacwaw}', "");
Expect(0, 1816, '\p{^Joining_Group=syriacwaw}', "");
Expect(0, 1816, '\P{Joining_Group=syriacwaw}', "");
Expect(1, 1816, '\P{^Joining_Group=syriacwaw}', "");
Expect(0, 1817, '\p{Joining_Group=syriacwaw}', "");
Expect(1, 1817, '\p{^Joining_Group=syriacwaw}', "");
Expect(1, 1817, '\P{Joining_Group=syriacwaw}', "");
Expect(0, 1817, '\P{^Joining_Group=syriacwaw}', "");
Expect(1, 1816, '\p{Joining_Group=-Syriac_Waw}', "");
Expect(0, 1816, '\p{^Joining_Group=-Syriac_Waw}', "");
Expect(0, 1816, '\P{Joining_Group=-Syriac_Waw}', "");
Expect(1, 1816, '\P{^Joining_Group=-Syriac_Waw}', "");
Expect(0, 1817, '\p{Joining_Group=-Syriac_Waw}', "");
Expect(1, 1817, '\p{^Joining_Group=-Syriac_Waw}', "");
Expect(1, 1817, '\P{Joining_Group=-Syriac_Waw}', "");
Expect(0, 1817, '\P{^Joining_Group=-Syriac_Waw}', "");
Error('\p{Jg= :=Syriac_Waw}');
Error('\P{Jg= :=Syriac_Waw}');
Expect(1, 1816, '\p{Jg=syriacwaw}', "");
Expect(0, 1816, '\p{^Jg=syriacwaw}', "");
Expect(0, 1816, '\P{Jg=syriacwaw}', "");
Expect(1, 1816, '\P{^Jg=syriacwaw}', "");
Expect(0, 1817, '\p{Jg=syriacwaw}', "");
Expect(1, 1817, '\p{^Jg=syriacwaw}', "");
Expect(1, 1817, '\P{Jg=syriacwaw}', "");
Expect(0, 1817, '\P{^Jg=syriacwaw}', "");
Expect(1, 1816, '\p{Jg=-syriac_waw}', "");
Expect(0, 1816, '\p{^Jg=-syriac_waw}', "");
Expect(0, 1816, '\P{Jg=-syriac_waw}', "");
Expect(1, 1816, '\P{^Jg=-syriac_waw}', "");
Expect(0, 1817, '\p{Jg=-syriac_waw}', "");
Expect(1, 1817, '\p{^Jg=-syriac_waw}', "");
Expect(1, 1817, '\P{Jg=-syriac_waw}', "");
Expect(0, 1817, '\P{^Jg=-syriac_waw}', "");
Error('\p{Is_Joining_Group=/a/	-syriac_waw}');
Error('\P{Is_Joining_Group=/a/	-syriac_waw}');
Expect(1, 1816, '\p{Is_Joining_Group=syriacwaw}', "");
Expect(0, 1816, '\p{^Is_Joining_Group=syriacwaw}', "");
Expect(0, 1816, '\P{Is_Joining_Group=syriacwaw}', "");
Expect(1, 1816, '\P{^Is_Joining_Group=syriacwaw}', "");
Expect(0, 1817, '\p{Is_Joining_Group=syriacwaw}', "");
Expect(1, 1817, '\p{^Is_Joining_Group=syriacwaw}', "");
Expect(1, 1817, '\P{Is_Joining_Group=syriacwaw}', "");
Expect(0, 1817, '\P{^Is_Joining_Group=syriacwaw}', "");
Expect(1, 1816, '\p{Is_Joining_Group=__syriac_waw}', "");
Expect(0, 1816, '\p{^Is_Joining_Group=__syriac_waw}', "");
Expect(0, 1816, '\P{Is_Joining_Group=__syriac_waw}', "");
Expect(1, 1816, '\P{^Is_Joining_Group=__syriac_waw}', "");
Expect(0, 1817, '\p{Is_Joining_Group=__syriac_waw}', "");
Expect(1, 1817, '\p{^Is_Joining_Group=__syriac_waw}', "");
Expect(1, 1817, '\P{Is_Joining_Group=__syriac_waw}', "");
Expect(0, 1817, '\P{^Is_Joining_Group=__syriac_waw}', "");
Error('\p{Is_Jg=-/a/Syriac_Waw}');
Error('\P{Is_Jg=-/a/Syriac_Waw}');
Expect(1, 1816, '\p{Is_Jg=syriacwaw}', "");
Expect(0, 1816, '\p{^Is_Jg=syriacwaw}', "");
Expect(0, 1816, '\P{Is_Jg=syriacwaw}', "");
Expect(1, 1816, '\P{^Is_Jg=syriacwaw}', "");
Expect(0, 1817, '\p{Is_Jg=syriacwaw}', "");
Expect(1, 1817, '\p{^Is_Jg=syriacwaw}', "");
Expect(1, 1817, '\P{Is_Jg=syriacwaw}', "");
Expect(0, 1817, '\P{^Is_Jg=syriacwaw}', "");
Expect(1, 1816, '\p{Is_Jg=- Syriac_WAW}', "");
Expect(0, 1816, '\p{^Is_Jg=- Syriac_WAW}', "");
Expect(0, 1816, '\P{Is_Jg=- Syriac_WAW}', "");
Expect(1, 1816, '\P{^Is_Jg=- Syriac_WAW}', "");
Expect(0, 1817, '\p{Is_Jg=- Syriac_WAW}', "");
Expect(1, 1817, '\p{^Is_Jg=- Syriac_WAW}', "");
Expect(1, 1817, '\P{Is_Jg=- Syriac_WAW}', "");
Expect(0, 1817, '\P{^Is_Jg=- Syriac_WAW}', "");
Error('\p{Joining_Group=_/a/Tah}');
Error('\P{Joining_Group=_/a/Tah}');
Expect(1, 2211, '\p{Joining_Group=tah}', "");
Expect(0, 2211, '\p{^Joining_Group=tah}', "");
Expect(0, 2211, '\P{Joining_Group=tah}', "");
Expect(1, 2211, '\P{^Joining_Group=tah}', "");
Expect(0, 2212, '\p{Joining_Group=tah}', "");
Expect(1, 2212, '\p{^Joining_Group=tah}', "");
Expect(1, 2212, '\P{Joining_Group=tah}', "");
Expect(0, 2212, '\P{^Joining_Group=tah}', "");
Expect(1, 2211, '\p{Joining_Group=-_TAH}', "");
Expect(0, 2211, '\p{^Joining_Group=-_TAH}', "");
Expect(0, 2211, '\P{Joining_Group=-_TAH}', "");
Expect(1, 2211, '\P{^Joining_Group=-_TAH}', "");
Expect(0, 2212, '\p{Joining_Group=-_TAH}', "");
Expect(1, 2212, '\p{^Joining_Group=-_TAH}', "");
Expect(1, 2212, '\P{Joining_Group=-_TAH}', "");
Expect(0, 2212, '\P{^Joining_Group=-_TAH}', "");
Error('\p{Jg=_	TAH:=}');
Error('\P{Jg=_	TAH:=}');
Expect(1, 2211, '\p{Jg:tah}', "");
Expect(0, 2211, '\p{^Jg:tah}', "");
Expect(0, 2211, '\P{Jg:tah}', "");
Expect(1, 2211, '\P{^Jg:tah}', "");
Expect(0, 2212, '\p{Jg:tah}', "");
Expect(1, 2212, '\p{^Jg:tah}', "");
Expect(1, 2212, '\P{Jg:tah}', "");
Expect(0, 2212, '\P{^Jg:tah}', "");
Expect(1, 2211, '\p{Jg=_Tah}', "");
Expect(0, 2211, '\p{^Jg=_Tah}', "");
Expect(0, 2211, '\P{Jg=_Tah}', "");
Expect(1, 2211, '\P{^Jg=_Tah}', "");
Expect(0, 2212, '\p{Jg=_Tah}', "");
Expect(1, 2212, '\p{^Jg=_Tah}', "");
Expect(1, 2212, '\P{Jg=_Tah}', "");
Expect(0, 2212, '\P{^Jg=_Tah}', "");
Error('\p{Is_Joining_Group=_:=tah}');
Error('\P{Is_Joining_Group=_:=tah}');
Expect(1, 2211, '\p{Is_Joining_Group=tah}', "");
Expect(0, 2211, '\p{^Is_Joining_Group=tah}', "");
Expect(0, 2211, '\P{Is_Joining_Group=tah}', "");
Expect(1, 2211, '\P{^Is_Joining_Group=tah}', "");
Expect(0, 2212, '\p{Is_Joining_Group=tah}', "");
Expect(1, 2212, '\p{^Is_Joining_Group=tah}', "");
Expect(1, 2212, '\P{Is_Joining_Group=tah}', "");
Expect(0, 2212, '\P{^Is_Joining_Group=tah}', "");
Expect(1, 2211, '\p{Is_Joining_Group= _Tah}', "");
Expect(0, 2211, '\p{^Is_Joining_Group= _Tah}', "");
Expect(0, 2211, '\P{Is_Joining_Group= _Tah}', "");
Expect(1, 2211, '\P{^Is_Joining_Group= _Tah}', "");
Expect(0, 2212, '\p{Is_Joining_Group= _Tah}', "");
Expect(1, 2212, '\p{^Is_Joining_Group= _Tah}', "");
Expect(1, 2212, '\P{Is_Joining_Group= _Tah}', "");
Expect(0, 2212, '\P{^Is_Joining_Group= _Tah}', "");
Error('\p{Is_Jg=- Tah/a/}');
Error('\P{Is_Jg=- Tah/a/}');
Expect(1, 2211, '\p{Is_Jg=tah}', "");
Expect(0, 2211, '\p{^Is_Jg=tah}', "");
Expect(0, 2211, '\P{Is_Jg=tah}', "");
Expect(1, 2211, '\P{^Is_Jg=tah}', "");
Expect(0, 2212, '\p{Is_Jg=tah}', "");
Expect(1, 2212, '\p{^Is_Jg=tah}', "");
Expect(1, 2212, '\P{Is_Jg=tah}', "");
Expect(0, 2212, '\P{^Is_Jg=tah}', "");
Expect(1, 2211, '\p{Is_Jg=_TAH}', "");
Expect(0, 2211, '\p{^Is_Jg=_TAH}', "");
Expect(0, 2211, '\P{Is_Jg=_TAH}', "");
Expect(1, 2211, '\P{^Is_Jg=_TAH}', "");
Expect(0, 2212, '\p{Is_Jg=_TAH}', "");
Expect(1, 2212, '\p{^Is_Jg=_TAH}', "");
Expect(1, 2212, '\P{Is_Jg=_TAH}', "");
Expect(0, 2212, '\P{^Is_Jg=_TAH}', "");
Error('\p{Joining_Group=-Taw:=}');
Error('\P{Joining_Group=-Taw:=}');
Expect(1, 1836, '\p{Joining_Group=taw}', "");
Expect(0, 1836, '\p{^Joining_Group=taw}', "");
Expect(0, 1836, '\P{Joining_Group=taw}', "");
Expect(1, 1836, '\P{^Joining_Group=taw}', "");
Expect(0, 1837, '\p{Joining_Group=taw}', "");
Expect(1, 1837, '\p{^Joining_Group=taw}', "");
Expect(1, 1837, '\P{Joining_Group=taw}', "");
Expect(0, 1837, '\P{^Joining_Group=taw}', "");
Expect(1, 1836, '\p{Joining_Group:	 Taw}', "");
Expect(0, 1836, '\p{^Joining_Group:	 Taw}', "");
Expect(0, 1836, '\P{Joining_Group:	 Taw}', "");
Expect(1, 1836, '\P{^Joining_Group:	 Taw}', "");
Expect(0, 1837, '\p{Joining_Group:	 Taw}', "");
Expect(1, 1837, '\p{^Joining_Group:	 Taw}', "");
Expect(1, 1837, '\P{Joining_Group:	 Taw}', "");
Expect(0, 1837, '\P{^Joining_Group:	 Taw}', "");
Error('\p{Jg=/a/__taw}');
Error('\P{Jg=/a/__taw}');
Expect(1, 1836, '\p{Jg=taw}', "");
Expect(0, 1836, '\p{^Jg=taw}', "");
Expect(0, 1836, '\P{Jg=taw}', "");
Expect(1, 1836, '\P{^Jg=taw}', "");
Expect(0, 1837, '\p{Jg=taw}', "");
Expect(1, 1837, '\p{^Jg=taw}', "");
Expect(1, 1837, '\P{Jg=taw}', "");
Expect(0, 1837, '\P{^Jg=taw}', "");
Expect(1, 1836, '\p{Jg=  TAW}', "");
Expect(0, 1836, '\p{^Jg=  TAW}', "");
Expect(0, 1836, '\P{Jg=  TAW}', "");
Expect(1, 1836, '\P{^Jg=  TAW}', "");
Expect(0, 1837, '\p{Jg=  TAW}', "");
Expect(1, 1837, '\p{^Jg=  TAW}', "");
Expect(1, 1837, '\P{Jg=  TAW}', "");
Expect(0, 1837, '\P{^Jg=  TAW}', "");
Error('\p{Is_Joining_Group=- TAW/a/}');
Error('\P{Is_Joining_Group=- TAW/a/}');
Expect(1, 1836, '\p{Is_Joining_Group=taw}', "");
Expect(0, 1836, '\p{^Is_Joining_Group=taw}', "");
Expect(0, 1836, '\P{Is_Joining_Group=taw}', "");
Expect(1, 1836, '\P{^Is_Joining_Group=taw}', "");
Expect(0, 1837, '\p{Is_Joining_Group=taw}', "");
Expect(1, 1837, '\p{^Is_Joining_Group=taw}', "");
Expect(1, 1837, '\P{Is_Joining_Group=taw}', "");
Expect(0, 1837, '\P{^Is_Joining_Group=taw}', "");
Expect(1, 1836, '\p{Is_Joining_Group=__Taw}', "");
Expect(0, 1836, '\p{^Is_Joining_Group=__Taw}', "");
Expect(0, 1836, '\P{Is_Joining_Group=__Taw}', "");
Expect(1, 1836, '\P{^Is_Joining_Group=__Taw}', "");
Expect(0, 1837, '\p{Is_Joining_Group=__Taw}', "");
Expect(1, 1837, '\p{^Is_Joining_Group=__Taw}', "");
Expect(1, 1837, '\P{Is_Joining_Group=__Taw}', "");
Expect(0, 1837, '\P{^Is_Joining_Group=__Taw}', "");
Error('\p{Is_Jg=:= _TAW}');
Error('\P{Is_Jg=:= _TAW}');
Expect(1, 1836, '\p{Is_Jg=taw}', "");
Expect(0, 1836, '\p{^Is_Jg=taw}', "");
Expect(0, 1836, '\P{Is_Jg=taw}', "");
Expect(1, 1836, '\P{^Is_Jg=taw}', "");
Expect(0, 1837, '\p{Is_Jg=taw}', "");
Expect(1, 1837, '\p{^Is_Jg=taw}', "");
Expect(1, 1837, '\P{Is_Jg=taw}', "");
Expect(0, 1837, '\P{^Is_Jg=taw}', "");
Expect(1, 1836, '\p{Is_Jg=__Taw}', "");
Expect(0, 1836, '\p{^Is_Jg=__Taw}', "");
Expect(0, 1836, '\P{Is_Jg=__Taw}', "");
Expect(1, 1836, '\P{^Is_Jg=__Taw}', "");
Expect(0, 1837, '\p{Is_Jg=__Taw}', "");
Expect(1, 1837, '\p{^Is_Jg=__Taw}', "");
Expect(1, 1837, '\P{Is_Jg=__Taw}', "");
Expect(0, 1837, '\P{^Is_Jg=__Taw}', "");
Error('\p{Joining_Group:   --teh_Marbuta:=}');
Error('\P{Joining_Group:   --teh_Marbuta:=}');
Expect(1, 1749, '\p{Joining_Group=tehmarbuta}', "");
Expect(0, 1749, '\p{^Joining_Group=tehmarbuta}', "");
Expect(0, 1749, '\P{Joining_Group=tehmarbuta}', "");
Expect(1, 1749, '\P{^Joining_Group=tehmarbuta}', "");
Expect(0, 1750, '\p{Joining_Group=tehmarbuta}', "");
Expect(1, 1750, '\p{^Joining_Group=tehmarbuta}', "");
Expect(1, 1750, '\P{Joining_Group=tehmarbuta}', "");
Expect(0, 1750, '\P{^Joining_Group=tehmarbuta}', "");
Expect(1, 1749, '\p{Joining_Group=_ teh_Marbuta}', "");
Expect(0, 1749, '\p{^Joining_Group=_ teh_Marbuta}', "");
Expect(0, 1749, '\P{Joining_Group=_ teh_Marbuta}', "");
Expect(1, 1749, '\P{^Joining_Group=_ teh_Marbuta}', "");
Expect(0, 1750, '\p{Joining_Group=_ teh_Marbuta}', "");
Expect(1, 1750, '\p{^Joining_Group=_ teh_Marbuta}', "");
Expect(1, 1750, '\P{Joining_Group=_ teh_Marbuta}', "");
Expect(0, 1750, '\P{^Joining_Group=_ teh_Marbuta}', "");
Error('\p{Jg=  Teh_Marbuta/a/}');
Error('\P{Jg=  Teh_Marbuta/a/}');
Expect(1, 1749, '\p{Jg:	tehmarbuta}', "");
Expect(0, 1749, '\p{^Jg:	tehmarbuta}', "");
Expect(0, 1749, '\P{Jg:	tehmarbuta}', "");
Expect(1, 1749, '\P{^Jg:	tehmarbuta}', "");
Expect(0, 1750, '\p{Jg:	tehmarbuta}', "");
Expect(1, 1750, '\p{^Jg:	tehmarbuta}', "");
Expect(1, 1750, '\P{Jg:	tehmarbuta}', "");
Expect(0, 1750, '\P{^Jg:	tehmarbuta}', "");
Expect(1, 1749, '\p{Jg=_-teh_Marbuta}', "");
Expect(0, 1749, '\p{^Jg=_-teh_Marbuta}', "");
Expect(0, 1749, '\P{Jg=_-teh_Marbuta}', "");
Expect(1, 1749, '\P{^Jg=_-teh_Marbuta}', "");
Expect(0, 1750, '\p{Jg=_-teh_Marbuta}', "");
Expect(1, 1750, '\p{^Jg=_-teh_Marbuta}', "");
Expect(1, 1750, '\P{Jg=_-teh_Marbuta}', "");
Expect(0, 1750, '\P{^Jg=_-teh_Marbuta}', "");
Error('\p{Is_Joining_Group=_Teh_Marbuta:=}');
Error('\P{Is_Joining_Group=_Teh_Marbuta:=}');
Expect(1, 1749, '\p{Is_Joining_Group=tehmarbuta}', "");
Expect(0, 1749, '\p{^Is_Joining_Group=tehmarbuta}', "");
Expect(0, 1749, '\P{Is_Joining_Group=tehmarbuta}', "");
Expect(1, 1749, '\P{^Is_Joining_Group=tehmarbuta}', "");
Expect(0, 1750, '\p{Is_Joining_Group=tehmarbuta}', "");
Expect(1, 1750, '\p{^Is_Joining_Group=tehmarbuta}', "");
Expect(1, 1750, '\P{Is_Joining_Group=tehmarbuta}', "");
Expect(0, 1750, '\P{^Is_Joining_Group=tehmarbuta}', "");
Expect(1, 1749, '\p{Is_Joining_Group:- Teh_marbuta}', "");
Expect(0, 1749, '\p{^Is_Joining_Group:- Teh_marbuta}', "");
Expect(0, 1749, '\P{Is_Joining_Group:- Teh_marbuta}', "");
Expect(1, 1749, '\P{^Is_Joining_Group:- Teh_marbuta}', "");
Expect(0, 1750, '\p{Is_Joining_Group:- Teh_marbuta}', "");
Expect(1, 1750, '\p{^Is_Joining_Group:- Teh_marbuta}', "");
Expect(1, 1750, '\P{Is_Joining_Group:- Teh_marbuta}', "");
Expect(0, 1750, '\P{^Is_Joining_Group:- Teh_marbuta}', "");
Error('\p{Is_Jg=/a/	TEH_Marbuta}');
Error('\P{Is_Jg=/a/	TEH_Marbuta}');
Expect(1, 1749, '\p{Is_Jg=tehmarbuta}', "");
Expect(0, 1749, '\p{^Is_Jg=tehmarbuta}', "");
Expect(0, 1749, '\P{Is_Jg=tehmarbuta}', "");
Expect(1, 1749, '\P{^Is_Jg=tehmarbuta}', "");
Expect(0, 1750, '\p{Is_Jg=tehmarbuta}', "");
Expect(1, 1750, '\p{^Is_Jg=tehmarbuta}', "");
Expect(1, 1750, '\P{Is_Jg=tehmarbuta}', "");
Expect(0, 1750, '\P{^Is_Jg=tehmarbuta}', "");
Expect(1, 1749, '\p{Is_Jg=--teh_marbuta}', "");
Expect(0, 1749, '\p{^Is_Jg=--teh_marbuta}', "");
Expect(0, 1749, '\P{Is_Jg=--teh_marbuta}', "");
Expect(1, 1749, '\P{^Is_Jg=--teh_marbuta}', "");
Expect(0, 1750, '\p{Is_Jg=--teh_marbuta}', "");
Expect(1, 1750, '\p{^Is_Jg=--teh_marbuta}', "");
Expect(1, 1750, '\P{Is_Jg=--teh_marbuta}', "");
Expect(0, 1750, '\P{^Is_Jg=--teh_marbuta}', "");
Error('\p{Joining_Group=/a/hamza_on_Heh_Goal}');
Error('\P{Joining_Group=/a/hamza_on_Heh_Goal}');
Expect(1, 1731, '\p{Joining_Group=hamzaonhehgoal}', "");
Expect(0, 1731, '\p{^Joining_Group=hamzaonhehgoal}', "");
Expect(0, 1731, '\P{Joining_Group=hamzaonhehgoal}', "");
Expect(1, 1731, '\P{^Joining_Group=hamzaonhehgoal}', "");
Expect(0, 1732, '\p{Joining_Group=hamzaonhehgoal}', "");
Expect(1, 1732, '\p{^Joining_Group=hamzaonhehgoal}', "");
Expect(1, 1732, '\P{Joining_Group=hamzaonhehgoal}', "");
Expect(0, 1732, '\P{^Joining_Group=hamzaonhehgoal}', "");
Expect(1, 1731, '\p{Joining_Group: -	Hamza_On_Heh_Goal}', "");
Expect(0, 1731, '\p{^Joining_Group: -	Hamza_On_Heh_Goal}', "");
Expect(0, 1731, '\P{Joining_Group: -	Hamza_On_Heh_Goal}', "");
Expect(1, 1731, '\P{^Joining_Group: -	Hamza_On_Heh_Goal}', "");
Expect(0, 1732, '\p{Joining_Group: -	Hamza_On_Heh_Goal}', "");
Expect(1, 1732, '\p{^Joining_Group: -	Hamza_On_Heh_Goal}', "");
Expect(1, 1732, '\P{Joining_Group: -	Hamza_On_Heh_Goal}', "");
Expect(0, 1732, '\P{^Joining_Group: -	Hamza_On_Heh_Goal}', "");
Error('\p{Jg=-	Teh_Marbuta_Goal:=}');
Error('\P{Jg=-	Teh_Marbuta_Goal:=}');
Expect(1, 1731, '\p{Jg=tehmarbutagoal}', "");
Expect(0, 1731, '\p{^Jg=tehmarbutagoal}', "");
Expect(0, 1731, '\P{Jg=tehmarbutagoal}', "");
Expect(1, 1731, '\P{^Jg=tehmarbutagoal}', "");
Expect(0, 1732, '\p{Jg=tehmarbutagoal}', "");
Expect(1, 1732, '\p{^Jg=tehmarbutagoal}', "");
Expect(1, 1732, '\P{Jg=tehmarbutagoal}', "");
Expect(0, 1732, '\P{^Jg=tehmarbutagoal}', "");
Expect(1, 1731, '\p{Jg=-teh_marbuta_Goal}', "");
Expect(0, 1731, '\p{^Jg=-teh_marbuta_Goal}', "");
Expect(0, 1731, '\P{Jg=-teh_marbuta_Goal}', "");
Expect(1, 1731, '\P{^Jg=-teh_marbuta_Goal}', "");
Expect(0, 1732, '\p{Jg=-teh_marbuta_Goal}', "");
Expect(1, 1732, '\p{^Jg=-teh_marbuta_Goal}', "");
Expect(1, 1732, '\P{Jg=-teh_marbuta_Goal}', "");
Expect(0, 1732, '\P{^Jg=-teh_marbuta_Goal}', "");
Error('\p{Is_Joining_Group=_:=HAMZA_ON_Heh_Goal}');
Error('\P{Is_Joining_Group=_:=HAMZA_ON_Heh_Goal}');
Expect(1, 1731, '\p{Is_Joining_Group=hamzaonhehgoal}', "");
Expect(0, 1731, '\p{^Is_Joining_Group=hamzaonhehgoal}', "");
Expect(0, 1731, '\P{Is_Joining_Group=hamzaonhehgoal}', "");
Expect(1, 1731, '\P{^Is_Joining_Group=hamzaonhehgoal}', "");
Expect(0, 1732, '\p{Is_Joining_Group=hamzaonhehgoal}', "");
Expect(1, 1732, '\p{^Is_Joining_Group=hamzaonhehgoal}', "");
Expect(1, 1732, '\P{Is_Joining_Group=hamzaonhehgoal}', "");
Expect(0, 1732, '\P{^Is_Joining_Group=hamzaonhehgoal}', "");
Expect(1, 1731, '\p{Is_Joining_Group=	-hamza_On_Heh_goal}', "");
Expect(0, 1731, '\p{^Is_Joining_Group=	-hamza_On_Heh_goal}', "");
Expect(0, 1731, '\P{Is_Joining_Group=	-hamza_On_Heh_goal}', "");
Expect(1, 1731, '\P{^Is_Joining_Group=	-hamza_On_Heh_goal}', "");
Expect(0, 1732, '\p{Is_Joining_Group=	-hamza_On_Heh_goal}', "");
Expect(1, 1732, '\p{^Is_Joining_Group=	-hamza_On_Heh_goal}', "");
Expect(1, 1732, '\P{Is_Joining_Group=	-hamza_On_Heh_goal}', "");
Expect(0, 1732, '\P{^Is_Joining_Group=	-hamza_On_Heh_goal}', "");
Error('\p{Is_Jg= TEH_marbuta_Goal:=}');
Error('\P{Is_Jg= TEH_marbuta_Goal:=}');
Expect(1, 1731, '\p{Is_Jg=tehmarbutagoal}', "");
Expect(0, 1731, '\p{^Is_Jg=tehmarbutagoal}', "");
Expect(0, 1731, '\P{Is_Jg=tehmarbutagoal}', "");
Expect(1, 1731, '\P{^Is_Jg=tehmarbutagoal}', "");
Expect(0, 1732, '\p{Is_Jg=tehmarbutagoal}', "");
Expect(1, 1732, '\p{^Is_Jg=tehmarbutagoal}', "");
Expect(1, 1732, '\P{Is_Jg=tehmarbutagoal}', "");
Expect(0, 1732, '\P{^Is_Jg=tehmarbutagoal}', "");
Expect(1, 1731, '\p{Is_Jg=Teh_MARBUTA_Goal}', "");
Expect(0, 1731, '\p{^Is_Jg=Teh_MARBUTA_Goal}', "");
Expect(0, 1731, '\P{Is_Jg=Teh_MARBUTA_Goal}', "");
Expect(1, 1731, '\P{^Is_Jg=Teh_MARBUTA_Goal}', "");
Expect(0, 1732, '\p{Is_Jg=Teh_MARBUTA_Goal}', "");
Expect(1, 1732, '\p{^Is_Jg=Teh_MARBUTA_Goal}', "");
Expect(1, 1732, '\P{Is_Jg=Teh_MARBUTA_Goal}', "");
Expect(0, 1732, '\P{^Is_Jg=Teh_MARBUTA_Goal}', "");
Error('\p{Joining_Group=	/a/teth}');
Error('\P{Joining_Group=	/a/teth}');
Expect(1, 1820, '\p{Joining_Group=teth}', "");
Expect(0, 1820, '\p{^Joining_Group=teth}', "");
Expect(0, 1820, '\P{Joining_Group=teth}', "");
Expect(1, 1820, '\P{^Joining_Group=teth}', "");
Expect(0, 1821, '\p{Joining_Group=teth}', "");
Expect(1, 1821, '\p{^Joining_Group=teth}', "");
Expect(1, 1821, '\P{Joining_Group=teth}', "");
Expect(0, 1821, '\P{^Joining_Group=teth}', "");
Expect(1, 1820, '\p{Joining_Group=_Teth}', "");
Expect(0, 1820, '\p{^Joining_Group=_Teth}', "");
Expect(0, 1820, '\P{Joining_Group=_Teth}', "");
Expect(1, 1820, '\P{^Joining_Group=_Teth}', "");
Expect(0, 1821, '\p{Joining_Group=_Teth}', "");
Expect(1, 1821, '\p{^Joining_Group=_Teth}', "");
Expect(1, 1821, '\P{Joining_Group=_Teth}', "");
Expect(0, 1821, '\P{^Joining_Group=_Teth}', "");
Error('\p{Jg= :=Teth}');
Error('\P{Jg= :=Teth}');
Expect(1, 1820, '\p{Jg=teth}', "");
Expect(0, 1820, '\p{^Jg=teth}', "");
Expect(0, 1820, '\P{Jg=teth}', "");
Expect(1, 1820, '\P{^Jg=teth}', "");
Expect(0, 1821, '\p{Jg=teth}', "");
Expect(1, 1821, '\p{^Jg=teth}', "");
Expect(1, 1821, '\P{Jg=teth}', "");
Expect(0, 1821, '\P{^Jg=teth}', "");
Expect(1, 1820, '\p{Jg=	_TETH}', "");
Expect(0, 1820, '\p{^Jg=	_TETH}', "");
Expect(0, 1820, '\P{Jg=	_TETH}', "");
Expect(1, 1820, '\P{^Jg=	_TETH}', "");
Expect(0, 1821, '\p{Jg=	_TETH}', "");
Expect(1, 1821, '\p{^Jg=	_TETH}', "");
Expect(1, 1821, '\P{Jg=	_TETH}', "");
Expect(0, 1821, '\P{^Jg=	_TETH}', "");
Error('\p{Is_Joining_Group=TETH:=}');
Error('\P{Is_Joining_Group=TETH:=}');
Expect(1, 1820, '\p{Is_Joining_Group=teth}', "");
Expect(0, 1820, '\p{^Is_Joining_Group=teth}', "");
Expect(0, 1820, '\P{Is_Joining_Group=teth}', "");
Expect(1, 1820, '\P{^Is_Joining_Group=teth}', "");
Expect(0, 1821, '\p{Is_Joining_Group=teth}', "");
Expect(1, 1821, '\p{^Is_Joining_Group=teth}', "");
Expect(1, 1821, '\P{Is_Joining_Group=teth}', "");
Expect(0, 1821, '\P{^Is_Joining_Group=teth}', "");
Expect(1, 1820, '\p{Is_Joining_Group=	_Teth}', "");
Expect(0, 1820, '\p{^Is_Joining_Group=	_Teth}', "");
Expect(0, 1820, '\P{Is_Joining_Group=	_Teth}', "");
Expect(1, 1820, '\P{^Is_Joining_Group=	_Teth}', "");
Expect(0, 1821, '\p{Is_Joining_Group=	_Teth}', "");
Expect(1, 1821, '\p{^Is_Joining_Group=	_Teth}', "");
Expect(1, 1821, '\P{Is_Joining_Group=	_Teth}', "");
Expect(0, 1821, '\P{^Is_Joining_Group=	_Teth}', "");
Error('\p{Is_Jg=	/a/Teth}');
Error('\P{Is_Jg=	/a/Teth}');
Expect(1, 1820, '\p{Is_Jg=teth}', "");
Expect(0, 1820, '\p{^Is_Jg=teth}', "");
Expect(0, 1820, '\P{Is_Jg=teth}', "");
Expect(1, 1820, '\P{^Is_Jg=teth}', "");
Expect(0, 1821, '\p{Is_Jg=teth}', "");
Expect(1, 1821, '\p{^Is_Jg=teth}', "");
Expect(1, 1821, '\P{Is_Jg=teth}', "");
Expect(0, 1821, '\P{^Is_Jg=teth}', "");
Expect(1, 1820, '\p{Is_Jg=--Teth}', "");
Expect(0, 1820, '\p{^Is_Jg=--Teth}', "");
Expect(0, 1820, '\P{Is_Jg=--Teth}', "");
Expect(1, 1820, '\P{^Is_Jg=--Teth}', "");
Expect(0, 1821, '\p{Is_Jg=--Teth}', "");
Expect(1, 1821, '\p{^Is_Jg=--Teth}', "");
Expect(1, 1821, '\P{Is_Jg=--Teth}', "");
Expect(0, 1821, '\P{^Is_Jg=--Teth}', "");
Error('\p{Joining_Group:   /a/	Waw}');
Error('\P{Joining_Group:   /a/	Waw}');
Expect(1, 2219, '\p{Joining_Group:   waw}', "");
Expect(0, 2219, '\p{^Joining_Group:   waw}', "");
Expect(0, 2219, '\P{Joining_Group:   waw}', "");
Expect(1, 2219, '\P{^Joining_Group:   waw}', "");
Expect(0, 2220, '\p{Joining_Group:   waw}', "");
Expect(1, 2220, '\p{^Joining_Group:   waw}', "");
Expect(1, 2220, '\P{Joining_Group:   waw}', "");
Expect(0, 2220, '\P{^Joining_Group:   waw}', "");
Error('\p{Jg= waw:=}');
Error('\P{Jg= waw:=}');
Expect(1, 2219, '\p{Jg=waw}', "");
Expect(0, 2219, '\p{^Jg=waw}', "");
Expect(0, 2219, '\P{Jg=waw}', "");
Expect(1, 2219, '\P{^Jg=waw}', "");
Expect(0, 2220, '\p{Jg=waw}', "");
Expect(1, 2220, '\p{^Jg=waw}', "");
Expect(1, 2220, '\P{Jg=waw}', "");
Expect(0, 2220, '\P{^Jg=waw}', "");
Expect(1, 2219, '\p{Jg:   	 waw}', "");
Expect(0, 2219, '\p{^Jg:   	 waw}', "");
Expect(0, 2219, '\P{Jg:   	 waw}', "");
Expect(1, 2219, '\P{^Jg:   	 waw}', "");
Expect(0, 2220, '\p{Jg:   	 waw}', "");
Expect(1, 2220, '\p{^Jg:   	 waw}', "");
Expect(1, 2220, '\P{Jg:   	 waw}', "");
Expect(0, 2220, '\P{^Jg:   	 waw}', "");
Error('\p{Is_Joining_Group=/a/_ Waw}');
Error('\P{Is_Joining_Group=/a/_ Waw}');
Expect(1, 2219, '\p{Is_Joining_Group=waw}', "");
Expect(0, 2219, '\p{^Is_Joining_Group=waw}', "");
Expect(0, 2219, '\P{Is_Joining_Group=waw}', "");
Expect(1, 2219, '\P{^Is_Joining_Group=waw}', "");
Expect(0, 2220, '\p{Is_Joining_Group=waw}', "");
Expect(1, 2220, '\p{^Is_Joining_Group=waw}', "");
Expect(1, 2220, '\P{Is_Joining_Group=waw}', "");
Expect(0, 2220, '\P{^Is_Joining_Group=waw}', "");
Expect(1, 2219, '\p{Is_Joining_Group=_WAW}', "");
Expect(0, 2219, '\p{^Is_Joining_Group=_WAW}', "");
Expect(0, 2219, '\P{Is_Joining_Group=_WAW}', "");
Expect(1, 2219, '\P{^Is_Joining_Group=_WAW}', "");
Expect(0, 2220, '\p{Is_Joining_Group=_WAW}', "");
Expect(1, 2220, '\p{^Is_Joining_Group=_WAW}', "");
Expect(1, 2220, '\P{Is_Joining_Group=_WAW}', "");
Expect(0, 2220, '\P{^Is_Joining_Group=_WAW}', "");
Error('\p{Is_Jg=_:=waw}');
Error('\P{Is_Jg=_:=waw}');
Expect(1, 2219, '\p{Is_Jg=waw}', "");
Expect(0, 2219, '\p{^Is_Jg=waw}', "");
Expect(0, 2219, '\P{Is_Jg=waw}', "");
Expect(1, 2219, '\P{^Is_Jg=waw}', "");
Expect(0, 2220, '\p{Is_Jg=waw}', "");
Expect(1, 2220, '\p{^Is_Jg=waw}', "");
Expect(1, 2220, '\P{Is_Jg=waw}', "");
Expect(0, 2220, '\P{^Is_Jg=waw}', "");
Expect(1, 2219, '\p{Is_Jg=-	waw}', "");
Expect(0, 2219, '\p{^Is_Jg=-	waw}', "");
Expect(0, 2219, '\P{Is_Jg=-	waw}', "");
Expect(1, 2219, '\P{^Is_Jg=-	waw}', "");
Expect(0, 2220, '\p{Is_Jg=-	waw}', "");
Expect(1, 2220, '\p{^Is_Jg=-	waw}', "");
Expect(1, 2220, '\P{Is_Jg=-	waw}', "");
Expect(0, 2220, '\P{^Is_Jg=-	waw}', "");
Error('\p{Joining_Group=	_Yeh:=}');
Error('\P{Joining_Group=	_Yeh:=}');
Expect(1, 2217, '\p{Joining_Group=yeh}', "");
Expect(0, 2217, '\p{^Joining_Group=yeh}', "");
Expect(0, 2217, '\P{Joining_Group=yeh}', "");
Expect(1, 2217, '\P{^Joining_Group=yeh}', "");
Expect(0, 2218, '\p{Joining_Group=yeh}', "");
Expect(1, 2218, '\p{^Joining_Group=yeh}', "");
Expect(1, 2218, '\P{Joining_Group=yeh}', "");
Expect(0, 2218, '\P{^Joining_Group=yeh}', "");
Expect(1, 2217, '\p{Joining_Group= 	Yeh}', "");
Expect(0, 2217, '\p{^Joining_Group= 	Yeh}', "");
Expect(0, 2217, '\P{Joining_Group= 	Yeh}', "");
Expect(1, 2217, '\P{^Joining_Group= 	Yeh}', "");
Expect(0, 2218, '\p{Joining_Group= 	Yeh}', "");
Expect(1, 2218, '\p{^Joining_Group= 	Yeh}', "");
Expect(1, 2218, '\P{Joining_Group= 	Yeh}', "");
Expect(0, 2218, '\P{^Joining_Group= 	Yeh}', "");
Error('\p{Jg=:=	 yeh}');
Error('\P{Jg=:=	 yeh}');
Expect(1, 2217, '\p{Jg=yeh}', "");
Expect(0, 2217, '\p{^Jg=yeh}', "");
Expect(0, 2217, '\P{Jg=yeh}', "");
Expect(1, 2217, '\P{^Jg=yeh}', "");
Expect(0, 2218, '\p{Jg=yeh}', "");
Expect(1, 2218, '\p{^Jg=yeh}', "");
Expect(1, 2218, '\P{Jg=yeh}', "");
Expect(0, 2218, '\P{^Jg=yeh}', "");
Expect(1, 2217, '\p{Jg=_	YEH}', "");
Expect(0, 2217, '\p{^Jg=_	YEH}', "");
Expect(0, 2217, '\P{Jg=_	YEH}', "");
Expect(1, 2217, '\P{^Jg=_	YEH}', "");
Expect(0, 2218, '\p{Jg=_	YEH}', "");
Expect(1, 2218, '\p{^Jg=_	YEH}', "");
Expect(1, 2218, '\P{Jg=_	YEH}', "");
Expect(0, 2218, '\P{^Jg=_	YEH}', "");
Error('\p{Is_Joining_Group=	 Yeh:=}');
Error('\P{Is_Joining_Group=	 Yeh:=}');
Expect(1, 2217, '\p{Is_Joining_Group=yeh}', "");
Expect(0, 2217, '\p{^Is_Joining_Group=yeh}', "");
Expect(0, 2217, '\P{Is_Joining_Group=yeh}', "");
Expect(1, 2217, '\P{^Is_Joining_Group=yeh}', "");
Expect(0, 2218, '\p{Is_Joining_Group=yeh}', "");
Expect(1, 2218, '\p{^Is_Joining_Group=yeh}', "");
Expect(1, 2218, '\P{Is_Joining_Group=yeh}', "");
Expect(0, 2218, '\P{^Is_Joining_Group=yeh}', "");
Expect(1, 2217, '\p{Is_Joining_Group=-Yeh}', "");
Expect(0, 2217, '\p{^Is_Joining_Group=-Yeh}', "");
Expect(0, 2217, '\P{Is_Joining_Group=-Yeh}', "");
Expect(1, 2217, '\P{^Is_Joining_Group=-Yeh}', "");
Expect(0, 2218, '\p{Is_Joining_Group=-Yeh}', "");
Expect(1, 2218, '\p{^Is_Joining_Group=-Yeh}', "");
Expect(1, 2218, '\P{Is_Joining_Group=-Yeh}', "");
Expect(0, 2218, '\P{^Is_Joining_Group=-Yeh}', "");
Error('\p{Is_Jg=-:=Yeh}');
Error('\P{Is_Jg=-:=Yeh}');
Expect(1, 2217, '\p{Is_Jg=yeh}', "");
Expect(0, 2217, '\p{^Is_Jg=yeh}', "");
Expect(0, 2217, '\P{Is_Jg=yeh}', "");
Expect(1, 2217, '\P{^Is_Jg=yeh}', "");
Expect(0, 2218, '\p{Is_Jg=yeh}', "");
Expect(1, 2218, '\p{^Is_Jg=yeh}', "");
Expect(1, 2218, '\P{Is_Jg=yeh}', "");
Expect(0, 2218, '\P{^Is_Jg=yeh}', "");
Expect(1, 2217, '\p{Is_Jg= 	yeh}', "");
Expect(0, 2217, '\p{^Is_Jg= 	yeh}', "");
Expect(0, 2217, '\P{Is_Jg= 	yeh}', "");
Expect(1, 2217, '\P{^Is_Jg= 	yeh}', "");
Expect(0, 2218, '\p{Is_Jg= 	yeh}', "");
Expect(1, 2218, '\p{^Is_Jg= 	yeh}', "");
Expect(1, 2218, '\P{Is_Jg= 	yeh}', "");
Expect(0, 2218, '\P{^Is_Jg= 	yeh}', "");
Error('\p{Joining_Group= /a/YEH_barree}');
Error('\P{Joining_Group= /a/YEH_barree}');
Expect(1, 1747, '\p{Joining_Group=yehbarree}', "");
Expect(0, 1747, '\p{^Joining_Group=yehbarree}', "");
Expect(0, 1747, '\P{Joining_Group=yehbarree}', "");
Expect(1, 1747, '\P{^Joining_Group=yehbarree}', "");
Expect(0, 1748, '\p{Joining_Group=yehbarree}', "");
Expect(1, 1748, '\p{^Joining_Group=yehbarree}', "");
Expect(1, 1748, '\P{Joining_Group=yehbarree}', "");
Expect(0, 1748, '\P{^Joining_Group=yehbarree}', "");
Expect(1, 1747, '\p{Joining_Group=	Yeh_Barree}', "");
Expect(0, 1747, '\p{^Joining_Group=	Yeh_Barree}', "");
Expect(0, 1747, '\P{Joining_Group=	Yeh_Barree}', "");
Expect(1, 1747, '\P{^Joining_Group=	Yeh_Barree}', "");
Expect(0, 1748, '\p{Joining_Group=	Yeh_Barree}', "");
Expect(1, 1748, '\p{^Joining_Group=	Yeh_Barree}', "");
Expect(1, 1748, '\P{Joining_Group=	Yeh_Barree}', "");
Expect(0, 1748, '\P{^Joining_Group=	Yeh_Barree}', "");
Error('\p{Jg=:=-yeh_Barree}');
Error('\P{Jg=:=-yeh_Barree}');
Expect(1, 1747, '\p{Jg=yehbarree}', "");
Expect(0, 1747, '\p{^Jg=yehbarree}', "");
Expect(0, 1747, '\P{Jg=yehbarree}', "");
Expect(1, 1747, '\P{^Jg=yehbarree}', "");
Expect(0, 1748, '\p{Jg=yehbarree}', "");
Expect(1, 1748, '\p{^Jg=yehbarree}', "");
Expect(1, 1748, '\P{Jg=yehbarree}', "");
Expect(0, 1748, '\P{^Jg=yehbarree}', "");
Expect(1, 1747, '\p{Jg=	 yeh_BARREE}', "");
Expect(0, 1747, '\p{^Jg=	 yeh_BARREE}', "");
Expect(0, 1747, '\P{Jg=	 yeh_BARREE}', "");
Expect(1, 1747, '\P{^Jg=	 yeh_BARREE}', "");
Expect(0, 1748, '\p{Jg=	 yeh_BARREE}', "");
Expect(1, 1748, '\p{^Jg=	 yeh_BARREE}', "");
Expect(1, 1748, '\P{Jg=	 yeh_BARREE}', "");
Expect(0, 1748, '\P{^Jg=	 yeh_BARREE}', "");
Error('\p{Is_Joining_Group=__YEH_Barree/a/}');
Error('\P{Is_Joining_Group=__YEH_Barree/a/}');
Expect(1, 1747, '\p{Is_Joining_Group=yehbarree}', "");
Expect(0, 1747, '\p{^Is_Joining_Group=yehbarree}', "");
Expect(0, 1747, '\P{Is_Joining_Group=yehbarree}', "");
Expect(1, 1747, '\P{^Is_Joining_Group=yehbarree}', "");
Expect(0, 1748, '\p{Is_Joining_Group=yehbarree}', "");
Expect(1, 1748, '\p{^Is_Joining_Group=yehbarree}', "");
Expect(1, 1748, '\P{Is_Joining_Group=yehbarree}', "");
Expect(0, 1748, '\P{^Is_Joining_Group=yehbarree}', "");
Expect(1, 1747, '\p{Is_Joining_Group=--YEH_BARREE}', "");
Expect(0, 1747, '\p{^Is_Joining_Group=--YEH_BARREE}', "");
Expect(0, 1747, '\P{Is_Joining_Group=--YEH_BARREE}', "");
Expect(1, 1747, '\P{^Is_Joining_Group=--YEH_BARREE}', "");
Expect(0, 1748, '\p{Is_Joining_Group=--YEH_BARREE}', "");
Expect(1, 1748, '\p{^Is_Joining_Group=--YEH_BARREE}', "");
Expect(1, 1748, '\P{Is_Joining_Group=--YEH_BARREE}', "");
Expect(0, 1748, '\P{^Is_Joining_Group=--YEH_BARREE}', "");
Error('\p{Is_Jg=	Yeh_Barree/a/}');
Error('\P{Is_Jg=	Yeh_Barree/a/}');
Expect(1, 1747, '\p{Is_Jg=yehbarree}', "");
Expect(0, 1747, '\p{^Is_Jg=yehbarree}', "");
Expect(0, 1747, '\P{Is_Jg=yehbarree}', "");
Expect(1, 1747, '\P{^Is_Jg=yehbarree}', "");
Expect(0, 1748, '\p{Is_Jg=yehbarree}', "");
Expect(1, 1748, '\p{^Is_Jg=yehbarree}', "");
Expect(1, 1748, '\P{Is_Jg=yehbarree}', "");
Expect(0, 1748, '\P{^Is_Jg=yehbarree}', "");
Expect(1, 1747, '\p{Is_Jg=	_Yeh_barree}', "");
Expect(0, 1747, '\p{^Is_Jg=	_Yeh_barree}', "");
Expect(0, 1747, '\P{Is_Jg=	_Yeh_barree}', "");
Expect(1, 1747, '\P{^Is_Jg=	_Yeh_barree}', "");
Expect(0, 1748, '\p{Is_Jg=	_Yeh_barree}', "");
Expect(1, 1748, '\p{^Is_Jg=	_Yeh_barree}', "");
Expect(1, 1748, '\P{Is_Jg=	_Yeh_barree}', "");
Expect(0, 1748, '\P{^Is_Jg=	_Yeh_barree}', "");
Error('\p{Joining_Group=/a/  Yeh_With_Tail}');
Error('\P{Joining_Group=/a/  Yeh_With_Tail}');
Expect(1, 1741, '\p{Joining_Group=yehwithtail}', "");
Expect(0, 1741, '\p{^Joining_Group=yehwithtail}', "");
Expect(0, 1741, '\P{Joining_Group=yehwithtail}', "");
Expect(1, 1741, '\P{^Joining_Group=yehwithtail}', "");
Expect(0, 1742, '\p{Joining_Group=yehwithtail}', "");
Expect(1, 1742, '\p{^Joining_Group=yehwithtail}', "");
Expect(1, 1742, '\P{Joining_Group=yehwithtail}', "");
Expect(0, 1742, '\P{^Joining_Group=yehwithtail}', "");
Expect(1, 1741, '\p{Joining_Group=-_Yeh_With_TAIL}', "");
Expect(0, 1741, '\p{^Joining_Group=-_Yeh_With_TAIL}', "");
Expect(0, 1741, '\P{Joining_Group=-_Yeh_With_TAIL}', "");
Expect(1, 1741, '\P{^Joining_Group=-_Yeh_With_TAIL}', "");
Expect(0, 1742, '\p{Joining_Group=-_Yeh_With_TAIL}', "");
Expect(1, 1742, '\p{^Joining_Group=-_Yeh_With_TAIL}', "");
Expect(1, 1742, '\P{Joining_Group=-_Yeh_With_TAIL}', "");
Expect(0, 1742, '\P{^Joining_Group=-_Yeh_With_TAIL}', "");
Error('\p{Jg=/a/YEH_With_TAIL}');
Error('\P{Jg=/a/YEH_With_TAIL}');
Expect(1, 1741, '\p{Jg=yehwithtail}', "");
Expect(0, 1741, '\p{^Jg=yehwithtail}', "");
Expect(0, 1741, '\P{Jg=yehwithtail}', "");
Expect(1, 1741, '\P{^Jg=yehwithtail}', "");
Expect(0, 1742, '\p{Jg=yehwithtail}', "");
Expect(1, 1742, '\p{^Jg=yehwithtail}', "");
Expect(1, 1742, '\P{Jg=yehwithtail}', "");
Expect(0, 1742, '\P{^Jg=yehwithtail}', "");
Expect(1, 1741, '\p{Jg=	yeh_With_Tail}', "");
Expect(0, 1741, '\p{^Jg=	yeh_With_Tail}', "");
Expect(0, 1741, '\P{Jg=	yeh_With_Tail}', "");
Expect(1, 1741, '\P{^Jg=	yeh_With_Tail}', "");
Expect(0, 1742, '\p{Jg=	yeh_With_Tail}', "");
Expect(1, 1742, '\p{^Jg=	yeh_With_Tail}', "");
Expect(1, 1742, '\P{Jg=	yeh_With_Tail}', "");
Expect(0, 1742, '\P{^Jg=	yeh_With_Tail}', "");
Error('\p{Is_Joining_Group:	__Yeh_with_TAIL/a/}');
Error('\P{Is_Joining_Group:	__Yeh_with_TAIL/a/}');
Expect(1, 1741, '\p{Is_Joining_Group=yehwithtail}', "");
Expect(0, 1741, '\p{^Is_Joining_Group=yehwithtail}', "");
Expect(0, 1741, '\P{Is_Joining_Group=yehwithtail}', "");
Expect(1, 1741, '\P{^Is_Joining_Group=yehwithtail}', "");
Expect(0, 1742, '\p{Is_Joining_Group=yehwithtail}', "");
Expect(1, 1742, '\p{^Is_Joining_Group=yehwithtail}', "");
Expect(1, 1742, '\P{Is_Joining_Group=yehwithtail}', "");
Expect(0, 1742, '\P{^Is_Joining_Group=yehwithtail}', "");
Expect(1, 1741, '\p{Is_Joining_Group= Yeh_with_TAIL}', "");
Expect(0, 1741, '\p{^Is_Joining_Group= Yeh_with_TAIL}', "");
Expect(0, 1741, '\P{Is_Joining_Group= Yeh_with_TAIL}', "");
Expect(1, 1741, '\P{^Is_Joining_Group= Yeh_with_TAIL}', "");
Expect(0, 1742, '\p{Is_Joining_Group= Yeh_with_TAIL}', "");
Expect(1, 1742, '\p{^Is_Joining_Group= Yeh_with_TAIL}', "");
Expect(1, 1742, '\P{Is_Joining_Group= Yeh_with_TAIL}', "");
Expect(0, 1742, '\P{^Is_Joining_Group= Yeh_with_TAIL}', "");
Error('\p{Is_Jg=_:=Yeh_With_Tail}');
Error('\P{Is_Jg=_:=Yeh_With_Tail}');
Expect(1, 1741, '\p{Is_Jg=yehwithtail}', "");
Expect(0, 1741, '\p{^Is_Jg=yehwithtail}', "");
Expect(0, 1741, '\P{Is_Jg=yehwithtail}', "");
Expect(1, 1741, '\P{^Is_Jg=yehwithtail}', "");
Expect(0, 1742, '\p{Is_Jg=yehwithtail}', "");
Expect(1, 1742, '\p{^Is_Jg=yehwithtail}', "");
Expect(1, 1742, '\P{Is_Jg=yehwithtail}', "");
Expect(0, 1742, '\P{^Is_Jg=yehwithtail}', "");
Expect(1, 1741, '\p{Is_Jg= Yeh_WITH_Tail}', "");
Expect(0, 1741, '\p{^Is_Jg= Yeh_WITH_Tail}', "");
Expect(0, 1741, '\P{Is_Jg= Yeh_WITH_Tail}', "");
Expect(1, 1741, '\P{^Is_Jg= Yeh_WITH_Tail}', "");
Expect(0, 1742, '\p{Is_Jg= Yeh_WITH_Tail}', "");
Expect(1, 1742, '\p{^Is_Jg= Yeh_WITH_Tail}', "");
Expect(1, 1742, '\P{Is_Jg= Yeh_WITH_Tail}', "");
Expect(0, 1742, '\P{^Is_Jg= Yeh_WITH_Tail}', "");
Error('\p{Joining_Group=-Yudh:=}');
Error('\P{Joining_Group=-Yudh:=}');
Expect(1, 1821, '\p{Joining_Group=yudh}', "");
Expect(0, 1821, '\p{^Joining_Group=yudh}', "");
Expect(0, 1821, '\P{Joining_Group=yudh}', "");
Expect(1, 1821, '\P{^Joining_Group=yudh}', "");
Expect(0, 1822, '\p{Joining_Group=yudh}', "");
Expect(1, 1822, '\p{^Joining_Group=yudh}', "");
Expect(1, 1822, '\P{Joining_Group=yudh}', "");
Expect(0, 1822, '\P{^Joining_Group=yudh}', "");
Expect(1, 1821, '\p{Joining_Group=--YUDH}', "");
Expect(0, 1821, '\p{^Joining_Group=--YUDH}', "");
Expect(0, 1821, '\P{Joining_Group=--YUDH}', "");
Expect(1, 1821, '\P{^Joining_Group=--YUDH}', "");
Expect(0, 1822, '\p{Joining_Group=--YUDH}', "");
Expect(1, 1822, '\p{^Joining_Group=--YUDH}', "");
Expect(1, 1822, '\P{Joining_Group=--YUDH}', "");
Expect(0, 1822, '\P{^Joining_Group=--YUDH}', "");
Error('\p{Jg:	:=_ YUDH}');
Error('\P{Jg:	:=_ YUDH}');
Expect(1, 1821, '\p{Jg=yudh}', "");
Expect(0, 1821, '\p{^Jg=yudh}', "");
Expect(0, 1821, '\P{Jg=yudh}', "");
Expect(1, 1821, '\P{^Jg=yudh}', "");
Expect(0, 1822, '\p{Jg=yudh}', "");
Expect(1, 1822, '\p{^Jg=yudh}', "");
Expect(1, 1822, '\P{Jg=yudh}', "");
Expect(0, 1822, '\P{^Jg=yudh}', "");
Expect(1, 1821, '\p{Jg=_Yudh}', "");
Expect(0, 1821, '\p{^Jg=_Yudh}', "");
Expect(0, 1821, '\P{Jg=_Yudh}', "");
Expect(1, 1821, '\P{^Jg=_Yudh}', "");
Expect(0, 1822, '\p{Jg=_Yudh}', "");
Expect(1, 1822, '\p{^Jg=_Yudh}', "");
Expect(1, 1822, '\P{Jg=_Yudh}', "");
Expect(0, 1822, '\P{^Jg=_Yudh}', "");
Error('\p{Is_Joining_Group=Yudh/a/}');
Error('\P{Is_Joining_Group=Yudh/a/}');
Expect(1, 1821, '\p{Is_Joining_Group=yudh}', "");
Expect(0, 1821, '\p{^Is_Joining_Group=yudh}', "");
Expect(0, 1821, '\P{Is_Joining_Group=yudh}', "");
Expect(1, 1821, '\P{^Is_Joining_Group=yudh}', "");
Expect(0, 1822, '\p{Is_Joining_Group=yudh}', "");
Expect(1, 1822, '\p{^Is_Joining_Group=yudh}', "");
Expect(1, 1822, '\P{Is_Joining_Group=yudh}', "");
Expect(0, 1822, '\P{^Is_Joining_Group=yudh}', "");
Expect(1, 1821, '\p{Is_Joining_Group=- Yudh}', "");
Expect(0, 1821, '\p{^Is_Joining_Group=- Yudh}', "");
Expect(0, 1821, '\P{Is_Joining_Group=- Yudh}', "");
Expect(1, 1821, '\P{^Is_Joining_Group=- Yudh}', "");
Expect(0, 1822, '\p{Is_Joining_Group=- Yudh}', "");
Expect(1, 1822, '\p{^Is_Joining_Group=- Yudh}', "");
Expect(1, 1822, '\P{Is_Joining_Group=- Yudh}', "");
Expect(0, 1822, '\P{^Is_Joining_Group=- Yudh}', "");
Error('\p{Is_Jg=-:=Yudh}');
Error('\P{Is_Jg=-:=Yudh}');
Expect(1, 1821, '\p{Is_Jg:yudh}', "");
Expect(0, 1821, '\p{^Is_Jg:yudh}', "");
Expect(0, 1821, '\P{Is_Jg:yudh}', "");
Expect(1, 1821, '\P{^Is_Jg:yudh}', "");
Expect(0, 1822, '\p{Is_Jg:yudh}', "");
Expect(1, 1822, '\p{^Is_Jg:yudh}', "");
Expect(1, 1822, '\P{Is_Jg:yudh}', "");
Expect(0, 1822, '\P{^Is_Jg:yudh}', "");
Expect(1, 1821, '\p{Is_Jg=_Yudh}', "");
Expect(0, 1821, '\p{^Is_Jg=_Yudh}', "");
Expect(0, 1821, '\P{Is_Jg=_Yudh}', "");
Expect(1, 1821, '\P{^Is_Jg=_Yudh}', "");
Expect(0, 1822, '\p{Is_Jg=_Yudh}', "");
Expect(1, 1822, '\p{^Is_Jg=_Yudh}', "");
Expect(1, 1822, '\P{Is_Jg=_Yudh}', "");
Expect(0, 1822, '\P{^Is_Jg=_Yudh}', "");
Error('\p{Joining_Group:-:=YUDH_He}');
Error('\P{Joining_Group:-:=YUDH_He}');
Expect(1, 1822, '\p{Joining_Group=yudhhe}', "");
Expect(0, 1822, '\p{^Joining_Group=yudhhe}', "");
Expect(0, 1822, '\P{Joining_Group=yudhhe}', "");
Expect(1, 1822, '\P{^Joining_Group=yudhhe}', "");
Expect(0, 1823, '\p{Joining_Group=yudhhe}', "");
Expect(1, 1823, '\p{^Joining_Group=yudhhe}', "");
Expect(1, 1823, '\P{Joining_Group=yudhhe}', "");
Expect(0, 1823, '\P{^Joining_Group=yudhhe}', "");
Expect(1, 1822, '\p{Joining_Group: --yudh_He}', "");
Expect(0, 1822, '\p{^Joining_Group: --yudh_He}', "");
Expect(0, 1822, '\P{Joining_Group: --yudh_He}', "");
Expect(1, 1822, '\P{^Joining_Group: --yudh_He}', "");
Expect(0, 1823, '\p{Joining_Group: --yudh_He}', "");
Expect(1, 1823, '\p{^Joining_Group: --yudh_He}', "");
Expect(1, 1823, '\P{Joining_Group: --yudh_He}', "");
Expect(0, 1823, '\P{^Joining_Group: --yudh_He}', "");
Error('\p{Jg=/a/yudh_He}');
Error('\P{Jg=/a/yudh_He}');
Expect(1, 1822, '\p{Jg=yudhhe}', "");
Expect(0, 1822, '\p{^Jg=yudhhe}', "");
Expect(0, 1822, '\P{Jg=yudhhe}', "");
Expect(1, 1822, '\P{^Jg=yudhhe}', "");
Expect(0, 1823, '\p{Jg=yudhhe}', "");
Expect(1, 1823, '\p{^Jg=yudhhe}', "");
Expect(1, 1823, '\P{Jg=yudhhe}', "");
Expect(0, 1823, '\P{^Jg=yudhhe}', "");
Expect(1, 1822, '\p{Jg=	 Yudh_he}', "");
Expect(0, 1822, '\p{^Jg=	 Yudh_he}', "");
Expect(0, 1822, '\P{Jg=	 Yudh_he}', "");
Expect(1, 1822, '\P{^Jg=	 Yudh_he}', "");
Expect(0, 1823, '\p{Jg=	 Yudh_he}', "");
Expect(1, 1823, '\p{^Jg=	 Yudh_he}', "");
Expect(1, 1823, '\P{Jg=	 Yudh_he}', "");
Expect(0, 1823, '\P{^Jg=	 Yudh_he}', "");
Error('\p{Is_Joining_Group=/a/YUDH_He}');
Error('\P{Is_Joining_Group=/a/YUDH_He}');
Expect(1, 1822, '\p{Is_Joining_Group=yudhhe}', "");
Expect(0, 1822, '\p{^Is_Joining_Group=yudhhe}', "");
Expect(0, 1822, '\P{Is_Joining_Group=yudhhe}', "");
Expect(1, 1822, '\P{^Is_Joining_Group=yudhhe}', "");
Expect(0, 1823, '\p{Is_Joining_Group=yudhhe}', "");
Expect(1, 1823, '\p{^Is_Joining_Group=yudhhe}', "");
Expect(1, 1823, '\P{Is_Joining_Group=yudhhe}', "");
Expect(0, 1823, '\P{^Is_Joining_Group=yudhhe}', "");
Expect(1, 1822, '\p{Is_Joining_Group= Yudh_HE}', "");
Expect(0, 1822, '\p{^Is_Joining_Group= Yudh_HE}', "");
Expect(0, 1822, '\P{Is_Joining_Group= Yudh_HE}', "");
Expect(1, 1822, '\P{^Is_Joining_Group= Yudh_HE}', "");
Expect(0, 1823, '\p{Is_Joining_Group= Yudh_HE}', "");
Expect(1, 1823, '\p{^Is_Joining_Group= Yudh_HE}', "");
Expect(1, 1823, '\P{Is_Joining_Group= Yudh_HE}', "");
Expect(0, 1823, '\P{^Is_Joining_Group= Yudh_HE}', "");
Error('\p{Is_Jg=/a/	_YUDH_HE}');
Error('\P{Is_Jg=/a/	_YUDH_HE}');
Expect(1, 1822, '\p{Is_Jg=yudhhe}', "");
Expect(0, 1822, '\p{^Is_Jg=yudhhe}', "");
Expect(0, 1822, '\P{Is_Jg=yudhhe}', "");
Expect(1, 1822, '\P{^Is_Jg=yudhhe}', "");
Expect(0, 1823, '\p{Is_Jg=yudhhe}', "");
Expect(1, 1823, '\p{^Is_Jg=yudhhe}', "");
Expect(1, 1823, '\P{Is_Jg=yudhhe}', "");
Expect(0, 1823, '\P{^Is_Jg=yudhhe}', "");
Expect(1, 1822, '\p{Is_Jg=  Yudh_He}', "");
Expect(0, 1822, '\p{^Is_Jg=  Yudh_He}', "");
Expect(0, 1822, '\P{Is_Jg=  Yudh_He}', "");
Expect(1, 1822, '\P{^Is_Jg=  Yudh_He}', "");
Expect(0, 1823, '\p{Is_Jg=  Yudh_He}', "");
Expect(1, 1823, '\p{^Is_Jg=  Yudh_He}', "");
Expect(1, 1823, '\P{Is_Jg=  Yudh_He}', "");
Expect(0, 1823, '\P{^Is_Jg=  Yudh_He}', "");
Error('\p{Joining_Group=_ZAIN:=}');
Error('\P{Joining_Group=_ZAIN:=}');
Expect(1, 1817, '\p{Joining_Group:	zain}', "");
Expect(0, 1817, '\p{^Joining_Group:	zain}', "");
Expect(0, 1817, '\P{Joining_Group:	zain}', "");
Expect(1, 1817, '\P{^Joining_Group:	zain}', "");
Expect(0, 1818, '\p{Joining_Group:	zain}', "");
Expect(1, 1818, '\p{^Joining_Group:	zain}', "");
Expect(1, 1818, '\P{Joining_Group:	zain}', "");
Expect(0, 1818, '\P{^Joining_Group:	zain}', "");
Expect(1, 1817, '\p{Joining_Group=-ZAIN}', "");
Expect(0, 1817, '\p{^Joining_Group=-ZAIN}', "");
Expect(0, 1817, '\P{Joining_Group=-ZAIN}', "");
Expect(1, 1817, '\P{^Joining_Group=-ZAIN}', "");
Expect(0, 1818, '\p{Joining_Group=-ZAIN}', "");
Expect(1, 1818, '\p{^Joining_Group=-ZAIN}', "");
Expect(1, 1818, '\P{Joining_Group=-ZAIN}', "");
Expect(0, 1818, '\P{^Joining_Group=-ZAIN}', "");
Error('\p{Jg=-Zain:=}');
Error('\P{Jg=-Zain:=}');
Expect(1, 1817, '\p{Jg=zain}', "");
Expect(0, 1817, '\p{^Jg=zain}', "");
Expect(0, 1817, '\P{Jg=zain}', "");
Expect(1, 1817, '\P{^Jg=zain}', "");
Expect(0, 1818, '\p{Jg=zain}', "");
Expect(1, 1818, '\p{^Jg=zain}', "");
Expect(1, 1818, '\P{Jg=zain}', "");
Expect(0, 1818, '\P{^Jg=zain}', "");
Expect(1, 1817, '\p{Jg=_-ZAIN}', "");
Expect(0, 1817, '\p{^Jg=_-ZAIN}', "");
Expect(0, 1817, '\P{Jg=_-ZAIN}', "");
Expect(1, 1817, '\P{^Jg=_-ZAIN}', "");
Expect(0, 1818, '\p{Jg=_-ZAIN}', "");
Expect(1, 1818, '\p{^Jg=_-ZAIN}', "");
Expect(1, 1818, '\P{Jg=_-ZAIN}', "");
Expect(0, 1818, '\P{^Jg=_-ZAIN}', "");
Error('\p{Is_Joining_Group=:=__Zain}');
Error('\P{Is_Joining_Group=:=__Zain}');
Expect(1, 1817, '\p{Is_Joining_Group=zain}', "");
Expect(0, 1817, '\p{^Is_Joining_Group=zain}', "");
Expect(0, 1817, '\P{Is_Joining_Group=zain}', "");
Expect(1, 1817, '\P{^Is_Joining_Group=zain}', "");
Expect(0, 1818, '\p{Is_Joining_Group=zain}', "");
Expect(1, 1818, '\p{^Is_Joining_Group=zain}', "");
Expect(1, 1818, '\P{Is_Joining_Group=zain}', "");
Expect(0, 1818, '\P{^Is_Joining_Group=zain}', "");
Expect(1, 1817, '\p{Is_Joining_Group=--Zain}', "");
Expect(0, 1817, '\p{^Is_Joining_Group=--Zain}', "");
Expect(0, 1817, '\P{Is_Joining_Group=--Zain}', "");
Expect(1, 1817, '\P{^Is_Joining_Group=--Zain}', "");
Expect(0, 1818, '\p{Is_Joining_Group=--Zain}', "");
Expect(1, 1818, '\p{^Is_Joining_Group=--Zain}', "");
Expect(1, 1818, '\P{Is_Joining_Group=--Zain}', "");
Expect(0, 1818, '\P{^Is_Joining_Group=--Zain}', "");
Error('\p{Is_Jg=-:=zain}');
Error('\P{Is_Jg=-:=zain}');
Expect(1, 1817, '\p{Is_Jg=zain}', "");
Expect(0, 1817, '\p{^Is_Jg=zain}', "");
Expect(0, 1817, '\P{Is_Jg=zain}', "");
Expect(1, 1817, '\P{^Is_Jg=zain}', "");
Expect(0, 1818, '\p{Is_Jg=zain}', "");
Expect(1, 1818, '\p{^Is_Jg=zain}', "");
Expect(1, 1818, '\P{Is_Jg=zain}', "");
Expect(0, 1818, '\P{^Is_Jg=zain}', "");
Expect(1, 1817, '\p{Is_Jg=	 Zain}', "");
Expect(0, 1817, '\p{^Is_Jg=	 Zain}', "");
Expect(0, 1817, '\P{Is_Jg=	 Zain}', "");
Expect(1, 1817, '\P{^Is_Jg=	 Zain}', "");
Expect(0, 1818, '\p{Is_Jg=	 Zain}', "");
Expect(1, 1818, '\p{^Is_Jg=	 Zain}', "");
Expect(1, 1818, '\P{Is_Jg=	 Zain}', "");
Expect(0, 1818, '\P{^Is_Jg=	 Zain}', "");
Error('\p{Joining_Group=/a/zhain}');
Error('\P{Joining_Group=/a/zhain}');
Expect(1, 1869, '\p{Joining_Group=zhain}', "");
Expect(0, 1869, '\p{^Joining_Group=zhain}', "");
Expect(0, 1869, '\P{Joining_Group=zhain}', "");
Expect(1, 1869, '\P{^Joining_Group=zhain}', "");
Expect(0, 1870, '\p{Joining_Group=zhain}', "");
Expect(1, 1870, '\p{^Joining_Group=zhain}', "");
Expect(1, 1870, '\P{Joining_Group=zhain}', "");
Expect(0, 1870, '\P{^Joining_Group=zhain}', "");
Expect(1, 1869, '\p{Joining_Group=-	ZHAIN}', "");
Expect(0, 1869, '\p{^Joining_Group=-	ZHAIN}', "");
Expect(0, 1869, '\P{Joining_Group=-	ZHAIN}', "");
Expect(1, 1869, '\P{^Joining_Group=-	ZHAIN}', "");
Expect(0, 1870, '\p{Joining_Group=-	ZHAIN}', "");
Expect(1, 1870, '\p{^Joining_Group=-	ZHAIN}', "");
Expect(1, 1870, '\P{Joining_Group=-	ZHAIN}', "");
Expect(0, 1870, '\P{^Joining_Group=-	ZHAIN}', "");
Error('\p{Jg: __Zhain/a/}');
Error('\P{Jg: __Zhain/a/}');
Expect(1, 1869, '\p{Jg=zhain}', "");
Expect(0, 1869, '\p{^Jg=zhain}', "");
Expect(0, 1869, '\P{Jg=zhain}', "");
Expect(1, 1869, '\P{^Jg=zhain}', "");
Expect(0, 1870, '\p{Jg=zhain}', "");
Expect(1, 1870, '\p{^Jg=zhain}', "");
Expect(1, 1870, '\P{Jg=zhain}', "");
Expect(0, 1870, '\P{^Jg=zhain}', "");
Expect(1, 1869, '\p{Jg=_	Zhain}', "");
Expect(0, 1869, '\p{^Jg=_	Zhain}', "");
Expect(0, 1869, '\P{Jg=_	Zhain}', "");
Expect(1, 1869, '\P{^Jg=_	Zhain}', "");
Expect(0, 1870, '\p{Jg=_	Zhain}', "");
Expect(1, 1870, '\p{^Jg=_	Zhain}', "");
Expect(1, 1870, '\P{Jg=_	Zhain}', "");
Expect(0, 1870, '\P{^Jg=_	Zhain}', "");
Error('\p{Is_Joining_Group: :=-ZHAIN}');
Error('\P{Is_Joining_Group: :=-ZHAIN}');
Expect(1, 1869, '\p{Is_Joining_Group:   zhain}', "");
Expect(0, 1869, '\p{^Is_Joining_Group:   zhain}', "");
Expect(0, 1869, '\P{Is_Joining_Group:   zhain}', "");
Expect(1, 1869, '\P{^Is_Joining_Group:   zhain}', "");
Expect(0, 1870, '\p{Is_Joining_Group:   zhain}', "");
Expect(1, 1870, '\p{^Is_Joining_Group:   zhain}', "");
Expect(1, 1870, '\P{Is_Joining_Group:   zhain}', "");
Expect(0, 1870, '\P{^Is_Joining_Group:   zhain}', "");
Expect(1, 1869, '\p{Is_Joining_Group= -Zhain}', "");
Expect(0, 1869, '\p{^Is_Joining_Group= -Zhain}', "");
Expect(0, 1869, '\P{Is_Joining_Group= -Zhain}', "");
Expect(1, 1869, '\P{^Is_Joining_Group= -Zhain}', "");
Expect(0, 1870, '\p{Is_Joining_Group= -Zhain}', "");
Expect(1, 1870, '\p{^Is_Joining_Group= -Zhain}', "");
Expect(1, 1870, '\P{Is_Joining_Group= -Zhain}', "");
Expect(0, 1870, '\P{^Is_Joining_Group= -Zhain}', "");
Error('\p{Is_Jg=-:=zhain}');
Error('\P{Is_Jg=-:=zhain}');
Expect(1, 1869, '\p{Is_Jg:	zhain}', "");
Expect(0, 1869, '\p{^Is_Jg:	zhain}', "");
Expect(0, 1869, '\P{Is_Jg:	zhain}', "");
Expect(1, 1869, '\P{^Is_Jg:	zhain}', "");
Expect(0, 1870, '\p{Is_Jg:	zhain}', "");
Expect(1, 1870, '\p{^Is_Jg:	zhain}', "");
Expect(1, 1870, '\P{Is_Jg:	zhain}', "");
Expect(0, 1870, '\P{^Is_Jg:	zhain}', "");
Expect(1, 1869, '\p{Is_Jg=-ZHAIN}', "");
Expect(0, 1869, '\p{^Is_Jg=-ZHAIN}', "");
Expect(0, 1869, '\P{Is_Jg=-ZHAIN}', "");
Expect(1, 1869, '\P{^Is_Jg=-ZHAIN}', "");
Expect(0, 1870, '\p{Is_Jg=-ZHAIN}', "");
Expect(1, 1870, '\p{^Is_Jg=-ZHAIN}', "");
Expect(1, 1870, '\P{Is_Jg=-ZHAIN}', "");
Expect(0, 1870, '\P{^Is_Jg=-ZHAIN}', "");
Error('\p{Joining_Type=-join_Causing:=}');
Error('\P{Joining_Type=-join_Causing:=}');
Expect(1, 8205, '\p{Joining_Type:joincausing}', "");
Expect(0, 8205, '\p{^Joining_Type:joincausing}', "");
Expect(0, 8205, '\P{Joining_Type:joincausing}', "");
Expect(1, 8205, '\P{^Joining_Type:joincausing}', "");
Expect(0, 8206, '\p{Joining_Type:joincausing}', "");
Expect(1, 8206, '\p{^Joining_Type:joincausing}', "");
Expect(1, 8206, '\P{Joining_Type:joincausing}', "");
Expect(0, 8206, '\P{^Joining_Type:joincausing}', "");
Expect(1, 8205, '\p{Joining_Type=		join_CAUSING}', "");
Expect(0, 8205, '\p{^Joining_Type=		join_CAUSING}', "");
Expect(0, 8205, '\P{Joining_Type=		join_CAUSING}', "");
Expect(1, 8205, '\P{^Joining_Type=		join_CAUSING}', "");
Expect(0, 8206, '\p{Joining_Type=		join_CAUSING}', "");
Expect(1, 8206, '\p{^Joining_Type=		join_CAUSING}', "");
Expect(1, 8206, '\P{Joining_Type=		join_CAUSING}', "");
Expect(0, 8206, '\P{^Joining_Type=		join_CAUSING}', "");
Error('\p{Jt=/a/_ c}');
Error('\P{Jt=/a/_ c}');
Expect(1, 8205, '\p{Jt=c}', "");
Expect(0, 8205, '\p{^Jt=c}', "");
Expect(0, 8205, '\P{Jt=c}', "");
Expect(1, 8205, '\P{^Jt=c}', "");
Expect(0, 8206, '\p{Jt=c}', "");
Expect(1, 8206, '\p{^Jt=c}', "");
Expect(1, 8206, '\P{Jt=c}', "");
Expect(0, 8206, '\P{^Jt=c}', "");
Expect(1, 8205, '\p{Jt=	_C}', "");
Expect(0, 8205, '\p{^Jt=	_C}', "");
Expect(0, 8205, '\P{Jt=	_C}', "");
Expect(1, 8205, '\P{^Jt=	_C}', "");
Expect(0, 8206, '\p{Jt=	_C}', "");
Expect(1, 8206, '\p{^Jt=	_C}', "");
Expect(1, 8206, '\P{Jt=	_C}', "");
Expect(0, 8206, '\P{^Jt=	_C}', "");
Error('\p{Is_Joining_Type::= JOIN_CAUSING}');
Error('\P{Is_Joining_Type::= JOIN_CAUSING}');
Expect(1, 8205, '\p{Is_Joining_Type=joincausing}', "");
Expect(0, 8205, '\p{^Is_Joining_Type=joincausing}', "");
Expect(0, 8205, '\P{Is_Joining_Type=joincausing}', "");
Expect(1, 8205, '\P{^Is_Joining_Type=joincausing}', "");
Expect(0, 8206, '\p{Is_Joining_Type=joincausing}', "");
Expect(1, 8206, '\p{^Is_Joining_Type=joincausing}', "");
Expect(1, 8206, '\P{Is_Joining_Type=joincausing}', "");
Expect(0, 8206, '\P{^Is_Joining_Type=joincausing}', "");
Expect(1, 8205, '\p{Is_Joining_Type=-Join_Causing}', "");
Expect(0, 8205, '\p{^Is_Joining_Type=-Join_Causing}', "");
Expect(0, 8205, '\P{Is_Joining_Type=-Join_Causing}', "");
Expect(1, 8205, '\P{^Is_Joining_Type=-Join_Causing}', "");
Expect(0, 8206, '\p{Is_Joining_Type=-Join_Causing}', "");
Expect(1, 8206, '\p{^Is_Joining_Type=-Join_Causing}', "");
Expect(1, 8206, '\P{Is_Joining_Type=-Join_Causing}', "");
Expect(0, 8206, '\P{^Is_Joining_Type=-Join_Causing}', "");
Error('\p{Is_Jt=_	C:=}');
Error('\P{Is_Jt=_	C:=}');
Expect(1, 8205, '\p{Is_Jt=c}', "");
Expect(0, 8205, '\p{^Is_Jt=c}', "");
Expect(0, 8205, '\P{Is_Jt=c}', "");
Expect(1, 8205, '\P{^Is_Jt=c}', "");
Expect(0, 8206, '\p{Is_Jt=c}', "");
Expect(1, 8206, '\p{^Is_Jt=c}', "");
Expect(1, 8206, '\P{Is_Jt=c}', "");
Expect(0, 8206, '\P{^Is_Jt=c}', "");
Expect(1, 8205, '\p{Is_Jt=-	C}', "");
Expect(0, 8205, '\p{^Is_Jt=-	C}', "");
Expect(0, 8205, '\P{Is_Jt=-	C}', "");
Expect(1, 8205, '\P{^Is_Jt=-	C}', "");
Expect(0, 8206, '\p{Is_Jt=-	C}', "");
Expect(1, 8206, '\p{^Is_Jt=-	C}', "");
Expect(1, 8206, '\P{Is_Jt=-	C}', "");
Expect(0, 8206, '\P{^Is_Jt=-	C}', "");
Error('\p{Joining_Type=_ dual_Joining:=}');
Error('\P{Joining_Type=_ dual_Joining:=}');
Expect(1, 68526, '\p{Joining_Type=dualjoining}', "");
Expect(0, 68526, '\p{^Joining_Type=dualjoining}', "");
Expect(0, 68526, '\P{Joining_Type=dualjoining}', "");
Expect(1, 68526, '\P{^Joining_Type=dualjoining}', "");
Expect(0, 68527, '\p{Joining_Type=dualjoining}', "");
Expect(1, 68527, '\p{^Joining_Type=dualjoining}', "");
Expect(1, 68527, '\P{Joining_Type=dualjoining}', "");
Expect(0, 68527, '\P{^Joining_Type=dualjoining}', "");
Expect(1, 68526, '\p{Joining_Type= Dual_JOINING}', "");
Expect(0, 68526, '\p{^Joining_Type= Dual_JOINING}', "");
Expect(0, 68526, '\P{Joining_Type= Dual_JOINING}', "");
Expect(1, 68526, '\P{^Joining_Type= Dual_JOINING}', "");
Expect(0, 68527, '\p{Joining_Type= Dual_JOINING}', "");
Expect(1, 68527, '\p{^Joining_Type= Dual_JOINING}', "");
Expect(1, 68527, '\P{Joining_Type= Dual_JOINING}', "");
Expect(0, 68527, '\P{^Joining_Type= Dual_JOINING}', "");
Error('\p{Jt=:=D}');
Error('\P{Jt=:=D}');
Expect(1, 68526, '\p{Jt: d}', "");
Expect(0, 68526, '\p{^Jt: d}', "");
Expect(0, 68526, '\P{Jt: d}', "");
Expect(1, 68526, '\P{^Jt: d}', "");
Expect(0, 68527, '\p{Jt: d}', "");
Expect(1, 68527, '\p{^Jt: d}', "");
Expect(1, 68527, '\P{Jt: d}', "");
Expect(0, 68527, '\P{^Jt: d}', "");
Expect(1, 68526, '\p{Jt=-D}', "");
Expect(0, 68526, '\p{^Jt=-D}', "");
Expect(0, 68526, '\P{Jt=-D}', "");
Expect(1, 68526, '\P{^Jt=-D}', "");
Expect(0, 68527, '\p{Jt=-D}', "");
Expect(1, 68527, '\p{^Jt=-D}', "");
Expect(1, 68527, '\P{Jt=-D}', "");
Expect(0, 68527, '\P{^Jt=-D}', "");
Error('\p{Is_Joining_Type=/a/ _dual_JOINING}');
Error('\P{Is_Joining_Type=/a/ _dual_JOINING}');
Expect(1, 68526, '\p{Is_Joining_Type=dualjoining}', "");
Expect(0, 68526, '\p{^Is_Joining_Type=dualjoining}', "");
Expect(0, 68526, '\P{Is_Joining_Type=dualjoining}', "");
Expect(1, 68526, '\P{^Is_Joining_Type=dualjoining}', "");
Expect(0, 68527, '\p{Is_Joining_Type=dualjoining}', "");
Expect(1, 68527, '\p{^Is_Joining_Type=dualjoining}', "");
Expect(1, 68527, '\P{Is_Joining_Type=dualjoining}', "");
Expect(0, 68527, '\P{^Is_Joining_Type=dualjoining}', "");
Expect(1, 68526, '\p{Is_Joining_Type=Dual_Joining}', "");
Expect(0, 68526, '\p{^Is_Joining_Type=Dual_Joining}', "");
Expect(0, 68526, '\P{Is_Joining_Type=Dual_Joining}', "");
Expect(1, 68526, '\P{^Is_Joining_Type=Dual_Joining}', "");
Expect(0, 68527, '\p{Is_Joining_Type=Dual_Joining}', "");
Expect(1, 68527, '\p{^Is_Joining_Type=Dual_Joining}', "");
Expect(1, 68527, '\P{Is_Joining_Type=Dual_Joining}', "");
Expect(0, 68527, '\P{^Is_Joining_Type=Dual_Joining}', "");
Error('\p{Is_Jt= -d/a/}');
Error('\P{Is_Jt= -d/a/}');
Expect(1, 68526, '\p{Is_Jt=d}', "");
Expect(0, 68526, '\p{^Is_Jt=d}', "");
Expect(0, 68526, '\P{Is_Jt=d}', "");
Expect(1, 68526, '\P{^Is_Jt=d}', "");
Expect(0, 68527, '\p{Is_Jt=d}', "");
Expect(1, 68527, '\p{^Is_Jt=d}', "");
Expect(1, 68527, '\P{Is_Jt=d}', "");
Expect(0, 68527, '\P{^Is_Jt=d}', "");
Expect(1, 68526, '\p{Is_Jt=	_D}', "");
Expect(0, 68526, '\p{^Is_Jt=	_D}', "");
Expect(0, 68526, '\P{Is_Jt=	_D}', "");
Expect(1, 68526, '\P{^Is_Jt=	_D}', "");
Expect(0, 68527, '\p{Is_Jt=	_D}', "");
Expect(1, 68527, '\p{^Is_Jt=	_D}', "");
Expect(1, 68527, '\P{Is_Jt=	_D}', "");
Expect(0, 68527, '\P{^Is_Jt=	_D}', "");
Error('\p{Joining_Type=/a/	-Left_joining}');
Error('\P{Joining_Type=/a/	-Left_joining}');
Expect(1, 68311, '\p{Joining_Type=leftjoining}', "");
Expect(0, 68311, '\p{^Joining_Type=leftjoining}', "");
Expect(0, 68311, '\P{Joining_Type=leftjoining}', "");
Expect(1, 68311, '\P{^Joining_Type=leftjoining}', "");
Expect(0, 68312, '\p{Joining_Type=leftjoining}', "");
Expect(1, 68312, '\p{^Joining_Type=leftjoining}', "");
Expect(1, 68312, '\P{Joining_Type=leftjoining}', "");
Expect(0, 68312, '\P{^Joining_Type=leftjoining}', "");
Expect(1, 68311, '\p{Joining_Type=_Left_Joining}', "");
Expect(0, 68311, '\p{^Joining_Type=_Left_Joining}', "");
Expect(0, 68311, '\P{Joining_Type=_Left_Joining}', "");
Expect(1, 68311, '\P{^Joining_Type=_Left_Joining}', "");
Expect(0, 68312, '\p{Joining_Type=_Left_Joining}', "");
Expect(1, 68312, '\p{^Joining_Type=_Left_Joining}', "");
Expect(1, 68312, '\P{Joining_Type=_Left_Joining}', "");
Expect(0, 68312, '\P{^Joining_Type=_Left_Joining}', "");
Error('\p{Jt=/a/-L}');
Error('\P{Jt=/a/-L}');
Expect(1, 68311, '\p{Jt:l}', "");
Expect(0, 68311, '\p{^Jt:l}', "");
Expect(0, 68311, '\P{Jt:l}', "");
Expect(1, 68311, '\P{^Jt:l}', "");
Expect(0, 68312, '\p{Jt:l}', "");
Expect(1, 68312, '\p{^Jt:l}', "");
Expect(1, 68312, '\P{Jt:l}', "");
Expect(0, 68312, '\P{^Jt:l}', "");
Expect(1, 68311, '\p{Jt=- L}', "");
Expect(0, 68311, '\p{^Jt=- L}', "");
Expect(0, 68311, '\P{Jt=- L}', "");
Expect(1, 68311, '\P{^Jt=- L}', "");
Expect(0, 68312, '\p{Jt=- L}', "");
Expect(1, 68312, '\p{^Jt=- L}', "");
Expect(1, 68312, '\P{Jt=- L}', "");
Expect(0, 68312, '\P{^Jt=- L}', "");
Error('\p{Is_Joining_Type=:=_ Left_Joining}');
Error('\P{Is_Joining_Type=:=_ Left_Joining}');
Expect(1, 68311, '\p{Is_Joining_Type=leftjoining}', "");
Expect(0, 68311, '\p{^Is_Joining_Type=leftjoining}', "");
Expect(0, 68311, '\P{Is_Joining_Type=leftjoining}', "");
Expect(1, 68311, '\P{^Is_Joining_Type=leftjoining}', "");
Expect(0, 68312, '\p{Is_Joining_Type=leftjoining}', "");
Expect(1, 68312, '\p{^Is_Joining_Type=leftjoining}', "");
Expect(1, 68312, '\P{Is_Joining_Type=leftjoining}', "");
Expect(0, 68312, '\P{^Is_Joining_Type=leftjoining}', "");
Expect(1, 68311, '\p{Is_Joining_Type=	left_joining}', "");
Expect(0, 68311, '\p{^Is_Joining_Type=	left_joining}', "");
Expect(0, 68311, '\P{Is_Joining_Type=	left_joining}', "");
Expect(1, 68311, '\P{^Is_Joining_Type=	left_joining}', "");
Expect(0, 68312, '\p{Is_Joining_Type=	left_joining}', "");
Expect(1, 68312, '\p{^Is_Joining_Type=	left_joining}', "");
Expect(1, 68312, '\P{Is_Joining_Type=	left_joining}', "");
Expect(0, 68312, '\P{^Is_Joining_Type=	left_joining}', "");
Error('\p{Is_Jt=-	L/a/}');
Error('\P{Is_Jt=-	L/a/}');
Expect(1, 68311, '\p{Is_Jt=l}', "");
Expect(0, 68311, '\p{^Is_Jt=l}', "");
Expect(0, 68311, '\P{Is_Jt=l}', "");
Expect(1, 68311, '\P{^Is_Jt=l}', "");
Expect(0, 68312, '\p{Is_Jt=l}', "");
Expect(1, 68312, '\p{^Is_Jt=l}', "");
Expect(1, 68312, '\P{Is_Jt=l}', "");
Expect(0, 68312, '\P{^Is_Jt=l}', "");
Expect(1, 68311, '\p{Is_Jt=	_L}', "");
Expect(0, 68311, '\p{^Is_Jt=	_L}', "");
Expect(0, 68311, '\P{Is_Jt=	_L}', "");
Expect(1, 68311, '\P{^Is_Jt=	_L}', "");
Expect(0, 68312, '\p{Is_Jt=	_L}', "");
Expect(1, 68312, '\p{^Is_Jt=	_L}', "");
Expect(1, 68312, '\P{Is_Jt=	_L}', "");
Expect(0, 68312, '\P{^Is_Jt=	_L}', "");
Error('\p{Joining_Type=/a/--right_Joining}');
Error('\P{Joining_Type=/a/--right_Joining}');
Expect(1, 68524, '\p{Joining_Type=rightjoining}', "");
Expect(0, 68524, '\p{^Joining_Type=rightjoining}', "");
Expect(0, 68524, '\P{Joining_Type=rightjoining}', "");
Expect(1, 68524, '\P{^Joining_Type=rightjoining}', "");
Expect(0, 68525, '\p{Joining_Type=rightjoining}', "");
Expect(1, 68525, '\p{^Joining_Type=rightjoining}', "");
Expect(1, 68525, '\P{Joining_Type=rightjoining}', "");
Expect(0, 68525, '\P{^Joining_Type=rightjoining}', "");
Expect(1, 68524, '\p{Joining_Type= 	Right_JOINING}', "");
Expect(0, 68524, '\p{^Joining_Type= 	Right_JOINING}', "");
Expect(0, 68524, '\P{Joining_Type= 	Right_JOINING}', "");
Expect(1, 68524, '\P{^Joining_Type= 	Right_JOINING}', "");
Expect(0, 68525, '\p{Joining_Type= 	Right_JOINING}', "");
Expect(1, 68525, '\p{^Joining_Type= 	Right_JOINING}', "");
Expect(1, 68525, '\P{Joining_Type= 	Right_JOINING}', "");
Expect(0, 68525, '\P{^Joining_Type= 	Right_JOINING}', "");
Error('\p{Jt:   /a/_ r}');
Error('\P{Jt:   /a/_ r}');
Expect(1, 68524, '\p{Jt=r}', "");
Expect(0, 68524, '\p{^Jt=r}', "");
Expect(0, 68524, '\P{Jt=r}', "");
Expect(1, 68524, '\P{^Jt=r}', "");
Expect(0, 68525, '\p{Jt=r}', "");
Expect(1, 68525, '\p{^Jt=r}', "");
Expect(1, 68525, '\P{Jt=r}', "");
Expect(0, 68525, '\P{^Jt=r}', "");
Expect(1, 68524, '\p{Jt=_-r}', "");
Expect(0, 68524, '\p{^Jt=_-r}', "");
Expect(0, 68524, '\P{Jt=_-r}', "");
Expect(1, 68524, '\P{^Jt=_-r}', "");
Expect(0, 68525, '\p{Jt=_-r}', "");
Expect(1, 68525, '\p{^Jt=_-r}', "");
Expect(1, 68525, '\P{Jt=_-r}', "");
Expect(0, 68525, '\P{^Jt=_-r}', "");
Error('\p{Is_Joining_Type=:=Right_JOINING}');
Error('\P{Is_Joining_Type=:=Right_JOINING}');
Expect(1, 68524, '\p{Is_Joining_Type=rightjoining}', "");
Expect(0, 68524, '\p{^Is_Joining_Type=rightjoining}', "");
Expect(0, 68524, '\P{Is_Joining_Type=rightjoining}', "");
Expect(1, 68524, '\P{^Is_Joining_Type=rightjoining}', "");
Expect(0, 68525, '\p{Is_Joining_Type=rightjoining}', "");
Expect(1, 68525, '\p{^Is_Joining_Type=rightjoining}', "");
Expect(1, 68525, '\P{Is_Joining_Type=rightjoining}', "");
Expect(0, 68525, '\P{^Is_Joining_Type=rightjoining}', "");
Expect(1, 68524, '\p{Is_Joining_Type=_	Right_Joining}', "");
Expect(0, 68524, '\p{^Is_Joining_Type=_	Right_Joining}', "");
Expect(0, 68524, '\P{Is_Joining_Type=_	Right_Joining}', "");
Expect(1, 68524, '\P{^Is_Joining_Type=_	Right_Joining}', "");
Expect(0, 68525, '\p{Is_Joining_Type=_	Right_Joining}', "");
Expect(1, 68525, '\p{^Is_Joining_Type=_	Right_Joining}', "");
Expect(1, 68525, '\P{Is_Joining_Type=_	Right_Joining}', "");
Expect(0, 68525, '\P{^Is_Joining_Type=_	Right_Joining}', "");
Error('\p{Is_Jt=_/a/r}');
Error('\P{Is_Jt=_/a/r}');
Expect(1, 68524, '\p{Is_Jt=r}', "");
Expect(0, 68524, '\p{^Is_Jt=r}', "");
Expect(0, 68524, '\P{Is_Jt=r}', "");
Expect(1, 68524, '\P{^Is_Jt=r}', "");
Expect(0, 68525, '\p{Is_Jt=r}', "");
Expect(1, 68525, '\p{^Is_Jt=r}', "");
Expect(1, 68525, '\P{Is_Jt=r}', "");
Expect(0, 68525, '\P{^Is_Jt=r}', "");
Expect(1, 68524, '\p{Is_Jt=  R}', "");
Expect(0, 68524, '\p{^Is_Jt=  R}', "");
Expect(0, 68524, '\P{Is_Jt=  R}', "");
Expect(1, 68524, '\P{^Is_Jt=  R}', "");
Expect(0, 68525, '\p{Is_Jt=  R}', "");
Expect(1, 68525, '\p{^Is_Jt=  R}', "");
Expect(1, 68525, '\P{Is_Jt=  R}', "");
Expect(0, 68525, '\P{^Is_Jt=  R}', "");
Error('\p{Joining_Type=/a/ Transparent}');
Error('\P{Joining_Type=/a/ Transparent}');
Expect(1, 917999, '\p{Joining_Type=transparent}', "");
Expect(0, 917999, '\p{^Joining_Type=transparent}', "");
Expect(0, 917999, '\P{Joining_Type=transparent}', "");
Expect(1, 917999, '\P{^Joining_Type=transparent}', "");
Expect(0, 918000, '\p{Joining_Type=transparent}', "");
Expect(1, 918000, '\p{^Joining_Type=transparent}', "");
Expect(1, 918000, '\P{Joining_Type=transparent}', "");
Expect(0, 918000, '\P{^Joining_Type=transparent}', "");
Expect(1, 917999, '\p{Joining_Type=_TRANSPARENT}', "");
Expect(0, 917999, '\p{^Joining_Type=_TRANSPARENT}', "");
Expect(0, 917999, '\P{Joining_Type=_TRANSPARENT}', "");
Expect(1, 917999, '\P{^Joining_Type=_TRANSPARENT}', "");
Expect(0, 918000, '\p{Joining_Type=_TRANSPARENT}', "");
Expect(1, 918000, '\p{^Joining_Type=_TRANSPARENT}', "");
Expect(1, 918000, '\P{Joining_Type=_TRANSPARENT}', "");
Expect(0, 918000, '\P{^Joining_Type=_TRANSPARENT}', "");
Error('\p{Jt=		T:=}');
Error('\P{Jt=		T:=}');
Expect(1, 917999, '\p{Jt:   t}', "");
Expect(0, 917999, '\p{^Jt:   t}', "");
Expect(0, 917999, '\P{Jt:   t}', "");
Expect(1, 917999, '\P{^Jt:   t}', "");
Expect(0, 918000, '\p{Jt:   t}', "");
Expect(1, 918000, '\p{^Jt:   t}', "");
Expect(1, 918000, '\P{Jt:   t}', "");
Expect(0, 918000, '\P{^Jt:   t}', "");
Expect(1, 917999, '\p{Jt=-T}', "");
Expect(0, 917999, '\p{^Jt=-T}', "");
Expect(0, 917999, '\P{Jt=-T}', "");
Expect(1, 917999, '\P{^Jt=-T}', "");
Expect(0, 918000, '\p{Jt=-T}', "");
Expect(1, 918000, '\p{^Jt=-T}', "");
Expect(1, 918000, '\P{Jt=-T}', "");
Expect(0, 918000, '\P{^Jt=-T}', "");
Error('\p{Is_Joining_Type=	/a/Transparent}');
Error('\P{Is_Joining_Type=	/a/Transparent}');
Expect(1, 917999, '\p{Is_Joining_Type=transparent}', "");
Expect(0, 917999, '\p{^Is_Joining_Type=transparent}', "");
Expect(0, 917999, '\P{Is_Joining_Type=transparent}', "");
Expect(1, 917999, '\P{^Is_Joining_Type=transparent}', "");
Expect(0, 918000, '\p{Is_Joining_Type=transparent}', "");
Expect(1, 918000, '\p{^Is_Joining_Type=transparent}', "");
Expect(1, 918000, '\P{Is_Joining_Type=transparent}', "");
Expect(0, 918000, '\P{^Is_Joining_Type=transparent}', "");
Expect(1, 917999, '\p{Is_Joining_Type=	TRANSPARENT}', "");
Expect(0, 917999, '\p{^Is_Joining_Type=	TRANSPARENT}', "");
Expect(0, 917999, '\P{Is_Joining_Type=	TRANSPARENT}', "");
Expect(1, 917999, '\P{^Is_Joining_Type=	TRANSPARENT}', "");
Expect(0, 918000, '\p{Is_Joining_Type=	TRANSPARENT}', "");
Expect(1, 918000, '\p{^Is_Joining_Type=	TRANSPARENT}', "");
Expect(1, 918000, '\P{Is_Joining_Type=	TRANSPARENT}', "");
Expect(0, 918000, '\P{^Is_Joining_Type=	TRANSPARENT}', "");
Error('\p{Is_Jt=/a/T}');
Error('\P{Is_Jt=/a/T}');
Expect(1, 917999, '\p{Is_Jt=t}', "");
Expect(0, 917999, '\p{^Is_Jt=t}', "");
Expect(0, 917999, '\P{Is_Jt=t}', "");
Expect(1, 917999, '\P{^Is_Jt=t}', "");
Expect(0, 918000, '\p{Is_Jt=t}', "");
Expect(1, 918000, '\p{^Is_Jt=t}', "");
Expect(1, 918000, '\P{Is_Jt=t}', "");
Expect(0, 918000, '\P{^Is_Jt=t}', "");
Expect(1, 917999, '\p{Is_Jt= -T}', "");
Expect(0, 917999, '\p{^Is_Jt= -T}', "");
Expect(0, 917999, '\P{Is_Jt= -T}', "");
Expect(1, 917999, '\P{^Is_Jt= -T}', "");
Expect(0, 918000, '\p{Is_Jt= -T}', "");
Expect(1, 918000, '\p{^Is_Jt= -T}', "");
Expect(1, 918000, '\P{Is_Jt= -T}', "");
Expect(0, 918000, '\P{^Is_Jt= -T}', "");
Error('\p{Joining_Type=	/a/NON_Joining}');
Error('\P{Joining_Type=	/a/NON_Joining}');
Expect(1, 918000, '\p{Joining_Type:	nonjoining}', "");
Expect(0, 918000, '\p{^Joining_Type:	nonjoining}', "");
Expect(0, 918000, '\P{Joining_Type:	nonjoining}', "");
Expect(1, 918000, '\P{^Joining_Type:	nonjoining}', "");
Expect(0, 917999, '\p{Joining_Type:	nonjoining}', "");
Expect(1, 917999, '\p{^Joining_Type:	nonjoining}', "");
Expect(1, 917999, '\P{Joining_Type:	nonjoining}', "");
Expect(0, 917999, '\P{^Joining_Type:	nonjoining}', "");
Expect(1, 918000, '\p{Joining_Type= _Non_JOINING}', "");
Expect(0, 918000, '\p{^Joining_Type= _Non_JOINING}', "");
Expect(0, 918000, '\P{Joining_Type= _Non_JOINING}', "");
Expect(1, 918000, '\P{^Joining_Type= _Non_JOINING}', "");
Expect(0, 917999, '\p{Joining_Type= _Non_JOINING}', "");
Expect(1, 917999, '\p{^Joining_Type= _Non_JOINING}', "");
Expect(1, 917999, '\P{Joining_Type= _Non_JOINING}', "");
Expect(0, 917999, '\P{^Joining_Type= _Non_JOINING}', "");
Error('\p{Jt:/a/-U}');
Error('\P{Jt:/a/-U}');
Expect(1, 918000, '\p{Jt=u}', "");
Expect(0, 918000, '\p{^Jt=u}', "");
Expect(0, 918000, '\P{Jt=u}', "");
Expect(1, 918000, '\P{^Jt=u}', "");
Expect(0, 917999, '\p{Jt=u}', "");
Expect(1, 917999, '\p{^Jt=u}', "");
Expect(1, 917999, '\P{Jt=u}', "");
Expect(0, 917999, '\P{^Jt=u}', "");
Expect(1, 918000, '\p{Jt:   --U}', "");
Expect(0, 918000, '\p{^Jt:   --U}', "");
Expect(0, 918000, '\P{Jt:   --U}', "");
Expect(1, 918000, '\P{^Jt:   --U}', "");
Expect(0, 917999, '\p{Jt:   --U}', "");
Expect(1, 917999, '\p{^Jt:   --U}', "");
Expect(1, 917999, '\P{Jt:   --U}', "");
Expect(0, 917999, '\P{^Jt:   --U}', "");
Error('\p{Is_Joining_Type=:=_non_joining}');
Error('\P{Is_Joining_Type=:=_non_joining}');
Expect(1, 918000, '\p{Is_Joining_Type=nonjoining}', "");
Expect(0, 918000, '\p{^Is_Joining_Type=nonjoining}', "");
Expect(0, 918000, '\P{Is_Joining_Type=nonjoining}', "");
Expect(1, 918000, '\P{^Is_Joining_Type=nonjoining}', "");
Expect(0, 917999, '\p{Is_Joining_Type=nonjoining}', "");
Expect(1, 917999, '\p{^Is_Joining_Type=nonjoining}', "");
Expect(1, 917999, '\P{Is_Joining_Type=nonjoining}', "");
Expect(0, 917999, '\P{^Is_Joining_Type=nonjoining}', "");
Expect(1, 918000, '\p{Is_Joining_Type=_NON_Joining}', "");
Expect(0, 918000, '\p{^Is_Joining_Type=_NON_Joining}', "");
Expect(0, 918000, '\P{Is_Joining_Type=_NON_Joining}', "");
Expect(1, 918000, '\P{^Is_Joining_Type=_NON_Joining}', "");
Expect(0, 917999, '\p{Is_Joining_Type=_NON_Joining}', "");
Expect(1, 917999, '\p{^Is_Joining_Type=_NON_Joining}', "");
Expect(1, 917999, '\P{Is_Joining_Type=_NON_Joining}', "");
Expect(0, 917999, '\P{^Is_Joining_Type=_NON_Joining}', "");
Error('\p{Is_Jt=	/a/u}');
Error('\P{Is_Jt=	/a/u}');
Expect(1, 918000, '\p{Is_Jt=u}', "");
Expect(0, 918000, '\p{^Is_Jt=u}', "");
Expect(0, 918000, '\P{Is_Jt=u}', "");
Expect(1, 918000, '\P{^Is_Jt=u}', "");
Expect(0, 917999, '\p{Is_Jt=u}', "");
Expect(1, 917999, '\p{^Is_Jt=u}', "");
Expect(1, 917999, '\P{Is_Jt=u}', "");
Expect(0, 917999, '\P{^Is_Jt=u}', "");
Expect(1, 918000, '\p{Is_Jt=  U}', "");
Expect(0, 918000, '\p{^Is_Jt=  U}', "");
Expect(0, 918000, '\P{Is_Jt=  U}', "");
Expect(1, 918000, '\P{^Is_Jt=  U}', "");
Expect(0, 917999, '\p{Is_Jt=  U}', "");
Expect(1, 917999, '\p{^Is_Jt=  U}', "");
Expect(1, 917999, '\P{Is_Jt=  U}', "");
Expect(0, 917999, '\P{^Is_Jt=  U}', "");
Error('\p{Line_Break=-Ambiguous:=}');
Error('\P{Line_Break=-Ambiguous:=}');
Expect(1, 127386, '\p{Line_Break=ambiguous}', "");
Expect(0, 127386, '\p{^Line_Break=ambiguous}', "");
Expect(0, 127386, '\P{Line_Break=ambiguous}', "");
Expect(1, 127386, '\P{^Line_Break=ambiguous}', "");
Expect(0, 127387, '\p{Line_Break=ambiguous}', "");
Expect(1, 127387, '\p{^Line_Break=ambiguous}', "");
Expect(1, 127387, '\P{Line_Break=ambiguous}', "");
Expect(0, 127387, '\P{^Line_Break=ambiguous}', "");
Expect(1, 127386, '\p{Line_Break=__Ambiguous}', "");
Expect(0, 127386, '\p{^Line_Break=__Ambiguous}', "");
Expect(0, 127386, '\P{Line_Break=__Ambiguous}', "");
Expect(1, 127386, '\P{^Line_Break=__Ambiguous}', "");
Expect(0, 127387, '\p{Line_Break=__Ambiguous}', "");
Expect(1, 127387, '\p{^Line_Break=__Ambiguous}', "");
Expect(1, 127387, '\P{Line_Break=__Ambiguous}', "");
Expect(0, 127387, '\P{^Line_Break=__Ambiguous}', "");
Error('\p{Lb:	_/a/ai}');
Error('\P{Lb:	_/a/ai}');
Expect(1, 127386, '\p{Lb=ai}', "");
Expect(0, 127386, '\p{^Lb=ai}', "");
Expect(0, 127386, '\P{Lb=ai}', "");
Expect(1, 127386, '\P{^Lb=ai}', "");
Expect(0, 127387, '\p{Lb=ai}', "");
Expect(1, 127387, '\p{^Lb=ai}', "");
Expect(1, 127387, '\P{Lb=ai}', "");
Expect(0, 127387, '\P{^Lb=ai}', "");
Expect(1, 127386, '\p{Lb:-	ai}', "");
Expect(0, 127386, '\p{^Lb:-	ai}', "");
Expect(0, 127386, '\P{Lb:-	ai}', "");
Expect(1, 127386, '\P{^Lb:-	ai}', "");
Expect(0, 127387, '\p{Lb:-	ai}', "");
Expect(1, 127387, '\p{^Lb:-	ai}', "");
Expect(1, 127387, '\P{Lb:-	ai}', "");
Expect(0, 127387, '\P{^Lb:-	ai}', "");
Error('\p{Is_Line_Break=:=-	Ambiguous}');
Error('\P{Is_Line_Break=:=-	Ambiguous}');
Expect(1, 127386, '\p{Is_Line_Break=ambiguous}', "");
Expect(0, 127386, '\p{^Is_Line_Break=ambiguous}', "");
Expect(0, 127386, '\P{Is_Line_Break=ambiguous}', "");
Expect(1, 127386, '\P{^Is_Line_Break=ambiguous}', "");
Expect(0, 127387, '\p{Is_Line_Break=ambiguous}', "");
Expect(1, 127387, '\p{^Is_Line_Break=ambiguous}', "");
Expect(1, 127387, '\P{Is_Line_Break=ambiguous}', "");
Expect(0, 127387, '\P{^Is_Line_Break=ambiguous}', "");
Expect(1, 127386, '\p{Is_Line_Break=	-Ambiguous}', "");
Expect(0, 127386, '\p{^Is_Line_Break=	-Ambiguous}', "");
Expect(0, 127386, '\P{Is_Line_Break=	-Ambiguous}', "");
Expect(1, 127386, '\P{^Is_Line_Break=	-Ambiguous}', "");
Expect(0, 127387, '\p{Is_Line_Break=	-Ambiguous}', "");
Expect(1, 127387, '\p{^Is_Line_Break=	-Ambiguous}', "");
Expect(1, 127387, '\P{Is_Line_Break=	-Ambiguous}', "");
Expect(0, 127387, '\P{^Is_Line_Break=	-Ambiguous}', "");
Error('\p{Is_Lb=:=ai}');
Error('\P{Is_Lb=:=ai}');
Expect(1, 127386, '\p{Is_Lb=ai}', "");
Expect(0, 127386, '\p{^Is_Lb=ai}', "");
Expect(0, 127386, '\P{Is_Lb=ai}', "");
Expect(1, 127386, '\P{^Is_Lb=ai}', "");
Expect(0, 127387, '\p{Is_Lb=ai}', "");
Expect(1, 127387, '\p{^Is_Lb=ai}', "");
Expect(1, 127387, '\P{Is_Lb=ai}', "");
Expect(0, 127387, '\P{^Is_Lb=ai}', "");
Expect(1, 127386, '\p{Is_Lb=_	AI}', "");
Expect(0, 127386, '\p{^Is_Lb=_	AI}', "");
Expect(0, 127386, '\P{Is_Lb=_	AI}', "");
Expect(1, 127386, '\P{^Is_Lb=_	AI}', "");
Expect(0, 127387, '\p{Is_Lb=_	AI}', "");
Expect(1, 127387, '\p{^Is_Lb=_	AI}', "");
Expect(1, 127387, '\P{Is_Lb=_	AI}', "");
Expect(0, 127387, '\P{^Is_Lb=_	AI}', "");
Error('\p{Line_Break:	 -Alphabetic:=}');
Error('\P{Line_Break:	 -Alphabetic:=}');
Expect(1, 129197, '\p{Line_Break=alphabetic}', "");
Expect(0, 129197, '\p{^Line_Break=alphabetic}', "");
Expect(0, 129197, '\P{Line_Break=alphabetic}', "");
Expect(1, 129197, '\P{^Line_Break=alphabetic}', "");
Expect(0, 129198, '\p{Line_Break=alphabetic}', "");
Expect(1, 129198, '\p{^Line_Break=alphabetic}', "");
Expect(1, 129198, '\P{Line_Break=alphabetic}', "");
Expect(0, 129198, '\P{^Line_Break=alphabetic}', "");
Expect(1, 129197, '\p{Line_Break:-_Alphabetic}', "");
Expect(0, 129197, '\p{^Line_Break:-_Alphabetic}', "");
Expect(0, 129197, '\P{Line_Break:-_Alphabetic}', "");
Expect(1, 129197, '\P{^Line_Break:-_Alphabetic}', "");
Expect(0, 129198, '\p{Line_Break:-_Alphabetic}', "");
Expect(1, 129198, '\p{^Line_Break:-_Alphabetic}', "");
Expect(1, 129198, '\P{Line_Break:-_Alphabetic}', "");
Expect(0, 129198, '\P{^Line_Break:-_Alphabetic}', "");
Error('\p{Lb=_	AL/a/}');
Error('\P{Lb=_	AL/a/}');
Expect(1, 129197, '\p{Lb=al}', "");
Expect(0, 129197, '\p{^Lb=al}', "");
Expect(0, 129197, '\P{Lb=al}', "");
Expect(1, 129197, '\P{^Lb=al}', "");
Expect(0, 129198, '\p{Lb=al}', "");
Expect(1, 129198, '\p{^Lb=al}', "");
Expect(1, 129198, '\P{Lb=al}', "");
Expect(0, 129198, '\P{^Lb=al}', "");
Expect(1, 129197, '\p{Lb=- al}', "");
Expect(0, 129197, '\p{^Lb=- al}', "");
Expect(0, 129197, '\P{Lb=- al}', "");
Expect(1, 129197, '\P{^Lb=- al}', "");
Expect(0, 129198, '\p{Lb=- al}', "");
Expect(1, 129198, '\p{^Lb=- al}', "");
Expect(1, 129198, '\P{Lb=- al}', "");
Expect(0, 129198, '\P{^Lb=- al}', "");
Error('\p{Is_Line_Break=:= -Alphabetic}');
Error('\P{Is_Line_Break=:= -Alphabetic}');
Expect(1, 129197, '\p{Is_Line_Break=alphabetic}', "");
Expect(0, 129197, '\p{^Is_Line_Break=alphabetic}', "");
Expect(0, 129197, '\P{Is_Line_Break=alphabetic}', "");
Expect(1, 129197, '\P{^Is_Line_Break=alphabetic}', "");
Expect(0, 129198, '\p{Is_Line_Break=alphabetic}', "");
Expect(1, 129198, '\p{^Is_Line_Break=alphabetic}', "");
Expect(1, 129198, '\P{Is_Line_Break=alphabetic}', "");
Expect(0, 129198, '\P{^Is_Line_Break=alphabetic}', "");
Expect(1, 129197, '\p{Is_Line_Break= alphabetic}', "");
Expect(0, 129197, '\p{^Is_Line_Break= alphabetic}', "");
Expect(0, 129197, '\P{Is_Line_Break= alphabetic}', "");
Expect(1, 129197, '\P{^Is_Line_Break= alphabetic}', "");
Expect(0, 129198, '\p{Is_Line_Break= alphabetic}', "");
Expect(1, 129198, '\p{^Is_Line_Break= alphabetic}', "");
Expect(1, 129198, '\P{Is_Line_Break= alphabetic}', "");
Expect(0, 129198, '\P{^Is_Line_Break= alphabetic}', "");
Error('\p{Is_Lb:    	AL:=}');
Error('\P{Is_Lb:    	AL:=}');
Expect(1, 129197, '\p{Is_Lb=al}', "");
Expect(0, 129197, '\p{^Is_Lb=al}', "");
Expect(0, 129197, '\P{Is_Lb=al}', "");
Expect(1, 129197, '\P{^Is_Lb=al}', "");
Expect(0, 129198, '\p{Is_Lb=al}', "");
Expect(1, 129198, '\p{^Is_Lb=al}', "");
Expect(1, 129198, '\P{Is_Lb=al}', "");
Expect(0, 129198, '\P{^Is_Lb=al}', "");
Expect(1, 129197, '\p{Is_Lb=__AL}', "");
Expect(0, 129197, '\p{^Is_Lb=__AL}', "");
Expect(0, 129197, '\P{Is_Lb=__AL}', "");
Expect(1, 129197, '\P{^Is_Lb=__AL}', "");
Expect(0, 129198, '\p{Is_Lb=__AL}', "");
Expect(1, 129198, '\p{^Is_Lb=__AL}', "");
Expect(1, 129198, '\P{Is_Lb=__AL}', "");
Expect(0, 129198, '\P{^Is_Lb=__AL}', "");
Error('\p{Line_Break= BREAK_BOTH/a/}');
Error('\P{Line_Break= BREAK_BOTH/a/}');
Expect(1, 11835, '\p{Line_Break=breakboth}', "");
Expect(0, 11835, '\p{^Line_Break=breakboth}', "");
Expect(0, 11835, '\P{Line_Break=breakboth}', "");
Expect(1, 11835, '\P{^Line_Break=breakboth}', "");
Expect(0, 11836, '\p{Line_Break=breakboth}', "");
Expect(1, 11836, '\p{^Line_Break=breakboth}', "");
Expect(1, 11836, '\P{Line_Break=breakboth}', "");
Expect(0, 11836, '\P{^Line_Break=breakboth}', "");
Expect(1, 11835, '\p{Line_Break=-_break_BOTH}', "");
Expect(0, 11835, '\p{^Line_Break=-_break_BOTH}', "");
Expect(0, 11835, '\P{Line_Break=-_break_BOTH}', "");
Expect(1, 11835, '\P{^Line_Break=-_break_BOTH}', "");
Expect(0, 11836, '\p{Line_Break=-_break_BOTH}', "");
Expect(1, 11836, '\p{^Line_Break=-_break_BOTH}', "");
Expect(1, 11836, '\P{Line_Break=-_break_BOTH}', "");
Expect(0, 11836, '\P{^Line_Break=-_break_BOTH}', "");
Error('\p{Lb:   /a/  b2}');
Error('\P{Lb:   /a/  b2}');
Expect(1, 11835, '\p{Lb=b2}', "");
Expect(0, 11835, '\p{^Lb=b2}', "");
Expect(0, 11835, '\P{Lb=b2}', "");
Expect(1, 11835, '\P{^Lb=b2}', "");
Expect(0, 11836, '\p{Lb=b2}', "");
Expect(1, 11836, '\p{^Lb=b2}', "");
Expect(1, 11836, '\P{Lb=b2}', "");
Expect(0, 11836, '\P{^Lb=b2}', "");
Expect(1, 11835, '\p{Lb=-_B2}', "");
Expect(0, 11835, '\p{^Lb=-_B2}', "");
Expect(0, 11835, '\P{Lb=-_B2}', "");
Expect(1, 11835, '\P{^Lb=-_B2}', "");
Expect(0, 11836, '\p{Lb=-_B2}', "");
Expect(1, 11836, '\p{^Lb=-_B2}', "");
Expect(1, 11836, '\P{Lb=-_B2}', "");
Expect(0, 11836, '\P{^Lb=-_B2}', "");
Error('\p{Is_Line_Break=_break_Both:=}');
Error('\P{Is_Line_Break=_break_Both:=}');
Expect(1, 11835, '\p{Is_Line_Break=breakboth}', "");
Expect(0, 11835, '\p{^Is_Line_Break=breakboth}', "");
Expect(0, 11835, '\P{Is_Line_Break=breakboth}', "");
Expect(1, 11835, '\P{^Is_Line_Break=breakboth}', "");
Expect(0, 11836, '\p{Is_Line_Break=breakboth}', "");
Expect(1, 11836, '\p{^Is_Line_Break=breakboth}', "");
Expect(1, 11836, '\P{Is_Line_Break=breakboth}', "");
Expect(0, 11836, '\P{^Is_Line_Break=breakboth}', "");
Expect(1, 11835, '\p{Is_Line_Break=-Break_Both}', "");
Expect(0, 11835, '\p{^Is_Line_Break=-Break_Both}', "");
Expect(0, 11835, '\P{Is_Line_Break=-Break_Both}', "");
Expect(1, 11835, '\P{^Is_Line_Break=-Break_Both}', "");
Expect(0, 11836, '\p{Is_Line_Break=-Break_Both}', "");
Expect(1, 11836, '\p{^Is_Line_Break=-Break_Both}', "");
Expect(1, 11836, '\P{Is_Line_Break=-Break_Both}', "");
Expect(0, 11836, '\P{^Is_Line_Break=-Break_Both}', "");
Error('\p{Is_Lb=/a/--B2}');
Error('\P{Is_Lb=/a/--B2}');
Expect(1, 11835, '\p{Is_Lb=b2}', "");
Expect(0, 11835, '\p{^Is_Lb=b2}', "");
Expect(0, 11835, '\P{Is_Lb=b2}', "");
Expect(1, 11835, '\P{^Is_Lb=b2}', "");
Expect(0, 11836, '\p{Is_Lb=b2}', "");
Expect(1, 11836, '\p{^Is_Lb=b2}', "");
Expect(1, 11836, '\P{Is_Lb=b2}', "");
Expect(0, 11836, '\P{^Is_Lb=b2}', "");
Expect(1, 11835, '\p{Is_Lb=_B2}', "");
Expect(0, 11835, '\p{^Is_Lb=_B2}', "");
Expect(0, 11835, '\P{Is_Lb=_B2}', "");
Expect(1, 11835, '\P{^Is_Lb=_B2}', "");
Expect(0, 11836, '\p{Is_Lb=_B2}', "");
Expect(1, 11836, '\p{^Is_Lb=_B2}', "");
Expect(1, 11836, '\P{Is_Lb=_B2}', "");
Expect(0, 11836, '\P{^Is_Lb=_B2}', "");
Error('\p{Line_Break=	 Break_after:=}');
Error('\P{Line_Break=	 Break_after:=}');
Expect(1, 121482, '\p{Line_Break=breakafter}', "");
Expect(0, 121482, '\p{^Line_Break=breakafter}', "");
Expect(0, 121482, '\P{Line_Break=breakafter}', "");
Expect(1, 121482, '\P{^Line_Break=breakafter}', "");
Expect(0, 121483, '\p{Line_Break=breakafter}', "");
Expect(1, 121483, '\p{^Line_Break=breakafter}', "");
Expect(1, 121483, '\P{Line_Break=breakafter}', "");
Expect(0, 121483, '\P{^Line_Break=breakafter}', "");
Expect(1, 121482, '\p{Line_Break=_-Break_After}', "");
Expect(0, 121482, '\p{^Line_Break=_-Break_After}', "");
Expect(0, 121482, '\P{Line_Break=_-Break_After}', "");
Expect(1, 121482, '\P{^Line_Break=_-Break_After}', "");
Expect(0, 121483, '\p{Line_Break=_-Break_After}', "");
Expect(1, 121483, '\p{^Line_Break=_-Break_After}', "");
Expect(1, 121483, '\P{Line_Break=_-Break_After}', "");
Expect(0, 121483, '\P{^Line_Break=_-Break_After}', "");
Error('\p{Lb=_/a/BA}');
Error('\P{Lb=_/a/BA}');
Expect(1, 121482, '\p{Lb: ba}', "");
Expect(0, 121482, '\p{^Lb: ba}', "");
Expect(0, 121482, '\P{Lb: ba}', "");
Expect(1, 121482, '\P{^Lb: ba}', "");
Expect(0, 121483, '\p{Lb: ba}', "");
Expect(1, 121483, '\p{^Lb: ba}', "");
Expect(1, 121483, '\P{Lb: ba}', "");
Expect(0, 121483, '\P{^Lb: ba}', "");
Expect(1, 121482, '\p{Lb= _BA}', "");
Expect(0, 121482, '\p{^Lb= _BA}', "");
Expect(0, 121482, '\P{Lb= _BA}', "");
Expect(1, 121482, '\P{^Lb= _BA}', "");
Expect(0, 121483, '\p{Lb= _BA}', "");
Expect(1, 121483, '\p{^Lb= _BA}', "");
Expect(1, 121483, '\P{Lb= _BA}', "");
Expect(0, 121483, '\P{^Lb= _BA}', "");
Error('\p{Is_Line_Break=/a/	 BREAK_After}');
Error('\P{Is_Line_Break=/a/	 BREAK_After}');
Expect(1, 121482, '\p{Is_Line_Break=breakafter}', "");
Expect(0, 121482, '\p{^Is_Line_Break=breakafter}', "");
Expect(0, 121482, '\P{Is_Line_Break=breakafter}', "");
Expect(1, 121482, '\P{^Is_Line_Break=breakafter}', "");
Expect(0, 121483, '\p{Is_Line_Break=breakafter}', "");
Expect(1, 121483, '\p{^Is_Line_Break=breakafter}', "");
Expect(1, 121483, '\P{Is_Line_Break=breakafter}', "");
Expect(0, 121483, '\P{^Is_Line_Break=breakafter}', "");
Expect(1, 121482, '\p{Is_Line_Break= Break_After}', "");
Expect(0, 121482, '\p{^Is_Line_Break= Break_After}', "");
Expect(0, 121482, '\P{Is_Line_Break= Break_After}', "");
Expect(1, 121482, '\P{^Is_Line_Break= Break_After}', "");
Expect(0, 121483, '\p{Is_Line_Break= Break_After}', "");
Expect(1, 121483, '\p{^Is_Line_Break= Break_After}', "");
Expect(1, 121483, '\P{Is_Line_Break= Break_After}', "");
Expect(0, 121483, '\P{^Is_Line_Break= Break_After}', "");
Error('\p{Is_Lb:-/a/BA}');
Error('\P{Is_Lb:-/a/BA}');
Expect(1, 121482, '\p{Is_Lb=ba}', "");
Expect(0, 121482, '\p{^Is_Lb=ba}', "");
Expect(0, 121482, '\P{Is_Lb=ba}', "");
Expect(1, 121482, '\P{^Is_Lb=ba}', "");
Expect(0, 121483, '\p{Is_Lb=ba}', "");
Expect(1, 121483, '\p{^Is_Lb=ba}', "");
Expect(1, 121483, '\P{Is_Lb=ba}', "");
Expect(0, 121483, '\P{^Is_Lb=ba}', "");
Expect(1, 121482, '\p{Is_Lb=--ba}', "");
Expect(0, 121482, '\p{^Is_Lb=--ba}', "");
Expect(0, 121482, '\P{Is_Lb=--ba}', "");
Expect(1, 121482, '\P{^Is_Lb=--ba}', "");
Expect(0, 121483, '\p{Is_Lb=--ba}', "");
Expect(1, 121483, '\p{^Is_Lb=--ba}', "");
Expect(1, 121483, '\P{Is_Lb=--ba}', "");
Expect(0, 121483, '\P{^Is_Lb=--ba}', "");
Error('\p{Line_Break=_/a/Break_Before}');
Error('\P{Line_Break=_/a/Break_Before}');
Expect(1, 71105, '\p{Line_Break: breakbefore}', "");
Expect(0, 71105, '\p{^Line_Break: breakbefore}', "");
Expect(0, 71105, '\P{Line_Break: breakbefore}', "");
Expect(1, 71105, '\P{^Line_Break: breakbefore}', "");
Expect(0, 71106, '\p{Line_Break: breakbefore}', "");
Expect(1, 71106, '\p{^Line_Break: breakbefore}', "");
Expect(1, 71106, '\P{Line_Break: breakbefore}', "");
Expect(0, 71106, '\P{^Line_Break: breakbefore}', "");
Expect(1, 71105, '\p{Line_Break=--Break_Before}', "");
Expect(0, 71105, '\p{^Line_Break=--Break_Before}', "");
Expect(0, 71105, '\P{Line_Break=--Break_Before}', "");
Expect(1, 71105, '\P{^Line_Break=--Break_Before}', "");
Expect(0, 71106, '\p{Line_Break=--Break_Before}', "");
Expect(1, 71106, '\p{^Line_Break=--Break_Before}', "");
Expect(1, 71106, '\P{Line_Break=--Break_Before}', "");
Expect(0, 71106, '\P{^Line_Break=--Break_Before}', "");
Error('\p{Lb=-	bb:=}');
Error('\P{Lb=-	bb:=}');
Expect(1, 71105, '\p{Lb=bb}', "");
Expect(0, 71105, '\p{^Lb=bb}', "");
Expect(0, 71105, '\P{Lb=bb}', "");
Expect(1, 71105, '\P{^Lb=bb}', "");
Expect(0, 71106, '\p{Lb=bb}', "");
Expect(1, 71106, '\p{^Lb=bb}', "");
Expect(1, 71106, '\P{Lb=bb}', "");
Expect(0, 71106, '\P{^Lb=bb}', "");
Expect(1, 71105, '\p{Lb=_-BB}', "");
Expect(0, 71105, '\p{^Lb=_-BB}', "");
Expect(0, 71105, '\P{Lb=_-BB}', "");
Expect(1, 71105, '\P{^Lb=_-BB}', "");
Expect(0, 71106, '\p{Lb=_-BB}', "");
Expect(1, 71106, '\p{^Lb=_-BB}', "");
Expect(1, 71106, '\P{Lb=_-BB}', "");
Expect(0, 71106, '\P{^Lb=_-BB}', "");
Error('\p{Is_Line_Break=:=-_Break_Before}');
Error('\P{Is_Line_Break=:=-_Break_Before}');
Expect(1, 71105, '\p{Is_Line_Break=breakbefore}', "");
Expect(0, 71105, '\p{^Is_Line_Break=breakbefore}', "");
Expect(0, 71105, '\P{Is_Line_Break=breakbefore}', "");
Expect(1, 71105, '\P{^Is_Line_Break=breakbefore}', "");
Expect(0, 71106, '\p{Is_Line_Break=breakbefore}', "");
Expect(1, 71106, '\p{^Is_Line_Break=breakbefore}', "");
Expect(1, 71106, '\P{Is_Line_Break=breakbefore}', "");
Expect(0, 71106, '\P{^Is_Line_Break=breakbefore}', "");
Expect(1, 71105, '\p{Is_Line_Break=_Break_BEFORE}', "");
Expect(0, 71105, '\p{^Is_Line_Break=_Break_BEFORE}', "");
Expect(0, 71105, '\P{Is_Line_Break=_Break_BEFORE}', "");
Expect(1, 71105, '\P{^Is_Line_Break=_Break_BEFORE}', "");
Expect(0, 71106, '\p{Is_Line_Break=_Break_BEFORE}', "");
Expect(1, 71106, '\p{^Is_Line_Break=_Break_BEFORE}', "");
Expect(1, 71106, '\P{Is_Line_Break=_Break_BEFORE}', "");
Expect(0, 71106, '\P{^Is_Line_Break=_Break_BEFORE}', "");
Error('\p{Is_Lb:	/a/		BB}');
Error('\P{Is_Lb:	/a/		BB}');
Expect(1, 71105, '\p{Is_Lb=bb}', "");
Expect(0, 71105, '\p{^Is_Lb=bb}', "");
Expect(0, 71105, '\P{Is_Lb=bb}', "");
Expect(1, 71105, '\P{^Is_Lb=bb}', "");
Expect(0, 71106, '\p{Is_Lb=bb}', "");
Expect(1, 71106, '\p{^Is_Lb=bb}', "");
Expect(1, 71106, '\P{Is_Lb=bb}', "");
Expect(0, 71106, '\P{^Is_Lb=bb}', "");
Expect(1, 71105, '\p{Is_Lb=	_bb}', "");
Expect(0, 71105, '\p{^Is_Lb=	_bb}', "");
Expect(0, 71105, '\P{Is_Lb=	_bb}', "");
Expect(1, 71105, '\P{^Is_Lb=	_bb}', "");
Expect(0, 71106, '\p{Is_Lb=	_bb}', "");
Expect(1, 71106, '\p{^Is_Lb=	_bb}', "");
Expect(1, 71106, '\P{Is_Lb=	_bb}', "");
Expect(0, 71106, '\P{^Is_Lb=	_bb}', "");
Error('\p{Line_Break= 	MANDATORY_Break/a/}');
Error('\P{Line_Break= 	MANDATORY_Break/a/}');
Expect(1, 8233, '\p{Line_Break=mandatorybreak}', "");
Expect(0, 8233, '\p{^Line_Break=mandatorybreak}', "");
Expect(0, 8233, '\P{Line_Break=mandatorybreak}', "");
Expect(1, 8233, '\P{^Line_Break=mandatorybreak}', "");
Expect(0, 8234, '\p{Line_Break=mandatorybreak}', "");
Expect(1, 8234, '\p{^Line_Break=mandatorybreak}', "");
Expect(1, 8234, '\P{Line_Break=mandatorybreak}', "");
Expect(0, 8234, '\P{^Line_Break=mandatorybreak}', "");
Expect(1, 8233, '\p{Line_Break=  MANDATORY_Break}', "");
Expect(0, 8233, '\p{^Line_Break=  MANDATORY_Break}', "");
Expect(0, 8233, '\P{Line_Break=  MANDATORY_Break}', "");
Expect(1, 8233, '\P{^Line_Break=  MANDATORY_Break}', "");
Expect(0, 8234, '\p{Line_Break=  MANDATORY_Break}', "");
Expect(1, 8234, '\p{^Line_Break=  MANDATORY_Break}', "");
Expect(1, 8234, '\P{Line_Break=  MANDATORY_Break}', "");
Expect(0, 8234, '\P{^Line_Break=  MANDATORY_Break}', "");
Error('\p{Lb: -/a/BK}');
Error('\P{Lb: -/a/BK}');
Expect(1, 8233, '\p{Lb=bk}', "");
Expect(0, 8233, '\p{^Lb=bk}', "");
Expect(0, 8233, '\P{Lb=bk}', "");
Expect(1, 8233, '\P{^Lb=bk}', "");
Expect(0, 8234, '\p{Lb=bk}', "");
Expect(1, 8234, '\p{^Lb=bk}', "");
Expect(1, 8234, '\P{Lb=bk}', "");
Expect(0, 8234, '\P{^Lb=bk}', "");
Expect(1, 8233, '\p{Lb=-_BK}', "");
Expect(0, 8233, '\p{^Lb=-_BK}', "");
Expect(0, 8233, '\P{Lb=-_BK}', "");
Expect(1, 8233, '\P{^Lb=-_BK}', "");
Expect(0, 8234, '\p{Lb=-_BK}', "");
Expect(1, 8234, '\p{^Lb=-_BK}', "");
Expect(1, 8234, '\P{Lb=-_BK}', "");
Expect(0, 8234, '\P{^Lb=-_BK}', "");
Error('\p{Is_Line_Break=:=		mandatory_Break}');
Error('\P{Is_Line_Break=:=		mandatory_Break}');
Expect(1, 8233, '\p{Is_Line_Break=mandatorybreak}', "");
Expect(0, 8233, '\p{^Is_Line_Break=mandatorybreak}', "");
Expect(0, 8233, '\P{Is_Line_Break=mandatorybreak}', "");
Expect(1, 8233, '\P{^Is_Line_Break=mandatorybreak}', "");
Expect(0, 8234, '\p{Is_Line_Break=mandatorybreak}', "");
Expect(1, 8234, '\p{^Is_Line_Break=mandatorybreak}', "");
Expect(1, 8234, '\P{Is_Line_Break=mandatorybreak}', "");
Expect(0, 8234, '\P{^Is_Line_Break=mandatorybreak}', "");
Expect(1, 8233, '\p{Is_Line_Break=	 Mandatory_break}', "");
Expect(0, 8233, '\p{^Is_Line_Break=	 Mandatory_break}', "");
Expect(0, 8233, '\P{Is_Line_Break=	 Mandatory_break}', "");
Expect(1, 8233, '\P{^Is_Line_Break=	 Mandatory_break}', "");
Expect(0, 8234, '\p{Is_Line_Break=	 Mandatory_break}', "");
Expect(1, 8234, '\p{^Is_Line_Break=	 Mandatory_break}', "");
Expect(1, 8234, '\P{Is_Line_Break=	 Mandatory_break}', "");
Expect(0, 8234, '\P{^Is_Line_Break=	 Mandatory_break}', "");
Error('\p{Is_Lb:	/a/	BK}');
Error('\P{Is_Lb:	/a/	BK}');
Expect(1, 8233, '\p{Is_Lb=bk}', "");
Expect(0, 8233, '\p{^Is_Lb=bk}', "");
Expect(0, 8233, '\P{Is_Lb=bk}', "");
Expect(1, 8233, '\P{^Is_Lb=bk}', "");
Expect(0, 8234, '\p{Is_Lb=bk}', "");
Expect(1, 8234, '\p{^Is_Lb=bk}', "");
Expect(1, 8234, '\P{Is_Lb=bk}', "");
Expect(0, 8234, '\P{^Is_Lb=bk}', "");
Expect(1, 8233, '\p{Is_Lb=-BK}', "");
Expect(0, 8233, '\p{^Is_Lb=-BK}', "");
Expect(0, 8233, '\P{Is_Lb=-BK}', "");
Expect(1, 8233, '\P{^Is_Lb=-BK}', "");
Expect(0, 8234, '\p{Is_Lb=-BK}', "");
Expect(1, 8234, '\p{^Is_Lb=-BK}', "");
Expect(1, 8234, '\P{Is_Lb=-BK}', "");
Expect(0, 8234, '\P{^Is_Lb=-BK}', "");
Error('\p{Line_Break=-:=contingent_Break}');
Error('\P{Line_Break=-:=contingent_Break}');
Expect(1, 65532, '\p{Line_Break=contingentbreak}', "");
Expect(0, 65532, '\p{^Line_Break=contingentbreak}', "");
Expect(0, 65532, '\P{Line_Break=contingentbreak}', "");
Expect(1, 65532, '\P{^Line_Break=contingentbreak}', "");
Expect(0, 65533, '\p{Line_Break=contingentbreak}', "");
Expect(1, 65533, '\p{^Line_Break=contingentbreak}', "");
Expect(1, 65533, '\P{Line_Break=contingentbreak}', "");
Expect(0, 65533, '\P{^Line_Break=contingentbreak}', "");
Expect(1, 65532, '\p{Line_Break=-CONTINGENT_BREAK}', "");
Expect(0, 65532, '\p{^Line_Break=-CONTINGENT_BREAK}', "");
Expect(0, 65532, '\P{Line_Break=-CONTINGENT_BREAK}', "");
Expect(1, 65532, '\P{^Line_Break=-CONTINGENT_BREAK}', "");
Expect(0, 65533, '\p{Line_Break=-CONTINGENT_BREAK}', "");
Expect(1, 65533, '\p{^Line_Break=-CONTINGENT_BREAK}', "");
Expect(1, 65533, '\P{Line_Break=-CONTINGENT_BREAK}', "");
Expect(0, 65533, '\P{^Line_Break=-CONTINGENT_BREAK}', "");
Error('\p{Lb=_	CB:=}');
Error('\P{Lb=_	CB:=}');
Expect(1, 65532, '\p{Lb=cb}', "");
Expect(0, 65532, '\p{^Lb=cb}', "");
Expect(0, 65532, '\P{Lb=cb}', "");
Expect(1, 65532, '\P{^Lb=cb}', "");
Expect(0, 65533, '\p{Lb=cb}', "");
Expect(1, 65533, '\p{^Lb=cb}', "");
Expect(1, 65533, '\P{Lb=cb}', "");
Expect(0, 65533, '\P{^Lb=cb}', "");
Expect(1, 65532, '\p{Lb=_CB}', "");
Expect(0, 65532, '\p{^Lb=_CB}', "");
Expect(0, 65532, '\P{Lb=_CB}', "");
Expect(1, 65532, '\P{^Lb=_CB}', "");
Expect(0, 65533, '\p{Lb=_CB}', "");
Expect(1, 65533, '\p{^Lb=_CB}', "");
Expect(1, 65533, '\P{Lb=_CB}', "");
Expect(0, 65533, '\P{^Lb=_CB}', "");
Error('\p{Is_Line_Break= /a/Contingent_Break}');
Error('\P{Is_Line_Break= /a/Contingent_Break}');
Expect(1, 65532, '\p{Is_Line_Break=contingentbreak}', "");
Expect(0, 65532, '\p{^Is_Line_Break=contingentbreak}', "");
Expect(0, 65532, '\P{Is_Line_Break=contingentbreak}', "");
Expect(1, 65532, '\P{^Is_Line_Break=contingentbreak}', "");
Expect(0, 65533, '\p{Is_Line_Break=contingentbreak}', "");
Expect(1, 65533, '\p{^Is_Line_Break=contingentbreak}', "");
Expect(1, 65533, '\P{Is_Line_Break=contingentbreak}', "");
Expect(0, 65533, '\P{^Is_Line_Break=contingentbreak}', "");
Expect(1, 65532, '\p{Is_Line_Break= _Contingent_break}', "");
Expect(0, 65532, '\p{^Is_Line_Break= _Contingent_break}', "");
Expect(0, 65532, '\P{Is_Line_Break= _Contingent_break}', "");
Expect(1, 65532, '\P{^Is_Line_Break= _Contingent_break}', "");
Expect(0, 65533, '\p{Is_Line_Break= _Contingent_break}', "");
Expect(1, 65533, '\p{^Is_Line_Break= _Contingent_break}', "");
Expect(1, 65533, '\P{Is_Line_Break= _Contingent_break}', "");
Expect(0, 65533, '\P{^Is_Line_Break= _Contingent_break}', "");
Error('\p{Is_Lb:	/a/CB}');
Error('\P{Is_Lb:	/a/CB}');
Expect(1, 65532, '\p{Is_Lb=cb}', "");
Expect(0, 65532, '\p{^Is_Lb=cb}', "");
Expect(0, 65532, '\P{Is_Lb=cb}', "");
Expect(1, 65532, '\P{^Is_Lb=cb}', "");
Expect(0, 65533, '\p{Is_Lb=cb}', "");
Expect(1, 65533, '\p{^Is_Lb=cb}', "");
Expect(1, 65533, '\P{Is_Lb=cb}', "");
Expect(0, 65533, '\P{^Is_Lb=cb}', "");
Expect(1, 65532, '\p{Is_Lb=	 cb}', "");
Expect(0, 65532, '\p{^Is_Lb=	 cb}', "");
Expect(0, 65532, '\P{Is_Lb=	 cb}', "");
Expect(1, 65532, '\P{^Is_Lb=	 cb}', "");
Expect(0, 65533, '\p{Is_Lb=	 cb}', "");
Expect(1, 65533, '\p{^Is_Lb=	 cb}', "");
Expect(1, 65533, '\P{Is_Lb=	 cb}', "");
Expect(0, 65533, '\P{^Is_Lb=	 cb}', "");
Error('\p{Line_Break:	:=-CONDITIONAL_Japanese_Starter}');
Error('\P{Line_Break:	:=-CONDITIONAL_Japanese_Starter}');
Expect(1, 65392, '\p{Line_Break=conditionaljapanesestarter}', "");
Expect(0, 65392, '\p{^Line_Break=conditionaljapanesestarter}', "");
Expect(0, 65392, '\P{Line_Break=conditionaljapanesestarter}', "");
Expect(1, 65392, '\P{^Line_Break=conditionaljapanesestarter}', "");
Expect(0, 65393, '\p{Line_Break=conditionaljapanesestarter}', "");
Expect(1, 65393, '\p{^Line_Break=conditionaljapanesestarter}', "");
Expect(1, 65393, '\P{Line_Break=conditionaljapanesestarter}', "");
Expect(0, 65393, '\P{^Line_Break=conditionaljapanesestarter}', "");
Expect(1, 65392, '\p{Line_Break=_conditional_Japanese_Starter}', "");
Expect(0, 65392, '\p{^Line_Break=_conditional_Japanese_Starter}', "");
Expect(0, 65392, '\P{Line_Break=_conditional_Japanese_Starter}', "");
Expect(1, 65392, '\P{^Line_Break=_conditional_Japanese_Starter}', "");
Expect(0, 65393, '\p{Line_Break=_conditional_Japanese_Starter}', "");
Expect(1, 65393, '\p{^Line_Break=_conditional_Japanese_Starter}', "");
Expect(1, 65393, '\P{Line_Break=_conditional_Japanese_Starter}', "");
Expect(0, 65393, '\P{^Line_Break=_conditional_Japanese_Starter}', "");
Error('\p{Lb=--CJ/a/}');
Error('\P{Lb=--CJ/a/}');
Expect(1, 65392, '\p{Lb=cj}', "");
Expect(0, 65392, '\p{^Lb=cj}', "");
Expect(0, 65392, '\P{Lb=cj}', "");
Expect(1, 65392, '\P{^Lb=cj}', "");
Expect(0, 65393, '\p{Lb=cj}', "");
Expect(1, 65393, '\p{^Lb=cj}', "");
Expect(1, 65393, '\P{Lb=cj}', "");
Expect(0, 65393, '\P{^Lb=cj}', "");
Expect(1, 65392, '\p{Lb=-_CJ}', "");
Expect(0, 65392, '\p{^Lb=-_CJ}', "");
Expect(0, 65392, '\P{Lb=-_CJ}', "");
Expect(1, 65392, '\P{^Lb=-_CJ}', "");
Expect(0, 65393, '\p{Lb=-_CJ}', "");
Expect(1, 65393, '\p{^Lb=-_CJ}', "");
Expect(1, 65393, '\P{Lb=-_CJ}', "");
Expect(0, 65393, '\P{^Lb=-_CJ}', "");
Error('\p{Is_Line_Break=/a/conditional_Japanese_Starter}');
Error('\P{Is_Line_Break=/a/conditional_Japanese_Starter}');
Expect(1, 65392, '\p{Is_Line_Break=conditionaljapanesestarter}', "");
Expect(0, 65392, '\p{^Is_Line_Break=conditionaljapanesestarter}', "");
Expect(0, 65392, '\P{Is_Line_Break=conditionaljapanesestarter}', "");
Expect(1, 65392, '\P{^Is_Line_Break=conditionaljapanesestarter}', "");
Expect(0, 65393, '\p{Is_Line_Break=conditionaljapanesestarter}', "");
Expect(1, 65393, '\p{^Is_Line_Break=conditionaljapanesestarter}', "");
Expect(1, 65393, '\P{Is_Line_Break=conditionaljapanesestarter}', "");
Expect(0, 65393, '\P{^Is_Line_Break=conditionaljapanesestarter}', "");
Expect(1, 65392, '\p{Is_Line_Break= _Conditional_JAPANESE_starter}', "");
Expect(0, 65392, '\p{^Is_Line_Break= _Conditional_JAPANESE_starter}', "");
Expect(0, 65392, '\P{Is_Line_Break= _Conditional_JAPANESE_starter}', "");
Expect(1, 65392, '\P{^Is_Line_Break= _Conditional_JAPANESE_starter}', "");
Expect(0, 65393, '\p{Is_Line_Break= _Conditional_JAPANESE_starter}', "");
Expect(1, 65393, '\p{^Is_Line_Break= _Conditional_JAPANESE_starter}', "");
Expect(1, 65393, '\P{Is_Line_Break= _Conditional_JAPANESE_starter}', "");
Expect(0, 65393, '\P{^Is_Line_Break= _Conditional_JAPANESE_starter}', "");
Error('\p{Is_Lb: := -cj}');
Error('\P{Is_Lb: := -cj}');
Expect(1, 65392, '\p{Is_Lb=cj}', "");
Expect(0, 65392, '\p{^Is_Lb=cj}', "");
Expect(0, 65392, '\P{Is_Lb=cj}', "");
Expect(1, 65392, '\P{^Is_Lb=cj}', "");
Expect(0, 65393, '\p{Is_Lb=cj}', "");
Expect(1, 65393, '\p{^Is_Lb=cj}', "");
Expect(1, 65393, '\P{Is_Lb=cj}', "");
Expect(0, 65393, '\P{^Is_Lb=cj}', "");
Expect(1, 65392, '\p{Is_Lb=_CJ}', "");
Expect(0, 65392, '\p{^Is_Lb=_CJ}', "");
Expect(0, 65392, '\P{Is_Lb=_CJ}', "");
Expect(1, 65392, '\P{^Is_Lb=_CJ}', "");
Expect(0, 65393, '\p{Is_Lb=_CJ}', "");
Expect(1, 65393, '\p{^Is_Lb=_CJ}', "");
Expect(1, 65393, '\P{Is_Lb=_CJ}', "");
Expect(0, 65393, '\P{^Is_Lb=_CJ}', "");
Error('\p{Line_Break= :=Close_PUNCTUATION}');
Error('\P{Line_Break= :=Close_PUNCTUATION}');
Expect(1, 83407, '\p{Line_Break=closepunctuation}', "");
Expect(0, 83407, '\p{^Line_Break=closepunctuation}', "");
Expect(0, 83407, '\P{Line_Break=closepunctuation}', "");
Expect(1, 83407, '\P{^Line_Break=closepunctuation}', "");
Expect(0, 83408, '\p{Line_Break=closepunctuation}', "");
Expect(1, 83408, '\p{^Line_Break=closepunctuation}', "");
Expect(1, 83408, '\P{Line_Break=closepunctuation}', "");
Expect(0, 83408, '\P{^Line_Break=closepunctuation}', "");
Expect(1, 83407, '\p{Line_Break=	Close_Punctuation}', "");
Expect(0, 83407, '\p{^Line_Break=	Close_Punctuation}', "");
Expect(0, 83407, '\P{Line_Break=	Close_Punctuation}', "");
Expect(1, 83407, '\P{^Line_Break=	Close_Punctuation}', "");
Expect(0, 83408, '\p{Line_Break=	Close_Punctuation}', "");
Expect(1, 83408, '\p{^Line_Break=	Close_Punctuation}', "");
Expect(1, 83408, '\P{Line_Break=	Close_Punctuation}', "");
Expect(0, 83408, '\P{^Line_Break=	Close_Punctuation}', "");
Error('\p{Lb: 	:=cl}');
Error('\P{Lb: 	:=cl}');
Expect(1, 83407, '\p{Lb=cl}', "");
Expect(0, 83407, '\p{^Lb=cl}', "");
Expect(0, 83407, '\P{Lb=cl}', "");
Expect(1, 83407, '\P{^Lb=cl}', "");
Expect(0, 83408, '\p{Lb=cl}', "");
Expect(1, 83408, '\p{^Lb=cl}', "");
Expect(1, 83408, '\P{Lb=cl}', "");
Expect(0, 83408, '\P{^Lb=cl}', "");
Error('\p{Is_Line_Break=	 Close_punctuation:=}');
Error('\P{Is_Line_Break=	 Close_punctuation:=}');
Expect(1, 83407, '\p{Is_Line_Break=closepunctuation}', "");
Expect(0, 83407, '\p{^Is_Line_Break=closepunctuation}', "");
Expect(0, 83407, '\P{Is_Line_Break=closepunctuation}', "");
Expect(1, 83407, '\P{^Is_Line_Break=closepunctuation}', "");
Expect(0, 83408, '\p{Is_Line_Break=closepunctuation}', "");
Expect(1, 83408, '\p{^Is_Line_Break=closepunctuation}', "");
Expect(1, 83408, '\P{Is_Line_Break=closepunctuation}', "");
Expect(0, 83408, '\P{^Is_Line_Break=closepunctuation}', "");
Expect(1, 83407, '\p{Is_Line_Break= -Close_Punctuation}', "");
Expect(0, 83407, '\p{^Is_Line_Break= -Close_Punctuation}', "");
Expect(0, 83407, '\P{Is_Line_Break= -Close_Punctuation}', "");
Expect(1, 83407, '\P{^Is_Line_Break= -Close_Punctuation}', "");
Expect(0, 83408, '\p{Is_Line_Break= -Close_Punctuation}', "");
Expect(1, 83408, '\p{^Is_Line_Break= -Close_Punctuation}', "");
Expect(1, 83408, '\P{Is_Line_Break= -Close_Punctuation}', "");
Expect(0, 83408, '\P{^Is_Line_Break= -Close_Punctuation}', "");
Error('\p{Is_Lb=:= _CL}');
Error('\P{Is_Lb=:= _CL}');
Expect(1, 83407, '\p{Is_Lb=cl}', "");
Expect(0, 83407, '\p{^Is_Lb=cl}', "");
Expect(0, 83407, '\P{Is_Lb=cl}', "");
Expect(1, 83407, '\P{^Is_Lb=cl}', "");
Expect(0, 83408, '\p{Is_Lb=cl}', "");
Expect(1, 83408, '\p{^Is_Lb=cl}', "");
Expect(1, 83408, '\P{Is_Lb=cl}', "");
Expect(0, 83408, '\P{^Is_Lb=cl}', "");
Expect(1, 83407, '\p{Is_Lb=-_CL}', "");
Expect(0, 83407, '\p{^Is_Lb=-_CL}', "");
Expect(0, 83407, '\P{Is_Lb=-_CL}', "");
Expect(1, 83407, '\P{^Is_Lb=-_CL}', "");
Expect(0, 83408, '\p{Is_Lb=-_CL}', "");
Expect(1, 83408, '\p{^Is_Lb=-_CL}', "");
Expect(1, 83408, '\P{Is_Lb=-_CL}', "");
Expect(0, 83408, '\P{^Is_Lb=-_CL}', "");
Error('\p{Line_Break= :=combining_MARK}');
Error('\P{Line_Break= :=combining_MARK}');
Expect(1, 917999, '\p{Line_Break=combiningmark}', "");
Expect(0, 917999, '\p{^Line_Break=combiningmark}', "");
Expect(0, 917999, '\P{Line_Break=combiningmark}', "");
Expect(1, 917999, '\P{^Line_Break=combiningmark}', "");
Expect(0, 918000, '\p{Line_Break=combiningmark}', "");
Expect(1, 918000, '\p{^Line_Break=combiningmark}', "");
Expect(1, 918000, '\P{Line_Break=combiningmark}', "");
Expect(0, 918000, '\P{^Line_Break=combiningmark}', "");
Expect(1, 917999, '\p{Line_Break=-	Combining_MARK}', "");
Expect(0, 917999, '\p{^Line_Break=-	Combining_MARK}', "");
Expect(0, 917999, '\P{Line_Break=-	Combining_MARK}', "");
Expect(1, 917999, '\P{^Line_Break=-	Combining_MARK}', "");
Expect(0, 918000, '\p{Line_Break=-	Combining_MARK}', "");
Expect(1, 918000, '\p{^Line_Break=-	Combining_MARK}', "");
Expect(1, 918000, '\P{Line_Break=-	Combining_MARK}', "");
Expect(0, 918000, '\P{^Line_Break=-	Combining_MARK}', "");
Error('\p{Lb=:=_	CM}');
Error('\P{Lb=:=_	CM}');
Expect(1, 917999, '\p{Lb=cm}', "");
Expect(0, 917999, '\p{^Lb=cm}', "");
Expect(0, 917999, '\P{Lb=cm}', "");
Expect(1, 917999, '\P{^Lb=cm}', "");
Expect(0, 918000, '\p{Lb=cm}', "");
Expect(1, 918000, '\p{^Lb=cm}', "");
Expect(1, 918000, '\P{Lb=cm}', "");
Expect(0, 918000, '\P{^Lb=cm}', "");
Expect(1, 917999, '\p{Lb= cm}', "");
Expect(0, 917999, '\p{^Lb= cm}', "");
Expect(0, 917999, '\P{Lb= cm}', "");
Expect(1, 917999, '\P{^Lb= cm}', "");
Expect(0, 918000, '\p{Lb= cm}', "");
Expect(1, 918000, '\p{^Lb= cm}', "");
Expect(1, 918000, '\P{Lb= cm}', "");
Expect(0, 918000, '\P{^Lb= cm}', "");
Error('\p{Is_Line_Break=	/a/Combining_mark}');
Error('\P{Is_Line_Break=	/a/Combining_mark}');
Expect(1, 917999, '\p{Is_Line_Break=combiningmark}', "");
Expect(0, 917999, '\p{^Is_Line_Break=combiningmark}', "");
Expect(0, 917999, '\P{Is_Line_Break=combiningmark}', "");
Expect(1, 917999, '\P{^Is_Line_Break=combiningmark}', "");
Expect(0, 918000, '\p{Is_Line_Break=combiningmark}', "");
Expect(1, 918000, '\p{^Is_Line_Break=combiningmark}', "");
Expect(1, 918000, '\P{Is_Line_Break=combiningmark}', "");
Expect(0, 918000, '\P{^Is_Line_Break=combiningmark}', "");
Expect(1, 917999, '\p{Is_Line_Break=-Combining_MARK}', "");
Expect(0, 917999, '\p{^Is_Line_Break=-Combining_MARK}', "");
Expect(0, 917999, '\P{Is_Line_Break=-Combining_MARK}', "");
Expect(1, 917999, '\P{^Is_Line_Break=-Combining_MARK}', "");
Expect(0, 918000, '\p{Is_Line_Break=-Combining_MARK}', "");
Expect(1, 918000, '\p{^Is_Line_Break=-Combining_MARK}', "");
Expect(1, 918000, '\P{Is_Line_Break=-Combining_MARK}', "");
Expect(0, 918000, '\P{^Is_Line_Break=-Combining_MARK}', "");
Error('\p{Is_Lb=/a/		CM}');
Error('\P{Is_Lb=/a/		CM}');
Expect(1, 917999, '\p{Is_Lb=cm}', "");
Expect(0, 917999, '\p{^Is_Lb=cm}', "");
Expect(0, 917999, '\P{Is_Lb=cm}', "");
Expect(1, 917999, '\P{^Is_Lb=cm}', "");
Expect(0, 918000, '\p{Is_Lb=cm}', "");
Expect(1, 918000, '\p{^Is_Lb=cm}', "");
Expect(1, 918000, '\P{Is_Lb=cm}', "");
Expect(0, 918000, '\P{^Is_Lb=cm}', "");
Expect(1, 917999, '\p{Is_Lb=-CM}', "");
Expect(0, 917999, '\p{^Is_Lb=-CM}', "");
Expect(0, 917999, '\P{Is_Lb=-CM}', "");
Expect(1, 917999, '\P{^Is_Lb=-CM}', "");
Expect(0, 918000, '\p{Is_Lb=-CM}', "");
Expect(1, 918000, '\p{^Is_Lb=-CM}', "");
Expect(1, 918000, '\P{Is_Lb=-CM}', "");
Expect(0, 918000, '\P{^Is_Lb=-CM}', "");
Error('\p{Line_Break=--Close_PARENTHESIS/a/}');
Error('\P{Line_Break=--Close_PARENTHESIS/a/}');
Expect(1, 93, '\p{Line_Break:   closeparenthesis}', "");
Expect(0, 93, '\p{^Line_Break:   closeparenthesis}', "");
Expect(0, 93, '\P{Line_Break:   closeparenthesis}', "");
Expect(1, 93, '\P{^Line_Break:   closeparenthesis}', "");
Expect(0, 94, '\p{Line_Break:   closeparenthesis}', "");
Expect(1, 94, '\p{^Line_Break:   closeparenthesis}', "");
Expect(1, 94, '\P{Line_Break:   closeparenthesis}', "");
Expect(0, 94, '\P{^Line_Break:   closeparenthesis}', "");
Expect(1, 93, '\p{Line_Break=-	Close_PARENTHESIS}', "");
Expect(0, 93, '\p{^Line_Break=-	Close_PARENTHESIS}', "");
Expect(0, 93, '\P{Line_Break=-	Close_PARENTHESIS}', "");
Expect(1, 93, '\P{^Line_Break=-	Close_PARENTHESIS}', "");
Expect(0, 94, '\p{Line_Break=-	Close_PARENTHESIS}', "");
Expect(1, 94, '\p{^Line_Break=-	Close_PARENTHESIS}', "");
Expect(1, 94, '\P{Line_Break=-	Close_PARENTHESIS}', "");
Expect(0, 94, '\P{^Line_Break=-	Close_PARENTHESIS}', "");
Error('\p{Lb=	:=CP}');
Error('\P{Lb=	:=CP}');
Expect(1, 93, '\p{Lb=cp}', "");
Expect(0, 93, '\p{^Lb=cp}', "");
Expect(0, 93, '\P{Lb=cp}', "");
Expect(1, 93, '\P{^Lb=cp}', "");
Expect(0, 94, '\p{Lb=cp}', "");
Expect(1, 94, '\p{^Lb=cp}', "");
Expect(1, 94, '\P{Lb=cp}', "");
Expect(0, 94, '\P{^Lb=cp}', "");
Expect(1, 93, '\p{Lb=CP}', "");
Expect(0, 93, '\p{^Lb=CP}', "");
Expect(0, 93, '\P{Lb=CP}', "");
Expect(1, 93, '\P{^Lb=CP}', "");
Expect(0, 94, '\p{Lb=CP}', "");
Expect(1, 94, '\p{^Lb=CP}', "");
Expect(1, 94, '\P{Lb=CP}', "");
Expect(0, 94, '\P{^Lb=CP}', "");
Error('\p{Is_Line_Break= /a/Close_Parenthesis}');
Error('\P{Is_Line_Break= /a/Close_Parenthesis}');
Expect(1, 93, '\p{Is_Line_Break=closeparenthesis}', "");
Expect(0, 93, '\p{^Is_Line_Break=closeparenthesis}', "");
Expect(0, 93, '\P{Is_Line_Break=closeparenthesis}', "");
Expect(1, 93, '\P{^Is_Line_Break=closeparenthesis}', "");
Expect(0, 94, '\p{Is_Line_Break=closeparenthesis}', "");
Expect(1, 94, '\p{^Is_Line_Break=closeparenthesis}', "");
Expect(1, 94, '\P{Is_Line_Break=closeparenthesis}', "");
Expect(0, 94, '\P{^Is_Line_Break=closeparenthesis}', "");
Expect(1, 93, '\p{Is_Line_Break=-_Close_parenthesis}', "");
Expect(0, 93, '\p{^Is_Line_Break=-_Close_parenthesis}', "");
Expect(0, 93, '\P{Is_Line_Break=-_Close_parenthesis}', "");
Expect(1, 93, '\P{^Is_Line_Break=-_Close_parenthesis}', "");
Expect(0, 94, '\p{Is_Line_Break=-_Close_parenthesis}', "");
Expect(1, 94, '\p{^Is_Line_Break=-_Close_parenthesis}', "");
Expect(1, 94, '\P{Is_Line_Break=-_Close_parenthesis}', "");
Expect(0, 94, '\P{^Is_Line_Break=-_Close_parenthesis}', "");
Error('\p{Is_Lb=:=		CP}');
Error('\P{Is_Lb=:=		CP}');
Expect(1, 93, '\p{Is_Lb=cp}', "");
Expect(0, 93, '\p{^Is_Lb=cp}', "");
Expect(0, 93, '\P{Is_Lb=cp}', "");
Expect(1, 93, '\P{^Is_Lb=cp}', "");
Expect(0, 94, '\p{Is_Lb=cp}', "");
Expect(1, 94, '\p{^Is_Lb=cp}', "");
Expect(1, 94, '\P{Is_Lb=cp}', "");
Expect(0, 94, '\P{^Is_Lb=cp}', "");
Expect(1, 93, '\p{Is_Lb= _CP}', "");
Expect(0, 93, '\p{^Is_Lb= _CP}', "");
Expect(0, 93, '\P{Is_Lb= _CP}', "");
Expect(1, 93, '\P{^Is_Lb= _CP}', "");
Expect(0, 94, '\p{Is_Lb= _CP}', "");
Expect(1, 94, '\p{^Is_Lb= _CP}', "");
Expect(1, 94, '\P{Is_Lb= _CP}', "");
Expect(0, 94, '\P{^Is_Lb= _CP}', "");
Error('\p{Line_Break=:=--Carriage_return}');
Error('\P{Line_Break=:=--Carriage_return}');
Expect(1, 13, '\p{Line_Break:carriagereturn}', "");
Expect(0, 13, '\p{^Line_Break:carriagereturn}', "");
Expect(0, 13, '\P{Line_Break:carriagereturn}', "");
Expect(1, 13, '\P{^Line_Break:carriagereturn}', "");
Expect(0, 14, '\p{Line_Break:carriagereturn}', "");
Expect(1, 14, '\p{^Line_Break:carriagereturn}', "");
Expect(1, 14, '\P{Line_Break:carriagereturn}', "");
Expect(0, 14, '\P{^Line_Break:carriagereturn}', "");
Expect(1, 13, '\p{Line_Break=	 Carriage_return}', "");
Expect(0, 13, '\p{^Line_Break=	 Carriage_return}', "");
Expect(0, 13, '\P{Line_Break=	 Carriage_return}', "");
Expect(1, 13, '\P{^Line_Break=	 Carriage_return}', "");
Expect(0, 14, '\p{Line_Break=	 Carriage_return}', "");
Expect(1, 14, '\p{^Line_Break=	 Carriage_return}', "");
Expect(1, 14, '\P{Line_Break=	 Carriage_return}', "");
Expect(0, 14, '\P{^Line_Break=	 Carriage_return}', "");
Error('\p{Lb=-/a/CR}');
Error('\P{Lb=-/a/CR}');
Expect(1, 13, '\p{Lb=cr}', "");
Expect(0, 13, '\p{^Lb=cr}', "");
Expect(0, 13, '\P{Lb=cr}', "");
Expect(1, 13, '\P{^Lb=cr}', "");
Expect(0, 14, '\p{Lb=cr}', "");
Expect(1, 14, '\p{^Lb=cr}', "");
Expect(1, 14, '\P{Lb=cr}', "");
Expect(0, 14, '\P{^Lb=cr}', "");
Expect(1, 13, '\p{Lb=	-CR}', "");
Expect(0, 13, '\p{^Lb=	-CR}', "");
Expect(0, 13, '\P{Lb=	-CR}', "");
Expect(1, 13, '\P{^Lb=	-CR}', "");
Expect(0, 14, '\p{Lb=	-CR}', "");
Expect(1, 14, '\p{^Lb=	-CR}', "");
Expect(1, 14, '\P{Lb=	-CR}', "");
Expect(0, 14, '\P{^Lb=	-CR}', "");
Error('\p{Is_Line_Break:    :=Carriage_RETURN}');
Error('\P{Is_Line_Break:    :=Carriage_RETURN}');
Expect(1, 13, '\p{Is_Line_Break:carriagereturn}', "");
Expect(0, 13, '\p{^Is_Line_Break:carriagereturn}', "");
Expect(0, 13, '\P{Is_Line_Break:carriagereturn}', "");
Expect(1, 13, '\P{^Is_Line_Break:carriagereturn}', "");
Expect(0, 14, '\p{Is_Line_Break:carriagereturn}', "");
Expect(1, 14, '\p{^Is_Line_Break:carriagereturn}', "");
Expect(1, 14, '\P{Is_Line_Break:carriagereturn}', "");
Expect(0, 14, '\P{^Is_Line_Break:carriagereturn}', "");
Expect(1, 13, '\p{Is_Line_Break=_CARRIAGE_return}', "");
Expect(0, 13, '\p{^Is_Line_Break=_CARRIAGE_return}', "");
Expect(0, 13, '\P{Is_Line_Break=_CARRIAGE_return}', "");
Expect(1, 13, '\P{^Is_Line_Break=_CARRIAGE_return}', "");
Expect(0, 14, '\p{Is_Line_Break=_CARRIAGE_return}', "");
Expect(1, 14, '\p{^Is_Line_Break=_CARRIAGE_return}', "");
Expect(1, 14, '\P{Is_Line_Break=_CARRIAGE_return}', "");
Expect(0, 14, '\P{^Is_Line_Break=_CARRIAGE_return}', "");
Error('\p{Is_Lb=/a/	_CR}');
Error('\P{Is_Lb=/a/	_CR}');
Expect(1, 13, '\p{Is_Lb=cr}', "");
Expect(0, 13, '\p{^Is_Lb=cr}', "");
Expect(0, 13, '\P{Is_Lb=cr}', "");
Expect(1, 13, '\P{^Is_Lb=cr}', "");
Expect(0, 14, '\p{Is_Lb=cr}', "");
Expect(1, 14, '\p{^Is_Lb=cr}', "");
Expect(1, 14, '\P{Is_Lb=cr}', "");
Expect(0, 14, '\P{^Is_Lb=cr}', "");
Expect(1, 13, '\p{Is_Lb:   _-cr}', "");
Expect(0, 13, '\p{^Is_Lb:   _-cr}', "");
Expect(0, 13, '\P{Is_Lb:   _-cr}', "");
Expect(1, 13, '\P{^Is_Lb:   _-cr}', "");
Expect(0, 14, '\p{Is_Lb:   _-cr}', "");
Expect(1, 14, '\p{^Is_Lb:   _-cr}', "");
Expect(1, 14, '\P{Is_Lb:   _-cr}', "");
Expect(0, 14, '\P{^Is_Lb:   _-cr}', "");
Error('\p{Line_Break=:=_-Exclamation}');
Error('\P{Line_Break=:=_-Exclamation}');
Expect(1, 71109, '\p{Line_Break=exclamation}', "");
Expect(0, 71109, '\p{^Line_Break=exclamation}', "");
Expect(0, 71109, '\P{Line_Break=exclamation}', "");
Expect(1, 71109, '\P{^Line_Break=exclamation}', "");
Expect(0, 71110, '\p{Line_Break=exclamation}', "");
Expect(1, 71110, '\p{^Line_Break=exclamation}', "");
Expect(1, 71110, '\P{Line_Break=exclamation}', "");
Expect(0, 71110, '\P{^Line_Break=exclamation}', "");
Expect(1, 71109, '\p{Line_Break= 	Exclamation}', "");
Expect(0, 71109, '\p{^Line_Break= 	Exclamation}', "");
Expect(0, 71109, '\P{Line_Break= 	Exclamation}', "");
Expect(1, 71109, '\P{^Line_Break= 	Exclamation}', "");
Expect(0, 71110, '\p{Line_Break= 	Exclamation}', "");
Expect(1, 71110, '\p{^Line_Break= 	Exclamation}', "");
Expect(1, 71110, '\P{Line_Break= 	Exclamation}', "");
Expect(0, 71110, '\P{^Line_Break= 	Exclamation}', "");
Error('\p{Lb=:=- EX}');
Error('\P{Lb=:=- EX}');
Expect(1, 71109, '\p{Lb=ex}', "");
Expect(0, 71109, '\p{^Lb=ex}', "");
Expect(0, 71109, '\P{Lb=ex}', "");
Expect(1, 71109, '\P{^Lb=ex}', "");
Expect(0, 71110, '\p{Lb=ex}', "");
Expect(1, 71110, '\p{^Lb=ex}', "");
Expect(1, 71110, '\P{Lb=ex}', "");
Expect(0, 71110, '\P{^Lb=ex}', "");
Expect(1, 71109, '\p{Lb=-_EX}', "");
Expect(0, 71109, '\p{^Lb=-_EX}', "");
Expect(0, 71109, '\P{Lb=-_EX}', "");
Expect(1, 71109, '\P{^Lb=-_EX}', "");
Expect(0, 71110, '\p{Lb=-_EX}', "");
Expect(1, 71110, '\p{^Lb=-_EX}', "");
Expect(1, 71110, '\P{Lb=-_EX}', "");
Expect(0, 71110, '\P{^Lb=-_EX}', "");
Error('\p{Is_Line_Break=:=	 EXCLAMATION}');
Error('\P{Is_Line_Break=:=	 EXCLAMATION}');
Expect(1, 71109, '\p{Is_Line_Break=exclamation}', "");
Expect(0, 71109, '\p{^Is_Line_Break=exclamation}', "");
Expect(0, 71109, '\P{Is_Line_Break=exclamation}', "");
Expect(1, 71109, '\P{^Is_Line_Break=exclamation}', "");
Expect(0, 71110, '\p{Is_Line_Break=exclamation}', "");
Expect(1, 71110, '\p{^Is_Line_Break=exclamation}', "");
Expect(1, 71110, '\P{Is_Line_Break=exclamation}', "");
Expect(0, 71110, '\P{^Is_Line_Break=exclamation}', "");
Expect(1, 71109, '\p{Is_Line_Break=_	exclamation}', "");
Expect(0, 71109, '\p{^Is_Line_Break=_	exclamation}', "");
Expect(0, 71109, '\P{Is_Line_Break=_	exclamation}', "");
Expect(1, 71109, '\P{^Is_Line_Break=_	exclamation}', "");
Expect(0, 71110, '\p{Is_Line_Break=_	exclamation}', "");
Expect(1, 71110, '\p{^Is_Line_Break=_	exclamation}', "");
Expect(1, 71110, '\P{Is_Line_Break=_	exclamation}', "");
Expect(0, 71110, '\P{^Is_Line_Break=_	exclamation}', "");
Error('\p{Is_Lb=/a/	 EX}');
Error('\P{Is_Lb=/a/	 EX}');
Expect(1, 71109, '\p{Is_Lb=ex}', "");
Expect(0, 71109, '\p{^Is_Lb=ex}', "");
Expect(0, 71109, '\P{Is_Lb=ex}', "");
Expect(1, 71109, '\P{^Is_Lb=ex}', "");
Expect(0, 71110, '\p{Is_Lb=ex}', "");
Expect(1, 71110, '\p{^Is_Lb=ex}', "");
Expect(1, 71110, '\P{Is_Lb=ex}', "");
Expect(0, 71110, '\P{^Is_Lb=ex}', "");
Expect(1, 71109, '\p{Is_Lb=	EX}', "");
Expect(0, 71109, '\p{^Is_Lb=	EX}', "");
Expect(0, 71109, '\P{Is_Lb=	EX}', "");
Expect(1, 71109, '\P{^Is_Lb=	EX}', "");
Expect(0, 71110, '\p{Is_Lb=	EX}', "");
Expect(1, 71110, '\p{^Is_Lb=	EX}', "");
Expect(1, 71110, '\P{Is_Lb=	EX}', "");
Expect(0, 71110, '\P{^Is_Lb=	EX}', "");
Error('\p{Line_Break=:=-	Glue}');
Error('\P{Line_Break=:=-	Glue}');
Expect(1, 8239, '\p{Line_Break:	glue}', "");
Expect(0, 8239, '\p{^Line_Break:	glue}', "");
Expect(0, 8239, '\P{Line_Break:	glue}', "");
Expect(1, 8239, '\P{^Line_Break:	glue}', "");
Expect(0, 8240, '\p{Line_Break:	glue}', "");
Expect(1, 8240, '\p{^Line_Break:	glue}', "");
Expect(1, 8240, '\P{Line_Break:	glue}', "");
Expect(0, 8240, '\P{^Line_Break:	glue}', "");
Expect(1, 8239, '\p{Line_Break=	GLUE}', "");
Expect(0, 8239, '\p{^Line_Break=	GLUE}', "");
Expect(0, 8239, '\P{Line_Break=	GLUE}', "");
Expect(1, 8239, '\P{^Line_Break=	GLUE}', "");
Expect(0, 8240, '\p{Line_Break=	GLUE}', "");
Expect(1, 8240, '\p{^Line_Break=	GLUE}', "");
Expect(1, 8240, '\P{Line_Break=	GLUE}', "");
Expect(0, 8240, '\P{^Line_Break=	GLUE}', "");
Error('\p{Lb=	GL:=}');
Error('\P{Lb=	GL:=}');
Expect(1, 8239, '\p{Lb=gl}', "");
Expect(0, 8239, '\p{^Lb=gl}', "");
Expect(0, 8239, '\P{Lb=gl}', "");
Expect(1, 8239, '\P{^Lb=gl}', "");
Expect(0, 8240, '\p{Lb=gl}', "");
Expect(1, 8240, '\p{^Lb=gl}', "");
Expect(1, 8240, '\P{Lb=gl}', "");
Expect(0, 8240, '\P{^Lb=gl}', "");
Expect(1, 8239, '\p{Lb= GL}', "");
Expect(0, 8239, '\p{^Lb= GL}', "");
Expect(0, 8239, '\P{Lb= GL}', "");
Expect(1, 8239, '\P{^Lb= GL}', "");
Expect(0, 8240, '\p{Lb= GL}', "");
Expect(1, 8240, '\p{^Lb= GL}', "");
Expect(1, 8240, '\P{Lb= GL}', "");
Expect(0, 8240, '\P{^Lb= GL}', "");
Error('\p{Is_Line_Break=/a/glue}');
Error('\P{Is_Line_Break=/a/glue}');
Expect(1, 8239, '\p{Is_Line_Break=glue}', "");
Expect(0, 8239, '\p{^Is_Line_Break=glue}', "");
Expect(0, 8239, '\P{Is_Line_Break=glue}', "");
Expect(1, 8239, '\P{^Is_Line_Break=glue}', "");
Expect(0, 8240, '\p{Is_Line_Break=glue}', "");
Expect(1, 8240, '\p{^Is_Line_Break=glue}', "");
Expect(1, 8240, '\P{Is_Line_Break=glue}', "");
Expect(0, 8240, '\P{^Is_Line_Break=glue}', "");
Expect(1, 8239, '\p{Is_Line_Break=-	Glue}', "");
Expect(0, 8239, '\p{^Is_Line_Break=-	Glue}', "");
Expect(0, 8239, '\P{Is_Line_Break=-	Glue}', "");
Expect(1, 8239, '\P{^Is_Line_Break=-	Glue}', "");
Expect(0, 8240, '\p{Is_Line_Break=-	Glue}', "");
Expect(1, 8240, '\p{^Is_Line_Break=-	Glue}', "");
Expect(1, 8240, '\P{Is_Line_Break=-	Glue}', "");
Expect(0, 8240, '\P{^Is_Line_Break=-	Glue}', "");
Error('\p{Is_Lb=_/a/GL}');
Error('\P{Is_Lb=_/a/GL}');
Expect(1, 8239, '\p{Is_Lb=gl}', "");
Expect(0, 8239, '\p{^Is_Lb=gl}', "");
Expect(0, 8239, '\P{Is_Lb=gl}', "");
Expect(1, 8239, '\P{^Is_Lb=gl}', "");
Expect(0, 8240, '\p{Is_Lb=gl}', "");
Expect(1, 8240, '\p{^Is_Lb=gl}', "");
Expect(1, 8240, '\P{Is_Lb=gl}', "");
Expect(0, 8240, '\P{^Is_Lb=gl}', "");
Expect(1, 8239, '\p{Is_Lb=-	GL}', "");
Expect(0, 8239, '\p{^Is_Lb=-	GL}', "");
Expect(0, 8239, '\P{Is_Lb=-	GL}', "");
Expect(1, 8239, '\P{^Is_Lb=-	GL}', "");
Expect(0, 8240, '\p{Is_Lb=-	GL}', "");
Expect(1, 8240, '\p{^Is_Lb=-	GL}', "");
Expect(1, 8240, '\P{Is_Lb=-	GL}', "");
Expect(0, 8240, '\P{^Is_Lb=-	GL}', "");
Error('\p{Line_Break=:=- H2}');
Error('\P{Line_Break=:=- H2}');
Expect(1, 55176, '\p{Line_Break=h2}', "");
Expect(0, 55176, '\p{^Line_Break=h2}', "");
Expect(0, 55176, '\P{Line_Break=h2}', "");
Expect(1, 55176, '\P{^Line_Break=h2}', "");
Expect(0, 55177, '\p{Line_Break=h2}', "");
Expect(1, 55177, '\p{^Line_Break=h2}', "");
Expect(1, 55177, '\P{Line_Break=h2}', "");
Expect(0, 55177, '\P{^Line_Break=h2}', "");
Expect(1, 55176, '\p{Line_Break=	 H2}', "");
Expect(0, 55176, '\p{^Line_Break=	 H2}', "");
Expect(0, 55176, '\P{Line_Break=	 H2}', "");
Expect(1, 55176, '\P{^Line_Break=	 H2}', "");
Expect(0, 55177, '\p{Line_Break=	 H2}', "");
Expect(1, 55177, '\p{^Line_Break=	 H2}', "");
Expect(1, 55177, '\P{Line_Break=	 H2}', "");
Expect(0, 55177, '\P{^Line_Break=	 H2}', "");
Error('\p{Lb=:=	-H2}');
Error('\P{Lb=:=	-H2}');
Expect(1, 55176, '\p{Lb=h2}', "");
Expect(0, 55176, '\p{^Lb=h2}', "");
Expect(0, 55176, '\P{Lb=h2}', "");
Expect(1, 55176, '\P{^Lb=h2}', "");
Expect(0, 55177, '\p{Lb=h2}', "");
Expect(1, 55177, '\p{^Lb=h2}', "");
Expect(1, 55177, '\P{Lb=h2}', "");
Expect(0, 55177, '\P{^Lb=h2}', "");
Expect(1, 55176, '\p{Lb=__H2}', "");
Expect(0, 55176, '\p{^Lb=__H2}', "");
Expect(0, 55176, '\P{Lb=__H2}', "");
Expect(1, 55176, '\P{^Lb=__H2}', "");
Expect(0, 55177, '\p{Lb=__H2}', "");
Expect(1, 55177, '\p{^Lb=__H2}', "");
Expect(1, 55177, '\P{Lb=__H2}', "");
Expect(0, 55177, '\P{^Lb=__H2}', "");
Error('\p{Is_Line_Break= -h2:=}');
Error('\P{Is_Line_Break= -h2:=}');
Expect(1, 55176, '\p{Is_Line_Break: h2}', "");
Expect(0, 55176, '\p{^Is_Line_Break: h2}', "");
Expect(0, 55176, '\P{Is_Line_Break: h2}', "");
Expect(1, 55176, '\P{^Is_Line_Break: h2}', "");
Expect(0, 55177, '\p{Is_Line_Break: h2}', "");
Expect(1, 55177, '\p{^Is_Line_Break: h2}', "");
Expect(1, 55177, '\P{Is_Line_Break: h2}', "");
Expect(0, 55177, '\P{^Is_Line_Break: h2}', "");
Expect(1, 55176, '\p{Is_Line_Break=__H2}', "");
Expect(0, 55176, '\p{^Is_Line_Break=__H2}', "");
Expect(0, 55176, '\P{Is_Line_Break=__H2}', "");
Expect(1, 55176, '\P{^Is_Line_Break=__H2}', "");
Expect(0, 55177, '\p{Is_Line_Break=__H2}', "");
Expect(1, 55177, '\p{^Is_Line_Break=__H2}', "");
Expect(1, 55177, '\P{Is_Line_Break=__H2}', "");
Expect(0, 55177, '\P{^Is_Line_Break=__H2}', "");
Error('\p{Is_Lb=/a/ -h2}');
Error('\P{Is_Lb=/a/ -h2}');
Expect(1, 55176, '\p{Is_Lb=h2}', "");
Expect(0, 55176, '\p{^Is_Lb=h2}', "");
Expect(0, 55176, '\P{Is_Lb=h2}', "");
Expect(1, 55176, '\P{^Is_Lb=h2}', "");
Expect(0, 55177, '\p{Is_Lb=h2}', "");
Expect(1, 55177, '\p{^Is_Lb=h2}', "");
Expect(1, 55177, '\P{Is_Lb=h2}', "");
Expect(0, 55177, '\P{^Is_Lb=h2}', "");
Expect(1, 55176, '\p{Is_Lb=__h2}', "");
Expect(0, 55176, '\p{^Is_Lb=__h2}', "");
Expect(0, 55176, '\P{Is_Lb=__h2}', "");
Expect(1, 55176, '\P{^Is_Lb=__h2}', "");
Expect(0, 55177, '\p{Is_Lb=__h2}', "");
Expect(1, 55177, '\p{^Is_Lb=__h2}', "");
Expect(1, 55177, '\P{Is_Lb=__h2}', "");
Expect(0, 55177, '\P{^Is_Lb=__h2}', "");
Error('\p{Line_Break=:=-H3}');
Error('\P{Line_Break=:=-H3}');
Expect(1, 55203, '\p{Line_Break:h3}', "");
Expect(0, 55203, '\p{^Line_Break:h3}', "");
Expect(0, 55203, '\P{Line_Break:h3}', "");
Expect(1, 55203, '\P{^Line_Break:h3}', "");
Expect(0, 55204, '\p{Line_Break:h3}', "");
Expect(1, 55204, '\p{^Line_Break:h3}', "");
Expect(1, 55204, '\P{Line_Break:h3}', "");
Expect(0, 55204, '\P{^Line_Break:h3}', "");
Expect(1, 55203, '\p{Line_Break= h3}', "");
Expect(0, 55203, '\p{^Line_Break= h3}', "");
Expect(0, 55203, '\P{Line_Break= h3}', "");
Expect(1, 55203, '\P{^Line_Break= h3}', "");
Expect(0, 55204, '\p{Line_Break= h3}', "");
Expect(1, 55204, '\p{^Line_Break= h3}', "");
Expect(1, 55204, '\P{Line_Break= h3}', "");
Expect(0, 55204, '\P{^Line_Break= h3}', "");
Error('\p{Lb=:=	_H3}');
Error('\P{Lb=:=	_H3}');
Expect(1, 55203, '\p{Lb=h3}', "");
Expect(0, 55203, '\p{^Lb=h3}', "");
Expect(0, 55203, '\P{Lb=h3}', "");
Expect(1, 55203, '\P{^Lb=h3}', "");
Expect(0, 55204, '\p{Lb=h3}', "");
Expect(1, 55204, '\p{^Lb=h3}', "");
Expect(1, 55204, '\P{Lb=h3}', "");
Expect(0, 55204, '\P{^Lb=h3}', "");
Expect(1, 55203, '\p{Lb=	-H3}', "");
Expect(0, 55203, '\p{^Lb=	-H3}', "");
Expect(0, 55203, '\P{Lb=	-H3}', "");
Expect(1, 55203, '\P{^Lb=	-H3}', "");
Expect(0, 55204, '\p{Lb=	-H3}', "");
Expect(1, 55204, '\p{^Lb=	-H3}', "");
Expect(1, 55204, '\P{Lb=	-H3}', "");
Expect(0, 55204, '\P{^Lb=	-H3}', "");
Error('\p{Is_Line_Break:   h3:=}');
Error('\P{Is_Line_Break:   h3:=}');
Expect(1, 55203, '\p{Is_Line_Break:   h3}', "");
Expect(0, 55203, '\p{^Is_Line_Break:   h3}', "");
Expect(0, 55203, '\P{Is_Line_Break:   h3}', "");
Expect(1, 55203, '\P{^Is_Line_Break:   h3}', "");
Expect(0, 55204, '\p{Is_Line_Break:   h3}', "");
Expect(1, 55204, '\p{^Is_Line_Break:   h3}', "");
Expect(1, 55204, '\P{Is_Line_Break:   h3}', "");
Expect(0, 55204, '\P{^Is_Line_Break:   h3}', "");
Expect(1, 55203, '\p{Is_Line_Break=	_H3}', "");
Expect(0, 55203, '\p{^Is_Line_Break=	_H3}', "");
Expect(0, 55203, '\P{Is_Line_Break=	_H3}', "");
Expect(1, 55203, '\P{^Is_Line_Break=	_H3}', "");
Expect(0, 55204, '\p{Is_Line_Break=	_H3}', "");
Expect(1, 55204, '\p{^Is_Line_Break=	_H3}', "");
Expect(1, 55204, '\P{Is_Line_Break=	_H3}', "");
Expect(0, 55204, '\P{^Is_Line_Break=	_H3}', "");
Error('\p{Is_Lb=_H3:=}');
Error('\P{Is_Lb=_H3:=}');
Expect(1, 55203, '\p{Is_Lb=h3}', "");
Expect(0, 55203, '\p{^Is_Lb=h3}', "");
Expect(0, 55203, '\P{Is_Lb=h3}', "");
Expect(1, 55203, '\P{^Is_Lb=h3}', "");
Expect(0, 55204, '\p{Is_Lb=h3}', "");
Expect(1, 55204, '\p{^Is_Lb=h3}', "");
Expect(1, 55204, '\P{Is_Lb=h3}', "");
Expect(0, 55204, '\P{^Is_Lb=h3}', "");
Expect(1, 55203, '\p{Is_Lb=	 H3}', "");
Expect(0, 55203, '\p{^Is_Lb=	 H3}', "");
Expect(0, 55203, '\P{Is_Lb=	 H3}', "");
Expect(1, 55203, '\P{^Is_Lb=	 H3}', "");
Expect(0, 55204, '\p{Is_Lb=	 H3}', "");
Expect(1, 55204, '\p{^Is_Lb=	 H3}', "");
Expect(1, 55204, '\P{Is_Lb=	 H3}', "");
Expect(0, 55204, '\P{^Is_Lb=	 H3}', "");
Error('\p{Line_Break= /a/Hebrew_Letter}');
Error('\P{Line_Break= /a/Hebrew_Letter}');
Expect(1, 64335, '\p{Line_Break=hebrewletter}', "");
Expect(0, 64335, '\p{^Line_Break=hebrewletter}', "");
Expect(0, 64335, '\P{Line_Break=hebrewletter}', "");
Expect(1, 64335, '\P{^Line_Break=hebrewletter}', "");
Expect(0, 64336, '\p{Line_Break=hebrewletter}', "");
Expect(1, 64336, '\p{^Line_Break=hebrewletter}', "");
Expect(1, 64336, '\P{Line_Break=hebrewletter}', "");
Expect(0, 64336, '\P{^Line_Break=hebrewletter}', "");
Expect(1, 64335, '\p{Line_Break=		Hebrew_LETTER}', "");
Expect(0, 64335, '\p{^Line_Break=		Hebrew_LETTER}', "");
Expect(0, 64335, '\P{Line_Break=		Hebrew_LETTER}', "");
Expect(1, 64335, '\P{^Line_Break=		Hebrew_LETTER}', "");
Expect(0, 64336, '\p{Line_Break=		Hebrew_LETTER}', "");
Expect(1, 64336, '\p{^Line_Break=		Hebrew_LETTER}', "");
Expect(1, 64336, '\P{Line_Break=		Hebrew_LETTER}', "");
Expect(0, 64336, '\P{^Line_Break=		Hebrew_LETTER}', "");
Error('\p{Lb=:=hl}');
Error('\P{Lb=:=hl}');
Expect(1, 64335, '\p{Lb=hl}', "");
Expect(0, 64335, '\p{^Lb=hl}', "");
Expect(0, 64335, '\P{Lb=hl}', "");
Expect(1, 64335, '\P{^Lb=hl}', "");
Expect(0, 64336, '\p{Lb=hl}', "");
Expect(1, 64336, '\p{^Lb=hl}', "");
Expect(1, 64336, '\P{Lb=hl}', "");
Expect(0, 64336, '\P{^Lb=hl}', "");
Expect(1, 64335, '\p{Lb:   	-HL}', "");
Expect(0, 64335, '\p{^Lb:   	-HL}', "");
Expect(0, 64335, '\P{Lb:   	-HL}', "");
Expect(1, 64335, '\P{^Lb:   	-HL}', "");
Expect(0, 64336, '\p{Lb:   	-HL}', "");
Expect(1, 64336, '\p{^Lb:   	-HL}', "");
Expect(1, 64336, '\P{Lb:   	-HL}', "");
Expect(0, 64336, '\P{^Lb:   	-HL}', "");
Error('\p{Is_Line_Break=/a/ 	HEBREW_LETTER}');
Error('\P{Is_Line_Break=/a/ 	HEBREW_LETTER}');
Expect(1, 64335, '\p{Is_Line_Break=hebrewletter}', "");
Expect(0, 64335, '\p{^Is_Line_Break=hebrewletter}', "");
Expect(0, 64335, '\P{Is_Line_Break=hebrewletter}', "");
Expect(1, 64335, '\P{^Is_Line_Break=hebrewletter}', "");
Expect(0, 64336, '\p{Is_Line_Break=hebrewletter}', "");
Expect(1, 64336, '\p{^Is_Line_Break=hebrewletter}', "");
Expect(1, 64336, '\P{Is_Line_Break=hebrewletter}', "");
Expect(0, 64336, '\P{^Is_Line_Break=hebrewletter}', "");
Expect(1, 64335, '\p{Is_Line_Break=-	hebrew_letter}', "");
Expect(0, 64335, '\p{^Is_Line_Break=-	hebrew_letter}', "");
Expect(0, 64335, '\P{Is_Line_Break=-	hebrew_letter}', "");
Expect(1, 64335, '\P{^Is_Line_Break=-	hebrew_letter}', "");
Expect(0, 64336, '\p{Is_Line_Break=-	hebrew_letter}', "");
Expect(1, 64336, '\p{^Is_Line_Break=-	hebrew_letter}', "");
Expect(1, 64336, '\P{Is_Line_Break=-	hebrew_letter}', "");
Expect(0, 64336, '\P{^Is_Line_Break=-	hebrew_letter}', "");
Error('\p{Is_Lb=/a/_-HL}');
Error('\P{Is_Lb=/a/_-HL}');
Expect(1, 64335, '\p{Is_Lb=hl}', "");
Expect(0, 64335, '\p{^Is_Lb=hl}', "");
Expect(0, 64335, '\P{Is_Lb=hl}', "");
Expect(1, 64335, '\P{^Is_Lb=hl}', "");
Expect(0, 64336, '\p{Is_Lb=hl}', "");
Expect(1, 64336, '\p{^Is_Lb=hl}', "");
Expect(1, 64336, '\P{Is_Lb=hl}', "");
Expect(0, 64336, '\P{^Is_Lb=hl}', "");
Expect(1, 64335, '\p{Is_Lb= hl}', "");
Expect(0, 64335, '\p{^Is_Lb= hl}', "");
Expect(0, 64335, '\P{Is_Lb= hl}', "");
Expect(1, 64335, '\P{^Is_Lb= hl}', "");
Expect(0, 64336, '\p{Is_Lb= hl}', "");
Expect(1, 64336, '\p{^Is_Lb= hl}', "");
Expect(1, 64336, '\P{Is_Lb= hl}', "");
Expect(0, 64336, '\P{^Is_Lb= hl}', "");
Error('\p{Line_Break:	_:=hyphen}');
Error('\P{Line_Break:	_:=hyphen}');
Expect(1, 45, '\p{Line_Break=hyphen}', "");
Expect(0, 45, '\p{^Line_Break=hyphen}', "");
Expect(0, 45, '\P{Line_Break=hyphen}', "");
Expect(1, 45, '\P{^Line_Break=hyphen}', "");
Expect(0, 46, '\p{Line_Break=hyphen}', "");
Expect(1, 46, '\p{^Line_Break=hyphen}', "");
Expect(1, 46, '\P{Line_Break=hyphen}', "");
Expect(0, 46, '\P{^Line_Break=hyphen}', "");
Expect(1, 45, '\p{Line_Break= 	hyphen}', "");
Expect(0, 45, '\p{^Line_Break= 	hyphen}', "");
Expect(0, 45, '\P{Line_Break= 	hyphen}', "");
Expect(1, 45, '\P{^Line_Break= 	hyphen}', "");
Expect(0, 46, '\p{Line_Break= 	hyphen}', "");
Expect(1, 46, '\p{^Line_Break= 	hyphen}', "");
Expect(1, 46, '\P{Line_Break= 	hyphen}', "");
Expect(0, 46, '\P{^Line_Break= 	hyphen}', "");
Error('\p{Lb=/a/ _HY}');
Error('\P{Lb=/a/ _HY}');
Expect(1, 45, '\p{Lb=hy}', "");
Expect(0, 45, '\p{^Lb=hy}', "");
Expect(0, 45, '\P{Lb=hy}', "");
Expect(1, 45, '\P{^Lb=hy}', "");
Expect(0, 46, '\p{Lb=hy}', "");
Expect(1, 46, '\p{^Lb=hy}', "");
Expect(1, 46, '\P{Lb=hy}', "");
Expect(0, 46, '\P{^Lb=hy}', "");
Expect(1, 45, '\p{Lb=__hy}', "");
Expect(0, 45, '\p{^Lb=__hy}', "");
Expect(0, 45, '\P{Lb=__hy}', "");
Expect(1, 45, '\P{^Lb=__hy}', "");
Expect(0, 46, '\p{Lb=__hy}', "");
Expect(1, 46, '\p{^Lb=__hy}', "");
Expect(1, 46, '\P{Lb=__hy}', "");
Expect(0, 46, '\P{^Lb=__hy}', "");
Error('\p{Is_Line_Break=-Hyphen:=}');
Error('\P{Is_Line_Break=-Hyphen:=}');
Expect(1, 45, '\p{Is_Line_Break=hyphen}', "");
Expect(0, 45, '\p{^Is_Line_Break=hyphen}', "");
Expect(0, 45, '\P{Is_Line_Break=hyphen}', "");
Expect(1, 45, '\P{^Is_Line_Break=hyphen}', "");
Expect(0, 46, '\p{Is_Line_Break=hyphen}', "");
Expect(1, 46, '\p{^Is_Line_Break=hyphen}', "");
Expect(1, 46, '\P{Is_Line_Break=hyphen}', "");
Expect(0, 46, '\P{^Is_Line_Break=hyphen}', "");
Expect(1, 45, '\p{Is_Line_Break= HYPHEN}', "");
Expect(0, 45, '\p{^Is_Line_Break= HYPHEN}', "");
Expect(0, 45, '\P{Is_Line_Break= HYPHEN}', "");
Expect(1, 45, '\P{^Is_Line_Break= HYPHEN}', "");
Expect(0, 46, '\p{Is_Line_Break= HYPHEN}', "");
Expect(1, 46, '\p{^Is_Line_Break= HYPHEN}', "");
Expect(1, 46, '\P{Is_Line_Break= HYPHEN}', "");
Expect(0, 46, '\P{^Is_Line_Break= HYPHEN}', "");
Error('\p{Is_Lb=:=--HY}');
Error('\P{Is_Lb=:=--HY}');
Expect(1, 45, '\p{Is_Lb:	hy}', "");
Expect(0, 45, '\p{^Is_Lb:	hy}', "");
Expect(0, 45, '\P{Is_Lb:	hy}', "");
Expect(1, 45, '\P{^Is_Lb:	hy}', "");
Expect(0, 46, '\p{Is_Lb:	hy}', "");
Expect(1, 46, '\p{^Is_Lb:	hy}', "");
Expect(1, 46, '\P{Is_Lb:	hy}', "");
Expect(0, 46, '\P{^Is_Lb:	hy}', "");
Expect(1, 45, '\p{Is_Lb=_HY}', "");
Expect(0, 45, '\p{^Is_Lb=_HY}', "");
Expect(0, 45, '\P{Is_Lb=_HY}', "");
Expect(1, 45, '\P{^Is_Lb=_HY}', "");
Expect(0, 46, '\p{Is_Lb=_HY}', "");
Expect(1, 46, '\p{^Is_Lb=_HY}', "");
Expect(1, 46, '\P{Is_Lb=_HY}', "");
Expect(0, 46, '\P{^Is_Lb=_HY}', "");
Error('\p{Line_Break=	:=IDEOGRAPHIC}');
Error('\P{Line_Break=	:=IDEOGRAPHIC}');
Expect(1, 262141, '\p{Line_Break:	ideographic}', "");
Expect(0, 262141, '\p{^Line_Break:	ideographic}', "");
Expect(0, 262141, '\P{Line_Break:	ideographic}', "");
Expect(1, 262141, '\P{^Line_Break:	ideographic}', "");
Expect(0, 262144, '\p{Line_Break:	ideographic}', "");
Expect(1, 262144, '\p{^Line_Break:	ideographic}', "");
Expect(1, 262144, '\P{Line_Break:	ideographic}', "");
Expect(0, 262144, '\P{^Line_Break:	ideographic}', "");
Expect(1, 262141, '\p{Line_Break=--IDEOGRAPHIC}', "");
Expect(0, 262141, '\p{^Line_Break=--IDEOGRAPHIC}', "");
Expect(0, 262141, '\P{Line_Break=--IDEOGRAPHIC}', "");
Expect(1, 262141, '\P{^Line_Break=--IDEOGRAPHIC}', "");
Expect(0, 262144, '\p{Line_Break=--IDEOGRAPHIC}', "");
Expect(1, 262144, '\p{^Line_Break=--IDEOGRAPHIC}', "");
Expect(1, 262144, '\P{Line_Break=--IDEOGRAPHIC}', "");
Expect(0, 262144, '\P{^Line_Break=--IDEOGRAPHIC}', "");
Error('\p{Lb=	ID/a/}');
Error('\P{Lb=	ID/a/}');
Expect(1, 262141, '\p{Lb:	id}', "");
Expect(0, 262141, '\p{^Lb:	id}', "");
Expect(0, 262141, '\P{Lb:	id}', "");
Expect(1, 262141, '\P{^Lb:	id}', "");
Expect(0, 262144, '\p{Lb:	id}', "");
Expect(1, 262144, '\p{^Lb:	id}', "");
Expect(1, 262144, '\P{Lb:	id}', "");
Expect(0, 262144, '\P{^Lb:	id}', "");
Expect(1, 262141, '\p{Lb= 	id}', "");
Expect(0, 262141, '\p{^Lb= 	id}', "");
Expect(0, 262141, '\P{Lb= 	id}', "");
Expect(1, 262141, '\P{^Lb= 	id}', "");
Expect(0, 262144, '\p{Lb= 	id}', "");
Expect(1, 262144, '\p{^Lb= 	id}', "");
Expect(1, 262144, '\P{Lb= 	id}', "");
Expect(0, 262144, '\P{^Lb= 	id}', "");
Error('\p{Is_Line_Break:   	/a/IDEOGRAPHIC}');
Error('\P{Is_Line_Break:   	/a/IDEOGRAPHIC}');
Expect(1, 262141, '\p{Is_Line_Break=ideographic}', "");
Expect(0, 262141, '\p{^Is_Line_Break=ideographic}', "");
Expect(0, 262141, '\P{Is_Line_Break=ideographic}', "");
Expect(1, 262141, '\P{^Is_Line_Break=ideographic}', "");
Expect(0, 262144, '\p{Is_Line_Break=ideographic}', "");
Expect(1, 262144, '\p{^Is_Line_Break=ideographic}', "");
Expect(1, 262144, '\P{Is_Line_Break=ideographic}', "");
Expect(0, 262144, '\P{^Is_Line_Break=ideographic}', "");
Expect(1, 262141, '\p{Is_Line_Break=-	Ideographic}', "");
Expect(0, 262141, '\p{^Is_Line_Break=-	Ideographic}', "");
Expect(0, 262141, '\P{Is_Line_Break=-	Ideographic}', "");
Expect(1, 262141, '\P{^Is_Line_Break=-	Ideographic}', "");
Expect(0, 262144, '\p{Is_Line_Break=-	Ideographic}', "");
Expect(1, 262144, '\p{^Is_Line_Break=-	Ideographic}', "");
Expect(1, 262144, '\P{Is_Line_Break=-	Ideographic}', "");
Expect(0, 262144, '\P{^Is_Line_Break=-	Ideographic}', "");
Error('\p{Is_Lb=_/a/id}');
Error('\P{Is_Lb=_/a/id}');
Expect(1, 262141, '\p{Is_Lb=id}', "");
Expect(0, 262141, '\p{^Is_Lb=id}', "");
Expect(0, 262141, '\P{Is_Lb=id}', "");
Expect(1, 262141, '\P{^Is_Lb=id}', "");
Expect(0, 262144, '\p{Is_Lb=id}', "");
Expect(1, 262144, '\p{^Is_Lb=id}', "");
Expect(1, 262144, '\P{Is_Lb=id}', "");
Expect(0, 262144, '\P{^Is_Lb=id}', "");
Expect(1, 262141, '\p{Is_Lb:   - id}', "");
Expect(0, 262141, '\p{^Is_Lb:   - id}', "");
Expect(0, 262141, '\P{Is_Lb:   - id}', "");
Expect(1, 262141, '\P{^Is_Lb:   - id}', "");
Expect(0, 262144, '\p{Is_Lb:   - id}', "");
Expect(1, 262144, '\p{^Is_Lb:   - id}', "");
Expect(1, 262144, '\P{Is_Lb:   - id}', "");
Expect(0, 262144, '\P{^Is_Lb:   - id}', "");
Error('\p{Line_Break=/a/	inseparable}');
Error('\P{Line_Break=/a/	inseparable}');
Expect(1, 68342, '\p{Line_Break=inseparable}', "");
Expect(0, 68342, '\p{^Line_Break=inseparable}', "");
Expect(0, 68342, '\P{Line_Break=inseparable}', "");
Expect(1, 68342, '\P{^Line_Break=inseparable}', "");
Expect(0, 68343, '\p{Line_Break=inseparable}', "");
Expect(1, 68343, '\p{^Line_Break=inseparable}', "");
Expect(1, 68343, '\P{Line_Break=inseparable}', "");
Expect(0, 68343, '\P{^Line_Break=inseparable}', "");
Expect(1, 68342, '\p{Line_Break=_INSEPARABLE}', "");
Expect(0, 68342, '\p{^Line_Break=_INSEPARABLE}', "");
Expect(0, 68342, '\P{Line_Break=_INSEPARABLE}', "");
Expect(1, 68342, '\P{^Line_Break=_INSEPARABLE}', "");
Expect(0, 68343, '\p{Line_Break=_INSEPARABLE}', "");
Expect(1, 68343, '\p{^Line_Break=_INSEPARABLE}', "");
Expect(1, 68343, '\P{Line_Break=_INSEPARABLE}', "");
Expect(0, 68343, '\P{^Line_Break=_INSEPARABLE}', "");
Error('\p{Lb=	/a/IN}');
Error('\P{Lb=	/a/IN}');
Expect(1, 68342, '\p{Lb:   in}', "");
Expect(0, 68342, '\p{^Lb:   in}', "");
Expect(0, 68342, '\P{Lb:   in}', "");
Expect(1, 68342, '\P{^Lb:   in}', "");
Expect(0, 68343, '\p{Lb:   in}', "");
Expect(1, 68343, '\p{^Lb:   in}', "");
Expect(1, 68343, '\P{Lb:   in}', "");
Expect(0, 68343, '\P{^Lb:   in}', "");
Expect(1, 68342, '\p{Lb=--in}', "");
Expect(0, 68342, '\p{^Lb=--in}', "");
Expect(0, 68342, '\P{Lb=--in}', "");
Expect(1, 68342, '\P{^Lb=--in}', "");
Expect(0, 68343, '\p{Lb=--in}', "");
Expect(1, 68343, '\p{^Lb=--in}', "");
Expect(1, 68343, '\P{Lb=--in}', "");
Expect(0, 68343, '\P{^Lb=--in}', "");
Error('\p{Is_Line_Break=:=--inseperable}');
Error('\P{Is_Line_Break=:=--inseperable}');
Expect(1, 68342, '\p{Is_Line_Break=inseperable}', "");
Expect(0, 68342, '\p{^Is_Line_Break=inseperable}', "");
Expect(0, 68342, '\P{Is_Line_Break=inseperable}', "");
Expect(1, 68342, '\P{^Is_Line_Break=inseperable}', "");
Expect(0, 68343, '\p{Is_Line_Break=inseperable}', "");
Expect(1, 68343, '\p{^Is_Line_Break=inseperable}', "");
Expect(1, 68343, '\P{Is_Line_Break=inseperable}', "");
Expect(0, 68343, '\P{^Is_Line_Break=inseperable}', "");
Expect(1, 68342, '\p{Is_Line_Break=_inseperable}', "");
Expect(0, 68342, '\p{^Is_Line_Break=_inseperable}', "");
Expect(0, 68342, '\P{Is_Line_Break=_inseperable}', "");
Expect(1, 68342, '\P{^Is_Line_Break=_inseperable}', "");
Expect(0, 68343, '\p{Is_Line_Break=_inseperable}', "");
Expect(1, 68343, '\p{^Is_Line_Break=_inseperable}', "");
Expect(1, 68343, '\P{Is_Line_Break=_inseperable}', "");
Expect(0, 68343, '\P{^Is_Line_Break=_inseperable}', "");
Error('\p{Is_Lb=/a/ 	INSEPARABLE}');
Error('\P{Is_Lb=/a/ 	INSEPARABLE}');
Expect(1, 68342, '\p{Is_Lb=inseparable}', "");
Expect(0, 68342, '\p{^Is_Lb=inseparable}', "");
Expect(0, 68342, '\P{Is_Lb=inseparable}', "");
Expect(1, 68342, '\P{^Is_Lb=inseparable}', "");
Expect(0, 68343, '\p{Is_Lb=inseparable}', "");
Expect(1, 68343, '\p{^Is_Lb=inseparable}', "");
Expect(1, 68343, '\P{Is_Lb=inseparable}', "");
Expect(0, 68343, '\P{^Is_Lb=inseparable}', "");
Expect(1, 68342, '\p{Is_Lb=	-Inseparable}', "");
Expect(0, 68342, '\p{^Is_Lb=	-Inseparable}', "");
Expect(0, 68342, '\P{Is_Lb=	-Inseparable}', "");
Expect(1, 68342, '\P{^Is_Lb=	-Inseparable}', "");
Expect(0, 68343, '\p{Is_Lb=	-Inseparable}', "");
Expect(1, 68343, '\p{^Is_Lb=	-Inseparable}', "");
Expect(1, 68343, '\P{Is_Lb=	-Inseparable}', "");
Expect(0, 68343, '\P{^Is_Lb=	-Inseparable}', "");
Error('\p{Line_Break= _infix_Numeric/a/}');
Error('\P{Line_Break= _infix_Numeric/a/}');
Expect(1, 65044, '\p{Line_Break=infixnumeric}', "");
Expect(0, 65044, '\p{^Line_Break=infixnumeric}', "");
Expect(0, 65044, '\P{Line_Break=infixnumeric}', "");
Expect(1, 65044, '\P{^Line_Break=infixnumeric}', "");
Expect(0, 65045, '\p{Line_Break=infixnumeric}', "");
Expect(1, 65045, '\p{^Line_Break=infixnumeric}', "");
Expect(1, 65045, '\P{Line_Break=infixnumeric}', "");
Expect(0, 65045, '\P{^Line_Break=infixnumeric}', "");
Expect(1, 65044, '\p{Line_Break=	infix_Numeric}', "");
Expect(0, 65044, '\p{^Line_Break=	infix_Numeric}', "");
Expect(0, 65044, '\P{Line_Break=	infix_Numeric}', "");
Expect(1, 65044, '\P{^Line_Break=	infix_Numeric}', "");
Expect(0, 65045, '\p{Line_Break=	infix_Numeric}', "");
Expect(1, 65045, '\p{^Line_Break=	infix_Numeric}', "");
Expect(1, 65045, '\P{Line_Break=	infix_Numeric}', "");
Expect(0, 65045, '\P{^Line_Break=	infix_Numeric}', "");
Error('\p{Lb=:=-_IS}');
Error('\P{Lb=:=-_IS}');
Expect(1, 65044, '\p{Lb=is}', "");
Expect(0, 65044, '\p{^Lb=is}', "");
Expect(0, 65044, '\P{Lb=is}', "");
Expect(1, 65044, '\P{^Lb=is}', "");
Expect(0, 65045, '\p{Lb=is}', "");
Expect(1, 65045, '\p{^Lb=is}', "");
Expect(1, 65045, '\P{Lb=is}', "");
Expect(0, 65045, '\P{^Lb=is}', "");
Expect(1, 65044, '\p{Lb=--IS}', "");
Expect(0, 65044, '\p{^Lb=--IS}', "");
Expect(0, 65044, '\P{Lb=--IS}', "");
Expect(1, 65044, '\P{^Lb=--IS}', "");
Expect(0, 65045, '\p{Lb=--IS}', "");
Expect(1, 65045, '\p{^Lb=--IS}', "");
Expect(1, 65045, '\P{Lb=--IS}', "");
Expect(0, 65045, '\P{^Lb=--IS}', "");
Error('\p{Is_Line_Break=Infix_Numeric:=}');
Error('\P{Is_Line_Break=Infix_Numeric:=}');
Expect(1, 65044, '\p{Is_Line_Break=infixnumeric}', "");
Expect(0, 65044, '\p{^Is_Line_Break=infixnumeric}', "");
Expect(0, 65044, '\P{Is_Line_Break=infixnumeric}', "");
Expect(1, 65044, '\P{^Is_Line_Break=infixnumeric}', "");
Expect(0, 65045, '\p{Is_Line_Break=infixnumeric}', "");
Expect(1, 65045, '\p{^Is_Line_Break=infixnumeric}', "");
Expect(1, 65045, '\P{Is_Line_Break=infixnumeric}', "");
Expect(0, 65045, '\P{^Is_Line_Break=infixnumeric}', "");
Expect(1, 65044, '\p{Is_Line_Break= _INFIX_Numeric}', "");
Expect(0, 65044, '\p{^Is_Line_Break= _INFIX_Numeric}', "");
Expect(0, 65044, '\P{Is_Line_Break= _INFIX_Numeric}', "");
Expect(1, 65044, '\P{^Is_Line_Break= _INFIX_Numeric}', "");
Expect(0, 65045, '\p{Is_Line_Break= _INFIX_Numeric}', "");
Expect(1, 65045, '\p{^Is_Line_Break= _INFIX_Numeric}', "");
Expect(1, 65045, '\P{Is_Line_Break= _INFIX_Numeric}', "");
Expect(0, 65045, '\P{^Is_Line_Break= _INFIX_Numeric}', "");
Error('\p{Is_Lb=/a/		IS}');
Error('\P{Is_Lb=/a/		IS}');
Expect(1, 65044, '\p{Is_Lb=is}', "");
Expect(0, 65044, '\p{^Is_Lb=is}', "");
Expect(0, 65044, '\P{Is_Lb=is}', "");
Expect(1, 65044, '\P{^Is_Lb=is}', "");
Expect(0, 65045, '\p{Is_Lb=is}', "");
Expect(1, 65045, '\p{^Is_Lb=is}', "");
Expect(1, 65045, '\P{Is_Lb=is}', "");
Expect(0, 65045, '\P{^Is_Lb=is}', "");
Expect(1, 65044, '\p{Is_Lb:-IS}', "");
Expect(0, 65044, '\p{^Is_Lb:-IS}', "");
Expect(0, 65044, '\P{Is_Lb:-IS}', "");
Expect(1, 65044, '\P{^Is_Lb:-IS}', "");
Expect(0, 65045, '\p{Is_Lb:-IS}', "");
Expect(1, 65045, '\p{^Is_Lb:-IS}', "");
Expect(1, 65045, '\P{Is_Lb:-IS}', "");
Expect(0, 65045, '\P{^Is_Lb:-IS}', "");
Error('\p{Line_Break=-JL:=}');
Error('\P{Line_Break=-JL:=}');
Expect(1, 43388, '\p{Line_Break=jl}', "");
Expect(0, 43388, '\p{^Line_Break=jl}', "");
Expect(0, 43388, '\P{Line_Break=jl}', "");
Expect(1, 43388, '\P{^Line_Break=jl}', "");
Expect(0, 43389, '\p{Line_Break=jl}', "");
Expect(1, 43389, '\p{^Line_Break=jl}', "");
Expect(1, 43389, '\P{Line_Break=jl}', "");
Expect(0, 43389, '\P{^Line_Break=jl}', "");
Expect(1, 43388, '\p{Line_Break=	JL}', "");
Expect(0, 43388, '\p{^Line_Break=	JL}', "");
Expect(0, 43388, '\P{Line_Break=	JL}', "");
Expect(1, 43388, '\P{^Line_Break=	JL}', "");
Expect(0, 43389, '\p{Line_Break=	JL}', "");
Expect(1, 43389, '\p{^Line_Break=	JL}', "");
Expect(1, 43389, '\P{Line_Break=	JL}', "");
Expect(0, 43389, '\P{^Line_Break=	JL}', "");
Error('\p{Lb=:=jl}');
Error('\P{Lb=:=jl}');
Expect(1, 43388, '\p{Lb=jl}', "");
Expect(0, 43388, '\p{^Lb=jl}', "");
Expect(0, 43388, '\P{Lb=jl}', "");
Expect(1, 43388, '\P{^Lb=jl}', "");
Expect(0, 43389, '\p{Lb=jl}', "");
Expect(1, 43389, '\p{^Lb=jl}', "");
Expect(1, 43389, '\P{Lb=jl}', "");
Expect(0, 43389, '\P{^Lb=jl}', "");
Expect(1, 43388, '\p{Lb= _JL}', "");
Expect(0, 43388, '\p{^Lb= _JL}', "");
Expect(0, 43388, '\P{Lb= _JL}', "");
Expect(1, 43388, '\P{^Lb= _JL}', "");
Expect(0, 43389, '\p{Lb= _JL}', "");
Expect(1, 43389, '\p{^Lb= _JL}', "");
Expect(1, 43389, '\P{Lb= _JL}', "");
Expect(0, 43389, '\P{^Lb= _JL}', "");
Error('\p{Is_Line_Break=_:=JL}');
Error('\P{Is_Line_Break=_:=JL}');
Expect(1, 43388, '\p{Is_Line_Break=jl}', "");
Expect(0, 43388, '\p{^Is_Line_Break=jl}', "");
Expect(0, 43388, '\P{Is_Line_Break=jl}', "");
Expect(1, 43388, '\P{^Is_Line_Break=jl}', "");
Expect(0, 43389, '\p{Is_Line_Break=jl}', "");
Expect(1, 43389, '\p{^Is_Line_Break=jl}', "");
Expect(1, 43389, '\P{Is_Line_Break=jl}', "");
Expect(0, 43389, '\P{^Is_Line_Break=jl}', "");
Expect(1, 43388, '\p{Is_Line_Break=	 JL}', "");
Expect(0, 43388, '\p{^Is_Line_Break=	 JL}', "");
Expect(0, 43388, '\P{Is_Line_Break=	 JL}', "");
Expect(1, 43388, '\P{^Is_Line_Break=	 JL}', "");
Expect(0, 43389, '\p{Is_Line_Break=	 JL}', "");
Expect(1, 43389, '\p{^Is_Line_Break=	 JL}', "");
Expect(1, 43389, '\P{Is_Line_Break=	 JL}', "");
Expect(0, 43389, '\P{^Is_Line_Break=	 JL}', "");
Error('\p{Is_Lb=-_JL/a/}');
Error('\P{Is_Lb=-_JL/a/}');
Expect(1, 43388, '\p{Is_Lb=jl}', "");
Expect(0, 43388, '\p{^Is_Lb=jl}', "");
Expect(0, 43388, '\P{Is_Lb=jl}', "");
Expect(1, 43388, '\P{^Is_Lb=jl}', "");
Expect(0, 43389, '\p{Is_Lb=jl}', "");
Expect(1, 43389, '\p{^Is_Lb=jl}', "");
Expect(1, 43389, '\P{Is_Lb=jl}', "");
Expect(0, 43389, '\P{^Is_Lb=jl}', "");
Expect(1, 43388, '\p{Is_Lb=__JL}', "");
Expect(0, 43388, '\p{^Is_Lb=__JL}', "");
Expect(0, 43388, '\P{Is_Lb=__JL}', "");
Expect(1, 43388, '\P{^Is_Lb=__JL}', "");
Expect(0, 43389, '\p{Is_Lb=__JL}', "");
Expect(1, 43389, '\p{^Is_Lb=__JL}', "");
Expect(1, 43389, '\P{Is_Lb=__JL}', "");
Expect(0, 43389, '\P{^Is_Lb=__JL}', "");
Error('\p{Line_Break=:=-	jt}');
Error('\P{Line_Break=:=-	jt}');
Expect(1, 55291, '\p{Line_Break=jt}', "");
Expect(0, 55291, '\p{^Line_Break=jt}', "");
Expect(0, 55291, '\P{Line_Break=jt}', "");
Expect(1, 55291, '\P{^Line_Break=jt}', "");
Expect(0, 55292, '\p{Line_Break=jt}', "");
Expect(1, 55292, '\p{^Line_Break=jt}', "");
Expect(1, 55292, '\P{Line_Break=jt}', "");
Expect(0, 55292, '\P{^Line_Break=jt}', "");
Expect(1, 55291, '\p{Line_Break=-	JT}', "");
Expect(0, 55291, '\p{^Line_Break=-	JT}', "");
Expect(0, 55291, '\P{Line_Break=-	JT}', "");
Expect(1, 55291, '\P{^Line_Break=-	JT}', "");
Expect(0, 55292, '\p{Line_Break=-	JT}', "");
Expect(1, 55292, '\p{^Line_Break=-	JT}', "");
Expect(1, 55292, '\P{Line_Break=-	JT}', "");
Expect(0, 55292, '\P{^Line_Break=-	JT}', "");
Error('\p{Lb=	/a/JT}');
Error('\P{Lb=	/a/JT}');
Expect(1, 55291, '\p{Lb: jt}', "");
Expect(0, 55291, '\p{^Lb: jt}', "");
Expect(0, 55291, '\P{Lb: jt}', "");
Expect(1, 55291, '\P{^Lb: jt}', "");
Expect(0, 55292, '\p{Lb: jt}', "");
Expect(1, 55292, '\p{^Lb: jt}', "");
Expect(1, 55292, '\P{Lb: jt}', "");
Expect(0, 55292, '\P{^Lb: jt}', "");
Expect(1, 55291, '\p{Lb=	_JT}', "");
Expect(0, 55291, '\p{^Lb=	_JT}', "");
Expect(0, 55291, '\P{Lb=	_JT}', "");
Expect(1, 55291, '\P{^Lb=	_JT}', "");
Expect(0, 55292, '\p{Lb=	_JT}', "");
Expect(1, 55292, '\p{^Lb=	_JT}', "");
Expect(1, 55292, '\P{Lb=	_JT}', "");
Expect(0, 55292, '\P{^Lb=	_JT}', "");
Error('\p{Is_Line_Break=/a/-JT}');
Error('\P{Is_Line_Break=/a/-JT}');
Expect(1, 55291, '\p{Is_Line_Break=jt}', "");
Expect(0, 55291, '\p{^Is_Line_Break=jt}', "");
Expect(0, 55291, '\P{Is_Line_Break=jt}', "");
Expect(1, 55291, '\P{^Is_Line_Break=jt}', "");
Expect(0, 55292, '\p{Is_Line_Break=jt}', "");
Expect(1, 55292, '\p{^Is_Line_Break=jt}', "");
Expect(1, 55292, '\P{Is_Line_Break=jt}', "");
Expect(0, 55292, '\P{^Is_Line_Break=jt}', "");
Expect(1, 55291, '\p{Is_Line_Break= jt}', "");
Expect(0, 55291, '\p{^Is_Line_Break= jt}', "");
Expect(0, 55291, '\P{Is_Line_Break= jt}', "");
Expect(1, 55291, '\P{^Is_Line_Break= jt}', "");
Expect(0, 55292, '\p{Is_Line_Break= jt}', "");
Expect(1, 55292, '\p{^Is_Line_Break= jt}', "");
Expect(1, 55292, '\P{Is_Line_Break= jt}', "");
Expect(0, 55292, '\P{^Is_Line_Break= jt}', "");
Error('\p{Is_Lb:   :=  JT}');
Error('\P{Is_Lb:   :=  JT}');
Expect(1, 55291, '\p{Is_Lb=jt}', "");
Expect(0, 55291, '\p{^Is_Lb=jt}', "");
Expect(0, 55291, '\P{Is_Lb=jt}', "");
Expect(1, 55291, '\P{^Is_Lb=jt}', "");
Expect(0, 55292, '\p{Is_Lb=jt}', "");
Expect(1, 55292, '\p{^Is_Lb=jt}', "");
Expect(1, 55292, '\P{Is_Lb=jt}', "");
Expect(0, 55292, '\P{^Is_Lb=jt}', "");
Expect(1, 55291, '\p{Is_Lb=_	JT}', "");
Expect(0, 55291, '\p{^Is_Lb=_	JT}', "");
Expect(0, 55291, '\P{Is_Lb=_	JT}', "");
Expect(1, 55291, '\P{^Is_Lb=_	JT}', "");
Expect(0, 55292, '\p{Is_Lb=_	JT}', "");
Expect(1, 55292, '\p{^Is_Lb=_	JT}', "");
Expect(1, 55292, '\P{Is_Lb=_	JT}', "");
Expect(0, 55292, '\P{^Is_Lb=_	JT}', "");
Error('\p{Line_Break=/a/ 	JV}');
Error('\P{Line_Break=/a/ 	JV}');
Expect(1, 55238, '\p{Line_Break=jv}', "");
Expect(0, 55238, '\p{^Line_Break=jv}', "");
Expect(0, 55238, '\P{Line_Break=jv}', "");
Expect(1, 55238, '\P{^Line_Break=jv}', "");
Expect(0, 55239, '\p{Line_Break=jv}', "");
Expect(1, 55239, '\p{^Line_Break=jv}', "");
Expect(1, 55239, '\P{Line_Break=jv}', "");
Expect(0, 55239, '\P{^Line_Break=jv}', "");
Expect(1, 55238, '\p{Line_Break= -JV}', "");
Expect(0, 55238, '\p{^Line_Break= -JV}', "");
Expect(0, 55238, '\P{Line_Break= -JV}', "");
Expect(1, 55238, '\P{^Line_Break= -JV}', "");
Expect(0, 55239, '\p{Line_Break= -JV}', "");
Expect(1, 55239, '\p{^Line_Break= -JV}', "");
Expect(1, 55239, '\P{Line_Break= -JV}', "");
Expect(0, 55239, '\P{^Line_Break= -JV}', "");
Error('\p{Lb=/a/jv}');
Error('\P{Lb=/a/jv}');
Expect(1, 55238, '\p{Lb=jv}', "");
Expect(0, 55238, '\p{^Lb=jv}', "");
Expect(0, 55238, '\P{Lb=jv}', "");
Expect(1, 55238, '\P{^Lb=jv}', "");
Expect(0, 55239, '\p{Lb=jv}', "");
Expect(1, 55239, '\p{^Lb=jv}', "");
Expect(1, 55239, '\P{Lb=jv}', "");
Expect(0, 55239, '\P{^Lb=jv}', "");
Expect(1, 55238, '\p{Lb=	jv}', "");
Expect(0, 55238, '\p{^Lb=	jv}', "");
Expect(0, 55238, '\P{Lb=	jv}', "");
Expect(1, 55238, '\P{^Lb=	jv}', "");
Expect(0, 55239, '\p{Lb=	jv}', "");
Expect(1, 55239, '\p{^Lb=	jv}', "");
Expect(1, 55239, '\P{Lb=	jv}', "");
Expect(0, 55239, '\P{^Lb=	jv}', "");
Error('\p{Is_Line_Break=/a/	_jv}');
Error('\P{Is_Line_Break=/a/	_jv}');
Expect(1, 55238, '\p{Is_Line_Break=jv}', "");
Expect(0, 55238, '\p{^Is_Line_Break=jv}', "");
Expect(0, 55238, '\P{Is_Line_Break=jv}', "");
Expect(1, 55238, '\P{^Is_Line_Break=jv}', "");
Expect(0, 55239, '\p{Is_Line_Break=jv}', "");
Expect(1, 55239, '\p{^Is_Line_Break=jv}', "");
Expect(1, 55239, '\P{Is_Line_Break=jv}', "");
Expect(0, 55239, '\P{^Is_Line_Break=jv}', "");
Expect(1, 55238, '\p{Is_Line_Break=_jv}', "");
Expect(0, 55238, '\p{^Is_Line_Break=_jv}', "");
Expect(0, 55238, '\P{Is_Line_Break=_jv}', "");
Expect(1, 55238, '\P{^Is_Line_Break=_jv}', "");
Expect(0, 55239, '\p{Is_Line_Break=_jv}', "");
Expect(1, 55239, '\p{^Is_Line_Break=_jv}', "");
Expect(1, 55239, '\P{Is_Line_Break=_jv}', "");
Expect(0, 55239, '\P{^Is_Line_Break=_jv}', "");
Error('\p{Is_Lb=/a/	JV}');
Error('\P{Is_Lb=/a/	JV}');
Expect(1, 55238, '\p{Is_Lb=jv}', "");
Expect(0, 55238, '\p{^Is_Lb=jv}', "");
Expect(0, 55238, '\P{Is_Lb=jv}', "");
Expect(1, 55238, '\P{^Is_Lb=jv}', "");
Expect(0, 55239, '\p{Is_Lb=jv}', "");
Expect(1, 55239, '\p{^Is_Lb=jv}', "");
Expect(1, 55239, '\P{Is_Lb=jv}', "");
Expect(0, 55239, '\P{^Is_Lb=jv}', "");
Expect(1, 55238, '\p{Is_Lb= 	JV}', "");
Expect(0, 55238, '\p{^Is_Lb= 	JV}', "");
Expect(0, 55238, '\P{Is_Lb= 	JV}', "");
Expect(1, 55238, '\P{^Is_Lb= 	JV}', "");
Expect(0, 55239, '\p{Is_Lb= 	JV}', "");
Expect(1, 55239, '\p{^Is_Lb= 	JV}', "");
Expect(1, 55239, '\P{Is_Lb= 	JV}', "");
Expect(0, 55239, '\P{^Is_Lb= 	JV}', "");
Error('\p{Line_Break=/a/ Line_Feed}');
Error('\P{Line_Break=/a/ Line_Feed}');
Expect(1, 10, '\p{Line_Break=linefeed}', "");
Expect(0, 10, '\p{^Line_Break=linefeed}', "");
Expect(0, 10, '\P{Line_Break=linefeed}', "");
Expect(1, 10, '\P{^Line_Break=linefeed}', "");
Expect(0, 11, '\p{Line_Break=linefeed}', "");
Expect(1, 11, '\p{^Line_Break=linefeed}', "");
Expect(1, 11, '\P{Line_Break=linefeed}', "");
Expect(0, 11, '\P{^Line_Break=linefeed}', "");
Expect(1, 10, '\p{Line_Break=__line_FEED}', "");
Expect(0, 10, '\p{^Line_Break=__line_FEED}', "");
Expect(0, 10, '\P{Line_Break=__line_FEED}', "");
Expect(1, 10, '\P{^Line_Break=__line_FEED}', "");
Expect(0, 11, '\p{Line_Break=__line_FEED}', "");
Expect(1, 11, '\p{^Line_Break=__line_FEED}', "");
Expect(1, 11, '\P{Line_Break=__line_FEED}', "");
Expect(0, 11, '\P{^Line_Break=__line_FEED}', "");
Error('\p{Lb=	-LF/a/}');
Error('\P{Lb=	-LF/a/}');
Expect(1, 10, '\p{Lb=lf}', "");
Expect(0, 10, '\p{^Lb=lf}', "");
Expect(0, 10, '\P{Lb=lf}', "");
Expect(1, 10, '\P{^Lb=lf}', "");
Expect(0, 11, '\p{Lb=lf}', "");
Expect(1, 11, '\p{^Lb=lf}', "");
Expect(1, 11, '\P{Lb=lf}', "");
Expect(0, 11, '\P{^Lb=lf}', "");
Expect(1, 10, '\p{Lb= LF}', "");
Expect(0, 10, '\p{^Lb= LF}', "");
Expect(0, 10, '\P{Lb= LF}', "");
Expect(1, 10, '\P{^Lb= LF}', "");
Expect(0, 11, '\p{Lb= LF}', "");
Expect(1, 11, '\p{^Lb= LF}', "");
Expect(1, 11, '\P{Lb= LF}', "");
Expect(0, 11, '\P{^Lb= LF}', "");
Error('\p{Is_Line_Break=	/a/Line_feed}');
Error('\P{Is_Line_Break=	/a/Line_feed}');
Expect(1, 10, '\p{Is_Line_Break=linefeed}', "");
Expect(0, 10, '\p{^Is_Line_Break=linefeed}', "");
Expect(0, 10, '\P{Is_Line_Break=linefeed}', "");
Expect(1, 10, '\P{^Is_Line_Break=linefeed}', "");
Expect(0, 11, '\p{Is_Line_Break=linefeed}', "");
Expect(1, 11, '\p{^Is_Line_Break=linefeed}', "");
Expect(1, 11, '\P{Is_Line_Break=linefeed}', "");
Expect(0, 11, '\P{^Is_Line_Break=linefeed}', "");
Expect(1, 10, '\p{Is_Line_Break:	-Line_feed}', "");
Expect(0, 10, '\p{^Is_Line_Break:	-Line_feed}', "");
Expect(0, 10, '\P{Is_Line_Break:	-Line_feed}', "");
Expect(1, 10, '\P{^Is_Line_Break:	-Line_feed}', "");
Expect(0, 11, '\p{Is_Line_Break:	-Line_feed}', "");
Expect(1, 11, '\p{^Is_Line_Break:	-Line_feed}', "");
Expect(1, 11, '\P{Is_Line_Break:	-Line_feed}', "");
Expect(0, 11, '\P{^Is_Line_Break:	-Line_feed}', "");
Error('\p{Is_Lb= :=LF}');
Error('\P{Is_Lb= :=LF}');
Expect(1, 10, '\p{Is_Lb=lf}', "");
Expect(0, 10, '\p{^Is_Lb=lf}', "");
Expect(0, 10, '\P{Is_Lb=lf}', "");
Expect(1, 10, '\P{^Is_Lb=lf}', "");
Expect(0, 11, '\p{Is_Lb=lf}', "");
Expect(1, 11, '\p{^Is_Lb=lf}', "");
Expect(1, 11, '\P{Is_Lb=lf}', "");
Expect(0, 11, '\P{^Is_Lb=lf}', "");
Expect(1, 10, '\p{Is_Lb:		LF}', "");
Expect(0, 10, '\p{^Is_Lb:		LF}', "");
Expect(0, 10, '\P{Is_Lb:		LF}', "");
Expect(1, 10, '\P{^Is_Lb:		LF}', "");
Expect(0, 11, '\p{Is_Lb:		LF}', "");
Expect(1, 11, '\p{^Is_Lb:		LF}', "");
Expect(1, 11, '\P{Is_Lb:		LF}', "");
Expect(0, 11, '\P{^Is_Lb:		LF}', "");
Error('\p{Line_Break=_	next_LINE/a/}');
Error('\P{Line_Break=_	next_LINE/a/}');
Expect(1, 133, '\p{Line_Break=nextline}', "");
Expect(0, 133, '\p{^Line_Break=nextline}', "");
Expect(0, 133, '\P{Line_Break=nextline}', "");
Expect(1, 133, '\P{^Line_Break=nextline}', "");
Expect(0, 134, '\p{Line_Break=nextline}', "");
Expect(1, 134, '\p{^Line_Break=nextline}', "");
Expect(1, 134, '\P{Line_Break=nextline}', "");
Expect(0, 134, '\P{^Line_Break=nextline}', "");
Expect(1, 133, '\p{Line_Break=	Next_Line}', "");
Expect(0, 133, '\p{^Line_Break=	Next_Line}', "");
Expect(0, 133, '\P{Line_Break=	Next_Line}', "");
Expect(1, 133, '\P{^Line_Break=	Next_Line}', "");
Expect(0, 134, '\p{Line_Break=	Next_Line}', "");
Expect(1, 134, '\p{^Line_Break=	Next_Line}', "");
Expect(1, 134, '\P{Line_Break=	Next_Line}', "");
Expect(0, 134, '\P{^Line_Break=	Next_Line}', "");
Error('\p{Lb=:=nl}');
Error('\P{Lb=:=nl}');
Expect(1, 133, '\p{Lb=nl}', "");
Expect(0, 133, '\p{^Lb=nl}', "");
Expect(0, 133, '\P{Lb=nl}', "");
Expect(1, 133, '\P{^Lb=nl}', "");
Expect(0, 134, '\p{Lb=nl}', "");
Expect(1, 134, '\p{^Lb=nl}', "");
Expect(1, 134, '\P{Lb=nl}', "");
Expect(0, 134, '\P{^Lb=nl}', "");
Expect(1, 133, '\p{Lb=	NL}', "");
Expect(0, 133, '\p{^Lb=	NL}', "");
Expect(0, 133, '\P{Lb=	NL}', "");
Expect(1, 133, '\P{^Lb=	NL}', "");
Expect(0, 134, '\p{Lb=	NL}', "");
Expect(1, 134, '\p{^Lb=	NL}', "");
Expect(1, 134, '\P{Lb=	NL}', "");
Expect(0, 134, '\P{^Lb=	NL}', "");
Error('\p{Is_Line_Break: := 	Next_Line}');
Error('\P{Is_Line_Break: := 	Next_Line}');
Expect(1, 133, '\p{Is_Line_Break=nextline}', "");
Expect(0, 133, '\p{^Is_Line_Break=nextline}', "");
Expect(0, 133, '\P{Is_Line_Break=nextline}', "");
Expect(1, 133, '\P{^Is_Line_Break=nextline}', "");
Expect(0, 134, '\p{Is_Line_Break=nextline}', "");
Expect(1, 134, '\p{^Is_Line_Break=nextline}', "");
Expect(1, 134, '\P{Is_Line_Break=nextline}', "");
Expect(0, 134, '\P{^Is_Line_Break=nextline}', "");
Expect(1, 133, '\p{Is_Line_Break:    NEXT_Line}', "");
Expect(0, 133, '\p{^Is_Line_Break:    NEXT_Line}', "");
Expect(0, 133, '\P{Is_Line_Break:    NEXT_Line}', "");
Expect(1, 133, '\P{^Is_Line_Break:    NEXT_Line}', "");
Expect(0, 134, '\p{Is_Line_Break:    NEXT_Line}', "");
Expect(1, 134, '\p{^Is_Line_Break:    NEXT_Line}', "");
Expect(1, 134, '\P{Is_Line_Break:    NEXT_Line}', "");
Expect(0, 134, '\P{^Is_Line_Break:    NEXT_Line}', "");
Error('\p{Is_Lb=/a/NL}');
Error('\P{Is_Lb=/a/NL}');
Expect(1, 133, '\p{Is_Lb=nl}', "");
Expect(0, 133, '\p{^Is_Lb=nl}', "");
Expect(0, 133, '\P{Is_Lb=nl}', "");
Expect(1, 133, '\P{^Is_Lb=nl}', "");
Expect(0, 134, '\p{Is_Lb=nl}', "");
Expect(1, 134, '\p{^Is_Lb=nl}', "");
Expect(1, 134, '\P{Is_Lb=nl}', "");
Expect(0, 134, '\P{^Is_Lb=nl}', "");
Expect(1, 133, '\p{Is_Lb:	 _NL}', "");
Expect(0, 133, '\p{^Is_Lb:	 _NL}', "");
Expect(0, 133, '\P{Is_Lb:	 _NL}', "");
Expect(1, 133, '\P{^Is_Lb:	 _NL}', "");
Expect(0, 134, '\p{Is_Lb:	 _NL}', "");
Expect(1, 134, '\p{^Is_Lb:	 _NL}', "");
Expect(1, 134, '\P{Is_Lb:	 _NL}', "");
Expect(0, 134, '\P{^Is_Lb:	 _NL}', "");
Error('\p{Line_Break= :=Nonstarter}');
Error('\P{Line_Break= :=Nonstarter}');
Expect(1, 128635, '\p{Line_Break: nonstarter}', "");
Expect(0, 128635, '\p{^Line_Break: nonstarter}', "");
Expect(0, 128635, '\P{Line_Break: nonstarter}', "");
Expect(1, 128635, '\P{^Line_Break: nonstarter}', "");
Expect(0, 128636, '\p{Line_Break: nonstarter}', "");
Expect(1, 128636, '\p{^Line_Break: nonstarter}', "");
Expect(1, 128636, '\P{Line_Break: nonstarter}', "");
Expect(0, 128636, '\P{^Line_Break: nonstarter}', "");
Expect(1, 128635, '\p{Line_Break:NONSTARTER}', "");
Expect(0, 128635, '\p{^Line_Break:NONSTARTER}', "");
Expect(0, 128635, '\P{Line_Break:NONSTARTER}', "");
Expect(1, 128635, '\P{^Line_Break:NONSTARTER}', "");
Expect(0, 128636, '\p{Line_Break:NONSTARTER}', "");
Expect(1, 128636, '\p{^Line_Break:NONSTARTER}', "");
Expect(1, 128636, '\P{Line_Break:NONSTARTER}', "");
Expect(0, 128636, '\P{^Line_Break:NONSTARTER}', "");
Error('\p{Lb=	 ns/a/}');
Error('\P{Lb=	 ns/a/}');
Expect(1, 128635, '\p{Lb=ns}', "");
Expect(0, 128635, '\p{^Lb=ns}', "");
Expect(0, 128635, '\P{Lb=ns}', "");
Expect(1, 128635, '\P{^Lb=ns}', "");
Expect(0, 128636, '\p{Lb=ns}', "");
Expect(1, 128636, '\p{^Lb=ns}', "");
Expect(1, 128636, '\P{Lb=ns}', "");
Expect(0, 128636, '\P{^Lb=ns}', "");
Expect(1, 128635, '\p{Lb=	-ns}', "");
Expect(0, 128635, '\p{^Lb=	-ns}', "");
Expect(0, 128635, '\P{Lb=	-ns}', "");
Expect(1, 128635, '\P{^Lb=	-ns}', "");
Expect(0, 128636, '\p{Lb=	-ns}', "");
Expect(1, 128636, '\p{^Lb=	-ns}', "");
Expect(1, 128636, '\P{Lb=	-ns}', "");
Expect(0, 128636, '\P{^Lb=	-ns}', "");
Error('\p{Is_Line_Break= nonstarter:=}');
Error('\P{Is_Line_Break= nonstarter:=}');
Expect(1, 128635, '\p{Is_Line_Break=nonstarter}', "");
Expect(0, 128635, '\p{^Is_Line_Break=nonstarter}', "");
Expect(0, 128635, '\P{Is_Line_Break=nonstarter}', "");
Expect(1, 128635, '\P{^Is_Line_Break=nonstarter}', "");
Expect(0, 128636, '\p{Is_Line_Break=nonstarter}', "");
Expect(1, 128636, '\p{^Is_Line_Break=nonstarter}', "");
Expect(1, 128636, '\P{Is_Line_Break=nonstarter}', "");
Expect(0, 128636, '\P{^Is_Line_Break=nonstarter}', "");
Expect(1, 128635, '\p{Is_Line_Break=--Nonstarter}', "");
Expect(0, 128635, '\p{^Is_Line_Break=--Nonstarter}', "");
Expect(0, 128635, '\P{Is_Line_Break=--Nonstarter}', "");
Expect(1, 128635, '\P{^Is_Line_Break=--Nonstarter}', "");
Expect(0, 128636, '\p{Is_Line_Break=--Nonstarter}', "");
Expect(1, 128636, '\p{^Is_Line_Break=--Nonstarter}', "");
Expect(1, 128636, '\P{Is_Line_Break=--Nonstarter}', "");
Expect(0, 128636, '\P{^Is_Line_Break=--Nonstarter}', "");
Error('\p{Is_Lb=:=_NS}');
Error('\P{Is_Lb=:=_NS}');
Expect(1, 128635, '\p{Is_Lb=ns}', "");
Expect(0, 128635, '\p{^Is_Lb=ns}', "");
Expect(0, 128635, '\P{Is_Lb=ns}', "");
Expect(1, 128635, '\P{^Is_Lb=ns}', "");
Expect(0, 128636, '\p{Is_Lb=ns}', "");
Expect(1, 128636, '\p{^Is_Lb=ns}', "");
Expect(1, 128636, '\P{Is_Lb=ns}', "");
Expect(0, 128636, '\P{^Is_Lb=ns}', "");
Expect(1, 128635, '\p{Is_Lb=	 NS}', "");
Expect(0, 128635, '\p{^Is_Lb=	 NS}', "");
Expect(0, 128635, '\P{Is_Lb=	 NS}', "");
Expect(1, 128635, '\P{^Is_Lb=	 NS}', "");
Expect(0, 128636, '\p{Is_Lb=	 NS}', "");
Expect(1, 128636, '\p{^Is_Lb=	 NS}', "");
Expect(1, 128636, '\P{Is_Lb=	 NS}', "");
Expect(0, 128636, '\P{^Is_Lb=	 NS}', "");
Error('\p{Line_Break:   /a/ -Numeric}');
Error('\P{Line_Break:   /a/ -Numeric}');
Expect(1, 120831, '\p{Line_Break=numeric}', "");
Expect(0, 120831, '\p{^Line_Break=numeric}', "");
Expect(0, 120831, '\P{Line_Break=numeric}', "");
Expect(1, 120831, '\P{^Line_Break=numeric}', "");
Expect(0, 120832, '\p{Line_Break=numeric}', "");
Expect(1, 120832, '\p{^Line_Break=numeric}', "");
Expect(1, 120832, '\P{Line_Break=numeric}', "");
Expect(0, 120832, '\P{^Line_Break=numeric}', "");
Expect(1, 120831, '\p{Line_Break= _Numeric}', "");
Expect(0, 120831, '\p{^Line_Break= _Numeric}', "");
Expect(0, 120831, '\P{Line_Break= _Numeric}', "");
Expect(1, 120831, '\P{^Line_Break= _Numeric}', "");
Expect(0, 120832, '\p{Line_Break= _Numeric}', "");
Expect(1, 120832, '\p{^Line_Break= _Numeric}', "");
Expect(1, 120832, '\P{Line_Break= _Numeric}', "");
Expect(0, 120832, '\P{^Line_Break= _Numeric}', "");
Error('\p{Lb=--NU:=}');
Error('\P{Lb=--NU:=}');
Expect(1, 120831, '\p{Lb:nu}', "");
Expect(0, 120831, '\p{^Lb:nu}', "");
Expect(0, 120831, '\P{Lb:nu}', "");
Expect(1, 120831, '\P{^Lb:nu}', "");
Expect(0, 120832, '\p{Lb:nu}', "");
Expect(1, 120832, '\p{^Lb:nu}', "");
Expect(1, 120832, '\P{Lb:nu}', "");
Expect(0, 120832, '\P{^Lb:nu}', "");
Expect(1, 120831, '\p{Lb=--nu}', "");
Expect(0, 120831, '\p{^Lb=--nu}', "");
Expect(0, 120831, '\P{Lb=--nu}', "");
Expect(1, 120831, '\P{^Lb=--nu}', "");
Expect(0, 120832, '\p{Lb=--nu}', "");
Expect(1, 120832, '\p{^Lb=--nu}', "");
Expect(1, 120832, '\P{Lb=--nu}', "");
Expect(0, 120832, '\P{^Lb=--nu}', "");
Error('\p{Is_Line_Break=__Numeric/a/}');
Error('\P{Is_Line_Break=__Numeric/a/}');
Expect(1, 120831, '\p{Is_Line_Break=numeric}', "");
Expect(0, 120831, '\p{^Is_Line_Break=numeric}', "");
Expect(0, 120831, '\P{Is_Line_Break=numeric}', "");
Expect(1, 120831, '\P{^Is_Line_Break=numeric}', "");
Expect(0, 120832, '\p{Is_Line_Break=numeric}', "");
Expect(1, 120832, '\p{^Is_Line_Break=numeric}', "");
Expect(1, 120832, '\P{Is_Line_Break=numeric}', "");
Expect(0, 120832, '\P{^Is_Line_Break=numeric}', "");
Expect(1, 120831, '\p{Is_Line_Break=_Numeric}', "");
Expect(0, 120831, '\p{^Is_Line_Break=_Numeric}', "");
Expect(0, 120831, '\P{Is_Line_Break=_Numeric}', "");
Expect(1, 120831, '\P{^Is_Line_Break=_Numeric}', "");
Expect(0, 120832, '\p{Is_Line_Break=_Numeric}', "");
Expect(1, 120832, '\p{^Is_Line_Break=_Numeric}', "");
Expect(1, 120832, '\P{Is_Line_Break=_Numeric}', "");
Expect(0, 120832, '\P{^Is_Line_Break=_Numeric}', "");
Error('\p{Is_Lb=/a/NU}');
Error('\P{Is_Lb=/a/NU}');
Expect(1, 120831, '\p{Is_Lb:	nu}', "");
Expect(0, 120831, '\p{^Is_Lb:	nu}', "");
Expect(0, 120831, '\P{Is_Lb:	nu}', "");
Expect(1, 120831, '\P{^Is_Lb:	nu}', "");
Expect(0, 120832, '\p{Is_Lb:	nu}', "");
Expect(1, 120832, '\p{^Is_Lb:	nu}', "");
Expect(1, 120832, '\P{Is_Lb:	nu}', "");
Expect(0, 120832, '\P{^Is_Lb:	nu}', "");
Expect(1, 120831, '\p{Is_Lb= NU}', "");
Expect(0, 120831, '\p{^Is_Lb= NU}', "");
Expect(0, 120831, '\P{Is_Lb= NU}', "");
Expect(1, 120831, '\P{^Is_Lb= NU}', "");
Expect(0, 120832, '\p{Is_Lb= NU}', "");
Expect(1, 120832, '\p{^Is_Lb= NU}', "");
Expect(1, 120832, '\P{Is_Lb= NU}', "");
Expect(0, 120832, '\P{^Is_Lb= NU}', "");
Error('\p{Line_Break=		OPEN_punctuation/a/}');
Error('\P{Line_Break=		OPEN_punctuation/a/}');
Expect(1, 83406, '\p{Line_Break: openpunctuation}', "");
Expect(0, 83406, '\p{^Line_Break: openpunctuation}', "");
Expect(0, 83406, '\P{Line_Break: openpunctuation}', "");
Expect(1, 83406, '\P{^Line_Break: openpunctuation}', "");
Expect(0, 83407, '\p{Line_Break: openpunctuation}', "");
Expect(1, 83407, '\p{^Line_Break: openpunctuation}', "");
Expect(1, 83407, '\P{Line_Break: openpunctuation}', "");
Expect(0, 83407, '\P{^Line_Break: openpunctuation}', "");
Expect(1, 83406, '\p{Line_Break=_-open_Punctuation}', "");
Expect(0, 83406, '\p{^Line_Break=_-open_Punctuation}', "");
Expect(0, 83406, '\P{Line_Break=_-open_Punctuation}', "");
Expect(1, 83406, '\P{^Line_Break=_-open_Punctuation}', "");
Expect(0, 83407, '\p{Line_Break=_-open_Punctuation}', "");
Expect(1, 83407, '\p{^Line_Break=_-open_Punctuation}', "");
Expect(1, 83407, '\P{Line_Break=_-open_Punctuation}', "");
Expect(0, 83407, '\P{^Line_Break=_-open_Punctuation}', "");
Error('\p{Lb=:=__op}');
Error('\P{Lb=:=__op}');
Expect(1, 83406, '\p{Lb=op}', "");
Expect(0, 83406, '\p{^Lb=op}', "");
Expect(0, 83406, '\P{Lb=op}', "");
Expect(1, 83406, '\P{^Lb=op}', "");
Expect(0, 83407, '\p{Lb=op}', "");
Expect(1, 83407, '\p{^Lb=op}', "");
Expect(1, 83407, '\P{Lb=op}', "");
Expect(0, 83407, '\P{^Lb=op}', "");
Expect(1, 83406, '\p{Lb=__OP}', "");
Expect(0, 83406, '\p{^Lb=__OP}', "");
Expect(0, 83406, '\P{Lb=__OP}', "");
Expect(1, 83406, '\P{^Lb=__OP}', "");
Expect(0, 83407, '\p{Lb=__OP}', "");
Expect(1, 83407, '\p{^Lb=__OP}', "");
Expect(1, 83407, '\P{Lb=__OP}', "");
Expect(0, 83407, '\P{^Lb=__OP}', "");
Error('\p{Is_Line_Break:   :=_-open_Punctuation}');
Error('\P{Is_Line_Break:   :=_-open_Punctuation}');
Expect(1, 83406, '\p{Is_Line_Break=openpunctuation}', "");
Expect(0, 83406, '\p{^Is_Line_Break=openpunctuation}', "");
Expect(0, 83406, '\P{Is_Line_Break=openpunctuation}', "");
Expect(1, 83406, '\P{^Is_Line_Break=openpunctuation}', "");
Expect(0, 83407, '\p{Is_Line_Break=openpunctuation}', "");
Expect(1, 83407, '\p{^Is_Line_Break=openpunctuation}', "");
Expect(1, 83407, '\P{Is_Line_Break=openpunctuation}', "");
Expect(0, 83407, '\P{^Is_Line_Break=openpunctuation}', "");
Expect(1, 83406, '\p{Is_Line_Break=_Open_Punctuation}', "");
Expect(0, 83406, '\p{^Is_Line_Break=_Open_Punctuation}', "");
Expect(0, 83406, '\P{Is_Line_Break=_Open_Punctuation}', "");
Expect(1, 83406, '\P{^Is_Line_Break=_Open_Punctuation}', "");
Expect(0, 83407, '\p{Is_Line_Break=_Open_Punctuation}', "");
Expect(1, 83407, '\p{^Is_Line_Break=_Open_Punctuation}', "");
Expect(1, 83407, '\P{Is_Line_Break=_Open_Punctuation}', "");
Expect(0, 83407, '\P{^Is_Line_Break=_Open_Punctuation}', "");
Error('\p{Is_Lb=:=_ OP}');
Error('\P{Is_Lb=:=_ OP}');
Expect(1, 83406, '\p{Is_Lb=op}', "");
Expect(0, 83406, '\p{^Is_Lb=op}', "");
Expect(0, 83406, '\P{Is_Lb=op}', "");
Expect(1, 83406, '\P{^Is_Lb=op}', "");
Expect(0, 83407, '\p{Is_Lb=op}', "");
Expect(1, 83407, '\p{^Is_Lb=op}', "");
Expect(1, 83407, '\P{Is_Lb=op}', "");
Expect(0, 83407, '\P{^Is_Lb=op}', "");
Expect(1, 83406, '\p{Is_Lb= OP}', "");
Expect(0, 83406, '\p{^Is_Lb= OP}', "");
Expect(0, 83406, '\P{Is_Lb= OP}', "");
Expect(1, 83406, '\P{^Is_Lb= OP}', "");
Expect(0, 83407, '\p{Is_Lb= OP}', "");
Expect(1, 83407, '\p{^Is_Lb= OP}', "");
Expect(1, 83407, '\P{Is_Lb= OP}', "");
Expect(0, 83407, '\P{^Is_Lb= OP}', "");
Error('\p{Line_Break=/a/POSTFIX_numeric}');
Error('\P{Line_Break=/a/POSTFIX_numeric}');
Expect(1, 65504, '\p{Line_Break=postfixnumeric}', "");
Expect(0, 65504, '\p{^Line_Break=postfixnumeric}', "");
Expect(0, 65504, '\P{Line_Break=postfixnumeric}', "");
Expect(1, 65504, '\P{^Line_Break=postfixnumeric}', "");
Expect(0, 65505, '\p{Line_Break=postfixnumeric}', "");
Expect(1, 65505, '\p{^Line_Break=postfixnumeric}', "");
Expect(1, 65505, '\P{Line_Break=postfixnumeric}', "");
Expect(0, 65505, '\P{^Line_Break=postfixnumeric}', "");
Expect(1, 65504, '\p{Line_Break=Postfix_numeric}', "");
Expect(0, 65504, '\p{^Line_Break=Postfix_numeric}', "");
Expect(0, 65504, '\P{Line_Break=Postfix_numeric}', "");
Expect(1, 65504, '\P{^Line_Break=Postfix_numeric}', "");
Expect(0, 65505, '\p{Line_Break=Postfix_numeric}', "");
Expect(1, 65505, '\p{^Line_Break=Postfix_numeric}', "");
Expect(1, 65505, '\P{Line_Break=Postfix_numeric}', "");
Expect(0, 65505, '\P{^Line_Break=Postfix_numeric}', "");
Error('\p{Lb= 	po:=}');
Error('\P{Lb= 	po:=}');
Expect(1, 65504, '\p{Lb=po}', "");
Expect(0, 65504, '\p{^Lb=po}', "");
Expect(0, 65504, '\P{Lb=po}', "");
Expect(1, 65504, '\P{^Lb=po}', "");
Expect(0, 65505, '\p{Lb=po}', "");
Expect(1, 65505, '\p{^Lb=po}', "");
Expect(1, 65505, '\P{Lb=po}', "");
Expect(0, 65505, '\P{^Lb=po}', "");
Expect(1, 65504, '\p{Lb= _PO}', "");
Expect(0, 65504, '\p{^Lb= _PO}', "");
Expect(0, 65504, '\P{Lb= _PO}', "");
Expect(1, 65504, '\P{^Lb= _PO}', "");
Expect(0, 65505, '\p{Lb= _PO}', "");
Expect(1, 65505, '\p{^Lb= _PO}', "");
Expect(1, 65505, '\P{Lb= _PO}', "");
Expect(0, 65505, '\P{^Lb= _PO}', "");
Error('\p{Is_Line_Break=_ POSTFIX_Numeric:=}');
Error('\P{Is_Line_Break=_ POSTFIX_Numeric:=}');
Expect(1, 65504, '\p{Is_Line_Break:postfixnumeric}', "");
Expect(0, 65504, '\p{^Is_Line_Break:postfixnumeric}', "");
Expect(0, 65504, '\P{Is_Line_Break:postfixnumeric}', "");
Expect(1, 65504, '\P{^Is_Line_Break:postfixnumeric}', "");
Expect(0, 65505, '\p{Is_Line_Break:postfixnumeric}', "");
Expect(1, 65505, '\p{^Is_Line_Break:postfixnumeric}', "");
Expect(1, 65505, '\P{Is_Line_Break:postfixnumeric}', "");
Expect(0, 65505, '\P{^Is_Line_Break:postfixnumeric}', "");
Expect(1, 65504, '\p{Is_Line_Break:		_postfix_numeric}', "");
Expect(0, 65504, '\p{^Is_Line_Break:		_postfix_numeric}', "");
Expect(0, 65504, '\P{Is_Line_Break:		_postfix_numeric}', "");
Expect(1, 65504, '\P{^Is_Line_Break:		_postfix_numeric}', "");
Expect(0, 65505, '\p{Is_Line_Break:		_postfix_numeric}', "");
Expect(1, 65505, '\p{^Is_Line_Break:		_postfix_numeric}', "");
Expect(1, 65505, '\P{Is_Line_Break:		_postfix_numeric}', "");
Expect(0, 65505, '\P{^Is_Line_Break:		_postfix_numeric}', "");
Error('\p{Is_Lb=	-PO:=}');
Error('\P{Is_Lb=	-PO:=}');
Expect(1, 65504, '\p{Is_Lb=po}', "");
Expect(0, 65504, '\p{^Is_Lb=po}', "");
Expect(0, 65504, '\P{Is_Lb=po}', "");
Expect(1, 65504, '\P{^Is_Lb=po}', "");
Expect(0, 65505, '\p{Is_Lb=po}', "");
Expect(1, 65505, '\p{^Is_Lb=po}', "");
Expect(1, 65505, '\P{Is_Lb=po}', "");
Expect(0, 65505, '\P{^Is_Lb=po}', "");
Expect(1, 65504, '\p{Is_Lb=--PO}', "");
Expect(0, 65504, '\p{^Is_Lb=--PO}', "");
Expect(0, 65504, '\P{Is_Lb=--PO}', "");
Expect(1, 65504, '\P{^Is_Lb=--PO}', "");
Expect(0, 65505, '\p{Is_Lb=--PO}', "");
Expect(1, 65505, '\p{^Is_Lb=--PO}', "");
Expect(1, 65505, '\P{Is_Lb=--PO}', "");
Expect(0, 65505, '\P{^Is_Lb=--PO}', "");
Error('\p{Line_Break:	:=	-Prefix_numeric}');
Error('\P{Line_Break:	:=	-Prefix_numeric}');
Expect(1, 65510, '\p{Line_Break=prefixnumeric}', "");
Expect(0, 65510, '\p{^Line_Break=prefixnumeric}', "");
Expect(0, 65510, '\P{Line_Break=prefixnumeric}', "");
Expect(1, 65510, '\P{^Line_Break=prefixnumeric}', "");
Expect(0, 65511, '\p{Line_Break=prefixnumeric}', "");
Expect(1, 65511, '\p{^Line_Break=prefixnumeric}', "");
Expect(1, 65511, '\P{Line_Break=prefixnumeric}', "");
Expect(0, 65511, '\P{^Line_Break=prefixnumeric}', "");
Expect(1, 65510, '\p{Line_Break=-prefix_numeric}', "");
Expect(0, 65510, '\p{^Line_Break=-prefix_numeric}', "");
Expect(0, 65510, '\P{Line_Break=-prefix_numeric}', "");
Expect(1, 65510, '\P{^Line_Break=-prefix_numeric}', "");
Expect(0, 65511, '\p{Line_Break=-prefix_numeric}', "");
Expect(1, 65511, '\p{^Line_Break=-prefix_numeric}', "");
Expect(1, 65511, '\P{Line_Break=-prefix_numeric}', "");
Expect(0, 65511, '\P{^Line_Break=-prefix_numeric}', "");
Error('\p{Lb=/a/_	pr}');
Error('\P{Lb=/a/_	pr}');
Expect(1, 65510, '\p{Lb=pr}', "");
Expect(0, 65510, '\p{^Lb=pr}', "");
Expect(0, 65510, '\P{Lb=pr}', "");
Expect(1, 65510, '\P{^Lb=pr}', "");
Expect(0, 65511, '\p{Lb=pr}', "");
Expect(1, 65511, '\p{^Lb=pr}', "");
Expect(1, 65511, '\P{Lb=pr}', "");
Expect(0, 65511, '\P{^Lb=pr}', "");
Expect(1, 65510, '\p{Lb=--PR}', "");
Expect(0, 65510, '\p{^Lb=--PR}', "");
Expect(0, 65510, '\P{Lb=--PR}', "");
Expect(1, 65510, '\P{^Lb=--PR}', "");
Expect(0, 65511, '\p{Lb=--PR}', "");
Expect(1, 65511, '\p{^Lb=--PR}', "");
Expect(1, 65511, '\P{Lb=--PR}', "");
Expect(0, 65511, '\P{^Lb=--PR}', "");
Error('\p{Is_Line_Break=	:=Prefix_Numeric}');
Error('\P{Is_Line_Break=	:=Prefix_Numeric}');
Expect(1, 65510, '\p{Is_Line_Break:	prefixnumeric}', "");
Expect(0, 65510, '\p{^Is_Line_Break:	prefixnumeric}', "");
Expect(0, 65510, '\P{Is_Line_Break:	prefixnumeric}', "");
Expect(1, 65510, '\P{^Is_Line_Break:	prefixnumeric}', "");
Expect(0, 65511, '\p{Is_Line_Break:	prefixnumeric}', "");
Expect(1, 65511, '\p{^Is_Line_Break:	prefixnumeric}', "");
Expect(1, 65511, '\P{Is_Line_Break:	prefixnumeric}', "");
Expect(0, 65511, '\P{^Is_Line_Break:	prefixnumeric}', "");
Expect(1, 65510, '\p{Is_Line_Break=-Prefix_NUMERIC}', "");
Expect(0, 65510, '\p{^Is_Line_Break=-Prefix_NUMERIC}', "");
Expect(0, 65510, '\P{Is_Line_Break=-Prefix_NUMERIC}', "");
Expect(1, 65510, '\P{^Is_Line_Break=-Prefix_NUMERIC}', "");
Expect(0, 65511, '\p{Is_Line_Break=-Prefix_NUMERIC}', "");
Expect(1, 65511, '\p{^Is_Line_Break=-Prefix_NUMERIC}', "");
Expect(1, 65511, '\P{Is_Line_Break=-Prefix_NUMERIC}', "");
Expect(0, 65511, '\P{^Is_Line_Break=-Prefix_NUMERIC}', "");
Error('\p{Is_Lb=_:=PR}');
Error('\P{Is_Lb=_:=PR}');
Expect(1, 65510, '\p{Is_Lb=pr}', "");
Expect(0, 65510, '\p{^Is_Lb=pr}', "");
Expect(0, 65510, '\P{Is_Lb=pr}', "");
Expect(1, 65510, '\P{^Is_Lb=pr}', "");
Expect(0, 65511, '\p{Is_Lb=pr}', "");
Expect(1, 65511, '\p{^Is_Lb=pr}', "");
Expect(1, 65511, '\P{Is_Lb=pr}', "");
Expect(0, 65511, '\P{^Is_Lb=pr}', "");
Expect(1, 65510, '\p{Is_Lb=-	PR}', "");
Expect(0, 65510, '\p{^Is_Lb=-	PR}', "");
Expect(0, 65510, '\P{Is_Lb=-	PR}', "");
Expect(1, 65510, '\P{^Is_Lb=-	PR}', "");
Expect(0, 65511, '\p{Is_Lb=-	PR}', "");
Expect(1, 65511, '\p{^Is_Lb=-	PR}', "");
Expect(1, 65511, '\P{Is_Lb=-	PR}', "");
Expect(0, 65511, '\P{^Is_Lb=-	PR}', "");
Error('\p{Line_Break= _QUOTATION/a/}');
Error('\P{Line_Break= _QUOTATION/a/}');
Expect(1, 128632, '\p{Line_Break=quotation}', "");
Expect(0, 128632, '\p{^Line_Break=quotation}', "");
Expect(0, 128632, '\P{Line_Break=quotation}', "");
Expect(1, 128632, '\P{^Line_Break=quotation}', "");
Expect(0, 128633, '\p{Line_Break=quotation}', "");
Expect(1, 128633, '\p{^Line_Break=quotation}', "");
Expect(1, 128633, '\P{Line_Break=quotation}', "");
Expect(0, 128633, '\P{^Line_Break=quotation}', "");
Expect(1, 128632, '\p{Line_Break=	-Quotation}', "");
Expect(0, 128632, '\p{^Line_Break=	-Quotation}', "");
Expect(0, 128632, '\P{Line_Break=	-Quotation}', "");
Expect(1, 128632, '\P{^Line_Break=	-Quotation}', "");
Expect(0, 128633, '\p{Line_Break=	-Quotation}', "");
Expect(1, 128633, '\p{^Line_Break=	-Quotation}', "");
Expect(1, 128633, '\P{Line_Break=	-Quotation}', "");
Expect(0, 128633, '\P{^Line_Break=	-Quotation}', "");
Error('\p{Lb=_QU:=}');
Error('\P{Lb=_QU:=}');
Expect(1, 128632, '\p{Lb=qu}', "");
Expect(0, 128632, '\p{^Lb=qu}', "");
Expect(0, 128632, '\P{Lb=qu}', "");
Expect(1, 128632, '\P{^Lb=qu}', "");
Expect(0, 128633, '\p{Lb=qu}', "");
Expect(1, 128633, '\p{^Lb=qu}', "");
Expect(1, 128633, '\P{Lb=qu}', "");
Expect(0, 128633, '\P{^Lb=qu}', "");
Error('\p{Is_Line_Break=_	QUOTATION/a/}');
Error('\P{Is_Line_Break=_	QUOTATION/a/}');
Expect(1, 128632, '\p{Is_Line_Break:quotation}', "");
Expect(0, 128632, '\p{^Is_Line_Break:quotation}', "");
Expect(0, 128632, '\P{Is_Line_Break:quotation}', "");
Expect(1, 128632, '\P{^Is_Line_Break:quotation}', "");
Expect(0, 128633, '\p{Is_Line_Break:quotation}', "");
Expect(1, 128633, '\p{^Is_Line_Break:quotation}', "");
Expect(1, 128633, '\P{Is_Line_Break:quotation}', "");
Expect(0, 128633, '\P{^Is_Line_Break:quotation}', "");
Expect(1, 128632, '\p{Is_Line_Break=	 Quotation}', "");
Expect(0, 128632, '\p{^Is_Line_Break=	 Quotation}', "");
Expect(0, 128632, '\P{Is_Line_Break=	 Quotation}', "");
Expect(1, 128632, '\P{^Is_Line_Break=	 Quotation}', "");
Expect(0, 128633, '\p{Is_Line_Break=	 Quotation}', "");
Expect(1, 128633, '\p{^Is_Line_Break=	 Quotation}', "");
Expect(1, 128633, '\P{Is_Line_Break=	 Quotation}', "");
Expect(0, 128633, '\P{^Is_Line_Break=	 Quotation}', "");
Error('\p{Is_Lb:    :=QU}');
Error('\P{Is_Lb:    :=QU}');
Expect(1, 128632, '\p{Is_Lb:qu}', "");
Expect(0, 128632, '\p{^Is_Lb:qu}', "");
Expect(0, 128632, '\P{Is_Lb:qu}', "");
Expect(1, 128632, '\P{^Is_Lb:qu}', "");
Expect(0, 128633, '\p{Is_Lb:qu}', "");
Expect(1, 128633, '\p{^Is_Lb:qu}', "");
Expect(1, 128633, '\P{Is_Lb:qu}', "");
Expect(0, 128633, '\P{^Is_Lb:qu}', "");
Expect(1, 128632, '\p{Is_Lb=_QU}', "");
Expect(0, 128632, '\p{^Is_Lb=_QU}', "");
Expect(0, 128632, '\P{Is_Lb=_QU}', "");
Expect(1, 128632, '\P{^Is_Lb=_QU}', "");
Expect(0, 128633, '\p{Is_Lb=_QU}', "");
Expect(1, 128633, '\p{^Is_Lb=_QU}', "");
Expect(1, 128633, '\P{Is_Lb=_QU}', "");
Expect(0, 128633, '\P{^Is_Lb=_QU}', "");
Error('\p{Line_Break: :=_	Regional_INDICATOR}');
Error('\P{Line_Break: :=_	Regional_INDICATOR}');
Expect(1, 127487, '\p{Line_Break=regionalindicator}', "");
Expect(0, 127487, '\p{^Line_Break=regionalindicator}', "");
Expect(0, 127487, '\P{Line_Break=regionalindicator}', "");
Expect(1, 127487, '\P{^Line_Break=regionalindicator}', "");
Expect(0, 127488, '\p{Line_Break=regionalindicator}', "");
Expect(1, 127488, '\p{^Line_Break=regionalindicator}', "");
Expect(1, 127488, '\P{Line_Break=regionalindicator}', "");
Expect(0, 127488, '\P{^Line_Break=regionalindicator}', "");
Expect(1, 127487, '\p{Line_Break=	Regional_INDICATOR}', "");
Expect(0, 127487, '\p{^Line_Break=	Regional_INDICATOR}', "");
Expect(0, 127487, '\P{Line_Break=	Regional_INDICATOR}', "");
Expect(1, 127487, '\P{^Line_Break=	Regional_INDICATOR}', "");
Expect(0, 127488, '\p{Line_Break=	Regional_INDICATOR}', "");
Expect(1, 127488, '\p{^Line_Break=	Regional_INDICATOR}', "");
Expect(1, 127488, '\P{Line_Break=	Regional_INDICATOR}', "");
Expect(0, 127488, '\P{^Line_Break=	Regional_INDICATOR}', "");
Error('\p{Lb:   -/a/RI}');
Error('\P{Lb:   -/a/RI}');
Expect(1, 127487, '\p{Lb=ri}', "");
Expect(0, 127487, '\p{^Lb=ri}', "");
Expect(0, 127487, '\P{Lb=ri}', "");
Expect(1, 127487, '\P{^Lb=ri}', "");
Expect(0, 127488, '\p{Lb=ri}', "");
Expect(1, 127488, '\p{^Lb=ri}', "");
Expect(1, 127488, '\P{Lb=ri}', "");
Expect(0, 127488, '\P{^Lb=ri}', "");
Expect(1, 127487, '\p{Lb=-_RI}', "");
Expect(0, 127487, '\p{^Lb=-_RI}', "");
Expect(0, 127487, '\P{Lb=-_RI}', "");
Expect(1, 127487, '\P{^Lb=-_RI}', "");
Expect(0, 127488, '\p{Lb=-_RI}', "");
Expect(1, 127488, '\p{^Lb=-_RI}', "");
Expect(1, 127488, '\P{Lb=-_RI}', "");
Expect(0, 127488, '\P{^Lb=-_RI}', "");
Error('\p{Is_Line_Break:	 	regional_indicator:=}');
Error('\P{Is_Line_Break:	 	regional_indicator:=}');
Expect(1, 127487, '\p{Is_Line_Break=regionalindicator}', "");
Expect(0, 127487, '\p{^Is_Line_Break=regionalindicator}', "");
Expect(0, 127487, '\P{Is_Line_Break=regionalindicator}', "");
Expect(1, 127487, '\P{^Is_Line_Break=regionalindicator}', "");
Expect(0, 127488, '\p{Is_Line_Break=regionalindicator}', "");
Expect(1, 127488, '\p{^Is_Line_Break=regionalindicator}', "");
Expect(1, 127488, '\P{Is_Line_Break=regionalindicator}', "");
Expect(0, 127488, '\P{^Is_Line_Break=regionalindicator}', "");
Expect(1, 127487, '\p{Is_Line_Break=_ regional_Indicator}', "");
Expect(0, 127487, '\p{^Is_Line_Break=_ regional_Indicator}', "");
Expect(0, 127487, '\P{Is_Line_Break=_ regional_Indicator}', "");
Expect(1, 127487, '\P{^Is_Line_Break=_ regional_Indicator}', "");
Expect(0, 127488, '\p{Is_Line_Break=_ regional_Indicator}', "");
Expect(1, 127488, '\p{^Is_Line_Break=_ regional_Indicator}', "");
Expect(1, 127488, '\P{Is_Line_Break=_ regional_Indicator}', "");
Expect(0, 127488, '\P{^Is_Line_Break=_ regional_Indicator}', "");
Error('\p{Is_Lb=:= RI}');
Error('\P{Is_Lb=:= RI}');
Expect(1, 127487, '\p{Is_Lb=ri}', "");
Expect(0, 127487, '\p{^Is_Lb=ri}', "");
Expect(0, 127487, '\P{Is_Lb=ri}', "");
Expect(1, 127487, '\P{^Is_Lb=ri}', "");
Expect(0, 127488, '\p{Is_Lb=ri}', "");
Expect(1, 127488, '\p{^Is_Lb=ri}', "");
Expect(1, 127488, '\P{Is_Lb=ri}', "");
Expect(0, 127488, '\P{^Is_Lb=ri}', "");
Expect(1, 127487, '\p{Is_Lb= 	ri}', "");
Expect(0, 127487, '\p{^Is_Lb= 	ri}', "");
Expect(0, 127487, '\P{Is_Lb= 	ri}', "");
Expect(1, 127487, '\P{^Is_Lb= 	ri}', "");
Expect(0, 127488, '\p{Is_Lb= 	ri}', "");
Expect(1, 127488, '\p{^Is_Lb= 	ri}', "");
Expect(1, 127488, '\P{Is_Lb= 	ri}', "");
Expect(0, 127488, '\P{^Is_Lb= 	ri}', "");
Error('\p{Line_Break= :=Complex_context}');
Error('\P{Line_Break= :=Complex_context}');
Expect(1, 71487, '\p{Line_Break=complexcontext}', "");
Expect(0, 71487, '\p{^Line_Break=complexcontext}', "");
Expect(0, 71487, '\P{Line_Break=complexcontext}', "");
Expect(1, 71487, '\P{^Line_Break=complexcontext}', "");
Expect(0, 71488, '\p{Line_Break=complexcontext}', "");
Expect(1, 71488, '\p{^Line_Break=complexcontext}', "");
Expect(1, 71488, '\P{Line_Break=complexcontext}', "");
Expect(0, 71488, '\P{^Line_Break=complexcontext}', "");
Expect(1, 71487, '\p{Line_Break=_ Complex_Context}', "");
Expect(0, 71487, '\p{^Line_Break=_ Complex_Context}', "");
Expect(0, 71487, '\P{Line_Break=_ Complex_Context}', "");
Expect(1, 71487, '\P{^Line_Break=_ Complex_Context}', "");
Expect(0, 71488, '\p{Line_Break=_ Complex_Context}', "");
Expect(1, 71488, '\p{^Line_Break=_ Complex_Context}', "");
Expect(1, 71488, '\P{Line_Break=_ Complex_Context}', "");
Expect(0, 71488, '\P{^Line_Break=_ Complex_Context}', "");
Error('\p{Lb=:=_sa}');
Error('\P{Lb=:=_sa}');
Expect(1, 71487, '\p{Lb=sa}', "");
Expect(0, 71487, '\p{^Lb=sa}', "");
Expect(0, 71487, '\P{Lb=sa}', "");
Expect(1, 71487, '\P{^Lb=sa}', "");
Expect(0, 71488, '\p{Lb=sa}', "");
Expect(1, 71488, '\p{^Lb=sa}', "");
Expect(1, 71488, '\P{Lb=sa}', "");
Expect(0, 71488, '\P{^Lb=sa}', "");
Expect(1, 71487, '\p{Lb=	 SA}', "");
Expect(0, 71487, '\p{^Lb=	 SA}', "");
Expect(0, 71487, '\P{Lb=	 SA}', "");
Expect(1, 71487, '\P{^Lb=	 SA}', "");
Expect(0, 71488, '\p{Lb=	 SA}', "");
Expect(1, 71488, '\p{^Lb=	 SA}', "");
Expect(1, 71488, '\P{Lb=	 SA}', "");
Expect(0, 71488, '\P{^Lb=	 SA}', "");
Error('\p{Is_Line_Break=:=		COMPLEX_Context}');
Error('\P{Is_Line_Break=:=		COMPLEX_Context}');
Expect(1, 71487, '\p{Is_Line_Break=complexcontext}', "");
Expect(0, 71487, '\p{^Is_Line_Break=complexcontext}', "");
Expect(0, 71487, '\P{Is_Line_Break=complexcontext}', "");
Expect(1, 71487, '\P{^Is_Line_Break=complexcontext}', "");
Expect(0, 71488, '\p{Is_Line_Break=complexcontext}', "");
Expect(1, 71488, '\p{^Is_Line_Break=complexcontext}', "");
Expect(1, 71488, '\P{Is_Line_Break=complexcontext}', "");
Expect(0, 71488, '\P{^Is_Line_Break=complexcontext}', "");
Expect(1, 71487, '\p{Is_Line_Break=		Complex_context}', "");
Expect(0, 71487, '\p{^Is_Line_Break=		Complex_context}', "");
Expect(0, 71487, '\P{Is_Line_Break=		Complex_context}', "");
Expect(1, 71487, '\P{^Is_Line_Break=		Complex_context}', "");
Expect(0, 71488, '\p{Is_Line_Break=		Complex_context}', "");
Expect(1, 71488, '\p{^Is_Line_Break=		Complex_context}', "");
Expect(1, 71488, '\P{Is_Line_Break=		Complex_context}', "");
Expect(0, 71488, '\P{^Is_Line_Break=		Complex_context}', "");
Error('\p{Is_Lb=	SA:=}');
Error('\P{Is_Lb=	SA:=}');
Expect(1, 71487, '\p{Is_Lb:   sa}', "");
Expect(0, 71487, '\p{^Is_Lb:   sa}', "");
Expect(0, 71487, '\P{Is_Lb:   sa}', "");
Expect(1, 71487, '\P{^Is_Lb:   sa}', "");
Expect(0, 71488, '\p{Is_Lb:   sa}', "");
Expect(1, 71488, '\p{^Is_Lb:   sa}', "");
Expect(1, 71488, '\P{Is_Lb:   sa}', "");
Expect(0, 71488, '\P{^Is_Lb:   sa}', "");
Expect(1, 71487, '\p{Is_Lb= -SA}', "");
Expect(0, 71487, '\p{^Is_Lb= -SA}', "");
Expect(0, 71487, '\P{Is_Lb= -SA}', "");
Expect(1, 71487, '\P{^Is_Lb= -SA}', "");
Expect(0, 71488, '\p{Is_Lb= -SA}', "");
Expect(1, 71488, '\p{^Is_Lb= -SA}', "");
Expect(1, 71488, '\P{Is_Lb= -SA}', "");
Expect(0, 71488, '\P{^Is_Lb= -SA}', "");
Error('\p{Line_Break=  Surrogate/a/}');
Error('\P{Line_Break=  Surrogate/a/}');
Expect(1, 57343, '\p{Line_Break:surrogate}', 'deprecated');
Expect(0, 57343, '\p{^Line_Break:surrogate}', 'deprecated');
Expect(0, 57343, '\P{Line_Break:surrogate}', 'deprecated');
Expect(1, 57343, '\P{^Line_Break:surrogate}', 'deprecated');
Expect(0, 57344, '\p{Line_Break:surrogate}', 'deprecated');
Expect(1, 57344, '\p{^Line_Break:surrogate}', 'deprecated');
Expect(1, 57344, '\P{Line_Break:surrogate}', 'deprecated');
Expect(0, 57344, '\P{^Line_Break:surrogate}', 'deprecated');
Expect(1, 57343, '\p{Line_Break= 	surrogate}', 'deprecated');
Expect(0, 57343, '\p{^Line_Break= 	surrogate}', 'deprecated');
Expect(0, 57343, '\P{Line_Break= 	surrogate}', 'deprecated');
Expect(1, 57343, '\P{^Line_Break= 	surrogate}', 'deprecated');
Expect(0, 57344, '\p{Line_Break= 	surrogate}', 'deprecated');
Expect(1, 57344, '\p{^Line_Break= 	surrogate}', 'deprecated');
Expect(1, 57344, '\P{Line_Break= 	surrogate}', 'deprecated');
Expect(0, 57344, '\P{^Line_Break= 	surrogate}', 'deprecated');
Error('\p{Lb=:=_SG}');
Error('\P{Lb=:=_SG}');
Expect(1, 57343, '\p{Lb=sg}', 'deprecated');
Expect(0, 57343, '\p{^Lb=sg}', 'deprecated');
Expect(0, 57343, '\P{Lb=sg}', 'deprecated');
Expect(1, 57343, '\P{^Lb=sg}', 'deprecated');
Expect(0, 57344, '\p{Lb=sg}', 'deprecated');
Expect(1, 57344, '\p{^Lb=sg}', 'deprecated');
Expect(1, 57344, '\P{Lb=sg}', 'deprecated');
Expect(0, 57344, '\P{^Lb=sg}', 'deprecated');
Expect(1, 57343, '\p{Lb=_ SG}', 'deprecated');
Expect(0, 57343, '\p{^Lb=_ SG}', 'deprecated');
Expect(0, 57343, '\P{Lb=_ SG}', 'deprecated');
Expect(1, 57343, '\P{^Lb=_ SG}', 'deprecated');
Expect(0, 57344, '\p{Lb=_ SG}', 'deprecated');
Expect(1, 57344, '\p{^Lb=_ SG}', 'deprecated');
Expect(1, 57344, '\P{Lb=_ SG}', 'deprecated');
Expect(0, 57344, '\P{^Lb=_ SG}', 'deprecated');
Error('\p{Is_Line_Break= -SURROGATE/a/}');
Error('\P{Is_Line_Break= -SURROGATE/a/}');
Expect(1, 57343, '\p{Is_Line_Break:	surrogate}', 'deprecated');
Expect(0, 57343, '\p{^Is_Line_Break:	surrogate}', 'deprecated');
Expect(0, 57343, '\P{Is_Line_Break:	surrogate}', 'deprecated');
Expect(1, 57343, '\P{^Is_Line_Break:	surrogate}', 'deprecated');
Expect(0, 57344, '\p{Is_Line_Break:	surrogate}', 'deprecated');
Expect(1, 57344, '\p{^Is_Line_Break:	surrogate}', 'deprecated');
Expect(1, 57344, '\P{Is_Line_Break:	surrogate}', 'deprecated');
Expect(0, 57344, '\P{^Is_Line_Break:	surrogate}', 'deprecated');
Expect(1, 57343, '\p{Is_Line_Break=--Surrogate}', 'deprecated');
Expect(0, 57343, '\p{^Is_Line_Break=--Surrogate}', 'deprecated');
Expect(0, 57343, '\P{Is_Line_Break=--Surrogate}', 'deprecated');
Expect(1, 57343, '\P{^Is_Line_Break=--Surrogate}', 'deprecated');
Expect(0, 57344, '\p{Is_Line_Break=--Surrogate}', 'deprecated');
Expect(1, 57344, '\p{^Is_Line_Break=--Surrogate}', 'deprecated');
Expect(1, 57344, '\P{Is_Line_Break=--Surrogate}', 'deprecated');
Expect(0, 57344, '\P{^Is_Line_Break=--Surrogate}', 'deprecated');
Error('\p{Is_Lb= /a/SG}');
Error('\P{Is_Lb= /a/SG}');
Expect(1, 57343, '\p{Is_Lb:sg}', 'deprecated');
Expect(0, 57343, '\p{^Is_Lb:sg}', 'deprecated');
Expect(0, 57343, '\P{Is_Lb:sg}', 'deprecated');
Expect(1, 57343, '\P{^Is_Lb:sg}', 'deprecated');
Expect(0, 57344, '\p{Is_Lb:sg}', 'deprecated');
Expect(1, 57344, '\p{^Is_Lb:sg}', 'deprecated');
Expect(1, 57344, '\P{Is_Lb:sg}', 'deprecated');
Expect(0, 57344, '\P{^Is_Lb:sg}', 'deprecated');
Expect(1, 57343, '\p{Is_Lb=-_SG}', 'deprecated');
Expect(0, 57343, '\p{^Is_Lb=-_SG}', 'deprecated');
Expect(0, 57343, '\P{Is_Lb=-_SG}', 'deprecated');
Expect(1, 57343, '\P{^Is_Lb=-_SG}', 'deprecated');
Expect(0, 57344, '\p{Is_Lb=-_SG}', 'deprecated');
Expect(1, 57344, '\p{^Is_Lb=-_SG}', 'deprecated');
Expect(1, 57344, '\P{Is_Lb=-_SG}', 'deprecated');
Expect(0, 57344, '\P{^Is_Lb=-_SG}', 'deprecated');
Error('\p{Line_Break= :=space}');
Error('\P{Line_Break= :=space}');
Expect(1, 32, '\p{Line_Break: space}', "");
Expect(0, 32, '\p{^Line_Break: space}', "");
Expect(0, 32, '\P{Line_Break: space}', "");
Expect(1, 32, '\P{^Line_Break: space}', "");
Expect(0, 33, '\p{Line_Break: space}', "");
Expect(1, 33, '\p{^Line_Break: space}', "");
Expect(1, 33, '\P{Line_Break: space}', "");
Expect(0, 33, '\P{^Line_Break: space}', "");
Expect(1, 32, '\p{Line_Break=		Space}', "");
Expect(0, 32, '\p{^Line_Break=		Space}', "");
Expect(0, 32, '\P{Line_Break=		Space}', "");
Expect(1, 32, '\P{^Line_Break=		Space}', "");
Expect(0, 33, '\p{Line_Break=		Space}', "");
Expect(1, 33, '\p{^Line_Break=		Space}', "");
Expect(1, 33, '\P{Line_Break=		Space}', "");
Expect(0, 33, '\P{^Line_Break=		Space}', "");
Error('\p{Lb=SP:=}');
Error('\P{Lb=SP:=}');
Expect(1, 32, '\p{Lb=sp}', "");
Expect(0, 32, '\p{^Lb=sp}', "");
Expect(0, 32, '\P{Lb=sp}', "");
Expect(1, 32, '\P{^Lb=sp}', "");
Expect(0, 33, '\p{Lb=sp}', "");
Expect(1, 33, '\p{^Lb=sp}', "");
Expect(1, 33, '\P{Lb=sp}', "");
Expect(0, 33, '\P{^Lb=sp}', "");
Expect(1, 32, '\p{Lb= _SP}', "");
Expect(0, 32, '\p{^Lb= _SP}', "");
Expect(0, 32, '\P{Lb= _SP}', "");
Expect(1, 32, '\P{^Lb= _SP}', "");
Expect(0, 33, '\p{Lb= _SP}', "");
Expect(1, 33, '\p{^Lb= _SP}', "");
Expect(1, 33, '\P{Lb= _SP}', "");
Expect(0, 33, '\P{^Lb= _SP}', "");
Error('\p{Is_Line_Break=:=		SPACE}');
Error('\P{Is_Line_Break=:=		SPACE}');
Expect(1, 32, '\p{Is_Line_Break=space}', "");
Expect(0, 32, '\p{^Is_Line_Break=space}', "");
Expect(0, 32, '\P{Is_Line_Break=space}', "");
Expect(1, 32, '\P{^Is_Line_Break=space}', "");
Expect(0, 33, '\p{Is_Line_Break=space}', "");
Expect(1, 33, '\p{^Is_Line_Break=space}', "");
Expect(1, 33, '\P{Is_Line_Break=space}', "");
Expect(0, 33, '\P{^Is_Line_Break=space}', "");
Error('\p{Is_Lb=/a/-_SP}');
Error('\P{Is_Lb=/a/-_SP}');
Expect(1, 32, '\p{Is_Lb=sp}', "");
Expect(0, 32, '\p{^Is_Lb=sp}', "");
Expect(0, 32, '\P{Is_Lb=sp}', "");
Expect(1, 32, '\P{^Is_Lb=sp}', "");
Expect(0, 33, '\p{Is_Lb=sp}', "");
Expect(1, 33, '\p{^Is_Lb=sp}', "");
Expect(1, 33, '\P{Is_Lb=sp}', "");
Expect(0, 33, '\P{^Is_Lb=sp}', "");
Expect(1, 32, '\p{Is_Lb=_ SP}', "");
Expect(0, 32, '\p{^Is_Lb=_ SP}', "");
Expect(0, 32, '\P{Is_Lb=_ SP}', "");
Expect(1, 32, '\P{^Is_Lb=_ SP}', "");
Expect(0, 33, '\p{Is_Lb=_ SP}', "");
Expect(1, 33, '\p{^Is_Lb=_ SP}', "");
Expect(1, 33, '\P{Is_Lb=_ SP}', "");
Expect(0, 33, '\P{^Is_Lb=_ SP}', "");
Error('\p{Line_Break:   	:=Break_Symbols}');
Error('\P{Line_Break:   	:=Break_Symbols}');
Expect(1, 47, '\p{Line_Break=breaksymbols}', "");
Expect(0, 47, '\p{^Line_Break=breaksymbols}', "");
Expect(0, 47, '\P{Line_Break=breaksymbols}', "");
Expect(1, 47, '\P{^Line_Break=breaksymbols}', "");
Expect(0, 48, '\p{Line_Break=breaksymbols}', "");
Expect(1, 48, '\p{^Line_Break=breaksymbols}', "");
Expect(1, 48, '\P{Line_Break=breaksymbols}', "");
Expect(0, 48, '\P{^Line_Break=breaksymbols}', "");
Expect(1, 47, '\p{Line_Break=	Break_Symbols}', "");
Expect(0, 47, '\p{^Line_Break=	Break_Symbols}', "");
Expect(0, 47, '\P{Line_Break=	Break_Symbols}', "");
Expect(1, 47, '\P{^Line_Break=	Break_Symbols}', "");
Expect(0, 48, '\p{Line_Break=	Break_Symbols}', "");
Expect(1, 48, '\p{^Line_Break=	Break_Symbols}', "");
Expect(1, 48, '\P{Line_Break=	Break_Symbols}', "");
Expect(0, 48, '\P{^Line_Break=	Break_Symbols}', "");
Error('\p{Lb=	 SY:=}');
Error('\P{Lb=	 SY:=}');
Expect(1, 47, '\p{Lb=sy}', "");
Expect(0, 47, '\p{^Lb=sy}', "");
Expect(0, 47, '\P{Lb=sy}', "");
Expect(1, 47, '\P{^Lb=sy}', "");
Expect(0, 48, '\p{Lb=sy}', "");
Expect(1, 48, '\p{^Lb=sy}', "");
Expect(1, 48, '\P{Lb=sy}', "");
Expect(0, 48, '\P{^Lb=sy}', "");
Expect(1, 47, '\p{Lb: 		SY}', "");
Expect(0, 47, '\p{^Lb: 		SY}', "");
Expect(0, 47, '\P{Lb: 		SY}', "");
Expect(1, 47, '\P{^Lb: 		SY}', "");
Expect(0, 48, '\p{Lb: 		SY}', "");
Expect(1, 48, '\p{^Lb: 		SY}', "");
Expect(1, 48, '\P{Lb: 		SY}', "");
Expect(0, 48, '\P{^Lb: 		SY}', "");
Error('\p{Is_Line_Break=-:=break_Symbols}');
Error('\P{Is_Line_Break=-:=break_Symbols}');
Expect(1, 47, '\p{Is_Line_Break=breaksymbols}', "");
Expect(0, 47, '\p{^Is_Line_Break=breaksymbols}', "");
Expect(0, 47, '\P{Is_Line_Break=breaksymbols}', "");
Expect(1, 47, '\P{^Is_Line_Break=breaksymbols}', "");
Expect(0, 48, '\p{Is_Line_Break=breaksymbols}', "");
Expect(1, 48, '\p{^Is_Line_Break=breaksymbols}', "");
Expect(1, 48, '\P{Is_Line_Break=breaksymbols}', "");
Expect(0, 48, '\P{^Is_Line_Break=breaksymbols}', "");
Expect(1, 47, '\p{Is_Line_Break= _BREAK_symbols}', "");
Expect(0, 47, '\p{^Is_Line_Break= _BREAK_symbols}', "");
Expect(0, 47, '\P{Is_Line_Break= _BREAK_symbols}', "");
Expect(1, 47, '\P{^Is_Line_Break= _BREAK_symbols}', "");
Expect(0, 48, '\p{Is_Line_Break= _BREAK_symbols}', "");
Expect(1, 48, '\p{^Is_Line_Break= _BREAK_symbols}', "");
Expect(1, 48, '\P{Is_Line_Break= _BREAK_symbols}', "");
Expect(0, 48, '\P{^Is_Line_Break= _BREAK_symbols}', "");
Error('\p{Is_Lb=_-SY/a/}');
Error('\P{Is_Lb=_-SY/a/}');
Expect(1, 47, '\p{Is_Lb=sy}', "");
Expect(0, 47, '\p{^Is_Lb=sy}', "");
Expect(0, 47, '\P{Is_Lb=sy}', "");
Expect(1, 47, '\P{^Is_Lb=sy}', "");
Expect(0, 48, '\p{Is_Lb=sy}', "");
Expect(1, 48, '\p{^Is_Lb=sy}', "");
Expect(1, 48, '\P{Is_Lb=sy}', "");
Expect(0, 48, '\P{^Is_Lb=sy}', "");
Expect(1, 47, '\p{Is_Lb=-	SY}', "");
Expect(0, 47, '\p{^Is_Lb=-	SY}', "");
Expect(0, 47, '\P{Is_Lb=-	SY}', "");
Expect(1, 47, '\P{^Is_Lb=-	SY}', "");
Expect(0, 48, '\p{Is_Lb=-	SY}', "");
Expect(1, 48, '\p{^Is_Lb=-	SY}', "");
Expect(1, 48, '\P{Is_Lb=-	SY}', "");
Expect(0, 48, '\P{^Is_Lb=-	SY}', "");
Error('\p{Line_Break=/a/ -word_JOINER}');
Error('\P{Line_Break=/a/ -word_JOINER}');
Expect(1, 65279, '\p{Line_Break=wordjoiner}', "");
Expect(0, 65279, '\p{^Line_Break=wordjoiner}', "");
Expect(0, 65279, '\P{Line_Break=wordjoiner}', "");
Expect(1, 65279, '\P{^Line_Break=wordjoiner}', "");
Expect(0, 65280, '\p{Line_Break=wordjoiner}', "");
Expect(1, 65280, '\p{^Line_Break=wordjoiner}', "");
Expect(1, 65280, '\P{Line_Break=wordjoiner}', "");
Expect(0, 65280, '\P{^Line_Break=wordjoiner}', "");
Expect(1, 65279, '\p{Line_Break= Word_Joiner}', "");
Expect(0, 65279, '\p{^Line_Break= Word_Joiner}', "");
Expect(0, 65279, '\P{Line_Break= Word_Joiner}', "");
Expect(1, 65279, '\P{^Line_Break= Word_Joiner}', "");
Expect(0, 65280, '\p{Line_Break= Word_Joiner}', "");
Expect(1, 65280, '\p{^Line_Break= Word_Joiner}', "");
Expect(1, 65280, '\P{Line_Break= Word_Joiner}', "");
Expect(0, 65280, '\P{^Line_Break= Word_Joiner}', "");
Error('\p{Lb=	/a/WJ}');
Error('\P{Lb=	/a/WJ}');
Expect(1, 65279, '\p{Lb=wj}', "");
Expect(0, 65279, '\p{^Lb=wj}', "");
Expect(0, 65279, '\P{Lb=wj}', "");
Expect(1, 65279, '\P{^Lb=wj}', "");
Expect(0, 65280, '\p{Lb=wj}', "");
Expect(1, 65280, '\p{^Lb=wj}', "");
Expect(1, 65280, '\P{Lb=wj}', "");
Expect(0, 65280, '\P{^Lb=wj}', "");
Expect(1, 65279, '\p{Lb= _WJ}', "");
Expect(0, 65279, '\p{^Lb= _WJ}', "");
Expect(0, 65279, '\P{Lb= _WJ}', "");
Expect(1, 65279, '\P{^Lb= _WJ}', "");
Expect(0, 65280, '\p{Lb= _WJ}', "");
Expect(1, 65280, '\p{^Lb= _WJ}', "");
Expect(1, 65280, '\P{Lb= _WJ}', "");
Expect(0, 65280, '\P{^Lb= _WJ}', "");
Error('\p{Is_Line_Break= 	word_Joiner/a/}');
Error('\P{Is_Line_Break= 	word_Joiner/a/}');
Expect(1, 65279, '\p{Is_Line_Break=wordjoiner}', "");
Expect(0, 65279, '\p{^Is_Line_Break=wordjoiner}', "");
Expect(0, 65279, '\P{Is_Line_Break=wordjoiner}', "");
Expect(1, 65279, '\P{^Is_Line_Break=wordjoiner}', "");
Expect(0, 65280, '\p{Is_Line_Break=wordjoiner}', "");
Expect(1, 65280, '\p{^Is_Line_Break=wordjoiner}', "");
Expect(1, 65280, '\P{Is_Line_Break=wordjoiner}', "");
Expect(0, 65280, '\P{^Is_Line_Break=wordjoiner}', "");
Expect(1, 65279, '\p{Is_Line_Break=-word_JOINER}', "");
Expect(0, 65279, '\p{^Is_Line_Break=-word_JOINER}', "");
Expect(0, 65279, '\P{Is_Line_Break=-word_JOINER}', "");
Expect(1, 65279, '\P{^Is_Line_Break=-word_JOINER}', "");
Expect(0, 65280, '\p{Is_Line_Break=-word_JOINER}', "");
Expect(1, 65280, '\p{^Is_Line_Break=-word_JOINER}', "");
Expect(1, 65280, '\P{Is_Line_Break=-word_JOINER}', "");
Expect(0, 65280, '\P{^Is_Line_Break=-word_JOINER}', "");
Error('\p{Is_Lb=:=__WJ}');
Error('\P{Is_Lb=:=__WJ}');
Expect(1, 65279, '\p{Is_Lb=wj}', "");
Expect(0, 65279, '\p{^Is_Lb=wj}', "");
Expect(0, 65279, '\P{Is_Lb=wj}', "");
Expect(1, 65279, '\P{^Is_Lb=wj}', "");
Expect(0, 65280, '\p{Is_Lb=wj}', "");
Expect(1, 65280, '\p{^Is_Lb=wj}', "");
Expect(1, 65280, '\P{Is_Lb=wj}', "");
Expect(0, 65280, '\P{^Is_Lb=wj}', "");
Expect(1, 65279, '\p{Is_Lb=_ WJ}', "");
Expect(0, 65279, '\p{^Is_Lb=_ WJ}', "");
Expect(0, 65279, '\P{Is_Lb=_ WJ}', "");
Expect(1, 65279, '\P{^Is_Lb=_ WJ}', "");
Expect(0, 65280, '\p{Is_Lb=_ WJ}', "");
Expect(1, 65280, '\p{^Is_Lb=_ WJ}', "");
Expect(1, 65280, '\P{Is_Lb=_ WJ}', "");
Expect(0, 65280, '\P{^Is_Lb=_ WJ}', "");
Error('\p{Line_Break=	UNKNOWN/a/}');
Error('\P{Line_Break=	UNKNOWN/a/}');
Expect(1, 918000, '\p{Line_Break=unknown}', "");
Expect(0, 918000, '\p{^Line_Break=unknown}', "");
Expect(0, 918000, '\P{Line_Break=unknown}', "");
Expect(1, 918000, '\P{^Line_Break=unknown}', "");
Expect(0, 917999, '\p{Line_Break=unknown}', "");
Expect(1, 917999, '\p{^Line_Break=unknown}', "");
Expect(1, 917999, '\P{Line_Break=unknown}', "");
Expect(0, 917999, '\P{^Line_Break=unknown}', "");
Expect(1, 918000, '\p{Line_Break: __Unknown}', "");
Expect(0, 918000, '\p{^Line_Break: __Unknown}', "");
Expect(0, 918000, '\P{Line_Break: __Unknown}', "");
Expect(1, 918000, '\P{^Line_Break: __Unknown}', "");
Expect(0, 917999, '\p{Line_Break: __Unknown}', "");
Expect(1, 917999, '\p{^Line_Break: __Unknown}', "");
Expect(1, 917999, '\P{Line_Break: __Unknown}', "");
Expect(0, 917999, '\P{^Line_Break: __Unknown}', "");
Error('\p{Lb= :=XX}');
Error('\P{Lb= :=XX}');
Expect(1, 918000, '\p{Lb=xx}', "");
Expect(0, 918000, '\p{^Lb=xx}', "");
Expect(0, 918000, '\P{Lb=xx}', "");
Expect(1, 918000, '\P{^Lb=xx}', "");
Expect(0, 917999, '\p{Lb=xx}', "");
Expect(1, 917999, '\p{^Lb=xx}', "");
Expect(1, 917999, '\P{Lb=xx}', "");
Expect(0, 917999, '\P{^Lb=xx}', "");
Expect(1, 918000, '\p{Lb: 		xx}', "");
Expect(0, 918000, '\p{^Lb: 		xx}', "");
Expect(0, 918000, '\P{Lb: 		xx}', "");
Expect(1, 918000, '\P{^Lb: 		xx}', "");
Expect(0, 917999, '\p{Lb: 		xx}', "");
Expect(1, 917999, '\p{^Lb: 		xx}', "");
Expect(1, 917999, '\P{Lb: 		xx}', "");
Expect(0, 917999, '\P{^Lb: 		xx}', "");
Error('\p{Is_Line_Break=:=	_Unknown}');
Error('\P{Is_Line_Break=:=	_Unknown}');
Expect(1, 918000, '\p{Is_Line_Break=unknown}', "");
Expect(0, 918000, '\p{^Is_Line_Break=unknown}', "");
Expect(0, 918000, '\P{Is_Line_Break=unknown}', "");
Expect(1, 918000, '\P{^Is_Line_Break=unknown}', "");
Expect(0, 917999, '\p{Is_Line_Break=unknown}', "");
Expect(1, 917999, '\p{^Is_Line_Break=unknown}', "");
Expect(1, 917999, '\P{Is_Line_Break=unknown}', "");
Expect(0, 917999, '\P{^Is_Line_Break=unknown}', "");
Expect(1, 918000, '\p{Is_Line_Break=_-unknown}', "");
Expect(0, 918000, '\p{^Is_Line_Break=_-unknown}', "");
Expect(0, 918000, '\P{Is_Line_Break=_-unknown}', "");
Expect(1, 918000, '\P{^Is_Line_Break=_-unknown}', "");
Expect(0, 917999, '\p{Is_Line_Break=_-unknown}', "");
Expect(1, 917999, '\p{^Is_Line_Break=_-unknown}', "");
Expect(1, 917999, '\P{Is_Line_Break=_-unknown}', "");
Expect(0, 917999, '\P{^Is_Line_Break=_-unknown}', "");
Error('\p{Is_Lb=/a/	_xx}');
Error('\P{Is_Lb=/a/	_xx}');
Expect(1, 918000, '\p{Is_Lb: xx}', "");
Expect(0, 918000, '\p{^Is_Lb: xx}', "");
Expect(0, 918000, '\P{Is_Lb: xx}', "");
Expect(1, 918000, '\P{^Is_Lb: xx}', "");
Expect(0, 917999, '\p{Is_Lb: xx}', "");
Expect(1, 917999, '\p{^Is_Lb: xx}', "");
Expect(1, 917999, '\P{Is_Lb: xx}', "");
Expect(0, 917999, '\P{^Is_Lb: xx}', "");
Expect(1, 918000, '\p{Is_Lb= 	xx}', "");
Expect(0, 918000, '\p{^Is_Lb= 	xx}', "");
Expect(0, 918000, '\P{Is_Lb= 	xx}', "");
Expect(1, 918000, '\P{^Is_Lb= 	xx}', "");
Expect(0, 917999, '\p{Is_Lb= 	xx}', "");
Expect(1, 917999, '\p{^Is_Lb= 	xx}', "");
Expect(1, 917999, '\P{Is_Lb= 	xx}', "");
Expect(0, 917999, '\P{^Is_Lb= 	xx}', "");
Error('\p{Line_Break=-/a/zwspace}');
Error('\P{Line_Break=-/a/zwspace}');
Expect(1, 8203, '\p{Line_Break:	zwspace}', "");
Expect(0, 8203, '\p{^Line_Break:	zwspace}', "");
Expect(0, 8203, '\P{Line_Break:	zwspace}', "");
Expect(1, 8203, '\P{^Line_Break:	zwspace}', "");
Expect(0, 8204, '\p{Line_Break:	zwspace}', "");
Expect(1, 8204, '\p{^Line_Break:	zwspace}', "");
Expect(1, 8204, '\P{Line_Break:	zwspace}', "");
Expect(0, 8204, '\P{^Line_Break:	zwspace}', "");
Expect(1, 8203, '\p{Line_Break=  ZWSpace}', "");
Expect(0, 8203, '\p{^Line_Break=  ZWSpace}', "");
Expect(0, 8203, '\P{Line_Break=  ZWSpace}', "");
Expect(1, 8203, '\P{^Line_Break=  ZWSpace}', "");
Expect(0, 8204, '\p{Line_Break=  ZWSpace}', "");
Expect(1, 8204, '\p{^Line_Break=  ZWSpace}', "");
Expect(1, 8204, '\P{Line_Break=  ZWSpace}', "");
Expect(0, 8204, '\P{^Line_Break=  ZWSpace}', "");
Error('\p{Lb= _ZW/a/}');
Error('\P{Lb= _ZW/a/}');
Expect(1, 8203, '\p{Lb=zw}', "");
Expect(0, 8203, '\p{^Lb=zw}', "");
Expect(0, 8203, '\P{Lb=zw}', "");
Expect(1, 8203, '\P{^Lb=zw}', "");
Expect(0, 8204, '\p{Lb=zw}', "");
Expect(1, 8204, '\p{^Lb=zw}', "");
Expect(1, 8204, '\P{Lb=zw}', "");
Expect(0, 8204, '\P{^Lb=zw}', "");
Expect(1, 8203, '\p{Lb=	ZW}', "");
Expect(0, 8203, '\p{^Lb=	ZW}', "");
Expect(0, 8203, '\P{Lb=	ZW}', "");
Expect(1, 8203, '\P{^Lb=	ZW}', "");
Expect(0, 8204, '\p{Lb=	ZW}', "");
Expect(1, 8204, '\p{^Lb=	ZW}', "");
Expect(1, 8204, '\P{Lb=	ZW}', "");
Expect(0, 8204, '\P{^Lb=	ZW}', "");
Error('\p{Is_Line_Break=__ZWSpace/a/}');
Error('\P{Is_Line_Break=__ZWSpace/a/}');
Expect(1, 8203, '\p{Is_Line_Break=zwspace}', "");
Expect(0, 8203, '\p{^Is_Line_Break=zwspace}', "");
Expect(0, 8203, '\P{Is_Line_Break=zwspace}', "");
Expect(1, 8203, '\P{^Is_Line_Break=zwspace}', "");
Expect(0, 8204, '\p{Is_Line_Break=zwspace}', "");
Expect(1, 8204, '\p{^Is_Line_Break=zwspace}', "");
Expect(1, 8204, '\P{Is_Line_Break=zwspace}', "");
Expect(0, 8204, '\P{^Is_Line_Break=zwspace}', "");
Expect(1, 8203, '\p{Is_Line_Break=- ZWSpace}', "");
Expect(0, 8203, '\p{^Is_Line_Break=- ZWSpace}', "");
Expect(0, 8203, '\P{Is_Line_Break=- ZWSpace}', "");
Expect(1, 8203, '\P{^Is_Line_Break=- ZWSpace}', "");
Expect(0, 8204, '\p{Is_Line_Break=- ZWSpace}', "");
Expect(1, 8204, '\p{^Is_Line_Break=- ZWSpace}', "");
Expect(1, 8204, '\P{Is_Line_Break=- ZWSpace}', "");
Expect(0, 8204, '\P{^Is_Line_Break=- ZWSpace}', "");
Error('\p{Is_Lb=/a/ ZW}');
Error('\P{Is_Lb=/a/ ZW}');
Expect(1, 8203, '\p{Is_Lb=zw}', "");
Expect(0, 8203, '\p{^Is_Lb=zw}', "");
Expect(0, 8203, '\P{Is_Lb=zw}', "");
Expect(1, 8203, '\P{^Is_Lb=zw}', "");
Expect(0, 8204, '\p{Is_Lb=zw}', "");
Expect(1, 8204, '\p{^Is_Lb=zw}', "");
Expect(1, 8204, '\P{Is_Lb=zw}', "");
Expect(0, 8204, '\P{^Is_Lb=zw}', "");
Expect(1, 8203, '\p{Is_Lb= _ZW}', "");
Expect(0, 8203, '\p{^Is_Lb= _ZW}', "");
Expect(0, 8203, '\P{Is_Lb= _ZW}', "");
Expect(1, 8203, '\P{^Is_Lb= _ZW}', "");
Expect(0, 8204, '\p{Is_Lb= _ZW}', "");
Expect(1, 8204, '\p{^Is_Lb= _ZW}', "");
Expect(1, 8204, '\P{Is_Lb= _ZW}', "");
Expect(0, 8204, '\P{^Is_Lb= _ZW}', "");
Error('\p{Numeric_Type=	 DECIMAL/a/}');
Error('\P{Numeric_Type=	 DECIMAL/a/}');
Expect(1, 120831, '\p{Numeric_Type=decimal}', "");
Expect(0, 120831, '\p{^Numeric_Type=decimal}', "");
Expect(0, 120831, '\P{Numeric_Type=decimal}', "");
Expect(1, 120831, '\P{^Numeric_Type=decimal}', "");
Expect(0, 120832, '\p{Numeric_Type=decimal}', "");
Expect(1, 120832, '\p{^Numeric_Type=decimal}', "");
Expect(1, 120832, '\P{Numeric_Type=decimal}', "");
Expect(0, 120832, '\P{^Numeric_Type=decimal}', "");
Expect(1, 120831, '\p{Numeric_Type=	-Decimal}', "");
Expect(0, 120831, '\p{^Numeric_Type=	-Decimal}', "");
Expect(0, 120831, '\P{Numeric_Type=	-Decimal}', "");
Expect(1, 120831, '\P{^Numeric_Type=	-Decimal}', "");
Expect(0, 120832, '\p{Numeric_Type=	-Decimal}', "");
Expect(1, 120832, '\p{^Numeric_Type=	-Decimal}', "");
Expect(1, 120832, '\P{Numeric_Type=	-Decimal}', "");
Expect(0, 120832, '\P{^Numeric_Type=	-Decimal}', "");
Error('\p{Nt=_ DE:=}');
Error('\P{Nt=_ DE:=}');
Expect(1, 120831, '\p{Nt=de}', "");
Expect(0, 120831, '\p{^Nt=de}', "");
Expect(0, 120831, '\P{Nt=de}', "");
Expect(1, 120831, '\P{^Nt=de}', "");
Expect(0, 120832, '\p{Nt=de}', "");
Expect(1, 120832, '\p{^Nt=de}', "");
Expect(1, 120832, '\P{Nt=de}', "");
Expect(0, 120832, '\P{^Nt=de}', "");
Expect(1, 120831, '\p{Nt=-DE}', "");
Expect(0, 120831, '\p{^Nt=-DE}', "");
Expect(0, 120831, '\P{Nt=-DE}', "");
Expect(1, 120831, '\P{^Nt=-DE}', "");
Expect(0, 120832, '\p{Nt=-DE}', "");
Expect(1, 120832, '\p{^Nt=-DE}', "");
Expect(1, 120832, '\P{Nt=-DE}', "");
Expect(0, 120832, '\P{^Nt=-DE}', "");
Error('\p{Is_Numeric_Type=/a/Decimal}');
Error('\P{Is_Numeric_Type=/a/Decimal}');
Expect(1, 120831, '\p{Is_Numeric_Type=decimal}', "");
Expect(0, 120831, '\p{^Is_Numeric_Type=decimal}', "");
Expect(0, 120831, '\P{Is_Numeric_Type=decimal}', "");
Expect(1, 120831, '\P{^Is_Numeric_Type=decimal}', "");
Expect(0, 120832, '\p{Is_Numeric_Type=decimal}', "");
Expect(1, 120832, '\p{^Is_Numeric_Type=decimal}', "");
Expect(1, 120832, '\P{Is_Numeric_Type=decimal}', "");
Expect(0, 120832, '\P{^Is_Numeric_Type=decimal}', "");
Expect(1, 120831, '\p{Is_Numeric_Type=-_DECIMAL}', "");
Expect(0, 120831, '\p{^Is_Numeric_Type=-_DECIMAL}', "");
Expect(0, 120831, '\P{Is_Numeric_Type=-_DECIMAL}', "");
Expect(1, 120831, '\P{^Is_Numeric_Type=-_DECIMAL}', "");
Expect(0, 120832, '\p{Is_Numeric_Type=-_DECIMAL}', "");
Expect(1, 120832, '\p{^Is_Numeric_Type=-_DECIMAL}', "");
Expect(1, 120832, '\P{Is_Numeric_Type=-_DECIMAL}', "");
Expect(0, 120832, '\P{^Is_Numeric_Type=-_DECIMAL}', "");
Error('\p{Is_Nt=	/a/DE}');
Error('\P{Is_Nt=	/a/DE}');
Expect(1, 120831, '\p{Is_Nt=de}', "");
Expect(0, 120831, '\p{^Is_Nt=de}', "");
Expect(0, 120831, '\P{Is_Nt=de}', "");
Expect(1, 120831, '\P{^Is_Nt=de}', "");
Expect(0, 120832, '\p{Is_Nt=de}', "");
Expect(1, 120832, '\p{^Is_Nt=de}', "");
Expect(1, 120832, '\P{Is_Nt=de}', "");
Expect(0, 120832, '\P{^Is_Nt=de}', "");
Expect(1, 120831, '\p{Is_Nt=_-DE}', "");
Expect(0, 120831, '\p{^Is_Nt=_-DE}', "");
Expect(0, 120831, '\P{Is_Nt=_-DE}', "");
Expect(1, 120831, '\P{^Is_Nt=_-DE}', "");
Expect(0, 120832, '\p{Is_Nt=_-DE}', "");
Expect(1, 120832, '\p{^Is_Nt=_-DE}', "");
Expect(1, 120832, '\P{Is_Nt=_-DE}', "");
Expect(0, 120832, '\P{^Is_Nt=_-DE}', "");
Error('\p{Numeric_Type=/a/digit}');
Error('\P{Numeric_Type=/a/digit}');
Expect(1, 127242, '\p{Numeric_Type=digit}', "");
Expect(0, 127242, '\p{^Numeric_Type=digit}', "");
Expect(0, 127242, '\P{Numeric_Type=digit}', "");
Expect(1, 127242, '\P{^Numeric_Type=digit}', "");
Expect(0, 127243, '\p{Numeric_Type=digit}', "");
Expect(1, 127243, '\p{^Numeric_Type=digit}', "");
Expect(1, 127243, '\P{Numeric_Type=digit}', "");
Expect(0, 127243, '\P{^Numeric_Type=digit}', "");
Expect(1, 127242, '\p{Numeric_Type= _Digit}', "");
Expect(0, 127242, '\p{^Numeric_Type= _Digit}', "");
Expect(0, 127242, '\P{Numeric_Type= _Digit}', "");
Expect(1, 127242, '\P{^Numeric_Type= _Digit}', "");
Expect(0, 127243, '\p{Numeric_Type= _Digit}', "");
Expect(1, 127243, '\p{^Numeric_Type= _Digit}', "");
Expect(1, 127243, '\P{Numeric_Type= _Digit}', "");
Expect(0, 127243, '\P{^Numeric_Type= _Digit}', "");
Error('\p{Nt=:=  Di}');
Error('\P{Nt=:=  Di}');
Expect(1, 127242, '\p{Nt=di}', "");
Expect(0, 127242, '\p{^Nt=di}', "");
Expect(0, 127242, '\P{Nt=di}', "");
Expect(1, 127242, '\P{^Nt=di}', "");
Expect(0, 127243, '\p{Nt=di}', "");
Expect(1, 127243, '\p{^Nt=di}', "");
Expect(1, 127243, '\P{Nt=di}', "");
Expect(0, 127243, '\P{^Nt=di}', "");
Expect(1, 127242, '\p{Nt= 	Di}', "");
Expect(0, 127242, '\p{^Nt= 	Di}', "");
Expect(0, 127242, '\P{Nt= 	Di}', "");
Expect(1, 127242, '\P{^Nt= 	Di}', "");
Expect(0, 127243, '\p{Nt= 	Di}', "");
Expect(1, 127243, '\p{^Nt= 	Di}', "");
Expect(1, 127243, '\P{Nt= 	Di}', "");
Expect(0, 127243, '\P{^Nt= 	Di}', "");
Error('\p{Is_Numeric_Type=	Digit/a/}');
Error('\P{Is_Numeric_Type=	Digit/a/}');
Expect(1, 127242, '\p{Is_Numeric_Type=digit}', "");
Expect(0, 127242, '\p{^Is_Numeric_Type=digit}', "");
Expect(0, 127242, '\P{Is_Numeric_Type=digit}', "");
Expect(1, 127242, '\P{^Is_Numeric_Type=digit}', "");
Expect(0, 127243, '\p{Is_Numeric_Type=digit}', "");
Expect(1, 127243, '\p{^Is_Numeric_Type=digit}', "");
Expect(1, 127243, '\P{Is_Numeric_Type=digit}', "");
Expect(0, 127243, '\P{^Is_Numeric_Type=digit}', "");
Expect(1, 127242, '\p{Is_Numeric_Type=	 Digit}', "");
Expect(0, 127242, '\p{^Is_Numeric_Type=	 Digit}', "");
Expect(0, 127242, '\P{Is_Numeric_Type=	 Digit}', "");
Expect(1, 127242, '\P{^Is_Numeric_Type=	 Digit}', "");
Expect(0, 127243, '\p{Is_Numeric_Type=	 Digit}', "");
Expect(1, 127243, '\p{^Is_Numeric_Type=	 Digit}', "");
Expect(1, 127243, '\P{Is_Numeric_Type=	 Digit}', "");
Expect(0, 127243, '\P{^Is_Numeric_Type=	 Digit}', "");
Error('\p{Is_Nt= :=Di}');
Error('\P{Is_Nt= :=Di}');
Expect(1, 127242, '\p{Is_Nt=di}', "");
Expect(0, 127242, '\p{^Is_Nt=di}', "");
Expect(0, 127242, '\P{Is_Nt=di}', "");
Expect(1, 127242, '\P{^Is_Nt=di}', "");
Expect(0, 127243, '\p{Is_Nt=di}', "");
Expect(1, 127243, '\p{^Is_Nt=di}', "");
Expect(1, 127243, '\P{Is_Nt=di}', "");
Expect(0, 127243, '\P{^Is_Nt=di}', "");
Expect(1, 127242, '\p{Is_Nt= _DI}', "");
Expect(0, 127242, '\p{^Is_Nt= _DI}', "");
Expect(0, 127242, '\P{Is_Nt= _DI}', "");
Expect(1, 127242, '\P{^Is_Nt= _DI}', "");
Expect(0, 127243, '\p{Is_Nt= _DI}', "");
Expect(1, 127243, '\p{^Is_Nt= _DI}', "");
Expect(1, 127243, '\P{Is_Nt= _DI}', "");
Expect(0, 127243, '\P{^Is_Nt= _DI}', "");
Error('\p{Numeric_Type=-None:=}');
Error('\P{Numeric_Type=-None:=}');
Expect(1, 194705, '\p{Numeric_Type=none}', "");
Expect(0, 194705, '\p{^Numeric_Type=none}', "");
Expect(0, 194705, '\P{Numeric_Type=none}', "");
Expect(1, 194705, '\P{^Numeric_Type=none}', "");
Expect(0, 194704, '\p{Numeric_Type=none}', "");
Expect(1, 194704, '\p{^Numeric_Type=none}', "");
Expect(1, 194704, '\P{Numeric_Type=none}', "");
Expect(0, 194704, '\P{^Numeric_Type=none}', "");
Expect(1, 194705, '\p{Numeric_Type=__NONE}', "");
Expect(0, 194705, '\p{^Numeric_Type=__NONE}', "");
Expect(0, 194705, '\P{Numeric_Type=__NONE}', "");
Expect(1, 194705, '\P{^Numeric_Type=__NONE}', "");
Expect(0, 194704, '\p{Numeric_Type=__NONE}', "");
Expect(1, 194704, '\p{^Numeric_Type=__NONE}', "");
Expect(1, 194704, '\P{Numeric_Type=__NONE}', "");
Expect(0, 194704, '\P{^Numeric_Type=__NONE}', "");
Error('\p{Nt: -NONE/a/}');
Error('\P{Nt: -NONE/a/}');
Expect(1, 194705, '\p{Nt=none}', "");
Expect(0, 194705, '\p{^Nt=none}', "");
Expect(0, 194705, '\P{Nt=none}', "");
Expect(1, 194705, '\P{^Nt=none}', "");
Expect(0, 194704, '\p{Nt=none}', "");
Expect(1, 194704, '\p{^Nt=none}', "");
Expect(1, 194704, '\P{Nt=none}', "");
Expect(0, 194704, '\P{^Nt=none}', "");
Expect(1, 194705, '\p{Nt=_	None}', "");
Expect(0, 194705, '\p{^Nt=_	None}', "");
Expect(0, 194705, '\P{Nt=_	None}', "");
Expect(1, 194705, '\P{^Nt=_	None}', "");
Expect(0, 194704, '\p{Nt=_	None}', "");
Expect(1, 194704, '\p{^Nt=_	None}', "");
Expect(1, 194704, '\P{Nt=_	None}', "");
Expect(0, 194704, '\P{^Nt=_	None}', "");
Error('\p{Is_Numeric_Type=/a/	-none}');
Error('\P{Is_Numeric_Type=/a/	-none}');
Expect(1, 194705, '\p{Is_Numeric_Type=none}', "");
Expect(0, 194705, '\p{^Is_Numeric_Type=none}', "");
Expect(0, 194705, '\P{Is_Numeric_Type=none}', "");
Expect(1, 194705, '\P{^Is_Numeric_Type=none}', "");
Expect(0, 194704, '\p{Is_Numeric_Type=none}', "");
Expect(1, 194704, '\p{^Is_Numeric_Type=none}', "");
Expect(1, 194704, '\P{Is_Numeric_Type=none}', "");
Expect(0, 194704, '\P{^Is_Numeric_Type=none}', "");
Expect(1, 194705, '\p{Is_Numeric_Type=  None}', "");
Expect(0, 194705, '\p{^Is_Numeric_Type=  None}', "");
Expect(0, 194705, '\P{Is_Numeric_Type=  None}', "");
Expect(1, 194705, '\P{^Is_Numeric_Type=  None}', "");
Expect(0, 194704, '\p{Is_Numeric_Type=  None}', "");
Expect(1, 194704, '\p{^Is_Numeric_Type=  None}', "");
Expect(1, 194704, '\P{Is_Numeric_Type=  None}', "");
Expect(0, 194704, '\P{^Is_Numeric_Type=  None}', "");
Error('\p{Is_Nt=_None/a/}');
Error('\P{Is_Nt=_None/a/}');
Expect(1, 194705, '\p{Is_Nt=none}', "");
Expect(0, 194705, '\p{^Is_Nt=none}', "");
Expect(0, 194705, '\P{Is_Nt=none}', "");
Expect(1, 194705, '\P{^Is_Nt=none}', "");
Expect(0, 194704, '\p{Is_Nt=none}', "");
Expect(1, 194704, '\p{^Is_Nt=none}', "");
Expect(1, 194704, '\P{Is_Nt=none}', "");
Expect(0, 194704, '\P{^Is_Nt=none}', "");
Expect(1, 194705, '\p{Is_Nt=  None}', "");
Expect(0, 194705, '\p{^Is_Nt=  None}', "");
Expect(0, 194705, '\P{Is_Nt=  None}', "");
Expect(1, 194705, '\P{^Is_Nt=  None}', "");
Expect(0, 194704, '\p{Is_Nt=  None}', "");
Expect(1, 194704, '\p{^Is_Nt=  None}', "");
Expect(1, 194704, '\P{Is_Nt=  None}', "");
Expect(0, 194704, '\P{^Is_Nt=  None}', "");
Error('\p{Numeric_Type=--numeric/a/}');
Error('\P{Numeric_Type=--numeric/a/}');
Expect(1, 194704, '\p{Numeric_Type=numeric}', "");
Expect(0, 194704, '\p{^Numeric_Type=numeric}', "");
Expect(0, 194704, '\P{Numeric_Type=numeric}', "");
Expect(1, 194704, '\P{^Numeric_Type=numeric}', "");
Expect(0, 194705, '\p{Numeric_Type=numeric}', "");
Expect(1, 194705, '\p{^Numeric_Type=numeric}', "");
Expect(1, 194705, '\P{Numeric_Type=numeric}', "");
Expect(0, 194705, '\P{^Numeric_Type=numeric}', "");
Expect(1, 194704, '\p{Numeric_Type=	-Numeric}', "");
Expect(0, 194704, '\p{^Numeric_Type=	-Numeric}', "");
Expect(0, 194704, '\P{Numeric_Type=	-Numeric}', "");
Expect(1, 194704, '\P{^Numeric_Type=	-Numeric}', "");
Expect(0, 194705, '\p{Numeric_Type=	-Numeric}', "");
Expect(1, 194705, '\p{^Numeric_Type=	-Numeric}', "");
Expect(1, 194705, '\P{Numeric_Type=	-Numeric}', "");
Expect(0, 194705, '\P{^Numeric_Type=	-Numeric}', "");
Error('\p{Nt=Nu/a/}');
Error('\P{Nt=Nu/a/}');
Expect(1, 194704, '\p{Nt=nu}', "");
Expect(0, 194704, '\p{^Nt=nu}', "");
Expect(0, 194704, '\P{Nt=nu}', "");
Expect(1, 194704, '\P{^Nt=nu}', "");
Expect(0, 194705, '\p{Nt=nu}', "");
Expect(1, 194705, '\p{^Nt=nu}', "");
Expect(1, 194705, '\P{Nt=nu}', "");
Expect(0, 194705, '\P{^Nt=nu}', "");
Expect(1, 194704, '\p{Nt:  _nu}', "");
Expect(0, 194704, '\p{^Nt:  _nu}', "");
Expect(0, 194704, '\P{Nt:  _nu}', "");
Expect(1, 194704, '\P{^Nt:  _nu}', "");
Expect(0, 194705, '\p{Nt:  _nu}', "");
Expect(1, 194705, '\p{^Nt:  _nu}', "");
Expect(1, 194705, '\P{Nt:  _nu}', "");
Expect(0, 194705, '\P{^Nt:  _nu}', "");
Error('\p{Is_Numeric_Type=/a/	-Numeric}');
Error('\P{Is_Numeric_Type=/a/	-Numeric}');
Expect(1, 194704, '\p{Is_Numeric_Type=numeric}', "");
Expect(0, 194704, '\p{^Is_Numeric_Type=numeric}', "");
Expect(0, 194704, '\P{Is_Numeric_Type=numeric}', "");
Expect(1, 194704, '\P{^Is_Numeric_Type=numeric}', "");
Expect(0, 194705, '\p{Is_Numeric_Type=numeric}', "");
Expect(1, 194705, '\p{^Is_Numeric_Type=numeric}', "");
Expect(1, 194705, '\P{Is_Numeric_Type=numeric}', "");
Expect(0, 194705, '\P{^Is_Numeric_Type=numeric}', "");
Error('\p{Is_Nt=-	Nu/a/}');
Error('\P{Is_Nt=-	Nu/a/}');
Expect(1, 194704, '\p{Is_Nt=nu}', "");
Expect(0, 194704, '\p{^Is_Nt=nu}', "");
Expect(0, 194704, '\P{Is_Nt=nu}', "");
Expect(1, 194704, '\P{^Is_Nt=nu}', "");
Expect(0, 194705, '\p{Is_Nt=nu}', "");
Expect(1, 194705, '\p{^Is_Nt=nu}', "");
Expect(1, 194705, '\P{Is_Nt=nu}', "");
Expect(0, 194705, '\P{^Is_Nt=nu}', "");
Expect(1, 194704, '\p{Is_Nt=-Nu}', "");
Expect(0, 194704, '\p{^Is_Nt=-Nu}', "");
Expect(0, 194704, '\P{Is_Nt=-Nu}', "");
Expect(1, 194704, '\P{^Is_Nt=-Nu}', "");
Expect(0, 194705, '\p{Is_Nt=-Nu}', "");
Expect(1, 194705, '\p{^Is_Nt=-Nu}', "");
Expect(1, 194705, '\P{Is_Nt=-Nu}', "");
Expect(0, 194705, '\P{^Is_Nt=-Nu}', "");
Error('\p{Numeric_Value:	/a/-00000001/000000002}');
Error('\P{Numeric_Value:	/a/-00000001/000000002}');
Expect(1, 3891, '\p{Numeric_Value=-0000001/0000000002}', "");
Expect(0, 3891, '\p{^Numeric_Value=-0000001/0000000002}', "");
Expect(0, 3891, '\P{Numeric_Value=-0000001/0000000002}', "");
Expect(1, 3891, '\P{^Numeric_Value=-0000001/0000000002}', "");
Expect(0, 3892, '\p{Numeric_Value=-0000001/0000000002}', "");
Expect(1, 3892, '\p{^Numeric_Value=-0000001/0000000002}', "");
Expect(1, 3892, '\P{Numeric_Value=-0000001/0000000002}', "");
Expect(0, 3892, '\P{^Numeric_Value=-0000001/0000000002}', "");
Expect(1, 3891, '\p{Numeric_Value=-0.500}', "");
Expect(0, 3891, '\p{^Numeric_Value=-0.500}', "");
Expect(0, 3891, '\P{Numeric_Value=-0.500}', "");
Expect(1, 3891, '\P{^Numeric_Value=-0.500}', "");
Expect(0, 3892, '\p{Numeric_Value=-0.500}', "");
Expect(1, 3892, '\p{^Numeric_Value=-0.500}', "");
Expect(1, 3892, '\P{Numeric_Value=-0.500}', "");
Expect(0, 3892, '\P{^Numeric_Value=-0.500}', "");
Error('\p{Nv=:=-00000001/0000002}');
Error('\P{Nv=:=-00000001/0000002}');
Expect(1, 3891, '\p{Nv: -001/000002}', "");
Expect(0, 3891, '\p{^Nv: -001/000002}', "");
Expect(0, 3891, '\P{Nv: -001/000002}', "");
Expect(1, 3891, '\P{^Nv: -001/000002}', "");
Expect(0, 3892, '\p{Nv: -001/000002}', "");
Expect(1, 3892, '\p{^Nv: -001/000002}', "");
Expect(1, 3892, '\P{Nv: -001/000002}', "");
Expect(0, 3892, '\P{^Nv: -001/000002}', "");
Expect(1, 3891, '\p{Nv=-0.500}', "");
Expect(0, 3891, '\p{^Nv=-0.500}', "");
Expect(0, 3891, '\P{Nv=-0.500}', "");
Expect(1, 3891, '\P{^Nv=-0.500}', "");
Expect(0, 3892, '\p{Nv=-0.500}', "");
Expect(1, 3892, '\p{^Nv=-0.500}', "");
Expect(1, 3892, '\P{Nv=-0.500}', "");
Expect(0, 3892, '\P{^Nv=-0.500}', "");
Error('\p{Is_Numeric_Value=	 -00000001/0002:=}');
Error('\P{Is_Numeric_Value=	 -00000001/0002:=}');
Expect(1, 3891, '\p{Is_Numeric_Value=-000000001/000002}', "");
Expect(0, 3891, '\p{^Is_Numeric_Value=-000000001/000002}', "");
Expect(0, 3891, '\P{Is_Numeric_Value=-000000001/000002}', "");
Expect(1, 3891, '\P{^Is_Numeric_Value=-000000001/000002}', "");
Expect(0, 3892, '\p{Is_Numeric_Value=-000000001/000002}', "");
Expect(1, 3892, '\p{^Is_Numeric_Value=-000000001/000002}', "");
Expect(1, 3892, '\P{Is_Numeric_Value=-000000001/000002}', "");
Expect(0, 3892, '\P{^Is_Numeric_Value=-000000001/000002}', "");
Expect(1, 3891, '\p{Is_Numeric_Value=-0.500}', "");
Expect(0, 3891, '\p{^Is_Numeric_Value=-0.500}', "");
Expect(0, 3891, '\P{Is_Numeric_Value=-0.500}', "");
Expect(1, 3891, '\P{^Is_Numeric_Value=-0.500}', "");
Expect(0, 3892, '\p{Is_Numeric_Value=-0.500}', "");
Expect(1, 3892, '\p{^Is_Numeric_Value=-0.500}', "");
Expect(1, 3892, '\P{Is_Numeric_Value=-0.500}', "");
Expect(0, 3892, '\P{^Is_Numeric_Value=-0.500}', "");
Error('\p{Is_Nv=	 -1/0002:=}');
Error('\P{Is_Nv=	 -1/0002:=}');
Expect(1, 3891, '\p{Is_Nv=-0001/00002}', "");
Expect(0, 3891, '\p{^Is_Nv=-0001/00002}', "");
Expect(0, 3891, '\P{Is_Nv=-0001/00002}', "");
Expect(1, 3891, '\P{^Is_Nv=-0001/00002}', "");
Expect(0, 3892, '\p{Is_Nv=-0001/00002}', "");
Expect(1, 3892, '\p{^Is_Nv=-0001/00002}', "");
Expect(1, 3892, '\P{Is_Nv=-0001/00002}', "");
Expect(0, 3892, '\P{^Is_Nv=-0001/00002}', "");
Expect(1, 3891, '\p{Is_Nv:   -0.500}', "");
Expect(0, 3891, '\p{^Is_Nv:   -0.500}', "");
Expect(0, 3891, '\P{Is_Nv:   -0.500}', "");
Expect(1, 3891, '\P{^Is_Nv:   -0.500}', "");
Expect(0, 3892, '\p{Is_Nv:   -0.500}', "");
Expect(1, 3892, '\p{^Is_Nv:   -0.500}', "");
Expect(1, 3892, '\P{Is_Nv:   -0.500}', "");
Expect(0, 3892, '\P{^Is_Nv:   -0.500}', "");
Error('\p{Numeric_Value=:=	+0000}');
Error('\P{Numeric_Value=:=	+0000}');
Expect(1, 127244, '\p{Numeric_Value=000_0}', "");
Expect(0, 127244, '\p{^Numeric_Value=000_0}', "");
Expect(0, 127244, '\P{Numeric_Value=000_0}', "");
Expect(1, 127244, '\P{^Numeric_Value=000_0}', "");
Expect(0, 127245, '\p{Numeric_Value=000_0}', "");
Expect(1, 127245, '\p{^Numeric_Value=000_0}', "");
Expect(1, 127245, '\P{Numeric_Value=000_0}', "");
Expect(0, 127245, '\P{^Numeric_Value=000_0}', "");
Error('\p{Nv=:=--0}');
Error('\P{Nv=:=--0}');
Expect(1, 127244, '\p{Nv: 00000000}', "");
Expect(0, 127244, '\p{^Nv: 00000000}', "");
Expect(0, 127244, '\P{Nv: 00000000}', "");
Expect(1, 127244, '\P{^Nv: 00000000}', "");
Expect(0, 127245, '\p{Nv: 00000000}', "");
Expect(1, 127245, '\p{^Nv: 00000000}', "");
Expect(1, 127245, '\P{Nv: 00000000}', "");
Expect(0, 127245, '\P{^Nv: 00000000}', "");
Error('\p{Is_Numeric_Value= 00000000_0/a/}');
Error('\P{Is_Numeric_Value= 00000000_0/a/}');
Expect(1, 127244, '\p{Is_Numeric_Value=+000_0}', "");
Expect(0, 127244, '\p{^Is_Numeric_Value=+000_0}', "");
Expect(0, 127244, '\P{Is_Numeric_Value=+000_0}', "");
Expect(1, 127244, '\P{^Is_Numeric_Value=+000_0}', "");
Expect(0, 127245, '\p{Is_Numeric_Value=+000_0}', "");
Expect(1, 127245, '\p{^Is_Numeric_Value=+000_0}', "");
Expect(1, 127245, '\P{Is_Numeric_Value=+000_0}', "");
Expect(0, 127245, '\P{^Is_Numeric_Value=+000_0}', "");
Error('\p{Is_Nv=_:=+0000_0000_0}');
Error('\P{Is_Nv=_:=+0000_0000_0}');
Expect(1, 127244, '\p{Is_Nv=+0_0_0_00}', "");
Expect(0, 127244, '\p{^Is_Nv=+0_0_0_00}', "");
Expect(0, 127244, '\P{Is_Nv=+0_0_0_00}', "");
Expect(1, 127244, '\P{^Is_Nv=+0_0_0_00}', "");
Expect(0, 127245, '\p{Is_Nv=+0_0_0_00}', "");
Expect(1, 127245, '\p{^Is_Nv=+0_0_0_00}', "");
Expect(1, 127245, '\P{Is_Nv=+0_0_0_00}', "");
Expect(0, 127245, '\P{^Is_Nv=+0_0_0_00}', "");
Error('\p{Numeric_Value=- +000000000_1/a/}');
Error('\P{Numeric_Value=- +000000000_1/a/}');
Expect(1, 133418, '\p{Numeric_Value=0_1}', "");
Expect(0, 133418, '\p{^Numeric_Value=0_1}', "");
Expect(0, 133418, '\P{Numeric_Value=0_1}', "");
Expect(1, 133418, '\P{^Numeric_Value=0_1}', "");
Expect(0, 133419, '\p{Numeric_Value=0_1}', "");
Expect(1, 133419, '\p{^Numeric_Value=0_1}', "");
Expect(1, 133419, '\P{Numeric_Value=0_1}', "");
Expect(0, 133419, '\P{^Numeric_Value=0_1}', "");
Error('\p{Nv: _000000001/a/}');
Error('\P{Nv: _000000001/a/}');
Expect(1, 133418, '\p{Nv=0000001}', "");
Expect(0, 133418, '\p{^Nv=0000001}', "");
Expect(0, 133418, '\P{Nv=0000001}', "");
Expect(1, 133418, '\P{^Nv=0000001}', "");
Expect(0, 133419, '\p{Nv=0000001}', "");
Expect(1, 133419, '\p{^Nv=0000001}', "");
Expect(1, 133419, '\P{Nv=0000001}', "");
Expect(0, 133419, '\P{^Nv=0000001}', "");
Error('\p{Is_Numeric_Value=-+00_00_00_00_1/a/}');
Error('\P{Is_Numeric_Value=-+00_00_00_00_1/a/}');
Expect(1, 133418, '\p{Is_Numeric_Value=00_00_00_001}', "");
Expect(0, 133418, '\p{^Is_Numeric_Value=00_00_00_001}', "");
Expect(0, 133418, '\P{Is_Numeric_Value=00_00_00_001}', "");
Expect(1, 133418, '\P{^Is_Numeric_Value=00_00_00_001}', "");
Expect(0, 133419, '\p{Is_Numeric_Value=00_00_00_001}', "");
Expect(1, 133419, '\p{^Is_Numeric_Value=00_00_00_001}', "");
Expect(1, 133419, '\P{Is_Numeric_Value=00_00_00_001}', "");
Expect(0, 133419, '\P{^Is_Numeric_Value=00_00_00_001}', "");
Error('\p{Is_Nv=/a/-_0000001}');
Error('\P{Is_Nv=/a/-_0000001}');
Expect(1, 133418, '\p{Is_Nv:	0_0_0_001}', "");
Expect(0, 133418, '\p{^Is_Nv:	0_0_0_001}', "");
Expect(0, 133418, '\P{Is_Nv:	0_0_0_001}', "");
Expect(1, 133418, '\P{^Is_Nv:	0_0_0_001}', "");
Expect(0, 133419, '\p{Is_Nv:	0_0_0_001}', "");
Expect(1, 133419, '\p{^Is_Nv:	0_0_0_001}', "");
Expect(1, 133419, '\P{Is_Nv:	0_0_0_001}', "");
Expect(0, 133419, '\P{^Is_Nv:	0_0_0_001}', "");
Error('\p{Numeric_Value=:=0001/00000010}');
Error('\P{Numeric_Value=:=0001/00000010}');
Expect(1, 8530, '\p{Numeric_Value=01/00000000010}', "");
Expect(0, 8530, '\p{^Numeric_Value=01/00000000010}', "");
Expect(0, 8530, '\P{Numeric_Value=01/00000000010}', "");
Expect(1, 8530, '\P{^Numeric_Value=01/00000000010}', "");
Expect(0, 8531, '\p{Numeric_Value=01/00000000010}', "");
Expect(1, 8531, '\p{^Numeric_Value=01/00000000010}', "");
Expect(1, 8531, '\P{Numeric_Value=01/00000000010}', "");
Expect(0, 8531, '\P{^Numeric_Value=01/00000000010}', "");
Expect(1, 8530, '\p{Numeric_Value=0.100}', "");
Expect(0, 8530, '\p{^Numeric_Value=0.100}', "");
Expect(0, 8530, '\P{Numeric_Value=0.100}', "");
Expect(1, 8530, '\P{^Numeric_Value=0.100}', "");
Expect(0, 8531, '\p{Numeric_Value=0.100}', "");
Expect(1, 8531, '\p{^Numeric_Value=0.100}', "");
Expect(1, 8531, '\P{Numeric_Value=0.100}', "");
Expect(0, 8531, '\P{^Numeric_Value=0.100}', "");
Error('\p{Nv=:=0000001/00000000010}');
Error('\P{Nv=:=0000001/00000000010}');
Expect(1, 8530, '\p{Nv=+001/000010}', "");
Expect(0, 8530, '\p{^Nv=+001/000010}', "");
Expect(0, 8530, '\P{Nv=+001/000010}', "");
Expect(1, 8530, '\P{^Nv=+001/000010}', "");
Expect(0, 8531, '\p{Nv=+001/000010}', "");
Expect(1, 8531, '\p{^Nv=+001/000010}', "");
Expect(1, 8531, '\P{Nv=+001/000010}', "");
Expect(0, 8531, '\P{^Nv=+001/000010}', "");
Expect(1, 8530, '\p{Nv=0.100}', "");
Expect(0, 8530, '\p{^Nv=0.100}', "");
Expect(0, 8530, '\P{Nv=0.100}', "");
Expect(1, 8530, '\P{^Nv=0.100}', "");
Expect(0, 8531, '\p{Nv=0.100}', "");
Expect(1, 8531, '\p{^Nv=0.100}', "");
Expect(1, 8531, '\P{Nv=0.100}', "");
Expect(0, 8531, '\P{^Nv=0.100}', "");
Error('\p{Is_Numeric_Value=:=_ 00001/00000000010}');
Error('\P{Is_Numeric_Value=:=_ 00001/00000000010}');
Expect(1, 8530, '\p{Is_Numeric_Value=001/0000000010}', "");
Expect(0, 8530, '\p{^Is_Numeric_Value=001/0000000010}', "");
Expect(0, 8530, '\P{Is_Numeric_Value=001/0000000010}', "");
Expect(1, 8530, '\P{^Is_Numeric_Value=001/0000000010}', "");
Expect(0, 8531, '\p{Is_Numeric_Value=001/0000000010}', "");
Expect(1, 8531, '\p{^Is_Numeric_Value=001/0000000010}', "");
Expect(1, 8531, '\P{Is_Numeric_Value=001/0000000010}', "");
Expect(0, 8531, '\P{^Is_Numeric_Value=001/0000000010}', "");
Expect(1, 8530, '\p{Is_Numeric_Value=0.100}', "");
Expect(0, 8530, '\p{^Is_Numeric_Value=0.100}', "");
Expect(0, 8530, '\P{Is_Numeric_Value=0.100}', "");
Expect(1, 8530, '\P{^Is_Numeric_Value=0.100}', "");
Expect(0, 8531, '\p{Is_Numeric_Value=0.100}', "");
Expect(1, 8531, '\p{^Is_Numeric_Value=0.100}', "");
Expect(1, 8531, '\P{Is_Numeric_Value=0.100}', "");
Expect(0, 8531, '\P{^Is_Numeric_Value=0.100}', "");
Error('\p{Is_Nv=/a/	-0000000001/000010}');
Error('\P{Is_Nv=/a/	-0000000001/000010}');
Expect(1, 8530, '\p{Is_Nv=0000000001/010}', "");
Expect(0, 8530, '\p{^Is_Nv=0000000001/010}', "");
Expect(0, 8530, '\P{Is_Nv=0000000001/010}', "");
Expect(1, 8530, '\P{^Is_Nv=0000000001/010}', "");
Expect(0, 8531, '\p{Is_Nv=0000000001/010}', "");
Expect(1, 8531, '\p{^Is_Nv=0000000001/010}', "");
Expect(1, 8531, '\P{Is_Nv=0000000001/010}', "");
Expect(0, 8531, '\P{^Is_Nv=0000000001/010}', "");
Expect(1, 8530, '\p{Is_Nv=0.100}', "");
Expect(0, 8530, '\p{^Is_Nv=0.100}', "");
Expect(0, 8530, '\P{Is_Nv=0.100}', "");
Expect(1, 8530, '\P{^Is_Nv=0.100}', "");
Expect(0, 8531, '\p{Is_Nv=0.100}', "");
Expect(1, 8531, '\p{^Is_Nv=0.100}', "");
Expect(1, 8531, '\P{Is_Nv=0.100}', "");
Expect(0, 8531, '\P{^Is_Nv=0.100}', "");
Error('\p{Numeric_Value:	/a/+00001/0000000012}');
Error('\P{Numeric_Value:	/a/+00001/0000000012}');
Expect(1, 68086, '\p{Numeric_Value=00000001/0000000012}', "");
Expect(0, 68086, '\p{^Numeric_Value=00000001/0000000012}', "");
Expect(0, 68086, '\P{Numeric_Value=00000001/0000000012}', "");
Expect(1, 68086, '\P{^Numeric_Value=00000001/0000000012}', "");
Expect(0, 68087, '\p{Numeric_Value=00000001/0000000012}', "");
Expect(1, 68087, '\p{^Numeric_Value=00000001/0000000012}', "");
Expect(1, 68087, '\P{Numeric_Value=00000001/0000000012}', "");
Expect(0, 68087, '\P{^Numeric_Value=00000001/0000000012}', "");
Error('\p{Numeric_Value=0.08}');
Error('\P{Numeric_Value=0.08}');
Expect(1, 68086, '\p{Numeric_Value=0.083}', "");
Expect(0, 68086, '\p{^Numeric_Value=0.083}', "");
Expect(0, 68086, '\P{Numeric_Value=0.083}', "");
Expect(1, 68086, '\P{^Numeric_Value=0.083}', "");
Expect(0, 68087, '\p{Numeric_Value=0.083}', "");
Expect(1, 68087, '\p{^Numeric_Value=0.083}', "");
Expect(1, 68087, '\P{Numeric_Value=0.083}', "");
Expect(0, 68087, '\P{^Numeric_Value=0.083}', "");
Error('\p{Nv=:=000001/0000012}');
Error('\P{Nv=:=000001/0000012}');
Expect(1, 68086, '\p{Nv:+00001/000000012}', "");
Expect(0, 68086, '\p{^Nv:+00001/000000012}', "");
Expect(0, 68086, '\P{Nv:+00001/000000012}', "");
Expect(1, 68086, '\P{^Nv:+00001/000000012}', "");
Expect(0, 68087, '\p{Nv:+00001/000000012}', "");
Expect(1, 68087, '\p{^Nv:+00001/000000012}', "");
Expect(1, 68087, '\P{Nv:+00001/000000012}', "");
Expect(0, 68087, '\P{^Nv:+00001/000000012}', "");
Error('\p{Nv=0.08}');
Error('\P{Nv=0.08}');
Expect(1, 68086, '\p{Nv=0.083}', "");
Expect(0, 68086, '\p{^Nv=0.083}', "");
Expect(0, 68086, '\P{Nv=0.083}', "");
Expect(1, 68086, '\P{^Nv=0.083}', "");
Expect(0, 68087, '\p{Nv=0.083}', "");
Expect(1, 68087, '\p{^Nv=0.083}', "");
Expect(1, 68087, '\P{Nv=0.083}', "");
Expect(0, 68087, '\P{^Nv=0.083}', "");
Error('\p{Is_Numeric_Value=:= 01/00012}');
Error('\P{Is_Numeric_Value=:= 01/00012}');
Expect(1, 68086, '\p{Is_Numeric_Value: 00000001/00012}', "");
Expect(0, 68086, '\p{^Is_Numeric_Value: 00000001/00012}', "");
Expect(0, 68086, '\P{Is_Numeric_Value: 00000001/00012}', "");
Expect(1, 68086, '\P{^Is_Numeric_Value: 00000001/00012}', "");
Expect(0, 68087, '\p{Is_Numeric_Value: 00000001/00012}', "");
Expect(1, 68087, '\p{^Is_Numeric_Value: 00000001/00012}', "");
Expect(1, 68087, '\P{Is_Numeric_Value: 00000001/00012}', "");
Expect(0, 68087, '\P{^Is_Numeric_Value: 00000001/00012}', "");
Error('\p{Is_Numeric_Value=0.08}');
Error('\P{Is_Numeric_Value=0.08}');
Expect(1, 68086, '\p{Is_Numeric_Value=0.083}', "");
Expect(0, 68086, '\p{^Is_Numeric_Value=0.083}', "");
Expect(0, 68086, '\P{Is_Numeric_Value=0.083}', "");
Expect(1, 68086, '\P{^Is_Numeric_Value=0.083}', "");
Expect(0, 68087, '\p{Is_Numeric_Value=0.083}', "");
Expect(1, 68087, '\p{^Is_Numeric_Value=0.083}', "");
Expect(1, 68087, '\P{Is_Numeric_Value=0.083}', "");
Expect(0, 68087, '\P{^Is_Numeric_Value=0.083}', "");
Error('\p{Is_Nv=	 +000001/00000000012/a/}');
Error('\P{Is_Nv=	 +000001/00000000012/a/}');
Expect(1, 68086, '\p{Is_Nv=000001/0000012}', "");
Expect(0, 68086, '\p{^Is_Nv=000001/0000012}', "");
Expect(0, 68086, '\P{Is_Nv=000001/0000012}', "");
Expect(1, 68086, '\P{^Is_Nv=000001/0000012}', "");
Expect(0, 68087, '\p{Is_Nv=000001/0000012}', "");
Expect(1, 68087, '\p{^Is_Nv=000001/0000012}', "");
Expect(1, 68087, '\P{Is_Nv=000001/0000012}', "");
Expect(0, 68087, '\P{^Is_Nv=000001/0000012}', "");
Error('\p{Is_Nv=0.08}');
Error('\P{Is_Nv=0.08}');
Expect(1, 68086, '\p{Is_Nv=0.083}', "");
Expect(0, 68086, '\p{^Is_Nv=0.083}', "");
Expect(0, 68086, '\P{Is_Nv=0.083}', "");
Expect(1, 68086, '\P{^Is_Nv=0.083}', "");
Expect(0, 68087, '\p{Is_Nv=0.083}', "");
Expect(1, 68087, '\p{^Is_Nv=0.083}', "");
Expect(1, 68087, '\P{Is_Nv=0.083}', "");
Expect(0, 68087, '\P{^Is_Nv=0.083}', "");
Error('\p{Numeric_Value=/a/_ 001/16}');
Error('\P{Numeric_Value=/a/_ 001/16}');
Expect(1, 43059, '\p{Numeric_Value=01/00016}', "");
Expect(0, 43059, '\p{^Numeric_Value=01/00016}', "");
Expect(0, 43059, '\P{Numeric_Value=01/00016}', "");
Expect(1, 43059, '\P{^Numeric_Value=01/00016}', "");
Expect(0, 43060, '\p{Numeric_Value=01/00016}', "");
Expect(1, 43060, '\p{^Numeric_Value=01/00016}', "");
Expect(1, 43060, '\P{Numeric_Value=01/00016}', "");
Expect(0, 43060, '\P{^Numeric_Value=01/00016}', "");
Error('\p{Numeric_Value=0.06}');
Error('\P{Numeric_Value=0.06}');
Expect(1, 43059, '\p{Numeric_Value=0.062}', "");
Expect(0, 43059, '\p{^Numeric_Value=0.062}', "");
Expect(0, 43059, '\P{Numeric_Value=0.062}', "");
Expect(1, 43059, '\P{^Numeric_Value=0.062}', "");
Expect(0, 43060, '\p{Numeric_Value=0.062}', "");
Expect(1, 43060, '\p{^Numeric_Value=0.062}', "");
Expect(1, 43060, '\P{Numeric_Value=0.062}', "");
Expect(0, 43060, '\P{^Numeric_Value=0.062}', "");
Error('\p{Nv=:=	 00000001/00000016}');
Error('\P{Nv=:=	 00000001/00000016}');
Expect(1, 43059, '\p{Nv=001/16}', "");
Expect(0, 43059, '\p{^Nv=001/16}', "");
Expect(0, 43059, '\P{Nv=001/16}', "");
Expect(1, 43059, '\P{^Nv=001/16}', "");
Expect(0, 43060, '\p{Nv=001/16}', "");
Expect(1, 43060, '\p{^Nv=001/16}', "");
Expect(1, 43060, '\P{Nv=001/16}', "");
Expect(0, 43060, '\P{^Nv=001/16}', "");
Error('\p{Nv=0.06}');
Error('\P{Nv=0.06}');
Expect(1, 43059, '\p{Nv=0.062}', "");
Expect(0, 43059, '\p{^Nv=0.062}', "");
Expect(0, 43059, '\P{Nv=0.062}', "");
Expect(1, 43059, '\P{^Nv=0.062}', "");
Expect(0, 43060, '\p{Nv=0.062}', "");
Expect(1, 43060, '\p{^Nv=0.062}', "");
Expect(1, 43060, '\P{Nv=0.062}', "");
Expect(0, 43060, '\P{^Nv=0.062}', "");
Error('\p{Is_Numeric_Value:		/a/000001/0016}');
Error('\P{Is_Numeric_Value:		/a/000001/0016}');
Expect(1, 43059, '\p{Is_Numeric_Value=0001/016}', "");
Expect(0, 43059, '\p{^Is_Numeric_Value=0001/016}', "");
Expect(0, 43059, '\P{Is_Numeric_Value=0001/016}', "");
Expect(1, 43059, '\P{^Is_Numeric_Value=0001/016}', "");
Expect(0, 43060, '\p{Is_Numeric_Value=0001/016}', "");
Expect(1, 43060, '\p{^Is_Numeric_Value=0001/016}', "");
Expect(1, 43060, '\P{Is_Numeric_Value=0001/016}', "");
Expect(0, 43060, '\P{^Is_Numeric_Value=0001/016}', "");
Error('\p{Is_Numeric_Value=0.06}');
Error('\P{Is_Numeric_Value=0.06}');
Expect(1, 43059, '\p{Is_Numeric_Value=0.062}', "");
Expect(0, 43059, '\p{^Is_Numeric_Value=0.062}', "");
Expect(0, 43059, '\P{Is_Numeric_Value=0.062}', "");
Expect(1, 43059, '\P{^Is_Numeric_Value=0.062}', "");
Expect(0, 43060, '\p{Is_Numeric_Value=0.062}', "");
Expect(1, 43060, '\p{^Is_Numeric_Value=0.062}', "");
Expect(1, 43060, '\P{Is_Numeric_Value=0.062}', "");
Expect(0, 43060, '\P{^Is_Numeric_Value=0.062}', "");
Error('\p{Is_Nv=	/a/001/0000016}');
Error('\P{Is_Nv=	/a/001/0000016}');
Expect(1, 43059, '\p{Is_Nv=000000001/0000000016}', "");
Expect(0, 43059, '\p{^Is_Nv=000000001/0000000016}', "");
Expect(0, 43059, '\P{Is_Nv=000000001/0000000016}', "");
Expect(1, 43059, '\P{^Is_Nv=000000001/0000000016}', "");
Expect(0, 43060, '\p{Is_Nv=000000001/0000000016}', "");
Expect(1, 43060, '\p{^Is_Nv=000000001/0000000016}', "");
Expect(1, 43060, '\P{Is_Nv=000000001/0000000016}', "");
Expect(0, 43060, '\P{^Is_Nv=000000001/0000000016}', "");
Error('\p{Is_Nv=0.06}');
Error('\P{Is_Nv=0.06}');
Expect(1, 43059, '\p{Is_Nv=0.062}', "");
Expect(0, 43059, '\p{^Is_Nv=0.062}', "");
Expect(0, 43059, '\P{Is_Nv=0.062}', "");
Expect(1, 43059, '\P{^Is_Nv=0.062}', "");
Expect(0, 43060, '\p{Is_Nv=0.062}', "");
Expect(1, 43060, '\p{^Is_Nv=0.062}', "");
Expect(1, 43060, '\P{Is_Nv=0.062}', "");
Expect(0, 43060, '\P{^Is_Nv=0.062}', "");
Error('\p{Numeric_Value= -01/0000002/a/}');
Error('\P{Numeric_Value= -01/0000002/a/}');
Expect(1, 74852, '\p{Numeric_Value=001/000000002}', "");
Expect(0, 74852, '\p{^Numeric_Value=001/000000002}', "");
Expect(0, 74852, '\P{Numeric_Value=001/000000002}', "");
Expect(1, 74852, '\P{^Numeric_Value=001/000000002}', "");
Expect(0, 74853, '\p{Numeric_Value=001/000000002}', "");
Expect(1, 74853, '\p{^Numeric_Value=001/000000002}', "");
Expect(1, 74853, '\P{Numeric_Value=001/000000002}', "");
Expect(0, 74853, '\P{^Numeric_Value=001/000000002}', "");
Expect(1, 74852, '\p{Numeric_Value: 0.500}', "");
Expect(0, 74852, '\p{^Numeric_Value: 0.500}', "");
Expect(0, 74852, '\P{Numeric_Value: 0.500}', "");
Expect(1, 74852, '\P{^Numeric_Value: 0.500}', "");
Expect(0, 74853, '\p{Numeric_Value: 0.500}', "");
Expect(1, 74853, '\p{^Numeric_Value: 0.500}', "");
Expect(1, 74853, '\P{Numeric_Value: 0.500}', "");
Expect(0, 74853, '\P{^Numeric_Value: 0.500}', "");
Error('\p{Nv= _00000001/000002/a/}');
Error('\P{Nv= _00000001/000002/a/}');
Expect(1, 74852, '\p{Nv=+001/2}', "");
Expect(0, 74852, '\p{^Nv=+001/2}', "");
Expect(0, 74852, '\P{Nv=+001/2}', "");
Expect(1, 74852, '\P{^Nv=+001/2}', "");
Expect(0, 74853, '\p{Nv=+001/2}', "");
Expect(1, 74853, '\p{^Nv=+001/2}', "");
Expect(1, 74853, '\P{Nv=+001/2}', "");
Expect(0, 74853, '\P{^Nv=+001/2}', "");
Expect(1, 74852, '\p{Nv=0.500}', "");
Expect(0, 74852, '\p{^Nv=0.500}', "");
Expect(0, 74852, '\P{Nv=0.500}', "");
Expect(1, 74852, '\P{^Nv=0.500}', "");
Expect(0, 74853, '\p{Nv=0.500}', "");
Expect(1, 74853, '\p{^Nv=0.500}', "");
Expect(1, 74853, '\P{Nv=0.500}', "");
Expect(0, 74853, '\P{^Nv=0.500}', "");
Error('\p{Is_Numeric_Value=	_01/00000002/a/}');
Error('\P{Is_Numeric_Value=	_01/00000002/a/}');
Expect(1, 74852, '\p{Is_Numeric_Value=+0000000001/2}', "");
Expect(0, 74852, '\p{^Is_Numeric_Value=+0000000001/2}', "");
Expect(0, 74852, '\P{Is_Numeric_Value=+0000000001/2}', "");
Expect(1, 74852, '\P{^Is_Numeric_Value=+0000000001/2}', "");
Expect(0, 74853, '\p{Is_Numeric_Value=+0000000001/2}', "");
Expect(1, 74853, '\p{^Is_Numeric_Value=+0000000001/2}', "");
Expect(1, 74853, '\P{Is_Numeric_Value=+0000000001/2}', "");
Expect(0, 74853, '\P{^Is_Numeric_Value=+0000000001/2}', "");
Expect(1, 74852, '\p{Is_Numeric_Value=0.500}', "");
Expect(0, 74852, '\p{^Is_Numeric_Value=0.500}', "");
Expect(0, 74852, '\P{Is_Numeric_Value=0.500}', "");
Expect(1, 74852, '\P{^Is_Numeric_Value=0.500}', "");
Expect(0, 74853, '\p{Is_Numeric_Value=0.500}', "");
Expect(1, 74853, '\p{^Is_Numeric_Value=0.500}', "");
Expect(1, 74853, '\P{Is_Numeric_Value=0.500}', "");
Expect(0, 74853, '\P{^Is_Numeric_Value=0.500}', "");
Error('\p{Is_Nv=_1/2/a/}');
Error('\P{Is_Nv=_1/2/a/}');
Expect(1, 74852, '\p{Is_Nv=+01/0000000002}', "");
Expect(0, 74852, '\p{^Is_Nv=+01/0000000002}', "");
Expect(0, 74852, '\P{Is_Nv=+01/0000000002}', "");
Expect(1, 74852, '\P{^Is_Nv=+01/0000000002}', "");
Expect(0, 74853, '\p{Is_Nv=+01/0000000002}', "");
Expect(1, 74853, '\p{^Is_Nv=+01/0000000002}', "");
Expect(1, 74853, '\P{Is_Nv=+01/0000000002}', "");
Expect(0, 74853, '\P{^Is_Nv=+01/0000000002}', "");
Expect(1, 74852, '\p{Is_Nv=0.500}', "");
Expect(0, 74852, '\p{^Is_Nv=0.500}', "");
Expect(0, 74852, '\P{Is_Nv=0.500}', "");
Expect(1, 74852, '\P{^Is_Nv=0.500}', "");
Expect(0, 74853, '\p{Is_Nv=0.500}', "");
Expect(1, 74853, '\p{^Is_Nv=0.500}', "");
Expect(1, 74853, '\P{Is_Nv=0.500}', "");
Expect(0, 74853, '\P{^Is_Nv=0.500}', "");
Error('\p{Numeric_Value= 00001/0000003/a/}');
Error('\P{Numeric_Value= 00001/0000003/a/}');
Expect(1, 74853, '\p{Numeric_Value=0000000001/00000003}', "");
Expect(0, 74853, '\p{^Numeric_Value=0000000001/00000003}', "");
Expect(0, 74853, '\P{Numeric_Value=0000000001/00000003}', "");
Expect(1, 74853, '\P{^Numeric_Value=0000000001/00000003}', "");
Expect(0, 74854, '\p{Numeric_Value=0000000001/00000003}', "");
Expect(1, 74854, '\p{^Numeric_Value=0000000001/00000003}', "");
Expect(1, 74854, '\P{Numeric_Value=0000000001/00000003}', "");
Expect(0, 74854, '\P{^Numeric_Value=0000000001/00000003}', "");
Error('\p{Numeric_Value=0.3}');
Error('\P{Numeric_Value=0.3}');
Error('\p{Numeric_Value=0.33}');
Error('\P{Numeric_Value=0.33}');
Expect(1, 74853, '\p{Numeric_Value=0.333}', "");
Expect(0, 74853, '\p{^Numeric_Value=0.333}', "");
Expect(0, 74853, '\P{Numeric_Value=0.333}', "");
Expect(1, 74853, '\P{^Numeric_Value=0.333}', "");
Expect(0, 74854, '\p{Numeric_Value=0.333}', "");
Expect(1, 74854, '\p{^Numeric_Value=0.333}', "");
Expect(1, 74854, '\P{Numeric_Value=0.333}', "");
Expect(0, 74854, '\P{^Numeric_Value=0.333}', "");
Error('\p{Nv=	-+000001/00003:=}');
Error('\P{Nv=	-+000001/00003:=}');
Expect(1, 74853, '\p{Nv=0000000001/000003}', "");
Expect(0, 74853, '\p{^Nv=0000000001/000003}', "");
Expect(0, 74853, '\P{Nv=0000000001/000003}', "");
Expect(1, 74853, '\P{^Nv=0000000001/000003}', "");
Expect(0, 74854, '\p{Nv=0000000001/000003}', "");
Expect(1, 74854, '\p{^Nv=0000000001/000003}', "");
Expect(1, 74854, '\P{Nv=0000000001/000003}', "");
Expect(0, 74854, '\P{^Nv=0000000001/000003}', "");
Error('\p{Nv=0.3}');
Error('\P{Nv=0.3}');
Error('\p{Nv=0.33}');
Error('\P{Nv=0.33}');
Expect(1, 74853, '\p{Nv:0.333}', "");
Expect(0, 74853, '\p{^Nv:0.333}', "");
Expect(0, 74853, '\P{Nv:0.333}', "");
Expect(1, 74853, '\P{^Nv:0.333}', "");
Expect(0, 74854, '\p{Nv:0.333}', "");
Expect(1, 74854, '\p{^Nv:0.333}', "");
Expect(1, 74854, '\P{Nv:0.333}', "");
Expect(0, 74854, '\P{^Nv:0.333}', "");
Error('\p{Is_Numeric_Value=_/a/1/00003}');
Error('\P{Is_Numeric_Value=_/a/1/00003}');
Expect(1, 74853, '\p{Is_Numeric_Value=00001/0000000003}', "");
Expect(0, 74853, '\p{^Is_Numeric_Value=00001/0000000003}', "");
Expect(0, 74853, '\P{Is_Numeric_Value=00001/0000000003}', "");
Expect(1, 74853, '\P{^Is_Numeric_Value=00001/0000000003}', "");
Expect(0, 74854, '\p{Is_Numeric_Value=00001/0000000003}', "");
Expect(1, 74854, '\p{^Is_Numeric_Value=00001/0000000003}', "");
Expect(1, 74854, '\P{Is_Numeric_Value=00001/0000000003}', "");
Expect(0, 74854, '\P{^Is_Numeric_Value=00001/0000000003}', "");
Error('\p{Is_Numeric_Value=0.3}');
Error('\P{Is_Numeric_Value=0.3}');
Error('\p{Is_Numeric_Value=0.33}');
Error('\P{Is_Numeric_Value=0.33}');
Expect(1, 74853, '\p{Is_Numeric_Value=0.333}', "");
Expect(0, 74853, '\p{^Is_Numeric_Value=0.333}', "");
Expect(0, 74853, '\P{Is_Numeric_Value=0.333}', "");
Expect(1, 74853, '\P{^Is_Numeric_Value=0.333}', "");
Expect(0, 74854, '\p{Is_Numeric_Value=0.333}', "");
Expect(1, 74854, '\p{^Is_Numeric_Value=0.333}', "");
Expect(1, 74854, '\P{Is_Numeric_Value=0.333}', "");
Expect(0, 74854, '\P{^Is_Numeric_Value=0.333}', "");
Error('\p{Is_Nv=_	0000000001/3:=}');
Error('\P{Is_Nv=_	0000000001/3:=}');
Expect(1, 74853, '\p{Is_Nv=000001/0000000003}', "");
Expect(0, 74853, '\p{^Is_Nv=000001/0000000003}', "");
Expect(0, 74853, '\P{Is_Nv=000001/0000000003}', "");
Expect(1, 74853, '\P{^Is_Nv=000001/0000000003}', "");
Expect(0, 74854, '\p{Is_Nv=000001/0000000003}', "");
Expect(1, 74854, '\p{^Is_Nv=000001/0000000003}', "");
Expect(1, 74854, '\P{Is_Nv=000001/0000000003}', "");
Expect(0, 74854, '\P{^Is_Nv=000001/0000000003}', "");
Error('\p{Is_Nv=0.3}');
Error('\P{Is_Nv=0.3}');
Error('\p{Is_Nv:	0.33}');
Error('\P{Is_Nv:	0.33}');
Expect(1, 74853, '\p{Is_Nv=0.333}', "");
Expect(0, 74853, '\p{^Is_Nv=0.333}', "");
Expect(0, 74853, '\P{Is_Nv=0.333}', "");
Expect(1, 74853, '\P{^Is_Nv=0.333}', "");
Expect(0, 74854, '\p{Is_Nv=0.333}', "");
Expect(1, 74854, '\p{^Is_Nv=0.333}', "");
Expect(1, 74854, '\P{Is_Nv=0.333}', "");
Expect(0, 74854, '\P{^Is_Nv=0.333}', "");
Error('\p{Numeric_Value=:=_-001/00004}');
Error('\P{Numeric_Value=:=_-001/00004}');
Expect(1, 74851, '\p{Numeric_Value=00000001/00000004}', "");
Expect(0, 74851, '\p{^Numeric_Value=00000001/00000004}', "");
Expect(0, 74851, '\P{Numeric_Value=00000001/00000004}', "");
Expect(1, 74851, '\P{^Numeric_Value=00000001/00000004}', "");
Expect(0, 74852, '\p{Numeric_Value=00000001/00000004}', "");
Expect(1, 74852, '\p{^Numeric_Value=00000001/00000004}', "");
Expect(1, 74852, '\P{Numeric_Value=00000001/00000004}', "");
Expect(0, 74852, '\P{^Numeric_Value=00000001/00000004}', "");
Expect(1, 74851, '\p{Numeric_Value=0.250}', "");
Expect(0, 74851, '\p{^Numeric_Value=0.250}', "");
Expect(0, 74851, '\P{Numeric_Value=0.250}', "");
Expect(1, 74851, '\P{^Numeric_Value=0.250}', "");
Expect(0, 74852, '\p{Numeric_Value=0.250}', "");
Expect(1, 74852, '\p{^Numeric_Value=0.250}', "");
Expect(1, 74852, '\P{Numeric_Value=0.250}', "");
Expect(0, 74852, '\P{^Numeric_Value=0.250}', "");
Error('\p{Nv: :=_00001/000000004}');
Error('\P{Nv: :=_00001/000000004}');
Expect(1, 74851, '\p{Nv=00000001/4}', "");
Expect(0, 74851, '\p{^Nv=00000001/4}', "");
Expect(0, 74851, '\P{Nv=00000001/4}', "");
Expect(1, 74851, '\P{^Nv=00000001/4}', "");
Expect(0, 74852, '\p{Nv=00000001/4}', "");
Expect(1, 74852, '\p{^Nv=00000001/4}', "");
Expect(1, 74852, '\P{Nv=00000001/4}', "");
Expect(0, 74852, '\P{^Nv=00000001/4}', "");
Expect(1, 74851, '\p{Nv=0.250}', "");
Expect(0, 74851, '\p{^Nv=0.250}', "");
Expect(0, 74851, '\P{Nv=0.250}', "");
Expect(1, 74851, '\P{^Nv=0.250}', "");
Expect(0, 74852, '\p{Nv=0.250}', "");
Expect(1, 74852, '\p{^Nv=0.250}', "");
Expect(1, 74852, '\P{Nv=0.250}', "");
Expect(0, 74852, '\P{^Nv=0.250}', "");
Error('\p{Is_Numeric_Value=/a/0000001/00004}');
Error('\P{Is_Numeric_Value=/a/0000001/00004}');
Expect(1, 74851, '\p{Is_Numeric_Value=0000001/000000004}', "");
Expect(0, 74851, '\p{^Is_Numeric_Value=0000001/000000004}', "");
Expect(0, 74851, '\P{Is_Numeric_Value=0000001/000000004}', "");
Expect(1, 74851, '\P{^Is_Numeric_Value=0000001/000000004}', "");
Expect(0, 74852, '\p{Is_Numeric_Value=0000001/000000004}', "");
Expect(1, 74852, '\p{^Is_Numeric_Value=0000001/000000004}', "");
Expect(1, 74852, '\P{Is_Numeric_Value=0000001/000000004}', "");
Expect(0, 74852, '\P{^Is_Numeric_Value=0000001/000000004}', "");
Expect(1, 74851, '\p{Is_Numeric_Value=0.250}', "");
Expect(0, 74851, '\p{^Is_Numeric_Value=0.250}', "");
Expect(0, 74851, '\P{Is_Numeric_Value=0.250}', "");
Expect(1, 74851, '\P{^Is_Numeric_Value=0.250}', "");
Expect(0, 74852, '\p{Is_Numeric_Value=0.250}', "");
Expect(1, 74852, '\p{^Is_Numeric_Value=0.250}', "");
Expect(1, 74852, '\P{Is_Numeric_Value=0.250}', "");
Expect(0, 74852, '\P{^Is_Numeric_Value=0.250}', "");
Error('\p{Is_Nv=/a/ -0001/00004}');
Error('\P{Is_Nv=/a/ -0001/00004}');
Expect(1, 74851, '\p{Is_Nv=001/000000004}', "");
Expect(0, 74851, '\p{^Is_Nv=001/000000004}', "");
Expect(0, 74851, '\P{Is_Nv=001/000000004}', "");
Expect(1, 74851, '\P{^Is_Nv=001/000000004}', "");
Expect(0, 74852, '\p{Is_Nv=001/000000004}', "");
Expect(1, 74852, '\p{^Is_Nv=001/000000004}', "");
Expect(1, 74852, '\P{Is_Nv=001/000000004}', "");
Expect(0, 74852, '\P{^Is_Nv=001/000000004}', "");
Expect(1, 74851, '\p{Is_Nv=0.250}', "");
Expect(0, 74851, '\p{^Is_Nv=0.250}', "");
Expect(0, 74851, '\P{Is_Nv=0.250}', "");
Expect(1, 74851, '\P{^Is_Nv=0.250}', "");
Expect(0, 74852, '\p{Is_Nv=0.250}', "");
Expect(1, 74852, '\p{^Is_Nv=0.250}', "");
Expect(1, 74852, '\P{Is_Nv=0.250}', "");
Expect(0, 74852, '\P{^Is_Nv=0.250}', "");
Error('\p{Numeric_Value=_-000000001/0005/a/}');
Error('\P{Numeric_Value=_-000000001/0005/a/}');
Expect(1, 8533, '\p{Numeric_Value=+1/000000005}', "");
Expect(0, 8533, '\p{^Numeric_Value=+1/000000005}', "");
Expect(0, 8533, '\P{Numeric_Value=+1/000000005}', "");
Expect(1, 8533, '\P{^Numeric_Value=+1/000000005}', "");
Expect(0, 8534, '\p{Numeric_Value=+1/000000005}', "");
Expect(1, 8534, '\p{^Numeric_Value=+1/000000005}', "");
Expect(1, 8534, '\P{Numeric_Value=+1/000000005}', "");
Expect(0, 8534, '\P{^Numeric_Value=+1/000000005}', "");
Expect(1, 8533, '\p{Numeric_Value=0.200}', "");
Expect(0, 8533, '\p{^Numeric_Value=0.200}', "");
Expect(0, 8533, '\P{Numeric_Value=0.200}', "");
Expect(1, 8533, '\P{^Numeric_Value=0.200}', "");
Expect(0, 8534, '\p{Numeric_Value=0.200}', "");
Expect(1, 8534, '\p{^Numeric_Value=0.200}', "");
Expect(1, 8534, '\P{Numeric_Value=0.200}', "");
Expect(0, 8534, '\P{^Numeric_Value=0.200}', "");
Error('\p{Nv:	:=	-001/0005}');
Error('\P{Nv:	:=	-001/0005}');
Expect(1, 8533, '\p{Nv=0001/0000005}', "");
Expect(0, 8533, '\p{^Nv=0001/0000005}', "");
Expect(0, 8533, '\P{Nv=0001/0000005}', "");
Expect(1, 8533, '\P{^Nv=0001/0000005}', "");
Expect(0, 8534, '\p{Nv=0001/0000005}', "");
Expect(1, 8534, '\p{^Nv=0001/0000005}', "");
Expect(1, 8534, '\P{Nv=0001/0000005}', "");
Expect(0, 8534, '\P{^Nv=0001/0000005}', "");
Expect(1, 8533, '\p{Nv=0.200}', "");
Expect(0, 8533, '\p{^Nv=0.200}', "");
Expect(0, 8533, '\P{Nv=0.200}', "");
Expect(1, 8533, '\P{^Nv=0.200}', "");
Expect(0, 8534, '\p{Nv=0.200}', "");
Expect(1, 8534, '\p{^Nv=0.200}', "");
Expect(1, 8534, '\P{Nv=0.200}', "");
Expect(0, 8534, '\P{^Nv=0.200}', "");
Error('\p{Is_Numeric_Value= /a/+0001/05}');
Error('\P{Is_Numeric_Value= /a/+0001/05}');
Expect(1, 8533, '\p{Is_Numeric_Value=00000001/0000000005}', "");
Expect(0, 8533, '\p{^Is_Numeric_Value=00000001/0000000005}', "");
Expect(0, 8533, '\P{Is_Numeric_Value=00000001/0000000005}', "");
Expect(1, 8533, '\P{^Is_Numeric_Value=00000001/0000000005}', "");
Expect(0, 8534, '\p{Is_Numeric_Value=00000001/0000000005}', "");
Expect(1, 8534, '\p{^Is_Numeric_Value=00000001/0000000005}', "");
Expect(1, 8534, '\P{Is_Numeric_Value=00000001/0000000005}', "");
Expect(0, 8534, '\P{^Is_Numeric_Value=00000001/0000000005}', "");
Expect(1, 8533, '\p{Is_Numeric_Value=0.200}', "");
Expect(0, 8533, '\p{^Is_Numeric_Value=0.200}', "");
Expect(0, 8533, '\P{Is_Numeric_Value=0.200}', "");
Expect(1, 8533, '\P{^Is_Numeric_Value=0.200}', "");
Expect(0, 8534, '\p{Is_Numeric_Value=0.200}', "");
Expect(1, 8534, '\p{^Is_Numeric_Value=0.200}', "");
Expect(1, 8534, '\P{Is_Numeric_Value=0.200}', "");
Expect(0, 8534, '\P{^Is_Numeric_Value=0.200}', "");
Error('\p{Is_Nv=_	+000000001/00000005/a/}');
Error('\P{Is_Nv=_	+000000001/00000005/a/}');
Expect(1, 8533, '\p{Is_Nv=+0000000001/5}', "");
Expect(0, 8533, '\p{^Is_Nv=+0000000001/5}', "");
Expect(0, 8533, '\P{Is_Nv=+0000000001/5}', "");
Expect(1, 8533, '\P{^Is_Nv=+0000000001/5}', "");
Expect(0, 8534, '\p{Is_Nv=+0000000001/5}', "");
Expect(1, 8534, '\p{^Is_Nv=+0000000001/5}', "");
Expect(1, 8534, '\P{Is_Nv=+0000000001/5}', "");
Expect(0, 8534, '\P{^Is_Nv=+0000000001/5}', "");
Expect(1, 8533, '\p{Is_Nv=0.200}', "");
Expect(0, 8533, '\p{^Is_Nv=0.200}', "");
Expect(0, 8533, '\P{Is_Nv=0.200}', "");
Expect(1, 8533, '\P{^Is_Nv=0.200}', "");
Expect(0, 8534, '\p{Is_Nv=0.200}', "");
Expect(1, 8534, '\p{^Is_Nv=0.200}', "");
Expect(1, 8534, '\P{Is_Nv=0.200}', "");
Expect(0, 8534, '\P{^Is_Nv=0.200}', "");
Error('\p{Numeric_Value=/a/	_+0001/0000006}');
Error('\P{Numeric_Value=/a/	_+0001/0000006}');
Expect(1, 74849, '\p{Numeric_Value=1/0000006}', "");
Expect(0, 74849, '\p{^Numeric_Value=1/0000006}', "");
Expect(0, 74849, '\P{Numeric_Value=1/0000006}', "");
Expect(1, 74849, '\P{^Numeric_Value=1/0000006}', "");
Expect(0, 74850, '\p{Numeric_Value=1/0000006}', "");
Expect(1, 74850, '\p{^Numeric_Value=1/0000006}', "");
Expect(1, 74850, '\P{Numeric_Value=1/0000006}', "");
Expect(0, 74850, '\P{^Numeric_Value=1/0000006}', "");
Error('\p{Numeric_Value=0.17}');
Error('\P{Numeric_Value=0.17}');
Expect(1, 74849, '\p{Numeric_Value=0.167}', "");
Expect(0, 74849, '\p{^Numeric_Value=0.167}', "");
Expect(0, 74849, '\P{Numeric_Value=0.167}', "");
Expect(1, 74849, '\P{^Numeric_Value=0.167}', "");
Expect(0, 74850, '\p{Numeric_Value=0.167}', "");
Expect(1, 74850, '\p{^Numeric_Value=0.167}', "");
Expect(1, 74850, '\P{Numeric_Value=0.167}', "");
Expect(0, 74850, '\P{^Numeric_Value=0.167}', "");
Error('\p{Nv= +001/000006/a/}');
Error('\P{Nv= +001/000006/a/}');
Expect(1, 74849, '\p{Nv=01/00000006}', "");
Expect(0, 74849, '\p{^Nv=01/00000006}', "");
Expect(0, 74849, '\P{Nv=01/00000006}', "");
Expect(1, 74849, '\P{^Nv=01/00000006}', "");
Expect(0, 74850, '\p{Nv=01/00000006}', "");
Expect(1, 74850, '\p{^Nv=01/00000006}', "");
Expect(1, 74850, '\P{Nv=01/00000006}', "");
Expect(0, 74850, '\P{^Nv=01/00000006}', "");
Error('\p{Nv=0.17}');
Error('\P{Nv=0.17}');
Expect(1, 74849, '\p{Nv=0.167}', "");
Expect(0, 74849, '\p{^Nv=0.167}', "");
Expect(0, 74849, '\P{Nv=0.167}', "");
Expect(1, 74849, '\P{^Nv=0.167}', "");
Expect(0, 74850, '\p{Nv=0.167}', "");
Expect(1, 74850, '\p{^Nv=0.167}', "");
Expect(1, 74850, '\P{Nv=0.167}', "");
Expect(0, 74850, '\P{^Nv=0.167}', "");
Error('\p{Is_Numeric_Value=_:=+001/000006}');
Error('\P{Is_Numeric_Value=_:=+001/000006}');
Expect(1, 74849, '\p{Is_Numeric_Value=001/06}', "");
Expect(0, 74849, '\p{^Is_Numeric_Value=001/06}', "");
Expect(0, 74849, '\P{Is_Numeric_Value=001/06}', "");
Expect(1, 74849, '\P{^Is_Numeric_Value=001/06}', "");
Expect(0, 74850, '\p{Is_Numeric_Value=001/06}', "");
Expect(1, 74850, '\p{^Is_Numeric_Value=001/06}', "");
Expect(1, 74850, '\P{Is_Numeric_Value=001/06}', "");
Expect(0, 74850, '\P{^Is_Numeric_Value=001/06}', "");
Error('\p{Is_Numeric_Value=0.17}');
Error('\P{Is_Numeric_Value=0.17}');
Expect(1, 74849, '\p{Is_Numeric_Value:	0.167}', "");
Expect(0, 74849, '\p{^Is_Numeric_Value:	0.167}', "");
Expect(0, 74849, '\P{Is_Numeric_Value:	0.167}', "");
Expect(1, 74849, '\P{^Is_Numeric_Value:	0.167}', "");
Expect(0, 74850, '\p{Is_Numeric_Value:	0.167}', "");
Expect(1, 74850, '\p{^Is_Numeric_Value:	0.167}', "");
Expect(1, 74850, '\P{Is_Numeric_Value:	0.167}', "");
Expect(0, 74850, '\P{^Is_Numeric_Value:	0.167}', "");
Error('\p{Is_Nv=:=		0000000001/000006}');
Error('\P{Is_Nv=:=		0000000001/000006}');
Expect(1, 74849, '\p{Is_Nv=1/000006}', "");
Expect(0, 74849, '\p{^Is_Nv=1/000006}', "");
Expect(0, 74849, '\P{Is_Nv=1/000006}', "");
Expect(1, 74849, '\P{^Is_Nv=1/000006}', "");
Expect(0, 74850, '\p{Is_Nv=1/000006}', "");
Expect(1, 74850, '\p{^Is_Nv=1/000006}', "");
Expect(1, 74850, '\P{Is_Nv=1/000006}', "");
Expect(0, 74850, '\P{^Is_Nv=1/000006}', "");
Error('\p{Is_Nv=0.17}');
Error('\P{Is_Nv=0.17}');
Expect(1, 74849, '\p{Is_Nv=0.167}', "");
Expect(0, 74849, '\p{^Is_Nv=0.167}', "");
Expect(0, 74849, '\P{Is_Nv=0.167}', "");
Expect(1, 74849, '\P{^Is_Nv=0.167}', "");
Expect(0, 74850, '\p{Is_Nv=0.167}', "");
Expect(1, 74850, '\p{^Is_Nv=0.167}', "");
Expect(1, 74850, '\P{Is_Nv=0.167}', "");
Expect(0, 74850, '\P{^Is_Nv=0.167}', "");
Error('\p{Numeric_Value=/a/-0000001/007}');
Error('\P{Numeric_Value=/a/-0000001/007}');
Expect(1, 8528, '\p{Numeric_Value=00001/00000007}', "");
Expect(0, 8528, '\p{^Numeric_Value=00001/00000007}', "");
Expect(0, 8528, '\P{Numeric_Value=00001/00000007}', "");
Expect(1, 8528, '\P{^Numeric_Value=00001/00000007}', "");
Expect(0, 8529, '\p{Numeric_Value=00001/00000007}', "");
Expect(1, 8529, '\p{^Numeric_Value=00001/00000007}', "");
Expect(1, 8529, '\P{Numeric_Value=00001/00000007}', "");
Expect(0, 8529, '\P{^Numeric_Value=00001/00000007}', "");
Error('\p{Numeric_Value=0.14}');
Error('\P{Numeric_Value=0.14}');
Expect(1, 8528, '\p{Numeric_Value=0.143}', "");
Expect(0, 8528, '\p{^Numeric_Value=0.143}', "");
Expect(0, 8528, '\P{Numeric_Value=0.143}', "");
Expect(1, 8528, '\P{^Numeric_Value=0.143}', "");
Expect(0, 8529, '\p{Numeric_Value=0.143}', "");
Expect(1, 8529, '\p{^Numeric_Value=0.143}', "");
Expect(1, 8529, '\P{Numeric_Value=0.143}', "");
Expect(0, 8529, '\P{^Numeric_Value=0.143}', "");
Error('\p{Nv=/a/__1/00000007}');
Error('\P{Nv=/a/__1/00000007}');
Expect(1, 8528, '\p{Nv=00000001/00000007}', "");
Expect(0, 8528, '\p{^Nv=00000001/00000007}', "");
Expect(0, 8528, '\P{Nv=00000001/00000007}', "");
Expect(1, 8528, '\P{^Nv=00000001/00000007}', "");
Expect(0, 8529, '\p{Nv=00000001/00000007}', "");
Expect(1, 8529, '\p{^Nv=00000001/00000007}', "");
Expect(1, 8529, '\P{Nv=00000001/00000007}', "");
Expect(0, 8529, '\P{^Nv=00000001/00000007}', "");
Error('\p{Nv=0.14}');
Error('\P{Nv=0.14}');
Expect(1, 8528, '\p{Nv=0.143}', "");
Expect(0, 8528, '\p{^Nv=0.143}', "");
Expect(0, 8528, '\P{Nv=0.143}', "");
Expect(1, 8528, '\P{^Nv=0.143}', "");
Expect(0, 8529, '\p{Nv=0.143}', "");
Expect(1, 8529, '\p{^Nv=0.143}', "");
Expect(1, 8529, '\P{Nv=0.143}', "");
Expect(0, 8529, '\P{^Nv=0.143}', "");
Error('\p{Is_Numeric_Value=/a/ 0000000001/000000007}');
Error('\P{Is_Numeric_Value=/a/ 0000000001/000000007}');
Expect(1, 8528, '\p{Is_Numeric_Value=00001/7}', "");
Expect(0, 8528, '\p{^Is_Numeric_Value=00001/7}', "");
Expect(0, 8528, '\P{Is_Numeric_Value=00001/7}', "");
Expect(1, 8528, '\P{^Is_Numeric_Value=00001/7}', "");
Expect(0, 8529, '\p{Is_Numeric_Value=00001/7}', "");
Expect(1, 8529, '\p{^Is_Numeric_Value=00001/7}', "");
Expect(1, 8529, '\P{Is_Numeric_Value=00001/7}', "");
Expect(0, 8529, '\P{^Is_Numeric_Value=00001/7}', "");
Error('\p{Is_Numeric_Value=0.14}');
Error('\P{Is_Numeric_Value=0.14}');
Expect(1, 8528, '\p{Is_Numeric_Value=0.143}', "");
Expect(0, 8528, '\p{^Is_Numeric_Value=0.143}', "");
Expect(0, 8528, '\P{Is_Numeric_Value=0.143}', "");
Expect(1, 8528, '\P{^Is_Numeric_Value=0.143}', "");
Expect(0, 8529, '\p{Is_Numeric_Value=0.143}', "");
Expect(1, 8529, '\p{^Is_Numeric_Value=0.143}', "");
Expect(1, 8529, '\P{Is_Numeric_Value=0.143}', "");
Expect(0, 8529, '\P{^Is_Numeric_Value=0.143}', "");
Error('\p{Is_Nv= 	+0000000001/00000007/a/}');
Error('\P{Is_Nv= 	+0000000001/00000007/a/}');
Expect(1, 8528, '\p{Is_Nv=+0001/00000007}', "");
Expect(0, 8528, '\p{^Is_Nv=+0001/00000007}', "");
Expect(0, 8528, '\P{Is_Nv=+0001/00000007}', "");
Expect(1, 8528, '\P{^Is_Nv=+0001/00000007}', "");
Expect(0, 8529, '\p{Is_Nv=+0001/00000007}', "");
Expect(1, 8529, '\p{^Is_Nv=+0001/00000007}', "");
Expect(1, 8529, '\P{Is_Nv=+0001/00000007}', "");
Expect(0, 8529, '\P{^Is_Nv=+0001/00000007}', "");
Error('\p{Is_Nv:	0.14}');
Error('\P{Is_Nv:	0.14}');
Expect(1, 8528, '\p{Is_Nv=0.143}', "");
Expect(0, 8528, '\p{^Is_Nv=0.143}', "");
Expect(0, 8528, '\P{Is_Nv=0.143}', "");
Expect(1, 8528, '\P{^Is_Nv=0.143}', "");
Expect(0, 8529, '\p{Is_Nv=0.143}', "");
Expect(1, 8529, '\p{^Is_Nv=0.143}', "");
Expect(1, 8529, '\P{Is_Nv=0.143}', "");
Expect(0, 8529, '\P{^Is_Nv=0.143}', "");
Error('\p{Numeric_Value=-/a/00000001/0008}');
Error('\P{Numeric_Value=-/a/00000001/0008}');
Expect(1, 74847, '\p{Numeric_Value=+001/0000008}', "");
Expect(0, 74847, '\p{^Numeric_Value=+001/0000008}', "");
Expect(0, 74847, '\P{Numeric_Value=+001/0000008}', "");
Expect(1, 74847, '\P{^Numeric_Value=+001/0000008}', "");
Expect(0, 74848, '\p{Numeric_Value=+001/0000008}', "");
Expect(1, 74848, '\p{^Numeric_Value=+001/0000008}', "");
Expect(1, 74848, '\P{Numeric_Value=+001/0000008}', "");
Expect(0, 74848, '\P{^Numeric_Value=+001/0000008}', "");
Error('\p{Numeric_Value=0.12}');
Error('\P{Numeric_Value=0.12}');
Expect(1, 74847, '\p{Numeric_Value=0.125}', "");
Expect(0, 74847, '\p{^Numeric_Value=0.125}', "");
Expect(0, 74847, '\P{Numeric_Value=0.125}', "");
Expect(1, 74847, '\P{^Numeric_Value=0.125}', "");
Expect(0, 74848, '\p{Numeric_Value=0.125}', "");
Expect(1, 74848, '\p{^Numeric_Value=0.125}', "");
Expect(1, 74848, '\P{Numeric_Value=0.125}', "");
Expect(0, 74848, '\P{^Numeric_Value=0.125}', "");
Error('\p{Nv=:=	+0001/8}');
Error('\P{Nv=:=	+0001/8}');
Expect(1, 74847, '\p{Nv:   00001/00000008}', "");
Expect(0, 74847, '\p{^Nv:   00001/00000008}', "");
Expect(0, 74847, '\P{Nv:   00001/00000008}', "");
Expect(1, 74847, '\P{^Nv:   00001/00000008}', "");
Expect(0, 74848, '\p{Nv:   00001/00000008}', "");
Expect(1, 74848, '\p{^Nv:   00001/00000008}', "");
Expect(1, 74848, '\P{Nv:   00001/00000008}', "");
Expect(0, 74848, '\P{^Nv:   00001/00000008}', "");
Error('\p{Nv=0.12}');
Error('\P{Nv=0.12}');
Expect(1, 74847, '\p{Nv=0.125}', "");
Expect(0, 74847, '\p{^Nv=0.125}', "");
Expect(0, 74847, '\P{Nv=0.125}', "");
Expect(1, 74847, '\P{^Nv=0.125}', "");
Expect(0, 74848, '\p{Nv=0.125}', "");
Expect(1, 74848, '\p{^Nv=0.125}', "");
Expect(1, 74848, '\P{Nv=0.125}', "");
Expect(0, 74848, '\P{^Nv=0.125}', "");
Error('\p{Is_Numeric_Value=:=_ 00001/8}');
Error('\P{Is_Numeric_Value=:=_ 00001/8}');
Expect(1, 74847, '\p{Is_Numeric_Value=+0001/0008}', "");
Expect(0, 74847, '\p{^Is_Numeric_Value=+0001/0008}', "");
Expect(0, 74847, '\P{Is_Numeric_Value=+0001/0008}', "");
Expect(1, 74847, '\P{^Is_Numeric_Value=+0001/0008}', "");
Expect(0, 74848, '\p{Is_Numeric_Value=+0001/0008}', "");
Expect(1, 74848, '\p{^Is_Numeric_Value=+0001/0008}', "");
Expect(1, 74848, '\P{Is_Numeric_Value=+0001/0008}', "");
Expect(0, 74848, '\P{^Is_Numeric_Value=+0001/0008}', "");
Error('\p{Is_Numeric_Value=0.12}');
Error('\P{Is_Numeric_Value=0.12}');
Expect(1, 74847, '\p{Is_Numeric_Value=0.125}', "");
Expect(0, 74847, '\p{^Is_Numeric_Value=0.125}', "");
Expect(0, 74847, '\P{Is_Numeric_Value=0.125}', "");
Expect(1, 74847, '\P{^Is_Numeric_Value=0.125}', "");
Expect(0, 74848, '\p{Is_Numeric_Value=0.125}', "");
Expect(1, 74848, '\p{^Is_Numeric_Value=0.125}', "");
Expect(1, 74848, '\P{Is_Numeric_Value=0.125}', "");
Expect(0, 74848, '\P{^Is_Numeric_Value=0.125}', "");
Error('\p{Is_Nv= :=+1/00000008}');
Error('\P{Is_Nv= :=+1/00000008}');
Expect(1, 74847, '\p{Is_Nv=0000001/0008}', "");
Expect(0, 74847, '\p{^Is_Nv=0000001/0008}', "");
Expect(0, 74847, '\P{Is_Nv=0000001/0008}', "");
Expect(1, 74847, '\P{^Is_Nv=0000001/0008}', "");
Expect(0, 74848, '\p{Is_Nv=0000001/0008}', "");
Expect(1, 74848, '\p{^Is_Nv=0000001/0008}', "");
Expect(1, 74848, '\P{Is_Nv=0000001/0008}', "");
Expect(0, 74848, '\P{^Is_Nv=0000001/0008}', "");
Error('\p{Is_Nv=0.12}');
Error('\P{Is_Nv=0.12}');
Expect(1, 74847, '\p{Is_Nv=0.125}', "");
Expect(0, 74847, '\p{^Is_Nv=0.125}', "");
Expect(0, 74847, '\P{Is_Nv=0.125}', "");
Expect(1, 74847, '\P{^Is_Nv=0.125}', "");
Expect(0, 74848, '\p{Is_Nv=0.125}', "");
Expect(1, 74848, '\p{^Is_Nv=0.125}', "");
Expect(1, 74848, '\P{Is_Nv=0.125}', "");
Expect(0, 74848, '\P{^Is_Nv=0.125}', "");
Error('\p{Numeric_Value=	/a/1/09}');
Error('\P{Numeric_Value=	/a/1/09}');
Expect(1, 8529, '\p{Numeric_Value=1/0000009}', "");
Expect(0, 8529, '\p{^Numeric_Value=1/0000009}', "");
Expect(0, 8529, '\P{Numeric_Value=1/0000009}', "");
Expect(1, 8529, '\P{^Numeric_Value=1/0000009}', "");
Expect(0, 8530, '\p{Numeric_Value=1/0000009}', "");
Expect(1, 8530, '\p{^Numeric_Value=1/0000009}', "");
Expect(1, 8530, '\P{Numeric_Value=1/0000009}', "");
Expect(0, 8530, '\P{^Numeric_Value=1/0000009}', "");
Error('\p{Numeric_Value: 0.11}');
Error('\P{Numeric_Value: 0.11}');
Expect(1, 8529, '\p{Numeric_Value:	0.111}', "");
Expect(0, 8529, '\p{^Numeric_Value:	0.111}', "");
Expect(0, 8529, '\P{Numeric_Value:	0.111}', "");
Expect(1, 8529, '\P{^Numeric_Value:	0.111}', "");
Expect(0, 8530, '\p{Numeric_Value:	0.111}', "");
Expect(1, 8530, '\p{^Numeric_Value:	0.111}', "");
Expect(1, 8530, '\P{Numeric_Value:	0.111}', "");
Expect(0, 8530, '\P{^Numeric_Value:	0.111}', "");
Error('\p{Nv=_:=1/0000009}');
Error('\P{Nv=_:=1/0000009}');
Expect(1, 8529, '\p{Nv=000001/0000009}', "");
Expect(0, 8529, '\p{^Nv=000001/0000009}', "");
Expect(0, 8529, '\P{Nv=000001/0000009}', "");
Expect(1, 8529, '\P{^Nv=000001/0000009}', "");
Expect(0, 8530, '\p{Nv=000001/0000009}', "");
Expect(1, 8530, '\p{^Nv=000001/0000009}', "");
Expect(1, 8530, '\P{Nv=000001/0000009}', "");
Expect(0, 8530, '\P{^Nv=000001/0000009}', "");
Error('\p{Nv=0.11}');
Error('\P{Nv=0.11}');
Expect(1, 8529, '\p{Nv: 0.111}', "");
Expect(0, 8529, '\p{^Nv: 0.111}', "");
Expect(0, 8529, '\P{Nv: 0.111}', "");
Expect(1, 8529, '\P{^Nv: 0.111}', "");
Expect(0, 8530, '\p{Nv: 0.111}', "");
Expect(1, 8530, '\p{^Nv: 0.111}', "");
Expect(1, 8530, '\P{Nv: 0.111}', "");
Expect(0, 8530, '\P{^Nv: 0.111}', "");
Error('\p{Is_Numeric_Value=-/a/001/0000000009}');
Error('\P{Is_Numeric_Value=-/a/001/0000000009}');
Expect(1, 8529, '\p{Is_Numeric_Value=000001/000000009}', "");
Expect(0, 8529, '\p{^Is_Numeric_Value=000001/000000009}', "");
Expect(0, 8529, '\P{Is_Numeric_Value=000001/000000009}', "");
Expect(1, 8529, '\P{^Is_Numeric_Value=000001/000000009}', "");
Expect(0, 8530, '\p{Is_Numeric_Value=000001/000000009}', "");
Expect(1, 8530, '\p{^Is_Numeric_Value=000001/000000009}', "");
Expect(1, 8530, '\P{Is_Numeric_Value=000001/000000009}', "");
Expect(0, 8530, '\P{^Is_Numeric_Value=000001/000000009}', "");
Error('\p{Is_Numeric_Value=0.11}');
Error('\P{Is_Numeric_Value=0.11}');
Expect(1, 8529, '\p{Is_Numeric_Value=0.111}', "");
Expect(0, 8529, '\p{^Is_Numeric_Value=0.111}', "");
Expect(0, 8529, '\P{Is_Numeric_Value=0.111}', "");
Expect(1, 8529, '\P{^Is_Numeric_Value=0.111}', "");
Expect(0, 8530, '\p{Is_Numeric_Value=0.111}', "");
Expect(1, 8530, '\p{^Is_Numeric_Value=0.111}', "");
Expect(1, 8530, '\P{Is_Numeric_Value=0.111}', "");
Expect(0, 8530, '\P{^Is_Numeric_Value=0.111}', "");
Error('\p{Is_Nv=	:=+0000001/000009}');
Error('\P{Is_Nv=	:=+0000001/000009}');
Expect(1, 8529, '\p{Is_Nv=001/0000009}', "");
Expect(0, 8529, '\p{^Is_Nv=001/0000009}', "");
Expect(0, 8529, '\P{Is_Nv=001/0000009}', "");
Expect(1, 8529, '\P{^Is_Nv=001/0000009}', "");
Expect(0, 8530, '\p{Is_Nv=001/0000009}', "");
Expect(1, 8530, '\p{^Is_Nv=001/0000009}', "");
Expect(1, 8530, '\P{Is_Nv=001/0000009}', "");
Expect(0, 8530, '\P{^Is_Nv=001/0000009}', "");
Error('\p{Is_Nv=0.11}');
Error('\P{Is_Nv=0.11}');
Expect(1, 8529, '\p{Is_Nv=0.111}', "");
Expect(0, 8529, '\p{^Is_Nv=0.111}', "");
Expect(0, 8529, '\P{Is_Nv=0.111}', "");
Expect(1, 8529, '\P{^Is_Nv=0.111}', "");
Expect(0, 8530, '\p{Is_Nv=0.111}', "");
Expect(1, 8530, '\p{^Is_Nv=0.111}', "");
Expect(1, 8530, '\P{Is_Nv=0.111}', "");
Expect(0, 8530, '\P{^Is_Nv=0.111}', "");
Error('\p{Numeric_Value=/a/000000010}');
Error('\P{Numeric_Value=/a/000000010}');
Expect(1, 119657, '\p{Numeric_Value=0_0_0_0_0_0_0010}', "");
Expect(0, 119657, '\p{^Numeric_Value=0_0_0_0_0_0_0010}', "");
Expect(0, 119657, '\P{Numeric_Value=0_0_0_0_0_0_0010}', "");
Expect(1, 119657, '\P{^Numeric_Value=0_0_0_0_0_0_0010}', "");
Expect(0, 119658, '\p{Numeric_Value=0_0_0_0_0_0_0010}', "");
Expect(1, 119658, '\p{^Numeric_Value=0_0_0_0_0_0_0010}', "");
Expect(1, 119658, '\P{Numeric_Value=0_0_0_0_0_0_0010}', "");
Expect(0, 119658, '\P{^Numeric_Value=0_0_0_0_0_0_0010}', "");
Error('\p{Nv=:=+00_00_01_0}');
Error('\P{Nv=:=+00_00_01_0}');
Expect(1, 119657, '\p{Nv=01_0}', "");
Expect(0, 119657, '\p{^Nv=01_0}', "");
Expect(0, 119657, '\P{Nv=01_0}', "");
Expect(1, 119657, '\P{^Nv=01_0}', "");
Expect(0, 119658, '\p{Nv=01_0}', "");
Expect(1, 119658, '\p{^Nv=01_0}', "");
Expect(1, 119658, '\P{Nv=01_0}', "");
Expect(0, 119658, '\P{^Nv=01_0}', "");
Error('\p{Is_Numeric_Value= -000010:=}');
Error('\P{Is_Numeric_Value= -000010:=}');
Expect(1, 119657, '\p{Is_Numeric_Value=000010}', "");
Expect(0, 119657, '\p{^Is_Numeric_Value=000010}', "");
Expect(0, 119657, '\P{Is_Numeric_Value=000010}', "");
Expect(1, 119657, '\P{^Is_Numeric_Value=000010}', "");
Expect(0, 119658, '\p{Is_Numeric_Value=000010}', "");
Expect(1, 119658, '\p{^Is_Numeric_Value=000010}', "");
Expect(1, 119658, '\P{Is_Numeric_Value=000010}', "");
Expect(0, 119658, '\P{^Is_Numeric_Value=000010}', "");
Error('\p{Is_Nv=	/a/10}');
Error('\P{Is_Nv=	/a/10}');
Expect(1, 119657, '\p{Is_Nv=10}', "");
Expect(0, 119657, '\p{^Is_Nv=10}', "");
Expect(0, 119657, '\P{Is_Nv=10}', "");
Expect(1, 119657, '\P{^Is_Nv=10}', "");
Expect(0, 119658, '\p{Is_Nv=10}', "");
Expect(1, 119658, '\p{^Is_Nv=10}', "");
Expect(1, 119658, '\P{Is_Nv=10}', "");
Expect(0, 119658, '\P{^Is_Nv=10}', "");
Error('\p{Numeric_Value= _0_1_00/a/}');
Error('\P{Numeric_Value= _0_1_00/a/}');
Expect(1, 93020, '\p{Numeric_Value=+000_001_00}', "");
Expect(0, 93020, '\p{^Numeric_Value=+000_001_00}', "");
Expect(0, 93020, '\P{Numeric_Value=+000_001_00}', "");
Expect(1, 93020, '\P{^Numeric_Value=+000_001_00}', "");
Expect(0, 93021, '\p{Numeric_Value=+000_001_00}', "");
Expect(1, 93021, '\p{^Numeric_Value=+000_001_00}', "");
Expect(1, 93021, '\P{Numeric_Value=+000_001_00}', "");
Expect(0, 93021, '\P{^Numeric_Value=+000_001_00}', "");
Error('\p{Nv=/a/	-00100}');
Error('\P{Nv=/a/	-00100}');
Expect(1, 93020, '\p{Nv=0100}', "");
Expect(0, 93020, '\p{^Nv=0100}', "");
Expect(0, 93020, '\P{Nv=0100}', "");
Expect(1, 93020, '\P{^Nv=0100}', "");
Expect(0, 93021, '\p{Nv=0100}', "");
Expect(1, 93021, '\p{^Nv=0100}', "");
Expect(1, 93021, '\P{Nv=0100}', "");
Expect(0, 93021, '\P{^Nv=0100}', "");
Error('\p{Is_Numeric_Value=_:=+00000000100}');
Error('\P{Is_Numeric_Value=_:=+00000000100}');
Expect(1, 93020, '\p{Is_Numeric_Value:   000000000100}', "");
Expect(0, 93020, '\p{^Is_Numeric_Value:   000000000100}', "");
Expect(0, 93020, '\P{Is_Numeric_Value:   000000000100}', "");
Expect(1, 93020, '\P{^Is_Numeric_Value:   000000000100}', "");
Expect(0, 93021, '\p{Is_Numeric_Value:   000000000100}', "");
Expect(1, 93021, '\p{^Is_Numeric_Value:   000000000100}', "");
Expect(1, 93021, '\P{Is_Numeric_Value:   000000000100}', "");
Expect(0, 93021, '\P{^Is_Numeric_Value:   000000000100}', "");
Error('\p{Is_Nv=	:=0_0_0_0_0_0_0100}');
Error('\P{Is_Nv=	:=0_0_0_0_0_0_0100}');
Expect(1, 93020, '\p{Is_Nv=010_0}', "");
Expect(0, 93020, '\p{^Is_Nv=010_0}', "");
Expect(0, 93020, '\P{Is_Nv=010_0}', "");
Expect(1, 93020, '\P{^Is_Nv=010_0}', "");
Expect(0, 93021, '\p{Is_Nv=010_0}', "");
Expect(1, 93021, '\p{^Is_Nv=010_0}', "");
Expect(1, 93021, '\P{Is_Nv=010_0}', "");
Expect(0, 93021, '\P{^Is_Nv=010_0}', "");
Error('\p{Numeric_Value=_/a/000000001000}');
Error('\P{Numeric_Value=_/a/000000001000}');
Expect(1, 70132, '\p{Numeric_Value: +0_0_0_0_1_000}', "");
Expect(0, 70132, '\p{^Numeric_Value: +0_0_0_0_1_000}', "");
Expect(0, 70132, '\P{Numeric_Value: +0_0_0_0_1_000}', "");
Expect(1, 70132, '\P{^Numeric_Value: +0_0_0_0_1_000}', "");
Expect(0, 70133, '\p{Numeric_Value: +0_0_0_0_1_000}', "");
Expect(1, 70133, '\p{^Numeric_Value: +0_0_0_0_1_000}', "");
Expect(1, 70133, '\P{Numeric_Value: +0_0_0_0_1_000}', "");
Expect(0, 70133, '\P{^Numeric_Value: +0_0_0_0_1_000}', "");
Error('\p{Nv=	:=00000_00010_00}');
Error('\P{Nv=	:=00000_00010_00}');
Expect(1, 70132, '\p{Nv:	+00_00_00_00_10_00}', "");
Expect(0, 70132, '\p{^Nv:	+00_00_00_00_10_00}', "");
Expect(0, 70132, '\P{Nv:	+00_00_00_00_10_00}', "");
Expect(1, 70132, '\P{^Nv:	+00_00_00_00_10_00}', "");
Expect(0, 70133, '\p{Nv:	+00_00_00_00_10_00}', "");
Expect(1, 70133, '\p{^Nv:	+00_00_00_00_10_00}', "");
Expect(1, 70133, '\P{Nv:	+00_00_00_00_10_00}', "");
Expect(0, 70133, '\P{^Nv:	+00_00_00_00_10_00}', "");
Error('\p{Is_Numeric_Value=:=-	0_0_1_0_00}');
Error('\P{Is_Numeric_Value=:=-	0_0_1_0_00}');
Expect(1, 70132, '\p{Is_Numeric_Value=0100_0}', "");
Expect(0, 70132, '\p{^Is_Numeric_Value=0100_0}', "");
Expect(0, 70132, '\P{Is_Numeric_Value=0100_0}', "");
Expect(1, 70132, '\P{^Is_Numeric_Value=0100_0}', "");
Expect(0, 70133, '\p{Is_Numeric_Value=0100_0}', "");
Expect(1, 70133, '\p{^Is_Numeric_Value=0100_0}', "");
Expect(1, 70133, '\P{Is_Numeric_Value=0100_0}', "");
Expect(0, 70133, '\P{^Is_Numeric_Value=0100_0}', "");
Error('\p{Is_Nv=/a/_-000000001000}');
Error('\P{Is_Nv=/a/_-000000001000}');
Expect(1, 70132, '\p{Is_Nv: 00001000}', "");
Expect(0, 70132, '\p{^Is_Nv: 00001000}', "");
Expect(0, 70132, '\P{Is_Nv: 00001000}', "");
Expect(1, 70132, '\P{^Is_Nv: 00001000}', "");
Expect(0, 70133, '\p{Is_Nv: 00001000}', "");
Expect(1, 70133, '\p{^Is_Nv: 00001000}', "");
Expect(1, 70133, '\P{Is_Nv: 00001000}', "");
Expect(0, 70133, '\P{^Is_Nv: 00001000}', "");
Error('\p{Numeric_Value=	+1000_0:=}');
Error('\P{Numeric_Value=	+1000_0:=}');
Expect(1, 93021, '\p{Numeric_Value=010000}', "");
Expect(0, 93021, '\p{^Numeric_Value=010000}', "");
Expect(0, 93021, '\P{Numeric_Value=010000}', "");
Expect(1, 93021, '\P{^Numeric_Value=010000}', "");
Expect(0, 93022, '\p{Numeric_Value=010000}', "");
Expect(1, 93022, '\p{^Numeric_Value=010000}', "");
Expect(1, 93022, '\P{Numeric_Value=010000}', "");
Expect(0, 93022, '\P{^Numeric_Value=010000}', "");
Error('\p{Nv=-	+0_0_0_1_0_0_00/a/}');
Error('\P{Nv=-	+0_0_0_1_0_0_00/a/}');
Expect(1, 93021, '\p{Nv:	00010000}', "");
Expect(0, 93021, '\p{^Nv:	00010000}', "");
Expect(0, 93021, '\P{Nv:	00010000}', "");
Expect(1, 93021, '\P{^Nv:	00010000}', "");
Expect(0, 93022, '\p{Nv:	00010000}', "");
Expect(1, 93022, '\p{^Nv:	00010000}', "");
Expect(1, 93022, '\P{Nv:	00010000}', "");
Expect(0, 93022, '\P{^Nv:	00010000}', "");
Error('\p{Is_Numeric_Value=_/a/0_0_1_0_0_00}');
Error('\P{Is_Numeric_Value=_/a/0_0_1_0_0_00}');
Expect(1, 93021, '\p{Is_Numeric_Value=000000010000}', "");
Expect(0, 93021, '\p{^Is_Numeric_Value=000000010000}', "");
Expect(0, 93021, '\P{Is_Numeric_Value=000000010000}', "");
Expect(1, 93021, '\P{^Is_Numeric_Value=000000010000}', "");
Expect(0, 93022, '\p{Is_Numeric_Value=000000010000}', "");
Expect(1, 93022, '\p{^Is_Numeric_Value=000000010000}', "");
Expect(1, 93022, '\P{Is_Numeric_Value=000000010000}', "");
Expect(0, 93022, '\P{^Is_Numeric_Value=000000010000}', "");
Error('\p{Is_Nv=	0_0_0_0_1_0_000/a/}');
Error('\P{Is_Nv=	0_0_0_0_1_0_000/a/}');
Expect(1, 93021, '\p{Is_Nv=00001000_0}', "");
Expect(0, 93021, '\p{^Is_Nv=00001000_0}', "");
Expect(0, 93021, '\P{Is_Nv=00001000_0}', "");
Expect(1, 93021, '\P{^Is_Nv=00001000_0}', "");
Expect(0, 93022, '\p{Is_Nv=00001000_0}', "");
Expect(1, 93022, '\p{^Is_Nv=00001000_0}', "");
Expect(1, 93022, '\P{Is_Nv=00001000_0}', "");
Expect(0, 93022, '\P{^Is_Nv=00001000_0}', "");
Error('\p{Numeric_Value=:=	 000000100000}');
Error('\P{Numeric_Value=:=	 000000100000}');
Expect(1, 68077, '\p{Numeric_Value:0_0_0_0_0_0_0_0_1_0_0000}', "");
Expect(0, 68077, '\p{^Numeric_Value:0_0_0_0_0_0_0_0_1_0_0000}', "");
Expect(0, 68077, '\P{Numeric_Value:0_0_0_0_0_0_0_0_1_0_0000}', "");
Expect(1, 68077, '\P{^Numeric_Value:0_0_0_0_0_0_0_0_1_0_0000}', "");
Expect(0, 68078, '\p{Numeric_Value:0_0_0_0_0_0_0_0_1_0_0000}', "");
Expect(1, 68078, '\p{^Numeric_Value:0_0_0_0_0_0_0_0_1_0_0000}', "");
Expect(1, 68078, '\P{Numeric_Value:0_0_0_0_0_0_0_0_1_0_0000}', "");
Expect(0, 68078, '\P{^Numeric_Value:0_0_0_0_0_0_0_0_1_0_0000}', "");
Error('\p{Nv:		000000100000:=}');
Error('\P{Nv:		000000100000:=}');
Expect(1, 68077, '\p{Nv=0_0_0_0_1_0_0000}', "");
Expect(0, 68077, '\p{^Nv=0_0_0_0_1_0_0000}', "");
Expect(0, 68077, '\P{Nv=0_0_0_0_1_0_0000}', "");
Expect(1, 68077, '\P{^Nv=0_0_0_0_1_0_0000}', "");
Expect(0, 68078, '\p{Nv=0_0_0_0_1_0_0000}', "");
Expect(1, 68078, '\p{^Nv=0_0_0_0_1_0_0000}', "");
Expect(1, 68078, '\P{Nv=0_0_0_0_1_0_0000}', "");
Expect(0, 68078, '\P{^Nv=0_0_0_0_1_0_0000}', "");
Error('\p{Is_Numeric_Value=:=- 0000000100000}');
Error('\P{Is_Numeric_Value=:=- 0000000100000}');
Expect(1, 68077, '\p{Is_Numeric_Value=0000_0000_1000_00}', "");
Expect(0, 68077, '\p{^Is_Numeric_Value=0000_0000_1000_00}', "");
Expect(0, 68077, '\P{Is_Numeric_Value=0000_0000_1000_00}', "");
Expect(1, 68077, '\P{^Is_Numeric_Value=0000_0000_1000_00}', "");
Expect(0, 68078, '\p{Is_Numeric_Value=0000_0000_1000_00}', "");
Expect(1, 68078, '\p{^Is_Numeric_Value=0000_0000_1000_00}', "");
Expect(1, 68078, '\P{Is_Numeric_Value=0000_0000_1000_00}', "");
Expect(0, 68078, '\P{^Is_Numeric_Value=0000_0000_1000_00}', "");
Error('\p{Is_Nv=:=_0000000100000}');
Error('\P{Is_Nv=:=_0000000100000}');
Expect(1, 68077, '\p{Is_Nv=10_00_00}', "");
Expect(0, 68077, '\p{^Is_Nv=10_00_00}', "");
Expect(0, 68077, '\P{Is_Nv=10_00_00}', "");
Expect(1, 68077, '\P{^Is_Nv=10_00_00}', "");
Expect(0, 68078, '\p{Is_Nv=10_00_00}', "");
Expect(1, 68078, '\p{^Is_Nv=10_00_00}', "");
Expect(1, 68078, '\P{Is_Nv=10_00_00}', "");
Expect(0, 68078, '\P{^Is_Nv=10_00_00}', "");
Error('\p{Numeric_Value:   	+0_0_0_0_0_1_0_0_0_000:=}');
Error('\P{Numeric_Value:   	+0_0_0_0_0_1_0_0_0_000:=}');
Expect(1, 93022, '\p{Numeric_Value=+1000000}', "");
Expect(0, 93022, '\p{^Numeric_Value=+1000000}', "");
Expect(0, 93022, '\P{Numeric_Value=+1000000}', "");
Expect(1, 93022, '\P{^Numeric_Value=+1000000}', "");
Expect(0, 93023, '\p{Numeric_Value=+1000000}', "");
Expect(1, 93023, '\p{^Numeric_Value=+1000000}', "");
Expect(1, 93023, '\P{Numeric_Value=+1000000}', "");
Expect(0, 93023, '\P{^Numeric_Value=+1000000}', "");
Error('\p{Nv=/a/- +0000001000000}');
Error('\P{Nv=/a/- +0000001000000}');
Expect(1, 93022, '\p{Nv=1_0_0_0_0_00}', "");
Expect(0, 93022, '\p{^Nv=1_0_0_0_0_00}', "");
Expect(0, 93022, '\P{Nv=1_0_0_0_0_00}', "");
Expect(1, 93022, '\P{^Nv=1_0_0_0_0_00}', "");
Expect(0, 93023, '\p{Nv=1_0_0_0_0_00}', "");
Expect(1, 93023, '\p{^Nv=1_0_0_0_0_00}', "");
Expect(1, 93023, '\P{Nv=1_0_0_0_0_00}', "");
Expect(0, 93023, '\P{^Nv=1_0_0_0_0_00}', "");
Error('\p{Is_Numeric_Value=-_0_0_0_0_1_0_0_0_000:=}');
Error('\P{Is_Numeric_Value=-_0_0_0_0_1_0_0_0_000:=}');
Expect(1, 93022, '\p{Is_Numeric_Value=0001_0000_00}', "");
Expect(0, 93022, '\p{^Is_Numeric_Value=0001_0000_00}', "");
Expect(0, 93022, '\P{Is_Numeric_Value=0001_0000_00}', "");
Expect(1, 93022, '\P{^Is_Numeric_Value=0001_0000_00}', "");
Expect(0, 93023, '\p{Is_Numeric_Value=0001_0000_00}', "");
Expect(1, 93023, '\p{^Is_Numeric_Value=0001_0000_00}', "");
Expect(1, 93023, '\P{Is_Numeric_Value=0001_0000_00}', "");
Expect(0, 93023, '\P{^Is_Numeric_Value=0001_0000_00}', "");
Error('\p{Is_Nv=_:=000001000000}');
Error('\P{Is_Nv=_:=000001000000}');
Expect(1, 93022, '\p{Is_Nv=0_0_0_0_0_0_0_0_1_0_0_0_0_00}', "");
Expect(0, 93022, '\p{^Is_Nv=0_0_0_0_0_0_0_0_1_0_0_0_0_00}', "");
Expect(0, 93022, '\P{Is_Nv=0_0_0_0_0_0_0_0_1_0_0_0_0_00}', "");
Expect(1, 93022, '\P{^Is_Nv=0_0_0_0_0_0_0_0_1_0_0_0_0_00}', "");
Expect(0, 93023, '\p{Is_Nv=0_0_0_0_0_0_0_0_1_0_0_0_0_00}', "");
Expect(1, 93023, '\p{^Is_Nv=0_0_0_0_0_0_0_0_1_0_0_0_0_00}', "");
Expect(1, 93023, '\P{Is_Nv=0_0_0_0_0_0_0_0_1_0_0_0_0_00}', "");
Expect(0, 93023, '\P{^Is_Nv=0_0_0_0_0_0_0_0_1_0_0_0_0_00}', "");
Error('\p{Numeric_Value=  1000_0000_0/a/}');
Error('\P{Numeric_Value=  1000_0000_0/a/}');
Expect(1, 93023, '\p{Numeric_Value=+000_100_000_000}', "");
Expect(0, 93023, '\p{^Numeric_Value=+000_100_000_000}', "");
Expect(0, 93023, '\P{Numeric_Value=+000_100_000_000}', "");
Expect(1, 93023, '\P{^Numeric_Value=+000_100_000_000}', "");
Expect(0, 93024, '\p{Numeric_Value=+000_100_000_000}', "");
Expect(1, 93024, '\p{^Numeric_Value=+000_100_000_000}', "");
Expect(1, 93024, '\P{Numeric_Value=+000_100_000_000}', "");
Expect(0, 93024, '\P{^Numeric_Value=+000_100_000_000}', "");
Error('\p{Nv=:=- 00_00_00_10_00_00_00_0}');
Error('\P{Nv=:=- 00_00_00_10_00_00_00_0}');
Expect(1, 93023, '\p{Nv=0_1_0_0_0_0_0000}', "");
Expect(0, 93023, '\p{^Nv=0_1_0_0_0_0_0000}', "");
Expect(0, 93023, '\P{Nv=0_1_0_0_0_0_0000}', "");
Expect(1, 93023, '\P{^Nv=0_1_0_0_0_0_0000}', "");
Expect(0, 93024, '\p{Nv=0_1_0_0_0_0_0000}', "");
Expect(1, 93024, '\p{^Nv=0_1_0_0_0_0_0000}', "");
Expect(1, 93024, '\P{Nv=0_1_0_0_0_0_0000}', "");
Expect(0, 93024, '\P{^Nv=0_1_0_0_0_0_0000}', "");
Error('\p{Is_Numeric_Value=_/a/0100_0000_00}');
Error('\P{Is_Numeric_Value=_/a/0100_0000_00}');
Expect(1, 93023, '\p{Is_Numeric_Value=0_1_0_0_0_00000}', "");
Expect(0, 93023, '\p{^Is_Numeric_Value=0_1_0_0_0_00000}', "");
Expect(0, 93023, '\P{Is_Numeric_Value=0_1_0_0_0_00000}', "");
Expect(1, 93023, '\P{^Is_Numeric_Value=0_1_0_0_0_00000}', "");
Expect(0, 93024, '\p{Is_Numeric_Value=0_1_0_0_0_00000}', "");
Expect(1, 93024, '\p{^Is_Numeric_Value=0_1_0_0_0_00000}', "");
Expect(1, 93024, '\P{Is_Numeric_Value=0_1_0_0_0_00000}', "");
Expect(0, 93024, '\P{^Is_Numeric_Value=0_1_0_0_0_00000}', "");
Error('\p{Is_Nv=	_0000100000000/a/}');
Error('\P{Is_Nv=	_0000100000000/a/}');
Expect(1, 93023, '\p{Is_Nv=000000100000000}', "");
Expect(0, 93023, '\p{^Is_Nv=000000100000000}', "");
Expect(0, 93023, '\P{Is_Nv=000000100000000}', "");
Expect(1, 93023, '\P{^Is_Nv=000000100000000}', "");
Expect(0, 93024, '\p{Is_Nv=000000100000000}', "");
Expect(1, 93024, '\p{^Is_Nv=000000100000000}', "");
Expect(1, 93024, '\P{Is_Nv=000000100000000}', "");
Expect(0, 93024, '\P{^Is_Nv=000000100000000}', "");
Error('\p{Numeric_Value=:=	 00000001_00000000_00}');
Error('\P{Numeric_Value=:=	 00000001_00000000_00}');
Expect(1, 93024, '\p{Numeric_Value=00_00_00_01_00_00_000000}', "");
Expect(0, 93024, '\p{^Numeric_Value=00_00_00_01_00_00_000000}', "");
Expect(0, 93024, '\P{Numeric_Value=00_00_00_01_00_00_000000}', "");
Expect(1, 93024, '\P{^Numeric_Value=00_00_00_01_00_00_000000}', "");
Expect(0, 93025, '\p{Numeric_Value=00_00_00_01_00_00_000000}', "");
Expect(1, 93025, '\p{^Numeric_Value=00_00_00_01_00_00_000000}', "");
Expect(1, 93025, '\P{Numeric_Value=00_00_00_01_00_00_000000}', "");
Expect(0, 93025, '\P{^Numeric_Value=00_00_00_01_00_00_000000}', "");
Error('\p{Nv=	/a/0_0_0_0_0_0_1_0_0_0_0_0_0_0000}');
Error('\P{Nv=	/a/0_0_0_0_0_0_1_0_0_0_0_0_0_0000}');
Expect(1, 93024, '\p{Nv=00010000000000}', "");
Expect(0, 93024, '\p{^Nv=00010000000000}', "");
Expect(0, 93024, '\P{Nv=00010000000000}', "");
Expect(1, 93024, '\P{^Nv=00010000000000}', "");
Expect(0, 93025, '\p{Nv=00010000000000}', "");
Expect(1, 93025, '\p{^Nv=00010000000000}', "");
Expect(1, 93025, '\P{Nv=00010000000000}', "");
Expect(0, 93025, '\P{^Nv=00010000000000}', "");
Error('\p{Is_Numeric_Value=_+0_0_0_0_0_0_0_0_0_1_0_0_0_0_000000:=}');
Error('\P{Is_Numeric_Value=_+0_0_0_0_0_0_0_0_0_1_0_0_0_0_000000:=}');
Expect(1, 93024, '\p{Is_Numeric_Value:	+0000000010000000000}', "");
Expect(0, 93024, '\p{^Is_Numeric_Value:	+0000000010000000000}', "");
Expect(0, 93024, '\P{Is_Numeric_Value:	+0000000010000000000}', "");
Expect(1, 93024, '\P{^Is_Numeric_Value:	+0000000010000000000}', "");
Expect(0, 93025, '\p{Is_Numeric_Value:	+0000000010000000000}', "");
Expect(1, 93025, '\p{^Is_Numeric_Value:	+0000000010000000000}', "");
Expect(1, 93025, '\P{Is_Numeric_Value:	+0000000010000000000}', "");
Expect(0, 93025, '\P{^Is_Numeric_Value:	+0000000010000000000}', "");
Error('\p{Is_Nv=-	0_0_1_0_0_0_0_000000/a/}');
Error('\P{Is_Nv=-	0_0_1_0_0_0_0_000000/a/}');
Expect(1, 93024, '\p{Is_Nv=+0_0_0_0_0_0_1_0_0_0_0000000}', "");
Expect(0, 93024, '\p{^Is_Nv=+0_0_0_0_0_0_1_0_0_0_0000000}', "");
Expect(0, 93024, '\P{Is_Nv=+0_0_0_0_0_0_1_0_0_0_0000000}', "");
Expect(1, 93024, '\P{^Is_Nv=+0_0_0_0_0_0_1_0_0_0_0000000}', "");
Expect(0, 93025, '\p{Is_Nv=+0_0_0_0_0_0_1_0_0_0_0000000}', "");
Expect(1, 93025, '\p{^Is_Nv=+0_0_0_0_0_0_1_0_0_0_0000000}', "");
Expect(1, 93025, '\P{Is_Nv=+0_0_0_0_0_0_1_0_0_0_0000000}', "");
Expect(0, 93025, '\P{^Is_Nv=+0_0_0_0_0_0_1_0_0_0_0000000}', "");
Error('\p{Numeric_Value=	-+0_0_0_0_0_0_0_0_0_1_0_0_0_0_0_0_000000:=}');
Error('\P{Numeric_Value=	-+0_0_0_0_0_0_0_0_0_1_0_0_0_0_0_0_000000:=}');
Expect(1, 93025, '\p{Numeric_Value=00001000000000000}', "");
Expect(0, 93025, '\p{^Numeric_Value=00001000000000000}', "");
Expect(0, 93025, '\P{Numeric_Value=00001000000000000}', "");
Expect(1, 93025, '\P{^Numeric_Value=00001000000000000}', "");
Expect(0, 93026, '\p{Numeric_Value=00001000000000000}', "");
Expect(1, 93026, '\p{^Numeric_Value=00001000000000000}', "");
Expect(1, 93026, '\P{Numeric_Value=00001000000000000}', "");
Expect(0, 93026, '\P{^Numeric_Value=00001000000000000}', "");
Error('\p{Nv=:=_+0001000000000000}');
Error('\P{Nv=:=_+0001000000000000}');
Expect(1, 93025, '\p{Nv=0_0_0_0_0_0_0_0_0_1_0_0_0_0_0_0_0_0_0000}', "");
Expect(0, 93025, '\p{^Nv=0_0_0_0_0_0_0_0_0_1_0_0_0_0_0_0_0_0_0000}', "");
Expect(0, 93025, '\P{Nv=0_0_0_0_0_0_0_0_0_1_0_0_0_0_0_0_0_0_0000}', "");
Expect(1, 93025, '\P{^Nv=0_0_0_0_0_0_0_0_0_1_0_0_0_0_0_0_0_0_0000}', "");
Expect(0, 93026, '\p{Nv=0_0_0_0_0_0_0_0_0_1_0_0_0_0_0_0_0_0_0000}', "");
Expect(1, 93026, '\p{^Nv=0_0_0_0_0_0_0_0_0_1_0_0_0_0_0_0_0_0_0000}', "");
Expect(1, 93026, '\P{Nv=0_0_0_0_0_0_0_0_0_1_0_0_0_0_0_0_0_0_0000}', "");
Expect(0, 93026, '\P{^Nv=0_0_0_0_0_0_0_0_0_1_0_0_0_0_0_0_0_0_0000}', "");
Error('\p{Is_Numeric_Value=_/a/00000001000000000000}');
Error('\P{Is_Numeric_Value=_/a/00000001000000000000}');
Expect(1, 93025, '\p{Is_Numeric_Value=0_1_0_0_0_0_0_0_0_0_0_0_00}', "");
Expect(0, 93025, '\p{^Is_Numeric_Value=0_1_0_0_0_0_0_0_0_0_0_0_00}', "");
Expect(0, 93025, '\P{Is_Numeric_Value=0_1_0_0_0_0_0_0_0_0_0_0_00}', "");
Expect(1, 93025, '\P{^Is_Numeric_Value=0_1_0_0_0_0_0_0_0_0_0_0_00}', "");
Expect(0, 93026, '\p{Is_Numeric_Value=0_1_0_0_0_0_0_0_0_0_0_0_00}', "");
Expect(1, 93026, '\p{^Is_Numeric_Value=0_1_0_0_0_0_0_0_0_0_0_0_00}', "");
Expect(1, 93026, '\P{Is_Numeric_Value=0_1_0_0_0_0_0_0_0_0_0_0_00}', "");
Expect(0, 93026, '\P{^Is_Numeric_Value=0_1_0_0_0_0_0_0_0_0_0_0_00}', "");
Error('\p{Is_Nv:	_/a/001000000000000}');
Error('\P{Is_Nv:	_/a/001000000000000}');
Expect(1, 93025, '\p{Is_Nv=000000001000000000000}', "");
Expect(0, 93025, '\p{^Is_Nv=000000001000000000000}', "");
Expect(0, 93025, '\P{Is_Nv=000000001000000000000}', "");
Expect(1, 93025, '\P{^Is_Nv=000000001000000000000}', "");
Expect(0, 93026, '\p{Is_Nv=000000001000000000000}', "");
Expect(1, 93026, '\p{^Is_Nv=000000001000000000000}', "");
Expect(1, 93026, '\P{Is_Nv=000000001000000000000}', "");
Expect(0, 93026, '\P{^Is_Nv=000000001000000000000}', "");
Error('\p{Numeric_Value=/a/+011}');
Error('\P{Numeric_Value=/a/+011}');
Expect(1, 9451, '\p{Numeric_Value=011}', "");
Expect(0, 9451, '\p{^Numeric_Value=011}', "");
Expect(0, 9451, '\P{Numeric_Value=011}', "");
Expect(1, 9451, '\P{^Numeric_Value=011}', "");
Expect(0, 9452, '\p{Numeric_Value=011}', "");
Expect(1, 9452, '\p{^Numeric_Value=011}', "");
Expect(1, 9452, '\P{Numeric_Value=011}', "");
Expect(0, 9452, '\P{^Numeric_Value=011}', "");
Error('\p{Nv=_:=00_01_1}');
Error('\P{Nv=_:=00_01_1}');
Expect(1, 9451, '\p{Nv=0_0_0_0_0_00011}', "");
Expect(0, 9451, '\p{^Nv=0_0_0_0_0_00011}', "");
Expect(0, 9451, '\P{Nv=0_0_0_0_0_00011}', "");
Expect(1, 9451, '\P{^Nv=0_0_0_0_0_00011}', "");
Expect(0, 9452, '\p{Nv=0_0_0_0_0_00011}', "");
Expect(1, 9452, '\p{^Nv=0_0_0_0_0_00011}', "");
Expect(1, 9452, '\P{Nv=0_0_0_0_0_00011}', "");
Expect(0, 9452, '\P{^Nv=0_0_0_0_0_00011}', "");
Error('\p{Is_Numeric_Value: :=	 11}');
Error('\P{Is_Numeric_Value: :=	 11}');
Expect(1, 9451, '\p{Is_Numeric_Value=+11}', "");
Expect(0, 9451, '\p{^Is_Numeric_Value=+11}', "");
Expect(0, 9451, '\P{Is_Numeric_Value=+11}', "");
Expect(1, 9451, '\P{^Is_Numeric_Value=+11}', "");
Expect(0, 9452, '\p{Is_Numeric_Value=+11}', "");
Expect(1, 9452, '\p{^Is_Numeric_Value=+11}', "");
Expect(1, 9452, '\P{Is_Numeric_Value=+11}', "");
Expect(0, 9452, '\P{^Is_Numeric_Value=+11}', "");
Error('\p{Is_Nv=	:=0_0_0_0_0_0_0_0011}');
Error('\P{Is_Nv=	:=0_0_0_0_0_0_0_0011}');
Expect(1, 9451, '\p{Is_Nv=0000_0000_11}', "");
Expect(0, 9451, '\p{^Is_Nv=0000_0000_11}', "");
Expect(0, 9451, '\P{Is_Nv=0000_0000_11}', "");
Expect(1, 9451, '\P{^Is_Nv=0000_0000_11}', "");
Expect(0, 9452, '\p{Is_Nv=0000_0000_11}', "");
Expect(1, 9452, '\p{^Is_Nv=0000_0000_11}', "");
Expect(1, 9452, '\P{Is_Nv=0000_0000_11}', "");
Expect(0, 9452, '\P{^Is_Nv=0000_0000_11}', "");
Error('\p{Numeric_Value=:=  000000011/000012}');
Error('\P{Numeric_Value=:=  000000011/000012}');
Expect(1, 68028, '\p{Numeric_Value=00000000011/000000012}', "");
Expect(0, 68028, '\p{^Numeric_Value=00000000011/000000012}', "");
Expect(0, 68028, '\P{Numeric_Value=00000000011/000000012}', "");
Expect(1, 68028, '\P{^Numeric_Value=00000000011/000000012}', "");
Expect(0, 68029, '\p{Numeric_Value=00000000011/000000012}', "");
Expect(1, 68029, '\p{^Numeric_Value=00000000011/000000012}', "");
Expect(1, 68029, '\P{Numeric_Value=00000000011/000000012}', "");
Expect(0, 68029, '\P{^Numeric_Value=00000000011/000000012}', "");
Error('\p{Numeric_Value=0.9}');
Error('\P{Numeric_Value=0.9}');
Error('\p{Numeric_Value=0.92}');
Error('\P{Numeric_Value=0.92}');
Expect(1, 68028, '\p{Numeric_Value=0.917}', "");
Expect(0, 68028, '\p{^Numeric_Value=0.917}', "");
Expect(0, 68028, '\P{Numeric_Value=0.917}', "");
Expect(1, 68028, '\P{^Numeric_Value=0.917}', "");
Expect(0, 68029, '\p{Numeric_Value=0.917}', "");
Expect(1, 68029, '\p{^Numeric_Value=0.917}', "");
Expect(1, 68029, '\P{Numeric_Value=0.917}', "");
Expect(0, 68029, '\P{^Numeric_Value=0.917}', "");
Error('\p{Nv=_:=00011/012}');
Error('\P{Nv=_:=00011/012}');
Expect(1, 68028, '\p{Nv=11/000012}', "");
Expect(0, 68028, '\p{^Nv=11/000012}', "");
Expect(0, 68028, '\P{Nv=11/000012}', "");
Expect(1, 68028, '\P{^Nv=11/000012}', "");
Expect(0, 68029, '\p{Nv=11/000012}', "");
Expect(1, 68029, '\p{^Nv=11/000012}', "");
Expect(1, 68029, '\P{Nv=11/000012}', "");
Expect(0, 68029, '\P{^Nv=11/000012}', "");
Error('\p{Nv=0.9}');
Error('\P{Nv=0.9}');
Error('\p{Nv:	0.92}');
Error('\P{Nv:	0.92}');
Expect(1, 68028, '\p{Nv=0.917}', "");
Expect(0, 68028, '\p{^Nv=0.917}', "");
Expect(0, 68028, '\P{Nv=0.917}', "");
Expect(1, 68028, '\P{^Nv=0.917}', "");
Expect(0, 68029, '\p{Nv=0.917}', "");
Expect(1, 68029, '\p{^Nv=0.917}', "");
Expect(1, 68029, '\P{Nv=0.917}', "");
Expect(0, 68029, '\P{^Nv=0.917}', "");
Error('\p{Is_Numeric_Value=	/a/0000000011/012}');
Error('\P{Is_Numeric_Value=	/a/0000000011/012}');
Expect(1, 68028, '\p{Is_Numeric_Value=011/0012}', "");
Expect(0, 68028, '\p{^Is_Numeric_Value=011/0012}', "");
Expect(0, 68028, '\P{Is_Numeric_Value=011/0012}', "");
Expect(1, 68028, '\P{^Is_Numeric_Value=011/0012}', "");
Expect(0, 68029, '\p{Is_Numeric_Value=011/0012}', "");
Expect(1, 68029, '\p{^Is_Numeric_Value=011/0012}', "");
Expect(1, 68029, '\P{Is_Numeric_Value=011/0012}', "");
Expect(0, 68029, '\P{^Is_Numeric_Value=011/0012}', "");
Error('\p{Is_Numeric_Value:0.9}');
Error('\P{Is_Numeric_Value:0.9}');
Error('\p{Is_Numeric_Value=0.92}');
Error('\P{Is_Numeric_Value=0.92}');
Expect(1, 68028, '\p{Is_Numeric_Value=0.917}', "");
Expect(0, 68028, '\p{^Is_Numeric_Value=0.917}', "");
Expect(0, 68028, '\P{Is_Numeric_Value=0.917}', "");
Expect(1, 68028, '\P{^Is_Numeric_Value=0.917}', "");
Expect(0, 68029, '\p{Is_Numeric_Value=0.917}', "");
Expect(1, 68029, '\p{^Is_Numeric_Value=0.917}', "");
Expect(1, 68029, '\P{Is_Numeric_Value=0.917}', "");
Expect(0, 68029, '\P{^Is_Numeric_Value=0.917}', "");
Error('\p{Is_Nv=:= 	011/000000012}');
Error('\P{Is_Nv=:= 	011/000000012}');
Expect(1, 68028, '\p{Is_Nv=+011/0000012}', "");
Expect(0, 68028, '\p{^Is_Nv=+011/0000012}', "");
Expect(0, 68028, '\P{Is_Nv=+011/0000012}', "");
Expect(1, 68028, '\P{^Is_Nv=+011/0000012}', "");
Expect(0, 68029, '\p{Is_Nv=+011/0000012}', "");
Expect(1, 68029, '\p{^Is_Nv=+011/0000012}', "");
Expect(1, 68029, '\P{Is_Nv=+011/0000012}', "");
Expect(0, 68029, '\P{^Is_Nv=+011/0000012}', "");
Error('\p{Is_Nv=0.9}');
Error('\P{Is_Nv=0.9}');
Error('\p{Is_Nv: 0.92}');
Error('\P{Is_Nv: 0.92}');
Expect(1, 68028, '\p{Is_Nv=0.917}', "");
Expect(0, 68028, '\p{^Is_Nv=0.917}', "");
Expect(0, 68028, '\P{Is_Nv=0.917}', "");
Expect(1, 68028, '\P{^Is_Nv=0.917}', "");
Expect(0, 68029, '\p{Is_Nv=0.917}', "");
Expect(1, 68029, '\p{^Is_Nv=0.917}', "");
Expect(1, 68029, '\P{Is_Nv=0.917}', "");
Expect(0, 68029, '\P{^Is_Nv=0.917}', "");
Error('\p{Numeric_Value=/a/-	11/0002}');
Error('\P{Numeric_Value=/a/-	11/0002}');
Expect(1, 3887, '\p{Numeric_Value=+000000011/002}', "");
Expect(0, 3887, '\p{^Numeric_Value=+000000011/002}', "");
Expect(0, 3887, '\P{Numeric_Value=+000000011/002}', "");
Expect(1, 3887, '\P{^Numeric_Value=+000000011/002}', "");
Expect(0, 3888, '\p{Numeric_Value=+000000011/002}', "");
Expect(1, 3888, '\p{^Numeric_Value=+000000011/002}', "");
Expect(1, 3888, '\P{Numeric_Value=+000000011/002}', "");
Expect(0, 3888, '\P{^Numeric_Value=+000000011/002}', "");
Expect(1, 3887, '\p{Numeric_Value=5.500}', "");
Expect(0, 3887, '\p{^Numeric_Value=5.500}', "");
Expect(0, 3887, '\P{Numeric_Value=5.500}', "");
Expect(1, 3887, '\P{^Numeric_Value=5.500}', "");
Expect(0, 3888, '\p{Numeric_Value=5.500}', "");
Expect(1, 3888, '\p{^Numeric_Value=5.500}', "");
Expect(1, 3888, '\P{Numeric_Value=5.500}', "");
Expect(0, 3888, '\P{^Numeric_Value=5.500}', "");
Error('\p{Nv=_ 00011/0000000002/a/}');
Error('\P{Nv=_ 00011/0000000002/a/}');
Expect(1, 3887, '\p{Nv:11/0000002}', "");
Expect(0, 3887, '\p{^Nv:11/0000002}', "");
Expect(0, 3887, '\P{Nv:11/0000002}', "");
Expect(1, 3887, '\P{^Nv:11/0000002}', "");
Expect(0, 3888, '\p{Nv:11/0000002}', "");
Expect(1, 3888, '\p{^Nv:11/0000002}', "");
Expect(1, 3888, '\P{Nv:11/0000002}', "");
Expect(0, 3888, '\P{^Nv:11/0000002}', "");
Expect(1, 3887, '\p{Nv=5.500}', "");
Expect(0, 3887, '\p{^Nv=5.500}', "");
Expect(0, 3887, '\P{Nv=5.500}', "");
Expect(1, 3887, '\P{^Nv=5.500}', "");
Expect(0, 3888, '\p{Nv=5.500}', "");
Expect(1, 3888, '\p{^Nv=5.500}', "");
Expect(1, 3888, '\P{Nv=5.500}', "");
Expect(0, 3888, '\P{^Nv=5.500}', "");
Error('\p{Is_Numeric_Value=:=011/0002}');
Error('\P{Is_Numeric_Value=:=011/0002}');
Expect(1, 3887, '\p{Is_Numeric_Value=0011/00002}', "");
Expect(0, 3887, '\p{^Is_Numeric_Value=0011/00002}', "");
Expect(0, 3887, '\P{Is_Numeric_Value=0011/00002}', "");
Expect(1, 3887, '\P{^Is_Numeric_Value=0011/00002}', "");
Expect(0, 3888, '\p{Is_Numeric_Value=0011/00002}', "");
Expect(1, 3888, '\p{^Is_Numeric_Value=0011/00002}', "");
Expect(1, 3888, '\P{Is_Numeric_Value=0011/00002}', "");
Expect(0, 3888, '\P{^Is_Numeric_Value=0011/00002}', "");
Expect(1, 3887, '\p{Is_Numeric_Value=5.500}', "");
Expect(0, 3887, '\p{^Is_Numeric_Value=5.500}', "");
Expect(0, 3887, '\P{Is_Numeric_Value=5.500}', "");
Expect(1, 3887, '\P{^Is_Numeric_Value=5.500}', "");
Expect(0, 3888, '\p{Is_Numeric_Value=5.500}', "");
Expect(1, 3888, '\p{^Is_Numeric_Value=5.500}', "");
Expect(1, 3888, '\P{Is_Numeric_Value=5.500}', "");
Expect(0, 3888, '\P{^Is_Numeric_Value=5.500}', "");
Error('\p{Is_Nv=	:=000011/000000002}');
Error('\P{Is_Nv=	:=000011/000000002}');
Expect(1, 3887, '\p{Is_Nv=011/00002}', "");
Expect(0, 3887, '\p{^Is_Nv=011/00002}', "");
Expect(0, 3887, '\P{Is_Nv=011/00002}', "");
Expect(1, 3887, '\P{^Is_Nv=011/00002}', "");
Expect(0, 3888, '\p{Is_Nv=011/00002}', "");
Expect(1, 3888, '\p{^Is_Nv=011/00002}', "");
Expect(1, 3888, '\P{Is_Nv=011/00002}', "");
Expect(0, 3888, '\P{^Is_Nv=011/00002}', "");
Expect(1, 3887, '\p{Is_Nv=5.500}', "");
Expect(0, 3887, '\p{^Is_Nv=5.500}', "");
Expect(0, 3887, '\P{Is_Nv=5.500}', "");
Expect(1, 3887, '\P{^Is_Nv=5.500}', "");
Expect(0, 3888, '\p{Is_Nv=5.500}', "");
Expect(1, 3888, '\p{^Is_Nv=5.500}', "");
Expect(1, 3888, '\P{Is_Nv=5.500}', "");
Expect(0, 3888, '\P{^Is_Nv=5.500}', "");
Error('\p{Numeric_Value=_/a/0_0_0_0_012}');
Error('\P{Numeric_Value=_/a/0_0_0_0_012}');
Expect(1, 9452, '\p{Numeric_Value=00000000012}', "");
Expect(0, 9452, '\p{^Numeric_Value=00000000012}', "");
Expect(0, 9452, '\P{Numeric_Value=00000000012}', "");
Expect(1, 9452, '\P{^Numeric_Value=00000000012}', "");
Expect(0, 9453, '\p{Numeric_Value=00000000012}', "");
Expect(1, 9453, '\p{^Numeric_Value=00000000012}', "");
Expect(1, 9453, '\P{Numeric_Value=00000000012}', "");
Expect(0, 9453, '\P{^Numeric_Value=00000000012}', "");
Error('\p{Nv=:=	+000000012}');
Error('\P{Nv=:=	+000000012}');
Expect(1, 9452, '\p{Nv=0001_2}', "");
Expect(0, 9452, '\p{^Nv=0001_2}', "");
Expect(0, 9452, '\P{Nv=0001_2}', "");
Expect(1, 9452, '\P{^Nv=0001_2}', "");
Expect(0, 9453, '\p{Nv=0001_2}', "");
Expect(1, 9453, '\p{^Nv=0001_2}', "");
Expect(1, 9453, '\P{Nv=0001_2}', "");
Expect(0, 9453, '\P{^Nv=0001_2}', "");
Error('\p{Is_Numeric_Value:	  0_0_0_0_0_0_12/a/}');
Error('\P{Is_Numeric_Value:	  0_0_0_0_0_0_12/a/}');
Expect(1, 9452, '\p{Is_Numeric_Value=1_2}', "");
Expect(0, 9452, '\p{^Is_Numeric_Value=1_2}', "");
Expect(0, 9452, '\P{Is_Numeric_Value=1_2}', "");
Expect(1, 9452, '\P{^Is_Numeric_Value=1_2}', "");
Expect(0, 9453, '\p{Is_Numeric_Value=1_2}', "");
Expect(1, 9453, '\p{^Is_Numeric_Value=1_2}', "");
Expect(1, 9453, '\P{Is_Numeric_Value=1_2}', "");
Expect(0, 9453, '\P{^Is_Numeric_Value=1_2}', "");
Error('\p{Is_Nv:   012/a/}');
Error('\P{Is_Nv:   012/a/}');
Expect(1, 9452, '\p{Is_Nv=000012}', "");
Expect(0, 9452, '\p{^Is_Nv=000012}', "");
Expect(0, 9452, '\P{Is_Nv=000012}', "");
Expect(1, 9452, '\P{^Is_Nv=000012}', "");
Expect(0, 9453, '\p{Is_Nv=000012}', "");
Expect(1, 9453, '\p{^Is_Nv=000012}', "");
Expect(1, 9453, '\P{Is_Nv=000012}', "");
Expect(0, 9453, '\P{^Is_Nv=000012}', "");
Error('\p{Numeric_Value=/a/ _0_0_0_0_0_0_0_0013}');
Error('\P{Numeric_Value=/a/ _0_0_0_0_0_0_0_0013}');
Expect(1, 9453, '\p{Numeric_Value=000013}', "");
Expect(0, 9453, '\p{^Numeric_Value=000013}', "");
Expect(0, 9453, '\P{Numeric_Value=000013}', "");
Expect(1, 9453, '\P{^Numeric_Value=000013}', "");
Expect(0, 9454, '\p{Numeric_Value=000013}', "");
Expect(1, 9454, '\p{^Numeric_Value=000013}', "");
Expect(1, 9454, '\P{Numeric_Value=000013}', "");
Expect(0, 9454, '\P{^Numeric_Value=000013}', "");
Error('\p{Nv=-:=001_3}');
Error('\P{Nv=-:=001_3}');
Expect(1, 9453, '\p{Nv=0000000013}', "");
Expect(0, 9453, '\p{^Nv=0000000013}', "");
Expect(0, 9453, '\P{Nv=0000000013}', "");
Expect(1, 9453, '\P{^Nv=0000000013}', "");
Expect(0, 9454, '\p{Nv=0000000013}', "");
Expect(1, 9454, '\p{^Nv=0000000013}', "");
Expect(1, 9454, '\P{Nv=0000000013}', "");
Expect(0, 9454, '\P{^Nv=0000000013}', "");
Error('\p{Is_Numeric_Value=:=--0013}');
Error('\P{Is_Numeric_Value=:=--0013}');
Expect(1, 9453, '\p{Is_Numeric_Value=00_00_00_13}', "");
Expect(0, 9453, '\p{^Is_Numeric_Value=00_00_00_13}', "");
Expect(0, 9453, '\P{Is_Numeric_Value=00_00_00_13}', "");
Expect(1, 9453, '\P{^Is_Numeric_Value=00_00_00_13}', "");
Expect(0, 9454, '\p{Is_Numeric_Value=00_00_00_13}', "");
Expect(1, 9454, '\p{^Is_Numeric_Value=00_00_00_13}', "");
Expect(1, 9454, '\P{Is_Numeric_Value=00_00_00_13}', "");
Expect(0, 9454, '\P{^Is_Numeric_Value=00_00_00_13}', "");
Error('\p{Is_Nv= :=+0_0_0_0_0_0_0_013}');
Error('\P{Is_Nv= :=+0_0_0_0_0_0_0_013}');
Expect(1, 9453, '\p{Is_Nv=000001_3}', "");
Expect(0, 9453, '\p{^Is_Nv=000001_3}', "");
Expect(0, 9453, '\P{Is_Nv=000001_3}', "");
Expect(1, 9453, '\P{^Is_Nv=000001_3}', "");
Expect(0, 9454, '\p{Is_Nv=000001_3}', "");
Expect(1, 9454, '\p{^Is_Nv=000001_3}', "");
Expect(1, 9454, '\P{Is_Nv=000001_3}', "");
Expect(0, 9454, '\P{^Is_Nv=000001_3}', "");
Error('\p{Numeric_Value=-/a/0013/0002}');
Error('\P{Numeric_Value=-/a/0013/0002}');
Expect(1, 3888, '\p{Numeric_Value=+00013/02}', "");
Expect(0, 3888, '\p{^Numeric_Value=+00013/02}', "");
Expect(0, 3888, '\P{Numeric_Value=+00013/02}', "");
Expect(1, 3888, '\P{^Numeric_Value=+00013/02}', "");
Expect(0, 3889, '\p{Numeric_Value=+00013/02}', "");
Expect(1, 3889, '\p{^Numeric_Value=+00013/02}', "");
Expect(1, 3889, '\P{Numeric_Value=+00013/02}', "");
Expect(0, 3889, '\P{^Numeric_Value=+00013/02}', "");
Expect(1, 3888, '\p{Numeric_Value=6.500}', "");
Expect(0, 3888, '\p{^Numeric_Value=6.500}', "");
Expect(0, 3888, '\P{Numeric_Value=6.500}', "");
Expect(1, 3888, '\P{^Numeric_Value=6.500}', "");
Expect(0, 3889, '\p{Numeric_Value=6.500}', "");
Expect(1, 3889, '\p{^Numeric_Value=6.500}', "");
Expect(1, 3889, '\P{Numeric_Value=6.500}', "");
Expect(0, 3889, '\P{^Numeric_Value=6.500}', "");
Error('\p{Nv=	:=013/000002}');
Error('\P{Nv=	:=013/000002}');
Expect(1, 3888, '\p{Nv=+0013/2}', "");
Expect(0, 3888, '\p{^Nv=+0013/2}', "");
Expect(0, 3888, '\P{Nv=+0013/2}', "");
Expect(1, 3888, '\P{^Nv=+0013/2}', "");
Expect(0, 3889, '\p{Nv=+0013/2}', "");
Expect(1, 3889, '\p{^Nv=+0013/2}', "");
Expect(1, 3889, '\P{Nv=+0013/2}', "");
Expect(0, 3889, '\P{^Nv=+0013/2}', "");
Expect(1, 3888, '\p{Nv=6.500}', "");
Expect(0, 3888, '\p{^Nv=6.500}', "");
Expect(0, 3888, '\P{Nv=6.500}', "");
Expect(1, 3888, '\P{^Nv=6.500}', "");
Expect(0, 3889, '\p{Nv=6.500}', "");
Expect(1, 3889, '\p{^Nv=6.500}', "");
Expect(1, 3889, '\P{Nv=6.500}', "");
Expect(0, 3889, '\P{^Nv=6.500}', "");
Error('\p{Is_Numeric_Value=_-000013/00002/a/}');
Error('\P{Is_Numeric_Value=_-000013/00002/a/}');
Expect(1, 3888, '\p{Is_Numeric_Value=+0000000013/2}', "");
Expect(0, 3888, '\p{^Is_Numeric_Value=+0000000013/2}', "");
Expect(0, 3888, '\P{Is_Numeric_Value=+0000000013/2}', "");
Expect(1, 3888, '\P{^Is_Numeric_Value=+0000000013/2}', "");
Expect(0, 3889, '\p{Is_Numeric_Value=+0000000013/2}', "");
Expect(1, 3889, '\p{^Is_Numeric_Value=+0000000013/2}', "");
Expect(1, 3889, '\P{Is_Numeric_Value=+0000000013/2}', "");
Expect(0, 3889, '\P{^Is_Numeric_Value=+0000000013/2}', "");
Expect(1, 3888, '\p{Is_Numeric_Value=6.500}', "");
Expect(0, 3888, '\p{^Is_Numeric_Value=6.500}', "");
Expect(0, 3888, '\P{Is_Numeric_Value=6.500}', "");
Expect(1, 3888, '\P{^Is_Numeric_Value=6.500}', "");
Expect(0, 3889, '\p{Is_Numeric_Value=6.500}', "");
Expect(1, 3889, '\p{^Is_Numeric_Value=6.500}', "");
Expect(1, 3889, '\P{Is_Numeric_Value=6.500}', "");
Expect(0, 3889, '\P{^Is_Numeric_Value=6.500}', "");
Error('\p{Is_Nv=		+000013/0002:=}');
Error('\P{Is_Nv=		+000013/0002:=}');
Expect(1, 3888, '\p{Is_Nv=00013/00000002}', "");
Expect(0, 3888, '\p{^Is_Nv=00013/00000002}', "");
Expect(0, 3888, '\P{Is_Nv=00013/00000002}', "");
Expect(1, 3888, '\P{^Is_Nv=00013/00000002}', "");
Expect(0, 3889, '\p{Is_Nv=00013/00000002}', "");
Expect(1, 3889, '\p{^Is_Nv=00013/00000002}', "");
Expect(1, 3889, '\P{Is_Nv=00013/00000002}', "");
Expect(0, 3889, '\P{^Is_Nv=00013/00000002}', "");
Expect(1, 3888, '\p{Is_Nv=6.500}', "");
Expect(0, 3888, '\p{^Is_Nv=6.500}', "");
Expect(0, 3888, '\P{Is_Nv=6.500}', "");
Expect(1, 3888, '\P{^Is_Nv=6.500}', "");
Expect(0, 3889, '\p{Is_Nv=6.500}', "");
Expect(1, 3889, '\p{^Is_Nv=6.500}', "");
Expect(1, 3889, '\P{Is_Nv=6.500}', "");
Expect(0, 3889, '\P{^Is_Nv=6.500}', "");
Error('\p{Numeric_Value=_/a/0000000014}');
Error('\P{Numeric_Value=_/a/0000000014}');
Expect(1, 9454, '\p{Numeric_Value=+0_0_0_0_14}', "");
Expect(0, 9454, '\p{^Numeric_Value=+0_0_0_0_14}', "");
Expect(0, 9454, '\P{Numeric_Value=+0_0_0_0_14}', "");
Expect(1, 9454, '\P{^Numeric_Value=+0_0_0_0_14}', "");
Expect(0, 9455, '\p{Numeric_Value=+0_0_0_0_14}', "");
Expect(1, 9455, '\p{^Numeric_Value=+0_0_0_0_14}', "");
Expect(1, 9455, '\P{Numeric_Value=+0_0_0_0_14}', "");
Expect(0, 9455, '\P{^Numeric_Value=+0_0_0_0_14}', "");
Error('\p{Nv=_-000014/a/}');
Error('\P{Nv=_-000014/a/}');
Expect(1, 9454, '\p{Nv=01_4}', "");
Expect(0, 9454, '\p{^Nv=01_4}', "");
Expect(0, 9454, '\P{Nv=01_4}', "");
Expect(1, 9454, '\P{^Nv=01_4}', "");
Expect(0, 9455, '\p{Nv=01_4}', "");
Expect(1, 9455, '\p{^Nv=01_4}', "");
Expect(1, 9455, '\P{Nv=01_4}', "");
Expect(0, 9455, '\P{^Nv=01_4}', "");
Error('\p{Is_Numeric_Value=+14/a/}');
Error('\P{Is_Numeric_Value=+14/a/}');
Expect(1, 9454, '\p{Is_Numeric_Value:   +00000000014}', "");
Expect(0, 9454, '\p{^Is_Numeric_Value:   +00000000014}', "");
Expect(0, 9454, '\P{Is_Numeric_Value:   +00000000014}', "");
Expect(1, 9454, '\P{^Is_Numeric_Value:   +00000000014}', "");
Expect(0, 9455, '\p{Is_Numeric_Value:   +00000000014}', "");
Expect(1, 9455, '\p{^Is_Numeric_Value:   +00000000014}', "");
Expect(1, 9455, '\P{Is_Numeric_Value:   +00000000014}', "");
Expect(0, 9455, '\P{^Is_Numeric_Value:   +00000000014}', "");
Error('\p{Is_Nv=	/a/+0000014}');
Error('\P{Is_Nv=	/a/+0000014}');
Expect(1, 9454, '\p{Is_Nv=00014}', "");
Expect(0, 9454, '\p{^Is_Nv=00014}', "");
Expect(0, 9454, '\P{Is_Nv=00014}', "");
Expect(1, 9454, '\P{^Is_Nv=00014}', "");
Expect(0, 9455, '\p{Is_Nv=00014}', "");
Expect(1, 9455, '\p{^Is_Nv=00014}', "");
Expect(1, 9455, '\P{Is_Nv=00014}', "");
Expect(0, 9455, '\P{^Is_Nv=00014}', "");
Error('\p{Numeric_Value= 0_0_15:=}');
Error('\P{Numeric_Value= 0_0_15:=}');
Expect(1, 9455, '\p{Numeric_Value=0015}', "");
Expect(0, 9455, '\p{^Numeric_Value=0015}', "");
Expect(0, 9455, '\P{Numeric_Value=0015}', "");
Expect(1, 9455, '\P{^Numeric_Value=0015}', "");
Expect(0, 9456, '\p{Numeric_Value=0015}', "");
Expect(1, 9456, '\p{^Numeric_Value=0015}', "");
Expect(1, 9456, '\P{Numeric_Value=0015}', "");
Expect(0, 9456, '\P{^Numeric_Value=0015}', "");
Error('\p{Nv=/a/- 015}');
Error('\P{Nv=/a/- 015}');
Expect(1, 9455, '\p{Nv=015}', "");
Expect(0, 9455, '\p{^Nv=015}', "");
Expect(0, 9455, '\P{Nv=015}', "");
Expect(1, 9455, '\P{^Nv=015}', "");
Expect(0, 9456, '\p{Nv=015}', "");
Expect(1, 9456, '\p{^Nv=015}', "");
Expect(1, 9456, '\P{Nv=015}', "");
Expect(0, 9456, '\P{^Nv=015}', "");
Error('\p{Is_Numeric_Value=_/a/0000000015}');
Error('\P{Is_Numeric_Value=_/a/0000000015}');
Expect(1, 9455, '\p{Is_Numeric_Value=0_0_15}', "");
Expect(0, 9455, '\p{^Is_Numeric_Value=0_0_15}', "");
Expect(0, 9455, '\P{Is_Numeric_Value=0_0_15}', "");
Expect(1, 9455, '\P{^Is_Numeric_Value=0_0_15}', "");
Expect(0, 9456, '\p{Is_Numeric_Value=0_0_15}', "");
Expect(1, 9456, '\p{^Is_Numeric_Value=0_0_15}', "");
Expect(1, 9456, '\P{Is_Numeric_Value=0_0_15}', "");
Expect(0, 9456, '\P{^Is_Numeric_Value=0_0_15}', "");
Error('\p{Is_Nv:   	 1_5/a/}');
Error('\P{Is_Nv:   	 1_5/a/}');
Expect(1, 9455, '\p{Is_Nv=0000015}', "");
Expect(0, 9455, '\p{^Is_Nv=0000015}', "");
Expect(0, 9455, '\P{Is_Nv=0000015}', "");
Expect(1, 9455, '\P{^Is_Nv=0000015}', "");
Expect(0, 9456, '\p{Is_Nv=0000015}', "");
Expect(1, 9456, '\p{^Is_Nv=0000015}', "");
Expect(1, 9456, '\P{Is_Nv=0000015}', "");
Expect(0, 9456, '\P{^Is_Nv=0000015}', "");
Error('\p{Numeric_Value:	--0000015/002/a/}');
Error('\P{Numeric_Value:	--0000015/002/a/}');
Expect(1, 3889, '\p{Numeric_Value:   0000015/0000002}', "");
Expect(0, 3889, '\p{^Numeric_Value:   0000015/0000002}', "");
Expect(0, 3889, '\P{Numeric_Value:   0000015/0000002}', "");
Expect(1, 3889, '\P{^Numeric_Value:   0000015/0000002}', "");
Expect(0, 3890, '\p{Numeric_Value:   0000015/0000002}', "");
Expect(1, 3890, '\p{^Numeric_Value:   0000015/0000002}', "");
Expect(1, 3890, '\P{Numeric_Value:   0000015/0000002}', "");
Expect(0, 3890, '\P{^Numeric_Value:   0000015/0000002}', "");
Expect(1, 3889, '\p{Numeric_Value:   7.500}', "");
Expect(0, 3889, '\p{^Numeric_Value:   7.500}', "");
Expect(0, 3889, '\P{Numeric_Value:   7.500}', "");
Expect(1, 3889, '\P{^Numeric_Value:   7.500}', "");
Expect(0, 3890, '\p{Numeric_Value:   7.500}', "");
Expect(1, 3890, '\p{^Numeric_Value:   7.500}', "");
Expect(1, 3890, '\P{Numeric_Value:   7.500}', "");
Expect(0, 3890, '\P{^Numeric_Value:   7.500}', "");
Error('\p{Nv=_+000000015/2:=}');
Error('\P{Nv=_+000000015/2:=}');
Expect(1, 3889, '\p{Nv=0015/000002}', "");
Expect(0, 3889, '\p{^Nv=0015/000002}', "");
Expect(0, 3889, '\P{Nv=0015/000002}', "");
Expect(1, 3889, '\P{^Nv=0015/000002}', "");
Expect(0, 3890, '\p{Nv=0015/000002}', "");
Expect(1, 3890, '\p{^Nv=0015/000002}', "");
Expect(1, 3890, '\P{Nv=0015/000002}', "");
Expect(0, 3890, '\P{^Nv=0015/000002}', "");
Expect(1, 3889, '\p{Nv=7.500}', "");
Expect(0, 3889, '\p{^Nv=7.500}', "");
Expect(0, 3889, '\P{Nv=7.500}', "");
Expect(1, 3889, '\P{^Nv=7.500}', "");
Expect(0, 3890, '\p{Nv=7.500}', "");
Expect(1, 3890, '\p{^Nv=7.500}', "");
Expect(1, 3890, '\P{Nv=7.500}', "");
Expect(0, 3890, '\P{^Nv=7.500}', "");
Error('\p{Is_Numeric_Value=_:=+0015/00002}');
Error('\P{Is_Numeric_Value=_:=+0015/00002}');
Expect(1, 3889, '\p{Is_Numeric_Value=0000015/002}', "");
Expect(0, 3889, '\p{^Is_Numeric_Value=0000015/002}', "");
Expect(0, 3889, '\P{Is_Numeric_Value=0000015/002}', "");
Expect(1, 3889, '\P{^Is_Numeric_Value=0000015/002}', "");
Expect(0, 3890, '\p{Is_Numeric_Value=0000015/002}', "");
Expect(1, 3890, '\p{^Is_Numeric_Value=0000015/002}', "");
Expect(1, 3890, '\P{Is_Numeric_Value=0000015/002}', "");
Expect(0, 3890, '\P{^Is_Numeric_Value=0000015/002}', "");
Expect(1, 3889, '\p{Is_Numeric_Value=7.500}', "");
Expect(0, 3889, '\p{^Is_Numeric_Value=7.500}', "");
Expect(0, 3889, '\P{Is_Numeric_Value=7.500}', "");
Expect(1, 3889, '\P{^Is_Numeric_Value=7.500}', "");
Expect(0, 3890, '\p{Is_Numeric_Value=7.500}', "");
Expect(1, 3890, '\p{^Is_Numeric_Value=7.500}', "");
Expect(1, 3890, '\P{Is_Numeric_Value=7.500}', "");
Expect(0, 3890, '\P{^Is_Numeric_Value=7.500}', "");
Error('\p{Is_Nv= 00000000015/02:=}');
Error('\P{Is_Nv= 00000000015/02:=}');
Expect(1, 3889, '\p{Is_Nv=+000015/0000000002}', "");
Expect(0, 3889, '\p{^Is_Nv=+000015/0000000002}', "");
Expect(0, 3889, '\P{Is_Nv=+000015/0000000002}', "");
Expect(1, 3889, '\P{^Is_Nv=+000015/0000000002}', "");
Expect(0, 3890, '\p{Is_Nv=+000015/0000000002}', "");
Expect(1, 3890, '\p{^Is_Nv=+000015/0000000002}', "");
Expect(1, 3890, '\P{Is_Nv=+000015/0000000002}', "");
Expect(0, 3890, '\P{^Is_Nv=+000015/0000000002}', "");
Expect(1, 3889, '\p{Is_Nv=7.500}', "");
Expect(0, 3889, '\p{^Is_Nv=7.500}', "");
Expect(0, 3889, '\P{Is_Nv=7.500}', "");
Expect(1, 3889, '\P{^Is_Nv=7.500}', "");
Expect(0, 3890, '\p{Is_Nv=7.500}', "");
Expect(1, 3890, '\p{^Is_Nv=7.500}', "");
Expect(1, 3890, '\P{Is_Nv=7.500}', "");
Expect(0, 3890, '\P{^Is_Nv=7.500}', "");
Error('\p{Numeric_Value=_/a/00000000016}');
Error('\P{Numeric_Value=_/a/00000000016}');
Expect(1, 9456, '\p{Numeric_Value=00000016}', "");
Expect(0, 9456, '\p{^Numeric_Value=00000016}', "");
Expect(0, 9456, '\P{Numeric_Value=00000016}', "");
Expect(1, 9456, '\P{^Numeric_Value=00000016}', "");
Expect(0, 9457, '\p{Numeric_Value=00000016}', "");
Expect(1, 9457, '\p{^Numeric_Value=00000016}', "");
Expect(1, 9457, '\P{Numeric_Value=00000016}', "");
Expect(0, 9457, '\P{^Numeric_Value=00000016}', "");
Error('\p{Nv=/a/_-00016}');
Error('\P{Nv=/a/_-00016}');
Expect(1, 9456, '\p{Nv=00000016}', "");
Expect(0, 9456, '\p{^Nv=00000016}', "");
Expect(0, 9456, '\P{Nv=00000016}', "");
Expect(1, 9456, '\P{^Nv=00000016}', "");
Expect(0, 9457, '\p{Nv=00000016}', "");
Expect(1, 9457, '\p{^Nv=00000016}', "");
Expect(1, 9457, '\P{Nv=00000016}', "");
Expect(0, 9457, '\P{^Nv=00000016}', "");
Error('\p{Is_Numeric_Value=-:=+0_0_0_0_0_0016}');
Error('\P{Is_Numeric_Value=-:=+0_0_0_0_0_0016}');
Expect(1, 9456, '\p{Is_Numeric_Value=001_6}', "");
Expect(0, 9456, '\p{^Is_Numeric_Value=001_6}', "");
Expect(0, 9456, '\P{Is_Numeric_Value=001_6}', "");
Expect(1, 9456, '\P{^Is_Numeric_Value=001_6}', "");
Expect(0, 9457, '\p{Is_Numeric_Value=001_6}', "");
Expect(1, 9457, '\p{^Is_Numeric_Value=001_6}', "");
Expect(1, 9457, '\P{Is_Numeric_Value=001_6}', "");
Expect(0, 9457, '\P{^Is_Numeric_Value=001_6}', "");
Error('\p{Is_Nv=:=_+016}');
Error('\P{Is_Nv=:=_+016}');
Expect(1, 9456, '\p{Is_Nv=+16}', "");
Expect(0, 9456, '\p{^Is_Nv=+16}', "");
Expect(0, 9456, '\P{Is_Nv=+16}', "");
Expect(1, 9456, '\P{^Is_Nv=+16}', "");
Expect(0, 9457, '\p{Is_Nv=+16}', "");
Expect(1, 9457, '\p{^Is_Nv=+16}', "");
Expect(1, 9457, '\P{Is_Nv=+16}', "");
Expect(0, 9457, '\P{^Is_Nv=+16}', "");
Error('\p{Numeric_Value=	-000000017/a/}');
Error('\P{Numeric_Value=	-000000017/a/}');
Expect(1, 9457, '\p{Numeric_Value=00_00_00_00_17}', "");
Expect(0, 9457, '\p{^Numeric_Value=00_00_00_00_17}', "");
Expect(0, 9457, '\P{Numeric_Value=00_00_00_00_17}', "");
Expect(1, 9457, '\P{^Numeric_Value=00_00_00_00_17}', "");
Expect(0, 9458, '\p{Numeric_Value=00_00_00_00_17}', "");
Expect(1, 9458, '\p{^Numeric_Value=00_00_00_00_17}', "");
Expect(1, 9458, '\P{Numeric_Value=00_00_00_00_17}', "");
Expect(0, 9458, '\P{^Numeric_Value=00_00_00_00_17}', "");
Error('\p{Nv= :=00000017}');
Error('\P{Nv= :=00000017}');
Expect(1, 9457, '\p{Nv=00017}', "");
Expect(0, 9457, '\p{^Nv=00017}', "");
Expect(0, 9457, '\P{Nv=00017}', "");
Expect(1, 9457, '\P{^Nv=00017}', "");
Expect(0, 9458, '\p{Nv=00017}', "");
Expect(1, 9458, '\p{^Nv=00017}', "");
Expect(1, 9458, '\P{Nv=00017}', "");
Expect(0, 9458, '\P{^Nv=00017}', "");
Error('\p{Is_Numeric_Value=	:=000000017}');
Error('\P{Is_Numeric_Value=	:=000000017}');
Expect(1, 9457, '\p{Is_Numeric_Value=+0000000017}', "");
Expect(0, 9457, '\p{^Is_Numeric_Value=+0000000017}', "");
Expect(0, 9457, '\P{Is_Numeric_Value=+0000000017}', "");
Expect(1, 9457, '\P{^Is_Numeric_Value=+0000000017}', "");
Expect(0, 9458, '\p{Is_Numeric_Value=+0000000017}', "");
Expect(1, 9458, '\p{^Is_Numeric_Value=+0000000017}', "");
Expect(1, 9458, '\P{Is_Numeric_Value=+0000000017}', "");
Expect(0, 9458, '\P{^Is_Numeric_Value=+0000000017}', "");
Error('\p{Is_Nv=_/a/00001_7}');
Error('\P{Is_Nv=_/a/00001_7}');
Expect(1, 9457, '\p{Is_Nv=+17}', "");
Expect(0, 9457, '\p{^Is_Nv=+17}', "");
Expect(0, 9457, '\P{Is_Nv=+17}', "");
Expect(1, 9457, '\P{^Is_Nv=+17}', "");
Expect(0, 9458, '\p{Is_Nv=+17}', "");
Expect(1, 9458, '\p{^Is_Nv=+17}', "");
Expect(1, 9458, '\P{Is_Nv=+17}', "");
Expect(0, 9458, '\P{^Is_Nv=+17}', "");
Error('\p{Numeric_Value:	00000017/02:=}');
Error('\P{Numeric_Value:	00000017/02:=}');
Expect(1, 3890, '\p{Numeric_Value=000017/0000002}', "");
Expect(0, 3890, '\p{^Numeric_Value=000017/0000002}', "");
Expect(0, 3890, '\P{Numeric_Value=000017/0000002}', "");
Expect(1, 3890, '\P{^Numeric_Value=000017/0000002}', "");
Expect(0, 3891, '\p{Numeric_Value=000017/0000002}', "");
Expect(1, 3891, '\p{^Numeric_Value=000017/0000002}', "");
Expect(1, 3891, '\P{Numeric_Value=000017/0000002}', "");
Expect(0, 3891, '\P{^Numeric_Value=000017/0000002}', "");
Expect(1, 3890, '\p{Numeric_Value=8.500}', "");
Expect(0, 3890, '\p{^Numeric_Value=8.500}', "");
Expect(0, 3890, '\P{Numeric_Value=8.500}', "");
Expect(1, 3890, '\P{^Numeric_Value=8.500}', "");
Expect(0, 3891, '\p{Numeric_Value=8.500}', "");
Expect(1, 3891, '\p{^Numeric_Value=8.500}', "");
Expect(1, 3891, '\P{Numeric_Value=8.500}', "");
Expect(0, 3891, '\P{^Numeric_Value=8.500}', "");
Error('\p{Nv=:=_000017/0000002}');
Error('\P{Nv=:=_000017/0000002}');
Expect(1, 3890, '\p{Nv=0000000017/0000000002}', "");
Expect(0, 3890, '\p{^Nv=0000000017/0000000002}', "");
Expect(0, 3890, '\P{Nv=0000000017/0000000002}', "");
Expect(1, 3890, '\P{^Nv=0000000017/0000000002}', "");
Expect(0, 3891, '\p{Nv=0000000017/0000000002}', "");
Expect(1, 3891, '\p{^Nv=0000000017/0000000002}', "");
Expect(1, 3891, '\P{Nv=0000000017/0000000002}', "");
Expect(0, 3891, '\P{^Nv=0000000017/0000000002}', "");
Expect(1, 3890, '\p{Nv=8.500}', "");
Expect(0, 3890, '\p{^Nv=8.500}', "");
Expect(0, 3890, '\P{Nv=8.500}', "");
Expect(1, 3890, '\P{^Nv=8.500}', "");
Expect(0, 3891, '\p{Nv=8.500}', "");
Expect(1, 3891, '\p{^Nv=8.500}', "");
Expect(1, 3891, '\P{Nv=8.500}', "");
Expect(0, 3891, '\P{^Nv=8.500}', "");
Error('\p{Is_Numeric_Value=:=- 0000017/2}');
Error('\P{Is_Numeric_Value=:=- 0000017/2}');
Expect(1, 3890, '\p{Is_Numeric_Value=+0000017/000000002}', "");
Expect(0, 3890, '\p{^Is_Numeric_Value=+0000017/000000002}', "");
Expect(0, 3890, '\P{Is_Numeric_Value=+0000017/000000002}', "");
Expect(1, 3890, '\P{^Is_Numeric_Value=+0000017/000000002}', "");
Expect(0, 3891, '\p{Is_Numeric_Value=+0000017/000000002}', "");
Expect(1, 3891, '\p{^Is_Numeric_Value=+0000017/000000002}', "");
Expect(1, 3891, '\P{Is_Numeric_Value=+0000017/000000002}', "");
Expect(0, 3891, '\P{^Is_Numeric_Value=+0000017/000000002}', "");
Expect(1, 3890, '\p{Is_Numeric_Value:	8.500}', "");
Expect(0, 3890, '\p{^Is_Numeric_Value:	8.500}', "");
Expect(0, 3890, '\P{Is_Numeric_Value:	8.500}', "");
Expect(1, 3890, '\P{^Is_Numeric_Value:	8.500}', "");
Expect(0, 3891, '\p{Is_Numeric_Value:	8.500}', "");
Expect(1, 3891, '\p{^Is_Numeric_Value:	8.500}', "");
Expect(1, 3891, '\P{Is_Numeric_Value:	8.500}', "");
Expect(0, 3891, '\P{^Is_Numeric_Value:	8.500}', "");
Error('\p{Is_Nv=:= 00017/000002}');
Error('\P{Is_Nv=:= 00017/000002}');
Expect(1, 3890, '\p{Is_Nv:   +17/2}', "");
Expect(0, 3890, '\p{^Is_Nv:   +17/2}', "");
Expect(0, 3890, '\P{Is_Nv:   +17/2}', "");
Expect(1, 3890, '\P{^Is_Nv:   +17/2}', "");
Expect(0, 3891, '\p{Is_Nv:   +17/2}', "");
Expect(1, 3891, '\p{^Is_Nv:   +17/2}', "");
Expect(1, 3891, '\P{Is_Nv:   +17/2}', "");
Expect(0, 3891, '\P{^Is_Nv:   +17/2}', "");
Expect(1, 3890, '\p{Is_Nv=8.500}', "");
Expect(0, 3890, '\p{^Is_Nv=8.500}', "");
Expect(0, 3890, '\P{Is_Nv=8.500}', "");
Expect(1, 3890, '\P{^Is_Nv=8.500}', "");
Expect(0, 3891, '\p{Is_Nv=8.500}', "");
Expect(1, 3891, '\p{^Is_Nv=8.500}', "");
Expect(1, 3891, '\P{Is_Nv=8.500}', "");
Expect(0, 3891, '\P{^Is_Nv=8.500}', "");
Error('\p{Numeric_Value=/a/+0000018}');
Error('\P{Numeric_Value=/a/+0000018}');
Expect(1, 9458, '\p{Numeric_Value=+0000000018}', "");
Expect(0, 9458, '\p{^Numeric_Value=+0000000018}', "");
Expect(0, 9458, '\P{Numeric_Value=+0000000018}', "");
Expect(1, 9458, '\P{^Numeric_Value=+0000000018}', "");
Expect(0, 9459, '\p{Numeric_Value=+0000000018}', "");
Expect(1, 9459, '\p{^Numeric_Value=+0000000018}', "");
Expect(1, 9459, '\P{Numeric_Value=+0000000018}', "");
Expect(0, 9459, '\P{^Numeric_Value=+0000000018}', "");
Error('\p{Nv= -0018/a/}');
Error('\P{Nv= -0018/a/}');
Expect(1, 9458, '\p{Nv=01_8}', "");
Expect(0, 9458, '\p{^Nv=01_8}', "");
Expect(0, 9458, '\P{Nv=01_8}', "");
Expect(1, 9458, '\P{^Nv=01_8}', "");
Expect(0, 9459, '\p{Nv=01_8}', "");
Expect(1, 9459, '\p{^Nv=01_8}', "");
Expect(1, 9459, '\P{Nv=01_8}', "");
Expect(0, 9459, '\P{^Nv=01_8}', "");
Error('\p{Is_Numeric_Value=:=_	0000000018}');
Error('\P{Is_Numeric_Value=:=_	0000000018}');
Expect(1, 9458, '\p{Is_Numeric_Value=01_8}', "");
Expect(0, 9458, '\p{^Is_Numeric_Value=01_8}', "");
Expect(0, 9458, '\P{Is_Numeric_Value=01_8}', "");
Expect(1, 9458, '\P{^Is_Numeric_Value=01_8}', "");
Expect(0, 9459, '\p{Is_Numeric_Value=01_8}', "");
Expect(1, 9459, '\p{^Is_Numeric_Value=01_8}', "");
Expect(1, 9459, '\P{Is_Numeric_Value=01_8}', "");
Expect(0, 9459, '\P{^Is_Numeric_Value=01_8}', "");
Error('\p{Is_Nv: :=00_00_00_00_018}');
Error('\P{Is_Nv: :=00_00_00_00_018}');
Expect(1, 9458, '\p{Is_Nv: +001_8}', "");
Expect(0, 9458, '\p{^Is_Nv: +001_8}', "");
Expect(0, 9458, '\P{Is_Nv: +001_8}', "");
Expect(1, 9458, '\P{^Is_Nv: +001_8}', "");
Expect(0, 9459, '\p{Is_Nv: +001_8}', "");
Expect(1, 9459, '\p{^Is_Nv: +001_8}', "");
Expect(1, 9459, '\P{Is_Nv: +001_8}', "");
Expect(0, 9459, '\P{^Is_Nv: +001_8}', "");
Error('\p{Numeric_Value=:=	_+01_9}');
Error('\P{Numeric_Value=:=	_+01_9}');
Expect(1, 9459, '\p{Numeric_Value=019}', "");
Expect(0, 9459, '\p{^Numeric_Value=019}', "");
Expect(0, 9459, '\P{Numeric_Value=019}', "");
Expect(1, 9459, '\P{^Numeric_Value=019}', "");
Expect(0, 9460, '\p{Numeric_Value=019}', "");
Expect(1, 9460, '\p{^Numeric_Value=019}', "");
Expect(1, 9460, '\P{Numeric_Value=019}', "");
Expect(0, 9460, '\P{^Numeric_Value=019}', "");
Error('\p{Nv=	+0000019/a/}');
Error('\P{Nv=	+0000019/a/}');
Expect(1, 9459, '\p{Nv=19}', "");
Expect(0, 9459, '\p{^Nv=19}', "");
Expect(0, 9459, '\P{Nv=19}', "");
Expect(1, 9459, '\P{^Nv=19}', "");
Expect(0, 9460, '\p{Nv=19}', "");
Expect(1, 9460, '\p{^Nv=19}', "");
Expect(1, 9460, '\P{Nv=19}', "");
Expect(0, 9460, '\P{^Nv=19}', "");
Error('\p{Is_Numeric_Value=/a/-_+19}');
Error('\P{Is_Numeric_Value=/a/-_+19}');
Expect(1, 9459, '\p{Is_Numeric_Value=00000000019}', "");
Expect(0, 9459, '\p{^Is_Numeric_Value=00000000019}', "");
Expect(0, 9459, '\P{Is_Numeric_Value=00000000019}', "");
Expect(1, 9459, '\P{^Is_Numeric_Value=00000000019}', "");
Expect(0, 9460, '\p{Is_Numeric_Value=00000000019}', "");
Expect(1, 9460, '\p{^Is_Numeric_Value=00000000019}', "");
Expect(1, 9460, '\P{Is_Numeric_Value=00000000019}', "");
Expect(0, 9460, '\P{^Is_Numeric_Value=00000000019}', "");
Error('\p{Is_Nv=	/a/0019}');
Error('\P{Is_Nv=	/a/0019}');
Expect(1, 9459, '\p{Is_Nv=00019}', "");
Expect(0, 9459, '\p{^Is_Nv=00019}', "");
Expect(0, 9459, '\P{Is_Nv=00019}', "");
Expect(1, 9459, '\P{^Is_Nv=00019}', "");
Expect(0, 9460, '\p{Is_Nv=00019}', "");
Expect(1, 9460, '\p{^Is_Nv=00019}', "");
Expect(1, 9460, '\P{Is_Nv=00019}', "");
Expect(0, 9460, '\P{^Is_Nv=00019}', "");
Error('\p{Numeric_Value= /a/+00_2}');
Error('\P{Numeric_Value= /a/+00_2}');
Expect(1, 140176, '\p{Numeric_Value=+00_00_00_002}', "");
Expect(0, 140176, '\p{^Numeric_Value=+00_00_00_002}', "");
Expect(0, 140176, '\P{Numeric_Value=+00_00_00_002}', "");
Expect(1, 140176, '\P{^Numeric_Value=+00_00_00_002}', "");
Expect(0, 140177, '\p{Numeric_Value=+00_00_00_002}', "");
Expect(1, 140177, '\p{^Numeric_Value=+00_00_00_002}', "");
Expect(1, 140177, '\P{Numeric_Value=+00_00_00_002}', "");
Expect(0, 140177, '\P{^Numeric_Value=+00_00_00_002}', "");
Error('\p{Nv= 002/a/}');
Error('\P{Nv= 002/a/}');
Expect(1, 140176, '\p{Nv=+00002}', "");
Expect(0, 140176, '\p{^Nv=+00002}', "");
Expect(0, 140176, '\P{Nv=+00002}', "");
Expect(1, 140176, '\P{^Nv=+00002}', "");
Expect(0, 140177, '\p{Nv=+00002}', "");
Expect(1, 140177, '\p{^Nv=+00002}', "");
Expect(1, 140177, '\P{Nv=+00002}', "");
Expect(0, 140177, '\P{^Nv=+00002}', "");
Error('\p{Is_Numeric_Value=	/a/+000000002}');
Error('\P{Is_Numeric_Value=	/a/+000000002}');
Expect(1, 140176, '\p{Is_Numeric_Value=00_00_00_2}', "");
Expect(0, 140176, '\p{^Is_Numeric_Value=00_00_00_2}', "");
Expect(0, 140176, '\P{Is_Numeric_Value=00_00_00_2}', "");
Expect(1, 140176, '\P{^Is_Numeric_Value=00_00_00_2}', "");
Expect(0, 140177, '\p{Is_Numeric_Value=00_00_00_2}', "");
Expect(1, 140177, '\p{^Is_Numeric_Value=00_00_00_2}', "");
Expect(1, 140177, '\P{Is_Numeric_Value=00_00_00_2}', "");
Expect(0, 140177, '\P{^Is_Numeric_Value=00_00_00_2}', "");
Error('\p{Is_Nv=-:=0000002}');
Error('\P{Is_Nv=-:=0000002}');
Expect(1, 140176, '\p{Is_Nv=002}', "");
Expect(0, 140176, '\p{^Is_Nv=002}', "");
Expect(0, 140176, '\P{Is_Nv=002}', "");
Expect(1, 140176, '\P{^Is_Nv=002}', "");
Expect(0, 140177, '\p{Is_Nv=002}', "");
Expect(1, 140177, '\p{^Is_Nv=002}', "");
Expect(1, 140177, '\P{Is_Nv=002}', "");
Expect(0, 140177, '\P{^Is_Nv=002}', "");
Error('\p{Numeric_Value=:=	 000000002/0000003}');
Error('\P{Numeric_Value=:=	 000000002/0000003}');
Expect(1, 74854, '\p{Numeric_Value=0000000002/03}', "");
Expect(0, 74854, '\p{^Numeric_Value=0000000002/03}', "");
Expect(0, 74854, '\P{Numeric_Value=0000000002/03}', "");
Expect(1, 74854, '\P{^Numeric_Value=0000000002/03}', "");
Expect(0, 74855, '\p{Numeric_Value=0000000002/03}', "");
Expect(1, 74855, '\p{^Numeric_Value=0000000002/03}', "");
Expect(1, 74855, '\P{Numeric_Value=0000000002/03}', "");
Expect(0, 74855, '\P{^Numeric_Value=0000000002/03}', "");
Error('\p{Numeric_Value=0.7}');
Error('\P{Numeric_Value=0.7}');
Error('\p{Numeric_Value=0.67}');
Error('\P{Numeric_Value=0.67}');
Expect(1, 74854, '\p{Numeric_Value=0.667}', "");
Expect(0, 74854, '\p{^Numeric_Value=0.667}', "");
Expect(0, 74854, '\P{Numeric_Value=0.667}', "");
Expect(1, 74854, '\P{^Numeric_Value=0.667}', "");
Expect(0, 74855, '\p{Numeric_Value=0.667}', "");
Expect(1, 74855, '\p{^Numeric_Value=0.667}', "");
Expect(1, 74855, '\P{Numeric_Value=0.667}', "");
Expect(0, 74855, '\P{^Numeric_Value=0.667}', "");
Error('\p{Nv:		:=002/000000003}');
Error('\P{Nv:		:=002/000000003}');
Expect(1, 74854, '\p{Nv=2/000000003}', "");
Expect(0, 74854, '\p{^Nv=2/000000003}', "");
Expect(0, 74854, '\P{Nv=2/000000003}', "");
Expect(1, 74854, '\P{^Nv=2/000000003}', "");
Expect(0, 74855, '\p{Nv=2/000000003}', "");
Expect(1, 74855, '\p{^Nv=2/000000003}', "");
Expect(1, 74855, '\P{Nv=2/000000003}', "");
Expect(0, 74855, '\P{^Nv=2/000000003}', "");
Error('\p{Nv:	0.7}');
Error('\P{Nv:	0.7}');
Error('\p{Nv=0.67}');
Error('\P{Nv=0.67}');
Expect(1, 74854, '\p{Nv=0.667}', "");
Expect(0, 74854, '\p{^Nv=0.667}', "");
Expect(0, 74854, '\P{Nv=0.667}', "");
Expect(1, 74854, '\P{^Nv=0.667}', "");
Expect(0, 74855, '\p{Nv=0.667}', "");
Expect(1, 74855, '\p{^Nv=0.667}', "");
Expect(1, 74855, '\P{Nv=0.667}', "");
Expect(0, 74855, '\P{^Nv=0.667}', "");
Error('\p{Is_Numeric_Value=	:=0002/03}');
Error('\P{Is_Numeric_Value=	:=0002/03}');
Expect(1, 74854, '\p{Is_Numeric_Value=000000002/003}', "");
Expect(0, 74854, '\p{^Is_Numeric_Value=000000002/003}', "");
Expect(0, 74854, '\P{Is_Numeric_Value=000000002/003}', "");
Expect(1, 74854, '\P{^Is_Numeric_Value=000000002/003}', "");
Expect(0, 74855, '\p{Is_Numeric_Value=000000002/003}', "");
Expect(1, 74855, '\p{^Is_Numeric_Value=000000002/003}', "");
Expect(1, 74855, '\P{Is_Numeric_Value=000000002/003}', "");
Expect(0, 74855, '\P{^Is_Numeric_Value=000000002/003}', "");
Error('\p{Is_Numeric_Value=0.7}');
Error('\P{Is_Numeric_Value=0.7}');
Error('\p{Is_Numeric_Value=0.67}');
Error('\P{Is_Numeric_Value=0.67}');
Expect(1, 74854, '\p{Is_Numeric_Value=0.667}', "");
Expect(0, 74854, '\p{^Is_Numeric_Value=0.667}', "");
Expect(0, 74854, '\P{Is_Numeric_Value=0.667}', "");
Expect(1, 74854, '\P{^Is_Numeric_Value=0.667}', "");
Expect(0, 74855, '\p{Is_Numeric_Value=0.667}', "");
Expect(1, 74855, '\p{^Is_Numeric_Value=0.667}', "");
Expect(1, 74855, '\P{Is_Numeric_Value=0.667}', "");
Expect(0, 74855, '\P{^Is_Numeric_Value=0.667}', "");
Error('\p{Is_Nv= :=+002/0000000003}');
Error('\P{Is_Nv= :=+002/0000000003}');
Expect(1, 74854, '\p{Is_Nv=2/000003}', "");
Expect(0, 74854, '\p{^Is_Nv=2/000003}', "");
Expect(0, 74854, '\P{Is_Nv=2/000003}', "");
Expect(1, 74854, '\P{^Is_Nv=2/000003}', "");
Expect(0, 74855, '\p{Is_Nv=2/000003}', "");
Expect(1, 74855, '\p{^Is_Nv=2/000003}', "");
Expect(1, 74855, '\P{Is_Nv=2/000003}', "");
Expect(0, 74855, '\P{^Is_Nv=2/000003}', "");
Error('\p{Is_Nv=0.7}');
Error('\P{Is_Nv=0.7}');
Error('\p{Is_Nv=0.67}');
Error('\P{Is_Nv=0.67}');
Expect(1, 74854, '\p{Is_Nv=0.667}', "");
Expect(0, 74854, '\p{^Is_Nv=0.667}', "");
Expect(0, 74854, '\P{Is_Nv=0.667}', "");
Expect(1, 74854, '\P{^Is_Nv=0.667}', "");
Expect(0, 74855, '\p{Is_Nv=0.667}', "");
Expect(1, 74855, '\p{^Is_Nv=0.667}', "");
Expect(1, 74855, '\P{Is_Nv=0.667}', "");
Expect(0, 74855, '\P{^Is_Nv=0.667}', "");
Error('\p{Numeric_Value=:=+0002/000005}');
Error('\P{Numeric_Value=:=+0002/000005}');
Expect(1, 8534, '\p{Numeric_Value=+002/005}', "");
Expect(0, 8534, '\p{^Numeric_Value=+002/005}', "");
Expect(0, 8534, '\P{Numeric_Value=+002/005}', "");
Expect(1, 8534, '\P{^Numeric_Value=+002/005}', "");
Expect(0, 8535, '\p{Numeric_Value=+002/005}', "");
Expect(1, 8535, '\p{^Numeric_Value=+002/005}', "");
Expect(1, 8535, '\P{Numeric_Value=+002/005}', "");
Expect(0, 8535, '\P{^Numeric_Value=+002/005}', "");
Expect(1, 8534, '\p{Numeric_Value=0.400}', "");
Expect(0, 8534, '\p{^Numeric_Value=0.400}', "");
Expect(0, 8534, '\P{Numeric_Value=0.400}', "");
Expect(1, 8534, '\P{^Numeric_Value=0.400}', "");
Expect(0, 8535, '\p{Numeric_Value=0.400}', "");
Expect(1, 8535, '\p{^Numeric_Value=0.400}', "");
Expect(1, 8535, '\P{Numeric_Value=0.400}', "");
Expect(0, 8535, '\P{^Numeric_Value=0.400}', "");
Error('\p{Nv=	:=+00000002/005}');
Error('\P{Nv=	:=+00000002/005}');
Expect(1, 8534, '\p{Nv:   0000000002/00005}', "");
Expect(0, 8534, '\p{^Nv:   0000000002/00005}', "");
Expect(0, 8534, '\P{Nv:   0000000002/00005}', "");
Expect(1, 8534, '\P{^Nv:   0000000002/00005}', "");
Expect(0, 8535, '\p{Nv:   0000000002/00005}', "");
Expect(1, 8535, '\p{^Nv:   0000000002/00005}', "");
Expect(1, 8535, '\P{Nv:   0000000002/00005}', "");
Expect(0, 8535, '\P{^Nv:   0000000002/00005}', "");
Expect(1, 8534, '\p{Nv=0.400}', "");
Expect(0, 8534, '\p{^Nv=0.400}', "");
Expect(0, 8534, '\P{Nv=0.400}', "");
Expect(1, 8534, '\P{^Nv=0.400}', "");
Expect(0, 8535, '\p{Nv=0.400}', "");
Expect(1, 8535, '\p{^Nv=0.400}', "");
Expect(1, 8535, '\P{Nv=0.400}', "");
Expect(0, 8535, '\P{^Nv=0.400}', "");
Error('\p{Is_Numeric_Value=:= 2/0005}');
Error('\P{Is_Numeric_Value=:= 2/0005}');
Expect(1, 8534, '\p{Is_Numeric_Value=0000000002/5}', "");
Expect(0, 8534, '\p{^Is_Numeric_Value=0000000002/5}', "");
Expect(0, 8534, '\P{Is_Numeric_Value=0000000002/5}', "");
Expect(1, 8534, '\P{^Is_Numeric_Value=0000000002/5}', "");
Expect(0, 8535, '\p{Is_Numeric_Value=0000000002/5}', "");
Expect(1, 8535, '\p{^Is_Numeric_Value=0000000002/5}', "");
Expect(1, 8535, '\P{Is_Numeric_Value=0000000002/5}', "");
Expect(0, 8535, '\P{^Is_Numeric_Value=0000000002/5}', "");
Expect(1, 8534, '\p{Is_Numeric_Value=0.400}', "");
Expect(0, 8534, '\p{^Is_Numeric_Value=0.400}', "");
Expect(0, 8534, '\P{Is_Numeric_Value=0.400}', "");
Expect(1, 8534, '\P{^Is_Numeric_Value=0.400}', "");
Expect(0, 8535, '\p{Is_Numeric_Value=0.400}', "");
Expect(1, 8535, '\p{^Is_Numeric_Value=0.400}', "");
Expect(1, 8535, '\P{Is_Numeric_Value=0.400}', "");
Expect(0, 8535, '\P{^Is_Numeric_Value=0.400}', "");
Error('\p{Is_Nv= _000002/0000000005/a/}');
Error('\P{Is_Nv= _000002/0000000005/a/}');
Expect(1, 8534, '\p{Is_Nv=0000000002/005}', "");
Expect(0, 8534, '\p{^Is_Nv=0000000002/005}', "");
Expect(0, 8534, '\P{Is_Nv=0000000002/005}', "");
Expect(1, 8534, '\P{^Is_Nv=0000000002/005}', "");
Expect(0, 8535, '\p{Is_Nv=0000000002/005}', "");
Expect(1, 8535, '\p{^Is_Nv=0000000002/005}', "");
Expect(1, 8535, '\P{Is_Nv=0000000002/005}', "");
Expect(0, 8535, '\P{^Is_Nv=0000000002/005}', "");
Expect(1, 8534, '\p{Is_Nv:	0.400}', "");
Expect(0, 8534, '\p{^Is_Nv:	0.400}', "");
Expect(0, 8534, '\P{Is_Nv:	0.400}', "");
Expect(1, 8534, '\P{^Is_Nv:	0.400}', "");
Expect(0, 8535, '\p{Is_Nv:	0.400}', "");
Expect(1, 8535, '\p{^Is_Nv:	0.400}', "");
Expect(1, 8535, '\P{Is_Nv:	0.400}', "");
Expect(0, 8535, '\P{^Is_Nv:	0.400}', "");
Error('\p{Numeric_Value:   --0002_0:=}');
Error('\P{Numeric_Value:   --0002_0:=}');
Expect(1, 119658, '\p{Numeric_Value: 0000020}', "");
Expect(0, 119658, '\p{^Numeric_Value: 0000020}', "");
Expect(0, 119658, '\P{Numeric_Value: 0000020}', "");
Expect(1, 119658, '\P{^Numeric_Value: 0000020}', "");
Expect(0, 119659, '\p{Numeric_Value: 0000020}', "");
Expect(1, 119659, '\p{^Numeric_Value: 0000020}', "");
Expect(1, 119659, '\P{Numeric_Value: 0000020}', "");
Expect(0, 119659, '\P{^Numeric_Value: 0000020}', "");
Error('\p{Nv= :=020}');
Error('\P{Nv= :=020}');
Expect(1, 119658, '\p{Nv=+00020}', "");
Expect(0, 119658, '\p{^Nv=+00020}', "");
Expect(0, 119658, '\P{Nv=+00020}', "");
Expect(1, 119658, '\P{^Nv=+00020}', "");
Expect(0, 119659, '\p{Nv=+00020}', "");
Expect(1, 119659, '\p{^Nv=+00020}', "");
Expect(1, 119659, '\P{Nv=+00020}', "");
Expect(0, 119659, '\P{^Nv=+00020}', "");
Error('\p{Is_Numeric_Value=	:=000000020}');
Error('\P{Is_Numeric_Value=	:=000000020}');
Expect(1, 119658, '\p{Is_Numeric_Value=002_0}', "");
Expect(0, 119658, '\p{^Is_Numeric_Value=002_0}', "");
Expect(0, 119658, '\P{Is_Numeric_Value=002_0}', "");
Expect(1, 119658, '\P{^Is_Numeric_Value=002_0}', "");
Expect(0, 119659, '\p{Is_Numeric_Value=002_0}', "");
Expect(1, 119659, '\p{^Is_Numeric_Value=002_0}', "");
Expect(1, 119659, '\P{Is_Numeric_Value=002_0}', "");
Expect(0, 119659, '\P{^Is_Numeric_Value=002_0}', "");
Error('\p{Is_Nv=_:=00_00_20}');
Error('\P{Is_Nv=_:=00_00_20}');
Expect(1, 119658, '\p{Is_Nv=0_0_0_20}', "");
Expect(0, 119658, '\p{^Is_Nv=0_0_0_20}', "");
Expect(0, 119658, '\P{Is_Nv=0_0_0_20}', "");
Expect(1, 119658, '\P{^Is_Nv=0_0_0_20}', "");
Expect(0, 119659, '\p{Is_Nv=0_0_0_20}', "");
Expect(1, 119659, '\p{^Is_Nv=0_0_0_20}', "");
Expect(1, 119659, '\P{Is_Nv=0_0_0_20}', "");
Expect(0, 119659, '\P{^Is_Nv=0_0_0_20}', "");
Error('\p{Numeric_Value= :=0020_0}');
Error('\P{Numeric_Value= :=0020_0}');
Expect(1, 69235, '\p{Numeric_Value=00000000200}', "");
Expect(0, 69235, '\p{^Numeric_Value=00000000200}', "");
Expect(0, 69235, '\P{Numeric_Value=00000000200}', "");
Expect(1, 69235, '\P{^Numeric_Value=00000000200}', "");
Expect(0, 69236, '\p{Numeric_Value=00000000200}', "");
Expect(1, 69236, '\p{^Numeric_Value=00000000200}', "");
Expect(1, 69236, '\P{Numeric_Value=00000000200}', "");
Expect(0, 69236, '\P{^Numeric_Value=00000000200}', "");
Error('\p{Nv=:=	-000200}');
Error('\P{Nv=:=	-000200}');
Expect(1, 69235, '\p{Nv=0000200}', "");
Expect(0, 69235, '\p{^Nv=0000200}', "");
Expect(0, 69235, '\P{Nv=0000200}', "");
Expect(1, 69235, '\P{^Nv=0000200}', "");
Expect(0, 69236, '\p{Nv=0000200}', "");
Expect(1, 69236, '\p{^Nv=0000200}', "");
Expect(1, 69236, '\P{Nv=0000200}', "");
Expect(0, 69236, '\P{^Nv=0000200}', "");
Error('\p{Is_Numeric_Value=/a/ -+0_0_0_0_0_200}');
Error('\P{Is_Numeric_Value=/a/ -+0_0_0_0_0_200}');
Expect(1, 69235, '\p{Is_Numeric_Value=0_0_0_0_0_0_00200}', "");
Expect(0, 69235, '\p{^Is_Numeric_Value=0_0_0_0_0_0_00200}', "");
Expect(0, 69235, '\P{Is_Numeric_Value=0_0_0_0_0_0_00200}', "");
Expect(1, 69235, '\P{^Is_Numeric_Value=0_0_0_0_0_0_00200}', "");
Expect(0, 69236, '\p{Is_Numeric_Value=0_0_0_0_0_0_00200}', "");
Expect(1, 69236, '\p{^Is_Numeric_Value=0_0_0_0_0_0_00200}', "");
Expect(1, 69236, '\P{Is_Numeric_Value=0_0_0_0_0_0_00200}', "");
Expect(0, 69236, '\P{^Is_Numeric_Value=0_0_0_0_0_0_00200}', "");
Error('\p{Is_Nv=_0000_0020_0/a/}');
Error('\P{Is_Nv=_0000_0020_0/a/}');
Expect(1, 69235, '\p{Is_Nv=00000000200}', "");
Expect(0, 69235, '\p{^Is_Nv=00000000200}', "");
Expect(0, 69235, '\P{Is_Nv=00000000200}', "");
Expect(1, 69235, '\P{^Is_Nv=00000000200}', "");
Expect(0, 69236, '\p{Is_Nv=00000000200}', "");
Expect(1, 69236, '\p{^Is_Nv=00000000200}', "");
Expect(1, 69236, '\P{Is_Nv=00000000200}', "");
Expect(0, 69236, '\P{^Is_Nv=00000000200}', "");
Error('\p{Numeric_Value=_:=00000002000}');
Error('\P{Numeric_Value=_:=00000002000}');
Expect(1, 68060, '\p{Numeric_Value=+2_0_00}', "");
Expect(0, 68060, '\p{^Numeric_Value=+2_0_00}', "");
Expect(0, 68060, '\P{Numeric_Value=+2_0_00}', "");
Expect(1, 68060, '\P{^Numeric_Value=+2_0_00}', "");
Expect(0, 68061, '\p{Numeric_Value=+2_0_00}', "");
Expect(1, 68061, '\p{^Numeric_Value=+2_0_00}', "");
Expect(1, 68061, '\P{Numeric_Value=+2_0_00}', "");
Expect(0, 68061, '\P{^Numeric_Value=+2_0_00}', "");
Error('\p{Nv=:=--+00002000}');
Error('\P{Nv=:=--+00002000}');
Expect(1, 68060, '\p{Nv=+0000200_0}', "");
Expect(0, 68060, '\p{^Nv=+0000200_0}', "");
Expect(0, 68060, '\P{Nv=+0000200_0}', "");
Expect(1, 68060, '\P{^Nv=+0000200_0}', "");
Expect(0, 68061, '\p{Nv=+0000200_0}', "");
Expect(1, 68061, '\p{^Nv=+0000200_0}', "");
Expect(1, 68061, '\P{Nv=+0000200_0}', "");
Expect(0, 68061, '\P{^Nv=+0000200_0}', "");
Error('\p{Is_Numeric_Value= /a/0_0_0_0_0_0_02000}');
Error('\P{Is_Numeric_Value= /a/0_0_0_0_0_0_02000}');
Expect(1, 68060, '\p{Is_Numeric_Value=0_0_2_0_00}', "");
Expect(0, 68060, '\p{^Is_Numeric_Value=0_0_2_0_00}', "");
Expect(0, 68060, '\P{Is_Numeric_Value=0_0_2_0_00}', "");
Expect(1, 68060, '\P{^Is_Numeric_Value=0_0_2_0_00}', "");
Expect(0, 68061, '\p{Is_Numeric_Value=0_0_2_0_00}', "");
Expect(1, 68061, '\p{^Is_Numeric_Value=0_0_2_0_00}', "");
Expect(1, 68061, '\P{Is_Numeric_Value=0_0_2_0_00}', "");
Expect(0, 68061, '\P{^Is_Numeric_Value=0_0_2_0_00}', "");
Error('\p{Is_Nv=/a/_	0_0_0_0_2_0_00}');
Error('\P{Is_Nv=/a/_	0_0_0_0_2_0_00}');
Expect(1, 68060, '\p{Is_Nv=+000_000_002_000}', "");
Expect(0, 68060, '\p{^Is_Nv=+000_000_002_000}', "");
Expect(0, 68060, '\P{Is_Nv=+000_000_002_000}', "");
Expect(1, 68060, '\P{^Is_Nv=+000_000_002_000}', "");
Expect(0, 68061, '\p{Is_Nv=+000_000_002_000}', "");
Expect(1, 68061, '\p{^Is_Nv=+000_000_002_000}', "");
Expect(1, 68061, '\P{Is_Nv=+000_000_002_000}', "");
Expect(0, 68061, '\P{^Is_Nv=+000_000_002_000}', "");
Error('\p{Numeric_Value=	:=0_2_0_0_00}');
Error('\P{Numeric_Value=	:=0_2_0_0_00}');
Expect(1, 68069, '\p{Numeric_Value=+000000020000}', "");
Expect(0, 68069, '\p{^Numeric_Value=+000000020000}', "");
Expect(0, 68069, '\P{Numeric_Value=+000000020000}', "");
Expect(1, 68069, '\P{^Numeric_Value=+000000020000}', "");
Expect(0, 68070, '\p{Numeric_Value=+000000020000}', "");
Expect(1, 68070, '\p{^Numeric_Value=+000000020000}', "");
Expect(1, 68070, '\P{Numeric_Value=+000000020000}', "");
Expect(0, 68070, '\P{^Numeric_Value=+000000020000}', "");
Error('\p{Nv= _+000020000/a/}');
Error('\P{Nv= _+000020000/a/}');
Expect(1, 68069, '\p{Nv=+000000020000}', "");
Expect(0, 68069, '\p{^Nv=+000000020000}', "");
Expect(0, 68069, '\P{Nv=+000000020000}', "");
Expect(1, 68069, '\P{^Nv=+000000020000}', "");
Expect(0, 68070, '\p{Nv=+000000020000}', "");
Expect(1, 68070, '\p{^Nv=+000000020000}', "");
Expect(1, 68070, '\P{Nv=+000000020000}', "");
Expect(0, 68070, '\P{^Nv=+000000020000}', "");
Error('\p{Is_Numeric_Value=:=+00000020000}');
Error('\P{Is_Numeric_Value=:=+00000020000}');
Expect(1, 68069, '\p{Is_Numeric_Value=+0002000_0}', "");
Expect(0, 68069, '\p{^Is_Numeric_Value=+0002000_0}', "");
Expect(0, 68069, '\P{Is_Numeric_Value=+0002000_0}', "");
Expect(1, 68069, '\P{^Is_Numeric_Value=+0002000_0}', "");
Expect(0, 68070, '\p{Is_Numeric_Value=+0002000_0}', "");
Expect(1, 68070, '\p{^Is_Numeric_Value=+0002000_0}', "");
Expect(1, 68070, '\P{Is_Numeric_Value=+0002000_0}', "");
Expect(0, 68070, '\P{^Is_Numeric_Value=+0002000_0}', "");
Error('\p{Is_Nv::=	-000000020000}');
Error('\P{Is_Nv::=	-000000020000}');
Expect(1, 68069, '\p{Is_Nv=0_0_0_0_2_0000}', "");
Expect(0, 68069, '\p{^Is_Nv=0_0_0_0_2_0000}', "");
Expect(0, 68069, '\P{Is_Nv=0_0_0_0_2_0000}', "");
Expect(1, 68069, '\P{^Is_Nv=0_0_0_0_2_0000}', "");
Expect(0, 68070, '\p{Is_Nv=0_0_0_0_2_0000}', "");
Expect(1, 68070, '\p{^Is_Nv=0_0_0_0_2_0000}', "");
Expect(1, 68070, '\P{Is_Nv=0_0_0_0_2_0000}', "");
Expect(0, 68070, '\P{^Is_Nv=0_0_0_0_2_0000}', "");
Error('\p{Numeric_Value:   	-000000000200000/a/}');
Error('\P{Numeric_Value:   	-000000000200000/a/}');
Expect(1, 68078, '\p{Numeric_Value=+20_00_00}', "");
Expect(0, 68078, '\p{^Numeric_Value=+20_00_00}', "");
Expect(0, 68078, '\P{Numeric_Value=+20_00_00}', "");
Expect(1, 68078, '\P{^Numeric_Value=+20_00_00}', "");
Expect(0, 68079, '\p{Numeric_Value=+20_00_00}', "");
Expect(1, 68079, '\p{^Numeric_Value=+20_00_00}', "");
Expect(1, 68079, '\P{Numeric_Value=+20_00_00}', "");
Expect(0, 68079, '\P{^Numeric_Value=+20_00_00}', "");
Error('\p{Nv=_0000200000/a/}');
Error('\P{Nv=_0000200000/a/}');
Expect(1, 68078, '\p{Nv=000000200000}', "");
Expect(0, 68078, '\p{^Nv=000000200000}', "");
Expect(0, 68078, '\P{Nv=000000200000}', "");
Expect(1, 68078, '\P{^Nv=000000200000}', "");
Expect(0, 68079, '\p{Nv=000000200000}', "");
Expect(1, 68079, '\p{^Nv=000000200000}', "");
Expect(1, 68079, '\P{Nv=000000200000}', "");
Expect(0, 68079, '\P{^Nv=000000200000}', "");
Error('\p{Is_Numeric_Value=_:=00000200000}');
Error('\P{Is_Numeric_Value=_:=00000200000}');
Expect(1, 68078, '\p{Is_Numeric_Value=000020000_0}', "");
Expect(0, 68078, '\p{^Is_Numeric_Value=000020000_0}', "");
Expect(0, 68078, '\P{Is_Numeric_Value=000020000_0}', "");
Expect(1, 68078, '\P{^Is_Numeric_Value=000020000_0}', "");
Expect(0, 68079, '\p{Is_Numeric_Value=000020000_0}', "");
Expect(1, 68079, '\p{^Is_Numeric_Value=000020000_0}', "");
Expect(1, 68079, '\P{Is_Numeric_Value=000020000_0}', "");
Expect(0, 68079, '\P{^Is_Numeric_Value=000020000_0}', "");
Error('\p{Is_Nv=/a/ 0_0_2_0_0000}');
Error('\P{Is_Nv=/a/ 0_0_2_0_0000}');
Expect(1, 68078, '\p{Is_Nv:	+0200000}', "");
Expect(0, 68078, '\p{^Is_Nv:	+0200000}', "");
Expect(0, 68078, '\P{Is_Nv:	+0200000}', "");
Expect(1, 68078, '\P{^Is_Nv:	+0200000}', "");
Expect(0, 68079, '\p{Is_Nv:	+0200000}', "");
Expect(1, 68079, '\p{^Is_Nv:	+0200000}', "");
Expect(1, 68079, '\P{Is_Nv:	+0200000}', "");
Expect(0, 68079, '\P{^Is_Nv:	+0200000}', "");
Error('\p{Numeric_Value=- 00_02_1:=}');
Error('\P{Numeric_Value=- 00_02_1:=}');
Expect(1, 12881, '\p{Numeric_Value=00_00_00_02_1}', "");
Expect(0, 12881, '\p{^Numeric_Value=00_00_00_02_1}', "");
Expect(0, 12881, '\P{Numeric_Value=00_00_00_02_1}', "");
Expect(1, 12881, '\P{^Numeric_Value=00_00_00_02_1}', "");
Expect(0, 12882, '\p{Numeric_Value=00_00_00_02_1}', "");
Expect(1, 12882, '\p{^Numeric_Value=00_00_00_02_1}', "");
Expect(1, 12882, '\P{Numeric_Value=00_00_00_02_1}', "");
Expect(0, 12882, '\P{^Numeric_Value=00_00_00_02_1}', "");
Error('\p{Nv=/a/_00000000021}');
Error('\P{Nv=/a/_00000000021}');
Expect(1, 12881, '\p{Nv=+00000000021}', "");
Expect(0, 12881, '\p{^Nv=+00000000021}', "");
Expect(0, 12881, '\P{Nv=+00000000021}', "");
Expect(1, 12881, '\P{^Nv=+00000000021}', "");
Expect(0, 12882, '\p{Nv=+00000000021}', "");
Expect(1, 12882, '\p{^Nv=+00000000021}', "");
Expect(1, 12882, '\P{Nv=+00000000021}', "");
Expect(0, 12882, '\P{^Nv=+00000000021}', "");
Error('\p{Is_Numeric_Value: - +00_00_21:=}');
Error('\P{Is_Numeric_Value: - +00_00_21:=}');
Expect(1, 12881, '\p{Is_Numeric_Value=+0021}', "");
Expect(0, 12881, '\p{^Is_Numeric_Value=+0021}', "");
Expect(0, 12881, '\P{Is_Numeric_Value=+0021}', "");
Expect(1, 12881, '\P{^Is_Numeric_Value=+0021}', "");
Expect(0, 12882, '\p{Is_Numeric_Value=+0021}', "");
Expect(1, 12882, '\p{^Is_Numeric_Value=+0021}', "");
Expect(1, 12882, '\P{Is_Numeric_Value=+0021}', "");
Expect(0, 12882, '\P{^Is_Numeric_Value=+0021}', "");
Error('\p{Is_Nv=	0_0_0_021/a/}');
Error('\P{Is_Nv=	0_0_0_021/a/}');
Expect(1, 12881, '\p{Is_Nv=+00000000021}', "");
Expect(0, 12881, '\p{^Is_Nv=+00000000021}', "");
Expect(0, 12881, '\P{Is_Nv=+00000000021}', "");
Expect(1, 12881, '\P{^Is_Nv=+00000000021}', "");
Expect(0, 12882, '\p{Is_Nv=+00000000021}', "");
Expect(1, 12882, '\p{^Is_Nv=+00000000021}', "");
Expect(1, 12882, '\P{Is_Nv=+00000000021}', "");
Expect(0, 12882, '\P{^Is_Nv=+00000000021}', "");
Error('\p{Numeric_Value=:=_00_00_00_21_6000}');
Error('\P{Numeric_Value=:=_00_00_00_21_6000}');
Expect(1, 74802, '\p{Numeric_Value:   0_2_1_6_0_00}', "");
Expect(0, 74802, '\p{^Numeric_Value:   0_2_1_6_0_00}', "");
Expect(0, 74802, '\P{Numeric_Value:   0_2_1_6_0_00}', "");
Expect(1, 74802, '\P{^Numeric_Value:   0_2_1_6_0_00}', "");
Expect(0, 74803, '\p{Numeric_Value:   0_2_1_6_0_00}', "");
Expect(1, 74803, '\p{^Numeric_Value:   0_2_1_6_0_00}', "");
Expect(1, 74803, '\P{Numeric_Value:   0_2_1_6_0_00}', "");
Expect(0, 74803, '\P{^Numeric_Value:   0_2_1_6_0_00}', "");
Error('\p{Nv= /a/216000}');
Error('\P{Nv= /a/216000}');
Expect(1, 74802, '\p{Nv=000000000216000}', "");
Expect(0, 74802, '\p{^Nv=000000000216000}', "");
Expect(0, 74802, '\P{Nv=000000000216000}', "");
Expect(1, 74802, '\P{^Nv=000000000216000}', "");
Expect(0, 74803, '\p{Nv=000000000216000}', "");
Expect(1, 74803, '\p{^Nv=000000000216000}', "");
Expect(1, 74803, '\P{Nv=000000000216000}', "");
Expect(0, 74803, '\P{^Nv=000000000216000}', "");
Error('\p{Is_Numeric_Value=-000216000:=}');
Error('\P{Is_Numeric_Value=-000216000:=}');
Expect(1, 74802, '\p{Is_Numeric_Value=0216000}', "");
Expect(0, 74802, '\p{^Is_Numeric_Value=0216000}', "");
Expect(0, 74802, '\P{Is_Numeric_Value=0216000}', "");
Expect(1, 74802, '\P{^Is_Numeric_Value=0216000}', "");
Expect(0, 74803, '\p{Is_Numeric_Value=0216000}', "");
Expect(1, 74803, '\p{^Is_Numeric_Value=0216000}', "");
Expect(1, 74803, '\P{Is_Numeric_Value=0216000}', "");
Expect(0, 74803, '\P{^Is_Numeric_Value=0216000}', "");
Error('\p{Is_Nv:   --000000000216000:=}');
Error('\P{Is_Nv:   --000000000216000:=}');
Expect(1, 74802, '\p{Is_Nv=000000216000}', "");
Expect(0, 74802, '\p{^Is_Nv=000000216000}', "");
Expect(0, 74802, '\P{Is_Nv=000000216000}', "");
Expect(1, 74802, '\P{^Is_Nv=000000216000}', "");
Expect(0, 74803, '\p{Is_Nv=000000216000}', "");
Expect(1, 74803, '\p{^Is_Nv=000000216000}', "");
Expect(1, 74803, '\P{Is_Nv=000000216000}', "");
Expect(0, 74803, '\P{^Is_Nv=000000216000}', "");
Error('\p{Numeric_Value= 000000022/a/}');
Error('\P{Numeric_Value= 000000022/a/}');
Expect(1, 12882, '\p{Numeric_Value=0000022}', "");
Expect(0, 12882, '\p{^Numeric_Value=0000022}', "");
Expect(0, 12882, '\P{Numeric_Value=0000022}', "");
Expect(1, 12882, '\P{^Numeric_Value=0000022}', "");
Expect(0, 12883, '\p{Numeric_Value=0000022}', "");
Expect(1, 12883, '\p{^Numeric_Value=0000022}', "");
Expect(1, 12883, '\P{Numeric_Value=0000022}', "");
Expect(0, 12883, '\P{^Numeric_Value=0000022}', "");
Error('\p{Nv:	:=-00_00_00_22}');
Error('\P{Nv:	:=-00_00_00_22}');
Expect(1, 12882, '\p{Nv=+0_0_0_0_0_22}', "");
Expect(0, 12882, '\p{^Nv=+0_0_0_0_0_22}', "");
Expect(0, 12882, '\P{Nv=+0_0_0_0_0_22}', "");
Expect(1, 12882, '\P{^Nv=+0_0_0_0_0_22}', "");
Expect(0, 12883, '\p{Nv=+0_0_0_0_0_22}', "");
Expect(1, 12883, '\p{^Nv=+0_0_0_0_0_22}', "");
Expect(1, 12883, '\P{Nv=+0_0_0_0_0_22}', "");
Expect(0, 12883, '\P{^Nv=+0_0_0_0_0_22}', "");
Error('\p{Is_Numeric_Value=-:=+00_00_00_022}');
Error('\P{Is_Numeric_Value=-:=+00_00_00_022}');
Expect(1, 12882, '\p{Is_Numeric_Value=+00022}', "");
Expect(0, 12882, '\p{^Is_Numeric_Value=+00022}', "");
Expect(0, 12882, '\P{Is_Numeric_Value=+00022}', "");
Expect(1, 12882, '\P{^Is_Numeric_Value=+00022}', "");
Expect(0, 12883, '\p{Is_Numeric_Value=+00022}', "");
Expect(1, 12883, '\p{^Is_Numeric_Value=+00022}', "");
Expect(1, 12883, '\P{Is_Numeric_Value=+00022}', "");
Expect(0, 12883, '\P{^Is_Numeric_Value=+00022}', "");
Error('\p{Is_Nv=  +0_0_0_0_22:=}');
Error('\P{Is_Nv=  +0_0_0_0_22:=}');
Expect(1, 12882, '\p{Is_Nv=00022}', "");
Expect(0, 12882, '\p{^Is_Nv=00022}', "");
Expect(0, 12882, '\P{Is_Nv=00022}', "");
Expect(1, 12882, '\P{^Is_Nv=00022}', "");
Expect(0, 12883, '\p{Is_Nv=00022}', "");
Expect(1, 12883, '\p{^Is_Nv=00022}', "");
Expect(1, 12883, '\P{Is_Nv=00022}', "");
Expect(0, 12883, '\P{^Is_Nv=00022}', "");
Error('\p{Numeric_Value=:= +02_3}');
Error('\P{Numeric_Value=:= +02_3}');
Expect(1, 12883, '\p{Numeric_Value=00000002_3}', "");
Expect(0, 12883, '\p{^Numeric_Value=00000002_3}', "");
Expect(0, 12883, '\P{Numeric_Value=00000002_3}', "");
Expect(1, 12883, '\P{^Numeric_Value=00000002_3}', "");
Expect(0, 12884, '\p{Numeric_Value=00000002_3}', "");
Expect(1, 12884, '\p{^Numeric_Value=00000002_3}', "");
Expect(1, 12884, '\P{Numeric_Value=00000002_3}', "");
Expect(0, 12884, '\P{^Numeric_Value=00000002_3}', "");
Error('\p{Nv=_-0000023/a/}');
Error('\P{Nv=_-0000023/a/}');
Expect(1, 12883, '\p{Nv=23}', "");
Expect(0, 12883, '\p{^Nv=23}', "");
Expect(0, 12883, '\P{Nv=23}', "");
Expect(1, 12883, '\P{^Nv=23}', "");
Expect(0, 12884, '\p{Nv=23}', "");
Expect(1, 12884, '\p{^Nv=23}', "");
Expect(1, 12884, '\P{Nv=23}', "");
Expect(0, 12884, '\P{^Nv=23}', "");
Error('\p{Is_Numeric_Value=_/a/00023}');
Error('\P{Is_Numeric_Value=_/a/00023}');
Expect(1, 12883, '\p{Is_Numeric_Value=+000000023}', "");
Expect(0, 12883, '\p{^Is_Numeric_Value=+000000023}', "");
Expect(0, 12883, '\P{Is_Numeric_Value=+000000023}', "");
Expect(1, 12883, '\P{^Is_Numeric_Value=+000000023}', "");
Expect(0, 12884, '\p{Is_Numeric_Value=+000000023}', "");
Expect(1, 12884, '\p{^Is_Numeric_Value=+000000023}', "");
Expect(1, 12884, '\P{Is_Numeric_Value=+000000023}', "");
Expect(0, 12884, '\P{^Is_Numeric_Value=+000000023}', "");
Error('\p{Is_Nv=	:=02_3}');
Error('\P{Is_Nv=	:=02_3}');
Expect(1, 12883, '\p{Is_Nv=+02_3}', "");
Expect(0, 12883, '\p{^Is_Nv=+02_3}', "");
Expect(0, 12883, '\P{Is_Nv=+02_3}', "");
Expect(1, 12883, '\P{^Is_Nv=+02_3}', "");
Expect(0, 12884, '\p{Is_Nv=+02_3}', "");
Expect(1, 12884, '\p{^Is_Nv=+02_3}', "");
Expect(1, 12884, '\P{Is_Nv=+02_3}', "");
Expect(0, 12884, '\P{^Is_Nv=+02_3}', "");
Error('\p{Numeric_Value:   /a/_-0_0_0_0_0_0_0_0_0_24}');
Error('\P{Numeric_Value:   /a/_-0_0_0_0_0_0_0_0_0_24}');
Expect(1, 12884, '\p{Numeric_Value=024}', "");
Expect(0, 12884, '\p{^Numeric_Value=024}', "");
Expect(0, 12884, '\P{Numeric_Value=024}', "");
Expect(1, 12884, '\P{^Numeric_Value=024}', "");
Expect(0, 12885, '\p{Numeric_Value=024}', "");
Expect(1, 12885, '\p{^Numeric_Value=024}', "");
Expect(1, 12885, '\P{Numeric_Value=024}', "");
Expect(0, 12885, '\P{^Numeric_Value=024}', "");
Error('\p{Nv=  2_4/a/}');
Error('\P{Nv=  2_4/a/}');
Expect(1, 12884, '\p{Nv=+2_4}', "");
Expect(0, 12884, '\p{^Nv=+2_4}', "");
Expect(0, 12884, '\P{Nv=+2_4}', "");
Expect(1, 12884, '\P{^Nv=+2_4}', "");
Expect(0, 12885, '\p{Nv=+2_4}', "");
Expect(1, 12885, '\p{^Nv=+2_4}', "");
Expect(1, 12885, '\P{Nv=+2_4}', "");
Expect(0, 12885, '\P{^Nv=+2_4}', "");
Error('\p{Is_Numeric_Value=_/a/000000024}');
Error('\P{Is_Numeric_Value=_/a/000000024}');
Expect(1, 12884, '\p{Is_Numeric_Value=+00000000024}', "");
Expect(0, 12884, '\p{^Is_Numeric_Value=+00000000024}', "");
Expect(0, 12884, '\P{Is_Numeric_Value=+00000000024}', "");
Expect(1, 12884, '\P{^Is_Numeric_Value=+00000000024}', "");
Expect(0, 12885, '\p{Is_Numeric_Value=+00000000024}', "");
Expect(1, 12885, '\p{^Is_Numeric_Value=+00000000024}', "");
Expect(1, 12885, '\P{Is_Numeric_Value=+00000000024}', "");
Expect(0, 12885, '\P{^Is_Numeric_Value=+00000000024}', "");
Error('\p{Is_Nv=:=_-002_4}');
Error('\P{Is_Nv=:=_-002_4}');
Expect(1, 12884, '\p{Is_Nv=0_0_0_0_0_0_0_0_24}', "");
Expect(0, 12884, '\p{^Is_Nv=0_0_0_0_0_0_0_0_24}', "");
Expect(0, 12884, '\P{Is_Nv=0_0_0_0_0_0_0_0_24}', "");
Expect(1, 12884, '\P{^Is_Nv=0_0_0_0_0_0_0_0_24}', "");
Expect(0, 12885, '\p{Is_Nv=0_0_0_0_0_0_0_0_24}', "");
Expect(1, 12885, '\p{^Is_Nv=0_0_0_0_0_0_0_0_24}', "");
Expect(1, 12885, '\P{Is_Nv=0_0_0_0_0_0_0_0_24}', "");
Expect(0, 12885, '\P{^Is_Nv=0_0_0_0_0_0_0_0_24}', "");
Error('\p{Numeric_Value=:=_ 025}');
Error('\P{Numeric_Value=:=_ 025}');
Expect(1, 12885, '\p{Numeric_Value=0_0_0_0_0025}', "");
Expect(0, 12885, '\p{^Numeric_Value=0_0_0_0_0025}', "");
Expect(0, 12885, '\P{Numeric_Value=0_0_0_0_0025}', "");
Expect(1, 12885, '\P{^Numeric_Value=0_0_0_0_0025}', "");
Expect(0, 12886, '\p{Numeric_Value=0_0_0_0_0025}', "");
Expect(1, 12886, '\p{^Numeric_Value=0_0_0_0_0025}', "");
Expect(1, 12886, '\P{Numeric_Value=0_0_0_0_0025}', "");
Expect(0, 12886, '\P{^Numeric_Value=0_0_0_0_0025}', "");
Error('\p{Nv: 	+00000000025:=}');
Error('\P{Nv: 	+00000000025:=}');
Expect(1, 12885, '\p{Nv=+25}', "");
Expect(0, 12885, '\p{^Nv=+25}', "");
Expect(0, 12885, '\P{Nv=+25}', "");
Expect(1, 12885, '\P{^Nv=+25}', "");
Expect(0, 12886, '\p{Nv=+25}', "");
Expect(1, 12886, '\p{^Nv=+25}', "");
Expect(1, 12886, '\P{Nv=+25}', "");
Expect(0, 12886, '\P{^Nv=+25}', "");
Error('\p{Is_Numeric_Value:	00000000025:=}');
Error('\P{Is_Numeric_Value:	00000000025:=}');
Expect(1, 12885, '\p{Is_Numeric_Value=00025}', "");
Expect(0, 12885, '\p{^Is_Numeric_Value=00025}', "");
Expect(0, 12885, '\P{Is_Numeric_Value=00025}', "");
Expect(1, 12885, '\P{^Is_Numeric_Value=00025}', "");
Expect(0, 12886, '\p{Is_Numeric_Value=00025}', "");
Expect(1, 12886, '\p{^Is_Numeric_Value=00025}', "");
Expect(1, 12886, '\P{Is_Numeric_Value=00025}', "");
Expect(0, 12886, '\P{^Is_Numeric_Value=00025}', "");
Error('\p{Is_Nv=00_02_5:=}');
Error('\P{Is_Nv=00_02_5:=}');
Expect(1, 12885, '\p{Is_Nv=+00025}', "");
Expect(0, 12885, '\p{^Is_Nv=+00025}', "");
Expect(0, 12885, '\P{Is_Nv=+00025}', "");
Expect(1, 12885, '\P{^Is_Nv=+00025}', "");
Expect(0, 12886, '\p{Is_Nv=+00025}', "");
Expect(1, 12886, '\p{^Is_Nv=+00025}', "");
Expect(1, 12886, '\P{Is_Nv=+00025}', "");
Expect(0, 12886, '\P{^Is_Nv=+00025}', "");
Error('\p{Numeric_Value=_/a/0000026}');
Error('\P{Numeric_Value=_/a/0000026}');
Expect(1, 12886, '\p{Numeric_Value=00_00_00_00_02_6}', "");
Expect(0, 12886, '\p{^Numeric_Value=00_00_00_00_02_6}', "");
Expect(0, 12886, '\P{Numeric_Value=00_00_00_00_02_6}', "");
Expect(1, 12886, '\P{^Numeric_Value=00_00_00_00_02_6}', "");
Expect(0, 12887, '\p{Numeric_Value=00_00_00_00_02_6}', "");
Expect(1, 12887, '\p{^Numeric_Value=00_00_00_00_02_6}', "");
Expect(1, 12887, '\P{Numeric_Value=00_00_00_00_02_6}', "");
Expect(0, 12887, '\P{^Numeric_Value=00_00_00_00_02_6}', "");
Error('\p{Nv=/a/-_000026}');
Error('\P{Nv=/a/-_000026}');
Expect(1, 12886, '\p{Nv=+0_0_0_0_0_0_26}', "");
Expect(0, 12886, '\p{^Nv=+0_0_0_0_0_0_26}', "");
Expect(0, 12886, '\P{Nv=+0_0_0_0_0_0_26}', "");
Expect(1, 12886, '\P{^Nv=+0_0_0_0_0_0_26}', "");
Expect(0, 12887, '\p{Nv=+0_0_0_0_0_0_26}', "");
Expect(1, 12887, '\p{^Nv=+0_0_0_0_0_0_26}', "");
Expect(1, 12887, '\P{Nv=+0_0_0_0_0_0_26}', "");
Expect(0, 12887, '\P{^Nv=+0_0_0_0_0_0_26}', "");
Error('\p{Is_Numeric_Value=-/a/+000_002_6}');
Error('\P{Is_Numeric_Value=-/a/+000_002_6}');
Expect(1, 12886, '\p{Is_Numeric_Value=0002_6}', "");
Expect(0, 12886, '\p{^Is_Numeric_Value=0002_6}', "");
Expect(0, 12886, '\P{Is_Numeric_Value=0002_6}', "");
Expect(1, 12886, '\P{^Is_Numeric_Value=0002_6}', "");
Expect(0, 12887, '\p{Is_Numeric_Value=0002_6}', "");
Expect(1, 12887, '\p{^Is_Numeric_Value=0002_6}', "");
Expect(1, 12887, '\P{Is_Numeric_Value=0002_6}', "");
Expect(0, 12887, '\P{^Is_Numeric_Value=0002_6}', "");
Error('\p{Is_Nv=-:=0_0_0_0_0_0_0026}');
Error('\P{Is_Nv=-:=0_0_0_0_0_0_0026}');
Expect(1, 12886, '\p{Is_Nv:	+00_00_26}', "");
Expect(0, 12886, '\p{^Is_Nv:	+00_00_26}', "");
Expect(0, 12886, '\P{Is_Nv:	+00_00_26}', "");
Expect(1, 12886, '\P{^Is_Nv:	+00_00_26}', "");
Expect(0, 12887, '\p{Is_Nv:	+00_00_26}', "");
Expect(1, 12887, '\p{^Is_Nv:	+00_00_26}', "");
Expect(1, 12887, '\P{Is_Nv:	+00_00_26}', "");
Expect(0, 12887, '\P{^Is_Nv:	+00_00_26}', "");
Error('\p{Numeric_Value=-/a/000027}');
Error('\P{Numeric_Value=-/a/000027}');
Expect(1, 12887, '\p{Numeric_Value:	+00002_7}', "");
Expect(0, 12887, '\p{^Numeric_Value:	+00002_7}', "");
Expect(0, 12887, '\P{Numeric_Value:	+00002_7}', "");
Expect(1, 12887, '\P{^Numeric_Value:	+00002_7}', "");
Expect(0, 12888, '\p{Numeric_Value:	+00002_7}', "");
Expect(1, 12888, '\p{^Numeric_Value:	+00002_7}', "");
Expect(1, 12888, '\P{Numeric_Value:	+00002_7}', "");
Expect(0, 12888, '\P{^Numeric_Value:	+00002_7}', "");
Error('\p{Nv= 00027/a/}');
Error('\P{Nv= 00027/a/}');
Expect(1, 12887, '\p{Nv=+00000000027}', "");
Expect(0, 12887, '\p{^Nv=+00000000027}', "");
Expect(0, 12887, '\P{Nv=+00000000027}', "");
Expect(1, 12887, '\P{^Nv=+00000000027}', "");
Expect(0, 12888, '\p{Nv=+00000000027}', "");
Expect(1, 12888, '\p{^Nv=+00000000027}', "");
Expect(1, 12888, '\P{Nv=+00000000027}', "");
Expect(0, 12888, '\P{^Nv=+00000000027}', "");
Error('\p{Is_Numeric_Value=_+27/a/}');
Error('\P{Is_Numeric_Value=_+27/a/}');
Expect(1, 12887, '\p{Is_Numeric_Value=000027}', "");
Expect(0, 12887, '\p{^Is_Numeric_Value=000027}', "");
Expect(0, 12887, '\P{Is_Numeric_Value=000027}', "");
Expect(1, 12887, '\P{^Is_Numeric_Value=000027}', "");
Expect(0, 12888, '\p{Is_Numeric_Value=000027}', "");
Expect(1, 12888, '\p{^Is_Numeric_Value=000027}', "");
Expect(1, 12888, '\P{Is_Numeric_Value=000027}', "");
Expect(0, 12888, '\P{^Is_Numeric_Value=000027}', "");
Error('\p{Is_Nv=__+0_0_0_0_0_0_0_027:=}');
Error('\P{Is_Nv=__+0_0_0_0_0_0_0_027:=}');
Expect(1, 12887, '\p{Is_Nv=0000027}', "");
Expect(0, 12887, '\p{^Is_Nv=0000027}', "");
Expect(0, 12887, '\P{Is_Nv=0000027}', "");
Expect(1, 12887, '\P{^Is_Nv=0000027}', "");
Expect(0, 12888, '\p{Is_Nv=0000027}', "");
Expect(1, 12888, '\p{^Is_Nv=0000027}', "");
Expect(1, 12888, '\P{Is_Nv=0000027}', "");
Expect(0, 12888, '\P{^Is_Nv=0000027}', "");
Error('\p{Numeric_Value=/a/0000_0002_8}');
Error('\P{Numeric_Value=/a/0000_0002_8}');
Expect(1, 12888, '\p{Numeric_Value=00000028}', "");
Expect(0, 12888, '\p{^Numeric_Value=00000028}', "");
Expect(0, 12888, '\P{Numeric_Value=00000028}', "");
Expect(1, 12888, '\P{^Numeric_Value=00000028}', "");
Expect(0, 12889, '\p{Numeric_Value=00000028}', "");
Expect(1, 12889, '\p{^Numeric_Value=00000028}', "");
Expect(1, 12889, '\P{Numeric_Value=00000028}', "");
Expect(0, 12889, '\P{^Numeric_Value=00000028}', "");
Error('\p{Nv= _0002_8/a/}');
Error('\P{Nv= _0002_8/a/}');
Expect(1, 12888, '\p{Nv=00000028}', "");
Expect(0, 12888, '\p{^Nv=00000028}', "");
Expect(0, 12888, '\P{Nv=00000028}', "");
Expect(1, 12888, '\P{^Nv=00000028}', "");
Expect(0, 12889, '\p{Nv=00000028}', "");
Expect(1, 12889, '\p{^Nv=00000028}', "");
Expect(1, 12889, '\P{Nv=00000028}', "");
Expect(0, 12889, '\P{^Nv=00000028}', "");
Error('\p{Is_Numeric_Value=:=- 000028}');
Error('\P{Is_Numeric_Value=:=- 000028}');
Expect(1, 12888, '\p{Is_Numeric_Value=02_8}', "");
Expect(0, 12888, '\p{^Is_Numeric_Value=02_8}', "");
Expect(0, 12888, '\P{Is_Numeric_Value=02_8}', "");
Expect(1, 12888, '\P{^Is_Numeric_Value=02_8}', "");
Expect(0, 12889, '\p{Is_Numeric_Value=02_8}', "");
Expect(1, 12889, '\p{^Is_Numeric_Value=02_8}', "");
Expect(1, 12889, '\P{Is_Numeric_Value=02_8}', "");
Expect(0, 12889, '\P{^Is_Numeric_Value=02_8}', "");
Error('\p{Is_Nv=:=000028}');
Error('\P{Is_Nv=:=000028}');
Expect(1, 12888, '\p{Is_Nv=00_00_00_028}', "");
Expect(0, 12888, '\p{^Is_Nv=00_00_00_028}', "");
Expect(0, 12888, '\P{Is_Nv=00_00_00_028}', "");
Expect(1, 12888, '\P{^Is_Nv=00_00_00_028}', "");
Expect(0, 12889, '\p{Is_Nv=00_00_00_028}', "");
Expect(1, 12889, '\p{^Is_Nv=00_00_00_028}', "");
Expect(1, 12889, '\P{Is_Nv=00_00_00_028}', "");
Expect(0, 12889, '\P{^Is_Nv=00_00_00_028}', "");
Error('\p{Numeric_Value=-/a/0_0_0_0_29}');
Error('\P{Numeric_Value=-/a/0_0_0_0_29}');
Expect(1, 12889, '\p{Numeric_Value=02_9}', "");
Expect(0, 12889, '\p{^Numeric_Value=02_9}', "");
Expect(0, 12889, '\P{Numeric_Value=02_9}', "");
Expect(1, 12889, '\P{^Numeric_Value=02_9}', "");
Expect(0, 12890, '\p{Numeric_Value=02_9}', "");
Expect(1, 12890, '\p{^Numeric_Value=02_9}', "");
Expect(1, 12890, '\P{Numeric_Value=02_9}', "");
Expect(0, 12890, '\P{^Numeric_Value=02_9}', "");
Error('\p{Nv=/a/29}');
Error('\P{Nv=/a/29}');
Expect(1, 12889, '\p{Nv=00029}', "");
Expect(0, 12889, '\p{^Nv=00029}', "");
Expect(0, 12889, '\P{Nv=00029}', "");
Expect(1, 12889, '\P{^Nv=00029}', "");
Expect(0, 12890, '\p{Nv=00029}', "");
Expect(1, 12890, '\p{^Nv=00029}', "");
Expect(1, 12890, '\P{Nv=00029}', "");
Expect(0, 12890, '\P{^Nv=00029}', "");
Error('\p{Is_Numeric_Value=	 02_9:=}');
Error('\P{Is_Numeric_Value=	 02_9:=}');
Expect(1, 12889, '\p{Is_Numeric_Value=00_00_00_29}', "");
Expect(0, 12889, '\p{^Is_Numeric_Value=00_00_00_29}', "");
Expect(0, 12889, '\P{Is_Numeric_Value=00_00_00_29}', "");
Expect(1, 12889, '\P{^Is_Numeric_Value=00_00_00_29}', "");
Expect(0, 12890, '\p{Is_Numeric_Value=00_00_00_29}', "");
Expect(1, 12890, '\p{^Is_Numeric_Value=00_00_00_29}', "");
Expect(1, 12890, '\P{Is_Numeric_Value=00_00_00_29}', "");
Expect(0, 12890, '\P{^Is_Numeric_Value=00_00_00_29}', "");
Error('\p{Is_Nv=_/a/29}');
Error('\P{Is_Nv=_/a/29}');
Expect(1, 12889, '\p{Is_Nv=000000029}', "");
Expect(0, 12889, '\p{^Is_Nv=000000029}', "");
Expect(0, 12889, '\P{Is_Nv=000000029}', "");
Expect(1, 12889, '\P{^Is_Nv=000000029}', "");
Expect(0, 12890, '\p{Is_Nv=000000029}', "");
Expect(1, 12890, '\p{^Is_Nv=000000029}', "");
Expect(1, 12890, '\P{Is_Nv=000000029}', "");
Expect(0, 12890, '\P{^Is_Nv=000000029}', "");
Error('\p{Numeric_Value=-_000000003:=}');
Error('\P{Numeric_Value=-_000000003:=}');
Expect(1, 146203, '\p{Numeric_Value=03}', "");
Expect(0, 146203, '\p{^Numeric_Value=03}', "");
Expect(0, 146203, '\P{Numeric_Value=03}', "");
Expect(1, 146203, '\P{^Numeric_Value=03}', "");
Expect(0, 146204, '\p{Numeric_Value=03}', "");
Expect(1, 146204, '\p{^Numeric_Value=03}', "");
Expect(1, 146204, '\P{Numeric_Value=03}', "");
Expect(0, 146204, '\P{^Numeric_Value=03}', "");
Error('\p{Nv=_	0_0_0_003:=}');
Error('\P{Nv=_	0_0_0_003:=}');
Expect(1, 146203, '\p{Nv=3}', "");
Expect(0, 146203, '\p{^Nv=3}', "");
Expect(0, 146203, '\P{Nv=3}', "");
Expect(1, 146203, '\P{^Nv=3}', "");
Expect(0, 146204, '\p{Nv=3}', "");
Expect(1, 146204, '\p{^Nv=3}', "");
Expect(1, 146204, '\P{Nv=3}', "");
Expect(0, 146204, '\P{^Nv=3}', "");
Error('\p{Is_Numeric_Value=:=	+00000003}');
Error('\P{Is_Numeric_Value=:=	+00000003}');
Expect(1, 146203, '\p{Is_Numeric_Value=00_00_00_3}', "");
Expect(0, 146203, '\p{^Is_Numeric_Value=00_00_00_3}', "");
Expect(0, 146203, '\P{Is_Numeric_Value=00_00_00_3}', "");
Expect(1, 146203, '\P{^Is_Numeric_Value=00_00_00_3}', "");
Expect(0, 146204, '\p{Is_Numeric_Value=00_00_00_3}', "");
Expect(1, 146204, '\p{^Is_Numeric_Value=00_00_00_3}', "");
Expect(1, 146204, '\P{Is_Numeric_Value=00_00_00_3}', "");
Expect(0, 146204, '\P{^Is_Numeric_Value=00_00_00_3}', "");
Error('\p{Is_Nv=_	+3:=}');
Error('\P{Is_Nv=_	+3:=}');
Expect(1, 146203, '\p{Is_Nv=+00000003}', "");
Expect(0, 146203, '\p{^Is_Nv=+00000003}', "");
Expect(0, 146203, '\P{Is_Nv=+00000003}', "");
Expect(1, 146203, '\P{^Is_Nv=+00000003}', "");
Expect(0, 146204, '\p{Is_Nv=+00000003}', "");
Expect(1, 146204, '\p{^Is_Nv=+00000003}', "");
Expect(1, 146204, '\P{Is_Nv=+00000003}', "");
Expect(0, 146204, '\P{^Is_Nv=+00000003}', "");
Error('\p{Numeric_Value=-_00003/000016/a/}');
Error('\P{Numeric_Value=-_00003/000016/a/}');
Expect(1, 43061, '\p{Numeric_Value=003/00000016}', "");
Expect(0, 43061, '\p{^Numeric_Value=003/00000016}', "");
Expect(0, 43061, '\P{Numeric_Value=003/00000016}', "");
Expect(1, 43061, '\P{^Numeric_Value=003/00000016}', "");
Expect(0, 43062, '\p{Numeric_Value=003/00000016}', "");
Expect(1, 43062, '\p{^Numeric_Value=003/00000016}', "");
Expect(1, 43062, '\P{Numeric_Value=003/00000016}', "");
Expect(0, 43062, '\P{^Numeric_Value=003/00000016}', "");
Error('\p{Numeric_Value=0.19}');
Error('\P{Numeric_Value=0.19}');
Expect(1, 43061, '\p{Numeric_Value=0.188}', "");
Expect(0, 43061, '\p{^Numeric_Value=0.188}', "");
Expect(0, 43061, '\P{Numeric_Value=0.188}', "");
Expect(1, 43061, '\P{^Numeric_Value=0.188}', "");
Expect(0, 43062, '\p{Numeric_Value=0.188}', "");
Expect(1, 43062, '\p{^Numeric_Value=0.188}', "");
Expect(1, 43062, '\P{Numeric_Value=0.188}', "");
Expect(0, 43062, '\P{^Numeric_Value=0.188}', "");
Error('\p{Nv=	 +000003/16/a/}');
Error('\P{Nv=	 +000003/16/a/}');
Expect(1, 43061, '\p{Nv=003/00000000016}', "");
Expect(0, 43061, '\p{^Nv=003/00000000016}', "");
Expect(0, 43061, '\P{Nv=003/00000000016}', "");
Expect(1, 43061, '\P{^Nv=003/00000000016}', "");
Expect(0, 43062, '\p{Nv=003/00000000016}', "");
Expect(1, 43062, '\p{^Nv=003/00000000016}', "");
Expect(1, 43062, '\P{Nv=003/00000000016}', "");
Expect(0, 43062, '\P{^Nv=003/00000000016}', "");
Error('\p{Nv=0.19}');
Error('\P{Nv=0.19}');
Expect(1, 43061, '\p{Nv=0.188}', "");
Expect(0, 43061, '\p{^Nv=0.188}', "");
Expect(0, 43061, '\P{Nv=0.188}', "");
Expect(1, 43061, '\P{^Nv=0.188}', "");
Expect(0, 43062, '\p{Nv=0.188}', "");
Expect(1, 43062, '\p{^Nv=0.188}', "");
Expect(1, 43062, '\P{Nv=0.188}', "");
Expect(0, 43062, '\P{^Nv=0.188}', "");
Error('\p{Is_Numeric_Value=-/a/003/000016}');
Error('\P{Is_Numeric_Value=-/a/003/000016}');
Expect(1, 43061, '\p{Is_Numeric_Value=003/0000000016}', "");
Expect(0, 43061, '\p{^Is_Numeric_Value=003/0000000016}', "");
Expect(0, 43061, '\P{Is_Numeric_Value=003/0000000016}', "");
Expect(1, 43061, '\P{^Is_Numeric_Value=003/0000000016}', "");
Expect(0, 43062, '\p{Is_Numeric_Value=003/0000000016}', "");
Expect(1, 43062, '\p{^Is_Numeric_Value=003/0000000016}', "");
Expect(1, 43062, '\P{Is_Numeric_Value=003/0000000016}', "");
Expect(0, 43062, '\P{^Is_Numeric_Value=003/0000000016}', "");
Error('\p{Is_Numeric_Value=0.19}');
Error('\P{Is_Numeric_Value=0.19}');
Expect(1, 43061, '\p{Is_Numeric_Value=0.188}', "");
Expect(0, 43061, '\p{^Is_Numeric_Value=0.188}', "");
Expect(0, 43061, '\P{Is_Numeric_Value=0.188}', "");
Expect(1, 43061, '\P{^Is_Numeric_Value=0.188}', "");
Expect(0, 43062, '\p{Is_Numeric_Value=0.188}', "");
Expect(1, 43062, '\p{^Is_Numeric_Value=0.188}', "");
Expect(1, 43062, '\P{Is_Numeric_Value=0.188}', "");
Expect(0, 43062, '\P{^Is_Numeric_Value=0.188}', "");
Error('\p{Is_Nv=:=+000003/00000016}');
Error('\P{Is_Nv=:=+000003/00000016}');
Expect(1, 43061, '\p{Is_Nv=03/16}', "");
Expect(0, 43061, '\p{^Is_Nv=03/16}', "");
Expect(0, 43061, '\P{Is_Nv=03/16}', "");
Expect(1, 43061, '\P{^Is_Nv=03/16}', "");
Expect(0, 43062, '\p{Is_Nv=03/16}', "");
Expect(1, 43062, '\p{^Is_Nv=03/16}', "");
Expect(1, 43062, '\P{Is_Nv=03/16}', "");
Expect(0, 43062, '\P{^Is_Nv=03/16}', "");
Error('\p{Is_Nv=0.19}');
Error('\P{Is_Nv=0.19}');
Expect(1, 43061, '\p{Is_Nv=0.188}', "");
Expect(0, 43061, '\p{^Is_Nv=0.188}', "");
Expect(0, 43061, '\P{Is_Nv=0.188}', "");
Expect(1, 43061, '\P{^Is_Nv=0.188}', "");
Expect(0, 43062, '\p{Is_Nv=0.188}', "");
Expect(1, 43062, '\p{^Is_Nv=0.188}', "");
Expect(1, 43062, '\P{Is_Nv=0.188}', "");
Expect(0, 43062, '\P{^Is_Nv=0.188}', "");
Error('\p{Numeric_Value=		+0000003/2/a/}');
Error('\P{Numeric_Value=		+0000003/2/a/}');
Expect(1, 3883, '\p{Numeric_Value=000000003/0000002}', "");
Expect(0, 3883, '\p{^Numeric_Value=000000003/0000002}', "");
Expect(0, 3883, '\P{Numeric_Value=000000003/0000002}', "");
Expect(1, 3883, '\P{^Numeric_Value=000000003/0000002}', "");
Expect(0, 3884, '\p{Numeric_Value=000000003/0000002}', "");
Expect(1, 3884, '\p{^Numeric_Value=000000003/0000002}', "");
Expect(1, 3884, '\P{Numeric_Value=000000003/0000002}', "");
Expect(0, 3884, '\P{^Numeric_Value=000000003/0000002}', "");
Expect(1, 3883, '\p{Numeric_Value=1.500}', "");
Expect(0, 3883, '\p{^Numeric_Value=1.500}', "");
Expect(0, 3883, '\P{Numeric_Value=1.500}', "");
Expect(1, 3883, '\P{^Numeric_Value=1.500}', "");
Expect(0, 3884, '\p{Numeric_Value=1.500}', "");
Expect(1, 3884, '\p{^Numeric_Value=1.500}', "");
Expect(1, 3884, '\P{Numeric_Value=1.500}', "");
Expect(0, 3884, '\P{^Numeric_Value=1.500}', "");
Error('\p{Nv=:=-+0000003/0002}');
Error('\P{Nv=:=-+0000003/0002}');
Expect(1, 3883, '\p{Nv=0000003/02}', "");
Expect(0, 3883, '\p{^Nv=0000003/02}', "");
Expect(0, 3883, '\P{Nv=0000003/02}', "");
Expect(1, 3883, '\P{^Nv=0000003/02}', "");
Expect(0, 3884, '\p{Nv=0000003/02}', "");
Expect(1, 3884, '\p{^Nv=0000003/02}', "");
Expect(1, 3884, '\P{Nv=0000003/02}', "");
Expect(0, 3884, '\P{^Nv=0000003/02}', "");
Expect(1, 3883, '\p{Nv=1.500}', "");
Expect(0, 3883, '\p{^Nv=1.500}', "");
Expect(0, 3883, '\P{Nv=1.500}', "");
Expect(1, 3883, '\P{^Nv=1.500}', "");
Expect(0, 3884, '\p{Nv=1.500}', "");
Expect(1, 3884, '\p{^Nv=1.500}', "");
Expect(1, 3884, '\P{Nv=1.500}', "");
Expect(0, 3884, '\P{^Nv=1.500}', "");
Error('\p{Is_Numeric_Value=	_+00003/002:=}');
Error('\P{Is_Numeric_Value=	_+00003/002:=}');
Expect(1, 3883, '\p{Is_Numeric_Value=+000003/002}', "");
Expect(0, 3883, '\p{^Is_Numeric_Value=+000003/002}', "");
Expect(0, 3883, '\P{Is_Numeric_Value=+000003/002}', "");
Expect(1, 3883, '\P{^Is_Numeric_Value=+000003/002}', "");
Expect(0, 3884, '\p{Is_Numeric_Value=+000003/002}', "");
Expect(1, 3884, '\p{^Is_Numeric_Value=+000003/002}', "");
Expect(1, 3884, '\P{Is_Numeric_Value=+000003/002}', "");
Expect(0, 3884, '\P{^Is_Numeric_Value=+000003/002}', "");
Expect(1, 3883, '\p{Is_Numeric_Value=1.500}', "");
Expect(0, 3883, '\p{^Is_Numeric_Value=1.500}', "");
Expect(0, 3883, '\P{Is_Numeric_Value=1.500}', "");
Expect(1, 3883, '\P{^Is_Numeric_Value=1.500}', "");
Expect(0, 3884, '\p{Is_Numeric_Value=1.500}', "");
Expect(1, 3884, '\p{^Is_Numeric_Value=1.500}', "");
Expect(1, 3884, '\P{Is_Numeric_Value=1.500}', "");
Expect(0, 3884, '\P{^Is_Numeric_Value=1.500}', "");
Error('\p{Is_Nv=_ 00003/000000002/a/}');
Error('\P{Is_Nv=_ 00003/000000002/a/}');
Expect(1, 3883, '\p{Is_Nv:00000003/02}', "");
Expect(0, 3883, '\p{^Is_Nv:00000003/02}', "");
Expect(0, 3883, '\P{Is_Nv:00000003/02}', "");
Expect(1, 3883, '\P{^Is_Nv:00000003/02}', "");
Expect(0, 3884, '\p{Is_Nv:00000003/02}', "");
Expect(1, 3884, '\p{^Is_Nv:00000003/02}', "");
Expect(1, 3884, '\P{Is_Nv:00000003/02}', "");
Expect(0, 3884, '\P{^Is_Nv:00000003/02}', "");
Expect(1, 3883, '\p{Is_Nv=1.500}', "");
Expect(0, 3883, '\p{^Is_Nv=1.500}', "");
Expect(0, 3883, '\P{Is_Nv=1.500}', "");
Expect(1, 3883, '\P{^Is_Nv=1.500}', "");
Expect(0, 3884, '\p{Is_Nv=1.500}', "");
Expect(1, 3884, '\p{^Is_Nv=1.500}', "");
Expect(1, 3884, '\P{Is_Nv=1.500}', "");
Expect(0, 3884, '\P{^Is_Nv=1.500}', "");
Error('\p{Numeric_Value=/a/- +003/04}');
Error('\P{Numeric_Value=/a/- +003/04}');
Expect(1, 68094, '\p{Numeric_Value=+3/0004}', "");
Expect(0, 68094, '\p{^Numeric_Value=+3/0004}', "");
Expect(0, 68094, '\P{Numeric_Value=+3/0004}', "");
Expect(1, 68094, '\P{^Numeric_Value=+3/0004}', "");
Expect(0, 68095, '\p{Numeric_Value=+3/0004}', "");
Expect(1, 68095, '\p{^Numeric_Value=+3/0004}', "");
Expect(1, 68095, '\P{Numeric_Value=+3/0004}', "");
Expect(0, 68095, '\P{^Numeric_Value=+3/0004}', "");
Expect(1, 68094, '\p{Numeric_Value=0.750}', "");
Expect(0, 68094, '\p{^Numeric_Value=0.750}', "");
Expect(0, 68094, '\P{Numeric_Value=0.750}', "");
Expect(1, 68094, '\P{^Numeric_Value=0.750}', "");
Expect(0, 68095, '\p{Numeric_Value=0.750}', "");
Expect(1, 68095, '\p{^Numeric_Value=0.750}', "");
Expect(1, 68095, '\P{Numeric_Value=0.750}', "");
Expect(0, 68095, '\P{^Numeric_Value=0.750}', "");
Error('\p{Nv=-00003/4:=}');
Error('\P{Nv=-00003/4:=}');
Expect(1, 68094, '\p{Nv=0000003/0000000004}', "");
Expect(0, 68094, '\p{^Nv=0000003/0000000004}', "");
Expect(0, 68094, '\P{Nv=0000003/0000000004}', "");
Expect(1, 68094, '\P{^Nv=0000003/0000000004}', "");
Expect(0, 68095, '\p{Nv=0000003/0000000004}', "");
Expect(1, 68095, '\p{^Nv=0000003/0000000004}', "");
Expect(1, 68095, '\P{Nv=0000003/0000000004}', "");
Expect(0, 68095, '\P{^Nv=0000003/0000000004}', "");
Expect(1, 68094, '\p{Nv=0.750}', "");
Expect(0, 68094, '\p{^Nv=0.750}', "");
Expect(0, 68094, '\P{Nv=0.750}', "");
Expect(1, 68094, '\P{^Nv=0.750}', "");
Expect(0, 68095, '\p{Nv=0.750}', "");
Expect(1, 68095, '\p{^Nv=0.750}', "");
Expect(1, 68095, '\P{Nv=0.750}', "");
Expect(0, 68095, '\P{^Nv=0.750}', "");
Error('\p{Is_Numeric_Value=/a/ _0003/4}');
Error('\P{Is_Numeric_Value=/a/ _0003/4}');
Expect(1, 68094, '\p{Is_Numeric_Value=000000003/004}', "");
Expect(0, 68094, '\p{^Is_Numeric_Value=000000003/004}', "");
Expect(0, 68094, '\P{Is_Numeric_Value=000000003/004}', "");
Expect(1, 68094, '\P{^Is_Numeric_Value=000000003/004}', "");
Expect(0, 68095, '\p{Is_Numeric_Value=000000003/004}', "");
Expect(1, 68095, '\p{^Is_Numeric_Value=000000003/004}', "");
Expect(1, 68095, '\P{Is_Numeric_Value=000000003/004}', "");
Expect(0, 68095, '\P{^Is_Numeric_Value=000000003/004}', "");
Expect(1, 68094, '\p{Is_Numeric_Value=0.750}', "");
Expect(0, 68094, '\p{^Is_Numeric_Value=0.750}', "");
Expect(0, 68094, '\P{Is_Numeric_Value=0.750}', "");
Expect(1, 68094, '\P{^Is_Numeric_Value=0.750}', "");
Expect(0, 68095, '\p{Is_Numeric_Value=0.750}', "");
Expect(1, 68095, '\p{^Is_Numeric_Value=0.750}', "");
Expect(1, 68095, '\P{Is_Numeric_Value=0.750}', "");
Expect(0, 68095, '\P{^Is_Numeric_Value=0.750}', "");
Error('\p{Is_Nv= :=+00000003/0000000004}');
Error('\P{Is_Nv= :=+00000003/0000000004}');
Expect(1, 68094, '\p{Is_Nv=0000003/004}', "");
Expect(0, 68094, '\p{^Is_Nv=0000003/004}', "");
Expect(0, 68094, '\P{Is_Nv=0000003/004}', "");
Expect(1, 68094, '\P{^Is_Nv=0000003/004}', "");
Expect(0, 68095, '\p{Is_Nv=0000003/004}', "");
Expect(1, 68095, '\p{^Is_Nv=0000003/004}', "");
Expect(1, 68095, '\P{Is_Nv=0000003/004}', "");
Expect(0, 68095, '\P{^Is_Nv=0000003/004}', "");
Expect(1, 68094, '\p{Is_Nv:	0.750}', "");
Expect(0, 68094, '\p{^Is_Nv:	0.750}', "");
Expect(0, 68094, '\P{Is_Nv:	0.750}', "");
Expect(1, 68094, '\P{^Is_Nv:	0.750}', "");
Expect(0, 68095, '\p{Is_Nv:	0.750}', "");
Expect(1, 68095, '\p{^Is_Nv:	0.750}', "");
Expect(1, 68095, '\P{Is_Nv:	0.750}', "");
Expect(0, 68095, '\P{^Is_Nv:	0.750}', "");
Error('\p{Numeric_Value=:=-00003/0000000005}');
Error('\P{Numeric_Value=:=-00003/0000000005}');
Expect(1, 8535, '\p{Numeric_Value: 000003/00005}', "");
Expect(0, 8535, '\p{^Numeric_Value: 000003/00005}', "");
Expect(0, 8535, '\P{Numeric_Value: 000003/00005}', "");
Expect(1, 8535, '\P{^Numeric_Value: 000003/00005}', "");
Expect(0, 8536, '\p{Numeric_Value: 000003/00005}', "");
Expect(1, 8536, '\p{^Numeric_Value: 000003/00005}', "");
Expect(1, 8536, '\P{Numeric_Value: 000003/00005}', "");
Expect(0, 8536, '\P{^Numeric_Value: 000003/00005}', "");
Expect(1, 8535, '\p{Numeric_Value=0.600}', "");
Expect(0, 8535, '\p{^Numeric_Value=0.600}', "");
Expect(0, 8535, '\P{Numeric_Value=0.600}', "");
Expect(1, 8535, '\P{^Numeric_Value=0.600}', "");
Expect(0, 8536, '\p{Numeric_Value=0.600}', "");
Expect(1, 8536, '\p{^Numeric_Value=0.600}', "");
Expect(1, 8536, '\P{Numeric_Value=0.600}', "");
Expect(0, 8536, '\P{^Numeric_Value=0.600}', "");
Error('\p{Nv=/a/ 000003/00005}');
Error('\P{Nv=/a/ 000003/00005}');
Expect(1, 8535, '\p{Nv=0003/005}', "");
Expect(0, 8535, '\p{^Nv=0003/005}', "");
Expect(0, 8535, '\P{Nv=0003/005}', "");
Expect(1, 8535, '\P{^Nv=0003/005}', "");
Expect(0, 8536, '\p{Nv=0003/005}', "");
Expect(1, 8536, '\p{^Nv=0003/005}', "");
Expect(1, 8536, '\P{Nv=0003/005}', "");
Expect(0, 8536, '\P{^Nv=0003/005}', "");
Expect(1, 8535, '\p{Nv:   0.600}', "");
Expect(0, 8535, '\p{^Nv:   0.600}', "");
Expect(0, 8535, '\P{Nv:   0.600}', "");
Expect(1, 8535, '\P{^Nv:   0.600}', "");
Expect(0, 8536, '\p{Nv:   0.600}', "");
Expect(1, 8536, '\p{^Nv:   0.600}', "");
Expect(1, 8536, '\P{Nv:   0.600}', "");
Expect(0, 8536, '\P{^Nv:   0.600}', "");
Error('\p{Is_Numeric_Value=_-00000003/005/a/}');
Error('\P{Is_Numeric_Value=_-00000003/005/a/}');
Expect(1, 8535, '\p{Is_Numeric_Value=+0000003/5}', "");
Expect(0, 8535, '\p{^Is_Numeric_Value=+0000003/5}', "");
Expect(0, 8535, '\P{Is_Numeric_Value=+0000003/5}', "");
Expect(1, 8535, '\P{^Is_Numeric_Value=+0000003/5}', "");
Expect(0, 8536, '\p{Is_Numeric_Value=+0000003/5}', "");
Expect(1, 8536, '\p{^Is_Numeric_Value=+0000003/5}', "");
Expect(1, 8536, '\P{Is_Numeric_Value=+0000003/5}', "");
Expect(0, 8536, '\P{^Is_Numeric_Value=+0000003/5}', "");
Expect(1, 8535, '\p{Is_Numeric_Value=0.600}', "");
Expect(0, 8535, '\p{^Is_Numeric_Value=0.600}', "");
Expect(0, 8535, '\P{Is_Numeric_Value=0.600}', "");
Expect(1, 8535, '\P{^Is_Numeric_Value=0.600}', "");
Expect(0, 8536, '\p{Is_Numeric_Value=0.600}', "");
Expect(1, 8536, '\p{^Is_Numeric_Value=0.600}', "");
Expect(1, 8536, '\P{Is_Numeric_Value=0.600}', "");
Expect(0, 8536, '\P{^Is_Numeric_Value=0.600}', "");
Error('\p{Is_Nv=:=	_+0003/00005}');
Error('\P{Is_Nv=:=	_+0003/00005}');
Expect(1, 8535, '\p{Is_Nv=003/005}', "");
Expect(0, 8535, '\p{^Is_Nv=003/005}', "");
Expect(0, 8535, '\P{Is_Nv=003/005}', "");
Expect(1, 8535, '\P{^Is_Nv=003/005}', "");
Expect(0, 8536, '\p{Is_Nv=003/005}', "");
Expect(1, 8536, '\p{^Is_Nv=003/005}', "");
Expect(1, 8536, '\P{Is_Nv=003/005}', "");
Expect(0, 8536, '\P{^Is_Nv=003/005}', "");
Expect(1, 8535, '\p{Is_Nv=0.600}', "");
Expect(0, 8535, '\p{^Is_Nv=0.600}', "");
Expect(0, 8535, '\P{Is_Nv=0.600}', "");
Expect(1, 8535, '\P{^Is_Nv=0.600}', "");
Expect(0, 8536, '\p{Is_Nv=0.600}', "");
Expect(1, 8536, '\p{^Is_Nv=0.600}', "");
Expect(1, 8536, '\P{Is_Nv=0.600}', "");
Expect(0, 8536, '\P{^Is_Nv=0.600}', "");
Error('\p{Numeric_Value=:=+03/8}');
Error('\P{Numeric_Value=:=+03/8}');
Expect(1, 8540, '\p{Numeric_Value:+03/000000008}', "");
Expect(0, 8540, '\p{^Numeric_Value:+03/000000008}', "");
Expect(0, 8540, '\P{Numeric_Value:+03/000000008}', "");
Expect(1, 8540, '\P{^Numeric_Value:+03/000000008}', "");
Expect(0, 8541, '\p{Numeric_Value:+03/000000008}', "");
Expect(1, 8541, '\p{^Numeric_Value:+03/000000008}', "");
Expect(1, 8541, '\P{Numeric_Value:+03/000000008}', "");
Expect(0, 8541, '\P{^Numeric_Value:+03/000000008}', "");
Error('\p{Numeric_Value=0.38}');
Error('\P{Numeric_Value=0.38}');
Expect(1, 8540, '\p{Numeric_Value: 0.375}', "");
Expect(0, 8540, '\p{^Numeric_Value: 0.375}', "");
Expect(0, 8540, '\P{Numeric_Value: 0.375}', "");
Expect(1, 8540, '\P{^Numeric_Value: 0.375}', "");
Expect(0, 8541, '\p{Numeric_Value: 0.375}', "");
Expect(1, 8541, '\p{^Numeric_Value: 0.375}', "");
Expect(1, 8541, '\P{Numeric_Value: 0.375}', "");
Expect(0, 8541, '\P{^Numeric_Value: 0.375}', "");
Error('\p{Nv=		000000003/0000008:=}');
Error('\P{Nv=		000000003/0000008:=}');
Expect(1, 8540, '\p{Nv=+03/00008}', "");
Expect(0, 8540, '\p{^Nv=+03/00008}', "");
Expect(0, 8540, '\P{Nv=+03/00008}', "");
Expect(1, 8540, '\P{^Nv=+03/00008}', "");
Expect(0, 8541, '\p{Nv=+03/00008}', "");
Expect(1, 8541, '\p{^Nv=+03/00008}', "");
Expect(1, 8541, '\P{Nv=+03/00008}', "");
Expect(0, 8541, '\P{^Nv=+03/00008}', "");
Error('\p{Nv=0.38}');
Error('\P{Nv=0.38}');
Expect(1, 8540, '\p{Nv=0.375}', "");
Expect(0, 8540, '\p{^Nv=0.375}', "");
Expect(0, 8540, '\P{Nv=0.375}', "");
Expect(1, 8540, '\P{^Nv=0.375}', "");
Expect(0, 8541, '\p{Nv=0.375}', "");
Expect(1, 8541, '\p{^Nv=0.375}', "");
Expect(1, 8541, '\P{Nv=0.375}', "");
Expect(0, 8541, '\P{^Nv=0.375}', "");
Error('\p{Is_Numeric_Value=/a/+003/000008}');
Error('\P{Is_Numeric_Value=/a/+003/000008}');
Expect(1, 8540, '\p{Is_Numeric_Value=+0000003/08}', "");
Expect(0, 8540, '\p{^Is_Numeric_Value=+0000003/08}', "");
Expect(0, 8540, '\P{Is_Numeric_Value=+0000003/08}', "");
Expect(1, 8540, '\P{^Is_Numeric_Value=+0000003/08}', "");
Expect(0, 8541, '\p{Is_Numeric_Value=+0000003/08}', "");
Expect(1, 8541, '\p{^Is_Numeric_Value=+0000003/08}', "");
Expect(1, 8541, '\P{Is_Numeric_Value=+0000003/08}', "");
Expect(0, 8541, '\P{^Is_Numeric_Value=+0000003/08}', "");
Error('\p{Is_Numeric_Value=0.38}');
Error('\P{Is_Numeric_Value=0.38}');
Expect(1, 8540, '\p{Is_Numeric_Value=0.375}', "");
Expect(0, 8540, '\p{^Is_Numeric_Value=0.375}', "");
Expect(0, 8540, '\P{Is_Numeric_Value=0.375}', "");
Expect(1, 8540, '\P{^Is_Numeric_Value=0.375}', "");
Expect(0, 8541, '\p{Is_Numeric_Value=0.375}', "");
Expect(1, 8541, '\p{^Is_Numeric_Value=0.375}', "");
Expect(1, 8541, '\P{Is_Numeric_Value=0.375}', "");
Expect(0, 8541, '\P{^Is_Numeric_Value=0.375}', "");
Error('\p{Is_Nv=_:=00000003/8}');
Error('\P{Is_Nv=_:=00000003/8}');
Expect(1, 8540, '\p{Is_Nv=000000003/00008}', "");
Expect(0, 8540, '\p{^Is_Nv=000000003/00008}', "");
Expect(0, 8540, '\P{Is_Nv=000000003/00008}', "");
Expect(1, 8540, '\P{^Is_Nv=000000003/00008}', "");
Expect(0, 8541, '\p{Is_Nv=000000003/00008}', "");
Expect(1, 8541, '\p{^Is_Nv=000000003/00008}', "");
Expect(1, 8541, '\P{Is_Nv=000000003/00008}', "");
Expect(0, 8541, '\P{^Is_Nv=000000003/00008}', "");
Error('\p{Is_Nv=0.38}');
Error('\P{Is_Nv=0.38}');
Expect(1, 8540, '\p{Is_Nv=0.375}', "");
Expect(0, 8540, '\p{^Is_Nv=0.375}', "");
Expect(0, 8540, '\P{Is_Nv=0.375}', "");
Expect(1, 8540, '\P{^Is_Nv=0.375}', "");
Expect(0, 8541, '\p{Is_Nv=0.375}', "");
Expect(1, 8541, '\p{^Is_Nv=0.375}', "");
Expect(1, 8541, '\P{Is_Nv=0.375}', "");
Expect(0, 8541, '\P{^Is_Nv=0.375}', "");
Error('\p{Numeric_Value=_-0_0_0_0_0_030:=}');
Error('\P{Numeric_Value=_-0_0_0_0_0_030:=}');
Expect(1, 133507, '\p{Numeric_Value=00_00_30}', "");
Expect(0, 133507, '\p{^Numeric_Value=00_00_30}', "");
Expect(0, 133507, '\P{Numeric_Value=00_00_30}', "");
Expect(1, 133507, '\P{^Numeric_Value=00_00_30}', "");
Expect(0, 133508, '\p{Numeric_Value=00_00_30}', "");
Expect(1, 133508, '\p{^Numeric_Value=00_00_30}', "");
Expect(1, 133508, '\P{Numeric_Value=00_00_30}', "");
Expect(0, 133508, '\P{^Numeric_Value=00_00_30}', "");
Error('\p{Nv:	:=	+3_0}');
Error('\P{Nv:	:=	+3_0}');
Expect(1, 133507, '\p{Nv=+00000000030}', "");
Expect(0, 133507, '\p{^Nv=+00000000030}', "");
Expect(0, 133507, '\P{Nv=+00000000030}', "");
Expect(1, 133507, '\P{^Nv=+00000000030}', "");
Expect(0, 133508, '\p{Nv=+00000000030}', "");
Expect(1, 133508, '\p{^Nv=+00000000030}', "");
Expect(1, 133508, '\P{Nv=+00000000030}', "");
Expect(0, 133508, '\P{^Nv=+00000000030}', "");
Error('\p{Is_Numeric_Value=-/a/030}');
Error('\P{Is_Numeric_Value=-/a/030}');
Expect(1, 133507, '\p{Is_Numeric_Value=00_00_00_30}', "");
Expect(0, 133507, '\p{^Is_Numeric_Value=00_00_00_30}', "");
Expect(0, 133507, '\P{Is_Numeric_Value=00_00_00_30}', "");
Expect(1, 133507, '\P{^Is_Numeric_Value=00_00_00_30}', "");
Expect(0, 133508, '\p{Is_Numeric_Value=00_00_00_30}', "");
Expect(1, 133508, '\p{^Is_Numeric_Value=00_00_00_30}', "");
Expect(1, 133508, '\P{Is_Numeric_Value=00_00_00_30}', "");
Expect(0, 133508, '\P{^Is_Numeric_Value=00_00_00_30}', "");
Error('\p{Is_Nv= :=30}');
Error('\P{Is_Nv= :=30}');
Expect(1, 133507, '\p{Is_Nv=+000030}', "");
Expect(0, 133507, '\p{^Is_Nv=+000030}', "");
Expect(0, 133507, '\P{Is_Nv=+000030}', "");
Expect(1, 133507, '\P{^Is_Nv=+000030}', "");
Expect(0, 133508, '\p{Is_Nv=+000030}', "");
Expect(1, 133508, '\p{^Is_Nv=+000030}', "");
Expect(1, 133508, '\P{Is_Nv=+000030}', "");
Expect(0, 133508, '\P{^Is_Nv=+000030}', "");
Error('\p{Numeric_Value= 0_3_00/a/}');
Error('\P{Numeric_Value= 0_3_00/a/}');
Expect(1, 69236, '\p{Numeric_Value=+00000000300}', "");
Expect(0, 69236, '\p{^Numeric_Value=+00000000300}', "");
Expect(0, 69236, '\P{Numeric_Value=+00000000300}', "");
Expect(1, 69236, '\P{^Numeric_Value=+00000000300}', "");
Expect(0, 69237, '\p{Numeric_Value=+00000000300}', "");
Expect(1, 69237, '\p{^Numeric_Value=+00000000300}', "");
Expect(1, 69237, '\P{Numeric_Value=+00000000300}', "");
Expect(0, 69237, '\P{^Numeric_Value=+00000000300}', "");
Error('\p{Nv=--0_0_0_300/a/}');
Error('\P{Nv=--0_0_0_300/a/}');
Expect(1, 69236, '\p{Nv=300}', "");
Expect(0, 69236, '\p{^Nv=300}', "");
Expect(0, 69236, '\P{Nv=300}', "");
Expect(1, 69236, '\P{^Nv=300}', "");
Expect(0, 69237, '\p{Nv=300}', "");
Expect(1, 69237, '\p{^Nv=300}', "");
Expect(1, 69237, '\P{Nv=300}', "");
Expect(0, 69237, '\P{^Nv=300}', "");
Error('\p{Is_Numeric_Value=	-+30_0/a/}');
Error('\P{Is_Numeric_Value=	-+30_0/a/}');
Expect(1, 69236, '\p{Is_Numeric_Value=000_000_030_0}', "");
Expect(0, 69236, '\p{^Is_Numeric_Value=000_000_030_0}', "");
Expect(0, 69236, '\P{Is_Numeric_Value=000_000_030_0}', "");
Expect(1, 69236, '\P{^Is_Numeric_Value=000_000_030_0}', "");
Expect(0, 69237, '\p{Is_Numeric_Value=000_000_030_0}', "");
Expect(1, 69237, '\p{^Is_Numeric_Value=000_000_030_0}', "");
Expect(1, 69237, '\P{Is_Numeric_Value=000_000_030_0}', "");
Expect(0, 69237, '\P{^Is_Numeric_Value=000_000_030_0}', "");
Error('\p{Is_Nv:   		+00300:=}');
Error('\P{Is_Nv:   		+00300:=}');
Expect(1, 69236, '\p{Is_Nv=00000000300}', "");
Expect(0, 69236, '\p{^Is_Nv=00000000300}', "");
Expect(0, 69236, '\P{Is_Nv=00000000300}', "");
Expect(1, 69236, '\P{^Is_Nv=00000000300}', "");
Expect(0, 69237, '\p{Is_Nv=00000000300}', "");
Expect(1, 69237, '\p{^Is_Nv=00000000300}', "");
Expect(1, 69237, '\P{Is_Nv=00000000300}', "");
Expect(0, 69237, '\P{^Is_Nv=00000000300}', "");
Error('\p{Numeric_Value: -+03_00_0/a/}');
Error('\P{Numeric_Value: -+03_00_0/a/}');
Expect(1, 68061, '\p{Numeric_Value=3000}', "");
Expect(0, 68061, '\p{^Numeric_Value=3000}', "");
Expect(0, 68061, '\P{Numeric_Value=3000}', "");
Expect(1, 68061, '\P{^Numeric_Value=3000}', "");
Expect(0, 68062, '\p{Numeric_Value=3000}', "");
Expect(1, 68062, '\p{^Numeric_Value=3000}', "");
Expect(1, 68062, '\P{Numeric_Value=3000}', "");
Expect(0, 68062, '\P{^Numeric_Value=3000}', "");
Error('\p{Nv= :=0000003000}');
Error('\P{Nv= :=0000003000}');
Expect(1, 68061, '\p{Nv=0000003000}', "");
Expect(0, 68061, '\p{^Nv=0000003000}', "");
Expect(0, 68061, '\P{Nv=0000003000}', "");
Expect(1, 68061, '\P{^Nv=0000003000}', "");
Expect(0, 68062, '\p{Nv=0000003000}', "");
Expect(1, 68062, '\p{^Nv=0000003000}', "");
Expect(1, 68062, '\P{Nv=0000003000}', "");
Expect(0, 68062, '\P{^Nv=0000003000}', "");
Error('\p{Is_Numeric_Value=  +00_30_00:=}');
Error('\P{Is_Numeric_Value=  +00_30_00:=}');
Expect(1, 68061, '\p{Is_Numeric_Value=0_0_0_0_3_0_00}', "");
Expect(0, 68061, '\p{^Is_Numeric_Value=0_0_0_0_3_0_00}', "");
Expect(0, 68061, '\P{Is_Numeric_Value=0_0_0_0_3_0_00}', "");
Expect(1, 68061, '\P{^Is_Numeric_Value=0_0_0_0_3_0_00}', "");
Expect(0, 68062, '\p{Is_Numeric_Value=0_0_0_0_3_0_00}', "");
Expect(1, 68062, '\p{^Is_Numeric_Value=0_0_0_0_3_0_00}', "");
Expect(1, 68062, '\P{Is_Numeric_Value=0_0_0_0_3_0_00}', "");
Expect(0, 68062, '\P{^Is_Numeric_Value=0_0_0_0_3_0_00}', "");
Error('\p{Is_Nv: /a/-_00000003000}');
Error('\P{Is_Nv: /a/-_00000003000}');
Expect(1, 68061, '\p{Is_Nv=+00000003000}', "");
Expect(0, 68061, '\p{^Is_Nv=+00000003000}', "");
Expect(0, 68061, '\P{Is_Nv=+00000003000}', "");
Expect(1, 68061, '\P{^Is_Nv=+00000003000}', "");
Expect(0, 68062, '\p{Is_Nv=+00000003000}', "");
Expect(1, 68062, '\p{^Is_Nv=+00000003000}', "");
Expect(1, 68062, '\P{Is_Nv=+00000003000}', "");
Expect(0, 68062, '\P{^Is_Nv=+00000003000}', "");
Error('\p{Numeric_Value=_/a/00000030000}');
Error('\P{Numeric_Value=_/a/00000030000}');
Expect(1, 68070, '\p{Numeric_Value=+00030000}', "");
Expect(0, 68070, '\p{^Numeric_Value=+00030000}', "");
Expect(0, 68070, '\P{Numeric_Value=+00030000}', "");
Expect(1, 68070, '\P{^Numeric_Value=+00030000}', "");
Expect(0, 68071, '\p{Numeric_Value=+00030000}', "");
Expect(1, 68071, '\p{^Numeric_Value=+00030000}', "");
Expect(1, 68071, '\P{Numeric_Value=+00030000}', "");
Expect(0, 68071, '\P{^Numeric_Value=+00030000}', "");
Error('\p{Nv=		00000003000_0/a/}');
Error('\P{Nv=		00000003000_0/a/}');
Expect(1, 68070, '\p{Nv=+0030000}', "");
Expect(0, 68070, '\p{^Nv=+0030000}', "");
Expect(0, 68070, '\P{Nv=+0030000}', "");
Expect(1, 68070, '\P{^Nv=+0030000}', "");
Expect(0, 68071, '\p{Nv=+0030000}', "");
Expect(1, 68071, '\p{^Nv=+0030000}', "");
Expect(1, 68071, '\P{Nv=+0030000}', "");
Expect(0, 68071, '\P{^Nv=+0030000}', "");
Error('\p{Is_Numeric_Value= /a/+00030000}');
Error('\P{Is_Numeric_Value= /a/+00030000}');
Expect(1, 68070, '\p{Is_Numeric_Value=030000}', "");
Expect(0, 68070, '\p{^Is_Numeric_Value=030000}', "");
Expect(0, 68070, '\P{Is_Numeric_Value=030000}', "");
Expect(1, 68070, '\P{^Is_Numeric_Value=030000}', "");
Expect(0, 68071, '\p{Is_Numeric_Value=030000}', "");
Expect(1, 68071, '\p{^Is_Numeric_Value=030000}', "");
Expect(1, 68071, '\P{Is_Numeric_Value=030000}', "");
Expect(0, 68071, '\P{^Is_Numeric_Value=030000}', "");
Error('\p{Is_Nv:-:=000003000_0}');
Error('\P{Is_Nv:-:=000003000_0}');
Expect(1, 68070, '\p{Is_Nv=+0_0_0_0_0_0_0_0_030000}', "");
Expect(0, 68070, '\p{^Is_Nv=+0_0_0_0_0_0_0_0_030000}', "");
Expect(0, 68070, '\P{Is_Nv=+0_0_0_0_0_0_0_0_030000}', "");
Expect(1, 68070, '\P{^Is_Nv=+0_0_0_0_0_0_0_0_030000}', "");
Expect(0, 68071, '\p{Is_Nv=+0_0_0_0_0_0_0_0_030000}', "");
Expect(1, 68071, '\p{^Is_Nv=+0_0_0_0_0_0_0_0_030000}', "");
Expect(1, 68071, '\P{Is_Nv=+0_0_0_0_0_0_0_0_030000}', "");
Expect(0, 68071, '\P{^Is_Nv=+0_0_0_0_0_0_0_0_030000}', "");
Error('\p{Numeric_Value=/a/-_00_00_00_03_00_000}');
Error('\P{Numeric_Value=/a/-_00_00_00_03_00_000}');
Expect(1, 68079, '\p{Numeric_Value=+030_000_0}', "");
Expect(0, 68079, '\p{^Numeric_Value=+030_000_0}', "");
Expect(0, 68079, '\P{Numeric_Value=+030_000_0}', "");
Expect(1, 68079, '\P{^Numeric_Value=+030_000_0}', "");
Expect(0, 68080, '\p{Numeric_Value=+030_000_0}', "");
Expect(1, 68080, '\p{^Numeric_Value=+030_000_0}', "");
Expect(1, 68080, '\P{Numeric_Value=+030_000_0}', "");
Expect(0, 68080, '\P{^Numeric_Value=+030_000_0}', "");
Error('\p{Nv= 	0000300000:=}');
Error('\P{Nv= 	0000300000:=}');
Expect(1, 68079, '\p{Nv=+000000000300000}', "");
Expect(0, 68079, '\p{^Nv=+000000000300000}', "");
Expect(0, 68079, '\P{Nv=+000000000300000}', "");
Expect(1, 68079, '\P{^Nv=+000000000300000}', "");
Expect(0, 68080, '\p{Nv=+000000000300000}', "");
Expect(1, 68080, '\p{^Nv=+000000000300000}', "");
Expect(1, 68080, '\P{Nv=+000000000300000}', "");
Expect(0, 68080, '\P{^Nv=+000000000300000}', "");
Error('\p{Is_Numeric_Value=_/a/0_0_0_0_0_0_0_0_0_3_00000}');
Error('\P{Is_Numeric_Value=_/a/0_0_0_0_0_0_0_0_0_3_00000}');
Expect(1, 68079, '\p{Is_Numeric_Value=+0000000_0030000_0}', "");
Expect(0, 68079, '\p{^Is_Numeric_Value=+0000000_0030000_0}', "");
Expect(0, 68079, '\P{Is_Numeric_Value=+0000000_0030000_0}', "");
Expect(1, 68079, '\P{^Is_Numeric_Value=+0000000_0030000_0}', "");
Expect(0, 68080, '\p{Is_Numeric_Value=+0000000_0030000_0}', "");
Expect(1, 68080, '\p{^Is_Numeric_Value=+0000000_0030000_0}', "");
Expect(1, 68080, '\P{Is_Numeric_Value=+0000000_0030000_0}', "");
Expect(0, 68080, '\P{^Is_Numeric_Value=+0000000_0030000_0}', "");
Error('\p{Is_Nv=	/a/+00_00_00_30_00_00}');
Error('\P{Is_Nv=	/a/+00_00_00_30_00_00}');
Expect(1, 68079, '\p{Is_Nv=0_0_0_0_0_0_300000}', "");
Expect(0, 68079, '\p{^Is_Nv=0_0_0_0_0_0_300000}', "");
Expect(0, 68079, '\P{Is_Nv=0_0_0_0_0_0_300000}', "");
Expect(1, 68079, '\P{^Is_Nv=0_0_0_0_0_0_300000}', "");
Expect(0, 68080, '\p{Is_Nv=0_0_0_0_0_0_300000}', "");
Expect(1, 68080, '\p{^Is_Nv=0_0_0_0_0_0_300000}', "");
Expect(1, 68080, '\P{Is_Nv=0_0_0_0_0_0_300000}', "");
Expect(0, 68080, '\P{^Is_Nv=0_0_0_0_0_0_300000}', "");
Error('\p{Numeric_Value=--+00000031/a/}');
Error('\P{Numeric_Value=--+00000031/a/}');
Expect(1, 12891, '\p{Numeric_Value=00000031}', "");
Expect(0, 12891, '\p{^Numeric_Value=00000031}', "");
Expect(0, 12891, '\P{Numeric_Value=00000031}', "");
Expect(1, 12891, '\P{^Numeric_Value=00000031}', "");
Expect(0, 12892, '\p{Numeric_Value=00000031}', "");
Expect(1, 12892, '\p{^Numeric_Value=00000031}', "");
Expect(1, 12892, '\P{Numeric_Value=00000031}', "");
Expect(0, 12892, '\P{^Numeric_Value=00000031}', "");
Error('\p{Nv=:=031}');
Error('\P{Nv=:=031}');
Expect(1, 12891, '\p{Nv=3_1}', "");
Expect(0, 12891, '\p{^Nv=3_1}', "");
Expect(0, 12891, '\P{Nv=3_1}', "");
Expect(1, 12891, '\P{^Nv=3_1}', "");
Expect(0, 12892, '\p{Nv=3_1}', "");
Expect(1, 12892, '\p{^Nv=3_1}', "");
Expect(1, 12892, '\P{Nv=3_1}', "");
Expect(0, 12892, '\P{^Nv=3_1}', "");
Error('\p{Is_Numeric_Value=/a/-+000000031}');
Error('\P{Is_Numeric_Value=/a/-+000000031}');
Expect(1, 12891, '\p{Is_Numeric_Value=03_1}', "");
Expect(0, 12891, '\p{^Is_Numeric_Value=03_1}', "");
Expect(0, 12891, '\P{Is_Numeric_Value=03_1}', "");
Expect(1, 12891, '\P{^Is_Numeric_Value=03_1}', "");
Expect(0, 12892, '\p{Is_Numeric_Value=03_1}', "");
Expect(1, 12892, '\p{^Is_Numeric_Value=03_1}', "");
Expect(1, 12892, '\P{Is_Numeric_Value=03_1}', "");
Expect(0, 12892, '\P{^Is_Numeric_Value=03_1}', "");
Error('\p{Is_Nv=/a/_ 0_0_0_0_0_0_0_0031}');
Error('\P{Is_Nv=/a/_ 0_0_0_0_0_0_0_0031}');
Expect(1, 12891, '\p{Is_Nv:	000_003_1}', "");
Expect(0, 12891, '\p{^Is_Nv:	000_003_1}', "");
Expect(0, 12891, '\P{Is_Nv:	000_003_1}', "");
Expect(1, 12891, '\P{^Is_Nv:	000_003_1}', "");
Expect(0, 12892, '\p{Is_Nv:	000_003_1}', "");
Expect(1, 12892, '\p{^Is_Nv:	000_003_1}', "");
Expect(1, 12892, '\P{Is_Nv:	000_003_1}', "");
Expect(0, 12892, '\P{^Is_Nv:	000_003_1}', "");
Error('\p{Numeric_Value=_ 0000_0000_32/a/}');
Error('\P{Numeric_Value=_ 0000_0000_32/a/}');
Expect(1, 12892, '\p{Numeric_Value=0000000003_2}', "");
Expect(0, 12892, '\p{^Numeric_Value=0000000003_2}', "");
Expect(0, 12892, '\P{Numeric_Value=0000000003_2}', "");
Expect(1, 12892, '\P{^Numeric_Value=0000000003_2}', "");
Expect(0, 12893, '\p{Numeric_Value=0000000003_2}', "");
Expect(1, 12893, '\p{^Numeric_Value=0000000003_2}', "");
Expect(1, 12893, '\P{Numeric_Value=0000000003_2}', "");
Expect(0, 12893, '\P{^Numeric_Value=0000000003_2}', "");
Error('\p{Nv=:=-00000032}');
Error('\P{Nv=:=-00000032}');
Expect(1, 12892, '\p{Nv=0_0_32}', "");
Expect(0, 12892, '\p{^Nv=0_0_32}', "");
Expect(0, 12892, '\P{Nv=0_0_32}', "");
Expect(1, 12892, '\P{^Nv=0_0_32}', "");
Expect(0, 12893, '\p{Nv=0_0_32}', "");
Expect(1, 12893, '\p{^Nv=0_0_32}', "");
Expect(1, 12893, '\P{Nv=0_0_32}', "");
Expect(0, 12893, '\P{^Nv=0_0_32}', "");
Error('\p{Is_Numeric_Value:	/a/_-+000032}');
Error('\P{Is_Numeric_Value:	/a/_-+000032}');
Expect(1, 12892, '\p{Is_Numeric_Value=000000032}', "");
Expect(0, 12892, '\p{^Is_Numeric_Value=000000032}', "");
Expect(0, 12892, '\P{Is_Numeric_Value=000000032}', "");
Expect(1, 12892, '\P{^Is_Numeric_Value=000000032}', "");
Expect(0, 12893, '\p{Is_Numeric_Value=000000032}', "");
Expect(1, 12893, '\p{^Is_Numeric_Value=000000032}', "");
Expect(1, 12893, '\P{Is_Numeric_Value=000000032}', "");
Expect(0, 12893, '\P{^Is_Numeric_Value=000000032}', "");
Error('\p{Is_Nv=/a/	_032}');
Error('\P{Is_Nv=/a/	_032}');
Expect(1, 12892, '\p{Is_Nv=+0032}', "");
Expect(0, 12892, '\p{^Is_Nv=+0032}', "");
Expect(0, 12892, '\P{Is_Nv=+0032}', "");
Expect(1, 12892, '\P{^Is_Nv=+0032}', "");
Expect(0, 12893, '\p{Is_Nv=+0032}', "");
Expect(1, 12893, '\p{^Is_Nv=+0032}', "");
Expect(1, 12893, '\P{Is_Nv=+0032}', "");
Expect(0, 12893, '\P{^Is_Nv=+0032}', "");
Error('\p{Numeric_Value=__0_0_0_033:=}');
Error('\P{Numeric_Value=__0_0_0_033:=}');
Expect(1, 12893, '\p{Numeric_Value=0000003_3}', "");
Expect(0, 12893, '\p{^Numeric_Value=0000003_3}', "");
Expect(0, 12893, '\P{Numeric_Value=0000003_3}', "");
Expect(1, 12893, '\P{^Numeric_Value=0000003_3}', "");
Expect(0, 12894, '\p{Numeric_Value=0000003_3}', "");
Expect(1, 12894, '\p{^Numeric_Value=0000003_3}', "");
Expect(1, 12894, '\P{Numeric_Value=0000003_3}', "");
Expect(0, 12894, '\P{^Numeric_Value=0000003_3}', "");
Error('\p{Nv=-/a/+0_0_0_0_0_33}');
Error('\P{Nv=-/a/+0_0_0_0_0_33}');
Expect(1, 12893, '\p{Nv:00_00_00_00_033}', "");
Expect(0, 12893, '\p{^Nv:00_00_00_00_033}', "");
Expect(0, 12893, '\P{Nv:00_00_00_00_033}', "");
Expect(1, 12893, '\P{^Nv:00_00_00_00_033}', "");
Expect(0, 12894, '\p{Nv:00_00_00_00_033}', "");
Expect(1, 12894, '\p{^Nv:00_00_00_00_033}', "");
Expect(1, 12894, '\P{Nv:00_00_00_00_033}', "");
Expect(0, 12894, '\P{^Nv:00_00_00_00_033}', "");
Error('\p{Is_Numeric_Value=/a/		+000033}');
Error('\P{Is_Numeric_Value=/a/		+000033}');
Expect(1, 12893, '\p{Is_Numeric_Value=0_0_0_033}', "");
Expect(0, 12893, '\p{^Is_Numeric_Value=0_0_0_033}', "");
Expect(0, 12893, '\P{Is_Numeric_Value=0_0_0_033}', "");
Expect(1, 12893, '\P{^Is_Numeric_Value=0_0_0_033}', "");
Expect(0, 12894, '\p{Is_Numeric_Value=0_0_0_033}', "");
Expect(1, 12894, '\p{^Is_Numeric_Value=0_0_0_033}', "");
Expect(1, 12894, '\P{Is_Numeric_Value=0_0_0_033}', "");
Expect(0, 12894, '\P{^Is_Numeric_Value=0_0_0_033}', "");
Error('\p{Is_Nv= 	+0_0_33:=}');
Error('\P{Is_Nv= 	+0_0_33:=}');
Expect(1, 12893, '\p{Is_Nv=0_0_0_33}', "");
Expect(0, 12893, '\p{^Is_Nv=0_0_0_33}', "");
Expect(0, 12893, '\P{Is_Nv=0_0_0_33}', "");
Expect(1, 12893, '\P{^Is_Nv=0_0_0_33}', "");
Expect(0, 12894, '\p{Is_Nv=0_0_0_33}', "");
Expect(1, 12894, '\p{^Is_Nv=0_0_0_33}', "");
Expect(1, 12894, '\P{Is_Nv=0_0_0_33}', "");
Expect(0, 12894, '\P{^Is_Nv=0_0_0_33}', "");
Error('\p{Numeric_Value=_0_0_0_0_0034/a/}');
Error('\P{Numeric_Value=_0_0_0_0_0034/a/}');
Expect(1, 12894, '\p{Numeric_Value=00_00_00_034}', "");
Expect(0, 12894, '\p{^Numeric_Value=00_00_00_034}', "");
Expect(0, 12894, '\P{Numeric_Value=00_00_00_034}', "");
Expect(1, 12894, '\P{^Numeric_Value=00_00_00_034}', "");
Expect(0, 12895, '\p{Numeric_Value=00_00_00_034}', "");
Expect(1, 12895, '\p{^Numeric_Value=00_00_00_034}', "");
Expect(1, 12895, '\P{Numeric_Value=00_00_00_034}', "");
Expect(0, 12895, '\P{^Numeric_Value=00_00_00_034}', "");
Error('\p{Nv=/a/		34}');
Error('\P{Nv=/a/		34}');
Expect(1, 12894, '\p{Nv=00000003_4}', "");
Expect(0, 12894, '\p{^Nv=00000003_4}', "");
Expect(0, 12894, '\P{Nv=00000003_4}', "");
Expect(1, 12894, '\P{^Nv=00000003_4}', "");
Expect(0, 12895, '\p{Nv=00000003_4}', "");
Expect(1, 12895, '\p{^Nv=00000003_4}', "");
Expect(1, 12895, '\P{Nv=00000003_4}', "");
Expect(0, 12895, '\P{^Nv=00000003_4}', "");
Error('\p{Is_Numeric_Value=_:=34}');
Error('\P{Is_Numeric_Value=_:=34}');
Expect(1, 12894, '\p{Is_Numeric_Value=00003_4}', "");
Expect(0, 12894, '\p{^Is_Numeric_Value=00003_4}', "");
Expect(0, 12894, '\P{Is_Numeric_Value=00003_4}', "");
Expect(1, 12894, '\P{^Is_Numeric_Value=00003_4}', "");
Expect(0, 12895, '\p{Is_Numeric_Value=00003_4}', "");
Expect(1, 12895, '\p{^Is_Numeric_Value=00003_4}', "");
Expect(1, 12895, '\P{Is_Numeric_Value=00003_4}', "");
Expect(0, 12895, '\P{^Is_Numeric_Value=00003_4}', "");
Error('\p{Is_Nv=		00000034:=}');
Error('\P{Is_Nv=		00000034:=}');
Expect(1, 12894, '\p{Is_Nv=00_03_4}', "");
Expect(0, 12894, '\p{^Is_Nv=00_03_4}', "");
Expect(0, 12894, '\P{Is_Nv=00_03_4}', "");
Expect(1, 12894, '\P{^Is_Nv=00_03_4}', "");
Expect(0, 12895, '\p{Is_Nv=00_03_4}', "");
Expect(1, 12895, '\p{^Is_Nv=00_03_4}', "");
Expect(1, 12895, '\P{Is_Nv=00_03_4}', "");
Expect(0, 12895, '\P{^Is_Nv=00_03_4}', "");
Error('\p{Numeric_Value=:=-000000035}');
Error('\P{Numeric_Value=:=-000000035}');
Expect(1, 12895, '\p{Numeric_Value=00_03_5}', "");
Expect(0, 12895, '\p{^Numeric_Value=00_03_5}', "");
Expect(0, 12895, '\P{Numeric_Value=00_03_5}', "");
Expect(1, 12895, '\P{^Numeric_Value=00_03_5}', "");
Expect(0, 12896, '\p{Numeric_Value=00_03_5}', "");
Expect(1, 12896, '\p{^Numeric_Value=00_03_5}', "");
Expect(1, 12896, '\P{Numeric_Value=00_03_5}', "");
Expect(0, 12896, '\P{^Numeric_Value=00_03_5}', "");
Error('\p{Nv= :=3_5}');
Error('\P{Nv= :=3_5}');
Expect(1, 12895, '\p{Nv=000035}', "");
Expect(0, 12895, '\p{^Nv=000035}', "");
Expect(0, 12895, '\P{Nv=000035}', "");
Expect(1, 12895, '\P{^Nv=000035}', "");
Expect(0, 12896, '\p{Nv=000035}', "");
Expect(1, 12896, '\p{^Nv=000035}', "");
Expect(1, 12896, '\P{Nv=000035}', "");
Expect(0, 12896, '\P{^Nv=000035}', "");
Error('\p{Is_Numeric_Value=__035:=}');
Error('\P{Is_Numeric_Value=__035:=}');
Expect(1, 12895, '\p{Is_Numeric_Value=0000035}', "");
Expect(0, 12895, '\p{^Is_Numeric_Value=0000035}', "");
Expect(0, 12895, '\P{Is_Numeric_Value=0000035}', "");
Expect(1, 12895, '\P{^Is_Numeric_Value=0000035}', "");
Expect(0, 12896, '\p{Is_Numeric_Value=0000035}', "");
Expect(1, 12896, '\p{^Is_Numeric_Value=0000035}', "");
Expect(1, 12896, '\P{Is_Numeric_Value=0000035}', "");
Expect(0, 12896, '\P{^Is_Numeric_Value=0000035}', "");
Error('\p{Is_Nv=-00000000035:=}');
Error('\P{Is_Nv=-00000000035:=}');
Expect(1, 12895, '\p{Is_Nv=0035}', "");
Expect(0, 12895, '\p{^Is_Nv=0035}', "");
Expect(0, 12895, '\P{Is_Nv=0035}', "");
Expect(1, 12895, '\P{^Is_Nv=0035}', "");
Expect(0, 12896, '\p{Is_Nv=0035}', "");
Expect(1, 12896, '\p{^Is_Nv=0035}', "");
Expect(1, 12896, '\P{Is_Nv=0035}', "");
Expect(0, 12896, '\P{^Is_Nv=0035}', "");
Error('\p{Numeric_Value=:=-00036}');
Error('\P{Numeric_Value=:=-00036}');
Expect(1, 12977, '\p{Numeric_Value: +036}', "");
Expect(0, 12977, '\p{^Numeric_Value: +036}', "");
Expect(0, 12977, '\P{Numeric_Value: +036}', "");
Expect(1, 12977, '\P{^Numeric_Value: +036}', "");
Expect(0, 12978, '\p{Numeric_Value: +036}', "");
Expect(1, 12978, '\p{^Numeric_Value: +036}', "");
Expect(1, 12978, '\P{Numeric_Value: +036}', "");
Expect(0, 12978, '\P{^Numeric_Value: +036}', "");
Error('\p{Nv= 0_0_0_36/a/}');
Error('\P{Nv= 0_0_0_36/a/}');
Expect(1, 12977, '\p{Nv: 000036}', "");
Expect(0, 12977, '\p{^Nv: 000036}', "");
Expect(0, 12977, '\P{Nv: 000036}', "");
Expect(1, 12977, '\P{^Nv: 000036}', "");
Expect(0, 12978, '\p{Nv: 000036}', "");
Expect(1, 12978, '\p{^Nv: 000036}', "");
Expect(1, 12978, '\P{Nv: 000036}', "");
Expect(0, 12978, '\P{^Nv: 000036}', "");
Error('\p{Is_Numeric_Value=:=+00036}');
Error('\P{Is_Numeric_Value=:=+00036}');
Expect(1, 12977, '\p{Is_Numeric_Value:036}', "");
Expect(0, 12977, '\p{^Is_Numeric_Value:036}', "");
Expect(0, 12977, '\P{Is_Numeric_Value:036}', "");
Expect(1, 12977, '\P{^Is_Numeric_Value:036}', "");
Expect(0, 12978, '\p{Is_Numeric_Value:036}', "");
Expect(1, 12978, '\p{^Is_Numeric_Value:036}', "");
Expect(1, 12978, '\P{Is_Numeric_Value:036}', "");
Expect(0, 12978, '\P{^Is_Numeric_Value:036}', "");
Error('\p{Is_Nv: _:=003_6}');
Error('\P{Is_Nv: _:=003_6}');
Expect(1, 12977, '\p{Is_Nv=00_00_36}', "");
Expect(0, 12977, '\p{^Is_Nv=00_00_36}', "");
Expect(0, 12977, '\P{Is_Nv=00_00_36}', "");
Expect(1, 12977, '\P{^Is_Nv=00_00_36}', "");
Expect(0, 12978, '\p{Is_Nv=00_00_36}', "");
Expect(1, 12978, '\p{^Is_Nv=00_00_36}', "");
Expect(1, 12978, '\P{Is_Nv=00_00_36}', "");
Expect(0, 12978, '\P{^Is_Nv=00_00_36}', "");
Error('\p{Numeric_Value=/a/- 00000037}');
Error('\P{Numeric_Value=/a/- 00000037}');
Expect(1, 12978, '\p{Numeric_Value=37}', "");
Expect(0, 12978, '\p{^Numeric_Value=37}', "");
Expect(0, 12978, '\P{Numeric_Value=37}', "");
Expect(1, 12978, '\P{^Numeric_Value=37}', "");
Expect(0, 12979, '\p{Numeric_Value=37}', "");
Expect(1, 12979, '\p{^Numeric_Value=37}', "");
Expect(1, 12979, '\P{Numeric_Value=37}', "");
Expect(0, 12979, '\P{^Numeric_Value=37}', "");
Error('\p{Nv=_-+00_00_00_37:=}');
Error('\P{Nv=_-+00_00_00_37:=}');
Expect(1, 12978, '\p{Nv=37}', "");
Expect(0, 12978, '\p{^Nv=37}', "");
Expect(0, 12978, '\P{Nv=37}', "");
Expect(1, 12978, '\P{^Nv=37}', "");
Expect(0, 12979, '\p{Nv=37}', "");
Expect(1, 12979, '\p{^Nv=37}', "");
Expect(1, 12979, '\P{Nv=37}', "");
Expect(0, 12979, '\P{^Nv=37}', "");
Error('\p{Is_Numeric_Value=_/a/3_7}');
Error('\P{Is_Numeric_Value=_/a/3_7}');
Expect(1, 12978, '\p{Is_Numeric_Value:+00_00_03_7}', "");
Expect(0, 12978, '\p{^Is_Numeric_Value:+00_00_03_7}', "");
Expect(0, 12978, '\P{Is_Numeric_Value:+00_00_03_7}', "");
Expect(1, 12978, '\P{^Is_Numeric_Value:+00_00_03_7}', "");
Expect(0, 12979, '\p{Is_Numeric_Value:+00_00_03_7}', "");
Expect(1, 12979, '\p{^Is_Numeric_Value:+00_00_03_7}', "");
Expect(1, 12979, '\P{Is_Numeric_Value:+00_00_03_7}', "");
Expect(0, 12979, '\P{^Is_Numeric_Value:+00_00_03_7}', "");
Error('\p{Is_Nv=:=	0037}');
Error('\P{Is_Nv=:=	0037}');
Expect(1, 12978, '\p{Is_Nv=000000037}', "");
Expect(0, 12978, '\p{^Is_Nv=000000037}', "");
Expect(0, 12978, '\P{Is_Nv=000000037}', "");
Expect(1, 12978, '\P{^Is_Nv=000000037}', "");
Expect(0, 12979, '\p{Is_Nv=000000037}', "");
Expect(1, 12979, '\p{^Is_Nv=000000037}', "");
Expect(1, 12979, '\P{Is_Nv=000000037}', "");
Expect(0, 12979, '\P{^Is_Nv=000000037}', "");
Error('\p{Numeric_Value: /a/	+000000038}');
Error('\P{Numeric_Value: /a/	+000000038}');
Expect(1, 12979, '\p{Numeric_Value=+00000038}', "");
Expect(0, 12979, '\p{^Numeric_Value=+00000038}', "");
Expect(0, 12979, '\P{Numeric_Value=+00000038}', "");
Expect(1, 12979, '\P{^Numeric_Value=+00000038}', "");
Expect(0, 12980, '\p{Numeric_Value=+00000038}', "");
Expect(1, 12980, '\p{^Numeric_Value=+00000038}', "");
Expect(1, 12980, '\P{Numeric_Value=+00000038}', "");
Expect(0, 12980, '\P{^Numeric_Value=+00000038}', "");
Error('\p{Nv=:=		038}');
Error('\P{Nv=:=		038}');
Expect(1, 12979, '\p{Nv=000038}', "");
Expect(0, 12979, '\p{^Nv=000038}', "");
Expect(0, 12979, '\P{Nv=000038}', "");
Expect(1, 12979, '\P{^Nv=000038}', "");
Expect(0, 12980, '\p{Nv=000038}', "");
Expect(1, 12980, '\p{^Nv=000038}', "");
Expect(1, 12980, '\P{Nv=000038}', "");
Expect(0, 12980, '\P{^Nv=000038}', "");
Error('\p{Is_Numeric_Value=		+000000038/a/}');
Error('\P{Is_Numeric_Value=		+000000038/a/}');
Expect(1, 12979, '\p{Is_Numeric_Value=000_000_000_38}', "");
Expect(0, 12979, '\p{^Is_Numeric_Value=000_000_000_38}', "");
Expect(0, 12979, '\P{Is_Numeric_Value=000_000_000_38}', "");
Expect(1, 12979, '\P{^Is_Numeric_Value=000_000_000_38}', "");
Expect(0, 12980, '\p{Is_Numeric_Value=000_000_000_38}', "");
Expect(1, 12980, '\p{^Is_Numeric_Value=000_000_000_38}', "");
Expect(1, 12980, '\P{Is_Numeric_Value=000_000_000_38}', "");
Expect(0, 12980, '\P{^Is_Numeric_Value=000_000_000_38}', "");
Error('\p{Is_Nv=/a/_+0_0_0_0_0_0_0_0_38}');
Error('\P{Is_Nv=/a/_+0_0_0_0_0_0_0_0_38}');
Expect(1, 12979, '\p{Is_Nv=0000_0003_8}', "");
Expect(0, 12979, '\p{^Is_Nv=0000_0003_8}', "");
Expect(0, 12979, '\P{Is_Nv=0000_0003_8}', "");
Expect(1, 12979, '\P{^Is_Nv=0000_0003_8}', "");
Expect(0, 12980, '\p{Is_Nv=0000_0003_8}', "");
Expect(1, 12980, '\p{^Is_Nv=0000_0003_8}', "");
Expect(1, 12980, '\P{Is_Nv=0000_0003_8}', "");
Expect(0, 12980, '\P{^Is_Nv=0000_0003_8}', "");
Error('\p{Numeric_Value=:= -+0_0_0_0_0_0_039}');
Error('\P{Numeric_Value=:= -+0_0_0_0_0_0_039}');
Expect(1, 12980, '\p{Numeric_Value=+03_9}', "");
Expect(0, 12980, '\p{^Numeric_Value=+03_9}', "");
Expect(0, 12980, '\P{Numeric_Value=+03_9}', "");
Expect(1, 12980, '\P{^Numeric_Value=+03_9}', "");
Expect(0, 12981, '\p{Numeric_Value=+03_9}', "");
Expect(1, 12981, '\p{^Numeric_Value=+03_9}', "");
Expect(1, 12981, '\P{Numeric_Value=+03_9}', "");
Expect(0, 12981, '\P{^Numeric_Value=+03_9}', "");
Error('\p{Nv=:= +0000000039}');
Error('\P{Nv=:= +0000000039}');
Expect(1, 12980, '\p{Nv=0_0_0_0_0_0_39}', "");
Expect(0, 12980, '\p{^Nv=0_0_0_0_0_0_39}', "");
Expect(0, 12980, '\P{Nv=0_0_0_0_0_0_39}', "");
Expect(1, 12980, '\P{^Nv=0_0_0_0_0_0_39}', "");
Expect(0, 12981, '\p{Nv=0_0_0_0_0_0_39}', "");
Expect(1, 12981, '\p{^Nv=0_0_0_0_0_0_39}', "");
Expect(1, 12981, '\P{Nv=0_0_0_0_0_0_39}', "");
Expect(0, 12981, '\P{^Nv=0_0_0_0_0_0_39}', "");
Error('\p{Is_Numeric_Value=:=_-000_003_9}');
Error('\P{Is_Numeric_Value=:=_-000_003_9}');
Expect(1, 12980, '\p{Is_Numeric_Value=0000003_9}', "");
Expect(0, 12980, '\p{^Is_Numeric_Value=0000003_9}', "");
Expect(0, 12980, '\P{Is_Numeric_Value=0000003_9}', "");
Expect(1, 12980, '\P{^Is_Numeric_Value=0000003_9}', "");
Expect(0, 12981, '\p{Is_Numeric_Value=0000003_9}', "");
Expect(1, 12981, '\p{^Is_Numeric_Value=0000003_9}', "");
Expect(1, 12981, '\P{Is_Numeric_Value=0000003_9}', "");
Expect(0, 12981, '\P{^Is_Numeric_Value=0000003_9}', "");
Error('\p{Is_Nv=__000000039/a/}');
Error('\P{Is_Nv=__000000039/a/}');
Expect(1, 12980, '\p{Is_Nv=039}', "");
Expect(0, 12980, '\p{^Is_Nv=039}', "");
Expect(0, 12980, '\P{Is_Nv=039}', "");
Expect(1, 12980, '\P{^Is_Nv=039}', "");
Expect(0, 12981, '\p{Is_Nv=039}', "");
Expect(1, 12981, '\p{^Is_Nv=039}', "");
Expect(1, 12981, '\P{Is_Nv=039}', "");
Expect(0, 12981, '\P{^Is_Nv=039}', "");
Error('\p{Numeric_Value:	/a/-	0_0_0_0_0_0_004}');
Error('\P{Numeric_Value:	/a/-	0_0_0_0_0_0_004}');
Expect(1, 156269, '\p{Numeric_Value=000004}', "");
Expect(0, 156269, '\p{^Numeric_Value=000004}', "");
Expect(0, 156269, '\P{Numeric_Value=000004}', "");
Expect(1, 156269, '\P{^Numeric_Value=000004}', "");
Expect(0, 156270, '\p{Numeric_Value=000004}', "");
Expect(1, 156270, '\p{^Numeric_Value=000004}', "");
Expect(1, 156270, '\P{Numeric_Value=000004}', "");
Expect(0, 156270, '\P{^Numeric_Value=000004}', "");
Error('\p{Nv=	000000004:=}');
Error('\P{Nv=	000000004:=}');
Expect(1, 156269, '\p{Nv=0_0_0_04}', "");
Expect(0, 156269, '\p{^Nv=0_0_0_04}', "");
Expect(0, 156269, '\P{Nv=0_0_0_04}', "");
Expect(1, 156269, '\P{^Nv=0_0_0_04}', "");
Expect(0, 156270, '\p{Nv=0_0_0_04}', "");
Expect(1, 156270, '\p{^Nv=0_0_0_04}', "");
Expect(1, 156270, '\P{Nv=0_0_0_04}', "");
Expect(0, 156270, '\P{^Nv=0_0_0_04}', "");
Error('\p{Is_Numeric_Value=	_+0000000004:=}');
Error('\P{Is_Numeric_Value=	_+0000000004:=}');
Expect(1, 156269, '\p{Is_Numeric_Value=+0000004}', "");
Expect(0, 156269, '\p{^Is_Numeric_Value=+0000004}', "");
Expect(0, 156269, '\P{Is_Numeric_Value=+0000004}', "");
Expect(1, 156269, '\P{^Is_Numeric_Value=+0000004}', "");
Expect(0, 156270, '\p{Is_Numeric_Value=+0000004}', "");
Expect(1, 156270, '\p{^Is_Numeric_Value=+0000004}', "");
Expect(1, 156270, '\P{Is_Numeric_Value=+0000004}', "");
Expect(0, 156270, '\P{^Is_Numeric_Value=+0000004}', "");
Error('\p{Is_Nv=:= _00000004}');
Error('\P{Is_Nv=:= _00000004}');
Expect(1, 156269, '\p{Is_Nv=4}', "");
Expect(0, 156269, '\p{^Is_Nv=4}', "");
Expect(0, 156269, '\P{Is_Nv=4}', "");
Expect(1, 156269, '\P{^Is_Nv=4}', "");
Expect(0, 156270, '\p{Is_Nv=4}', "");
Expect(1, 156270, '\p{^Is_Nv=4}', "");
Expect(1, 156270, '\P{Is_Nv=4}', "");
Expect(0, 156270, '\P{^Is_Nv=4}', "");
Error('\p{Numeric_Value=:=+4/00005}');
Error('\P{Numeric_Value=:=+4/00005}');
Expect(1, 8536, '\p{Numeric_Value=0000004/0000005}', "");
Expect(0, 8536, '\p{^Numeric_Value=0000004/0000005}', "");
Expect(0, 8536, '\P{Numeric_Value=0000004/0000005}', "");
Expect(1, 8536, '\P{^Numeric_Value=0000004/0000005}', "");
Expect(0, 8537, '\p{Numeric_Value=0000004/0000005}', "");
Expect(1, 8537, '\p{^Numeric_Value=0000004/0000005}', "");
Expect(1, 8537, '\P{Numeric_Value=0000004/0000005}', "");
Expect(0, 8537, '\P{^Numeric_Value=0000004/0000005}', "");
Expect(1, 8536, '\p{Numeric_Value=0.800}', "");
Expect(0, 8536, '\p{^Numeric_Value=0.800}', "");
Expect(0, 8536, '\P{Numeric_Value=0.800}', "");
Expect(1, 8536, '\P{^Numeric_Value=0.800}', "");
Expect(0, 8537, '\p{Numeric_Value=0.800}', "");
Expect(1, 8537, '\p{^Numeric_Value=0.800}', "");
Expect(1, 8537, '\P{Numeric_Value=0.800}', "");
Expect(0, 8537, '\P{^Numeric_Value=0.800}', "");
Error('\p{Nv=_/a/+0004/0000005}');
Error('\P{Nv=_/a/+0004/0000005}');
Expect(1, 8536, '\p{Nv=000004/000000005}', "");
Expect(0, 8536, '\p{^Nv=000004/000000005}', "");
Expect(0, 8536, '\P{Nv=000004/000000005}', "");
Expect(1, 8536, '\P{^Nv=000004/000000005}', "");
Expect(0, 8537, '\p{Nv=000004/000000005}', "");
Expect(1, 8537, '\p{^Nv=000004/000000005}', "");
Expect(1, 8537, '\P{Nv=000004/000000005}', "");
Expect(0, 8537, '\P{^Nv=000004/000000005}', "");
Expect(1, 8536, '\p{Nv=0.800}', "");
Expect(0, 8536, '\p{^Nv=0.800}', "");
Expect(0, 8536, '\P{Nv=0.800}', "");
Expect(1, 8536, '\P{^Nv=0.800}', "");
Expect(0, 8537, '\p{Nv=0.800}', "");
Expect(1, 8537, '\p{^Nv=0.800}', "");
Expect(1, 8537, '\P{Nv=0.800}', "");
Expect(0, 8537, '\P{^Nv=0.800}', "");
Error('\p{Is_Numeric_Value=-	+4/5/a/}');
Error('\P{Is_Numeric_Value=-	+4/5/a/}');
Expect(1, 8536, '\p{Is_Numeric_Value=00004/00000005}', "");
Expect(0, 8536, '\p{^Is_Numeric_Value=00004/00000005}', "");
Expect(0, 8536, '\P{Is_Numeric_Value=00004/00000005}', "");
Expect(1, 8536, '\P{^Is_Numeric_Value=00004/00000005}', "");
Expect(0, 8537, '\p{Is_Numeric_Value=00004/00000005}', "");
Expect(1, 8537, '\p{^Is_Numeric_Value=00004/00000005}', "");
Expect(1, 8537, '\P{Is_Numeric_Value=00004/00000005}', "");
Expect(0, 8537, '\P{^Is_Numeric_Value=00004/00000005}', "");
Expect(1, 8536, '\p{Is_Numeric_Value=0.800}', "");
Expect(0, 8536, '\p{^Is_Numeric_Value=0.800}', "");
Expect(0, 8536, '\P{Is_Numeric_Value=0.800}', "");
Expect(1, 8536, '\P{^Is_Numeric_Value=0.800}', "");
Expect(0, 8537, '\p{Is_Numeric_Value=0.800}', "");
Expect(1, 8537, '\p{^Is_Numeric_Value=0.800}', "");
Expect(1, 8537, '\P{Is_Numeric_Value=0.800}', "");
Expect(0, 8537, '\P{^Is_Numeric_Value=0.800}', "");
Error('\p{Is_Nv=- +4/00005:=}');
Error('\P{Is_Nv=- +4/00005:=}');
Expect(1, 8536, '\p{Is_Nv=00004/000005}', "");
Expect(0, 8536, '\p{^Is_Nv=00004/000005}', "");
Expect(0, 8536, '\P{Is_Nv=00004/000005}', "");
Expect(1, 8536, '\P{^Is_Nv=00004/000005}', "");
Expect(0, 8537, '\p{Is_Nv=00004/000005}', "");
Expect(1, 8537, '\p{^Is_Nv=00004/000005}', "");
Expect(1, 8537, '\P{Is_Nv=00004/000005}', "");
Expect(0, 8537, '\P{^Is_Nv=00004/000005}', "");
Expect(1, 8536, '\p{Is_Nv=0.800}', "");
Expect(0, 8536, '\p{^Is_Nv=0.800}', "");
Expect(0, 8536, '\P{Is_Nv=0.800}', "");
Expect(1, 8536, '\P{^Is_Nv=0.800}', "");
Expect(0, 8537, '\p{Is_Nv=0.800}', "");
Expect(1, 8537, '\p{^Is_Nv=0.800}', "");
Expect(1, 8537, '\P{Is_Nv=0.800}', "");
Expect(0, 8537, '\P{^Is_Nv=0.800}', "");
Error('\p{Numeric_Value: 	/a/0_0_0_0_0_0_040}');
Error('\P{Numeric_Value: 	/a/0_0_0_0_0_0_040}');
Expect(1, 133532, '\p{Numeric_Value=+00_00_00_00_040}', "");
Expect(0, 133532, '\p{^Numeric_Value=+00_00_00_00_040}', "");
Expect(0, 133532, '\P{Numeric_Value=+00_00_00_00_040}', "");
Expect(1, 133532, '\P{^Numeric_Value=+00_00_00_00_040}', "");
Expect(0, 133533, '\p{Numeric_Value=+00_00_00_00_040}', "");
Expect(1, 133533, '\p{^Numeric_Value=+00_00_00_00_040}', "");
Expect(1, 133533, '\P{Numeric_Value=+00_00_00_00_040}', "");
Expect(0, 133533, '\P{^Numeric_Value=+00_00_00_00_040}', "");
Error('\p{Nv=-0_0_0_040:=}');
Error('\P{Nv=-0_0_0_040:=}');
Expect(1, 133532, '\p{Nv=+0040}', "");
Expect(0, 133532, '\p{^Nv=+0040}', "");
Expect(0, 133532, '\P{Nv=+0040}', "");
Expect(1, 133532, '\P{^Nv=+0040}', "");
Expect(0, 133533, '\p{Nv=+0040}', "");
Expect(1, 133533, '\p{^Nv=+0040}', "");
Expect(1, 133533, '\P{Nv=+0040}', "");
Expect(0, 133533, '\P{^Nv=+0040}', "");
Error('\p{Is_Numeric_Value=_/a/00_00_00_40}');
Error('\P{Is_Numeric_Value=_/a/00_00_00_40}');
Expect(1, 133532, '\p{Is_Numeric_Value=+0000000040}', "");
Expect(0, 133532, '\p{^Is_Numeric_Value=+0000000040}', "");
Expect(0, 133532, '\P{Is_Numeric_Value=+0000000040}', "");
Expect(1, 133532, '\P{^Is_Numeric_Value=+0000000040}', "");
Expect(0, 133533, '\p{Is_Numeric_Value=+0000000040}', "");
Expect(1, 133533, '\p{^Is_Numeric_Value=+0000000040}', "");
Expect(1, 133533, '\P{Is_Numeric_Value=+0000000040}', "");
Expect(0, 133533, '\P{^Is_Numeric_Value=+0000000040}', "");
Error('\p{Is_Nv=-/a/00040}');
Error('\P{Is_Nv=-/a/00040}');
Expect(1, 133532, '\p{Is_Nv=40}', "");
Expect(0, 133532, '\p{^Is_Nv=40}', "");
Expect(0, 133532, '\P{Is_Nv=40}', "");
Expect(1, 133532, '\P{^Is_Nv=40}', "");
Expect(0, 133533, '\p{Is_Nv=40}', "");
Expect(1, 133533, '\p{^Is_Nv=40}', "");
Expect(1, 133533, '\P{Is_Nv=40}', "");
Expect(0, 133533, '\P{^Is_Nv=40}', "");
Error('\p{Numeric_Value= 0400:=}');
Error('\P{Numeric_Value= 0400:=}');
Expect(1, 69237, '\p{Numeric_Value=0400}', "");
Expect(0, 69237, '\p{^Numeric_Value=0400}', "");
Expect(0, 69237, '\P{Numeric_Value=0400}', "");
Expect(1, 69237, '\P{^Numeric_Value=0400}', "");
Expect(0, 69238, '\p{Numeric_Value=0400}', "");
Expect(1, 69238, '\p{^Numeric_Value=0400}', "");
Expect(1, 69238, '\P{Numeric_Value=0400}', "");
Expect(0, 69238, '\P{^Numeric_Value=0400}', "");
Error('\p{Nv=/a/-_0_0_0_0_0_0_0400}');
Error('\P{Nv=/a/-_0_0_0_0_0_0_0400}');
Expect(1, 69237, '\p{Nv=0_0_0_0_400}', "");
Expect(0, 69237, '\p{^Nv=0_0_0_0_400}', "");
Expect(0, 69237, '\P{Nv=0_0_0_0_400}', "");
Expect(1, 69237, '\P{^Nv=0_0_0_0_400}', "");
Expect(0, 69238, '\p{Nv=0_0_0_0_400}', "");
Expect(1, 69238, '\p{^Nv=0_0_0_0_400}', "");
Expect(1, 69238, '\P{Nv=0_0_0_0_400}', "");
Expect(0, 69238, '\P{^Nv=0_0_0_0_400}', "");
Error('\p{Is_Numeric_Value=	:=+0000000400}');
Error('\P{Is_Numeric_Value=	:=+0000000400}');
Expect(1, 69237, '\p{Is_Numeric_Value=00000400}', "");
Expect(0, 69237, '\p{^Is_Numeric_Value=00000400}', "");
Expect(0, 69237, '\P{Is_Numeric_Value=00000400}', "");
Expect(1, 69237, '\P{^Is_Numeric_Value=00000400}', "");
Expect(0, 69238, '\p{Is_Numeric_Value=00000400}', "");
Expect(1, 69238, '\p{^Is_Numeric_Value=00000400}', "");
Expect(1, 69238, '\P{Is_Numeric_Value=00000400}', "");
Expect(0, 69238, '\P{^Is_Numeric_Value=00000400}', "");
Error('\p{Is_Nv=/a/	+000400}');
Error('\P{Is_Nv=/a/	+000400}');
Expect(1, 69237, '\p{Is_Nv=400}', "");
Expect(0, 69237, '\p{^Is_Nv=400}', "");
Expect(0, 69237, '\P{Is_Nv=400}', "");
Expect(1, 69237, '\P{^Is_Nv=400}', "");
Expect(0, 69238, '\p{Is_Nv=400}', "");
Expect(1, 69238, '\p{^Is_Nv=400}', "");
Expect(1, 69238, '\P{Is_Nv=400}', "");
Expect(0, 69238, '\P{^Is_Nv=400}', "");
Error('\p{Numeric_Value=:=	+00_00_00_00_04_00_0}');
Error('\P{Numeric_Value=:=	+00_00_00_00_04_00_0}');
Expect(1, 68062, '\p{Numeric_Value=0_4_0_00}', "");
Expect(0, 68062, '\p{^Numeric_Value=0_4_0_00}', "");
Expect(0, 68062, '\P{Numeric_Value=0_4_0_00}', "");
Expect(1, 68062, '\P{^Numeric_Value=0_4_0_00}', "");
Expect(0, 68063, '\p{Numeric_Value=0_4_0_00}', "");
Expect(1, 68063, '\p{^Numeric_Value=0_4_0_00}', "");
Expect(1, 68063, '\P{Numeric_Value=0_4_0_00}', "");
Expect(0, 68063, '\P{^Numeric_Value=0_4_0_00}', "");
Error('\p{Nv=_-00000004000/a/}');
Error('\P{Nv=_-00000004000/a/}');
Expect(1, 68062, '\p{Nv=+00000004000}', "");
Expect(0, 68062, '\p{^Nv=+00000004000}', "");
Expect(0, 68062, '\P{Nv=+00000004000}', "");
Expect(1, 68062, '\P{^Nv=+00000004000}', "");
Expect(0, 68063, '\p{Nv=+00000004000}', "");
Expect(1, 68063, '\p{^Nv=+00000004000}', "");
Expect(1, 68063, '\P{Nv=+00000004000}', "");
Expect(0, 68063, '\P{^Nv=+00000004000}', "");
Error('\p{Is_Numeric_Value= -00_00_40_00:=}');
Error('\P{Is_Numeric_Value= -00_00_40_00:=}');
Expect(1, 68062, '\p{Is_Numeric_Value=+0_0_4_0_00}', "");
Expect(0, 68062, '\p{^Is_Numeric_Value=+0_0_4_0_00}', "");
Expect(0, 68062, '\P{Is_Numeric_Value=+0_0_4_0_00}', "");
Expect(1, 68062, '\P{^Is_Numeric_Value=+0_0_4_0_00}', "");
Expect(0, 68063, '\p{Is_Numeric_Value=+0_0_4_0_00}', "");
Expect(1, 68063, '\p{^Is_Numeric_Value=+0_0_4_0_00}', "");
Expect(1, 68063, '\P{Is_Numeric_Value=+0_0_4_0_00}', "");
Expect(0, 68063, '\P{^Is_Numeric_Value=+0_0_4_0_00}', "");
Error('\p{Is_Nv=--000_400_0/a/}');
Error('\P{Is_Nv=--000_400_0/a/}');
Expect(1, 68062, '\p{Is_Nv=000004000}', "");
Expect(0, 68062, '\p{^Is_Nv=000004000}', "");
Expect(0, 68062, '\P{Is_Nv=000004000}', "");
Expect(1, 68062, '\P{^Is_Nv=000004000}', "");
Expect(0, 68063, '\p{Is_Nv=000004000}', "");
Expect(1, 68063, '\p{^Is_Nv=000004000}', "");
Expect(1, 68063, '\P{Is_Nv=000004000}', "");
Expect(0, 68063, '\P{^Is_Nv=000004000}', "");
Error('\p{Numeric_Value= 	+0_4_0_0_00/a/}');
Error('\P{Numeric_Value= 	+0_4_0_0_00/a/}');
Expect(1, 68071, '\p{Numeric_Value=+00_00_40_00_0}', "");
Expect(0, 68071, '\p{^Numeric_Value=+00_00_40_00_0}', "");
Expect(0, 68071, '\P{Numeric_Value=+00_00_40_00_0}', "");
Expect(1, 68071, '\P{^Numeric_Value=+00_00_40_00_0}', "");
Expect(0, 68072, '\p{Numeric_Value=+00_00_40_00_0}', "");
Expect(1, 68072, '\p{^Numeric_Value=+00_00_40_00_0}', "");
Expect(1, 68072, '\P{Numeric_Value=+00_00_40_00_0}', "");
Expect(0, 68072, '\P{^Numeric_Value=+00_00_40_00_0}', "");
Error('\p{Nv=:=-004000_0}');
Error('\P{Nv=:=-004000_0}');
Expect(1, 68071, '\p{Nv: +0_0_0_0_0_40000}', "");
Expect(0, 68071, '\p{^Nv: +0_0_0_0_0_40000}', "");
Expect(0, 68071, '\P{Nv: +0_0_0_0_0_40000}', "");
Expect(1, 68071, '\P{^Nv: +0_0_0_0_0_40000}', "");
Expect(0, 68072, '\p{Nv: +0_0_0_0_0_40000}', "");
Expect(1, 68072, '\p{^Nv: +0_0_0_0_0_40000}', "");
Expect(1, 68072, '\P{Nv: +0_0_0_0_0_40000}', "");
Expect(0, 68072, '\P{^Nv: +0_0_0_0_0_40000}', "");
Error('\p{Is_Numeric_Value=:=--00000040000}');
Error('\P{Is_Numeric_Value=:=--00000040000}');
Expect(1, 68071, '\p{Is_Numeric_Value=+0_0_0_0_0_0_0_0_040000}', "");
Expect(0, 68071, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_040000}', "");
Expect(0, 68071, '\P{Is_Numeric_Value=+0_0_0_0_0_0_0_0_040000}', "");
Expect(1, 68071, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_040000}', "");
Expect(0, 68072, '\p{Is_Numeric_Value=+0_0_0_0_0_0_0_0_040000}', "");
Expect(1, 68072, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_040000}', "");
Expect(1, 68072, '\P{Is_Numeric_Value=+0_0_0_0_0_0_0_0_040000}', "");
Expect(0, 68072, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_0_0_040000}', "");
Error('\p{Is_Nv=:=--+0000_0400_00}');
Error('\P{Is_Nv=:=--+0000_0400_00}');
Expect(1, 68071, '\p{Is_Nv=00_00_00_04_0000}', "");
Expect(0, 68071, '\p{^Is_Nv=00_00_00_04_0000}', "");
Expect(0, 68071, '\P{Is_Nv=00_00_00_04_0000}', "");
Expect(1, 68071, '\P{^Is_Nv=00_00_00_04_0000}', "");
Expect(0, 68072, '\p{Is_Nv=00_00_00_04_0000}', "");
Expect(1, 68072, '\p{^Is_Nv=00_00_00_04_0000}', "");
Expect(1, 68072, '\P{Is_Nv=00_00_00_04_0000}', "");
Expect(0, 68072, '\P{^Is_Nv=00_00_00_04_0000}', "");
Error('\p{Numeric_Value:  /a/000000400000}');
Error('\P{Numeric_Value:  /a/000000400000}');
Expect(1, 68080, '\p{Numeric_Value=00_04_00_00_0}', "");
Expect(0, 68080, '\p{^Numeric_Value=00_04_00_00_0}', "");
Expect(0, 68080, '\P{Numeric_Value=00_04_00_00_0}', "");
Expect(1, 68080, '\P{^Numeric_Value=00_04_00_00_0}', "");
Expect(0, 68081, '\p{Numeric_Value=00_04_00_00_0}', "");
Expect(1, 68081, '\p{^Numeric_Value=00_04_00_00_0}', "");
Expect(1, 68081, '\P{Numeric_Value=00_04_00_00_0}', "");
Expect(0, 68081, '\P{^Numeric_Value=00_04_00_00_0}', "");
Error('\p{Nv=_/a/+000000000400000}');
Error('\P{Nv=_/a/+000000000400000}');
Expect(1, 68080, '\p{Nv=00000000400000}', "");
Expect(0, 68080, '\p{^Nv=00000000400000}', "");
Expect(0, 68080, '\P{Nv=00000000400000}', "");
Expect(1, 68080, '\P{^Nv=00000000400000}', "");
Expect(0, 68081, '\p{Nv=00000000400000}', "");
Expect(1, 68081, '\p{^Nv=00000000400000}', "");
Expect(1, 68081, '\P{Nv=00000000400000}', "");
Expect(0, 68081, '\P{^Nv=00000000400000}', "");
Error('\p{Is_Numeric_Value=/a/+0000000400000}');
Error('\P{Is_Numeric_Value=/a/+0000000400000}');
Expect(1, 68080, '\p{Is_Numeric_Value=+00000000400000}', "");
Expect(0, 68080, '\p{^Is_Numeric_Value=+00000000400000}', "");
Expect(0, 68080, '\P{Is_Numeric_Value=+00000000400000}', "");
Expect(1, 68080, '\P{^Is_Numeric_Value=+00000000400000}', "");
Expect(0, 68081, '\p{Is_Numeric_Value=+00000000400000}', "");
Expect(1, 68081, '\p{^Is_Numeric_Value=+00000000400000}', "");
Expect(1, 68081, '\P{Is_Numeric_Value=+00000000400000}', "");
Expect(0, 68081, '\P{^Is_Numeric_Value=+00000000400000}', "");
Error('\p{Is_Nv=:=_000000000400000}');
Error('\P{Is_Nv=:=_000000000400000}');
Expect(1, 68080, '\p{Is_Nv=0000040000_0}', "");
Expect(0, 68080, '\p{^Is_Nv=0000040000_0}', "");
Expect(0, 68080, '\P{Is_Nv=0000040000_0}', "");
Expect(1, 68080, '\P{^Is_Nv=0000040000_0}', "");
Expect(0, 68081, '\p{Is_Nv=0000040000_0}', "");
Expect(1, 68081, '\p{^Is_Nv=0000040000_0}', "");
Expect(1, 68081, '\P{Is_Nv=0000040000_0}', "");
Expect(0, 68081, '\P{^Is_Nv=0000040000_0}', "");
Error('\p{Numeric_Value=	+0000041:=}');
Error('\P{Numeric_Value=	+0000041:=}');
Expect(1, 12982, '\p{Numeric_Value=041}', "");
Expect(0, 12982, '\p{^Numeric_Value=041}', "");
Expect(0, 12982, '\P{Numeric_Value=041}', "");
Expect(1, 12982, '\P{^Numeric_Value=041}', "");
Expect(0, 12983, '\p{Numeric_Value=041}', "");
Expect(1, 12983, '\p{^Numeric_Value=041}', "");
Expect(1, 12983, '\P{Numeric_Value=041}', "");
Expect(0, 12983, '\P{^Numeric_Value=041}', "");
Error('\p{Nv=0041/a/}');
Error('\P{Nv=0041/a/}');
Expect(1, 12982, '\p{Nv=0000000041}', "");
Expect(0, 12982, '\p{^Nv=0000000041}', "");
Expect(0, 12982, '\P{Nv=0000000041}', "");
Expect(1, 12982, '\P{^Nv=0000000041}', "");
Expect(0, 12983, '\p{Nv=0000000041}', "");
Expect(1, 12983, '\p{^Nv=0000000041}', "");
Expect(1, 12983, '\P{Nv=0000000041}', "");
Expect(0, 12983, '\P{^Nv=0000000041}', "");
Error('\p{Is_Numeric_Value=-:=0000004_1}');
Error('\P{Is_Numeric_Value=-:=0000004_1}');
Expect(1, 12982, '\p{Is_Numeric_Value=+00000000041}', "");
Expect(0, 12982, '\p{^Is_Numeric_Value=+00000000041}', "");
Expect(0, 12982, '\P{Is_Numeric_Value=+00000000041}', "");
Expect(1, 12982, '\P{^Is_Numeric_Value=+00000000041}', "");
Expect(0, 12983, '\p{Is_Numeric_Value=+00000000041}', "");
Expect(1, 12983, '\p{^Is_Numeric_Value=+00000000041}', "");
Expect(1, 12983, '\P{Is_Numeric_Value=+00000000041}', "");
Expect(0, 12983, '\P{^Is_Numeric_Value=+00000000041}', "");
Error('\p{Is_Nv=:=0_0_0_0_0_0_041}');
Error('\P{Is_Nv=:=0_0_0_0_0_0_041}');
Expect(1, 12982, '\p{Is_Nv=+00000004_1}', "");
Expect(0, 12982, '\p{^Is_Nv=+00000004_1}', "");
Expect(0, 12982, '\P{Is_Nv=+00000004_1}', "");
Expect(1, 12982, '\P{^Is_Nv=+00000004_1}', "");
Expect(0, 12983, '\p{Is_Nv=+00000004_1}', "");
Expect(1, 12983, '\p{^Is_Nv=+00000004_1}', "");
Expect(1, 12983, '\P{Is_Nv=+00000004_1}', "");
Expect(0, 12983, '\P{^Is_Nv=+00000004_1}', "");
Error('\p{Numeric_Value:   -/a/00004_2}');
Error('\P{Numeric_Value:   -/a/00004_2}');
Expect(1, 12983, '\p{Numeric_Value=00000004_2}', "");
Expect(0, 12983, '\p{^Numeric_Value=00000004_2}', "");
Expect(0, 12983, '\P{Numeric_Value=00000004_2}', "");
Expect(1, 12983, '\P{^Numeric_Value=00000004_2}', "");
Expect(0, 12984, '\p{Numeric_Value=00000004_2}', "");
Expect(1, 12984, '\p{^Numeric_Value=00000004_2}', "");
Expect(1, 12984, '\P{Numeric_Value=00000004_2}', "");
Expect(0, 12984, '\P{^Numeric_Value=00000004_2}', "");
Error('\p{Nv= -+042/a/}');
Error('\P{Nv= -+042/a/}');
Expect(1, 12983, '\p{Nv=00_00_00_042}', "");
Expect(0, 12983, '\p{^Nv=00_00_00_042}', "");
Expect(0, 12983, '\P{Nv=00_00_00_042}', "");
Expect(1, 12983, '\P{^Nv=00_00_00_042}', "");
Expect(0, 12984, '\p{Nv=00_00_00_042}', "");
Expect(1, 12984, '\p{^Nv=00_00_00_042}', "");
Expect(1, 12984, '\P{Nv=00_00_00_042}', "");
Expect(0, 12984, '\P{^Nv=00_00_00_042}', "");
Error('\p{Is_Numeric_Value=-_+00004_2/a/}');
Error('\P{Is_Numeric_Value=-_+00004_2/a/}');
Expect(1, 12983, '\p{Is_Numeric_Value=+00000042}', "");
Expect(0, 12983, '\p{^Is_Numeric_Value=+00000042}', "");
Expect(0, 12983, '\P{Is_Numeric_Value=+00000042}', "");
Expect(1, 12983, '\P{^Is_Numeric_Value=+00000042}', "");
Expect(0, 12984, '\p{Is_Numeric_Value=+00000042}', "");
Expect(1, 12984, '\p{^Is_Numeric_Value=+00000042}', "");
Expect(1, 12984, '\P{Is_Numeric_Value=+00000042}', "");
Expect(0, 12984, '\P{^Is_Numeric_Value=+00000042}', "");
Error('\p{Is_Nv=0_0_0_42:=}');
Error('\P{Is_Nv=0_0_0_42:=}');
Expect(1, 12983, '\p{Is_Nv=+04_2}', "");
Expect(0, 12983, '\p{^Is_Nv=+04_2}', "");
Expect(0, 12983, '\P{Is_Nv=+04_2}', "");
Expect(1, 12983, '\P{^Is_Nv=+04_2}', "");
Expect(0, 12984, '\p{Is_Nv=+04_2}', "");
Expect(1, 12984, '\p{^Is_Nv=+04_2}', "");
Expect(1, 12984, '\P{Is_Nv=+04_2}', "");
Expect(0, 12984, '\P{^Is_Nv=+04_2}', "");
Error('\p{Numeric_Value=:=_00000043}');
Error('\P{Numeric_Value=:=_00000043}');
Expect(1, 12984, '\p{Numeric_Value=0_0_0_43}', "");
Expect(0, 12984, '\p{^Numeric_Value=0_0_0_43}', "");
Expect(0, 12984, '\P{Numeric_Value=0_0_0_43}', "");
Expect(1, 12984, '\P{^Numeric_Value=0_0_0_43}', "");
Expect(0, 12985, '\p{Numeric_Value=0_0_0_43}', "");
Expect(1, 12985, '\p{^Numeric_Value=0_0_0_43}', "");
Expect(1, 12985, '\P{Numeric_Value=0_0_0_43}', "");
Expect(0, 12985, '\P{^Numeric_Value=0_0_0_43}', "");
Error('\p{Nv=:=	_000_000_000_43}');
Error('\P{Nv=:=	_000_000_000_43}');
Expect(1, 12984, '\p{Nv=+00000043}', "");
Expect(0, 12984, '\p{^Nv=+00000043}', "");
Expect(0, 12984, '\P{Nv=+00000043}', "");
Expect(1, 12984, '\P{^Nv=+00000043}', "");
Expect(0, 12985, '\p{Nv=+00000043}', "");
Expect(1, 12985, '\p{^Nv=+00000043}', "");
Expect(1, 12985, '\P{Nv=+00000043}', "");
Expect(0, 12985, '\P{^Nv=+00000043}', "");
Error('\p{Is_Numeric_Value:		_000043:=}');
Error('\P{Is_Numeric_Value:		_000043:=}');
Expect(1, 12984, '\p{Is_Numeric_Value=000043}', "");
Expect(0, 12984, '\p{^Is_Numeric_Value=000043}', "");
Expect(0, 12984, '\P{Is_Numeric_Value=000043}', "");
Expect(1, 12984, '\P{^Is_Numeric_Value=000043}', "");
Expect(0, 12985, '\p{Is_Numeric_Value=000043}', "");
Expect(1, 12985, '\p{^Is_Numeric_Value=000043}', "");
Expect(1, 12985, '\P{Is_Numeric_Value=000043}', "");
Expect(0, 12985, '\P{^Is_Numeric_Value=000043}', "");
Error('\p{Is_Nv=	+00043:=}');
Error('\P{Is_Nv=	+00043:=}');
Expect(1, 12984, '\p{Is_Nv=0000043}', "");
Expect(0, 12984, '\p{^Is_Nv=0000043}', "");
Expect(0, 12984, '\P{Is_Nv=0000043}', "");
Expect(1, 12984, '\P{^Is_Nv=0000043}', "");
Expect(0, 12985, '\p{Is_Nv=0000043}', "");
Expect(1, 12985, '\p{^Is_Nv=0000043}', "");
Expect(1, 12985, '\P{Is_Nv=0000043}', "");
Expect(0, 12985, '\P{^Is_Nv=0000043}', "");
Error('\p{Numeric_Value: /a/0000000432000}');
Error('\P{Numeric_Value: /a/0000000432000}');
Expect(1, 74803, '\p{Numeric_Value=000_000_432_000}', "");
Expect(0, 74803, '\p{^Numeric_Value=000_000_432_000}', "");
Expect(0, 74803, '\P{Numeric_Value=000_000_432_000}', "");
Expect(1, 74803, '\P{^Numeric_Value=000_000_432_000}', "");
Expect(0, 74804, '\p{Numeric_Value=000_000_432_000}', "");
Expect(1, 74804, '\p{^Numeric_Value=000_000_432_000}', "");
Expect(1, 74804, '\P{Numeric_Value=000_000_432_000}', "");
Expect(0, 74804, '\P{^Numeric_Value=000_000_432_000}', "");
Error('\p{Nv=/a/-_+0432000}');
Error('\P{Nv=/a/-_+0432000}');
Expect(1, 74803, '\p{Nv=0_0_0_0_0_0_4_3_2000}', "");
Expect(0, 74803, '\p{^Nv=0_0_0_0_0_0_4_3_2000}', "");
Expect(0, 74803, '\P{Nv=0_0_0_0_0_0_4_3_2000}', "");
Expect(1, 74803, '\P{^Nv=0_0_0_0_0_0_4_3_2000}', "");
Expect(0, 74804, '\p{Nv=0_0_0_0_0_0_4_3_2000}', "");
Expect(1, 74804, '\p{^Nv=0_0_0_0_0_0_4_3_2000}', "");
Expect(1, 74804, '\P{Nv=0_0_0_0_0_0_4_3_2000}', "");
Expect(0, 74804, '\P{^Nv=0_0_0_0_0_0_4_3_2000}', "");
Error('\p{Is_Numeric_Value=-:=432000}');
Error('\P{Is_Numeric_Value=-:=432000}');
Expect(1, 74803, '\p{Is_Numeric_Value=+0_0_0_0_0_0_0_4_32000}', "");
Expect(0, 74803, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_0_4_32000}', "");
Expect(0, 74803, '\P{Is_Numeric_Value=+0_0_0_0_0_0_0_4_32000}', "");
Expect(1, 74803, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_0_4_32000}', "");
Expect(0, 74804, '\p{Is_Numeric_Value=+0_0_0_0_0_0_0_4_32000}', "");
Expect(1, 74804, '\p{^Is_Numeric_Value=+0_0_0_0_0_0_0_4_32000}', "");
Expect(1, 74804, '\P{Is_Numeric_Value=+0_0_0_0_0_0_0_4_32000}', "");
Expect(0, 74804, '\P{^Is_Numeric_Value=+0_0_0_0_0_0_0_4_32000}', "");
Error('\p{Is_Nv=:=  0_0_0_0_4_3_2_000}');
Error('\P{Is_Nv=:=  0_0_0_0_4_3_2_000}');
Expect(1, 74803, '\p{Is_Nv=+0_0_0_4_3_2_0_00}', "");
Expect(0, 74803, '\p{^Is_Nv=+0_0_0_4_3_2_0_00}', "");
Expect(0, 74803, '\P{Is_Nv=+0_0_0_4_3_2_0_00}', "");
Expect(1, 74803, '\P{^Is_Nv=+0_0_0_4_3_2_0_00}', "");
Expect(0, 74804, '\p{Is_Nv=+0_0_0_4_3_2_0_00}', "");
Expect(1, 74804, '\p{^Is_Nv=+0_0_0_4_3_2_0_00}', "");
Expect(1, 74804, '\P{Is_Nv=+0_0_0_4_3_2_0_00}', "");
Expect(0, 74804, '\P{^Is_Nv=+0_0_0_4_3_2_0_00}', "");
Error('\p{Numeric_Value=- +000044:=}');
Error('\P{Numeric_Value=- +000044:=}');
Expect(1, 12985, '\p{Numeric_Value=+0_0_0_044}', "");
Expect(0, 12985, '\p{^Numeric_Value=+0_0_0_044}', "");
Expect(0, 12985, '\P{Numeric_Value=+0_0_0_044}', "");
Expect(1, 12985, '\P{^Numeric_Value=+0_0_0_044}', "");
Expect(0, 12986, '\p{Numeric_Value=+0_0_0_044}', "");
Expect(1, 12986, '\p{^Numeric_Value=+0_0_0_044}', "");
Expect(1, 12986, '\P{Numeric_Value=+0_0_0_044}', "");
Expect(0, 12986, '\P{^Numeric_Value=+0_0_0_044}', "");
Error('\p{Nv=-:=+4_4}');
Error('\P{Nv=-:=+4_4}');
Expect(1, 12985, '\p{Nv: +0000044}', "");
Expect(0, 12985, '\p{^Nv: +0000044}', "");
Expect(0, 12985, '\P{Nv: +0000044}', "");
Expect(1, 12985, '\P{^Nv: +0000044}', "");
Expect(0, 12986, '\p{Nv: +0000044}', "");
Expect(1, 12986, '\p{^Nv: +0000044}', "");
Expect(1, 12986, '\P{Nv: +0000044}', "");
Expect(0, 12986, '\P{^Nv: +0000044}', "");
Error('\p{Is_Numeric_Value=:=-_000_004_4}');
Error('\P{Is_Numeric_Value=:=-_000_004_4}');
Expect(1, 12985, '\p{Is_Numeric_Value=0000000004_4}', "");
Expect(0, 12985, '\p{^Is_Numeric_Value=0000000004_4}', "");
Expect(0, 12985, '\P{Is_Numeric_Value=0000000004_4}', "");
Expect(1, 12985, '\P{^Is_Numeric_Value=0000000004_4}', "");
Expect(0, 12986, '\p{Is_Numeric_Value=0000000004_4}', "");
Expect(1, 12986, '\p{^Is_Numeric_Value=0000000004_4}', "");
Expect(1, 12986, '\P{Is_Numeric_Value=0000000004_4}', "");
Expect(0, 12986, '\P{^Is_Numeric_Value=0000000004_4}', "");
Error('\p{Is_Nv=:=-0_0_0_0_044}');
Error('\P{Is_Nv=:=-0_0_0_0_044}');
Expect(1, 12985, '\p{Is_Nv=00_04_4}', "");
Expect(0, 12985, '\p{^Is_Nv=00_04_4}', "");
Expect(0, 12985, '\P{Is_Nv=00_04_4}', "");
Expect(1, 12985, '\P{^Is_Nv=00_04_4}', "");
Expect(0, 12986, '\p{Is_Nv=00_04_4}', "");
Expect(1, 12986, '\p{^Is_Nv=00_04_4}', "");
Expect(1, 12986, '\P{Is_Nv=00_04_4}', "");
Expect(0, 12986, '\P{^Is_Nv=00_04_4}', "");
Error('\p{Numeric_Value=/a/	 0045}');
Error('\P{Numeric_Value=/a/	 0045}');
Expect(1, 12986, '\p{Numeric_Value=4_5}', "");
Expect(0, 12986, '\p{^Numeric_Value=4_5}', "");
Expect(0, 12986, '\P{Numeric_Value=4_5}', "");
Expect(1, 12986, '\P{^Numeric_Value=4_5}', "");
Expect(0, 12987, '\p{Numeric_Value=4_5}', "");
Expect(1, 12987, '\p{^Numeric_Value=4_5}', "");
Expect(1, 12987, '\P{Numeric_Value=4_5}', "");
Expect(0, 12987, '\P{^Numeric_Value=4_5}', "");
Error('\p{Nv: -_+0000045:=}');
Error('\P{Nv: -_+0000045:=}');
Expect(1, 12986, '\p{Nv=0_0_0_45}', "");
Expect(0, 12986, '\p{^Nv=0_0_0_45}', "");
Expect(0, 12986, '\P{Nv=0_0_0_45}', "");
Expect(1, 12986, '\P{^Nv=0_0_0_45}', "");
Expect(0, 12987, '\p{Nv=0_0_0_45}', "");
Expect(1, 12987, '\p{^Nv=0_0_0_45}', "");
Expect(1, 12987, '\P{Nv=0_0_0_45}', "");
Expect(0, 12987, '\P{^Nv=0_0_0_45}', "");
Error('\p{Is_Numeric_Value=-45:=}');
Error('\P{Is_Numeric_Value=-45:=}');
Expect(1, 12986, '\p{Is_Numeric_Value=0_0_45}', "");
Expect(0, 12986, '\p{^Is_Numeric_Value=0_0_45}', "");
Expect(0, 12986, '\P{Is_Numeric_Value=0_0_45}', "");
Expect(1, 12986, '\P{^Is_Numeric_Value=0_0_45}', "");
Expect(0, 12987, '\p{Is_Numeric_Value=0_0_45}', "");
Expect(1, 12987, '\p{^Is_Numeric_Value=0_0_45}', "");
Expect(1, 12987, '\P{Is_Numeric_Value=0_0_45}', "");
Expect(0, 12987, '\P{^Is_Numeric_Value=0_0_45}', "");
Error('\p{Is_Nv=	-000000045:=}');
Error('\P{Is_Nv=	-000000045:=}');
Expect(1, 12986, '\p{Is_Nv=+45}', "");
Expect(0, 12986, '\p{^Is_Nv=+45}', "");
Expect(0, 12986, '\P{Is_Nv=+45}', "");
Expect(1, 12986, '\P{^Is_Nv=+45}', "");
Expect(0, 12987, '\p{Is_Nv=+45}', "");
Expect(1, 12987, '\p{^Is_Nv=+45}', "");
Expect(1, 12987, '\P{Is_Nv=+45}', "");
Expect(0, 12987, '\P{^Is_Nv=+45}', "");
Error('\p{Numeric_Value=_-000000046:=}');
Error('\P{Numeric_Value=_-000000046:=}');
Expect(1, 12987, '\p{Numeric_Value=0_0_46}', "");
Expect(0, 12987, '\p{^Numeric_Value=0_0_46}', "");
Expect(0, 12987, '\P{Numeric_Value=0_0_46}', "");
Expect(1, 12987, '\P{^Numeric_Value=0_0_46}', "");
Expect(0, 12988, '\p{Numeric_Value=0_0_46}', "");
Expect(1, 12988, '\p{^Numeric_Value=0_0_46}', "");
Expect(1, 12988, '\P{Numeric_Value=0_0_46}', "");
Expect(0, 12988, '\P{^Numeric_Value=0_0_46}', "");
Error('\p{Nv=/a/ 0_0_0_046}');
Error('\P{Nv=/a/ 0_0_0_046}');
Expect(1, 12987, '\p{Nv=+0_0_46}', "");
Expect(0, 12987, '\p{^Nv=+0_0_46}', "");
Expect(0, 12987, '\P{Nv=+0_0_46}', "");
Expect(1, 12987, '\P{^Nv=+0_0_46}', "");
Expect(0, 12988, '\p{Nv=+0_0_46}', "");
Expect(1, 12988, '\p{^Nv=+0_0_46}', "");
Expect(1, 12988, '\P{Nv=+0_0_46}', "");
Expect(0, 12988, '\P{^Nv=+0_0_46}', "");
Error('\p{Is_Numeric_Value=_	0_0_0_0_0046:=}');
Error('\P{Is_Numeric_Value=_	0_0_0_0_0046:=}');
Expect(1, 12987, '\p{Is_Numeric_Value=000000046}', "");
Expect(0, 12987, '\p{^Is_Numeric_Value=000000046}', "");
Expect(0, 12987, '\P{Is_Numeric_Value=000000046}', "");
Expect(1, 12987, '\P{^Is_Numeric_Value=000000046}', "");
Expect(0, 12988, '\p{Is_Numeric_Value=000000046}', "");
Expect(1, 12988, '\p{^Is_Numeric_Value=000000046}', "");
Expect(1, 12988, '\P{Is_Numeric_Value=000000046}', "");
Expect(0, 12988, '\P{^Is_Numeric_Value=000000046}', "");
Error('\p{Is_Nv:-00_04_6/a/}');
Error('\P{Is_Nv:-00_04_6/a/}');
Expect(1, 12987, '\p{Is_Nv=0_0_0_046}', "");
Expect(0, 12987, '\p{^Is_Nv=0_0_0_046}', "");
Expect(0, 12987, '\P{Is_Nv=0_0_0_046}', "");
Expect(1, 12987, '\P{^Is_Nv=0_0_0_046}', "");
Expect(0, 12988, '\p{Is_Nv=0_0_0_046}', "");
Expect(1, 12988, '\p{^Is_Nv=0_0_0_046}', "");
Expect(1, 12988, '\P{Is_Nv=0_0_0_046}', "");
Expect(0, 12988, '\P{^Is_Nv=0_0_0_046}', "");
Error('\p{Numeric_Value=:=_ 00047}');
Error('\P{Numeric_Value=:=_ 00047}');
Expect(1, 12988, '\p{Numeric_Value:	+00000000047}', "");
Expect(0, 12988, '\p{^Numeric_Value:	+00000000047}', "");
Expect(0, 12988, '\P{Numeric_Value:	+00000000047}', "");
Expect(1, 12988, '\P{^Numeric_Value:	+00000000047}', "");
Expect(0, 12989, '\p{Numeric_Value:	+00000000047}', "");
Expect(1, 12989, '\p{^Numeric_Value:	+00000000047}', "");
Expect(1, 12989, '\P{Numeric_Value:	+00000000047}', "");
Expect(0, 12989, '\P{^Numeric_Value:	+00000000047}', "");
Error('\p{Nv=/a/ 	+004_7}');
Error('\P{Nv=/a/ 	+004_7}');
Expect(1, 12988, '\p{Nv=+047}', "");
Expect(0, 12988, '\p{^Nv=+047}', "");
Expect(0, 12988, '\P{Nv=+047}', "");
Expect(1, 12988, '\P{^Nv=+047}', "");
Expect(0, 12989, '\p{Nv=+047}', "");
Expect(1, 12989, '\p{^Nv=+047}', "");
Expect(1, 12989, '\P{Nv=+047}', "");
Expect(0, 12989, '\P{^Nv=+047}', "");
Error('\p{Is_Numeric_Value=/a/0000047}');
Error('\P{Is_Numeric_Value=/a/0000047}');
Expect(1, 12988, '\p{Is_Numeric_Value=+4_7}', "");
Expect(0, 12988, '\p{^Is_Numeric_Value=+4_7}', "");
Expect(0, 12988, '\P{Is_Numeric_Value=+4_7}', "");
Expect(1, 12988, '\P{^Is_Numeric_Value=+4_7}', "");
Expect(0, 12989, '\p{Is_Numeric_Value=+4_7}', "");
Expect(1, 12989, '\p{^Is_Numeric_Value=+4_7}', "");
Expect(1, 12989, '\P{Is_Numeric_Value=+4_7}', "");
Expect(0, 12989, '\P{^Is_Numeric_Value=+4_7}', "");
Error('\p{Is_Nv= :=0_0_47}');
Error('\P{Is_Nv= :=0_0_47}');
Expect(1, 12988, '\p{Is_Nv=00000000047}', "");
Expect(0, 12988, '\p{^Is_Nv=00000000047}', "");
Expect(0, 12988, '\P{Is_Nv=00000000047}', "");
Expect(1, 12988, '\P{^Is_Nv=00000000047}', "");
Expect(0, 12989, '\p{Is_Nv=00000000047}', "");
Expect(1, 12989, '\p{^Is_Nv=00000000047}', "");
Expect(1, 12989, '\P{Is_Nv=00000000047}', "");
Expect(0, 12989, '\P{^Is_Nv=00000000047}', "");
Error('\p{Numeric_Value=-_4_8/a/}');
Error('\P{Numeric_Value=-_4_8/a/}');
Expect(1, 12989, '\p{Numeric_Value=00_00_04_8}', "");
Expect(0, 12989, '\p{^Numeric_Value=00_00_04_8}', "");
Expect(0, 12989, '\P{Numeric_Value=00_00_04_8}', "");
Expect(1, 12989, '\P{^Numeric_Value=00_00_04_8}', "");
Expect(0, 12990, '\p{Numeric_Value=00_00_04_8}', "");
Expect(1, 12990, '\p{^Numeric_Value=00_00_04_8}', "");
Expect(1, 12990, '\P{Numeric_Value=00_00_04_8}', "");
Expect(0, 12990, '\P{^Numeric_Value=00_00_04_8}', "");
Error('\p{Nv: /a/+00_04_8}');
Error('\P{Nv: /a/+00_04_8}');
Expect(1, 12989, '\p{Nv=0000048}', "");
Expect(0, 12989, '\p{^Nv=0000048}', "");
Expect(0, 12989, '\P{Nv=0000048}', "");
Expect(1, 12989, '\P{^Nv=0000048}', "");
Expect(0, 12990, '\p{Nv=0000048}', "");
Expect(1, 12990, '\p{^Nv=0000048}', "");
Expect(1, 12990, '\P{Nv=0000048}', "");
Expect(0, 12990, '\P{^Nv=0000048}', "");
Error('\p{Is_Numeric_Value:	:=_004_8}');
Error('\P{Is_Numeric_Value:	:=_004_8}');
Expect(1, 12989, '\p{Is_Numeric_Value=000_000_004_8}', "");
Expect(0, 12989, '\p{^Is_Numeric_Value=000_000_004_8}', "");
Expect(0, 12989, '\P{Is_Numeric_Value=000_000_004_8}', "");
Expect(1, 12989, '\P{^Is_Numeric_Value=000_000_004_8}', "");
Expect(0, 12990, '\p{Is_Numeric_Value=000_000_004_8}', "");
Expect(1, 12990, '\p{^Is_Numeric_Value=000_000_004_8}', "");
Expect(1, 12990, '\P{Is_Numeric_Value=000_000_004_8}', "");
Expect(0, 12990, '\P{^Is_Numeric_Value=000_000_004_8}', "");
Error('\p{Is_Nv=_/a/0_0_0_0_0_0_048}');
Error('\P{Is_Nv=_/a/0_0_0_0_0_0_048}');
Expect(1, 12989, '\p{Is_Nv:	00048}', "");
Expect(0, 12989, '\p{^Is_Nv:	00048}', "");
Expect(0, 12989, '\P{Is_Nv:	00048}', "");
Expect(1, 12989, '\P{^Is_Nv:	00048}', "");
Expect(0, 12990, '\p{Is_Nv:	00048}', "");
Expect(1, 12990, '\p{^Is_Nv:	00048}', "");
Expect(1, 12990, '\P{Is_Nv:	00048}', "");
Expect(0, 12990, '\P{^Is_Nv:	00048}', "");
Error('\p{Numeric_Value=_	0000049/a/}');
Error('\P{Numeric_Value=_	0000049/a/}');
Expect(1, 12990, '\p{Numeric_Value=04_9}', "");
Expect(0, 12990, '\p{^Numeric_Value=04_9}', "");
Expect(0, 12990, '\P{Numeric_Value=04_9}', "");
Expect(1, 12990, '\P{^Numeric_Value=04_9}', "");
Expect(0, 12991, '\p{Numeric_Value=04_9}', "");
Expect(1, 12991, '\p{^Numeric_Value=04_9}', "");
Expect(1, 12991, '\P{Numeric_Value=04_9}', "");
Expect(0, 12991, '\P{^Numeric_Value=04_9}', "");
Error('\p{Nv=:=__+0_0_0_0_0_49}');
Error('\P{Nv=:=__+0_0_0_0_0_49}');
Expect(1, 12990, '\p{Nv=000000049}', "");
Expect(0, 12990, '\p{^Nv=000000049}', "");
Expect(0, 12990, '\P{Nv=000000049}', "");
Expect(1, 12990, '\P{^Nv=000000049}', "");
Expect(0, 12991, '\p{Nv=000000049}', "");
Expect(1, 12991, '\p{^Nv=000000049}', "");
Expect(1, 12991, '\P{Nv=000000049}', "");
Expect(0, 12991, '\P{^Nv=000000049}', "");
Error('\p{Is_Numeric_Value=-:=00_04_9}');
Error('\P{Is_Numeric_Value=-:=00_04_9}');
Expect(1, 12990, '\p{Is_Numeric_Value=+00_00_00_49}', "");
Expect(0, 12990, '\p{^Is_Numeric_Value=+00_00_00_49}', "");
Expect(0, 12990, '\P{Is_Numeric_Value=+00_00_00_49}', "");
Expect(1, 12990, '\P{^Is_Numeric_Value=+00_00_00_49}', "");
Expect(0, 12991, '\p{Is_Numeric_Value=+00_00_00_49}', "");
Expect(1, 12991, '\p{^Is_Numeric_Value=+00_00_00_49}', "");
Expect(1, 12991, '\P{Is_Numeric_Value=+00_00_00_49}', "");
Expect(0, 12991, '\P{^Is_Numeric_Value=+00_00_00_49}', "");
Error('\p{Is_Nv=/a/-0000000049}');
Error('\P{Is_Nv=/a/-0000000049}');
Expect(1, 12990, '\p{Is_Nv=49}', "");
Expect(0, 12990, '\p{^Is_Nv=49}', "");
Expect(0, 12990, '\P{Is_Nv=49}', "");
Expect(1, 12990, '\P{^Is_Nv=49}', "");
Expect(0, 12991, '\p{Is_Nv=49}', "");
Expect(1, 12991, '\p{^Is_Nv=49}', "");
Expect(1, 12991, '\P{Is_Nv=49}', "");
Expect(0, 12991, '\P{^Is_Nv=49}', "");
Error('\p{Numeric_Value=	_+0005/a/}');
Error('\P{Numeric_Value=	_+0005/a/}');
Expect(1, 131361, '\p{Numeric_Value=00000005}', "");
Expect(0, 131361, '\p{^Numeric_Value=00000005}', "");
Expect(0, 131361, '\P{Numeric_Value=00000005}', "");
Expect(1, 131361, '\P{^Numeric_Value=00000005}', "");
Expect(0, 131362, '\p{Numeric_Value=00000005}', "");
Expect(1, 131362, '\p{^Numeric_Value=00000005}', "");
Expect(1, 131362, '\P{Numeric_Value=00000005}', "");
Expect(0, 131362, '\P{^Numeric_Value=00000005}', "");
Error('\p{Nv=- +000_5/a/}');
Error('\P{Nv=- +000_5/a/}');
Expect(1, 131361, '\p{Nv=000005}', "");
Expect(0, 131361, '\p{^Nv=000005}', "");
Expect(0, 131361, '\P{Nv=000005}', "");
Expect(1, 131361, '\P{^Nv=000005}', "");
Expect(0, 131362, '\p{Nv=000005}', "");
Expect(1, 131362, '\p{^Nv=000005}', "");
Expect(1, 131362, '\P{Nv=000005}', "");
Expect(0, 131362, '\P{^Nv=000005}', "");
Error('\p{Is_Numeric_Value=/a/-_00_00_00_005}');
Error('\P{Is_Numeric_Value=/a/-_00_00_00_005}');
Expect(1, 131361, '\p{Is_Numeric_Value=0000000005}', "");
Expect(0, 131361, '\p{^Is_Numeric_Value=0000000005}', "");
Expect(0, 131361, '\P{Is_Numeric_Value=0000000005}', "");
Expect(1, 131361, '\P{^Is_Numeric_Value=0000000005}', "");
Expect(0, 131362, '\p{Is_Numeric_Value=0000000005}', "");
Expect(1, 131362, '\p{^Is_Numeric_Value=0000000005}', "");
Expect(1, 131362, '\P{Is_Numeric_Value=0000000005}', "");
Expect(0, 131362, '\P{^Is_Numeric_Value=0000000005}', "");
Error('\p{Is_Nv=_	+005:=}');
Error('\P{Is_Nv=_	+005:=}');
Expect(1, 131361, '\p{Is_Nv=0_0_0_0_0_0_005}', "");
Expect(0, 131361, '\p{^Is_Nv=0_0_0_0_0_0_005}', "");
Expect(0, 131361, '\P{Is_Nv=0_0_0_0_0_0_005}', "");
Expect(1, 131361, '\P{^Is_Nv=0_0_0_0_0_0_005}', "");
Expect(0, 131362, '\p{Is_Nv=0_0_0_0_0_0_005}', "");
Expect(1, 131362, '\p{^Is_Nv=0_0_0_0_0_0_005}', "");
Expect(1, 131362, '\P{Is_Nv=0_0_0_0_0_0_005}', "");
Expect(0, 131362, '\P{^Is_Nv=0_0_0_0_0_0_005}', "");
Error('\p{Numeric_Value=:=+0005/012}');
Error('\P{Numeric_Value=:=+0005/012}');
Expect(1, 68090, '\p{Numeric_Value=000005/12}', "");
Expect(0, 68090, '\p{^Numeric_Value=000005/12}', "");
Expect(0, 68090, '\P{Numeric_Value=000005/12}', "");
Expect(1, 68090, '\P{^Numeric_Value=000005/12}', "");
Expect(0, 68091, '\p{Numeric_Value=000005/12}', "");
Expect(1, 68091, '\p{^Numeric_Value=000005/12}', "");
Expect(1, 68091, '\P{Numeric_Value=000005/12}', "");
Expect(0, 68091, '\P{^Numeric_Value=000005/12}', "");
Error('\p{Numeric_Value=0.42}');
Error('\P{Numeric_Value=0.42}');
Expect(1, 68090, '\p{Numeric_Value=0.417}', "");
Expect(0, 68090, '\p{^Numeric_Value=0.417}', "");
Expect(0, 68090, '\P{Numeric_Value=0.417}', "");
Expect(1, 68090, '\P{^Numeric_Value=0.417}', "");
Expect(0, 68091, '\p{Numeric_Value=0.417}', "");
Expect(1, 68091, '\p{^Numeric_Value=0.417}', "");
Expect(1, 68091, '\P{Numeric_Value=0.417}', "");
Expect(0, 68091, '\P{^Numeric_Value=0.417}', "");
Error('\p{Nv: 	+005/12:=}');
Error('\P{Nv: 	+005/12:=}');
Expect(1, 68090, '\p{Nv=5/12}', "");
Expect(0, 68090, '\p{^Nv=5/12}', "");
Expect(0, 68090, '\P{Nv=5/12}', "");
Expect(1, 68090, '\P{^Nv=5/12}', "");
Expect(0, 68091, '\p{Nv=5/12}', "");
Expect(1, 68091, '\p{^Nv=5/12}', "");
Expect(1, 68091, '\P{Nv=5/12}', "");
Expect(0, 68091, '\P{^Nv=5/12}', "");
Error('\p{Nv=0.42}');
Error('\P{Nv=0.42}');
Expect(1, 68090, '\p{Nv=0.417}', "");
Expect(0, 68090, '\p{^Nv=0.417}', "");
Expect(0, 68090, '\P{Nv=0.417}', "");
Expect(1, 68090, '\P{^Nv=0.417}', "");
Expect(0, 68091, '\p{Nv=0.417}', "");
Expect(1, 68091, '\p{^Nv=0.417}', "");
Expect(1, 68091, '\P{Nv=0.417}', "");
Expect(0, 68091, '\P{^Nv=0.417}', "");
Error('\p{Is_Numeric_Value=/a/-5/00000012}');
Error('\P{Is_Numeric_Value=/a/-5/00000012}');
Expect(1, 68090, '\p{Is_Numeric_Value:0000005/000000012}', "");
Expect(0, 68090, '\p{^Is_Numeric_Value:0000005/000000012}', "");
Expect(0, 68090, '\P{Is_Numeric_Value:0000005/000000012}', "");
Expect(1, 68090, '\P{^Is_Numeric_Value:0000005/000000012}', "");
Expect(0, 68091, '\p{Is_Numeric_Value:0000005/000000012}', "");
Expect(1, 68091, '\p{^Is_Numeric_Value:0000005/000000012}', "");
Expect(1, 68091, '\P{Is_Numeric_Value:0000005/000000012}', "");
Expect(0, 68091, '\P{^Is_Numeric_Value:0000005/000000012}', "");
Error('\p{Is_Numeric_Value: 0.42}');
Error('\P{Is_Numeric_Value: 0.42}');
Expect(1, 68090, '\p{Is_Numeric_Value=0.417}', "");
Expect(0, 68090, '\p{^Is_Numeric_Value=0.417}', "");
Expect(0, 68090, '\P{Is_Numeric_Value=0.417}', "");
Expect(1, 68090, '\P{^Is_Numeric_Value=0.417}', "");
Expect(0, 68091, '\p{Is_Numeric_Value=0.417}', "");
Expect(1, 68091, '\p{^Is_Numeric_Value=0.417}', "");
Expect(1, 68091, '\P{Is_Numeric_Value=0.417}', "");
Expect(0, 68091, '\P{^Is_Numeric_Value=0.417}', "");
Error('\p{Is_Nv=:=  0000005/012}');
Error('\P{Is_Nv=:=  0000005/012}');
Expect(1, 68090, '\p{Is_Nv=05/0000012}', "");
Expect(0, 68090, '\p{^Is_Nv=05/0000012}', "");
Expect(0, 68090, '\P{Is_Nv=05/0000012}', "");
Expect(1, 68090, '\P{^Is_Nv=05/0000012}', "");
Expect(0, 68091, '\p{Is_Nv=05/0000012}', "");
Expect(1, 68091, '\p{^Is_Nv=05/0000012}', "");
Expect(1, 68091, '\P{Is_Nv=05/0000012}', "");
Expect(0, 68091, '\P{^Is_Nv=05/0000012}', "");
Error('\p{Is_Nv=0.42}');
Error('\P{Is_Nv=0.42}');
Expect(1, 68090, '\p{Is_Nv=0.417}', "");
Expect(0, 68090, '\p{^Is_Nv=0.417}', "");
Expect(0, 68090, '\P{Is_Nv=0.417}', "");
Expect(1, 68090, '\P{^Is_Nv=0.417}', "");
Expect(0, 68091, '\p{Is_Nv=0.417}', "");
Expect(1, 68091, '\p{^Is_Nv=0.417}', "");
Expect(1, 68091, '\P{Is_Nv=0.417}', "");
Expect(0, 68091, '\P{^Is_Nv=0.417}', "");
Error('\p{Numeric_Value=_-5/002:=}');
Error('\P{Numeric_Value=_-5/002:=}');
Expect(1, 3884, '\p{Numeric_Value=+0000000005/002}', "");
Expect(0, 3884, '\p{^Numeric_Value=+0000000005/002}', "");
Expect(0, 3884, '\P{Numeric_Value=+0000000005/002}', "");
Expect(1, 3884, '\P{^Numeric_Value=+0000000005/002}', "");
Expect(0, 3885, '\p{Numeric_Value=+0000000005/002}', "");
Expect(1, 3885, '\p{^Numeric_Value=+0000000005/002}', "");
Expect(1, 3885, '\P{Numeric_Value=+0000000005/002}', "");
Expect(0, 3885, '\P{^Numeric_Value=+0000000005/002}', "");
Expect(1, 3884, '\p{Numeric_Value=2.500}', "");
Expect(0, 3884, '\p{^Numeric_Value=2.500}', "");
Expect(0, 3884, '\P{Numeric_Value=2.500}', "");
Expect(1, 3884, '\P{^Numeric_Value=2.500}', "");
Expect(0, 3885, '\p{Numeric_Value=2.500}', "");
Expect(1, 3885, '\p{^Numeric_Value=2.500}', "");
Expect(1, 3885, '\P{Numeric_Value=2.500}', "");
Expect(0, 3885, '\P{^Numeric_Value=2.500}', "");
Error('\p{Nv=_:=+0000005/002}');
Error('\P{Nv=_:=+0000005/002}');
Expect(1, 3884, '\p{Nv=0000005/00000002}', "");
Expect(0, 3884, '\p{^Nv=0000005/00000002}', "");
Expect(0, 3884, '\P{Nv=0000005/00000002}', "");
Expect(1, 3884, '\P{^Nv=0000005/00000002}', "");
Expect(0, 3885, '\p{Nv=0000005/00000002}', "");
Expect(1, 3885, '\p{^Nv=0000005/00000002}', "");
Expect(1, 3885, '\P{Nv=0000005/00000002}', "");
Expect(0, 3885, '\P{^Nv=0000005/00000002}', "");
Expect(1, 3884, '\p{Nv=2.500}', "");
Expect(0, 3884, '\p{^Nv=2.500}', "");
Expect(0, 3884, '\P{Nv=2.500}', "");
Expect(1, 3884, '\P{^Nv=2.500}', "");
Expect(0, 3885, '\p{Nv=2.500}', "");
Expect(1, 3885, '\p{^Nv=2.500}', "");
Expect(1, 3885, '\P{Nv=2.500}', "");
Expect(0, 3885, '\P{^Nv=2.500}', "");
Error('\p{Is_Numeric_Value=	000000005/0002/a/}');
Error('\P{Is_Numeric_Value=	000000005/0002/a/}');
Expect(1, 3884, '\p{Is_Numeric_Value=+5/0000002}', "");
Expect(0, 3884, '\p{^Is_Numeric_Value=+5/0000002}', "");
Expect(0, 3884, '\P{Is_Numeric_Value=+5/0000002}', "");
Expect(1, 3884, '\P{^Is_Numeric_Value=+5/0000002}', "");
Expect(0, 3885, '\p{Is_Numeric_Value=+5/0000002}', "");
Expect(1, 3885, '\p{^Is_Numeric_Value=+5/0000002}', "");
Expect(1, 3885, '\P{Is_Numeric_Value=+5/0000002}', "");
Expect(0, 3885, '\P{^Is_Numeric_Value=+5/0000002}', "");
Expect(1, 3884, '\p{Is_Numeric_Value:	2.500}', "");
Expect(0, 3884, '\p{^Is_Numeric_Value:	2.500}', "");
Expect(0, 3884, '\P{Is_Numeric_Value:	2.500}', "");
Expect(1, 3884, '\P{^Is_Numeric_Value:	2.500}', "");
Expect(0, 3885, '\p{Is_Numeric_Value:	2.500}', "");
Expect(1, 3885, '\p{^Is_Numeric_Value:	2.500}', "");
Expect(1, 3885, '\P{Is_Numeric_Value:	2.500}', "");
Expect(0, 3885, '\P{^Is_Numeric_Value:	2.500}', "");
Error('\p{Is_Nv=  000005/000000002/a/}');
Error('\P{Is_Nv=  000005/000000002/a/}');
Expect(1, 3884, '\p{Is_Nv=000000005/0002}', "");
Expect(0, 3884, '\p{^Is_Nv=000000005/0002}', "");
Expect(0, 3884, '\P{Is_Nv=000000005/0002}', "");
Expect(1, 3884, '\P{^Is_Nv=000000005/0002}', "");
Expect(0, 3885, '\p{Is_Nv=000000005/0002}', "");
Expect(1, 3885, '\p{^Is_Nv=000000005/0002}', "");
Expect(1, 3885, '\P{Is_Nv=000000005/0002}', "");
Expect(0, 3885, '\P{^Is_Nv=000000005/0002}', "");
Expect(1, 3884, '\p{Is_Nv=2.500}', "");
Expect(0, 3884, '\p{^Is_Nv=2.500}', "");
Expect(0, 3884, '\P{Is_Nv=2.500}', "");
Expect(1, 3884, '\P{^Is_Nv=2.500}', "");
Expect(0, 3885, '\p{Is_Nv=2.500}', "");
Expect(1, 3885, '\p{^Is_Nv=2.500}', "");
Expect(1, 3885, '\P{Is_Nv=2.500}', "");
Expect(0, 3885, '\P{^Is_Nv=2.500}', "");
Error('\p{Numeric_Value:	/a/ -05/6}');
Error('\P{Numeric_Value:	/a/ -05/6}');
Expect(1, 74844, '\p{Numeric_Value=000005/0006}', "");
Expect(0, 74844, '\p{^Numeric_Value=000005/0006}', "");
Expect(0, 74844, '\P{Numeric_Value=000005/0006}', "");
Expect(1, 74844, '\P{^Numeric_Value=000005/0006}', "");
Expect(0, 74845, '\p{Numeric_Value=000005/0006}', "");
Expect(1, 74845, '\p{^Numeric_Value=000005/0006}', "");
Expect(1, 74845, '\P{Numeric_Value=000005/0006}', "");
Expect(0, 74845, '\P{^Numeric_Value=000005/0006}', "");
Error('\p{Numeric_Value=0.83}');
Error('\P{Numeric_Value=0.83}');
Expect(1, 74844, '\p{Numeric_Value=0.833}', "");
Expect(0, 74844, '\p{^Numeric_Value=0.833}', "");
Expect(0, 74844, '\P{Numeric_Value=0.833}', "");
Expect(1, 74844, '\P{^Numeric_Value=0.833}', "");
Expect(0, 74845, '\p{Numeric_Value=0.833}', "");
Expect(1, 74845, '\p{^Numeric_Value=0.833}', "");
Expect(1, 74845, '\P{Numeric_Value=0.833}', "");
Expect(0, 74845, '\P{^Numeric_Value=0.833}', "");
Error('\p{Nv=/a/ 000005/006}');
Error('\P{Nv=/a/ 000005/006}');
Expect(1, 74844, '\p{Nv=+000005/0000000006}', "");
Expect(0, 74844, '\p{^Nv=+000005/0000000006}', "");
Expect(0, 74844, '\P{Nv=+000005/0000000006}', "");
Expect(1, 74844, '\P{^Nv=+000005/0000000006}', "");
Expect(0, 74845, '\p{Nv=+000005/0000000006}', "");
Expect(1, 74845, '\p{^Nv=+000005/0000000006}', "");
Expect(1, 74845, '\P{Nv=+000005/0000000006}', "");
Expect(0, 74845, '\P{^Nv=+000005/0000000006}', "");
Error('\p{Nv=0.83}');
Error('\P{Nv=0.83}');
Expect(1, 74844, '\p{Nv=0.833}', "");
Expect(0, 74844, '\p{^Nv=0.833}', "");
Expect(0, 74844, '\P{Nv=0.833}', "");
Expect(1, 74844, '\P{^Nv=0.833}', "");
Expect(0, 74845, '\p{Nv=0.833}', "");
Expect(1, 74845, '\p{^Nv=0.833}', "");
Expect(1, 74845, '\P{Nv=0.833}', "");
Expect(0, 74845, '\P{^Nv=0.833}', "");
Error('\p{Is_Numeric_Value=-000000005/0000006:=}');
Error('\P{Is_Numeric_Value=-000000005/0000006:=}');
Expect(1, 74844, '\p{Is_Numeric_Value:00000005/6}', "");
Expect(0, 74844, '\p{^Is_Numeric_Value:00000005/6}', "");
Expect(0, 74844, '\P{Is_Numeric_Value:00000005/6}', "");
Expect(1, 74844, '\P{^Is_Numeric_Value:00000005/6}', "");
Expect(0, 74845, '\p{Is_Numeric_Value:00000005/6}', "");
Expect(1, 74845, '\p{^Is_Numeric_Value:00000005/6}', "");
Expect(1, 74845, '\P{Is_Numeric_Value:00000005/6}', "");
Expect(0, 74845, '\P{^Is_Numeric_Value:00000005/6}', "");
Error('\p{Is_Numeric_Value=0.83}');
Error('\P{Is_Numeric_Value=0.83}');
Expect(1, 74844, '\p{Is_Numeric_Value:	0.833}', "");
Expect(0, 74844, '\p{^Is_Numeric_Value:	0.833}', "");
Expect(0, 74844, '\P{Is_Numeric_Value:	0.833}', "");
Expect(1, 74844, '\P{^Is_Numeric_Value:	0.833}', "");
Expect(0, 74845, '\p{Is_Numeric_Value:	0.833}', "");
Expect(1, 74845, '\p{^Is_Numeric_Value:	0.833}', "");
Expect(1, 74845, '\P{Is_Numeric_Value:	0.833}', "");
Expect(0, 74845, '\P{^Is_Numeric_Value:	0.833}', "");
Error('\p{Is_Nv=/a/_+05/006}');
Error('\P{Is_Nv=/a/_+05/006}');
Expect(1, 74844, '\p{Is_Nv=000000005/6}', "");
Expect(0, 74844, '\p{^Is_Nv=000000005/6}', "");
Expect(0, 74844, '\P{Is_Nv=000000005/6}', "");
Expect(1, 74844, '\P{^Is_Nv=000000005/6}', "");
Expect(0, 74845, '\p{Is_Nv=000000005/6}', "");
Expect(1, 74845, '\p{^Is_Nv=000000005/6}', "");
Expect(1, 74845, '\P{Is_Nv=000000005/6}', "");
Expect(0, 74845, '\P{^Is_Nv=000000005/6}', "");
Error('\p{Is_Nv=0.83}');
Error('\P{Is_Nv=0.83}');
Expect(1, 74844, '\p{Is_Nv=0.833}', "");
Expect(0, 74844, '\p{^Is_Nv=0.833}', "");
Expect(0, 74844, '\P{Is_Nv=0.833}', "");
Expect(1, 74844, '\P{^Is_Nv=0.833}', "");
Expect(0, 74845, '\p{Is_Nv=0.833}', "");
Expect(1, 74845, '\p{^Is_Nv=0.833}', "");
Expect(1, 74845, '\P{Is_Nv=0.833}', "");
Expect(0, 74845, '\P{^Is_Nv=0.833}', "");
Error('\p{Numeric_Value=_:=0000000005/8}');
Error('\P{Numeric_Value=_:=0000000005/8}');
Expect(1, 8541, '\p{Numeric_Value=000000005/8}', "");
Expect(0, 8541, '\p{^Numeric_Value=000000005/8}', "");
Expect(0, 8541, '\P{Numeric_Value=000000005/8}', "");
Expect(1, 8541, '\P{^Numeric_Value=000000005/8}', "");
Expect(0, 8542, '\p{Numeric_Value=000000005/8}', "");
Expect(1, 8542, '\p{^Numeric_Value=000000005/8}', "");
Expect(1, 8542, '\P{Numeric_Value=000000005/8}', "");
Expect(0, 8542, '\P{^Numeric_Value=000000005/8}', "");
Error('\p{Numeric_Value=0.62}');
Error('\P{Numeric_Value=0.62}');
Expect(1, 8541, '\p{Numeric_Value=0.625}', "");
Expect(0, 8541, '\p{^Numeric_Value=0.625}', "");
Expect(0, 8541, '\P{Numeric_Value=0.625}', "");
Expect(1, 8541, '\P{^Numeric_Value=0.625}', "");
Expect(0, 8542, '\p{Numeric_Value=0.625}', "");
Expect(1, 8542, '\p{^Numeric_Value=0.625}', "");
Expect(1, 8542, '\P{Numeric_Value=0.625}', "");
Expect(0, 8542, '\P{^Numeric_Value=0.625}', "");
Error('\p{Nv:	-_+005/00000008/a/}');
Error('\P{Nv:	-_+005/00000008/a/}');
Expect(1, 8541, '\p{Nv=+5/00000008}', "");
Expect(0, 8541, '\p{^Nv=+5/00000008}', "");
Expect(0, 8541, '\P{Nv=+5/00000008}', "");
Expect(1, 8541, '\P{^Nv=+5/00000008}', "");
Expect(0, 8542, '\p{Nv=+5/00000008}', "");
Expect(1, 8542, '\p{^Nv=+5/00000008}', "");
Expect(1, 8542, '\P{Nv=+5/00000008}', "");
Expect(0, 8542, '\P{^Nv=+5/00000008}', "");
Error('\p{Nv=0.62}');
Error('\P{Nv=0.62}');
Expect(1, 8541, '\p{Nv=0.625}', "");
Expect(0, 8541, '\p{^Nv=0.625}', "");
Expect(0, 8541, '\P{Nv=0.625}', "");
Expect(1, 8541, '\P{^Nv=0.625}', "");
Expect(0, 8542, '\p{Nv=0.625}', "");
Expect(1, 8542, '\p{^Nv=0.625}', "");
Expect(1, 8542, '\P{Nv=0.625}', "");
Expect(0, 8542, '\P{^Nv=0.625}', "");
Error('\p{Is_Numeric_Value= _+05/00008/a/}');
Error('\P{Is_Numeric_Value= _+05/00008/a/}');
Expect(1, 8541, '\p{Is_Numeric_Value=0000005/08}', "");
Expect(0, 8541, '\p{^Is_Numeric_Value=0000005/08}', "");
Expect(0, 8541, '\P{Is_Numeric_Value=0000005/08}', "");
Expect(1, 8541, '\P{^Is_Numeric_Value=0000005/08}', "");
Expect(0, 8542, '\p{Is_Numeric_Value=0000005/08}', "");
Expect(1, 8542, '\p{^Is_Numeric_Value=0000005/08}', "");
Expect(1, 8542, '\P{Is_Numeric_Value=0000005/08}', "");
Expect(0, 8542, '\P{^Is_Numeric_Value=0000005/08}', "");
Error('\p{Is_Numeric_Value=0.62}');
Error('\P{Is_Numeric_Value=0.62}');
Expect(1, 8541, '\p{Is_Numeric_Value=0.625}', "");
Expect(0, 8541, '\p{^Is_Numeric_Value=0.625}', "");
Expect(0, 8541, '\P{Is_Numeric_Value=0.625}', "");
Expect(1, 8541, '\P{^Is_Numeric_Value=0.625}', "");
Expect(0, 8542, '\p{Is_Numeric_Value=0.625}', "");
Expect(1, 8542, '\p{^Is_Numeric_Value=0.625}', "");
Expect(1, 8542, '\P{Is_Numeric_Value=0.625}', "");
Expect(0, 8542, '\P{^Is_Numeric_Value=0.625}', "");
Error('\p{Is_Nv=_:=+005/00008}');
Error('\P{Is_Nv=_:=+005/00008}');
Expect(1, 8541, '\p{Is_Nv=00000005/008}', "");
Expect(0, 8541, '\p{^Is_Nv=00000005/008}', "");
Expect(0, 8541, '\P{Is_Nv=00000005/008}', "");
Expect(1, 8541, '\P{^Is_Nv=00000005/008}', "");
Expect(0, 8542, '\p{Is_Nv=00000005/008}', "");
Expect(1, 8542, '\p{^Is_Nv=00000005/008}', "");
Expect(1, 8542, '\P{Is_Nv=00000005/008}', "");
Expect(0, 8542, '\P{^Is_Nv=00000005/008}', "");
Error('\p{Is_Nv=0.62}');
Error('\P{Is_Nv=0.62}');
Expect(1, 8541, '\p{Is_Nv=0.625}', "");
Expect(0, 8541, '\p{^Is_Nv=0.625}', "");
Expect(0, 8541, '\P{Is_Nv=0.625}', "");
Expect(1, 8541, '\P{^Is_Nv=0.625}', "");
Expect(0, 8542, '\p{Is_Nv=0.625}', "");
Expect(1, 8542, '\p{^Is_Nv=0.625}', "");
Expect(1, 8542, '\P{Is_Nv=0.625}', "");
Expect(0, 8542, '\P{^Is_Nv=0.625}', "");
Error('\p{Numeric_Value=:=0_0_50}');
Error('\P{Numeric_Value=:=0_0_50}');
Expect(1, 119661, '\p{Numeric_Value=00_00_00_00_05_0}', "");
Expect(0, 119661, '\p{^Numeric_Value=00_00_00_00_05_0}', "");
Expect(0, 119661, '\P{Numeric_Value=00_00_00_00_05_0}', "");
Expect(1, 119661, '\P{^Numeric_Value=00_00_00_00_05_0}', "");
Expect(0, 119662, '\p{Numeric_Value=00_00_00_00_05_0}', "");
Expect(1, 119662, '\p{^Numeric_Value=00_00_00_00_05_0}', "");
Expect(1, 119662, '\P{Numeric_Value=00_00_00_00_05_0}', "");
Expect(0, 119662, '\P{^Numeric_Value=00_00_00_00_05_0}', "");
Error('\p{Nv:   /a/__00000050}');
Error('\P{Nv:   /a/__00000050}');
Expect(1, 119661, '\p{Nv=+0_0_0_0_0_0_0_0_0_50}', "");
Expect(0, 119661, '\p{^Nv=+0_0_0_0_0_0_0_0_0_50}', "");
Expect(0, 119661, '\P{Nv=+0_0_0_0_0_0_0_0_0_50}', "");
Expect(1, 119661, '\P{^Nv=+0_0_0_0_0_0_0_0_0_50}', "");
Expect(0, 119662, '\p{Nv=+0_0_0_0_0_0_0_0_0_50}', "");
Expect(1, 119662, '\p{^Nv=+0_0_0_0_0_0_0_0_0_50}', "");
Expect(1, 119662, '\P{Nv=+0_0_0_0_0_0_0_0_0_50}', "");
Expect(0, 119662, '\P{^Nv=+0_0_0_0_0_0_0_0_0_50}', "");
Error('\p{Is_Numeric_Value=__+0050:=}');
Error('\P{Is_Numeric_Value=__+0050:=}');
Expect(1, 119661, '\p{Is_Numeric_Value=0000_0000_50}', "");
Expect(0, 119661, '\p{^Is_Numeric_Value=0000_0000_50}', "");
Expect(0, 119661, '\P{Is_Numeric_Value=0000_0000_50}', "");
Expect(1, 119661, '\P{^Is_Numeric_Value=0000_0000_50}', "");
Expect(0, 119662, '\p{Is_Numeric_Value=0000_0000_50}', "");
Expect(1, 119662, '\p{^Is_Numeric_Value=0000_0000_50}', "");
Expect(1, 119662, '\P{Is_Numeric_Value=0000_0000_50}', "");
Expect(0, 119662, '\P{^Is_Numeric_Value=0000_0000_50}', "");
Error('\p{Is_Nv=_/a/0_0_0_0_0050}');
Error('\P{Is_Nv=_/a/0_0_0_0_0050}');
Expect(1, 119661, '\p{Is_Nv=5_0}', "");
Expect(0, 119661, '\p{^Is_Nv=5_0}', "");
Expect(0, 119661, '\P{Is_Nv=5_0}', "");
Expect(1, 119661, '\P{^Is_Nv=5_0}', "");
Expect(0, 119662, '\p{Is_Nv=5_0}', "");
Expect(1, 119662, '\p{^Is_Nv=5_0}', "");
Expect(1, 119662, '\P{Is_Nv=5_0}', "");
Expect(0, 119662, '\P{^Is_Nv=5_0}', "");
Error('\p{Numeric_Value=_000000500:=}');
Error('\P{Numeric_Value=_000000500:=}');
Expect(1, 69238, '\p{Numeric_Value=000_000_050_0}', "");
Expect(0, 69238, '\p{^Numeric_Value=000_000_050_0}', "");
Expect(0, 69238, '\P{Numeric_Value=000_000_050_0}', "");
Expect(1, 69238, '\P{^Numeric_Value=000_000_050_0}', "");
Expect(0, 69239, '\p{Numeric_Value=000_000_050_0}', "");
Expect(1, 69239, '\p{^Numeric_Value=000_000_050_0}', "");
Expect(1, 69239, '\P{Numeric_Value=000_000_050_0}', "");
Expect(0, 69239, '\P{^Numeric_Value=000_000_050_0}', "");
Error('\p{Nv=	_00000500:=}');
Error('\P{Nv=	_00000500:=}');
Expect(1, 69238, '\p{Nv=00050_0}', "");
Expect(0, 69238, '\p{^Nv=00050_0}', "");
Expect(0, 69238, '\P{Nv=00050_0}', "");
Expect(1, 69238, '\P{^Nv=00050_0}', "");
Expect(0, 69239, '\p{Nv=00050_0}', "");
Expect(1, 69239, '\p{^Nv=00050_0}', "");
Expect(1, 69239, '\P{Nv=00050_0}', "");
Expect(0, 69239, '\P{^Nv=00050_0}', "");
Error('\p{Is_Numeric_Value=	:=+0_0_0_5_00}');
Error('\P{Is_Numeric_Value=	:=+0_0_0_5_00}');
Expect(1, 69238, '\p{Is_Numeric_Value=000_000_000_500}', "");
Expect(0, 69238, '\p{^Is_Numeric_Value=000_000_000_500}', "");
Expect(0, 69238, '\P{Is_Numeric_Value=000_000_000_500}', "");
Expect(1, 69238, '\P{^Is_Numeric_Value=000_000_000_500}', "");
Expect(0, 69239, '\p{Is_Numeric_Value=000_000_000_500}', "");
Expect(1, 69239, '\p{^Is_Numeric_Value=000_000_000_500}', "");
Expect(1, 69239, '\P{Is_Numeric_Value=000_000_000_500}', "");
Expect(0, 69239, '\P{^Is_Numeric_Value=000_000_000_500}', "");
Error('\p{Is_Nv= _000000500/a/}');
Error('\P{Is_Nv= _000000500/a/}');
Expect(1, 69238, '\p{Is_Nv=00000500}', "");
Expect(0, 69238, '\p{^Is_Nv=00000500}', "");
Expect(0, 69238, '\P{Is_Nv=00000500}', "");
Expect(1, 69238, '\P{^Is_Nv=00000500}', "");
Expect(0, 69239, '\p{Is_Nv=00000500}', "");
Expect(1, 69239, '\p{^Is_Nv=00000500}', "");
Expect(1, 69239, '\P{Is_Nv=00000500}', "");
Expect(0, 69239, '\P{^Is_Nv=00000500}', "");
Error('\p{Numeric_Value:    -0_0_0_0_0_0_0_0_5000:=}');
Error('\P{Numeric_Value:    -0_0_0_0_0_0_0_0_5000:=}');
Expect(1, 68063, '\p{Numeric_Value: 00000005000}', "");
Expect(0, 68063, '\p{^Numeric_Value: 00000005000}', "");
Expect(0, 68063, '\P{Numeric_Value: 00000005000}', "");
Expect(1, 68063, '\P{^Numeric_Value: 00000005000}', "");
Expect(0, 68064, '\p{Numeric_Value: 00000005000}', "");
Expect(1, 68064, '\p{^Numeric_Value: 00000005000}', "");
Expect(1, 68064, '\P{Numeric_Value: 00000005000}', "");
Expect(0, 68064, '\P{^Numeric_Value: 00000005000}', "");
Error('\p{Nv:		/a/000000005000}');
Error('\P{Nv:		/a/000000005000}');
Expect(1, 68063, '\p{Nv=0005000}', "");
Expect(0, 68063, '\p{^Nv=0005000}', "");
Expect(0, 68063, '\P{Nv=0005000}', "");
Expect(1, 68063, '\P{^Nv=0005000}', "");
Expect(0, 68064, '\p{Nv=0005000}', "");
Expect(1, 68064, '\p{^Nv=0005000}', "");
Expect(1, 68064, '\P{Nv=0005000}', "");
Expect(0, 68064, '\P{^Nv=0005000}', "");
Error('\p{Is_Numeric_Value=-_0_0_0_0_0_5_000/a/}');
Error('\P{Is_Numeric_Value=-_0_0_0_0_0_5_000/a/}');
Expect(1, 68063, '\p{Is_Numeric_Value=0_0_0_0_0_5_000}', "");
Expect(0, 68063, '\p{^Is_Numeric_Value=0_0_0_0_0_5_000}', "");
Expect(0, 68063, '\P{Is_Numeric_Value=0_0_0_0_0_5_000}', "");
Expect(1, 68063, '\P{^Is_Numeric_Value=0_0_0_0_0_5_000}', "");
Expect(0, 68064, '\p{Is_Numeric_Value=0_0_0_0_0_5_000}', "");
Expect(1, 68064, '\p{^Is_Numeric_Value=0_0_0_0_0_5_000}', "");
Expect(1, 68064, '\P{Is_Numeric_Value=0_0_0_0_0_5_000}', "");
Expect(0, 68064, '\P{^Is_Numeric_Value=0_0_0_0_0_5_000}', "");
Error('\p{Is_Nv=/a/-	0_0_0_0_0_0_5_000}');
Error('\P{Is_Nv=/a/-	0_0_0_0_0_0_5_000}');
Expect(1, 68063, '\p{Is_Nv=0000005000}', "");
Expect(0, 68063, '\p{^Is_Nv=0000005000}', "");
Expect(0, 68063, '\P{Is_Nv=0000005000}', "");
Expect(1, 68063, '\P{^Is_Nv=0000005000}', "");
Expect(0, 68064, '\p{Is_Nv=0000005000}', "");
Expect(1, 68064, '\p{^Is_Nv=0000005000}', "");
Expect(1, 68064, '\P{Is_Nv=0000005000}', "");
Expect(0, 68064, '\P{^Is_Nv=0000005000}', "");
Error('\p{Numeric_Value=:=__+0_0_0_0_0_0_050000}');
Error('\P{Numeric_Value=:=__+0_0_0_0_0_0_050000}');
Expect(1, 68072, '\p{Numeric_Value=0_0_0_0_0_0_5_0_0_00}', "");
Expect(0, 68072, '\p{^Numeric_Value=0_0_0_0_0_0_5_0_0_00}', "");
Expect(0, 68072, '\P{Numeric_Value=0_0_0_0_0_0_5_0_0_00}', "");
Expect(1, 68072, '\P{^Numeric_Value=0_0_0_0_0_0_5_0_0_00}', "");
Expect(0, 68073, '\p{Numeric_Value=0_0_0_0_0_0_5_0_0_00}', "");
Expect(1, 68073, '\p{^Numeric_Value=0_0_0_0_0_0_5_0_0_00}', "");
Expect(1, 68073, '\P{Numeric_Value=0_0_0_0_0_0_5_0_0_00}', "");
Expect(0, 68073, '\P{^Numeric_Value=0_0_0_0_0_0_5_0_0_00}', "");
Error('\p{Nv=:=	 +5000_0}');
Error('\P{Nv=:=	 +5000_0}');
Expect(1, 68072, '\p{Nv=0000050000}', "");
Expect(0, 68072, '\p{^Nv=0000050000}', "");
Expect(0, 68072, '\P{Nv=0000050000}', "");
Expect(1, 68072, '\P{^Nv=0000050000}', "");
Expect(0, 68073, '\p{Nv=0000050000}', "");
Expect(1, 68073, '\p{^Nv=0000050000}', "");
Expect(1, 68073, '\P{Nv=0000050000}', "");
Expect(0, 68073, '\P{^Nv=0000050000}', "");
Error('\p{Is_Numeric_Value=-/a/0_5_0_0_00}');
Error('\P{Is_Numeric_Value=-/a/0_5_0_0_00}');
Expect(1, 68072, '\p{Is_Numeric_Value=+00000050000}', "");
Expect(0, 68072, '\p{^Is_Numeric_Value=+00000050000}', "");
Expect(0, 68072, '\P{Is_Numeric_Value=+00000050000}', "");
Expect(1, 68072, '\P{^Is_Numeric_Value=+00000050000}', "");
Expect(0, 68073, '\p{Is_Numeric_Value=+00000050000}', "");
Expect(1, 68073, '\p{^Is_Numeric_Value=+00000050000}', "");
Expect(1, 68073, '\P{Is_Numeric_Value=+00000050000}', "");
Expect(0, 68073, '\P{^Is_Numeric_Value=+00000050000}', "");
Error('\p{Is_Nv=_/a/+0000000050000}');
Error('\P{Is_Nv=_/a/+0000000050000}');
Expect(1, 68072, '\p{Is_Nv=00000000050000}', "");
Expect(0, 68072, '\p{^Is_Nv=00000000050000}', "");
Expect(0, 68072, '\P{Is_Nv=00000000050000}', "");
Expect(1, 68072, '\P{^Is_Nv=00000000050000}', "");
Expect(0, 68073, '\p{Is_Nv=00000000050000}', "");
Expect(1, 68073, '\p{^Is_Nv=00000000050000}', "");
Expect(1, 68073, '\P{Is_Nv=00000000050000}', "");
Expect(0, 68073, '\P{^Is_Nv=00000000050000}', "");
Error('\p{Numeric_Value=/a/-+050_000_0}');
Error('\P{Numeric_Value=/a/-+050_000_0}');
Expect(1, 68081, '\p{Numeric_Value=+00000000500000}', "");
Expect(0, 68081, '\p{^Numeric_Value=+00000000500000}', "");
Expect(0, 68081, '\P{Numeric_Value=+00000000500000}', "");
Expect(1, 68081, '\P{^Numeric_Value=+00000000500000}', "");
Expect(0, 68082, '\p{Numeric_Value=+00000000500000}', "");
Expect(1, 68082, '\p{^Numeric_Value=+00000000500000}', "");
Expect(1, 68082, '\P{Numeric_Value=+00000000500000}', "");
Expect(0, 68082, '\P{^Numeric_Value=+00000000500000}', "");
Error('\p{Nv=/a/-0_0_0_0_5_0_0_0_00}');
Error('\P{Nv=/a/-0_0_0_0_5_0_0_0_00}');
Expect(1, 68081, '\p{Nv=+00500000}', "");
Expect(0, 68081, '\p{^Nv=+00500000}', "");
Expect(0, 68081, '\P{Nv=+00500000}', "");
Expect(1, 68081, '\P{^Nv=+00500000}', "");
Expect(0, 68082, '\p{Nv=+00500000}', "");
Expect(1, 68082, '\p{^Nv=+00500000}', "");
Expect(1, 68082, '\P{Nv=+00500000}', "");
Expect(0, 68082, '\P{^Nv=+00500000}', "");
Error('\p{Is_Numeric_Value: /a/+00000000500000}');
Error('\P{Is_Numeric_Value: /a/+00000000500000}');
Expect(1, 68081, '\p{Is_Numeric_Value:   +0000050000_0}', "");
Expect(0, 68081, '\p{^Is_Numeric_Value:   +0000050000_0}', "");
Expect(0, 68081, '\P{Is_Numeric_Value:   +0000050000_0}', "");
Expect(1, 68081, '\P{^Is_Numeric_Value:   +0000050000_0}', "");
Expect(0, 68082, '\p{Is_Numeric_Value:   +0000050000_0}', "");
Expect(1, 68082, '\p{^Is_Numeric_Value:   +0000050000_0}', "");
Expect(1, 68082, '\P{Is_Numeric_Value:   +0000050000_0}', "");
Expect(0, 68082, '\P{^Is_Numeric_Value:   +0000050000_0}', "");
Error('\p{Is_Nv=/a/50000_0}');
Error('\P{Is_Nv=/a/50000_0}');
Expect(1, 68081, '\p{Is_Nv=+000000000500000}', "");
Expect(0, 68081, '\p{^Is_Nv=+000000000500000}', "");
Expect(0, 68081, '\P{Is_Nv=+000000000500000}', "");
Expect(1, 68081, '\P{^Is_Nv=+000000000500000}', "");
Expect(0, 68082, '\p{Is_Nv=+000000000500000}', "");
Expect(1, 68082, '\p{^Is_Nv=+000000000500000}', "");
Expect(1, 68082, '\P{Is_Nv=+000000000500000}', "");
Expect(0, 68082, '\P{^Is_Nv=+000000000500000}', "");
Error('\p{Numeric_Value=:=  0000000006}');
Error('\P{Numeric_Value=:=  0000000006}');
Expect(1, 133866, '\p{Numeric_Value=6}', "");
Expect(0, 133866, '\p{^Numeric_Value=6}', "");
Expect(0, 133866, '\P{Numeric_Value=6}', "");
Expect(1, 133866, '\P{^Numeric_Value=6}', "");
Expect(0, 133867, '\p{Numeric_Value=6}', "");
Expect(1, 133867, '\p{^Numeric_Value=6}', "");
Expect(1, 133867, '\P{Numeric_Value=6}', "");
Expect(0, 133867, '\P{^Numeric_Value=6}', "");
Error('\p{Nv=/a/	 0_6}');
Error('\P{Nv=/a/	 0_6}');
Expect(1, 133866, '\p{Nv=+0000006}', "");
Expect(0, 133866, '\p{^Nv=+0000006}', "");
Expect(0, 133866, '\P{Nv=+0000006}', "");
Expect(1, 133866, '\P{^Nv=+0000006}', "");
Expect(0, 133867, '\p{Nv=+0000006}', "");
Expect(1, 133867, '\p{^Nv=+0000006}', "");
Expect(1, 133867, '\P{Nv=+0000006}', "");
Expect(0, 133867, '\P{^Nv=+0000006}', "");
Error('\p{Is_Numeric_Value=:=00_6}');
Error('\P{Is_Numeric_Value=:=00_6}');
Expect(1, 133866, '\p{Is_Numeric_Value=+00_6}', "");
Expect(0, 133866, '\p{^Is_Numeric_Value=+00_6}', "");
Expect(0, 133866, '\P{Is_Numeric_Value=+00_6}', "");
Expect(1, 133866, '\P{^Is_Numeric_Value=+00_6}', "");
Expect(0, 133867, '\p{Is_Numeric_Value=+00_6}', "");
Expect(1, 133867, '\p{^Is_Numeric_Value=+00_6}', "");
Expect(1, 133867, '\P{Is_Numeric_Value=+00_6}', "");
Expect(0, 133867, '\P{^Is_Numeric_Value=+00_6}', "");
Error('\p{Is_Nv= 	006:=}');
Error('\P{Is_Nv= 	006:=}');
Expect(1, 133866, '\p{Is_Nv:6}', "");
Expect(0, 133866, '\p{^Is_Nv:6}', "");
Expect(0, 133866, '\P{Is_Nv:6}', "");
Expect(1, 133866, '\P{^Is_Nv:6}', "");
Expect(0, 133867, '\p{Is_Nv:6}', "");
Expect(1, 133867, '\p{^Is_Nv:6}', "");
Expect(1, 133867, '\P{Is_Nv:6}', "");
Expect(0, 133867, '\P{^Is_Nv:6}', "");
Error('\p{Numeric_Value=-/a/+000000060}');
Error('\P{Numeric_Value=-/a/+000000060}');
Expect(1, 119662, '\p{Numeric_Value=0000060}', "");
Expect(0, 119662, '\p{^Numeric_Value=0000060}', "");
Expect(0, 119662, '\P{Numeric_Value=0000060}', "");
Expect(1, 119662, '\P{^Numeric_Value=0000060}', "");
Expect(0, 119663, '\p{Numeric_Value=0000060}', "");
Expect(1, 119663, '\p{^Numeric_Value=0000060}', "");
Expect(1, 119663, '\P{Numeric_Value=0000060}', "");
Expect(0, 119663, '\P{^Numeric_Value=0000060}', "");
Error('\p{Nv= /a/0_0_0_0_0_0060}');
Error('\P{Nv= /a/0_0_0_0_0_0060}');
Expect(1, 119662, '\p{Nv=00_06_0}', "");
Expect(0, 119662, '\p{^Nv=00_06_0}', "");
Expect(0, 119662, '\P{Nv=00_06_0}', "");
Expect(1, 119662, '\P{^Nv=00_06_0}', "");
Expect(0, 119663, '\p{Nv=00_06_0}', "");
Expect(1, 119663, '\p{^Nv=00_06_0}', "");
Expect(1, 119663, '\P{Nv=00_06_0}', "");
Expect(0, 119663, '\P{^Nv=00_06_0}', "");
Error('\p{Is_Numeric_Value=_6_0/a/}');
Error('\P{Is_Numeric_Value=_6_0/a/}');
Expect(1, 119662, '\p{Is_Numeric_Value=00060}', "");
Expect(0, 119662, '\p{^Is_Numeric_Value=00060}', "");
Expect(0, 119662, '\P{Is_Numeric_Value=00060}', "");
Expect(1, 119662, '\P{^Is_Numeric_Value=00060}', "");
Expect(0, 119663, '\p{Is_Numeric_Value=00060}', "");
Expect(1, 119663, '\p{^Is_Numeric_Value=00060}', "");
Expect(1, 119663, '\P{Is_Numeric_Value=00060}', "");
Expect(0, 119663, '\P{^Is_Numeric_Value=00060}', "");
Error('\p{Is_Nv=:=0000000060}');
Error('\P{Is_Nv=:=0000000060}');
Expect(1, 119662, '\p{Is_Nv:	00060}', "");
Expect(0, 119662, '\p{^Is_Nv:	00060}', "");
Expect(0, 119662, '\P{Is_Nv:	00060}', "");
Expect(1, 119662, '\P{^Is_Nv:	00060}', "");
Expect(0, 119663, '\p{Is_Nv:	00060}', "");
Expect(1, 119663, '\p{^Is_Nv:	00060}', "");
Expect(1, 119663, '\P{Is_Nv:	00060}', "");
Expect(0, 119663, '\P{^Is_Nv:	00060}', "");
Error('\p{Numeric_Value=-	0060_0/a/}');
Error('\P{Numeric_Value=-	0060_0/a/}');
Expect(1, 69239, '\p{Numeric_Value=00060_0}', "");
Expect(0, 69239, '\p{^Numeric_Value=00060_0}', "");
Expect(0, 69239, '\P{Numeric_Value=00060_0}', "");
Expect(1, 69239, '\P{^Numeric_Value=00060_0}', "");
Expect(0, 69240, '\p{Numeric_Value=00060_0}', "");
Expect(1, 69240, '\p{^Numeric_Value=00060_0}', "");
Expect(1, 69240, '\P{Numeric_Value=00060_0}', "");
Expect(0, 69240, '\P{^Numeric_Value=00060_0}', "");
Error('\p{Nv=-/a/0_6_00}');
Error('\P{Nv=-/a/0_6_00}');
Expect(1, 69239, '\p{Nv=+0_0_0_0_0_0_0_00600}', "");
Expect(0, 69239, '\p{^Nv=+0_0_0_0_0_0_0_00600}', "");
Expect(0, 69239, '\P{Nv=+0_0_0_0_0_0_0_00600}', "");
Expect(1, 69239, '\P{^Nv=+0_0_0_0_0_0_0_00600}', "");
Expect(0, 69240, '\p{Nv=+0_0_0_0_0_0_0_00600}', "");
Expect(1, 69240, '\p{^Nv=+0_0_0_0_0_0_0_00600}', "");
Expect(1, 69240, '\P{Nv=+0_0_0_0_0_0_0_00600}', "");
Expect(0, 69240, '\P{^Nv=+0_0_0_0_0_0_0_00600}', "");
Error('\p{Is_Numeric_Value=-	+0000000600/a/}');
Error('\P{Is_Numeric_Value=-	+0000000600/a/}');
Expect(1, 69239, '\p{Is_Numeric_Value=000_000_006_00}', "");
Expect(0, 69239, '\p{^Is_Numeric_Value=000_000_006_00}', "");
Expect(0, 69239, '\P{Is_Numeric_Value=000_000_006_00}', "");
Expect(1, 69239, '\P{^Is_Numeric_Value=000_000_006_00}', "");
Expect(0, 69240, '\p{Is_Numeric_Value=000_000_006_00}', "");
Expect(1, 69240, '\p{^Is_Numeric_Value=000_000_006_00}', "");
Expect(1, 69240, '\P{Is_Numeric_Value=000_000_006_00}', "");
Expect(0, 69240, '\P{^Is_Numeric_Value=000_000_006_00}', "");
Error('\p{Is_Nv=:=_+0_0_0_6_00}');
Error('\P{Is_Nv=:=_+0_0_0_6_00}');
Expect(1, 69239, '\p{Is_Nv: 000600}', "");
Expect(0, 69239, '\p{^Is_Nv: 000600}', "");
Expect(0, 69239, '\P{Is_Nv: 000600}', "");
Expect(1, 69239, '\P{^Is_Nv: 000600}', "");
Expect(0, 69240, '\p{Is_Nv: 000600}', "");
Expect(1, 69240, '\p{^Is_Nv: 000600}', "");
Expect(1, 69240, '\P{Is_Nv: 000600}', "");
Expect(0, 69240, '\P{^Is_Nv: 000600}', "");
Error('\p{Numeric_Value=:=		6000}');
Error('\P{Numeric_Value=:=		6000}');
Expect(1, 68064, '\p{Numeric_Value=000000006000}', "");
Expect(0, 68064, '\p{^Numeric_Value=000000006000}', "");
Expect(0, 68064, '\P{Numeric_Value=000000006000}', "");
Expect(1, 68064, '\P{^Numeric_Value=000000006000}', "");
Expect(0, 68065, '\p{Numeric_Value=000000006000}', "");
Expect(1, 68065, '\p{^Numeric_Value=000000006000}', "");
Expect(1, 68065, '\P{Numeric_Value=000000006000}', "");
Expect(0, 68065, '\P{^Numeric_Value=000000006000}', "");
Error('\p{Nv=/a/--06_00_0}');
Error('\P{Nv=/a/--06_00_0}');
Expect(1, 68064, '\p{Nv=+006000}', "");
Expect(0, 68064, '\p{^Nv=+006000}', "");
Expect(0, 68064, '\P{Nv=+006000}', "");
Expect(1, 68064, '\P{^Nv=+006000}', "");
Expect(0, 68065, '\p{Nv=+006000}', "");
Expect(1, 68065, '\p{^Nv=+006000}', "");
Expect(1, 68065, '\P{Nv=+006000}', "");
Expect(0, 68065, '\P{^Nv=+006000}', "");
Error('\p{Is_Numeric_Value=_:=000006000}');
Error('\P{Is_Numeric_Value=_:=000006000}');
Expect(1, 68064, '\p{Is_Numeric_Value=+06000}', "");
Expect(0, 68064, '\p{^Is_Numeric_Value=+06000}', "");
Expect(0, 68064, '\P{Is_Numeric_Value=+06000}', "");
Expect(1, 68064, '\P{^Is_Numeric_Value=+06000}', "");
Expect(0, 68065, '\p{Is_Numeric_Value=+06000}', "");
Expect(1, 68065, '\p{^Is_Numeric_Value=+06000}', "");
Expect(1, 68065, '\P{Is_Numeric_Value=+06000}', "");
Expect(0, 68065, '\P{^Is_Numeric_Value=+06000}', "");
Error('\p{Is_Nv= /a/+000_600_0}');
Error('\P{Is_Nv= /a/+000_600_0}');
Expect(1, 68064, '\p{Is_Nv=0_0_0_0_0_0_0_6_0_00}', "");
Expect(0, 68064, '\p{^Is_Nv=0_0_0_0_0_0_0_6_0_00}', "");
Expect(0, 68064, '\P{Is_Nv=0_0_0_0_0_0_0_6_0_00}', "");
Expect(1, 68064, '\P{^Is_Nv=0_0_0_0_0_0_0_6_0_00}', "");
Expect(0, 68065, '\p{Is_Nv=0_0_0_0_0_0_0_6_0_00}', "");
Expect(1, 68065, '\p{^Is_Nv=0_0_0_0_0_0_0_6_0_00}', "");
Expect(1, 68065, '\P{Is_Nv=0_0_0_0_0_0_0_6_0_00}', "");
Expect(0, 68065, '\P{^Is_Nv=0_0_0_0_0_0_0_6_0_00}', "");
Error('\p{Numeric_Value=-/a/000_000_060_000}');
Error('\P{Numeric_Value=-/a/000_000_060_000}');
Expect(1, 68073, '\p{Numeric_Value=000_000_600_00}', "");
Expect(0, 68073, '\p{^Numeric_Value=000_000_600_00}', "");
Expect(0, 68073, '\P{Numeric_Value=000_000_600_00}', "");
Expect(1, 68073, '\P{^Numeric_Value=000_000_600_00}', "");
Expect(0, 68074, '\p{Numeric_Value=000_000_600_00}', "");
Expect(1, 68074, '\p{^Numeric_Value=000_000_600_00}', "");
Expect(1, 68074, '\P{Numeric_Value=000_000_600_00}', "");
Expect(0, 68074, '\P{^Numeric_Value=000_000_600_00}', "");
Error('\p{Nv=:=		60000}');
Error('\P{Nv=:=		60000}');
Expect(1, 68073, '\p{Nv=00000060000}', "");
Expect(0, 68073, '\p{^Nv=00000060000}', "");
Expect(0, 68073, '\P{Nv=00000060000}', "");
Expect(1, 68073, '\P{^Nv=00000060000}', "");
Expect(0, 68074, '\p{Nv=00000060000}', "");
Expect(1, 68074, '\p{^Nv=00000060000}', "");
Expect(1, 68074, '\P{Nv=00000060000}', "");
Expect(0, 68074, '\P{^Nv=00000060000}', "");
Error('\p{Is_Numeric_Value=:= _+0_0_0_0_0_0_60000}');
Error('\P{Is_Numeric_Value=:= _+0_0_0_0_0_0_60000}');
Expect(1, 68073, '\p{Is_Numeric_Value=00060000}', "");
Expect(0, 68073, '\p{^Is_Numeric_Value=00060000}', "");
Expect(0, 68073, '\P{Is_Numeric_Value=00060000}', "");
Expect(1, 68073, '\P{^Is_Numeric_Value=00060000}', "");
Expect(0, 68074, '\p{Is_Numeric_Value=00060000}', "");
Expect(1, 68074, '\p{^Is_Numeric_Value=00060000}', "");
Expect(1, 68074, '\P{Is_Numeric_Value=00060000}', "");
Expect(0, 68074, '\P{^Is_Numeric_Value=00060000}', "");
Error('\p{Is_Nv=/a/-	000060000}');
Error('\P{Is_Nv=/a/-	000060000}');
Expect(1, 68073, '\p{Is_Nv=0000000060000}', "");
Expect(0, 68073, '\p{^Is_Nv=0000000060000}', "");
Expect(0, 68073, '\P{Is_Nv=0000000060000}', "");
Expect(1, 68073, '\P{^Is_Nv=0000000060000}', "");
Expect(0, 68074, '\p{Is_Nv=0000000060000}', "");
Expect(1, 68074, '\p{^Is_Nv=0000000060000}', "");
Expect(1, 68074, '\P{Is_Nv=0000000060000}', "");
Expect(0, 68074, '\P{^Is_Nv=0000000060000}', "");
Error('\p{Numeric_Value=-_+00_00_60_00_00:=}');
Error('\P{Numeric_Value=-_+00_00_60_00_00:=}');
Expect(1, 68082, '\p{Numeric_Value: 000000_060000_0}', "");
Expect(0, 68082, '\p{^Numeric_Value: 000000_060000_0}', "");
Expect(0, 68082, '\P{Numeric_Value: 000000_060000_0}', "");
Expect(1, 68082, '\P{^Numeric_Value: 000000_060000_0}', "");
Expect(0, 68083, '\p{Numeric_Value: 000000_060000_0}', "");
Expect(1, 68083, '\p{^Numeric_Value: 000000_060000_0}', "");
Expect(1, 68083, '\P{Numeric_Value: 000000_060000_0}', "");
Expect(0, 68083, '\P{^Numeric_Value: 000000_060000_0}', "");
Error('\p{Nv=_00000_06000_00:=}');
Error('\P{Nv=_00000_06000_00:=}');
Expect(1, 68082, '\p{Nv=060000_0}', "");
Expect(0, 68082, '\p{^Nv=060000_0}', "");
Expect(0, 68082, '\P{Nv=060000_0}', "");
Expect(1, 68082, '\P{^Nv=060000_0}', "");
Expect(0, 68083, '\p{Nv=060000_0}', "");
Expect(1, 68083, '\p{^Nv=060000_0}', "");
Expect(1, 68083, '\P{Nv=060000_0}', "");
Expect(0, 68083, '\P{^Nv=060000_0}', "");
Error('\p{Is_Numeric_Value=		+00060000_0:=}');
Error('\P{Is_Numeric_Value=		+00060000_0:=}');
Expect(1, 68082, '\p{Is_Numeric_Value=+000000000600000}', "");
Expect(0, 68082, '\p{^Is_Numeric_Value=+000000000600000}', "");
Expect(0, 68082, '\P{Is_Numeric_Value=+000000000600000}', "");
Expect(1, 68082, '\P{^Is_Numeric_Value=+000000000600000}', "");
Expect(0, 68083, '\p{Is_Numeric_Value=+000000000600000}', "");
Expect(1, 68083, '\p{^Is_Numeric_Value=+000000000600000}', "");
Expect(1, 68083, '\P{Is_Numeric_Value=+000000000600000}', "");
Expect(0, 68083, '\P{^Is_Numeric_Value=+000000000600000}', "");
Error('\p{Is_Nv:   	+60000_0:=}');
Error('\P{Is_Nv:   	+60000_0:=}');
Expect(1, 68082, '\p{Is_Nv=00000600000}', "");
Expect(0, 68082, '\p{^Is_Nv=00000600000}', "");
Expect(0, 68082, '\P{Is_Nv=00000600000}', "");
Expect(1, 68082, '\P{^Is_Nv=00000600000}', "");
Expect(0, 68083, '\p{Is_Nv=00000600000}', "");
Expect(1, 68083, '\p{^Is_Nv=00000600000}', "");
Expect(1, 68083, '\P{Is_Nv=00000600000}', "");
Expect(0, 68083, '\P{^Is_Nv=00000600000}', "");
Error('\p{Numeric_Value: 	 +00007:=}');
Error('\P{Numeric_Value: 	 +00007:=}');
Expect(1, 131073, '\p{Numeric_Value=0000007}', "");
Expect(0, 131073, '\p{^Numeric_Value=0000007}', "");
Expect(0, 131073, '\P{Numeric_Value=0000007}', "");
Expect(1, 131073, '\P{^Numeric_Value=0000007}', "");
Expect(0, 131074, '\p{Numeric_Value=0000007}', "");
Expect(1, 131074, '\p{^Numeric_Value=0000007}', "");
Expect(1, 131074, '\P{Numeric_Value=0000007}', "");
Expect(0, 131074, '\P{^Numeric_Value=0000007}', "");
Error('\p{Nv=/a/-_0_0_07}');
Error('\P{Nv=/a/-_0_0_07}');
Expect(1, 131073, '\p{Nv=0_7}', "");
Expect(0, 131073, '\p{^Nv=0_7}', "");
Expect(0, 131073, '\P{Nv=0_7}', "");
Expect(1, 131073, '\P{^Nv=0_7}', "");
Expect(0, 131074, '\p{Nv=0_7}', "");
Expect(1, 131074, '\p{^Nv=0_7}', "");
Expect(1, 131074, '\P{Nv=0_7}', "");
Expect(0, 131074, '\P{^Nv=0_7}', "");
Error('\p{Is_Numeric_Value=_	+00007:=}');
Error('\P{Is_Numeric_Value=_	+00007:=}');
Expect(1, 131073, '\p{Is_Numeric_Value=0_0_0_0_0_0007}', "");
Expect(0, 131073, '\p{^Is_Numeric_Value=0_0_0_0_0_0007}', "");
Expect(0, 131073, '\P{Is_Numeric_Value=0_0_0_0_0_0007}', "");
Expect(1, 131073, '\P{^Is_Numeric_Value=0_0_0_0_0_0007}', "");
Expect(0, 131074, '\p{Is_Numeric_Value=0_0_0_0_0_0007}', "");
Expect(1, 131074, '\p{^Is_Numeric_Value=0_0_0_0_0_0007}', "");
Expect(1, 131074, '\P{Is_Numeric_Value=0_0_0_0_0_0007}', "");
Expect(0, 131074, '\P{^Is_Numeric_Value=0_0_0_0_0_0007}', "");
Error('\p{Is_Nv=/a/ _+0_0_0_07}');
Error('\P{Is_Nv=/a/ _+0_0_0_07}');
Expect(1, 131073, '\p{Is_Nv=+0000000007}', "");
Expect(0, 131073, '\p{^Is_Nv=+0000000007}', "");
Expect(0, 131073, '\P{Is_Nv=+0000000007}', "");
Expect(1, 131073, '\P{^Is_Nv=+0000000007}', "");
Expect(0, 131074, '\p{Is_Nv=+0000000007}', "");
Expect(1, 131074, '\p{^Is_Nv=+0000000007}', "");
Expect(1, 131074, '\P{Is_Nv=+0000000007}', "");
Expect(0, 131074, '\P{^Is_Nv=+0000000007}', "");
Error('\p{Numeric_Value:	 :=7/12}');
Error('\P{Numeric_Value:	 :=7/12}');
Expect(1, 68092, '\p{Numeric_Value=7/0000000012}', "");
Expect(0, 68092, '\p{^Numeric_Value=7/0000000012}', "");
Expect(0, 68092, '\P{Numeric_Value=7/0000000012}', "");
Expect(1, 68092, '\P{^Numeric_Value=7/0000000012}', "");
Expect(0, 68093, '\p{Numeric_Value=7/0000000012}', "");
Expect(1, 68093, '\p{^Numeric_Value=7/0000000012}', "");
Expect(1, 68093, '\P{Numeric_Value=7/0000000012}', "");
Expect(0, 68093, '\P{^Numeric_Value=7/0000000012}', "");
Error('\p{Numeric_Value=0.58}');
Error('\P{Numeric_Value=0.58}');
Expect(1, 68092, '\p{Numeric_Value=0.583}', "");
Expect(0, 68092, '\p{^Numeric_Value=0.583}', "");
Expect(0, 68092, '\P{Numeric_Value=0.583}', "");
Expect(1, 68092, '\P{^Numeric_Value=0.583}', "");
Expect(0, 68093, '\p{Numeric_Value=0.583}', "");
Expect(1, 68093, '\p{^Numeric_Value=0.583}', "");
Expect(1, 68093, '\P{Numeric_Value=0.583}', "");
Expect(0, 68093, '\P{^Numeric_Value=0.583}', "");
Error('\p{Nv=_	0000007/012/a/}');
Error('\P{Nv=_	0000007/012/a/}');
Expect(1, 68092, '\p{Nv=+7/000012}', "");
Expect(0, 68092, '\p{^Nv=+7/000012}', "");
Expect(0, 68092, '\P{Nv=+7/000012}', "");
Expect(1, 68092, '\P{^Nv=+7/000012}', "");
Expect(0, 68093, '\p{Nv=+7/000012}', "");
Expect(1, 68093, '\p{^Nv=+7/000012}', "");
Expect(1, 68093, '\P{Nv=+7/000012}', "");
Expect(0, 68093, '\P{^Nv=+7/000012}', "");
Error('\p{Nv=0.58}');
Error('\P{Nv=0.58}');
Expect(1, 68092, '\p{Nv=0.583}', "");
Expect(0, 68092, '\p{^Nv=0.583}', "");
Expect(0, 68092, '\P{Nv=0.583}', "");
Expect(1, 68092, '\P{^Nv=0.583}', "");
Expect(0, 68093, '\p{Nv=0.583}', "");
Expect(1, 68093, '\p{^Nv=0.583}', "");
Expect(1, 68093, '\P{Nv=0.583}', "");
Expect(0, 68093, '\P{^Nv=0.583}', "");
Error('\p{Is_Numeric_Value=__7/00000000012:=}');
Error('\P{Is_Numeric_Value=__7/00000000012:=}');
Expect(1, 68092, '\p{Is_Numeric_Value=7/000012}', "");
Expect(0, 68092, '\p{^Is_Numeric_Value=7/000012}', "");
Expect(0, 68092, '\P{Is_Numeric_Value=7/000012}', "");
Expect(1, 68092, '\P{^Is_Numeric_Value=7/000012}', "");
Expect(0, 68093, '\p{Is_Numeric_Value=7/000012}', "");
Expect(1, 68093, '\p{^Is_Numeric_Value=7/000012}', "");
Expect(1, 68093, '\P{Is_Numeric_Value=7/000012}', "");
Expect(0, 68093, '\P{^Is_Numeric_Value=7/000012}', "");
Error('\p{Is_Numeric_Value:   0.58}');
Error('\P{Is_Numeric_Value:   0.58}');
Expect(1, 68092, '\p{Is_Numeric_Value:   0.583}', "");
Expect(0, 68092, '\p{^Is_Numeric_Value:   0.583}', "");
Expect(0, 68092, '\P{Is_Numeric_Value:   0.583}', "");
Expect(1, 68092, '\P{^Is_Numeric_Value:   0.583}', "");
Expect(0, 68093, '\p{Is_Numeric_Value:   0.583}', "");
Expect(1, 68093, '\p{^Is_Numeric_Value:   0.583}', "");
Expect(1, 68093, '\P{Is_Numeric_Value:   0.583}', "");
Expect(0, 68093, '\P{^Is_Numeric_Value:   0.583}', "");
Error('\p{Is_Nv=:=		00007/00000000012}');
Error('\P{Is_Nv=:=		00007/00000000012}');
Expect(1, 68092, '\p{Is_Nv=00000007/0000012}', "");
Expect(0, 68092, '\p{^Is_Nv=00000007/0000012}', "");
Expect(0, 68092, '\P{Is_Nv=00000007/0000012}', "");
Expect(1, 68092, '\P{^Is_Nv=00000007/0000012}', "");
Expect(0, 68093, '\p{Is_Nv=00000007/0000012}', "");
Expect(1, 68093, '\p{^Is_Nv=00000007/0000012}', "");
Expect(1, 68093, '\P{Is_Nv=00000007/0000012}', "");
Expect(0, 68093, '\P{^Is_Nv=00000007/0000012}', "");
Error('\p{Is_Nv=0.58}');
Error('\P{Is_Nv=0.58}');
Expect(1, 68092, '\p{Is_Nv=0.583}', "");
Expect(0, 68092, '\p{^Is_Nv=0.583}', "");
Expect(0, 68092, '\P{Is_Nv=0.583}', "");
Expect(1, 68092, '\P{^Is_Nv=0.583}', "");
Expect(0, 68093, '\p{Is_Nv=0.583}', "");
Expect(1, 68093, '\p{^Is_Nv=0.583}', "");
Expect(1, 68093, '\P{Is_Nv=0.583}', "");
Expect(0, 68093, '\P{^Is_Nv=0.583}', "");
Error('\p{Numeric_Value= /a/007/0002}');
Error('\P{Numeric_Value= /a/007/0002}');
Expect(1, 3885, '\p{Numeric_Value=07/002}', "");
Expect(0, 3885, '\p{^Numeric_Value=07/002}', "");
Expect(0, 3885, '\P{Numeric_Value=07/002}', "");
Expect(1, 3885, '\P{^Numeric_Value=07/002}', "");
Expect(0, 3886, '\p{Numeric_Value=07/002}', "");
Expect(1, 3886, '\p{^Numeric_Value=07/002}', "");
Expect(1, 3886, '\P{Numeric_Value=07/002}', "");
Expect(0, 3886, '\P{^Numeric_Value=07/002}', "");
Expect(1, 3885, '\p{Numeric_Value=3.500}', "");
Expect(0, 3885, '\p{^Numeric_Value=3.500}', "");
Expect(0, 3885, '\P{Numeric_Value=3.500}', "");
Expect(1, 3885, '\P{^Numeric_Value=3.500}', "");
Expect(0, 3886, '\p{Numeric_Value=3.500}', "");
Expect(1, 3886, '\p{^Numeric_Value=3.500}', "");
Expect(1, 3886, '\P{Numeric_Value=3.500}', "");
Expect(0, 3886, '\P{^Numeric_Value=3.500}', "");
Error('\p{Nv=_:=07/002}');
Error('\P{Nv=_:=07/002}');
Expect(1, 3885, '\p{Nv=07/000000002}', "");
Expect(0, 3885, '\p{^Nv=07/000000002}', "");
Expect(0, 3885, '\P{Nv=07/000000002}', "");
Expect(1, 3885, '\P{^Nv=07/000000002}', "");
Expect(0, 3886, '\p{Nv=07/000000002}', "");
Expect(1, 3886, '\p{^Nv=07/000000002}', "");
Expect(1, 3886, '\P{Nv=07/000000002}', "");
Expect(0, 3886, '\P{^Nv=07/000000002}', "");
Expect(1, 3885, '\p{Nv=3.500}', "");
Expect(0, 3885, '\p{^Nv=3.500}', "");
Expect(0, 3885, '\P{Nv=3.500}', "");
Expect(1, 3885, '\P{^Nv=3.500}', "");
Expect(0, 3886, '\p{Nv=3.500}', "");
Expect(1, 3886, '\p{^Nv=3.500}', "");
Expect(1, 3886, '\P{Nv=3.500}', "");
Expect(0, 3886, '\P{^Nv=3.500}', "");
Error('\p{Is_Numeric_Value=:=-+07/000000002}');
Error('\P{Is_Numeric_Value=:=-+07/000000002}');
Expect(1, 3885, '\p{Is_Numeric_Value=07/000002}', "");
Expect(0, 3885, '\p{^Is_Numeric_Value=07/000002}', "");
Expect(0, 3885, '\P{Is_Numeric_Value=07/000002}', "");
Expect(1, 3885, '\P{^Is_Numeric_Value=07/000002}', "");
Expect(0, 3886, '\p{Is_Numeric_Value=07/000002}', "");
Expect(1, 3886, '\p{^Is_Numeric_Value=07/000002}', "");
Expect(1, 3886, '\P{Is_Numeric_Value=07/000002}', "");
Expect(0, 3886, '\P{^Is_Numeric_Value=07/000002}', "");
Expect(1, 3885, '\p{Is_Numeric_Value=3.500}', "");
Expect(0, 3885, '\p{^Is_Numeric_Value=3.500}', "");
Expect(0, 3885, '\P{Is_Numeric_Value=3.500}', "");
Expect(1, 3885, '\P{^Is_Numeric_Value=3.500}', "");
Expect(0, 3886, '\p{Is_Numeric_Value=3.500}', "");
Expect(1, 3886, '\p{^Is_Numeric_Value=3.500}', "");
Expect(1, 3886, '\P{Is_Numeric_Value=3.500}', "");
Expect(0, 3886, '\P{^Is_Numeric_Value=3.500}', "");
Error('\p{Is_Nv: :=-	000007/02}');
Error('\P{Is_Nv: :=-	000007/02}');
Expect(1, 3885, '\p{Is_Nv:	00000007/0002}', "");
Expect(0, 3885, '\p{^Is_Nv:	00000007/0002}', "");
Expect(0, 3885, '\P{Is_Nv:	00000007/0002}', "");
Expect(1, 3885, '\P{^Is_Nv:	00000007/0002}', "");
Expect(0, 3886, '\p{Is_Nv:	00000007/0002}', "");
Expect(1, 3886, '\p{^Is_Nv:	00000007/0002}', "");
Expect(1, 3886, '\P{Is_Nv:	00000007/0002}', "");
Expect(0, 3886, '\P{^Is_Nv:	00000007/0002}', "");
Expect(1, 3885, '\p{Is_Nv=3.500}', "");
Expect(0, 3885, '\p{^Is_Nv=3.500}', "");
Expect(0, 3885, '\P{Is_Nv=3.500}', "");
Expect(1, 3885, '\P{^Is_Nv=3.500}', "");
Expect(0, 3886, '\p{Is_Nv=3.500}', "");
Expect(1, 3886, '\p{^Is_Nv=3.500}', "");
Expect(1, 3886, '\P{Is_Nv=3.500}', "");
Expect(0, 3886, '\P{^Is_Nv=3.500}', "");
Error('\p{Numeric_Value: /a/  0000000007/00008}');
Error('\P{Numeric_Value: /a/  0000000007/00008}');
Expect(1, 8542, '\p{Numeric_Value=+000007/0008}', "");
Expect(0, 8542, '\p{^Numeric_Value=+000007/0008}', "");
Expect(0, 8542, '\P{Numeric_Value=+000007/0008}', "");
Expect(1, 8542, '\P{^Numeric_Value=+000007/0008}', "");
Expect(0, 8543, '\p{Numeric_Value=+000007/0008}', "");
Expect(1, 8543, '\p{^Numeric_Value=+000007/0008}', "");
Expect(1, 8543, '\P{Numeric_Value=+000007/0008}', "");
Expect(0, 8543, '\P{^Numeric_Value=+000007/0008}', "");
Error('\p{Numeric_Value=0.9}');
Error('\P{Numeric_Value=0.9}');
Error('\p{Numeric_Value=0.88}');
Error('\P{Numeric_Value=0.88}');
Expect(1, 8542, '\p{Numeric_Value=0.875}', "");
Expect(0, 8542, '\p{^Numeric_Value=0.875}', "");
Expect(0, 8542, '\P{Numeric_Value=0.875}', "");
Expect(1, 8542, '\P{^Numeric_Value=0.875}', "");
Expect(0, 8543, '\p{Numeric_Value=0.875}', "");
Expect(1, 8543, '\p{^Numeric_Value=0.875}', "");
Expect(1, 8543, '\P{Numeric_Value=0.875}', "");
Expect(0, 8543, '\P{^Numeric_Value=0.875}', "");
Error('\p{Nv: _000007/0008:=}');
Error('\P{Nv: _000007/0008:=}');
Expect(1, 8542, '\p{Nv:	+000000007/0008}', "");
Expect(0, 8542, '\p{^Nv:	+000000007/0008}', "");
Expect(0, 8542, '\P{Nv:	+000000007/0008}', "");
Expect(1, 8542, '\P{^Nv:	+000000007/0008}', "");
Expect(0, 8543, '\p{Nv:	+000000007/0008}', "");
Expect(1, 8543, '\p{^Nv:	+000000007/0008}', "");
Expect(1, 8543, '\P{Nv:	+000000007/0008}', "");
Expect(0, 8543, '\P{^Nv:	+000000007/0008}', "");
Error('\p{Nv=0.9}');
Error('\P{Nv=0.9}');
Error('\p{Nv=0.88}');
Error('\P{Nv=0.88}');
Expect(1, 8542, '\p{Nv=0.875}', "");
Expect(0, 8542, '\p{^Nv=0.875}', "");
Expect(0, 8542, '\P{Nv=0.875}', "");
Expect(1, 8542, '\P{^Nv=0.875}', "");
Expect(0, 8543, '\p{Nv=0.875}', "");
Expect(1, 8543, '\p{^Nv=0.875}', "");
Expect(1, 8543, '\P{Nv=0.875}', "");
Expect(0, 8543, '\P{^Nv=0.875}', "");
Error('\p{Is_Numeric_Value=_07/008:=}');
Error('\P{Is_Numeric_Value=_07/008:=}');
Expect(1, 8542, '\p{Is_Numeric_Value=+07/000008}', "");
Expect(0, 8542, '\p{^Is_Numeric_Value=+07/000008}', "");
Expect(0, 8542, '\P{Is_Numeric_Value=+07/000008}', "");
Expect(1, 8542, '\P{^Is_Numeric_Value=+07/000008}', "");
Expect(0, 8543, '\p{Is_Numeric_Value=+07/000008}', "");
Expect(1, 8543, '\p{^Is_Numeric_Value=+07/000008}', "");
Expect(1, 8543, '\P{Is_Numeric_Value=+07/000008}', "");
Expect(0, 8543, '\P{^Is_Numeric_Value=+07/000008}', "");
Error('\p{Is_Numeric_Value=0.9}');
Error('\P{Is_Numeric_Value=0.9}');
Error('\p{Is_Numeric_Value:   0.88}');
Error('\P{Is_Numeric_Value:   0.88}');
Expect(1, 8542, '\p{Is_Numeric_Value=0.875}', "");
Expect(0, 8542, '\p{^Is_Numeric_Value=0.875}', "");
Expect(0, 8542, '\P{Is_Numeric_Value=0.875}', "");
Expect(1, 8542, '\P{^Is_Numeric_Value=0.875}', "");
Expect(0, 8543, '\p{Is_Numeric_Value=0.875}', "");
Expect(1, 8543, '\p{^Is_Numeric_Value=0.875}', "");
Expect(1, 8543, '\P{Is_Numeric_Value=0.875}', "");
Expect(0, 8543, '\P{^Is_Numeric_Value=0.875}', "");
Error('\p{Is_Nv=_:=0007/08}');
Error('\P{Is_Nv=_:=0007/08}');
Expect(1, 8542, '\p{Is_Nv=+0000007/008}', "");
Expect(0, 8542, '\p{^Is_Nv=+0000007/008}', "");
Expect(0, 8542, '\P{Is_Nv=+0000007/008}', "");
Expect(1, 8542, '\P{^Is_Nv=+0000007/008}', "");
Expect(0, 8543, '\p{Is_Nv=+0000007/008}', "");
Expect(1, 8543, '\p{^Is_Nv=+0000007/008}', "");
Expect(1, 8543, '\P{Is_Nv=+0000007/008}', "");
Expect(0, 8543, '\P{^Is_Nv=+0000007/008}', "");
Error('\p{Is_Nv:   0.9}');
Error('\P{Is_Nv:   0.9}');
Error('\p{Is_Nv=0.88}');
Error('\P{Is_Nv=0.88}');
Expect(1, 8542, '\p{Is_Nv: 0.875}', "");
Expect(0, 8542, '\p{^Is_Nv: 0.875}', "");
Expect(0, 8542, '\P{Is_Nv: 0.875}', "");
Expect(1, 8542, '\P{^Is_Nv: 0.875}', "");
Expect(0, 8543, '\p{Is_Nv: 0.875}', "");
Expect(1, 8543, '\p{^Is_Nv: 0.875}', "");
Expect(1, 8543, '\P{Is_Nv: 0.875}', "");
Expect(0, 8543, '\P{^Is_Nv: 0.875}', "");
Error('\p{Numeric_Value=_00_00_00_70:=}');
Error('\P{Numeric_Value=_00_00_00_70:=}');
Expect(1, 119663, '\p{Numeric_Value:   070}', "");
Expect(0, 119663, '\p{^Numeric_Value:   070}', "");
Expect(0, 119663, '\P{Numeric_Value:   070}', "");
Expect(1, 119663, '\P{^Numeric_Value:   070}', "");
Expect(0, 119664, '\p{Numeric_Value:   070}', "");
Expect(1, 119664, '\p{^Numeric_Value:   070}', "");
Expect(1, 119664, '\P{Numeric_Value:   070}', "");
Expect(0, 119664, '\P{^Numeric_Value:   070}', "");
Error('\p{Nv: := _00_00_07_0}');
Error('\P{Nv: := _00_00_07_0}');
Expect(1, 119663, '\p{Nv=000070}', "");
Expect(0, 119663, '\p{^Nv=000070}', "");
Expect(0, 119663, '\P{Nv=000070}', "");
Expect(1, 119663, '\P{^Nv=000070}', "");
Expect(0, 119664, '\p{Nv=000070}', "");
Expect(1, 119664, '\p{^Nv=000070}', "");
Expect(1, 119664, '\P{Nv=000070}', "");
Expect(0, 119664, '\P{^Nv=000070}', "");
Error('\p{Is_Numeric_Value=-	+0_0_70:=}');
Error('\P{Is_Numeric_Value=-	+0_0_70:=}');
Expect(1, 119663, '\p{Is_Numeric_Value=+00_00_00_70}', "");
Expect(0, 119663, '\p{^Is_Numeric_Value=+00_00_00_70}', "");
Expect(0, 119663, '\P{Is_Numeric_Value=+00_00_00_70}', "");
Expect(1, 119663, '\P{^Is_Numeric_Value=+00_00_00_70}', "");
Expect(0, 119664, '\p{Is_Numeric_Value=+00_00_00_70}', "");
Expect(1, 119664, '\p{^Is_Numeric_Value=+00_00_00_70}', "");
Expect(1, 119664, '\P{Is_Numeric_Value=+00_00_00_70}', "");
Expect(0, 119664, '\P{^Is_Numeric_Value=+00_00_00_70}', "");
Error('\p{Is_Nv=_0_0_0_0_0070/a/}');
Error('\P{Is_Nv=_0_0_0_0_0070/a/}');
Expect(1, 119663, '\p{Is_Nv=+7_0}', "");
Expect(0, 119663, '\p{^Is_Nv=+7_0}', "");
Expect(0, 119663, '\P{Is_Nv=+7_0}', "");
Expect(1, 119663, '\P{^Is_Nv=+7_0}', "");
Expect(0, 119664, '\p{Is_Nv=+7_0}', "");
Expect(1, 119664, '\p{^Is_Nv=+7_0}', "");
Expect(1, 119664, '\P{Is_Nv=+7_0}', "");
Expect(0, 119664, '\P{^Is_Nv=+7_0}', "");
Error('\p{Numeric_Value= _+00000700:=}');
Error('\P{Numeric_Value= _+00000700:=}');
Expect(1, 69240, '\p{Numeric_Value=700}', "");
Expect(0, 69240, '\p{^Numeric_Value=700}', "");
Expect(0, 69240, '\P{Numeric_Value=700}', "");
Expect(1, 69240, '\P{^Numeric_Value=700}', "");
Expect(0, 69241, '\p{Numeric_Value=700}', "");
Expect(1, 69241, '\p{^Numeric_Value=700}', "");
Expect(1, 69241, '\P{Numeric_Value=700}', "");
Expect(0, 69241, '\P{^Numeric_Value=700}', "");
Error('\p{Nv=:=	00000000700}');
Error('\P{Nv=:=	00000000700}');
Expect(1, 69240, '\p{Nv=0_0_0_0_0_700}', "");
Expect(0, 69240, '\p{^Nv=0_0_0_0_0_700}', "");
Expect(0, 69240, '\P{Nv=0_0_0_0_0_700}', "");
Expect(1, 69240, '\P{^Nv=0_0_0_0_0_700}', "");
Expect(0, 69241, '\p{Nv=0_0_0_0_0_700}', "");
Expect(1, 69241, '\p{^Nv=0_0_0_0_0_700}', "");
Expect(1, 69241, '\P{Nv=0_0_0_0_0_700}', "");
Expect(0, 69241, '\P{^Nv=0_0_0_0_0_700}', "");
Error('\p{Is_Numeric_Value=_:=+000000000700}');
Error('\P{Is_Numeric_Value=_:=+000000000700}');
Expect(1, 69240, '\p{Is_Numeric_Value=+00000700}', "");
Expect(0, 69240, '\p{^Is_Numeric_Value=+00000700}', "");
Expect(0, 69240, '\P{Is_Numeric_Value=+00000700}', "");
Expect(1, 69240, '\P{^Is_Numeric_Value=+00000700}', "");
Expect(0, 69241, '\p{Is_Numeric_Value=+00000700}', "");
Expect(1, 69241, '\p{^Is_Numeric_Value=+00000700}', "");
Expect(1, 69241, '\P{Is_Numeric_Value=+00000700}', "");
Expect(0, 69241, '\P{^Is_Numeric_Value=+00000700}', "");
Error('\p{Is_Nv= /a/000000700}');
Error('\P{Is_Nv= /a/000000700}');
Expect(1, 69240, '\p{Is_Nv=+00000000700}', "");
Expect(0, 69240, '\p{^Is_Nv=+00000000700}', "");
Expect(0, 69240, '\P{Is_Nv=+00000000700}', "");
Expect(1, 69240, '\P{^Is_Nv=+00000000700}', "");
Expect(0, 69241, '\p{Is_Nv=+00000000700}', "");
Expect(1, 69241, '\p{^Is_Nv=+00000000700}', "");
Expect(1, 69241, '\P{Is_Nv=+00000000700}', "");
Expect(0, 69241, '\P{^Is_Nv=+00000000700}', "");
Error('\p{Numeric_Value=:= _00007000}');
Error('\P{Numeric_Value=:= _00007000}');
Expect(1, 68065, '\p{Numeric_Value=+00700_0}', "");
Expect(0, 68065, '\p{^Numeric_Value=+00700_0}', "");
Expect(0, 68065, '\P{Numeric_Value=+00700_0}', "");
Expect(1, 68065, '\P{^Numeric_Value=+00700_0}', "");
Expect(0, 68066, '\p{Numeric_Value=+00700_0}', "");
Expect(1, 68066, '\p{^Numeric_Value=+00700_0}', "");
Expect(1, 68066, '\P{Numeric_Value=+00700_0}', "");
Expect(0, 68066, '\P{^Numeric_Value=+00700_0}', "");
Error('\p{Nv= _+0000000007000/a/}');
Error('\P{Nv= _+0000000007000/a/}');
Expect(1, 68065, '\p{Nv=007000}', "");
Expect(0, 68065, '\p{^Nv=007000}', "");
Expect(0, 68065, '\P{Nv=007000}', "");
Expect(1, 68065, '\P{^Nv=007000}', "");
Expect(0, 68066, '\p{Nv=007000}', "");
Expect(1, 68066, '\p{^Nv=007000}', "");
Expect(1, 68066, '\P{Nv=007000}', "");
Expect(0, 68066, '\P{^Nv=007000}', "");
Error('\p{Is_Numeric_Value=_:=00000007000}');
Error('\P{Is_Numeric_Value=_:=00000007000}');
Expect(1, 68065, '\p{Is_Numeric_Value=0_0_0_0_7_0_00}', "");
Expect(0, 68065, '\p{^Is_Numeric_Value=0_0_0_0_7_0_00}', "");
Expect(0, 68065, '\P{Is_Numeric_Value=0_0_0_0_7_0_00}', "");
Expect(1, 68065, '\P{^Is_Numeric_Value=0_0_0_0_7_0_00}', "");
Expect(0, 68066, '\p{Is_Numeric_Value=0_0_0_0_7_0_00}', "");
Expect(1, 68066, '\p{^Is_Numeric_Value=0_0_0_0_7_0_00}', "");
Expect(1, 68066, '\P{Is_Numeric_Value=0_0_0_0_7_0_00}', "");
Expect(0, 68066, '\P{^Is_Numeric_Value=0_0_0_0_7_0_00}', "");
Error('\p{Is_Nv=/a/	 000007000}');
Error('\P{Is_Nv=/a/	 000007000}');
Expect(1, 68065, '\p{Is_Nv=007000}', "");
Expect(0, 68065, '\p{^Is_Nv=007000}', "");
Expect(0, 68065, '\P{Is_Nv=007000}', "");
Expect(1, 68065, '\P{^Is_Nv=007000}', "");
Expect(0, 68066, '\p{Is_Nv=007000}', "");
Expect(1, 68066, '\p{^Is_Nv=007000}', "");
Expect(1, 68066, '\P{Is_Nv=007000}', "");
Expect(0, 68066, '\P{^Is_Nv=007000}', "");
Error('\p{Numeric_Value=	/a/0000000070000}');
Error('\P{Numeric_Value=	/a/0000000070000}');
Expect(1, 68074, '\p{Numeric_Value: 00000070000}', "");
Expect(0, 68074, '\p{^Numeric_Value: 00000070000}', "");
Expect(0, 68074, '\P{Numeric_Value: 00000070000}', "");
Expect(1, 68074, '\P{^Numeric_Value: 00000070000}', "");
Expect(0, 68075, '\p{Numeric_Value: 00000070000}', "");
Expect(1, 68075, '\p{^Numeric_Value: 00000070000}', "");
Expect(1, 68075, '\P{Numeric_Value: 00000070000}', "");
Expect(0, 68075, '\P{^Numeric_Value: 00000070000}', "");
Error('\p{Nv=_000000007000_0:=}');
Error('\P{Nv=_000000007000_0:=}');
Expect(1, 68074, '\p{Nv=0000070000}', "");
Expect(0, 68074, '\p{^Nv=0000070000}', "");
Expect(0, 68074, '\P{Nv=0000070000}', "");
Expect(1, 68074, '\P{^Nv=0000070000}', "");
Expect(0, 68075, '\p{Nv=0000070000}', "");
Expect(1, 68075, '\p{^Nv=0000070000}', "");
Expect(1, 68075, '\P{Nv=0000070000}', "");
Expect(0, 68075, '\P{^Nv=0000070000}', "");
Error('\p{Is_Numeric_Value:-	00000_07000_0:=}');
Error('\P{Is_Numeric_Value:-	00000_07000_0:=}');
Expect(1, 68074, '\p{Is_Numeric_Value=+0000070000}', "");
Expect(0, 68074, '\p{^Is_Numeric_Value=+0000070000}', "");
Expect(0, 68074, '\P{Is_Numeric_Value=+0000070000}', "");
Expect(1, 68074, '\P{^Is_Numeric_Value=+0000070000}', "");
Expect(0, 68075, '\p{Is_Numeric_Value=+0000070000}', "");
Expect(1, 68075, '\p{^Is_Numeric_Value=+0000070000}', "");
Expect(1, 68075, '\P{Is_Numeric_Value=+0000070000}', "");
Expect(0, 68075, '\P{^Is_Numeric_Value=+0000070000}', "");
Error('\p{Is_Nv=		000_700_00:=}');
Error('\P{Is_Nv=		000_700_00:=}');
Expect(1, 68074, '\p{Is_Nv=70000}', "");
Expect(0, 68074, '\p{^Is_Nv=70000}', "");
Expect(0, 68074, '\P{Is_Nv=70000}', "");
Expect(1, 68074, '\P{^Is_Nv=70000}', "");
Expect(0, 68075, '\p{Is_Nv=70000}', "");
Expect(1, 68075, '\p{^Is_Nv=70000}', "");
Expect(1, 68075, '\P{Is_Nv=70000}', "");
Expect(0, 68075, '\P{^Is_Nv=70000}', "");
Error('\p{Numeric_Value=/a/-00000_07000_00}');
Error('\P{Numeric_Value=/a/-00000_07000_00}');
Expect(1, 68083, '\p{Numeric_Value=+000_007_000_00}', "");
Expect(0, 68083, '\p{^Numeric_Value=+000_007_000_00}', "");
Expect(0, 68083, '\P{Numeric_Value=+000_007_000_00}', "");
Expect(1, 68083, '\P{^Numeric_Value=+000_007_000_00}', "");
Expect(0, 68084, '\p{Numeric_Value=+000_007_000_00}', "");
Expect(1, 68084, '\p{^Numeric_Value=+000_007_000_00}', "");
Expect(1, 68084, '\P{Numeric_Value=+000_007_000_00}', "");
Expect(0, 68084, '\P{^Numeric_Value=+000_007_000_00}', "");
Error('\p{Nv=_ 000000_070000_0:=}');
Error('\P{Nv=_ 000000_070000_0:=}');
Expect(1, 68083, '\p{Nv=+00_00_00_00_07_00_000}', "");
Expect(0, 68083, '\p{^Nv=+00_00_00_00_07_00_000}', "");
Expect(0, 68083, '\P{Nv=+00_00_00_00_07_00_000}', "");
Expect(1, 68083, '\P{^Nv=+00_00_00_00_07_00_000}', "");
Expect(0, 68084, '\p{Nv=+00_00_00_00_07_00_000}', "");
Expect(1, 68084, '\p{^Nv=+00_00_00_00_07_00_000}', "");
Expect(1, 68084, '\P{Nv=+00_00_00_00_07_00_000}', "");
Expect(0, 68084, '\P{^Nv=+00_00_00_00_07_00_000}', "");
Error('\p{Is_Numeric_Value=-0_0_7_0_0_0_00:=}');
Error('\P{Is_Numeric_Value=-0_0_7_0_0_0_00:=}');
Expect(1, 68083, '\p{Is_Numeric_Value: 0000000700000}', "");
Expect(0, 68083, '\p{^Is_Numeric_Value: 0000000700000}', "");
Expect(0, 68083, '\P{Is_Numeric_Value: 0000000700000}', "");
Expect(1, 68083, '\P{^Is_Numeric_Value: 0000000700000}', "");
Expect(0, 68084, '\p{Is_Numeric_Value: 0000000700000}', "");
Expect(1, 68084, '\p{^Is_Numeric_Value: 0000000700000}', "");
Expect(1, 68084, '\P{Is_Numeric_Value: 0000000700000}', "");
Expect(0, 68084, '\P{^Is_Numeric_Value: 0000000700000}', "");
Error('\p{Is_Nv=:=	_0700000}');
Error('\P{Is_Nv=:=	_0700000}');
Expect(1, 68083, '\p{Is_Nv:+00000_07000_00}', "");
Expect(0, 68083, '\p{^Is_Nv:+00000_07000_00}', "");
Expect(0, 68083, '\P{Is_Nv:+00000_07000_00}', "");
Expect(1, 68083, '\P{^Is_Nv:+00000_07000_00}', "");
Expect(0, 68084, '\p{Is_Nv:+00000_07000_00}', "");
Expect(1, 68084, '\p{^Is_Nv:+00000_07000_00}', "");
Expect(1, 68084, '\P{Is_Nv:+00000_07000_00}', "");
Expect(0, 68084, '\P{^Is_Nv:+00000_07000_00}', "");
Error('\p{Numeric_Value=_08:=}');
Error('\P{Numeric_Value=_08:=}');
Expect(1, 127241, '\p{Numeric_Value=0_0_0_0_0_0_08}', "");
Expect(0, 127241, '\p{^Numeric_Value=0_0_0_0_0_0_08}', "");
Expect(0, 127241, '\P{Numeric_Value=0_0_0_0_0_0_08}', "");
Expect(1, 127241, '\P{^Numeric_Value=0_0_0_0_0_0_08}', "");
Expect(0, 127242, '\p{Numeric_Value=0_0_0_0_0_0_08}', "");
Expect(1, 127242, '\p{^Numeric_Value=0_0_0_0_0_0_08}', "");
Expect(1, 127242, '\P{Numeric_Value=0_0_0_0_0_0_08}', "");
Expect(0, 127242, '\P{^Numeric_Value=0_0_0_0_0_0_08}', "");
Error('\p{Nv=--00000008:=}');
Error('\P{Nv=--00000008:=}');
Expect(1, 127241, '\p{Nv=0_0_0_0_0_08}', "");
Expect(0, 127241, '\p{^Nv=0_0_0_0_0_08}', "");
Expect(0, 127241, '\P{Nv=0_0_0_0_0_08}', "");
Expect(1, 127241, '\P{^Nv=0_0_0_0_0_08}', "");
Expect(0, 127242, '\p{Nv=0_0_0_0_0_08}', "");
Expect(1, 127242, '\p{^Nv=0_0_0_0_0_08}', "");
Expect(1, 127242, '\P{Nv=0_0_0_0_0_08}', "");
Expect(0, 127242, '\P{^Nv=0_0_0_0_0_08}', "");
Error('\p{Is_Numeric_Value=_+00008:=}');
Error('\P{Is_Numeric_Value=_+00008:=}');
Expect(1, 127241, '\p{Is_Numeric_Value:+00008}', "");
Expect(0, 127241, '\p{^Is_Numeric_Value:+00008}', "");
Expect(0, 127241, '\P{Is_Numeric_Value:+00008}', "");
Expect(1, 127241, '\P{^Is_Numeric_Value:+00008}', "");
Expect(0, 127242, '\p{Is_Numeric_Value:+00008}', "");
Expect(1, 127242, '\p{^Is_Numeric_Value:+00008}', "");
Expect(1, 127242, '\P{Is_Numeric_Value:+00008}', "");
Expect(0, 127242, '\P{^Is_Numeric_Value:+00008}', "");
Error('\p{Is_Nv=:= 0_0_0_0_0_008}');
Error('\P{Is_Nv=:= 0_0_0_0_0_008}');
Expect(1, 127241, '\p{Is_Nv=00_8}', "");
Expect(0, 127241, '\p{^Is_Nv=00_8}', "");
Expect(0, 127241, '\P{Is_Nv=00_8}', "");
Expect(1, 127241, '\P{^Is_Nv=00_8}', "");
Expect(0, 127242, '\p{Is_Nv=00_8}', "");
Expect(1, 127242, '\p{^Is_Nv=00_8}', "");
Expect(1, 127242, '\P{Is_Nv=00_8}', "");
Expect(0, 127242, '\P{^Is_Nv=00_8}', "");
Error('\p{Numeric_Value=-:=0_0_80}');
Error('\P{Numeric_Value=-:=0_0_80}');
Expect(1, 119664, '\p{Numeric_Value=000000080}', "");
Expect(0, 119664, '\p{^Numeric_Value=000000080}', "");
Expect(0, 119664, '\P{Numeric_Value=000000080}', "");
Expect(1, 119664, '\P{^Numeric_Value=000000080}', "");
Expect(0, 119665, '\p{Numeric_Value=000000080}', "");
Expect(1, 119665, '\p{^Numeric_Value=000000080}', "");
Expect(1, 119665, '\P{Numeric_Value=000000080}', "");
Expect(0, 119665, '\P{^Numeric_Value=000000080}', "");
Error('\p{Nv=/a/_08_0}');
Error('\P{Nv=/a/_08_0}');
Expect(1, 119664, '\p{Nv:	00080}', "");
Expect(0, 119664, '\p{^Nv:	00080}', "");
Expect(0, 119664, '\P{Nv:	00080}', "");
Expect(1, 119664, '\P{^Nv:	00080}', "");
Expect(0, 119665, '\p{Nv:	00080}', "");
Expect(1, 119665, '\p{^Nv:	00080}', "");
Expect(1, 119665, '\P{Nv:	00080}', "");
Expect(0, 119665, '\P{^Nv:	00080}', "");
Error('\p{Is_Numeric_Value=_0000080/a/}');
Error('\P{Is_Numeric_Value=_0000080/a/}');
Expect(1, 119664, '\p{Is_Numeric_Value=000080}', "");
Expect(0, 119664, '\p{^Is_Numeric_Value=000080}', "");
Expect(0, 119664, '\P{Is_Numeric_Value=000080}', "");
Expect(1, 119664, '\P{^Is_Numeric_Value=000080}', "");
Expect(0, 119665, '\p{Is_Numeric_Value=000080}', "");
Expect(1, 119665, '\p{^Is_Numeric_Value=000080}', "");
Expect(1, 119665, '\P{Is_Numeric_Value=000080}', "");
Expect(0, 119665, '\P{^Is_Numeric_Value=000080}', "");
Error('\p{Is_Nv=/a/-	0080}');
Error('\P{Is_Nv=/a/-	0080}');
Expect(1, 119664, '\p{Is_Nv=0000008_0}', "");
Expect(0, 119664, '\p{^Is_Nv=0000008_0}', "");
Expect(0, 119664, '\P{Is_Nv=0000008_0}', "");
Expect(1, 119664, '\P{^Is_Nv=0000008_0}', "");
Expect(0, 119665, '\p{Is_Nv=0000008_0}', "");
Expect(1, 119665, '\p{^Is_Nv=0000008_0}', "");
Expect(1, 119665, '\P{Is_Nv=0000008_0}', "");
Expect(0, 119665, '\P{^Is_Nv=0000008_0}', "");
Error('\p{Numeric_Value: 		0000000800/a/}');
Error('\P{Numeric_Value: 		0000000800/a/}');
Expect(1, 69241, '\p{Numeric_Value=000000000800}', "");
Expect(0, 69241, '\p{^Numeric_Value=000000000800}', "");
Expect(0, 69241, '\P{Numeric_Value=000000000800}', "");
Expect(1, 69241, '\P{^Numeric_Value=000000000800}', "");
Expect(0, 69242, '\p{Numeric_Value=000000000800}', "");
Expect(1, 69242, '\p{^Numeric_Value=000000000800}', "");
Expect(1, 69242, '\P{Numeric_Value=000000000800}', "");
Expect(0, 69242, '\P{^Numeric_Value=000000000800}', "");
Error('\p{Nv:	_0_8_00:=}');
Error('\P{Nv:	_0_8_00:=}');
Expect(1, 69241, '\p{Nv=+0080_0}', "");
Expect(0, 69241, '\p{^Nv=+0080_0}', "");
Expect(0, 69241, '\P{Nv=+0080_0}', "");
Expect(1, 69241, '\P{^Nv=+0080_0}', "");
Expect(0, 69242, '\p{Nv=+0080_0}', "");
Expect(1, 69242, '\p{^Nv=+0080_0}', "");
Expect(1, 69242, '\P{Nv=+0080_0}', "");
Expect(0, 69242, '\P{^Nv=+0080_0}', "");
Error('\p{Is_Numeric_Value=:=_+000000800}');
Error('\P{Is_Numeric_Value=:=_+000000800}');
Expect(1, 69241, '\p{Is_Numeric_Value: 000000000800}', "");
Expect(0, 69241, '\p{^Is_Numeric_Value: 000000000800}', "");
Expect(0, 69241, '\P{Is_Numeric_Value: 000000000800}', "");
Expect(1, 69241, '\P{^Is_Numeric_Value: 000000000800}', "");
Expect(0, 69242, '\p{Is_Numeric_Value: 000000000800}', "");
Expect(1, 69242, '\p{^Is_Numeric_Value: 000000000800}', "");
Expect(1, 69242, '\P{Is_Numeric_Value: 000000000800}', "");
Expect(0, 69242, '\P{^Is_Numeric_Value: 000000000800}', "");
Error('\p{Is_Nv=:=	_00_00_00_08_00}');
Error('\P{Is_Nv=:=	_00_00_00_08_00}');
Expect(1, 69241, '\p{Is_Nv=00000000800}', "");
Expect(0, 69241, '\p{^Is_Nv=00000000800}', "");
Expect(0, 69241, '\P{Is_Nv=00000000800}', "");
Expect(1, 69241, '\P{^Is_Nv=00000000800}', "");
Expect(0, 69242, '\p{Is_Nv=00000000800}', "");
Expect(1, 69242, '\p{^Is_Nv=00000000800}', "");
Expect(1, 69242, '\P{Is_Nv=00000000800}', "");
Expect(0, 69242, '\P{^Is_Nv=00000000800}', "");
Error('\p{Numeric_Value=	:=08_00_0}');
Error('\P{Numeric_Value=	:=08_00_0}');
Expect(1, 68066, '\p{Numeric_Value: 0_0_0_0_8000}', "");
Expect(0, 68066, '\p{^Numeric_Value: 0_0_0_0_8000}', "");
Expect(0, 68066, '\P{Numeric_Value: 0_0_0_0_8000}', "");
Expect(1, 68066, '\P{^Numeric_Value: 0_0_0_0_8000}', "");
Expect(0, 68067, '\p{Numeric_Value: 0_0_0_0_8000}', "");
Expect(1, 68067, '\p{^Numeric_Value: 0_0_0_0_8000}', "");
Expect(1, 68067, '\P{Numeric_Value: 0_0_0_0_8000}', "");
Expect(0, 68067, '\P{^Numeric_Value: 0_0_0_0_8000}', "");
Error('\p{Nv:   _00008000/a/}');
Error('\P{Nv:   _00008000/a/}');
Expect(1, 68066, '\p{Nv=08_00_0}', "");
Expect(0, 68066, '\p{^Nv=08_00_0}', "");
Expect(0, 68066, '\P{Nv=08_00_0}', "");
Expect(1, 68066, '\P{^Nv=08_00_0}', "");
Expect(0, 68067, '\p{Nv=08_00_0}', "");
Expect(1, 68067, '\p{^Nv=08_00_0}', "");
Expect(1, 68067, '\P{Nv=08_00_0}', "");
Expect(0, 68067, '\P{^Nv=08_00_0}', "");
Error('\p{Is_Numeric_Value=/a/000800_0}');
Error('\P{Is_Numeric_Value=/a/000800_0}');
Expect(1, 68066, '\p{Is_Numeric_Value=8_0_00}', "");
Expect(0, 68066, '\p{^Is_Numeric_Value=8_0_00}', "");
Expect(0, 68066, '\P{Is_Numeric_Value=8_0_00}', "");
Expect(1, 68066, '\P{^Is_Numeric_Value=8_0_00}', "");
Expect(0, 68067, '\p{Is_Numeric_Value=8_0_00}', "");
Expect(1, 68067, '\p{^Is_Numeric_Value=8_0_00}', "");
Expect(1, 68067, '\P{Is_Numeric_Value=8_0_00}', "");
Expect(0, 68067, '\P{^Is_Numeric_Value=8_0_00}', "");
Error('\p{Is_Nv=	:=+00008000}');
Error('\P{Is_Nv=	:=+00008000}');
Expect(1, 68066, '\p{Is_Nv=+000_000_008_000}', "");
Expect(0, 68066, '\p{^Is_Nv=+000_000_008_000}', "");
Expect(0, 68066, '\P{Is_Nv=+000_000_008_000}', "");
Expect(1, 68066, '\P{^Is_Nv=+000_000_008_000}', "");
Expect(0, 68067, '\p{Is_Nv=+000_000_008_000}', "");
Expect(1, 68067, '\p{^Is_Nv=+000_000_008_000}', "");
Expect(1, 68067, '\P{Is_Nv=+000_000_008_000}', "");
Expect(0, 68067, '\P{^Is_Nv=+000_000_008_000}', "");
Error('\p{Numeric_Value=	 000080000/a/}');
Error('\P{Numeric_Value=	 000080000/a/}');
Expect(1, 68075, '\p{Numeric_Value:   +00000000080000}', "");
Expect(0, 68075, '\p{^Numeric_Value:   +00000000080000}', "");
Expect(0, 68075, '\P{Numeric_Value:   +00000000080000}', "");
Expect(1, 68075, '\P{^Numeric_Value:   +00000000080000}', "");
Expect(0, 68076, '\p{Numeric_Value:   +00000000080000}', "");
Expect(1, 68076, '\p{^Numeric_Value:   +00000000080000}', "");
Expect(1, 68076, '\P{Numeric_Value:   +00000000080000}', "");
Expect(0, 68076, '\P{^Numeric_Value:   +00000000080000}', "");
Error('\p{Nv=:=80000}');
Error('\P{Nv=:=80000}');
Expect(1, 68075, '\p{Nv=0000_0000_8000_0}', "");
Expect(0, 68075, '\p{^Nv=0000_0000_8000_0}', "");
Expect(0, 68075, '\P{Nv=0000_0000_8000_0}', "");
Expect(1, 68075, '\P{^Nv=0000_0000_8000_0}', "");
Expect(0, 68076, '\p{Nv=0000_0000_8000_0}', "");
Expect(1, 68076, '\p{^Nv=0000_0000_8000_0}', "");
Expect(1, 68076, '\P{Nv=0000_0000_8000_0}', "");
Expect(0, 68076, '\P{^Nv=0000_0000_8000_0}', "");
Error('\p{Is_Numeric_Value=-/a/0000_0800_00}');
Error('\P{Is_Numeric_Value=-/a/0000_0800_00}');
Expect(1, 68075, '\p{Is_Numeric_Value=8000_0}', "");
Expect(0, 68075, '\p{^Is_Numeric_Value=8000_0}', "");
Expect(0, 68075, '\P{Is_Numeric_Value=8000_0}', "");
Expect(1, 68075, '\P{^Is_Numeric_Value=8000_0}', "");
Expect(0, 68076, '\p{Is_Numeric_Value=8000_0}', "");
Expect(1, 68076, '\p{^Is_Numeric_Value=8000_0}', "");
Expect(1, 68076, '\P{Is_Numeric_Value=8000_0}', "");
Expect(0, 68076, '\P{^Is_Numeric_Value=8000_0}', "");
Error('\p{Is_Nv=/a/	 +00_00_00_08_00_00}');
Error('\P{Is_Nv=/a/	 +00_00_00_08_00_00}');
Expect(1, 68075, '\p{Is_Nv=000000080000}', "");
Expect(0, 68075, '\p{^Is_Nv=000000080000}', "");
Expect(0, 68075, '\P{Is_Nv=000000080000}', "");
Expect(1, 68075, '\P{^Is_Nv=000000080000}', "");
Expect(0, 68076, '\p{Is_Nv=000000080000}', "");
Expect(1, 68076, '\p{^Is_Nv=000000080000}', "");
Expect(1, 68076, '\P{Is_Nv=000000080000}', "");
Expect(0, 68076, '\P{^Is_Nv=000000080000}', "");
Error('\p{Numeric_Value=:=	080000_0}');
Error('\P{Numeric_Value=:=	080000_0}');
Expect(1, 68084, '\p{Numeric_Value=000000000800000}', "");
Expect(0, 68084, '\p{^Numeric_Value=000000000800000}', "");
Expect(0, 68084, '\P{Numeric_Value=000000000800000}', "");
Expect(1, 68084, '\P{^Numeric_Value=000000000800000}', "");
Expect(0, 68085, '\p{Numeric_Value=000000000800000}', "");
Expect(1, 68085, '\p{^Numeric_Value=000000000800000}', "");
Expect(1, 68085, '\P{Numeric_Value=000000000800000}', "");
Expect(0, 68085, '\P{^Numeric_Value=000000000800000}', "");
Error('\p{Nv=-:=000000800000}');
Error('\P{Nv=-:=000000800000}');
Expect(1, 68084, '\p{Nv=0_0_0_0_0_0_0_800000}', "");
Expect(0, 68084, '\p{^Nv=0_0_0_0_0_0_0_800000}', "");
Expect(0, 68084, '\P{Nv=0_0_0_0_0_0_0_800000}', "");
Expect(1, 68084, '\P{^Nv=0_0_0_0_0_0_0_800000}', "");
Expect(0, 68085, '\p{Nv=0_0_0_0_0_0_0_800000}', "");
Expect(1, 68085, '\p{^Nv=0_0_0_0_0_0_0_800000}', "");
Expect(1, 68085, '\P{Nv=0_0_0_0_0_0_0_800000}', "");
Expect(0, 68085, '\P{^Nv=0_0_0_0_0_0_0_800000}', "");
Error('\p{Is_Numeric_Value:	- +000_000_800_000:=}');
Error('\P{Is_Numeric_Value:	- +000_000_800_000:=}');
Expect(1, 68084, '\p{Is_Numeric_Value=0_8_0_0_0_00}', "");
Expect(0, 68084, '\p{^Is_Numeric_Value=0_8_0_0_0_00}', "");
Expect(0, 68084, '\P{Is_Numeric_Value=0_8_0_0_0_00}', "");
Expect(1, 68084, '\P{^Is_Numeric_Value=0_8_0_0_0_00}', "");
Expect(0, 68085, '\p{Is_Numeric_Value=0_8_0_0_0_00}', "");
Expect(1, 68085, '\p{^Is_Numeric_Value=0_8_0_0_0_00}', "");
Expect(1, 68085, '\P{Is_Numeric_Value=0_8_0_0_0_00}', "");
Expect(0, 68085, '\P{^Is_Numeric_Value=0_8_0_0_0_00}', "");
Error('\p{Is_Nv=:=		0000800000}');
Error('\P{Is_Nv=:=		0000800000}');
Expect(1, 68084, '\p{Is_Nv=+800000}', "");
Expect(0, 68084, '\p{^Is_Nv=+800000}', "");
Expect(0, 68084, '\P{Is_Nv=+800000}', "");
Expect(1, 68084, '\P{^Is_Nv=+800000}', "");
Expect(0, 68085, '\p{Is_Nv=+800000}', "");
Expect(1, 68085, '\p{^Is_Nv=+800000}', "");
Expect(1, 68085, '\P{Is_Nv=+800000}', "");
Expect(0, 68085, '\P{^Is_Nv=+800000}', "");
Error('\p{Numeric_Value=  0000000009:=}');
Error('\P{Numeric_Value=  0000000009:=}');
Expect(1, 194704, '\p{Numeric_Value=9}', "");
Expect(0, 194704, '\p{^Numeric_Value=9}', "");
Expect(0, 194704, '\P{Numeric_Value=9}', "");
Expect(1, 194704, '\P{^Numeric_Value=9}', "");
Expect(0, 194705, '\p{Numeric_Value=9}', "");
Expect(1, 194705, '\p{^Numeric_Value=9}', "");
Expect(1, 194705, '\P{Numeric_Value=9}', "");
Expect(0, 194705, '\P{^Numeric_Value=9}', "");
Error('\p{Nv=/a/_00009}');
Error('\P{Nv=/a/_00009}');
Expect(1, 194704, '\p{Nv=00_9}', "");
Expect(0, 194704, '\p{^Nv=00_9}', "");
Expect(0, 194704, '\P{Nv=00_9}', "");
Expect(1, 194704, '\P{^Nv=00_9}', "");
Expect(0, 194705, '\p{Nv=00_9}', "");
Expect(1, 194705, '\p{^Nv=00_9}', "");
Expect(1, 194705, '\P{Nv=00_9}', "");
Expect(0, 194705, '\P{^Nv=00_9}', "");
Error('\p{Is_Numeric_Value=_-00009/a/}');
Error('\P{Is_Numeric_Value=_-00009/a/}');
Expect(1, 194704, '\p{Is_Numeric_Value=+000_9}', "");
Expect(0, 194704, '\p{^Is_Numeric_Value=+000_9}', "");
Expect(0, 194704, '\P{Is_Numeric_Value=+000_9}', "");
Expect(1, 194704, '\P{^Is_Numeric_Value=+000_9}', "");
Expect(0, 194705, '\p{Is_Numeric_Value=+000_9}', "");
Expect(1, 194705, '\p{^Is_Numeric_Value=+000_9}', "");
Expect(1, 194705, '\P{Is_Numeric_Value=+000_9}', "");
Expect(0, 194705, '\P{^Is_Numeric_Value=+000_9}', "");
Error('\p{Is_Nv= /a/0000000009}');
Error('\P{Is_Nv= /a/0000000009}');
Expect(1, 194704, '\p{Is_Nv=00000_9}', "");
Expect(0, 194704, '\p{^Is_Nv=00000_9}', "");
Expect(0, 194704, '\P{Is_Nv=00000_9}', "");
Expect(1, 194704, '\P{^Is_Nv=00000_9}', "");
Expect(0, 194705, '\p{Is_Nv=00000_9}', "");
Expect(1, 194705, '\p{^Is_Nv=00000_9}', "");
Expect(1, 194705, '\P{Is_Nv=00000_9}', "");
Expect(0, 194705, '\P{^Is_Nv=00000_9}', "");
Error('\p{Numeric_Value=/a/ 09/000002}');
Error('\P{Numeric_Value=/a/ 09/000002}');
Expect(1, 3886, '\p{Numeric_Value=+0000000009/00002}', "");
Expect(0, 3886, '\p{^Numeric_Value=+0000000009/00002}', "");
Expect(0, 3886, '\P{Numeric_Value=+0000000009/00002}', "");
Expect(1, 3886, '\P{^Numeric_Value=+0000000009/00002}', "");
Expect(0, 3887, '\p{Numeric_Value=+0000000009/00002}', "");
Expect(1, 3887, '\p{^Numeric_Value=+0000000009/00002}', "");
Expect(1, 3887, '\P{Numeric_Value=+0000000009/00002}', "");
Expect(0, 3887, '\P{^Numeric_Value=+0000000009/00002}', "");
Expect(1, 3886, '\p{Numeric_Value=4.500}', "");
Expect(0, 3886, '\p{^Numeric_Value=4.500}', "");
Expect(0, 3886, '\P{Numeric_Value=4.500}', "");
Expect(1, 3886, '\P{^Numeric_Value=4.500}', "");
Expect(0, 3887, '\p{Numeric_Value=4.500}', "");
Expect(1, 3887, '\p{^Numeric_Value=4.500}', "");
Expect(1, 3887, '\P{Numeric_Value=4.500}', "");
Expect(0, 3887, '\P{^Numeric_Value=4.500}', "");
Error('\p{Nv=		00000009/000000002:=}');
Error('\P{Nv=		00000009/000000002:=}');
Expect(1, 3886, '\p{Nv=000000009/00002}', "");
Expect(0, 3886, '\p{^Nv=000000009/00002}', "");
Expect(0, 3886, '\P{Nv=000000009/00002}', "");
Expect(1, 3886, '\P{^Nv=000000009/00002}', "");
Expect(0, 3887, '\p{Nv=000000009/00002}', "");
Expect(1, 3887, '\p{^Nv=000000009/00002}', "");
Expect(1, 3887, '\P{Nv=000000009/00002}', "");
Expect(0, 3887, '\P{^Nv=000000009/00002}', "");
Expect(1, 3886, '\p{Nv=4.500}', "");
Expect(0, 3886, '\p{^Nv=4.500}', "");
Expect(0, 3886, '\P{Nv=4.500}', "");
Expect(1, 3886, '\P{^Nv=4.500}', "");
Expect(0, 3887, '\p{Nv=4.500}', "");
Expect(1, 3887, '\p{^Nv=4.500}', "");
Expect(1, 3887, '\P{Nv=4.500}', "");
Expect(0, 3887, '\P{^Nv=4.500}', "");
Error('\p{Is_Numeric_Value=-/a/+000000009/0002}');
Error('\P{Is_Numeric_Value=-/a/+000000009/0002}');
Expect(1, 3886, '\p{Is_Numeric_Value=000000009/02}', "");
Expect(0, 3886, '\p{^Is_Numeric_Value=000000009/02}', "");
Expect(0, 3886, '\P{Is_Numeric_Value=000000009/02}', "");
Expect(1, 3886, '\P{^Is_Numeric_Value=000000009/02}', "");
Expect(0, 3887, '\p{Is_Numeric_Value=000000009/02}', "");
Expect(1, 3887, '\p{^Is_Numeric_Value=000000009/02}', "");
Expect(1, 3887, '\P{Is_Numeric_Value=000000009/02}', "");
Expect(0, 3887, '\P{^Is_Numeric_Value=000000009/02}', "");
Expect(1, 3886, '\p{Is_Numeric_Value=4.500}', "");
Expect(0, 3886, '\p{^Is_Numeric_Value=4.500}', "");
Expect(0, 3886, '\P{Is_Numeric_Value=4.500}', "");
Expect(1, 3886, '\P{^Is_Numeric_Value=4.500}', "");
Expect(0, 3887, '\p{Is_Numeric_Value=4.500}', "");
Expect(1, 3887, '\p{^Is_Numeric_Value=4.500}', "");
Expect(1, 3887, '\P{Is_Numeric_Value=4.500}', "");
Expect(0, 3887, '\P{^Is_Numeric_Value=4.500}', "");
Error('\p{Is_Nv= /a/000000009/002}');
Error('\P{Is_Nv= /a/000000009/002}');
Expect(1, 3886, '\p{Is_Nv=0000009/0002}', "");
Expect(0, 3886, '\p{^Is_Nv=0000009/0002}', "");
Expect(0, 3886, '\P{Is_Nv=0000009/0002}', "");
Expect(1, 3886, '\P{^Is_Nv=0000009/0002}', "");
Expect(0, 3887, '\p{Is_Nv=0000009/0002}', "");
Expect(1, 3887, '\p{^Is_Nv=0000009/0002}', "");
Expect(1, 3887, '\P{Is_Nv=0000009/0002}', "");
Expect(0, 3887, '\P{^Is_Nv=0000009/0002}', "");
Expect(1, 3886, '\p{Is_Nv=4.500}', "");
Expect(0, 3886, '\p{^Is_Nv=4.500}', "");
Expect(0, 3886, '\P{Is_Nv=4.500}', "");
Expect(1, 3886, '\P{^Is_Nv=4.500}', "");
Expect(0, 3887, '\p{Is_Nv=4.500}', "");
Expect(1, 3887, '\p{^Is_Nv=4.500}', "");
Expect(1, 3887, '\P{Is_Nv=4.500}', "");
Expect(0, 3887, '\P{^Is_Nv=4.500}', "");
Error('\p{Numeric_Value=--00000090/a/}');
Error('\P{Numeric_Value=--00000090/a/}');
Expect(1, 119665, '\p{Numeric_Value=00000090}', "");
Expect(0, 119665, '\p{^Numeric_Value=00000090}', "");
Expect(0, 119665, '\P{Numeric_Value=00000090}', "");
Expect(1, 119665, '\P{^Numeric_Value=00000090}', "");
Expect(0, 119666, '\p{Numeric_Value=00000090}', "");
Expect(1, 119666, '\p{^Numeric_Value=00000090}', "");
Expect(1, 119666, '\P{Numeric_Value=00000090}', "");
Expect(0, 119666, '\P{^Numeric_Value=00000090}', "");
Error('\p{Nv=-_0000000090/a/}');
Error('\P{Nv=-_0000000090/a/}');
Expect(1, 119665, '\p{Nv=+00_00_00_09_0}', "");
Expect(0, 119665, '\p{^Nv=+00_00_00_09_0}', "");
Expect(0, 119665, '\P{Nv=+00_00_00_09_0}', "");
Expect(1, 119665, '\P{^Nv=+00_00_00_09_0}', "");
Expect(0, 119666, '\p{Nv=+00_00_00_09_0}', "");
Expect(1, 119666, '\p{^Nv=+00_00_00_09_0}', "");
Expect(1, 119666, '\P{Nv=+00_00_00_09_0}', "");
Expect(0, 119666, '\P{^Nv=+00_00_00_09_0}', "");
Error('\p{Is_Numeric_Value=:=__0000000090}');
Error('\P{Is_Numeric_Value=:=__0000000090}');
Expect(1, 119665, '\p{Is_Numeric_Value=+0000009_0}', "");
Expect(0, 119665, '\p{^Is_Numeric_Value=+0000009_0}', "");
Expect(0, 119665, '\P{Is_Numeric_Value=+0000009_0}', "");
Expect(1, 119665, '\P{^Is_Numeric_Value=+0000009_0}', "");
Expect(0, 119666, '\p{Is_Numeric_Value=+0000009_0}', "");
Expect(1, 119666, '\p{^Is_Numeric_Value=+0000009_0}', "");
Expect(1, 119666, '\P{Is_Numeric_Value=+0000009_0}', "");
Expect(0, 119666, '\P{^Is_Numeric_Value=+0000009_0}', "");
Error('\p{Is_Nv=/a/_+00000090}');
Error('\P{Is_Nv=/a/_+00000090}');
Expect(1, 119665, '\p{Is_Nv=9_0}', "");
Expect(0, 119665, '\p{^Is_Nv=9_0}', "");
Expect(0, 119665, '\P{Is_Nv=9_0}', "");
Expect(1, 119665, '\P{^Is_Nv=9_0}', "");
Expect(0, 119666, '\p{Is_Nv=9_0}', "");
Expect(1, 119666, '\p{^Is_Nv=9_0}', "");
Expect(1, 119666, '\P{Is_Nv=9_0}', "");
Expect(0, 119666, '\P{^Is_Nv=9_0}', "");
Error('\p{Numeric_Value=:=	_0900}');
Error('\P{Numeric_Value=:=	_0900}');
Expect(1, 69242, '\p{Numeric_Value=0_0_0_0_0_0_900}', "");
Expect(0, 69242, '\p{^Numeric_Value=0_0_0_0_0_0_900}', "");
Expect(0, 69242, '\P{Numeric_Value=0_0_0_0_0_0_900}', "");
Expect(1, 69242, '\P{^Numeric_Value=0_0_0_0_0_0_900}', "");
Expect(0, 69243, '\p{Numeric_Value=0_0_0_0_0_0_900}', "");
Expect(1, 69243, '\p{^Numeric_Value=0_0_0_0_0_0_900}', "");
Expect(1, 69243, '\P{Numeric_Value=0_0_0_0_0_0_900}', "");
Expect(0, 69243, '\P{^Numeric_Value=0_0_0_0_0_0_900}', "");
Error('\p{Nv=:=-	0090_0}');
Error('\P{Nv=:=-	0090_0}');
Expect(1, 69242, '\p{Nv=0_0_0_0_0_0_0_9_00}', "");
Expect(0, 69242, '\p{^Nv=0_0_0_0_0_0_0_9_00}', "");
Expect(0, 69242, '\P{Nv=0_0_0_0_0_0_0_9_00}', "");
Expect(1, 69242, '\P{^Nv=0_0_0_0_0_0_0_9_00}', "");
Expect(0, 69243, '\p{Nv=0_0_0_0_0_0_0_9_00}', "");
Expect(1, 69243, '\p{^Nv=0_0_0_0_0_0_0_9_00}', "");
Expect(1, 69243, '\P{Nv=0_0_0_0_0_0_0_9_00}', "");
Expect(0, 69243, '\P{^Nv=0_0_0_0_0_0_0_9_00}', "");
Error('\p{Is_Numeric_Value=-:=0900}');
Error('\P{Is_Numeric_Value=-:=0900}');
Expect(1, 69242, '\p{Is_Numeric_Value=00000_00090_0}', "");
Expect(0, 69242, '\p{^Is_Numeric_Value=00000_00090_0}', "");
Expect(0, 69242, '\P{Is_Numeric_Value=00000_00090_0}', "");
Expect(1, 69242, '\P{^Is_Numeric_Value=00000_00090_0}', "");
Expect(0, 69243, '\p{Is_Numeric_Value=00000_00090_0}', "");
Expect(1, 69243, '\p{^Is_Numeric_Value=00000_00090_0}', "");
Expect(1, 69243, '\P{Is_Numeric_Value=00000_00090_0}', "");
Expect(0, 69243, '\P{^Is_Numeric_Value=00000_00090_0}', "");
Error('\p{Is_Nv:	- 00000000900:=}');
Error('\P{Is_Nv:	- 00000000900:=}');
Expect(1, 69242, '\p{Is_Nv=000000090_0}', "");
Expect(0, 69242, '\p{^Is_Nv=000000090_0}', "");
Expect(0, 69242, '\P{Is_Nv=000000090_0}', "");
Expect(1, 69242, '\P{^Is_Nv=000000090_0}', "");
Expect(0, 69243, '\p{Is_Nv=000000090_0}', "");
Expect(1, 69243, '\p{^Is_Nv=000000090_0}', "");
Expect(1, 69243, '\P{Is_Nv=000000090_0}', "");
Expect(0, 69243, '\P{^Is_Nv=000000090_0}', "");
Error('\p{Numeric_Value= /a/000_900_0}');
Error('\P{Numeric_Value= /a/000_900_0}');
Expect(1, 68067, '\p{Numeric_Value=00_90_00}', "");
Expect(0, 68067, '\p{^Numeric_Value=00_90_00}', "");
Expect(0, 68067, '\P{Numeric_Value=00_90_00}', "");
Expect(1, 68067, '\P{^Numeric_Value=00_90_00}', "");
Expect(0, 68068, '\p{Numeric_Value=00_90_00}', "");
Expect(1, 68068, '\p{^Numeric_Value=00_90_00}', "");
Expect(1, 68068, '\P{Numeric_Value=00_90_00}', "");
Expect(0, 68068, '\P{^Numeric_Value=00_90_00}', "");
Error('\p{Nv=:=_ 000000009000}');
Error('\P{Nv=:=_ 000000009000}');
Expect(1, 68067, '\p{Nv=09000}', "");
Expect(0, 68067, '\p{^Nv=09000}', "");
Expect(0, 68067, '\P{Nv=09000}', "");
Expect(1, 68067, '\P{^Nv=09000}', "");
Expect(0, 68068, '\p{Nv=09000}', "");
Expect(1, 68068, '\p{^Nv=09000}', "");
Expect(1, 68068, '\P{Nv=09000}', "");
Expect(0, 68068, '\P{^Nv=09000}', "");
Error('\p{Is_Numeric_Value=:=00000009000}');
Error('\P{Is_Numeric_Value=:=00000009000}');
Expect(1, 68067, '\p{Is_Numeric_Value=+0000009000}', "");
Expect(0, 68067, '\p{^Is_Numeric_Value=+0000009000}', "");
Expect(0, 68067, '\P{Is_Numeric_Value=+0000009000}', "");
Expect(1, 68067, '\P{^Is_Numeric_Value=+0000009000}', "");
Expect(0, 68068, '\p{Is_Numeric_Value=+0000009000}', "");
Expect(1, 68068, '\p{^Is_Numeric_Value=+0000009000}', "");
Expect(1, 68068, '\P{Is_Numeric_Value=+0000009000}', "");
Expect(0, 68068, '\P{^Is_Numeric_Value=+0000009000}', "");
Error('\p{Is_Nv=/a/_+0000009000}');
Error('\P{Is_Nv=/a/_+0000009000}');
Expect(1, 68067, '\p{Is_Nv=0000_0000_0900_0}', "");
Expect(0, 68067, '\p{^Is_Nv=0000_0000_0900_0}', "");
Expect(0, 68067, '\P{Is_Nv=0000_0000_0900_0}', "");
Expect(1, 68067, '\P{^Is_Nv=0000_0000_0900_0}', "");
Expect(0, 68068, '\p{Is_Nv=0000_0000_0900_0}', "");
Expect(1, 68068, '\p{^Is_Nv=0000_0000_0900_0}', "");
Expect(1, 68068, '\P{Is_Nv=0000_0000_0900_0}', "");
Expect(0, 68068, '\P{^Is_Nv=0000_0000_0900_0}', "");
Error('\p{Numeric_Value=/a/  +000000090000}');
Error('\P{Numeric_Value=/a/  +000000090000}');
Expect(1, 68076, '\p{Numeric_Value: 00_00_00_00_09_00_00}', "");
Expect(0, 68076, '\p{^Numeric_Value: 00_00_00_00_09_00_00}', "");
Expect(0, 68076, '\P{Numeric_Value: 00_00_00_00_09_00_00}', "");
Expect(1, 68076, '\P{^Numeric_Value: 00_00_00_00_09_00_00}', "");
Expect(0, 68077, '\p{Numeric_Value: 00_00_00_00_09_00_00}', "");
Expect(1, 68077, '\p{^Numeric_Value: 00_00_00_00_09_00_00}', "");
Expect(1, 68077, '\P{Numeric_Value: 00_00_00_00_09_00_00}', "");
Expect(0, 68077, '\P{^Numeric_Value: 00_00_00_00_09_00_00}', "");
Error('\p{Nv=-/a/+0000090000}');
Error('\P{Nv=-/a/+0000090000}');
Expect(1, 68076, '\p{Nv=090000}', "");
Expect(0, 68076, '\p{^Nv=090000}', "");
Expect(0, 68076, '\P{Nv=090000}', "");
Expect(1, 68076, '\P{^Nv=090000}', "");
Expect(0, 68077, '\p{Nv=090000}', "");
Expect(1, 68077, '\p{^Nv=090000}', "");
Expect(1, 68077, '\P{Nv=090000}', "");
Expect(0, 68077, '\P{^Nv=090000}', "");
Error('\p{Is_Numeric_Value=	-9_0_0_00:=}');
Error('\P{Is_Numeric_Value=	-9_0_0_00:=}');
Expect(1, 68076, '\p{Is_Numeric_Value=00_00_09_00_00}', "");
Expect(0, 68076, '\p{^Is_Numeric_Value=00_00_09_00_00}', "");
Expect(0, 68076, '\P{Is_Numeric_Value=00_00_09_00_00}', "");
Expect(1, 68076, '\P{^Is_Numeric_Value=00_00_09_00_00}', "");
Expect(0, 68077, '\p{Is_Numeric_Value=00_00_09_00_00}', "");
Expect(1, 68077, '\p{^Is_Numeric_Value=00_00_09_00_00}', "");
Expect(1, 68077, '\P{Is_Numeric_Value=00_00_09_00_00}', "");
Expect(0, 68077, '\P{^Is_Numeric_Value=00_00_09_00_00}', "");
Error('\p{Is_Nv=/a/-00000090000}');
Error('\P{Is_Nv=/a/-00000090000}');
Expect(1, 68076, '\p{Is_Nv=000090000}', "");
Expect(0, 68076, '\p{^Is_Nv=000090000}', "");
Expect(0, 68076, '\P{Is_Nv=000090000}', "");
Expect(1, 68076, '\P{^Is_Nv=000090000}', "");
Expect(0, 68077, '\p{Is_Nv=000090000}', "");
Expect(1, 68077, '\p{^Is_Nv=000090000}', "");
Expect(1, 68077, '\P{Is_Nv=000090000}', "");
Expect(0, 68077, '\P{^Is_Nv=000090000}', "");
Error('\p{Numeric_Value:_/a/+900000}');
Error('\P{Numeric_Value:_/a/+900000}');
Expect(1, 68085, '\p{Numeric_Value=00000000900000}', "");
Expect(0, 68085, '\p{^Numeric_Value=00000000900000}', "");
Expect(0, 68085, '\P{Numeric_Value=00000000900000}', "");
Expect(1, 68085, '\P{^Numeric_Value=00000000900000}', "");
Expect(0, 68086, '\p{Numeric_Value=00000000900000}', "");
Expect(1, 68086, '\p{^Numeric_Value=00000000900000}', "");
Expect(1, 68086, '\P{Numeric_Value=00000000900000}', "");
Expect(0, 68086, '\P{^Numeric_Value=00000000900000}', "");
Error('\p{Nv=_-00_00_00_90_00_00/a/}');
Error('\P{Nv=_-00_00_00_90_00_00/a/}');
Expect(1, 68085, '\p{Nv=0_0_0_0_0_0_0_0_0_9_0_0_0_00}', "");
Expect(0, 68085, '\p{^Nv=0_0_0_0_0_0_0_0_0_9_0_0_0_00}', "");
Expect(0, 68085, '\P{Nv=0_0_0_0_0_0_0_0_0_9_0_0_0_00}', "");
Expect(1, 68085, '\P{^Nv=0_0_0_0_0_0_0_0_0_9_0_0_0_00}', "");
Expect(0, 68086, '\p{Nv=0_0_0_0_0_0_0_0_0_9_0_0_0_00}', "");
Expect(1, 68086, '\p{^Nv=0_0_0_0_0_0_0_0_0_9_0_0_0_00}', "");
Expect(1, 68086, '\P{Nv=0_0_0_0_0_0_0_0_0_9_0_0_0_00}', "");
Expect(0, 68086, '\P{^Nv=0_0_0_0_0_0_0_0_0_9_0_0_0_00}', "");
Error('\p{Is_Numeric_Value=-	+0000000900000/a/}');
Error('\P{Is_Numeric_Value=-	+0000000900000/a/}');
Expect(1, 68085, '\p{Is_Numeric_Value=+00000900000}', "");
Expect(0, 68085, '\p{^Is_Numeric_Value=+00000900000}', "");
Expect(0, 68085, '\P{Is_Numeric_Value=+00000900000}', "");
Expect(1, 68085, '\P{^Is_Numeric_Value=+00000900000}', "");
Expect(0, 68086, '\p{Is_Numeric_Value=+00000900000}', "");
Expect(1, 68086, '\p{^Is_Numeric_Value=+00000900000}', "");
Expect(1, 68086, '\P{Is_Numeric_Value=+00000900000}', "");
Expect(0, 68086, '\P{^Is_Numeric_Value=+00000900000}', "");
Error('\p{Is_Nv=/a/-	0_0_9_0_0_0_00}');
Error('\P{Is_Nv=/a/-	0_0_9_0_0_0_00}');
Expect(1, 68085, '\p{Is_Nv=00000900000}', "");
Expect(0, 68085, '\p{^Is_Nv=00000900000}', "");
Expect(0, 68085, '\P{Is_Nv=00000900000}', "");
Expect(1, 68085, '\P{^Is_Nv=00000900000}', "");
Expect(0, 68086, '\p{Is_Nv=00000900000}', "");
Expect(1, 68086, '\p{^Is_Nv=00000900000}', "");
Expect(1, 68086, '\P{Is_Nv=00000900000}', "");
Expect(0, 68086, '\P{^Is_Nv=00000900000}', "");
Error('\p{Numeric_Value=	-nan/a/}');
Error('\P{Numeric_Value=	-nan/a/}');
Expect(1, 194705, '\p{Numeric_Value=nan}', "");
Expect(0, 194705, '\p{^Numeric_Value=nan}', "");
Expect(0, 194705, '\P{Numeric_Value=nan}', "");
Expect(1, 194705, '\P{^Numeric_Value=nan}', "");
Expect(0, 194704, '\p{Numeric_Value=nan}', "");
Expect(1, 194704, '\p{^Numeric_Value=nan}', "");
Expect(1, 194704, '\P{Numeric_Value=nan}', "");
Expect(0, 194704, '\P{^Numeric_Value=nan}', "");
Expect(1, 194705, '\p{Numeric_Value=	_NAN}', "");
Expect(0, 194705, '\p{^Numeric_Value=	_NAN}', "");
Expect(0, 194705, '\P{Numeric_Value=	_NAN}', "");
Expect(1, 194705, '\P{^Numeric_Value=	_NAN}', "");
Expect(0, 194704, '\p{Numeric_Value=	_NAN}', "");
Expect(1, 194704, '\p{^Numeric_Value=	_NAN}', "");
Expect(1, 194704, '\P{Numeric_Value=	_NAN}', "");
Expect(0, 194704, '\P{^Numeric_Value=	_NAN}', "");
Error('\p{Nv=/a/ NaN}');
Error('\P{Nv=/a/ NaN}');
Expect(1, 194705, '\p{Nv:	nan}', "");
Expect(0, 194705, '\p{^Nv:	nan}', "");
Expect(0, 194705, '\P{Nv:	nan}', "");
Expect(1, 194705, '\P{^Nv:	nan}', "");
Expect(0, 194704, '\p{Nv:	nan}', "");
Expect(1, 194704, '\p{^Nv:	nan}', "");
Expect(1, 194704, '\P{Nv:	nan}', "");
Expect(0, 194704, '\P{^Nv:	nan}', "");
Expect(1, 194705, '\p{Nv= -NAN}', "");
Expect(0, 194705, '\p{^Nv= -NAN}', "");
Expect(0, 194705, '\P{Nv= -NAN}', "");
Expect(1, 194705, '\P{^Nv= -NAN}', "");
Expect(0, 194704, '\p{Nv= -NAN}', "");
Expect(1, 194704, '\p{^Nv= -NAN}', "");
Expect(1, 194704, '\P{Nv= -NAN}', "");
Expect(0, 194704, '\P{^Nv= -NAN}', "");
Error('\p{Is_Numeric_Value=/a/_	NaN}');
Error('\P{Is_Numeric_Value=/a/_	NaN}');
Expect(1, 194705, '\p{Is_Numeric_Value=nan}', "");
Expect(0, 194705, '\p{^Is_Numeric_Value=nan}', "");
Expect(0, 194705, '\P{Is_Numeric_Value=nan}', "");
Expect(1, 194705, '\P{^Is_Numeric_Value=nan}', "");
Expect(0, 194704, '\p{Is_Numeric_Value=nan}', "");
Expect(1, 194704, '\p{^Is_Numeric_Value=nan}', "");
Expect(1, 194704, '\P{Is_Numeric_Value=nan}', "");
Expect(0, 194704, '\P{^Is_Numeric_Value=nan}', "");
Expect(1, 194705, '\p{Is_Numeric_Value= 	NaN}', "");
Expect(0, 194705, '\p{^Is_Numeric_Value= 	NaN}', "");
Expect(0, 194705, '\P{Is_Numeric_Value= 	NaN}', "");
Expect(1, 194705, '\P{^Is_Numeric_Value= 	NaN}', "");
Expect(0, 194704, '\p{Is_Numeric_Value= 	NaN}', "");
Expect(1, 194704, '\p{^Is_Numeric_Value= 	NaN}', "");
Expect(1, 194704, '\P{Is_Numeric_Value= 	NaN}', "");
Expect(0, 194704, '\P{^Is_Numeric_Value= 	NaN}', "");
Error('\p{Is_Nv=__NaN/a/}');
Error('\P{Is_Nv=__NaN/a/}');
Expect(1, 194705, '\p{Is_Nv=nan}', "");
Expect(0, 194705, '\p{^Is_Nv=nan}', "");
Expect(0, 194705, '\P{Is_Nv=nan}', "");
Expect(1, 194705, '\P{^Is_Nv=nan}', "");
Expect(0, 194704, '\p{Is_Nv=nan}', "");
Expect(1, 194704, '\p{^Is_Nv=nan}', "");
Expect(1, 194704, '\P{Is_Nv=nan}', "");
Expect(0, 194704, '\P{^Is_Nv=nan}', "");
Expect(1, 194705, '\p{Is_Nv=	NAN}', "");
Expect(0, 194705, '\p{^Is_Nv=	NAN}', "");
Expect(0, 194705, '\P{Is_Nv=	NAN}', "");
Expect(1, 194705, '\P{^Is_Nv=	NAN}', "");
Expect(0, 194704, '\p{Is_Nv=	NAN}', "");
Expect(1, 194704, '\p{^Is_Nv=	NAN}', "");
Expect(1, 194704, '\P{Is_Nv=	NAN}', "");
Expect(0, 194704, '\P{^Is_Nv=	NAN}', "");
Error('\p{/a/ASCII}');
Error('\P{/a/ASCII}');
Expect(1, 127, '\p{ascii}', "");
Expect(0, 127, '\p{^ascii}', "");
Expect(0, 127, '\P{ascii}', "");
Expect(1, 127, '\P{^ascii}', "");
Expect(0, 128, '\p{ascii}', "");
Expect(1, 128, '\p{^ascii}', "");
Expect(1, 128, '\P{ascii}', "");
Expect(0, 128, '\P{^ascii}', "");
Expect(1, 127, '\p{ASCII}', "");
Expect(0, 127, '\p{^ASCII}', "");
Expect(0, 127, '\P{ASCII}', "");
Expect(1, 127, '\P{^ASCII}', "");
Expect(0, 128, '\p{ASCII}', "");
Expect(1, 128, '\p{^ASCII}', "");
Expect(1, 128, '\P{ASCII}', "");
Expect(0, 128, '\P{^ASCII}', "");
Error('\p{/a/Is_ASCII}');
Error('\P{/a/Is_ASCII}');
Expect(1, 127, '\p{isascii}', "");
Expect(0, 127, '\p{^isascii}', "");
Expect(0, 127, '\P{isascii}', "");
Expect(1, 127, '\P{^isascii}', "");
Expect(0, 128, '\p{isascii}', "");
Expect(1, 128, '\p{^isascii}', "");
Expect(1, 128, '\P{isascii}', "");
Expect(0, 128, '\P{^isascii}', "");
Expect(1, 127, '\p{-is_ascii}', "");
Expect(0, 127, '\p{^-is_ascii}', "");
Expect(0, 127, '\P{-is_ascii}', "");
Expect(1, 127, '\P{^-is_ascii}', "");
Expect(0, 128, '\p{-is_ascii}', "");
Expect(1, 128, '\p{^-is_ascii}', "");
Expect(1, 128, '\P{-is_ascii}', "");
Expect(0, 128, '\P{^-is_ascii}', "");
Error('\p{-:=Basic_Latin}');
Error('\P{-:=Basic_Latin}');
Expect(1, 127, '\p{basiclatin}', "");
Expect(0, 127, '\p{^basiclatin}', "");
Expect(0, 127, '\P{basiclatin}', "");
Expect(1, 127, '\P{^basiclatin}', "");
Expect(0, 128, '\p{basiclatin}', "");
Expect(1, 128, '\p{^basiclatin}', "");
Expect(1, 128, '\P{basiclatin}', "");
Expect(0, 128, '\P{^basiclatin}', "");
Expect(1, 127, '\p{_BASIC_LATIN}', "");
Expect(0, 127, '\p{^_BASIC_LATIN}', "");
Expect(0, 127, '\P{_BASIC_LATIN}', "");
Expect(1, 127, '\P{^_BASIC_LATIN}', "");
Expect(0, 128, '\p{_BASIC_LATIN}', "");
Expect(1, 128, '\p{^_BASIC_LATIN}', "");
Expect(1, 128, '\P{_BASIC_LATIN}', "");
Expect(0, 128, '\P{^_BASIC_LATIN}', "");
Error('\p{--Is_Basic_latin:=}');
Error('\P{--Is_Basic_latin:=}');
Expect(1, 127, '\p{isbasiclatin}', "");
Expect(0, 127, '\p{^isbasiclatin}', "");
Expect(0, 127, '\P{isbasiclatin}', "");
Expect(1, 127, '\P{^isbasiclatin}', "");
Expect(0, 128, '\p{isbasiclatin}', "");
Expect(1, 128, '\p{^isbasiclatin}', "");
Expect(1, 128, '\P{isbasiclatin}', "");
Expect(0, 128, '\P{^isbasiclatin}', "");
Expect(1, 127, '\p{ 	Is_BASIC_Latin}', "");
Expect(0, 127, '\p{^ 	Is_BASIC_Latin}', "");
Expect(0, 127, '\P{ 	Is_BASIC_Latin}', "");
Expect(1, 127, '\P{^ 	Is_BASIC_Latin}', "");
Expect(0, 128, '\p{ 	Is_BASIC_Latin}', "");
Expect(1, 128, '\p{^ 	Is_BASIC_Latin}', "");
Expect(1, 128, '\P{ 	Is_BASIC_Latin}', "");
Expect(0, 128, '\P{^ 	Is_BASIC_Latin}', "");
Error('\p{_:=In_Basic_Latin}');
Error('\P{_:=In_Basic_Latin}');
Expect(1, 127, '\p{inbasiclatin}', "");
Expect(0, 127, '\p{^inbasiclatin}', "");
Expect(0, 127, '\P{inbasiclatin}', "");
Expect(1, 127, '\P{^inbasiclatin}', "");
Expect(0, 128, '\p{inbasiclatin}', "");
Expect(1, 128, '\p{^inbasiclatin}', "");
Expect(1, 128, '\P{inbasiclatin}', "");
Expect(0, 128, '\P{^inbasiclatin}', "");
Expect(1, 127, '\p{-In_basic_Latin}', "");
Expect(0, 127, '\p{^-In_basic_Latin}', "");
Expect(0, 127, '\P{-In_basic_Latin}', "");
Expect(1, 127, '\P{^-In_basic_Latin}', "");
Expect(0, 128, '\p{-In_basic_Latin}', "");
Expect(1, 128, '\p{^-In_basic_Latin}', "");
Expect(1, 128, '\P{-In_basic_Latin}', "");
Expect(0, 128, '\P{^-In_basic_Latin}', "");
Error('\p{_	In_ASCII:=}');
Error('\P{_	In_ASCII:=}');
Expect(1, 127, '\p{inascii}', "");
Expect(0, 127, '\p{^inascii}', "");
Expect(0, 127, '\P{inascii}', "");
Expect(1, 127, '\P{^inascii}', "");
Expect(0, 128, '\p{inascii}', "");
Expect(1, 128, '\p{^inascii}', "");
Expect(1, 128, '\P{inascii}', "");
Expect(0, 128, '\P{^inascii}', "");
Expect(1, 127, '\p{_In_ASCII}', "");
Expect(0, 127, '\p{^_In_ASCII}', "");
Expect(0, 127, '\P{_In_ASCII}', "");
Expect(1, 127, '\P{^_In_ASCII}', "");
Expect(0, 128, '\p{_In_ASCII}', "");
Expect(1, 128, '\p{^_In_ASCII}', "");
Expect(1, 128, '\P{_In_ASCII}', "");
Expect(0, 128, '\P{^_In_ASCII}', "");
Error('\p{/a/	AEGEAN_NUMBERS}');
Error('\P{/a/	AEGEAN_NUMBERS}');
Expect(1, 65855, '\p{aegeannumbers}', "");
Expect(0, 65855, '\p{^aegeannumbers}', "");
Expect(0, 65855, '\P{aegeannumbers}', "");
Expect(1, 65855, '\P{^aegeannumbers}', "");
Expect(0, 65856, '\p{aegeannumbers}', "");
Expect(1, 65856, '\p{^aegeannumbers}', "");
Expect(1, 65856, '\P{aegeannumbers}', "");
Expect(0, 65856, '\P{^aegeannumbers}', "");
Expect(1, 65855, '\p{- AEGEAN_numbers}', "");
Expect(0, 65855, '\p{^- AEGEAN_numbers}', "");
Expect(0, 65855, '\P{- AEGEAN_numbers}', "");
Expect(1, 65855, '\P{^- AEGEAN_numbers}', "");
Expect(0, 65856, '\p{- AEGEAN_numbers}', "");
Expect(1, 65856, '\p{^- AEGEAN_numbers}', "");
Expect(1, 65856, '\P{- AEGEAN_numbers}', "");
Expect(0, 65856, '\P{^- AEGEAN_numbers}', "");
Error('\p{:=IS_AEGEAN_NUMBERS}');
Error('\P{:=IS_AEGEAN_NUMBERS}');
Expect(1, 65855, '\p{isaegeannumbers}', "");
Expect(0, 65855, '\p{^isaegeannumbers}', "");
Expect(0, 65855, '\P{isaegeannumbers}', "");
Expect(1, 65855, '\P{^isaegeannumbers}', "");
Expect(0, 65856, '\p{isaegeannumbers}', "");
Expect(1, 65856, '\p{^isaegeannumbers}', "");
Expect(1, 65856, '\P{isaegeannumbers}', "");
Expect(0, 65856, '\P{^isaegeannumbers}', "");
Expect(1, 65855, '\p{-IS_Aegean_Numbers}', "");
Expect(0, 65855, '\p{^-IS_Aegean_Numbers}', "");
Expect(0, 65855, '\P{-IS_Aegean_Numbers}', "");
Expect(1, 65855, '\P{^-IS_Aegean_Numbers}', "");
Expect(0, 65856, '\p{-IS_Aegean_Numbers}', "");
Expect(1, 65856, '\p{^-IS_Aegean_Numbers}', "");
Expect(1, 65856, '\P{-IS_Aegean_Numbers}', "");
Expect(0, 65856, '\P{^-IS_Aegean_Numbers}', "");
Error('\p{_In_aegean_Numbers/a/}');
Error('\P{_In_aegean_Numbers/a/}');
Expect(1, 65855, '\p{inaegeannumbers}', "");
Expect(0, 65855, '\p{^inaegeannumbers}', "");
Expect(0, 65855, '\P{inaegeannumbers}', "");
Expect(1, 65855, '\P{^inaegeannumbers}', "");
Expect(0, 65856, '\p{inaegeannumbers}', "");
Expect(1, 65856, '\p{^inaegeannumbers}', "");
Expect(1, 65856, '\P{inaegeannumbers}', "");
Expect(0, 65856, '\P{^inaegeannumbers}', "");
Expect(1, 65855, '\p{ 	In_Aegean_numbers}', "");
Expect(0, 65855, '\p{^ 	In_Aegean_numbers}', "");
Expect(0, 65855, '\P{ 	In_Aegean_numbers}', "");
Expect(1, 65855, '\P{^ 	In_Aegean_numbers}', "");
Expect(0, 65856, '\p{ 	In_Aegean_numbers}', "");
Expect(1, 65856, '\p{^ 	In_Aegean_numbers}', "");
Expect(1, 65856, '\P{ 	In_Aegean_numbers}', "");
Expect(0, 65856, '\P{^ 	In_Aegean_numbers}', "");
Error('\p{	 Ahom/a/}');
Error('\P{	 Ahom/a/}');
Expect(1, 71487, '\p{ahom}', "");
Expect(0, 71487, '\p{^ahom}', "");
Expect(0, 71487, '\P{ahom}', "");
Expect(1, 71487, '\P{^ahom}', "");
Expect(0, 71488, '\p{ahom}', "");
Expect(1, 71488, '\p{^ahom}', "");
Expect(1, 71488, '\P{ahom}', "");
Expect(0, 71488, '\P{^ahom}', "");
Expect(1, 71487, '\p{_AHOM}', "");
Expect(0, 71487, '\p{^_AHOM}', "");
Expect(0, 71487, '\P{_AHOM}', "");
Expect(1, 71487, '\P{^_AHOM}', "");
Expect(0, 71488, '\p{_AHOM}', "");
Expect(1, 71488, '\p{^_AHOM}', "");
Expect(1, 71488, '\P{_AHOM}', "");
Expect(0, 71488, '\P{^_AHOM}', "");
Error('\p{/a/	Is_ahom}');
Error('\P{/a/	Is_ahom}');
Expect(1, 71487, '\p{isahom}', "");
Expect(0, 71487, '\p{^isahom}', "");
Expect(0, 71487, '\P{isahom}', "");
Expect(1, 71487, '\P{^isahom}', "");
Expect(0, 71488, '\p{isahom}', "");
Expect(1, 71488, '\p{^isahom}', "");
Expect(1, 71488, '\P{isahom}', "");
Expect(0, 71488, '\P{^isahom}', "");
Expect(1, 71487, '\p{_Is_Ahom}', "");
Expect(0, 71487, '\p{^_Is_Ahom}', "");
Expect(0, 71487, '\P{_Is_Ahom}', "");
Expect(1, 71487, '\P{^_Is_Ahom}', "");
Expect(0, 71488, '\p{_Is_Ahom}', "");
Expect(1, 71488, '\p{^_Is_Ahom}', "");
Expect(1, 71488, '\P{_Is_Ahom}', "");
Expect(0, 71488, '\P{^_Is_Ahom}', "");
Error('\p{_Alchemical_Symbols:=}');
Error('\P{_Alchemical_Symbols:=}');
Expect(1, 128895, '\p{alchemicalsymbols}', "");
Expect(0, 128895, '\p{^alchemicalsymbols}', "");
Expect(0, 128895, '\P{alchemicalsymbols}', "");
Expect(1, 128895, '\P{^alchemicalsymbols}', "");
Expect(0, 128896, '\p{alchemicalsymbols}', "");
Expect(1, 128896, '\p{^alchemicalsymbols}', "");
Expect(1, 128896, '\P{alchemicalsymbols}', "");
Expect(0, 128896, '\P{^alchemicalsymbols}', "");
Expect(1, 128895, '\p{	 ALCHEMICAL_SYMBOLS}', "");
Expect(0, 128895, '\p{^	 ALCHEMICAL_SYMBOLS}', "");
Expect(0, 128895, '\P{	 ALCHEMICAL_SYMBOLS}', "");
Expect(1, 128895, '\P{^	 ALCHEMICAL_SYMBOLS}', "");
Expect(0, 128896, '\p{	 ALCHEMICAL_SYMBOLS}', "");
Expect(1, 128896, '\p{^	 ALCHEMICAL_SYMBOLS}', "");
Expect(1, 128896, '\P{	 ALCHEMICAL_SYMBOLS}', "");
Expect(0, 128896, '\P{^	 ALCHEMICAL_SYMBOLS}', "");
Error('\p{ _IS_Alchemical_Symbols:=}');
Error('\P{ _IS_Alchemical_Symbols:=}');
Expect(1, 128895, '\p{isalchemicalsymbols}', "");
Expect(0, 128895, '\p{^isalchemicalsymbols}', "");
Expect(0, 128895, '\P{isalchemicalsymbols}', "");
Expect(1, 128895, '\P{^isalchemicalsymbols}', "");
Expect(0, 128896, '\p{isalchemicalsymbols}', "");
Expect(1, 128896, '\p{^isalchemicalsymbols}', "");
Expect(1, 128896, '\P{isalchemicalsymbols}', "");
Expect(0, 128896, '\P{^isalchemicalsymbols}', "");
Expect(1, 128895, '\p{-IS_ALCHEMICAL_symbols}', "");
Expect(0, 128895, '\p{^-IS_ALCHEMICAL_symbols}', "");
Expect(0, 128895, '\P{-IS_ALCHEMICAL_symbols}', "");
Expect(1, 128895, '\P{^-IS_ALCHEMICAL_symbols}', "");
Expect(0, 128896, '\p{-IS_ALCHEMICAL_symbols}', "");
Expect(1, 128896, '\p{^-IS_ALCHEMICAL_symbols}', "");
Expect(1, 128896, '\P{-IS_ALCHEMICAL_symbols}', "");
Expect(0, 128896, '\P{^-IS_ALCHEMICAL_symbols}', "");
Error('\p{/a/IN_ALCHEMICAL_symbols}');
Error('\P{/a/IN_ALCHEMICAL_symbols}');
Expect(1, 128895, '\p{inalchemicalsymbols}', "");
Expect(0, 128895, '\p{^inalchemicalsymbols}', "");
Expect(0, 128895, '\P{inalchemicalsymbols}', "");
Expect(1, 128895, '\P{^inalchemicalsymbols}', "");
Expect(0, 128896, '\p{inalchemicalsymbols}', "");
Expect(1, 128896, '\p{^inalchemicalsymbols}', "");
Expect(1, 128896, '\P{inalchemicalsymbols}', "");
Expect(0, 128896, '\P{^inalchemicalsymbols}', "");
Expect(1, 128895, '\p{_In_alchemical_symbols}', "");
Expect(0, 128895, '\p{^_In_alchemical_symbols}', "");
Expect(0, 128895, '\P{_In_alchemical_symbols}', "");
Expect(1, 128895, '\P{^_In_alchemical_symbols}', "");
Expect(0, 128896, '\p{_In_alchemical_symbols}', "");
Expect(1, 128896, '\p{^_In_alchemical_symbols}', "");
Expect(1, 128896, '\P{_In_alchemical_symbols}', "");
Expect(0, 128896, '\P{^_In_alchemical_symbols}', "");
Error('\p{:= 	Alchemical}');
Error('\P{:= 	Alchemical}');
Expect(1, 128895, '\p{alchemical}', "");
Expect(0, 128895, '\p{^alchemical}', "");
Expect(0, 128895, '\P{alchemical}', "");
Expect(1, 128895, '\P{^alchemical}', "");
Expect(0, 128896, '\p{alchemical}', "");
Expect(1, 128896, '\p{^alchemical}', "");
Expect(1, 128896, '\P{alchemical}', "");
Expect(0, 128896, '\P{^alchemical}', "");
Expect(1, 128895, '\p{ ALCHEMICAL}', "");
Expect(0, 128895, '\p{^ ALCHEMICAL}', "");
Expect(0, 128895, '\P{ ALCHEMICAL}', "");
Expect(1, 128895, '\P{^ ALCHEMICAL}', "");
Expect(0, 128896, '\p{ ALCHEMICAL}', "");
Expect(1, 128896, '\p{^ ALCHEMICAL}', "");
Expect(1, 128896, '\P{ ALCHEMICAL}', "");
Expect(0, 128896, '\P{^ ALCHEMICAL}', "");
Error('\p{/a/_ IS_ALCHEMICAL}');
Error('\P{/a/_ IS_ALCHEMICAL}');
Expect(1, 128895, '\p{isalchemical}', "");
Expect(0, 128895, '\p{^isalchemical}', "");
Expect(0, 128895, '\P{isalchemical}', "");
Expect(1, 128895, '\P{^isalchemical}', "");
Expect(0, 128896, '\p{isalchemical}', "");
Expect(1, 128896, '\p{^isalchemical}', "");
Expect(1, 128896, '\P{isalchemical}', "");
Expect(0, 128896, '\P{^isalchemical}', "");
Expect(1, 128895, '\p{ _is_ALCHEMICAL}', "");
Expect(0, 128895, '\p{^ _is_ALCHEMICAL}', "");
Expect(0, 128895, '\P{ _is_ALCHEMICAL}', "");
Expect(1, 128895, '\P{^ _is_ALCHEMICAL}', "");
Expect(0, 128896, '\p{ _is_ALCHEMICAL}', "");
Expect(1, 128896, '\p{^ _is_ALCHEMICAL}', "");
Expect(1, 128896, '\P{ _is_ALCHEMICAL}', "");
Expect(0, 128896, '\P{^ _is_ALCHEMICAL}', "");
Error('\p{_/a/In_alchemical}');
Error('\P{_/a/In_alchemical}');
Expect(1, 128895, '\p{inalchemical}', "");
Expect(0, 128895, '\p{^inalchemical}', "");
Expect(0, 128895, '\P{inalchemical}', "");
Expect(1, 128895, '\P{^inalchemical}', "");
Expect(0, 128896, '\p{inalchemical}', "");
Expect(1, 128896, '\p{^inalchemical}', "");
Expect(1, 128896, '\P{inalchemical}', "");
Expect(0, 128896, '\P{^inalchemical}', "");
Expect(1, 128895, '\p{-In_Alchemical}', "");
Expect(0, 128895, '\p{^-In_Alchemical}', "");
Expect(0, 128895, '\P{-In_Alchemical}', "");
Expect(1, 128895, '\P{^-In_Alchemical}', "");
Expect(0, 128896, '\p{-In_Alchemical}', "");
Expect(1, 128896, '\p{^-In_Alchemical}', "");
Expect(1, 128896, '\P{-In_Alchemical}', "");
Expect(0, 128896, '\P{^-In_Alchemical}', "");
Error('\p{-All/a/}');
Error('\P{-All/a/}');
Expect(1, 1, '\p{all}', "");
Expect(0, 1, '\p{^all}', "");
Expect(0, 1, '\P{all}', "");
Expect(1, 1, '\P{^all}', "");
Expect(1, 1, '\p{_	All}', "");
Expect(0, 1, '\p{^_	All}', "");
Expect(0, 1, '\P{_	All}', "");
Expect(1, 1, '\P{^_	All}', "");
Error('\p{-_Is_all/a/}');
Error('\P{-_Is_all/a/}');
Expect(1, 1, '\p{isall}', "");
Expect(0, 1, '\p{^isall}', "");
Expect(0, 1, '\P{isall}', "");
Expect(1, 1, '\P{^isall}', "");
Expect(1, 1, '\p{	 is_All}', "");
Expect(0, 1, '\p{^	 is_All}', "");
Expect(0, 1, '\P{	 is_All}', "");
Expect(1, 1, '\P{^	 is_All}', "");
Error('\p{	xposixalnum/a/}');
Error('\P{	xposixalnum/a/}');
Expect(1, 195101, '\p{xposixalnum}', "");
Expect(0, 195101, '\p{^xposixalnum}', "");
Expect(0, 195101, '\P{xposixalnum}', "");
Expect(1, 195101, '\P{^xposixalnum}', "");
Expect(0, 195102, '\p{xposixalnum}', "");
Expect(1, 195102, '\p{^xposixalnum}', "");
Expect(1, 195102, '\P{xposixalnum}', "");
Expect(0, 195102, '\P{^xposixalnum}', "");
Expect(1, 195101, '\p{_-XPosixAlnum}', "");
Expect(0, 195101, '\p{^_-XPosixAlnum}', "");
Expect(0, 195101, '\P{_-XPosixAlnum}', "");
Expect(1, 195101, '\P{^_-XPosixAlnum}', "");
Expect(0, 195102, '\p{_-XPosixAlnum}', "");
Expect(1, 195102, '\p{^_-XPosixAlnum}', "");
Expect(1, 195102, '\P{_-XPosixAlnum}', "");
Expect(0, 195102, '\P{^_-XPosixAlnum}', "");
Error('\p{_-Alnum/a/}');
Error('\P{_-Alnum/a/}');
Expect(1, 195101, '\p{alnum}', "");
Expect(0, 195101, '\p{^alnum}', "");
Expect(0, 195101, '\P{alnum}', "");
Expect(1, 195101, '\P{^alnum}', "");
Expect(0, 195102, '\p{alnum}', "");
Expect(1, 195102, '\p{^alnum}', "");
Expect(1, 195102, '\P{alnum}', "");
Expect(0, 195102, '\P{^alnum}', "");
Expect(1, 195101, '\p{ 	Alnum}', "");
Expect(0, 195101, '\p{^ 	Alnum}', "");
Expect(0, 195101, '\P{ 	Alnum}', "");
Expect(1, 195101, '\P{^ 	Alnum}', "");
Expect(0, 195102, '\p{ 	Alnum}', "");
Expect(1, 195102, '\p{^ 	Alnum}', "");
Expect(1, 195102, '\P{ 	Alnum}', "");
Expect(0, 195102, '\P{^ 	Alnum}', "");
Error('\p{/a/is_XPosixAlnum}');
Error('\P{/a/is_XPosixAlnum}');
Expect(1, 195101, '\p{isxposixalnum}', "");
Expect(0, 195101, '\p{^isxposixalnum}', "");
Expect(0, 195101, '\P{isxposixalnum}', "");
Expect(1, 195101, '\P{^isxposixalnum}', "");
Expect(0, 195102, '\p{isxposixalnum}', "");
Expect(1, 195102, '\p{^isxposixalnum}', "");
Expect(1, 195102, '\P{isxposixalnum}', "");
Expect(0, 195102, '\P{^isxposixalnum}', "");
Expect(1, 195101, '\p{-IS_XPosixAlnum}', "");
Expect(0, 195101, '\p{^-IS_XPosixAlnum}', "");
Expect(0, 195101, '\P{-IS_XPosixAlnum}', "");
Expect(1, 195101, '\P{^-IS_XPosixAlnum}', "");
Expect(0, 195102, '\p{-IS_XPosixAlnum}', "");
Expect(1, 195102, '\p{^-IS_XPosixAlnum}', "");
Expect(1, 195102, '\P{-IS_XPosixAlnum}', "");
Expect(0, 195102, '\P{^-IS_XPosixAlnum}', "");
Error('\p{-:=IS_Alnum}');
Error('\P{-:=IS_Alnum}');
Expect(1, 195101, '\p{isalnum}', "");
Expect(0, 195101, '\p{^isalnum}', "");
Expect(0, 195101, '\P{isalnum}', "");
Expect(1, 195101, '\P{^isalnum}', "");
Expect(0, 195102, '\p{isalnum}', "");
Expect(1, 195102, '\p{^isalnum}', "");
Expect(1, 195102, '\P{isalnum}', "");
Expect(0, 195102, '\P{^isalnum}', "");
Expect(1, 195101, '\p{	IS_Alnum}', "");
Expect(0, 195101, '\p{^	IS_Alnum}', "");
Expect(0, 195101, '\P{	IS_Alnum}', "");
Expect(1, 195101, '\P{^	IS_Alnum}', "");
Expect(0, 195102, '\p{	IS_Alnum}', "");
Expect(1, 195102, '\p{^	IS_Alnum}', "");
Expect(1, 195102, '\P{	IS_Alnum}', "");
Expect(0, 195102, '\P{^	IS_Alnum}', "");
Error('\p{-:=Alphabetic_PRESENTATION_Forms}');
Error('\P{-:=Alphabetic_PRESENTATION_Forms}');
Expect(1, 64335, '\p{alphabeticpresentationforms}', "");
Expect(0, 64335, '\p{^alphabeticpresentationforms}', "");
Expect(0, 64335, '\P{alphabeticpresentationforms}', "");
Expect(1, 64335, '\P{^alphabeticpresentationforms}', "");
Expect(0, 64336, '\p{alphabeticpresentationforms}', "");
Expect(1, 64336, '\p{^alphabeticpresentationforms}', "");
Expect(1, 64336, '\P{alphabeticpresentationforms}', "");
Expect(0, 64336, '\P{^alphabeticpresentationforms}', "");
Expect(1, 64335, '\p{_Alphabetic_PRESENTATION_FORMS}', "");
Expect(0, 64335, '\p{^_Alphabetic_PRESENTATION_FORMS}', "");
Expect(0, 64335, '\P{_Alphabetic_PRESENTATION_FORMS}', "");
Expect(1, 64335, '\P{^_Alphabetic_PRESENTATION_FORMS}', "");
Expect(0, 64336, '\p{_Alphabetic_PRESENTATION_FORMS}', "");
Expect(1, 64336, '\p{^_Alphabetic_PRESENTATION_FORMS}', "");
Expect(1, 64336, '\P{_Alphabetic_PRESENTATION_FORMS}', "");
Expect(0, 64336, '\P{^_Alphabetic_PRESENTATION_FORMS}', "");
Error('\p{ is_Alphabetic_PRESENTATION_forms/a/}');
Error('\P{ is_Alphabetic_PRESENTATION_forms/a/}');
Expect(1, 64335, '\p{isalphabeticpresentationforms}', "");
Expect(0, 64335, '\p{^isalphabeticpresentationforms}', "");
Expect(0, 64335, '\P{isalphabeticpresentationforms}', "");
Expect(1, 64335, '\P{^isalphabeticpresentationforms}', "");
Expect(0, 64336, '\p{isalphabeticpresentationforms}', "");
Expect(1, 64336, '\p{^isalphabeticpresentationforms}', "");
Expect(1, 64336, '\P{isalphabeticpresentationforms}', "");
Expect(0, 64336, '\P{^isalphabeticpresentationforms}', "");
Expect(1, 64335, '\p{_IS_ALPHABETIC_Presentation_FORMS}', "");
Expect(0, 64335, '\p{^_IS_ALPHABETIC_Presentation_FORMS}', "");
Expect(0, 64335, '\P{_IS_ALPHABETIC_Presentation_FORMS}', "");
Expect(1, 64335, '\P{^_IS_ALPHABETIC_Presentation_FORMS}', "");
Expect(0, 64336, '\p{_IS_ALPHABETIC_Presentation_FORMS}', "");
Expect(1, 64336, '\p{^_IS_ALPHABETIC_Presentation_FORMS}', "");
Expect(1, 64336, '\P{_IS_ALPHABETIC_Presentation_FORMS}', "");
Expect(0, 64336, '\P{^_IS_ALPHABETIC_Presentation_FORMS}', "");
Error('\p{/a/-_IN_Alphabetic_Presentation_Forms}');
Error('\P{/a/-_IN_Alphabetic_Presentation_Forms}');
Expect(1, 64335, '\p{inalphabeticpresentationforms}', "");
Expect(0, 64335, '\p{^inalphabeticpresentationforms}', "");
Expect(0, 64335, '\P{inalphabeticpresentationforms}', "");
Expect(1, 64335, '\P{^inalphabeticpresentationforms}', "");
Expect(0, 64336, '\p{inalphabeticpresentationforms}', "");
Expect(1, 64336, '\p{^inalphabeticpresentationforms}', "");
Expect(1, 64336, '\P{inalphabeticpresentationforms}', "");
Expect(0, 64336, '\P{^inalphabeticpresentationforms}', "");
Expect(1, 64335, '\p{	_In_alphabetic_Presentation_forms}', "");
Expect(0, 64335, '\p{^	_In_alphabetic_Presentation_forms}', "");
Expect(0, 64335, '\P{	_In_alphabetic_Presentation_forms}', "");
Expect(1, 64335, '\P{^	_In_alphabetic_Presentation_forms}', "");
Expect(0, 64336, '\p{	_In_alphabetic_Presentation_forms}', "");
Expect(1, 64336, '\p{^	_In_alphabetic_Presentation_forms}', "");
Expect(1, 64336, '\P{	_In_alphabetic_Presentation_forms}', "");
Expect(0, 64336, '\P{^	_In_alphabetic_Presentation_forms}', "");
Error('\p{/a/-alphabetic_PF}');
Error('\P{/a/-alphabetic_PF}');
Expect(1, 64335, '\p{alphabeticpf}', "");
Expect(0, 64335, '\p{^alphabeticpf}', "");
Expect(0, 64335, '\P{alphabeticpf}', "");
Expect(1, 64335, '\P{^alphabeticpf}', "");
Expect(0, 64336, '\p{alphabeticpf}', "");
Expect(1, 64336, '\p{^alphabeticpf}', "");
Expect(1, 64336, '\P{alphabeticpf}', "");
Expect(0, 64336, '\P{^alphabeticpf}', "");
Expect(1, 64335, '\p{  alphabetic_PF}', "");
Expect(0, 64335, '\p{^  alphabetic_PF}', "");
Expect(0, 64335, '\P{  alphabetic_PF}', "");
Expect(1, 64335, '\P{^  alphabetic_PF}', "");
Expect(0, 64336, '\p{  alphabetic_PF}', "");
Expect(1, 64336, '\p{^  alphabetic_PF}', "");
Expect(1, 64336, '\P{  alphabetic_PF}', "");
Expect(0, 64336, '\P{^  alphabetic_PF}', "");
Error('\p{/a/	 is_Alphabetic_PF}');
Error('\P{/a/	 is_Alphabetic_PF}');
Expect(1, 64335, '\p{isalphabeticpf}', "");
Expect(0, 64335, '\p{^isalphabeticpf}', "");
Expect(0, 64335, '\P{isalphabeticpf}', "");
Expect(1, 64335, '\P{^isalphabeticpf}', "");
Expect(0, 64336, '\p{isalphabeticpf}', "");
Expect(1, 64336, '\p{^isalphabeticpf}', "");
Expect(1, 64336, '\P{isalphabeticpf}', "");
Expect(0, 64336, '\P{^isalphabeticpf}', "");
Expect(1, 64335, '\p{  is_alphabetic_PF}', "");
Expect(0, 64335, '\p{^  is_alphabetic_PF}', "");
Expect(0, 64335, '\P{  is_alphabetic_PF}', "");
Expect(1, 64335, '\P{^  is_alphabetic_PF}', "");
Expect(0, 64336, '\p{  is_alphabetic_PF}', "");
Expect(1, 64336, '\p{^  is_alphabetic_PF}', "");
Expect(1, 64336, '\P{  is_alphabetic_PF}', "");
Expect(0, 64336, '\P{^  is_alphabetic_PF}', "");
Error('\p{- In_alphabetic_pf:=}');
Error('\P{- In_alphabetic_pf:=}');
Expect(1, 64335, '\p{inalphabeticpf}', "");
Expect(0, 64335, '\p{^inalphabeticpf}', "");
Expect(0, 64335, '\P{inalphabeticpf}', "");
Expect(1, 64335, '\P{^inalphabeticpf}', "");
Expect(0, 64336, '\p{inalphabeticpf}', "");
Expect(1, 64336, '\p{^inalphabeticpf}', "");
Expect(1, 64336, '\P{inalphabeticpf}', "");
Expect(0, 64336, '\P{^inalphabeticpf}', "");
Expect(1, 64335, '\p{_-in_Alphabetic_PF}', "");
Expect(0, 64335, '\p{^_-in_Alphabetic_PF}', "");
Expect(0, 64335, '\P{_-in_Alphabetic_PF}', "");
Expect(1, 64335, '\P{^_-in_Alphabetic_PF}', "");
Expect(0, 64336, '\p{_-in_Alphabetic_PF}', "");
Expect(1, 64336, '\p{^_-in_Alphabetic_PF}', "");
Expect(1, 64336, '\P{_-in_Alphabetic_PF}', "");
Expect(0, 64336, '\P{^_-in_Alphabetic_PF}', "");
Error('\p{-/a/Anatolian_Hieroglyphs}');
Error('\P{-/a/Anatolian_Hieroglyphs}');
Expect(1, 83526, '\p{anatolianhieroglyphs}', "");
Expect(0, 83526, '\p{^anatolianhieroglyphs}', "");
Expect(0, 83526, '\P{anatolianhieroglyphs}', "");
Expect(1, 83526, '\P{^anatolianhieroglyphs}', "");
Expect(0, 83527, '\p{anatolianhieroglyphs}', "");
Expect(1, 83527, '\p{^anatolianhieroglyphs}', "");
Expect(1, 83527, '\P{anatolianhieroglyphs}', "");
Expect(0, 83527, '\P{^anatolianhieroglyphs}', "");
Expect(1, 83526, '\p{ _Anatolian_Hieroglyphs}', "");
Expect(0, 83526, '\p{^ _Anatolian_Hieroglyphs}', "");
Expect(0, 83526, '\P{ _Anatolian_Hieroglyphs}', "");
Expect(1, 83526, '\P{^ _Anatolian_Hieroglyphs}', "");
Expect(0, 83527, '\p{ _Anatolian_Hieroglyphs}', "");
Expect(1, 83527, '\p{^ _Anatolian_Hieroglyphs}', "");
Expect(1, 83527, '\P{ _Anatolian_Hieroglyphs}', "");
Expect(0, 83527, '\P{^ _Anatolian_Hieroglyphs}', "");
Error('\p{	Is_anatolian_HIEROGLYPHS:=}');
Error('\P{	Is_anatolian_HIEROGLYPHS:=}');
Expect(1, 83526, '\p{isanatolianhieroglyphs}', "");
Expect(0, 83526, '\p{^isanatolianhieroglyphs}', "");
Expect(0, 83526, '\P{isanatolianhieroglyphs}', "");
Expect(1, 83526, '\P{^isanatolianhieroglyphs}', "");
Expect(0, 83527, '\p{isanatolianhieroglyphs}', "");
Expect(1, 83527, '\p{^isanatolianhieroglyphs}', "");
Expect(1, 83527, '\P{isanatolianhieroglyphs}', "");
Expect(0, 83527, '\P{^isanatolianhieroglyphs}', "");
Expect(1, 83526, '\p{- IS_Anatolian_Hieroglyphs}', "");
Expect(0, 83526, '\p{^- IS_Anatolian_Hieroglyphs}', "");
Expect(0, 83526, '\P{- IS_Anatolian_Hieroglyphs}', "");
Expect(1, 83526, '\P{^- IS_Anatolian_Hieroglyphs}', "");
Expect(0, 83527, '\p{- IS_Anatolian_Hieroglyphs}', "");
Expect(1, 83527, '\p{^- IS_Anatolian_Hieroglyphs}', "");
Expect(1, 83527, '\P{- IS_Anatolian_Hieroglyphs}', "");
Expect(0, 83527, '\P{^- IS_Anatolian_Hieroglyphs}', "");
Error('\p{--Hluw/a/}');
Error('\P{--Hluw/a/}');
Expect(1, 83526, '\p{hluw}', "");
Expect(0, 83526, '\p{^hluw}', "");
Expect(0, 83526, '\P{hluw}', "");
Expect(1, 83526, '\P{^hluw}', "");
Expect(0, 83527, '\p{hluw}', "");
Expect(1, 83527, '\p{^hluw}', "");
Expect(1, 83527, '\P{hluw}', "");
Expect(0, 83527, '\P{^hluw}', "");
Expect(1, 83526, '\p{--Hluw}', "");
Expect(0, 83526, '\p{^--Hluw}', "");
Expect(0, 83526, '\P{--Hluw}', "");
Expect(1, 83526, '\P{^--Hluw}', "");
Expect(0, 83527, '\p{--Hluw}', "");
Expect(1, 83527, '\p{^--Hluw}', "");
Expect(1, 83527, '\P{--Hluw}', "");
Expect(0, 83527, '\P{^--Hluw}', "");
Error('\p{-is_Hluw:=}');
Error('\P{-is_Hluw:=}');
Expect(1, 83526, '\p{ishluw}', "");
Expect(0, 83526, '\p{^ishluw}', "");
Expect(0, 83526, '\P{ishluw}', "");
Expect(1, 83526, '\P{^ishluw}', "");
Expect(0, 83527, '\p{ishluw}', "");
Expect(1, 83527, '\p{^ishluw}', "");
Expect(1, 83527, '\P{ishluw}', "");
Expect(0, 83527, '\P{^ishluw}', "");
Expect(1, 83526, '\p{ -Is_HLUW}', "");
Expect(0, 83526, '\p{^ -Is_HLUW}', "");
Expect(0, 83526, '\P{ -Is_HLUW}', "");
Expect(1, 83526, '\P{^ -Is_HLUW}', "");
Expect(0, 83527, '\p{ -Is_HLUW}', "");
Expect(1, 83527, '\p{^ -Is_HLUW}', "");
Expect(1, 83527, '\P{ -Is_HLUW}', "");
Expect(0, 83527, '\P{^ -Is_HLUW}', "");
Error('\p{/a/ 	ANCIENT_Greek_MUSICAL_NOTATION}');
Error('\P{/a/ 	ANCIENT_Greek_MUSICAL_NOTATION}');
Expect(1, 119375, '\p{ancientgreekmusicalnotation}', "");
Expect(0, 119375, '\p{^ancientgreekmusicalnotation}', "");
Expect(0, 119375, '\P{ancientgreekmusicalnotation}', "");
Expect(1, 119375, '\P{^ancientgreekmusicalnotation}', "");
Expect(0, 119376, '\p{ancientgreekmusicalnotation}', "");
Expect(1, 119376, '\p{^ancientgreekmusicalnotation}', "");
Expect(1, 119376, '\P{ancientgreekmusicalnotation}', "");
Expect(0, 119376, '\P{^ancientgreekmusicalnotation}', "");
Expect(1, 119375, '\p{-ANCIENT_GREEK_Musical_NOTATION}', "");
Expect(0, 119375, '\p{^-ANCIENT_GREEK_Musical_NOTATION}', "");
Expect(0, 119375, '\P{-ANCIENT_GREEK_Musical_NOTATION}', "");
Expect(1, 119375, '\P{^-ANCIENT_GREEK_Musical_NOTATION}', "");
Expect(0, 119376, '\p{-ANCIENT_GREEK_Musical_NOTATION}', "");
Expect(1, 119376, '\p{^-ANCIENT_GREEK_Musical_NOTATION}', "");
Expect(1, 119376, '\P{-ANCIENT_GREEK_Musical_NOTATION}', "");
Expect(0, 119376, '\P{^-ANCIENT_GREEK_Musical_NOTATION}', "");
Error('\p{/a/Is_Ancient_Greek_Musical_notation}');
Error('\P{/a/Is_Ancient_Greek_Musical_notation}');
Expect(1, 119375, '\p{isancientgreekmusicalnotation}', "");
Expect(0, 119375, '\p{^isancientgreekmusicalnotation}', "");
Expect(0, 119375, '\P{isancientgreekmusicalnotation}', "");
Expect(1, 119375, '\P{^isancientgreekmusicalnotation}', "");
Expect(0, 119376, '\p{isancientgreekmusicalnotation}', "");
Expect(1, 119376, '\p{^isancientgreekmusicalnotation}', "");
Expect(1, 119376, '\P{isancientgreekmusicalnotation}', "");
Expect(0, 119376, '\P{^isancientgreekmusicalnotation}', "");
Expect(1, 119375, '\p{-_Is_ancient_Greek_Musical_Notation}', "");
Expect(0, 119375, '\p{^-_Is_ancient_Greek_Musical_Notation}', "");
Expect(0, 119375, '\P{-_Is_ancient_Greek_Musical_Notation}', "");
Expect(1, 119375, '\P{^-_Is_ancient_Greek_Musical_Notation}', "");
Expect(0, 119376, '\p{-_Is_ancient_Greek_Musical_Notation}', "");
Expect(1, 119376, '\p{^-_Is_ancient_Greek_Musical_Notation}', "");
Expect(1, 119376, '\P{-_Is_ancient_Greek_Musical_Notation}', "");
Expect(0, 119376, '\P{^-_Is_ancient_Greek_Musical_Notation}', "");
Error('\p{/a/-In_ancient_Greek_Musical_Notation}');
Error('\P{/a/-In_ancient_Greek_Musical_Notation}');
Expect(1, 119375, '\p{inancientgreekmusicalnotation}', "");
Expect(0, 119375, '\p{^inancientgreekmusicalnotation}', "");
Expect(0, 119375, '\P{inancientgreekmusicalnotation}', "");
Expect(1, 119375, '\P{^inancientgreekmusicalnotation}', "");
Expect(0, 119376, '\p{inancientgreekmusicalnotation}', "");
Expect(1, 119376, '\p{^inancientgreekmusicalnotation}', "");
Expect(1, 119376, '\P{inancientgreekmusicalnotation}', "");
Expect(0, 119376, '\P{^inancientgreekmusicalnotation}', "");
Expect(1, 119375, '\p{	_in_ANCIENT_greek_Musical_notation}', "");
Expect(0, 119375, '\p{^	_in_ANCIENT_greek_Musical_notation}', "");
Expect(0, 119375, '\P{	_in_ANCIENT_greek_Musical_notation}', "");
Expect(1, 119375, '\P{^	_in_ANCIENT_greek_Musical_notation}', "");
Expect(0, 119376, '\p{	_in_ANCIENT_greek_Musical_notation}', "");
Expect(1, 119376, '\p{^	_in_ANCIENT_greek_Musical_notation}', "");
Expect(1, 119376, '\P{	_in_ANCIENT_greek_Musical_notation}', "");
Expect(0, 119376, '\P{^	_in_ANCIENT_greek_Musical_notation}', "");
Error('\p{/a/ ancient_GREEK_Music}');
Error('\P{/a/ ancient_GREEK_Music}');
Expect(1, 119375, '\p{ancientgreekmusic}', "");
Expect(0, 119375, '\p{^ancientgreekmusic}', "");
Expect(0, 119375, '\P{ancientgreekmusic}', "");
Expect(1, 119375, '\P{^ancientgreekmusic}', "");
Expect(0, 119376, '\p{ancientgreekmusic}', "");
Expect(1, 119376, '\p{^ancientgreekmusic}', "");
Expect(1, 119376, '\P{ancientgreekmusic}', "");
Expect(0, 119376, '\P{^ancientgreekmusic}', "");
Expect(1, 119375, '\p{  Ancient_GREEK_MUSIC}', "");
Expect(0, 119375, '\p{^  Ancient_GREEK_MUSIC}', "");
Expect(0, 119375, '\P{  Ancient_GREEK_MUSIC}', "");
Expect(1, 119375, '\P{^  Ancient_GREEK_MUSIC}', "");
Expect(0, 119376, '\p{  Ancient_GREEK_MUSIC}', "");
Expect(1, 119376, '\p{^  Ancient_GREEK_MUSIC}', "");
Expect(1, 119376, '\P{  Ancient_GREEK_MUSIC}', "");
Expect(0, 119376, '\P{^  Ancient_GREEK_MUSIC}', "");
Error('\p{:=-_is_Ancient_GREEK_music}');
Error('\P{:=-_is_Ancient_GREEK_music}');
Expect(1, 119375, '\p{isancientgreekmusic}', "");
Expect(0, 119375, '\p{^isancientgreekmusic}', "");
Expect(0, 119375, '\P{isancientgreekmusic}', "");
Expect(1, 119375, '\P{^isancientgreekmusic}', "");
Expect(0, 119376, '\p{isancientgreekmusic}', "");
Expect(1, 119376, '\p{^isancientgreekmusic}', "");
Expect(1, 119376, '\P{isancientgreekmusic}', "");
Expect(0, 119376, '\P{^isancientgreekmusic}', "");
Expect(1, 119375, '\p{	 Is_ANCIENT_GREEK_music}', "");
Expect(0, 119375, '\p{^	 Is_ANCIENT_GREEK_music}', "");
Expect(0, 119375, '\P{	 Is_ANCIENT_GREEK_music}', "");
Expect(1, 119375, '\P{^	 Is_ANCIENT_GREEK_music}', "");
Expect(0, 119376, '\p{	 Is_ANCIENT_GREEK_music}', "");
Expect(1, 119376, '\p{^	 Is_ANCIENT_GREEK_music}', "");
Expect(1, 119376, '\P{	 Is_ANCIENT_GREEK_music}', "");
Expect(0, 119376, '\P{^	 Is_ANCIENT_GREEK_music}', "");
Error('\p{-IN_ANCIENT_Greek_MUSIC/a/}');
Error('\P{-IN_ANCIENT_Greek_MUSIC/a/}');
Expect(1, 119375, '\p{inancientgreekmusic}', "");
Expect(0, 119375, '\p{^inancientgreekmusic}', "");
Expect(0, 119375, '\P{inancientgreekmusic}', "");
Expect(1, 119375, '\P{^inancientgreekmusic}', "");
Expect(0, 119376, '\p{inancientgreekmusic}', "");
Expect(1, 119376, '\p{^inancientgreekmusic}', "");
Expect(1, 119376, '\P{inancientgreekmusic}', "");
Expect(0, 119376, '\P{^inancientgreekmusic}', "");
Expect(1, 119375, '\p{-_In_ancient_greek_Music}', "");
Expect(0, 119375, '\p{^-_In_ancient_greek_Music}', "");
Expect(0, 119375, '\P{-_In_ancient_greek_Music}', "");
Expect(1, 119375, '\P{^-_In_ancient_greek_Music}', "");
Expect(0, 119376, '\p{-_In_ancient_greek_Music}', "");
Expect(1, 119376, '\p{^-_In_ancient_greek_Music}', "");
Expect(1, 119376, '\P{-_In_ancient_greek_Music}', "");
Expect(0, 119376, '\P{^-_In_ancient_greek_Music}', "");
Error('\p{ /a/ancient_GREEK_Numbers}');
Error('\P{ /a/ancient_GREEK_Numbers}');
Expect(1, 65935, '\p{ancientgreeknumbers}', "");
Expect(0, 65935, '\p{^ancientgreeknumbers}', "");
Expect(0, 65935, '\P{ancientgreeknumbers}', "");
Expect(1, 65935, '\P{^ancientgreeknumbers}', "");
Expect(0, 65936, '\p{ancientgreeknumbers}', "");
Expect(1, 65936, '\p{^ancientgreeknumbers}', "");
Expect(1, 65936, '\P{ancientgreeknumbers}', "");
Expect(0, 65936, '\P{^ancientgreeknumbers}', "");
Expect(1, 65935, '\p{ ANCIENT_GREEK_numbers}', "");
Expect(0, 65935, '\p{^ ANCIENT_GREEK_numbers}', "");
Expect(0, 65935, '\P{ ANCIENT_GREEK_numbers}', "");
Expect(1, 65935, '\P{^ ANCIENT_GREEK_numbers}', "");
Expect(0, 65936, '\p{ ANCIENT_GREEK_numbers}', "");
Expect(1, 65936, '\p{^ ANCIENT_GREEK_numbers}', "");
Expect(1, 65936, '\P{ ANCIENT_GREEK_numbers}', "");
Expect(0, 65936, '\P{^ ANCIENT_GREEK_numbers}', "");
Error('\p{/a/ 	IS_Ancient_greek_Numbers}');
Error('\P{/a/ 	IS_Ancient_greek_Numbers}');
Expect(1, 65935, '\p{isancientgreeknumbers}', "");
Expect(0, 65935, '\p{^isancientgreeknumbers}', "");
Expect(0, 65935, '\P{isancientgreeknumbers}', "");
Expect(1, 65935, '\P{^isancientgreeknumbers}', "");
Expect(0, 65936, '\p{isancientgreeknumbers}', "");
Expect(1, 65936, '\p{^isancientgreeknumbers}', "");
Expect(1, 65936, '\P{isancientgreeknumbers}', "");
Expect(0, 65936, '\P{^isancientgreeknumbers}', "");
Expect(1, 65935, '\p{--IS_ANCIENT_Greek_Numbers}', "");
Expect(0, 65935, '\p{^--IS_ANCIENT_Greek_Numbers}', "");
Expect(0, 65935, '\P{--IS_ANCIENT_Greek_Numbers}', "");
Expect(1, 65935, '\P{^--IS_ANCIENT_Greek_Numbers}', "");
Expect(0, 65936, '\p{--IS_ANCIENT_Greek_Numbers}', "");
Expect(1, 65936, '\p{^--IS_ANCIENT_Greek_Numbers}', "");
Expect(1, 65936, '\P{--IS_ANCIENT_Greek_Numbers}', "");
Expect(0, 65936, '\P{^--IS_ANCIENT_Greek_Numbers}', "");
Error('\p{- IN_ancient_Greek_NUMBERS/a/}');
Error('\P{- IN_ancient_Greek_NUMBERS/a/}');
Expect(1, 65935, '\p{inancientgreeknumbers}', "");
Expect(0, 65935, '\p{^inancientgreeknumbers}', "");
Expect(0, 65935, '\P{inancientgreeknumbers}', "");
Expect(1, 65935, '\P{^inancientgreeknumbers}', "");
Expect(0, 65936, '\p{inancientgreeknumbers}', "");
Expect(1, 65936, '\p{^inancientgreeknumbers}', "");
Expect(1, 65936, '\P{inancientgreeknumbers}', "");
Expect(0, 65936, '\P{^inancientgreeknumbers}', "");
Expect(1, 65935, '\p{ in_ancient_Greek_Numbers}', "");
Expect(0, 65935, '\p{^ in_ancient_Greek_Numbers}', "");
Expect(0, 65935, '\P{ in_ancient_Greek_Numbers}', "");
Expect(1, 65935, '\P{^ in_ancient_Greek_Numbers}', "");
Expect(0, 65936, '\p{ in_ancient_Greek_Numbers}', "");
Expect(1, 65936, '\p{^ in_ancient_Greek_Numbers}', "");
Expect(1, 65936, '\P{ in_ancient_Greek_Numbers}', "");
Expect(0, 65936, '\P{^ in_ancient_Greek_Numbers}', "");
Error('\p{/a/	_ancient_symbols}');
Error('\P{/a/	_ancient_symbols}');
Expect(1, 65999, '\p{ancientsymbols}', "");
Expect(0, 65999, '\p{^ancientsymbols}', "");
Expect(0, 65999, '\P{ancientsymbols}', "");
Expect(1, 65999, '\P{^ancientsymbols}', "");
Expect(0, 66000, '\p{ancientsymbols}', "");
Expect(1, 66000, '\p{^ancientsymbols}', "");
Expect(1, 66000, '\P{ancientsymbols}', "");
Expect(0, 66000, '\P{^ancientsymbols}', "");
Expect(1, 65999, '\p{	Ancient_symbols}', "");
Expect(0, 65999, '\p{^	Ancient_symbols}', "");
Expect(0, 65999, '\P{	Ancient_symbols}', "");
Expect(1, 65999, '\P{^	Ancient_symbols}', "");
Expect(0, 66000, '\p{	Ancient_symbols}', "");
Expect(1, 66000, '\p{^	Ancient_symbols}', "");
Expect(1, 66000, '\P{	Ancient_symbols}', "");
Expect(0, 66000, '\P{^	Ancient_symbols}', "");
Error('\p{:=Is_Ancient_SYMBOLS}');
Error('\P{:=Is_Ancient_SYMBOLS}');
Expect(1, 65999, '\p{isancientsymbols}', "");
Expect(0, 65999, '\p{^isancientsymbols}', "");
Expect(0, 65999, '\P{isancientsymbols}', "");
Expect(1, 65999, '\P{^isancientsymbols}', "");
Expect(0, 66000, '\p{isancientsymbols}', "");
Expect(1, 66000, '\p{^isancientsymbols}', "");
Expect(1, 66000, '\P{isancientsymbols}', "");
Expect(0, 66000, '\P{^isancientsymbols}', "");
Expect(1, 65999, '\p{	 Is_Ancient_SYMBOLS}', "");
Expect(0, 65999, '\p{^	 Is_Ancient_SYMBOLS}', "");
Expect(0, 65999, '\P{	 Is_Ancient_SYMBOLS}', "");
Expect(1, 65999, '\P{^	 Is_Ancient_SYMBOLS}', "");
Expect(0, 66000, '\p{	 Is_Ancient_SYMBOLS}', "");
Expect(1, 66000, '\p{^	 Is_Ancient_SYMBOLS}', "");
Expect(1, 66000, '\P{	 Is_Ancient_SYMBOLS}', "");
Expect(0, 66000, '\P{^	 Is_Ancient_SYMBOLS}', "");
Error('\p{_/a/IN_Ancient_symbols}');
Error('\P{_/a/IN_Ancient_symbols}');
Expect(1, 65999, '\p{inancientsymbols}', "");
Expect(0, 65999, '\p{^inancientsymbols}', "");
Expect(0, 65999, '\P{inancientsymbols}', "");
Expect(1, 65999, '\P{^inancientsymbols}', "");
Expect(0, 66000, '\p{inancientsymbols}', "");
Expect(1, 66000, '\p{^inancientsymbols}', "");
Expect(1, 66000, '\P{inancientsymbols}', "");
Expect(0, 66000, '\P{^inancientsymbols}', "");
Expect(1, 65999, '\p{_-in_ancient_symbols}', "");
Expect(0, 65999, '\p{^_-in_ancient_symbols}', "");
Expect(0, 65999, '\P{_-in_ancient_symbols}', "");
Expect(1, 65999, '\P{^_-in_ancient_symbols}', "");
Expect(0, 66000, '\p{_-in_ancient_symbols}', "");
Expect(1, 66000, '\p{^_-in_ancient_symbols}', "");
Expect(1, 66000, '\P{_-in_ancient_symbols}', "");
Expect(0, 66000, '\P{^_-in_ancient_symbols}', "");
Error('\p{-ANY/a/}');
Error('\P{-ANY/a/}');
Expect(1, 1, '\p{any}', "");
Expect(0, 1, '\p{^any}', "");
Expect(0, 1, '\P{any}', "");
Expect(1, 1, '\P{^any}', "");
Expect(0, 8912887, '\p{any}', "");
Expect(1, 8912887, '\p{^any}', "");
Expect(1, 8912887, '\P{any}', "");
Expect(0, 8912887, '\P{^any}', "");
Expect(1, 1, '\p{- ANY}', "");
Expect(0, 1, '\p{^- ANY}', "");
Expect(0, 1, '\P{- ANY}', "");
Expect(1, 1, '\P{^- ANY}', "");
Expect(0, 8912887, '\p{- ANY}', "");
Expect(1, 8912887, '\p{^- ANY}', "");
Expect(1, 8912887, '\P{- ANY}', "");
Expect(0, 8912887, '\P{^- ANY}', "");
Error('\p{:=_ Unicode}');
Error('\P{:=_ Unicode}');
Expect(1, 1, '\p{unicode}', "");
Expect(0, 1, '\p{^unicode}', "");
Expect(0, 1, '\P{unicode}', "");
Expect(1, 1, '\P{^unicode}', "");
Expect(0, 8912887, '\p{unicode}', "");
Expect(1, 8912887, '\p{^unicode}', "");
Expect(1, 8912887, '\P{unicode}', "");
Expect(0, 8912887, '\P{^unicode}', "");
Expect(1, 1, '\p{ 	unicode}', "");
Expect(0, 1, '\p{^ 	unicode}', "");
Expect(0, 1, '\P{ 	unicode}', "");
Expect(1, 1, '\P{^ 	unicode}', "");
Expect(0, 8912887, '\p{ 	unicode}', "");
Expect(1, 8912887, '\p{^ 	unicode}', "");
Expect(1, 8912887, '\P{ 	unicode}', "");
Expect(0, 8912887, '\P{^ 	unicode}', "");
Error('\p{:=is_ANY}');
Error('\P{:=is_ANY}');
Expect(1, 1, '\p{isany}', "");
Expect(0, 1, '\p{^isany}', "");
Expect(0, 1, '\P{isany}', "");
Expect(1, 1, '\P{^isany}', "");
Expect(0, 8912887, '\p{isany}', "");
Expect(1, 8912887, '\p{^isany}', "");
Expect(1, 8912887, '\P{isany}', "");
Expect(0, 8912887, '\P{^isany}', "");
Expect(1, 1, '\p{__Is_any}', "");
Expect(0, 1, '\p{^__Is_any}', "");
Expect(0, 1, '\P{__Is_any}', "");
Expect(1, 1, '\P{^__Is_any}', "");
Expect(0, 8912887, '\p{__Is_any}', "");
Expect(1, 8912887, '\p{^__Is_any}', "");
Expect(1, 8912887, '\P{__Is_any}', "");
Expect(0, 8912887, '\P{^__Is_any}', "");
Error('\p{:=_	Is_Unicode}');
Error('\P{:=_	Is_Unicode}');
Expect(1, 1, '\p{isunicode}', "");
Expect(0, 1, '\p{^isunicode}', "");
Expect(0, 1, '\P{isunicode}', "");
Expect(1, 1, '\P{^isunicode}', "");
Expect(0, 8912887, '\p{isunicode}', "");
Expect(1, 8912887, '\p{^isunicode}', "");
Expect(1, 8912887, '\P{isunicode}', "");
Expect(0, 8912887, '\P{^isunicode}', "");
Expect(1, 1, '\p{- is_Unicode}', "");
Expect(0, 1, '\p{^- is_Unicode}', "");
Expect(0, 1, '\P{- is_Unicode}', "");
Expect(1, 1, '\P{^- is_Unicode}', "");
Expect(0, 8912887, '\p{- is_Unicode}', "");
Expect(1, 8912887, '\p{^- is_Unicode}', "");
Expect(1, 8912887, '\P{- is_Unicode}', "");
Expect(0, 8912887, '\P{^- is_Unicode}', "");
Error('\p{	ARABIC:=}');
Error('\P{	ARABIC:=}');
Expect(1, 126705, '\p{arabic}', "");
Expect(0, 126705, '\p{^arabic}', "");
Expect(0, 126705, '\P{arabic}', "");
Expect(1, 126705, '\P{^arabic}', "");
Expect(0, 126706, '\p{arabic}', "");
Expect(1, 126706, '\p{^arabic}', "");
Expect(1, 126706, '\P{arabic}', "");
Expect(0, 126706, '\P{^arabic}', "");
Expect(1, 126705, '\p{-_Arabic}', "");
Expect(0, 126705, '\p{^-_Arabic}', "");
Expect(0, 126705, '\P{-_Arabic}', "");
Expect(1, 126705, '\P{^-_Arabic}', "");
Expect(0, 126706, '\p{-_Arabic}', "");
Expect(1, 126706, '\p{^-_Arabic}', "");
Expect(1, 126706, '\P{-_Arabic}', "");
Expect(0, 126706, '\P{^-_Arabic}', "");
Error('\p{_:=IS_Arabic}');
Error('\P{_:=IS_Arabic}');
Expect(1, 126705, '\p{isarabic}', "");
Expect(0, 126705, '\p{^isarabic}', "");
Expect(0, 126705, '\P{isarabic}', "");
Expect(1, 126705, '\P{^isarabic}', "");
Expect(0, 126706, '\p{isarabic}', "");
Expect(1, 126706, '\p{^isarabic}', "");
Expect(1, 126706, '\P{isarabic}', "");
Expect(0, 126706, '\P{^isarabic}', "");
Expect(1, 126705, '\p{--is_Arabic}', "");
Expect(0, 126705, '\p{^--is_Arabic}', "");
Expect(0, 126705, '\P{--is_Arabic}', "");
Expect(1, 126705, '\P{^--is_Arabic}', "");
Expect(0, 126706, '\p{--is_Arabic}', "");
Expect(1, 126706, '\p{^--is_Arabic}', "");
Expect(1, 126706, '\P{--is_Arabic}', "");
Expect(0, 126706, '\P{^--is_Arabic}', "");
Error('\p{	/a/arab}');
Error('\P{	/a/arab}');
Expect(1, 126705, '\p{arab}', "");
Expect(0, 126705, '\p{^arab}', "");
Expect(0, 126705, '\P{arab}', "");
Expect(1, 126705, '\P{^arab}', "");
Expect(0, 126706, '\p{arab}', "");
Expect(1, 126706, '\p{^arab}', "");
Expect(1, 126706, '\P{arab}', "");
Expect(0, 126706, '\P{^arab}', "");
Expect(1, 126705, '\p{	 Arab}', "");
Expect(0, 126705, '\p{^	 Arab}', "");
Expect(0, 126705, '\P{	 Arab}', "");
Expect(1, 126705, '\P{^	 Arab}', "");
Expect(0, 126706, '\p{	 Arab}', "");
Expect(1, 126706, '\p{^	 Arab}', "");
Expect(1, 126706, '\P{	 Arab}', "");
Expect(0, 126706, '\P{^	 Arab}', "");
Error('\p{_:=is_arab}');
Error('\P{_:=is_arab}');
Expect(1, 126705, '\p{isarab}', "");
Expect(0, 126705, '\p{^isarab}', "");
Expect(0, 126705, '\P{isarab}', "");
Expect(1, 126705, '\P{^isarab}', "");
Expect(0, 126706, '\p{isarab}', "");
Expect(1, 126706, '\p{^isarab}', "");
Expect(1, 126706, '\P{isarab}', "");
Expect(0, 126706, '\P{^isarab}', "");
Expect(1, 126705, '\p{ 	Is_arab}', "");
Expect(0, 126705, '\p{^ 	Is_arab}', "");
Expect(0, 126705, '\P{ 	Is_arab}', "");
Expect(1, 126705, '\P{^ 	Is_arab}', "");
Expect(0, 126706, '\p{ 	Is_arab}', "");
Expect(1, 126706, '\p{^ 	Is_arab}', "");
Expect(1, 126706, '\P{ 	Is_arab}', "");
Expect(0, 126706, '\P{^ 	Is_arab}', "");
Error('\p{_-Arabic_Extended_a:=}');
Error('\P{_-Arabic_Extended_a:=}');
Expect(1, 2303, '\p{arabicextendeda}', "");
Expect(0, 2303, '\p{^arabicextendeda}', "");
Expect(0, 2303, '\P{arabicextendeda}', "");
Expect(1, 2303, '\P{^arabicextendeda}', "");
Expect(0, 2304, '\p{arabicextendeda}', "");
Expect(1, 2304, '\p{^arabicextendeda}', "");
Expect(1, 2304, '\P{arabicextendeda}', "");
Expect(0, 2304, '\P{^arabicextendeda}', "");
Expect(1, 2303, '\p{-	Arabic_Extended_A}', "");
Expect(0, 2303, '\p{^-	Arabic_Extended_A}', "");
Expect(0, 2303, '\P{-	Arabic_Extended_A}', "");
Expect(1, 2303, '\P{^-	Arabic_Extended_A}', "");
Expect(0, 2304, '\p{-	Arabic_Extended_A}', "");
Expect(1, 2304, '\p{^-	Arabic_Extended_A}', "");
Expect(1, 2304, '\P{-	Arabic_Extended_A}', "");
Expect(0, 2304, '\P{^-	Arabic_Extended_A}', "");
Error('\p{-_IS_Arabic_Extended_A:=}');
Error('\P{-_IS_Arabic_Extended_A:=}');
Expect(1, 2303, '\p{isarabicextendeda}', "");
Expect(0, 2303, '\p{^isarabicextendeda}', "");
Expect(0, 2303, '\P{isarabicextendeda}', "");
Expect(1, 2303, '\P{^isarabicextendeda}', "");
Expect(0, 2304, '\p{isarabicextendeda}', "");
Expect(1, 2304, '\p{^isarabicextendeda}', "");
Expect(1, 2304, '\P{isarabicextendeda}', "");
Expect(0, 2304, '\P{^isarabicextendeda}', "");
Expect(1, 2303, '\p{_	IS_Arabic_EXTENDED_A}', "");
Expect(0, 2303, '\p{^_	IS_Arabic_EXTENDED_A}', "");
Expect(0, 2303, '\P{_	IS_Arabic_EXTENDED_A}', "");
Expect(1, 2303, '\P{^_	IS_Arabic_EXTENDED_A}', "");
Expect(0, 2304, '\p{_	IS_Arabic_EXTENDED_A}', "");
Expect(1, 2304, '\p{^_	IS_Arabic_EXTENDED_A}', "");
Expect(1, 2304, '\P{_	IS_Arabic_EXTENDED_A}', "");
Expect(0, 2304, '\P{^_	IS_Arabic_EXTENDED_A}', "");
Error('\p{ 	IN_Arabic_Extended_A:=}');
Error('\P{ 	IN_Arabic_Extended_A:=}');
Expect(1, 2303, '\p{inarabicextendeda}', "");
Expect(0, 2303, '\p{^inarabicextendeda}', "");
Expect(0, 2303, '\P{inarabicextendeda}', "");
Expect(1, 2303, '\P{^inarabicextendeda}', "");
Expect(0, 2304, '\p{inarabicextendeda}', "");
Expect(1, 2304, '\p{^inarabicextendeda}', "");
Expect(1, 2304, '\P{inarabicextendeda}', "");
Expect(0, 2304, '\P{^inarabicextendeda}', "");
Expect(1, 2303, '\p{-In_Arabic_Extended_A}', "");
Expect(0, 2303, '\p{^-In_Arabic_Extended_A}', "");
Expect(0, 2303, '\P{-In_Arabic_Extended_A}', "");
Expect(1, 2303, '\P{^-In_Arabic_Extended_A}', "");
Expect(0, 2304, '\p{-In_Arabic_Extended_A}', "");
Expect(1, 2304, '\p{^-In_Arabic_Extended_A}', "");
Expect(1, 2304, '\P{-In_Arabic_Extended_A}', "");
Expect(0, 2304, '\P{^-In_Arabic_Extended_A}', "");
Error('\p{_ Arabic_ext_a/a/}');
Error('\P{_ Arabic_ext_a/a/}');
Expect(1, 2303, '\p{arabicexta}', "");
Expect(0, 2303, '\p{^arabicexta}', "");
Expect(0, 2303, '\P{arabicexta}', "");
Expect(1, 2303, '\P{^arabicexta}', "");
Expect(0, 2304, '\p{arabicexta}', "");
Expect(1, 2304, '\p{^arabicexta}', "");
Expect(1, 2304, '\P{arabicexta}', "");
Expect(0, 2304, '\P{^arabicexta}', "");
Expect(1, 2303, '\p{--ARABIC_EXT_A}', "");
Expect(0, 2303, '\p{^--ARABIC_EXT_A}', "");
Expect(0, 2303, '\P{--ARABIC_EXT_A}', "");
Expect(1, 2303, '\P{^--ARABIC_EXT_A}', "");
Expect(0, 2304, '\p{--ARABIC_EXT_A}', "");
Expect(1, 2304, '\p{^--ARABIC_EXT_A}', "");
Expect(1, 2304, '\P{--ARABIC_EXT_A}', "");
Expect(0, 2304, '\P{^--ARABIC_EXT_A}', "");
Error('\p{/a/  is_Arabic_Ext_A}');
Error('\P{/a/  is_Arabic_Ext_A}');
Expect(1, 2303, '\p{isarabicexta}', "");
Expect(0, 2303, '\p{^isarabicexta}', "");
Expect(0, 2303, '\P{isarabicexta}', "");
Expect(1, 2303, '\P{^isarabicexta}', "");
Expect(0, 2304, '\p{isarabicexta}', "");
Expect(1, 2304, '\p{^isarabicexta}', "");
Expect(1, 2304, '\P{isarabicexta}', "");
Expect(0, 2304, '\P{^isarabicexta}', "");
Expect(1, 2303, '\p{		IS_Arabic_EXT_A}', "");
Expect(0, 2303, '\p{^		IS_Arabic_EXT_A}', "");
Expect(0, 2303, '\P{		IS_Arabic_EXT_A}', "");
Expect(1, 2303, '\P{^		IS_Arabic_EXT_A}', "");
Expect(0, 2304, '\p{		IS_Arabic_EXT_A}', "");
Expect(1, 2304, '\p{^		IS_Arabic_EXT_A}', "");
Expect(1, 2304, '\P{		IS_Arabic_EXT_A}', "");
Expect(0, 2304, '\P{^		IS_Arabic_EXT_A}', "");
Error('\p{ :=In_Arabic_ext_a}');
Error('\P{ :=In_Arabic_ext_a}');
Expect(1, 2303, '\p{inarabicexta}', "");
Expect(0, 2303, '\p{^inarabicexta}', "");
Expect(0, 2303, '\P{inarabicexta}', "");
Expect(1, 2303, '\P{^inarabicexta}', "");
Expect(0, 2304, '\p{inarabicexta}', "");
Expect(1, 2304, '\p{^inarabicexta}', "");
Expect(1, 2304, '\P{inarabicexta}', "");
Expect(0, 2304, '\P{^inarabicexta}', "");
Expect(1, 2303, '\p{_In_Arabic_ext_A}', "");
Expect(0, 2303, '\p{^_In_Arabic_ext_A}', "");
Expect(0, 2303, '\P{_In_Arabic_ext_A}', "");
Expect(1, 2303, '\P{^_In_Arabic_ext_A}', "");
Expect(0, 2304, '\p{_In_Arabic_ext_A}', "");
Expect(1, 2304, '\p{^_In_Arabic_ext_A}', "");
Expect(1, 2304, '\P{_In_Arabic_ext_A}', "");
Expect(0, 2304, '\P{^_In_Arabic_ext_A}', "");
Error('\p{ arabic_mathematical_Alphabetic_Symbols/a/}');
Error('\P{ arabic_mathematical_Alphabetic_Symbols/a/}');
Expect(1, 126719, '\p{arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126719, '\p{^arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126719, '\P{arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126719, '\P{^arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126720, '\p{arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126720, '\p{^arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126720, '\P{arabicmathematicalalphabeticsymbols}', "");
Expect(0, 126720, '\P{^arabicmathematicalalphabeticsymbols}', "");
Expect(1, 126719, '\p{-	Arabic_Mathematical_Alphabetic_SYMBOLS}', "");
Expect(0, 126719, '\p{^-	Arabic_Mathematical_Alphabetic_SYMBOLS}', "");
Expect(0, 126719, '\P{-	Arabic_Mathematical_Alphabetic_SYMBOLS}', "");
Expect(1, 126719, '\P{^-	Arabic_Mathematical_Alphabetic_SYMBOLS}', "");
Expect(0, 126720, '\p{-	Arabic_Mathematical_Alphabetic_SYMBOLS}', "");
Expect(1, 126720, '\p{^-	Arabic_Mathematical_Alphabetic_SYMBOLS}', "");
Expect(1, 126720, '\P{-	Arabic_Mathematical_Alphabetic_SYMBOLS}', "");
Expect(0, 126720, '\P{^-	Arabic_Mathematical_Alphabetic_SYMBOLS}', "");
Error('\p{:=	 Is_arabic_MATHEMATICAL_ALPHABETIC_Symbols}');
Error('\P{:=	 Is_arabic_MATHEMATICAL_ALPHABETIC_Symbols}');
Expect(1, 126719, '\p{isarabicmathematicalalphabeticsymbols}', "");
Expect(0, 126719, '\p{^isarabicmathematicalalphabeticsymbols}', "");
Expect(0, 126719, '\P{isarabicmathematicalalphabeticsymbols}', "");
Expect(1, 126719, '\P{^isarabicmathematicalalphabeticsymbols}', "");
Expect(0, 126720, '\p{isarabicmathematicalalphabeticsymbols}', "");
Expect(1, 126720, '\p{^isarabicmathematicalalphabeticsymbols}', "");
Expect(1, 126720, '\P{isarabicmathematicalalphabeticsymbols}', "");
Expect(0, 126720, '\P{^isarabicmathematicalalphabeticsymbols}', "");
Expect(1, 126719, '\p{- IS_arabic_Mathematical_Alphabetic_Symbols}', "");
Expect(0, 126719, '\p{^- IS_arabic_Mathematical_Alphabetic_Symbols}', "");
Expect(0, 126719, '\P{- IS_arabic_Mathematical_Alphabetic_Symbols}', "");
Expect(1, 126719, '\P{^- IS_arabic_Mathematical_Alphabetic_Symbols}', "");
Expect(0, 126720, '\p{- IS_arabic_Mathematical_Alphabetic_Symbols}', "");
Expect(1, 126720, '\p{^- IS_arabic_Mathematical_Alphabetic_Symbols}', "");
Expect(1, 126720, '\P{- IS_arabic_Mathematical_Alphabetic_Symbols}', "");
Expect(0, 126720, '\P{^- IS_arabic_Mathematical_Alphabetic_Symbols}', "");
Error('\p{:= -IN_Arabic_mathematical_alphabetic_Symbols}');
Error('\P{:= -IN_Arabic_mathematical_alphabetic_Symbols}');
Expect(1, 126719, '\p{inarabicmathematicalalphabeticsymbols}', "");
Expect(0, 126719, '\p{^inarabicmathematicalalphabeticsymbols}', "");
Expect(0, 126719, '\P{inarabicmathematicalalphabeticsymbols}', "");
Expect(1, 126719, '\P{^inarabicmathematicalalphabeticsymbols}', "");
Expect(0, 126720, '\p{inarabicmathematicalalphabeticsymbols}', "");
Expect(1, 126720, '\p{^inarabicmathematicalalphabeticsymbols}', "");
Expect(1, 126720, '\P{inarabicmathematicalalphabeticsymbols}', "");
Expect(0, 126720, '\P{^inarabicmathematicalalphabeticsymbols}', "");
Expect(1, 126719, '\p{	_in_Arabic_Mathematical_Alphabetic_SYMBOLS}', "");
Expect(0, 126719, '\p{^	_in_Arabic_Mathematical_Alphabetic_SYMBOLS}', "");
Expect(0, 126719, '\P{	_in_Arabic_Mathematical_Alphabetic_SYMBOLS}', "");
Expect(1, 126719, '\P{^	_in_Arabic_Mathematical_Alphabetic_SYMBOLS}', "");
Expect(0, 126720, '\p{	_in_Arabic_Mathematical_Alphabetic_SYMBOLS}', "");
Expect(1, 126720, '\p{^	_in_Arabic_Mathematical_Alphabetic_SYMBOLS}', "");
Expect(1, 126720, '\P{	_in_Arabic_Mathematical_Alphabetic_SYMBOLS}', "");
Expect(0, 126720, '\P{^	_in_Arabic_Mathematical_Alphabetic_SYMBOLS}', "");
Error('\p{/a/_	arabic_Math}');
Error('\P{/a/_	arabic_Math}');
Expect(1, 126719, '\p{arabicmath}', "");
Expect(0, 126719, '\p{^arabicmath}', "");
Expect(0, 126719, '\P{arabicmath}', "");
Expect(1, 126719, '\P{^arabicmath}', "");
Expect(0, 126720, '\p{arabicmath}', "");
Expect(1, 126720, '\p{^arabicmath}', "");
Expect(1, 126720, '\P{arabicmath}', "");
Expect(0, 126720, '\P{^arabicmath}', "");
Expect(1, 126719, '\p{_	Arabic_Math}', "");
Expect(0, 126719, '\p{^_	Arabic_Math}', "");
Expect(0, 126719, '\P{_	Arabic_Math}', "");
Expect(1, 126719, '\P{^_	Arabic_Math}', "");
Expect(0, 126720, '\p{_	Arabic_Math}', "");
Expect(1, 126720, '\p{^_	Arabic_Math}', "");
Expect(1, 126720, '\P{_	Arabic_Math}', "");
Expect(0, 126720, '\P{^_	Arabic_Math}', "");
Error('\p{	is_ARABIC_Math:=}');
Error('\P{	is_ARABIC_Math:=}');
Expect(1, 126719, '\p{isarabicmath}', "");
Expect(0, 126719, '\p{^isarabicmath}', "");
Expect(0, 126719, '\P{isarabicmath}', "");
Expect(1, 126719, '\P{^isarabicmath}', "");
Expect(0, 126720, '\p{isarabicmath}', "");
Expect(1, 126720, '\p{^isarabicmath}', "");
Expect(1, 126720, '\P{isarabicmath}', "");
Expect(0, 126720, '\P{^isarabicmath}', "");
Expect(1, 126719, '\p{--is_arabic_math}', "");
Expect(0, 126719, '\p{^--is_arabic_math}', "");
Expect(0, 126719, '\P{--is_arabic_math}', "");
Expect(1, 126719, '\P{^--is_arabic_math}', "");
Expect(0, 126720, '\p{--is_arabic_math}', "");
Expect(1, 126720, '\p{^--is_arabic_math}', "");
Expect(1, 126720, '\P{--is_arabic_math}', "");
Expect(0, 126720, '\P{^--is_arabic_math}', "");
Error('\p{:=--in_Arabic_math}');
Error('\P{:=--in_Arabic_math}');
Expect(1, 126719, '\p{inarabicmath}', "");
Expect(0, 126719, '\p{^inarabicmath}', "");
Expect(0, 126719, '\P{inarabicmath}', "");
Expect(1, 126719, '\P{^inarabicmath}', "");
Expect(0, 126720, '\p{inarabicmath}', "");
Expect(1, 126720, '\p{^inarabicmath}', "");
Expect(1, 126720, '\P{inarabicmath}', "");
Expect(0, 126720, '\P{^inarabicmath}', "");
Expect(1, 126719, '\p{ -In_ARABIC_Math}', "");
Expect(0, 126719, '\p{^ -In_ARABIC_Math}', "");
Expect(0, 126719, '\P{ -In_ARABIC_Math}', "");
Expect(1, 126719, '\P{^ -In_ARABIC_Math}', "");
Expect(0, 126720, '\p{ -In_ARABIC_Math}', "");
Expect(1, 126720, '\p{^ -In_ARABIC_Math}', "");
Expect(1, 126720, '\P{ -In_ARABIC_Math}', "");
Expect(0, 126720, '\P{^ -In_ARABIC_Math}', "");
Error('\p{/a/  Arabic_presentation_forms_A}');
Error('\P{/a/  Arabic_presentation_forms_A}');
Expect(1, 65023, '\p{arabicpresentationformsa}', "");
Expect(0, 65023, '\p{^arabicpresentationformsa}', "");
Expect(0, 65023, '\P{arabicpresentationformsa}', "");
Expect(1, 65023, '\P{^arabicpresentationformsa}', "");
Expect(0, 65024, '\p{arabicpresentationformsa}', "");
Expect(1, 65024, '\p{^arabicpresentationformsa}', "");
Expect(1, 65024, '\P{arabicpresentationformsa}', "");
Expect(0, 65024, '\P{^arabicpresentationformsa}', "");
Expect(1, 65023, '\p{ arabic_Presentation_Forms_A}', "");
Expect(0, 65023, '\p{^ arabic_Presentation_Forms_A}', "");
Expect(0, 65023, '\P{ arabic_Presentation_Forms_A}', "");
Expect(1, 65023, '\P{^ arabic_Presentation_Forms_A}', "");
Expect(0, 65024, '\p{ arabic_Presentation_Forms_A}', "");
Expect(1, 65024, '\p{^ arabic_Presentation_Forms_A}', "");
Expect(1, 65024, '\P{ arabic_Presentation_Forms_A}', "");
Expect(0, 65024, '\P{^ arabic_Presentation_Forms_A}', "");
Error('\p{IS_Arabic_Presentation_Forms_A:=}');
Error('\P{IS_Arabic_Presentation_Forms_A:=}');
Expect(1, 65023, '\p{isarabicpresentationformsa}', "");
Expect(0, 65023, '\p{^isarabicpresentationformsa}', "");
Expect(0, 65023, '\P{isarabicpresentationformsa}', "");
Expect(1, 65023, '\P{^isarabicpresentationformsa}', "");
Expect(0, 65024, '\p{isarabicpresentationformsa}', "");
Expect(1, 65024, '\p{^isarabicpresentationformsa}', "");
Expect(1, 65024, '\P{isarabicpresentationformsa}', "");
Expect(0, 65024, '\P{^isarabicpresentationformsa}', "");
Expect(1, 65023, '\p{ IS_ARABIC_presentation_FORMS_A}', "");
Expect(0, 65023, '\p{^ IS_ARABIC_presentation_FORMS_A}', "");
Expect(0, 65023, '\P{ IS_ARABIC_presentation_FORMS_A}', "");
Expect(1, 65023, '\P{^ IS_ARABIC_presentation_FORMS_A}', "");
Expect(0, 65024, '\p{ IS_ARABIC_presentation_FORMS_A}', "");
Expect(1, 65024, '\p{^ IS_ARABIC_presentation_FORMS_A}', "");
Expect(1, 65024, '\P{ IS_ARABIC_presentation_FORMS_A}', "");
Expect(0, 65024, '\P{^ IS_ARABIC_presentation_FORMS_A}', "");
Error('\p{	-IN_Arabic_Presentation_Forms_A/a/}');
Error('\P{	-IN_Arabic_Presentation_Forms_A/a/}');
Expect(1, 65023, '\p{inarabicpresentationformsa}', "");
Expect(0, 65023, '\p{^inarabicpresentationformsa}', "");
Expect(0, 65023, '\P{inarabicpresentationformsa}', "");
Expect(1, 65023, '\P{^inarabicpresentationformsa}', "");
Expect(0, 65024, '\p{inarabicpresentationformsa}', "");
Expect(1, 65024, '\p{^inarabicpresentationformsa}', "");
Expect(1, 65024, '\P{inarabicpresentationformsa}', "");
Expect(0, 65024, '\P{^inarabicpresentationformsa}', "");
Expect(1, 65023, '\p{_ In_arabic_presentation_forms_a}', "");
Expect(0, 65023, '\p{^_ In_arabic_presentation_forms_a}', "");
Expect(0, 65023, '\P{_ In_arabic_presentation_forms_a}', "");
Expect(1, 65023, '\P{^_ In_arabic_presentation_forms_a}', "");
Expect(0, 65024, '\p{_ In_arabic_presentation_forms_a}', "");
Expect(1, 65024, '\p{^_ In_arabic_presentation_forms_a}', "");
Expect(1, 65024, '\P{_ In_arabic_presentation_forms_a}', "");
Expect(0, 65024, '\P{^_ In_arabic_presentation_forms_a}', "");
Error('\p{-:=arabic_pf_a}');
Error('\P{-:=arabic_pf_a}');
Expect(1, 65023, '\p{arabicpfa}', "");
Expect(0, 65023, '\p{^arabicpfa}', "");
Expect(0, 65023, '\P{arabicpfa}', "");
Expect(1, 65023, '\P{^arabicpfa}', "");
Expect(0, 65024, '\p{arabicpfa}', "");
Expect(1, 65024, '\p{^arabicpfa}', "");
Expect(1, 65024, '\P{arabicpfa}', "");
Expect(0, 65024, '\P{^arabicpfa}', "");
Expect(1, 65023, '\p{_arabic_PF_A}', "");
Expect(0, 65023, '\p{^_arabic_PF_A}', "");
Expect(0, 65023, '\P{_arabic_PF_A}', "");
Expect(1, 65023, '\P{^_arabic_PF_A}', "");
Expect(0, 65024, '\p{_arabic_PF_A}', "");
Expect(1, 65024, '\p{^_arabic_PF_A}', "");
Expect(1, 65024, '\P{_arabic_PF_A}', "");
Expect(0, 65024, '\P{^_arabic_PF_A}', "");
Error('\p{:=- IS_ARABIC_PF_A}');
Error('\P{:=- IS_ARABIC_PF_A}');
Expect(1, 65023, '\p{isarabicpfa}', "");
Expect(0, 65023, '\p{^isarabicpfa}', "");
Expect(0, 65023, '\P{isarabicpfa}', "");
Expect(1, 65023, '\P{^isarabicpfa}', "");
Expect(0, 65024, '\p{isarabicpfa}', "");
Expect(1, 65024, '\p{^isarabicpfa}', "");
Expect(1, 65024, '\P{isarabicpfa}', "");
Expect(0, 65024, '\P{^isarabicpfa}', "");
Expect(1, 65023, '\p{	 Is_Arabic_pf_A}', "");
Expect(0, 65023, '\p{^	 Is_Arabic_pf_A}', "");
Expect(0, 65023, '\P{	 Is_Arabic_pf_A}', "");
Expect(1, 65023, '\P{^	 Is_Arabic_pf_A}', "");
Expect(0, 65024, '\p{	 Is_Arabic_pf_A}', "");
Expect(1, 65024, '\p{^	 Is_Arabic_pf_A}', "");
Expect(1, 65024, '\P{	 Is_Arabic_pf_A}', "");
Expect(0, 65024, '\P{^	 Is_Arabic_pf_A}', "");
Error('\p{-IN_ARABIC_pf_a/a/}');
Error('\P{-IN_ARABIC_pf_a/a/}');
Expect(1, 65023, '\p{inarabicpfa}', "");
Expect(0, 65023, '\p{^inarabicpfa}', "");
Expect(0, 65023, '\P{inarabicpfa}', "");
Expect(1, 65023, '\P{^inarabicpfa}', "");
Expect(0, 65024, '\p{inarabicpfa}', "");
Expect(1, 65024, '\p{^inarabicpfa}', "");
Expect(1, 65024, '\P{inarabicpfa}', "");
Expect(0, 65024, '\P{^inarabicpfa}', "");
Expect(1, 65023, '\p{		in_arabic_PF_a}', "");
Expect(0, 65023, '\p{^		in_arabic_PF_a}', "");
Expect(0, 65023, '\P{		in_arabic_PF_a}', "");
Expect(1, 65023, '\P{^		in_arabic_PF_a}', "");
Expect(0, 65024, '\p{		in_arabic_PF_a}', "");
Expect(1, 65024, '\p{^		in_arabic_PF_a}', "");
Expect(1, 65024, '\P{		in_arabic_PF_a}', "");
Expect(0, 65024, '\P{^		in_arabic_PF_a}', "");
Error('\p{ :=Arabic_PRESENTATION_Forms_B}');
Error('\P{ :=Arabic_PRESENTATION_Forms_B}');
Expect(1, 65279, '\p{arabicpresentationformsb}', "");
Expect(0, 65279, '\p{^arabicpresentationformsb}', "");
Expect(0, 65279, '\P{arabicpresentationformsb}', "");
Expect(1, 65279, '\P{^arabicpresentationformsb}', "");
Expect(0, 65280, '\p{arabicpresentationformsb}', "");
Expect(1, 65280, '\p{^arabicpresentationformsb}', "");
Expect(1, 65280, '\P{arabicpresentationformsb}', "");
Expect(0, 65280, '\P{^arabicpresentationformsb}', "");
Expect(1, 65279, '\p{	-Arabic_Presentation_Forms_b}', "");
Expect(0, 65279, '\p{^	-Arabic_Presentation_Forms_b}', "");
Expect(0, 65279, '\P{	-Arabic_Presentation_Forms_b}', "");
Expect(1, 65279, '\P{^	-Arabic_Presentation_Forms_b}', "");
Expect(0, 65280, '\p{	-Arabic_Presentation_Forms_b}', "");
Expect(1, 65280, '\p{^	-Arabic_Presentation_Forms_b}', "");
Expect(1, 65280, '\P{	-Arabic_Presentation_Forms_b}', "");
Expect(0, 65280, '\P{^	-Arabic_Presentation_Forms_b}', "");
Error('\p{-/a/Is_arabic_Presentation_forms_B}');
Error('\P{-/a/Is_arabic_Presentation_forms_B}');
Expect(1, 65279, '\p{isarabicpresentationformsb}', "");
Expect(0, 65279, '\p{^isarabicpresentationformsb}', "");
Expect(0, 65279, '\P{isarabicpresentationformsb}', "");
Expect(1, 65279, '\P{^isarabicpresentationformsb}', "");
Expect(0, 65280, '\p{isarabicpresentationformsb}', "");
Expect(1, 65280, '\p{^isarabicpresentationformsb}', "");
Expect(1, 65280, '\P{isarabicpresentationformsb}', "");
Expect(0, 65280, '\P{^isarabicpresentationformsb}', "");
Expect(1, 65279, '\p{ -IS_ARABIC_Presentation_FORMS_B}', "");
Expect(0, 65279, '\p{^ -IS_ARABIC_Presentation_FORMS_B}', "");
Expect(0, 65279, '\P{ -IS_ARABIC_Presentation_FORMS_B}', "");
Expect(1, 65279, '\P{^ -IS_ARABIC_Presentation_FORMS_B}', "");
Expect(0, 65280, '\p{ -IS_ARABIC_Presentation_FORMS_B}', "");
Expect(1, 65280, '\p{^ -IS_ARABIC_Presentation_FORMS_B}', "");
Expect(1, 65280, '\P{ -IS_ARABIC_Presentation_FORMS_B}', "");
Expect(0, 65280, '\P{^ -IS_ARABIC_Presentation_FORMS_B}', "");
Error('\p{/a/--IN_Arabic_presentation_forms_B}');
Error('\P{/a/--IN_Arabic_presentation_forms_B}');
Expect(1, 65279, '\p{inarabicpresentationformsb}', "");
Expect(0, 65279, '\p{^inarabicpresentationformsb}', "");
Expect(0, 65279, '\P{inarabicpresentationformsb}', "");
Expect(1, 65279, '\P{^inarabicpresentationformsb}', "");
Expect(0, 65280, '\p{inarabicpresentationformsb}', "");
Expect(1, 65280, '\p{^inarabicpresentationformsb}', "");
Expect(1, 65280, '\P{inarabicpresentationformsb}', "");
Expect(0, 65280, '\P{^inarabicpresentationformsb}', "");
Expect(1, 65279, '\p{_in_ARABIC_Presentation_forms_b}', "");
Expect(0, 65279, '\p{^_in_ARABIC_Presentation_forms_b}', "");
Expect(0, 65279, '\P{_in_ARABIC_Presentation_forms_b}', "");
Expect(1, 65279, '\P{^_in_ARABIC_Presentation_forms_b}', "");
Expect(0, 65280, '\p{_in_ARABIC_Presentation_forms_b}', "");
Expect(1, 65280, '\p{^_in_ARABIC_Presentation_forms_b}', "");
Expect(1, 65280, '\P{_in_ARABIC_Presentation_forms_b}', "");
Expect(0, 65280, '\P{^_in_ARABIC_Presentation_forms_b}', "");
Error('\p{/a/ -ARABIC_PF_b}');
Error('\P{/a/ -ARABIC_PF_b}');
Expect(1, 65279, '\p{arabicpfb}', "");
Expect(0, 65279, '\p{^arabicpfb}', "");
Expect(0, 65279, '\P{arabicpfb}', "");
Expect(1, 65279, '\P{^arabicpfb}', "");
Expect(0, 65280, '\p{arabicpfb}', "");
Expect(1, 65280, '\p{^arabicpfb}', "");
Expect(1, 65280, '\P{arabicpfb}', "");
Expect(0, 65280, '\P{^arabicpfb}', "");
Expect(1, 65279, '\p{	_Arabic_PF_b}', "");
Expect(0, 65279, '\p{^	_Arabic_PF_b}', "");
Expect(0, 65279, '\P{	_Arabic_PF_b}', "");
Expect(1, 65279, '\P{^	_Arabic_PF_b}', "");
Expect(0, 65280, '\p{	_Arabic_PF_b}', "");
Expect(1, 65280, '\p{^	_Arabic_PF_b}', "");
Expect(1, 65280, '\P{	_Arabic_PF_b}', "");
Expect(0, 65280, '\P{^	_Arabic_PF_b}', "");
Error('\p{_	Is_Arabic_PF_B:=}');
Error('\P{_	Is_Arabic_PF_B:=}');
Expect(1, 65279, '\p{isarabicpfb}', "");
Expect(0, 65279, '\p{^isarabicpfb}', "");
Expect(0, 65279, '\P{isarabicpfb}', "");
Expect(1, 65279, '\P{^isarabicpfb}', "");
Expect(0, 65280, '\p{isarabicpfb}', "");
Expect(1, 65280, '\p{^isarabicpfb}', "");
Expect(1, 65280, '\P{isarabicpfb}', "");
Expect(0, 65280, '\P{^isarabicpfb}', "");
Expect(1, 65279, '\p{	 Is_arabic_PF_B}', "");
Expect(0, 65279, '\p{^	 Is_arabic_PF_B}', "");
Expect(0, 65279, '\P{	 Is_arabic_PF_B}', "");
Expect(1, 65279, '\P{^	 Is_arabic_PF_B}', "");
Expect(0, 65280, '\p{	 Is_arabic_PF_B}', "");
Expect(1, 65280, '\p{^	 Is_arabic_PF_B}', "");
Expect(1, 65280, '\P{	 Is_arabic_PF_B}', "");
Expect(0, 65280, '\P{^	 Is_arabic_PF_B}', "");
Error('\p{ :=In_ARABIC_PF_B}');
Error('\P{ :=In_ARABIC_PF_B}');
Expect(1, 65279, '\p{inarabicpfb}', "");
Expect(0, 65279, '\p{^inarabicpfb}', "");
Expect(0, 65279, '\P{inarabicpfb}', "");
Expect(1, 65279, '\P{^inarabicpfb}', "");
Expect(0, 65280, '\p{inarabicpfb}', "");
Expect(1, 65280, '\p{^inarabicpfb}', "");
Expect(1, 65280, '\P{inarabicpfb}', "");
Expect(0, 65280, '\P{^inarabicpfb}', "");
Expect(1, 65279, '\p{ In_Arabic_PF_B}', "");
Expect(0, 65279, '\p{^ In_Arabic_PF_B}', "");
Expect(0, 65279, '\P{ In_Arabic_PF_B}', "");
Expect(1, 65279, '\P{^ In_Arabic_PF_B}', "");
Expect(0, 65280, '\p{ In_Arabic_PF_B}', "");
Expect(1, 65280, '\p{^ In_Arabic_PF_B}', "");
Expect(1, 65280, '\P{ In_Arabic_PF_B}', "");
Expect(0, 65280, '\P{^ In_Arabic_PF_B}', "");
Error('\p{		Arabic_supplement/a/}');
Error('\P{		Arabic_supplement/a/}');
Expect(1, 1919, '\p{arabicsupplement}', "");
Expect(0, 1919, '\p{^arabicsupplement}', "");
Expect(0, 1919, '\P{arabicsupplement}', "");
Expect(1, 1919, '\P{^arabicsupplement}', "");
Expect(0, 1920, '\p{arabicsupplement}', "");
Expect(1, 1920, '\p{^arabicsupplement}', "");
Expect(1, 1920, '\P{arabicsupplement}', "");
Expect(0, 1920, '\P{^arabicsupplement}', "");
Expect(1, 1919, '\p{_Arabic_Supplement}', "");
Expect(0, 1919, '\p{^_Arabic_Supplement}', "");
Expect(0, 1919, '\P{_Arabic_Supplement}', "");
Expect(1, 1919, '\P{^_Arabic_Supplement}', "");
Expect(0, 1920, '\p{_Arabic_Supplement}', "");
Expect(1, 1920, '\p{^_Arabic_Supplement}', "");
Expect(1, 1920, '\P{_Arabic_Supplement}', "");
Expect(0, 1920, '\P{^_Arabic_Supplement}', "");
Error('\p{:=Is_arabic_Supplement}');
Error('\P{:=Is_arabic_Supplement}');
Expect(1, 1919, '\p{isarabicsupplement}', "");
Expect(0, 1919, '\p{^isarabicsupplement}', "");
Expect(0, 1919, '\P{isarabicsupplement}', "");
Expect(1, 1919, '\P{^isarabicsupplement}', "");
Expect(0, 1920, '\p{isarabicsupplement}', "");
Expect(1, 1920, '\p{^isarabicsupplement}', "");
Expect(1, 1920, '\P{isarabicsupplement}', "");
Expect(0, 1920, '\P{^isarabicsupplement}', "");
Expect(1, 1919, '\p{		Is_Arabic_supplement}', "");
Expect(0, 1919, '\p{^		Is_Arabic_supplement}', "");
Expect(0, 1919, '\P{		Is_Arabic_supplement}', "");
Expect(1, 1919, '\P{^		Is_Arabic_supplement}', "");
Expect(0, 1920, '\p{		Is_Arabic_supplement}', "");
Expect(1, 1920, '\p{^		Is_Arabic_supplement}', "");
Expect(1, 1920, '\P{		Is_Arabic_supplement}', "");
Expect(0, 1920, '\P{^		Is_Arabic_supplement}', "");
Error('\p{_ in_Arabic_supplement:=}');
Error('\P{_ in_Arabic_supplement:=}');
Expect(1, 1919, '\p{inarabicsupplement}', "");
Expect(0, 1919, '\p{^inarabicsupplement}', "");
Expect(0, 1919, '\P{inarabicsupplement}', "");
Expect(1, 1919, '\P{^inarabicsupplement}', "");
Expect(0, 1920, '\p{inarabicsupplement}', "");
Expect(1, 1920, '\p{^inarabicsupplement}', "");
Expect(1, 1920, '\P{inarabicsupplement}', "");
Expect(0, 1920, '\P{^inarabicsupplement}', "");
Expect(1, 1919, '\p{	-In_Arabic_Supplement}', "");
Expect(0, 1919, '\p{^	-In_Arabic_Supplement}', "");
Expect(0, 1919, '\P{	-In_Arabic_Supplement}', "");
Expect(1, 1919, '\P{^	-In_Arabic_Supplement}', "");
Expect(0, 1920, '\p{	-In_Arabic_Supplement}', "");
Expect(1, 1920, '\p{^	-In_Arabic_Supplement}', "");
Expect(1, 1920, '\P{	-In_Arabic_Supplement}', "");
Expect(0, 1920, '\P{^	-In_Arabic_Supplement}', "");
Error('\p{_:=ARABIC_Sup}');
Error('\P{_:=ARABIC_Sup}');
Expect(1, 1919, '\p{arabicsup}', "");
Expect(0, 1919, '\p{^arabicsup}', "");
Expect(0, 1919, '\P{arabicsup}', "");
Expect(1, 1919, '\P{^arabicsup}', "");
Expect(0, 1920, '\p{arabicsup}', "");
Expect(1, 1920, '\p{^arabicsup}', "");
Expect(1, 1920, '\P{arabicsup}', "");
Expect(0, 1920, '\P{^arabicsup}', "");
Expect(1, 1919, '\p{_	arabic_Sup}', "");
Expect(0, 1919, '\p{^_	arabic_Sup}', "");
Expect(0, 1919, '\P{_	arabic_Sup}', "");
Expect(1, 1919, '\P{^_	arabic_Sup}', "");
Expect(0, 1920, '\p{_	arabic_Sup}', "");
Expect(1, 1920, '\p{^_	arabic_Sup}', "");
Expect(1, 1920, '\P{_	arabic_Sup}', "");
Expect(0, 1920, '\P{^_	arabic_Sup}', "");
Error('\p{_Is_Arabic_Sup/a/}');
Error('\P{_Is_Arabic_Sup/a/}');
Expect(1, 1919, '\p{isarabicsup}', "");
Expect(0, 1919, '\p{^isarabicsup}', "");
Expect(0, 1919, '\P{isarabicsup}', "");
Expect(1, 1919, '\P{^isarabicsup}', "");
Expect(0, 1920, '\p{isarabicsup}', "");
Expect(1, 1920, '\p{^isarabicsup}', "");
Expect(1, 1920, '\P{isarabicsup}', "");
Expect(0, 1920, '\P{^isarabicsup}', "");
Expect(1, 1919, '\p{  Is_arabic_sup}', "");
Expect(0, 1919, '\p{^  Is_arabic_sup}', "");
Expect(0, 1919, '\P{  Is_arabic_sup}', "");
Expect(1, 1919, '\P{^  Is_arabic_sup}', "");
Expect(0, 1920, '\p{  Is_arabic_sup}', "");
Expect(1, 1920, '\p{^  Is_arabic_sup}', "");
Expect(1, 1920, '\P{  Is_arabic_sup}', "");
Expect(0, 1920, '\P{^  Is_arabic_sup}', "");
Error('\p{/a/--In_Arabic_Sup}');
Error('\P{/a/--In_Arabic_Sup}');
Expect(1, 1919, '\p{inarabicsup}', "");
Expect(0, 1919, '\p{^inarabicsup}', "");
Expect(0, 1919, '\P{inarabicsup}', "");
Expect(1, 1919, '\P{^inarabicsup}', "");
Expect(0, 1920, '\p{inarabicsup}', "");
Expect(1, 1920, '\p{^inarabicsup}', "");
Expect(1, 1920, '\P{inarabicsup}', "");
Expect(0, 1920, '\P{^inarabicsup}', "");
Expect(1, 1919, '\p{ 	IN_arabic_Sup}', "");
Expect(0, 1919, '\p{^ 	IN_arabic_Sup}', "");
Expect(0, 1919, '\P{ 	IN_arabic_Sup}', "");
Expect(1, 1919, '\P{^ 	IN_arabic_Sup}', "");
Expect(0, 1920, '\p{ 	IN_arabic_Sup}', "");
Expect(1, 1920, '\p{^ 	IN_arabic_Sup}', "");
Expect(1, 1920, '\P{ 	IN_arabic_Sup}', "");
Expect(0, 1920, '\P{^ 	IN_arabic_Sup}', "");
Error('\p{	:=Armenian}');
Error('\P{	:=Armenian}');
Expect(1, 64279, '\p{armenian}', "");
Expect(0, 64279, '\p{^armenian}', "");
Expect(0, 64279, '\P{armenian}', "");
Expect(1, 64279, '\P{^armenian}', "");
Expect(0, 64280, '\p{armenian}', "");
Expect(1, 64280, '\p{^armenian}', "");
Expect(1, 64280, '\P{armenian}', "");
Expect(0, 64280, '\P{^armenian}', "");
Expect(1, 64279, '\p{ -armenian}', "");
Expect(0, 64279, '\p{^ -armenian}', "");
Expect(0, 64279, '\P{ -armenian}', "");
Expect(1, 64279, '\P{^ -armenian}', "");
Expect(0, 64280, '\p{ -armenian}', "");
Expect(1, 64280, '\p{^ -armenian}', "");
Expect(1, 64280, '\P{ -armenian}', "");
Expect(0, 64280, '\P{^ -armenian}', "");
Error('\p{_-IS_ARMENIAN/a/}');
Error('\P{_-IS_ARMENIAN/a/}');
Expect(1, 64279, '\p{isarmenian}', "");
Expect(0, 64279, '\p{^isarmenian}', "");
Expect(0, 64279, '\P{isarmenian}', "");
Expect(1, 64279, '\P{^isarmenian}', "");
Expect(0, 64280, '\p{isarmenian}', "");
Expect(1, 64280, '\p{^isarmenian}', "");
Expect(1, 64280, '\P{isarmenian}', "");
Expect(0, 64280, '\P{^isarmenian}', "");
Expect(1, 64279, '\p{	_IS_Armenian}', "");
Expect(0, 64279, '\p{^	_IS_Armenian}', "");
Expect(0, 64279, '\P{	_IS_Armenian}', "");
Expect(1, 64279, '\P{^	_IS_Armenian}', "");
Expect(0, 64280, '\p{	_IS_Armenian}', "");
Expect(1, 64280, '\p{^	_IS_Armenian}', "");
Expect(1, 64280, '\P{	_IS_Armenian}', "");
Expect(0, 64280, '\P{^	_IS_Armenian}', "");
Error('\p{-:=ARMN}');
Error('\P{-:=ARMN}');
Expect(1, 64279, '\p{armn}', "");
Expect(0, 64279, '\p{^armn}', "");
Expect(0, 64279, '\P{armn}', "");
Expect(1, 64279, '\P{^armn}', "");
Expect(0, 64280, '\p{armn}', "");
Expect(1, 64280, '\p{^armn}', "");
Expect(1, 64280, '\P{armn}', "");
Expect(0, 64280, '\P{^armn}', "");
Expect(1, 64279, '\p{	_armn}', "");
Expect(0, 64279, '\p{^	_armn}', "");
Expect(0, 64279, '\P{	_armn}', "");
Expect(1, 64279, '\P{^	_armn}', "");
Expect(0, 64280, '\p{	_armn}', "");
Expect(1, 64280, '\p{^	_armn}', "");
Expect(1, 64280, '\P{	_armn}', "");
Expect(0, 64280, '\P{^	_armn}', "");
Error('\p{-/a/Is_ARMN}');
Error('\P{-/a/Is_ARMN}');
Expect(1, 64279, '\p{isarmn}', "");
Expect(0, 64279, '\p{^isarmn}', "");
Expect(0, 64279, '\P{isarmn}', "");
Expect(1, 64279, '\P{^isarmn}', "");
Expect(0, 64280, '\p{isarmn}', "");
Expect(1, 64280, '\p{^isarmn}', "");
Expect(1, 64280, '\P{isarmn}', "");
Expect(0, 64280, '\P{^isarmn}', "");
Expect(1, 64279, '\p{_-is_armn}', "");
Expect(0, 64279, '\p{^_-is_armn}', "");
Expect(0, 64279, '\P{_-is_armn}', "");
Expect(1, 64279, '\P{^_-is_armn}', "");
Expect(0, 64280, '\p{_-is_armn}', "");
Expect(1, 64280, '\p{^_-is_armn}', "");
Expect(1, 64280, '\P{_-is_armn}', "");
Expect(0, 64280, '\P{^_-is_armn}', "");
Error('\p{Arrows:=}');
Error('\P{Arrows:=}');
Expect(1, 8703, '\p{arrows}', "");
Expect(0, 8703, '\p{^arrows}', "");
Expect(0, 8703, '\P{arrows}', "");
Expect(1, 8703, '\P{^arrows}', "");
Expect(0, 8704, '\p{arrows}', "");
Expect(1, 8704, '\p{^arrows}', "");
Expect(1, 8704, '\P{arrows}', "");
Expect(0, 8704, '\P{^arrows}', "");
Expect(1, 8703, '\p{__Arrows}', "");
Expect(0, 8703, '\p{^__Arrows}', "");
Expect(0, 8703, '\P{__Arrows}', "");
Expect(1, 8703, '\P{^__Arrows}', "");
Expect(0, 8704, '\p{__Arrows}', "");
Expect(1, 8704, '\p{^__Arrows}', "");
Expect(1, 8704, '\P{__Arrows}', "");
Expect(0, 8704, '\P{^__Arrows}', "");
Error('\p{-_is_ARROWS:=}');
Error('\P{-_is_ARROWS:=}');
Expect(1, 8703, '\p{isarrows}', "");
Expect(0, 8703, '\p{^isarrows}', "");
Expect(0, 8703, '\P{isarrows}', "");
Expect(1, 8703, '\P{^isarrows}', "");
Expect(0, 8704, '\p{isarrows}', "");
Expect(1, 8704, '\p{^isarrows}', "");
Expect(1, 8704, '\P{isarrows}', "");
Expect(0, 8704, '\P{^isarrows}', "");
Expect(1, 8703, '\p{_	IS_Arrows}', "");
Expect(0, 8703, '\p{^_	IS_Arrows}', "");
Expect(0, 8703, '\P{_	IS_Arrows}', "");
Expect(1, 8703, '\P{^_	IS_Arrows}', "");
Expect(0, 8704, '\p{_	IS_Arrows}', "");
Expect(1, 8704, '\p{^_	IS_Arrows}', "");
Expect(1, 8704, '\P{_	IS_Arrows}', "");
Expect(0, 8704, '\P{^_	IS_Arrows}', "");
Error('\p{_/a/IN_Arrows}');
Error('\P{_/a/IN_Arrows}');
Expect(1, 8703, '\p{inarrows}', "");
Expect(0, 8703, '\p{^inarrows}', "");
Expect(0, 8703, '\P{inarrows}', "");
Expect(1, 8703, '\P{^inarrows}', "");
Expect(0, 8704, '\p{inarrows}', "");
Expect(1, 8704, '\p{^inarrows}', "");
Expect(1, 8704, '\P{inarrows}', "");
Expect(0, 8704, '\P{^inarrows}', "");
Expect(1, 8703, '\p{- In_ARROWS}', "");
Expect(0, 8703, '\p{^- In_ARROWS}', "");
Expect(0, 8703, '\P{- In_ARROWS}', "");
Expect(1, 8703, '\P{^- In_ARROWS}', "");
Expect(0, 8704, '\p{- In_ARROWS}', "");
Expect(1, 8704, '\p{^- In_ARROWS}', "");
Expect(1, 8704, '\P{- In_ARROWS}', "");
Expect(0, 8704, '\P{^- In_ARROWS}', "");
Error('\p{/a/	-ASSIGNED}');
Error('\P{/a/	-ASSIGNED}');
Expect(1, 1114109, '\p{assigned}', "");
Expect(0, 1114109, '\p{^assigned}', "");
Expect(0, 1114109, '\P{assigned}', "");
Expect(1, 1114109, '\P{^assigned}', "");
Expect(0, 918000, '\p{assigned}', "");
Expect(1, 918000, '\p{^assigned}', "");
Expect(1, 918000, '\P{assigned}', "");
Expect(0, 918000, '\P{^assigned}', "");
Expect(1, 1114109, '\p{--ASSIGNED}', "");
Expect(0, 1114109, '\p{^--ASSIGNED}', "");
Expect(0, 1114109, '\P{--ASSIGNED}', "");
Expect(1, 1114109, '\P{^--ASSIGNED}', "");
Expect(0, 918000, '\p{--ASSIGNED}', "");
Expect(1, 918000, '\p{^--ASSIGNED}', "");
Expect(1, 918000, '\P{--ASSIGNED}', "");
Expect(0, 918000, '\P{^--ASSIGNED}', "");
Error('\p{:=Is_Assigned}');
Error('\P{:=Is_Assigned}');
Expect(1, 1114109, '\p{isassigned}', "");
Expect(0, 1114109, '\p{^isassigned}', "");
Expect(0, 1114109, '\P{isassigned}', "");
Expect(1, 1114109, '\P{^isassigned}', "");
Expect(0, 918000, '\p{isassigned}', "");
Expect(1, 918000, '\p{^isassigned}', "");
Expect(1, 918000, '\P{isassigned}', "");
Expect(0, 918000, '\P{^isassigned}', "");
Expect(1, 1114109, '\p{ IS_ASSIGNED}', "");
Expect(0, 1114109, '\p{^ IS_ASSIGNED}', "");
Expect(0, 1114109, '\P{ IS_ASSIGNED}', "");
Expect(1, 1114109, '\P{^ IS_ASSIGNED}', "");
Expect(0, 918000, '\p{ IS_ASSIGNED}', "");
Expect(1, 918000, '\p{^ IS_ASSIGNED}', "");
Expect(1, 918000, '\P{ IS_ASSIGNED}', "");
Expect(0, 918000, '\P{^ IS_ASSIGNED}', "");
Error('\p{:=	Avestan}');
Error('\P{:=	Avestan}');
Expect(1, 68415, '\p{avestan}', "");
Expect(0, 68415, '\p{^avestan}', "");
Expect(0, 68415, '\P{avestan}', "");
Expect(1, 68415, '\P{^avestan}', "");
Expect(0, 68416, '\p{avestan}', "");
Expect(1, 68416, '\p{^avestan}', "");
Expect(1, 68416, '\P{avestan}', "");
Expect(0, 68416, '\P{^avestan}', "");
Expect(1, 68415, '\p{		AVESTAN}', "");
Expect(0, 68415, '\p{^		AVESTAN}', "");
Expect(0, 68415, '\P{		AVESTAN}', "");
Expect(1, 68415, '\P{^		AVESTAN}', "");
Expect(0, 68416, '\p{		AVESTAN}', "");
Expect(1, 68416, '\p{^		AVESTAN}', "");
Expect(1, 68416, '\P{		AVESTAN}', "");
Expect(0, 68416, '\P{^		AVESTAN}', "");
Error('\p{:=--Is_Avestan}');
Error('\P{:=--Is_Avestan}');
Expect(1, 68415, '\p{isavestan}', "");
Expect(0, 68415, '\p{^isavestan}', "");
Expect(0, 68415, '\P{isavestan}', "");
Expect(1, 68415, '\P{^isavestan}', "");
Expect(0, 68416, '\p{isavestan}', "");
Expect(1, 68416, '\p{^isavestan}', "");
Expect(1, 68416, '\P{isavestan}', "");
Expect(0, 68416, '\P{^isavestan}', "");
Expect(1, 68415, '\p{	Is_avestan}', "");
Expect(0, 68415, '\p{^	Is_avestan}', "");
Expect(0, 68415, '\P{	Is_avestan}', "");
Expect(1, 68415, '\P{^	Is_avestan}', "");
Expect(0, 68416, '\p{	Is_avestan}', "");
Expect(1, 68416, '\p{^	Is_avestan}', "");
Expect(1, 68416, '\P{	Is_avestan}', "");
Expect(0, 68416, '\P{^	Is_avestan}', "");
Error('\p{:=		avst}');
Error('\P{:=		avst}');
Expect(1, 68415, '\p{avst}', "");
Expect(0, 68415, '\p{^avst}', "");
Expect(0, 68415, '\P{avst}', "");
Expect(1, 68415, '\P{^avst}', "");
Expect(0, 68416, '\p{avst}', "");
Expect(1, 68416, '\p{^avst}', "");
Expect(1, 68416, '\P{avst}', "");
Expect(0, 68416, '\P{^avst}', "");
Expect(1, 68415, '\p{-	Avst}', "");
Expect(0, 68415, '\p{^-	Avst}', "");
Expect(0, 68415, '\P{-	Avst}', "");
Expect(1, 68415, '\P{^-	Avst}', "");
Expect(0, 68416, '\p{-	Avst}', "");
Expect(1, 68416, '\p{^-	Avst}', "");
Expect(1, 68416, '\P{-	Avst}', "");
Expect(0, 68416, '\P{^-	Avst}', "");
Error('\p{	Is_Avst/a/}');
Error('\P{	Is_Avst/a/}');
Expect(1, 68415, '\p{isavst}', "");
Expect(0, 68415, '\p{^isavst}', "");
Expect(0, 68415, '\P{isavst}', "");
Expect(1, 68415, '\P{^isavst}', "");
Expect(0, 68416, '\p{isavst}', "");
Expect(1, 68416, '\p{^isavst}', "");
Expect(1, 68416, '\P{isavst}', "");
Expect(0, 68416, '\P{^isavst}', "");
Expect(1, 68415, '\p{--Is_AVST}', "");
Expect(0, 68415, '\p{^--Is_AVST}', "");
Expect(0, 68415, '\P{--Is_AVST}', "");
Expect(1, 68415, '\P{^--Is_AVST}', "");
Expect(0, 68416, '\p{--Is_AVST}', "");
Expect(1, 68416, '\p{^--Is_AVST}', "");
Expect(1, 68416, '\P{--Is_AVST}', "");
Expect(0, 68416, '\P{^--Is_AVST}', "");
Error('\p{/a/ BALINESE}');
Error('\P{/a/ BALINESE}');
Expect(1, 7036, '\p{balinese}', "");
Expect(0, 7036, '\p{^balinese}', "");
Expect(0, 7036, '\P{balinese}', "");
Expect(1, 7036, '\P{^balinese}', "");
Expect(0, 7037, '\p{balinese}', "");
Expect(1, 7037, '\p{^balinese}', "");
Expect(1, 7037, '\P{balinese}', "");
Expect(0, 7037, '\P{^balinese}', "");
Error('\p{_:=Is_Balinese}');
Error('\P{_:=Is_Balinese}');
Expect(1, 7036, '\p{isbalinese}', "");
Expect(0, 7036, '\p{^isbalinese}', "");
Expect(0, 7036, '\P{isbalinese}', "");
Expect(1, 7036, '\P{^isbalinese}', "");
Expect(0, 7037, '\p{isbalinese}', "");
Expect(1, 7037, '\p{^isbalinese}', "");
Expect(1, 7037, '\P{isbalinese}', "");
Expect(0, 7037, '\P{^isbalinese}', "");
Expect(1, 7036, '\p{_	IS_BALINESE}', "");
Expect(0, 7036, '\p{^_	IS_BALINESE}', "");
Expect(0, 7036, '\P{_	IS_BALINESE}', "");
Expect(1, 7036, '\P{^_	IS_BALINESE}', "");
Expect(0, 7037, '\p{_	IS_BALINESE}', "");
Expect(1, 7037, '\p{^_	IS_BALINESE}', "");
Expect(1, 7037, '\P{_	IS_BALINESE}', "");
Expect(0, 7037, '\P{^_	IS_BALINESE}', "");
Error('\p{_/a/Bali}');
Error('\P{_/a/Bali}');
Expect(1, 7036, '\p{bali}', "");
Expect(0, 7036, '\p{^bali}', "");
Expect(0, 7036, '\P{bali}', "");
Expect(1, 7036, '\P{^bali}', "");
Expect(0, 7037, '\p{bali}', "");
Expect(1, 7037, '\p{^bali}', "");
Expect(1, 7037, '\P{bali}', "");
Expect(0, 7037, '\P{^bali}', "");
Expect(1, 7036, '\p{	-bali}', "");
Expect(0, 7036, '\p{^	-bali}', "");
Expect(0, 7036, '\P{	-bali}', "");
Expect(1, 7036, '\P{^	-bali}', "");
Expect(0, 7037, '\p{	-bali}', "");
Expect(1, 7037, '\p{^	-bali}', "");
Expect(1, 7037, '\P{	-bali}', "");
Expect(0, 7037, '\P{^	-bali}', "");
Error('\p{:=	-is_Bali}');
Error('\P{:=	-is_Bali}');
Expect(1, 7036, '\p{isbali}', "");
Expect(0, 7036, '\p{^isbali}', "");
Expect(0, 7036, '\P{isbali}', "");
Expect(1, 7036, '\P{^isbali}', "");
Expect(0, 7037, '\p{isbali}', "");
Expect(1, 7037, '\p{^isbali}', "");
Expect(1, 7037, '\P{isbali}', "");
Expect(0, 7037, '\P{^isbali}', "");
Expect(1, 7036, '\p{	 Is_Bali}', "");
Expect(0, 7036, '\p{^	 Is_Bali}', "");
Expect(0, 7036, '\P{	 Is_Bali}', "");
Expect(1, 7036, '\P{^	 Is_Bali}', "");
Expect(0, 7037, '\p{	 Is_Bali}', "");
Expect(1, 7037, '\p{^	 Is_Bali}', "");
Expect(1, 7037, '\P{	 Is_Bali}', "");
Expect(0, 7037, '\P{^	 Is_Bali}', "");
Error('\p{/a/	Bamum}');
Error('\P{/a/	Bamum}');
Expect(1, 92728, '\p{bamum}', "");
Expect(0, 92728, '\p{^bamum}', "");
Expect(0, 92728, '\P{bamum}', "");
Expect(1, 92728, '\P{^bamum}', "");
Expect(0, 92729, '\p{bamum}', "");
Expect(1, 92729, '\p{^bamum}', "");
Expect(1, 92729, '\P{bamum}', "");
Expect(0, 92729, '\P{^bamum}', "");
Expect(1, 92728, '\p{ BAMUM}', "");
Expect(0, 92728, '\p{^ BAMUM}', "");
Expect(0, 92728, '\P{ BAMUM}', "");
Expect(1, 92728, '\P{^ BAMUM}', "");
Expect(0, 92729, '\p{ BAMUM}', "");
Expect(1, 92729, '\p{^ BAMUM}', "");
Expect(1, 92729, '\P{ BAMUM}', "");
Expect(0, 92729, '\P{^ BAMUM}', "");
Error('\p{/a/	is_Bamum}');
Error('\P{/a/	is_Bamum}');
Expect(1, 92728, '\p{isbamum}', "");
Expect(0, 92728, '\p{^isbamum}', "");
Expect(0, 92728, '\P{isbamum}', "");
Expect(1, 92728, '\P{^isbamum}', "");
Expect(0, 92729, '\p{isbamum}', "");
Expect(1, 92729, '\p{^isbamum}', "");
Expect(1, 92729, '\P{isbamum}', "");
Expect(0, 92729, '\P{^isbamum}', "");
Expect(1, 92728, '\p{__is_bamum}', "");
Expect(0, 92728, '\p{^__is_bamum}', "");
Expect(0, 92728, '\P{__is_bamum}', "");
Expect(1, 92728, '\P{^__is_bamum}', "");
Expect(0, 92729, '\p{__is_bamum}', "");
Expect(1, 92729, '\p{^__is_bamum}', "");
Expect(1, 92729, '\P{__is_bamum}', "");
Expect(0, 92729, '\P{^__is_bamum}', "");
Error('\p{/a/ -Bamu}');
Error('\P{/a/ -Bamu}');
Expect(1, 92728, '\p{bamu}', "");
Expect(0, 92728, '\p{^bamu}', "");
Expect(0, 92728, '\P{bamu}', "");
Expect(1, 92728, '\P{^bamu}', "");
Expect(0, 92729, '\p{bamu}', "");
Expect(1, 92729, '\p{^bamu}', "");
Expect(1, 92729, '\P{bamu}', "");
Expect(0, 92729, '\P{^bamu}', "");
Expect(1, 92728, '\p{_	Bamu}', "");
Expect(0, 92728, '\p{^_	Bamu}', "");
Expect(0, 92728, '\P{_	Bamu}', "");
Expect(1, 92728, '\P{^_	Bamu}', "");
Expect(0, 92729, '\p{_	Bamu}', "");
Expect(1, 92729, '\p{^_	Bamu}', "");
Expect(1, 92729, '\P{_	Bamu}', "");
Expect(0, 92729, '\P{^_	Bamu}', "");
Error('\p{:=--IS_Bamu}');
Error('\P{:=--IS_Bamu}');
Expect(1, 92728, '\p{isbamu}', "");
Expect(0, 92728, '\p{^isbamu}', "");
Expect(0, 92728, '\P{isbamu}', "");
Expect(1, 92728, '\P{^isbamu}', "");
Expect(0, 92729, '\p{isbamu}', "");
Expect(1, 92729, '\p{^isbamu}', "");
Expect(1, 92729, '\P{isbamu}', "");
Expect(0, 92729, '\P{^isbamu}', "");
Expect(1, 92728, '\p{ IS_Bamu}', "");
Expect(0, 92728, '\p{^ IS_Bamu}', "");
Expect(0, 92728, '\P{ IS_Bamu}', "");
Expect(1, 92728, '\P{^ IS_Bamu}', "");
Expect(0, 92729, '\p{ IS_Bamu}', "");
Expect(1, 92729, '\p{^ IS_Bamu}', "");
Expect(1, 92729, '\P{ IS_Bamu}', "");
Expect(0, 92729, '\P{^ IS_Bamu}', "");
Error('\p{- Bamum_Supplement:=}');
Error('\P{- Bamum_Supplement:=}');
Expect(1, 92735, '\p{bamumsupplement}', "");
Expect(0, 92735, '\p{^bamumsupplement}', "");
Expect(0, 92735, '\P{bamumsupplement}', "");
Expect(1, 92735, '\P{^bamumsupplement}', "");
Expect(0, 92736, '\p{bamumsupplement}', "");
Expect(1, 92736, '\p{^bamumsupplement}', "");
Expect(1, 92736, '\P{bamumsupplement}', "");
Expect(0, 92736, '\P{^bamumsupplement}', "");
Expect(1, 92735, '\p{_	BAMUM_supplement}', "");
Expect(0, 92735, '\p{^_	BAMUM_supplement}', "");
Expect(0, 92735, '\P{_	BAMUM_supplement}', "");
Expect(1, 92735, '\P{^_	BAMUM_supplement}', "");
Expect(0, 92736, '\p{_	BAMUM_supplement}', "");
Expect(1, 92736, '\p{^_	BAMUM_supplement}', "");
Expect(1, 92736, '\P{_	BAMUM_supplement}', "");
Expect(0, 92736, '\P{^_	BAMUM_supplement}', "");
Error('\p{/a/ _Is_Bamum_Supplement}');
Error('\P{/a/ _Is_Bamum_Supplement}');
Expect(1, 92735, '\p{isbamumsupplement}', "");
Expect(0, 92735, '\p{^isbamumsupplement}', "");
Expect(0, 92735, '\P{isbamumsupplement}', "");
Expect(1, 92735, '\P{^isbamumsupplement}', "");
Expect(0, 92736, '\p{isbamumsupplement}', "");
Expect(1, 92736, '\p{^isbamumsupplement}', "");
Expect(1, 92736, '\P{isbamumsupplement}', "");
Expect(0, 92736, '\P{^isbamumsupplement}', "");
Expect(1, 92735, '\p{	-Is_Bamum_Supplement}', "");
Expect(0, 92735, '\p{^	-Is_Bamum_Supplement}', "");
Expect(0, 92735, '\P{	-Is_Bamum_Supplement}', "");
Expect(1, 92735, '\P{^	-Is_Bamum_Supplement}', "");
Expect(0, 92736, '\p{	-Is_Bamum_Supplement}', "");
Expect(1, 92736, '\p{^	-Is_Bamum_Supplement}', "");
Expect(1, 92736, '\P{	-Is_Bamum_Supplement}', "");
Expect(0, 92736, '\P{^	-Is_Bamum_Supplement}', "");
Error('\p{/a/-IN_Bamum_Supplement}');
Error('\P{/a/-IN_Bamum_Supplement}');
Expect(1, 92735, '\p{inbamumsupplement}', "");
Expect(0, 92735, '\p{^inbamumsupplement}', "");
Expect(0, 92735, '\P{inbamumsupplement}', "");
Expect(1, 92735, '\P{^inbamumsupplement}', "");
Expect(0, 92736, '\p{inbamumsupplement}', "");
Expect(1, 92736, '\p{^inbamumsupplement}', "");
Expect(1, 92736, '\P{inbamumsupplement}', "");
Expect(0, 92736, '\P{^inbamumsupplement}', "");
Expect(1, 92735, '\p{_in_Bamum_SUPPLEMENT}', "");
Expect(0, 92735, '\p{^_in_Bamum_SUPPLEMENT}', "");
Expect(0, 92735, '\P{_in_Bamum_SUPPLEMENT}', "");
Expect(1, 92735, '\P{^_in_Bamum_SUPPLEMENT}', "");
Expect(0, 92736, '\p{_in_Bamum_SUPPLEMENT}', "");
Expect(1, 92736, '\p{^_in_Bamum_SUPPLEMENT}', "");
Expect(1, 92736, '\P{_in_Bamum_SUPPLEMENT}', "");
Expect(0, 92736, '\P{^_in_Bamum_SUPPLEMENT}', "");
Error('\p{	 Bamum_Sup:=}');
Error('\P{	 Bamum_Sup:=}');
Expect(1, 92735, '\p{bamumsup}', "");
Expect(0, 92735, '\p{^bamumsup}', "");
Expect(0, 92735, '\P{bamumsup}', "");
Expect(1, 92735, '\P{^bamumsup}', "");
Expect(0, 92736, '\p{bamumsup}', "");
Expect(1, 92736, '\p{^bamumsup}', "");
Expect(1, 92736, '\P{bamumsup}', "");
Expect(0, 92736, '\P{^bamumsup}', "");
Expect(1, 92735, '\p{	Bamum_Sup}', "");
Expect(0, 92735, '\p{^	Bamum_Sup}', "");
Expect(0, 92735, '\P{	Bamum_Sup}', "");
Expect(1, 92735, '\P{^	Bamum_Sup}', "");
Expect(0, 92736, '\p{	Bamum_Sup}', "");
Expect(1, 92736, '\p{^	Bamum_Sup}', "");
Expect(1, 92736, '\P{	Bamum_Sup}', "");
Expect(0, 92736, '\P{^	Bamum_Sup}', "");
Error('\p{/a/IS_Bamum_Sup}');
Error('\P{/a/IS_Bamum_Sup}');
Expect(1, 92735, '\p{isbamumsup}', "");
Expect(0, 92735, '\p{^isbamumsup}', "");
Expect(0, 92735, '\P{isbamumsup}', "");
Expect(1, 92735, '\P{^isbamumsup}', "");
Expect(0, 92736, '\p{isbamumsup}', "");
Expect(1, 92736, '\p{^isbamumsup}', "");
Expect(1, 92736, '\P{isbamumsup}', "");
Expect(0, 92736, '\P{^isbamumsup}', "");
Expect(1, 92735, '\p{ IS_bamum_SUP}', "");
Expect(0, 92735, '\p{^ IS_bamum_SUP}', "");
Expect(0, 92735, '\P{ IS_bamum_SUP}', "");
Expect(1, 92735, '\P{^ IS_bamum_SUP}', "");
Expect(0, 92736, '\p{ IS_bamum_SUP}', "");
Expect(1, 92736, '\p{^ IS_bamum_SUP}', "");
Expect(1, 92736, '\P{ IS_bamum_SUP}', "");
Expect(0, 92736, '\P{^ IS_bamum_SUP}', "");
Error('\p{:=	In_Bamum_Sup}');
Error('\P{:=	In_Bamum_Sup}');
Expect(1, 92735, '\p{inbamumsup}', "");
Expect(0, 92735, '\p{^inbamumsup}', "");
Expect(0, 92735, '\P{inbamumsup}', "");
Expect(1, 92735, '\P{^inbamumsup}', "");
Expect(0, 92736, '\p{inbamumsup}', "");
Expect(1, 92736, '\p{^inbamumsup}', "");
Expect(1, 92736, '\P{inbamumsup}', "");
Expect(0, 92736, '\P{^inbamumsup}', "");
Expect(1, 92735, '\p{_ In_BAMUM_SUP}', "");
Expect(0, 92735, '\p{^_ In_BAMUM_SUP}', "");
Expect(0, 92735, '\P{_ In_BAMUM_SUP}', "");
Expect(1, 92735, '\P{^_ In_BAMUM_SUP}', "");
Expect(0, 92736, '\p{_ In_BAMUM_SUP}', "");
Expect(1, 92736, '\p{^_ In_BAMUM_SUP}', "");
Expect(1, 92736, '\P{_ In_BAMUM_SUP}', "");
Expect(0, 92736, '\P{^_ In_BAMUM_SUP}', "");
Error('\p{	 bassa_vah/a/}');
Error('\P{	 bassa_vah/a/}');
Expect(1, 92917, '\p{bassavah}', "");
Expect(0, 92917, '\p{^bassavah}', "");
Expect(0, 92917, '\P{bassavah}', "");
Expect(1, 92917, '\P{^bassavah}', "");
Expect(0, 92918, '\p{bassavah}', "");
Expect(1, 92918, '\p{^bassavah}', "");
Expect(1, 92918, '\P{bassavah}', "");
Expect(0, 92918, '\P{^bassavah}', "");
Expect(1, 92917, '\p{_-bassa_Vah}', "");
Expect(0, 92917, '\p{^_-bassa_Vah}', "");
Expect(0, 92917, '\P{_-bassa_Vah}', "");
Expect(1, 92917, '\P{^_-bassa_Vah}', "");
Expect(0, 92918, '\p{_-bassa_Vah}', "");
Expect(1, 92918, '\p{^_-bassa_Vah}', "");
Expect(1, 92918, '\P{_-bassa_Vah}', "");
Expect(0, 92918, '\P{^_-bassa_Vah}', "");
Error('\p{  Is_BASSA_vah/a/}');
Error('\P{  Is_BASSA_vah/a/}');
Expect(1, 92917, '\p{isbassavah}', "");
Expect(0, 92917, '\p{^isbassavah}', "");
Expect(0, 92917, '\P{isbassavah}', "");
Expect(1, 92917, '\P{^isbassavah}', "");
Expect(0, 92918, '\p{isbassavah}', "");
Expect(1, 92918, '\p{^isbassavah}', "");
Expect(1, 92918, '\P{isbassavah}', "");
Expect(0, 92918, '\P{^isbassavah}', "");
Expect(1, 92917, '\p{		is_Bassa_Vah}', "");
Expect(0, 92917, '\p{^		is_Bassa_Vah}', "");
Expect(0, 92917, '\P{		is_Bassa_Vah}', "");
Expect(1, 92917, '\P{^		is_Bassa_Vah}', "");
Expect(0, 92918, '\p{		is_Bassa_Vah}', "");
Expect(1, 92918, '\p{^		is_Bassa_Vah}', "");
Expect(1, 92918, '\P{		is_Bassa_Vah}', "");
Expect(0, 92918, '\P{^		is_Bassa_Vah}', "");
Error('\p{:=	-Bass}');
Error('\P{:=	-Bass}');
Expect(1, 92917, '\p{bass}', "");
Expect(0, 92917, '\p{^bass}', "");
Expect(0, 92917, '\P{bass}', "");
Expect(1, 92917, '\P{^bass}', "");
Expect(0, 92918, '\p{bass}', "");
Expect(1, 92918, '\p{^bass}', "");
Expect(1, 92918, '\P{bass}', "");
Expect(0, 92918, '\P{^bass}', "");
Expect(1, 92917, '\p{ 	Bass}', "");
Expect(0, 92917, '\p{^ 	Bass}', "");
Expect(0, 92917, '\P{ 	Bass}', "");
Expect(1, 92917, '\P{^ 	Bass}', "");
Expect(0, 92918, '\p{ 	Bass}', "");
Expect(1, 92918, '\p{^ 	Bass}', "");
Expect(1, 92918, '\P{ 	Bass}', "");
Expect(0, 92918, '\P{^ 	Bass}', "");
Error('\p{	_Is_Bass/a/}');
Error('\P{	_Is_Bass/a/}');
Expect(1, 92917, '\p{isbass}', "");
Expect(0, 92917, '\p{^isbass}', "");
Expect(0, 92917, '\P{isbass}', "");
Expect(1, 92917, '\P{^isbass}', "");
Expect(0, 92918, '\p{isbass}', "");
Expect(1, 92918, '\p{^isbass}', "");
Expect(1, 92918, '\P{isbass}', "");
Expect(0, 92918, '\P{^isbass}', "");
Expect(1, 92917, '\p{ IS_bass}', "");
Expect(0, 92917, '\p{^ IS_bass}', "");
Expect(0, 92917, '\P{ IS_bass}', "");
Expect(1, 92917, '\P{^ IS_bass}', "");
Expect(0, 92918, '\p{ IS_bass}', "");
Expect(1, 92918, '\p{^ IS_bass}', "");
Expect(1, 92918, '\P{ IS_bass}', "");
Expect(0, 92918, '\P{^ IS_bass}', "");
Error('\p{- Batak/a/}');
Error('\P{- Batak/a/}');
Expect(1, 7167, '\p{batak}', "");
Expect(0, 7167, '\p{^batak}', "");
Expect(0, 7167, '\P{batak}', "");
Expect(1, 7167, '\P{^batak}', "");
Expect(0, 7168, '\p{batak}', "");
Expect(1, 7168, '\p{^batak}', "");
Expect(1, 7168, '\P{batak}', "");
Expect(0, 7168, '\P{^batak}', "");
Expect(1, 7167, '\p{_-Batak}', "");
Expect(0, 7167, '\p{^_-Batak}', "");
Expect(0, 7167, '\P{_-Batak}', "");
Expect(1, 7167, '\P{^_-Batak}', "");
Expect(0, 7168, '\p{_-Batak}', "");
Expect(1, 7168, '\p{^_-Batak}', "");
Expect(1, 7168, '\P{_-Batak}', "");
Expect(0, 7168, '\P{^_-Batak}', "");
Error('\p{/a/__Is_Batak}');
Error('\P{/a/__Is_Batak}');
Expect(1, 7167, '\p{isbatak}', "");
Expect(0, 7167, '\p{^isbatak}', "");
Expect(0, 7167, '\P{isbatak}', "");
Expect(1, 7167, '\P{^isbatak}', "");
Expect(0, 7168, '\p{isbatak}', "");
Expect(1, 7168, '\p{^isbatak}', "");
Expect(1, 7168, '\P{isbatak}', "");
Expect(0, 7168, '\P{^isbatak}', "");
Expect(1, 7167, '\p{	_is_batak}', "");
Expect(0, 7167, '\p{^	_is_batak}', "");
Expect(0, 7167, '\P{	_is_batak}', "");
Expect(1, 7167, '\P{^	_is_batak}', "");
Expect(0, 7168, '\p{	_is_batak}', "");
Expect(1, 7168, '\p{^	_is_batak}', "");
Expect(1, 7168, '\P{	_is_batak}', "");
Expect(0, 7168, '\P{^	_is_batak}', "");
Error('\p{:=	 batk}');
Error('\P{:=	 batk}');
Expect(1, 7167, '\p{batk}', "");
Expect(0, 7167, '\p{^batk}', "");
Expect(0, 7167, '\P{batk}', "");
Expect(1, 7167, '\P{^batk}', "");
Expect(0, 7168, '\p{batk}', "");
Expect(1, 7168, '\p{^batk}', "");
Expect(1, 7168, '\P{batk}', "");
Expect(0, 7168, '\P{^batk}', "");
Expect(1, 7167, '\p{-BATK}', "");
Expect(0, 7167, '\p{^-BATK}', "");
Expect(0, 7167, '\P{-BATK}', "");
Expect(1, 7167, '\P{^-BATK}', "");
Expect(0, 7168, '\p{-BATK}', "");
Expect(1, 7168, '\p{^-BATK}', "");
Expect(1, 7168, '\P{-BATK}', "");
Expect(0, 7168, '\P{^-BATK}', "");
Error('\p{Is_Batk/a/}');
Error('\P{Is_Batk/a/}');
Expect(1, 7167, '\p{isbatk}', "");
Expect(0, 7167, '\p{^isbatk}', "");
Expect(0, 7167, '\P{isbatk}', "");
Expect(1, 7167, '\P{^isbatk}', "");
Expect(0, 7168, '\p{isbatk}', "");
Expect(1, 7168, '\p{^isbatk}', "");
Expect(1, 7168, '\P{isbatk}', "");
Expect(0, 7168, '\P{^isbatk}', "");
Expect(1, 7167, '\p{_Is_Batk}', "");
Expect(0, 7167, '\p{^_Is_Batk}', "");
Expect(0, 7167, '\P{_Is_Batk}', "");
Expect(1, 7167, '\P{^_Is_Batk}', "");
Expect(0, 7168, '\p{_Is_Batk}', "");
Expect(1, 7168, '\p{^_Is_Batk}', "");
Expect(1, 7168, '\P{_Is_Batk}', "");
Expect(0, 7168, '\P{^_Is_Batk}', "");
Error('\p{:=_BENGALI}');
Error('\P{:=_BENGALI}');
Expect(1, 2555, '\p{bengali}', "");
Expect(0, 2555, '\p{^bengali}', "");
Expect(0, 2555, '\P{bengali}', "");
Expect(1, 2555, '\P{^bengali}', "");
Expect(0, 2556, '\p{bengali}', "");
Expect(1, 2556, '\p{^bengali}', "");
Expect(1, 2556, '\P{bengali}', "");
Expect(0, 2556, '\P{^bengali}', "");
Expect(1, 2555, '\p{	Bengali}', "");
Expect(0, 2555, '\p{^	Bengali}', "");
Expect(0, 2555, '\P{	Bengali}', "");
Expect(1, 2555, '\P{^	Bengali}', "");
Expect(0, 2556, '\p{	Bengali}', "");
Expect(1, 2556, '\p{^	Bengali}', "");
Expect(1, 2556, '\P{	Bengali}', "");
Expect(0, 2556, '\P{^	Bengali}', "");
Error('\p{- IS_bengali/a/}');
Error('\P{- IS_bengali/a/}');
Expect(1, 2555, '\p{isbengali}', "");
Expect(0, 2555, '\p{^isbengali}', "");
Expect(0, 2555, '\P{isbengali}', "");
Expect(1, 2555, '\P{^isbengali}', "");
Expect(0, 2556, '\p{isbengali}', "");
Expect(1, 2556, '\p{^isbengali}', "");
Expect(1, 2556, '\P{isbengali}', "");
Expect(0, 2556, '\P{^isbengali}', "");
Expect(1, 2555, '\p{	Is_bengali}', "");
Expect(0, 2555, '\p{^	Is_bengali}', "");
Expect(0, 2555, '\P{	Is_bengali}', "");
Expect(1, 2555, '\P{^	Is_bengali}', "");
Expect(0, 2556, '\p{	Is_bengali}', "");
Expect(1, 2556, '\p{^	Is_bengali}', "");
Expect(1, 2556, '\P{	Is_bengali}', "");
Expect(0, 2556, '\P{^	Is_bengali}', "");
Error('\p{-_BENG:=}');
Error('\P{-_BENG:=}');
Expect(1, 2555, '\p{beng}', "");
Expect(0, 2555, '\p{^beng}', "");
Expect(0, 2555, '\P{beng}', "");
Expect(1, 2555, '\P{^beng}', "");
Expect(0, 2556, '\p{beng}', "");
Expect(1, 2556, '\p{^beng}', "");
Expect(1, 2556, '\P{beng}', "");
Expect(0, 2556, '\P{^beng}', "");
Expect(1, 2555, '\p{-beng}', "");
Expect(0, 2555, '\p{^-beng}', "");
Expect(0, 2555, '\P{-beng}', "");
Expect(1, 2555, '\P{^-beng}', "");
Expect(0, 2556, '\p{-beng}', "");
Expect(1, 2556, '\p{^-beng}', "");
Expect(1, 2556, '\P{-beng}', "");
Expect(0, 2556, '\P{^-beng}', "");
Error('\p{:=- Is_Beng}');
Error('\P{:=- Is_Beng}');
Expect(1, 2555, '\p{isbeng}', "");
Expect(0, 2555, '\p{^isbeng}', "");
Expect(0, 2555, '\P{isbeng}', "");
Expect(1, 2555, '\P{^isbeng}', "");
Expect(0, 2556, '\p{isbeng}', "");
Expect(1, 2556, '\p{^isbeng}', "");
Expect(1, 2556, '\P{isbeng}', "");
Expect(0, 2556, '\P{^isbeng}', "");
Expect(1, 2555, '\p{	Is_Beng}', "");
Expect(0, 2555, '\p{^	Is_Beng}', "");
Expect(0, 2555, '\P{	Is_Beng}', "");
Expect(1, 2555, '\P{^	Is_Beng}', "");
Expect(0, 2556, '\p{	Is_Beng}', "");
Expect(1, 2556, '\p{^	Is_Beng}', "");
Expect(1, 2556, '\P{	Is_Beng}', "");
Expect(0, 2556, '\P{^	Is_Beng}', "");
Error('\p{-	Bidi_control/a/}');
Error('\P{-	Bidi_control/a/}');
Expect(1, 8297, '\p{bidicontrol}', "");
Expect(0, 8297, '\p{^bidicontrol}', "");
Expect(0, 8297, '\P{bidicontrol}', "");
Expect(1, 8297, '\P{^bidicontrol}', "");
Expect(0, 8298, '\p{bidicontrol}', "");
Expect(1, 8298, '\p{^bidicontrol}', "");
Expect(1, 8298, '\P{bidicontrol}', "");
Expect(0, 8298, '\P{^bidicontrol}', "");
Expect(1, 8297, '\p{		bidi_control}', "");
Expect(0, 8297, '\p{^		bidi_control}', "");
Expect(0, 8297, '\P{		bidi_control}', "");
Expect(1, 8297, '\P{^		bidi_control}', "");
Expect(0, 8298, '\p{		bidi_control}', "");
Expect(1, 8298, '\p{^		bidi_control}', "");
Expect(1, 8298, '\P{		bidi_control}', "");
Expect(0, 8298, '\P{^		bidi_control}', "");
Error('\p{	-IS_bidi_Control/a/}');
Error('\P{	-IS_bidi_Control/a/}');
Expect(1, 8297, '\p{isbidicontrol}', "");
Expect(0, 8297, '\p{^isbidicontrol}', "");
Expect(0, 8297, '\P{isbidicontrol}', "");
Expect(1, 8297, '\P{^isbidicontrol}', "");
Expect(0, 8298, '\p{isbidicontrol}', "");
Expect(1, 8298, '\p{^isbidicontrol}', "");
Expect(1, 8298, '\P{isbidicontrol}', "");
Expect(0, 8298, '\P{^isbidicontrol}', "");
Expect(1, 8297, '\p{--Is_BIDI_CONTROL}', "");
Expect(0, 8297, '\p{^--Is_BIDI_CONTROL}', "");
Expect(0, 8297, '\P{--Is_BIDI_CONTROL}', "");
Expect(1, 8297, '\P{^--Is_BIDI_CONTROL}', "");
Expect(0, 8298, '\p{--Is_BIDI_CONTROL}', "");
Expect(1, 8298, '\p{^--Is_BIDI_CONTROL}', "");
Expect(1, 8298, '\P{--Is_BIDI_CONTROL}', "");
Expect(0, 8298, '\P{^--Is_BIDI_CONTROL}', "");
Error('\p{:=-BIDI_C}');
Error('\P{:=-BIDI_C}');
Expect(1, 8297, '\p{bidic}', "");
Expect(0, 8297, '\p{^bidic}', "");
Expect(0, 8297, '\P{bidic}', "");
Expect(1, 8297, '\P{^bidic}', "");
Expect(0, 8298, '\p{bidic}', "");
Expect(1, 8298, '\p{^bidic}', "");
Expect(1, 8298, '\P{bidic}', "");
Expect(0, 8298, '\P{^bidic}', "");
Expect(1, 8297, '\p{ _Bidi_C}', "");
Expect(0, 8297, '\p{^ _Bidi_C}', "");
Expect(0, 8297, '\P{ _Bidi_C}', "");
Expect(1, 8297, '\P{^ _Bidi_C}', "");
Expect(0, 8298, '\p{ _Bidi_C}', "");
Expect(1, 8298, '\p{^ _Bidi_C}', "");
Expect(1, 8298, '\P{ _Bidi_C}', "");
Expect(0, 8298, '\P{^ _Bidi_C}', "");
Error('\p{IS_BIDI_C:=}');
Error('\P{IS_BIDI_C:=}');
Expect(1, 8297, '\p{isbidic}', "");
Expect(0, 8297, '\p{^isbidic}', "");
Expect(0, 8297, '\P{isbidic}', "");
Expect(1, 8297, '\P{^isbidic}', "");
Expect(0, 8298, '\p{isbidic}', "");
Expect(1, 8298, '\p{^isbidic}', "");
Expect(1, 8298, '\P{isbidic}', "");
Expect(0, 8298, '\P{^isbidic}', "");
Expect(1, 8297, '\p{__IS_Bidi_C}', "");
Expect(0, 8297, '\p{^__IS_Bidi_C}', "");
Expect(0, 8297, '\P{__IS_Bidi_C}', "");
Expect(1, 8297, '\P{^__IS_Bidi_C}', "");
Expect(0, 8298, '\p{__IS_Bidi_C}', "");
Expect(1, 8298, '\p{^__IS_Bidi_C}', "");
Expect(1, 8298, '\P{__IS_Bidi_C}', "");
Expect(0, 8298, '\P{^__IS_Bidi_C}', "");
Error('\p{:=--Bidi_Mirrored}');
Error('\P{:=--Bidi_Mirrored}');
Expect(1, 120771, '\p{bidimirrored}', "");
Expect(0, 120771, '\p{^bidimirrored}', "");
Expect(0, 120771, '\P{bidimirrored}', "");
Expect(1, 120771, '\P{^bidimirrored}', "");
Expect(0, 120772, '\p{bidimirrored}', "");
Expect(1, 120772, '\p{^bidimirrored}', "");
Expect(1, 120772, '\P{bidimirrored}', "");
Expect(0, 120772, '\P{^bidimirrored}', "");
Expect(1, 120771, '\p{- Bidi_Mirrored}', "");
Expect(0, 120771, '\p{^- Bidi_Mirrored}', "");
Expect(0, 120771, '\P{- Bidi_Mirrored}', "");
Expect(1, 120771, '\P{^- Bidi_Mirrored}', "");
Expect(0, 120772, '\p{- Bidi_Mirrored}', "");
Expect(1, 120772, '\p{^- Bidi_Mirrored}', "");
Expect(1, 120772, '\P{- Bidi_Mirrored}', "");
Expect(0, 120772, '\P{^- Bidi_Mirrored}', "");
Error('\p{	:=IS_Bidi_mirrored}');
Error('\P{	:=IS_Bidi_mirrored}');
Expect(1, 120771, '\p{isbidimirrored}', "");
Expect(0, 120771, '\p{^isbidimirrored}', "");
Expect(0, 120771, '\P{isbidimirrored}', "");
Expect(1, 120771, '\P{^isbidimirrored}', "");
Expect(0, 120772, '\p{isbidimirrored}', "");
Expect(1, 120772, '\p{^isbidimirrored}', "");
Expect(1, 120772, '\P{isbidimirrored}', "");
Expect(0, 120772, '\P{^isbidimirrored}', "");
Expect(1, 120771, '\p{		is_Bidi_mirrored}', "");
Expect(0, 120771, '\p{^		is_Bidi_mirrored}', "");
Expect(0, 120771, '\P{		is_Bidi_mirrored}', "");
Expect(1, 120771, '\P{^		is_Bidi_mirrored}', "");
Expect(0, 120772, '\p{		is_Bidi_mirrored}', "");
Expect(1, 120772, '\p{^		is_Bidi_mirrored}', "");
Expect(1, 120772, '\P{		is_Bidi_mirrored}', "");
Expect(0, 120772, '\P{^		is_Bidi_mirrored}', "");
Error('\p{	Bidi_M/a/}');
Error('\P{	Bidi_M/a/}');
Expect(1, 120771, '\p{bidim}', "");
Expect(0, 120771, '\p{^bidim}', "");
Expect(0, 120771, '\P{bidim}', "");
Expect(1, 120771, '\P{^bidim}', "");
Expect(0, 120772, '\p{bidim}', "");
Expect(1, 120772, '\p{^bidim}', "");
Expect(1, 120772, '\P{bidim}', "");
Expect(0, 120772, '\P{^bidim}', "");
Expect(1, 120771, '\p{ 	Bidi_M}', "");
Expect(0, 120771, '\p{^ 	Bidi_M}', "");
Expect(0, 120771, '\P{ 	Bidi_M}', "");
Expect(1, 120771, '\P{^ 	Bidi_M}', "");
Expect(0, 120772, '\p{ 	Bidi_M}', "");
Expect(1, 120772, '\p{^ 	Bidi_M}', "");
Expect(1, 120772, '\P{ 	Bidi_M}', "");
Expect(0, 120772, '\P{^ 	Bidi_M}', "");
Error('\p{_IS_BIDI_M:=}');
Error('\P{_IS_BIDI_M:=}');
Expect(1, 120771, '\p{isbidim}', "");
Expect(0, 120771, '\p{^isbidim}', "");
Expect(0, 120771, '\P{isbidim}', "");
Expect(1, 120771, '\P{^isbidim}', "");
Expect(0, 120772, '\p{isbidim}', "");
Expect(1, 120772, '\p{^isbidim}', "");
Expect(1, 120772, '\P{isbidim}', "");
Expect(0, 120772, '\P{^isbidim}', "");
Expect(1, 120771, '\p{ -Is_BIDI_m}', "");
Expect(0, 120771, '\p{^ -Is_BIDI_m}', "");
Expect(0, 120771, '\P{ -Is_BIDI_m}', "");
Expect(1, 120771, '\P{^ -Is_BIDI_m}', "");
Expect(0, 120772, '\p{ -Is_BIDI_m}', "");
Expect(1, 120772, '\p{^ -Is_BIDI_m}', "");
Expect(1, 120772, '\P{ -Is_BIDI_m}', "");
Expect(0, 120772, '\P{^ -Is_BIDI_m}', "");
Error('\p{/a/  XPosixBlank}');
Error('\P{/a/  XPosixBlank}');
Expect(1, 12288, '\p{xposixblank}', "");
Expect(0, 12288, '\p{^xposixblank}', "");
Expect(0, 12288, '\P{xposixblank}', "");
Expect(1, 12288, '\P{^xposixblank}', "");
Expect(0, 12289, '\p{xposixblank}', "");
Expect(1, 12289, '\p{^xposixblank}', "");
Expect(1, 12289, '\P{xposixblank}', "");
Expect(0, 12289, '\P{^xposixblank}', "");
Expect(1, 12288, '\p{_XPosixBlank}', "");
Expect(0, 12288, '\p{^_XPosixBlank}', "");
Expect(0, 12288, '\P{_XPosixBlank}', "");
Expect(1, 12288, '\P{^_XPosixBlank}', "");
Expect(0, 12289, '\p{_XPosixBlank}', "");
Expect(1, 12289, '\p{^_XPosixBlank}', "");
Expect(1, 12289, '\P{_XPosixBlank}', "");
Expect(0, 12289, '\P{^_XPosixBlank}', "");
Error('\p{-	Blank/a/}');
Error('\P{-	Blank/a/}');
Expect(1, 12288, '\p{blank}', "");
Expect(0, 12288, '\p{^blank}', "");
Expect(0, 12288, '\P{blank}', "");
Expect(1, 12288, '\P{^blank}', "");
Expect(0, 12289, '\p{blank}', "");
Expect(1, 12289, '\p{^blank}', "");
Expect(1, 12289, '\P{blank}', "");
Expect(0, 12289, '\P{^blank}', "");
Expect(1, 12288, '\p{__Blank}', "");
Expect(0, 12288, '\p{^__Blank}', "");
Expect(0, 12288, '\P{__Blank}', "");
Expect(1, 12288, '\P{^__Blank}', "");
Expect(0, 12289, '\p{__Blank}', "");
Expect(1, 12289, '\p{^__Blank}', "");
Expect(1, 12289, '\P{__Blank}', "");
Expect(0, 12289, '\P{^__Blank}', "");
Error('\p{ HorizSpace:=}');
Error('\P{ HorizSpace:=}');
Expect(1, 12288, '\p{horizspace}', "");
Expect(0, 12288, '\p{^horizspace}', "");
Expect(0, 12288, '\P{horizspace}', "");
Expect(1, 12288, '\P{^horizspace}', "");
Expect(0, 12289, '\p{horizspace}', "");
Expect(1, 12289, '\p{^horizspace}', "");
Expect(1, 12289, '\P{horizspace}', "");
Expect(0, 12289, '\P{^horizspace}', "");
Expect(1, 12288, '\p{ HorizSpace}', "");
Expect(0, 12288, '\p{^ HorizSpace}', "");
Expect(0, 12288, '\P{ HorizSpace}', "");
Expect(1, 12288, '\P{^ HorizSpace}', "");
Expect(0, 12289, '\p{ HorizSpace}', "");
Expect(1, 12289, '\p{^ HorizSpace}', "");
Expect(1, 12289, '\P{ HorizSpace}', "");
Expect(0, 12289, '\P{^ HorizSpace}', "");
Error('\p{ _Is_XPosixBlank:=}');
Error('\P{ _Is_XPosixBlank:=}');
Expect(1, 12288, '\p{isxposixblank}', "");
Expect(0, 12288, '\p{^isxposixblank}', "");
Expect(0, 12288, '\P{isxposixblank}', "");
Expect(1, 12288, '\P{^isxposixblank}', "");
Expect(0, 12289, '\p{isxposixblank}', "");
Expect(1, 12289, '\p{^isxposixblank}', "");
Expect(1, 12289, '\P{isxposixblank}', "");
Expect(0, 12289, '\P{^isxposixblank}', "");
Expect(1, 12288, '\p{	Is_xposixblank}', "");
Expect(0, 12288, '\p{^	Is_xposixblank}', "");
Expect(0, 12288, '\P{	Is_xposixblank}', "");
Expect(1, 12288, '\P{^	Is_xposixblank}', "");
Expect(0, 12289, '\p{	Is_xposixblank}', "");
Expect(1, 12289, '\p{^	Is_xposixblank}', "");
Expect(1, 12289, '\P{	Is_xposixblank}', "");
Expect(0, 12289, '\P{^	Is_xposixblank}', "");
Error('\p{	-Is_blank:=}');
Error('\P{	-Is_blank:=}');
Expect(1, 12288, '\p{isblank}', "");
Expect(0, 12288, '\p{^isblank}', "");
Expect(0, 12288, '\P{isblank}', "");
Expect(1, 12288, '\P{^isblank}', "");
Expect(0, 12289, '\p{isblank}', "");
Expect(1, 12289, '\p{^isblank}', "");
Expect(1, 12289, '\P{isblank}', "");
Expect(0, 12289, '\P{^isblank}', "");
Expect(1, 12288, '\p{IS_blank}', "");
Expect(0, 12288, '\p{^IS_blank}', "");
Expect(0, 12288, '\P{IS_blank}', "");
Expect(1, 12288, '\P{^IS_blank}', "");
Expect(0, 12289, '\p{IS_blank}', "");
Expect(1, 12289, '\p{^IS_blank}', "");
Expect(1, 12289, '\P{IS_blank}', "");
Expect(0, 12289, '\P{^IS_blank}', "");
Error('\p{/a/	-is_HorizSpace}');
Error('\P{/a/	-is_HorizSpace}');
Expect(1, 12288, '\p{ishorizspace}', "");
Expect(0, 12288, '\p{^ishorizspace}', "");
Expect(0, 12288, '\P{ishorizspace}', "");
Expect(1, 12288, '\P{^ishorizspace}', "");
Expect(0, 12289, '\p{ishorizspace}', "");
Expect(1, 12289, '\p{^ishorizspace}', "");
Expect(1, 12289, '\P{ishorizspace}', "");
Expect(0, 12289, '\P{^ishorizspace}', "");
Expect(1, 12288, '\p{_is_HorizSpace}', "");
Expect(0, 12288, '\p{^_is_HorizSpace}', "");
Expect(0, 12288, '\P{_is_HorizSpace}', "");
Expect(1, 12288, '\P{^_is_HorizSpace}', "");
Expect(0, 12289, '\p{_is_HorizSpace}', "");
Expect(1, 12289, '\p{^_is_HorizSpace}', "");
Expect(1, 12289, '\P{_is_HorizSpace}', "");
Expect(0, 12289, '\P{^_is_HorizSpace}', "");
Error('\p{/a/BLOCK_Elements}');
Error('\P{/a/BLOCK_Elements}');
Expect(1, 9631, '\p{blockelements}', "");
Expect(0, 9631, '\p{^blockelements}', "");
Expect(0, 9631, '\P{blockelements}', "");
Expect(1, 9631, '\P{^blockelements}', "");
Expect(0, 9632, '\p{blockelements}', "");
Expect(1, 9632, '\p{^blockelements}', "");
Expect(1, 9632, '\P{blockelements}', "");
Expect(0, 9632, '\P{^blockelements}', "");
Expect(1, 9631, '\p{Block_Elements}', "");
Expect(0, 9631, '\p{^Block_Elements}', "");
Expect(0, 9631, '\P{Block_Elements}', "");
Expect(1, 9631, '\P{^Block_Elements}', "");
Expect(0, 9632, '\p{Block_Elements}', "");
Expect(1, 9632, '\p{^Block_Elements}', "");
Expect(1, 9632, '\P{Block_Elements}', "");
Expect(0, 9632, '\P{^Block_Elements}', "");
Error('\p{-/a/Is_Block_elements}');
Error('\P{-/a/Is_Block_elements}');
Expect(1, 9631, '\p{isblockelements}', "");
Expect(0, 9631, '\p{^isblockelements}', "");
Expect(0, 9631, '\P{isblockelements}', "");
Expect(1, 9631, '\P{^isblockelements}', "");
Expect(0, 9632, '\p{isblockelements}', "");
Expect(1, 9632, '\p{^isblockelements}', "");
Expect(1, 9632, '\P{isblockelements}', "");
Expect(0, 9632, '\P{^isblockelements}', "");
Expect(1, 9631, '\p{ _Is_Block_Elements}', "");
Expect(0, 9631, '\p{^ _Is_Block_Elements}', "");
Expect(0, 9631, '\P{ _Is_Block_Elements}', "");
Expect(1, 9631, '\P{^ _Is_Block_Elements}', "");
Expect(0, 9632, '\p{ _Is_Block_Elements}', "");
Expect(1, 9632, '\p{^ _Is_Block_Elements}', "");
Expect(1, 9632, '\P{ _Is_Block_Elements}', "");
Expect(0, 9632, '\P{^ _Is_Block_Elements}', "");
Error('\p{:=-	In_Block_elements}');
Error('\P{:=-	In_Block_elements}');
Expect(1, 9631, '\p{inblockelements}', "");
Expect(0, 9631, '\p{^inblockelements}', "");
Expect(0, 9631, '\P{inblockelements}', "");
Expect(1, 9631, '\P{^inblockelements}', "");
Expect(0, 9632, '\p{inblockelements}', "");
Expect(1, 9632, '\p{^inblockelements}', "");
Expect(1, 9632, '\P{inblockelements}', "");
Expect(0, 9632, '\P{^inblockelements}', "");
Expect(1, 9631, '\p{_IN_Block_Elements}', "");
Expect(0, 9631, '\p{^_IN_Block_Elements}', "");
Expect(0, 9631, '\P{_IN_Block_Elements}', "");
Expect(1, 9631, '\P{^_IN_Block_Elements}', "");
Expect(0, 9632, '\p{_IN_Block_Elements}', "");
Expect(1, 9632, '\p{^_IN_Block_Elements}', "");
Expect(1, 9632, '\P{_IN_Block_Elements}', "");
Expect(0, 9632, '\P{^_IN_Block_Elements}', "");
Error('\p{ Bopomofo/a/}');
Error('\P{ Bopomofo/a/}');
Expect(1, 12730, '\p{bopomofo}', "");
Expect(0, 12730, '\p{^bopomofo}', "");
Expect(0, 12730, '\P{bopomofo}', "");
Expect(1, 12730, '\P{^bopomofo}', "");
Expect(0, 12731, '\p{bopomofo}', "");
Expect(1, 12731, '\p{^bopomofo}', "");
Expect(1, 12731, '\P{bopomofo}', "");
Expect(0, 12731, '\P{^bopomofo}', "");
Expect(1, 12730, '\p{- BOPOMOFO}', "");
Expect(0, 12730, '\p{^- BOPOMOFO}', "");
Expect(0, 12730, '\P{- BOPOMOFO}', "");
Expect(1, 12730, '\P{^- BOPOMOFO}', "");
Expect(0, 12731, '\p{- BOPOMOFO}', "");
Expect(1, 12731, '\p{^- BOPOMOFO}', "");
Expect(1, 12731, '\P{- BOPOMOFO}', "");
Expect(0, 12731, '\P{^- BOPOMOFO}', "");
Error('\p{_/a/is_Bopomofo}');
Error('\P{_/a/is_Bopomofo}');
Expect(1, 12730, '\p{isbopomofo}', "");
Expect(0, 12730, '\p{^isbopomofo}', "");
Expect(0, 12730, '\P{isbopomofo}', "");
Expect(1, 12730, '\P{^isbopomofo}', "");
Expect(0, 12731, '\p{isbopomofo}', "");
Expect(1, 12731, '\p{^isbopomofo}', "");
Expect(1, 12731, '\P{isbopomofo}', "");
Expect(0, 12731, '\P{^isbopomofo}', "");
Expect(1, 12730, '\p{_-Is_Bopomofo}', "");
Expect(0, 12730, '\p{^_-Is_Bopomofo}', "");
Expect(0, 12730, '\P{_-Is_Bopomofo}', "");
Expect(1, 12730, '\P{^_-Is_Bopomofo}', "");
Expect(0, 12731, '\p{_-Is_Bopomofo}', "");
Expect(1, 12731, '\p{^_-Is_Bopomofo}', "");
Expect(1, 12731, '\P{_-Is_Bopomofo}', "");
Expect(0, 12731, '\P{^_-Is_Bopomofo}', "");
Error('\p{/a/-Bopo}');
Error('\P{/a/-Bopo}');
Expect(1, 12730, '\p{bopo}', "");
Expect(0, 12730, '\p{^bopo}', "");
Expect(0, 12730, '\P{bopo}', "");
Expect(1, 12730, '\P{^bopo}', "");
Expect(0, 12731, '\p{bopo}', "");
Expect(1, 12731, '\p{^bopo}', "");
Expect(1, 12731, '\P{bopo}', "");
Expect(0, 12731, '\P{^bopo}', "");
Expect(1, 12730, '\p{	bopo}', "");
Expect(0, 12730, '\p{^	bopo}', "");
Expect(0, 12730, '\P{	bopo}', "");
Expect(1, 12730, '\P{^	bopo}', "");
Expect(0, 12731, '\p{	bopo}', "");
Expect(1, 12731, '\p{^	bopo}', "");
Expect(1, 12731, '\P{	bopo}', "");
Expect(0, 12731, '\P{^	bopo}', "");
Error('\p{ 	IS_Bopo/a/}');
Error('\P{ 	IS_Bopo/a/}');
Expect(1, 12730, '\p{isbopo}', "");
Expect(0, 12730, '\p{^isbopo}', "");
Expect(0, 12730, '\P{isbopo}', "");
Expect(1, 12730, '\P{^isbopo}', "");
Expect(0, 12731, '\p{isbopo}', "");
Expect(1, 12731, '\p{^isbopo}', "");
Expect(1, 12731, '\P{isbopo}', "");
Expect(0, 12731, '\P{^isbopo}', "");
Expect(1, 12730, '\p{_is_bopo}', "");
Expect(0, 12730, '\p{^_is_bopo}', "");
Expect(0, 12730, '\P{_is_bopo}', "");
Expect(1, 12730, '\P{^_is_bopo}', "");
Expect(0, 12731, '\p{_is_bopo}', "");
Expect(1, 12731, '\p{^_is_bopo}', "");
Expect(1, 12731, '\P{_is_bopo}', "");
Expect(0, 12731, '\P{^_is_bopo}', "");
Error('\p{:=	-Bopomofo_extended}');
Error('\P{:=	-Bopomofo_extended}');
Expect(1, 12735, '\p{bopomofoextended}', "");
Expect(0, 12735, '\p{^bopomofoextended}', "");
Expect(0, 12735, '\P{bopomofoextended}', "");
Expect(1, 12735, '\P{^bopomofoextended}', "");
Expect(0, 12736, '\p{bopomofoextended}', "");
Expect(1, 12736, '\p{^bopomofoextended}', "");
Expect(1, 12736, '\P{bopomofoextended}', "");
Expect(0, 12736, '\P{^bopomofoextended}', "");
Expect(1, 12735, '\p{-	BOPOMOFO_Extended}', "");
Expect(0, 12735, '\p{^-	BOPOMOFO_Extended}', "");
Expect(0, 12735, '\P{-	BOPOMOFO_Extended}', "");
Expect(1, 12735, '\P{^-	BOPOMOFO_Extended}', "");
Expect(0, 12736, '\p{-	BOPOMOFO_Extended}', "");
Expect(1, 12736, '\p{^-	BOPOMOFO_Extended}', "");
Expect(1, 12736, '\P{-	BOPOMOFO_Extended}', "");
Expect(0, 12736, '\P{^-	BOPOMOFO_Extended}', "");
Error('\p{/a/ _is_BOPOMOFO_Extended}');
Error('\P{/a/ _is_BOPOMOFO_Extended}');
Expect(1, 12735, '\p{isbopomofoextended}', "");
Expect(0, 12735, '\p{^isbopomofoextended}', "");
Expect(0, 12735, '\P{isbopomofoextended}', "");
Expect(1, 12735, '\P{^isbopomofoextended}', "");
Expect(0, 12736, '\p{isbopomofoextended}', "");
Expect(1, 12736, '\p{^isbopomofoextended}', "");
Expect(1, 12736, '\P{isbopomofoextended}', "");
Expect(0, 12736, '\P{^isbopomofoextended}', "");
Expect(1, 12735, '\p{_	Is_BOPOMOFO_Extended}', "");
Expect(0, 12735, '\p{^_	Is_BOPOMOFO_Extended}', "");
Expect(0, 12735, '\P{_	Is_BOPOMOFO_Extended}', "");
Expect(1, 12735, '\P{^_	Is_BOPOMOFO_Extended}', "");
Expect(0, 12736, '\p{_	Is_BOPOMOFO_Extended}', "");
Expect(1, 12736, '\p{^_	Is_BOPOMOFO_Extended}', "");
Expect(1, 12736, '\P{_	Is_BOPOMOFO_Extended}', "");
Expect(0, 12736, '\P{^_	Is_BOPOMOFO_Extended}', "");
Error('\p{ /a/In_Bopomofo_Extended}');
Error('\P{ /a/In_Bopomofo_Extended}');
Expect(1, 12735, '\p{inbopomofoextended}', "");
Expect(0, 12735, '\p{^inbopomofoextended}', "");
Expect(0, 12735, '\P{inbopomofoextended}', "");
Expect(1, 12735, '\P{^inbopomofoextended}', "");
Expect(0, 12736, '\p{inbopomofoextended}', "");
Expect(1, 12736, '\p{^inbopomofoextended}', "");
Expect(1, 12736, '\P{inbopomofoextended}', "");
Expect(0, 12736, '\P{^inbopomofoextended}', "");
Expect(1, 12735, '\p{	 in_Bopomofo_Extended}', "");
Expect(0, 12735, '\p{^	 in_Bopomofo_Extended}', "");
Expect(0, 12735, '\P{	 in_Bopomofo_Extended}', "");
Expect(1, 12735, '\P{^	 in_Bopomofo_Extended}', "");
Expect(0, 12736, '\p{	 in_Bopomofo_Extended}', "");
Expect(1, 12736, '\p{^	 in_Bopomofo_Extended}', "");
Expect(1, 12736, '\P{	 in_Bopomofo_Extended}', "");
Expect(0, 12736, '\P{^	 in_Bopomofo_Extended}', "");
Error('\p{	-BOPOMOFO_Ext/a/}');
Error('\P{	-BOPOMOFO_Ext/a/}');
Expect(1, 12735, '\p{bopomofoext}', "");
Expect(0, 12735, '\p{^bopomofoext}', "");
Expect(0, 12735, '\P{bopomofoext}', "");
Expect(1, 12735, '\P{^bopomofoext}', "");
Expect(0, 12736, '\p{bopomofoext}', "");
Expect(1, 12736, '\p{^bopomofoext}', "");
Expect(1, 12736, '\P{bopomofoext}', "");
Expect(0, 12736, '\P{^bopomofoext}', "");
Expect(1, 12735, '\p{  bopomofo_Ext}', "");
Expect(0, 12735, '\p{^  bopomofo_Ext}', "");
Expect(0, 12735, '\P{  bopomofo_Ext}', "");
Expect(1, 12735, '\P{^  bopomofo_Ext}', "");
Expect(0, 12736, '\p{  bopomofo_Ext}', "");
Expect(1, 12736, '\p{^  bopomofo_Ext}', "");
Expect(1, 12736, '\P{  bopomofo_Ext}', "");
Expect(0, 12736, '\P{^  bopomofo_Ext}', "");
Error('\p{-:=is_Bopomofo_EXT}');
Error('\P{-:=is_Bopomofo_EXT}');
Expect(1, 12735, '\p{isbopomofoext}', "");
Expect(0, 12735, '\p{^isbopomofoext}', "");
Expect(0, 12735, '\P{isbopomofoext}', "");
Expect(1, 12735, '\P{^isbopomofoext}', "");
Expect(0, 12736, '\p{isbopomofoext}', "");
Expect(1, 12736, '\p{^isbopomofoext}', "");
Expect(1, 12736, '\P{isbopomofoext}', "");
Expect(0, 12736, '\P{^isbopomofoext}', "");
Expect(1, 12735, '\p{-is_bopomofo_Ext}', "");
Expect(0, 12735, '\p{^-is_bopomofo_Ext}', "");
Expect(0, 12735, '\P{-is_bopomofo_Ext}', "");
Expect(1, 12735, '\P{^-is_bopomofo_Ext}', "");
Expect(0, 12736, '\p{-is_bopomofo_Ext}', "");
Expect(1, 12736, '\p{^-is_bopomofo_Ext}', "");
Expect(1, 12736, '\P{-is_bopomofo_Ext}', "");
Expect(0, 12736, '\P{^-is_bopomofo_Ext}', "");
Error('\p{/a/_-In_Bopomofo_Ext}');
Error('\P{/a/_-In_Bopomofo_Ext}');
Expect(1, 12735, '\p{inbopomofoext}', "");
Expect(0, 12735, '\p{^inbopomofoext}', "");
Expect(0, 12735, '\P{inbopomofoext}', "");
Expect(1, 12735, '\P{^inbopomofoext}', "");
Expect(0, 12736, '\p{inbopomofoext}', "");
Expect(1, 12736, '\p{^inbopomofoext}', "");
Expect(1, 12736, '\P{inbopomofoext}', "");
Expect(0, 12736, '\P{^inbopomofoext}', "");
Expect(1, 12735, '\p{	-in_Bopomofo_ext}', "");
Expect(0, 12735, '\p{^	-in_Bopomofo_ext}', "");
Expect(0, 12735, '\P{	-in_Bopomofo_ext}', "");
Expect(1, 12735, '\P{^	-in_Bopomofo_ext}', "");
Expect(0, 12736, '\p{	-in_Bopomofo_ext}', "");
Expect(1, 12736, '\p{^	-in_Bopomofo_ext}', "");
Expect(1, 12736, '\P{	-in_Bopomofo_ext}', "");
Expect(0, 12736, '\P{^	-in_Bopomofo_ext}', "");
Error('\p{/a/__box_drawing}');
Error('\P{/a/__box_drawing}');
Expect(1, 9599, '\p{boxdrawing}', "");
Expect(0, 9599, '\p{^boxdrawing}', "");
Expect(0, 9599, '\P{boxdrawing}', "");
Expect(1, 9599, '\P{^boxdrawing}', "");
Expect(0, 9600, '\p{boxdrawing}', "");
Expect(1, 9600, '\p{^boxdrawing}', "");
Expect(1, 9600, '\P{boxdrawing}', "");
Expect(0, 9600, '\P{^boxdrawing}', "");
Expect(1, 9599, '\p{_-Box_Drawing}', "");
Expect(0, 9599, '\p{^_-Box_Drawing}', "");
Expect(0, 9599, '\P{_-Box_Drawing}', "");
Expect(1, 9599, '\P{^_-Box_Drawing}', "");
Expect(0, 9600, '\p{_-Box_Drawing}', "");
Expect(1, 9600, '\p{^_-Box_Drawing}', "");
Expect(1, 9600, '\P{_-Box_Drawing}', "");
Expect(0, 9600, '\P{^_-Box_Drawing}', "");
Error('\p{_/a/Is_Box_drawing}');
Error('\P{_/a/Is_Box_drawing}');
Expect(1, 9599, '\p{isboxdrawing}', "");
Expect(0, 9599, '\p{^isboxdrawing}', "");
Expect(0, 9599, '\P{isboxdrawing}', "");
Expect(1, 9599, '\P{^isboxdrawing}', "");
Expect(0, 9600, '\p{isboxdrawing}', "");
Expect(1, 9600, '\p{^isboxdrawing}', "");
Expect(1, 9600, '\P{isboxdrawing}', "");
Expect(0, 9600, '\P{^isboxdrawing}', "");
Expect(1, 9599, '\p{_Is_box_drawing}', "");
Expect(0, 9599, '\p{^_Is_box_drawing}', "");
Expect(0, 9599, '\P{_Is_box_drawing}', "");
Expect(1, 9599, '\P{^_Is_box_drawing}', "");
Expect(0, 9600, '\p{_Is_box_drawing}', "");
Expect(1, 9600, '\p{^_Is_box_drawing}', "");
Expect(1, 9600, '\P{_Is_box_drawing}', "");
Expect(0, 9600, '\P{^_Is_box_drawing}', "");
Error('\p{/a/		In_Box_Drawing}');
Error('\P{/a/		In_Box_Drawing}');
Expect(1, 9599, '\p{inboxdrawing}', "");
Expect(0, 9599, '\p{^inboxdrawing}', "");
Expect(0, 9599, '\P{inboxdrawing}', "");
Expect(1, 9599, '\P{^inboxdrawing}', "");
Expect(0, 9600, '\p{inboxdrawing}', "");
Expect(1, 9600, '\p{^inboxdrawing}', "");
Expect(1, 9600, '\P{inboxdrawing}', "");
Expect(0, 9600, '\P{^inboxdrawing}', "");
Expect(1, 9599, '\p{- IN_BOX_Drawing}', "");
Expect(0, 9599, '\p{^- IN_BOX_Drawing}', "");
Expect(0, 9599, '\P{- IN_BOX_Drawing}', "");
Expect(1, 9599, '\P{^- IN_BOX_Drawing}', "");
Expect(0, 9600, '\p{- IN_BOX_Drawing}', "");
Expect(1, 9600, '\p{^- IN_BOX_Drawing}', "");
Expect(1, 9600, '\P{- IN_BOX_Drawing}', "");
Expect(0, 9600, '\P{^- IN_BOX_Drawing}', "");
Error('\p{:=	BRAHMI}');
Error('\P{:=	BRAHMI}');
Expect(1, 69759, '\p{brahmi}', "");
Expect(0, 69759, '\p{^brahmi}', "");
Expect(0, 69759, '\P{brahmi}', "");
Expect(1, 69759, '\P{^brahmi}', "");
Expect(0, 69760, '\p{brahmi}', "");
Expect(1, 69760, '\p{^brahmi}', "");
Expect(1, 69760, '\P{brahmi}', "");
Expect(0, 69760, '\P{^brahmi}', "");
Expect(1, 69759, '\p{	 Brahmi}', "");
Expect(0, 69759, '\p{^	 Brahmi}', "");
Expect(0, 69759, '\P{	 Brahmi}', "");
Expect(1, 69759, '\P{^	 Brahmi}', "");
Expect(0, 69760, '\p{	 Brahmi}', "");
Expect(1, 69760, '\p{^	 Brahmi}', "");
Expect(1, 69760, '\P{	 Brahmi}', "");
Expect(0, 69760, '\P{^	 Brahmi}', "");
Error('\p{/a/IS_Brahmi}');
Error('\P{/a/IS_Brahmi}');
Expect(1, 69759, '\p{isbrahmi}', "");
Expect(0, 69759, '\p{^isbrahmi}', "");
Expect(0, 69759, '\P{isbrahmi}', "");
Expect(1, 69759, '\P{^isbrahmi}', "");
Expect(0, 69760, '\p{isbrahmi}', "");
Expect(1, 69760, '\p{^isbrahmi}', "");
Expect(1, 69760, '\P{isbrahmi}', "");
Expect(0, 69760, '\P{^isbrahmi}', "");
Expect(1, 69759, '\p{ Is_brahmi}', "");
Expect(0, 69759, '\p{^ Is_brahmi}', "");
Expect(0, 69759, '\P{ Is_brahmi}', "");
Expect(1, 69759, '\P{^ Is_brahmi}', "");
Expect(0, 69760, '\p{ Is_brahmi}', "");
Expect(1, 69760, '\p{^ Is_brahmi}', "");
Expect(1, 69760, '\P{ Is_brahmi}', "");
Expect(0, 69760, '\P{^ Is_brahmi}', "");
Error('\p{_	BRAH:=}');
Error('\P{_	BRAH:=}');
Expect(1, 69759, '\p{brah}', "");
Expect(0, 69759, '\p{^brah}', "");
Expect(0, 69759, '\P{brah}', "");
Expect(1, 69759, '\P{^brah}', "");
Expect(0, 69760, '\p{brah}', "");
Expect(1, 69760, '\p{^brah}', "");
Expect(1, 69760, '\P{brah}', "");
Expect(0, 69760, '\P{^brah}', "");
Expect(1, 69759, '\p{  BRAH}', "");
Expect(0, 69759, '\p{^  BRAH}', "");
Expect(0, 69759, '\P{  BRAH}', "");
Expect(1, 69759, '\P{^  BRAH}', "");
Expect(0, 69760, '\p{  BRAH}', "");
Expect(1, 69760, '\p{^  BRAH}', "");
Expect(1, 69760, '\P{  BRAH}', "");
Expect(0, 69760, '\P{^  BRAH}', "");
Error('\p{:=_Is_Brah}');
Error('\P{:=_Is_Brah}');
Expect(1, 69759, '\p{isbrah}', "");
Expect(0, 69759, '\p{^isbrah}', "");
Expect(0, 69759, '\P{isbrah}', "");
Expect(1, 69759, '\P{^isbrah}', "");
Expect(0, 69760, '\p{isbrah}', "");
Expect(1, 69760, '\p{^isbrah}', "");
Expect(1, 69760, '\P{isbrah}', "");
Expect(0, 69760, '\P{^isbrah}', "");
Expect(1, 69759, '\p{	Is_Brah}', "");
Expect(0, 69759, '\p{^	Is_Brah}', "");
Expect(0, 69759, '\P{	Is_Brah}', "");
Expect(1, 69759, '\P{^	Is_Brah}', "");
Expect(0, 69760, '\p{	Is_Brah}', "");
Expect(1, 69760, '\p{^	Is_Brah}', "");
Expect(1, 69760, '\P{	Is_Brah}', "");
Expect(0, 69760, '\P{^	Is_Brah}', "");
Error('\p{- BRAILLE:=}');
Error('\P{- BRAILLE:=}');
Expect(1, 10495, '\p{braille}', "");
Expect(0, 10495, '\p{^braille}', "");
Expect(0, 10495, '\P{braille}', "");
Expect(1, 10495, '\P{^braille}', "");
Expect(0, 10496, '\p{braille}', "");
Expect(1, 10496, '\p{^braille}', "");
Expect(1, 10496, '\P{braille}', "");
Expect(0, 10496, '\P{^braille}', "");
Expect(1, 10495, '\p{- Braille}', "");
Expect(0, 10495, '\p{^- Braille}', "");
Expect(0, 10495, '\P{- Braille}', "");
Expect(1, 10495, '\P{^- Braille}', "");
Expect(0, 10496, '\p{- Braille}', "");
Expect(1, 10496, '\p{^- Braille}', "");
Expect(1, 10496, '\P{- Braille}', "");
Expect(0, 10496, '\P{^- Braille}', "");
Error('\p{	-IS_BRAILLE/a/}');
Error('\P{	-IS_BRAILLE/a/}');
Expect(1, 10495, '\p{isbraille}', "");
Expect(0, 10495, '\p{^isbraille}', "");
Expect(0, 10495, '\P{isbraille}', "");
Expect(1, 10495, '\P{^isbraille}', "");
Expect(0, 10496, '\p{isbraille}', "");
Expect(1, 10496, '\p{^isbraille}', "");
Expect(1, 10496, '\P{isbraille}', "");
Expect(0, 10496, '\P{^isbraille}', "");
Expect(1, 10495, '\p{ IS_braille}', "");
Expect(0, 10495, '\p{^ IS_braille}', "");
Expect(0, 10495, '\P{ IS_braille}', "");
Expect(1, 10495, '\P{^ IS_braille}', "");
Expect(0, 10496, '\p{ IS_braille}', "");
Expect(1, 10496, '\p{^ IS_braille}', "");
Expect(1, 10496, '\P{ IS_braille}', "");
Expect(0, 10496, '\P{^ IS_braille}', "");
Error('\p{	:=Brai}');
Error('\P{	:=Brai}');
Expect(1, 10495, '\p{brai}', "");
Expect(0, 10495, '\p{^brai}', "");
Expect(0, 10495, '\P{brai}', "");
Expect(1, 10495, '\P{^brai}', "");
Expect(0, 10496, '\p{brai}', "");
Expect(1, 10496, '\p{^brai}', "");
Expect(1, 10496, '\P{brai}', "");
Expect(0, 10496, '\P{^brai}', "");
Expect(1, 10495, '\p{--brai}', "");
Expect(0, 10495, '\p{^--brai}', "");
Expect(0, 10495, '\P{--brai}', "");
Expect(1, 10495, '\P{^--brai}', "");
Expect(0, 10496, '\p{--brai}', "");
Expect(1, 10496, '\p{^--brai}', "");
Expect(1, 10496, '\P{--brai}', "");
Expect(0, 10496, '\P{^--brai}', "");
Error('\p{  is_Brai:=}');
Error('\P{  is_Brai:=}');
Expect(1, 10495, '\p{isbrai}', "");
Expect(0, 10495, '\p{^isbrai}', "");
Expect(0, 10495, '\P{isbrai}', "");
Expect(1, 10495, '\P{^isbrai}', "");
Expect(0, 10496, '\p{isbrai}', "");
Expect(1, 10496, '\p{^isbrai}', "");
Expect(1, 10496, '\P{isbrai}', "");
Expect(0, 10496, '\P{^isbrai}', "");
Expect(1, 10495, '\p{-_Is_Brai}', "");
Expect(0, 10495, '\p{^-_Is_Brai}', "");
Expect(0, 10495, '\P{-_Is_Brai}', "");
Expect(1, 10495, '\P{^-_Is_Brai}', "");
Expect(0, 10496, '\p{-_Is_Brai}', "");
Expect(1, 10496, '\p{^-_Is_Brai}', "");
Expect(1, 10496, '\P{-_Is_Brai}', "");
Expect(0, 10496, '\P{^-_Is_Brai}', "");
Error('\p{-_Braille_PATTERNS:=}');
Error('\P{-_Braille_PATTERNS:=}');
Expect(1, 10495, '\p{braillepatterns}', "");
Expect(0, 10495, '\p{^braillepatterns}', "");
Expect(0, 10495, '\P{braillepatterns}', "");
Expect(1, 10495, '\P{^braillepatterns}', "");
Expect(0, 10496, '\p{braillepatterns}', "");
Expect(1, 10496, '\p{^braillepatterns}', "");
Expect(1, 10496, '\P{braillepatterns}', "");
Expect(0, 10496, '\P{^braillepatterns}', "");
Expect(1, 10495, '\p{	Braille_PATTERNS}', "");
Expect(0, 10495, '\p{^	Braille_PATTERNS}', "");
Expect(0, 10495, '\P{	Braille_PATTERNS}', "");
Expect(1, 10495, '\P{^	Braille_PATTERNS}', "");
Expect(0, 10496, '\p{	Braille_PATTERNS}', "");
Expect(1, 10496, '\p{^	Braille_PATTERNS}', "");
Expect(1, 10496, '\P{	Braille_PATTERNS}', "");
Expect(0, 10496, '\P{^	Braille_PATTERNS}', "");
Error('\p{/a/ Is_braille_patterns}');
Error('\P{/a/ Is_braille_patterns}');
Expect(1, 10495, '\p{isbraillepatterns}', "");
Expect(0, 10495, '\p{^isbraillepatterns}', "");
Expect(0, 10495, '\P{isbraillepatterns}', "");
Expect(1, 10495, '\P{^isbraillepatterns}', "");
Expect(0, 10496, '\p{isbraillepatterns}', "");
Expect(1, 10496, '\p{^isbraillepatterns}', "");
Expect(1, 10496, '\P{isbraillepatterns}', "");
Expect(0, 10496, '\P{^isbraillepatterns}', "");
Expect(1, 10495, '\p{ 	Is_Braille_Patterns}', "");
Expect(0, 10495, '\p{^ 	Is_Braille_Patterns}', "");
Expect(0, 10495, '\P{ 	Is_Braille_Patterns}', "");
Expect(1, 10495, '\P{^ 	Is_Braille_Patterns}', "");
Expect(0, 10496, '\p{ 	Is_Braille_Patterns}', "");
Expect(1, 10496, '\p{^ 	Is_Braille_Patterns}', "");
Expect(1, 10496, '\P{ 	Is_Braille_Patterns}', "");
Expect(0, 10496, '\P{^ 	Is_Braille_Patterns}', "");
Error('\p{:=	IN_Braille_Patterns}');
Error('\P{:=	IN_Braille_Patterns}');
Expect(1, 10495, '\p{inbraillepatterns}', "");
Expect(0, 10495, '\p{^inbraillepatterns}', "");
Expect(0, 10495, '\P{inbraillepatterns}', "");
Expect(1, 10495, '\P{^inbraillepatterns}', "");
Expect(0, 10496, '\p{inbraillepatterns}', "");
Expect(1, 10496, '\p{^inbraillepatterns}', "");
Expect(1, 10496, '\P{inbraillepatterns}', "");
Expect(0, 10496, '\P{^inbraillepatterns}', "");
Expect(1, 10495, '\p{	_In_BRAILLE_Patterns}', "");
Expect(0, 10495, '\p{^	_In_BRAILLE_Patterns}', "");
Expect(0, 10495, '\P{	_In_BRAILLE_Patterns}', "");
Expect(1, 10495, '\P{^	_In_BRAILLE_Patterns}', "");
Expect(0, 10496, '\p{	_In_BRAILLE_Patterns}', "");
Expect(1, 10496, '\p{^	_In_BRAILLE_Patterns}', "");
Expect(1, 10496, '\P{	_In_BRAILLE_Patterns}', "");
Expect(0, 10496, '\P{^	_In_BRAILLE_Patterns}', "");
Error('\p{_-in_Braille:=}');
Error('\P{_-in_Braille:=}');
Expect(1, 10495, '\p{inbraille}', "");
Expect(0, 10495, '\p{^inbraille}', "");
Expect(0, 10495, '\P{inbraille}', "");
Expect(1, 10495, '\P{^inbraille}', "");
Expect(0, 10496, '\p{inbraille}', "");
Expect(1, 10496, '\p{^inbraille}', "");
Expect(1, 10496, '\P{inbraille}', "");
Expect(0, 10496, '\P{^inbraille}', "");
Expect(1, 10495, '\p{_-In_Braille}', "");
Expect(0, 10495, '\p{^_-In_Braille}', "");
Expect(0, 10495, '\P{_-In_Braille}', "");
Expect(1, 10495, '\P{^_-In_Braille}', "");
Expect(0, 10496, '\p{_-In_Braille}', "");
Expect(1, 10496, '\p{^_-In_Braille}', "");
Expect(1, 10496, '\P{_-In_Braille}', "");
Expect(0, 10496, '\P{^_-In_Braille}', "");
Error('\p{ /a/Buginese}');
Error('\P{ /a/Buginese}');
Expect(1, 6687, '\p{buginese}', "");
Expect(0, 6687, '\p{^buginese}', "");
Expect(0, 6687, '\P{buginese}', "");
Expect(1, 6687, '\P{^buginese}', "");
Expect(0, 6688, '\p{buginese}', "");
Expect(1, 6688, '\p{^buginese}', "");
Expect(1, 6688, '\P{buginese}', "");
Expect(0, 6688, '\P{^buginese}', "");
Expect(1, 6687, '\p{  buginese}', "");
Expect(0, 6687, '\p{^  buginese}', "");
Expect(0, 6687, '\P{  buginese}', "");
Expect(1, 6687, '\P{^  buginese}', "");
Expect(0, 6688, '\p{  buginese}', "");
Expect(1, 6688, '\p{^  buginese}', "");
Expect(1, 6688, '\P{  buginese}', "");
Expect(0, 6688, '\P{^  buginese}', "");
Error('\p{/a/Is_buginese}');
Error('\P{/a/Is_buginese}');
Expect(1, 6687, '\p{isbuginese}', "");
Expect(0, 6687, '\p{^isbuginese}', "");
Expect(0, 6687, '\P{isbuginese}', "");
Expect(1, 6687, '\P{^isbuginese}', "");
Expect(0, 6688, '\p{isbuginese}', "");
Expect(1, 6688, '\p{^isbuginese}', "");
Expect(1, 6688, '\P{isbuginese}', "");
Expect(0, 6688, '\P{^isbuginese}', "");
Expect(1, 6687, '\p{_-Is_Buginese}', "");
Expect(0, 6687, '\p{^_-Is_Buginese}', "");
Expect(0, 6687, '\P{_-Is_Buginese}', "");
Expect(1, 6687, '\P{^_-Is_Buginese}', "");
Expect(0, 6688, '\p{_-Is_Buginese}', "");
Expect(1, 6688, '\p{^_-Is_Buginese}', "");
Expect(1, 6688, '\P{_-Is_Buginese}', "");
Expect(0, 6688, '\P{^_-Is_Buginese}', "");
Error('\p{_bugi/a/}');
Error('\P{_bugi/a/}');
Expect(1, 6687, '\p{bugi}', "");
Expect(0, 6687, '\p{^bugi}', "");
Expect(0, 6687, '\P{bugi}', "");
Expect(1, 6687, '\P{^bugi}', "");
Expect(0, 6688, '\p{bugi}', "");
Expect(1, 6688, '\p{^bugi}', "");
Expect(1, 6688, '\P{bugi}', "");
Expect(0, 6688, '\P{^bugi}', "");
Expect(1, 6687, '\p{  bugi}', "");
Expect(0, 6687, '\p{^  bugi}', "");
Expect(0, 6687, '\P{  bugi}', "");
Expect(1, 6687, '\P{^  bugi}', "");
Expect(0, 6688, '\p{  bugi}', "");
Expect(1, 6688, '\p{^  bugi}', "");
Expect(1, 6688, '\P{  bugi}', "");
Expect(0, 6688, '\P{^  bugi}', "");
Error('\p{	_Is_Bugi/a/}');
Error('\P{	_Is_Bugi/a/}');
Expect(1, 6687, '\p{isbugi}', "");
Expect(0, 6687, '\p{^isbugi}', "");
Expect(0, 6687, '\P{isbugi}', "");
Expect(1, 6687, '\P{^isbugi}', "");
Expect(0, 6688, '\p{isbugi}', "");
Expect(1, 6688, '\p{^isbugi}', "");
Expect(1, 6688, '\P{isbugi}', "");
Expect(0, 6688, '\P{^isbugi}', "");
Expect(1, 6687, '\p{		is_BUGI}', "");
Expect(0, 6687, '\p{^		is_BUGI}', "");
Expect(0, 6687, '\P{		is_BUGI}', "");
Expect(1, 6687, '\P{^		is_BUGI}', "");
Expect(0, 6688, '\p{		is_BUGI}', "");
Expect(1, 6688, '\p{^		is_BUGI}', "");
Expect(1, 6688, '\P{		is_BUGI}', "");
Expect(0, 6688, '\P{^		is_BUGI}', "");
Error('\p{:=_-Buhid}');
Error('\P{:=_-Buhid}');
Expect(1, 5971, '\p{buhid}', "");
Expect(0, 5971, '\p{^buhid}', "");
Expect(0, 5971, '\P{buhid}', "");
Expect(1, 5971, '\P{^buhid}', "");
Expect(0, 5972, '\p{buhid}', "");
Expect(1, 5972, '\p{^buhid}', "");
Expect(1, 5972, '\P{buhid}', "");
Expect(0, 5972, '\P{^buhid}', "");
Expect(1, 5971, '\p{- Buhid}', "");
Expect(0, 5971, '\p{^- Buhid}', "");
Expect(0, 5971, '\P{- Buhid}', "");
Expect(1, 5971, '\P{^- Buhid}', "");
Expect(0, 5972, '\p{- Buhid}', "");
Expect(1, 5972, '\p{^- Buhid}', "");
Expect(1, 5972, '\P{- Buhid}', "");
Expect(0, 5972, '\P{^- Buhid}', "");
Error('\p{ 	is_Buhid:=}');
Error('\P{ 	is_Buhid:=}');
Expect(1, 5971, '\p{isbuhid}', "");
Expect(0, 5971, '\p{^isbuhid}', "");
Expect(0, 5971, '\P{isbuhid}', "");
Expect(1, 5971, '\P{^isbuhid}', "");
Expect(0, 5972, '\p{isbuhid}', "");
Expect(1, 5972, '\p{^isbuhid}', "");
Expect(1, 5972, '\P{isbuhid}', "");
Expect(0, 5972, '\P{^isbuhid}', "");
Expect(1, 5971, '\p{_	Is_Buhid}', "");
Expect(0, 5971, '\p{^_	Is_Buhid}', "");
Expect(0, 5971, '\P{_	Is_Buhid}', "");
Expect(1, 5971, '\P{^_	Is_Buhid}', "");
Expect(0, 5972, '\p{_	Is_Buhid}', "");
Expect(1, 5972, '\p{^_	Is_Buhid}', "");
Expect(1, 5972, '\P{_	Is_Buhid}', "");
Expect(0, 5972, '\P{^_	Is_Buhid}', "");
Error('\p{ :=BUHD}');
Error('\P{ :=BUHD}');
Expect(1, 5971, '\p{buhd}', "");
Expect(0, 5971, '\p{^buhd}', "");
Expect(0, 5971, '\P{buhd}', "");
Expect(1, 5971, '\P{^buhd}', "");
Expect(0, 5972, '\p{buhd}', "");
Expect(1, 5972, '\p{^buhd}', "");
Expect(1, 5972, '\P{buhd}', "");
Expect(0, 5972, '\P{^buhd}', "");
Expect(1, 5971, '\p{	Buhd}', "");
Expect(0, 5971, '\p{^	Buhd}', "");
Expect(0, 5971, '\P{	Buhd}', "");
Expect(1, 5971, '\P{^	Buhd}', "");
Expect(0, 5972, '\p{	Buhd}', "");
Expect(1, 5972, '\p{^	Buhd}', "");
Expect(1, 5972, '\P{	Buhd}', "");
Expect(0, 5972, '\P{^	Buhd}', "");
Error('\p{ 	is_buhd:=}');
Error('\P{ 	is_buhd:=}');
Expect(1, 5971, '\p{isbuhd}', "");
Expect(0, 5971, '\p{^isbuhd}', "");
Expect(0, 5971, '\P{isbuhd}', "");
Expect(1, 5971, '\P{^isbuhd}', "");
Expect(0, 5972, '\p{isbuhd}', "");
Expect(1, 5972, '\p{^isbuhd}', "");
Expect(1, 5972, '\P{isbuhd}', "");
Expect(0, 5972, '\P{^isbuhd}', "");
Expect(1, 5971, '\p{ 	Is_buhd}', "");
Expect(0, 5971, '\p{^ 	Is_buhd}', "");
Expect(0, 5971, '\P{ 	Is_buhd}', "");
Expect(1, 5971, '\P{^ 	Is_buhd}', "");
Expect(0, 5972, '\p{ 	Is_buhd}', "");
Expect(1, 5972, '\p{^ 	Is_buhd}', "");
Expect(1, 5972, '\P{ 	Is_buhd}', "");
Expect(0, 5972, '\P{^ 	Is_buhd}', "");
Error('\p{Byzantine_musical_SYMBOLS:=}');
Error('\P{Byzantine_musical_SYMBOLS:=}');
Expect(1, 119039, '\p{byzantinemusicalsymbols}', "");
Expect(0, 119039, '\p{^byzantinemusicalsymbols}', "");
Expect(0, 119039, '\P{byzantinemusicalsymbols}', "");
Expect(1, 119039, '\P{^byzantinemusicalsymbols}', "");
Expect(0, 119040, '\p{byzantinemusicalsymbols}', "");
Expect(1, 119040, '\p{^byzantinemusicalsymbols}', "");
Expect(1, 119040, '\P{byzantinemusicalsymbols}', "");
Expect(0, 119040, '\P{^byzantinemusicalsymbols}', "");
Expect(1, 119039, '\p{-Byzantine_MUSICAL_Symbols}', "");
Expect(0, 119039, '\p{^-Byzantine_MUSICAL_Symbols}', "");
Expect(0, 119039, '\P{-Byzantine_MUSICAL_Symbols}', "");
Expect(1, 119039, '\P{^-Byzantine_MUSICAL_Symbols}', "");
Expect(0, 119040, '\p{-Byzantine_MUSICAL_Symbols}', "");
Expect(1, 119040, '\p{^-Byzantine_MUSICAL_Symbols}', "");
Expect(1, 119040, '\P{-Byzantine_MUSICAL_Symbols}', "");
Expect(0, 119040, '\P{^-Byzantine_MUSICAL_Symbols}', "");
Error('\p{/a/- is_byzantine_Musical_Symbols}');
Error('\P{/a/- is_byzantine_Musical_Symbols}');
Expect(1, 119039, '\p{isbyzantinemusicalsymbols}', "");
Expect(0, 119039, '\p{^isbyzantinemusicalsymbols}', "");
Expect(0, 119039, '\P{isbyzantinemusicalsymbols}', "");
Expect(1, 119039, '\P{^isbyzantinemusicalsymbols}', "");
Expect(0, 119040, '\p{isbyzantinemusicalsymbols}', "");
Expect(1, 119040, '\p{^isbyzantinemusicalsymbols}', "");
Expect(1, 119040, '\P{isbyzantinemusicalsymbols}', "");
Expect(0, 119040, '\P{^isbyzantinemusicalsymbols}', "");
Expect(1, 119039, '\p{- IS_byzantine_Musical_SYMBOLS}', "");
Expect(0, 119039, '\p{^- IS_byzantine_Musical_SYMBOLS}', "");
Expect(0, 119039, '\P{- IS_byzantine_Musical_SYMBOLS}', "");
Expect(1, 119039, '\P{^- IS_byzantine_Musical_SYMBOLS}', "");
Expect(0, 119040, '\p{- IS_byzantine_Musical_SYMBOLS}', "");
Expect(1, 119040, '\p{^- IS_byzantine_Musical_SYMBOLS}', "");
Expect(1, 119040, '\P{- IS_byzantine_Musical_SYMBOLS}', "");
Expect(0, 119040, '\P{^- IS_byzantine_Musical_SYMBOLS}', "");
Error('\p{:=	_IN_BYZANTINE_musical_Symbols}');
Error('\P{:=	_IN_BYZANTINE_musical_Symbols}');
Expect(1, 119039, '\p{inbyzantinemusicalsymbols}', "");
Expect(0, 119039, '\p{^inbyzantinemusicalsymbols}', "");
Expect(0, 119039, '\P{inbyzantinemusicalsymbols}', "");
Expect(1, 119039, '\P{^inbyzantinemusicalsymbols}', "");
Expect(0, 119040, '\p{inbyzantinemusicalsymbols}', "");
Expect(1, 119040, '\p{^inbyzantinemusicalsymbols}', "");
Expect(1, 119040, '\P{inbyzantinemusicalsymbols}', "");
Expect(0, 119040, '\P{^inbyzantinemusicalsymbols}', "");
Expect(1, 119039, '\p{ In_Byzantine_Musical_SYMBOLS}', "");
Expect(0, 119039, '\p{^ In_Byzantine_Musical_SYMBOLS}', "");
Expect(0, 119039, '\P{ In_Byzantine_Musical_SYMBOLS}', "");
Expect(1, 119039, '\P{^ In_Byzantine_Musical_SYMBOLS}', "");
Expect(0, 119040, '\p{ In_Byzantine_Musical_SYMBOLS}', "");
Expect(1, 119040, '\p{^ In_Byzantine_Musical_SYMBOLS}', "");
Expect(1, 119040, '\P{ In_Byzantine_Musical_SYMBOLS}', "");
Expect(0, 119040, '\P{^ In_Byzantine_Musical_SYMBOLS}', "");
Error('\p{/a/--byzantine_music}');
Error('\P{/a/--byzantine_music}');
Expect(1, 119039, '\p{byzantinemusic}', "");
Expect(0, 119039, '\p{^byzantinemusic}', "");
Expect(0, 119039, '\P{byzantinemusic}', "");
Expect(1, 119039, '\P{^byzantinemusic}', "");
Expect(0, 119040, '\p{byzantinemusic}', "");
Expect(1, 119040, '\p{^byzantinemusic}', "");
Expect(1, 119040, '\P{byzantinemusic}', "");
Expect(0, 119040, '\P{^byzantinemusic}', "");
Expect(1, 119039, '\p{ _BYZANTINE_Music}', "");
Expect(0, 119039, '\p{^ _BYZANTINE_Music}', "");
Expect(0, 119039, '\P{ _BYZANTINE_Music}', "");
Expect(1, 119039, '\P{^ _BYZANTINE_Music}', "");
Expect(0, 119040, '\p{ _BYZANTINE_Music}', "");
Expect(1, 119040, '\p{^ _BYZANTINE_Music}', "");
Expect(1, 119040, '\P{ _BYZANTINE_Music}', "");
Expect(0, 119040, '\P{^ _BYZANTINE_Music}', "");
Error('\p{/a/  is_BYZANTINE_Music}');
Error('\P{/a/  is_BYZANTINE_Music}');
Expect(1, 119039, '\p{isbyzantinemusic}', "");
Expect(0, 119039, '\p{^isbyzantinemusic}', "");
Expect(0, 119039, '\P{isbyzantinemusic}', "");
Expect(1, 119039, '\P{^isbyzantinemusic}', "");
Expect(0, 119040, '\p{isbyzantinemusic}', "");
Expect(1, 119040, '\p{^isbyzantinemusic}', "");
Expect(1, 119040, '\P{isbyzantinemusic}', "");
Expect(0, 119040, '\P{^isbyzantinemusic}', "");
Expect(1, 119039, '\p{- Is_Byzantine_MUSIC}', "");
Expect(0, 119039, '\p{^- Is_Byzantine_MUSIC}', "");
Expect(0, 119039, '\P{- Is_Byzantine_MUSIC}', "");
Expect(1, 119039, '\P{^- Is_Byzantine_MUSIC}', "");
Expect(0, 119040, '\p{- Is_Byzantine_MUSIC}', "");
Expect(1, 119040, '\p{^- Is_Byzantine_MUSIC}', "");
Expect(1, 119040, '\P{- Is_Byzantine_MUSIC}', "");
Expect(0, 119040, '\P{^- Is_Byzantine_MUSIC}', "");
Error('\p{ -In_BYZANTINE_Music/a/}');
Error('\P{ -In_BYZANTINE_Music/a/}');
Expect(1, 119039, '\p{inbyzantinemusic}', "");
Expect(0, 119039, '\p{^inbyzantinemusic}', "");
Expect(0, 119039, '\P{inbyzantinemusic}', "");
Expect(1, 119039, '\P{^inbyzantinemusic}', "");
Expect(0, 119040, '\p{inbyzantinemusic}', "");
Expect(1, 119040, '\p{^inbyzantinemusic}', "");
Expect(1, 119040, '\P{inbyzantinemusic}', "");
Expect(0, 119040, '\P{^inbyzantinemusic}', "");
Expect(1, 119039, '\p{	_In_byzantine_Music}', "");
Expect(0, 119039, '\p{^	_In_byzantine_Music}', "");
Expect(0, 119039, '\P{	_In_byzantine_Music}', "");
Expect(1, 119039, '\P{^	_In_byzantine_Music}', "");
Expect(0, 119040, '\p{	_In_byzantine_Music}', "");
Expect(1, 119040, '\p{^	_In_byzantine_Music}', "");
Expect(1, 119040, '\P{	_In_byzantine_Music}', "");
Expect(0, 119040, '\P{^	_In_byzantine_Music}', "");
Error('\p{CJK_COMPATIBILITY:=}');
Error('\P{CJK_COMPATIBILITY:=}');
Expect(1, 13311, '\p{cjkcompatibility}', "");
Expect(0, 13311, '\p{^cjkcompatibility}', "");
Expect(0, 13311, '\P{cjkcompatibility}', "");
Expect(1, 13311, '\P{^cjkcompatibility}', "");
Expect(0, 13312, '\p{cjkcompatibility}', "");
Expect(1, 13312, '\p{^cjkcompatibility}', "");
Expect(1, 13312, '\P{cjkcompatibility}', "");
Expect(0, 13312, '\P{^cjkcompatibility}', "");
Expect(1, 13311, '\p{  CJK_Compatibility}', "");
Expect(0, 13311, '\p{^  CJK_Compatibility}', "");
Expect(0, 13311, '\P{  CJK_Compatibility}', "");
Expect(1, 13311, '\P{^  CJK_Compatibility}', "");
Expect(0, 13312, '\p{  CJK_Compatibility}', "");
Expect(1, 13312, '\p{^  CJK_Compatibility}', "");
Expect(1, 13312, '\P{  CJK_Compatibility}', "");
Expect(0, 13312, '\P{^  CJK_Compatibility}', "");
Error('\p{:=-IS_cjk_Compatibility}');
Error('\P{:=-IS_cjk_Compatibility}');
Expect(1, 13311, '\p{iscjkcompatibility}', "");
Expect(0, 13311, '\p{^iscjkcompatibility}', "");
Expect(0, 13311, '\P{iscjkcompatibility}', "");
Expect(1, 13311, '\P{^iscjkcompatibility}', "");
Expect(0, 13312, '\p{iscjkcompatibility}', "");
Expect(1, 13312, '\p{^iscjkcompatibility}', "");
Expect(1, 13312, '\P{iscjkcompatibility}', "");
Expect(0, 13312, '\P{^iscjkcompatibility}', "");
Expect(1, 13311, '\p{  Is_CJK_compatibility}', "");
Expect(0, 13311, '\p{^  Is_CJK_compatibility}', "");
Expect(0, 13311, '\P{  Is_CJK_compatibility}', "");
Expect(1, 13311, '\P{^  Is_CJK_compatibility}', "");
Expect(0, 13312, '\p{  Is_CJK_compatibility}', "");
Expect(1, 13312, '\p{^  Is_CJK_compatibility}', "");
Expect(1, 13312, '\P{  Is_CJK_compatibility}', "");
Expect(0, 13312, '\P{^  Is_CJK_compatibility}', "");
Error('\p{_/a/In_CJK_Compatibility}');
Error('\P{_/a/In_CJK_Compatibility}');
Expect(1, 13311, '\p{incjkcompatibility}', "");
Expect(0, 13311, '\p{^incjkcompatibility}', "");
Expect(0, 13311, '\P{incjkcompatibility}', "");
Expect(1, 13311, '\P{^incjkcompatibility}', "");
Expect(0, 13312, '\p{incjkcompatibility}', "");
Expect(1, 13312, '\p{^incjkcompatibility}', "");
Expect(1, 13312, '\P{incjkcompatibility}', "");
Expect(0, 13312, '\P{^incjkcompatibility}', "");
Expect(1, 13311, '\p{ IN_CJK_Compatibility}', "");
Expect(0, 13311, '\p{^ IN_CJK_Compatibility}', "");
Expect(0, 13311, '\P{ IN_CJK_Compatibility}', "");
Expect(1, 13311, '\P{^ IN_CJK_Compatibility}', "");
Expect(0, 13312, '\p{ IN_CJK_Compatibility}', "");
Expect(1, 13312, '\p{^ IN_CJK_Compatibility}', "");
Expect(1, 13312, '\P{ IN_CJK_Compatibility}', "");
Expect(0, 13312, '\P{^ IN_CJK_Compatibility}', "");
Error('\p{ /a/CJK_COMPAT}');
Error('\P{ /a/CJK_COMPAT}');
Expect(1, 13311, '\p{cjkcompat}', "");
Expect(0, 13311, '\p{^cjkcompat}', "");
Expect(0, 13311, '\P{cjkcompat}', "");
Expect(1, 13311, '\P{^cjkcompat}', "");
Expect(0, 13312, '\p{cjkcompat}', "");
Expect(1, 13312, '\p{^cjkcompat}', "");
Expect(1, 13312, '\P{cjkcompat}', "");
Expect(0, 13312, '\P{^cjkcompat}', "");
Expect(1, 13311, '\p{_CJK_COMPAT}', "");
Expect(0, 13311, '\p{^_CJK_COMPAT}', "");
Expect(0, 13311, '\P{_CJK_COMPAT}', "");
Expect(1, 13311, '\P{^_CJK_COMPAT}', "");
Expect(0, 13312, '\p{_CJK_COMPAT}', "");
Expect(1, 13312, '\p{^_CJK_COMPAT}', "");
Expect(1, 13312, '\P{_CJK_COMPAT}', "");
Expect(0, 13312, '\P{^_CJK_COMPAT}', "");
Error('\p{:=--is_CJK_COMPAT}');
Error('\P{:=--is_CJK_COMPAT}');
Expect(1, 13311, '\p{iscjkcompat}', "");
Expect(0, 13311, '\p{^iscjkcompat}', "");
Expect(0, 13311, '\P{iscjkcompat}', "");
Expect(1, 13311, '\P{^iscjkcompat}', "");
Expect(0, 13312, '\p{iscjkcompat}', "");
Expect(1, 13312, '\p{^iscjkcompat}', "");
Expect(1, 13312, '\P{iscjkcompat}', "");
Expect(0, 13312, '\P{^iscjkcompat}', "");
Expect(1, 13311, '\p{ -is_cjk_compat}', "");
Expect(0, 13311, '\p{^ -is_cjk_compat}', "");
Expect(0, 13311, '\P{ -is_cjk_compat}', "");
Expect(1, 13311, '\P{^ -is_cjk_compat}', "");
Expect(0, 13312, '\p{ -is_cjk_compat}', "");
Expect(1, 13312, '\p{^ -is_cjk_compat}', "");
Expect(1, 13312, '\P{ -is_cjk_compat}', "");
Expect(0, 13312, '\P{^ -is_cjk_compat}', "");
Error('\p{/a/	 In_cjk_COMPAT}');
Error('\P{/a/	 In_cjk_COMPAT}');
Expect(1, 13311, '\p{incjkcompat}', "");
Expect(0, 13311, '\p{^incjkcompat}', "");
Expect(0, 13311, '\P{incjkcompat}', "");
Expect(1, 13311, '\P{^incjkcompat}', "");
Expect(0, 13312, '\p{incjkcompat}', "");
Expect(1, 13312, '\p{^incjkcompat}', "");
Expect(1, 13312, '\P{incjkcompat}', "");
Expect(0, 13312, '\P{^incjkcompat}', "");
Expect(1, 13311, '\p{ -in_CJK_Compat}', "");
Expect(0, 13311, '\p{^ -in_CJK_Compat}', "");
Expect(0, 13311, '\P{ -in_CJK_Compat}', "");
Expect(1, 13311, '\P{^ -in_CJK_Compat}', "");
Expect(0, 13312, '\p{ -in_CJK_Compat}', "");
Expect(1, 13312, '\p{^ -in_CJK_Compat}', "");
Expect(1, 13312, '\P{ -in_CJK_Compat}', "");
Expect(0, 13312, '\P{^ -in_CJK_Compat}', "");
Error('\p{-/a/CJK_compatibility_Forms}');
Error('\P{-/a/CJK_compatibility_Forms}');
Expect(1, 65103, '\p{cjkcompatibilityforms}', "");
Expect(0, 65103, '\p{^cjkcompatibilityforms}', "");
Expect(0, 65103, '\P{cjkcompatibilityforms}', "");
Expect(1, 65103, '\P{^cjkcompatibilityforms}', "");
Expect(0, 65104, '\p{cjkcompatibilityforms}', "");
Expect(1, 65104, '\p{^cjkcompatibilityforms}', "");
Expect(1, 65104, '\P{cjkcompatibilityforms}', "");
Expect(0, 65104, '\P{^cjkcompatibilityforms}', "");
Expect(1, 65103, '\p{--CJK_Compatibility_forms}', "");
Expect(0, 65103, '\p{^--CJK_Compatibility_forms}', "");
Expect(0, 65103, '\P{--CJK_Compatibility_forms}', "");
Expect(1, 65103, '\P{^--CJK_Compatibility_forms}', "");
Expect(0, 65104, '\p{--CJK_Compatibility_forms}', "");
Expect(1, 65104, '\p{^--CJK_Compatibility_forms}', "");
Expect(1, 65104, '\P{--CJK_Compatibility_forms}', "");
Expect(0, 65104, '\P{^--CJK_Compatibility_forms}', "");
Error('\p{:= _Is_CJK_Compatibility_Forms}');
Error('\P{:= _Is_CJK_Compatibility_Forms}');
Expect(1, 65103, '\p{iscjkcompatibilityforms}', "");
Expect(0, 65103, '\p{^iscjkcompatibilityforms}', "");
Expect(0, 65103, '\P{iscjkcompatibilityforms}', "");
Expect(1, 65103, '\P{^iscjkcompatibilityforms}', "");
Expect(0, 65104, '\p{iscjkcompatibilityforms}', "");
Expect(1, 65104, '\p{^iscjkcompatibilityforms}', "");
Expect(1, 65104, '\P{iscjkcompatibilityforms}', "");
Expect(0, 65104, '\P{^iscjkcompatibilityforms}', "");
Expect(1, 65103, '\p{_ is_cjk_Compatibility_FORMS}', "");
Expect(0, 65103, '\p{^_ is_cjk_Compatibility_FORMS}', "");
Expect(0, 65103, '\P{_ is_cjk_Compatibility_FORMS}', "");
Expect(1, 65103, '\P{^_ is_cjk_Compatibility_FORMS}', "");
Expect(0, 65104, '\p{_ is_cjk_Compatibility_FORMS}', "");
Expect(1, 65104, '\p{^_ is_cjk_Compatibility_FORMS}', "");
Expect(1, 65104, '\P{_ is_cjk_Compatibility_FORMS}', "");
Expect(0, 65104, '\P{^_ is_cjk_Compatibility_FORMS}', "");
Error('\p{-In_cjk_Compatibility_Forms/a/}');
Error('\P{-In_cjk_Compatibility_Forms/a/}');
Expect(1, 65103, '\p{incjkcompatibilityforms}', "");
Expect(0, 65103, '\p{^incjkcompatibilityforms}', "");
Expect(0, 65103, '\P{incjkcompatibilityforms}', "");
Expect(1, 65103, '\P{^incjkcompatibilityforms}', "");
Expect(0, 65104, '\p{incjkcompatibilityforms}', "");
Expect(1, 65104, '\p{^incjkcompatibilityforms}', "");
Expect(1, 65104, '\P{incjkcompatibilityforms}', "");
Expect(0, 65104, '\P{^incjkcompatibilityforms}', "");
Expect(1, 65103, '\p{_in_CJK_Compatibility_Forms}', "");
Expect(0, 65103, '\p{^_in_CJK_Compatibility_Forms}', "");
Expect(0, 65103, '\P{_in_CJK_Compatibility_Forms}', "");
Expect(1, 65103, '\P{^_in_CJK_Compatibility_Forms}', "");
Expect(0, 65104, '\p{_in_CJK_Compatibility_Forms}', "");
Expect(1, 65104, '\p{^_in_CJK_Compatibility_Forms}', "");
Expect(1, 65104, '\P{_in_CJK_Compatibility_Forms}', "");
Expect(0, 65104, '\P{^_in_CJK_Compatibility_Forms}', "");
Error('\p{ CJK_compat_Forms/a/}');
Error('\P{ CJK_compat_Forms/a/}');
Expect(1, 65103, '\p{cjkcompatforms}', "");
Expect(0, 65103, '\p{^cjkcompatforms}', "");
Expect(0, 65103, '\P{cjkcompatforms}', "");
Expect(1, 65103, '\P{^cjkcompatforms}', "");
Expect(0, 65104, '\p{cjkcompatforms}', "");
Expect(1, 65104, '\p{^cjkcompatforms}', "");
Expect(1, 65104, '\P{cjkcompatforms}', "");
Expect(0, 65104, '\P{^cjkcompatforms}', "");
Expect(1, 65103, '\p{--CJK_compat_Forms}', "");
Expect(0, 65103, '\p{^--CJK_compat_Forms}', "");
Expect(0, 65103, '\P{--CJK_compat_Forms}', "");
Expect(1, 65103, '\P{^--CJK_compat_Forms}', "");
Expect(0, 65104, '\p{--CJK_compat_Forms}', "");
Expect(1, 65104, '\p{^--CJK_compat_Forms}', "");
Expect(1, 65104, '\P{--CJK_compat_Forms}', "");
Expect(0, 65104, '\P{^--CJK_compat_Forms}', "");
Error('\p{	 IS_cjk_Compat_Forms/a/}');
Error('\P{	 IS_cjk_Compat_Forms/a/}');
Expect(1, 65103, '\p{iscjkcompatforms}', "");
Expect(0, 65103, '\p{^iscjkcompatforms}', "");
Expect(0, 65103, '\P{iscjkcompatforms}', "");
Expect(1, 65103, '\P{^iscjkcompatforms}', "");
Expect(0, 65104, '\p{iscjkcompatforms}', "");
Expect(1, 65104, '\p{^iscjkcompatforms}', "");
Expect(1, 65104, '\P{iscjkcompatforms}', "");
Expect(0, 65104, '\P{^iscjkcompatforms}', "");
Expect(1, 65103, '\p{ Is_cjk_Compat_Forms}', "");
Expect(0, 65103, '\p{^ Is_cjk_Compat_Forms}', "");
Expect(0, 65103, '\P{ Is_cjk_Compat_Forms}', "");
Expect(1, 65103, '\P{^ Is_cjk_Compat_Forms}', "");
Expect(0, 65104, '\p{ Is_cjk_Compat_Forms}', "");
Expect(1, 65104, '\p{^ Is_cjk_Compat_Forms}', "");
Expect(1, 65104, '\P{ Is_cjk_Compat_Forms}', "");
Expect(0, 65104, '\P{^ Is_cjk_Compat_Forms}', "");
Error('\p{:=_IN_CJK_COMPAT_Forms}');
Error('\P{:=_IN_CJK_COMPAT_Forms}');
Expect(1, 65103, '\p{incjkcompatforms}', "");
Expect(0, 65103, '\p{^incjkcompatforms}', "");
Expect(0, 65103, '\P{incjkcompatforms}', "");
Expect(1, 65103, '\P{^incjkcompatforms}', "");
Expect(0, 65104, '\p{incjkcompatforms}', "");
Expect(1, 65104, '\p{^incjkcompatforms}', "");
Expect(1, 65104, '\P{incjkcompatforms}', "");
Expect(0, 65104, '\P{^incjkcompatforms}', "");
Expect(1, 65103, '\p{- In_CJK_Compat_FORMS}', "");
Expect(0, 65103, '\p{^- In_CJK_Compat_FORMS}', "");
Expect(0, 65103, '\P{- In_CJK_Compat_FORMS}', "");
Expect(1, 65103, '\P{^- In_CJK_Compat_FORMS}', "");
Expect(0, 65104, '\p{- In_CJK_Compat_FORMS}', "");
Expect(1, 65104, '\p{^- In_CJK_Compat_FORMS}', "");
Expect(1, 65104, '\P{- In_CJK_Compat_FORMS}', "");
Expect(0, 65104, '\P{^- In_CJK_Compat_FORMS}', "");
Error('\p{/a/ 	CJK_Compatibility_Ideographs}');
Error('\P{/a/ 	CJK_Compatibility_Ideographs}');
Expect(1, 64255, '\p{cjkcompatibilityideographs}', "");
Expect(0, 64255, '\p{^cjkcompatibilityideographs}', "");
Expect(0, 64255, '\P{cjkcompatibilityideographs}', "");
Expect(1, 64255, '\P{^cjkcompatibilityideographs}', "");
Expect(0, 64256, '\p{cjkcompatibilityideographs}', "");
Expect(1, 64256, '\p{^cjkcompatibilityideographs}', "");
Expect(1, 64256, '\P{cjkcompatibilityideographs}', "");
Expect(0, 64256, '\P{^cjkcompatibilityideographs}', "");
Expect(1, 64255, '\p{CJK_Compatibility_Ideographs}', "");
Expect(0, 64255, '\p{^CJK_Compatibility_Ideographs}', "");
Expect(0, 64255, '\P{CJK_Compatibility_Ideographs}', "");
Expect(1, 64255, '\P{^CJK_Compatibility_Ideographs}', "");
Expect(0, 64256, '\p{CJK_Compatibility_Ideographs}', "");
Expect(1, 64256, '\p{^CJK_Compatibility_Ideographs}', "");
Expect(1, 64256, '\P{CJK_Compatibility_Ideographs}', "");
Expect(0, 64256, '\P{^CJK_Compatibility_Ideographs}', "");
Error('\p{_Is_CJK_compatibility_Ideographs:=}');
Error('\P{_Is_CJK_compatibility_Ideographs:=}');
Expect(1, 64255, '\p{iscjkcompatibilityideographs}', "");
Expect(0, 64255, '\p{^iscjkcompatibilityideographs}', "");
Expect(0, 64255, '\P{iscjkcompatibilityideographs}', "");
Expect(1, 64255, '\P{^iscjkcompatibilityideographs}', "");
Expect(0, 64256, '\p{iscjkcompatibilityideographs}', "");
Expect(1, 64256, '\p{^iscjkcompatibilityideographs}', "");
Expect(1, 64256, '\P{iscjkcompatibilityideographs}', "");
Expect(0, 64256, '\P{^iscjkcompatibilityideographs}', "");
Expect(1, 64255, '\p{- Is_CJK_Compatibility_Ideographs}', "");
Expect(0, 64255, '\p{^- Is_CJK_Compatibility_Ideographs}', "");
Expect(0, 64255, '\P{- Is_CJK_Compatibility_Ideographs}', "");
Expect(1, 64255, '\P{^- Is_CJK_Compatibility_Ideographs}', "");
Expect(0, 64256, '\p{- Is_CJK_Compatibility_Ideographs}', "");
Expect(1, 64256, '\p{^- Is_CJK_Compatibility_Ideographs}', "");
Expect(1, 64256, '\P{- Is_CJK_Compatibility_Ideographs}', "");
Expect(0, 64256, '\P{^- Is_CJK_Compatibility_Ideographs}', "");
Error('\p{/a/ -In_CJK_Compatibility_ideographs}');
Error('\P{/a/ -In_CJK_Compatibility_ideographs}');
Expect(1, 64255, '\p{incjkcompatibilityideographs}', "");
Expect(0, 64255, '\p{^incjkcompatibilityideographs}', "");
Expect(0, 64255, '\P{incjkcompatibilityideographs}', "");
Expect(1, 64255, '\P{^incjkcompatibilityideographs}', "");
Expect(0, 64256, '\p{incjkcompatibilityideographs}', "");
Expect(1, 64256, '\p{^incjkcompatibilityideographs}', "");
Expect(1, 64256, '\P{incjkcompatibilityideographs}', "");
Expect(0, 64256, '\P{^incjkcompatibilityideographs}', "");
Expect(1, 64255, '\p{-In_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
Expect(0, 64255, '\p{^-In_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
Expect(0, 64255, '\P{-In_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
Expect(1, 64255, '\P{^-In_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
Expect(0, 64256, '\p{-In_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
Expect(1, 64256, '\p{^-In_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
Expect(1, 64256, '\P{-In_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
Expect(0, 64256, '\P{^-In_CJK_COMPATIBILITY_IDEOGRAPHS}', "");
Error('\p{_CJK_Compat_IDEOGRAPHS:=}');
Error('\P{_CJK_Compat_IDEOGRAPHS:=}');
Expect(1, 64255, '\p{cjkcompatideographs}', "");
Expect(0, 64255, '\p{^cjkcompatideographs}', "");
Expect(0, 64255, '\P{cjkcompatideographs}', "");
Expect(1, 64255, '\P{^cjkcompatideographs}', "");
Expect(0, 64256, '\p{cjkcompatideographs}', "");
Expect(1, 64256, '\p{^cjkcompatideographs}', "");
Expect(1, 64256, '\P{cjkcompatideographs}', "");
Expect(0, 64256, '\P{^cjkcompatideographs}', "");
Expect(1, 64255, '\p{CJK_Compat_Ideographs}', "");
Expect(0, 64255, '\p{^CJK_Compat_Ideographs}', "");
Expect(0, 64255, '\P{CJK_Compat_Ideographs}', "");
Expect(1, 64255, '\P{^CJK_Compat_Ideographs}', "");
Expect(0, 64256, '\p{CJK_Compat_Ideographs}', "");
Expect(1, 64256, '\p{^CJK_Compat_Ideographs}', "");
Expect(1, 64256, '\P{CJK_Compat_Ideographs}', "");
Expect(0, 64256, '\P{^CJK_Compat_Ideographs}', "");
Error('\p{--IS_CJK_compat_Ideographs/a/}');
Error('\P{--IS_CJK_compat_Ideographs/a/}');
Expect(1, 64255, '\p{iscjkcompatideographs}', "");
Expect(0, 64255, '\p{^iscjkcompatideographs}', "");
Expect(0, 64255, '\P{iscjkcompatideographs}', "");
Expect(1, 64255, '\P{^iscjkcompatideographs}', "");
Expect(0, 64256, '\p{iscjkcompatideographs}', "");
Expect(1, 64256, '\p{^iscjkcompatideographs}', "");
Expect(1, 64256, '\P{iscjkcompatideographs}', "");
Expect(0, 64256, '\P{^iscjkcompatideographs}', "");
Expect(1, 64255, '\p{ -is_CJK_Compat_IDEOGRAPHS}', "");
Expect(0, 64255, '\p{^ -is_CJK_Compat_IDEOGRAPHS}', "");
Expect(0, 64255, '\P{ -is_CJK_Compat_IDEOGRAPHS}', "");
Expect(1, 64255, '\P{^ -is_CJK_Compat_IDEOGRAPHS}', "");
Expect(0, 64256, '\p{ -is_CJK_Compat_IDEOGRAPHS}', "");
Expect(1, 64256, '\p{^ -is_CJK_Compat_IDEOGRAPHS}', "");
Expect(1, 64256, '\P{ -is_CJK_Compat_IDEOGRAPHS}', "");
Expect(0, 64256, '\P{^ -is_CJK_Compat_IDEOGRAPHS}', "");
Error('\p{_In_cjk_compat_Ideographs/a/}');
Error('\P{_In_cjk_compat_Ideographs/a/}');
Expect(1, 64255, '\p{incjkcompatideographs}', "");
Expect(0, 64255, '\p{^incjkcompatideographs}', "");
Expect(0, 64255, '\P{incjkcompatideographs}', "");
Expect(1, 64255, '\P{^incjkcompatideographs}', "");
Expect(0, 64256, '\p{incjkcompatideographs}', "");
Expect(1, 64256, '\p{^incjkcompatideographs}', "");
Expect(1, 64256, '\P{incjkcompatideographs}', "");
Expect(0, 64256, '\P{^incjkcompatideographs}', "");
Expect(1, 64255, '\p{__IN_cjk_Compat_Ideographs}', "");
Expect(0, 64255, '\p{^__IN_cjk_Compat_Ideographs}', "");
Expect(0, 64255, '\P{__IN_cjk_Compat_Ideographs}', "");
Expect(1, 64255, '\P{^__IN_cjk_Compat_Ideographs}', "");
Expect(0, 64256, '\p{__IN_cjk_Compat_Ideographs}', "");
Expect(1, 64256, '\p{^__IN_cjk_Compat_Ideographs}', "");
Expect(1, 64256, '\P{__IN_cjk_Compat_Ideographs}', "");
Expect(0, 64256, '\P{^__IN_cjk_Compat_Ideographs}', "");
Error('\p{_:=CJK_compatibility_Ideographs_Supplement}');
Error('\P{_:=CJK_compatibility_Ideographs_Supplement}');
Expect(1, 195103, '\p{cjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\p{^cjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\P{cjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\P{^cjkcompatibilityideographssupplement}', "");
Expect(0, 195104, '\p{cjkcompatibilityideographssupplement}', "");
Expect(1, 195104, '\p{^cjkcompatibilityideographssupplement}', "");
Expect(1, 195104, '\P{cjkcompatibilityideographssupplement}', "");
Expect(0, 195104, '\P{^cjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\p{--CJK_COMPATIBILITY_IDEOGRAPHS_Supplement}', "");
Expect(0, 195103, '\p{^--CJK_COMPATIBILITY_IDEOGRAPHS_Supplement}', "");
Expect(0, 195103, '\P{--CJK_COMPATIBILITY_IDEOGRAPHS_Supplement}', "");
Expect(1, 195103, '\P{^--CJK_COMPATIBILITY_IDEOGRAPHS_Supplement}', "");
Expect(0, 195104, '\p{--CJK_COMPATIBILITY_IDEOGRAPHS_Supplement}', "");
Expect(1, 195104, '\p{^--CJK_COMPATIBILITY_IDEOGRAPHS_Supplement}', "");
Expect(1, 195104, '\P{--CJK_COMPATIBILITY_IDEOGRAPHS_Supplement}', "");
Expect(0, 195104, '\P{^--CJK_COMPATIBILITY_IDEOGRAPHS_Supplement}', "");
Error('\p{	:=is_cjk_Compatibility_IDEOGRAPHS_SUPPLEMENT}');
Error('\P{	:=is_cjk_Compatibility_IDEOGRAPHS_SUPPLEMENT}');
Expect(1, 195103, '\p{iscjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\p{^iscjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\P{iscjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\P{^iscjkcompatibilityideographssupplement}', "");
Expect(0, 195104, '\p{iscjkcompatibilityideographssupplement}', "");
Expect(1, 195104, '\p{^iscjkcompatibilityideographssupplement}', "");
Expect(1, 195104, '\P{iscjkcompatibilityideographssupplement}', "");
Expect(0, 195104, '\P{^iscjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\p{	 IS_CJK_compatibility_IDEOGRAPHS_SUPPLEMENT}', "");
Expect(0, 195103, '\p{^	 IS_CJK_compatibility_IDEOGRAPHS_SUPPLEMENT}', "");
Expect(0, 195103, '\P{	 IS_CJK_compatibility_IDEOGRAPHS_SUPPLEMENT}', "");
Expect(1, 195103, '\P{^	 IS_CJK_compatibility_IDEOGRAPHS_SUPPLEMENT}', "");
Expect(0, 195104, '\p{	 IS_CJK_compatibility_IDEOGRAPHS_SUPPLEMENT}', "");
Expect(1, 195104, '\p{^	 IS_CJK_compatibility_IDEOGRAPHS_SUPPLEMENT}', "");
Expect(1, 195104, '\P{	 IS_CJK_compatibility_IDEOGRAPHS_SUPPLEMENT}', "");
Expect(0, 195104, '\P{^	 IS_CJK_compatibility_IDEOGRAPHS_SUPPLEMENT}', "");
Error('\p{		in_CJK_COMPATIBILITY_IDEOGRAPHS_Supplement:=}');
Error('\P{		in_CJK_COMPATIBILITY_IDEOGRAPHS_Supplement:=}');
Expect(1, 195103, '\p{incjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\p{^incjkcompatibilityideographssupplement}', "");
Expect(0, 195103, '\P{incjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\P{^incjkcompatibilityideographssupplement}', "");
Expect(0, 195104, '\p{incjkcompatibilityideographssupplement}', "");
Expect(1, 195104, '\p{^incjkcompatibilityideographssupplement}', "");
Expect(1, 195104, '\P{incjkcompatibilityideographssupplement}', "");
Expect(0, 195104, '\P{^incjkcompatibilityideographssupplement}', "");
Expect(1, 195103, '\p{	IN_CJK_compatibility_Ideographs_Supplement}', "");
Expect(0, 195103, '\p{^	IN_CJK_compatibility_Ideographs_Supplement}', "");
Expect(0, 195103, '\P{	IN_CJK_compatibility_Ideographs_Supplement}', "");
Expect(1, 195103, '\P{^	IN_CJK_compatibility_Ideographs_Supplement}', "");
Expect(0, 195104, '\p{	IN_CJK_compatibility_Ideographs_Supplement}', "");
Expect(1, 195104, '\p{^	IN_CJK_compatibility_Ideographs_Supplement}', "");
Expect(1, 195104, '\P{	IN_CJK_compatibility_Ideographs_Supplement}', "");
Expect(0, 195104, '\P{^	IN_CJK_compatibility_Ideographs_Supplement}', "");
Error('\p{-:=CJK_COMPAT_IDEOGRAPHS_Sup}');
Error('\P{-:=CJK_COMPAT_IDEOGRAPHS_Sup}');
Expect(1, 195103, '\p{cjkcompatideographssup}', "");
Expect(0, 195103, '\p{^cjkcompatideographssup}', "");
Expect(0, 195103, '\P{cjkcompatideographssup}', "");
Expect(1, 195103, '\P{^cjkcompatideographssup}', "");
Expect(0, 195104, '\p{cjkcompatideographssup}', "");
Expect(1, 195104, '\p{^cjkcompatideographssup}', "");
Expect(1, 195104, '\P{cjkcompatideographssup}', "");
Expect(0, 195104, '\P{^cjkcompatideographssup}', "");
Expect(1, 195103, '\p{_ CJK_Compat_IDEOGRAPHS_sup}', "");
Expect(0, 195103, '\p{^_ CJK_Compat_IDEOGRAPHS_sup}', "");
Expect(0, 195103, '\P{_ CJK_Compat_IDEOGRAPHS_sup}', "");
Expect(1, 195103, '\P{^_ CJK_Compat_IDEOGRAPHS_sup}', "");
Expect(0, 195104, '\p{_ CJK_Compat_IDEOGRAPHS_sup}', "");
Expect(1, 195104, '\p{^_ CJK_Compat_IDEOGRAPHS_sup}', "");
Expect(1, 195104, '\P{_ CJK_Compat_IDEOGRAPHS_sup}', "");
Expect(0, 195104, '\P{^_ CJK_Compat_IDEOGRAPHS_sup}', "");
Error('\p{-IS_CJK_Compat_Ideographs_Sup/a/}');
Error('\P{-IS_CJK_Compat_Ideographs_Sup/a/}');
Expect(1, 195103, '\p{iscjkcompatideographssup}', "");
Expect(0, 195103, '\p{^iscjkcompatideographssup}', "");
Expect(0, 195103, '\P{iscjkcompatideographssup}', "");
Expect(1, 195103, '\P{^iscjkcompatideographssup}', "");
Expect(0, 195104, '\p{iscjkcompatideographssup}', "");
Expect(1, 195104, '\p{^iscjkcompatideographssup}', "");
Expect(1, 195104, '\P{iscjkcompatideographssup}', "");
Expect(0, 195104, '\P{^iscjkcompatideographssup}', "");
Expect(1, 195103, '\p{_ Is_CJK_Compat_Ideographs_Sup}', "");
Expect(0, 195103, '\p{^_ Is_CJK_Compat_Ideographs_Sup}', "");
Expect(0, 195103, '\P{_ Is_CJK_Compat_Ideographs_Sup}', "");
Expect(1, 195103, '\P{^_ Is_CJK_Compat_Ideographs_Sup}', "");
Expect(0, 195104, '\p{_ Is_CJK_Compat_Ideographs_Sup}', "");
Expect(1, 195104, '\p{^_ Is_CJK_Compat_Ideographs_Sup}', "");
Expect(1, 195104, '\P{_ Is_CJK_Compat_Ideographs_Sup}', "");
Expect(0, 195104, '\P{^_ Is_CJK_Compat_Ideographs_Sup}', "");
Error('\p{	:=IN_CJK_Compat_ideographs_Sup}');
Error('\P{	:=IN_CJK_Compat_ideographs_Sup}');
Expect(1, 195103, '\p{incjkcompatideographssup}', "");
Expect(0, 195103, '\p{^incjkcompatideographssup}', "");
Expect(0, 195103, '\P{incjkcompatideographssup}', "");
Expect(1, 195103, '\P{^incjkcompatideographssup}', "");
Expect(0, 195104, '\p{incjkcompatideographssup}', "");
Expect(1, 195104, '\p{^incjkcompatideographssup}', "");
Expect(1, 195104, '\P{incjkcompatideographssup}', "");
Expect(0, 195104, '\P{^incjkcompatideographssup}', "");
Expect(1, 195103, '\p{	In_cjk_Compat_IDEOGRAPHS_SUP}', "");
Expect(0, 195103, '\p{^	In_cjk_Compat_IDEOGRAPHS_SUP}', "");
Expect(0, 195103, '\P{	In_cjk_Compat_IDEOGRAPHS_SUP}', "");
Expect(1, 195103, '\P{^	In_cjk_Compat_IDEOGRAPHS_SUP}', "");
Expect(0, 195104, '\p{	In_cjk_Compat_IDEOGRAPHS_SUP}', "");
Expect(1, 195104, '\p{^	In_cjk_Compat_IDEOGRAPHS_SUP}', "");
Expect(1, 195104, '\P{	In_cjk_Compat_IDEOGRAPHS_SUP}', "");
Expect(0, 195104, '\P{^	In_cjk_Compat_IDEOGRAPHS_SUP}', "");
Error('\p{:=cjk_radicals_supplement}');
Error('\P{:=cjk_radicals_supplement}');
Expect(1, 12031, '\p{cjkradicalssupplement}', "");
Expect(0, 12031, '\p{^cjkradicalssupplement}', "");
Expect(0, 12031, '\P{cjkradicalssupplement}', "");
Expect(1, 12031, '\P{^cjkradicalssupplement}', "");
Expect(0, 12032, '\p{cjkradicalssupplement}', "");
Expect(1, 12032, '\p{^cjkradicalssupplement}', "");
Expect(1, 12032, '\P{cjkradicalssupplement}', "");
Expect(0, 12032, '\P{^cjkradicalssupplement}', "");
Expect(1, 12031, '\p{ _CJK_radicals_Supplement}', "");
Expect(0, 12031, '\p{^ _CJK_radicals_Supplement}', "");
Expect(0, 12031, '\P{ _CJK_radicals_Supplement}', "");
Expect(1, 12031, '\P{^ _CJK_radicals_Supplement}', "");
Expect(0, 12032, '\p{ _CJK_radicals_Supplement}', "");
Expect(1, 12032, '\p{^ _CJK_radicals_Supplement}', "");
Expect(1, 12032, '\P{ _CJK_radicals_Supplement}', "");
Expect(0, 12032, '\P{^ _CJK_radicals_Supplement}', "");
Error('\p{ 	IS_CJK_Radicals_SUPPLEMENT/a/}');
Error('\P{ 	IS_CJK_Radicals_SUPPLEMENT/a/}');
Expect(1, 12031, '\p{iscjkradicalssupplement}', "");
Expect(0, 12031, '\p{^iscjkradicalssupplement}', "");
Expect(0, 12031, '\P{iscjkradicalssupplement}', "");
Expect(1, 12031, '\P{^iscjkradicalssupplement}', "");
Expect(0, 12032, '\p{iscjkradicalssupplement}', "");
Expect(1, 12032, '\p{^iscjkradicalssupplement}', "");
Expect(1, 12032, '\P{iscjkradicalssupplement}', "");
Expect(0, 12032, '\P{^iscjkradicalssupplement}', "");
Expect(1, 12031, '\p{is_cjk_RADICALS_supplement}', "");
Expect(0, 12031, '\p{^is_cjk_RADICALS_supplement}', "");
Expect(0, 12031, '\P{is_cjk_RADICALS_supplement}', "");
Expect(1, 12031, '\P{^is_cjk_RADICALS_supplement}', "");
Expect(0, 12032, '\p{is_cjk_RADICALS_supplement}', "");
Expect(1, 12032, '\p{^is_cjk_RADICALS_supplement}', "");
Expect(1, 12032, '\P{is_cjk_RADICALS_supplement}', "");
Expect(0, 12032, '\P{^is_cjk_RADICALS_supplement}', "");
Error('\p{ :=In_CJK_radicals_Supplement}');
Error('\P{ :=In_CJK_radicals_Supplement}');
Expect(1, 12031, '\p{incjkradicalssupplement}', "");
Expect(0, 12031, '\p{^incjkradicalssupplement}', "");
Expect(0, 12031, '\P{incjkradicalssupplement}', "");
Expect(1, 12031, '\P{^incjkradicalssupplement}', "");
Expect(0, 12032, '\p{incjkradicalssupplement}', "");
Expect(1, 12032, '\p{^incjkradicalssupplement}', "");
Expect(1, 12032, '\P{incjkradicalssupplement}', "");
Expect(0, 12032, '\P{^incjkradicalssupplement}', "");
Expect(1, 12031, '\p{ in_cjk_radicals_SUPPLEMENT}', "");
Expect(0, 12031, '\p{^ in_cjk_radicals_SUPPLEMENT}', "");
Expect(0, 12031, '\P{ in_cjk_radicals_SUPPLEMENT}', "");
Expect(1, 12031, '\P{^ in_cjk_radicals_SUPPLEMENT}', "");
Expect(0, 12032, '\p{ in_cjk_radicals_SUPPLEMENT}', "");
Expect(1, 12032, '\p{^ in_cjk_radicals_SUPPLEMENT}', "");
Expect(1, 12032, '\P{ in_cjk_radicals_SUPPLEMENT}', "");
Expect(0, 12032, '\P{^ in_cjk_radicals_SUPPLEMENT}', "");
Error('\p{:=-CJK_radicals_SUP}');
Error('\P{:=-CJK_radicals_SUP}');
Expect(1, 12031, '\p{cjkradicalssup}', "");
Expect(0, 12031, '\p{^cjkradicalssup}', "");
Expect(0, 12031, '\P{cjkradicalssup}', "");
Expect(1, 12031, '\P{^cjkradicalssup}', "");
Expect(0, 12032, '\p{cjkradicalssup}', "");
Expect(1, 12032, '\p{^cjkradicalssup}', "");
Expect(1, 12032, '\P{cjkradicalssup}', "");
Expect(0, 12032, '\P{^cjkradicalssup}', "");
Expect(1, 12031, '\p{-_cjk_radicals_sup}', "");
Expect(0, 12031, '\p{^-_cjk_radicals_sup}', "");
Expect(0, 12031, '\P{-_cjk_radicals_sup}', "");
Expect(1, 12031, '\P{^-_cjk_radicals_sup}', "");
Expect(0, 12032, '\p{-_cjk_radicals_sup}', "");
Expect(1, 12032, '\p{^-_cjk_radicals_sup}', "");
Expect(1, 12032, '\P{-_cjk_radicals_sup}', "");
Expect(0, 12032, '\P{^-_cjk_radicals_sup}', "");
Error('\p{	:=is_CJK_radicals_SUP}');
Error('\P{	:=is_CJK_radicals_SUP}');
Expect(1, 12031, '\p{iscjkradicalssup}', "");
Expect(0, 12031, '\p{^iscjkradicalssup}', "");
Expect(0, 12031, '\P{iscjkradicalssup}', "");
Expect(1, 12031, '\P{^iscjkradicalssup}', "");
Expect(0, 12032, '\p{iscjkradicalssup}', "");
Expect(1, 12032, '\p{^iscjkradicalssup}', "");
Expect(1, 12032, '\P{iscjkradicalssup}', "");
Expect(0, 12032, '\P{^iscjkradicalssup}', "");
Expect(1, 12031, '\p{_-Is_CJK_Radicals_Sup}', "");
Expect(0, 12031, '\p{^_-Is_CJK_Radicals_Sup}', "");
Expect(0, 12031, '\P{_-Is_CJK_Radicals_Sup}', "");
Expect(1, 12031, '\P{^_-Is_CJK_Radicals_Sup}', "");
Expect(0, 12032, '\p{_-Is_CJK_Radicals_Sup}', "");
Expect(1, 12032, '\p{^_-Is_CJK_Radicals_Sup}', "");
Expect(1, 12032, '\P{_-Is_CJK_Radicals_Sup}', "");
Expect(0, 12032, '\P{^_-Is_CJK_Radicals_Sup}', "");
Error('\p{:=	 In_CJK_RADICALS_sup}');
Error('\P{:=	 In_CJK_RADICALS_sup}');
Expect(1, 12031, '\p{incjkradicalssup}', "");
Expect(0, 12031, '\p{^incjkradicalssup}', "");
Expect(0, 12031, '\P{incjkradicalssup}', "");
Expect(1, 12031, '\P{^incjkradicalssup}', "");
Expect(0, 12032, '\p{incjkradicalssup}', "");
Expect(1, 12032, '\p{^incjkradicalssup}', "");
Expect(1, 12032, '\P{incjkradicalssup}', "");
Expect(0, 12032, '\P{^incjkradicalssup}', "");
Expect(1, 12031, '\p{	 IN_CJK_Radicals_Sup}', "");
Expect(0, 12031, '\p{^	 IN_CJK_Radicals_Sup}', "");
Expect(0, 12031, '\P{	 IN_CJK_Radicals_Sup}', "");
Expect(1, 12031, '\P{^	 IN_CJK_Radicals_Sup}', "");
Expect(0, 12032, '\p{	 IN_CJK_Radicals_Sup}', "");
Expect(1, 12032, '\p{^	 IN_CJK_Radicals_Sup}', "");
Expect(1, 12032, '\P{	 IN_CJK_Radicals_Sup}', "");
Expect(0, 12032, '\P{^	 IN_CJK_Radicals_Sup}', "");
Error('\p{/a/ -cjk_Strokes}');
Error('\P{/a/ -cjk_Strokes}');
Expect(1, 12783, '\p{cjkstrokes}', "");
Expect(0, 12783, '\p{^cjkstrokes}', "");
Expect(0, 12783, '\P{cjkstrokes}', "");
Expect(1, 12783, '\P{^cjkstrokes}', "");
Expect(0, 12784, '\p{cjkstrokes}', "");
Expect(1, 12784, '\p{^cjkstrokes}', "");
Expect(1, 12784, '\P{cjkstrokes}', "");
Expect(0, 12784, '\P{^cjkstrokes}', "");
Expect(1, 12783, '\p{-CJK_STROKES}', "");
Expect(0, 12783, '\p{^-CJK_STROKES}', "");
Expect(0, 12783, '\P{-CJK_STROKES}', "");
Expect(1, 12783, '\P{^-CJK_STROKES}', "");
Expect(0, 12784, '\p{-CJK_STROKES}', "");
Expect(1, 12784, '\p{^-CJK_STROKES}', "");
Expect(1, 12784, '\P{-CJK_STROKES}', "");
Expect(0, 12784, '\P{^-CJK_STROKES}', "");
Error('\p{ :=is_cjk_strokes}');
Error('\P{ :=is_cjk_strokes}');
Expect(1, 12783, '\p{iscjkstrokes}', "");
Expect(0, 12783, '\p{^iscjkstrokes}', "");
Expect(0, 12783, '\P{iscjkstrokes}', "");
Expect(1, 12783, '\P{^iscjkstrokes}', "");
Expect(0, 12784, '\p{iscjkstrokes}', "");
Expect(1, 12784, '\p{^iscjkstrokes}', "");
Expect(1, 12784, '\P{iscjkstrokes}', "");
Expect(0, 12784, '\P{^iscjkstrokes}', "");
Expect(1, 12783, '\p{	IS_CJK_Strokes}', "");
Expect(0, 12783, '\p{^	IS_CJK_Strokes}', "");
Expect(0, 12783, '\P{	IS_CJK_Strokes}', "");
Expect(1, 12783, '\P{^	IS_CJK_Strokes}', "");
Expect(0, 12784, '\p{	IS_CJK_Strokes}', "");
Expect(1, 12784, '\p{^	IS_CJK_Strokes}', "");
Expect(1, 12784, '\P{	IS_CJK_Strokes}', "");
Expect(0, 12784, '\P{^	IS_CJK_Strokes}', "");
Error('\p{/a/IN_CJK_Strokes}');
Error('\P{/a/IN_CJK_Strokes}');
Expect(1, 12783, '\p{incjkstrokes}', "");
Expect(0, 12783, '\p{^incjkstrokes}', "");
Expect(0, 12783, '\P{incjkstrokes}', "");
Expect(1, 12783, '\P{^incjkstrokes}', "");
Expect(0, 12784, '\p{incjkstrokes}', "");
Expect(1, 12784, '\p{^incjkstrokes}', "");
Expect(1, 12784, '\P{incjkstrokes}', "");
Expect(0, 12784, '\P{^incjkstrokes}', "");
Expect(1, 12783, '\p{-	In_cjk_strokes}', "");
Expect(0, 12783, '\p{^-	In_cjk_strokes}', "");
Expect(0, 12783, '\P{-	In_cjk_strokes}', "");
Expect(1, 12783, '\P{^-	In_cjk_strokes}', "");
Expect(0, 12784, '\p{-	In_cjk_strokes}', "");
Expect(1, 12784, '\p{^-	In_cjk_strokes}', "");
Expect(1, 12784, '\P{-	In_cjk_strokes}', "");
Expect(0, 12784, '\P{^-	In_cjk_strokes}', "");
Error('\p{ :=cjk_symbols_and_punctuation}');
Error('\P{ :=cjk_symbols_and_punctuation}');
Expect(1, 12351, '\p{cjksymbolsandpunctuation}', "");
Expect(0, 12351, '\p{^cjksymbolsandpunctuation}', "");
Expect(0, 12351, '\P{cjksymbolsandpunctuation}', "");
Expect(1, 12351, '\P{^cjksymbolsandpunctuation}', "");
Expect(0, 12352, '\p{cjksymbolsandpunctuation}', "");
Expect(1, 12352, '\p{^cjksymbolsandpunctuation}', "");
Expect(1, 12352, '\P{cjksymbolsandpunctuation}', "");
Expect(0, 12352, '\P{^cjksymbolsandpunctuation}', "");
Expect(1, 12351, '\p{		CJK_symbols_And_PUNCTUATION}', "");
Expect(0, 12351, '\p{^		CJK_symbols_And_PUNCTUATION}', "");
Expect(0, 12351, '\P{		CJK_symbols_And_PUNCTUATION}', "");
Expect(1, 12351, '\P{^		CJK_symbols_And_PUNCTUATION}', "");
Expect(0, 12352, '\p{		CJK_symbols_And_PUNCTUATION}', "");
Expect(1, 12352, '\p{^		CJK_symbols_And_PUNCTUATION}', "");
Expect(1, 12352, '\P{		CJK_symbols_And_PUNCTUATION}', "");
Expect(0, 12352, '\P{^		CJK_symbols_And_PUNCTUATION}', "");
Error('\p{/a/_	Is_cjk_Symbols_And_Punctuation}');
Error('\P{/a/_	Is_cjk_Symbols_And_Punctuation}');
Expect(1, 12351, '\p{iscjksymbolsandpunctuation}', "");
Expect(0, 12351, '\p{^iscjksymbolsandpunctuation}', "");
Expect(0, 12351, '\P{iscjksymbolsandpunctuation}', "");
Expect(1, 12351, '\P{^iscjksymbolsandpunctuation}', "");
Expect(0, 12352, '\p{iscjksymbolsandpunctuation}', "");
Expect(1, 12352, '\p{^iscjksymbolsandpunctuation}', "");
Expect(1, 12352, '\P{iscjksymbolsandpunctuation}', "");
Expect(0, 12352, '\P{^iscjksymbolsandpunctuation}', "");
Expect(1, 12351, '\p{- IS_CJK_Symbols_And_PUNCTUATION}', "");
Expect(0, 12351, '\p{^- IS_CJK_Symbols_And_PUNCTUATION}', "");
Expect(0, 12351, '\P{- IS_CJK_Symbols_And_PUNCTUATION}', "");
Expect(1, 12351, '\P{^- IS_CJK_Symbols_And_PUNCTUATION}', "");
Expect(0, 12352, '\p{- IS_CJK_Symbols_And_PUNCTUATION}', "");
Expect(1, 12352, '\p{^- IS_CJK_Symbols_And_PUNCTUATION}', "");
Expect(1, 12352, '\P{- IS_CJK_Symbols_And_PUNCTUATION}', "");
Expect(0, 12352, '\P{^- IS_CJK_Symbols_And_PUNCTUATION}', "");
Error('\p{/a/_	in_CJK_Symbols_And_punctuation}');
Error('\P{/a/_	in_CJK_Symbols_And_punctuation}');
Expect(1, 12351, '\p{incjksymbolsandpunctuation}', "");
Expect(0, 12351, '\p{^incjksymbolsandpunctuation}', "");
Expect(0, 12351, '\P{incjksymbolsandpunctuation}', "");
Expect(1, 12351, '\P{^incjksymbolsandpunctuation}', "");
Expect(0, 12352, '\p{incjksymbolsandpunctuation}', "");
Expect(1, 12352, '\p{^incjksymbolsandpunctuation}', "");
Expect(1, 12352, '\P{incjksymbolsandpunctuation}', "");
Expect(0, 12352, '\P{^incjksymbolsandpunctuation}', "");
Expect(1, 12351, '\p{__IN_CJK_SYMBOLS_AND_Punctuation}', "");
Expect(0, 12351, '\p{^__IN_CJK_SYMBOLS_AND_Punctuation}', "");
Expect(0, 12351, '\P{__IN_CJK_SYMBOLS_AND_Punctuation}', "");
Expect(1, 12351, '\P{^__IN_CJK_SYMBOLS_AND_Punctuation}', "");
Expect(0, 12352, '\p{__IN_CJK_SYMBOLS_AND_Punctuation}', "");
Expect(1, 12352, '\p{^__IN_CJK_SYMBOLS_AND_Punctuation}', "");
Expect(1, 12352, '\P{__IN_CJK_SYMBOLS_AND_Punctuation}', "");
Expect(0, 12352, '\P{^__IN_CJK_SYMBOLS_AND_Punctuation}', "");
Error('\p{:=  CJK_symbols}');
Error('\P{:=  CJK_symbols}');
Expect(1, 12351, '\p{cjksymbols}', "");
Expect(0, 12351, '\p{^cjksymbols}', "");
Expect(0, 12351, '\P{cjksymbols}', "");
Expect(1, 12351, '\P{^cjksymbols}', "");
Expect(0, 12352, '\p{cjksymbols}', "");
Expect(1, 12352, '\p{^cjksymbols}', "");
Expect(1, 12352, '\P{cjksymbols}', "");
Expect(0, 12352, '\P{^cjksymbols}', "");
Expect(1, 12351, '\p{  cjk_Symbols}', "");
Expect(0, 12351, '\p{^  cjk_Symbols}', "");
Expect(0, 12351, '\P{  cjk_Symbols}', "");
Expect(1, 12351, '\P{^  cjk_Symbols}', "");
Expect(0, 12352, '\p{  cjk_Symbols}', "");
Expect(1, 12352, '\p{^  cjk_Symbols}', "");
Expect(1, 12352, '\P{  cjk_Symbols}', "");
Expect(0, 12352, '\P{^  cjk_Symbols}', "");
Error('\p{/a/-Is_cjk_symbols}');
Error('\P{/a/-Is_cjk_symbols}');
Expect(1, 12351, '\p{iscjksymbols}', "");
Expect(0, 12351, '\p{^iscjksymbols}', "");
Expect(0, 12351, '\P{iscjksymbols}', "");
Expect(1, 12351, '\P{^iscjksymbols}', "");
Expect(0, 12352, '\p{iscjksymbols}', "");
Expect(1, 12352, '\p{^iscjksymbols}', "");
Expect(1, 12352, '\P{iscjksymbols}', "");
Expect(0, 12352, '\P{^iscjksymbols}', "");
Expect(1, 12351, '\p{		IS_CJK_Symbols}', "");
Expect(0, 12351, '\p{^		IS_CJK_Symbols}', "");
Expect(0, 12351, '\P{		IS_CJK_Symbols}', "");
Expect(1, 12351, '\P{^		IS_CJK_Symbols}', "");
Expect(0, 12352, '\p{		IS_CJK_Symbols}', "");
Expect(1, 12352, '\p{^		IS_CJK_Symbols}', "");
Expect(1, 12352, '\P{		IS_CJK_Symbols}', "");
Expect(0, 12352, '\P{^		IS_CJK_Symbols}', "");
Error('\p{/a/In_CJK_Symbols}');
Error('\P{/a/In_CJK_Symbols}');
Expect(1, 12351, '\p{incjksymbols}', "");
Expect(0, 12351, '\p{^incjksymbols}', "");
Expect(0, 12351, '\P{incjksymbols}', "");
Expect(1, 12351, '\P{^incjksymbols}', "");
Expect(0, 12352, '\p{incjksymbols}', "");
Expect(1, 12352, '\p{^incjksymbols}', "");
Expect(1, 12352, '\P{incjksymbols}', "");
Expect(0, 12352, '\P{^incjksymbols}', "");
Expect(1, 12351, '\p{IN_CJK_Symbols}', "");
Expect(0, 12351, '\p{^IN_CJK_Symbols}', "");
Expect(0, 12351, '\P{IN_CJK_Symbols}', "");
Expect(1, 12351, '\P{^IN_CJK_Symbols}', "");
Expect(0, 12352, '\p{IN_CJK_Symbols}', "");
Expect(1, 12352, '\p{^IN_CJK_Symbols}', "");
Expect(1, 12352, '\P{IN_CJK_Symbols}', "");
Expect(0, 12352, '\P{^IN_CJK_Symbols}', "");
Error('\p{:=CJK_unified_IDEOGRAPHS}');
Error('\P{:=CJK_unified_IDEOGRAPHS}');
Expect(1, 40959, '\p{cjkunifiedideographs}', "");
Expect(0, 40959, '\p{^cjkunifiedideographs}', "");
Expect(0, 40959, '\P{cjkunifiedideographs}', "");
Expect(1, 40959, '\P{^cjkunifiedideographs}', "");
Expect(0, 40960, '\p{cjkunifiedideographs}', "");
Expect(1, 40960, '\p{^cjkunifiedideographs}', "");
Expect(1, 40960, '\P{cjkunifiedideographs}', "");
Expect(0, 40960, '\P{^cjkunifiedideographs}', "");
Expect(1, 40959, '\p{ -CJK_Unified_Ideographs}', "");
Expect(0, 40959, '\p{^ -CJK_Unified_Ideographs}', "");
Expect(0, 40959, '\P{ -CJK_Unified_Ideographs}', "");
Expect(1, 40959, '\P{^ -CJK_Unified_Ideographs}', "");
Expect(0, 40960, '\p{ -CJK_Unified_Ideographs}', "");
Expect(1, 40960, '\p{^ -CJK_Unified_Ideographs}', "");
Expect(1, 40960, '\P{ -CJK_Unified_Ideographs}', "");
Expect(0, 40960, '\P{^ -CJK_Unified_Ideographs}', "");
Error('\p{:=IS_CJK_UNIFIED_ideographs}');
Error('\P{:=IS_CJK_UNIFIED_ideographs}');
Expect(1, 40959, '\p{iscjkunifiedideographs}', "");
Expect(0, 40959, '\p{^iscjkunifiedideographs}', "");
Expect(0, 40959, '\P{iscjkunifiedideographs}', "");
Expect(1, 40959, '\P{^iscjkunifiedideographs}', "");
Expect(0, 40960, '\p{iscjkunifiedideographs}', "");
Expect(1, 40960, '\p{^iscjkunifiedideographs}', "");
Expect(1, 40960, '\P{iscjkunifiedideographs}', "");
Expect(0, 40960, '\P{^iscjkunifiedideographs}', "");
Expect(1, 40959, '\p{--Is_CJK_UNIFIED_Ideographs}', "");
Expect(0, 40959, '\p{^--Is_CJK_UNIFIED_Ideographs}', "");
Expect(0, 40959, '\P{--Is_CJK_UNIFIED_Ideographs}', "");
Expect(1, 40959, '\P{^--Is_CJK_UNIFIED_Ideographs}', "");
Expect(0, 40960, '\p{--Is_CJK_UNIFIED_Ideographs}', "");
Expect(1, 40960, '\p{^--Is_CJK_UNIFIED_Ideographs}', "");
Expect(1, 40960, '\P{--Is_CJK_UNIFIED_Ideographs}', "");
Expect(0, 40960, '\P{^--Is_CJK_UNIFIED_Ideographs}', "");
Error('\p{-_In_CJK_Unified_IDEOGRAPHS:=}');
Error('\P{-_In_CJK_Unified_IDEOGRAPHS:=}');
Expect(1, 40959, '\p{incjkunifiedideographs}', "");
Expect(0, 40959, '\p{^incjkunifiedideographs}', "");
Expect(0, 40959, '\P{incjkunifiedideographs}', "");
Expect(1, 40959, '\P{^incjkunifiedideographs}', "");
Expect(0, 40960, '\p{incjkunifiedideographs}', "");
Expect(1, 40960, '\p{^incjkunifiedideographs}', "");
Expect(1, 40960, '\P{incjkunifiedideographs}', "");
Expect(0, 40960, '\P{^incjkunifiedideographs}', "");
Expect(1, 40959, '\p{-	IN_CJK_UNIFIED_Ideographs}', "");
Expect(0, 40959, '\p{^-	IN_CJK_UNIFIED_Ideographs}', "");
Expect(0, 40959, '\P{-	IN_CJK_UNIFIED_Ideographs}', "");
Expect(1, 40959, '\P{^-	IN_CJK_UNIFIED_Ideographs}', "");
Expect(0, 40960, '\p{-	IN_CJK_UNIFIED_Ideographs}', "");
Expect(1, 40960, '\p{^-	IN_CJK_UNIFIED_Ideographs}', "");
Expect(1, 40960, '\P{-	IN_CJK_UNIFIED_Ideographs}', "");
Expect(0, 40960, '\P{^-	IN_CJK_UNIFIED_Ideographs}', "");
Error('\p{	/a/CJK}');
Error('\P{	/a/CJK}');
Expect(1, 40959, '\p{cjk}', "");
Expect(0, 40959, '\p{^cjk}', "");
Expect(0, 40959, '\P{cjk}', "");
Expect(1, 40959, '\P{^cjk}', "");
Expect(0, 40960, '\p{cjk}', "");
Expect(1, 40960, '\p{^cjk}', "");
Expect(1, 40960, '\P{cjk}', "");
Expect(0, 40960, '\P{^cjk}', "");
Expect(1, 40959, '\p{	CJK}', "");
Expect(0, 40959, '\p{^	CJK}', "");
Expect(0, 40959, '\P{	CJK}', "");
Expect(1, 40959, '\P{^	CJK}', "");
Expect(0, 40960, '\p{	CJK}', "");
Expect(1, 40960, '\p{^	CJK}', "");
Expect(1, 40960, '\P{	CJK}', "");
Expect(0, 40960, '\P{^	CJK}', "");
Error('\p{:=	-IS_CJK}');
Error('\P{:=	-IS_CJK}');
Expect(1, 40959, '\p{iscjk}', "");
Expect(0, 40959, '\p{^iscjk}', "");
Expect(0, 40959, '\P{iscjk}', "");
Expect(1, 40959, '\P{^iscjk}', "");
Expect(0, 40960, '\p{iscjk}', "");
Expect(1, 40960, '\p{^iscjk}', "");
Expect(1, 40960, '\P{iscjk}', "");
Expect(0, 40960, '\P{^iscjk}', "");
Expect(1, 40959, '\p{	 is_CJK}', "");
Expect(0, 40959, '\p{^	 is_CJK}', "");
Expect(0, 40959, '\P{	 is_CJK}', "");
Expect(1, 40959, '\P{^	 is_CJK}', "");
Expect(0, 40960, '\p{	 is_CJK}', "");
Expect(1, 40960, '\p{^	 is_CJK}', "");
Expect(1, 40960, '\P{	 is_CJK}', "");
Expect(0, 40960, '\P{^	 is_CJK}', "");
Error('\p{:= -in_cjk}');
Error('\P{:= -in_cjk}');
Expect(1, 40959, '\p{incjk}', "");
Expect(0, 40959, '\p{^incjk}', "");
Expect(0, 40959, '\P{incjk}', "");
Expect(1, 40959, '\P{^incjk}', "");
Expect(0, 40960, '\p{incjk}', "");
Expect(1, 40960, '\p{^incjk}', "");
Expect(1, 40960, '\P{incjk}', "");
Expect(0, 40960, '\P{^incjk}', "");
Expect(1, 40959, '\p{_-IN_CJK}', "");
Expect(0, 40959, '\p{^_-IN_CJK}', "");
Expect(0, 40959, '\P{_-IN_CJK}', "");
Expect(1, 40959, '\P{^_-IN_CJK}', "");
Expect(0, 40960, '\p{_-IN_CJK}', "");
Expect(1, 40960, '\p{^_-IN_CJK}', "");
Expect(1, 40960, '\P{_-IN_CJK}', "");
Expect(0, 40960, '\P{^_-IN_CJK}', "");
Error('\p{	:=CJK_UNIFIED_Ideographs_EXTENSION_A}');
Error('\P{	:=CJK_UNIFIED_Ideographs_EXTENSION_A}');
Expect(1, 19903, '\p{cjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\p{^cjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\P{cjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\P{^cjkunifiedideographsextensiona}', "");
Expect(0, 19904, '\p{cjkunifiedideographsextensiona}', "");
Expect(1, 19904, '\p{^cjkunifiedideographsextensiona}', "");
Expect(1, 19904, '\P{cjkunifiedideographsextensiona}', "");
Expect(0, 19904, '\P{^cjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\p{-CJK_UNIFIED_IDEOGRAPHS_Extension_A}', "");
Expect(0, 19903, '\p{^-CJK_UNIFIED_IDEOGRAPHS_Extension_A}', "");
Expect(0, 19903, '\P{-CJK_UNIFIED_IDEOGRAPHS_Extension_A}', "");
Expect(1, 19903, '\P{^-CJK_UNIFIED_IDEOGRAPHS_Extension_A}', "");
Expect(0, 19904, '\p{-CJK_UNIFIED_IDEOGRAPHS_Extension_A}', "");
Expect(1, 19904, '\p{^-CJK_UNIFIED_IDEOGRAPHS_Extension_A}', "");
Expect(1, 19904, '\P{-CJK_UNIFIED_IDEOGRAPHS_Extension_A}', "");
Expect(0, 19904, '\P{^-CJK_UNIFIED_IDEOGRAPHS_Extension_A}', "");
Error('\p{/a/is_cjk_Unified_ideographs_extension_a}');
Error('\P{/a/is_cjk_Unified_ideographs_extension_a}');
Expect(1, 19903, '\p{iscjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\p{^iscjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\P{iscjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\P{^iscjkunifiedideographsextensiona}', "");
Expect(0, 19904, '\p{iscjkunifiedideographsextensiona}', "");
Expect(1, 19904, '\p{^iscjkunifiedideographsextensiona}', "");
Expect(1, 19904, '\P{iscjkunifiedideographsextensiona}', "");
Expect(0, 19904, '\P{^iscjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\p{- Is_cjk_Unified_IDEOGRAPHS_extension_a}', "");
Expect(0, 19903, '\p{^- Is_cjk_Unified_IDEOGRAPHS_extension_a}', "");
Expect(0, 19903, '\P{- Is_cjk_Unified_IDEOGRAPHS_extension_a}', "");
Expect(1, 19903, '\P{^- Is_cjk_Unified_IDEOGRAPHS_extension_a}', "");
Expect(0, 19904, '\p{- Is_cjk_Unified_IDEOGRAPHS_extension_a}', "");
Expect(1, 19904, '\p{^- Is_cjk_Unified_IDEOGRAPHS_extension_a}', "");
Expect(1, 19904, '\P{- Is_cjk_Unified_IDEOGRAPHS_extension_a}', "");
Expect(0, 19904, '\P{^- Is_cjk_Unified_IDEOGRAPHS_extension_a}', "");
Error('\p{_In_cjk_UNIFIED_IDEOGRAPHS_EXTENSION_A:=}');
Error('\P{_In_cjk_UNIFIED_IDEOGRAPHS_EXTENSION_A:=}');
Expect(1, 19903, '\p{incjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\p{^incjkunifiedideographsextensiona}', "");
Expect(0, 19903, '\P{incjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\P{^incjkunifiedideographsextensiona}', "");
Expect(0, 19904, '\p{incjkunifiedideographsextensiona}', "");
Expect(1, 19904, '\p{^incjkunifiedideographsextensiona}', "");
Expect(1, 19904, '\P{incjkunifiedideographsextensiona}', "");
Expect(0, 19904, '\P{^incjkunifiedideographsextensiona}', "");
Expect(1, 19903, '\p{		In_CJK_Unified_ideographs_Extension_A}', "");
Expect(0, 19903, '\p{^		In_CJK_Unified_ideographs_Extension_A}', "");
Expect(0, 19903, '\P{		In_CJK_Unified_ideographs_Extension_A}', "");
Expect(1, 19903, '\P{^		In_CJK_Unified_ideographs_Extension_A}', "");
Expect(0, 19904, '\p{		In_CJK_Unified_ideographs_Extension_A}', "");
Expect(1, 19904, '\p{^		In_CJK_Unified_ideographs_Extension_A}', "");
Expect(1, 19904, '\P{		In_CJK_Unified_ideographs_Extension_A}', "");
Expect(0, 19904, '\P{^		In_CJK_Unified_ideographs_Extension_A}', "");
Error('\p{:=		CJK_EXT_A}');
Error('\P{:=		CJK_EXT_A}');
Expect(1, 19903, '\p{cjkexta}', "");
Expect(0, 19903, '\p{^cjkexta}', "");
Expect(0, 19903, '\P{cjkexta}', "");
Expect(1, 19903, '\P{^cjkexta}', "");
Expect(0, 19904, '\p{cjkexta}', "");
Expect(1, 19904, '\p{^cjkexta}', "");
Expect(1, 19904, '\P{cjkexta}', "");
Expect(0, 19904, '\P{^cjkexta}', "");
Expect(1, 19903, '\p{_CJK_EXT_A}', "");
Expect(0, 19903, '\p{^_CJK_EXT_A}', "");
Expect(0, 19903, '\P{_CJK_EXT_A}', "");
Expect(1, 19903, '\P{^_CJK_EXT_A}', "");
Expect(0, 19904, '\p{_CJK_EXT_A}', "");
Expect(1, 19904, '\p{^_CJK_EXT_A}', "");
Expect(1, 19904, '\P{_CJK_EXT_A}', "");
Expect(0, 19904, '\P{^_CJK_EXT_A}', "");
Error('\p{:=  Is_cjk_Ext_A}');
Error('\P{:=  Is_cjk_Ext_A}');
Expect(1, 19903, '\p{iscjkexta}', "");
Expect(0, 19903, '\p{^iscjkexta}', "");
Expect(0, 19903, '\P{iscjkexta}', "");
Expect(1, 19903, '\P{^iscjkexta}', "");
Expect(0, 19904, '\p{iscjkexta}', "");
Expect(1, 19904, '\p{^iscjkexta}', "");
Expect(1, 19904, '\P{iscjkexta}', "");
Expect(0, 19904, '\P{^iscjkexta}', "");
Expect(1, 19903, '\p{  Is_CJK_ext_A}', "");
Expect(0, 19903, '\p{^  Is_CJK_ext_A}', "");
Expect(0, 19903, '\P{  Is_CJK_ext_A}', "");
Expect(1, 19903, '\P{^  Is_CJK_ext_A}', "");
Expect(0, 19904, '\p{  Is_CJK_ext_A}', "");
Expect(1, 19904, '\p{^  Is_CJK_ext_A}', "");
Expect(1, 19904, '\P{  Is_CJK_ext_A}', "");
Expect(0, 19904, '\P{^  Is_CJK_ext_A}', "");
Error('\p{/a/IN_CJK_Ext_A}');
Error('\P{/a/IN_CJK_Ext_A}');
Expect(1, 19903, '\p{incjkexta}', "");
Expect(0, 19903, '\p{^incjkexta}', "");
Expect(0, 19903, '\P{incjkexta}', "");
Expect(1, 19903, '\P{^incjkexta}', "");
Expect(0, 19904, '\p{incjkexta}', "");
Expect(1, 19904, '\p{^incjkexta}', "");
Expect(1, 19904, '\P{incjkexta}', "");
Expect(0, 19904, '\P{^incjkexta}', "");
Expect(1, 19903, '\p{ in_CJK_ext_A}', "");
Expect(0, 19903, '\p{^ in_CJK_ext_A}', "");
Expect(0, 19903, '\P{ in_CJK_ext_A}', "");
Expect(1, 19903, '\P{^ in_CJK_ext_A}', "");
Expect(0, 19904, '\p{ in_CJK_ext_A}', "");
Expect(1, 19904, '\p{^ in_CJK_ext_A}', "");
Expect(1, 19904, '\P{ in_CJK_ext_A}', "");
Expect(0, 19904, '\P{^ in_CJK_ext_A}', "");
Error('\p{	:=CJK_Unified_IDEOGRAPHS_Extension_B}');
Error('\P{	:=CJK_Unified_IDEOGRAPHS_Extension_B}');
Expect(1, 173791, '\p{cjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\p{^cjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\P{cjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\P{^cjkunifiedideographsextensionb}', "");
Expect(0, 173792, '\p{cjkunifiedideographsextensionb}', "");
Expect(1, 173792, '\p{^cjkunifiedideographsextensionb}', "");
Expect(1, 173792, '\P{cjkunifiedideographsextensionb}', "");
Expect(0, 173792, '\P{^cjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\p{	-cjk_Unified_Ideographs_Extension_B}', "");
Expect(0, 173791, '\p{^	-cjk_Unified_Ideographs_Extension_B}', "");
Expect(0, 173791, '\P{	-cjk_Unified_Ideographs_Extension_B}', "");
Expect(1, 173791, '\P{^	-cjk_Unified_Ideographs_Extension_B}', "");
Expect(0, 173792, '\p{	-cjk_Unified_Ideographs_Extension_B}', "");
Expect(1, 173792, '\p{^	-cjk_Unified_Ideographs_Extension_B}', "");
Expect(1, 173792, '\P{	-cjk_Unified_Ideographs_Extension_B}', "");
Expect(0, 173792, '\P{^	-cjk_Unified_Ideographs_Extension_B}', "");
Error('\p{- Is_CJK_unified_Ideographs_Extension_B/a/}');
Error('\P{- Is_CJK_unified_Ideographs_Extension_B/a/}');
Expect(1, 173791, '\p{iscjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\p{^iscjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\P{iscjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\P{^iscjkunifiedideographsextensionb}', "");
Expect(0, 173792, '\p{iscjkunifiedideographsextensionb}', "");
Expect(1, 173792, '\p{^iscjkunifiedideographsextensionb}', "");
Expect(1, 173792, '\P{iscjkunifiedideographsextensionb}', "");
Expect(0, 173792, '\P{^iscjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\p{__Is_CJK_unified_Ideographs_Extension_B}', "");
Expect(0, 173791, '\p{^__Is_CJK_unified_Ideographs_Extension_B}', "");
Expect(0, 173791, '\P{__Is_CJK_unified_Ideographs_Extension_B}', "");
Expect(1, 173791, '\P{^__Is_CJK_unified_Ideographs_Extension_B}', "");
Expect(0, 173792, '\p{__Is_CJK_unified_Ideographs_Extension_B}', "");
Expect(1, 173792, '\p{^__Is_CJK_unified_Ideographs_Extension_B}', "");
Expect(1, 173792, '\P{__Is_CJK_unified_Ideographs_Extension_B}', "");
Expect(0, 173792, '\P{^__Is_CJK_unified_Ideographs_Extension_B}', "");
Error('\p{/a/--In_CJK_Unified_ideographs_extension_B}');
Error('\P{/a/--In_CJK_Unified_ideographs_extension_B}');
Expect(1, 173791, '\p{incjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\p{^incjkunifiedideographsextensionb}', "");
Expect(0, 173791, '\P{incjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\P{^incjkunifiedideographsextensionb}', "");
Expect(0, 173792, '\p{incjkunifiedideographsextensionb}', "");
Expect(1, 173792, '\p{^incjkunifiedideographsextensionb}', "");
Expect(1, 173792, '\P{incjkunifiedideographsextensionb}', "");
Expect(0, 173792, '\P{^incjkunifiedideographsextensionb}', "");
Expect(1, 173791, '\p{  In_CJK_Unified_IDEOGRAPHS_EXTENSION_B}', "");
Expect(0, 173791, '\p{^  In_CJK_Unified_IDEOGRAPHS_EXTENSION_B}', "");
Expect(0, 173791, '\P{  In_CJK_Unified_IDEOGRAPHS_EXTENSION_B}', "");
Expect(1, 173791, '\P{^  In_CJK_Unified_IDEOGRAPHS_EXTENSION_B}', "");
Expect(0, 173792, '\p{  In_CJK_Unified_IDEOGRAPHS_EXTENSION_B}', "");
Expect(1, 173792, '\p{^  In_CJK_Unified_IDEOGRAPHS_EXTENSION_B}', "");
Expect(1, 173792, '\P{  In_CJK_Unified_IDEOGRAPHS_EXTENSION_B}', "");
Expect(0, 173792, '\P{^  In_CJK_Unified_IDEOGRAPHS_EXTENSION_B}', "");
Error('\p{:=	_CJK_Ext_B}');
Error('\P{:=	_CJK_Ext_B}');
Expect(1, 173791, '\p{cjkextb}', "");
Expect(0, 173791, '\p{^cjkextb}', "");
Expect(0, 173791, '\P{cjkextb}', "");
Expect(1, 173791, '\P{^cjkextb}', "");
Expect(0, 173792, '\p{cjkextb}', "");
Expect(1, 173792, '\p{^cjkextb}', "");
Expect(1, 173792, '\P{cjkextb}', "");
Expect(0, 173792, '\P{^cjkextb}', "");
Expect(1, 173791, '\p{ CJK_Ext_b}', "");
Expect(0, 173791, '\p{^ CJK_Ext_b}', "");
Expect(0, 173791, '\P{ CJK_Ext_b}', "");
Expect(1, 173791, '\P{^ CJK_Ext_b}', "");
Expect(0, 173792, '\p{ CJK_Ext_b}', "");
Expect(1, 173792, '\p{^ CJK_Ext_b}', "");
Expect(1, 173792, '\P{ CJK_Ext_b}', "");
Expect(0, 173792, '\P{^ CJK_Ext_b}', "");
Error('\p{-/a/IS_CJK_EXT_B}');
Error('\P{-/a/IS_CJK_EXT_B}');
Expect(1, 173791, '\p{iscjkextb}', "");
Expect(0, 173791, '\p{^iscjkextb}', "");
Expect(0, 173791, '\P{iscjkextb}', "");
Expect(1, 173791, '\P{^iscjkextb}', "");
Expect(0, 173792, '\p{iscjkextb}', "");
Expect(1, 173792, '\p{^iscjkextb}', "");
Expect(1, 173792, '\P{iscjkextb}', "");
Expect(0, 173792, '\P{^iscjkextb}', "");
Expect(1, 173791, '\p{	Is_CJK_Ext_B}', "");
Expect(0, 173791, '\p{^	Is_CJK_Ext_B}', "");
Expect(0, 173791, '\P{	Is_CJK_Ext_B}', "");
Expect(1, 173791, '\P{^	Is_CJK_Ext_B}', "");
Expect(0, 173792, '\p{	Is_CJK_Ext_B}', "");
Expect(1, 173792, '\p{^	Is_CJK_Ext_B}', "");
Expect(1, 173792, '\P{	Is_CJK_Ext_B}', "");
Expect(0, 173792, '\P{^	Is_CJK_Ext_B}', "");
Error('\p{:=_ IN_CJK_Ext_B}');
Error('\P{:=_ IN_CJK_Ext_B}');
Expect(1, 173791, '\p{incjkextb}', "");
Expect(0, 173791, '\p{^incjkextb}', "");
Expect(0, 173791, '\P{incjkextb}', "");
Expect(1, 173791, '\P{^incjkextb}', "");
Expect(0, 173792, '\p{incjkextb}', "");
Expect(1, 173792, '\p{^incjkextb}', "");
Expect(1, 173792, '\P{incjkextb}', "");
Expect(0, 173792, '\P{^incjkextb}', "");
Expect(1, 173791, '\p{-In_CJK_Ext_b}', "");
Expect(0, 173791, '\p{^-In_CJK_Ext_b}', "");
Expect(0, 173791, '\P{-In_CJK_Ext_b}', "");
Expect(1, 173791, '\P{^-In_CJK_Ext_b}', "");
Expect(0, 173792, '\p{-In_CJK_Ext_b}', "");
Expect(1, 173792, '\p{^-In_CJK_Ext_b}', "");
Expect(1, 173792, '\P{-In_CJK_Ext_b}', "");
Expect(0, 173792, '\P{^-In_CJK_Ext_b}', "");
Error('\p{  CJK_Unified_Ideographs_EXTENSION_c:=}');
Error('\P{  CJK_Unified_Ideographs_EXTENSION_c:=}');
Expect(1, 177983, '\p{cjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\p{^cjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\P{cjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\P{^cjkunifiedideographsextensionc}', "");
Expect(0, 177984, '\p{cjkunifiedideographsextensionc}', "");
Expect(1, 177984, '\p{^cjkunifiedideographsextensionc}', "");
Expect(1, 177984, '\P{cjkunifiedideographsextensionc}', "");
Expect(0, 177984, '\P{^cjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\p{__CJK_Unified_IDEOGRAPHS_extension_C}', "");
Expect(0, 177983, '\p{^__CJK_Unified_IDEOGRAPHS_extension_C}', "");
Expect(0, 177983, '\P{__CJK_Unified_IDEOGRAPHS_extension_C}', "");
Expect(1, 177983, '\P{^__CJK_Unified_IDEOGRAPHS_extension_C}', "");
Expect(0, 177984, '\p{__CJK_Unified_IDEOGRAPHS_extension_C}', "");
Expect(1, 177984, '\p{^__CJK_Unified_IDEOGRAPHS_extension_C}', "");
Expect(1, 177984, '\P{__CJK_Unified_IDEOGRAPHS_extension_C}', "");
Expect(0, 177984, '\P{^__CJK_Unified_IDEOGRAPHS_extension_C}', "");
Error('\p{IS_CJK_Unified_Ideographs_Extension_C/a/}');
Error('\P{IS_CJK_Unified_Ideographs_Extension_C/a/}');
Expect(1, 177983, '\p{iscjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\p{^iscjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\P{iscjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\P{^iscjkunifiedideographsextensionc}', "");
Expect(0, 177984, '\p{iscjkunifiedideographsextensionc}', "");
Expect(1, 177984, '\p{^iscjkunifiedideographsextensionc}', "");
Expect(1, 177984, '\P{iscjkunifiedideographsextensionc}', "");
Expect(0, 177984, '\P{^iscjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\p{-	IS_CJK_UNIFIED_Ideographs_Extension_c}', "");
Expect(0, 177983, '\p{^-	IS_CJK_UNIFIED_Ideographs_Extension_c}', "");
Expect(0, 177983, '\P{-	IS_CJK_UNIFIED_Ideographs_Extension_c}', "");
Expect(1, 177983, '\P{^-	IS_CJK_UNIFIED_Ideographs_Extension_c}', "");
Expect(0, 177984, '\p{-	IS_CJK_UNIFIED_Ideographs_Extension_c}', "");
Expect(1, 177984, '\p{^-	IS_CJK_UNIFIED_Ideographs_Extension_c}', "");
Expect(1, 177984, '\P{-	IS_CJK_UNIFIED_Ideographs_Extension_c}', "");
Expect(0, 177984, '\P{^-	IS_CJK_UNIFIED_Ideographs_Extension_c}', "");
Error('\p{:=  In_CJK_Unified_ideographs_Extension_C}');
Error('\P{:=  In_CJK_Unified_ideographs_Extension_C}');
Expect(1, 177983, '\p{incjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\p{^incjkunifiedideographsextensionc}', "");
Expect(0, 177983, '\P{incjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\P{^incjkunifiedideographsextensionc}', "");
Expect(0, 177984, '\p{incjkunifiedideographsextensionc}', "");
Expect(1, 177984, '\p{^incjkunifiedideographsextensionc}', "");
Expect(1, 177984, '\P{incjkunifiedideographsextensionc}', "");
Expect(0, 177984, '\P{^incjkunifiedideographsextensionc}', "");
Expect(1, 177983, '\p{	_IN_CJK_UNIFIED_Ideographs_Extension_C}', "");
Expect(0, 177983, '\p{^	_IN_CJK_UNIFIED_Ideographs_Extension_C}', "");
Expect(0, 177983, '\P{	_IN_CJK_UNIFIED_Ideographs_Extension_C}', "");
Expect(1, 177983, '\P{^	_IN_CJK_UNIFIED_Ideographs_Extension_C}', "");
Expect(0, 177984, '\p{	_IN_CJK_UNIFIED_Ideographs_Extension_C}', "");
Expect(1, 177984, '\p{^	_IN_CJK_UNIFIED_Ideographs_Extension_C}', "");
Expect(1, 177984, '\P{	_IN_CJK_UNIFIED_Ideographs_Extension_C}', "");
Expect(0, 177984, '\P{^	_IN_CJK_UNIFIED_Ideographs_Extension_C}', "");
Error('\p{--CJK_EXT_C:=}');
Error('\P{--CJK_EXT_C:=}');
Expect(1, 177983, '\p{cjkextc}', "");
Expect(0, 177983, '\p{^cjkextc}', "");
Expect(0, 177983, '\P{cjkextc}', "");
Expect(1, 177983, '\P{^cjkextc}', "");
Expect(0, 177984, '\p{cjkextc}', "");
Expect(1, 177984, '\p{^cjkextc}', "");
Expect(1, 177984, '\P{cjkextc}', "");
Expect(0, 177984, '\P{^cjkextc}', "");
Expect(1, 177983, '\p{-cjk_Ext_C}', "");
Expect(0, 177983, '\p{^-cjk_Ext_C}', "");
Expect(0, 177983, '\P{-cjk_Ext_C}', "");
Expect(1, 177983, '\P{^-cjk_Ext_C}', "");
Expect(0, 177984, '\p{-cjk_Ext_C}', "");
Expect(1, 177984, '\p{^-cjk_Ext_C}', "");
Expect(1, 177984, '\P{-cjk_Ext_C}', "");
Expect(0, 177984, '\P{^-cjk_Ext_C}', "");
Error('\p{	/a/Is_CJK_Ext_c}');
Error('\P{	/a/Is_CJK_Ext_c}');
Expect(1, 177983, '\p{iscjkextc}', "");
Expect(0, 177983, '\p{^iscjkextc}', "");
Expect(0, 177983, '\P{iscjkextc}', "");
Expect(1, 177983, '\P{^iscjkextc}', "");
Expect(0, 177984, '\p{iscjkextc}', "");
Expect(1, 177984, '\p{^iscjkextc}', "");
Expect(1, 177984, '\P{iscjkextc}', "");
Expect(0, 177984, '\P{^iscjkextc}', "");
Expect(1, 177983, '\p{ -is_CJK_Ext_C}', "");
Expect(0, 177983, '\p{^ -is_CJK_Ext_C}', "");
Expect(0, 177983, '\P{ -is_CJK_Ext_C}', "");
Expect(1, 177983, '\P{^ -is_CJK_Ext_C}', "");
Expect(0, 177984, '\p{ -is_CJK_Ext_C}', "");
Expect(1, 177984, '\p{^ -is_CJK_Ext_C}', "");
Expect(1, 177984, '\P{ -is_CJK_Ext_C}', "");
Expect(0, 177984, '\P{^ -is_CJK_Ext_C}', "");
Error('\p{/a/ -in_CJK_ext_C}');
Error('\P{/a/ -in_CJK_ext_C}');
Expect(1, 177983, '\p{incjkextc}', "");
Expect(0, 177983, '\p{^incjkextc}', "");
Expect(0, 177983, '\P{incjkextc}', "");
Expect(1, 177983, '\P{^incjkextc}', "");
Expect(0, 177984, '\p{incjkextc}', "");
Expect(1, 177984, '\p{^incjkextc}', "");
Expect(1, 177984, '\P{incjkextc}', "");
Expect(0, 177984, '\P{^incjkextc}', "");
Expect(1, 177983, '\p{_In_CJK_ext_C}', "");
Expect(0, 177983, '\p{^_In_CJK_ext_C}', "");
Expect(0, 177983, '\P{_In_CJK_ext_C}', "");
Expect(1, 177983, '\P{^_In_CJK_ext_C}', "");
Expect(0, 177984, '\p{_In_CJK_ext_C}', "");
Expect(1, 177984, '\p{^_In_CJK_ext_C}', "");
Expect(1, 177984, '\P{_In_CJK_ext_C}', "");
Expect(0, 177984, '\P{^_In_CJK_ext_C}', "");
Error('\p{:=cjk_Unified_Ideographs_extension_D}');
Error('\P{:=cjk_Unified_Ideographs_extension_D}');
Expect(1, 178207, '\p{cjkunifiedideographsextensiond}', "");
Expect(0, 178207, '\p{^cjkunifiedideographsextensiond}', "");
Expect(0, 178207, '\P{cjkunifiedideographsextensiond}', "");
Expect(1, 178207, '\P{^cjkunifiedideographsextensiond}', "");
Expect(0, 178208, '\p{cjkunifiedideographsextensiond}', "");
Expect(1, 178208, '\p{^cjkunifiedideographsextensiond}', "");
Expect(1, 178208, '\P{cjkunifiedideographsextensiond}', "");
Expect(0, 178208, '\P{^cjkunifiedideographsextensiond}', "");
Expect(1, 178207, '\p{	-CJK_unified_Ideographs_Extension_D}', "");
Expect(0, 178207, '\p{^	-CJK_unified_Ideographs_Extension_D}', "");
Expect(0, 178207, '\P{	-CJK_unified_Ideographs_Extension_D}', "");
Expect(1, 178207, '\P{^	-CJK_unified_Ideographs_Extension_D}', "");
Expect(0, 178208, '\p{	-CJK_unified_Ideographs_Extension_D}', "");
Expect(1, 178208, '\p{^	-CJK_unified_Ideographs_Extension_D}', "");
Expect(1, 178208, '\P{	-CJK_unified_Ideographs_Extension_D}', "");
Expect(0, 178208, '\P{^	-CJK_unified_Ideographs_Extension_D}', "");
Error('\p{ IS_CJK_UNIFIED_ideographs_extension_d:=}');
Error('\P{ IS_CJK_UNIFIED_ideographs_extension_d:=}');
Expect(1, 178207, '\p{iscjkunifiedideographsextensiond}', "");
Expect(0, 178207, '\p{^iscjkunifiedideographsextensiond}', "");
Expect(0, 178207, '\P{iscjkunifiedideographsextensiond}', "");
Expect(1, 178207, '\P{^iscjkunifiedideographsextensiond}', "");
Expect(0, 178208, '\p{iscjkunifiedideographsextensiond}', "");
Expect(1, 178208, '\p{^iscjkunifiedideographsextensiond}', "");
Expect(1, 178208, '\P{iscjkunifiedideographsextensiond}', "");
Expect(0, 178208, '\P{^iscjkunifiedideographsextensiond}', "");
Expect(1, 178207, '\p{- is_CJK_Unified_IDEOGRAPHS_Extension_d}', "");
Expect(0, 178207, '\p{^- is_CJK_Unified_IDEOGRAPHS_Extension_d}', "");
Expect(0, 178207, '\P{- is_CJK_Unified_IDEOGRAPHS_Extension_d}', "");
Expect(1, 178207, '\P{^- is_CJK_Unified_IDEOGRAPHS_Extension_d}', "");
Expect(0, 178208, '\p{- is_CJK_Unified_IDEOGRAPHS_Extension_d}', "");
Expect(1, 178208, '\p{^- is_CJK_Unified_IDEOGRAPHS_Extension_d}', "");
Expect(1, 178208, '\P{- is_CJK_Unified_IDEOGRAPHS_Extension_d}', "");
Expect(0, 178208, '\P{^- is_CJK_Unified_IDEOGRAPHS_Extension_d}', "");
Error('\p{:=	 in_cjk_UNIFIED_IDEOGRAPHS_Extension_D}');
Error('\P{:=	 in_cjk_UNIFIED_IDEOGRAPHS_Extension_D}');
Expect(1, 178207, '\p{incjkunifiedideographsextensiond}', "");
Expect(0, 178207, '\p{^incjkunifiedideographsextensiond}', "");
Expect(0, 178207, '\P{incjkunifiedideographsextensiond}', "");
Expect(1, 178207, '\P{^incjkunifiedideographsextensiond}', "");
Expect(0, 178208, '\p{incjkunifiedideographsextensiond}', "");
Expect(1, 178208, '\p{^incjkunifiedideographsextensiond}', "");
Expect(1, 178208, '\P{incjkunifiedideographsextensiond}', "");
Expect(0, 178208, '\P{^incjkunifiedideographsextensiond}', "");
Expect(1, 178207, '\p{  In_CJK_Unified_Ideographs_EXTENSION_D}', "");
Expect(0, 178207, '\p{^  In_CJK_Unified_Ideographs_EXTENSION_D}', "");
Expect(0, 178207, '\P{  In_CJK_Unified_Ideographs_EXTENSION_D}', "");
Expect(1, 178207, '\P{^  In_CJK_Unified_Ideographs_EXTENSION_D}', "");
Expect(0, 178208, '\p{  In_CJK_Unified_Ideographs_EXTENSION_D}', "");
Expect(1, 178208, '\p{^  In_CJK_Unified_Ideographs_EXTENSION_D}', "");
Expect(1, 178208, '\P{  In_CJK_Unified_Ideographs_EXTENSION_D}', "");
Expect(0, 178208, '\P{^  In_CJK_Unified_Ideographs_EXTENSION_D}', "");
Error('\p{-:=CJK_Ext_D}');
Error('\P{-:=CJK_Ext_D}');
Expect(1, 178207, '\p{cjkextd}', "");
Expect(0, 178207, '\p{^cjkextd}', "");
Expect(0, 178207, '\P{cjkextd}', "");
Expect(1, 178207, '\P{^cjkextd}', "");
Expect(0, 178208, '\p{cjkextd}', "");
Expect(1, 178208, '\p{^cjkextd}', "");
Expect(1, 178208, '\P{cjkextd}', "");
Expect(0, 178208, '\P{^cjkextd}', "");
Expect(1, 178207, '\p{-cjk_Ext_d}', "");
Expect(0, 178207, '\p{^-cjk_Ext_d}', "");
Expect(0, 178207, '\P{-cjk_Ext_d}', "");
Expect(1, 178207, '\P{^-cjk_Ext_d}', "");
Expect(0, 178208, '\p{-cjk_Ext_d}', "");
Expect(1, 178208, '\p{^-cjk_Ext_d}', "");
Expect(1, 178208, '\P{-cjk_Ext_d}', "");
Expect(0, 178208, '\P{^-cjk_Ext_d}', "");
Error('\p{	-is_CJK_Ext_D:=}');
Error('\P{	-is_CJK_Ext_D:=}');
Expect(1, 178207, '\p{iscjkextd}', "");
Expect(0, 178207, '\p{^iscjkextd}', "");
Expect(0, 178207, '\P{iscjkextd}', "");
Expect(1, 178207, '\P{^iscjkextd}', "");
Expect(0, 178208, '\p{iscjkextd}', "");
Expect(1, 178208, '\p{^iscjkextd}', "");
Expect(1, 178208, '\P{iscjkextd}', "");
Expect(0, 178208, '\P{^iscjkextd}', "");
Expect(1, 178207, '\p{ 	IS_CJK_EXT_D}', "");
Expect(0, 178207, '\p{^ 	IS_CJK_EXT_D}', "");
Expect(0, 178207, '\P{ 	IS_CJK_EXT_D}', "");
Expect(1, 178207, '\P{^ 	IS_CJK_EXT_D}', "");
Expect(0, 178208, '\p{ 	IS_CJK_EXT_D}', "");
Expect(1, 178208, '\p{^ 	IS_CJK_EXT_D}', "");
Expect(1, 178208, '\P{ 	IS_CJK_EXT_D}', "");
Expect(0, 178208, '\P{^ 	IS_CJK_EXT_D}', "");
Error('\p{/a/_-In_CJK_Ext_D}');
Error('\P{/a/_-In_CJK_Ext_D}');
Expect(1, 178207, '\p{incjkextd}', "");
Expect(0, 178207, '\p{^incjkextd}', "");
Expect(0, 178207, '\P{incjkextd}', "");
Expect(1, 178207, '\P{^incjkextd}', "");
Expect(0, 178208, '\p{incjkextd}', "");
Expect(1, 178208, '\p{^incjkextd}', "");
Expect(1, 178208, '\P{incjkextd}', "");
Expect(0, 178208, '\P{^incjkextd}', "");
Expect(1, 178207, '\p{- In_cjk_ext_D}', "");
Expect(0, 178207, '\p{^- In_cjk_ext_D}', "");
Expect(0, 178207, '\P{- In_cjk_ext_D}', "");
Expect(1, 178207, '\P{^- In_cjk_ext_D}', "");
Expect(0, 178208, '\p{- In_cjk_ext_D}', "");
Expect(1, 178208, '\p{^- In_cjk_ext_D}', "");
Expect(1, 178208, '\P{- In_cjk_ext_D}', "");
Expect(0, 178208, '\P{^- In_cjk_ext_D}', "");
Error('\p{ -CJK_UNIFIED_IDEOGRAPHS_extension_E:=}');
Error('\P{ -CJK_UNIFIED_IDEOGRAPHS_extension_E:=}');
Expect(1, 183983, '\p{cjkunifiedideographsextensione}', "");
Expect(0, 183983, '\p{^cjkunifiedideographsextensione}', "");
Expect(0, 183983, '\P{cjkunifiedideographsextensione}', "");
Expect(1, 183983, '\P{^cjkunifiedideographsextensione}', "");
Expect(0, 183984, '\p{cjkunifiedideographsextensione}', "");
Expect(1, 183984, '\p{^cjkunifiedideographsextensione}', "");
Expect(1, 183984, '\P{cjkunifiedideographsextensione}', "");
Expect(0, 183984, '\P{^cjkunifiedideographsextensione}', "");
Expect(1, 183983, '\p{  cjk_Unified_IDEOGRAPHS_Extension_E}', "");
Expect(0, 183983, '\p{^  cjk_Unified_IDEOGRAPHS_Extension_E}', "");
Expect(0, 183983, '\P{  cjk_Unified_IDEOGRAPHS_Extension_E}', "");
Expect(1, 183983, '\P{^  cjk_Unified_IDEOGRAPHS_Extension_E}', "");
Expect(0, 183984, '\p{  cjk_Unified_IDEOGRAPHS_Extension_E}', "");
Expect(1, 183984, '\p{^  cjk_Unified_IDEOGRAPHS_Extension_E}', "");
Expect(1, 183984, '\P{  cjk_Unified_IDEOGRAPHS_Extension_E}', "");
Expect(0, 183984, '\P{^  cjk_Unified_IDEOGRAPHS_Extension_E}', "");
Error('\p{-Is_CJK_Unified_Ideographs_Extension_E/a/}');
Error('\P{-Is_CJK_Unified_Ideographs_Extension_E/a/}');
Expect(1, 183983, '\p{iscjkunifiedideographsextensione}', "");
Expect(0, 183983, '\p{^iscjkunifiedideographsextensione}', "");
Expect(0, 183983, '\P{iscjkunifiedideographsextensione}', "");
Expect(1, 183983, '\P{^iscjkunifiedideographsextensione}', "");
Expect(0, 183984, '\p{iscjkunifiedideographsextensione}', "");
Expect(1, 183984, '\p{^iscjkunifiedideographsextensione}', "");
Expect(1, 183984, '\P{iscjkunifiedideographsextensione}', "");
Expect(0, 183984, '\P{^iscjkunifiedideographsextensione}', "");
Expect(1, 183983, '\p{ 	Is_CJK_Unified_IDEOGRAPHS_Extension_E}', "");
Expect(0, 183983, '\p{^ 	Is_CJK_Unified_IDEOGRAPHS_Extension_E}', "");
Expect(0, 183983, '\P{ 	Is_CJK_Unified_IDEOGRAPHS_Extension_E}', "");
Expect(1, 183983, '\P{^ 	Is_CJK_Unified_IDEOGRAPHS_Extension_E}', "");
Expect(0, 183984, '\p{ 	Is_CJK_Unified_IDEOGRAPHS_Extension_E}', "");
Expect(1, 183984, '\p{^ 	Is_CJK_Unified_IDEOGRAPHS_Extension_E}', "");
Expect(1, 183984, '\P{ 	Is_CJK_Unified_IDEOGRAPHS_Extension_E}', "");
Expect(0, 183984, '\P{^ 	Is_CJK_Unified_IDEOGRAPHS_Extension_E}', "");
Error('\p{-_In_CJK_Unified_Ideographs_Extension_E:=}');
Error('\P{-_In_CJK_Unified_Ideographs_Extension_E:=}');
Expect(1, 183983, '\p{incjkunifiedideographsextensione}', "");
Expect(0, 183983, '\p{^incjkunifiedideographsextensione}', "");
Expect(0, 183983, '\P{incjkunifiedideographsextensione}', "");
Expect(1, 183983, '\P{^incjkunifiedideographsextensione}', "");
Expect(0, 183984, '\p{incjkunifiedideographsextensione}', "");
Expect(1, 183984, '\p{^incjkunifiedideographsextensione}', "");
Expect(1, 183984, '\P{incjkunifiedideographsextensione}', "");
Expect(0, 183984, '\P{^incjkunifiedideographsextensione}', "");
Expect(1, 183983, '\p{-_In_cjk_UNIFIED_Ideographs_Extension_E}', "");
Expect(0, 183983, '\p{^-_In_cjk_UNIFIED_Ideographs_Extension_E}', "");
Expect(0, 183983, '\P{-_In_cjk_UNIFIED_Ideographs_Extension_E}', "");
Expect(1, 183983, '\P{^-_In_cjk_UNIFIED_Ideographs_Extension_E}', "");
Expect(0, 183984, '\p{-_In_cjk_UNIFIED_Ideographs_Extension_E}', "");
Expect(1, 183984, '\p{^-_In_cjk_UNIFIED_Ideographs_Extension_E}', "");
Expect(1, 183984, '\P{-_In_cjk_UNIFIED_Ideographs_Extension_E}', "");
Expect(0, 183984, '\P{^-_In_cjk_UNIFIED_Ideographs_Extension_E}', "");
Error('\p{/a/-CJK_Ext_E}');
Error('\P{/a/-CJK_Ext_E}');
Expect(1, 183983, '\p{cjkexte}', "");
Expect(0, 183983, '\p{^cjkexte}', "");
Expect(0, 183983, '\P{cjkexte}', "");
Expect(1, 183983, '\P{^cjkexte}', "");
Expect(0, 183984, '\p{cjkexte}', "");
Expect(1, 183984, '\p{^cjkexte}', "");
Expect(1, 183984, '\P{cjkexte}', "");
Expect(0, 183984, '\P{^cjkexte}', "");
Expect(1, 183983, '\p{- cjk_Ext_E}', "");
Expect(0, 183983, '\p{^- cjk_Ext_E}', "");
Expect(0, 183983, '\P{- cjk_Ext_E}', "");
Expect(1, 183983, '\P{^- cjk_Ext_E}', "");
Expect(0, 183984, '\p{- cjk_Ext_E}', "");
Expect(1, 183984, '\p{^- cjk_Ext_E}', "");
Expect(1, 183984, '\P{- cjk_Ext_E}', "");
Expect(0, 183984, '\P{^- cjk_Ext_E}', "");
Error('\p{-	Is_CJK_EXT_E:=}');
Error('\P{-	Is_CJK_EXT_E:=}');
Expect(1, 183983, '\p{iscjkexte}', "");
Expect(0, 183983, '\p{^iscjkexte}', "");
Expect(0, 183983, '\P{iscjkexte}', "");
Expect(1, 183983, '\P{^iscjkexte}', "");
Expect(0, 183984, '\p{iscjkexte}', "");
Expect(1, 183984, '\p{^iscjkexte}', "");
Expect(1, 183984, '\P{iscjkexte}', "");
Expect(0, 183984, '\P{^iscjkexte}', "");
Expect(1, 183983, '\p{ is_cjk_Ext_E}', "");
Expect(0, 183983, '\p{^ is_cjk_Ext_E}', "");
Expect(0, 183983, '\P{ is_cjk_Ext_E}', "");
Expect(1, 183983, '\P{^ is_cjk_Ext_E}', "");
Expect(0, 183984, '\p{ is_cjk_Ext_E}', "");
Expect(1, 183984, '\p{^ is_cjk_Ext_E}', "");
Expect(1, 183984, '\P{ is_cjk_Ext_E}', "");
Expect(0, 183984, '\P{^ is_cjk_Ext_E}', "");
Error('\p{	:=In_CJK_ext_E}');
Error('\P{	:=In_CJK_ext_E}');
Expect(1, 183983, '\p{incjkexte}', "");
Expect(0, 183983, '\p{^incjkexte}', "");
Expect(0, 183983, '\P{incjkexte}', "");
Expect(1, 183983, '\P{^incjkexte}', "");
Expect(0, 183984, '\p{incjkexte}', "");
Expect(1, 183984, '\p{^incjkexte}', "");
Expect(1, 183984, '\P{incjkexte}', "");
Expect(0, 183984, '\P{^incjkexte}', "");
Expect(1, 183983, '\p{IN_CJK_EXT_E}', "");
Expect(0, 183983, '\p{^IN_CJK_EXT_E}', "");
Expect(0, 183983, '\P{IN_CJK_EXT_E}', "");
Expect(1, 183983, '\P{^IN_CJK_EXT_E}', "");
Expect(0, 183984, '\p{IN_CJK_EXT_E}', "");
Expect(1, 183984, '\p{^IN_CJK_EXT_E}', "");
Expect(1, 183984, '\P{IN_CJK_EXT_E}', "");
Expect(0, 183984, '\P{^IN_CJK_EXT_E}', "");
Error('\p{  Canadian_aboriginal:=}');
Error('\P{  Canadian_aboriginal:=}');
Expect(1, 6389, '\p{canadianaboriginal}', "");
Expect(0, 6389, '\p{^canadianaboriginal}', "");
Expect(0, 6389, '\P{canadianaboriginal}', "");
Expect(1, 6389, '\P{^canadianaboriginal}', "");
Expect(0, 6390, '\p{canadianaboriginal}', "");
Expect(1, 6390, '\p{^canadianaboriginal}', "");
Expect(1, 6390, '\P{canadianaboriginal}', "");
Expect(0, 6390, '\P{^canadianaboriginal}', "");
Expect(1, 6389, '\p{ -CANADIAN_ABORIGINAL}', "");
Expect(0, 6389, '\p{^ -CANADIAN_ABORIGINAL}', "");
Expect(0, 6389, '\P{ -CANADIAN_ABORIGINAL}', "");
Expect(1, 6389, '\P{^ -CANADIAN_ABORIGINAL}', "");
Expect(0, 6390, '\p{ -CANADIAN_ABORIGINAL}', "");
Expect(1, 6390, '\p{^ -CANADIAN_ABORIGINAL}', "");
Expect(1, 6390, '\P{ -CANADIAN_ABORIGINAL}', "");
Expect(0, 6390, '\P{^ -CANADIAN_ABORIGINAL}', "");
Error('\p{/a/  Is_Canadian_Aboriginal}');
Error('\P{/a/  Is_Canadian_Aboriginal}');
Expect(1, 6389, '\p{iscanadianaboriginal}', "");
Expect(0, 6389, '\p{^iscanadianaboriginal}', "");
Expect(0, 6389, '\P{iscanadianaboriginal}', "");
Expect(1, 6389, '\P{^iscanadianaboriginal}', "");
Expect(0, 6390, '\p{iscanadianaboriginal}', "");
Expect(1, 6390, '\p{^iscanadianaboriginal}', "");
Expect(1, 6390, '\P{iscanadianaboriginal}', "");
Expect(0, 6390, '\P{^iscanadianaboriginal}', "");
Expect(1, 6389, '\p{is_Canadian_Aboriginal}', "");
Expect(0, 6389, '\p{^is_Canadian_Aboriginal}', "");
Expect(0, 6389, '\P{is_Canadian_Aboriginal}', "");
Expect(1, 6389, '\P{^is_Canadian_Aboriginal}', "");
Expect(0, 6390, '\p{is_Canadian_Aboriginal}', "");
Expect(1, 6390, '\p{^is_Canadian_Aboriginal}', "");
Expect(1, 6390, '\P{is_Canadian_Aboriginal}', "");
Expect(0, 6390, '\P{^is_Canadian_Aboriginal}', "");
Error('\p{:=-_cans}');
Error('\P{:=-_cans}');
Expect(1, 6389, '\p{cans}', "");
Expect(0, 6389, '\p{^cans}', "");
Expect(0, 6389, '\P{cans}', "");
Expect(1, 6389, '\P{^cans}', "");
Expect(0, 6390, '\p{cans}', "");
Expect(1, 6390, '\p{^cans}', "");
Expect(1, 6390, '\P{cans}', "");
Expect(0, 6390, '\P{^cans}', "");
Expect(1, 6389, '\p{_Cans}', "");
Expect(0, 6389, '\p{^_Cans}', "");
Expect(0, 6389, '\P{_Cans}', "");
Expect(1, 6389, '\P{^_Cans}', "");
Expect(0, 6390, '\p{_Cans}', "");
Expect(1, 6390, '\p{^_Cans}', "");
Expect(1, 6390, '\P{_Cans}', "");
Expect(0, 6390, '\P{^_Cans}', "");
Error('\p{:=Is_Cans}');
Error('\P{:=Is_Cans}');
Expect(1, 6389, '\p{iscans}', "");
Expect(0, 6389, '\p{^iscans}', "");
Expect(0, 6389, '\P{iscans}', "");
Expect(1, 6389, '\P{^iscans}', "");
Expect(0, 6390, '\p{iscans}', "");
Expect(1, 6390, '\p{^iscans}', "");
Expect(1, 6390, '\P{iscans}', "");
Expect(0, 6390, '\P{^iscans}', "");
Expect(1, 6389, '\p{-Is_CANS}', "");
Expect(0, 6389, '\p{^-Is_CANS}', "");
Expect(0, 6389, '\P{-Is_CANS}', "");
Expect(1, 6389, '\P{^-Is_CANS}', "");
Expect(0, 6390, '\p{-Is_CANS}', "");
Expect(1, 6390, '\p{^-Is_CANS}', "");
Expect(1, 6390, '\P{-Is_CANS}', "");
Expect(0, 6390, '\P{^-Is_CANS}', "");
Error('\p{/a/_-Carian}');
Error('\P{/a/_-Carian}');
Expect(1, 66256, '\p{carian}', "");
Expect(0, 66256, '\p{^carian}', "");
Expect(0, 66256, '\P{carian}', "");
Expect(1, 66256, '\P{^carian}', "");
Expect(0, 66257, '\p{carian}', "");
Expect(1, 66257, '\p{^carian}', "");
Expect(1, 66257, '\P{carian}', "");
Expect(0, 66257, '\P{^carian}', "");
Expect(1, 66256, '\p{  Carian}', "");
Expect(0, 66256, '\p{^  Carian}', "");
Expect(0, 66256, '\P{  Carian}', "");
Expect(1, 66256, '\P{^  Carian}', "");
Expect(0, 66257, '\p{  Carian}', "");
Expect(1, 66257, '\p{^  Carian}', "");
Expect(1, 66257, '\P{  Carian}', "");
Expect(0, 66257, '\P{^  Carian}', "");
Error('\p{/a/- Is_carian}');
Error('\P{/a/- Is_carian}');
Expect(1, 66256, '\p{iscarian}', "");
Expect(0, 66256, '\p{^iscarian}', "");
Expect(0, 66256, '\P{iscarian}', "");
Expect(1, 66256, '\P{^iscarian}', "");
Expect(0, 66257, '\p{iscarian}', "");
Expect(1, 66257, '\p{^iscarian}', "");
Expect(1, 66257, '\P{iscarian}', "");
Expect(0, 66257, '\P{^iscarian}', "");
Expect(1, 66256, '\p{ Is_Carian}', "");
Expect(0, 66256, '\p{^ Is_Carian}', "");
Expect(0, 66256, '\P{ Is_Carian}', "");
Expect(1, 66256, '\P{^ Is_Carian}', "");
Expect(0, 66257, '\p{ Is_Carian}', "");
Expect(1, 66257, '\p{^ Is_Carian}', "");
Expect(1, 66257, '\P{ Is_Carian}', "");
Expect(0, 66257, '\P{^ Is_Carian}', "");
Error('\p{:= _Cari}');
Error('\P{:= _Cari}');
Expect(1, 66256, '\p{cari}', "");
Expect(0, 66256, '\p{^cari}', "");
Expect(0, 66256, '\P{cari}', "");
Expect(1, 66256, '\P{^cari}', "");
Expect(0, 66257, '\p{cari}', "");
Expect(1, 66257, '\p{^cari}', "");
Expect(1, 66257, '\P{cari}', "");
Expect(0, 66257, '\P{^cari}', "");
Expect(1, 66256, '\p{-_CARI}', "");
Expect(0, 66256, '\p{^-_CARI}', "");
Expect(0, 66256, '\P{-_CARI}', "");
Expect(1, 66256, '\P{^-_CARI}', "");
Expect(0, 66257, '\p{-_CARI}', "");
Expect(1, 66257, '\p{^-_CARI}', "");
Expect(1, 66257, '\P{-_CARI}', "");
Expect(0, 66257, '\P{^-_CARI}', "");
Error('\p{ /a/Is_Cari}');
Error('\P{ /a/Is_Cari}');
Expect(1, 66256, '\p{iscari}', "");
Expect(0, 66256, '\p{^iscari}', "");
Expect(0, 66256, '\P{iscari}', "");
Expect(1, 66256, '\P{^iscari}', "");
Expect(0, 66257, '\p{iscari}', "");
Expect(1, 66257, '\p{^iscari}', "");
Expect(1, 66257, '\P{iscari}', "");
Expect(0, 66257, '\P{^iscari}', "");
Expect(1, 66256, '\p{ _is_Cari}', "");
Expect(0, 66256, '\p{^ _is_Cari}', "");
Expect(0, 66256, '\P{ _is_Cari}', "");
Expect(1, 66256, '\P{^ _is_Cari}', "");
Expect(0, 66257, '\p{ _is_Cari}', "");
Expect(1, 66257, '\p{^ _is_Cari}', "");
Expect(1, 66257, '\P{ _is_Cari}', "");
Expect(0, 66257, '\P{^ _is_Cari}', "");
Error('\p{ /a/CASED}');
Error('\P{ /a/CASED}');
Expect(1, 127369, '\p{cased}', "");
Expect(0, 127369, '\p{^cased}', "");
Expect(0, 127369, '\P{cased}', "");
Expect(1, 127369, '\P{^cased}', "");
Expect(0, 127370, '\p{cased}', "");
Expect(1, 127370, '\p{^cased}', "");
Expect(1, 127370, '\P{cased}', "");
Expect(0, 127370, '\P{^cased}', "");
Expect(1, 127369, '\p{_ Cased}', "");
Expect(0, 127369, '\p{^_ Cased}', "");
Expect(0, 127369, '\P{_ Cased}', "");
Expect(1, 127369, '\P{^_ Cased}', "");
Expect(0, 127370, '\p{_ Cased}', "");
Expect(1, 127370, '\p{^_ Cased}', "");
Expect(1, 127370, '\P{_ Cased}', "");
Expect(0, 127370, '\P{^_ Cased}', "");
Error('\p{__IS_Cased/a/}');
Error('\P{__IS_Cased/a/}');
Expect(1, 127369, '\p{iscased}', "");
Expect(0, 127369, '\p{^iscased}', "");
Expect(0, 127369, '\P{iscased}', "");
Expect(1, 127369, '\P{^iscased}', "");
Expect(0, 127370, '\p{iscased}', "");
Expect(1, 127370, '\p{^iscased}', "");
Expect(1, 127370, '\P{iscased}', "");
Expect(0, 127370, '\P{^iscased}', "");
Expect(1, 127369, '\p{--is_CASED}', "");
Expect(0, 127369, '\p{^--is_CASED}', "");
Expect(0, 127369, '\P{--is_CASED}', "");
Expect(1, 127369, '\P{^--is_CASED}', "");
Expect(0, 127370, '\p{--is_CASED}', "");
Expect(1, 127370, '\p{^--is_CASED}', "");
Expect(1, 127370, '\P{--is_CASED}', "");
Expect(0, 127370, '\P{^--is_CASED}', "");
Error('\p{- CASED_letter:=}');
Error('\P{- CASED_letter:=}');
Expect(1, 120779, '\p{casedletter}', "");
Expect(0, 120779, '\p{^casedletter}', "");
Expect(0, 120779, '\P{casedletter}', "");
Expect(1, 120779, '\P{^casedletter}', "");
Expect(0, 120780, '\p{casedletter}', "");
Expect(1, 120780, '\p{^casedletter}', "");
Expect(1, 120780, '\P{casedletter}', "");
Expect(0, 120780, '\P{^casedletter}', "");
Expect(1, 120779, '\p{-_CASED_LETTER}', "");
Expect(0, 120779, '\p{^-_CASED_LETTER}', "");
Expect(0, 120779, '\P{-_CASED_LETTER}', "");
Expect(1, 120779, '\P{^-_CASED_LETTER}', "");
Expect(0, 120780, '\p{-_CASED_LETTER}', "");
Expect(1, 120780, '\p{^-_CASED_LETTER}', "");
Expect(1, 120780, '\P{-_CASED_LETTER}', "");
Expect(0, 120780, '\P{^-_CASED_LETTER}', "");
Error('\p{Is_Cased_LETTER:=}');
Error('\P{Is_Cased_LETTER:=}');
Expect(1, 120779, '\p{iscasedletter}', "");
Expect(0, 120779, '\p{^iscasedletter}', "");
Expect(0, 120779, '\P{iscasedletter}', "");
Expect(1, 120779, '\P{^iscasedletter}', "");
Expect(0, 120780, '\p{iscasedletter}', "");
Expect(1, 120780, '\p{^iscasedletter}', "");
Expect(1, 120780, '\P{iscasedletter}', "");
Expect(0, 120780, '\P{^iscasedletter}', "");
Expect(1, 120779, '\p{ -Is_Cased_letter}', "");
Expect(0, 120779, '\p{^ -Is_Cased_letter}', "");
Expect(0, 120779, '\P{ -Is_Cased_letter}', "");
Expect(1, 120779, '\P{^ -Is_Cased_letter}', "");
Expect(0, 120780, '\p{ -Is_Cased_letter}', "");
Expect(1, 120780, '\p{^ -Is_Cased_letter}', "");
Expect(1, 120780, '\P{ -Is_Cased_letter}', "");
Expect(0, 120780, '\P{^ -Is_Cased_letter}', "");
Error('\p{/a/ LC}');
Error('\P{/a/ LC}');
Expect(1, 120779, '\p{lc}', "");
Expect(0, 120779, '\p{^lc}', "");
Expect(0, 120779, '\P{lc}', "");
Expect(1, 120779, '\P{^lc}', "");
Expect(0, 120780, '\p{lc}', "");
Expect(1, 120780, '\p{^lc}', "");
Expect(1, 120780, '\P{lc}', "");
Expect(0, 120780, '\P{^lc}', "");
Expect(1, 120779, '\p{ LC}', "");
Expect(0, 120779, '\p{^ LC}', "");
Expect(0, 120779, '\P{ LC}', "");
Expect(1, 120779, '\P{^ LC}', "");
Expect(0, 120780, '\p{ LC}', "");
Expect(1, 120780, '\p{^ LC}', "");
Expect(1, 120780, '\P{ LC}', "");
Expect(0, 120780, '\P{^ LC}', "");
Error('\p{-/a/Is_LC}');
Error('\P{-/a/Is_LC}');
Expect(1, 120779, '\p{islc}', "");
Expect(0, 120779, '\p{^islc}', "");
Expect(0, 120779, '\P{islc}', "");
Expect(1, 120779, '\P{^islc}', "");
Expect(0, 120780, '\p{islc}', "");
Expect(1, 120780, '\p{^islc}', "");
Expect(1, 120780, '\P{islc}', "");
Expect(0, 120780, '\P{^islc}', "");
Expect(1, 120779, '\p{__is_LC}', "");
Expect(0, 120779, '\p{^__is_LC}', "");
Expect(0, 120779, '\P{__is_LC}', "");
Expect(1, 120779, '\P{^__is_LC}', "");
Expect(0, 120780, '\p{__is_LC}', "");
Expect(1, 120780, '\p{^__is_LC}', "");
Expect(1, 120780, '\P{__is_LC}', "");
Expect(0, 120780, '\P{^__is_LC}', "");
Error('\p{-/a/L_}');
Error('\P{-/a/L_}');
Expect(1, 120779, '\p{l_}', "");
Expect(0, 120779, '\p{^l_}', "");
Expect(0, 120779, '\P{l_}', "");
Expect(1, 120779, '\P{^l_}', "");
Expect(0, 120780, '\p{l_}', "");
Expect(1, 120780, '\p{^l_}', "");
Expect(1, 120780, '\P{l_}', "");
Expect(0, 120780, '\P{^l_}', "");
Expect(1, 120779, '\p{_ l_}', "");
Expect(0, 120779, '\p{^_ l_}', "");
Expect(0, 120779, '\P{_ l_}', "");
Expect(1, 120779, '\P{^_ l_}', "");
Expect(0, 120780, '\p{_ l_}', "");
Expect(1, 120780, '\p{^_ l_}', "");
Expect(1, 120780, '\P{_ l_}', "");
Expect(0, 120780, '\P{^_ l_}', "");
Error('\p{:=Is_L_}');
Error('\P{:=Is_L_}');
Expect(1, 120779, '\p{isl_}', "");
Expect(0, 120779, '\p{^isl_}', "");
Expect(0, 120779, '\P{isl_}', "");
Expect(1, 120779, '\P{^isl_}', "");
Expect(0, 120780, '\p{isl_}', "");
Expect(1, 120780, '\p{^isl_}', "");
Expect(1, 120780, '\P{isl_}', "");
Expect(0, 120780, '\P{^isl_}', "");
Expect(1, 120779, '\p{-Is_L_}', "");
Expect(0, 120779, '\p{^-Is_L_}', "");
Expect(0, 120779, '\P{-Is_L_}', "");
Expect(1, 120779, '\P{^-Is_L_}', "");
Expect(0, 120780, '\p{-Is_L_}', "");
Expect(1, 120780, '\p{^-Is_L_}', "");
Expect(1, 120780, '\P{-Is_L_}', "");
Expect(0, 120780, '\P{^-Is_L_}', "");
Error('\p{__L&/a/}');
Error('\P{__L&/a/}');
Expect(1, 120779, '\p{l&}', "");
Expect(0, 120779, '\p{^l&}', "");
Expect(0, 120779, '\P{l&}', "");
Expect(1, 120779, '\P{^l&}', "");
Expect(0, 120780, '\p{l&}', "");
Expect(1, 120780, '\p{^l&}', "");
Expect(1, 120780, '\P{l&}', "");
Expect(0, 120780, '\P{^l&}', "");
Expect(1, 120779, '\p{_-l&}', "");
Expect(0, 120779, '\p{^_-l&}', "");
Expect(0, 120779, '\P{_-l&}', "");
Expect(1, 120779, '\P{^_-l&}', "");
Expect(0, 120780, '\p{_-l&}', "");
Expect(1, 120780, '\p{^_-l&}', "");
Expect(1, 120780, '\P{_-l&}', "");
Expect(0, 120780, '\P{^_-l&}', "");
Error('\p{/a/Is_L&}');
Error('\P{/a/Is_L&}');
Expect(1, 120779, '\p{isl&}', "");
Expect(0, 120779, '\p{^isl&}', "");
Expect(0, 120779, '\P{isl&}', "");
Expect(1, 120779, '\P{^isl&}', "");
Expect(0, 120780, '\p{isl&}', "");
Expect(1, 120780, '\p{^isl&}', "");
Expect(1, 120780, '\P{isl&}', "");
Expect(0, 120780, '\P{^isl&}', "");
Expect(1, 120779, '\p{-_Is_L&}', "");
Expect(0, 120779, '\p{^-_Is_L&}', "");
Expect(0, 120779, '\P{-_Is_L&}', "");
Expect(1, 120779, '\P{^-_Is_L&}', "");
Expect(0, 120780, '\p{-_Is_L&}', "");
Expect(1, 120780, '\p{^-_Is_L&}', "");
Expect(1, 120780, '\P{-_Is_L&}', "");
Expect(0, 120780, '\P{^-_Is_L&}', "");
Error('\p{:= CAUCASIAN_Albanian}');
Error('\P{:= CAUCASIAN_Albanian}');
Expect(1, 66927, '\p{caucasianalbanian}', "");
Expect(0, 66927, '\p{^caucasianalbanian}', "");
Expect(0, 66927, '\P{caucasianalbanian}', "");
Expect(1, 66927, '\P{^caucasianalbanian}', "");
Expect(0, 66928, '\p{caucasianalbanian}', "");
Expect(1, 66928, '\p{^caucasianalbanian}', "");
Expect(1, 66928, '\P{caucasianalbanian}', "");
Expect(0, 66928, '\P{^caucasianalbanian}', "");
Expect(1, 66927, '\p{-CAUCASIAN_Albanian}', "");
Expect(0, 66927, '\p{^-CAUCASIAN_Albanian}', "");
Expect(0, 66927, '\P{-CAUCASIAN_Albanian}', "");
Expect(1, 66927, '\P{^-CAUCASIAN_Albanian}', "");
Expect(0, 66928, '\p{-CAUCASIAN_Albanian}', "");
Expect(1, 66928, '\p{^-CAUCASIAN_Albanian}', "");
Expect(1, 66928, '\P{-CAUCASIAN_Albanian}', "");
Expect(0, 66928, '\P{^-CAUCASIAN_Albanian}', "");
Error('\p{/a/_-IS_CAUCASIAN_Albanian}');
Error('\P{/a/_-IS_CAUCASIAN_Albanian}');
Expect(1, 66927, '\p{iscaucasianalbanian}', "");
Expect(0, 66927, '\p{^iscaucasianalbanian}', "");
Expect(0, 66927, '\P{iscaucasianalbanian}', "");
Expect(1, 66927, '\P{^iscaucasianalbanian}', "");
Expect(0, 66928, '\p{iscaucasianalbanian}', "");
Expect(1, 66928, '\p{^iscaucasianalbanian}', "");
Expect(1, 66928, '\P{iscaucasianalbanian}', "");
Expect(0, 66928, '\P{^iscaucasianalbanian}', "");
Expect(1, 66927, '\p{_ Is_caucasian_Albanian}', "");
Expect(0, 66927, '\p{^_ Is_caucasian_Albanian}', "");
Expect(0, 66927, '\P{_ Is_caucasian_Albanian}', "");
Expect(1, 66927, '\P{^_ Is_caucasian_Albanian}', "");
Expect(0, 66928, '\p{_ Is_caucasian_Albanian}', "");
Expect(1, 66928, '\p{^_ Is_caucasian_Albanian}', "");
Expect(1, 66928, '\P{_ Is_caucasian_Albanian}', "");
Expect(0, 66928, '\P{^_ Is_caucasian_Albanian}', "");
Error('\p{_-Aghb:=}');
Error('\P{_-Aghb:=}');
Expect(1, 66927, '\p{aghb}', "");
Expect(0, 66927, '\p{^aghb}', "");
Expect(0, 66927, '\P{aghb}', "");
Expect(1, 66927, '\P{^aghb}', "");
Expect(0, 66928, '\p{aghb}', "");
Expect(1, 66928, '\p{^aghb}', "");
Expect(1, 66928, '\P{aghb}', "");
Expect(0, 66928, '\P{^aghb}', "");
Expect(1, 66927, '\p{_-Aghb}', "");
Expect(0, 66927, '\p{^_-Aghb}', "");
Expect(0, 66927, '\P{_-Aghb}', "");
Expect(1, 66927, '\P{^_-Aghb}', "");
Expect(0, 66928, '\p{_-Aghb}', "");
Expect(1, 66928, '\p{^_-Aghb}', "");
Expect(1, 66928, '\P{_-Aghb}', "");
Expect(0, 66928, '\P{^_-Aghb}', "");
Error('\p{:=Is_aghb}');
Error('\P{:=Is_aghb}');
Expect(1, 66927, '\p{isaghb}', "");
Expect(0, 66927, '\p{^isaghb}', "");
Expect(0, 66927, '\P{isaghb}', "");
Expect(1, 66927, '\P{^isaghb}', "");
Expect(0, 66928, '\p{isaghb}', "");
Expect(1, 66928, '\p{^isaghb}', "");
Expect(1, 66928, '\P{isaghb}', "");
Expect(0, 66928, '\P{^isaghb}', "");
Expect(1, 66927, '\p{	is_AGHB}', "");
Expect(0, 66927, '\p{^	is_AGHB}', "");
Expect(0, 66927, '\P{	is_AGHB}', "");
Expect(1, 66927, '\P{^	is_AGHB}', "");
Expect(0, 66928, '\p{	is_AGHB}', "");
Expect(1, 66928, '\p{^	is_AGHB}', "");
Expect(1, 66928, '\P{	is_AGHB}', "");
Expect(0, 66928, '\P{^	is_AGHB}', "");
Error('\p{-/a/CHAKMA}');
Error('\P{-/a/CHAKMA}');
Expect(1, 69955, '\p{chakma}', "");
Expect(0, 69955, '\p{^chakma}', "");
Expect(0, 69955, '\P{chakma}', "");
Expect(1, 69955, '\P{^chakma}', "");
Expect(0, 69956, '\p{chakma}', "");
Expect(1, 69956, '\p{^chakma}', "");
Expect(1, 69956, '\P{chakma}', "");
Expect(0, 69956, '\P{^chakma}', "");
Expect(1, 69955, '\p{_	Chakma}', "");
Expect(0, 69955, '\p{^_	Chakma}', "");
Expect(0, 69955, '\P{_	Chakma}', "");
Expect(1, 69955, '\P{^_	Chakma}', "");
Expect(0, 69956, '\p{_	Chakma}', "");
Expect(1, 69956, '\p{^_	Chakma}', "");
Expect(1, 69956, '\P{_	Chakma}', "");
Expect(0, 69956, '\P{^_	Chakma}', "");
Error('\p{_/a/IS_Chakma}');
Error('\P{_/a/IS_Chakma}');
Expect(1, 69955, '\p{ischakma}', "");
Expect(0, 69955, '\p{^ischakma}', "");
Expect(0, 69955, '\P{ischakma}', "");
Expect(1, 69955, '\P{^ischakma}', "");
Expect(0, 69956, '\p{ischakma}', "");
Expect(1, 69956, '\p{^ischakma}', "");
Expect(1, 69956, '\P{ischakma}', "");
Expect(0, 69956, '\P{^ischakma}', "");
Expect(1, 69955, '\p{	Is_chakma}', "");
Expect(0, 69955, '\p{^	Is_chakma}', "");
Expect(0, 69955, '\P{	Is_chakma}', "");
Expect(1, 69955, '\P{^	Is_chakma}', "");
Expect(0, 69956, '\p{	Is_chakma}', "");
Expect(1, 69956, '\p{^	Is_chakma}', "");
Expect(1, 69956, '\P{	Is_chakma}', "");
Expect(0, 69956, '\P{^	Is_chakma}', "");
Error('\p{ :=CAKM}');
Error('\P{ :=CAKM}');
Expect(1, 69955, '\p{cakm}', "");
Expect(0, 69955, '\p{^cakm}', "");
Expect(0, 69955, '\P{cakm}', "");
Expect(1, 69955, '\P{^cakm}', "");
Expect(0, 69956, '\p{cakm}', "");
Expect(1, 69956, '\p{^cakm}', "");
Expect(1, 69956, '\P{cakm}', "");
Expect(0, 69956, '\P{^cakm}', "");
Expect(1, 69955, '\p{_Cakm}', "");
Expect(0, 69955, '\p{^_Cakm}', "");
Expect(0, 69955, '\P{_Cakm}', "");
Expect(1, 69955, '\P{^_Cakm}', "");
Expect(0, 69956, '\p{_Cakm}', "");
Expect(1, 69956, '\p{^_Cakm}', "");
Expect(1, 69956, '\P{_Cakm}', "");
Expect(0, 69956, '\P{^_Cakm}', "");
Error('\p{-	Is_CAKM:=}');
Error('\P{-	Is_CAKM:=}');
Expect(1, 69955, '\p{iscakm}', "");
Expect(0, 69955, '\p{^iscakm}', "");
Expect(0, 69955, '\P{iscakm}', "");
Expect(1, 69955, '\P{^iscakm}', "");
Expect(0, 69956, '\p{iscakm}', "");
Expect(1, 69956, '\p{^iscakm}', "");
Expect(1, 69956, '\P{iscakm}', "");
Expect(0, 69956, '\P{^iscakm}', "");
Expect(1, 69955, '\p{ -IS_cakm}', "");
Expect(0, 69955, '\p{^ -IS_cakm}', "");
Expect(0, 69955, '\P{ -IS_cakm}', "");
Expect(1, 69955, '\P{^ -IS_cakm}', "");
Expect(0, 69956, '\p{ -IS_cakm}', "");
Expect(1, 69956, '\p{^ -IS_cakm}', "");
Expect(1, 69956, '\P{ -IS_cakm}', "");
Expect(0, 69956, '\P{^ -IS_cakm}', "");
Error('\p{_-cham/a/}');
Error('\P{_-cham/a/}');
Expect(1, 43615, '\p{cham}', "");
Expect(0, 43615, '\p{^cham}', "");
Expect(0, 43615, '\P{cham}', "");
Expect(1, 43615, '\P{^cham}', "");
Expect(0, 43616, '\p{cham}', "");
Expect(1, 43616, '\p{^cham}', "");
Expect(1, 43616, '\P{cham}', "");
Expect(0, 43616, '\P{^cham}', "");
Expect(1, 43615, '\p{	Cham}', "");
Expect(0, 43615, '\p{^	Cham}', "");
Expect(0, 43615, '\P{	Cham}', "");
Expect(1, 43615, '\P{^	Cham}', "");
Expect(0, 43616, '\p{	Cham}', "");
Expect(1, 43616, '\p{^	Cham}', "");
Expect(1, 43616, '\P{	Cham}', "");
Expect(0, 43616, '\P{^	Cham}', "");
Error('\p{/a/ _IS_Cham}');
Error('\P{/a/ _IS_Cham}');
Expect(1, 43615, '\p{ischam}', "");
Expect(0, 43615, '\p{^ischam}', "");
Expect(0, 43615, '\P{ischam}', "");
Expect(1, 43615, '\P{^ischam}', "");
Expect(0, 43616, '\p{ischam}', "");
Expect(1, 43616, '\p{^ischam}', "");
Expect(1, 43616, '\P{ischam}', "");
Expect(0, 43616, '\P{^ischam}', "");
Expect(1, 43615, '\p{		Is_CHAM}', "");
Expect(0, 43615, '\p{^		Is_CHAM}', "");
Expect(0, 43615, '\P{		Is_CHAM}', "");
Expect(1, 43615, '\P{^		Is_CHAM}', "");
Expect(0, 43616, '\p{		Is_CHAM}', "");
Expect(1, 43616, '\p{^		Is_CHAM}', "");
Expect(1, 43616, '\P{		Is_CHAM}', "");
Expect(0, 43616, '\P{^		Is_CHAM}', "");
Error('\p{:= _CHANGES_WHEN_Casefolded}');
Error('\P{:= _CHANGES_WHEN_Casefolded}');
Expect(1, 71871, '\p{changeswhencasefolded}', "");
Expect(0, 71871, '\p{^changeswhencasefolded}', "");
Expect(0, 71871, '\P{changeswhencasefolded}', "");
Expect(1, 71871, '\P{^changeswhencasefolded}', "");
Expect(0, 71872, '\p{changeswhencasefolded}', "");
Expect(1, 71872, '\p{^changeswhencasefolded}', "");
Expect(1, 71872, '\P{changeswhencasefolded}', "");
Expect(0, 71872, '\P{^changeswhencasefolded}', "");
Expect(1, 71871, '\p{_	Changes_WHEN_Casefolded}', "");
Expect(0, 71871, '\p{^_	Changes_WHEN_Casefolded}', "");
Expect(0, 71871, '\P{_	Changes_WHEN_Casefolded}', "");
Expect(1, 71871, '\P{^_	Changes_WHEN_Casefolded}', "");
Expect(0, 71872, '\p{_	Changes_WHEN_Casefolded}', "");
Expect(1, 71872, '\p{^_	Changes_WHEN_Casefolded}', "");
Expect(1, 71872, '\P{_	Changes_WHEN_Casefolded}', "");
Expect(0, 71872, '\P{^_	Changes_WHEN_Casefolded}', "");
Error('\p{:=-is_CHANGES_when_CASEFOLDED}');
Error('\P{:=-is_CHANGES_when_CASEFOLDED}');
Expect(1, 71871, '\p{ischangeswhencasefolded}', "");
Expect(0, 71871, '\p{^ischangeswhencasefolded}', "");
Expect(0, 71871, '\P{ischangeswhencasefolded}', "");
Expect(1, 71871, '\P{^ischangeswhencasefolded}', "");
Expect(0, 71872, '\p{ischangeswhencasefolded}', "");
Expect(1, 71872, '\p{^ischangeswhencasefolded}', "");
Expect(1, 71872, '\P{ischangeswhencasefolded}', "");
Expect(0, 71872, '\P{^ischangeswhencasefolded}', "");
Expect(1, 71871, '\p{		Is_changes_When_Casefolded}', "");
Expect(0, 71871, '\p{^		Is_changes_When_Casefolded}', "");
Expect(0, 71871, '\P{		Is_changes_When_Casefolded}', "");
Expect(1, 71871, '\P{^		Is_changes_When_Casefolded}', "");
Expect(0, 71872, '\p{		Is_changes_When_Casefolded}', "");
Expect(1, 71872, '\p{^		Is_changes_When_Casefolded}', "");
Expect(1, 71872, '\P{		Is_changes_When_Casefolded}', "");
Expect(0, 71872, '\P{^		Is_changes_When_Casefolded}', "");
Error('\p{	/a/CWCF}');
Error('\P{	/a/CWCF}');
Expect(1, 71871, '\p{cwcf}', "");
Expect(0, 71871, '\p{^cwcf}', "");
Expect(0, 71871, '\P{cwcf}', "");
Expect(1, 71871, '\P{^cwcf}', "");
Expect(0, 71872, '\p{cwcf}', "");
Expect(1, 71872, '\p{^cwcf}', "");
Expect(1, 71872, '\P{cwcf}', "");
Expect(0, 71872, '\P{^cwcf}', "");
Expect(1, 71871, '\p{	-cwcf}', "");
Expect(0, 71871, '\p{^	-cwcf}', "");
Expect(0, 71871, '\P{	-cwcf}', "");
Expect(1, 71871, '\P{^	-cwcf}', "");
Expect(0, 71872, '\p{	-cwcf}', "");
Expect(1, 71872, '\p{^	-cwcf}', "");
Expect(1, 71872, '\P{	-cwcf}', "");
Expect(0, 71872, '\P{^	-cwcf}', "");
Error('\p{/a/ -Is_CWCF}');
Error('\P{/a/ -Is_CWCF}');
Expect(1, 71871, '\p{iscwcf}', "");
Expect(0, 71871, '\p{^iscwcf}', "");
Expect(0, 71871, '\P{iscwcf}', "");
Expect(1, 71871, '\P{^iscwcf}', "");
Expect(0, 71872, '\p{iscwcf}', "");
Expect(1, 71872, '\p{^iscwcf}', "");
Expect(1, 71872, '\P{iscwcf}', "");
Expect(0, 71872, '\P{^iscwcf}', "");
Expect(1, 71871, '\p{	-is_CWCF}', "");
Expect(0, 71871, '\p{^	-is_CWCF}', "");
Expect(0, 71871, '\P{	-is_CWCF}', "");
Expect(1, 71871, '\P{^	-is_CWCF}', "");
Expect(0, 71872, '\p{	-is_CWCF}', "");
Expect(1, 71872, '\p{^	-is_CWCF}', "");
Expect(1, 71872, '\P{	-is_CWCF}', "");
Expect(0, 71872, '\P{^	-is_CWCF}', "");
Error('\p{-_changes_When_casemapped/a/}');
Error('\P{-_changes_When_casemapped/a/}');
Expect(1, 71903, '\p{changeswhencasemapped}', "");
Expect(0, 71903, '\p{^changeswhencasemapped}', "");
Expect(0, 71903, '\P{changeswhencasemapped}', "");
Expect(1, 71903, '\P{^changeswhencasemapped}', "");
Expect(0, 71904, '\p{changeswhencasemapped}', "");
Expect(1, 71904, '\p{^changeswhencasemapped}', "");
Expect(1, 71904, '\P{changeswhencasemapped}', "");
Expect(0, 71904, '\P{^changeswhencasemapped}', "");
Expect(1, 71903, '\p{_-CHANGES_When_Casemapped}', "");
Expect(0, 71903, '\p{^_-CHANGES_When_Casemapped}', "");
Expect(0, 71903, '\P{_-CHANGES_When_Casemapped}', "");
Expect(1, 71903, '\P{^_-CHANGES_When_Casemapped}', "");
Expect(0, 71904, '\p{_-CHANGES_When_Casemapped}', "");
Expect(1, 71904, '\p{^_-CHANGES_When_Casemapped}', "");
Expect(1, 71904, '\P{_-CHANGES_When_Casemapped}', "");
Expect(0, 71904, '\P{^_-CHANGES_When_Casemapped}', "");
Error('\p{/a/is_changes_when_Casemapped}');
Error('\P{/a/is_changes_when_Casemapped}');
Expect(1, 71903, '\p{ischangeswhencasemapped}', "");
Expect(0, 71903, '\p{^ischangeswhencasemapped}', "");
Expect(0, 71903, '\P{ischangeswhencasemapped}', "");
Expect(1, 71903, '\P{^ischangeswhencasemapped}', "");
Expect(0, 71904, '\p{ischangeswhencasemapped}', "");
Expect(1, 71904, '\p{^ischangeswhencasemapped}', "");
Expect(1, 71904, '\P{ischangeswhencasemapped}', "");
Expect(0, 71904, '\P{^ischangeswhencasemapped}', "");
Expect(1, 71903, '\p{ Is_Changes_when_Casemapped}', "");
Expect(0, 71903, '\p{^ Is_Changes_when_Casemapped}', "");
Expect(0, 71903, '\P{ Is_Changes_when_Casemapped}', "");
Expect(1, 71903, '\P{^ Is_Changes_when_Casemapped}', "");
Expect(0, 71904, '\p{ Is_Changes_when_Casemapped}', "");
Expect(1, 71904, '\p{^ Is_Changes_when_Casemapped}', "");
Expect(1, 71904, '\P{ Is_Changes_when_Casemapped}', "");
Expect(0, 71904, '\P{^ Is_Changes_when_Casemapped}', "");
Error('\p{-/a/cwcm}');
Error('\P{-/a/cwcm}');
Expect(1, 71903, '\p{cwcm}', "");
Expect(0, 71903, '\p{^cwcm}', "");
Expect(0, 71903, '\P{cwcm}', "");
Expect(1, 71903, '\P{^cwcm}', "");
Expect(0, 71904, '\p{cwcm}', "");
Expect(1, 71904, '\p{^cwcm}', "");
Expect(1, 71904, '\P{cwcm}', "");
Expect(0, 71904, '\P{^cwcm}', "");
Expect(1, 71903, '\p{_	CWCM}', "");
Expect(0, 71903, '\p{^_	CWCM}', "");
Expect(0, 71903, '\P{_	CWCM}', "");
Expect(1, 71903, '\P{^_	CWCM}', "");
Expect(0, 71904, '\p{_	CWCM}', "");
Expect(1, 71904, '\p{^_	CWCM}', "");
Expect(1, 71904, '\P{_	CWCM}', "");
Expect(0, 71904, '\P{^_	CWCM}', "");
Error('\p{/a/	IS_CWCM}');
Error('\P{/a/	IS_CWCM}');
Expect(1, 71903, '\p{iscwcm}', "");
Expect(0, 71903, '\p{^iscwcm}', "");
Expect(0, 71903, '\P{iscwcm}', "");
Expect(1, 71903, '\P{^iscwcm}', "");
Expect(0, 71904, '\p{iscwcm}', "");
Expect(1, 71904, '\p{^iscwcm}', "");
Expect(1, 71904, '\P{iscwcm}', "");
Expect(0, 71904, '\P{^iscwcm}', "");
Expect(1, 71903, '\p{		Is_CWCM}', "");
Expect(0, 71903, '\p{^		Is_CWCM}', "");
Expect(0, 71903, '\P{		Is_CWCM}', "");
Expect(1, 71903, '\P{^		Is_CWCM}', "");
Expect(0, 71904, '\p{		Is_CWCM}', "");
Expect(1, 71904, '\p{^		Is_CWCM}', "");
Expect(1, 71904, '\P{		Is_CWCM}', "");
Expect(0, 71904, '\P{^		Is_CWCM}', "");
Error('\p{:= Changes_When_LOWERCASED}');
Error('\P{:= Changes_When_LOWERCASED}');
Expect(1, 71871, '\p{changeswhenlowercased}', "");
Expect(0, 71871, '\p{^changeswhenlowercased}', "");
Expect(0, 71871, '\P{changeswhenlowercased}', "");
Expect(1, 71871, '\P{^changeswhenlowercased}', "");
Expect(0, 71872, '\p{changeswhenlowercased}', "");
Expect(1, 71872, '\p{^changeswhenlowercased}', "");
Expect(1, 71872, '\P{changeswhenlowercased}', "");
Expect(0, 71872, '\P{^changeswhenlowercased}', "");
Expect(1, 71871, '\p{_-CHANGES_WHEN_lowercased}', "");
Expect(0, 71871, '\p{^_-CHANGES_WHEN_lowercased}', "");
Expect(0, 71871, '\P{_-CHANGES_WHEN_lowercased}', "");
Expect(1, 71871, '\P{^_-CHANGES_WHEN_lowercased}', "");
Expect(0, 71872, '\p{_-CHANGES_WHEN_lowercased}', "");
Expect(1, 71872, '\p{^_-CHANGES_WHEN_lowercased}', "");
Expect(1, 71872, '\P{_-CHANGES_WHEN_lowercased}', "");
Expect(0, 71872, '\P{^_-CHANGES_WHEN_lowercased}', "");
Error('\p{ 	Is_changes_when_LOWERCASED:=}');
Error('\P{ 	Is_changes_when_LOWERCASED:=}');
Expect(1, 71871, '\p{ischangeswhenlowercased}', "");
Expect(0, 71871, '\p{^ischangeswhenlowercased}', "");
Expect(0, 71871, '\P{ischangeswhenlowercased}', "");
Expect(1, 71871, '\P{^ischangeswhenlowercased}', "");
Expect(0, 71872, '\p{ischangeswhenlowercased}', "");
Expect(1, 71872, '\p{^ischangeswhenlowercased}', "");
Expect(1, 71872, '\P{ischangeswhenlowercased}', "");
Expect(0, 71872, '\P{^ischangeswhenlowercased}', "");
Expect(1, 71871, '\p{is_CHANGES_When_Lowercased}', "");
Expect(0, 71871, '\p{^is_CHANGES_When_Lowercased}', "");
Expect(0, 71871, '\P{is_CHANGES_When_Lowercased}', "");
Expect(1, 71871, '\P{^is_CHANGES_When_Lowercased}', "");
Expect(0, 71872, '\p{is_CHANGES_When_Lowercased}', "");
Expect(1, 71872, '\p{^is_CHANGES_When_Lowercased}', "");
Expect(1, 71872, '\P{is_CHANGES_When_Lowercased}', "");
Expect(0, 71872, '\P{^is_CHANGES_When_Lowercased}', "");
Error('\p{_-CWL/a/}');
Error('\P{_-CWL/a/}');
Expect(1, 71871, '\p{cwl}', "");
Expect(0, 71871, '\p{^cwl}', "");
Expect(0, 71871, '\P{cwl}', "");
Expect(1, 71871, '\P{^cwl}', "");
Expect(0, 71872, '\p{cwl}', "");
Expect(1, 71872, '\p{^cwl}', "");
Expect(1, 71872, '\P{cwl}', "");
Expect(0, 71872, '\P{^cwl}', "");
Expect(1, 71871, '\p{-_CWL}', "");
Expect(0, 71871, '\p{^-_CWL}', "");
Expect(0, 71871, '\P{-_CWL}', "");
Expect(1, 71871, '\P{^-_CWL}', "");
Expect(0, 71872, '\p{-_CWL}', "");
Expect(1, 71872, '\p{^-_CWL}', "");
Expect(1, 71872, '\P{-_CWL}', "");
Expect(0, 71872, '\P{^-_CWL}', "");
Error('\p{	-is_CWL:=}');
Error('\P{	-is_CWL:=}');
Expect(1, 71871, '\p{iscwl}', "");
Expect(0, 71871, '\p{^iscwl}', "");
Expect(0, 71871, '\P{iscwl}', "");
Expect(1, 71871, '\P{^iscwl}', "");
Expect(0, 71872, '\p{iscwl}', "");
Expect(1, 71872, '\p{^iscwl}', "");
Expect(1, 71872, '\P{iscwl}', "");
Expect(0, 71872, '\P{^iscwl}', "");
Expect(1, 71871, '\p{--Is_CWL}', "");
Expect(0, 71871, '\p{^--Is_CWL}', "");
Expect(0, 71871, '\P{--Is_CWL}', "");
Expect(1, 71871, '\P{^--Is_CWL}', "");
Expect(0, 71872, '\p{--Is_CWL}', "");
Expect(1, 71872, '\p{^--Is_CWL}', "");
Expect(1, 71872, '\P{--Is_CWL}', "");
Expect(0, 71872, '\P{^--Is_CWL}', "");
Error('\p{_/a/changes_when_NFKC_Casefolded}');
Error('\P{_/a/changes_when_NFKC_Casefolded}');
Expect(1, 921599, '\p{changeswhennfkccasefolded}', "");
Expect(0, 921599, '\p{^changeswhennfkccasefolded}', "");
Expect(0, 921599, '\P{changeswhennfkccasefolded}', "");
Expect(1, 921599, '\P{^changeswhennfkccasefolded}', "");
Expect(0, 921600, '\p{changeswhennfkccasefolded}', "");
Expect(1, 921600, '\p{^changeswhennfkccasefolded}', "");
Expect(1, 921600, '\P{changeswhennfkccasefolded}', "");
Expect(0, 921600, '\P{^changeswhennfkccasefolded}', "");
Expect(1, 921599, '\p{	Changes_WHEN_NFKC_Casefolded}', "");
Expect(0, 921599, '\p{^	Changes_WHEN_NFKC_Casefolded}', "");
Expect(0, 921599, '\P{	Changes_WHEN_NFKC_Casefolded}', "");
Expect(1, 921599, '\P{^	Changes_WHEN_NFKC_Casefolded}', "");
Expect(0, 921600, '\p{	Changes_WHEN_NFKC_Casefolded}', "");
Expect(1, 921600, '\p{^	Changes_WHEN_NFKC_Casefolded}', "");
Expect(1, 921600, '\P{	Changes_WHEN_NFKC_Casefolded}', "");
Expect(0, 921600, '\P{^	Changes_WHEN_NFKC_Casefolded}', "");
Error('\p{ /a/Is_changes_when_nfkc_CASEFOLDED}');
Error('\P{ /a/Is_changes_when_nfkc_CASEFOLDED}');
Expect(1, 921599, '\p{ischangeswhennfkccasefolded}', "");
Expect(0, 921599, '\p{^ischangeswhennfkccasefolded}', "");
Expect(0, 921599, '\P{ischangeswhennfkccasefolded}', "");
Expect(1, 921599, '\P{^ischangeswhennfkccasefolded}', "");
Expect(0, 921600, '\p{ischangeswhennfkccasefolded}', "");
Expect(1, 921600, '\p{^ischangeswhennfkccasefolded}', "");
Expect(1, 921600, '\P{ischangeswhennfkccasefolded}', "");
Expect(0, 921600, '\P{^ischangeswhennfkccasefolded}', "");
Expect(1, 921599, '\p{Is_changes_when_NFKC_Casefolded}', "");
Expect(0, 921599, '\p{^Is_changes_when_NFKC_Casefolded}', "");
Expect(0, 921599, '\P{Is_changes_when_NFKC_Casefolded}', "");
Expect(1, 921599, '\P{^Is_changes_when_NFKC_Casefolded}', "");
Expect(0, 921600, '\p{Is_changes_when_NFKC_Casefolded}', "");
Expect(1, 921600, '\p{^Is_changes_when_NFKC_Casefolded}', "");
Expect(1, 921600, '\P{Is_changes_when_NFKC_Casefolded}', "");
Expect(0, 921600, '\P{^Is_changes_when_NFKC_Casefolded}', "");
Error('\p{_/a/CWKCF}');
Error('\P{_/a/CWKCF}');
Expect(1, 921599, '\p{cwkcf}', "");
Expect(0, 921599, '\p{^cwkcf}', "");
Expect(0, 921599, '\P{cwkcf}', "");
Expect(1, 921599, '\P{^cwkcf}', "");
Expect(0, 921600, '\p{cwkcf}', "");
Expect(1, 921600, '\p{^cwkcf}', "");
Expect(1, 921600, '\P{cwkcf}', "");
Expect(0, 921600, '\P{^cwkcf}', "");
Expect(1, 921599, '\p{_CWKCF}', "");
Expect(0, 921599, '\p{^_CWKCF}', "");
Expect(0, 921599, '\P{_CWKCF}', "");
Expect(1, 921599, '\P{^_CWKCF}', "");
Expect(0, 921600, '\p{_CWKCF}', "");
Expect(1, 921600, '\p{^_CWKCF}', "");
Expect(1, 921600, '\P{_CWKCF}', "");
Expect(0, 921600, '\P{^_CWKCF}', "");
Error('\p{_/a/Is_CWKCF}');
Error('\P{_/a/Is_CWKCF}');
Expect(1, 921599, '\p{iscwkcf}', "");
Expect(0, 921599, '\p{^iscwkcf}', "");
Expect(0, 921599, '\P{iscwkcf}', "");
Expect(1, 921599, '\P{^iscwkcf}', "");
Expect(0, 921600, '\p{iscwkcf}', "");
Expect(1, 921600, '\p{^iscwkcf}', "");
Expect(1, 921600, '\P{iscwkcf}', "");
Expect(0, 921600, '\P{^iscwkcf}', "");
Expect(1, 921599, '\p{	 Is_CWKCF}', "");
Expect(0, 921599, '\p{^	 Is_CWKCF}', "");
Expect(0, 921599, '\P{	 Is_CWKCF}', "");
Expect(1, 921599, '\P{^	 Is_CWKCF}', "");
Expect(0, 921600, '\p{	 Is_CWKCF}', "");
Expect(1, 921600, '\p{^	 Is_CWKCF}', "");
Expect(1, 921600, '\P{	 Is_CWKCF}', "");
Expect(0, 921600, '\P{^	 Is_CWKCF}', "");
Error('\p{ :=Changes_WHEN_TITLECASED}');
Error('\P{ :=Changes_WHEN_TITLECASED}');
Expect(1, 71903, '\p{changeswhentitlecased}', "");
Expect(0, 71903, '\p{^changeswhentitlecased}', "");
Expect(0, 71903, '\P{changeswhentitlecased}', "");
Expect(1, 71903, '\P{^changeswhentitlecased}', "");
Expect(0, 71904, '\p{changeswhentitlecased}', "");
Expect(1, 71904, '\p{^changeswhentitlecased}', "");
Expect(1, 71904, '\P{changeswhentitlecased}', "");
Expect(0, 71904, '\P{^changeswhentitlecased}', "");
Expect(1, 71903, '\p{ -Changes_When_Titlecased}', "");
Expect(0, 71903, '\p{^ -Changes_When_Titlecased}', "");
Expect(0, 71903, '\P{ -Changes_When_Titlecased}', "");
Expect(1, 71903, '\P{^ -Changes_When_Titlecased}', "");
Expect(0, 71904, '\p{ -Changes_When_Titlecased}', "");
Expect(1, 71904, '\p{^ -Changes_When_Titlecased}', "");
Expect(1, 71904, '\P{ -Changes_When_Titlecased}', "");
Expect(0, 71904, '\P{^ -Changes_When_Titlecased}', "");
Error('\p{	:=Is_Changes_When_TITLECASED}');
Error('\P{	:=Is_Changes_When_TITLECASED}');
Expect(1, 71903, '\p{ischangeswhentitlecased}', "");
Expect(0, 71903, '\p{^ischangeswhentitlecased}', "");
Expect(0, 71903, '\P{ischangeswhentitlecased}', "");
Expect(1, 71903, '\P{^ischangeswhentitlecased}', "");
Expect(0, 71904, '\p{ischangeswhentitlecased}', "");
Expect(1, 71904, '\p{^ischangeswhentitlecased}', "");
Expect(1, 71904, '\P{ischangeswhentitlecased}', "");
Expect(0, 71904, '\P{^ischangeswhentitlecased}', "");
Expect(1, 71903, '\p{-Is_changes_WHEN_titlecased}', "");
Expect(0, 71903, '\p{^-Is_changes_WHEN_titlecased}', "");
Expect(0, 71903, '\P{-Is_changes_WHEN_titlecased}', "");
Expect(1, 71903, '\P{^-Is_changes_WHEN_titlecased}', "");
Expect(0, 71904, '\p{-Is_changes_WHEN_titlecased}', "");
Expect(1, 71904, '\p{^-Is_changes_WHEN_titlecased}', "");
Expect(1, 71904, '\P{-Is_changes_WHEN_titlecased}', "");
Expect(0, 71904, '\P{^-Is_changes_WHEN_titlecased}', "");
Error('\p{/a/ CWT}');
Error('\P{/a/ CWT}');
Expect(1, 71903, '\p{cwt}', "");
Expect(0, 71903, '\p{^cwt}', "");
Expect(0, 71903, '\P{cwt}', "");
Expect(1, 71903, '\P{^cwt}', "");
Expect(0, 71904, '\p{cwt}', "");
Expect(1, 71904, '\p{^cwt}', "");
Expect(1, 71904, '\P{cwt}', "");
Expect(0, 71904, '\P{^cwt}', "");
Expect(1, 71903, '\p{-CWT}', "");
Expect(0, 71903, '\p{^-CWT}', "");
Expect(0, 71903, '\P{-CWT}', "");
Expect(1, 71903, '\P{^-CWT}', "");
Expect(0, 71904, '\p{-CWT}', "");
Expect(1, 71904, '\p{^-CWT}', "");
Expect(1, 71904, '\P{-CWT}', "");
Expect(0, 71904, '\P{^-CWT}', "");
Error('\p{ /a/IS_CWT}');
Error('\P{ /a/IS_CWT}');
Expect(1, 71903, '\p{iscwt}', "");
Expect(0, 71903, '\p{^iscwt}', "");
Expect(0, 71903, '\P{iscwt}', "");
Expect(1, 71903, '\P{^iscwt}', "");
Expect(0, 71904, '\p{iscwt}', "");
Expect(1, 71904, '\p{^iscwt}', "");
Expect(1, 71904, '\P{iscwt}', "");
Expect(0, 71904, '\P{^iscwt}', "");
Expect(1, 71903, '\p{  Is_CWT}', "");
Expect(0, 71903, '\p{^  Is_CWT}', "");
Expect(0, 71903, '\P{  Is_CWT}', "");
Expect(1, 71903, '\P{^  Is_CWT}', "");
Expect(0, 71904, '\p{  Is_CWT}', "");
Expect(1, 71904, '\p{^  Is_CWT}', "");
Expect(1, 71904, '\P{  Is_CWT}', "");
Expect(0, 71904, '\P{^  Is_CWT}', "");
Error('\p{/a/--Changes_When_UPPERCASED}');
Error('\P{/a/--Changes_When_UPPERCASED}');
Expect(1, 71903, '\p{changeswhenuppercased}', "");
Expect(0, 71903, '\p{^changeswhenuppercased}', "");
Expect(0, 71903, '\P{changeswhenuppercased}', "");
Expect(1, 71903, '\P{^changeswhenuppercased}', "");
Expect(0, 71904, '\p{changeswhenuppercased}', "");
Expect(1, 71904, '\p{^changeswhenuppercased}', "");
Expect(1, 71904, '\P{changeswhenuppercased}', "");
Expect(0, 71904, '\P{^changeswhenuppercased}', "");
Expect(1, 71903, '\p{ _CHANGES_WHEN_uppercased}', "");
Expect(0, 71903, '\p{^ _CHANGES_WHEN_uppercased}', "");
Expect(0, 71903, '\P{ _CHANGES_WHEN_uppercased}', "");
Expect(1, 71903, '\P{^ _CHANGES_WHEN_uppercased}', "");
Expect(0, 71904, '\p{ _CHANGES_WHEN_uppercased}', "");
Expect(1, 71904, '\p{^ _CHANGES_WHEN_uppercased}', "");
Expect(1, 71904, '\P{ _CHANGES_WHEN_uppercased}', "");
Expect(0, 71904, '\P{^ _CHANGES_WHEN_uppercased}', "");
Error('\p{		IS_Changes_When_uppercased:=}');
Error('\P{		IS_Changes_When_uppercased:=}');
Expect(1, 71903, '\p{ischangeswhenuppercased}', "");
Expect(0, 71903, '\p{^ischangeswhenuppercased}', "");
Expect(0, 71903, '\P{ischangeswhenuppercased}', "");
Expect(1, 71903, '\P{^ischangeswhenuppercased}', "");
Expect(0, 71904, '\p{ischangeswhenuppercased}', "");
Expect(1, 71904, '\p{^ischangeswhenuppercased}', "");
Expect(1, 71904, '\P{ischangeswhenuppercased}', "");
Expect(0, 71904, '\P{^ischangeswhenuppercased}', "");
Expect(1, 71903, '\p{	_Is_Changes_When_uppercased}', "");
Expect(0, 71903, '\p{^	_Is_Changes_When_uppercased}', "");
Expect(0, 71903, '\P{	_Is_Changes_When_uppercased}', "");
Expect(1, 71903, '\P{^	_Is_Changes_When_uppercased}', "");
Expect(0, 71904, '\p{	_Is_Changes_When_uppercased}', "");
Expect(1, 71904, '\p{^	_Is_Changes_When_uppercased}', "");
Expect(1, 71904, '\P{	_Is_Changes_When_uppercased}', "");
Expect(0, 71904, '\P{^	_Is_Changes_When_uppercased}', "");
Error('\p{	_CWU/a/}');
Error('\P{	_CWU/a/}');
Expect(1, 71903, '\p{cwu}', "");
Expect(0, 71903, '\p{^cwu}', "");
Expect(0, 71903, '\P{cwu}', "");
Expect(1, 71903, '\P{^cwu}', "");
Expect(0, 71904, '\p{cwu}', "");
Expect(1, 71904, '\p{^cwu}', "");
Expect(1, 71904, '\P{cwu}', "");
Expect(0, 71904, '\P{^cwu}', "");
Expect(1, 71903, '\p{ CWU}', "");
Expect(0, 71903, '\p{^ CWU}', "");
Expect(0, 71903, '\P{ CWU}', "");
Expect(1, 71903, '\P{^ CWU}', "");
Expect(0, 71904, '\p{ CWU}', "");
Expect(1, 71904, '\p{^ CWU}', "");
Expect(1, 71904, '\P{ CWU}', "");
Expect(0, 71904, '\P{^ CWU}', "");
Error('\p{/a/_-is_CWU}');
Error('\P{/a/_-is_CWU}');
Expect(1, 71903, '\p{iscwu}', "");
Expect(0, 71903, '\p{^iscwu}', "");
Expect(0, 71903, '\P{iscwu}', "");
Expect(1, 71903, '\P{^iscwu}', "");
Expect(0, 71904, '\p{iscwu}', "");
Expect(1, 71904, '\p{^iscwu}', "");
Expect(1, 71904, '\P{iscwu}', "");
Expect(0, 71904, '\P{^iscwu}', "");
Expect(1, 71903, '\p{__Is_cwu}', "");
Expect(0, 71903, '\p{^__Is_cwu}', "");
Expect(0, 71903, '\P{__Is_cwu}', "");
Expect(1, 71903, '\P{^__Is_cwu}', "");
Expect(0, 71904, '\p{__Is_cwu}', "");
Expect(1, 71904, '\p{^__Is_cwu}', "");
Expect(1, 71904, '\P{__Is_cwu}', "");
Expect(0, 71904, '\P{^__Is_cwu}', "");
Error('\p{	/a/cherokee}');
Error('\P{	/a/cherokee}');
Expect(1, 43967, '\p{cherokee}', "");
Expect(0, 43967, '\p{^cherokee}', "");
Expect(0, 43967, '\P{cherokee}', "");
Expect(1, 43967, '\P{^cherokee}', "");
Expect(0, 43968, '\p{cherokee}', "");
Expect(1, 43968, '\p{^cherokee}', "");
Expect(1, 43968, '\P{cherokee}', "");
Expect(0, 43968, '\P{^cherokee}', "");
Expect(1, 43967, '\p{-CHEROKEE}', "");
Expect(0, 43967, '\p{^-CHEROKEE}', "");
Expect(0, 43967, '\P{-CHEROKEE}', "");
Expect(1, 43967, '\P{^-CHEROKEE}', "");
Expect(0, 43968, '\p{-CHEROKEE}', "");
Expect(1, 43968, '\p{^-CHEROKEE}', "");
Expect(1, 43968, '\P{-CHEROKEE}', "");
Expect(0, 43968, '\P{^-CHEROKEE}', "");
Error('\p{/a/-	Is_cherokee}');
Error('\P{/a/-	Is_cherokee}');
Expect(1, 43967, '\p{ischerokee}', "");
Expect(0, 43967, '\p{^ischerokee}', "");
Expect(0, 43967, '\P{ischerokee}', "");
Expect(1, 43967, '\P{^ischerokee}', "");
Expect(0, 43968, '\p{ischerokee}', "");
Expect(1, 43968, '\p{^ischerokee}', "");
Expect(1, 43968, '\P{ischerokee}', "");
Expect(0, 43968, '\P{^ischerokee}', "");
Expect(1, 43967, '\p{- Is_CHEROKEE}', "");
Expect(0, 43967, '\p{^- Is_CHEROKEE}', "");
Expect(0, 43967, '\P{- Is_CHEROKEE}', "");
Expect(1, 43967, '\P{^- Is_CHEROKEE}', "");
Expect(0, 43968, '\p{- Is_CHEROKEE}', "");
Expect(1, 43968, '\p{^- Is_CHEROKEE}', "");
Expect(1, 43968, '\P{- Is_CHEROKEE}', "");
Expect(0, 43968, '\P{^- Is_CHEROKEE}', "");
Error('\p{/a/ 	cher}');
Error('\P{/a/ 	cher}');
Expect(1, 43967, '\p{cher}', "");
Expect(0, 43967, '\p{^cher}', "");
Expect(0, 43967, '\P{cher}', "");
Expect(1, 43967, '\P{^cher}', "");
Expect(0, 43968, '\p{cher}', "");
Expect(1, 43968, '\p{^cher}', "");
Expect(1, 43968, '\P{cher}', "");
Expect(0, 43968, '\P{^cher}', "");
Expect(1, 43967, '\p{ Cher}', "");
Expect(0, 43967, '\p{^ Cher}', "");
Expect(0, 43967, '\P{ Cher}', "");
Expect(1, 43967, '\P{^ Cher}', "");
Expect(0, 43968, '\p{ Cher}', "");
Expect(1, 43968, '\p{^ Cher}', "");
Expect(1, 43968, '\P{ Cher}', "");
Expect(0, 43968, '\P{^ Cher}', "");
Error('\p{-/a/Is_cher}');
Error('\P{-/a/Is_cher}');
Expect(1, 43967, '\p{ischer}', "");
Expect(0, 43967, '\p{^ischer}', "");
Expect(0, 43967, '\P{ischer}', "");
Expect(1, 43967, '\P{^ischer}', "");
Expect(0, 43968, '\p{ischer}', "");
Expect(1, 43968, '\p{^ischer}', "");
Expect(1, 43968, '\P{ischer}', "");
Expect(0, 43968, '\P{^ischer}', "");
Expect(1, 43967, '\p{ -is_Cher}', "");
Expect(0, 43967, '\p{^ -is_Cher}', "");
Expect(0, 43967, '\P{ -is_Cher}', "");
Expect(1, 43967, '\P{^ -is_Cher}', "");
Expect(0, 43968, '\p{ -is_Cher}', "");
Expect(1, 43968, '\p{^ -is_Cher}', "");
Expect(1, 43968, '\P{ -is_Cher}', "");
Expect(0, 43968, '\P{^ -is_Cher}', "");
Error('\p{:=__CHEROKEE_Supplement}');
Error('\P{:=__CHEROKEE_Supplement}');
Expect(1, 43967, '\p{cherokeesupplement}', "");
Expect(0, 43967, '\p{^cherokeesupplement}', "");
Expect(0, 43967, '\P{cherokeesupplement}', "");
Expect(1, 43967, '\P{^cherokeesupplement}', "");
Expect(0, 43968, '\p{cherokeesupplement}', "");
Expect(1, 43968, '\p{^cherokeesupplement}', "");
Expect(1, 43968, '\P{cherokeesupplement}', "");
Expect(0, 43968, '\P{^cherokeesupplement}', "");
Expect(1, 43967, '\p{ 	Cherokee_Supplement}', "");
Expect(0, 43967, '\p{^ 	Cherokee_Supplement}', "");
Expect(0, 43967, '\P{ 	Cherokee_Supplement}', "");
Expect(1, 43967, '\P{^ 	Cherokee_Supplement}', "");
Expect(0, 43968, '\p{ 	Cherokee_Supplement}', "");
Expect(1, 43968, '\p{^ 	Cherokee_Supplement}', "");
Expect(1, 43968, '\P{ 	Cherokee_Supplement}', "");
Expect(0, 43968, '\P{^ 	Cherokee_Supplement}', "");
Error('\p{/a/-_Is_Cherokee_SUPPLEMENT}');
Error('\P{/a/-_Is_Cherokee_SUPPLEMENT}');
Expect(1, 43967, '\p{ischerokeesupplement}', "");
Expect(0, 43967, '\p{^ischerokeesupplement}', "");
Expect(0, 43967, '\P{ischerokeesupplement}', "");
Expect(1, 43967, '\P{^ischerokeesupplement}', "");
Expect(0, 43968, '\p{ischerokeesupplement}', "");
Expect(1, 43968, '\p{^ischerokeesupplement}', "");
Expect(1, 43968, '\P{ischerokeesupplement}', "");
Expect(0, 43968, '\P{^ischerokeesupplement}', "");
Expect(1, 43967, '\p{IS_Cherokee_Supplement}', "");
Expect(0, 43967, '\p{^IS_Cherokee_Supplement}', "");
Expect(0, 43967, '\P{IS_Cherokee_Supplement}', "");
Expect(1, 43967, '\P{^IS_Cherokee_Supplement}', "");
Expect(0, 43968, '\p{IS_Cherokee_Supplement}', "");
Expect(1, 43968, '\p{^IS_Cherokee_Supplement}', "");
Expect(1, 43968, '\P{IS_Cherokee_Supplement}', "");
Expect(0, 43968, '\P{^IS_Cherokee_Supplement}', "");
Error('\p{-_In_CHEROKEE_Supplement:=}');
Error('\P{-_In_CHEROKEE_Supplement:=}');
Expect(1, 43967, '\p{incherokeesupplement}', "");
Expect(0, 43967, '\p{^incherokeesupplement}', "");
Expect(0, 43967, '\P{incherokeesupplement}', "");
Expect(1, 43967, '\P{^incherokeesupplement}', "");
Expect(0, 43968, '\p{incherokeesupplement}', "");
Expect(1, 43968, '\p{^incherokeesupplement}', "");
Expect(1, 43968, '\P{incherokeesupplement}', "");
Expect(0, 43968, '\P{^incherokeesupplement}', "");
Expect(1, 43967, '\p{  in_cherokee_Supplement}', "");
Expect(0, 43967, '\p{^  in_cherokee_Supplement}', "");
Expect(0, 43967, '\P{  in_cherokee_Supplement}', "");
Expect(1, 43967, '\P{^  in_cherokee_Supplement}', "");
Expect(0, 43968, '\p{  in_cherokee_Supplement}', "");
Expect(1, 43968, '\p{^  in_cherokee_Supplement}', "");
Expect(1, 43968, '\P{  in_cherokee_Supplement}', "");
Expect(0, 43968, '\P{^  in_cherokee_Supplement}', "");
Error('\p{ -cherokee_SUP/a/}');
Error('\P{ -cherokee_SUP/a/}');
Expect(1, 43967, '\p{cherokeesup}', "");
Expect(0, 43967, '\p{^cherokeesup}', "");
Expect(0, 43967, '\P{cherokeesup}', "");
Expect(1, 43967, '\P{^cherokeesup}', "");
Expect(0, 43968, '\p{cherokeesup}', "");
Expect(1, 43968, '\p{^cherokeesup}', "");
Expect(1, 43968, '\P{cherokeesup}', "");
Expect(0, 43968, '\P{^cherokeesup}', "");
Expect(1, 43967, '\p{_ CHEROKEE_Sup}', "");
Expect(0, 43967, '\p{^_ CHEROKEE_Sup}', "");
Expect(0, 43967, '\P{_ CHEROKEE_Sup}', "");
Expect(1, 43967, '\P{^_ CHEROKEE_Sup}', "");
Expect(0, 43968, '\p{_ CHEROKEE_Sup}', "");
Expect(1, 43968, '\p{^_ CHEROKEE_Sup}', "");
Expect(1, 43968, '\P{_ CHEROKEE_Sup}', "");
Expect(0, 43968, '\P{^_ CHEROKEE_Sup}', "");
Error('\p{:= -Is_cherokee_SUP}');
Error('\P{:= -Is_cherokee_SUP}');
Expect(1, 43967, '\p{ischerokeesup}', "");
Expect(0, 43967, '\p{^ischerokeesup}', "");
Expect(0, 43967, '\P{ischerokeesup}', "");
Expect(1, 43967, '\P{^ischerokeesup}', "");
Expect(0, 43968, '\p{ischerokeesup}', "");
Expect(1, 43968, '\p{^ischerokeesup}', "");
Expect(1, 43968, '\P{ischerokeesup}', "");
Expect(0, 43968, '\P{^ischerokeesup}', "");
Expect(1, 43967, '\p{-Is_Cherokee_Sup}', "");
Expect(0, 43967, '\p{^-Is_Cherokee_Sup}', "");
Expect(0, 43967, '\P{-Is_Cherokee_Sup}', "");
Expect(1, 43967, '\P{^-Is_Cherokee_Sup}', "");
Expect(0, 43968, '\p{-Is_Cherokee_Sup}', "");
Expect(1, 43968, '\p{^-Is_Cherokee_Sup}', "");
Expect(1, 43968, '\P{-Is_Cherokee_Sup}', "");
Expect(0, 43968, '\P{^-Is_Cherokee_Sup}', "");
Error('\p{:=-	in_CHEROKEE_Sup}');
Error('\P{:=-	in_CHEROKEE_Sup}');
Expect(1, 43967, '\p{incherokeesup}', "");
Expect(0, 43967, '\p{^incherokeesup}', "");
Expect(0, 43967, '\P{incherokeesup}', "");
Expect(1, 43967, '\P{^incherokeesup}', "");
Expect(0, 43968, '\p{incherokeesup}', "");
Expect(1, 43968, '\p{^incherokeesup}', "");
Expect(1, 43968, '\P{incherokeesup}', "");
Expect(0, 43968, '\P{^incherokeesup}', "");
Expect(1, 43967, '\p{	 In_cherokee_Sup}', "");
Expect(0, 43967, '\p{^	 In_cherokee_Sup}', "");
Expect(0, 43967, '\P{	 In_cherokee_Sup}', "");
Expect(1, 43967, '\P{^	 In_cherokee_Sup}', "");
Expect(0, 43968, '\p{	 In_cherokee_Sup}', "");
Expect(1, 43968, '\p{^	 In_cherokee_Sup}', "");
Expect(1, 43968, '\P{	 In_cherokee_Sup}', "");
Expect(0, 43968, '\P{^	 In_cherokee_Sup}', "");
Error('\p{-:=close_PUNCTUATION}');
Error('\P{-:=close_PUNCTUATION}');
Expect(1, 65379, '\p{closepunctuation}', "");
Expect(0, 65379, '\p{^closepunctuation}', "");
Expect(0, 65379, '\P{closepunctuation}', "");
Expect(1, 65379, '\P{^closepunctuation}', "");
Expect(0, 65380, '\p{closepunctuation}', "");
Expect(1, 65380, '\p{^closepunctuation}', "");
Expect(1, 65380, '\P{closepunctuation}', "");
Expect(0, 65380, '\P{^closepunctuation}', "");
Expect(1, 65379, '\p{	 close_punctuation}', "");
Expect(0, 65379, '\p{^	 close_punctuation}', "");
Expect(0, 65379, '\P{	 close_punctuation}', "");
Expect(1, 65379, '\P{^	 close_punctuation}', "");
Expect(0, 65380, '\p{	 close_punctuation}', "");
Expect(1, 65380, '\p{^	 close_punctuation}', "");
Expect(1, 65380, '\P{	 close_punctuation}', "");
Expect(0, 65380, '\P{^	 close_punctuation}', "");
Error('\p{:=_Is_CLOSE_Punctuation}');
Error('\P{:=_Is_CLOSE_Punctuation}');
Expect(1, 65379, '\p{isclosepunctuation}', "");
Expect(0, 65379, '\p{^isclosepunctuation}', "");
Expect(0, 65379, '\P{isclosepunctuation}', "");
Expect(1, 65379, '\P{^isclosepunctuation}', "");
Expect(0, 65380, '\p{isclosepunctuation}', "");
Expect(1, 65380, '\p{^isclosepunctuation}', "");
Expect(1, 65380, '\P{isclosepunctuation}', "");
Expect(0, 65380, '\P{^isclosepunctuation}', "");
Expect(1, 65379, '\p{	-Is_CLOSE_PUNCTUATION}', "");
Expect(0, 65379, '\p{^	-Is_CLOSE_PUNCTUATION}', "");
Expect(0, 65379, '\P{	-Is_CLOSE_PUNCTUATION}', "");
Expect(1, 65379, '\P{^	-Is_CLOSE_PUNCTUATION}', "");
Expect(0, 65380, '\p{	-Is_CLOSE_PUNCTUATION}', "");
Expect(1, 65380, '\p{^	-Is_CLOSE_PUNCTUATION}', "");
Expect(1, 65380, '\P{	-Is_CLOSE_PUNCTUATION}', "");
Expect(0, 65380, '\P{^	-Is_CLOSE_PUNCTUATION}', "");
Error('\p{_:=Pe}');
Error('\P{_:=Pe}');
Expect(1, 65379, '\p{pe}', "");
Expect(0, 65379, '\p{^pe}', "");
Expect(0, 65379, '\P{pe}', "");
Expect(1, 65379, '\P{^pe}', "");
Expect(0, 65380, '\p{pe}', "");
Expect(1, 65380, '\p{^pe}', "");
Expect(1, 65380, '\P{pe}', "");
Expect(0, 65380, '\P{^pe}', "");
Expect(1, 65379, '\p{ -Pe}', "");
Expect(0, 65379, '\p{^ -Pe}', "");
Expect(0, 65379, '\P{ -Pe}', "");
Expect(1, 65379, '\P{^ -Pe}', "");
Expect(0, 65380, '\p{ -Pe}', "");
Expect(1, 65380, '\p{^ -Pe}', "");
Expect(1, 65380, '\P{ -Pe}', "");
Expect(0, 65380, '\P{^ -Pe}', "");
Error('\p{	is_Pe/a/}');
Error('\P{	is_Pe/a/}');
Expect(1, 65379, '\p{ispe}', "");
Expect(0, 65379, '\p{^ispe}', "");
Expect(0, 65379, '\P{ispe}', "");
Expect(1, 65379, '\P{^ispe}', "");
Expect(0, 65380, '\p{ispe}', "");
Expect(1, 65380, '\p{^ispe}', "");
Expect(1, 65380, '\P{ispe}', "");
Expect(0, 65380, '\P{^ispe}', "");
Expect(1, 65379, '\p{--IS_PE}', "");
Expect(0, 65379, '\p{^--IS_PE}', "");
Expect(0, 65379, '\P{--IS_PE}', "");
Expect(1, 65379, '\P{^--IS_PE}', "");
Expect(0, 65380, '\p{--IS_PE}', "");
Expect(1, 65380, '\p{^--IS_PE}', "");
Expect(1, 65380, '\P{--IS_PE}', "");
Expect(0, 65380, '\P{^--IS_PE}', "");
Error('\p{_-XPOSIXCNTRL:=}');
Error('\P{_-XPOSIXCNTRL:=}');
Expect(1, 159, '\p{xposixcntrl}', "");
Expect(0, 159, '\p{^xposixcntrl}', "");
Expect(0, 159, '\P{xposixcntrl}', "");
Expect(1, 159, '\P{^xposixcntrl}', "");
Expect(0, 160, '\p{xposixcntrl}', "");
Expect(1, 160, '\p{^xposixcntrl}', "");
Expect(1, 160, '\P{xposixcntrl}', "");
Expect(0, 160, '\P{^xposixcntrl}', "");
Expect(1, 159, '\p{-	XPosixCntrl}', "");
Expect(0, 159, '\p{^-	XPosixCntrl}', "");
Expect(0, 159, '\P{-	XPosixCntrl}', "");
Expect(1, 159, '\P{^-	XPosixCntrl}', "");
Expect(0, 160, '\p{-	XPosixCntrl}', "");
Expect(1, 160, '\p{^-	XPosixCntrl}', "");
Expect(1, 160, '\P{-	XPosixCntrl}', "");
Expect(0, 160, '\P{^-	XPosixCntrl}', "");
Error('\p{_cntrl:=}');
Error('\P{_cntrl:=}');
Expect(1, 159, '\p{cntrl}', "");
Expect(0, 159, '\p{^cntrl}', "");
Expect(0, 159, '\P{cntrl}', "");
Expect(1, 159, '\P{^cntrl}', "");
Expect(0, 160, '\p{cntrl}', "");
Expect(1, 160, '\p{^cntrl}', "");
Expect(1, 160, '\P{cntrl}', "");
Expect(0, 160, '\P{^cntrl}', "");
Expect(1, 159, '\p{_-CNTRL}', "");
Expect(0, 159, '\p{^_-CNTRL}', "");
Expect(0, 159, '\P{_-CNTRL}', "");
Expect(1, 159, '\P{^_-CNTRL}', "");
Expect(0, 160, '\p{_-CNTRL}', "");
Expect(1, 160, '\p{^_-CNTRL}', "");
Expect(1, 160, '\P{_-CNTRL}', "");
Expect(0, 160, '\P{^_-CNTRL}', "");
Error('\p{ /a/IS_XPosixCntrl}');
Error('\P{ /a/IS_XPosixCntrl}');
Expect(1, 159, '\p{isxposixcntrl}', "");
Expect(0, 159, '\p{^isxposixcntrl}', "");
Expect(0, 159, '\P{isxposixcntrl}', "");
Expect(1, 159, '\P{^isxposixcntrl}', "");
Expect(0, 160, '\p{isxposixcntrl}', "");
Expect(1, 160, '\p{^isxposixcntrl}', "");
Expect(1, 160, '\P{isxposixcntrl}', "");
Expect(0, 160, '\P{^isxposixcntrl}', "");
Expect(1, 159, '\p{_Is_xposixcntrl}', "");
Expect(0, 159, '\p{^_Is_xposixcntrl}', "");
Expect(0, 159, '\P{_Is_xposixcntrl}', "");
Expect(1, 159, '\P{^_Is_xposixcntrl}', "");
Expect(0, 160, '\p{_Is_xposixcntrl}', "");
Expect(1, 160, '\p{^_Is_xposixcntrl}', "");
Expect(1, 160, '\P{_Is_xposixcntrl}', "");
Expect(0, 160, '\P{^_Is_xposixcntrl}', "");
Error('\p{_-IS_Cntrl/a/}');
Error('\P{_-IS_Cntrl/a/}');
Expect(1, 159, '\p{iscntrl}', "");
Expect(0, 159, '\p{^iscntrl}', "");
Expect(0, 159, '\P{iscntrl}', "");
Expect(1, 159, '\P{^iscntrl}', "");
Expect(0, 160, '\p{iscntrl}', "");
Expect(1, 160, '\p{^iscntrl}', "");
Expect(1, 160, '\P{iscntrl}', "");
Expect(0, 160, '\P{^iscntrl}', "");
Expect(1, 159, '\p{ -is_cntrl}', "");
Expect(0, 159, '\p{^ -is_cntrl}', "");
Expect(0, 159, '\P{ -is_cntrl}', "");
Expect(1, 159, '\P{^ -is_cntrl}', "");
Expect(0, 160, '\p{ -is_cntrl}', "");
Expect(1, 160, '\p{^ -is_cntrl}', "");
Expect(1, 160, '\P{ -is_cntrl}', "");
Expect(0, 160, '\P{^ -is_cntrl}', "");
Error('\p{_Control:=}');
Error('\P{_Control:=}');
Expect(1, 159, '\p{control}', "");
Expect(0, 159, '\p{^control}', "");
Expect(0, 159, '\P{control}', "");
Expect(1, 159, '\P{^control}', "");
Expect(0, 160, '\p{control}', "");
Expect(1, 160, '\p{^control}', "");
Expect(1, 160, '\P{control}', "");
Expect(0, 160, '\P{^control}', "");
Expect(1, 159, '\p{	-Control}', "");
Expect(0, 159, '\p{^	-Control}', "");
Expect(0, 159, '\P{	-Control}', "");
Expect(1, 159, '\P{^	-Control}', "");
Expect(0, 160, '\p{	-Control}', "");
Expect(1, 160, '\p{^	-Control}', "");
Expect(1, 160, '\P{	-Control}', "");
Expect(0, 160, '\P{^	-Control}', "");
Error('\p{/a/ -Is_control}');
Error('\P{/a/ -Is_control}');
Expect(1, 159, '\p{iscontrol}', "");
Expect(0, 159, '\p{^iscontrol}', "");
Expect(0, 159, '\P{iscontrol}', "");
Expect(1, 159, '\P{^iscontrol}', "");
Expect(0, 160, '\p{iscontrol}', "");
Expect(1, 160, '\p{^iscontrol}', "");
Expect(1, 160, '\P{iscontrol}', "");
Expect(0, 160, '\P{^iscontrol}', "");
Expect(1, 159, '\p{- is_control}', "");
Expect(0, 159, '\p{^- is_control}', "");
Expect(0, 159, '\P{- is_control}', "");
Expect(1, 159, '\P{^- is_control}', "");
Expect(0, 160, '\p{- is_control}', "");
Expect(1, 160, '\p{^- is_control}', "");
Expect(1, 160, '\P{- is_control}', "");
Expect(0, 160, '\P{^- is_control}', "");
Error('\p{:=  Cc}');
Error('\P{:=  Cc}');
Expect(1, 159, '\p{cc}', "");
Expect(0, 159, '\p{^cc}', "");
Expect(0, 159, '\P{cc}', "");
Expect(1, 159, '\P{^cc}', "");
Expect(0, 160, '\p{cc}', "");
Expect(1, 160, '\p{^cc}', "");
Expect(1, 160, '\P{cc}', "");
Expect(0, 160, '\P{^cc}', "");
Expect(1, 159, '\p{		Cc}', "");
Expect(0, 159, '\p{^		Cc}', "");
Expect(0, 159, '\P{		Cc}', "");
Expect(1, 159, '\P{^		Cc}', "");
Expect(0, 160, '\p{		Cc}', "");
Expect(1, 160, '\p{^		Cc}', "");
Expect(1, 160, '\P{		Cc}', "");
Expect(0, 160, '\P{^		Cc}', "");
Error('\p{IS_CC:=}');
Error('\P{IS_CC:=}');
Expect(1, 159, '\p{iscc}', "");
Expect(0, 159, '\p{^iscc}', "");
Expect(0, 159, '\P{iscc}', "");
Expect(1, 159, '\P{^iscc}', "");
Expect(0, 160, '\p{iscc}', "");
Expect(1, 160, '\p{^iscc}', "");
Expect(1, 160, '\P{iscc}', "");
Expect(0, 160, '\P{^iscc}', "");
Expect(1, 159, '\p{ -is_Cc}', "");
Expect(0, 159, '\p{^ -is_Cc}', "");
Expect(0, 159, '\P{ -is_Cc}', "");
Expect(1, 159, '\P{^ -is_Cc}', "");
Expect(0, 160, '\p{ -is_Cc}', "");
Expect(1, 160, '\p{^ -is_Cc}', "");
Expect(1, 160, '\P{ -is_Cc}', "");
Expect(0, 160, '\P{^ -is_Cc}', "");
Error('\p{:=Combining_diacritical_Marks}');
Error('\P{:=Combining_diacritical_Marks}');
Expect(1, 879, '\p{combiningdiacriticalmarks}', "");
Expect(0, 879, '\p{^combiningdiacriticalmarks}', "");
Expect(0, 879, '\P{combiningdiacriticalmarks}', "");
Expect(1, 879, '\P{^combiningdiacriticalmarks}', "");
Expect(0, 880, '\p{combiningdiacriticalmarks}', "");
Expect(1, 880, '\p{^combiningdiacriticalmarks}', "");
Expect(1, 880, '\P{combiningdiacriticalmarks}', "");
Expect(0, 880, '\P{^combiningdiacriticalmarks}', "");
Expect(1, 879, '\p{ -COMBINING_Diacritical_Marks}', "");
Expect(0, 879, '\p{^ -COMBINING_Diacritical_Marks}', "");
Expect(0, 879, '\P{ -COMBINING_Diacritical_Marks}', "");
Expect(1, 879, '\P{^ -COMBINING_Diacritical_Marks}', "");
Expect(0, 880, '\p{ -COMBINING_Diacritical_Marks}', "");
Expect(1, 880, '\p{^ -COMBINING_Diacritical_Marks}', "");
Expect(1, 880, '\P{ -COMBINING_Diacritical_Marks}', "");
Expect(0, 880, '\P{^ -COMBINING_Diacritical_Marks}', "");
Error('\p{	:=is_combining_DIACRITICAL_MARKS}');
Error('\P{	:=is_combining_DIACRITICAL_MARKS}');
Expect(1, 879, '\p{iscombiningdiacriticalmarks}', "");
Expect(0, 879, '\p{^iscombiningdiacriticalmarks}', "");
Expect(0, 879, '\P{iscombiningdiacriticalmarks}', "");
Expect(1, 879, '\P{^iscombiningdiacriticalmarks}', "");
Expect(0, 880, '\p{iscombiningdiacriticalmarks}', "");
Expect(1, 880, '\p{^iscombiningdiacriticalmarks}', "");
Expect(1, 880, '\P{iscombiningdiacriticalmarks}', "");
Expect(0, 880, '\P{^iscombiningdiacriticalmarks}', "");
Expect(1, 879, '\p{- IS_Combining_diacritical_MARKS}', "");
Expect(0, 879, '\p{^- IS_Combining_diacritical_MARKS}', "");
Expect(0, 879, '\P{- IS_Combining_diacritical_MARKS}', "");
Expect(1, 879, '\P{^- IS_Combining_diacritical_MARKS}', "");
Expect(0, 880, '\p{- IS_Combining_diacritical_MARKS}', "");
Expect(1, 880, '\p{^- IS_Combining_diacritical_MARKS}', "");
Expect(1, 880, '\P{- IS_Combining_diacritical_MARKS}', "");
Expect(0, 880, '\P{^- IS_Combining_diacritical_MARKS}', "");
Error('\p{:=--in_Combining_diacritical_Marks}');
Error('\P{:=--in_Combining_diacritical_Marks}');
Expect(1, 879, '\p{incombiningdiacriticalmarks}', "");
Expect(0, 879, '\p{^incombiningdiacriticalmarks}', "");
Expect(0, 879, '\P{incombiningdiacriticalmarks}', "");
Expect(1, 879, '\P{^incombiningdiacriticalmarks}', "");
Expect(0, 880, '\p{incombiningdiacriticalmarks}', "");
Expect(1, 880, '\p{^incombiningdiacriticalmarks}', "");
Expect(1, 880, '\P{incombiningdiacriticalmarks}', "");
Expect(0, 880, '\P{^incombiningdiacriticalmarks}', "");
Expect(1, 879, '\p{-	In_Combining_Diacritical_Marks}', "");
Expect(0, 879, '\p{^-	In_Combining_Diacritical_Marks}', "");
Expect(0, 879, '\P{-	In_Combining_Diacritical_Marks}', "");
Expect(1, 879, '\P{^-	In_Combining_Diacritical_Marks}', "");
Expect(0, 880, '\p{-	In_Combining_Diacritical_Marks}', "");
Expect(1, 880, '\p{^-	In_Combining_Diacritical_Marks}', "");
Expect(1, 880, '\P{-	In_Combining_Diacritical_Marks}', "");
Expect(0, 880, '\P{^-	In_Combining_Diacritical_Marks}', "");
Error('\p{ _Diacriticals:=}');
Error('\P{ _Diacriticals:=}');
Expect(1, 879, '\p{diacriticals}', "");
Expect(0, 879, '\p{^diacriticals}', "");
Expect(0, 879, '\P{diacriticals}', "");
Expect(1, 879, '\P{^diacriticals}', "");
Expect(0, 880, '\p{diacriticals}', "");
Expect(1, 880, '\p{^diacriticals}', "");
Expect(1, 880, '\P{diacriticals}', "");
Expect(0, 880, '\P{^diacriticals}', "");
Expect(1, 879, '\p{- Diacriticals}', "");
Expect(0, 879, '\p{^- Diacriticals}', "");
Expect(0, 879, '\P{- Diacriticals}', "");
Expect(1, 879, '\P{^- Diacriticals}', "");
Expect(0, 880, '\p{- Diacriticals}', "");
Expect(1, 880, '\p{^- Diacriticals}', "");
Expect(1, 880, '\P{- Diacriticals}', "");
Expect(0, 880, '\P{^- Diacriticals}', "");
Error('\p{-Is_Diacriticals:=}');
Error('\P{-Is_Diacriticals:=}');
Expect(1, 879, '\p{isdiacriticals}', "");
Expect(0, 879, '\p{^isdiacriticals}', "");
Expect(0, 879, '\P{isdiacriticals}', "");
Expect(1, 879, '\P{^isdiacriticals}', "");
Expect(0, 880, '\p{isdiacriticals}', "");
Expect(1, 880, '\p{^isdiacriticals}', "");
Expect(1, 880, '\P{isdiacriticals}', "");
Expect(0, 880, '\P{^isdiacriticals}', "");
Expect(1, 879, '\p{ IS_DIACRITICALS}', "");
Expect(0, 879, '\p{^ IS_DIACRITICALS}', "");
Expect(0, 879, '\P{ IS_DIACRITICALS}', "");
Expect(1, 879, '\P{^ IS_DIACRITICALS}', "");
Expect(0, 880, '\p{ IS_DIACRITICALS}', "");
Expect(1, 880, '\p{^ IS_DIACRITICALS}', "");
Expect(1, 880, '\P{ IS_DIACRITICALS}', "");
Expect(0, 880, '\P{^ IS_DIACRITICALS}', "");
Error('\p{ 	In_Diacriticals:=}');
Error('\P{ 	In_Diacriticals:=}');
Expect(1, 879, '\p{indiacriticals}', "");
Expect(0, 879, '\p{^indiacriticals}', "");
Expect(0, 879, '\P{indiacriticals}', "");
Expect(1, 879, '\P{^indiacriticals}', "");
Expect(0, 880, '\p{indiacriticals}', "");
Expect(1, 880, '\p{^indiacriticals}', "");
Expect(1, 880, '\P{indiacriticals}', "");
Expect(0, 880, '\P{^indiacriticals}', "");
Expect(1, 879, '\p{--In_diacriticals}', "");
Expect(0, 879, '\p{^--In_diacriticals}', "");
Expect(0, 879, '\P{--In_diacriticals}', "");
Expect(1, 879, '\P{^--In_diacriticals}', "");
Expect(0, 880, '\p{--In_diacriticals}', "");
Expect(1, 880, '\p{^--In_diacriticals}', "");
Expect(1, 880, '\P{--In_diacriticals}', "");
Expect(0, 880, '\P{^--In_diacriticals}', "");
Error('\p{:=	Combining_DIACRITICAL_marks_Extended}');
Error('\P{:=	Combining_DIACRITICAL_marks_Extended}');
Expect(1, 6911, '\p{combiningdiacriticalmarksextended}', "");
Expect(0, 6911, '\p{^combiningdiacriticalmarksextended}', "");
Expect(0, 6911, '\P{combiningdiacriticalmarksextended}', "");
Expect(1, 6911, '\P{^combiningdiacriticalmarksextended}', "");
Expect(0, 6912, '\p{combiningdiacriticalmarksextended}', "");
Expect(1, 6912, '\p{^combiningdiacriticalmarksextended}', "");
Expect(1, 6912, '\P{combiningdiacriticalmarksextended}', "");
Expect(0, 6912, '\P{^combiningdiacriticalmarksextended}', "");
Expect(1, 6911, '\p{- COMBINING_Diacritical_marks_Extended}', "");
Expect(0, 6911, '\p{^- COMBINING_Diacritical_marks_Extended}', "");
Expect(0, 6911, '\P{- COMBINING_Diacritical_marks_Extended}', "");
Expect(1, 6911, '\P{^- COMBINING_Diacritical_marks_Extended}', "");
Expect(0, 6912, '\p{- COMBINING_Diacritical_marks_Extended}', "");
Expect(1, 6912, '\p{^- COMBINING_Diacritical_marks_Extended}', "");
Expect(1, 6912, '\P{- COMBINING_Diacritical_marks_Extended}', "");
Expect(0, 6912, '\P{^- COMBINING_Diacritical_marks_Extended}', "");
Error('\p{:=_IS_COMBINING_Diacritical_marks_Extended}');
Error('\P{:=_IS_COMBINING_Diacritical_marks_Extended}');
Expect(1, 6911, '\p{iscombiningdiacriticalmarksextended}', "");
Expect(0, 6911, '\p{^iscombiningdiacriticalmarksextended}', "");
Expect(0, 6911, '\P{iscombiningdiacriticalmarksextended}', "");
Expect(1, 6911, '\P{^iscombiningdiacriticalmarksextended}', "");
Expect(0, 6912, '\p{iscombiningdiacriticalmarksextended}', "");
Expect(1, 6912, '\p{^iscombiningdiacriticalmarksextended}', "");
Expect(1, 6912, '\P{iscombiningdiacriticalmarksextended}', "");
Expect(0, 6912, '\P{^iscombiningdiacriticalmarksextended}', "");
Expect(1, 6911, '\p{- Is_Combining_Diacritical_MARKS_EXTENDED}', "");
Expect(0, 6911, '\p{^- Is_Combining_Diacritical_MARKS_EXTENDED}', "");
Expect(0, 6911, '\P{- Is_Combining_Diacritical_MARKS_EXTENDED}', "");
Expect(1, 6911, '\P{^- Is_Combining_Diacritical_MARKS_EXTENDED}', "");
Expect(0, 6912, '\p{- Is_Combining_Diacritical_MARKS_EXTENDED}', "");
Expect(1, 6912, '\p{^- Is_Combining_Diacritical_MARKS_EXTENDED}', "");
Expect(1, 6912, '\P{- Is_Combining_Diacritical_MARKS_EXTENDED}', "");
Expect(0, 6912, '\P{^- Is_Combining_Diacritical_MARKS_EXTENDED}', "");
Error('\p{_:=In_combining_Diacritical_MARKS_Extended}');
Error('\P{_:=In_combining_Diacritical_MARKS_Extended}');
Expect(1, 6911, '\p{incombiningdiacriticalmarksextended}', "");
Expect(0, 6911, '\p{^incombiningdiacriticalmarksextended}', "");
Expect(0, 6911, '\P{incombiningdiacriticalmarksextended}', "");
Expect(1, 6911, '\P{^incombiningdiacriticalmarksextended}', "");
Expect(0, 6912, '\p{incombiningdiacriticalmarksextended}', "");
Expect(1, 6912, '\p{^incombiningdiacriticalmarksextended}', "");
Expect(1, 6912, '\P{incombiningdiacriticalmarksextended}', "");
Expect(0, 6912, '\P{^incombiningdiacriticalmarksextended}', "");
Expect(1, 6911, '\p{ In_Combining_diacritical_MARKS_Extended}', "");
Expect(0, 6911, '\p{^ In_Combining_diacritical_MARKS_Extended}', "");
Expect(0, 6911, '\P{ In_Combining_diacritical_MARKS_Extended}', "");
Expect(1, 6911, '\P{^ In_Combining_diacritical_MARKS_Extended}', "");
Expect(0, 6912, '\p{ In_Combining_diacritical_MARKS_Extended}', "");
Expect(1, 6912, '\p{^ In_Combining_diacritical_MARKS_Extended}', "");
Expect(1, 6912, '\P{ In_Combining_diacritical_MARKS_Extended}', "");
Expect(0, 6912, '\P{^ In_Combining_diacritical_MARKS_Extended}', "");
Error('\p{ 	diacriticals_Ext:=}');
Error('\P{ 	diacriticals_Ext:=}');
Expect(1, 6911, '\p{diacriticalsext}', "");
Expect(0, 6911, '\p{^diacriticalsext}', "");
Expect(0, 6911, '\P{diacriticalsext}', "");
Expect(1, 6911, '\P{^diacriticalsext}', "");
Expect(0, 6912, '\p{diacriticalsext}', "");
Expect(1, 6912, '\p{^diacriticalsext}', "");
Expect(1, 6912, '\P{diacriticalsext}', "");
Expect(0, 6912, '\P{^diacriticalsext}', "");
Expect(1, 6911, '\p{ 	Diacriticals_ext}', "");
Expect(0, 6911, '\p{^ 	Diacriticals_ext}', "");
Expect(0, 6911, '\P{ 	Diacriticals_ext}', "");
Expect(1, 6911, '\P{^ 	Diacriticals_ext}', "");
Expect(0, 6912, '\p{ 	Diacriticals_ext}', "");
Expect(1, 6912, '\p{^ 	Diacriticals_ext}', "");
Expect(1, 6912, '\P{ 	Diacriticals_ext}', "");
Expect(0, 6912, '\P{^ 	Diacriticals_ext}', "");
Error('\p{:= Is_diacriticals_EXT}');
Error('\P{:= Is_diacriticals_EXT}');
Expect(1, 6911, '\p{isdiacriticalsext}', "");
Expect(0, 6911, '\p{^isdiacriticalsext}', "");
Expect(0, 6911, '\P{isdiacriticalsext}', "");
Expect(1, 6911, '\P{^isdiacriticalsext}', "");
Expect(0, 6912, '\p{isdiacriticalsext}', "");
Expect(1, 6912, '\p{^isdiacriticalsext}', "");
Expect(1, 6912, '\P{isdiacriticalsext}', "");
Expect(0, 6912, '\P{^isdiacriticalsext}', "");
Expect(1, 6911, '\p{-Is_diacriticals_ext}', "");
Expect(0, 6911, '\p{^-Is_diacriticals_ext}', "");
Expect(0, 6911, '\P{-Is_diacriticals_ext}', "");
Expect(1, 6911, '\P{^-Is_diacriticals_ext}', "");
Expect(0, 6912, '\p{-Is_diacriticals_ext}', "");
Expect(1, 6912, '\p{^-Is_diacriticals_ext}', "");
Expect(1, 6912, '\P{-Is_diacriticals_ext}', "");
Expect(0, 6912, '\P{^-Is_diacriticals_ext}', "");
Error('\p{/a/ _In_Diacriticals_EXT}');
Error('\P{/a/ _In_Diacriticals_EXT}');
Expect(1, 6911, '\p{indiacriticalsext}', "");
Expect(0, 6911, '\p{^indiacriticalsext}', "");
Expect(0, 6911, '\P{indiacriticalsext}', "");
Expect(1, 6911, '\P{^indiacriticalsext}', "");
Expect(0, 6912, '\p{indiacriticalsext}', "");
Expect(1, 6912, '\p{^indiacriticalsext}', "");
Expect(1, 6912, '\P{indiacriticalsext}', "");
Expect(0, 6912, '\P{^indiacriticalsext}', "");
Expect(1, 6911, '\p{-in_Diacriticals_Ext}', "");
Expect(0, 6911, '\p{^-in_Diacriticals_Ext}', "");
Expect(0, 6911, '\P{-in_Diacriticals_Ext}', "");
Expect(1, 6911, '\P{^-in_Diacriticals_Ext}', "");
Expect(0, 6912, '\p{-in_Diacriticals_Ext}', "");
Expect(1, 6912, '\p{^-in_Diacriticals_Ext}', "");
Expect(1, 6912, '\P{-in_Diacriticals_Ext}', "");
Expect(0, 6912, '\P{^-in_Diacriticals_Ext}', "");
Error('\p{_COMBINING_diacritical_Marks_FOR_Symbols:=}');
Error('\P{_COMBINING_diacritical_Marks_FOR_Symbols:=}');
Expect(1, 8447, '\p{combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\p{^combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\P{combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\P{^combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8448, '\p{combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8448, '\p{^combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8448, '\P{combiningdiacriticalmarksforsymbols}', "");
Expect(0, 8448, '\P{^combiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\p{	-Combining_diacritical_marks_FOR_Symbols}', "");
Expect(0, 8447, '\p{^	-Combining_diacritical_marks_FOR_Symbols}', "");
Expect(0, 8447, '\P{	-Combining_diacritical_marks_FOR_Symbols}', "");
Expect(1, 8447, '\P{^	-Combining_diacritical_marks_FOR_Symbols}', "");
Expect(0, 8448, '\p{	-Combining_diacritical_marks_FOR_Symbols}', "");
Expect(1, 8448, '\p{^	-Combining_diacritical_marks_FOR_Symbols}', "");
Expect(1, 8448, '\P{	-Combining_diacritical_marks_FOR_Symbols}', "");
Expect(0, 8448, '\P{^	-Combining_diacritical_marks_FOR_Symbols}', "");
Error('\p{_Is_Combining_Diacritical_Marks_For_Symbols:=}');
Error('\P{_Is_Combining_Diacritical_Marks_For_Symbols:=}');
Expect(1, 8447, '\p{iscombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\p{^iscombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\P{iscombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\P{^iscombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8448, '\p{iscombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8448, '\p{^iscombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8448, '\P{iscombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8448, '\P{^iscombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\p{_ IS_Combining_diacritical_Marks_for_Symbols}', "");
Expect(0, 8447, '\p{^_ IS_Combining_diacritical_Marks_for_Symbols}', "");
Expect(0, 8447, '\P{_ IS_Combining_diacritical_Marks_for_Symbols}', "");
Expect(1, 8447, '\P{^_ IS_Combining_diacritical_Marks_for_Symbols}', "");
Expect(0, 8448, '\p{_ IS_Combining_diacritical_Marks_for_Symbols}', "");
Expect(1, 8448, '\p{^_ IS_Combining_diacritical_Marks_for_Symbols}', "");
Expect(1, 8448, '\P{_ IS_Combining_diacritical_Marks_for_Symbols}', "");
Expect(0, 8448, '\P{^_ IS_Combining_diacritical_Marks_for_Symbols}', "");
Error('\p{ :=In_Combining_Diacritical_Marks_For_Symbols}');
Error('\P{ :=In_Combining_Diacritical_Marks_For_Symbols}');
Expect(1, 8447, '\p{incombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\p{^incombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8447, '\P{incombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\P{^incombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8448, '\p{incombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8448, '\p{^incombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8448, '\P{incombiningdiacriticalmarksforsymbols}', "");
Expect(0, 8448, '\P{^incombiningdiacriticalmarksforsymbols}', "");
Expect(1, 8447, '\p{	 IN_COMBINING_DIACRITICAL_Marks_For_symbols}', "");
Expect(0, 8447, '\p{^	 IN_COMBINING_DIACRITICAL_Marks_For_symbols}', "");
Expect(0, 8447, '\P{	 IN_COMBINING_DIACRITICAL_Marks_For_symbols}', "");
Expect(1, 8447, '\P{^	 IN_COMBINING_DIACRITICAL_Marks_For_symbols}', "");
Expect(0, 8448, '\p{	 IN_COMBINING_DIACRITICAL_Marks_For_symbols}', "");
Expect(1, 8448, '\p{^	 IN_COMBINING_DIACRITICAL_Marks_For_symbols}', "");
Expect(1, 8448, '\P{	 IN_COMBINING_DIACRITICAL_Marks_For_symbols}', "");
Expect(0, 8448, '\P{^	 IN_COMBINING_DIACRITICAL_Marks_For_symbols}', "");
Error('\p{:=_ Diacriticals_For_SYMBOLS}');
Error('\P{:=_ Diacriticals_For_SYMBOLS}');
Expect(1, 8447, '\p{diacriticalsforsymbols}', "");
Expect(0, 8447, '\p{^diacriticalsforsymbols}', "");
Expect(0, 8447, '\P{diacriticalsforsymbols}', "");
Expect(1, 8447, '\P{^diacriticalsforsymbols}', "");
Expect(0, 8448, '\p{diacriticalsforsymbols}', "");
Expect(1, 8448, '\p{^diacriticalsforsymbols}', "");
Expect(1, 8448, '\P{diacriticalsforsymbols}', "");
Expect(0, 8448, '\P{^diacriticalsforsymbols}', "");
Expect(1, 8447, '\p{	Diacriticals_for_Symbols}', "");
Expect(0, 8447, '\p{^	Diacriticals_for_Symbols}', "");
Expect(0, 8447, '\P{	Diacriticals_for_Symbols}', "");
Expect(1, 8447, '\P{^	Diacriticals_for_Symbols}', "");
Expect(0, 8448, '\p{	Diacriticals_for_Symbols}', "");
Expect(1, 8448, '\p{^	Diacriticals_for_Symbols}', "");
Expect(1, 8448, '\P{	Diacriticals_for_Symbols}', "");
Expect(0, 8448, '\P{^	Diacriticals_for_Symbols}', "");
Error('\p{:=_	Is_Diacriticals_for_Symbols}');
Error('\P{:=_	Is_Diacriticals_for_Symbols}');
Expect(1, 8447, '\p{isdiacriticalsforsymbols}', "");
Expect(0, 8447, '\p{^isdiacriticalsforsymbols}', "");
Expect(0, 8447, '\P{isdiacriticalsforsymbols}', "");
Expect(1, 8447, '\P{^isdiacriticalsforsymbols}', "");
Expect(0, 8448, '\p{isdiacriticalsforsymbols}', "");
Expect(1, 8448, '\p{^isdiacriticalsforsymbols}', "");
Expect(1, 8448, '\P{isdiacriticalsforsymbols}', "");
Expect(0, 8448, '\P{^isdiacriticalsforsymbols}', "");
Expect(1, 8447, '\p{_-is_Diacriticals_FOR_SYMBOLS}', "");
Expect(0, 8447, '\p{^_-is_Diacriticals_FOR_SYMBOLS}', "");
Expect(0, 8447, '\P{_-is_Diacriticals_FOR_SYMBOLS}', "");
Expect(1, 8447, '\P{^_-is_Diacriticals_FOR_SYMBOLS}', "");
Expect(0, 8448, '\p{_-is_Diacriticals_FOR_SYMBOLS}', "");
Expect(1, 8448, '\p{^_-is_Diacriticals_FOR_SYMBOLS}', "");
Expect(1, 8448, '\P{_-is_Diacriticals_FOR_SYMBOLS}', "");
Expect(0, 8448, '\P{^_-is_Diacriticals_FOR_SYMBOLS}', "");
Error('\p{:=- In_DIACRITICALS_FOR_SYMBOLS}');
Error('\P{:=- In_DIACRITICALS_FOR_SYMBOLS}');
Expect(1, 8447, '\p{indiacriticalsforsymbols}', "");
Expect(0, 8447, '\p{^indiacriticalsforsymbols}', "");
Expect(0, 8447, '\P{indiacriticalsforsymbols}', "");
Expect(1, 8447, '\P{^indiacriticalsforsymbols}', "");
Expect(0, 8448, '\p{indiacriticalsforsymbols}', "");
Expect(1, 8448, '\p{^indiacriticalsforsymbols}', "");
Expect(1, 8448, '\P{indiacriticalsforsymbols}', "");
Expect(0, 8448, '\P{^indiacriticalsforsymbols}', "");
Expect(1, 8447, '\p{In_Diacriticals_for_SYMBOLS}', "");
Expect(0, 8447, '\p{^In_Diacriticals_for_SYMBOLS}', "");
Expect(0, 8447, '\P{In_Diacriticals_for_SYMBOLS}', "");
Expect(1, 8447, '\P{^In_Diacriticals_for_SYMBOLS}', "");
Expect(0, 8448, '\p{In_Diacriticals_for_SYMBOLS}', "");
Expect(1, 8448, '\p{^In_Diacriticals_for_SYMBOLS}', "");
Expect(1, 8448, '\P{In_Diacriticals_for_SYMBOLS}', "");
Expect(0, 8448, '\P{^In_Diacriticals_for_SYMBOLS}', "");
Error('\p{	 COMBINING_marks_For_Symbols:=}');
Error('\P{	 COMBINING_marks_For_Symbols:=}');
Expect(1, 8447, '\p{combiningmarksforsymbols}', "");
Expect(0, 8447, '\p{^combiningmarksforsymbols}', "");
Expect(0, 8447, '\P{combiningmarksforsymbols}', "");
Expect(1, 8447, '\P{^combiningmarksforsymbols}', "");
Expect(0, 8448, '\p{combiningmarksforsymbols}', "");
Expect(1, 8448, '\p{^combiningmarksforsymbols}', "");
Expect(1, 8448, '\P{combiningmarksforsymbols}', "");
Expect(0, 8448, '\P{^combiningmarksforsymbols}', "");
Expect(1, 8447, '\p{ combining_Marks_FOR_Symbols}', "");
Expect(0, 8447, '\p{^ combining_Marks_FOR_Symbols}', "");
Expect(0, 8447, '\P{ combining_Marks_FOR_Symbols}', "");
Expect(1, 8447, '\P{^ combining_Marks_FOR_Symbols}', "");
Expect(0, 8448, '\p{ combining_Marks_FOR_Symbols}', "");
Expect(1, 8448, '\p{^ combining_Marks_FOR_Symbols}', "");
Expect(1, 8448, '\P{ combining_Marks_FOR_Symbols}', "");
Expect(0, 8448, '\P{^ combining_Marks_FOR_Symbols}', "");
Error('\p{-:=is_COMBINING_marks_FOR_Symbols}');
Error('\P{-:=is_COMBINING_marks_FOR_Symbols}');
Expect(1, 8447, '\p{iscombiningmarksforsymbols}', "");
Expect(0, 8447, '\p{^iscombiningmarksforsymbols}', "");
Expect(0, 8447, '\P{iscombiningmarksforsymbols}', "");
Expect(1, 8447, '\P{^iscombiningmarksforsymbols}', "");
Expect(0, 8448, '\p{iscombiningmarksforsymbols}', "");
Expect(1, 8448, '\p{^iscombiningmarksforsymbols}', "");
Expect(1, 8448, '\P{iscombiningmarksforsymbols}', "");
Expect(0, 8448, '\P{^iscombiningmarksforsymbols}', "");
Expect(1, 8447, '\p{_ Is_combining_marks_for_Symbols}', "");
Expect(0, 8447, '\p{^_ Is_combining_marks_for_Symbols}', "");
Expect(0, 8447, '\P{_ Is_combining_marks_for_Symbols}', "");
Expect(1, 8447, '\P{^_ Is_combining_marks_for_Symbols}', "");
Expect(0, 8448, '\p{_ Is_combining_marks_for_Symbols}', "");
Expect(1, 8448, '\p{^_ Is_combining_marks_for_Symbols}', "");
Expect(1, 8448, '\P{_ Is_combining_marks_for_Symbols}', "");
Expect(0, 8448, '\P{^_ Is_combining_marks_for_Symbols}', "");
Error('\p{	-IN_COMBINING_MARKS_for_Symbols:=}');
Error('\P{	-IN_COMBINING_MARKS_for_Symbols:=}');
Expect(1, 8447, '\p{incombiningmarksforsymbols}', "");
Expect(0, 8447, '\p{^incombiningmarksforsymbols}', "");
Expect(0, 8447, '\P{incombiningmarksforsymbols}', "");
Expect(1, 8447, '\P{^incombiningmarksforsymbols}', "");
Expect(0, 8448, '\p{incombiningmarksforsymbols}', "");
Expect(1, 8448, '\p{^incombiningmarksforsymbols}', "");
Expect(1, 8448, '\P{incombiningmarksforsymbols}', "");
Expect(0, 8448, '\P{^incombiningmarksforsymbols}', "");
Expect(1, 8447, '\p{-In_COMBINING_MARKS_FOR_Symbols}', "");
Expect(0, 8447, '\p{^-In_COMBINING_MARKS_FOR_Symbols}', "");
Expect(0, 8447, '\P{-In_COMBINING_MARKS_FOR_Symbols}', "");
Expect(1, 8447, '\P{^-In_COMBINING_MARKS_FOR_Symbols}', "");
Expect(0, 8448, '\p{-In_COMBINING_MARKS_FOR_Symbols}', "");
Expect(1, 8448, '\p{^-In_COMBINING_MARKS_FOR_Symbols}', "");
Expect(1, 8448, '\P{-In_COMBINING_MARKS_FOR_Symbols}', "");
Expect(0, 8448, '\P{^-In_COMBINING_MARKS_FOR_Symbols}', "");
Error('\p{/a/combining_Diacritical_Marks_supplement}');
Error('\P{/a/combining_Diacritical_Marks_supplement}');
Expect(1, 7679, '\p{combiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\p{^combiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\P{combiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\P{^combiningdiacriticalmarkssupplement}', "");
Expect(0, 7680, '\p{combiningdiacriticalmarkssupplement}', "");
Expect(1, 7680, '\p{^combiningdiacriticalmarkssupplement}', "");
Expect(1, 7680, '\P{combiningdiacriticalmarkssupplement}', "");
Expect(0, 7680, '\P{^combiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\p{combining_Diacritical_Marks_Supplement}', "");
Expect(0, 7679, '\p{^combining_Diacritical_Marks_Supplement}', "");
Expect(0, 7679, '\P{combining_Diacritical_Marks_Supplement}', "");
Expect(1, 7679, '\P{^combining_Diacritical_Marks_Supplement}', "");
Expect(0, 7680, '\p{combining_Diacritical_Marks_Supplement}', "");
Expect(1, 7680, '\p{^combining_Diacritical_Marks_Supplement}', "");
Expect(1, 7680, '\P{combining_Diacritical_Marks_Supplement}', "");
Expect(0, 7680, '\P{^combining_Diacritical_Marks_Supplement}', "");
Error('\p{_ is_Combining_Diacritical_Marks_supplement/a/}');
Error('\P{_ is_Combining_Diacritical_Marks_supplement/a/}');
Expect(1, 7679, '\p{iscombiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\p{^iscombiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\P{iscombiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\P{^iscombiningdiacriticalmarkssupplement}', "");
Expect(0, 7680, '\p{iscombiningdiacriticalmarkssupplement}', "");
Expect(1, 7680, '\p{^iscombiningdiacriticalmarkssupplement}', "");
Expect(1, 7680, '\P{iscombiningdiacriticalmarkssupplement}', "");
Expect(0, 7680, '\P{^iscombiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\p{__is_Combining_diacritical_Marks_SUPPLEMENT}', "");
Expect(0, 7679, '\p{^__is_Combining_diacritical_Marks_SUPPLEMENT}', "");
Expect(0, 7679, '\P{__is_Combining_diacritical_Marks_SUPPLEMENT}', "");
Expect(1, 7679, '\P{^__is_Combining_diacritical_Marks_SUPPLEMENT}', "");
Expect(0, 7680, '\p{__is_Combining_diacritical_Marks_SUPPLEMENT}', "");
Expect(1, 7680, '\p{^__is_Combining_diacritical_Marks_SUPPLEMENT}', "");
Expect(1, 7680, '\P{__is_Combining_diacritical_Marks_SUPPLEMENT}', "");
Expect(0, 7680, '\P{^__is_Combining_diacritical_Marks_SUPPLEMENT}', "");
Error('\p{--in_combining_Diacritical_MARKS_SUPPLEMENT:=}');
Error('\P{--in_combining_Diacritical_MARKS_SUPPLEMENT:=}');
Expect(1, 7679, '\p{incombiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\p{^incombiningdiacriticalmarkssupplement}', "");
Expect(0, 7679, '\P{incombiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\P{^incombiningdiacriticalmarkssupplement}', "");
Expect(0, 7680, '\p{incombiningdiacriticalmarkssupplement}', "");
Expect(1, 7680, '\p{^incombiningdiacriticalmarkssupplement}', "");
Expect(1, 7680, '\P{incombiningdiacriticalmarkssupplement}', "");
Expect(0, 7680, '\P{^incombiningdiacriticalmarkssupplement}', "");
Expect(1, 7679, '\p{__In_combining_Diacritical_marks_Supplement}', "");
Expect(0, 7679, '\p{^__In_combining_Diacritical_marks_Supplement}', "");
Expect(0, 7679, '\P{__In_combining_Diacritical_marks_Supplement}', "");
Expect(1, 7679, '\P{^__In_combining_Diacritical_marks_Supplement}', "");
Expect(0, 7680, '\p{__In_combining_Diacritical_marks_Supplement}', "");
Expect(1, 7680, '\p{^__In_combining_Diacritical_marks_Supplement}', "");
Expect(1, 7680, '\P{__In_combining_Diacritical_marks_Supplement}', "");
Expect(0, 7680, '\P{^__In_combining_Diacritical_marks_Supplement}', "");
Error('\p{/a/	 diacriticals_SUP}');
Error('\P{/a/	 diacriticals_SUP}');
Expect(1, 7679, '\p{diacriticalssup}', "");
Expect(0, 7679, '\p{^diacriticalssup}', "");
Expect(0, 7679, '\P{diacriticalssup}', "");
Expect(1, 7679, '\P{^diacriticalssup}', "");
Expect(0, 7680, '\p{diacriticalssup}', "");
Expect(1, 7680, '\p{^diacriticalssup}', "");
Expect(1, 7680, '\P{diacriticalssup}', "");
Expect(0, 7680, '\P{^diacriticalssup}', "");
Expect(1, 7679, '\p{-diacriticals_sup}', "");
Expect(0, 7679, '\p{^-diacriticals_sup}', "");
Expect(0, 7679, '\P{-diacriticals_sup}', "");
Expect(1, 7679, '\P{^-diacriticals_sup}', "");
Expect(0, 7680, '\p{-diacriticals_sup}', "");
Expect(1, 7680, '\p{^-diacriticals_sup}', "");
Expect(1, 7680, '\P{-diacriticals_sup}', "");
Expect(0, 7680, '\P{^-diacriticals_sup}', "");
Error('\p{/a/ is_Diacriticals_SUP}');
Error('\P{/a/ is_Diacriticals_SUP}');
Expect(1, 7679, '\p{isdiacriticalssup}', "");
Expect(0, 7679, '\p{^isdiacriticalssup}', "");
Expect(0, 7679, '\P{isdiacriticalssup}', "");
Expect(1, 7679, '\P{^isdiacriticalssup}', "");
Expect(0, 7680, '\p{isdiacriticalssup}', "");
Expect(1, 7680, '\p{^isdiacriticalssup}', "");
Expect(1, 7680, '\P{isdiacriticalssup}', "");
Expect(0, 7680, '\P{^isdiacriticalssup}', "");
Expect(1, 7679, '\p{	Is_Diacriticals_sup}', "");
Expect(0, 7679, '\p{^	Is_Diacriticals_sup}', "");
Expect(0, 7679, '\P{	Is_Diacriticals_sup}', "");
Expect(1, 7679, '\P{^	Is_Diacriticals_sup}', "");
Expect(0, 7680, '\p{	Is_Diacriticals_sup}', "");
Expect(1, 7680, '\p{^	Is_Diacriticals_sup}', "");
Expect(1, 7680, '\P{	Is_Diacriticals_sup}', "");
Expect(0, 7680, '\P{^	Is_Diacriticals_sup}', "");
Error('\p{:=-In_DIACRITICALS_Sup}');
Error('\P{:=-In_DIACRITICALS_Sup}');
Expect(1, 7679, '\p{indiacriticalssup}', "");
Expect(0, 7679, '\p{^indiacriticalssup}', "");
Expect(0, 7679, '\P{indiacriticalssup}', "");
Expect(1, 7679, '\P{^indiacriticalssup}', "");
Expect(0, 7680, '\p{indiacriticalssup}', "");
Expect(1, 7680, '\p{^indiacriticalssup}', "");
Expect(1, 7680, '\P{indiacriticalssup}', "");
Expect(0, 7680, '\P{^indiacriticalssup}', "");
Expect(1, 7679, '\p{-In_DIACRITICALS_Sup}', "");
Expect(0, 7679, '\p{^-In_DIACRITICALS_Sup}', "");
Expect(0, 7679, '\P{-In_DIACRITICALS_Sup}', "");
Expect(1, 7679, '\P{^-In_DIACRITICALS_Sup}', "");
Expect(0, 7680, '\p{-In_DIACRITICALS_Sup}', "");
Expect(1, 7680, '\p{^-In_DIACRITICALS_Sup}', "");
Expect(1, 7680, '\P{-In_DIACRITICALS_Sup}', "");
Expect(0, 7680, '\P{^-In_DIACRITICALS_Sup}', "");
Error('\p{/a/	combining_HALF_MARKS}');
Error('\P{/a/	combining_HALF_MARKS}');
Expect(1, 65071, '\p{combininghalfmarks}', "");
Expect(0, 65071, '\p{^combininghalfmarks}', "");
Expect(0, 65071, '\P{combininghalfmarks}', "");
Expect(1, 65071, '\P{^combininghalfmarks}', "");
Expect(0, 65072, '\p{combininghalfmarks}', "");
Expect(1, 65072, '\p{^combininghalfmarks}', "");
Expect(1, 65072, '\P{combininghalfmarks}', "");
Expect(0, 65072, '\P{^combininghalfmarks}', "");
Expect(1, 65071, '\p{-_Combining_half_Marks}', "");
Expect(0, 65071, '\p{^-_Combining_half_Marks}', "");
Expect(0, 65071, '\P{-_Combining_half_Marks}', "");
Expect(1, 65071, '\P{^-_Combining_half_Marks}', "");
Expect(0, 65072, '\p{-_Combining_half_Marks}', "");
Expect(1, 65072, '\p{^-_Combining_half_Marks}', "");
Expect(1, 65072, '\P{-_Combining_half_Marks}', "");
Expect(0, 65072, '\P{^-_Combining_half_Marks}', "");
Error('\p{ Is_Combining_Half_MARKS:=}');
Error('\P{ Is_Combining_Half_MARKS:=}');
Expect(1, 65071, '\p{iscombininghalfmarks}', "");
Expect(0, 65071, '\p{^iscombininghalfmarks}', "");
Expect(0, 65071, '\P{iscombininghalfmarks}', "");
Expect(1, 65071, '\P{^iscombininghalfmarks}', "");
Expect(0, 65072, '\p{iscombininghalfmarks}', "");
Expect(1, 65072, '\p{^iscombininghalfmarks}', "");
Expect(1, 65072, '\P{iscombininghalfmarks}', "");
Expect(0, 65072, '\P{^iscombininghalfmarks}', "");
Expect(1, 65071, '\p{-	is_COMBINING_half_MARKS}', "");
Expect(0, 65071, '\p{^-	is_COMBINING_half_MARKS}', "");
Expect(0, 65071, '\P{-	is_COMBINING_half_MARKS}', "");
Expect(1, 65071, '\P{^-	is_COMBINING_half_MARKS}', "");
Expect(0, 65072, '\p{-	is_COMBINING_half_MARKS}', "");
Expect(1, 65072, '\p{^-	is_COMBINING_half_MARKS}', "");
Expect(1, 65072, '\P{-	is_COMBINING_half_MARKS}', "");
Expect(0, 65072, '\P{^-	is_COMBINING_half_MARKS}', "");
Error('\p{_/a/In_Combining_half_Marks}');
Error('\P{_/a/In_Combining_half_Marks}');
Expect(1, 65071, '\p{incombininghalfmarks}', "");
Expect(0, 65071, '\p{^incombininghalfmarks}', "");
Expect(0, 65071, '\P{incombininghalfmarks}', "");
Expect(1, 65071, '\P{^incombininghalfmarks}', "");
Expect(0, 65072, '\p{incombininghalfmarks}', "");
Expect(1, 65072, '\p{^incombininghalfmarks}', "");
Expect(1, 65072, '\P{incombininghalfmarks}', "");
Expect(0, 65072, '\P{^incombininghalfmarks}', "");
Expect(1, 65071, '\p{__In_COMBINING_Half_MARKS}', "");
Expect(0, 65071, '\p{^__In_COMBINING_Half_MARKS}', "");
Expect(0, 65071, '\P{__In_COMBINING_Half_MARKS}', "");
Expect(1, 65071, '\P{^__In_COMBINING_Half_MARKS}', "");
Expect(0, 65072, '\p{__In_COMBINING_Half_MARKS}', "");
Expect(1, 65072, '\p{^__In_COMBINING_Half_MARKS}', "");
Expect(1, 65072, '\P{__In_COMBINING_Half_MARKS}', "");
Expect(0, 65072, '\P{^__In_COMBINING_Half_MARKS}', "");
Error('\p{-_Half_marks/a/}');
Error('\P{-_Half_marks/a/}');
Expect(1, 65071, '\p{halfmarks}', "");
Expect(0, 65071, '\p{^halfmarks}', "");
Expect(0, 65071, '\P{halfmarks}', "");
Expect(1, 65071, '\P{^halfmarks}', "");
Expect(0, 65072, '\p{halfmarks}', "");
Expect(1, 65072, '\p{^halfmarks}', "");
Expect(1, 65072, '\P{halfmarks}', "");
Expect(0, 65072, '\P{^halfmarks}', "");
Expect(1, 65071, '\p{- HALF_marks}', "");
Expect(0, 65071, '\p{^- HALF_marks}', "");
Expect(0, 65071, '\P{- HALF_marks}', "");
Expect(1, 65071, '\P{^- HALF_marks}', "");
Expect(0, 65072, '\p{- HALF_marks}', "");
Expect(1, 65072, '\p{^- HALF_marks}', "");
Expect(1, 65072, '\P{- HALF_marks}', "");
Expect(0, 65072, '\P{^- HALF_marks}', "");
Error('\p{	/a/IS_Half_Marks}');
Error('\P{	/a/IS_Half_Marks}');
Expect(1, 65071, '\p{ishalfmarks}', "");
Expect(0, 65071, '\p{^ishalfmarks}', "");
Expect(0, 65071, '\P{ishalfmarks}', "");
Expect(1, 65071, '\P{^ishalfmarks}', "");
Expect(0, 65072, '\p{ishalfmarks}', "");
Expect(1, 65072, '\p{^ishalfmarks}', "");
Expect(1, 65072, '\P{ishalfmarks}', "");
Expect(0, 65072, '\P{^ishalfmarks}', "");
Expect(1, 65071, '\p{ 	IS_half_Marks}', "");
Expect(0, 65071, '\p{^ 	IS_half_Marks}', "");
Expect(0, 65071, '\P{ 	IS_half_Marks}', "");
Expect(1, 65071, '\P{^ 	IS_half_Marks}', "");
Expect(0, 65072, '\p{ 	IS_half_Marks}', "");
Expect(1, 65072, '\p{^ 	IS_half_Marks}', "");
Expect(1, 65072, '\P{ 	IS_half_Marks}', "");
Expect(0, 65072, '\P{^ 	IS_half_Marks}', "");
Error('\p{- IN_half_Marks/a/}');
Error('\P{- IN_half_Marks/a/}');
Expect(1, 65071, '\p{inhalfmarks}', "");
Expect(0, 65071, '\p{^inhalfmarks}', "");
Expect(0, 65071, '\P{inhalfmarks}', "");
Expect(1, 65071, '\P{^inhalfmarks}', "");
Expect(0, 65072, '\p{inhalfmarks}', "");
Expect(1, 65072, '\p{^inhalfmarks}', "");
Expect(1, 65072, '\P{inhalfmarks}', "");
Expect(0, 65072, '\P{^inhalfmarks}', "");
Expect(1, 65071, '\p{--in_HALF_Marks}', "");
Expect(0, 65071, '\p{^--in_HALF_Marks}', "");
Expect(0, 65071, '\P{--in_HALF_Marks}', "");
Expect(1, 65071, '\P{^--in_HALF_Marks}', "");
Expect(0, 65072, '\p{--in_HALF_Marks}', "");
Expect(1, 65072, '\p{^--in_HALF_Marks}', "");
Expect(1, 65072, '\P{--in_HALF_Marks}', "");
Expect(0, 65072, '\P{^--in_HALF_Marks}', "");
Error('\p{/a/_	Common}');
Error('\P{/a/_	Common}');
Expect(1, 917631, '\p{common}', "");
Expect(0, 917631, '\p{^common}', "");
Expect(0, 917631, '\P{common}', "");
Expect(1, 917631, '\P{^common}', "");
Expect(0, 917632, '\p{common}', "");
Expect(1, 917632, '\p{^common}', "");
Expect(1, 917632, '\P{common}', "");
Expect(0, 917632, '\P{^common}', "");
Expect(1, 917631, '\p{	-COMMON}', "");
Expect(0, 917631, '\p{^	-COMMON}', "");
Expect(0, 917631, '\P{	-COMMON}', "");
Expect(1, 917631, '\P{^	-COMMON}', "");
Expect(0, 917632, '\p{	-COMMON}', "");
Expect(1, 917632, '\p{^	-COMMON}', "");
Expect(1, 917632, '\P{	-COMMON}', "");
Expect(0, 917632, '\P{^	-COMMON}', "");
Error('\p{/a/-	IS_Common}');
Error('\P{/a/-	IS_Common}');
Expect(1, 917631, '\p{iscommon}', "");
Expect(0, 917631, '\p{^iscommon}', "");
Expect(0, 917631, '\P{iscommon}', "");
Expect(1, 917631, '\P{^iscommon}', "");
Expect(0, 917632, '\p{iscommon}', "");
Expect(1, 917632, '\p{^iscommon}', "");
Expect(1, 917632, '\P{iscommon}', "");
Expect(0, 917632, '\P{^iscommon}', "");
Expect(1, 917631, '\p{ Is_COMMON}', "");
Expect(0, 917631, '\p{^ Is_COMMON}', "");
Expect(0, 917631, '\P{ Is_COMMON}', "");
Expect(1, 917631, '\P{^ Is_COMMON}', "");
Expect(0, 917632, '\p{ Is_COMMON}', "");
Expect(1, 917632, '\p{^ Is_COMMON}', "");
Expect(1, 917632, '\P{ Is_COMMON}', "");
Expect(0, 917632, '\P{^ Is_COMMON}', "");
Error('\p{- ZYYY/a/}');
Error('\P{- ZYYY/a/}');
Expect(1, 917631, '\p{zyyy}', "");
Expect(0, 917631, '\p{^zyyy}', "");
Expect(0, 917631, '\P{zyyy}', "");
Expect(1, 917631, '\P{^zyyy}', "");
Expect(0, 917632, '\p{zyyy}', "");
Expect(1, 917632, '\p{^zyyy}', "");
Expect(1, 917632, '\P{zyyy}', "");
Expect(0, 917632, '\P{^zyyy}', "");
Expect(1, 917631, '\p{__Zyyy}', "");
Expect(0, 917631, '\p{^__Zyyy}', "");
Expect(0, 917631, '\P{__Zyyy}', "");
Expect(1, 917631, '\P{^__Zyyy}', "");
Expect(0, 917632, '\p{__Zyyy}', "");
Expect(1, 917632, '\p{^__Zyyy}', "");
Expect(1, 917632, '\P{__Zyyy}', "");
Expect(0, 917632, '\P{^__Zyyy}', "");
Error('\p{/a/-Is_ZYYY}');
Error('\P{/a/-Is_ZYYY}');
Expect(1, 917631, '\p{iszyyy}', "");
Expect(0, 917631, '\p{^iszyyy}', "");
Expect(0, 917631, '\P{iszyyy}', "");
Expect(1, 917631, '\P{^iszyyy}', "");
Expect(0, 917632, '\p{iszyyy}', "");
Expect(1, 917632, '\p{^iszyyy}', "");
Expect(1, 917632, '\P{iszyyy}', "");
Expect(0, 917632, '\P{^iszyyy}', "");
Expect(1, 917631, '\p{_Is_Zyyy}', "");
Expect(0, 917631, '\p{^_Is_Zyyy}', "");
Expect(0, 917631, '\P{_Is_Zyyy}', "");
Expect(1, 917631, '\P{^_Is_Zyyy}', "");
Expect(0, 917632, '\p{_Is_Zyyy}', "");
Expect(1, 917632, '\p{^_Is_Zyyy}', "");
Expect(1, 917632, '\P{_Is_Zyyy}', "");
Expect(0, 917632, '\P{^_Is_Zyyy}', "");
Error('\p{-COMMON_Indic_number_forms/a/}');
Error('\P{-COMMON_Indic_number_forms/a/}');
Expect(1, 43071, '\p{commonindicnumberforms}', "");
Expect(0, 43071, '\p{^commonindicnumberforms}', "");
Expect(0, 43071, '\P{commonindicnumberforms}', "");
Expect(1, 43071, '\P{^commonindicnumberforms}', "");
Expect(0, 43072, '\p{commonindicnumberforms}', "");
Expect(1, 43072, '\p{^commonindicnumberforms}', "");
Expect(1, 43072, '\P{commonindicnumberforms}', "");
Expect(0, 43072, '\P{^commonindicnumberforms}', "");
Expect(1, 43071, '\p{  Common_INDIC_number_FORMS}', "");
Expect(0, 43071, '\p{^  Common_INDIC_number_FORMS}', "");
Expect(0, 43071, '\P{  Common_INDIC_number_FORMS}', "");
Expect(1, 43071, '\P{^  Common_INDIC_number_FORMS}', "");
Expect(0, 43072, '\p{  Common_INDIC_number_FORMS}', "");
Expect(1, 43072, '\p{^  Common_INDIC_number_FORMS}', "");
Expect(1, 43072, '\P{  Common_INDIC_number_FORMS}', "");
Expect(0, 43072, '\P{^  Common_INDIC_number_FORMS}', "");
Error('\p{	-Is_Common_INDIC_NUMBER_Forms:=}');
Error('\P{	-Is_Common_INDIC_NUMBER_Forms:=}');
Expect(1, 43071, '\p{iscommonindicnumberforms}', "");
Expect(0, 43071, '\p{^iscommonindicnumberforms}', "");
Expect(0, 43071, '\P{iscommonindicnumberforms}', "");
Expect(1, 43071, '\P{^iscommonindicnumberforms}', "");
Expect(0, 43072, '\p{iscommonindicnumberforms}', "");
Expect(1, 43072, '\p{^iscommonindicnumberforms}', "");
Expect(1, 43072, '\P{iscommonindicnumberforms}', "");
Expect(0, 43072, '\P{^iscommonindicnumberforms}', "");
Expect(1, 43071, '\p{	_Is_Common_Indic_Number_FORMS}', "");
Expect(0, 43071, '\p{^	_Is_Common_Indic_Number_FORMS}', "");
Expect(0, 43071, '\P{	_Is_Common_Indic_Number_FORMS}', "");
Expect(1, 43071, '\P{^	_Is_Common_Indic_Number_FORMS}', "");
Expect(0, 43072, '\p{	_Is_Common_Indic_Number_FORMS}', "");
Expect(1, 43072, '\p{^	_Is_Common_Indic_Number_FORMS}', "");
Expect(1, 43072, '\P{	_Is_Common_Indic_Number_FORMS}', "");
Expect(0, 43072, '\P{^	_Is_Common_Indic_Number_FORMS}', "");
Error('\p{-in_COMMON_indic_number_forms:=}');
Error('\P{-in_COMMON_indic_number_forms:=}');
Expect(1, 43071, '\p{incommonindicnumberforms}', "");
Expect(0, 43071, '\p{^incommonindicnumberforms}', "");
Expect(0, 43071, '\P{incommonindicnumberforms}', "");
Expect(1, 43071, '\P{^incommonindicnumberforms}', "");
Expect(0, 43072, '\p{incommonindicnumberforms}', "");
Expect(1, 43072, '\p{^incommonindicnumberforms}', "");
Expect(1, 43072, '\P{incommonindicnumberforms}', "");
Expect(0, 43072, '\P{^incommonindicnumberforms}', "");
Expect(1, 43071, '\p{__IN_common_Indic_Number_FORMS}', "");
Expect(0, 43071, '\p{^__IN_common_Indic_Number_FORMS}', "");
Expect(0, 43071, '\P{__IN_common_Indic_Number_FORMS}', "");
Expect(1, 43071, '\P{^__IN_common_Indic_Number_FORMS}', "");
Expect(0, 43072, '\p{__IN_common_Indic_Number_FORMS}', "");
Expect(1, 43072, '\p{^__IN_common_Indic_Number_FORMS}', "");
Expect(1, 43072, '\P{__IN_common_Indic_Number_FORMS}', "");
Expect(0, 43072, '\P{^__IN_common_Indic_Number_FORMS}', "");
Error('\p{	:=Indic_number_Forms}');
Error('\P{	:=Indic_number_Forms}');
Expect(1, 43071, '\p{indicnumberforms}', "");
Expect(0, 43071, '\p{^indicnumberforms}', "");
Expect(0, 43071, '\P{indicnumberforms}', "");
Expect(1, 43071, '\P{^indicnumberforms}', "");
Expect(0, 43072, '\p{indicnumberforms}', "");
Expect(1, 43072, '\p{^indicnumberforms}', "");
Expect(1, 43072, '\P{indicnumberforms}', "");
Expect(0, 43072, '\P{^indicnumberforms}', "");
Expect(1, 43071, '\p{_	indic_NUMBER_Forms}', "");
Expect(0, 43071, '\p{^_	indic_NUMBER_Forms}', "");
Expect(0, 43071, '\P{_	indic_NUMBER_Forms}', "");
Expect(1, 43071, '\P{^_	indic_NUMBER_Forms}', "");
Expect(0, 43072, '\p{_	indic_NUMBER_Forms}', "");
Expect(1, 43072, '\p{^_	indic_NUMBER_Forms}', "");
Expect(1, 43072, '\P{_	indic_NUMBER_Forms}', "");
Expect(0, 43072, '\P{^_	indic_NUMBER_Forms}', "");
Error('\p{	/a/is_Indic_Number_Forms}');
Error('\P{	/a/is_Indic_Number_Forms}');
Expect(1, 43071, '\p{isindicnumberforms}', "");
Expect(0, 43071, '\p{^isindicnumberforms}', "");
Expect(0, 43071, '\P{isindicnumberforms}', "");
Expect(1, 43071, '\P{^isindicnumberforms}', "");
Expect(0, 43072, '\p{isindicnumberforms}', "");
Expect(1, 43072, '\p{^isindicnumberforms}', "");
Expect(1, 43072, '\P{isindicnumberforms}', "");
Expect(0, 43072, '\P{^isindicnumberforms}', "");
Expect(1, 43071, '\p{IS_Indic_Number_Forms}', "");
Expect(0, 43071, '\p{^IS_Indic_Number_Forms}', "");
Expect(0, 43071, '\P{IS_Indic_Number_Forms}', "");
Expect(1, 43071, '\P{^IS_Indic_Number_Forms}', "");
Expect(0, 43072, '\p{IS_Indic_Number_Forms}', "");
Expect(1, 43072, '\p{^IS_Indic_Number_Forms}', "");
Expect(1, 43072, '\P{IS_Indic_Number_Forms}', "");
Expect(0, 43072, '\P{^IS_Indic_Number_Forms}', "");
Error('\p{_:=in_indic_Number_forms}');
Error('\P{_:=in_indic_Number_forms}');
Expect(1, 43071, '\p{inindicnumberforms}', "");
Expect(0, 43071, '\p{^inindicnumberforms}', "");
Expect(0, 43071, '\P{inindicnumberforms}', "");
Expect(1, 43071, '\P{^inindicnumberforms}', "");
Expect(0, 43072, '\p{inindicnumberforms}', "");
Expect(1, 43072, '\p{^inindicnumberforms}', "");
Expect(1, 43072, '\P{inindicnumberforms}', "");
Expect(0, 43072, '\P{^inindicnumberforms}', "");
Expect(1, 43071, '\p{-_In_indic_number_FORMS}', "");
Expect(0, 43071, '\p{^-_In_indic_number_FORMS}', "");
Expect(0, 43071, '\P{-_In_indic_number_FORMS}', "");
Expect(1, 43071, '\P{^-_In_indic_number_FORMS}', "");
Expect(0, 43072, '\p{-_In_indic_number_FORMS}', "");
Expect(1, 43072, '\p{^-_In_indic_number_FORMS}', "");
Expect(1, 43072, '\P{-_In_indic_number_FORMS}', "");
Expect(0, 43072, '\P{^-_In_indic_number_FORMS}', "");
Error('\p{/a/  Composition_Exclusion}');
Error('\P{/a/  Composition_Exclusion}');
Expect(1, 119232, '\p{compositionexclusion}', "");
Expect(0, 119232, '\p{^compositionexclusion}', "");
Expect(0, 119232, '\P{compositionexclusion}', "");
Expect(1, 119232, '\P{^compositionexclusion}', "");
Expect(0, 119233, '\p{compositionexclusion}', "");
Expect(1, 119233, '\p{^compositionexclusion}', "");
Expect(1, 119233, '\P{compositionexclusion}', "");
Expect(0, 119233, '\P{^compositionexclusion}', "");
Expect(1, 119232, '\p{ -COMPOSITION_EXCLUSION}', "");
Expect(0, 119232, '\p{^ -COMPOSITION_EXCLUSION}', "");
Expect(0, 119232, '\P{ -COMPOSITION_EXCLUSION}', "");
Expect(1, 119232, '\P{^ -COMPOSITION_EXCLUSION}', "");
Expect(0, 119233, '\p{ -COMPOSITION_EXCLUSION}', "");
Expect(1, 119233, '\p{^ -COMPOSITION_EXCLUSION}', "");
Expect(1, 119233, '\P{ -COMPOSITION_EXCLUSION}', "");
Expect(0, 119233, '\P{^ -COMPOSITION_EXCLUSION}', "");
Error('\p{	IS_Composition_exclusion:=}');
Error('\P{	IS_Composition_exclusion:=}');
Expect(1, 119232, '\p{iscompositionexclusion}', "");
Expect(0, 119232, '\p{^iscompositionexclusion}', "");
Expect(0, 119232, '\P{iscompositionexclusion}', "");
Expect(1, 119232, '\P{^iscompositionexclusion}', "");
Expect(0, 119233, '\p{iscompositionexclusion}', "");
Expect(1, 119233, '\p{^iscompositionexclusion}', "");
Expect(1, 119233, '\P{iscompositionexclusion}', "");
Expect(0, 119233, '\P{^iscompositionexclusion}', "");
Expect(1, 119232, '\p{ 	Is_Composition_EXCLUSION}', "");
Expect(0, 119232, '\p{^ 	Is_Composition_EXCLUSION}', "");
Expect(0, 119232, '\P{ 	Is_Composition_EXCLUSION}', "");
Expect(1, 119232, '\P{^ 	Is_Composition_EXCLUSION}', "");
Expect(0, 119233, '\p{ 	Is_Composition_EXCLUSION}', "");
Expect(1, 119233, '\p{^ 	Is_Composition_EXCLUSION}', "");
Expect(1, 119233, '\P{ 	Is_Composition_EXCLUSION}', "");
Expect(0, 119233, '\P{^ 	Is_Composition_EXCLUSION}', "");
Error('\p{:=-	CE}');
Error('\P{:=-	CE}');
Expect(1, 119232, '\p{ce}', "");
Expect(0, 119232, '\p{^ce}', "");
Expect(0, 119232, '\P{ce}', "");
Expect(1, 119232, '\P{^ce}', "");
Expect(0, 119233, '\p{ce}', "");
Expect(1, 119233, '\p{^ce}', "");
Expect(1, 119233, '\P{ce}', "");
Expect(0, 119233, '\P{^ce}', "");
Expect(1, 119232, '\p{__CE}', "");
Expect(0, 119232, '\p{^__CE}', "");
Expect(0, 119232, '\P{__CE}', "");
Expect(1, 119232, '\P{^__CE}', "");
Expect(0, 119233, '\p{__CE}', "");
Expect(1, 119233, '\p{^__CE}', "");
Expect(1, 119233, '\P{__CE}', "");
Expect(0, 119233, '\P{^__CE}', "");
Error('\p{/a/_Is_CE}');
Error('\P{/a/_Is_CE}');
Expect(1, 119232, '\p{isce}', "");
Expect(0, 119232, '\p{^isce}', "");
Expect(0, 119232, '\P{isce}', "");
Expect(1, 119232, '\P{^isce}', "");
Expect(0, 119233, '\p{isce}', "");
Expect(1, 119233, '\p{^isce}', "");
Expect(1, 119233, '\P{isce}', "");
Expect(0, 119233, '\P{^isce}', "");
Expect(1, 119232, '\p{--Is_ce}', "");
Expect(0, 119232, '\p{^--Is_ce}', "");
Expect(0, 119232, '\P{--Is_ce}', "");
Expect(1, 119232, '\P{^--Is_ce}', "");
Expect(0, 119233, '\p{--Is_ce}', "");
Expect(1, 119233, '\p{^--Is_ce}', "");
Expect(1, 119233, '\P{--Is_ce}', "");
Expect(0, 119233, '\P{^--Is_ce}', "");
Error('\p{/a/__CONNECTOR_Punctuation}');
Error('\P{/a/__CONNECTOR_Punctuation}');
Expect(1, 65343, '\p{connectorpunctuation}', "");
Expect(0, 65343, '\p{^connectorpunctuation}', "");
Expect(0, 65343, '\P{connectorpunctuation}', "");
Expect(1, 65343, '\P{^connectorpunctuation}', "");
Expect(0, 65344, '\p{connectorpunctuation}', "");
Expect(1, 65344, '\p{^connectorpunctuation}', "");
Expect(1, 65344, '\P{connectorpunctuation}', "");
Expect(0, 65344, '\P{^connectorpunctuation}', "");
Expect(1, 65343, '\p{		connector_Punctuation}', "");
Expect(0, 65343, '\p{^		connector_Punctuation}', "");
Expect(0, 65343, '\P{		connector_Punctuation}', "");
Expect(1, 65343, '\P{^		connector_Punctuation}', "");
Expect(0, 65344, '\p{		connector_Punctuation}', "");
Expect(1, 65344, '\p{^		connector_Punctuation}', "");
Expect(1, 65344, '\P{		connector_Punctuation}', "");
Expect(0, 65344, '\P{^		connector_Punctuation}', "");
Error('\p{-	is_Connector_Punctuation:=}');
Error('\P{-	is_Connector_Punctuation:=}');
Expect(1, 65343, '\p{isconnectorpunctuation}', "");
Expect(0, 65343, '\p{^isconnectorpunctuation}', "");
Expect(0, 65343, '\P{isconnectorpunctuation}', "");
Expect(1, 65343, '\P{^isconnectorpunctuation}', "");
Expect(0, 65344, '\p{isconnectorpunctuation}', "");
Expect(1, 65344, '\p{^isconnectorpunctuation}', "");
Expect(1, 65344, '\P{isconnectorpunctuation}', "");
Expect(0, 65344, '\P{^isconnectorpunctuation}', "");
Expect(1, 65343, '\p{		Is_CONNECTOR_punctuation}', "");
Expect(0, 65343, '\p{^		Is_CONNECTOR_punctuation}', "");
Expect(0, 65343, '\P{		Is_CONNECTOR_punctuation}', "");
Expect(1, 65343, '\P{^		Is_CONNECTOR_punctuation}', "");
Expect(0, 65344, '\p{		Is_CONNECTOR_punctuation}', "");
Expect(1, 65344, '\p{^		Is_CONNECTOR_punctuation}', "");
Expect(1, 65344, '\P{		Is_CONNECTOR_punctuation}', "");
Expect(0, 65344, '\P{^		Is_CONNECTOR_punctuation}', "");
Error('\p{- pc:=}');
Error('\P{- pc:=}');
Expect(1, 65343, '\p{pc}', "");
Expect(0, 65343, '\p{^pc}', "");
Expect(0, 65343, '\P{pc}', "");
Expect(1, 65343, '\P{^pc}', "");
Expect(0, 65344, '\p{pc}', "");
Expect(1, 65344, '\p{^pc}', "");
Expect(1, 65344, '\P{pc}', "");
Expect(0, 65344, '\P{^pc}', "");
Error('\p{		is_pc:=}');
Error('\P{		is_pc:=}');
Expect(1, 65343, '\p{ispc}', "");
Expect(0, 65343, '\p{^ispc}', "");
Expect(0, 65343, '\P{ispc}', "");
Expect(1, 65343, '\P{^ispc}', "");
Expect(0, 65344, '\p{ispc}', "");
Expect(1, 65344, '\p{^ispc}', "");
Expect(1, 65344, '\P{ispc}', "");
Expect(0, 65344, '\P{^ispc}', "");
Expect(1, 65343, '\p{_is_Pc}', "");
Expect(0, 65343, '\p{^_is_Pc}', "");
Expect(0, 65343, '\P{_is_Pc}', "");
Expect(1, 65343, '\P{^_is_Pc}', "");
Expect(0, 65344, '\p{_is_Pc}', "");
Expect(1, 65344, '\p{^_is_Pc}', "");
Expect(1, 65344, '\P{_is_Pc}', "");
Expect(0, 65344, '\P{^_is_Pc}', "");
Error('\p{/a/control_Pictures}');
Error('\P{/a/control_Pictures}');
Expect(1, 9279, '\p{controlpictures}', "");
Expect(0, 9279, '\p{^controlpictures}', "");
Expect(0, 9279, '\P{controlpictures}', "");
Expect(1, 9279, '\P{^controlpictures}', "");
Expect(0, 9280, '\p{controlpictures}', "");
Expect(1, 9280, '\p{^controlpictures}', "");
Expect(1, 9280, '\P{controlpictures}', "");
Expect(0, 9280, '\P{^controlpictures}', "");
Expect(1, 9279, '\p{ Control_PICTURES}', "");
Expect(0, 9279, '\p{^ Control_PICTURES}', "");
Expect(0, 9279, '\P{ Control_PICTURES}', "");
Expect(1, 9279, '\P{^ Control_PICTURES}', "");
Expect(0, 9280, '\p{ Control_PICTURES}', "");
Expect(1, 9280, '\p{^ Control_PICTURES}', "");
Expect(1, 9280, '\P{ Control_PICTURES}', "");
Expect(0, 9280, '\P{^ Control_PICTURES}', "");
Error('\p{:=		is_Control_Pictures}');
Error('\P{:=		is_Control_Pictures}');
Expect(1, 9279, '\p{iscontrolpictures}', "");
Expect(0, 9279, '\p{^iscontrolpictures}', "");
Expect(0, 9279, '\P{iscontrolpictures}', "");
Expect(1, 9279, '\P{^iscontrolpictures}', "");
Expect(0, 9280, '\p{iscontrolpictures}', "");
Expect(1, 9280, '\p{^iscontrolpictures}', "");
Expect(1, 9280, '\P{iscontrolpictures}', "");
Expect(0, 9280, '\P{^iscontrolpictures}', "");
Expect(1, 9279, '\p{ _is_Control_Pictures}', "");
Expect(0, 9279, '\p{^ _is_Control_Pictures}', "");
Expect(0, 9279, '\P{ _is_Control_Pictures}', "");
Expect(1, 9279, '\P{^ _is_Control_Pictures}', "");
Expect(0, 9280, '\p{ _is_Control_Pictures}', "");
Expect(1, 9280, '\p{^ _is_Control_Pictures}', "");
Expect(1, 9280, '\P{ _is_Control_Pictures}', "");
Expect(0, 9280, '\P{^ _is_Control_Pictures}', "");
Error('\p{_ In_Control_Pictures/a/}');
Error('\P{_ In_Control_Pictures/a/}');
Expect(1, 9279, '\p{incontrolpictures}', "");
Expect(0, 9279, '\p{^incontrolpictures}', "");
Expect(0, 9279, '\P{incontrolpictures}', "");
Expect(1, 9279, '\P{^incontrolpictures}', "");
Expect(0, 9280, '\p{incontrolpictures}', "");
Expect(1, 9280, '\p{^incontrolpictures}', "");
Expect(1, 9280, '\P{incontrolpictures}', "");
Expect(0, 9280, '\P{^incontrolpictures}', "");
Expect(1, 9279, '\p{ -In_CONTROL_Pictures}', "");
Expect(0, 9279, '\p{^ -In_CONTROL_Pictures}', "");
Expect(0, 9279, '\P{ -In_CONTROL_Pictures}', "");
Expect(1, 9279, '\P{^ -In_CONTROL_Pictures}', "");
Expect(0, 9280, '\p{ -In_CONTROL_Pictures}', "");
Expect(1, 9280, '\p{^ -In_CONTROL_Pictures}', "");
Expect(1, 9280, '\P{ -In_CONTROL_Pictures}', "");
Expect(0, 9280, '\P{^ -In_CONTROL_Pictures}', "");
Error('\p{:=  Coptic}');
Error('\P{:=  Coptic}');
Expect(1, 11519, '\p{coptic}', "");
Expect(0, 11519, '\p{^coptic}', "");
Expect(0, 11519, '\P{coptic}', "");
Expect(1, 11519, '\P{^coptic}', "");
Expect(0, 11520, '\p{coptic}', "");
Expect(1, 11520, '\p{^coptic}', "");
Expect(1, 11520, '\P{coptic}', "");
Expect(0, 11520, '\P{^coptic}', "");
Expect(1, 11519, '\p{		Coptic}', "");
Expect(0, 11519, '\p{^		Coptic}', "");
Expect(0, 11519, '\P{		Coptic}', "");
Expect(1, 11519, '\P{^		Coptic}', "");
Expect(0, 11520, '\p{		Coptic}', "");
Expect(1, 11520, '\p{^		Coptic}', "");
Expect(1, 11520, '\P{		Coptic}', "");
Expect(0, 11520, '\P{^		Coptic}', "");
Error('\p{	/a/Is_coptic}');
Error('\P{	/a/Is_coptic}');
Expect(1, 11519, '\p{iscoptic}', "");
Expect(0, 11519, '\p{^iscoptic}', "");
Expect(0, 11519, '\P{iscoptic}', "");
Expect(1, 11519, '\P{^iscoptic}', "");
Expect(0, 11520, '\p{iscoptic}', "");
Expect(1, 11520, '\p{^iscoptic}', "");
Expect(1, 11520, '\P{iscoptic}', "");
Expect(0, 11520, '\P{^iscoptic}', "");
Expect(1, 11519, '\p{	_Is_Coptic}', "");
Expect(0, 11519, '\p{^	_Is_Coptic}', "");
Expect(0, 11519, '\P{	_Is_Coptic}', "");
Expect(1, 11519, '\P{^	_Is_Coptic}', "");
Expect(0, 11520, '\p{	_Is_Coptic}', "");
Expect(1, 11520, '\p{^	_Is_Coptic}', "");
Expect(1, 11520, '\P{	_Is_Coptic}', "");
Expect(0, 11520, '\P{^	_Is_Coptic}', "");
Error('\p{:=_	COPT}');
Error('\P{:=_	COPT}');
Expect(1, 11519, '\p{copt}', "");
Expect(0, 11519, '\p{^copt}', "");
Expect(0, 11519, '\P{copt}', "");
Expect(1, 11519, '\P{^copt}', "");
Expect(0, 11520, '\p{copt}', "");
Expect(1, 11520, '\p{^copt}', "");
Expect(1, 11520, '\P{copt}', "");
Expect(0, 11520, '\P{^copt}', "");
Expect(1, 11519, '\p{	COPT}', "");
Expect(0, 11519, '\p{^	COPT}', "");
Expect(0, 11519, '\P{	COPT}', "");
Expect(1, 11519, '\P{^	COPT}', "");
Expect(0, 11520, '\p{	COPT}', "");
Expect(1, 11520, '\p{^	COPT}', "");
Expect(1, 11520, '\P{	COPT}', "");
Expect(0, 11520, '\P{^	COPT}', "");
Error('\p{:=IS_copt}');
Error('\P{:=IS_copt}');
Expect(1, 11519, '\p{iscopt}', "");
Expect(0, 11519, '\p{^iscopt}', "");
Expect(0, 11519, '\P{iscopt}', "");
Expect(1, 11519, '\P{^iscopt}', "");
Expect(0, 11520, '\p{iscopt}', "");
Expect(1, 11520, '\p{^iscopt}', "");
Expect(1, 11520, '\P{iscopt}', "");
Expect(0, 11520, '\P{^iscopt}', "");
Expect(1, 11519, '\p{	Is_Copt}', "");
Expect(0, 11519, '\p{^	Is_Copt}', "");
Expect(0, 11519, '\P{	Is_Copt}', "");
Expect(1, 11519, '\P{^	Is_Copt}', "");
Expect(0, 11520, '\p{	Is_Copt}', "");
Expect(1, 11520, '\p{^	Is_Copt}', "");
Expect(1, 11520, '\P{	Is_Copt}', "");
Expect(0, 11520, '\P{^	Is_Copt}', "");
Error('\p{	:=QAAC}');
Error('\P{	:=QAAC}');
Expect(1, 11519, '\p{qaac}', "");
Expect(0, 11519, '\p{^qaac}', "");
Expect(0, 11519, '\P{qaac}', "");
Expect(1, 11519, '\P{^qaac}', "");
Expect(0, 11520, '\p{qaac}', "");
Expect(1, 11520, '\p{^qaac}', "");
Expect(1, 11520, '\P{qaac}', "");
Expect(0, 11520, '\P{^qaac}', "");
Expect(1, 11519, '\p{-	QAAC}', "");
Expect(0, 11519, '\p{^-	QAAC}', "");
Expect(0, 11519, '\P{-	QAAC}', "");
Expect(1, 11519, '\P{^-	QAAC}', "");
Expect(0, 11520, '\p{-	QAAC}', "");
Expect(1, 11520, '\p{^-	QAAC}', "");
Expect(1, 11520, '\P{-	QAAC}', "");
Expect(0, 11520, '\P{^-	QAAC}', "");
Error('\p{:=-Is_QAAC}');
Error('\P{:=-Is_QAAC}');
Expect(1, 11519, '\p{isqaac}', "");
Expect(0, 11519, '\p{^isqaac}', "");
Expect(0, 11519, '\P{isqaac}', "");
Expect(1, 11519, '\P{^isqaac}', "");
Expect(0, 11520, '\p{isqaac}', "");
Expect(1, 11520, '\p{^isqaac}', "");
Expect(1, 11520, '\P{isqaac}', "");
Expect(0, 11520, '\P{^isqaac}', "");
Expect(1, 11519, '\p{__Is_qaac}', "");
Expect(0, 11519, '\p{^__Is_qaac}', "");
Expect(0, 11519, '\P{__Is_qaac}', "");
Expect(1, 11519, '\P{^__Is_qaac}', "");
Expect(0, 11520, '\p{__Is_qaac}', "");
Expect(1, 11520, '\p{^__Is_qaac}', "");
Expect(1, 11520, '\P{__Is_qaac}', "");
Expect(0, 11520, '\P{^__Is_qaac}', "");
Error('\p{  Coptic_EPACT_Numbers/a/}');
Error('\P{  Coptic_EPACT_Numbers/a/}');
Expect(1, 66303, '\p{copticepactnumbers}', "");
Expect(0, 66303, '\p{^copticepactnumbers}', "");
Expect(0, 66303, '\P{copticepactnumbers}', "");
Expect(1, 66303, '\P{^copticepactnumbers}', "");
Expect(0, 66304, '\p{copticepactnumbers}', "");
Expect(1, 66304, '\p{^copticepactnumbers}', "");
Expect(1, 66304, '\P{copticepactnumbers}', "");
Expect(0, 66304, '\P{^copticepactnumbers}', "");
Expect(1, 66303, '\p{	 Coptic_Epact_NUMBERS}', "");
Expect(0, 66303, '\p{^	 Coptic_Epact_NUMBERS}', "");
Expect(0, 66303, '\P{	 Coptic_Epact_NUMBERS}', "");
Expect(1, 66303, '\P{^	 Coptic_Epact_NUMBERS}', "");
Expect(0, 66304, '\p{	 Coptic_Epact_NUMBERS}', "");
Expect(1, 66304, '\p{^	 Coptic_Epact_NUMBERS}', "");
Expect(1, 66304, '\P{	 Coptic_Epact_NUMBERS}', "");
Expect(0, 66304, '\P{^	 Coptic_Epact_NUMBERS}', "");
Error('\p{ _Is_Coptic_Epact_Numbers/a/}');
Error('\P{ _Is_Coptic_Epact_Numbers/a/}');
Expect(1, 66303, '\p{iscopticepactnumbers}', "");
Expect(0, 66303, '\p{^iscopticepactnumbers}', "");
Expect(0, 66303, '\P{iscopticepactnumbers}', "");
Expect(1, 66303, '\P{^iscopticepactnumbers}', "");
Expect(0, 66304, '\p{iscopticepactnumbers}', "");
Expect(1, 66304, '\p{^iscopticepactnumbers}', "");
Expect(1, 66304, '\P{iscopticepactnumbers}', "");
Expect(0, 66304, '\P{^iscopticepactnumbers}', "");
Expect(1, 66303, '\p{	IS_Coptic_EPACT_Numbers}', "");
Expect(0, 66303, '\p{^	IS_Coptic_EPACT_Numbers}', "");
Expect(0, 66303, '\P{	IS_Coptic_EPACT_Numbers}', "");
Expect(1, 66303, '\P{^	IS_Coptic_EPACT_Numbers}', "");
Expect(0, 66304, '\p{	IS_Coptic_EPACT_Numbers}', "");
Expect(1, 66304, '\p{^	IS_Coptic_EPACT_Numbers}', "");
Expect(1, 66304, '\P{	IS_Coptic_EPACT_Numbers}', "");
Expect(0, 66304, '\P{^	IS_Coptic_EPACT_Numbers}', "");
Error('\p{__In_coptic_epact_numbers/a/}');
Error('\P{__In_coptic_epact_numbers/a/}');
Expect(1, 66303, '\p{incopticepactnumbers}', "");
Expect(0, 66303, '\p{^incopticepactnumbers}', "");
Expect(0, 66303, '\P{incopticepactnumbers}', "");
Expect(1, 66303, '\P{^incopticepactnumbers}', "");
Expect(0, 66304, '\p{incopticepactnumbers}', "");
Expect(1, 66304, '\p{^incopticepactnumbers}', "");
Expect(1, 66304, '\P{incopticepactnumbers}', "");
Expect(0, 66304, '\P{^incopticepactnumbers}', "");
Expect(1, 66303, '\p{ in_COPTIC_EPACT_numbers}', "");
Expect(0, 66303, '\p{^ in_COPTIC_EPACT_numbers}', "");
Expect(0, 66303, '\P{ in_COPTIC_EPACT_numbers}', "");
Expect(1, 66303, '\P{^ in_COPTIC_EPACT_numbers}', "");
Expect(0, 66304, '\p{ in_COPTIC_EPACT_numbers}', "");
Expect(1, 66304, '\p{^ in_COPTIC_EPACT_numbers}', "");
Expect(1, 66304, '\P{ in_COPTIC_EPACT_numbers}', "");
Expect(0, 66304, '\P{^ in_COPTIC_EPACT_numbers}', "");
Error('\p{	:=COUNTING_rod_Numerals}');
Error('\P{	:=COUNTING_rod_Numerals}');
Expect(1, 119679, '\p{countingrodnumerals}', "");
Expect(0, 119679, '\p{^countingrodnumerals}', "");
Expect(0, 119679, '\P{countingrodnumerals}', "");
Expect(1, 119679, '\P{^countingrodnumerals}', "");
Expect(0, 119680, '\p{countingrodnumerals}', "");
Expect(1, 119680, '\p{^countingrodnumerals}', "");
Expect(1, 119680, '\P{countingrodnumerals}', "");
Expect(0, 119680, '\P{^countingrodnumerals}', "");
Expect(1, 119679, '\p{_	COUNTING_rod_numerals}', "");
Expect(0, 119679, '\p{^_	COUNTING_rod_numerals}', "");
Expect(0, 119679, '\P{_	COUNTING_rod_numerals}', "");
Expect(1, 119679, '\P{^_	COUNTING_rod_numerals}', "");
Expect(0, 119680, '\p{_	COUNTING_rod_numerals}', "");
Expect(1, 119680, '\p{^_	COUNTING_rod_numerals}', "");
Expect(1, 119680, '\P{_	COUNTING_rod_numerals}', "");
Expect(0, 119680, '\P{^_	COUNTING_rod_numerals}', "");
Error('\p{-:=is_COUNTING_ROD_Numerals}');
Error('\P{-:=is_COUNTING_ROD_Numerals}');
Expect(1, 119679, '\p{iscountingrodnumerals}', "");
Expect(0, 119679, '\p{^iscountingrodnumerals}', "");
Expect(0, 119679, '\P{iscountingrodnumerals}', "");
Expect(1, 119679, '\P{^iscountingrodnumerals}', "");
Expect(0, 119680, '\p{iscountingrodnumerals}', "");
Expect(1, 119680, '\p{^iscountingrodnumerals}', "");
Expect(1, 119680, '\P{iscountingrodnumerals}', "");
Expect(0, 119680, '\P{^iscountingrodnumerals}', "");
Expect(1, 119679, '\p{ _is_Counting_Rod_numerals}', "");
Expect(0, 119679, '\p{^ _is_Counting_Rod_numerals}', "");
Expect(0, 119679, '\P{ _is_Counting_Rod_numerals}', "");
Expect(1, 119679, '\P{^ _is_Counting_Rod_numerals}', "");
Expect(0, 119680, '\p{ _is_Counting_Rod_numerals}', "");
Expect(1, 119680, '\p{^ _is_Counting_Rod_numerals}', "");
Expect(1, 119680, '\P{ _is_Counting_Rod_numerals}', "");
Expect(0, 119680, '\P{^ _is_Counting_Rod_numerals}', "");
Error('\p{/a/- In_counting_rod_numerals}');
Error('\P{/a/- In_counting_rod_numerals}');
Expect(1, 119679, '\p{incountingrodnumerals}', "");
Expect(0, 119679, '\p{^incountingrodnumerals}', "");
Expect(0, 119679, '\P{incountingrodnumerals}', "");
Expect(1, 119679, '\P{^incountingrodnumerals}', "");
Expect(0, 119680, '\p{incountingrodnumerals}', "");
Expect(1, 119680, '\p{^incountingrodnumerals}', "");
Expect(1, 119680, '\P{incountingrodnumerals}', "");
Expect(0, 119680, '\P{^incountingrodnumerals}', "");
Expect(1, 119679, '\p{IN_Counting_rod_numerals}', "");
Expect(0, 119679, '\p{^IN_Counting_rod_numerals}', "");
Expect(0, 119679, '\P{IN_Counting_rod_numerals}', "");
Expect(1, 119679, '\P{^IN_Counting_rod_numerals}', "");
Expect(0, 119680, '\p{IN_Counting_rod_numerals}', "");
Expect(1, 119680, '\p{^IN_Counting_rod_numerals}', "");
Expect(1, 119680, '\P{IN_Counting_rod_numerals}', "");
Expect(0, 119680, '\P{^IN_Counting_rod_numerals}', "");
Error('\p{-:=COUNTING_rod}');
Error('\P{-:=COUNTING_rod}');
Expect(1, 119679, '\p{countingrod}', "");
Expect(0, 119679, '\p{^countingrod}', "");
Expect(0, 119679, '\P{countingrod}', "");
Expect(1, 119679, '\P{^countingrod}', "");
Expect(0, 119680, '\p{countingrod}', "");
Expect(1, 119680, '\p{^countingrod}', "");
Expect(1, 119680, '\P{countingrod}', "");
Expect(0, 119680, '\P{^countingrod}', "");
Expect(1, 119679, '\p{-_COUNTING_Rod}', "");
Expect(0, 119679, '\p{^-_COUNTING_Rod}', "");
Expect(0, 119679, '\P{-_COUNTING_Rod}', "");
Expect(1, 119679, '\P{^-_COUNTING_Rod}', "");
Expect(0, 119680, '\p{-_COUNTING_Rod}', "");
Expect(1, 119680, '\p{^-_COUNTING_Rod}', "");
Expect(1, 119680, '\P{-_COUNTING_Rod}', "");
Expect(0, 119680, '\P{^-_COUNTING_Rod}', "");
Error('\p{/a/	Is_counting_Rod}');
Error('\P{/a/	Is_counting_Rod}');
Expect(1, 119679, '\p{iscountingrod}', "");
Expect(0, 119679, '\p{^iscountingrod}', "");
Expect(0, 119679, '\P{iscountingrod}', "");
Expect(1, 119679, '\P{^iscountingrod}', "");
Expect(0, 119680, '\p{iscountingrod}', "");
Expect(1, 119680, '\p{^iscountingrod}', "");
Expect(1, 119680, '\P{iscountingrod}', "");
Expect(0, 119680, '\P{^iscountingrod}', "");
Expect(1, 119679, '\p{ 	Is_COUNTING_rod}', "");
Expect(0, 119679, '\p{^ 	Is_COUNTING_rod}', "");
Expect(0, 119679, '\P{ 	Is_COUNTING_rod}', "");
Expect(1, 119679, '\P{^ 	Is_COUNTING_rod}', "");
Expect(0, 119680, '\p{ 	Is_COUNTING_rod}', "");
Expect(1, 119680, '\p{^ 	Is_COUNTING_rod}', "");
Expect(1, 119680, '\P{ 	Is_COUNTING_rod}', "");
Expect(0, 119680, '\P{^ 	Is_COUNTING_rod}', "");
Error('\p{:=IN_counting_Rod}');
Error('\P{:=IN_counting_Rod}');
Expect(1, 119679, '\p{incountingrod}', "");
Expect(0, 119679, '\p{^incountingrod}', "");
Expect(0, 119679, '\P{incountingrod}', "");
Expect(1, 119679, '\P{^incountingrod}', "");
Expect(0, 119680, '\p{incountingrod}', "");
Expect(1, 119680, '\p{^incountingrod}', "");
Expect(1, 119680, '\P{incountingrod}', "");
Expect(0, 119680, '\P{^incountingrod}', "");
Expect(1, 119679, '\p{_ IN_Counting_Rod}', "");
Expect(0, 119679, '\p{^_ IN_Counting_Rod}', "");
Expect(0, 119679, '\P{_ IN_Counting_Rod}', "");
Expect(1, 119679, '\P{^_ IN_Counting_Rod}', "");
Expect(0, 119680, '\p{_ IN_Counting_Rod}', "");
Expect(1, 119680, '\p{^_ IN_Counting_Rod}', "");
Expect(1, 119680, '\P{_ IN_Counting_Rod}', "");
Expect(0, 119680, '\P{^_ IN_Counting_Rod}', "");
Error('\p{_Cuneiform:=}');
Error('\P{_Cuneiform:=}');
Expect(1, 75075, '\p{cuneiform}', "");
Expect(0, 75075, '\p{^cuneiform}', "");
Expect(0, 75075, '\P{cuneiform}', "");
Expect(1, 75075, '\P{^cuneiform}', "");
Expect(0, 75076, '\p{cuneiform}', "");
Expect(1, 75076, '\p{^cuneiform}', "");
Expect(1, 75076, '\P{cuneiform}', "");
Expect(0, 75076, '\P{^cuneiform}', "");
Expect(1, 75075, '\p{ _CUNEIFORM}', "");
Expect(0, 75075, '\p{^ _CUNEIFORM}', "");
Expect(0, 75075, '\P{ _CUNEIFORM}', "");
Expect(1, 75075, '\P{^ _CUNEIFORM}', "");
Expect(0, 75076, '\p{ _CUNEIFORM}', "");
Expect(1, 75076, '\p{^ _CUNEIFORM}', "");
Expect(1, 75076, '\P{ _CUNEIFORM}', "");
Expect(0, 75076, '\P{^ _CUNEIFORM}', "");
Error('\p{/a/-IS_CUNEIFORM}');
Error('\P{/a/-IS_CUNEIFORM}');
Expect(1, 75075, '\p{iscuneiform}', "");
Expect(0, 75075, '\p{^iscuneiform}', "");
Expect(0, 75075, '\P{iscuneiform}', "");
Expect(1, 75075, '\P{^iscuneiform}', "");
Expect(0, 75076, '\p{iscuneiform}', "");
Expect(1, 75076, '\p{^iscuneiform}', "");
Expect(1, 75076, '\P{iscuneiform}', "");
Expect(0, 75076, '\P{^iscuneiform}', "");
Expect(1, 75075, '\p{ 	Is_CUNEIFORM}', "");
Expect(0, 75075, '\p{^ 	Is_CUNEIFORM}', "");
Expect(0, 75075, '\P{ 	Is_CUNEIFORM}', "");
Expect(1, 75075, '\P{^ 	Is_CUNEIFORM}', "");
Expect(0, 75076, '\p{ 	Is_CUNEIFORM}', "");
Expect(1, 75076, '\p{^ 	Is_CUNEIFORM}', "");
Expect(1, 75076, '\P{ 	Is_CUNEIFORM}', "");
Expect(0, 75076, '\P{^ 	Is_CUNEIFORM}', "");
Error('\p{Xsux:=}');
Error('\P{Xsux:=}');
Expect(1, 75075, '\p{xsux}', "");
Expect(0, 75075, '\p{^xsux}', "");
Expect(0, 75075, '\P{xsux}', "");
Expect(1, 75075, '\P{^xsux}', "");
Expect(0, 75076, '\p{xsux}', "");
Expect(1, 75076, '\p{^xsux}', "");
Expect(1, 75076, '\P{xsux}', "");
Expect(0, 75076, '\P{^xsux}', "");
Expect(1, 75075, '\p{ -xsux}', "");
Expect(0, 75075, '\p{^ -xsux}', "");
Expect(0, 75075, '\P{ -xsux}', "");
Expect(1, 75075, '\P{^ -xsux}', "");
Expect(0, 75076, '\p{ -xsux}', "");
Expect(1, 75076, '\p{^ -xsux}', "");
Expect(1, 75076, '\P{ -xsux}', "");
Expect(0, 75076, '\P{^ -xsux}', "");
Error('\p{-/a/IS_xsux}');
Error('\P{-/a/IS_xsux}');
Expect(1, 75075, '\p{isxsux}', "");
Expect(0, 75075, '\p{^isxsux}', "");
Expect(0, 75075, '\P{isxsux}', "");
Expect(1, 75075, '\P{^isxsux}', "");
Expect(0, 75076, '\p{isxsux}', "");
Expect(1, 75076, '\p{^isxsux}', "");
Expect(1, 75076, '\P{isxsux}', "");
Expect(0, 75076, '\P{^isxsux}', "");
Expect(1, 75075, '\p{	-Is_xsux}', "");
Expect(0, 75075, '\p{^	-Is_xsux}', "");
Expect(0, 75075, '\P{	-Is_xsux}', "");
Expect(1, 75075, '\P{^	-Is_xsux}', "");
Expect(0, 75076, '\p{	-Is_xsux}', "");
Expect(1, 75076, '\p{^	-Is_xsux}', "");
Expect(1, 75076, '\P{	-Is_xsux}', "");
Expect(0, 75076, '\P{^	-Is_xsux}', "");
Error('\p{_Cuneiform_numbers_and_PUNCTUATION/a/}');
Error('\P{_Cuneiform_numbers_and_PUNCTUATION/a/}');
Expect(1, 74879, '\p{cuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\p{^cuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\P{cuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\P{^cuneiformnumbersandpunctuation}', "");
Expect(0, 74880, '\p{cuneiformnumbersandpunctuation}', "");
Expect(1, 74880, '\p{^cuneiformnumbersandpunctuation}', "");
Expect(1, 74880, '\P{cuneiformnumbersandpunctuation}', "");
Expect(0, 74880, '\P{^cuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\p{ -Cuneiform_Numbers_And_Punctuation}', "");
Expect(0, 74879, '\p{^ -Cuneiform_Numbers_And_Punctuation}', "");
Expect(0, 74879, '\P{ -Cuneiform_Numbers_And_Punctuation}', "");
Expect(1, 74879, '\P{^ -Cuneiform_Numbers_And_Punctuation}', "");
Expect(0, 74880, '\p{ -Cuneiform_Numbers_And_Punctuation}', "");
Expect(1, 74880, '\p{^ -Cuneiform_Numbers_And_Punctuation}', "");
Expect(1, 74880, '\P{ -Cuneiform_Numbers_And_Punctuation}', "");
Expect(0, 74880, '\P{^ -Cuneiform_Numbers_And_Punctuation}', "");
Error('\p{:=--Is_cuneiform_Numbers_And_Punctuation}');
Error('\P{:=--Is_cuneiform_Numbers_And_Punctuation}');
Expect(1, 74879, '\p{iscuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\p{^iscuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\P{iscuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\P{^iscuneiformnumbersandpunctuation}', "");
Expect(0, 74880, '\p{iscuneiformnumbersandpunctuation}', "");
Expect(1, 74880, '\p{^iscuneiformnumbersandpunctuation}', "");
Expect(1, 74880, '\P{iscuneiformnumbersandpunctuation}', "");
Expect(0, 74880, '\P{^iscuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\p{_-is_cuneiform_NUMBERS_And_Punctuation}', "");
Expect(0, 74879, '\p{^_-is_cuneiform_NUMBERS_And_Punctuation}', "");
Expect(0, 74879, '\P{_-is_cuneiform_NUMBERS_And_Punctuation}', "");
Expect(1, 74879, '\P{^_-is_cuneiform_NUMBERS_And_Punctuation}', "");
Expect(0, 74880, '\p{_-is_cuneiform_NUMBERS_And_Punctuation}', "");
Expect(1, 74880, '\p{^_-is_cuneiform_NUMBERS_And_Punctuation}', "");
Expect(1, 74880, '\P{_-is_cuneiform_NUMBERS_And_Punctuation}', "");
Expect(0, 74880, '\P{^_-is_cuneiform_NUMBERS_And_Punctuation}', "");
Error('\p{	:=IN_CUNEIFORM_Numbers_and_Punctuation}');
Error('\P{	:=IN_CUNEIFORM_Numbers_and_Punctuation}');
Expect(1, 74879, '\p{incuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\p{^incuneiformnumbersandpunctuation}', "");
Expect(0, 74879, '\P{incuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\P{^incuneiformnumbersandpunctuation}', "");
Expect(0, 74880, '\p{incuneiformnumbersandpunctuation}', "");
Expect(1, 74880, '\p{^incuneiformnumbersandpunctuation}', "");
Expect(1, 74880, '\P{incuneiformnumbersandpunctuation}', "");
Expect(0, 74880, '\P{^incuneiformnumbersandpunctuation}', "");
Expect(1, 74879, '\p{_In_CUNEIFORM_Numbers_And_punctuation}', "");
Expect(0, 74879, '\p{^_In_CUNEIFORM_Numbers_And_punctuation}', "");
Expect(0, 74879, '\P{_In_CUNEIFORM_Numbers_And_punctuation}', "");
Expect(1, 74879, '\P{^_In_CUNEIFORM_Numbers_And_punctuation}', "");
Expect(0, 74880, '\p{_In_CUNEIFORM_Numbers_And_punctuation}', "");
Expect(1, 74880, '\p{^_In_CUNEIFORM_Numbers_And_punctuation}', "");
Expect(1, 74880, '\P{_In_CUNEIFORM_Numbers_And_punctuation}', "");
Expect(0, 74880, '\P{^_In_CUNEIFORM_Numbers_And_punctuation}', "");
Error('\p{--Cuneiform_Numbers:=}');
Error('\P{--Cuneiform_Numbers:=}');
Expect(1, 74879, '\p{cuneiformnumbers}', "");
Expect(0, 74879, '\p{^cuneiformnumbers}', "");
Expect(0, 74879, '\P{cuneiformnumbers}', "");
Expect(1, 74879, '\P{^cuneiformnumbers}', "");
Expect(0, 74880, '\p{cuneiformnumbers}', "");
Expect(1, 74880, '\p{^cuneiformnumbers}', "");
Expect(1, 74880, '\P{cuneiformnumbers}', "");
Expect(0, 74880, '\P{^cuneiformnumbers}', "");
Expect(1, 74879, '\p{		CUNEIFORM_numbers}', "");
Expect(0, 74879, '\p{^		CUNEIFORM_numbers}', "");
Expect(0, 74879, '\P{		CUNEIFORM_numbers}', "");
Expect(1, 74879, '\P{^		CUNEIFORM_numbers}', "");
Expect(0, 74880, '\p{		CUNEIFORM_numbers}', "");
Expect(1, 74880, '\p{^		CUNEIFORM_numbers}', "");
Expect(1, 74880, '\P{		CUNEIFORM_numbers}', "");
Expect(0, 74880, '\P{^		CUNEIFORM_numbers}', "");
Error('\p{/a/IS_cuneiform_NUMBERS}');
Error('\P{/a/IS_cuneiform_NUMBERS}');
Expect(1, 74879, '\p{iscuneiformnumbers}', "");
Expect(0, 74879, '\p{^iscuneiformnumbers}', "");
Expect(0, 74879, '\P{iscuneiformnumbers}', "");
Expect(1, 74879, '\P{^iscuneiformnumbers}', "");
Expect(0, 74880, '\p{iscuneiformnumbers}', "");
Expect(1, 74880, '\p{^iscuneiformnumbers}', "");
Expect(1, 74880, '\P{iscuneiformnumbers}', "");
Expect(0, 74880, '\P{^iscuneiformnumbers}', "");
Expect(1, 74879, '\p{_-IS_cuneiform_NUMBERS}', "");
Expect(0, 74879, '\p{^_-IS_cuneiform_NUMBERS}', "");
Expect(0, 74879, '\P{_-IS_cuneiform_NUMBERS}', "");
Expect(1, 74879, '\P{^_-IS_cuneiform_NUMBERS}', "");
Expect(0, 74880, '\p{_-IS_cuneiform_NUMBERS}', "");
Expect(1, 74880, '\p{^_-IS_cuneiform_NUMBERS}', "");
Expect(1, 74880, '\P{_-IS_cuneiform_NUMBERS}', "");
Expect(0, 74880, '\P{^_-IS_cuneiform_NUMBERS}', "");
Error('\p{_-in_Cuneiform_numbers/a/}');
Error('\P{_-in_Cuneiform_numbers/a/}');
Expect(1, 74879, '\p{incuneiformnumbers}', "");
Expect(0, 74879, '\p{^incuneiformnumbers}', "");
Expect(0, 74879, '\P{incuneiformnumbers}', "");
Expect(1, 74879, '\P{^incuneiformnumbers}', "");
Expect(0, 74880, '\p{incuneiformnumbers}', "");
Expect(1, 74880, '\p{^incuneiformnumbers}', "");
Expect(1, 74880, '\P{incuneiformnumbers}', "");
Expect(0, 74880, '\P{^incuneiformnumbers}', "");
Expect(1, 74879, '\p{_-In_cuneiform_numbers}', "");
Expect(0, 74879, '\p{^_-In_cuneiform_numbers}', "");
Expect(0, 74879, '\P{_-In_cuneiform_numbers}', "");
Expect(1, 74879, '\P{^_-In_cuneiform_numbers}', "");
Expect(0, 74880, '\p{_-In_cuneiform_numbers}', "");
Expect(1, 74880, '\p{^_-In_cuneiform_numbers}', "");
Expect(1, 74880, '\P{_-In_cuneiform_numbers}', "");
Expect(0, 74880, '\P{^_-In_cuneiform_numbers}', "");
Error('\p{/a/CURRENCY_Symbol}');
Error('\P{/a/CURRENCY_Symbol}');
Expect(1, 65510, '\p{currencysymbol}', "");
Expect(0, 65510, '\p{^currencysymbol}', "");
Expect(0, 65510, '\P{currencysymbol}', "");
Expect(1, 65510, '\P{^currencysymbol}', "");
Expect(0, 65511, '\p{currencysymbol}', "");
Expect(1, 65511, '\p{^currencysymbol}', "");
Expect(1, 65511, '\P{currencysymbol}', "");
Expect(0, 65511, '\P{^currencysymbol}', "");
Expect(1, 65510, '\p{	_Currency_Symbol}', "");
Expect(0, 65510, '\p{^	_Currency_Symbol}', "");
Expect(0, 65510, '\P{	_Currency_Symbol}', "");
Expect(1, 65510, '\P{^	_Currency_Symbol}', "");
Expect(0, 65511, '\p{	_Currency_Symbol}', "");
Expect(1, 65511, '\p{^	_Currency_Symbol}', "");
Expect(1, 65511, '\P{	_Currency_Symbol}', "");
Expect(0, 65511, '\P{^	_Currency_Symbol}', "");
Error('\p{- is_currency_symbol:=}');
Error('\P{- is_currency_symbol:=}');
Expect(1, 65510, '\p{iscurrencysymbol}', "");
Expect(0, 65510, '\p{^iscurrencysymbol}', "");
Expect(0, 65510, '\P{iscurrencysymbol}', "");
Expect(1, 65510, '\P{^iscurrencysymbol}', "");
Expect(0, 65511, '\p{iscurrencysymbol}', "");
Expect(1, 65511, '\p{^iscurrencysymbol}', "");
Expect(1, 65511, '\P{iscurrencysymbol}', "");
Expect(0, 65511, '\P{^iscurrencysymbol}', "");
Expect(1, 65510, '\p{  Is_Currency_SYMBOL}', "");
Expect(0, 65510, '\p{^  Is_Currency_SYMBOL}', "");
Expect(0, 65510, '\P{  Is_Currency_SYMBOL}', "");
Expect(1, 65510, '\P{^  Is_Currency_SYMBOL}', "");
Expect(0, 65511, '\p{  Is_Currency_SYMBOL}', "");
Expect(1, 65511, '\p{^  Is_Currency_SYMBOL}', "");
Expect(1, 65511, '\P{  Is_Currency_SYMBOL}', "");
Expect(0, 65511, '\P{^  Is_Currency_SYMBOL}', "");
Error('\p{_/a/Sc}');
Error('\P{_/a/Sc}');
Expect(1, 65510, '\p{sc}', "");
Expect(0, 65510, '\p{^sc}', "");
Expect(0, 65510, '\P{sc}', "");
Expect(1, 65510, '\P{^sc}', "");
Expect(0, 65511, '\p{sc}', "");
Expect(1, 65511, '\p{^sc}', "");
Expect(1, 65511, '\P{sc}', "");
Expect(0, 65511, '\P{^sc}', "");
Expect(1, 65510, '\p{  sc}', "");
Expect(0, 65510, '\p{^  sc}', "");
Expect(0, 65510, '\P{  sc}', "");
Expect(1, 65510, '\P{^  sc}', "");
Expect(0, 65511, '\p{  sc}', "");
Expect(1, 65511, '\p{^  sc}', "");
Expect(1, 65511, '\P{  sc}', "");
Expect(0, 65511, '\P{^  sc}', "");
Error('\p{ _Is_SC:=}');
Error('\P{ _Is_SC:=}');
Expect(1, 65510, '\p{issc}', "");
Expect(0, 65510, '\p{^issc}', "");
Expect(0, 65510, '\P{issc}', "");
Expect(1, 65510, '\P{^issc}', "");
Expect(0, 65511, '\p{issc}', "");
Expect(1, 65511, '\p{^issc}', "");
Expect(1, 65511, '\P{issc}', "");
Expect(0, 65511, '\P{^issc}', "");
Expect(1, 65510, '\p{	is_sc}', "");
Expect(0, 65510, '\p{^	is_sc}', "");
Expect(0, 65510, '\P{	is_sc}', "");
Expect(1, 65510, '\P{^	is_sc}', "");
Expect(0, 65511, '\p{	is_sc}', "");
Expect(1, 65511, '\p{^	is_sc}', "");
Expect(1, 65511, '\P{	is_sc}', "");
Expect(0, 65511, '\P{^	is_sc}', "");
Error('\p{-:=Currency_Symbols}');
Error('\P{-:=Currency_Symbols}');
Expect(1, 8399, '\p{currencysymbols}', "");
Expect(0, 8399, '\p{^currencysymbols}', "");
Expect(0, 8399, '\P{currencysymbols}', "");
Expect(1, 8399, '\P{^currencysymbols}', "");
Expect(0, 8400, '\p{currencysymbols}', "");
Expect(1, 8400, '\p{^currencysymbols}', "");
Expect(1, 8400, '\P{currencysymbols}', "");
Expect(0, 8400, '\P{^currencysymbols}', "");
Expect(1, 8399, '\p{ currency_symbols}', "");
Expect(0, 8399, '\p{^ currency_symbols}', "");
Expect(0, 8399, '\P{ currency_symbols}', "");
Expect(1, 8399, '\P{^ currency_symbols}', "");
Expect(0, 8400, '\p{ currency_symbols}', "");
Expect(1, 8400, '\p{^ currency_symbols}', "");
Expect(1, 8400, '\P{ currency_symbols}', "");
Expect(0, 8400, '\P{^ currency_symbols}', "");
Error('\p{:=  Is_CURRENCY_Symbols}');
Error('\P{:=  Is_CURRENCY_Symbols}');
Expect(1, 8399, '\p{iscurrencysymbols}', "");
Expect(0, 8399, '\p{^iscurrencysymbols}', "");
Expect(0, 8399, '\P{iscurrencysymbols}', "");
Expect(1, 8399, '\P{^iscurrencysymbols}', "");
Expect(0, 8400, '\p{iscurrencysymbols}', "");
Expect(1, 8400, '\p{^iscurrencysymbols}', "");
Expect(1, 8400, '\P{iscurrencysymbols}', "");
Expect(0, 8400, '\P{^iscurrencysymbols}', "");
Expect(1, 8399, '\p{		IS_CURRENCY_Symbols}', "");
Expect(0, 8399, '\p{^		IS_CURRENCY_Symbols}', "");
Expect(0, 8399, '\P{		IS_CURRENCY_Symbols}', "");
Expect(1, 8399, '\P{^		IS_CURRENCY_Symbols}', "");
Expect(0, 8400, '\p{		IS_CURRENCY_Symbols}', "");
Expect(1, 8400, '\p{^		IS_CURRENCY_Symbols}', "");
Expect(1, 8400, '\P{		IS_CURRENCY_Symbols}', "");
Expect(0, 8400, '\P{^		IS_CURRENCY_Symbols}', "");
Error('\p{ in_CURRENCY_Symbols/a/}');
Error('\P{ in_CURRENCY_Symbols/a/}');
Expect(1, 8399, '\p{incurrencysymbols}', "");
Expect(0, 8399, '\p{^incurrencysymbols}', "");
Expect(0, 8399, '\P{incurrencysymbols}', "");
Expect(1, 8399, '\P{^incurrencysymbols}', "");
Expect(0, 8400, '\p{incurrencysymbols}', "");
Expect(1, 8400, '\p{^incurrencysymbols}', "");
Expect(1, 8400, '\P{incurrencysymbols}', "");
Expect(0, 8400, '\P{^incurrencysymbols}', "");
Expect(1, 8399, '\p{--in_Currency_Symbols}', "");
Expect(0, 8399, '\p{^--in_Currency_Symbols}', "");
Expect(0, 8399, '\P{--in_Currency_Symbols}', "");
Expect(1, 8399, '\P{^--in_Currency_Symbols}', "");
Expect(0, 8400, '\p{--in_Currency_Symbols}', "");
Expect(1, 8400, '\p{^--in_Currency_Symbols}', "");
Expect(1, 8400, '\P{--in_Currency_Symbols}', "");
Expect(0, 8400, '\P{^--in_Currency_Symbols}', "");
Error('\p{-:=CYPRIOT}');
Error('\P{-:=CYPRIOT}');
Expect(1, 67647, '\p{cypriot}', "");
Expect(0, 67647, '\p{^cypriot}', "");
Expect(0, 67647, '\P{cypriot}', "");
Expect(1, 67647, '\P{^cypriot}', "");
Expect(0, 67648, '\p{cypriot}', "");
Expect(1, 67648, '\p{^cypriot}', "");
Expect(1, 67648, '\P{cypriot}', "");
Expect(0, 67648, '\P{^cypriot}', "");
Expect(1, 67647, '\p{Cypriot}', "");
Expect(0, 67647, '\p{^Cypriot}', "");
Expect(0, 67647, '\P{Cypriot}', "");
Expect(1, 67647, '\P{^Cypriot}', "");
Expect(0, 67648, '\p{Cypriot}', "");
Expect(1, 67648, '\p{^Cypriot}', "");
Expect(1, 67648, '\P{Cypriot}', "");
Expect(0, 67648, '\P{^Cypriot}', "");
Error('\p{	/a/Is_Cypriot}');
Error('\P{	/a/Is_Cypriot}');
Expect(1, 67647, '\p{iscypriot}', "");
Expect(0, 67647, '\p{^iscypriot}', "");
Expect(0, 67647, '\P{iscypriot}', "");
Expect(1, 67647, '\P{^iscypriot}', "");
Expect(0, 67648, '\p{iscypriot}', "");
Expect(1, 67648, '\p{^iscypriot}', "");
Expect(1, 67648, '\P{iscypriot}', "");
Expect(0, 67648, '\P{^iscypriot}', "");
Expect(1, 67647, '\p{ 	Is_CYPRIOT}', "");
Expect(0, 67647, '\p{^ 	Is_CYPRIOT}', "");
Expect(0, 67647, '\P{ 	Is_CYPRIOT}', "");
Expect(1, 67647, '\P{^ 	Is_CYPRIOT}', "");
Expect(0, 67648, '\p{ 	Is_CYPRIOT}', "");
Expect(1, 67648, '\p{^ 	Is_CYPRIOT}', "");
Expect(1, 67648, '\P{ 	Is_CYPRIOT}', "");
Expect(0, 67648, '\P{^ 	Is_CYPRIOT}', "");
Error('\p{  cprt/a/}');
Error('\P{  cprt/a/}');
Expect(1, 67647, '\p{cprt}', "");
Expect(0, 67647, '\p{^cprt}', "");
Expect(0, 67647, '\P{cprt}', "");
Expect(1, 67647, '\P{^cprt}', "");
Expect(0, 67648, '\p{cprt}', "");
Expect(1, 67648, '\p{^cprt}', "");
Expect(1, 67648, '\P{cprt}', "");
Expect(0, 67648, '\P{^cprt}', "");
Expect(1, 67647, '\p{_Cprt}', "");
Expect(0, 67647, '\p{^_Cprt}', "");
Expect(0, 67647, '\P{_Cprt}', "");
Expect(1, 67647, '\P{^_Cprt}', "");
Expect(0, 67648, '\p{_Cprt}', "");
Expect(1, 67648, '\p{^_Cprt}', "");
Expect(1, 67648, '\P{_Cprt}', "");
Expect(0, 67648, '\P{^_Cprt}', "");
Error('\p{	_IS_cprt/a/}');
Error('\P{	_IS_cprt/a/}');
Expect(1, 67647, '\p{iscprt}', "");
Expect(0, 67647, '\p{^iscprt}', "");
Expect(0, 67647, '\P{iscprt}', "");
Expect(1, 67647, '\P{^iscprt}', "");
Expect(0, 67648, '\p{iscprt}', "");
Expect(1, 67648, '\p{^iscprt}', "");
Expect(1, 67648, '\P{iscprt}', "");
Expect(0, 67648, '\P{^iscprt}', "");
Expect(1, 67647, '\p{_ IS_CPRT}', "");
Expect(0, 67647, '\p{^_ IS_CPRT}', "");
Expect(0, 67647, '\P{_ IS_CPRT}', "");
Expect(1, 67647, '\P{^_ IS_CPRT}', "");
Expect(0, 67648, '\p{_ IS_CPRT}', "");
Expect(1, 67648, '\p{^_ IS_CPRT}', "");
Expect(1, 67648, '\P{_ IS_CPRT}', "");
Expect(0, 67648, '\P{^_ IS_CPRT}', "");
Error('\p{-/a/Cypriot_Syllabary}');
Error('\P{-/a/Cypriot_Syllabary}');
Expect(1, 67647, '\p{cypriotsyllabary}', "");
Expect(0, 67647, '\p{^cypriotsyllabary}', "");
Expect(0, 67647, '\P{cypriotsyllabary}', "");
Expect(1, 67647, '\P{^cypriotsyllabary}', "");
Expect(0, 67648, '\p{cypriotsyllabary}', "");
Expect(1, 67648, '\p{^cypriotsyllabary}', "");
Expect(1, 67648, '\P{cypriotsyllabary}', "");
Expect(0, 67648, '\P{^cypriotsyllabary}', "");
Expect(1, 67647, '\p{-cypriot_syllabary}', "");
Expect(0, 67647, '\p{^-cypriot_syllabary}', "");
Expect(0, 67647, '\P{-cypriot_syllabary}', "");
Expect(1, 67647, '\P{^-cypriot_syllabary}', "");
Expect(0, 67648, '\p{-cypriot_syllabary}', "");
Expect(1, 67648, '\p{^-cypriot_syllabary}', "");
Expect(1, 67648, '\P{-cypriot_syllabary}', "");
Expect(0, 67648, '\P{^-cypriot_syllabary}', "");
Error('\p{-:=is_CYPRIOT_Syllabary}');
Error('\P{-:=is_CYPRIOT_Syllabary}');
Expect(1, 67647, '\p{iscypriotsyllabary}', "");
Expect(0, 67647, '\p{^iscypriotsyllabary}', "");
Expect(0, 67647, '\P{iscypriotsyllabary}', "");
Expect(1, 67647, '\P{^iscypriotsyllabary}', "");
Expect(0, 67648, '\p{iscypriotsyllabary}', "");
Expect(1, 67648, '\p{^iscypriotsyllabary}', "");
Expect(1, 67648, '\P{iscypriotsyllabary}', "");
Expect(0, 67648, '\P{^iscypriotsyllabary}', "");
Expect(1, 67647, '\p{-IS_Cypriot_SYLLABARY}', "");
Expect(0, 67647, '\p{^-IS_Cypriot_SYLLABARY}', "");
Expect(0, 67647, '\P{-IS_Cypriot_SYLLABARY}', "");
Expect(1, 67647, '\P{^-IS_Cypriot_SYLLABARY}', "");
Expect(0, 67648, '\p{-IS_Cypriot_SYLLABARY}', "");
Expect(1, 67648, '\p{^-IS_Cypriot_SYLLABARY}', "");
Expect(1, 67648, '\P{-IS_Cypriot_SYLLABARY}', "");
Expect(0, 67648, '\P{^-IS_Cypriot_SYLLABARY}', "");
Error('\p{_ In_CYPRIOT_Syllabary:=}');
Error('\P{_ In_CYPRIOT_Syllabary:=}');
Expect(1, 67647, '\p{incypriotsyllabary}', "");
Expect(0, 67647, '\p{^incypriotsyllabary}', "");
Expect(0, 67647, '\P{incypriotsyllabary}', "");
Expect(1, 67647, '\P{^incypriotsyllabary}', "");
Expect(0, 67648, '\p{incypriotsyllabary}', "");
Expect(1, 67648, '\p{^incypriotsyllabary}', "");
Expect(1, 67648, '\P{incypriotsyllabary}', "");
Expect(0, 67648, '\P{^incypriotsyllabary}', "");
Expect(1, 67647, '\p{__IN_Cypriot_Syllabary}', "");
Expect(0, 67647, '\p{^__IN_Cypriot_Syllabary}', "");
Expect(0, 67647, '\P{__IN_Cypriot_Syllabary}', "");
Expect(1, 67647, '\P{^__IN_Cypriot_Syllabary}', "");
Expect(0, 67648, '\p{__IN_Cypriot_Syllabary}', "");
Expect(1, 67648, '\p{^__IN_Cypriot_Syllabary}', "");
Expect(1, 67648, '\P{__IN_Cypriot_Syllabary}', "");
Expect(0, 67648, '\P{^__IN_Cypriot_Syllabary}', "");
Error('\p{/a/__Cyrillic}');
Error('\P{/a/__Cyrillic}');
Expect(1, 65071, '\p{cyrillic}', "");
Expect(0, 65071, '\p{^cyrillic}', "");
Expect(0, 65071, '\P{cyrillic}', "");
Expect(1, 65071, '\P{^cyrillic}', "");
Expect(0, 65072, '\p{cyrillic}', "");
Expect(1, 65072, '\p{^cyrillic}', "");
Expect(1, 65072, '\P{cyrillic}', "");
Expect(0, 65072, '\P{^cyrillic}', "");
Error('\p{-_Is_CYRILLIC:=}');
Error('\P{-_Is_CYRILLIC:=}');
Expect(1, 65071, '\p{iscyrillic}', "");
Expect(0, 65071, '\p{^iscyrillic}', "");
Expect(0, 65071, '\P{iscyrillic}', "");
Expect(1, 65071, '\P{^iscyrillic}', "");
Expect(0, 65072, '\p{iscyrillic}', "");
Expect(1, 65072, '\p{^iscyrillic}', "");
Expect(1, 65072, '\P{iscyrillic}', "");
Expect(0, 65072, '\P{^iscyrillic}', "");
Expect(1, 65071, '\p{ Is_Cyrillic}', "");
Expect(0, 65071, '\p{^ Is_Cyrillic}', "");
Expect(0, 65071, '\P{ Is_Cyrillic}', "");
Expect(1, 65071, '\P{^ Is_Cyrillic}', "");
Expect(0, 65072, '\p{ Is_Cyrillic}', "");
Expect(1, 65072, '\p{^ Is_Cyrillic}', "");
Expect(1, 65072, '\P{ Is_Cyrillic}', "");
Expect(0, 65072, '\P{^ Is_Cyrillic}', "");
Error('\p{ /a/Cyrl}');
Error('\P{ /a/Cyrl}');
Expect(1, 65071, '\p{cyrl}', "");
Expect(0, 65071, '\p{^cyrl}', "");
Expect(0, 65071, '\P{cyrl}', "");
Expect(1, 65071, '\P{^cyrl}', "");
Expect(0, 65072, '\p{cyrl}', "");
Expect(1, 65072, '\p{^cyrl}', "");
Expect(1, 65072, '\P{cyrl}', "");
Expect(0, 65072, '\P{^cyrl}', "");
Expect(1, 65071, '\p{	CYRL}', "");
Expect(0, 65071, '\p{^	CYRL}', "");
Expect(0, 65071, '\P{	CYRL}', "");
Expect(1, 65071, '\P{^	CYRL}', "");
Expect(0, 65072, '\p{	CYRL}', "");
Expect(1, 65072, '\p{^	CYRL}', "");
Expect(1, 65072, '\P{	CYRL}', "");
Expect(0, 65072, '\P{^	CYRL}', "");
Error('\p{:=_ is_CYRL}');
Error('\P{:=_ is_CYRL}');
Expect(1, 65071, '\p{iscyrl}', "");
Expect(0, 65071, '\p{^iscyrl}', "");
Expect(0, 65071, '\P{iscyrl}', "");
Expect(1, 65071, '\P{^iscyrl}', "");
Expect(0, 65072, '\p{iscyrl}', "");
Expect(1, 65072, '\p{^iscyrl}', "");
Expect(1, 65072, '\P{iscyrl}', "");
Expect(0, 65072, '\P{^iscyrl}', "");
Expect(1, 65071, '\p{Is_cyrl}', "");
Expect(0, 65071, '\p{^Is_cyrl}', "");
Expect(0, 65071, '\P{Is_cyrl}', "");
Expect(1, 65071, '\P{^Is_cyrl}', "");
Expect(0, 65072, '\p{Is_cyrl}', "");
Expect(1, 65072, '\p{^Is_cyrl}', "");
Expect(1, 65072, '\P{Is_cyrl}', "");
Expect(0, 65072, '\P{^Is_cyrl}', "");
Error('\p{- cyrillic_Extended_A/a/}');
Error('\P{- cyrillic_Extended_A/a/}');
Expect(1, 11775, '\p{cyrillicextendeda}', "");
Expect(0, 11775, '\p{^cyrillicextendeda}', "");
Expect(0, 11775, '\P{cyrillicextendeda}', "");
Expect(1, 11775, '\P{^cyrillicextendeda}', "");
Expect(0, 11776, '\p{cyrillicextendeda}', "");
Expect(1, 11776, '\p{^cyrillicextendeda}', "");
Expect(1, 11776, '\P{cyrillicextendeda}', "");
Expect(0, 11776, '\P{^cyrillicextendeda}', "");
Expect(1, 11775, '\p{	Cyrillic_extended_A}', "");
Expect(0, 11775, '\p{^	Cyrillic_extended_A}', "");
Expect(0, 11775, '\P{	Cyrillic_extended_A}', "");
Expect(1, 11775, '\P{^	Cyrillic_extended_A}', "");
Expect(0, 11776, '\p{	Cyrillic_extended_A}', "");
Expect(1, 11776, '\p{^	Cyrillic_extended_A}', "");
Expect(1, 11776, '\P{	Cyrillic_extended_A}', "");
Expect(0, 11776, '\P{^	Cyrillic_extended_A}', "");
Error('\p{_ IS_cyrillic_Extended_a/a/}');
Error('\P{_ IS_cyrillic_Extended_a/a/}');
Expect(1, 11775, '\p{iscyrillicextendeda}', "");
Expect(0, 11775, '\p{^iscyrillicextendeda}', "");
Expect(0, 11775, '\P{iscyrillicextendeda}', "");
Expect(1, 11775, '\P{^iscyrillicextendeda}', "");
Expect(0, 11776, '\p{iscyrillicextendeda}', "");
Expect(1, 11776, '\p{^iscyrillicextendeda}', "");
Expect(1, 11776, '\P{iscyrillicextendeda}', "");
Expect(0, 11776, '\P{^iscyrillicextendeda}', "");
Expect(1, 11775, '\p{	-Is_cyrillic_extended_A}', "");
Expect(0, 11775, '\p{^	-Is_cyrillic_extended_A}', "");
Expect(0, 11775, '\P{	-Is_cyrillic_extended_A}', "");
Expect(1, 11775, '\P{^	-Is_cyrillic_extended_A}', "");
Expect(0, 11776, '\p{	-Is_cyrillic_extended_A}', "");
Expect(1, 11776, '\p{^	-Is_cyrillic_extended_A}', "");
Expect(1, 11776, '\P{	-Is_cyrillic_extended_A}', "");
Expect(0, 11776, '\P{^	-Is_cyrillic_extended_A}', "");
Error('\p{/a/_	In_Cyrillic_Extended_a}');
Error('\P{/a/_	In_Cyrillic_Extended_a}');
Expect(1, 11775, '\p{incyrillicextendeda}', "");
Expect(0, 11775, '\p{^incyrillicextendeda}', "");
Expect(0, 11775, '\P{incyrillicextendeda}', "");
Expect(1, 11775, '\P{^incyrillicextendeda}', "");
Expect(0, 11776, '\p{incyrillicextendeda}', "");
Expect(1, 11776, '\p{^incyrillicextendeda}', "");
Expect(1, 11776, '\P{incyrillicextendeda}', "");
Expect(0, 11776, '\P{^incyrillicextendeda}', "");
Expect(1, 11775, '\p{--In_Cyrillic_EXTENDED_A}', "");
Expect(0, 11775, '\p{^--In_Cyrillic_EXTENDED_A}', "");
Expect(0, 11775, '\P{--In_Cyrillic_EXTENDED_A}', "");
Expect(1, 11775, '\P{^--In_Cyrillic_EXTENDED_A}', "");
Expect(0, 11776, '\p{--In_Cyrillic_EXTENDED_A}', "");
Expect(1, 11776, '\p{^--In_Cyrillic_EXTENDED_A}', "");
Expect(1, 11776, '\P{--In_Cyrillic_EXTENDED_A}', "");
Expect(0, 11776, '\P{^--In_Cyrillic_EXTENDED_A}', "");
Error('\p{:=	 cyrillic_ext_A}');
Error('\P{:=	 cyrillic_ext_A}');
Expect(1, 11775, '\p{cyrillicexta}', "");
Expect(0, 11775, '\p{^cyrillicexta}', "");
Expect(0, 11775, '\P{cyrillicexta}', "");
Expect(1, 11775, '\P{^cyrillicexta}', "");
Expect(0, 11776, '\p{cyrillicexta}', "");
Expect(1, 11776, '\p{^cyrillicexta}', "");
Expect(1, 11776, '\P{cyrillicexta}', "");
Expect(0, 11776, '\P{^cyrillicexta}', "");
Expect(1, 11775, '\p{  Cyrillic_Ext_A}', "");
Expect(0, 11775, '\p{^  Cyrillic_Ext_A}', "");
Expect(0, 11775, '\P{  Cyrillic_Ext_A}', "");
Expect(1, 11775, '\P{^  Cyrillic_Ext_A}', "");
Expect(0, 11776, '\p{  Cyrillic_Ext_A}', "");
Expect(1, 11776, '\p{^  Cyrillic_Ext_A}', "");
Expect(1, 11776, '\P{  Cyrillic_Ext_A}', "");
Expect(0, 11776, '\P{^  Cyrillic_Ext_A}', "");
Error('\p{:=-	is_cyrillic_ext_A}');
Error('\P{:=-	is_cyrillic_ext_A}');
Expect(1, 11775, '\p{iscyrillicexta}', "");
Expect(0, 11775, '\p{^iscyrillicexta}', "");
Expect(0, 11775, '\P{iscyrillicexta}', "");
Expect(1, 11775, '\P{^iscyrillicexta}', "");
Expect(0, 11776, '\p{iscyrillicexta}', "");
Expect(1, 11776, '\p{^iscyrillicexta}', "");
Expect(1, 11776, '\P{iscyrillicexta}', "");
Expect(0, 11776, '\P{^iscyrillicexta}', "");
Expect(1, 11775, '\p{-_Is_Cyrillic_ext_a}', "");
Expect(0, 11775, '\p{^-_Is_Cyrillic_ext_a}', "");
Expect(0, 11775, '\P{-_Is_Cyrillic_ext_a}', "");
Expect(1, 11775, '\P{^-_Is_Cyrillic_ext_a}', "");
Expect(0, 11776, '\p{-_Is_Cyrillic_ext_a}', "");
Expect(1, 11776, '\p{^-_Is_Cyrillic_ext_a}', "");
Expect(1, 11776, '\P{-_Is_Cyrillic_ext_a}', "");
Expect(0, 11776, '\P{^-_Is_Cyrillic_ext_a}', "");
Error('\p{:=In_CYRILLIC_Ext_a}');
Error('\P{:=In_CYRILLIC_Ext_a}');
Expect(1, 11775, '\p{incyrillicexta}', "");
Expect(0, 11775, '\p{^incyrillicexta}', "");
Expect(0, 11775, '\P{incyrillicexta}', "");
Expect(1, 11775, '\P{^incyrillicexta}', "");
Expect(0, 11776, '\p{incyrillicexta}', "");
Expect(1, 11776, '\p{^incyrillicexta}', "");
Expect(1, 11776, '\P{incyrillicexta}', "");
Expect(0, 11776, '\P{^incyrillicexta}', "");
Expect(1, 11775, '\p{ In_cyrillic_Ext_A}', "");
Expect(0, 11775, '\p{^ In_cyrillic_Ext_A}', "");
Expect(0, 11775, '\P{ In_cyrillic_Ext_A}', "");
Expect(1, 11775, '\P{^ In_cyrillic_Ext_A}', "");
Expect(0, 11776, '\p{ In_cyrillic_Ext_A}', "");
Expect(1, 11776, '\p{^ In_cyrillic_Ext_A}', "");
Expect(1, 11776, '\P{ In_cyrillic_Ext_A}', "");
Expect(0, 11776, '\P{^ In_cyrillic_Ext_A}', "");
Error('\p{/a/ _cyrillic_extended_B}');
Error('\P{/a/ _cyrillic_extended_B}');
Expect(1, 42655, '\p{cyrillicextendedb}', "");
Expect(0, 42655, '\p{^cyrillicextendedb}', "");
Expect(0, 42655, '\P{cyrillicextendedb}', "");
Expect(1, 42655, '\P{^cyrillicextendedb}', "");
Expect(0, 42656, '\p{cyrillicextendedb}', "");
Expect(1, 42656, '\p{^cyrillicextendedb}', "");
Expect(1, 42656, '\P{cyrillicextendedb}', "");
Expect(0, 42656, '\P{^cyrillicextendedb}', "");
Expect(1, 42655, '\p{-CYRILLIC_Extended_B}', "");
Expect(0, 42655, '\p{^-CYRILLIC_Extended_B}', "");
Expect(0, 42655, '\P{-CYRILLIC_Extended_B}', "");
Expect(1, 42655, '\P{^-CYRILLIC_Extended_B}', "");
Expect(0, 42656, '\p{-CYRILLIC_Extended_B}', "");
Expect(1, 42656, '\p{^-CYRILLIC_Extended_B}', "");
Expect(1, 42656, '\P{-CYRILLIC_Extended_B}', "");
Expect(0, 42656, '\P{^-CYRILLIC_Extended_B}', "");
Error('\p{/a/_IS_Cyrillic_Extended_b}');
Error('\P{/a/_IS_Cyrillic_Extended_b}');
Expect(1, 42655, '\p{iscyrillicextendedb}', "");
Expect(0, 42655, '\p{^iscyrillicextendedb}', "");
Expect(0, 42655, '\P{iscyrillicextendedb}', "");
Expect(1, 42655, '\P{^iscyrillicextendedb}', "");
Expect(0, 42656, '\p{iscyrillicextendedb}', "");
Expect(1, 42656, '\p{^iscyrillicextendedb}', "");
Expect(1, 42656, '\P{iscyrillicextendedb}', "");
Expect(0, 42656, '\P{^iscyrillicextendedb}', "");
Expect(1, 42655, '\p{ _IS_cyrillic_extended_b}', "");
Expect(0, 42655, '\p{^ _IS_cyrillic_extended_b}', "");
Expect(0, 42655, '\P{ _IS_cyrillic_extended_b}', "");
Expect(1, 42655, '\P{^ _IS_cyrillic_extended_b}', "");
Expect(0, 42656, '\p{ _IS_cyrillic_extended_b}', "");
Expect(1, 42656, '\p{^ _IS_cyrillic_extended_b}', "");
Expect(1, 42656, '\P{ _IS_cyrillic_extended_b}', "");
Expect(0, 42656, '\P{^ _IS_cyrillic_extended_b}', "");
Error('\p{:= In_CYRILLIC_Extended_B}');
Error('\P{:= In_CYRILLIC_Extended_B}');
Expect(1, 42655, '\p{incyrillicextendedb}', "");
Expect(0, 42655, '\p{^incyrillicextendedb}', "");
Expect(0, 42655, '\P{incyrillicextendedb}', "");
Expect(1, 42655, '\P{^incyrillicextendedb}', "");
Expect(0, 42656, '\p{incyrillicextendedb}', "");
Expect(1, 42656, '\p{^incyrillicextendedb}', "");
Expect(1, 42656, '\P{incyrillicextendedb}', "");
Expect(0, 42656, '\P{^incyrillicextendedb}', "");
Expect(1, 42655, '\p{		in_Cyrillic_EXTENDED_B}', "");
Expect(0, 42655, '\p{^		in_Cyrillic_EXTENDED_B}', "");
Expect(0, 42655, '\P{		in_Cyrillic_EXTENDED_B}', "");
Expect(1, 42655, '\P{^		in_Cyrillic_EXTENDED_B}', "");
Expect(0, 42656, '\p{		in_Cyrillic_EXTENDED_B}', "");
Expect(1, 42656, '\p{^		in_Cyrillic_EXTENDED_B}', "");
Expect(1, 42656, '\P{		in_Cyrillic_EXTENDED_B}', "");
Expect(0, 42656, '\P{^		in_Cyrillic_EXTENDED_B}', "");
Error('\p{:=	Cyrillic_ext_B}');
Error('\P{:=	Cyrillic_ext_B}');
Expect(1, 42655, '\p{cyrillicextb}', "");
Expect(0, 42655, '\p{^cyrillicextb}', "");
Expect(0, 42655, '\P{cyrillicextb}', "");
Expect(1, 42655, '\P{^cyrillicextb}', "");
Expect(0, 42656, '\p{cyrillicextb}', "");
Expect(1, 42656, '\p{^cyrillicextb}', "");
Expect(1, 42656, '\P{cyrillicextb}', "");
Expect(0, 42656, '\P{^cyrillicextb}', "");
Expect(1, 42655, '\p{-_Cyrillic_Ext_b}', "");
Expect(0, 42655, '\p{^-_Cyrillic_Ext_b}', "");
Expect(0, 42655, '\P{-_Cyrillic_Ext_b}', "");
Expect(1, 42655, '\P{^-_Cyrillic_Ext_b}', "");
Expect(0, 42656, '\p{-_Cyrillic_Ext_b}', "");
Expect(1, 42656, '\p{^-_Cyrillic_Ext_b}', "");
Expect(1, 42656, '\P{-_Cyrillic_Ext_b}', "");
Expect(0, 42656, '\P{^-_Cyrillic_Ext_b}', "");
Error('\p{ :=IS_Cyrillic_Ext_B}');
Error('\P{ :=IS_Cyrillic_Ext_B}');
Expect(1, 42655, '\p{iscyrillicextb}', "");
Expect(0, 42655, '\p{^iscyrillicextb}', "");
Expect(0, 42655, '\P{iscyrillicextb}', "");
Expect(1, 42655, '\P{^iscyrillicextb}', "");
Expect(0, 42656, '\p{iscyrillicextb}', "");
Expect(1, 42656, '\p{^iscyrillicextb}', "");
Expect(1, 42656, '\P{iscyrillicextb}', "");
Expect(0, 42656, '\P{^iscyrillicextb}', "");
Expect(1, 42655, '\p{ _IS_cyrillic_EXT_B}', "");
Expect(0, 42655, '\p{^ _IS_cyrillic_EXT_B}', "");
Expect(0, 42655, '\P{ _IS_cyrillic_EXT_B}', "");
Expect(1, 42655, '\P{^ _IS_cyrillic_EXT_B}', "");
Expect(0, 42656, '\p{ _IS_cyrillic_EXT_B}', "");
Expect(1, 42656, '\p{^ _IS_cyrillic_EXT_B}', "");
Expect(1, 42656, '\P{ _IS_cyrillic_EXT_B}', "");
Expect(0, 42656, '\P{^ _IS_cyrillic_EXT_B}', "");
Error('\p{:=	In_Cyrillic_ext_B}');
Error('\P{:=	In_Cyrillic_ext_B}');
Expect(1, 42655, '\p{incyrillicextb}', "");
Expect(0, 42655, '\p{^incyrillicextb}', "");
Expect(0, 42655, '\P{incyrillicextb}', "");
Expect(1, 42655, '\P{^incyrillicextb}', "");
Expect(0, 42656, '\p{incyrillicextb}', "");
Expect(1, 42656, '\p{^incyrillicextb}', "");
Expect(1, 42656, '\P{incyrillicextb}', "");
Expect(0, 42656, '\P{^incyrillicextb}', "");
Expect(1, 42655, '\p{_-In_cyrillic_Ext_B}', "");
Expect(0, 42655, '\p{^_-In_cyrillic_Ext_B}', "");
Expect(0, 42655, '\P{_-In_cyrillic_Ext_B}', "");
Expect(1, 42655, '\P{^_-In_cyrillic_Ext_B}', "");
Expect(0, 42656, '\p{_-In_cyrillic_Ext_B}', "");
Expect(1, 42656, '\p{^_-In_cyrillic_Ext_B}', "");
Expect(1, 42656, '\P{_-In_cyrillic_Ext_B}', "");
Expect(0, 42656, '\P{^_-In_cyrillic_Ext_B}', "");
Error('\p{- cyrillic_Supplement/a/}');
Error('\P{- cyrillic_Supplement/a/}');
Expect(1, 1327, '\p{cyrillicsupplement}', "");
Expect(0, 1327, '\p{^cyrillicsupplement}', "");
Expect(0, 1327, '\P{cyrillicsupplement}', "");
Expect(1, 1327, '\P{^cyrillicsupplement}', "");
Expect(0, 1328, '\p{cyrillicsupplement}', "");
Expect(1, 1328, '\p{^cyrillicsupplement}', "");
Expect(1, 1328, '\P{cyrillicsupplement}', "");
Expect(0, 1328, '\P{^cyrillicsupplement}', "");
Expect(1, 1327, '\p{	Cyrillic_Supplement}', "");
Expect(0, 1327, '\p{^	Cyrillic_Supplement}', "");
Expect(0, 1327, '\P{	Cyrillic_Supplement}', "");
Expect(1, 1327, '\P{^	Cyrillic_Supplement}', "");
Expect(0, 1328, '\p{	Cyrillic_Supplement}', "");
Expect(1, 1328, '\p{^	Cyrillic_Supplement}', "");
Expect(1, 1328, '\P{	Cyrillic_Supplement}', "");
Expect(0, 1328, '\P{^	Cyrillic_Supplement}', "");
Error('\p{/a/	_Is_cyrillic_Supplement}');
Error('\P{/a/	_Is_cyrillic_Supplement}');
Expect(1, 1327, '\p{iscyrillicsupplement}', "");
Expect(0, 1327, '\p{^iscyrillicsupplement}', "");
Expect(0, 1327, '\P{iscyrillicsupplement}', "");
Expect(1, 1327, '\P{^iscyrillicsupplement}', "");
Expect(0, 1328, '\p{iscyrillicsupplement}', "");
Expect(1, 1328, '\p{^iscyrillicsupplement}', "");
Expect(1, 1328, '\P{iscyrillicsupplement}', "");
Expect(0, 1328, '\P{^iscyrillicsupplement}', "");
Expect(1, 1327, '\p{	Is_cyrillic_supplement}', "");
Expect(0, 1327, '\p{^	Is_cyrillic_supplement}', "");
Expect(0, 1327, '\P{	Is_cyrillic_supplement}', "");
Expect(1, 1327, '\P{^	Is_cyrillic_supplement}', "");
Expect(0, 1328, '\p{	Is_cyrillic_supplement}', "");
Expect(1, 1328, '\p{^	Is_cyrillic_supplement}', "");
Expect(1, 1328, '\P{	Is_cyrillic_supplement}', "");
Expect(0, 1328, '\P{^	Is_cyrillic_supplement}', "");
Error('\p{-In_Cyrillic_Supplement/a/}');
Error('\P{-In_Cyrillic_Supplement/a/}');
Expect(1, 1327, '\p{incyrillicsupplement}', "");
Expect(0, 1327, '\p{^incyrillicsupplement}', "");
Expect(0, 1327, '\P{incyrillicsupplement}', "");
Expect(1, 1327, '\P{^incyrillicsupplement}', "");
Expect(0, 1328, '\p{incyrillicsupplement}', "");
Expect(1, 1328, '\p{^incyrillicsupplement}', "");
Expect(1, 1328, '\P{incyrillicsupplement}', "");
Expect(0, 1328, '\P{^incyrillicsupplement}', "");
Expect(1, 1327, '\p{ 	in_Cyrillic_Supplement}', "");
Expect(0, 1327, '\p{^ 	in_Cyrillic_Supplement}', "");
Expect(0, 1327, '\P{ 	in_Cyrillic_Supplement}', "");
Expect(1, 1327, '\P{^ 	in_Cyrillic_Supplement}', "");
Expect(0, 1328, '\p{ 	in_Cyrillic_Supplement}', "");
Expect(1, 1328, '\p{^ 	in_Cyrillic_Supplement}', "");
Expect(1, 1328, '\P{ 	in_Cyrillic_Supplement}', "");
Expect(0, 1328, '\P{^ 	in_Cyrillic_Supplement}', "");
Error('\p{:=-Cyrillic_Sup}');
Error('\P{:=-Cyrillic_Sup}');
Expect(1, 1327, '\p{cyrillicsup}', "");
Expect(0, 1327, '\p{^cyrillicsup}', "");
Expect(0, 1327, '\P{cyrillicsup}', "");
Expect(1, 1327, '\P{^cyrillicsup}', "");
Expect(0, 1328, '\p{cyrillicsup}', "");
Expect(1, 1328, '\p{^cyrillicsup}', "");
Expect(1, 1328, '\P{cyrillicsup}', "");
Expect(0, 1328, '\P{^cyrillicsup}', "");
Expect(1, 1327, '\p{--CYRILLIC_SUP}', "");
Expect(0, 1327, '\p{^--CYRILLIC_SUP}', "");
Expect(0, 1327, '\P{--CYRILLIC_SUP}', "");
Expect(1, 1327, '\P{^--CYRILLIC_SUP}', "");
Expect(0, 1328, '\p{--CYRILLIC_SUP}', "");
Expect(1, 1328, '\p{^--CYRILLIC_SUP}', "");
Expect(1, 1328, '\P{--CYRILLIC_SUP}', "");
Expect(0, 1328, '\P{^--CYRILLIC_SUP}', "");
Error('\p{/a/ Is_Cyrillic_sup}');
Error('\P{/a/ Is_Cyrillic_sup}');
Expect(1, 1327, '\p{iscyrillicsup}', "");
Expect(0, 1327, '\p{^iscyrillicsup}', "");
Expect(0, 1327, '\P{iscyrillicsup}', "");
Expect(1, 1327, '\P{^iscyrillicsup}', "");
Expect(0, 1328, '\p{iscyrillicsup}', "");
Expect(1, 1328, '\p{^iscyrillicsup}', "");
Expect(1, 1328, '\P{iscyrillicsup}', "");
Expect(0, 1328, '\P{^iscyrillicsup}', "");
Expect(1, 1327, '\p{ _is_Cyrillic_Sup}', "");
Expect(0, 1327, '\p{^ _is_Cyrillic_Sup}', "");
Expect(0, 1327, '\P{ _is_Cyrillic_Sup}', "");
Expect(1, 1327, '\P{^ _is_Cyrillic_Sup}', "");
Expect(0, 1328, '\p{ _is_Cyrillic_Sup}', "");
Expect(1, 1328, '\p{^ _is_Cyrillic_Sup}', "");
Expect(1, 1328, '\P{ _is_Cyrillic_Sup}', "");
Expect(0, 1328, '\P{^ _is_Cyrillic_Sup}', "");
Error('\p{ :=In_Cyrillic_SUP}');
Error('\P{ :=In_Cyrillic_SUP}');
Expect(1, 1327, '\p{incyrillicsup}', "");
Expect(0, 1327, '\p{^incyrillicsup}', "");
Expect(0, 1327, '\P{incyrillicsup}', "");
Expect(1, 1327, '\P{^incyrillicsup}', "");
Expect(0, 1328, '\p{incyrillicsup}', "");
Expect(1, 1328, '\p{^incyrillicsup}', "");
Expect(1, 1328, '\P{incyrillicsup}', "");
Expect(0, 1328, '\P{^incyrillicsup}', "");
Expect(1, 1327, '\p{_ IN_Cyrillic_sup}', "");
Expect(0, 1327, '\p{^_ IN_Cyrillic_sup}', "");
Expect(0, 1327, '\P{_ IN_Cyrillic_sup}', "");
Expect(1, 1327, '\P{^_ IN_Cyrillic_sup}', "");
Expect(0, 1328, '\p{_ IN_Cyrillic_sup}', "");
Expect(1, 1328, '\p{^_ IN_Cyrillic_sup}', "");
Expect(1, 1328, '\P{_ IN_Cyrillic_sup}', "");
Expect(0, 1328, '\P{^_ IN_Cyrillic_sup}', "");
Error('\p{__Cyrillic_Supplementary/a/}');
Error('\P{__Cyrillic_Supplementary/a/}');
Expect(1, 1327, '\p{cyrillicsupplementary}', "");
Expect(0, 1327, '\p{^cyrillicsupplementary}', "");
Expect(0, 1327, '\P{cyrillicsupplementary}', "");
Expect(1, 1327, '\P{^cyrillicsupplementary}', "");
Expect(0, 1328, '\p{cyrillicsupplementary}', "");
Expect(1, 1328, '\p{^cyrillicsupplementary}', "");
Expect(1, 1328, '\P{cyrillicsupplementary}', "");
Expect(0, 1328, '\P{^cyrillicsupplementary}', "");
Expect(1, 1327, '\p{	CYRILLIC_Supplementary}', "");
Expect(0, 1327, '\p{^	CYRILLIC_Supplementary}', "");
Expect(0, 1327, '\P{	CYRILLIC_Supplementary}', "");
Expect(1, 1327, '\P{^	CYRILLIC_Supplementary}', "");
Expect(0, 1328, '\p{	CYRILLIC_Supplementary}', "");
Expect(1, 1328, '\p{^	CYRILLIC_Supplementary}', "");
Expect(1, 1328, '\P{	CYRILLIC_Supplementary}', "");
Expect(0, 1328, '\P{^	CYRILLIC_Supplementary}', "");
Error('\p{:=-Is_Cyrillic_Supplementary}');
Error('\P{:=-Is_Cyrillic_Supplementary}');
Expect(1, 1327, '\p{iscyrillicsupplementary}', "");
Expect(0, 1327, '\p{^iscyrillicsupplementary}', "");
Expect(0, 1327, '\P{iscyrillicsupplementary}', "");
Expect(1, 1327, '\P{^iscyrillicsupplementary}', "");
Expect(0, 1328, '\p{iscyrillicsupplementary}', "");
Expect(1, 1328, '\p{^iscyrillicsupplementary}', "");
Expect(1, 1328, '\P{iscyrillicsupplementary}', "");
Expect(0, 1328, '\P{^iscyrillicsupplementary}', "");
Expect(1, 1327, '\p{	 IS_CYRILLIC_Supplementary}', "");
Expect(0, 1327, '\p{^	 IS_CYRILLIC_Supplementary}', "");
Expect(0, 1327, '\P{	 IS_CYRILLIC_Supplementary}', "");
Expect(1, 1327, '\P{^	 IS_CYRILLIC_Supplementary}', "");
Expect(0, 1328, '\p{	 IS_CYRILLIC_Supplementary}', "");
Expect(1, 1328, '\p{^	 IS_CYRILLIC_Supplementary}', "");
Expect(1, 1328, '\P{	 IS_CYRILLIC_Supplementary}', "");
Expect(0, 1328, '\P{^	 IS_CYRILLIC_Supplementary}', "");
Error('\p{ /a/In_Cyrillic_Supplementary}');
Error('\P{ /a/In_Cyrillic_Supplementary}');
Expect(1, 1327, '\p{incyrillicsupplementary}', "");
Expect(0, 1327, '\p{^incyrillicsupplementary}', "");
Expect(0, 1327, '\P{incyrillicsupplementary}', "");
Expect(1, 1327, '\P{^incyrillicsupplementary}', "");
Expect(0, 1328, '\p{incyrillicsupplementary}', "");
Expect(1, 1328, '\p{^incyrillicsupplementary}', "");
Expect(1, 1328, '\P{incyrillicsupplementary}', "");
Expect(0, 1328, '\P{^incyrillicsupplementary}', "");
Expect(1, 1327, '\p{ -In_CYRILLIC_Supplementary}', "");
Expect(0, 1327, '\p{^ -In_CYRILLIC_Supplementary}', "");
Expect(0, 1327, '\P{ -In_CYRILLIC_Supplementary}', "");
Expect(1, 1327, '\P{^ -In_CYRILLIC_Supplementary}', "");
Expect(0, 1328, '\p{ -In_CYRILLIC_Supplementary}', "");
Expect(1, 1328, '\p{^ -In_CYRILLIC_Supplementary}', "");
Expect(1, 1328, '\P{ -In_CYRILLIC_Supplementary}', "");
Expect(0, 1328, '\P{^ -In_CYRILLIC_Supplementary}', "");
Error('\p{_/a/DASH}');
Error('\P{_/a/DASH}');
Expect(1, 65293, '\p{dash}', "");
Expect(0, 65293, '\p{^dash}', "");
Expect(0, 65293, '\P{dash}', "");
Expect(1, 65293, '\P{^dash}', "");
Expect(0, 65294, '\p{dash}', "");
Expect(1, 65294, '\p{^dash}', "");
Expect(1, 65294, '\P{dash}', "");
Expect(0, 65294, '\P{^dash}', "");
Expect(1, 65293, '\p{- DASH}', "");
Expect(0, 65293, '\p{^- DASH}', "");
Expect(0, 65293, '\P{- DASH}', "");
Expect(1, 65293, '\P{^- DASH}', "");
Expect(0, 65294, '\p{- DASH}', "");
Expect(1, 65294, '\p{^- DASH}', "");
Expect(1, 65294, '\P{- DASH}', "");
Expect(0, 65294, '\P{^- DASH}', "");
Error('\p{/a/_ IS_Dash}');
Error('\P{/a/_ IS_Dash}');
Expect(1, 65293, '\p{isdash}', "");
Expect(0, 65293, '\p{^isdash}', "");
Expect(0, 65293, '\P{isdash}', "");
Expect(1, 65293, '\P{^isdash}', "");
Expect(0, 65294, '\p{isdash}', "");
Expect(1, 65294, '\p{^isdash}', "");
Expect(1, 65294, '\P{isdash}', "");
Expect(0, 65294, '\P{^isdash}', "");
Expect(1, 65293, '\p{_IS_Dash}', "");
Expect(0, 65293, '\p{^_IS_Dash}', "");
Expect(0, 65293, '\P{_IS_Dash}', "");
Expect(1, 65293, '\P{^_IS_Dash}', "");
Expect(0, 65294, '\p{_IS_Dash}', "");
Expect(1, 65294, '\p{^_IS_Dash}', "");
Expect(1, 65294, '\P{_IS_Dash}', "");
Expect(0, 65294, '\P{^_IS_Dash}', "");
Error('\p{/a/-Dash_Punctuation}');
Error('\P{/a/-Dash_Punctuation}');
Expect(1, 65293, '\p{dashpunctuation}', "");
Expect(0, 65293, '\p{^dashpunctuation}', "");
Expect(0, 65293, '\P{dashpunctuation}', "");
Expect(1, 65293, '\P{^dashpunctuation}', "");
Expect(0, 65294, '\p{dashpunctuation}', "");
Expect(1, 65294, '\p{^dashpunctuation}', "");
Expect(1, 65294, '\P{dashpunctuation}', "");
Expect(0, 65294, '\P{^dashpunctuation}', "");
Expect(1, 65293, '\p{ DASH_punctuation}', "");
Expect(0, 65293, '\p{^ DASH_punctuation}', "");
Expect(0, 65293, '\P{ DASH_punctuation}', "");
Expect(1, 65293, '\P{^ DASH_punctuation}', "");
Expect(0, 65294, '\p{ DASH_punctuation}', "");
Expect(1, 65294, '\p{^ DASH_punctuation}', "");
Expect(1, 65294, '\P{ DASH_punctuation}', "");
Expect(0, 65294, '\P{^ DASH_punctuation}', "");
Error('\p{  Is_Dash_Punctuation/a/}');
Error('\P{  Is_Dash_Punctuation/a/}');
Expect(1, 65293, '\p{isdashpunctuation}', "");
Expect(0, 65293, '\p{^isdashpunctuation}', "");
Expect(0, 65293, '\P{isdashpunctuation}', "");
Expect(1, 65293, '\P{^isdashpunctuation}', "");
Expect(0, 65294, '\p{isdashpunctuation}', "");
Expect(1, 65294, '\p{^isdashpunctuation}', "");
Expect(1, 65294, '\P{isdashpunctuation}', "");
Expect(0, 65294, '\P{^isdashpunctuation}', "");
Expect(1, 65293, '\p{ Is_Dash_Punctuation}', "");
Expect(0, 65293, '\p{^ Is_Dash_Punctuation}', "");
Expect(0, 65293, '\P{ Is_Dash_Punctuation}', "");
Expect(1, 65293, '\P{^ Is_Dash_Punctuation}', "");
Expect(0, 65294, '\p{ Is_Dash_Punctuation}', "");
Expect(1, 65294, '\p{^ Is_Dash_Punctuation}', "");
Expect(1, 65294, '\P{ Is_Dash_Punctuation}', "");
Expect(0, 65294, '\P{^ Is_Dash_Punctuation}', "");
Error('\p{/a/PD}');
Error('\P{/a/PD}');
Expect(1, 65293, '\p{pd}', "");
Expect(0, 65293, '\p{^pd}', "");
Expect(0, 65293, '\P{pd}', "");
Expect(1, 65293, '\P{^pd}', "");
Expect(0, 65294, '\p{pd}', "");
Expect(1, 65294, '\p{^pd}', "");
Expect(1, 65294, '\P{pd}', "");
Expect(0, 65294, '\P{^pd}', "");
Expect(1, 65293, '\p{__PD}', "");
Expect(0, 65293, '\p{^__PD}', "");
Expect(0, 65293, '\P{__PD}', "");
Expect(1, 65293, '\P{^__PD}', "");
Expect(0, 65294, '\p{__PD}', "");
Expect(1, 65294, '\p{^__PD}', "");
Expect(1, 65294, '\P{__PD}', "");
Expect(0, 65294, '\P{^__PD}', "");
Error('\p{--is_Pd:=}');
Error('\P{--is_Pd:=}');
Expect(1, 65293, '\p{ispd}', "");
Expect(0, 65293, '\p{^ispd}', "");
Expect(0, 65293, '\P{ispd}', "");
Expect(1, 65293, '\P{^ispd}', "");
Expect(0, 65294, '\p{ispd}', "");
Expect(1, 65294, '\p{^ispd}', "");
Expect(1, 65294, '\P{ispd}', "");
Expect(0, 65294, '\P{^ispd}', "");
Expect(1, 65293, '\p{_	is_Pd}', "");
Expect(0, 65293, '\p{^_	is_Pd}', "");
Expect(0, 65293, '\P{_	is_Pd}', "");
Expect(1, 65293, '\P{^_	is_Pd}', "");
Expect(0, 65294, '\p{_	is_Pd}', "");
Expect(1, 65294, '\p{^_	is_Pd}', "");
Expect(1, 65294, '\P{_	is_Pd}', "");
Expect(0, 65294, '\P{^_	is_Pd}', "");
Error('\p{/a/DEFAULT_Ignorable_Code_Point}');
Error('\P{/a/DEFAULT_Ignorable_Code_Point}');
Expect(1, 921599, '\p{defaultignorablecodepoint}', "");
Expect(0, 921599, '\p{^defaultignorablecodepoint}', "");
Expect(0, 921599, '\P{defaultignorablecodepoint}', "");
Expect(1, 921599, '\P{^defaultignorablecodepoint}', "");
Expect(0, 921600, '\p{defaultignorablecodepoint}', "");
Expect(1, 921600, '\p{^defaultignorablecodepoint}', "");
Expect(1, 921600, '\P{defaultignorablecodepoint}', "");
Expect(0, 921600, '\P{^defaultignorablecodepoint}', "");
Expect(1, 921599, '\p{ Default_IGNORABLE_Code_POINT}', "");
Expect(0, 921599, '\p{^ Default_IGNORABLE_Code_POINT}', "");
Expect(0, 921599, '\P{ Default_IGNORABLE_Code_POINT}', "");
Expect(1, 921599, '\P{^ Default_IGNORABLE_Code_POINT}', "");
Expect(0, 921600, '\p{ Default_IGNORABLE_Code_POINT}', "");
Expect(1, 921600, '\p{^ Default_IGNORABLE_Code_POINT}', "");
Expect(1, 921600, '\P{ Default_IGNORABLE_Code_POINT}', "");
Expect(0, 921600, '\P{^ Default_IGNORABLE_Code_POINT}', "");
Error('\p{-:=Is_default_Ignorable_Code_Point}');
Error('\P{-:=Is_default_Ignorable_Code_Point}');
Expect(1, 921599, '\p{isdefaultignorablecodepoint}', "");
Expect(0, 921599, '\p{^isdefaultignorablecodepoint}', "");
Expect(0, 921599, '\P{isdefaultignorablecodepoint}', "");
Expect(1, 921599, '\P{^isdefaultignorablecodepoint}', "");
Expect(0, 921600, '\p{isdefaultignorablecodepoint}', "");
Expect(1, 921600, '\p{^isdefaultignorablecodepoint}', "");
Expect(1, 921600, '\P{isdefaultignorablecodepoint}', "");
Expect(0, 921600, '\P{^isdefaultignorablecodepoint}', "");
Expect(1, 921599, '\p{_-is_Default_Ignorable_Code_POINT}', "");
Expect(0, 921599, '\p{^_-is_Default_Ignorable_Code_POINT}', "");
Expect(0, 921599, '\P{_-is_Default_Ignorable_Code_POINT}', "");
Expect(1, 921599, '\P{^_-is_Default_Ignorable_Code_POINT}', "");
Expect(0, 921600, '\p{_-is_Default_Ignorable_Code_POINT}', "");
Expect(1, 921600, '\p{^_-is_Default_Ignorable_Code_POINT}', "");
Expect(1, 921600, '\P{_-is_Default_Ignorable_Code_POINT}', "");
Expect(0, 921600, '\P{^_-is_Default_Ignorable_Code_POINT}', "");
Error('\p{_DI/a/}');
Error('\P{_DI/a/}');
Expect(1, 921599, '\p{di}', "");
Expect(0, 921599, '\p{^di}', "");
Expect(0, 921599, '\P{di}', "");
Expect(1, 921599, '\P{^di}', "");
Expect(0, 921600, '\p{di}', "");
Expect(1, 921600, '\p{^di}', "");
Expect(1, 921600, '\P{di}', "");
Expect(0, 921600, '\P{^di}', "");
Expect(1, 921599, '\p{__DI}', "");
Expect(0, 921599, '\p{^__DI}', "");
Expect(0, 921599, '\P{__DI}', "");
Expect(1, 921599, '\P{^__DI}', "");
Expect(0, 921600, '\p{__DI}', "");
Expect(1, 921600, '\p{^__DI}', "");
Expect(1, 921600, '\P{__DI}', "");
Expect(0, 921600, '\P{^__DI}', "");
Error('\p{:=- IS_DI}');
Error('\P{:=- IS_DI}');
Expect(1, 921599, '\p{isdi}', "");
Expect(0, 921599, '\p{^isdi}', "");
Expect(0, 921599, '\P{isdi}', "");
Expect(1, 921599, '\P{^isdi}', "");
Expect(0, 921600, '\p{isdi}', "");
Expect(1, 921600, '\p{^isdi}', "");
Expect(1, 921600, '\P{isdi}', "");
Expect(0, 921600, '\P{^isdi}', "");
Expect(1, 921599, '\p{_	Is_DI}', "");
Expect(0, 921599, '\p{^_	Is_DI}', "");
Expect(0, 921599, '\P{_	Is_DI}', "");
Expect(1, 921599, '\P{^_	Is_DI}', "");
Expect(0, 921600, '\p{_	Is_DI}', "");
Expect(1, 921600, '\p{^_	Is_DI}', "");
Expect(1, 921600, '\P{_	Is_DI}', "");
Expect(0, 921600, '\P{^_	Is_DI}', "");
Error('\p{ 	deprecated/a/}');
Error('\P{ 	deprecated/a/}');
Expect(1, 917631, '\p{deprecated}', "");
Expect(0, 917631, '\p{^deprecated}', "");
Expect(0, 917631, '\P{deprecated}', "");
Expect(1, 917631, '\P{^deprecated}', "");
Expect(0, 917632, '\p{deprecated}', "");
Expect(1, 917632, '\p{^deprecated}', "");
Expect(1, 917632, '\P{deprecated}', "");
Expect(0, 917632, '\P{^deprecated}', "");
Error('\p{ :=is_DEPRECATED}');
Error('\P{ :=is_DEPRECATED}');
Expect(1, 917631, '\p{isdeprecated}', "");
Expect(0, 917631, '\p{^isdeprecated}', "");
Expect(0, 917631, '\P{isdeprecated}', "");
Expect(1, 917631, '\P{^isdeprecated}', "");
Expect(0, 917632, '\p{isdeprecated}', "");
Expect(1, 917632, '\p{^isdeprecated}', "");
Expect(1, 917632, '\P{isdeprecated}', "");
Expect(0, 917632, '\P{^isdeprecated}', "");
Expect(1, 917631, '\p{Is_deprecated}', "");
Expect(0, 917631, '\p{^Is_deprecated}', "");
Expect(0, 917631, '\P{Is_deprecated}', "");
Expect(1, 917631, '\P{^Is_deprecated}', "");
Expect(0, 917632, '\p{Is_deprecated}', "");
Expect(1, 917632, '\p{^Is_deprecated}', "");
Expect(1, 917632, '\P{Is_deprecated}', "");
Expect(0, 917632, '\P{^Is_deprecated}', "");
Error('\p{:=_dep}');
Error('\P{:=_dep}');
Expect(1, 917631, '\p{dep}', "");
Expect(0, 917631, '\p{^dep}', "");
Expect(0, 917631, '\P{dep}', "");
Expect(1, 917631, '\P{^dep}', "");
Expect(0, 917632, '\p{dep}', "");
Expect(1, 917632, '\p{^dep}', "");
Expect(1, 917632, '\P{dep}', "");
Expect(0, 917632, '\P{^dep}', "");
Expect(1, 917631, '\p{	-Dep}', "");
Expect(0, 917631, '\p{^	-Dep}', "");
Expect(0, 917631, '\P{	-Dep}', "");
Expect(1, 917631, '\P{^	-Dep}', "");
Expect(0, 917632, '\p{	-Dep}', "");
Expect(1, 917632, '\p{^	-Dep}', "");
Expect(1, 917632, '\P{	-Dep}', "");
Expect(0, 917632, '\P{^	-Dep}', "");
Error('\p{_ Is_Dep:=}');
Error('\P{_ Is_Dep:=}');
Expect(1, 917631, '\p{isdep}', "");
Expect(0, 917631, '\p{^isdep}', "");
Expect(0, 917631, '\P{isdep}', "");
Expect(1, 917631, '\P{^isdep}', "");
Expect(0, 917632, '\p{isdep}', "");
Expect(1, 917632, '\p{^isdep}', "");
Expect(1, 917632, '\P{isdep}', "");
Expect(0, 917632, '\P{^isdep}', "");
Expect(1, 917631, '\p{		IS_DEP}', "");
Expect(0, 917631, '\p{^		IS_DEP}', "");
Expect(0, 917631, '\P{		IS_DEP}', "");
Expect(1, 917631, '\P{^		IS_DEP}', "");
Expect(0, 917632, '\p{		IS_DEP}', "");
Expect(1, 917632, '\p{^		IS_DEP}', "");
Expect(1, 917632, '\P{		IS_DEP}', "");
Expect(0, 917632, '\P{^		IS_DEP}', "");
Error('\p{ DESERET:=}');
Error('\P{ DESERET:=}');
Expect(1, 66639, '\p{deseret}', "");
Expect(0, 66639, '\p{^deseret}', "");
Expect(0, 66639, '\P{deseret}', "");
Expect(1, 66639, '\P{^deseret}', "");
Expect(0, 66640, '\p{deseret}', "");
Expect(1, 66640, '\p{^deseret}', "");
Expect(1, 66640, '\P{deseret}', "");
Expect(0, 66640, '\P{^deseret}', "");
Expect(1, 66639, '\p{	 deseret}', "");
Expect(0, 66639, '\p{^	 deseret}', "");
Expect(0, 66639, '\P{	 deseret}', "");
Expect(1, 66639, '\P{^	 deseret}', "");
Expect(0, 66640, '\p{	 deseret}', "");
Expect(1, 66640, '\p{^	 deseret}', "");
Expect(1, 66640, '\P{	 deseret}', "");
Expect(0, 66640, '\P{^	 deseret}', "");
Error('\p{__IS_Deseret/a/}');
Error('\P{__IS_Deseret/a/}');
Expect(1, 66639, '\p{isdeseret}', "");
Expect(0, 66639, '\p{^isdeseret}', "");
Expect(0, 66639, '\P{isdeseret}', "");
Expect(1, 66639, '\P{^isdeseret}', "");
Expect(0, 66640, '\p{isdeseret}', "");
Expect(1, 66640, '\p{^isdeseret}', "");
Expect(1, 66640, '\P{isdeseret}', "");
Expect(0, 66640, '\P{^isdeseret}', "");
Expect(1, 66639, '\p{_	Is_deseret}', "");
Expect(0, 66639, '\p{^_	Is_deseret}', "");
Expect(0, 66639, '\P{_	Is_deseret}', "");
Expect(1, 66639, '\P{^_	Is_deseret}', "");
Expect(0, 66640, '\p{_	Is_deseret}', "");
Expect(1, 66640, '\p{^_	Is_deseret}', "");
Expect(1, 66640, '\P{_	Is_deseret}', "");
Expect(0, 66640, '\P{^_	Is_deseret}', "");
Error('\p{ 	dsrt:=}');
Error('\P{ 	dsrt:=}');
Expect(1, 66639, '\p{dsrt}', "");
Expect(0, 66639, '\p{^dsrt}', "");
Expect(0, 66639, '\P{dsrt}', "");
Expect(1, 66639, '\P{^dsrt}', "");
Expect(0, 66640, '\p{dsrt}', "");
Expect(1, 66640, '\p{^dsrt}', "");
Expect(1, 66640, '\P{dsrt}', "");
Expect(0, 66640, '\P{^dsrt}', "");
Expect(1, 66639, '\p{-dsrt}', "");
Expect(0, 66639, '\p{^-dsrt}', "");
Expect(0, 66639, '\P{-dsrt}', "");
Expect(1, 66639, '\P{^-dsrt}', "");
Expect(0, 66640, '\p{-dsrt}', "");
Expect(1, 66640, '\p{^-dsrt}', "");
Expect(1, 66640, '\P{-dsrt}', "");
Expect(0, 66640, '\P{^-dsrt}', "");
Error('\p{-/a/Is_Dsrt}');
Error('\P{-/a/Is_Dsrt}');
Expect(1, 66639, '\p{isdsrt}', "");
Expect(0, 66639, '\p{^isdsrt}', "");
Expect(0, 66639, '\P{isdsrt}', "");
Expect(1, 66639, '\P{^isdsrt}', "");
Expect(0, 66640, '\p{isdsrt}', "");
Expect(1, 66640, '\p{^isdsrt}', "");
Expect(1, 66640, '\P{isdsrt}', "");
Expect(0, 66640, '\P{^isdsrt}', "");
Expect(1, 66639, '\p{ -IS_Dsrt}', "");
Expect(0, 66639, '\p{^ -IS_Dsrt}', "");
Expect(0, 66639, '\P{ -IS_Dsrt}', "");
Expect(1, 66639, '\P{^ -IS_Dsrt}', "");
Expect(0, 66640, '\p{ -IS_Dsrt}', "");
Expect(1, 66640, '\p{^ -IS_Dsrt}', "");
Expect(1, 66640, '\P{ -IS_Dsrt}', "");
Expect(0, 66640, '\P{^ -IS_Dsrt}', "");
Error('\p{ _Devanagari/a/}');
Error('\P{ _Devanagari/a/}');
Expect(1, 43261, '\p{devanagari}', "");
Expect(0, 43261, '\p{^devanagari}', "");
Expect(0, 43261, '\P{devanagari}', "");
Expect(1, 43261, '\P{^devanagari}', "");
Expect(0, 43262, '\p{devanagari}', "");
Expect(1, 43262, '\p{^devanagari}', "");
Expect(1, 43262, '\P{devanagari}', "");
Expect(0, 43262, '\P{^devanagari}', "");
Expect(1, 43261, '\p{	devanagari}', "");
Expect(0, 43261, '\p{^	devanagari}', "");
Expect(0, 43261, '\P{	devanagari}', "");
Expect(1, 43261, '\P{^	devanagari}', "");
Expect(0, 43262, '\p{	devanagari}', "");
Expect(1, 43262, '\p{^	devanagari}', "");
Expect(1, 43262, '\P{	devanagari}', "");
Expect(0, 43262, '\P{^	devanagari}', "");
Error('\p{:=- is_Devanagari}');
Error('\P{:=- is_Devanagari}');
Expect(1, 43261, '\p{isdevanagari}', "");
Expect(0, 43261, '\p{^isdevanagari}', "");
Expect(0, 43261, '\P{isdevanagari}', "");
Expect(1, 43261, '\P{^isdevanagari}', "");
Expect(0, 43262, '\p{isdevanagari}', "");
Expect(1, 43262, '\p{^isdevanagari}', "");
Expect(1, 43262, '\P{isdevanagari}', "");
Expect(0, 43262, '\P{^isdevanagari}', "");
Expect(1, 43261, '\p{-_Is_devanagari}', "");
Expect(0, 43261, '\p{^-_Is_devanagari}', "");
Expect(0, 43261, '\P{-_Is_devanagari}', "");
Expect(1, 43261, '\P{^-_Is_devanagari}', "");
Expect(0, 43262, '\p{-_Is_devanagari}', "");
Expect(1, 43262, '\p{^-_Is_devanagari}', "");
Expect(1, 43262, '\P{-_Is_devanagari}', "");
Expect(0, 43262, '\P{^-_Is_devanagari}', "");
Error('\p{ DEVA:=}');
Error('\P{ DEVA:=}');
Expect(1, 43261, '\p{deva}', "");
Expect(0, 43261, '\p{^deva}', "");
Expect(0, 43261, '\P{deva}', "");
Expect(1, 43261, '\P{^deva}', "");
Expect(0, 43262, '\p{deva}', "");
Expect(1, 43262, '\p{^deva}', "");
Expect(1, 43262, '\P{deva}', "");
Expect(0, 43262, '\P{^deva}', "");
Expect(1, 43261, '\p{-Deva}', "");
Expect(0, 43261, '\p{^-Deva}', "");
Expect(0, 43261, '\P{-Deva}', "");
Expect(1, 43261, '\P{^-Deva}', "");
Expect(0, 43262, '\p{-Deva}', "");
Expect(1, 43262, '\p{^-Deva}', "");
Expect(1, 43262, '\P{-Deva}', "");
Expect(0, 43262, '\P{^-Deva}', "");
Error('\p{/a/	 IS_Deva}');
Error('\P{/a/	 IS_Deva}');
Expect(1, 43261, '\p{isdeva}', "");
Expect(0, 43261, '\p{^isdeva}', "");
Expect(0, 43261, '\P{isdeva}', "");
Expect(1, 43261, '\P{^isdeva}', "");
Expect(0, 43262, '\p{isdeva}', "");
Expect(1, 43262, '\p{^isdeva}', "");
Expect(1, 43262, '\P{isdeva}', "");
Expect(0, 43262, '\P{^isdeva}', "");
Expect(1, 43261, '\p{ Is_DEVA}', "");
Expect(0, 43261, '\p{^ Is_DEVA}', "");
Expect(0, 43261, '\P{ Is_DEVA}', "");
Expect(1, 43261, '\P{^ Is_DEVA}', "");
Expect(0, 43262, '\p{ Is_DEVA}', "");
Expect(1, 43262, '\p{^ Is_DEVA}', "");
Expect(1, 43262, '\P{ Is_DEVA}', "");
Expect(0, 43262, '\P{^ Is_DEVA}', "");
Error('\p{_:=Devanagari_Extended}');
Error('\P{_:=Devanagari_Extended}');
Expect(1, 43263, '\p{devanagariextended}', "");
Expect(0, 43263, '\p{^devanagariextended}', "");
Expect(0, 43263, '\P{devanagariextended}', "");
Expect(1, 43263, '\P{^devanagariextended}', "");
Expect(0, 43264, '\p{devanagariextended}', "");
Expect(1, 43264, '\p{^devanagariextended}', "");
Expect(1, 43264, '\P{devanagariextended}', "");
Expect(0, 43264, '\P{^devanagariextended}', "");
Expect(1, 43263, '\p{ DEVANAGARI_EXTENDED}', "");
Expect(0, 43263, '\p{^ DEVANAGARI_EXTENDED}', "");
Expect(0, 43263, '\P{ DEVANAGARI_EXTENDED}', "");
Expect(1, 43263, '\P{^ DEVANAGARI_EXTENDED}', "");
Expect(0, 43264, '\p{ DEVANAGARI_EXTENDED}', "");
Expect(1, 43264, '\p{^ DEVANAGARI_EXTENDED}', "");
Expect(1, 43264, '\P{ DEVANAGARI_EXTENDED}', "");
Expect(0, 43264, '\P{^ DEVANAGARI_EXTENDED}', "");
Error('\p{-	Is_devanagari_Extended/a/}');
Error('\P{-	Is_devanagari_Extended/a/}');
Expect(1, 43263, '\p{isdevanagariextended}', "");
Expect(0, 43263, '\p{^isdevanagariextended}', "");
Expect(0, 43263, '\P{isdevanagariextended}', "");
Expect(1, 43263, '\P{^isdevanagariextended}', "");
Expect(0, 43264, '\p{isdevanagariextended}', "");
Expect(1, 43264, '\p{^isdevanagariextended}', "");
Expect(1, 43264, '\P{isdevanagariextended}', "");
Expect(0, 43264, '\P{^isdevanagariextended}', "");
Expect(1, 43263, '\p{-_IS_Devanagari_EXTENDED}', "");
Expect(0, 43263, '\p{^-_IS_Devanagari_EXTENDED}', "");
Expect(0, 43263, '\P{-_IS_Devanagari_EXTENDED}', "");
Expect(1, 43263, '\P{^-_IS_Devanagari_EXTENDED}', "");
Expect(0, 43264, '\p{-_IS_Devanagari_EXTENDED}', "");
Expect(1, 43264, '\p{^-_IS_Devanagari_EXTENDED}', "");
Expect(1, 43264, '\P{-_IS_Devanagari_EXTENDED}', "");
Expect(0, 43264, '\P{^-_IS_Devanagari_EXTENDED}', "");
Error('\p{/a/	 In_Devanagari_Extended}');
Error('\P{/a/	 In_Devanagari_Extended}');
Expect(1, 43263, '\p{indevanagariextended}', "");
Expect(0, 43263, '\p{^indevanagariextended}', "");
Expect(0, 43263, '\P{indevanagariextended}', "");
Expect(1, 43263, '\P{^indevanagariextended}', "");
Expect(0, 43264, '\p{indevanagariextended}', "");
Expect(1, 43264, '\p{^indevanagariextended}', "");
Expect(1, 43264, '\P{indevanagariextended}', "");
Expect(0, 43264, '\P{^indevanagariextended}', "");
Expect(1, 43263, '\p{ 	In_devanagari_extended}', "");
Expect(0, 43263, '\p{^ 	In_devanagari_extended}', "");
Expect(0, 43263, '\P{ 	In_devanagari_extended}', "");
Expect(1, 43263, '\P{^ 	In_devanagari_extended}', "");
Expect(0, 43264, '\p{ 	In_devanagari_extended}', "");
Expect(1, 43264, '\p{^ 	In_devanagari_extended}', "");
Expect(1, 43264, '\P{ 	In_devanagari_extended}', "");
Expect(0, 43264, '\P{^ 	In_devanagari_extended}', "");
Error('\p{:=Devanagari_ext}');
Error('\P{:=Devanagari_ext}');
Expect(1, 43263, '\p{devanagariext}', "");
Expect(0, 43263, '\p{^devanagariext}', "");
Expect(0, 43263, '\P{devanagariext}', "");
Expect(1, 43263, '\P{^devanagariext}', "");
Expect(0, 43264, '\p{devanagariext}', "");
Expect(1, 43264, '\p{^devanagariext}', "");
Expect(1, 43264, '\P{devanagariext}', "");
Expect(0, 43264, '\P{^devanagariext}', "");
Expect(1, 43263, '\p{__devanagari_EXT}', "");
Expect(0, 43263, '\p{^__devanagari_EXT}', "");
Expect(0, 43263, '\P{__devanagari_EXT}', "");
Expect(1, 43263, '\P{^__devanagari_EXT}', "");
Expect(0, 43264, '\p{__devanagari_EXT}', "");
Expect(1, 43264, '\p{^__devanagari_EXT}', "");
Expect(1, 43264, '\P{__devanagari_EXT}', "");
Expect(0, 43264, '\P{^__devanagari_EXT}', "");
Error('\p{:=--Is_devanagari_ext}');
Error('\P{:=--Is_devanagari_ext}');
Expect(1, 43263, '\p{isdevanagariext}', "");
Expect(0, 43263, '\p{^isdevanagariext}', "");
Expect(0, 43263, '\P{isdevanagariext}', "");
Expect(1, 43263, '\P{^isdevanagariext}', "");
Expect(0, 43264, '\p{isdevanagariext}', "");
Expect(1, 43264, '\p{^isdevanagariext}', "");
Expect(1, 43264, '\P{isdevanagariext}', "");
Expect(0, 43264, '\P{^isdevanagariext}', "");
Expect(1, 43263, '\p{		Is_devanagari_Ext}', "");
Expect(0, 43263, '\p{^		Is_devanagari_Ext}', "");
Expect(0, 43263, '\P{		Is_devanagari_Ext}', "");
Expect(1, 43263, '\P{^		Is_devanagari_Ext}', "");
Expect(0, 43264, '\p{		Is_devanagari_Ext}', "");
Expect(1, 43264, '\p{^		Is_devanagari_Ext}', "");
Expect(1, 43264, '\P{		Is_devanagari_Ext}', "");
Expect(0, 43264, '\P{^		Is_devanagari_Ext}', "");
Error('\p{/a/_	In_devanagari_Ext}');
Error('\P{/a/_	In_devanagari_Ext}');
Expect(1, 43263, '\p{indevanagariext}', "");
Expect(0, 43263, '\p{^indevanagariext}', "");
Expect(0, 43263, '\P{indevanagariext}', "");
Expect(1, 43263, '\P{^indevanagariext}', "");
Expect(0, 43264, '\p{indevanagariext}', "");
Expect(1, 43264, '\p{^indevanagariext}', "");
Expect(1, 43264, '\P{indevanagariext}', "");
Expect(0, 43264, '\P{^indevanagariext}', "");
Expect(1, 43263, '\p{_in_devanagari_ext}', "");
Expect(0, 43263, '\p{^_in_devanagari_ext}', "");
Expect(0, 43263, '\P{_in_devanagari_ext}', "");
Expect(1, 43263, '\P{^_in_devanagari_ext}', "");
Expect(0, 43264, '\p{_in_devanagari_ext}', "");
Expect(1, 43264, '\p{^_in_devanagari_ext}', "");
Expect(1, 43264, '\P{_in_devanagari_ext}', "");
Expect(0, 43264, '\P{^_in_devanagari_ext}', "");
Error('\p{:=-DIACRITIC}');
Error('\P{:=-DIACRITIC}');
Expect(1, 125142, '\p{diacritic}', "");
Expect(0, 125142, '\p{^diacritic}', "");
Expect(0, 125142, '\P{diacritic}', "");
Expect(1, 125142, '\P{^diacritic}', "");
Expect(0, 125143, '\p{diacritic}', "");
Expect(1, 125143, '\p{^diacritic}', "");
Expect(1, 125143, '\P{diacritic}', "");
Expect(0, 125143, '\P{^diacritic}', "");
Expect(1, 125142, '\p{-	diacritic}', "");
Expect(0, 125142, '\p{^-	diacritic}', "");
Expect(0, 125142, '\P{-	diacritic}', "");
Expect(1, 125142, '\P{^-	diacritic}', "");
Expect(0, 125143, '\p{-	diacritic}', "");
Expect(1, 125143, '\p{^-	diacritic}', "");
Expect(1, 125143, '\P{-	diacritic}', "");
Expect(0, 125143, '\P{^-	diacritic}', "");
Error('\p{	/a/Is_DIACRITIC}');
Error('\P{	/a/Is_DIACRITIC}');
Expect(1, 125142, '\p{isdiacritic}', "");
Expect(0, 125142, '\p{^isdiacritic}', "");
Expect(0, 125142, '\P{isdiacritic}', "");
Expect(1, 125142, '\P{^isdiacritic}', "");
Expect(0, 125143, '\p{isdiacritic}', "");
Expect(1, 125143, '\p{^isdiacritic}', "");
Expect(1, 125143, '\P{isdiacritic}', "");
Expect(0, 125143, '\P{^isdiacritic}', "");
Expect(1, 125142, '\p{_ Is_Diacritic}', "");
Expect(0, 125142, '\p{^_ Is_Diacritic}', "");
Expect(0, 125142, '\P{_ Is_Diacritic}', "");
Expect(1, 125142, '\P{^_ Is_Diacritic}', "");
Expect(0, 125143, '\p{_ Is_Diacritic}', "");
Expect(1, 125143, '\p{^_ Is_Diacritic}', "");
Expect(1, 125143, '\P{_ Is_Diacritic}', "");
Expect(0, 125143, '\P{^_ Is_Diacritic}', "");
Error('\p{:=-Dia}');
Error('\P{:=-Dia}');
Expect(1, 125142, '\p{dia}', "");
Expect(0, 125142, '\p{^dia}', "");
Expect(0, 125142, '\P{dia}', "");
Expect(1, 125142, '\P{^dia}', "");
Expect(0, 125143, '\p{dia}', "");
Expect(1, 125143, '\p{^dia}', "");
Expect(1, 125143, '\P{dia}', "");
Expect(0, 125143, '\P{^dia}', "");
Expect(1, 125142, '\p{- DIA}', "");
Expect(0, 125142, '\p{^- DIA}', "");
Expect(0, 125142, '\P{- DIA}', "");
Expect(1, 125142, '\P{^- DIA}', "");
Expect(0, 125143, '\p{- DIA}', "");
Expect(1, 125143, '\p{^- DIA}', "");
Expect(1, 125143, '\P{- DIA}', "");
Expect(0, 125143, '\P{^- DIA}', "");
Error('\p{/a/IS_dia}');
Error('\P{/a/IS_dia}');
Expect(1, 125142, '\p{isdia}', "");
Expect(0, 125142, '\p{^isdia}', "");
Expect(0, 125142, '\P{isdia}', "");
Expect(1, 125142, '\P{^isdia}', "");
Expect(0, 125143, '\p{isdia}', "");
Expect(1, 125143, '\p{^isdia}', "");
Expect(1, 125143, '\P{isdia}', "");
Expect(0, 125143, '\P{^isdia}', "");
Expect(1, 125142, '\p{_	Is_Dia}', "");
Expect(0, 125142, '\p{^_	Is_Dia}', "");
Expect(0, 125142, '\P{_	Is_Dia}', "");
Expect(1, 125142, '\P{^_	Is_Dia}', "");
Expect(0, 125143, '\p{_	Is_Dia}', "");
Expect(1, 125143, '\p{^_	Is_Dia}', "");
Expect(1, 125143, '\P{_	Is_Dia}', "");
Expect(0, 125143, '\P{^_	Is_Dia}', "");
Error('\p{-/a/XPOSIXDIGIT}');
Error('\P{-/a/XPOSIXDIGIT}');
Expect(1, 120831, '\p{xposixdigit}', "");
Expect(0, 120831, '\p{^xposixdigit}', "");
Expect(0, 120831, '\P{xposixdigit}', "");
Expect(1, 120831, '\P{^xposixdigit}', "");
Expect(0, 120832, '\p{xposixdigit}', "");
Expect(1, 120832, '\p{^xposixdigit}', "");
Expect(1, 120832, '\P{xposixdigit}', "");
Expect(0, 120832, '\P{^xposixdigit}', "");
Expect(1, 120831, '\p{-	XPosixDigit}', "");
Expect(0, 120831, '\p{^-	XPosixDigit}', "");
Expect(0, 120831, '\P{-	XPosixDigit}', "");
Expect(1, 120831, '\P{^-	XPosixDigit}', "");
Expect(0, 120832, '\p{-	XPosixDigit}', "");
Expect(1, 120832, '\p{^-	XPosixDigit}', "");
Expect(1, 120832, '\P{-	XPosixDigit}', "");
Expect(0, 120832, '\P{^-	XPosixDigit}', "");
Error('\p{/a/-DIGIT}');
Error('\P{/a/-DIGIT}');
Expect(1, 120831, '\p{digit}', "");
Expect(0, 120831, '\p{^digit}', "");
Expect(0, 120831, '\P{digit}', "");
Expect(1, 120831, '\P{^digit}', "");
Expect(0, 120832, '\p{digit}', "");
Expect(1, 120832, '\p{^digit}', "");
Expect(1, 120832, '\P{digit}', "");
Expect(0, 120832, '\P{^digit}', "");
Expect(1, 120831, '\p{_-Digit}', "");
Expect(0, 120831, '\p{^_-Digit}', "");
Expect(0, 120831, '\P{_-Digit}', "");
Expect(1, 120831, '\P{^_-Digit}', "");
Expect(0, 120832, '\p{_-Digit}', "");
Expect(1, 120832, '\p{^_-Digit}', "");
Expect(1, 120832, '\P{_-Digit}', "");
Expect(0, 120832, '\P{^_-Digit}', "");
Error('\p{:=Is_XPosixDigit}');
Error('\P{:=Is_XPosixDigit}');
Expect(1, 120831, '\p{isxposixdigit}', "");
Expect(0, 120831, '\p{^isxposixdigit}', "");
Expect(0, 120831, '\P{isxposixdigit}', "");
Expect(1, 120831, '\P{^isxposixdigit}', "");
Expect(0, 120832, '\p{isxposixdigit}', "");
Expect(1, 120832, '\p{^isxposixdigit}', "");
Expect(1, 120832, '\P{isxposixdigit}', "");
Expect(0, 120832, '\P{^isxposixdigit}', "");
Expect(1, 120831, '\p{_ Is_XPOSIXDIGIT}', "");
Expect(0, 120831, '\p{^_ Is_XPOSIXDIGIT}', "");
Expect(0, 120831, '\P{_ Is_XPOSIXDIGIT}', "");
Expect(1, 120831, '\P{^_ Is_XPOSIXDIGIT}', "");
Expect(0, 120832, '\p{_ Is_XPOSIXDIGIT}', "");
Expect(1, 120832, '\p{^_ Is_XPOSIXDIGIT}', "");
Expect(1, 120832, '\P{_ Is_XPOSIXDIGIT}', "");
Expect(0, 120832, '\P{^_ Is_XPOSIXDIGIT}', "");
Error('\p{:=__is_digit}');
Error('\P{:=__is_digit}');
Expect(1, 120831, '\p{isdigit}', "");
Expect(0, 120831, '\p{^isdigit}', "");
Expect(0, 120831, '\P{isdigit}', "");
Expect(1, 120831, '\P{^isdigit}', "");
Expect(0, 120832, '\p{isdigit}', "");
Expect(1, 120832, '\p{^isdigit}', "");
Expect(1, 120832, '\P{isdigit}', "");
Expect(0, 120832, '\P{^isdigit}', "");
Expect(1, 120831, '\p{ Is_DIGIT}', "");
Expect(0, 120831, '\p{^ Is_DIGIT}', "");
Expect(0, 120831, '\P{ Is_DIGIT}', "");
Expect(1, 120831, '\P{^ Is_DIGIT}', "");
Expect(0, 120832, '\p{ Is_DIGIT}', "");
Expect(1, 120832, '\p{^ Is_DIGIT}', "");
Expect(1, 120832, '\P{ Is_DIGIT}', "");
Expect(0, 120832, '\P{^ Is_DIGIT}', "");
Error('\p{	:=DECIMAL_Number}');
Error('\P{	:=DECIMAL_Number}');
Expect(1, 120831, '\p{decimalnumber}', "");
Expect(0, 120831, '\p{^decimalnumber}', "");
Expect(0, 120831, '\P{decimalnumber}', "");
Expect(1, 120831, '\P{^decimalnumber}', "");
Expect(0, 120832, '\p{decimalnumber}', "");
Expect(1, 120832, '\p{^decimalnumber}', "");
Expect(1, 120832, '\P{decimalnumber}', "");
Expect(0, 120832, '\P{^decimalnumber}', "");
Expect(1, 120831, '\p{  DECIMAL_Number}', "");
Expect(0, 120831, '\p{^  DECIMAL_Number}', "");
Expect(0, 120831, '\P{  DECIMAL_Number}', "");
Expect(1, 120831, '\P{^  DECIMAL_Number}', "");
Expect(0, 120832, '\p{  DECIMAL_Number}', "");
Expect(1, 120832, '\p{^  DECIMAL_Number}', "");
Expect(1, 120832, '\P{  DECIMAL_Number}', "");
Expect(0, 120832, '\P{^  DECIMAL_Number}', "");
Error('\p{ -Is_DECIMAL_number/a/}');
Error('\P{ -Is_DECIMAL_number/a/}');
Expect(1, 120831, '\p{isdecimalnumber}', "");
Expect(0, 120831, '\p{^isdecimalnumber}', "");
Expect(0, 120831, '\P{isdecimalnumber}', "");
Expect(1, 120831, '\P{^isdecimalnumber}', "");
Expect(0, 120832, '\p{isdecimalnumber}', "");
Expect(1, 120832, '\p{^isdecimalnumber}', "");
Expect(1, 120832, '\P{isdecimalnumber}', "");
Expect(0, 120832, '\P{^isdecimalnumber}', "");
Expect(1, 120831, '\p{ Is_Decimal_Number}', "");
Expect(0, 120831, '\p{^ Is_Decimal_Number}', "");
Expect(0, 120831, '\P{ Is_Decimal_Number}', "");
Expect(1, 120831, '\P{^ Is_Decimal_Number}', "");
Expect(0, 120832, '\p{ Is_Decimal_Number}', "");
Expect(1, 120832, '\p{^ Is_Decimal_Number}', "");
Expect(1, 120832, '\P{ Is_Decimal_Number}', "");
Expect(0, 120832, '\P{^ Is_Decimal_Number}', "");
Error('\p{		ND/a/}');
Error('\P{		ND/a/}');
Expect(1, 120831, '\p{nd}', "");
Expect(0, 120831, '\p{^nd}', "");
Expect(0, 120831, '\P{nd}', "");
Expect(1, 120831, '\P{^nd}', "");
Expect(0, 120832, '\p{nd}', "");
Expect(1, 120832, '\p{^nd}', "");
Expect(1, 120832, '\P{nd}', "");
Expect(0, 120832, '\P{^nd}', "");
Expect(1, 120831, '\p{-_Nd}', "");
Expect(0, 120831, '\p{^-_Nd}', "");
Expect(0, 120831, '\P{-_Nd}', "");
Expect(1, 120831, '\P{^-_Nd}', "");
Expect(0, 120832, '\p{-_Nd}', "");
Expect(1, 120832, '\p{^-_Nd}', "");
Expect(1, 120832, '\P{-_Nd}', "");
Expect(0, 120832, '\P{^-_Nd}', "");
Error('\p{:=_	is_Nd}');
Error('\P{:=_	is_Nd}');
Expect(1, 120831, '\p{isnd}', "");
Expect(0, 120831, '\p{^isnd}', "");
Expect(0, 120831, '\P{isnd}', "");
Expect(1, 120831, '\P{^isnd}', "");
Expect(0, 120832, '\p{isnd}', "");
Expect(1, 120832, '\p{^isnd}', "");
Expect(1, 120832, '\P{isnd}', "");
Expect(0, 120832, '\P{^isnd}', "");
Expect(1, 120831, '\p{ _Is_ND}', "");
Expect(0, 120831, '\p{^ _Is_ND}', "");
Expect(0, 120831, '\P{ _Is_ND}', "");
Expect(1, 120831, '\P{^ _Is_ND}', "");
Expect(0, 120832, '\p{ _Is_ND}', "");
Expect(1, 120832, '\p{^ _Is_ND}', "");
Expect(1, 120832, '\P{ _Is_ND}', "");
Expect(0, 120832, '\P{^ _Is_ND}', "");
Error('\p{/a/_ Dingbats}');
Error('\P{/a/_ Dingbats}');
Expect(1, 10175, '\p{dingbats}', "");
Expect(0, 10175, '\p{^dingbats}', "");
Expect(0, 10175, '\P{dingbats}', "");
Expect(1, 10175, '\P{^dingbats}', "");
Expect(0, 10176, '\p{dingbats}', "");
Expect(1, 10176, '\p{^dingbats}', "");
Expect(1, 10176, '\P{dingbats}', "");
Expect(0, 10176, '\P{^dingbats}', "");
Expect(1, 10175, '\p{		Dingbats}', "");
Expect(0, 10175, '\p{^		Dingbats}', "");
Expect(0, 10175, '\P{		Dingbats}', "");
Expect(1, 10175, '\P{^		Dingbats}', "");
Expect(0, 10176, '\p{		Dingbats}', "");
Expect(1, 10176, '\p{^		Dingbats}', "");
Expect(1, 10176, '\P{		Dingbats}', "");
Expect(0, 10176, '\P{^		Dingbats}', "");
Error('\p{ 	Is_Dingbats:=}');
Error('\P{ 	Is_Dingbats:=}');
Expect(1, 10175, '\p{isdingbats}', "");
Expect(0, 10175, '\p{^isdingbats}', "");
Expect(0, 10175, '\P{isdingbats}', "");
Expect(1, 10175, '\P{^isdingbats}', "");
Expect(0, 10176, '\p{isdingbats}', "");
Expect(1, 10176, '\p{^isdingbats}', "");
Expect(1, 10176, '\P{isdingbats}', "");
Expect(0, 10176, '\P{^isdingbats}', "");
Expect(1, 10175, '\p{-	is_DINGBATS}', "");
Expect(0, 10175, '\p{^-	is_DINGBATS}', "");
Expect(0, 10175, '\P{-	is_DINGBATS}', "");
Expect(1, 10175, '\P{^-	is_DINGBATS}', "");
Expect(0, 10176, '\p{-	is_DINGBATS}', "");
Expect(1, 10176, '\p{^-	is_DINGBATS}', "");
Expect(1, 10176, '\P{-	is_DINGBATS}', "");
Expect(0, 10176, '\P{^-	is_DINGBATS}', "");
Error('\p{	_In_Dingbats:=}');
Error('\P{	_In_Dingbats:=}');
Expect(1, 10175, '\p{indingbats}', "");
Expect(0, 10175, '\p{^indingbats}', "");
Expect(0, 10175, '\P{indingbats}', "");
Expect(1, 10175, '\P{^indingbats}', "");
Expect(0, 10176, '\p{indingbats}', "");
Expect(1, 10176, '\p{^indingbats}', "");
Expect(1, 10176, '\P{indingbats}', "");
Expect(0, 10176, '\P{^indingbats}', "");
Expect(1, 10175, '\p{		In_Dingbats}', "");
Expect(0, 10175, '\p{^		In_Dingbats}', "");
Expect(0, 10175, '\P{		In_Dingbats}', "");
Expect(1, 10175, '\P{^		In_Dingbats}', "");
Expect(0, 10176, '\p{		In_Dingbats}', "");
Expect(1, 10176, '\p{^		In_Dingbats}', "");
Expect(1, 10176, '\P{		In_Dingbats}', "");
Expect(0, 10176, '\P{^		In_Dingbats}', "");
Error('\p{:=		DOMINO_TILES}');
Error('\P{:=		DOMINO_TILES}');
Expect(1, 127135, '\p{dominotiles}', "");
Expect(0, 127135, '\p{^dominotiles}', "");
Expect(0, 127135, '\P{dominotiles}', "");
Expect(1, 127135, '\P{^dominotiles}', "");
Expect(0, 127136, '\p{dominotiles}', "");
Expect(1, 127136, '\p{^dominotiles}', "");
Expect(1, 127136, '\P{dominotiles}', "");
Expect(0, 127136, '\P{^dominotiles}', "");
Expect(1, 127135, '\p{-Domino_tiles}', "");
Expect(0, 127135, '\p{^-Domino_tiles}', "");
Expect(0, 127135, '\P{-Domino_tiles}', "");
Expect(1, 127135, '\P{^-Domino_tiles}', "");
Expect(0, 127136, '\p{-Domino_tiles}', "");
Expect(1, 127136, '\p{^-Domino_tiles}', "");
Expect(1, 127136, '\P{-Domino_tiles}', "");
Expect(0, 127136, '\P{^-Domino_tiles}', "");
Error('\p{-:=is_Domino_TILES}');
Error('\P{-:=is_Domino_TILES}');
Expect(1, 127135, '\p{isdominotiles}', "");
Expect(0, 127135, '\p{^isdominotiles}', "");
Expect(0, 127135, '\P{isdominotiles}', "");
Expect(1, 127135, '\P{^isdominotiles}', "");
Expect(0, 127136, '\p{isdominotiles}', "");
Expect(1, 127136, '\p{^isdominotiles}', "");
Expect(1, 127136, '\P{isdominotiles}', "");
Expect(0, 127136, '\P{^isdominotiles}', "");
Expect(1, 127135, '\p{_is_Domino_Tiles}', "");
Expect(0, 127135, '\p{^_is_Domino_Tiles}', "");
Expect(0, 127135, '\P{_is_Domino_Tiles}', "");
Expect(1, 127135, '\P{^_is_Domino_Tiles}', "");
Expect(0, 127136, '\p{_is_Domino_Tiles}', "");
Expect(1, 127136, '\p{^_is_Domino_Tiles}', "");
Expect(1, 127136, '\P{_is_Domino_Tiles}', "");
Expect(0, 127136, '\P{^_is_Domino_Tiles}', "");
Error('\p{/a/in_domino_tiles}');
Error('\P{/a/in_domino_tiles}');
Expect(1, 127135, '\p{indominotiles}', "");
Expect(0, 127135, '\p{^indominotiles}', "");
Expect(0, 127135, '\P{indominotiles}', "");
Expect(1, 127135, '\P{^indominotiles}', "");
Expect(0, 127136, '\p{indominotiles}', "");
Expect(1, 127136, '\p{^indominotiles}', "");
Expect(1, 127136, '\P{indominotiles}', "");
Expect(0, 127136, '\P{^indominotiles}', "");
Expect(1, 127135, '\p{- In_Domino_Tiles}', "");
Expect(0, 127135, '\p{^- In_Domino_Tiles}', "");
Expect(0, 127135, '\P{- In_Domino_Tiles}', "");
Expect(1, 127135, '\P{^- In_Domino_Tiles}', "");
Expect(0, 127136, '\p{- In_Domino_Tiles}', "");
Expect(1, 127136, '\p{^- In_Domino_Tiles}', "");
Expect(1, 127136, '\P{- In_Domino_Tiles}', "");
Expect(0, 127136, '\P{^- In_Domino_Tiles}', "");
Error('\p{_-DOMINO:=}');
Error('\P{_-DOMINO:=}');
Expect(1, 127135, '\p{domino}', "");
Expect(0, 127135, '\p{^domino}', "");
Expect(0, 127135, '\P{domino}', "");
Expect(1, 127135, '\P{^domino}', "");
Expect(0, 127136, '\p{domino}', "");
Expect(1, 127136, '\p{^domino}', "");
Expect(1, 127136, '\P{domino}', "");
Expect(0, 127136, '\P{^domino}', "");
Expect(1, 127135, '\p{ -DOMINO}', "");
Expect(0, 127135, '\p{^ -DOMINO}', "");
Expect(0, 127135, '\P{ -DOMINO}', "");
Expect(1, 127135, '\P{^ -DOMINO}', "");
Expect(0, 127136, '\p{ -DOMINO}', "");
Expect(1, 127136, '\p{^ -DOMINO}', "");
Expect(1, 127136, '\P{ -DOMINO}', "");
Expect(0, 127136, '\P{^ -DOMINO}', "");
Error('\p{:=Is_Domino}');
Error('\P{:=Is_Domino}');
Expect(1, 127135, '\p{isdomino}', "");
Expect(0, 127135, '\p{^isdomino}', "");
Expect(0, 127135, '\P{isdomino}', "");
Expect(1, 127135, '\P{^isdomino}', "");
Expect(0, 127136, '\p{isdomino}', "");
Expect(1, 127136, '\p{^isdomino}', "");
Expect(1, 127136, '\P{isdomino}', "");
Expect(0, 127136, '\P{^isdomino}', "");
Expect(1, 127135, '\p{-	is_Domino}', "");
Expect(0, 127135, '\p{^-	is_Domino}', "");
Expect(0, 127135, '\P{-	is_Domino}', "");
Expect(1, 127135, '\P{^-	is_Domino}', "");
Expect(0, 127136, '\p{-	is_Domino}', "");
Expect(1, 127136, '\p{^-	is_Domino}', "");
Expect(1, 127136, '\P{-	is_Domino}', "");
Expect(0, 127136, '\P{^-	is_Domino}', "");
Error('\p{ :=IN_Domino}');
Error('\P{ :=IN_Domino}');
Expect(1, 127135, '\p{indomino}', "");
Expect(0, 127135, '\p{^indomino}', "");
Expect(0, 127135, '\P{indomino}', "");
Expect(1, 127135, '\P{^indomino}', "");
Expect(0, 127136, '\p{indomino}', "");
Expect(1, 127136, '\p{^indomino}', "");
Expect(1, 127136, '\P{indomino}', "");
Expect(0, 127136, '\P{^indomino}', "");
Expect(1, 127135, '\p{--in_Domino}', "");
Expect(0, 127135, '\p{^--in_Domino}', "");
Expect(0, 127135, '\P{--in_Domino}', "");
Expect(1, 127135, '\P{^--in_Domino}', "");
Expect(0, 127136, '\p{--in_Domino}', "");
Expect(1, 127136, '\p{^--in_Domino}', "");
Expect(1, 127136, '\P{--in_Domino}', "");
Expect(0, 127136, '\P{^--in_Domino}', "");
Error('\p{:= Duployan}');
Error('\P{:= Duployan}');
Expect(1, 113823, '\p{duployan}', "");
Expect(0, 113823, '\p{^duployan}', "");
Expect(0, 113823, '\P{duployan}', "");
Expect(1, 113823, '\P{^duployan}', "");
Expect(0, 113824, '\p{duployan}', "");
Expect(1, 113824, '\p{^duployan}', "");
Expect(1, 113824, '\P{duployan}', "");
Expect(0, 113824, '\P{^duployan}', "");
Expect(1, 113823, '\p{	-duployan}', "");
Expect(0, 113823, '\p{^	-duployan}', "");
Expect(0, 113823, '\P{	-duployan}', "");
Expect(1, 113823, '\P{^	-duployan}', "");
Expect(0, 113824, '\p{	-duployan}', "");
Expect(1, 113824, '\p{^	-duployan}', "");
Expect(1, 113824, '\P{	-duployan}', "");
Expect(0, 113824, '\P{^	-duployan}', "");
Error('\p{-/a/IS_Duployan}');
Error('\P{-/a/IS_Duployan}');
Expect(1, 113823, '\p{isduployan}', "");
Expect(0, 113823, '\p{^isduployan}', "");
Expect(0, 113823, '\P{isduployan}', "");
Expect(1, 113823, '\P{^isduployan}', "");
Expect(0, 113824, '\p{isduployan}', "");
Expect(1, 113824, '\p{^isduployan}', "");
Expect(1, 113824, '\P{isduployan}', "");
Expect(0, 113824, '\P{^isduployan}', "");
Expect(1, 113823, '\p{- Is_Duployan}', "");
Expect(0, 113823, '\p{^- Is_Duployan}', "");
Expect(0, 113823, '\P{- Is_Duployan}', "");
Expect(1, 113823, '\P{^- Is_Duployan}', "");
Expect(0, 113824, '\p{- Is_Duployan}', "");
Expect(1, 113824, '\p{^- Is_Duployan}', "");
Expect(1, 113824, '\P{- Is_Duployan}', "");
Expect(0, 113824, '\P{^- Is_Duployan}', "");
Error('\p{:= _Dupl}');
Error('\P{:= _Dupl}');
Expect(1, 113823, '\p{dupl}', "");
Expect(0, 113823, '\p{^dupl}', "");
Expect(0, 113823, '\P{dupl}', "");
Expect(1, 113823, '\P{^dupl}', "");
Expect(0, 113824, '\p{dupl}', "");
Expect(1, 113824, '\p{^dupl}', "");
Expect(1, 113824, '\P{dupl}', "");
Expect(0, 113824, '\P{^dupl}', "");
Expect(1, 113823, '\p{	dupl}', "");
Expect(0, 113823, '\p{^	dupl}', "");
Expect(0, 113823, '\P{	dupl}', "");
Expect(1, 113823, '\P{^	dupl}', "");
Expect(0, 113824, '\p{	dupl}', "");
Expect(1, 113824, '\p{^	dupl}', "");
Expect(1, 113824, '\P{	dupl}', "");
Expect(0, 113824, '\P{^	dupl}', "");
Error('\p{/a/ Is_dupl}');
Error('\P{/a/ Is_dupl}');
Expect(1, 113823, '\p{isdupl}', "");
Expect(0, 113823, '\p{^isdupl}', "");
Expect(0, 113823, '\P{isdupl}', "");
Expect(1, 113823, '\P{^isdupl}', "");
Expect(0, 113824, '\p{isdupl}', "");
Expect(1, 113824, '\p{^isdupl}', "");
Expect(1, 113824, '\P{isdupl}', "");
Expect(0, 113824, '\P{^isdupl}', "");
Expect(1, 113823, '\p{_is_dupl}', "");
Expect(0, 113823, '\p{^_is_dupl}', "");
Expect(0, 113823, '\P{_is_dupl}', "");
Expect(1, 113823, '\P{^_is_dupl}', "");
Expect(0, 113824, '\p{_is_dupl}', "");
Expect(1, 113824, '\p{^_is_dupl}', "");
Expect(1, 113824, '\P{_is_dupl}', "");
Expect(0, 113824, '\P{^_is_dupl}', "");
Error('\p{/a/ Early_dynastic_Cuneiform}');
Error('\P{/a/ Early_dynastic_Cuneiform}');
Expect(1, 75087, '\p{earlydynasticcuneiform}', "");
Expect(0, 75087, '\p{^earlydynasticcuneiform}', "");
Expect(0, 75087, '\P{earlydynasticcuneiform}', "");
Expect(1, 75087, '\P{^earlydynasticcuneiform}', "");
Expect(0, 75088, '\p{earlydynasticcuneiform}', "");
Expect(1, 75088, '\p{^earlydynasticcuneiform}', "");
Expect(1, 75088, '\P{earlydynasticcuneiform}', "");
Expect(0, 75088, '\P{^earlydynasticcuneiform}', "");
Expect(1, 75087, '\p{ _early_dynastic_cuneiform}', "");
Expect(0, 75087, '\p{^ _early_dynastic_cuneiform}', "");
Expect(0, 75087, '\P{ _early_dynastic_cuneiform}', "");
Expect(1, 75087, '\P{^ _early_dynastic_cuneiform}', "");
Expect(0, 75088, '\p{ _early_dynastic_cuneiform}', "");
Expect(1, 75088, '\p{^ _early_dynastic_cuneiform}', "");
Expect(1, 75088, '\P{ _early_dynastic_cuneiform}', "");
Expect(0, 75088, '\P{^ _early_dynastic_cuneiform}', "");
Error('\p{	/a/is_early_Dynastic_Cuneiform}');
Error('\P{	/a/is_early_Dynastic_Cuneiform}');
Expect(1, 75087, '\p{isearlydynasticcuneiform}', "");
Expect(0, 75087, '\p{^isearlydynasticcuneiform}', "");
Expect(0, 75087, '\P{isearlydynasticcuneiform}', "");
Expect(1, 75087, '\P{^isearlydynasticcuneiform}', "");
Expect(0, 75088, '\p{isearlydynasticcuneiform}', "");
Expect(1, 75088, '\p{^isearlydynasticcuneiform}', "");
Expect(1, 75088, '\P{isearlydynasticcuneiform}', "");
Expect(0, 75088, '\P{^isearlydynasticcuneiform}', "");
Expect(1, 75087, '\p{	Is_Early_dynastic_CUNEIFORM}', "");
Expect(0, 75087, '\p{^	Is_Early_dynastic_CUNEIFORM}', "");
Expect(0, 75087, '\P{	Is_Early_dynastic_CUNEIFORM}', "");
Expect(1, 75087, '\P{^	Is_Early_dynastic_CUNEIFORM}', "");
Expect(0, 75088, '\p{	Is_Early_dynastic_CUNEIFORM}', "");
Expect(1, 75088, '\p{^	Is_Early_dynastic_CUNEIFORM}', "");
Expect(1, 75088, '\P{	Is_Early_dynastic_CUNEIFORM}', "");
Expect(0, 75088, '\P{^	Is_Early_dynastic_CUNEIFORM}', "");
Error('\p{:= IN_Early_Dynastic_cuneiform}');
Error('\P{:= IN_Early_Dynastic_cuneiform}');
Expect(1, 75087, '\p{inearlydynasticcuneiform}', "");
Expect(0, 75087, '\p{^inearlydynasticcuneiform}', "");
Expect(0, 75087, '\P{inearlydynasticcuneiform}', "");
Expect(1, 75087, '\P{^inearlydynasticcuneiform}', "");
Expect(0, 75088, '\p{inearlydynasticcuneiform}', "");
Expect(1, 75088, '\p{^inearlydynasticcuneiform}', "");
Expect(1, 75088, '\P{inearlydynasticcuneiform}', "");
Expect(0, 75088, '\P{^inearlydynasticcuneiform}', "");
Expect(1, 75087, '\p{__In_Early_Dynastic_Cuneiform}', "");
Expect(0, 75087, '\p{^__In_Early_Dynastic_Cuneiform}', "");
Expect(0, 75087, '\P{__In_Early_Dynastic_Cuneiform}', "");
Expect(1, 75087, '\P{^__In_Early_Dynastic_Cuneiform}', "");
Expect(0, 75088, '\p{__In_Early_Dynastic_Cuneiform}', "");
Expect(1, 75088, '\p{^__In_Early_Dynastic_Cuneiform}', "");
Expect(1, 75088, '\P{__In_Early_Dynastic_Cuneiform}', "");
Expect(0, 75088, '\P{^__In_Early_Dynastic_Cuneiform}', "");
Error('\p{-:=Egyptian_Hieroglyphs}');
Error('\P{-:=Egyptian_Hieroglyphs}');
Expect(1, 78894, '\p{egyptianhieroglyphs}', "");
Expect(0, 78894, '\p{^egyptianhieroglyphs}', "");
Expect(0, 78894, '\P{egyptianhieroglyphs}', "");
Expect(1, 78894, '\P{^egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{egyptianhieroglyphs}', "");
Expect(1, 78895, '\p{^egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{^egyptianhieroglyphs}', "");
Expect(1, 78894, '\p{_-egyptian_Hieroglyphs}', "");
Expect(0, 78894, '\p{^_-egyptian_Hieroglyphs}', "");
Expect(0, 78894, '\P{_-egyptian_Hieroglyphs}', "");
Expect(1, 78894, '\P{^_-egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\p{_-egyptian_Hieroglyphs}', "");
Expect(1, 78895, '\p{^_-egyptian_Hieroglyphs}', "");
Expect(1, 78895, '\P{_-egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\P{^_-egyptian_Hieroglyphs}', "");
Error('\p{	/a/IS_EGYPTIAN_HIEROGLYPHS}');
Error('\P{	/a/IS_EGYPTIAN_HIEROGLYPHS}');
Expect(1, 78894, '\p{isegyptianhieroglyphs}', "");
Expect(0, 78894, '\p{^isegyptianhieroglyphs}', "");
Expect(0, 78894, '\P{isegyptianhieroglyphs}', "");
Expect(1, 78894, '\P{^isegyptianhieroglyphs}', "");
Expect(0, 78895, '\p{isegyptianhieroglyphs}', "");
Expect(1, 78895, '\p{^isegyptianhieroglyphs}', "");
Expect(1, 78895, '\P{isegyptianhieroglyphs}', "");
Expect(0, 78895, '\P{^isegyptianhieroglyphs}', "");
Expect(1, 78894, '\p{ Is_EGYPTIAN_Hieroglyphs}', "");
Expect(0, 78894, '\p{^ Is_EGYPTIAN_Hieroglyphs}', "");
Expect(0, 78894, '\P{ Is_EGYPTIAN_Hieroglyphs}', "");
Expect(1, 78894, '\P{^ Is_EGYPTIAN_Hieroglyphs}', "");
Expect(0, 78895, '\p{ Is_EGYPTIAN_Hieroglyphs}', "");
Expect(1, 78895, '\p{^ Is_EGYPTIAN_Hieroglyphs}', "");
Expect(1, 78895, '\P{ Is_EGYPTIAN_Hieroglyphs}', "");
Expect(0, 78895, '\P{^ Is_EGYPTIAN_Hieroglyphs}', "");
Error('\p{/a/	_Egyp}');
Error('\P{/a/	_Egyp}');
Expect(1, 78894, '\p{egyp}', "");
Expect(0, 78894, '\p{^egyp}', "");
Expect(0, 78894, '\P{egyp}', "");
Expect(1, 78894, '\P{^egyp}', "");
Expect(0, 78895, '\p{egyp}', "");
Expect(1, 78895, '\p{^egyp}', "");
Expect(1, 78895, '\P{egyp}', "");
Expect(0, 78895, '\P{^egyp}', "");
Expect(1, 78894, '\p{ _EGYP}', "");
Expect(0, 78894, '\p{^ _EGYP}', "");
Expect(0, 78894, '\P{ _EGYP}', "");
Expect(1, 78894, '\P{^ _EGYP}', "");
Expect(0, 78895, '\p{ _EGYP}', "");
Expect(1, 78895, '\p{^ _EGYP}', "");
Expect(1, 78895, '\P{ _EGYP}', "");
Expect(0, 78895, '\P{^ _EGYP}', "");
Error('\p{_/a/Is_Egyp}');
Error('\P{_/a/Is_Egyp}');
Expect(1, 78894, '\p{isegyp}', "");
Expect(0, 78894, '\p{^isegyp}', "");
Expect(0, 78894, '\P{isegyp}', "");
Expect(1, 78894, '\P{^isegyp}', "");
Expect(0, 78895, '\p{isegyp}', "");
Expect(1, 78895, '\p{^isegyp}', "");
Expect(1, 78895, '\P{isegyp}', "");
Expect(0, 78895, '\P{^isegyp}', "");
Expect(1, 78894, '\p{-_IS_EGYP}', "");
Expect(0, 78894, '\p{^-_IS_EGYP}', "");
Expect(0, 78894, '\P{-_IS_EGYP}', "");
Expect(1, 78894, '\P{^-_IS_EGYP}', "");
Expect(0, 78895, '\p{-_IS_EGYP}', "");
Expect(1, 78895, '\p{^-_IS_EGYP}', "");
Expect(1, 78895, '\P{-_IS_EGYP}', "");
Expect(0, 78895, '\P{^-_IS_EGYP}', "");
Error('\p{_-elbasan/a/}');
Error('\P{_-elbasan/a/}');
Expect(1, 66855, '\p{elbasan}', "");
Expect(0, 66855, '\p{^elbasan}', "");
Expect(0, 66855, '\P{elbasan}', "");
Expect(1, 66855, '\P{^elbasan}', "");
Expect(0, 66856, '\p{elbasan}', "");
Expect(1, 66856, '\p{^elbasan}', "");
Expect(1, 66856, '\P{elbasan}', "");
Expect(0, 66856, '\P{^elbasan}', "");
Expect(1, 66855, '\p{	_ELBASAN}', "");
Expect(0, 66855, '\p{^	_ELBASAN}', "");
Expect(0, 66855, '\P{	_ELBASAN}', "");
Expect(1, 66855, '\P{^	_ELBASAN}', "");
Expect(0, 66856, '\p{	_ELBASAN}', "");
Expect(1, 66856, '\p{^	_ELBASAN}', "");
Expect(1, 66856, '\P{	_ELBASAN}', "");
Expect(0, 66856, '\P{^	_ELBASAN}', "");
Error('\p{-/a/IS_elbasan}');
Error('\P{-/a/IS_elbasan}');
Expect(1, 66855, '\p{iselbasan}', "");
Expect(0, 66855, '\p{^iselbasan}', "");
Expect(0, 66855, '\P{iselbasan}', "");
Expect(1, 66855, '\P{^iselbasan}', "");
Expect(0, 66856, '\p{iselbasan}', "");
Expect(1, 66856, '\p{^iselbasan}', "");
Expect(1, 66856, '\P{iselbasan}', "");
Expect(0, 66856, '\P{^iselbasan}', "");
Expect(1, 66855, '\p{-IS_Elbasan}', "");
Expect(0, 66855, '\p{^-IS_Elbasan}', "");
Expect(0, 66855, '\P{-IS_Elbasan}', "");
Expect(1, 66855, '\P{^-IS_Elbasan}', "");
Expect(0, 66856, '\p{-IS_Elbasan}', "");
Expect(1, 66856, '\p{^-IS_Elbasan}', "");
Expect(1, 66856, '\P{-IS_Elbasan}', "");
Expect(0, 66856, '\P{^-IS_Elbasan}', "");
Error('\p{/a/	Elba}');
Error('\P{/a/	Elba}');
Expect(1, 66855, '\p{elba}', "");
Expect(0, 66855, '\p{^elba}', "");
Expect(0, 66855, '\P{elba}', "");
Expect(1, 66855, '\P{^elba}', "");
Expect(0, 66856, '\p{elba}', "");
Expect(1, 66856, '\p{^elba}', "");
Expect(1, 66856, '\P{elba}', "");
Expect(0, 66856, '\P{^elba}', "");
Expect(1, 66855, '\p{ elba}', "");
Expect(0, 66855, '\p{^ elba}', "");
Expect(0, 66855, '\P{ elba}', "");
Expect(1, 66855, '\P{^ elba}', "");
Expect(0, 66856, '\p{ elba}', "");
Expect(1, 66856, '\p{^ elba}', "");
Expect(1, 66856, '\P{ elba}', "");
Expect(0, 66856, '\P{^ elba}', "");
Error('\p{ /a/Is_Elba}');
Error('\P{ /a/Is_Elba}');
Expect(1, 66855, '\p{iselba}', "");
Expect(0, 66855, '\p{^iselba}', "");
Expect(0, 66855, '\P{iselba}', "");
Expect(1, 66855, '\P{^iselba}', "");
Expect(0, 66856, '\p{iselba}', "");
Expect(1, 66856, '\p{^iselba}', "");
Expect(1, 66856, '\P{iselba}', "");
Expect(0, 66856, '\P{^iselba}', "");
Expect(1, 66855, '\p{_Is_Elba}', "");
Expect(0, 66855, '\p{^_Is_Elba}', "");
Expect(0, 66855, '\P{_Is_Elba}', "");
Expect(1, 66855, '\P{^_Is_Elba}', "");
Expect(0, 66856, '\p{_Is_Elba}', "");
Expect(1, 66856, '\p{^_Is_Elba}', "");
Expect(1, 66856, '\P{_Is_Elba}', "");
Expect(0, 66856, '\P{^_Is_Elba}', "");
Error('\p{	Emoticons/a/}');
Error('\P{	Emoticons/a/}');
Expect(1, 128591, '\p{emoticons}', "");
Expect(0, 128591, '\p{^emoticons}', "");
Expect(0, 128591, '\P{emoticons}', "");
Expect(1, 128591, '\P{^emoticons}', "");
Expect(0, 128592, '\p{emoticons}', "");
Expect(1, 128592, '\p{^emoticons}', "");
Expect(1, 128592, '\P{emoticons}', "");
Expect(0, 128592, '\P{^emoticons}', "");
Expect(1, 128591, '\p{		Emoticons}', "");
Expect(0, 128591, '\p{^		Emoticons}', "");
Expect(0, 128591, '\P{		Emoticons}', "");
Expect(1, 128591, '\P{^		Emoticons}', "");
Expect(0, 128592, '\p{		Emoticons}', "");
Expect(1, 128592, '\p{^		Emoticons}', "");
Expect(1, 128592, '\P{		Emoticons}', "");
Expect(0, 128592, '\P{^		Emoticons}', "");
Error('\p{/a/ -Is_EMOTICONS}');
Error('\P{/a/ -Is_EMOTICONS}');
Expect(1, 128591, '\p{isemoticons}', "");
Expect(0, 128591, '\p{^isemoticons}', "");
Expect(0, 128591, '\P{isemoticons}', "");
Expect(1, 128591, '\P{^isemoticons}', "");
Expect(0, 128592, '\p{isemoticons}', "");
Expect(1, 128592, '\p{^isemoticons}', "");
Expect(1, 128592, '\P{isemoticons}', "");
Expect(0, 128592, '\P{^isemoticons}', "");
Expect(1, 128591, '\p{-Is_EMOTICONS}', "");
Expect(0, 128591, '\p{^-Is_EMOTICONS}', "");
Expect(0, 128591, '\P{-Is_EMOTICONS}', "");
Expect(1, 128591, '\P{^-Is_EMOTICONS}', "");
Expect(0, 128592, '\p{-Is_EMOTICONS}', "");
Expect(1, 128592, '\p{^-Is_EMOTICONS}', "");
Expect(1, 128592, '\P{-Is_EMOTICONS}', "");
Expect(0, 128592, '\P{^-Is_EMOTICONS}', "");
Error('\p{ IN_Emoticons/a/}');
Error('\P{ IN_Emoticons/a/}');
Expect(1, 128591, '\p{inemoticons}', "");
Expect(0, 128591, '\p{^inemoticons}', "");
Expect(0, 128591, '\P{inemoticons}', "");
Expect(1, 128591, '\P{^inemoticons}', "");
Expect(0, 128592, '\p{inemoticons}', "");
Expect(1, 128592, '\p{^inemoticons}', "");
Expect(1, 128592, '\P{inemoticons}', "");
Expect(0, 128592, '\P{^inemoticons}', "");
Expect(1, 128591, '\p{		IN_Emoticons}', "");
Expect(0, 128591, '\p{^		IN_Emoticons}', "");
Expect(0, 128591, '\P{		IN_Emoticons}', "");
Expect(1, 128591, '\P{^		IN_Emoticons}', "");
Expect(0, 128592, '\p{		IN_Emoticons}', "");
Expect(1, 128592, '\p{^		IN_Emoticons}', "");
Expect(1, 128592, '\P{		IN_Emoticons}', "");
Expect(0, 128592, '\P{^		IN_Emoticons}', "");
Error('\p{	:=enclosed_alphanumeric_Supplement}');
Error('\P{	:=enclosed_alphanumeric_Supplement}');
Expect(1, 127487, '\p{enclosedalphanumericsupplement}', "");
Expect(0, 127487, '\p{^enclosedalphanumericsupplement}', "");
Expect(0, 127487, '\P{enclosedalphanumericsupplement}', "");
Expect(1, 127487, '\P{^enclosedalphanumericsupplement}', "");
Expect(0, 127488, '\p{enclosedalphanumericsupplement}', "");
Expect(1, 127488, '\p{^enclosedalphanumericsupplement}', "");
Expect(1, 127488, '\P{enclosedalphanumericsupplement}', "");
Expect(0, 127488, '\P{^enclosedalphanumericsupplement}', "");
Expect(1, 127487, '\p{-	Enclosed_alphanumeric_supplement}', "");
Expect(0, 127487, '\p{^-	Enclosed_alphanumeric_supplement}', "");
Expect(0, 127487, '\P{-	Enclosed_alphanumeric_supplement}', "");
Expect(1, 127487, '\P{^-	Enclosed_alphanumeric_supplement}', "");
Expect(0, 127488, '\p{-	Enclosed_alphanumeric_supplement}', "");
Expect(1, 127488, '\p{^-	Enclosed_alphanumeric_supplement}', "");
Expect(1, 127488, '\P{-	Enclosed_alphanumeric_supplement}', "");
Expect(0, 127488, '\P{^-	Enclosed_alphanumeric_supplement}', "");
Error('\p{ IS_ENCLOSED_Alphanumeric_Supplement/a/}');
Error('\P{ IS_ENCLOSED_Alphanumeric_Supplement/a/}');
Expect(1, 127487, '\p{isenclosedalphanumericsupplement}', "");
Expect(0, 127487, '\p{^isenclosedalphanumericsupplement}', "");
Expect(0, 127487, '\P{isenclosedalphanumericsupplement}', "");
Expect(1, 127487, '\P{^isenclosedalphanumericsupplement}', "");
Expect(0, 127488, '\p{isenclosedalphanumericsupplement}', "");
Expect(1, 127488, '\p{^isenclosedalphanumericsupplement}', "");
Expect(1, 127488, '\P{isenclosedalphanumericsupplement}', "");
Expect(0, 127488, '\P{^isenclosedalphanumericsupplement}', "");
Expect(1, 127487, '\p{_-Is_Enclosed_Alphanumeric_supplement}', "");
Expect(0, 127487, '\p{^_-Is_Enclosed_Alphanumeric_supplement}', "");
Expect(0, 127487, '\P{_-Is_Enclosed_Alphanumeric_supplement}', "");
Expect(1, 127487, '\P{^_-Is_Enclosed_Alphanumeric_supplement}', "");
Expect(0, 127488, '\p{_-Is_Enclosed_Alphanumeric_supplement}', "");
Expect(1, 127488, '\p{^_-Is_Enclosed_Alphanumeric_supplement}', "");
Expect(1, 127488, '\P{_-Is_Enclosed_Alphanumeric_supplement}', "");
Expect(0, 127488, '\P{^_-Is_Enclosed_Alphanumeric_supplement}', "");
Error('\p{	:=in_ENCLOSED_alphanumeric_supplement}');
Error('\P{	:=in_ENCLOSED_alphanumeric_supplement}');
Expect(1, 127487, '\p{inenclosedalphanumericsupplement}', "");
Expect(0, 127487, '\p{^inenclosedalphanumericsupplement}', "");
Expect(0, 127487, '\P{inenclosedalphanumericsupplement}', "");
Expect(1, 127487, '\P{^inenclosedalphanumericsupplement}', "");
Expect(0, 127488, '\p{inenclosedalphanumericsupplement}', "");
Expect(1, 127488, '\p{^inenclosedalphanumericsupplement}', "");
Expect(1, 127488, '\P{inenclosedalphanumericsupplement}', "");
Expect(0, 127488, '\P{^inenclosedalphanumericsupplement}', "");
Expect(1, 127487, '\p{ In_Enclosed_Alphanumeric_Supplement}', "");
Expect(0, 127487, '\p{^ In_Enclosed_Alphanumeric_Supplement}', "");
Expect(0, 127487, '\P{ In_Enclosed_Alphanumeric_Supplement}', "");
Expect(1, 127487, '\P{^ In_Enclosed_Alphanumeric_Supplement}', "");
Expect(0, 127488, '\p{ In_Enclosed_Alphanumeric_Supplement}', "");
Expect(1, 127488, '\p{^ In_Enclosed_Alphanumeric_Supplement}', "");
Expect(1, 127488, '\P{ In_Enclosed_Alphanumeric_Supplement}', "");
Expect(0, 127488, '\P{^ In_Enclosed_Alphanumeric_Supplement}', "");
Error('\p{	 enclosed_ALPHANUM_Sup:=}');
Error('\P{	 enclosed_ALPHANUM_Sup:=}');
Expect(1, 127487, '\p{enclosedalphanumsup}', "");
Expect(0, 127487, '\p{^enclosedalphanumsup}', "");
Expect(0, 127487, '\P{enclosedalphanumsup}', "");
Expect(1, 127487, '\P{^enclosedalphanumsup}', "");
Expect(0, 127488, '\p{enclosedalphanumsup}', "");
Expect(1, 127488, '\p{^enclosedalphanumsup}', "");
Expect(1, 127488, '\P{enclosedalphanumsup}', "");
Expect(0, 127488, '\P{^enclosedalphanumsup}', "");
Expect(1, 127487, '\p{		ENCLOSED_Alphanum_Sup}', "");
Expect(0, 127487, '\p{^		ENCLOSED_Alphanum_Sup}', "");
Expect(0, 127487, '\P{		ENCLOSED_Alphanum_Sup}', "");
Expect(1, 127487, '\P{^		ENCLOSED_Alphanum_Sup}', "");
Expect(0, 127488, '\p{		ENCLOSED_Alphanum_Sup}', "");
Expect(1, 127488, '\p{^		ENCLOSED_Alphanum_Sup}', "");
Expect(1, 127488, '\P{		ENCLOSED_Alphanum_Sup}', "");
Expect(0, 127488, '\P{^		ENCLOSED_Alphanum_Sup}', "");
Error('\p{-:=IS_Enclosed_Alphanum_Sup}');
Error('\P{-:=IS_Enclosed_Alphanum_Sup}');
Expect(1, 127487, '\p{isenclosedalphanumsup}', "");
Expect(0, 127487, '\p{^isenclosedalphanumsup}', "");
Expect(0, 127487, '\P{isenclosedalphanumsup}', "");
Expect(1, 127487, '\P{^isenclosedalphanumsup}', "");
Expect(0, 127488, '\p{isenclosedalphanumsup}', "");
Expect(1, 127488, '\p{^isenclosedalphanumsup}', "");
Expect(1, 127488, '\P{isenclosedalphanumsup}', "");
Expect(0, 127488, '\P{^isenclosedalphanumsup}', "");
Expect(1, 127487, '\p{	 IS_enclosed_Alphanum_Sup}', "");
Expect(0, 127487, '\p{^	 IS_enclosed_Alphanum_Sup}', "");
Expect(0, 127487, '\P{	 IS_enclosed_Alphanum_Sup}', "");
Expect(1, 127487, '\P{^	 IS_enclosed_Alphanum_Sup}', "");
Expect(0, 127488, '\p{	 IS_enclosed_Alphanum_Sup}', "");
Expect(1, 127488, '\p{^	 IS_enclosed_Alphanum_Sup}', "");
Expect(1, 127488, '\P{	 IS_enclosed_Alphanum_Sup}', "");
Expect(0, 127488, '\P{^	 IS_enclosed_Alphanum_Sup}', "");
Error('\p{:=_-in_ENCLOSED_Alphanum_SUP}');
Error('\P{:=_-in_ENCLOSED_Alphanum_SUP}');
Expect(1, 127487, '\p{inenclosedalphanumsup}', "");
Expect(0, 127487, '\p{^inenclosedalphanumsup}', "");
Expect(0, 127487, '\P{inenclosedalphanumsup}', "");
Expect(1, 127487, '\P{^inenclosedalphanumsup}', "");
Expect(0, 127488, '\p{inenclosedalphanumsup}', "");
Expect(1, 127488, '\p{^inenclosedalphanumsup}', "");
Expect(1, 127488, '\P{inenclosedalphanumsup}', "");
Expect(0, 127488, '\P{^inenclosedalphanumsup}', "");
Expect(1, 127487, '\p{		in_ENCLOSED_ALPHANUM_Sup}', "");
Expect(0, 127487, '\p{^		in_ENCLOSED_ALPHANUM_Sup}', "");
Expect(0, 127487, '\P{		in_ENCLOSED_ALPHANUM_Sup}', "");
Expect(1, 127487, '\P{^		in_ENCLOSED_ALPHANUM_Sup}', "");
Expect(0, 127488, '\p{		in_ENCLOSED_ALPHANUM_Sup}', "");
Expect(1, 127488, '\p{^		in_ENCLOSED_ALPHANUM_Sup}', "");
Expect(1, 127488, '\P{		in_ENCLOSED_ALPHANUM_Sup}', "");
Expect(0, 127488, '\P{^		in_ENCLOSED_ALPHANUM_Sup}', "");
Error('\p{_/a/ENCLOSED_alphanumerics}');
Error('\P{_/a/ENCLOSED_alphanumerics}');
Expect(1, 9471, '\p{enclosedalphanumerics}', "");
Expect(0, 9471, '\p{^enclosedalphanumerics}', "");
Expect(0, 9471, '\P{enclosedalphanumerics}', "");
Expect(1, 9471, '\P{^enclosedalphanumerics}', "");
Expect(0, 9472, '\p{enclosedalphanumerics}', "");
Expect(1, 9472, '\p{^enclosedalphanumerics}', "");
Expect(1, 9472, '\P{enclosedalphanumerics}', "");
Expect(0, 9472, '\P{^enclosedalphanumerics}', "");
Expect(1, 9471, '\p{ -enclosed_Alphanumerics}', "");
Expect(0, 9471, '\p{^ -enclosed_Alphanumerics}', "");
Expect(0, 9471, '\P{ -enclosed_Alphanumerics}', "");
Expect(1, 9471, '\P{^ -enclosed_Alphanumerics}', "");
Expect(0, 9472, '\p{ -enclosed_Alphanumerics}', "");
Expect(1, 9472, '\p{^ -enclosed_Alphanumerics}', "");
Expect(1, 9472, '\P{ -enclosed_Alphanumerics}', "");
Expect(0, 9472, '\P{^ -enclosed_Alphanumerics}', "");
Error('\p{:=- is_Enclosed_alphanumerics}');
Error('\P{:=- is_Enclosed_alphanumerics}');
Expect(1, 9471, '\p{isenclosedalphanumerics}', "");
Expect(0, 9471, '\p{^isenclosedalphanumerics}', "");
Expect(0, 9471, '\P{isenclosedalphanumerics}', "");
Expect(1, 9471, '\P{^isenclosedalphanumerics}', "");
Expect(0, 9472, '\p{isenclosedalphanumerics}', "");
Expect(1, 9472, '\p{^isenclosedalphanumerics}', "");
Expect(1, 9472, '\P{isenclosedalphanumerics}', "");
Expect(0, 9472, '\P{^isenclosedalphanumerics}', "");
Expect(1, 9471, '\p{ 	Is_Enclosed_alphanumerics}', "");
Expect(0, 9471, '\p{^ 	Is_Enclosed_alphanumerics}', "");
Expect(0, 9471, '\P{ 	Is_Enclosed_alphanumerics}', "");
Expect(1, 9471, '\P{^ 	Is_Enclosed_alphanumerics}', "");
Expect(0, 9472, '\p{ 	Is_Enclosed_alphanumerics}', "");
Expect(1, 9472, '\p{^ 	Is_Enclosed_alphanumerics}', "");
Expect(1, 9472, '\P{ 	Is_Enclosed_alphanumerics}', "");
Expect(0, 9472, '\P{^ 	Is_Enclosed_alphanumerics}', "");
Error('\p{	In_ENCLOSED_Alphanumerics/a/}');
Error('\P{	In_ENCLOSED_Alphanumerics/a/}');
Expect(1, 9471, '\p{inenclosedalphanumerics}', "");
Expect(0, 9471, '\p{^inenclosedalphanumerics}', "");
Expect(0, 9471, '\P{inenclosedalphanumerics}', "");
Expect(1, 9471, '\P{^inenclosedalphanumerics}', "");
Expect(0, 9472, '\p{inenclosedalphanumerics}', "");
Expect(1, 9472, '\p{^inenclosedalphanumerics}', "");
Expect(1, 9472, '\P{inenclosedalphanumerics}', "");
Expect(0, 9472, '\P{^inenclosedalphanumerics}', "");
Expect(1, 9471, '\p{	 IN_enclosed_alphanumerics}', "");
Expect(0, 9471, '\p{^	 IN_enclosed_alphanumerics}', "");
Expect(0, 9471, '\P{	 IN_enclosed_alphanumerics}', "");
Expect(1, 9471, '\P{^	 IN_enclosed_alphanumerics}', "");
Expect(0, 9472, '\p{	 IN_enclosed_alphanumerics}', "");
Expect(1, 9472, '\p{^	 IN_enclosed_alphanumerics}', "");
Expect(1, 9472, '\P{	 IN_enclosed_alphanumerics}', "");
Expect(0, 9472, '\P{^	 IN_enclosed_alphanumerics}', "");
Error('\p{ 	enclosed_Alphanum/a/}');
Error('\P{ 	enclosed_Alphanum/a/}');
Expect(1, 9471, '\p{enclosedalphanum}', "");
Expect(0, 9471, '\p{^enclosedalphanum}', "");
Expect(0, 9471, '\P{enclosedalphanum}', "");
Expect(1, 9471, '\P{^enclosedalphanum}', "");
Expect(0, 9472, '\p{enclosedalphanum}', "");
Expect(1, 9472, '\p{^enclosedalphanum}', "");
Expect(1, 9472, '\P{enclosedalphanum}', "");
Expect(0, 9472, '\P{^enclosedalphanum}', "");
Expect(1, 9471, '\p{ Enclosed_Alphanum}', "");
Expect(0, 9471, '\p{^ Enclosed_Alphanum}', "");
Expect(0, 9471, '\P{ Enclosed_Alphanum}', "");
Expect(1, 9471, '\P{^ Enclosed_Alphanum}', "");
Expect(0, 9472, '\p{ Enclosed_Alphanum}', "");
Expect(1, 9472, '\p{^ Enclosed_Alphanum}', "");
Expect(1, 9472, '\P{ Enclosed_Alphanum}', "");
Expect(0, 9472, '\P{^ Enclosed_Alphanum}', "");
Error('\p{-is_Enclosed_ALPHANUM:=}');
Error('\P{-is_Enclosed_ALPHANUM:=}');
Expect(1, 9471, '\p{isenclosedalphanum}', "");
Expect(0, 9471, '\p{^isenclosedalphanum}', "");
Expect(0, 9471, '\P{isenclosedalphanum}', "");
Expect(1, 9471, '\P{^isenclosedalphanum}', "");
Expect(0, 9472, '\p{isenclosedalphanum}', "");
Expect(1, 9472, '\p{^isenclosedalphanum}', "");
Expect(1, 9472, '\P{isenclosedalphanum}', "");
Expect(0, 9472, '\P{^isenclosedalphanum}', "");
Expect(1, 9471, '\p{_ Is_ENCLOSED_Alphanum}', "");
Expect(0, 9471, '\p{^_ Is_ENCLOSED_Alphanum}', "");
Expect(0, 9471, '\P{_ Is_ENCLOSED_Alphanum}', "");
Expect(1, 9471, '\P{^_ Is_ENCLOSED_Alphanum}', "");
Expect(0, 9472, '\p{_ Is_ENCLOSED_Alphanum}', "");
Expect(1, 9472, '\p{^_ Is_ENCLOSED_Alphanum}', "");
Expect(1, 9472, '\P{_ Is_ENCLOSED_Alphanum}', "");
Expect(0, 9472, '\P{^_ Is_ENCLOSED_Alphanum}', "");
Error('\p{:=	 In_ENCLOSED_Alphanum}');
Error('\P{:=	 In_ENCLOSED_Alphanum}');
Expect(1, 9471, '\p{inenclosedalphanum}', "");
Expect(0, 9471, '\p{^inenclosedalphanum}', "");
Expect(0, 9471, '\P{inenclosedalphanum}', "");
Expect(1, 9471, '\P{^inenclosedalphanum}', "");
Expect(0, 9472, '\p{inenclosedalphanum}', "");
Expect(1, 9472, '\p{^inenclosedalphanum}', "");
Expect(1, 9472, '\P{inenclosedalphanum}', "");
Expect(0, 9472, '\P{^inenclosedalphanum}', "");
Expect(1, 9471, '\p{_ In_enclosed_Alphanum}', "");
Expect(0, 9471, '\p{^_ In_enclosed_Alphanum}', "");
Expect(0, 9471, '\P{_ In_enclosed_Alphanum}', "");
Expect(1, 9471, '\P{^_ In_enclosed_Alphanum}', "");
Expect(0, 9472, '\p{_ In_enclosed_Alphanum}', "");
Expect(1, 9472, '\p{^_ In_enclosed_Alphanum}', "");
Expect(1, 9472, '\P{_ In_enclosed_Alphanum}', "");
Expect(0, 9472, '\P{^_ In_enclosed_Alphanum}', "");
Error('\p{ enclosed_CJK_Letters_And_MONTHS/a/}');
Error('\P{ enclosed_CJK_Letters_And_MONTHS/a/}');
Expect(1, 13055, '\p{enclosedcjklettersandmonths}', "");
Expect(0, 13055, '\p{^enclosedcjklettersandmonths}', "");
Expect(0, 13055, '\P{enclosedcjklettersandmonths}', "");
Expect(1, 13055, '\P{^enclosedcjklettersandmonths}', "");
Expect(0, 13056, '\p{enclosedcjklettersandmonths}', "");
Expect(1, 13056, '\p{^enclosedcjklettersandmonths}', "");
Expect(1, 13056, '\P{enclosedcjklettersandmonths}', "");
Expect(0, 13056, '\P{^enclosedcjklettersandmonths}', "");
Expect(1, 13055, '\p{--ENCLOSED_CJK_Letters_AND_months}', "");
Expect(0, 13055, '\p{^--ENCLOSED_CJK_Letters_AND_months}', "");
Expect(0, 13055, '\P{--ENCLOSED_CJK_Letters_AND_months}', "");
Expect(1, 13055, '\P{^--ENCLOSED_CJK_Letters_AND_months}', "");
Expect(0, 13056, '\p{--ENCLOSED_CJK_Letters_AND_months}', "");
Expect(1, 13056, '\p{^--ENCLOSED_CJK_Letters_AND_months}', "");
Expect(1, 13056, '\P{--ENCLOSED_CJK_Letters_AND_months}', "");
Expect(0, 13056, '\P{^--ENCLOSED_CJK_Letters_AND_months}', "");
Error('\p{Is_Enclosed_CJK_letters_and_months:=}');
Error('\P{Is_Enclosed_CJK_letters_and_months:=}');
Expect(1, 13055, '\p{isenclosedcjklettersandmonths}', "");
Expect(0, 13055, '\p{^isenclosedcjklettersandmonths}', "");
Expect(0, 13055, '\P{isenclosedcjklettersandmonths}', "");
Expect(1, 13055, '\P{^isenclosedcjklettersandmonths}', "");
Expect(0, 13056, '\p{isenclosedcjklettersandmonths}', "");
Expect(1, 13056, '\p{^isenclosedcjklettersandmonths}', "");
Expect(1, 13056, '\P{isenclosedcjklettersandmonths}', "");
Expect(0, 13056, '\P{^isenclosedcjklettersandmonths}', "");
Expect(1, 13055, '\p{ Is_enclosed_CJK_Letters_And_MONTHS}', "");
Expect(0, 13055, '\p{^ Is_enclosed_CJK_Letters_And_MONTHS}', "");
Expect(0, 13055, '\P{ Is_enclosed_CJK_Letters_And_MONTHS}', "");
Expect(1, 13055, '\P{^ Is_enclosed_CJK_Letters_And_MONTHS}', "");
Expect(0, 13056, '\p{ Is_enclosed_CJK_Letters_And_MONTHS}', "");
Expect(1, 13056, '\p{^ Is_enclosed_CJK_Letters_And_MONTHS}', "");
Expect(1, 13056, '\P{ Is_enclosed_CJK_Letters_And_MONTHS}', "");
Expect(0, 13056, '\P{^ Is_enclosed_CJK_Letters_And_MONTHS}', "");
Error('\p{_:=IN_enclosed_CJK_LETTERS_and_Months}');
Error('\P{_:=IN_enclosed_CJK_LETTERS_and_Months}');
Expect(1, 13055, '\p{inenclosedcjklettersandmonths}', "");
Expect(0, 13055, '\p{^inenclosedcjklettersandmonths}', "");
Expect(0, 13055, '\P{inenclosedcjklettersandmonths}', "");
Expect(1, 13055, '\P{^inenclosedcjklettersandmonths}', "");
Expect(0, 13056, '\p{inenclosedcjklettersandmonths}', "");
Expect(1, 13056, '\p{^inenclosedcjklettersandmonths}', "");
Expect(1, 13056, '\P{inenclosedcjklettersandmonths}', "");
Expect(0, 13056, '\P{^inenclosedcjklettersandmonths}', "");
Expect(1, 13055, '\p{__in_Enclosed_CJK_Letters_And_MONTHS}', "");
Expect(0, 13055, '\p{^__in_Enclosed_CJK_Letters_And_MONTHS}', "");
Expect(0, 13055, '\P{__in_Enclosed_CJK_Letters_And_MONTHS}', "");
Expect(1, 13055, '\P{^__in_Enclosed_CJK_Letters_And_MONTHS}', "");
Expect(0, 13056, '\p{__in_Enclosed_CJK_Letters_And_MONTHS}', "");
Expect(1, 13056, '\p{^__in_Enclosed_CJK_Letters_And_MONTHS}', "");
Expect(1, 13056, '\P{__in_Enclosed_CJK_Letters_And_MONTHS}', "");
Expect(0, 13056, '\P{^__in_Enclosed_CJK_Letters_And_MONTHS}', "");
Error('\p{-/a/ENCLOSED_CJK}');
Error('\P{-/a/ENCLOSED_CJK}');
Expect(1, 13055, '\p{enclosedcjk}', "");
Expect(0, 13055, '\p{^enclosedcjk}', "");
Expect(0, 13055, '\P{enclosedcjk}', "");
Expect(1, 13055, '\P{^enclosedcjk}', "");
Expect(0, 13056, '\p{enclosedcjk}', "");
Expect(1, 13056, '\p{^enclosedcjk}', "");
Expect(1, 13056, '\P{enclosedcjk}', "");
Expect(0, 13056, '\P{^enclosedcjk}', "");
Expect(1, 13055, '\p{-Enclosed_CJK}', "");
Expect(0, 13055, '\p{^-Enclosed_CJK}', "");
Expect(0, 13055, '\P{-Enclosed_CJK}', "");
Expect(1, 13055, '\P{^-Enclosed_CJK}', "");
Expect(0, 13056, '\p{-Enclosed_CJK}', "");
Expect(1, 13056, '\p{^-Enclosed_CJK}', "");
Expect(1, 13056, '\P{-Enclosed_CJK}', "");
Expect(0, 13056, '\P{^-Enclosed_CJK}', "");
Error('\p{	:=Is_ENCLOSED_cjk}');
Error('\P{	:=Is_ENCLOSED_cjk}');
Expect(1, 13055, '\p{isenclosedcjk}', "");
Expect(0, 13055, '\p{^isenclosedcjk}', "");
Expect(0, 13055, '\P{isenclosedcjk}', "");
Expect(1, 13055, '\P{^isenclosedcjk}', "");
Expect(0, 13056, '\p{isenclosedcjk}', "");
Expect(1, 13056, '\p{^isenclosedcjk}', "");
Expect(1, 13056, '\P{isenclosedcjk}', "");
Expect(0, 13056, '\P{^isenclosedcjk}', "");
Expect(1, 13055, '\p{ is_Enclosed_CJK}', "");
Expect(0, 13055, '\p{^ is_Enclosed_CJK}', "");
Expect(0, 13055, '\P{ is_Enclosed_CJK}', "");
Expect(1, 13055, '\P{^ is_Enclosed_CJK}', "");
Expect(0, 13056, '\p{ is_Enclosed_CJK}', "");
Expect(1, 13056, '\p{^ is_Enclosed_CJK}', "");
Expect(1, 13056, '\P{ is_Enclosed_CJK}', "");
Expect(0, 13056, '\P{^ is_Enclosed_CJK}', "");
Error('\p{:=_In_ENCLOSED_CJK}');
Error('\P{:=_In_ENCLOSED_CJK}');
Expect(1, 13055, '\p{inenclosedcjk}', "");
Expect(0, 13055, '\p{^inenclosedcjk}', "");
Expect(0, 13055, '\P{inenclosedcjk}', "");
Expect(1, 13055, '\P{^inenclosedcjk}', "");
Expect(0, 13056, '\p{inenclosedcjk}', "");
Expect(1, 13056, '\p{^inenclosedcjk}', "");
Expect(1, 13056, '\P{inenclosedcjk}', "");
Expect(0, 13056, '\P{^inenclosedcjk}', "");
Expect(1, 13055, '\p{ -in_Enclosed_CJK}', "");
Expect(0, 13055, '\p{^ -in_Enclosed_CJK}', "");
Expect(0, 13055, '\P{ -in_Enclosed_CJK}', "");
Expect(1, 13055, '\P{^ -in_Enclosed_CJK}', "");
Expect(0, 13056, '\p{ -in_Enclosed_CJK}', "");
Expect(1, 13056, '\p{^ -in_Enclosed_CJK}', "");
Expect(1, 13056, '\P{ -in_Enclosed_CJK}', "");
Expect(0, 13056, '\P{^ -in_Enclosed_CJK}', "");
Error('\p{__Enclosed_Ideographic_supplement/a/}');
Error('\P{__Enclosed_Ideographic_supplement/a/}');
Expect(1, 127743, '\p{enclosedideographicsupplement}', "");
Expect(0, 127743, '\p{^enclosedideographicsupplement}', "");
Expect(0, 127743, '\P{enclosedideographicsupplement}', "");
Expect(1, 127743, '\P{^enclosedideographicsupplement}', "");
Expect(0, 127744, '\p{enclosedideographicsupplement}', "");
Expect(1, 127744, '\p{^enclosedideographicsupplement}', "");
Expect(1, 127744, '\P{enclosedideographicsupplement}', "");
Expect(0, 127744, '\P{^enclosedideographicsupplement}', "");
Expect(1, 127743, '\p{		Enclosed_Ideographic_supplement}', "");
Expect(0, 127743, '\p{^		Enclosed_Ideographic_supplement}', "");
Expect(0, 127743, '\P{		Enclosed_Ideographic_supplement}', "");
Expect(1, 127743, '\P{^		Enclosed_Ideographic_supplement}', "");
Expect(0, 127744, '\p{		Enclosed_Ideographic_supplement}', "");
Expect(1, 127744, '\p{^		Enclosed_Ideographic_supplement}', "");
Expect(1, 127744, '\P{		Enclosed_Ideographic_supplement}', "");
Expect(0, 127744, '\P{^		Enclosed_Ideographic_supplement}', "");
Error('\p{ /a/IS_ENCLOSED_IDEOGRAPHIC_supplement}');
Error('\P{ /a/IS_ENCLOSED_IDEOGRAPHIC_supplement}');
Expect(1, 127743, '\p{isenclosedideographicsupplement}', "");
Expect(0, 127743, '\p{^isenclosedideographicsupplement}', "");
Expect(0, 127743, '\P{isenclosedideographicsupplement}', "");
Expect(1, 127743, '\P{^isenclosedideographicsupplement}', "");
Expect(0, 127744, '\p{isenclosedideographicsupplement}', "");
Expect(1, 127744, '\p{^isenclosedideographicsupplement}', "");
Expect(1, 127744, '\P{isenclosedideographicsupplement}', "");
Expect(0, 127744, '\P{^isenclosedideographicsupplement}', "");
Expect(1, 127743, '\p{-	Is_Enclosed_Ideographic_SUPPLEMENT}', "");
Expect(0, 127743, '\p{^-	Is_Enclosed_Ideographic_SUPPLEMENT}', "");
Expect(0, 127743, '\P{-	Is_Enclosed_Ideographic_SUPPLEMENT}', "");
Expect(1, 127743, '\P{^-	Is_Enclosed_Ideographic_SUPPLEMENT}', "");
Expect(0, 127744, '\p{-	Is_Enclosed_Ideographic_SUPPLEMENT}', "");
Expect(1, 127744, '\p{^-	Is_Enclosed_Ideographic_SUPPLEMENT}', "");
Expect(1, 127744, '\P{-	Is_Enclosed_Ideographic_SUPPLEMENT}', "");
Expect(0, 127744, '\P{^-	Is_Enclosed_Ideographic_SUPPLEMENT}', "");
Error('\p{:=__In_Enclosed_IDEOGRAPHIC_Supplement}');
Error('\P{:=__In_Enclosed_IDEOGRAPHIC_Supplement}');
Expect(1, 127743, '\p{inenclosedideographicsupplement}', "");
Expect(0, 127743, '\p{^inenclosedideographicsupplement}', "");
Expect(0, 127743, '\P{inenclosedideographicsupplement}', "");
Expect(1, 127743, '\P{^inenclosedideographicsupplement}', "");
Expect(0, 127744, '\p{inenclosedideographicsupplement}', "");
Expect(1, 127744, '\p{^inenclosedideographicsupplement}', "");
Expect(1, 127744, '\P{inenclosedideographicsupplement}', "");
Expect(0, 127744, '\P{^inenclosedideographicsupplement}', "");
Expect(1, 127743, '\p{-	In_Enclosed_IDEOGRAPHIC_Supplement}', "");
Expect(0, 127743, '\p{^-	In_Enclosed_IDEOGRAPHIC_Supplement}', "");
Expect(0, 127743, '\P{-	In_Enclosed_IDEOGRAPHIC_Supplement}', "");
Expect(1, 127743, '\P{^-	In_Enclosed_IDEOGRAPHIC_Supplement}', "");
Expect(0, 127744, '\p{-	In_Enclosed_IDEOGRAPHIC_Supplement}', "");
Expect(1, 127744, '\p{^-	In_Enclosed_IDEOGRAPHIC_Supplement}', "");
Expect(1, 127744, '\P{-	In_Enclosed_IDEOGRAPHIC_Supplement}', "");
Expect(0, 127744, '\P{^-	In_Enclosed_IDEOGRAPHIC_Supplement}', "");
Error('\p{-_enclosed_IDEOGRAPHIC_SUP/a/}');
Error('\P{-_enclosed_IDEOGRAPHIC_SUP/a/}');
Expect(1, 127743, '\p{enclosedideographicsup}', "");
Expect(0, 127743, '\p{^enclosedideographicsup}', "");
Expect(0, 127743, '\P{enclosedideographicsup}', "");
Expect(1, 127743, '\P{^enclosedideographicsup}', "");
Expect(0, 127744, '\p{enclosedideographicsup}', "");
Expect(1, 127744, '\p{^enclosedideographicsup}', "");
Expect(1, 127744, '\P{enclosedideographicsup}', "");
Expect(0, 127744, '\P{^enclosedideographicsup}', "");
Expect(1, 127743, '\p{_-ENCLOSED_Ideographic_Sup}', "");
Expect(0, 127743, '\p{^_-ENCLOSED_Ideographic_Sup}', "");
Expect(0, 127743, '\P{_-ENCLOSED_Ideographic_Sup}', "");
Expect(1, 127743, '\P{^_-ENCLOSED_Ideographic_Sup}', "");
Expect(0, 127744, '\p{_-ENCLOSED_Ideographic_Sup}', "");
Expect(1, 127744, '\p{^_-ENCLOSED_Ideographic_Sup}', "");
Expect(1, 127744, '\P{_-ENCLOSED_Ideographic_Sup}', "");
Expect(0, 127744, '\P{^_-ENCLOSED_Ideographic_Sup}', "");
Error('\p{	_is_Enclosed_IDEOGRAPHIC_Sup/a/}');
Error('\P{	_is_Enclosed_IDEOGRAPHIC_Sup/a/}');
Expect(1, 127743, '\p{isenclosedideographicsup}', "");
Expect(0, 127743, '\p{^isenclosedideographicsup}', "");
Expect(0, 127743, '\P{isenclosedideographicsup}', "");
Expect(1, 127743, '\P{^isenclosedideographicsup}', "");
Expect(0, 127744, '\p{isenclosedideographicsup}', "");
Expect(1, 127744, '\p{^isenclosedideographicsup}', "");
Expect(1, 127744, '\P{isenclosedideographicsup}', "");
Expect(0, 127744, '\P{^isenclosedideographicsup}', "");
Expect(1, 127743, '\p{_ Is_Enclosed_Ideographic_sup}', "");
Expect(0, 127743, '\p{^_ Is_Enclosed_Ideographic_sup}', "");
Expect(0, 127743, '\P{_ Is_Enclosed_Ideographic_sup}', "");
Expect(1, 127743, '\P{^_ Is_Enclosed_Ideographic_sup}', "");
Expect(0, 127744, '\p{_ Is_Enclosed_Ideographic_sup}', "");
Expect(1, 127744, '\p{^_ Is_Enclosed_Ideographic_sup}', "");
Expect(1, 127744, '\P{_ Is_Enclosed_Ideographic_sup}', "");
Expect(0, 127744, '\P{^_ Is_Enclosed_Ideographic_sup}', "");
Error('\p{	IN_Enclosed_Ideographic_Sup:=}');
Error('\P{	IN_Enclosed_Ideographic_Sup:=}');
Expect(1, 127743, '\p{inenclosedideographicsup}', "");
Expect(0, 127743, '\p{^inenclosedideographicsup}', "");
Expect(0, 127743, '\P{inenclosedideographicsup}', "");
Expect(1, 127743, '\P{^inenclosedideographicsup}', "");
Expect(0, 127744, '\p{inenclosedideographicsup}', "");
Expect(1, 127744, '\p{^inenclosedideographicsup}', "");
Expect(1, 127744, '\P{inenclosedideographicsup}', "");
Expect(0, 127744, '\P{^inenclosedideographicsup}', "");
Expect(1, 127743, '\p{	_IN_Enclosed_Ideographic_SUP}', "");
Expect(0, 127743, '\p{^	_IN_Enclosed_Ideographic_SUP}', "");
Expect(0, 127743, '\P{	_IN_Enclosed_Ideographic_SUP}', "");
Expect(1, 127743, '\P{^	_IN_Enclosed_Ideographic_SUP}', "");
Expect(0, 127744, '\p{	_IN_Enclosed_Ideographic_SUP}', "");
Expect(1, 127744, '\p{^	_IN_Enclosed_Ideographic_SUP}', "");
Expect(1, 127744, '\P{	_IN_Enclosed_Ideographic_SUP}', "");
Expect(0, 127744, '\P{^	_IN_Enclosed_Ideographic_SUP}', "");
Error('\p{_	Enclosing_mark:=}');
Error('\P{_	Enclosing_mark:=}');
Expect(1, 42610, '\p{enclosingmark}', "");
Expect(0, 42610, '\p{^enclosingmark}', "");
Expect(0, 42610, '\P{enclosingmark}', "");
Expect(1, 42610, '\P{^enclosingmark}', "");
Expect(0, 42611, '\p{enclosingmark}', "");
Expect(1, 42611, '\p{^enclosingmark}', "");
Expect(1, 42611, '\P{enclosingmark}', "");
Expect(0, 42611, '\P{^enclosingmark}', "");
Expect(1, 42610, '\p{_Enclosing_Mark}', "");
Expect(0, 42610, '\p{^_Enclosing_Mark}', "");
Expect(0, 42610, '\P{_Enclosing_Mark}', "");
Expect(1, 42610, '\P{^_Enclosing_Mark}', "");
Expect(0, 42611, '\p{_Enclosing_Mark}', "");
Expect(1, 42611, '\p{^_Enclosing_Mark}', "");
Expect(1, 42611, '\P{_Enclosing_Mark}', "");
Expect(0, 42611, '\P{^_Enclosing_Mark}', "");
Error('\p{	 Is_Enclosing_mark:=}');
Error('\P{	 Is_Enclosing_mark:=}');
Expect(1, 42610, '\p{isenclosingmark}', "");
Expect(0, 42610, '\p{^isenclosingmark}', "");
Expect(0, 42610, '\P{isenclosingmark}', "");
Expect(1, 42610, '\P{^isenclosingmark}', "");
Expect(0, 42611, '\p{isenclosingmark}', "");
Expect(1, 42611, '\p{^isenclosingmark}', "");
Expect(1, 42611, '\P{isenclosingmark}', "");
Expect(0, 42611, '\P{^isenclosingmark}', "");
Expect(1, 42610, '\p{-Is_Enclosing_Mark}', "");
Expect(0, 42610, '\p{^-Is_Enclosing_Mark}', "");
Expect(0, 42610, '\P{-Is_Enclosing_Mark}', "");
Expect(1, 42610, '\P{^-Is_Enclosing_Mark}', "");
Expect(0, 42611, '\p{-Is_Enclosing_Mark}', "");
Expect(1, 42611, '\p{^-Is_Enclosing_Mark}', "");
Expect(1, 42611, '\P{-Is_Enclosing_Mark}', "");
Expect(0, 42611, '\P{^-Is_Enclosing_Mark}', "");
Error('\p{/a/--me}');
Error('\P{/a/--me}');
Expect(1, 42610, '\p{me}', "");
Expect(0, 42610, '\p{^me}', "");
Expect(0, 42610, '\P{me}', "");
Expect(1, 42610, '\P{^me}', "");
Expect(0, 42611, '\p{me}', "");
Expect(1, 42611, '\p{^me}', "");
Expect(1, 42611, '\P{me}', "");
Expect(0, 42611, '\P{^me}', "");
Expect(1, 42610, '\p{-	Me}', "");
Expect(0, 42610, '\p{^-	Me}', "");
Expect(0, 42610, '\P{-	Me}', "");
Expect(1, 42610, '\P{^-	Me}', "");
Expect(0, 42611, '\p{-	Me}', "");
Expect(1, 42611, '\p{^-	Me}', "");
Expect(1, 42611, '\P{-	Me}', "");
Expect(0, 42611, '\P{^-	Me}', "");
Error('\p{	:=is_me}');
Error('\P{	:=is_me}');
Expect(1, 42610, '\p{isme}', "");
Expect(0, 42610, '\p{^isme}', "");
Expect(0, 42610, '\P{isme}', "");
Expect(1, 42610, '\P{^isme}', "");
Expect(0, 42611, '\p{isme}', "");
Expect(1, 42611, '\p{^isme}', "");
Expect(1, 42611, '\P{isme}', "");
Expect(0, 42611, '\P{^isme}', "");
Expect(1, 42610, '\p{_Is_Me}', "");
Expect(0, 42610, '\p{^_Is_Me}', "");
Expect(0, 42610, '\P{_Is_Me}', "");
Expect(1, 42610, '\P{^_Is_Me}', "");
Expect(0, 42611, '\p{_Is_Me}', "");
Expect(1, 42611, '\p{^_Is_Me}', "");
Expect(1, 42611, '\P{_Is_Me}', "");
Expect(0, 42611, '\P{^_Is_Me}', "");
Error('\p{/a/		Ethiopic}');
Error('\P{/a/		Ethiopic}');
Expect(1, 43822, '\p{ethiopic}', "");
Expect(0, 43822, '\p{^ethiopic}', "");
Expect(0, 43822, '\P{ethiopic}', "");
Expect(1, 43822, '\P{^ethiopic}', "");
Expect(0, 43823, '\p{ethiopic}', "");
Expect(1, 43823, '\p{^ethiopic}', "");
Expect(1, 43823, '\P{ethiopic}', "");
Expect(0, 43823, '\P{^ethiopic}', "");
Expect(1, 43822, '\p{	Ethiopic}', "");
Expect(0, 43822, '\p{^	Ethiopic}', "");
Expect(0, 43822, '\P{	Ethiopic}', "");
Expect(1, 43822, '\P{^	Ethiopic}', "");
Expect(0, 43823, '\p{	Ethiopic}', "");
Expect(1, 43823, '\p{^	Ethiopic}', "");
Expect(1, 43823, '\P{	Ethiopic}', "");
Expect(0, 43823, '\P{^	Ethiopic}', "");
Error('\p{_is_ethiopic:=}');
Error('\P{_is_ethiopic:=}');
Expect(1, 43822, '\p{isethiopic}', "");
Expect(0, 43822, '\p{^isethiopic}', "");
Expect(0, 43822, '\P{isethiopic}', "");
Expect(1, 43822, '\P{^isethiopic}', "");
Expect(0, 43823, '\p{isethiopic}', "");
Expect(1, 43823, '\p{^isethiopic}', "");
Expect(1, 43823, '\P{isethiopic}', "");
Expect(0, 43823, '\P{^isethiopic}', "");
Expect(1, 43822, '\p{	 IS_Ethiopic}', "");
Expect(0, 43822, '\p{^	 IS_Ethiopic}', "");
Expect(0, 43822, '\P{	 IS_Ethiopic}', "");
Expect(1, 43822, '\P{^	 IS_Ethiopic}', "");
Expect(0, 43823, '\p{	 IS_Ethiopic}', "");
Expect(1, 43823, '\p{^	 IS_Ethiopic}', "");
Expect(1, 43823, '\P{	 IS_Ethiopic}', "");
Expect(0, 43823, '\P{^	 IS_Ethiopic}', "");
Error('\p{:=	_Ethi}');
Error('\P{:=	_Ethi}');
Expect(1, 43822, '\p{ethi}', "");
Expect(0, 43822, '\p{^ethi}', "");
Expect(0, 43822, '\P{ethi}', "");
Expect(1, 43822, '\P{^ethi}', "");
Expect(0, 43823, '\p{ethi}', "");
Expect(1, 43823, '\p{^ethi}', "");
Expect(1, 43823, '\P{ethi}', "");
Expect(0, 43823, '\P{^ethi}', "");
Expect(1, 43822, '\p{-	ethi}', "");
Expect(0, 43822, '\p{^-	ethi}', "");
Expect(0, 43822, '\P{-	ethi}', "");
Expect(1, 43822, '\P{^-	ethi}', "");
Expect(0, 43823, '\p{-	ethi}', "");
Expect(1, 43823, '\p{^-	ethi}', "");
Expect(1, 43823, '\P{-	ethi}', "");
Expect(0, 43823, '\P{^-	ethi}', "");
Error('\p{/a/		IS_ETHI}');
Error('\P{/a/		IS_ETHI}');
Expect(1, 43822, '\p{isethi}', "");
Expect(0, 43822, '\p{^isethi}', "");
Expect(0, 43822, '\P{isethi}', "");
Expect(1, 43822, '\P{^isethi}', "");
Expect(0, 43823, '\p{isethi}', "");
Expect(1, 43823, '\p{^isethi}', "");
Expect(1, 43823, '\P{isethi}', "");
Expect(0, 43823, '\P{^isethi}', "");
Expect(1, 43822, '\p{_	Is_Ethi}', "");
Expect(0, 43822, '\p{^_	Is_Ethi}', "");
Expect(0, 43822, '\P{_	Is_Ethi}', "");
Expect(1, 43822, '\P{^_	Is_Ethi}', "");
Expect(0, 43823, '\p{_	Is_Ethi}', "");
Expect(1, 43823, '\p{^_	Is_Ethi}', "");
Expect(1, 43823, '\P{_	Is_Ethi}', "");
Expect(0, 43823, '\P{^_	Is_Ethi}', "");
Error('\p{ :=ETHIOPIC_Extended}');
Error('\P{ :=ETHIOPIC_Extended}');
Expect(1, 11743, '\p{ethiopicextended}', "");
Expect(0, 11743, '\p{^ethiopicextended}', "");
Expect(0, 11743, '\P{ethiopicextended}', "");
Expect(1, 11743, '\P{^ethiopicextended}', "");
Expect(0, 11744, '\p{ethiopicextended}', "");
Expect(1, 11744, '\p{^ethiopicextended}', "");
Expect(1, 11744, '\P{ethiopicextended}', "");
Expect(0, 11744, '\P{^ethiopicextended}', "");
Expect(1, 11743, '\p{ -Ethiopic_EXTENDED}', "");
Expect(0, 11743, '\p{^ -Ethiopic_EXTENDED}', "");
Expect(0, 11743, '\P{ -Ethiopic_EXTENDED}', "");
Expect(1, 11743, '\P{^ -Ethiopic_EXTENDED}', "");
Expect(0, 11744, '\p{ -Ethiopic_EXTENDED}', "");
Expect(1, 11744, '\p{^ -Ethiopic_EXTENDED}', "");
Expect(1, 11744, '\P{ -Ethiopic_EXTENDED}', "");
Expect(0, 11744, '\P{^ -Ethiopic_EXTENDED}', "");
Error('\p{:=	-IS_Ethiopic_Extended}');
Error('\P{:=	-IS_Ethiopic_Extended}');
Expect(1, 11743, '\p{isethiopicextended}', "");
Expect(0, 11743, '\p{^isethiopicextended}', "");
Expect(0, 11743, '\P{isethiopicextended}', "");
Expect(1, 11743, '\P{^isethiopicextended}', "");
Expect(0, 11744, '\p{isethiopicextended}', "");
Expect(1, 11744, '\p{^isethiopicextended}', "");
Expect(1, 11744, '\P{isethiopicextended}', "");
Expect(0, 11744, '\P{^isethiopicextended}', "");
Expect(1, 11743, '\p{-Is_Ethiopic_extended}', "");
Expect(0, 11743, '\p{^-Is_Ethiopic_extended}', "");
Expect(0, 11743, '\P{-Is_Ethiopic_extended}', "");
Expect(1, 11743, '\P{^-Is_Ethiopic_extended}', "");
Expect(0, 11744, '\p{-Is_Ethiopic_extended}', "");
Expect(1, 11744, '\p{^-Is_Ethiopic_extended}', "");
Expect(1, 11744, '\P{-Is_Ethiopic_extended}', "");
Expect(0, 11744, '\P{^-Is_Ethiopic_extended}', "");
Error('\p{ /a/IN_Ethiopic_extended}');
Error('\P{ /a/IN_Ethiopic_extended}');
Expect(1, 11743, '\p{inethiopicextended}', "");
Expect(0, 11743, '\p{^inethiopicextended}', "");
Expect(0, 11743, '\P{inethiopicextended}', "");
Expect(1, 11743, '\P{^inethiopicextended}', "");
Expect(0, 11744, '\p{inethiopicextended}', "");
Expect(1, 11744, '\p{^inethiopicextended}', "");
Expect(1, 11744, '\P{inethiopicextended}', "");
Expect(0, 11744, '\P{^inethiopicextended}', "");
Expect(1, 11743, '\p{ 	IN_Ethiopic_EXTENDED}', "");
Expect(0, 11743, '\p{^ 	IN_Ethiopic_EXTENDED}', "");
Expect(0, 11743, '\P{ 	IN_Ethiopic_EXTENDED}', "");
Expect(1, 11743, '\P{^ 	IN_Ethiopic_EXTENDED}', "");
Expect(0, 11744, '\p{ 	IN_Ethiopic_EXTENDED}', "");
Expect(1, 11744, '\p{^ 	IN_Ethiopic_EXTENDED}', "");
Expect(1, 11744, '\P{ 	IN_Ethiopic_EXTENDED}', "");
Expect(0, 11744, '\P{^ 	IN_Ethiopic_EXTENDED}', "");
Error('\p{/a/ ETHIOPIC_EXT}');
Error('\P{/a/ ETHIOPIC_EXT}');
Expect(1, 11743, '\p{ethiopicext}', "");
Expect(0, 11743, '\p{^ethiopicext}', "");
Expect(0, 11743, '\P{ethiopicext}', "");
Expect(1, 11743, '\P{^ethiopicext}', "");
Expect(0, 11744, '\p{ethiopicext}', "");
Expect(1, 11744, '\p{^ethiopicext}', "");
Expect(1, 11744, '\P{ethiopicext}', "");
Expect(0, 11744, '\P{^ethiopicext}', "");
Expect(1, 11743, '\p{-Ethiopic_ext}', "");
Expect(0, 11743, '\p{^-Ethiopic_ext}', "");
Expect(0, 11743, '\P{-Ethiopic_ext}', "");
Expect(1, 11743, '\P{^-Ethiopic_ext}', "");
Expect(0, 11744, '\p{-Ethiopic_ext}', "");
Expect(1, 11744, '\p{^-Ethiopic_ext}', "");
Expect(1, 11744, '\P{-Ethiopic_ext}', "");
Expect(0, 11744, '\P{^-Ethiopic_ext}', "");
Error('\p{/a/IS_Ethiopic_Ext}');
Error('\P{/a/IS_Ethiopic_Ext}');
Expect(1, 11743, '\p{isethiopicext}', "");
Expect(0, 11743, '\p{^isethiopicext}', "");
Expect(0, 11743, '\P{isethiopicext}', "");
Expect(1, 11743, '\P{^isethiopicext}', "");
Expect(0, 11744, '\p{isethiopicext}', "");
Expect(1, 11744, '\p{^isethiopicext}', "");
Expect(1, 11744, '\P{isethiopicext}', "");
Expect(0, 11744, '\P{^isethiopicext}', "");
Expect(1, 11743, '\p{-_Is_ethiopic_ext}', "");
Expect(0, 11743, '\p{^-_Is_ethiopic_ext}', "");
Expect(0, 11743, '\P{-_Is_ethiopic_ext}', "");
Expect(1, 11743, '\P{^-_Is_ethiopic_ext}', "");
Expect(0, 11744, '\p{-_Is_ethiopic_ext}', "");
Expect(1, 11744, '\p{^-_Is_ethiopic_ext}', "");
Expect(1, 11744, '\P{-_Is_ethiopic_ext}', "");
Expect(0, 11744, '\P{^-_Is_ethiopic_ext}', "");
Error('\p{	:=IN_Ethiopic_ext}');
Error('\P{	:=IN_Ethiopic_ext}');
Expect(1, 11743, '\p{inethiopicext}', "");
Expect(0, 11743, '\p{^inethiopicext}', "");
Expect(0, 11743, '\P{inethiopicext}', "");
Expect(1, 11743, '\P{^inethiopicext}', "");
Expect(0, 11744, '\p{inethiopicext}', "");
Expect(1, 11744, '\p{^inethiopicext}', "");
Expect(1, 11744, '\P{inethiopicext}', "");
Expect(0, 11744, '\P{^inethiopicext}', "");
Expect(1, 11743, '\p{- in_ETHIOPIC_ext}', "");
Expect(0, 11743, '\p{^- in_ETHIOPIC_ext}', "");
Expect(0, 11743, '\P{- in_ETHIOPIC_ext}', "");
Expect(1, 11743, '\P{^- in_ETHIOPIC_ext}', "");
Expect(0, 11744, '\p{- in_ETHIOPIC_ext}', "");
Expect(1, 11744, '\p{^- in_ETHIOPIC_ext}', "");
Expect(1, 11744, '\P{- in_ETHIOPIC_ext}', "");
Expect(0, 11744, '\P{^- in_ETHIOPIC_ext}', "");
Error('\p{:=_	ETHIOPIC_EXTENDED_A}');
Error('\P{:=_	ETHIOPIC_EXTENDED_A}');
Expect(1, 43823, '\p{ethiopicextendeda}', "");
Expect(0, 43823, '\p{^ethiopicextendeda}', "");
Expect(0, 43823, '\P{ethiopicextendeda}', "");
Expect(1, 43823, '\P{^ethiopicextendeda}', "");
Expect(0, 43824, '\p{ethiopicextendeda}', "");
Expect(1, 43824, '\p{^ethiopicextendeda}', "");
Expect(1, 43824, '\P{ethiopicextendeda}', "");
Expect(0, 43824, '\P{^ethiopicextendeda}', "");
Expect(1, 43823, '\p{_Ethiopic_Extended_A}', "");
Expect(0, 43823, '\p{^_Ethiopic_Extended_A}', "");
Expect(0, 43823, '\P{_Ethiopic_Extended_A}', "");
Expect(1, 43823, '\P{^_Ethiopic_Extended_A}', "");
Expect(0, 43824, '\p{_Ethiopic_Extended_A}', "");
Expect(1, 43824, '\p{^_Ethiopic_Extended_A}', "");
Expect(1, 43824, '\P{_Ethiopic_Extended_A}', "");
Expect(0, 43824, '\P{^_Ethiopic_Extended_A}', "");
Error('\p{	-is_Ethiopic_Extended_A:=}');
Error('\P{	-is_Ethiopic_Extended_A:=}');
Expect(1, 43823, '\p{isethiopicextendeda}', "");
Expect(0, 43823, '\p{^isethiopicextendeda}', "");
Expect(0, 43823, '\P{isethiopicextendeda}', "");
Expect(1, 43823, '\P{^isethiopicextendeda}', "");
Expect(0, 43824, '\p{isethiopicextendeda}', "");
Expect(1, 43824, '\p{^isethiopicextendeda}', "");
Expect(1, 43824, '\P{isethiopicextendeda}', "");
Expect(0, 43824, '\P{^isethiopicextendeda}', "");
Expect(1, 43823, '\p{	_is_Ethiopic_Extended_A}', "");
Expect(0, 43823, '\p{^	_is_Ethiopic_Extended_A}', "");
Expect(0, 43823, '\P{	_is_Ethiopic_Extended_A}', "");
Expect(1, 43823, '\P{^	_is_Ethiopic_Extended_A}', "");
Expect(0, 43824, '\p{	_is_Ethiopic_Extended_A}', "");
Expect(1, 43824, '\p{^	_is_Ethiopic_Extended_A}', "");
Expect(1, 43824, '\P{	_is_Ethiopic_Extended_A}', "");
Expect(0, 43824, '\P{^	_is_Ethiopic_Extended_A}', "");
Error('\p{:=	-IN_Ethiopic_Extended_A}');
Error('\P{:=	-IN_Ethiopic_Extended_A}');
Expect(1, 43823, '\p{inethiopicextendeda}', "");
Expect(0, 43823, '\p{^inethiopicextendeda}', "");
Expect(0, 43823, '\P{inethiopicextendeda}', "");
Expect(1, 43823, '\P{^inethiopicextendeda}', "");
Expect(0, 43824, '\p{inethiopicextendeda}', "");
Expect(1, 43824, '\p{^inethiopicextendeda}', "");
Expect(1, 43824, '\P{inethiopicextendeda}', "");
Expect(0, 43824, '\P{^inethiopicextendeda}', "");
Expect(1, 43823, '\p{ IN_ETHIOPIC_EXTENDED_A}', "");
Expect(0, 43823, '\p{^ IN_ETHIOPIC_EXTENDED_A}', "");
Expect(0, 43823, '\P{ IN_ETHIOPIC_EXTENDED_A}', "");
Expect(1, 43823, '\P{^ IN_ETHIOPIC_EXTENDED_A}', "");
Expect(0, 43824, '\p{ IN_ETHIOPIC_EXTENDED_A}', "");
Expect(1, 43824, '\p{^ IN_ETHIOPIC_EXTENDED_A}', "");
Expect(1, 43824, '\P{ IN_ETHIOPIC_EXTENDED_A}', "");
Expect(0, 43824, '\P{^ IN_ETHIOPIC_EXTENDED_A}', "");
Error('\p{	:=ETHIOPIC_ext_A}');
Error('\P{	:=ETHIOPIC_ext_A}');
Expect(1, 43823, '\p{ethiopicexta}', "");
Expect(0, 43823, '\p{^ethiopicexta}', "");
Expect(0, 43823, '\P{ethiopicexta}', "");
Expect(1, 43823, '\P{^ethiopicexta}', "");
Expect(0, 43824, '\p{ethiopicexta}', "");
Expect(1, 43824, '\p{^ethiopicexta}', "");
Expect(1, 43824, '\P{ethiopicexta}', "");
Expect(0, 43824, '\P{^ethiopicexta}', "");
Expect(1, 43823, '\p{__ETHIOPIC_Ext_a}', "");
Expect(0, 43823, '\p{^__ETHIOPIC_Ext_a}', "");
Expect(0, 43823, '\P{__ETHIOPIC_Ext_a}', "");
Expect(1, 43823, '\P{^__ETHIOPIC_Ext_a}', "");
Expect(0, 43824, '\p{__ETHIOPIC_Ext_a}', "");
Expect(1, 43824, '\p{^__ETHIOPIC_Ext_a}', "");
Expect(1, 43824, '\P{__ETHIOPIC_Ext_a}', "");
Expect(0, 43824, '\P{^__ETHIOPIC_Ext_a}', "");
Error('\p{ /a/Is_Ethiopic_Ext_A}');
Error('\P{ /a/Is_Ethiopic_Ext_A}');
Expect(1, 43823, '\p{isethiopicexta}', "");
Expect(0, 43823, '\p{^isethiopicexta}', "");
Expect(0, 43823, '\P{isethiopicexta}', "");
Expect(1, 43823, '\P{^isethiopicexta}', "");
Expect(0, 43824, '\p{isethiopicexta}', "");
Expect(1, 43824, '\p{^isethiopicexta}', "");
Expect(1, 43824, '\P{isethiopicexta}', "");
Expect(0, 43824, '\P{^isethiopicexta}', "");
Expect(1, 43823, '\p{ Is_Ethiopic_ext_A}', "");
Expect(0, 43823, '\p{^ Is_Ethiopic_ext_A}', "");
Expect(0, 43823, '\P{ Is_Ethiopic_ext_A}', "");
Expect(1, 43823, '\P{^ Is_Ethiopic_ext_A}', "");
Expect(0, 43824, '\p{ Is_Ethiopic_ext_A}', "");
Expect(1, 43824, '\p{^ Is_Ethiopic_ext_A}', "");
Expect(1, 43824, '\P{ Is_Ethiopic_ext_A}', "");
Expect(0, 43824, '\P{^ Is_Ethiopic_ext_A}', "");
Error('\p{-:=IN_Ethiopic_Ext_A}');
Error('\P{-:=IN_Ethiopic_Ext_A}');
Expect(1, 43823, '\p{inethiopicexta}', "");
Expect(0, 43823, '\p{^inethiopicexta}', "");
Expect(0, 43823, '\P{inethiopicexta}', "");
Expect(1, 43823, '\P{^inethiopicexta}', "");
Expect(0, 43824, '\p{inethiopicexta}', "");
Expect(1, 43824, '\p{^inethiopicexta}', "");
Expect(1, 43824, '\P{inethiopicexta}', "");
Expect(0, 43824, '\P{^inethiopicexta}', "");
Expect(1, 43823, '\p{	In_Ethiopic_ext_A}', "");
Expect(0, 43823, '\p{^	In_Ethiopic_ext_A}', "");
Expect(0, 43823, '\P{	In_Ethiopic_ext_A}', "");
Expect(1, 43823, '\P{^	In_Ethiopic_ext_A}', "");
Expect(0, 43824, '\p{	In_Ethiopic_ext_A}', "");
Expect(1, 43824, '\p{^	In_Ethiopic_ext_A}', "");
Expect(1, 43824, '\P{	In_Ethiopic_ext_A}', "");
Expect(0, 43824, '\P{^	In_Ethiopic_ext_A}', "");
Error('\p{  Ethiopic_SUPPLEMENT/a/}');
Error('\P{  Ethiopic_SUPPLEMENT/a/}');
Expect(1, 5023, '\p{ethiopicsupplement}', "");
Expect(0, 5023, '\p{^ethiopicsupplement}', "");
Expect(0, 5023, '\P{ethiopicsupplement}', "");
Expect(1, 5023, '\P{^ethiopicsupplement}', "");
Expect(0, 5024, '\p{ethiopicsupplement}', "");
Expect(1, 5024, '\p{^ethiopicsupplement}', "");
Expect(1, 5024, '\P{ethiopicsupplement}', "");
Expect(0, 5024, '\P{^ethiopicsupplement}', "");
Expect(1, 5023, '\p{-	ETHIOPIC_supplement}', "");
Expect(0, 5023, '\p{^-	ETHIOPIC_supplement}', "");
Expect(0, 5023, '\P{-	ETHIOPIC_supplement}', "");
Expect(1, 5023, '\P{^-	ETHIOPIC_supplement}', "");
Expect(0, 5024, '\p{-	ETHIOPIC_supplement}', "");
Expect(1, 5024, '\p{^-	ETHIOPIC_supplement}', "");
Expect(1, 5024, '\P{-	ETHIOPIC_supplement}', "");
Expect(0, 5024, '\P{^-	ETHIOPIC_supplement}', "");
Error('\p{:= 	IS_ethiopic_Supplement}');
Error('\P{:= 	IS_ethiopic_Supplement}');
Expect(1, 5023, '\p{isethiopicsupplement}', "");
Expect(0, 5023, '\p{^isethiopicsupplement}', "");
Expect(0, 5023, '\P{isethiopicsupplement}', "");
Expect(1, 5023, '\P{^isethiopicsupplement}', "");
Expect(0, 5024, '\p{isethiopicsupplement}', "");
Expect(1, 5024, '\p{^isethiopicsupplement}', "");
Expect(1, 5024, '\P{isethiopicsupplement}', "");
Expect(0, 5024, '\P{^isethiopicsupplement}', "");
Expect(1, 5023, '\p{		Is_Ethiopic_Supplement}', "");
Expect(0, 5023, '\p{^		Is_Ethiopic_Supplement}', "");
Expect(0, 5023, '\P{		Is_Ethiopic_Supplement}', "");
Expect(1, 5023, '\P{^		Is_Ethiopic_Supplement}', "");
Expect(0, 5024, '\p{		Is_Ethiopic_Supplement}', "");
Expect(1, 5024, '\p{^		Is_Ethiopic_Supplement}', "");
Expect(1, 5024, '\P{		Is_Ethiopic_Supplement}', "");
Expect(0, 5024, '\P{^		Is_Ethiopic_Supplement}', "");
Error('\p{:=	In_Ethiopic_Supplement}');
Error('\P{:=	In_Ethiopic_Supplement}');
Expect(1, 5023, '\p{inethiopicsupplement}', "");
Expect(0, 5023, '\p{^inethiopicsupplement}', "");
Expect(0, 5023, '\P{inethiopicsupplement}', "");
Expect(1, 5023, '\P{^inethiopicsupplement}', "");
Expect(0, 5024, '\p{inethiopicsupplement}', "");
Expect(1, 5024, '\p{^inethiopicsupplement}', "");
Expect(1, 5024, '\P{inethiopicsupplement}', "");
Expect(0, 5024, '\P{^inethiopicsupplement}', "");
Expect(1, 5023, '\p{In_Ethiopic_Supplement}', "");
Expect(0, 5023, '\p{^In_Ethiopic_Supplement}', "");
Expect(0, 5023, '\P{In_Ethiopic_Supplement}', "");
Expect(1, 5023, '\P{^In_Ethiopic_Supplement}', "");
Expect(0, 5024, '\p{In_Ethiopic_Supplement}', "");
Expect(1, 5024, '\p{^In_Ethiopic_Supplement}', "");
Expect(1, 5024, '\P{In_Ethiopic_Supplement}', "");
Expect(0, 5024, '\P{^In_Ethiopic_Supplement}', "");
Error('\p{ :=ETHIOPIC_Sup}');
Error('\P{ :=ETHIOPIC_Sup}');
Expect(1, 5023, '\p{ethiopicsup}', "");
Expect(0, 5023, '\p{^ethiopicsup}', "");
Expect(0, 5023, '\P{ethiopicsup}', "");
Expect(1, 5023, '\P{^ethiopicsup}', "");
Expect(0, 5024, '\p{ethiopicsup}', "");
Expect(1, 5024, '\p{^ethiopicsup}', "");
Expect(1, 5024, '\P{ethiopicsup}', "");
Expect(0, 5024, '\P{^ethiopicsup}', "");
Expect(1, 5023, '\p{		ETHIOPIC_sup}', "");
Expect(0, 5023, '\p{^		ETHIOPIC_sup}', "");
Expect(0, 5023, '\P{		ETHIOPIC_sup}', "");
Expect(1, 5023, '\P{^		ETHIOPIC_sup}', "");
Expect(0, 5024, '\p{		ETHIOPIC_sup}', "");
Expect(1, 5024, '\p{^		ETHIOPIC_sup}', "");
Expect(1, 5024, '\P{		ETHIOPIC_sup}', "");
Expect(0, 5024, '\P{^		ETHIOPIC_sup}', "");
Error('\p{/a/_IS_ETHIOPIC_SUP}');
Error('\P{/a/_IS_ETHIOPIC_SUP}');
Expect(1, 5023, '\p{isethiopicsup}', "");
Expect(0, 5023, '\p{^isethiopicsup}', "");
Expect(0, 5023, '\P{isethiopicsup}', "");
Expect(1, 5023, '\P{^isethiopicsup}', "");
Expect(0, 5024, '\p{isethiopicsup}', "");
Expect(1, 5024, '\p{^isethiopicsup}', "");
Expect(1, 5024, '\P{isethiopicsup}', "");
Expect(0, 5024, '\P{^isethiopicsup}', "");
Expect(1, 5023, '\p{  Is_ETHIOPIC_sup}', "");
Expect(0, 5023, '\p{^  Is_ETHIOPIC_sup}', "");
Expect(0, 5023, '\P{  Is_ETHIOPIC_sup}', "");
Expect(1, 5023, '\P{^  Is_ETHIOPIC_sup}', "");
Expect(0, 5024, '\p{  Is_ETHIOPIC_sup}', "");
Expect(1, 5024, '\p{^  Is_ETHIOPIC_sup}', "");
Expect(1, 5024, '\P{  Is_ETHIOPIC_sup}', "");
Expect(0, 5024, '\P{^  Is_ETHIOPIC_sup}', "");
Error('\p{/a/in_ETHIOPIC_Sup}');
Error('\P{/a/in_ETHIOPIC_Sup}');
Expect(1, 5023, '\p{inethiopicsup}', "");
Expect(0, 5023, '\p{^inethiopicsup}', "");
Expect(0, 5023, '\P{inethiopicsup}', "");
Expect(1, 5023, '\P{^inethiopicsup}', "");
Expect(0, 5024, '\p{inethiopicsup}', "");
Expect(1, 5024, '\p{^inethiopicsup}', "");
Expect(1, 5024, '\P{inethiopicsup}', "");
Expect(0, 5024, '\P{^inethiopicsup}', "");
Expect(1, 5023, '\p{--IN_Ethiopic_Sup}', "");
Expect(0, 5023, '\p{^--IN_Ethiopic_Sup}', "");
Expect(0, 5023, '\P{--IN_Ethiopic_Sup}', "");
Expect(1, 5023, '\P{^--IN_Ethiopic_Sup}', "");
Expect(0, 5024, '\p{--IN_Ethiopic_Sup}', "");
Expect(1, 5024, '\p{^--IN_Ethiopic_Sup}', "");
Expect(1, 5024, '\P{--IN_Ethiopic_Sup}', "");
Expect(0, 5024, '\P{^--IN_Ethiopic_Sup}', "");
Error('\p{Expands_On_NFC}');
Error('\P{Expands_On_NFC}');
Error('\p{Is_Expands_On_NFC}');
Error('\P{Is_Expands_On_NFC}');
Error('\p{XO_NFC}');
Error('\P{XO_NFC}');
Error('\p{Is_XO_NFC}');
Error('\P{Is_XO_NFC}');
Error('\p{Expands_On_NFD}');
Error('\P{Expands_On_NFD}');
Error('\p{Is_Expands_On_NFD}');
Error('\P{Is_Expands_On_NFD}');
Error('\p{XO_NFD}');
Error('\P{XO_NFD}');
Error('\p{Is_XO_NFD}');
Error('\P{Is_XO_NFD}');
Error('\p{Expands_On_NFKC}');
Error('\P{Expands_On_NFKC}');
Error('\p{Is_Expands_On_NFKC}');
Error('\P{Is_Expands_On_NFKC}');
Error('\p{XO_NFKC}');
Error('\P{XO_NFKC}');
Error('\p{Is_XO_NFKC}');
Error('\P{Is_XO_NFKC}');
Error('\p{Expands_On_NFKD}');
Error('\P{Expands_On_NFKD}');
Error('\p{Is_Expands_On_NFKD}');
Error('\P{Is_Expands_On_NFKD}');
Error('\p{XO_NFKD}');
Error('\P{XO_NFKD}');
Error('\p{Is_XO_NFKD}');
Error('\P{Is_XO_NFKD}');
Error('\p{/a/--Extender}');
Error('\P{/a/--Extender}');
Expect(1, 92995, '\p{extender}', "");
Expect(0, 92995, '\p{^extender}', "");
Expect(0, 92995, '\P{extender}', "");
Expect(1, 92995, '\P{^extender}', "");
Expect(0, 92996, '\p{extender}', "");
Expect(1, 92996, '\p{^extender}', "");
Expect(1, 92996, '\P{extender}', "");
Expect(0, 92996, '\P{^extender}', "");
Expect(1, 92995, '\p{ EXTENDER}', "");
Expect(0, 92995, '\p{^ EXTENDER}', "");
Expect(0, 92995, '\P{ EXTENDER}', "");
Expect(1, 92995, '\P{^ EXTENDER}', "");
Expect(0, 92996, '\p{ EXTENDER}', "");
Expect(1, 92996, '\p{^ EXTENDER}', "");
Expect(1, 92996, '\P{ EXTENDER}', "");
Expect(0, 92996, '\P{^ EXTENDER}', "");
Error('\p{ 	Is_extender/a/}');
Error('\P{ 	Is_extender/a/}');
Expect(1, 92995, '\p{isextender}', "");
Expect(0, 92995, '\p{^isextender}', "");
Expect(0, 92995, '\P{isextender}', "");
Expect(1, 92995, '\P{^isextender}', "");
Expect(0, 92996, '\p{isextender}', "");
Expect(1, 92996, '\p{^isextender}', "");
Expect(1, 92996, '\P{isextender}', "");
Expect(0, 92996, '\P{^isextender}', "");
Expect(1, 92995, '\p{__Is_extender}', "");
Expect(0, 92995, '\p{^__Is_extender}', "");
Expect(0, 92995, '\P{__Is_extender}', "");
Expect(1, 92995, '\P{^__Is_extender}', "");
Expect(0, 92996, '\p{__Is_extender}', "");
Expect(1, 92996, '\p{^__Is_extender}', "");
Expect(1, 92996, '\P{__Is_extender}', "");
Expect(0, 92996, '\P{^__Is_extender}', "");
Error('\p{	Ext/a/}');
Error('\P{	Ext/a/}');
Expect(1, 92995, '\p{ext}', "");
Expect(0, 92995, '\p{^ext}', "");
Expect(0, 92995, '\P{ext}', "");
Expect(1, 92995, '\P{^ext}', "");
Expect(0, 92996, '\p{ext}', "");
Expect(1, 92996, '\p{^ext}', "");
Expect(1, 92996, '\P{ext}', "");
Expect(0, 92996, '\P{^ext}', "");
Expect(1, 92995, '\p{ -ext}', "");
Expect(0, 92995, '\p{^ -ext}', "");
Expect(0, 92995, '\P{ -ext}', "");
Expect(1, 92995, '\P{^ -ext}', "");
Expect(0, 92996, '\p{ -ext}', "");
Expect(1, 92996, '\p{^ -ext}', "");
Expect(1, 92996, '\P{ -ext}', "");
Expect(0, 92996, '\P{^ -ext}', "");
Error('\p{:=_Is_Ext}');
Error('\P{:=_Is_Ext}');
Expect(1, 92995, '\p{isext}', "");
Expect(0, 92995, '\p{^isext}', "");
Expect(0, 92995, '\P{isext}', "");
Expect(1, 92995, '\P{^isext}', "");
Expect(0, 92996, '\p{isext}', "");
Expect(1, 92996, '\p{^isext}', "");
Expect(1, 92996, '\P{isext}', "");
Expect(0, 92996, '\P{^isext}', "");
Expect(1, 92995, '\p{ IS_Ext}', "");
Expect(0, 92995, '\p{^ IS_Ext}', "");
Expect(0, 92995, '\P{ IS_Ext}', "");
Expect(1, 92995, '\P{^ IS_Ext}', "");
Expect(0, 92996, '\p{ IS_Ext}', "");
Expect(1, 92996, '\p{^ IS_Ext}', "");
Expect(1, 92996, '\P{ IS_Ext}', "");
Expect(0, 92996, '\P{^ IS_Ext}', "");
Error('\p{/a/-final_punctuation}');
Error('\P{/a/-final_punctuation}');
Expect(1, 11809, '\p{finalpunctuation}', "");
Expect(0, 11809, '\p{^finalpunctuation}', "");
Expect(0, 11809, '\P{finalpunctuation}', "");
Expect(1, 11809, '\P{^finalpunctuation}', "");
Expect(0, 11810, '\p{finalpunctuation}', "");
Expect(1, 11810, '\p{^finalpunctuation}', "");
Expect(1, 11810, '\P{finalpunctuation}', "");
Expect(0, 11810, '\P{^finalpunctuation}', "");
Expect(1, 11809, '\p{  Final_Punctuation}', "");
Expect(0, 11809, '\p{^  Final_Punctuation}', "");
Expect(0, 11809, '\P{  Final_Punctuation}', "");
Expect(1, 11809, '\P{^  Final_Punctuation}', "");
Expect(0, 11810, '\p{  Final_Punctuation}', "");
Expect(1, 11810, '\p{^  Final_Punctuation}', "");
Expect(1, 11810, '\P{  Final_Punctuation}', "");
Expect(0, 11810, '\P{^  Final_Punctuation}', "");
Error('\p{/a/-	Is_Final_punctuation}');
Error('\P{/a/-	Is_Final_punctuation}');
Expect(1, 11809, '\p{isfinalpunctuation}', "");
Expect(0, 11809, '\p{^isfinalpunctuation}', "");
Expect(0, 11809, '\P{isfinalpunctuation}', "");
Expect(1, 11809, '\P{^isfinalpunctuation}', "");
Expect(0, 11810, '\p{isfinalpunctuation}', "");
Expect(1, 11810, '\p{^isfinalpunctuation}', "");
Expect(1, 11810, '\P{isfinalpunctuation}', "");
Expect(0, 11810, '\P{^isfinalpunctuation}', "");
Expect(1, 11809, '\p{-_is_final_Punctuation}', "");
Expect(0, 11809, '\p{^-_is_final_Punctuation}', "");
Expect(0, 11809, '\P{-_is_final_Punctuation}', "");
Expect(1, 11809, '\P{^-_is_final_Punctuation}', "");
Expect(0, 11810, '\p{-_is_final_Punctuation}', "");
Expect(1, 11810, '\p{^-_is_final_Punctuation}', "");
Expect(1, 11810, '\P{-_is_final_Punctuation}', "");
Expect(0, 11810, '\P{^-_is_final_Punctuation}', "");
Error('\p{-	Pf/a/}');
Error('\P{-	Pf/a/}');
Expect(1, 11809, '\p{pf}', "");
Expect(0, 11809, '\p{^pf}', "");
Expect(0, 11809, '\P{pf}', "");
Expect(1, 11809, '\P{^pf}', "");
Expect(0, 11810, '\p{pf}', "");
Expect(1, 11810, '\p{^pf}', "");
Expect(1, 11810, '\P{pf}', "");
Expect(0, 11810, '\P{^pf}', "");
Expect(1, 11809, '\p{-_PF}', "");
Expect(0, 11809, '\p{^-_PF}', "");
Expect(0, 11809, '\P{-_PF}', "");
Expect(1, 11809, '\P{^-_PF}', "");
Expect(0, 11810, '\p{-_PF}', "");
Expect(1, 11810, '\p{^-_PF}', "");
Expect(1, 11810, '\P{-_PF}', "");
Expect(0, 11810, '\P{^-_PF}', "");
Error('\p{-:=Is_PF}');
Error('\P{-:=Is_PF}');
Expect(1, 11809, '\p{ispf}', "");
Expect(0, 11809, '\p{^ispf}', "");
Expect(0, 11809, '\P{ispf}', "");
Expect(1, 11809, '\P{^ispf}', "");
Expect(0, 11810, '\p{ispf}', "");
Expect(1, 11810, '\p{^ispf}', "");
Expect(1, 11810, '\P{ispf}', "");
Expect(0, 11810, '\P{^ispf}', "");
Expect(1, 11809, '\p{ _Is_Pf}', "");
Expect(0, 11809, '\p{^ _Is_Pf}', "");
Expect(0, 11809, '\P{ _Is_Pf}', "");
Expect(1, 11809, '\P{^ _Is_Pf}', "");
Expect(0, 11810, '\p{ _Is_Pf}', "");
Expect(1, 11810, '\p{^ _Is_Pf}', "");
Expect(1, 11810, '\P{ _Is_Pf}', "");
Expect(0, 11810, '\P{^ _Is_Pf}', "");
Error('\p{/a/  Format}');
Error('\P{/a/  Format}');
Expect(1, 917631, '\p{format}', "");
Expect(0, 917631, '\p{^format}', "");
Expect(0, 917631, '\P{format}', "");
Expect(1, 917631, '\P{^format}', "");
Expect(0, 917632, '\p{format}', "");
Expect(1, 917632, '\p{^format}', "");
Expect(1, 917632, '\P{format}', "");
Expect(0, 917632, '\P{^format}', "");
Expect(1, 917631, '\p{		format}', "");
Expect(0, 917631, '\p{^		format}', "");
Expect(0, 917631, '\P{		format}', "");
Expect(1, 917631, '\P{^		format}', "");
Expect(0, 917632, '\p{		format}', "");
Expect(1, 917632, '\p{^		format}', "");
Expect(1, 917632, '\P{		format}', "");
Expect(0, 917632, '\P{^		format}', "");
Error('\p{ 	Is_Format:=}');
Error('\P{ 	Is_Format:=}');
Expect(1, 917631, '\p{isformat}', "");
Expect(0, 917631, '\p{^isformat}', "");
Expect(0, 917631, '\P{isformat}', "");
Expect(1, 917631, '\P{^isformat}', "");
Expect(0, 917632, '\p{isformat}', "");
Expect(1, 917632, '\p{^isformat}', "");
Expect(1, 917632, '\P{isformat}', "");
Expect(0, 917632, '\P{^isformat}', "");
Expect(1, 917631, '\p{ IS_format}', "");
Expect(0, 917631, '\p{^ IS_format}', "");
Expect(0, 917631, '\P{ IS_format}', "");
Expect(1, 917631, '\P{^ IS_format}', "");
Expect(0, 917632, '\p{ IS_format}', "");
Expect(1, 917632, '\p{^ IS_format}', "");
Expect(1, 917632, '\P{ IS_format}', "");
Expect(0, 917632, '\P{^ IS_format}', "");
Error('\p{/a/-_cf}');
Error('\P{/a/-_cf}');
Expect(1, 917631, '\p{cf}', "");
Expect(0, 917631, '\p{^cf}', "");
Expect(0, 917631, '\P{cf}', "");
Expect(1, 917631, '\P{^cf}', "");
Expect(0, 917632, '\p{cf}', "");
Expect(1, 917632, '\p{^cf}', "");
Expect(1, 917632, '\P{cf}', "");
Expect(0, 917632, '\P{^cf}', "");
Expect(1, 917631, '\p{- cf}', "");
Expect(0, 917631, '\p{^- cf}', "");
Expect(0, 917631, '\P{- cf}', "");
Expect(1, 917631, '\P{^- cf}', "");
Expect(0, 917632, '\p{- cf}', "");
Expect(1, 917632, '\p{^- cf}', "");
Expect(1, 917632, '\P{- cf}', "");
Expect(0, 917632, '\P{^- cf}', "");
Error('\p{-:=Is_Cf}');
Error('\P{-:=Is_Cf}');
Expect(1, 917631, '\p{iscf}', "");
Expect(0, 917631, '\p{^iscf}', "");
Expect(0, 917631, '\P{iscf}', "");
Expect(1, 917631, '\P{^iscf}', "");
Expect(0, 917632, '\p{iscf}', "");
Expect(1, 917632, '\p{^iscf}', "");
Expect(1, 917632, '\P{iscf}', "");
Expect(0, 917632, '\P{^iscf}', "");
Expect(1, 917631, '\p{  Is_CF}', "");
Expect(0, 917631, '\p{^  Is_CF}', "");
Expect(0, 917631, '\P{  Is_CF}', "");
Expect(1, 917631, '\P{^  Is_CF}', "");
Expect(0, 917632, '\p{  Is_CF}', "");
Expect(1, 917632, '\p{^  Is_CF}', "");
Expect(1, 917632, '\P{  Is_CF}', "");
Expect(0, 917632, '\P{^  Is_CF}', "");
Error('\p{ full_COMPOSITION_EXCLUSION/a/}');
Error('\P{ full_COMPOSITION_EXCLUSION/a/}');
Expect(1, 195101, '\p{fullcompositionexclusion}', "");
Expect(0, 195101, '\p{^fullcompositionexclusion}', "");
Expect(0, 195101, '\P{fullcompositionexclusion}', "");
Expect(1, 195101, '\P{^fullcompositionexclusion}', "");
Expect(0, 195102, '\p{fullcompositionexclusion}', "");
Expect(1, 195102, '\p{^fullcompositionexclusion}', "");
Expect(1, 195102, '\P{fullcompositionexclusion}', "");
Expect(0, 195102, '\P{^fullcompositionexclusion}', "");
Expect(1, 195101, '\p{_-Full_Composition_exclusion}', "");
Expect(0, 195101, '\p{^_-Full_Composition_exclusion}', "");
Expect(0, 195101, '\P{_-Full_Composition_exclusion}', "");
Expect(1, 195101, '\P{^_-Full_Composition_exclusion}', "");
Expect(0, 195102, '\p{_-Full_Composition_exclusion}', "");
Expect(1, 195102, '\p{^_-Full_Composition_exclusion}', "");
Expect(1, 195102, '\P{_-Full_Composition_exclusion}', "");
Expect(0, 195102, '\P{^_-Full_Composition_exclusion}', "");
Error('\p{_:=is_full_composition_Exclusion}');
Error('\P{_:=is_full_composition_Exclusion}');
Expect(1, 195101, '\p{isfullcompositionexclusion}', "");
Expect(0, 195101, '\p{^isfullcompositionexclusion}', "");
Expect(0, 195101, '\P{isfullcompositionexclusion}', "");
Expect(1, 195101, '\P{^isfullcompositionexclusion}', "");
Expect(0, 195102, '\p{isfullcompositionexclusion}', "");
Expect(1, 195102, '\p{^isfullcompositionexclusion}', "");
Expect(1, 195102, '\P{isfullcompositionexclusion}', "");
Expect(0, 195102, '\P{^isfullcompositionexclusion}', "");
Expect(1, 195101, '\p{ 	Is_Full_Composition_Exclusion}', "");
Expect(0, 195101, '\p{^ 	Is_Full_Composition_Exclusion}', "");
Expect(0, 195101, '\P{ 	Is_Full_Composition_Exclusion}', "");
Expect(1, 195101, '\P{^ 	Is_Full_Composition_Exclusion}', "");
Expect(0, 195102, '\p{ 	Is_Full_Composition_Exclusion}', "");
Expect(1, 195102, '\p{^ 	Is_Full_Composition_Exclusion}', "");
Expect(1, 195102, '\P{ 	Is_Full_Composition_Exclusion}', "");
Expect(0, 195102, '\P{^ 	Is_Full_Composition_Exclusion}', "");
Error('\p{:=COMP_ex}');
Error('\P{:=COMP_ex}');
Expect(1, 195101, '\p{compex}', "");
Expect(0, 195101, '\p{^compex}', "");
Expect(0, 195101, '\P{compex}', "");
Expect(1, 195101, '\P{^compex}', "");
Expect(0, 195102, '\p{compex}', "");
Expect(1, 195102, '\p{^compex}', "");
Expect(1, 195102, '\P{compex}', "");
Expect(0, 195102, '\P{^compex}', "");
Expect(1, 195101, '\p{_	Comp_EX}', "");
Expect(0, 195101, '\p{^_	Comp_EX}', "");
Expect(0, 195101, '\P{_	Comp_EX}', "");
Expect(1, 195101, '\P{^_	Comp_EX}', "");
Expect(0, 195102, '\p{_	Comp_EX}', "");
Expect(1, 195102, '\p{^_	Comp_EX}', "");
Expect(1, 195102, '\P{_	Comp_EX}', "");
Expect(0, 195102, '\P{^_	Comp_EX}', "");
Error('\p{-is_comp_Ex/a/}');
Error('\P{-is_comp_Ex/a/}');
Expect(1, 195101, '\p{iscompex}', "");
Expect(0, 195101, '\p{^iscompex}', "");
Expect(0, 195101, '\P{iscompex}', "");
Expect(1, 195101, '\P{^iscompex}', "");
Expect(0, 195102, '\p{iscompex}', "");
Expect(1, 195102, '\p{^iscompex}', "");
Expect(1, 195102, '\P{iscompex}', "");
Expect(0, 195102, '\P{^iscompex}', "");
Expect(1, 195101, '\p{_Is_comp_Ex}', "");
Expect(0, 195101, '\p{^_Is_comp_Ex}', "");
Expect(0, 195101, '\P{_Is_comp_Ex}', "");
Expect(1, 195101, '\P{^_Is_comp_Ex}', "");
Expect(0, 195102, '\p{_Is_comp_Ex}', "");
Expect(1, 195102, '\p{^_Is_comp_Ex}', "");
Expect(1, 195102, '\P{_Is_comp_Ex}', "");
Expect(0, 195102, '\P{^_Is_comp_Ex}', "");
Error('\p{ General_punctuation/a/}');
Error('\P{ General_punctuation/a/}');
Expect(1, 8303, '\p{generalpunctuation}', "");
Expect(0, 8303, '\p{^generalpunctuation}', "");
Expect(0, 8303, '\P{generalpunctuation}', "");
Expect(1, 8303, '\P{^generalpunctuation}', "");
Expect(0, 8304, '\p{generalpunctuation}', "");
Expect(1, 8304, '\p{^generalpunctuation}', "");
Expect(1, 8304, '\P{generalpunctuation}', "");
Expect(0, 8304, '\P{^generalpunctuation}', "");
Expect(1, 8303, '\p{_	General_PUNCTUATION}', "");
Expect(0, 8303, '\p{^_	General_PUNCTUATION}', "");
Expect(0, 8303, '\P{_	General_PUNCTUATION}', "");
Expect(1, 8303, '\P{^_	General_PUNCTUATION}', "");
Expect(0, 8304, '\p{_	General_PUNCTUATION}', "");
Expect(1, 8304, '\p{^_	General_PUNCTUATION}', "");
Expect(1, 8304, '\P{_	General_PUNCTUATION}', "");
Expect(0, 8304, '\P{^_	General_PUNCTUATION}', "");
Error('\p{-IS_general_punctuation/a/}');
Error('\P{-IS_general_punctuation/a/}');
Expect(1, 8303, '\p{isgeneralpunctuation}', "");
Expect(0, 8303, '\p{^isgeneralpunctuation}', "");
Expect(0, 8303, '\P{isgeneralpunctuation}', "");
Expect(1, 8303, '\P{^isgeneralpunctuation}', "");
Expect(0, 8304, '\p{isgeneralpunctuation}', "");
Expect(1, 8304, '\p{^isgeneralpunctuation}', "");
Expect(1, 8304, '\P{isgeneralpunctuation}', "");
Expect(0, 8304, '\P{^isgeneralpunctuation}', "");
Expect(1, 8303, '\p{-Is_General_punctuation}', "");
Expect(0, 8303, '\p{^-Is_General_punctuation}', "");
Expect(0, 8303, '\P{-Is_General_punctuation}', "");
Expect(1, 8303, '\P{^-Is_General_punctuation}', "");
Expect(0, 8304, '\p{-Is_General_punctuation}', "");
Expect(1, 8304, '\p{^-Is_General_punctuation}', "");
Expect(1, 8304, '\P{-Is_General_punctuation}', "");
Expect(0, 8304, '\P{^-Is_General_punctuation}', "");
Error('\p{-/a/In_General_Punctuation}');
Error('\P{-/a/In_General_Punctuation}');
Expect(1, 8303, '\p{ingeneralpunctuation}', "");
Expect(0, 8303, '\p{^ingeneralpunctuation}', "");
Expect(0, 8303, '\P{ingeneralpunctuation}', "");
Expect(1, 8303, '\P{^ingeneralpunctuation}', "");
Expect(0, 8304, '\p{ingeneralpunctuation}', "");
Expect(1, 8304, '\p{^ingeneralpunctuation}', "");
Expect(1, 8304, '\P{ingeneralpunctuation}', "");
Expect(0, 8304, '\P{^ingeneralpunctuation}', "");
Expect(1, 8303, '\p{	In_General_PUNCTUATION}', "");
Expect(0, 8303, '\p{^	In_General_PUNCTUATION}', "");
Expect(0, 8303, '\P{	In_General_PUNCTUATION}', "");
Expect(1, 8303, '\P{^	In_General_PUNCTUATION}', "");
Expect(0, 8304, '\p{	In_General_PUNCTUATION}', "");
Expect(1, 8304, '\p{^	In_General_PUNCTUATION}', "");
Expect(1, 8304, '\P{	In_General_PUNCTUATION}', "");
Expect(0, 8304, '\P{^	In_General_PUNCTUATION}', "");
Error('\p{--IN_Punctuation/a/}');
Error('\P{--IN_Punctuation/a/}');
Expect(1, 8303, '\p{inpunctuation}', "");
Expect(0, 8303, '\p{^inpunctuation}', "");
Expect(0, 8303, '\P{inpunctuation}', "");
Expect(1, 8303, '\P{^inpunctuation}', "");
Expect(0, 8304, '\p{inpunctuation}', "");
Expect(1, 8304, '\p{^inpunctuation}', "");
Expect(1, 8304, '\P{inpunctuation}', "");
Expect(0, 8304, '\P{^inpunctuation}', "");
Expect(1, 8303, '\p{ 	In_Punctuation}', "");
Expect(0, 8303, '\p{^ 	In_Punctuation}', "");
Expect(0, 8303, '\P{ 	In_Punctuation}', "");
Expect(1, 8303, '\P{^ 	In_Punctuation}', "");
Expect(0, 8304, '\p{ 	In_Punctuation}', "");
Expect(1, 8304, '\p{^ 	In_Punctuation}', "");
Expect(1, 8304, '\P{ 	In_Punctuation}', "");
Expect(0, 8304, '\P{^ 	In_Punctuation}', "");
Error('\p{/a/	Geometric_SHAPES}');
Error('\P{/a/	Geometric_SHAPES}');
Expect(1, 9727, '\p{geometricshapes}', "");
Expect(0, 9727, '\p{^geometricshapes}', "");
Expect(0, 9727, '\P{geometricshapes}', "");
Expect(1, 9727, '\P{^geometricshapes}', "");
Expect(0, 9728, '\p{geometricshapes}', "");
Expect(1, 9728, '\p{^geometricshapes}', "");
Expect(1, 9728, '\P{geometricshapes}', "");
Expect(0, 9728, '\P{^geometricshapes}', "");
Expect(1, 9727, '\p{_Geometric_SHAPES}', "");
Expect(0, 9727, '\p{^_Geometric_SHAPES}', "");
Expect(0, 9727, '\P{_Geometric_SHAPES}', "");
Expect(1, 9727, '\P{^_Geometric_SHAPES}', "");
Expect(0, 9728, '\p{_Geometric_SHAPES}', "");
Expect(1, 9728, '\p{^_Geometric_SHAPES}', "");
Expect(1, 9728, '\P{_Geometric_SHAPES}', "");
Expect(0, 9728, '\P{^_Geometric_SHAPES}', "");
Error('\p{	/a/is_geometric_Shapes}');
Error('\P{	/a/is_geometric_Shapes}');
Expect(1, 9727, '\p{isgeometricshapes}', "");
Expect(0, 9727, '\p{^isgeometricshapes}', "");
Expect(0, 9727, '\P{isgeometricshapes}', "");
Expect(1, 9727, '\P{^isgeometricshapes}', "");
Expect(0, 9728, '\p{isgeometricshapes}', "");
Expect(1, 9728, '\p{^isgeometricshapes}', "");
Expect(1, 9728, '\P{isgeometricshapes}', "");
Expect(0, 9728, '\P{^isgeometricshapes}', "");
Expect(1, 9727, '\p{		is_Geometric_Shapes}', "");
Expect(0, 9727, '\p{^		is_Geometric_Shapes}', "");
Expect(0, 9727, '\P{		is_Geometric_Shapes}', "");
Expect(1, 9727, '\P{^		is_Geometric_Shapes}', "");
Expect(0, 9728, '\p{		is_Geometric_Shapes}', "");
Expect(1, 9728, '\p{^		is_Geometric_Shapes}', "");
Expect(1, 9728, '\P{		is_Geometric_Shapes}', "");
Expect(0, 9728, '\P{^		is_Geometric_Shapes}', "");
Error('\p{_/a/IN_geometric_Shapes}');
Error('\P{_/a/IN_geometric_Shapes}');
Expect(1, 9727, '\p{ingeometricshapes}', "");
Expect(0, 9727, '\p{^ingeometricshapes}', "");
Expect(0, 9727, '\P{ingeometricshapes}', "");
Expect(1, 9727, '\P{^ingeometricshapes}', "");
Expect(0, 9728, '\p{ingeometricshapes}', "");
Expect(1, 9728, '\p{^ingeometricshapes}', "");
Expect(1, 9728, '\P{ingeometricshapes}', "");
Expect(0, 9728, '\P{^ingeometricshapes}', "");
Expect(1, 9727, '\p{	 IN_Geometric_Shapes}', "");
Expect(0, 9727, '\p{^	 IN_Geometric_Shapes}', "");
Expect(0, 9727, '\P{	 IN_Geometric_Shapes}', "");
Expect(1, 9727, '\P{^	 IN_Geometric_Shapes}', "");
Expect(0, 9728, '\p{	 IN_Geometric_Shapes}', "");
Expect(1, 9728, '\p{^	 IN_Geometric_Shapes}', "");
Expect(1, 9728, '\P{	 IN_Geometric_Shapes}', "");
Expect(0, 9728, '\P{^	 IN_Geometric_Shapes}', "");
Error('\p{-/a/Geometric_SHAPES_Extended}');
Error('\P{-/a/Geometric_SHAPES_Extended}');
Expect(1, 129023, '\p{geometricshapesextended}', "");
Expect(0, 129023, '\p{^geometricshapesextended}', "");
Expect(0, 129023, '\P{geometricshapesextended}', "");
Expect(1, 129023, '\P{^geometricshapesextended}', "");
Expect(0, 129024, '\p{geometricshapesextended}', "");
Expect(1, 129024, '\p{^geometricshapesextended}', "");
Expect(1, 129024, '\P{geometricshapesextended}', "");
Expect(0, 129024, '\P{^geometricshapesextended}', "");
Expect(1, 129023, '\p{	Geometric_shapes_Extended}', "");
Expect(0, 129023, '\p{^	Geometric_shapes_Extended}', "");
Expect(0, 129023, '\P{	Geometric_shapes_Extended}', "");
Expect(1, 129023, '\P{^	Geometric_shapes_Extended}', "");
Expect(0, 129024, '\p{	Geometric_shapes_Extended}', "");
Expect(1, 129024, '\p{^	Geometric_shapes_Extended}', "");
Expect(1, 129024, '\P{	Geometric_shapes_Extended}', "");
Expect(0, 129024, '\P{^	Geometric_shapes_Extended}', "");
Error('\p{-:=is_GEOMETRIC_SHAPES_extended}');
Error('\P{-:=is_GEOMETRIC_SHAPES_extended}');
Expect(1, 129023, '\p{isgeometricshapesextended}', "");
Expect(0, 129023, '\p{^isgeometricshapesextended}', "");
Expect(0, 129023, '\P{isgeometricshapesextended}', "");
Expect(1, 129023, '\P{^isgeometricshapesextended}', "");
Expect(0, 129024, '\p{isgeometricshapesextended}', "");
Expect(1, 129024, '\p{^isgeometricshapesextended}', "");
Expect(1, 129024, '\P{isgeometricshapesextended}', "");
Expect(0, 129024, '\P{^isgeometricshapesextended}', "");
Expect(1, 129023, '\p{IS_geometric_Shapes_extended}', "");
Expect(0, 129023, '\p{^IS_geometric_Shapes_extended}', "");
Expect(0, 129023, '\P{IS_geometric_Shapes_extended}', "");
Expect(1, 129023, '\P{^IS_geometric_Shapes_extended}', "");
Expect(0, 129024, '\p{IS_geometric_Shapes_extended}', "");
Expect(1, 129024, '\p{^IS_geometric_Shapes_extended}', "");
Expect(1, 129024, '\P{IS_geometric_Shapes_extended}', "");
Expect(0, 129024, '\P{^IS_geometric_Shapes_extended}', "");
Error('\p{:=	In_Geometric_Shapes_Extended}');
Error('\P{:=	In_Geometric_Shapes_Extended}');
Expect(1, 129023, '\p{ingeometricshapesextended}', "");
Expect(0, 129023, '\p{^ingeometricshapesextended}', "");
Expect(0, 129023, '\P{ingeometricshapesextended}', "");
Expect(1, 129023, '\P{^ingeometricshapesextended}', "");
Expect(0, 129024, '\p{ingeometricshapesextended}', "");
Expect(1, 129024, '\p{^ingeometricshapesextended}', "");
Expect(1, 129024, '\P{ingeometricshapesextended}', "");
Expect(0, 129024, '\P{^ingeometricshapesextended}', "");
Expect(1, 129023, '\p{	 In_Geometric_Shapes_Extended}', "");
Expect(0, 129023, '\p{^	 In_Geometric_Shapes_Extended}', "");
Expect(0, 129023, '\P{	 In_Geometric_Shapes_Extended}', "");
Expect(1, 129023, '\P{^	 In_Geometric_Shapes_Extended}', "");
Expect(0, 129024, '\p{	 In_Geometric_Shapes_Extended}', "");
Expect(1, 129024, '\p{^	 In_Geometric_Shapes_Extended}', "");
Expect(1, 129024, '\P{	 In_Geometric_Shapes_Extended}', "");
Expect(0, 129024, '\P{^	 In_Geometric_Shapes_Extended}', "");
Error('\p{		Geometric_Shapes_Ext/a/}');
Error('\P{		Geometric_Shapes_Ext/a/}');
Expect(1, 129023, '\p{geometricshapesext}', "");
Expect(0, 129023, '\p{^geometricshapesext}', "");
Expect(0, 129023, '\P{geometricshapesext}', "");
Expect(1, 129023, '\P{^geometricshapesext}', "");
Expect(0, 129024, '\p{geometricshapesext}', "");
Expect(1, 129024, '\p{^geometricshapesext}', "");
Expect(1, 129024, '\P{geometricshapesext}', "");
Expect(0, 129024, '\P{^geometricshapesext}', "");
Expect(1, 129023, '\p{  Geometric_Shapes_EXT}', "");
Expect(0, 129023, '\p{^  Geometric_Shapes_EXT}', "");
Expect(0, 129023, '\P{  Geometric_Shapes_EXT}', "");
Expect(1, 129023, '\P{^  Geometric_Shapes_EXT}', "");
Expect(0, 129024, '\p{  Geometric_Shapes_EXT}', "");
Expect(1, 129024, '\p{^  Geometric_Shapes_EXT}', "");
Expect(1, 129024, '\P{  Geometric_Shapes_EXT}', "");
Expect(0, 129024, '\P{^  Geometric_Shapes_EXT}', "");
Error('\p{-/a/is_Geometric_SHAPES_EXT}');
Error('\P{-/a/is_Geometric_SHAPES_EXT}');
Expect(1, 129023, '\p{isgeometricshapesext}', "");
Expect(0, 129023, '\p{^isgeometricshapesext}', "");
Expect(0, 129023, '\P{isgeometricshapesext}', "");
Expect(1, 129023, '\P{^isgeometricshapesext}', "");
Expect(0, 129024, '\p{isgeometricshapesext}', "");
Expect(1, 129024, '\p{^isgeometricshapesext}', "");
Expect(1, 129024, '\P{isgeometricshapesext}', "");
Expect(0, 129024, '\P{^isgeometricshapesext}', "");
Expect(1, 129023, '\p{-Is_geometric_shapes_Ext}', "");
Expect(0, 129023, '\p{^-Is_geometric_shapes_Ext}', "");
Expect(0, 129023, '\P{-Is_geometric_shapes_Ext}', "");
Expect(1, 129023, '\P{^-Is_geometric_shapes_Ext}', "");
Expect(0, 129024, '\p{-Is_geometric_shapes_Ext}', "");
Expect(1, 129024, '\p{^-Is_geometric_shapes_Ext}', "");
Expect(1, 129024, '\P{-Is_geometric_shapes_Ext}', "");
Expect(0, 129024, '\P{^-Is_geometric_shapes_Ext}', "");
Error('\p{	/a/In_geometric_Shapes_Ext}');
Error('\P{	/a/In_geometric_Shapes_Ext}');
Expect(1, 129023, '\p{ingeometricshapesext}', "");
Expect(0, 129023, '\p{^ingeometricshapesext}', "");
Expect(0, 129023, '\P{ingeometricshapesext}', "");
Expect(1, 129023, '\P{^ingeometricshapesext}', "");
Expect(0, 129024, '\p{ingeometricshapesext}', "");
Expect(1, 129024, '\p{^ingeometricshapesext}', "");
Expect(1, 129024, '\P{ingeometricshapesext}', "");
Expect(0, 129024, '\P{^ingeometricshapesext}', "");
Expect(1, 129023, '\p{		IN_Geometric_shapes_Ext}', "");
Expect(0, 129023, '\p{^		IN_Geometric_shapes_Ext}', "");
Expect(0, 129023, '\P{		IN_Geometric_shapes_Ext}', "");
Expect(1, 129023, '\P{^		IN_Geometric_shapes_Ext}', "");
Expect(0, 129024, '\p{		IN_Geometric_shapes_Ext}', "");
Expect(1, 129024, '\p{^		IN_Geometric_shapes_Ext}', "");
Expect(1, 129024, '\P{		IN_Geometric_shapes_Ext}', "");
Expect(0, 129024, '\P{^		IN_Geometric_shapes_Ext}', "");
Error('\p{:=	GEORGIAN}');
Error('\P{:=	GEORGIAN}');
Expect(1, 11565, '\p{georgian}', "");
Expect(0, 11565, '\p{^georgian}', "");
Expect(0, 11565, '\P{georgian}', "");
Expect(1, 11565, '\P{^georgian}', "");
Expect(0, 11566, '\p{georgian}', "");
Expect(1, 11566, '\p{^georgian}', "");
Expect(1, 11566, '\P{georgian}', "");
Expect(0, 11566, '\P{^georgian}', "");
Expect(1, 11565, '\p{-_Georgian}', "");
Expect(0, 11565, '\p{^-_Georgian}', "");
Expect(0, 11565, '\P{-_Georgian}', "");
Expect(1, 11565, '\P{^-_Georgian}', "");
Expect(0, 11566, '\p{-_Georgian}', "");
Expect(1, 11566, '\p{^-_Georgian}', "");
Expect(1, 11566, '\P{-_Georgian}', "");
Expect(0, 11566, '\P{^-_Georgian}', "");
Error('\p{/a/_-Is_Georgian}');
Error('\P{/a/_-Is_Georgian}');
Expect(1, 11565, '\p{isgeorgian}', "");
Expect(0, 11565, '\p{^isgeorgian}', "");
Expect(0, 11565, '\P{isgeorgian}', "");
Expect(1, 11565, '\P{^isgeorgian}', "");
Expect(0, 11566, '\p{isgeorgian}', "");
Expect(1, 11566, '\p{^isgeorgian}', "");
Expect(1, 11566, '\P{isgeorgian}', "");
Expect(0, 11566, '\P{^isgeorgian}', "");
Expect(1, 11565, '\p{ Is_Georgian}', "");
Expect(0, 11565, '\p{^ Is_Georgian}', "");
Expect(0, 11565, '\P{ Is_Georgian}', "");
Expect(1, 11565, '\P{^ Is_Georgian}', "");
Expect(0, 11566, '\p{ Is_Georgian}', "");
Expect(1, 11566, '\p{^ Is_Georgian}', "");
Expect(1, 11566, '\P{ Is_Georgian}', "");
Expect(0, 11566, '\P{^ Is_Georgian}', "");
Error('\p{/a/_ Geor}');
Error('\P{/a/_ Geor}');
Expect(1, 11565, '\p{geor}', "");
Expect(0, 11565, '\p{^geor}', "");
Expect(0, 11565, '\P{geor}', "");
Expect(1, 11565, '\P{^geor}', "");
Expect(0, 11566, '\p{geor}', "");
Expect(1, 11566, '\p{^geor}', "");
Expect(1, 11566, '\P{geor}', "");
Expect(0, 11566, '\P{^geor}', "");
Expect(1, 11565, '\p{	-geor}', "");
Expect(0, 11565, '\p{^	-geor}', "");
Expect(0, 11565, '\P{	-geor}', "");
Expect(1, 11565, '\P{^	-geor}', "");
Expect(0, 11566, '\p{	-geor}', "");
Expect(1, 11566, '\p{^	-geor}', "");
Expect(1, 11566, '\P{	-geor}', "");
Expect(0, 11566, '\P{^	-geor}', "");
Error('\p{:=Is_Geor}');
Error('\P{:=Is_Geor}');
Expect(1, 11565, '\p{isgeor}', "");
Expect(0, 11565, '\p{^isgeor}', "");
Expect(0, 11565, '\P{isgeor}', "");
Expect(1, 11565, '\P{^isgeor}', "");
Expect(0, 11566, '\p{isgeor}', "");
Expect(1, 11566, '\p{^isgeor}', "");
Expect(1, 11566, '\P{isgeor}', "");
Expect(0, 11566, '\P{^isgeor}', "");
Expect(1, 11565, '\p{  Is_Geor}', "");
Expect(0, 11565, '\p{^  Is_Geor}', "");
Expect(0, 11565, '\P{  Is_Geor}', "");
Expect(1, 11565, '\P{^  Is_Geor}', "");
Expect(0, 11566, '\p{  Is_Geor}', "");
Expect(1, 11566, '\p{^  Is_Geor}', "");
Expect(1, 11566, '\P{  Is_Geor}', "");
Expect(0, 11566, '\P{^  Is_Geor}', "");
Error('\p{/a/- Georgian_Supplement}');
Error('\P{/a/- Georgian_Supplement}');
Expect(1, 11567, '\p{georgiansupplement}', "");
Expect(0, 11567, '\p{^georgiansupplement}', "");
Expect(0, 11567, '\P{georgiansupplement}', "");
Expect(1, 11567, '\P{^georgiansupplement}', "");
Expect(0, 11568, '\p{georgiansupplement}', "");
Expect(1, 11568, '\p{^georgiansupplement}', "");
Expect(1, 11568, '\P{georgiansupplement}', "");
Expect(0, 11568, '\P{^georgiansupplement}', "");
Expect(1, 11567, '\p{ GEORGIAN_SUPPLEMENT}', "");
Expect(0, 11567, '\p{^ GEORGIAN_SUPPLEMENT}', "");
Expect(0, 11567, '\P{ GEORGIAN_SUPPLEMENT}', "");
Expect(1, 11567, '\P{^ GEORGIAN_SUPPLEMENT}', "");
Expect(0, 11568, '\p{ GEORGIAN_SUPPLEMENT}', "");
Expect(1, 11568, '\p{^ GEORGIAN_SUPPLEMENT}', "");
Expect(1, 11568, '\P{ GEORGIAN_SUPPLEMENT}', "");
Expect(0, 11568, '\P{^ GEORGIAN_SUPPLEMENT}', "");
Error('\p{	is_Georgian_SUPPLEMENT:=}');
Error('\P{	is_Georgian_SUPPLEMENT:=}');
Expect(1, 11567, '\p{isgeorgiansupplement}', "");
Expect(0, 11567, '\p{^isgeorgiansupplement}', "");
Expect(0, 11567, '\P{isgeorgiansupplement}', "");
Expect(1, 11567, '\P{^isgeorgiansupplement}', "");
Expect(0, 11568, '\p{isgeorgiansupplement}', "");
Expect(1, 11568, '\p{^isgeorgiansupplement}', "");
Expect(1, 11568, '\P{isgeorgiansupplement}', "");
Expect(0, 11568, '\P{^isgeorgiansupplement}', "");
Expect(1, 11567, '\p{	is_GEORGIAN_Supplement}', "");
Expect(0, 11567, '\p{^	is_GEORGIAN_Supplement}', "");
Expect(0, 11567, '\P{	is_GEORGIAN_Supplement}', "");
Expect(1, 11567, '\P{^	is_GEORGIAN_Supplement}', "");
Expect(0, 11568, '\p{	is_GEORGIAN_Supplement}', "");
Expect(1, 11568, '\p{^	is_GEORGIAN_Supplement}', "");
Expect(1, 11568, '\P{	is_GEORGIAN_Supplement}', "");
Expect(0, 11568, '\P{^	is_GEORGIAN_Supplement}', "");
Error('\p{-	in_GEORGIAN_Supplement/a/}');
Error('\P{-	in_GEORGIAN_Supplement/a/}');
Expect(1, 11567, '\p{ingeorgiansupplement}', "");
Expect(0, 11567, '\p{^ingeorgiansupplement}', "");
Expect(0, 11567, '\P{ingeorgiansupplement}', "");
Expect(1, 11567, '\P{^ingeorgiansupplement}', "");
Expect(0, 11568, '\p{ingeorgiansupplement}', "");
Expect(1, 11568, '\p{^ingeorgiansupplement}', "");
Expect(1, 11568, '\P{ingeorgiansupplement}', "");
Expect(0, 11568, '\P{^ingeorgiansupplement}', "");
Expect(1, 11567, '\p{in_Georgian_Supplement}', "");
Expect(0, 11567, '\p{^in_Georgian_Supplement}', "");
Expect(0, 11567, '\P{in_Georgian_Supplement}', "");
Expect(1, 11567, '\P{^in_Georgian_Supplement}', "");
Expect(0, 11568, '\p{in_Georgian_Supplement}', "");
Expect(1, 11568, '\p{^in_Georgian_Supplement}', "");
Expect(1, 11568, '\P{in_Georgian_Supplement}', "");
Expect(0, 11568, '\P{^in_Georgian_Supplement}', "");
Error('\p{_	Georgian_SUP:=}');
Error('\P{_	Georgian_SUP:=}');
Expect(1, 11567, '\p{georgiansup}', "");
Expect(0, 11567, '\p{^georgiansup}', "");
Expect(0, 11567, '\P{georgiansup}', "");
Expect(1, 11567, '\P{^georgiansup}', "");
Expect(0, 11568, '\p{georgiansup}', "");
Expect(1, 11568, '\p{^georgiansup}', "");
Expect(1, 11568, '\P{georgiansup}', "");
Expect(0, 11568, '\P{^georgiansup}', "");
Expect(1, 11567, '\p{	Georgian_SUP}', "");
Expect(0, 11567, '\p{^	Georgian_SUP}', "");
Expect(0, 11567, '\P{	Georgian_SUP}', "");
Expect(1, 11567, '\P{^	Georgian_SUP}', "");
Expect(0, 11568, '\p{	Georgian_SUP}', "");
Expect(1, 11568, '\p{^	Georgian_SUP}', "");
Expect(1, 11568, '\P{	Georgian_SUP}', "");
Expect(0, 11568, '\P{^	Georgian_SUP}', "");
Error('\p{:=_IS_georgian_SUP}');
Error('\P{:=_IS_georgian_SUP}');
Expect(1, 11567, '\p{isgeorgiansup}', "");
Expect(0, 11567, '\p{^isgeorgiansup}', "");
Expect(0, 11567, '\P{isgeorgiansup}', "");
Expect(1, 11567, '\P{^isgeorgiansup}', "");
Expect(0, 11568, '\p{isgeorgiansup}', "");
Expect(1, 11568, '\p{^isgeorgiansup}', "");
Expect(1, 11568, '\P{isgeorgiansup}', "");
Expect(0, 11568, '\P{^isgeorgiansup}', "");
Expect(1, 11567, '\p{_ Is_Georgian_sup}', "");
Expect(0, 11567, '\p{^_ Is_Georgian_sup}', "");
Expect(0, 11567, '\P{_ Is_Georgian_sup}', "");
Expect(1, 11567, '\P{^_ Is_Georgian_sup}', "");
Expect(0, 11568, '\p{_ Is_Georgian_sup}', "");
Expect(1, 11568, '\p{^_ Is_Georgian_sup}', "");
Expect(1, 11568, '\P{_ Is_Georgian_sup}', "");
Expect(0, 11568, '\P{^_ Is_Georgian_sup}', "");
Error('\p{/a/In_georgian_Sup}');
Error('\P{/a/In_georgian_Sup}');
Expect(1, 11567, '\p{ingeorgiansup}', "");
Expect(0, 11567, '\p{^ingeorgiansup}', "");
Expect(0, 11567, '\P{ingeorgiansup}', "");
Expect(1, 11567, '\P{^ingeorgiansup}', "");
Expect(0, 11568, '\p{ingeorgiansup}', "");
Expect(1, 11568, '\p{^ingeorgiansup}', "");
Expect(1, 11568, '\P{ingeorgiansup}', "");
Expect(0, 11568, '\P{^ingeorgiansup}', "");
Expect(1, 11567, '\p{ 	IN_georgian_sup}', "");
Expect(0, 11567, '\p{^ 	IN_georgian_sup}', "");
Expect(0, 11567, '\P{ 	IN_georgian_sup}', "");
Expect(1, 11567, '\P{^ 	IN_georgian_sup}', "");
Expect(0, 11568, '\p{ 	IN_georgian_sup}', "");
Expect(1, 11568, '\p{^ 	IN_georgian_sup}', "");
Expect(1, 11568, '\P{ 	IN_georgian_sup}', "");
Expect(0, 11568, '\P{^ 	IN_georgian_sup}', "");
Error('\p{/a/_-glagolitic}');
Error('\P{/a/_-glagolitic}');
Expect(1, 11358, '\p{glagolitic}', "");
Expect(0, 11358, '\p{^glagolitic}', "");
Expect(0, 11358, '\P{glagolitic}', "");
Expect(1, 11358, '\P{^glagolitic}', "");
Expect(0, 11359, '\p{glagolitic}', "");
Expect(1, 11359, '\p{^glagolitic}', "");
Expect(1, 11359, '\P{glagolitic}', "");
Expect(0, 11359, '\P{^glagolitic}', "");
Expect(1, 11358, '\p{ -Glagolitic}', "");
Expect(0, 11358, '\p{^ -Glagolitic}', "");
Expect(0, 11358, '\P{ -Glagolitic}', "");
Expect(1, 11358, '\P{^ -Glagolitic}', "");
Expect(0, 11359, '\p{ -Glagolitic}', "");
Expect(1, 11359, '\p{^ -Glagolitic}', "");
Expect(1, 11359, '\P{ -Glagolitic}', "");
Expect(0, 11359, '\P{^ -Glagolitic}', "");
Error('\p{	/a/IS_Glagolitic}');
Error('\P{	/a/IS_Glagolitic}');
Expect(1, 11358, '\p{isglagolitic}', "");
Expect(0, 11358, '\p{^isglagolitic}', "");
Expect(0, 11358, '\P{isglagolitic}', "");
Expect(1, 11358, '\P{^isglagolitic}', "");
Expect(0, 11359, '\p{isglagolitic}', "");
Expect(1, 11359, '\p{^isglagolitic}', "");
Expect(1, 11359, '\P{isglagolitic}', "");
Expect(0, 11359, '\P{^isglagolitic}', "");
Expect(1, 11358, '\p{_ is_Glagolitic}', "");
Expect(0, 11358, '\p{^_ is_Glagolitic}', "");
Expect(0, 11358, '\P{_ is_Glagolitic}', "");
Expect(1, 11358, '\P{^_ is_Glagolitic}', "");
Expect(0, 11359, '\p{_ is_Glagolitic}', "");
Expect(1, 11359, '\p{^_ is_Glagolitic}', "");
Expect(1, 11359, '\P{_ is_Glagolitic}', "");
Expect(0, 11359, '\P{^_ is_Glagolitic}', "");
Error('\p{ _Glag:=}');
Error('\P{ _Glag:=}');
Expect(1, 11358, '\p{glag}', "");
Expect(0, 11358, '\p{^glag}', "");
Expect(0, 11358, '\P{glag}', "");
Expect(1, 11358, '\P{^glag}', "");
Expect(0, 11359, '\p{glag}', "");
Expect(1, 11359, '\p{^glag}', "");
Expect(1, 11359, '\P{glag}', "");
Expect(0, 11359, '\P{^glag}', "");
Expect(1, 11358, '\p{_Glag}', "");
Expect(0, 11358, '\p{^_Glag}', "");
Expect(0, 11358, '\P{_Glag}', "");
Expect(1, 11358, '\P{^_Glag}', "");
Expect(0, 11359, '\p{_Glag}', "");
Expect(1, 11359, '\p{^_Glag}', "");
Expect(1, 11359, '\P{_Glag}', "");
Expect(0, 11359, '\P{^_Glag}', "");
Error('\p{ :=is_GLAG}');
Error('\P{ :=is_GLAG}');
Expect(1, 11358, '\p{isglag}', "");
Expect(0, 11358, '\p{^isglag}', "");
Expect(0, 11358, '\P{isglag}', "");
Expect(1, 11358, '\P{^isglag}', "");
Expect(0, 11359, '\p{isglag}', "");
Expect(1, 11359, '\p{^isglag}', "");
Expect(1, 11359, '\P{isglag}', "");
Expect(0, 11359, '\P{^isglag}', "");
Expect(1, 11358, '\p{	-Is_glag}', "");
Expect(0, 11358, '\p{^	-Is_glag}', "");
Expect(0, 11358, '\P{	-Is_glag}', "");
Expect(1, 11358, '\P{^	-Is_glag}', "");
Expect(0, 11359, '\p{	-Is_glag}', "");
Expect(1, 11359, '\p{^	-Is_glag}', "");
Expect(1, 11359, '\P{	-Is_glag}', "");
Expect(0, 11359, '\P{^	-Is_glag}', "");
Error('\p{_Gothic:=}');
Error('\P{_Gothic:=}');
Expect(1, 66378, '\p{gothic}', "");
Expect(0, 66378, '\p{^gothic}', "");
Expect(0, 66378, '\P{gothic}', "");
Expect(1, 66378, '\P{^gothic}', "");
Expect(0, 66379, '\p{gothic}', "");
Expect(1, 66379, '\p{^gothic}', "");
Expect(1, 66379, '\P{gothic}', "");
Expect(0, 66379, '\P{^gothic}', "");
Expect(1, 66378, '\p{- Gothic}', "");
Expect(0, 66378, '\p{^- Gothic}', "");
Expect(0, 66378, '\P{- Gothic}', "");
Expect(1, 66378, '\P{^- Gothic}', "");
Expect(0, 66379, '\p{- Gothic}', "");
Expect(1, 66379, '\p{^- Gothic}', "");
Expect(1, 66379, '\P{- Gothic}', "");
Expect(0, 66379, '\P{^- Gothic}', "");
Error('\p{_/a/IS_GOTHIC}');
Error('\P{_/a/IS_GOTHIC}');
Expect(1, 66378, '\p{isgothic}', "");
Expect(0, 66378, '\p{^isgothic}', "");
Expect(0, 66378, '\P{isgothic}', "");
Expect(1, 66378, '\P{^isgothic}', "");
Expect(0, 66379, '\p{isgothic}', "");
Expect(1, 66379, '\p{^isgothic}', "");
Expect(1, 66379, '\P{isgothic}', "");
Expect(0, 66379, '\P{^isgothic}', "");
Expect(1, 66378, '\p{-_Is_Gothic}', "");
Expect(0, 66378, '\p{^-_Is_Gothic}', "");
Expect(0, 66378, '\P{-_Is_Gothic}', "");
Expect(1, 66378, '\P{^-_Is_Gothic}', "");
Expect(0, 66379, '\p{-_Is_Gothic}', "");
Expect(1, 66379, '\p{^-_Is_Gothic}', "");
Expect(1, 66379, '\P{-_Is_Gothic}', "");
Expect(0, 66379, '\P{^-_Is_Gothic}', "");
Error('\p{:=-_Goth}');
Error('\P{:=-_Goth}');
Expect(1, 66378, '\p{goth}', "");
Expect(0, 66378, '\p{^goth}', "");
Expect(0, 66378, '\P{goth}', "");
Expect(1, 66378, '\P{^goth}', "");
Expect(0, 66379, '\p{goth}', "");
Expect(1, 66379, '\p{^goth}', "");
Expect(1, 66379, '\P{goth}', "");
Expect(0, 66379, '\P{^goth}', "");
Expect(1, 66378, '\p{		goth}', "");
Expect(0, 66378, '\p{^		goth}', "");
Expect(0, 66378, '\P{		goth}', "");
Expect(1, 66378, '\P{^		goth}', "");
Expect(0, 66379, '\p{		goth}', "");
Expect(1, 66379, '\p{^		goth}', "");
Expect(1, 66379, '\P{		goth}', "");
Expect(0, 66379, '\P{^		goth}', "");
Error('\p{:=Is_Goth}');
Error('\P{:=Is_Goth}');
Expect(1, 66378, '\p{isgoth}', "");
Expect(0, 66378, '\p{^isgoth}', "");
Expect(0, 66378, '\P{isgoth}', "");
Expect(1, 66378, '\P{^isgoth}', "");
Expect(0, 66379, '\p{isgoth}', "");
Expect(1, 66379, '\p{^isgoth}', "");
Expect(1, 66379, '\P{isgoth}', "");
Expect(0, 66379, '\P{^isgoth}', "");
Expect(1, 66378, '\p{_ IS_Goth}', "");
Expect(0, 66378, '\p{^_ IS_Goth}', "");
Expect(0, 66378, '\P{_ IS_Goth}', "");
Expect(1, 66378, '\P{^_ IS_Goth}', "");
Expect(0, 66379, '\p{_ IS_Goth}', "");
Expect(1, 66379, '\p{^_ IS_Goth}', "");
Expect(1, 66379, '\P{_ IS_Goth}', "");
Expect(0, 66379, '\P{^_ IS_Goth}', "");
Error('\p{ /a/Grantha}');
Error('\P{ /a/Grantha}');
Expect(1, 70516, '\p{grantha}', "");
Expect(0, 70516, '\p{^grantha}', "");
Expect(0, 70516, '\P{grantha}', "");
Expect(1, 70516, '\P{^grantha}', "");
Expect(0, 70517, '\p{grantha}', "");
Expect(1, 70517, '\p{^grantha}', "");
Expect(1, 70517, '\P{grantha}', "");
Expect(0, 70517, '\P{^grantha}', "");
Expect(1, 70516, '\p{ _GRANTHA}', "");
Expect(0, 70516, '\p{^ _GRANTHA}', "");
Expect(0, 70516, '\P{ _GRANTHA}', "");
Expect(1, 70516, '\P{^ _GRANTHA}', "");
Expect(0, 70517, '\p{ _GRANTHA}', "");
Expect(1, 70517, '\p{^ _GRANTHA}', "");
Expect(1, 70517, '\P{ _GRANTHA}', "");
Expect(0, 70517, '\P{^ _GRANTHA}', "");
Error('\p{:=-_is_GRANTHA}');
Error('\P{:=-_is_GRANTHA}');
Expect(1, 70516, '\p{isgrantha}', "");
Expect(0, 70516, '\p{^isgrantha}', "");
Expect(0, 70516, '\P{isgrantha}', "");
Expect(1, 70516, '\P{^isgrantha}', "");
Expect(0, 70517, '\p{isgrantha}', "");
Expect(1, 70517, '\p{^isgrantha}', "");
Expect(1, 70517, '\P{isgrantha}', "");
Expect(0, 70517, '\P{^isgrantha}', "");
Expect(1, 70516, '\p{ IS_grantha}', "");
Expect(0, 70516, '\p{^ IS_grantha}', "");
Expect(0, 70516, '\P{ IS_grantha}', "");
Expect(1, 70516, '\P{^ IS_grantha}', "");
Expect(0, 70517, '\p{ IS_grantha}', "");
Expect(1, 70517, '\p{^ IS_grantha}', "");
Expect(1, 70517, '\P{ IS_grantha}', "");
Expect(0, 70517, '\P{^ IS_grantha}', "");
Error('\p{-gran:=}');
Error('\P{-gran:=}');
Expect(1, 70516, '\p{gran}', "");
Expect(0, 70516, '\p{^gran}', "");
Expect(0, 70516, '\P{gran}', "");
Expect(1, 70516, '\P{^gran}', "");
Expect(0, 70517, '\p{gran}', "");
Expect(1, 70517, '\p{^gran}', "");
Expect(1, 70517, '\P{gran}', "");
Expect(0, 70517, '\P{^gran}', "");
Expect(1, 70516, '\p{-Gran}', "");
Expect(0, 70516, '\p{^-Gran}', "");
Expect(0, 70516, '\P{-Gran}', "");
Expect(1, 70516, '\P{^-Gran}', "");
Expect(0, 70517, '\p{-Gran}', "");
Expect(1, 70517, '\p{^-Gran}', "");
Expect(1, 70517, '\P{-Gran}', "");
Expect(0, 70517, '\P{^-Gran}', "");
Error('\p{:=__Is_gran}');
Error('\P{:=__Is_gran}');
Expect(1, 70516, '\p{isgran}', "");
Expect(0, 70516, '\p{^isgran}', "");
Expect(0, 70516, '\P{isgran}', "");
Expect(1, 70516, '\P{^isgran}', "");
Expect(0, 70517, '\p{isgran}', "");
Expect(1, 70517, '\p{^isgran}', "");
Expect(1, 70517, '\P{isgran}', "");
Expect(0, 70517, '\P{^isgran}', "");
Expect(1, 70516, '\p{ -Is_Gran}', "");
Expect(0, 70516, '\p{^ -Is_Gran}', "");
Expect(0, 70516, '\P{ -Is_Gran}', "");
Expect(1, 70516, '\P{^ -Is_Gran}', "");
Expect(0, 70517, '\p{ -Is_Gran}', "");
Expect(1, 70517, '\p{^ -Is_Gran}', "");
Expect(1, 70517, '\P{ -Is_Gran}', "");
Expect(0, 70517, '\P{^ -Is_Gran}', "");
Error('\p{:=_XPOSIXGRAPH}');
Error('\P{:=_XPOSIXGRAPH}');
Expect(1, 1114109, '\p{xposixgraph}', "");
Expect(0, 1114109, '\p{^xposixgraph}', "");
Expect(0, 1114109, '\P{xposixgraph}', "");
Expect(1, 1114109, '\P{^xposixgraph}', "");
Expect(0, 918000, '\p{xposixgraph}', "");
Expect(1, 918000, '\p{^xposixgraph}', "");
Expect(1, 918000, '\P{xposixgraph}', "");
Expect(0, 918000, '\P{^xposixgraph}', "");
Expect(1, 1114109, '\p{ -XPosixGraph}', "");
Expect(0, 1114109, '\p{^ -XPosixGraph}', "");
Expect(0, 1114109, '\P{ -XPosixGraph}', "");
Expect(1, 1114109, '\P{^ -XPosixGraph}', "");
Expect(0, 918000, '\p{ -XPosixGraph}', "");
Expect(1, 918000, '\p{^ -XPosixGraph}', "");
Expect(1, 918000, '\P{ -XPosixGraph}', "");
Expect(0, 918000, '\P{^ -XPosixGraph}', "");
Error('\p{ graph/a/}');
Error('\P{ graph/a/}');
Expect(1, 1114109, '\p{graph}', "");
Expect(0, 1114109, '\p{^graph}', "");
Expect(0, 1114109, '\P{graph}', "");
Expect(1, 1114109, '\P{^graph}', "");
Expect(0, 918000, '\p{graph}', "");
Expect(1, 918000, '\p{^graph}', "");
Expect(1, 918000, '\P{graph}', "");
Expect(0, 918000, '\P{^graph}', "");
Expect(1, 1114109, '\p{	_GRAPH}', "");
Expect(0, 1114109, '\p{^	_GRAPH}', "");
Expect(0, 1114109, '\P{	_GRAPH}', "");
Expect(1, 1114109, '\P{^	_GRAPH}', "");
Expect(0, 918000, '\p{	_GRAPH}', "");
Expect(1, 918000, '\p{^	_GRAPH}', "");
Expect(1, 918000, '\P{	_GRAPH}', "");
Expect(0, 918000, '\P{^	_GRAPH}', "");
Error('\p{:=	Is_XPosixGraph}');
Error('\P{:=	Is_XPosixGraph}');
Expect(1, 1114109, '\p{isxposixgraph}', "");
Expect(0, 1114109, '\p{^isxposixgraph}', "");
Expect(0, 1114109, '\P{isxposixgraph}', "");
Expect(1, 1114109, '\P{^isxposixgraph}', "");
Expect(0, 918000, '\p{isxposixgraph}', "");
Expect(1, 918000, '\p{^isxposixgraph}', "");
Expect(1, 918000, '\P{isxposixgraph}', "");
Expect(0, 918000, '\P{^isxposixgraph}', "");
Expect(1, 1114109, '\p{_	Is_XPOSIXGRAPH}', "");
Expect(0, 1114109, '\p{^_	Is_XPOSIXGRAPH}', "");
Expect(0, 1114109, '\P{_	Is_XPOSIXGRAPH}', "");
Expect(1, 1114109, '\P{^_	Is_XPOSIXGRAPH}', "");
Expect(0, 918000, '\p{_	Is_XPOSIXGRAPH}', "");
Expect(1, 918000, '\p{^_	Is_XPOSIXGRAPH}', "");
Expect(1, 918000, '\P{_	Is_XPOSIXGRAPH}', "");
Expect(0, 918000, '\P{^_	Is_XPOSIXGRAPH}', "");
Error('\p{:=-	Is_graph}');
Error('\P{:=-	Is_graph}');
Expect(1, 1114109, '\p{isgraph}', "");
Expect(0, 1114109, '\p{^isgraph}', "");
Expect(0, 1114109, '\P{isgraph}', "");
Expect(1, 1114109, '\P{^isgraph}', "");
Expect(0, 918000, '\p{isgraph}', "");
Expect(1, 918000, '\p{^isgraph}', "");
Expect(1, 918000, '\P{isgraph}', "");
Expect(0, 918000, '\P{^isgraph}', "");
Expect(1, 1114109, '\p{		is_Graph}', "");
Expect(0, 1114109, '\p{^		is_Graph}', "");
Expect(0, 1114109, '\P{		is_Graph}', "");
Expect(1, 1114109, '\P{^		is_Graph}', "");
Expect(0, 918000, '\p{		is_Graph}', "");
Expect(1, 918000, '\p{^		is_Graph}', "");
Expect(1, 918000, '\P{		is_Graph}', "");
Expect(0, 918000, '\P{^		is_Graph}', "");
Error('\p{ :=Grapheme_base}');
Error('\P{ :=Grapheme_base}');
Expect(1, 195101, '\p{graphemebase}', "");
Expect(0, 195101, '\p{^graphemebase}', "");
Expect(0, 195101, '\P{graphemebase}', "");
Expect(1, 195101, '\P{^graphemebase}', "");
Expect(0, 195102, '\p{graphemebase}', "");
Expect(1, 195102, '\p{^graphemebase}', "");
Expect(1, 195102, '\P{graphemebase}', "");
Expect(0, 195102, '\P{^graphemebase}', "");
Expect(1, 195101, '\p{ grapheme_base}', "");
Expect(0, 195101, '\p{^ grapheme_base}', "");
Expect(0, 195101, '\P{ grapheme_base}', "");
Expect(1, 195101, '\P{^ grapheme_base}', "");
Expect(0, 195102, '\p{ grapheme_base}', "");
Expect(1, 195102, '\p{^ grapheme_base}', "");
Expect(1, 195102, '\P{ grapheme_base}', "");
Expect(0, 195102, '\P{^ grapheme_base}', "");
Error('\p{	-IS_Grapheme_Base/a/}');
Error('\P{	-IS_Grapheme_Base/a/}');
Expect(1, 195101, '\p{isgraphemebase}', "");
Expect(0, 195101, '\p{^isgraphemebase}', "");
Expect(0, 195101, '\P{isgraphemebase}', "");
Expect(1, 195101, '\P{^isgraphemebase}', "");
Expect(0, 195102, '\p{isgraphemebase}', "");
Expect(1, 195102, '\p{^isgraphemebase}', "");
Expect(1, 195102, '\P{isgraphemebase}', "");
Expect(0, 195102, '\P{^isgraphemebase}', "");
Expect(1, 195101, '\p{	_Is_GRAPHEME_Base}', "");
Expect(0, 195101, '\p{^	_Is_GRAPHEME_Base}', "");
Expect(0, 195101, '\P{	_Is_GRAPHEME_Base}', "");
Expect(1, 195101, '\P{^	_Is_GRAPHEME_Base}', "");
Expect(0, 195102, '\p{	_Is_GRAPHEME_Base}', "");
Expect(1, 195102, '\p{^	_Is_GRAPHEME_Base}', "");
Expect(1, 195102, '\P{	_Is_GRAPHEME_Base}', "");
Expect(0, 195102, '\P{^	_Is_GRAPHEME_Base}', "");
Error('\p{_:=Gr_BASE}');
Error('\P{_:=Gr_BASE}');
Expect(1, 195101, '\p{grbase}', "");
Expect(0, 195101, '\p{^grbase}', "");
Expect(0, 195101, '\P{grbase}', "");
Expect(1, 195101, '\P{^grbase}', "");
Expect(0, 195102, '\p{grbase}', "");
Expect(1, 195102, '\p{^grbase}', "");
Expect(1, 195102, '\P{grbase}', "");
Expect(0, 195102, '\P{^grbase}', "");
Expect(1, 195101, '\p{_	gr_BASE}', "");
Expect(0, 195101, '\p{^_	gr_BASE}', "");
Expect(0, 195101, '\P{_	gr_BASE}', "");
Expect(1, 195101, '\P{^_	gr_BASE}', "");
Expect(0, 195102, '\p{_	gr_BASE}', "");
Expect(1, 195102, '\p{^_	gr_BASE}', "");
Expect(1, 195102, '\P{_	gr_BASE}', "");
Expect(0, 195102, '\P{^_	gr_BASE}', "");
Error('\p{:= -Is_GR_Base}');
Error('\P{:= -Is_GR_Base}');
Expect(1, 195101, '\p{isgrbase}', "");
Expect(0, 195101, '\p{^isgrbase}', "");
Expect(0, 195101, '\P{isgrbase}', "");
Expect(1, 195101, '\P{^isgrbase}', "");
Expect(0, 195102, '\p{isgrbase}', "");
Expect(1, 195102, '\p{^isgrbase}', "");
Expect(1, 195102, '\P{isgrbase}', "");
Expect(0, 195102, '\P{^isgrbase}', "");
Expect(1, 195101, '\p{ _is_GR_Base}', "");
Expect(0, 195101, '\p{^ _is_GR_Base}', "");
Expect(0, 195101, '\P{ _is_GR_Base}', "");
Expect(1, 195101, '\P{^ _is_GR_Base}', "");
Expect(0, 195102, '\p{ _is_GR_Base}', "");
Expect(1, 195102, '\p{^ _is_GR_Base}', "");
Expect(1, 195102, '\P{ _is_GR_Base}', "");
Expect(0, 195102, '\P{^ _is_GR_Base}', "");
Error('\p{/a/	_GRAPHEME_Extend}');
Error('\P{/a/	_GRAPHEME_Extend}');
Expect(1, 917999, '\p{graphemeextend}', "");
Expect(0, 917999, '\p{^graphemeextend}', "");
Expect(0, 917999, '\P{graphemeextend}', "");
Expect(1, 917999, '\P{^graphemeextend}', "");
Expect(0, 918000, '\p{graphemeextend}', "");
Expect(1, 918000, '\p{^graphemeextend}', "");
Expect(1, 918000, '\P{graphemeextend}', "");
Expect(0, 918000, '\P{^graphemeextend}', "");
Expect(1, 917999, '\p{	grapheme_extend}', "");
Expect(0, 917999, '\p{^	grapheme_extend}', "");
Expect(0, 917999, '\P{	grapheme_extend}', "");
Expect(1, 917999, '\P{^	grapheme_extend}', "");
Expect(0, 918000, '\p{	grapheme_extend}', "");
Expect(1, 918000, '\p{^	grapheme_extend}', "");
Expect(1, 918000, '\P{	grapheme_extend}', "");
Expect(0, 918000, '\P{^	grapheme_extend}', "");
Error('\p{/a/	 IS_grapheme_Extend}');
Error('\P{/a/	 IS_grapheme_Extend}');
Expect(1, 917999, '\p{isgraphemeextend}', "");
Expect(0, 917999, '\p{^isgraphemeextend}', "");
Expect(0, 917999, '\P{isgraphemeextend}', "");
Expect(1, 917999, '\P{^isgraphemeextend}', "");
Expect(0, 918000, '\p{isgraphemeextend}', "");
Expect(1, 918000, '\p{^isgraphemeextend}', "");
Expect(1, 918000, '\P{isgraphemeextend}', "");
Expect(0, 918000, '\P{^isgraphemeextend}', "");
Expect(1, 917999, '\p{  is_grapheme_EXTEND}', "");
Expect(0, 917999, '\p{^  is_grapheme_EXTEND}', "");
Expect(0, 917999, '\P{  is_grapheme_EXTEND}', "");
Expect(1, 917999, '\P{^  is_grapheme_EXTEND}', "");
Expect(0, 918000, '\p{  is_grapheme_EXTEND}', "");
Expect(1, 918000, '\p{^  is_grapheme_EXTEND}', "");
Expect(1, 918000, '\P{  is_grapheme_EXTEND}', "");
Expect(0, 918000, '\P{^  is_grapheme_EXTEND}', "");
Error('\p{:=  GR_Ext}');
Error('\P{:=  GR_Ext}');
Expect(1, 917999, '\p{grext}', "");
Expect(0, 917999, '\p{^grext}', "");
Expect(0, 917999, '\P{grext}', "");
Expect(1, 917999, '\P{^grext}', "");
Expect(0, 918000, '\p{grext}', "");
Expect(1, 918000, '\p{^grext}', "");
Expect(1, 918000, '\P{grext}', "");
Expect(0, 918000, '\P{^grext}', "");
Expect(1, 917999, '\p{ gr_EXT}', "");
Expect(0, 917999, '\p{^ gr_EXT}', "");
Expect(0, 917999, '\P{ gr_EXT}', "");
Expect(1, 917999, '\P{^ gr_EXT}', "");
Expect(0, 918000, '\p{ gr_EXT}', "");
Expect(1, 918000, '\p{^ gr_EXT}', "");
Expect(1, 918000, '\P{ gr_EXT}', "");
Expect(0, 918000, '\P{^ gr_EXT}', "");
Error('\p{ is_Gr_Ext/a/}');
Error('\P{ is_Gr_Ext/a/}');
Expect(1, 917999, '\p{isgrext}', "");
Expect(0, 917999, '\p{^isgrext}', "");
Expect(0, 917999, '\P{isgrext}', "");
Expect(1, 917999, '\P{^isgrext}', "");
Expect(0, 918000, '\p{isgrext}', "");
Expect(1, 918000, '\p{^isgrext}', "");
Expect(1, 918000, '\P{isgrext}', "");
Expect(0, 918000, '\P{^isgrext}', "");
Expect(1, 917999, '\p{ -IS_Gr_Ext}', "");
Expect(0, 917999, '\p{^ -IS_Gr_Ext}', "");
Expect(0, 917999, '\P{ -IS_Gr_Ext}', "");
Expect(1, 917999, '\P{^ -IS_Gr_Ext}', "");
Expect(0, 918000, '\p{ -IS_Gr_Ext}', "");
Expect(1, 918000, '\p{^ -IS_Gr_Ext}', "");
Expect(1, 918000, '\P{ -IS_Gr_Ext}', "");
Expect(0, 918000, '\P{^ -IS_Gr_Ext}', "");
Error('\p{Grapheme_Link}');
Error('\P{Grapheme_Link}');
Error('\p{Is_Grapheme_Link}');
Error('\P{Is_Grapheme_Link}');
Error('\p{Gr_Link}');
Error('\P{Gr_Link}');
Error('\p{Is_Gr_Link}');
Error('\P{Is_Gr_Link}');
Error('\p{-/a/Greek}');
Error('\P{-/a/Greek}');
Expect(1, 119365, '\p{greek}', "");
Expect(0, 119365, '\p{^greek}', "");
Expect(0, 119365, '\P{greek}', "");
Expect(1, 119365, '\P{^greek}', "");
Expect(0, 119366, '\p{greek}', "");
Expect(1, 119366, '\p{^greek}', "");
Expect(1, 119366, '\P{greek}', "");
Expect(0, 119366, '\P{^greek}', "");
Expect(1, 119365, '\p{--Greek}', "");
Expect(0, 119365, '\p{^--Greek}', "");
Expect(0, 119365, '\P{--Greek}', "");
Expect(1, 119365, '\P{^--Greek}', "");
Expect(0, 119366, '\p{--Greek}', "");
Expect(1, 119366, '\p{^--Greek}', "");
Expect(1, 119366, '\P{--Greek}', "");
Expect(0, 119366, '\P{^--Greek}', "");
Error('\p{:=	-IS_greek}');
Error('\P{:=	-IS_greek}');
Expect(1, 119365, '\p{isgreek}', "");
Expect(0, 119365, '\p{^isgreek}', "");
Expect(0, 119365, '\P{isgreek}', "");
Expect(1, 119365, '\P{^isgreek}', "");
Expect(0, 119366, '\p{isgreek}', "");
Expect(1, 119366, '\p{^isgreek}', "");
Expect(1, 119366, '\P{isgreek}', "");
Expect(0, 119366, '\P{^isgreek}', "");
Expect(1, 119365, '\p{IS_greek}', "");
Expect(0, 119365, '\p{^IS_greek}', "");
Expect(0, 119365, '\P{IS_greek}', "");
Expect(1, 119365, '\P{^IS_greek}', "");
Expect(0, 119366, '\p{IS_greek}', "");
Expect(1, 119366, '\p{^IS_greek}', "");
Expect(1, 119366, '\P{IS_greek}', "");
Expect(0, 119366, '\P{^IS_greek}', "");
Error('\p{_/a/Grek}');
Error('\P{_/a/Grek}');
Expect(1, 119365, '\p{grek}', "");
Expect(0, 119365, '\p{^grek}', "");
Expect(0, 119365, '\P{grek}', "");
Expect(1, 119365, '\P{^grek}', "");
Expect(0, 119366, '\p{grek}', "");
Expect(1, 119366, '\p{^grek}', "");
Expect(1, 119366, '\P{grek}', "");
Expect(0, 119366, '\P{^grek}', "");
Expect(1, 119365, '\p{	grek}', "");
Expect(0, 119365, '\p{^	grek}', "");
Expect(0, 119365, '\P{	grek}', "");
Expect(1, 119365, '\P{^	grek}', "");
Expect(0, 119366, '\p{	grek}', "");
Expect(1, 119366, '\p{^	grek}', "");
Expect(1, 119366, '\P{	grek}', "");
Expect(0, 119366, '\P{^	grek}', "");
Error('\p{_ Is_GREK:=}');
Error('\P{_ Is_GREK:=}');
Expect(1, 119365, '\p{isgrek}', "");
Expect(0, 119365, '\p{^isgrek}', "");
Expect(0, 119365, '\P{isgrek}', "");
Expect(1, 119365, '\P{^isgrek}', "");
Expect(0, 119366, '\p{isgrek}', "");
Expect(1, 119366, '\p{^isgrek}', "");
Expect(1, 119366, '\P{isgrek}', "");
Expect(0, 119366, '\P{^isgrek}', "");
Expect(1, 119365, '\p{-_IS_Grek}', "");
Expect(0, 119365, '\p{^-_IS_Grek}', "");
Expect(0, 119365, '\P{-_IS_Grek}', "");
Expect(1, 119365, '\P{^-_IS_Grek}', "");
Expect(0, 119366, '\p{-_IS_Grek}', "");
Expect(1, 119366, '\p{^-_IS_Grek}', "");
Expect(1, 119366, '\P{-_IS_Grek}', "");
Expect(0, 119366, '\P{^-_IS_Grek}', "");
Error('\p{/a/ _Greek_And_coptic}');
Error('\P{/a/ _Greek_And_coptic}');
Expect(1, 1023, '\p{greekandcoptic}', "");
Expect(0, 1023, '\p{^greekandcoptic}', "");
Expect(0, 1023, '\P{greekandcoptic}', "");
Expect(1, 1023, '\P{^greekandcoptic}', "");
Expect(0, 1024, '\p{greekandcoptic}', "");
Expect(1, 1024, '\p{^greekandcoptic}', "");
Expect(1, 1024, '\P{greekandcoptic}', "");
Expect(0, 1024, '\P{^greekandcoptic}', "");
Expect(1, 1023, '\p{ Greek_AND_Coptic}', "");
Expect(0, 1023, '\p{^ Greek_AND_Coptic}', "");
Expect(0, 1023, '\P{ Greek_AND_Coptic}', "");
Expect(1, 1023, '\P{^ Greek_AND_Coptic}', "");
Expect(0, 1024, '\p{ Greek_AND_Coptic}', "");
Expect(1, 1024, '\p{^ Greek_AND_Coptic}', "");
Expect(1, 1024, '\P{ Greek_AND_Coptic}', "");
Expect(0, 1024, '\P{^ Greek_AND_Coptic}', "");
Error('\p{ /a/IS_Greek_and_Coptic}');
Error('\P{ /a/IS_Greek_and_Coptic}');
Expect(1, 1023, '\p{isgreekandcoptic}', "");
Expect(0, 1023, '\p{^isgreekandcoptic}', "");
Expect(0, 1023, '\P{isgreekandcoptic}', "");
Expect(1, 1023, '\P{^isgreekandcoptic}', "");
Expect(0, 1024, '\p{isgreekandcoptic}', "");
Expect(1, 1024, '\p{^isgreekandcoptic}', "");
Expect(1, 1024, '\P{isgreekandcoptic}', "");
Expect(0, 1024, '\P{^isgreekandcoptic}', "");
Expect(1, 1023, '\p{	is_greek_And_Coptic}', "");
Expect(0, 1023, '\p{^	is_greek_And_Coptic}', "");
Expect(0, 1023, '\P{	is_greek_And_Coptic}', "");
Expect(1, 1023, '\P{^	is_greek_And_Coptic}', "");
Expect(0, 1024, '\p{	is_greek_And_Coptic}', "");
Expect(1, 1024, '\p{^	is_greek_And_Coptic}', "");
Expect(1, 1024, '\P{	is_greek_And_Coptic}', "");
Expect(0, 1024, '\P{^	is_greek_And_Coptic}', "");
Error('\p{ -In_greek_and_coptic/a/}');
Error('\P{ -In_greek_and_coptic/a/}');
Expect(1, 1023, '\p{ingreekandcoptic}', "");
Expect(0, 1023, '\p{^ingreekandcoptic}', "");
Expect(0, 1023, '\P{ingreekandcoptic}', "");
Expect(1, 1023, '\P{^ingreekandcoptic}', "");
Expect(0, 1024, '\p{ingreekandcoptic}', "");
Expect(1, 1024, '\p{^ingreekandcoptic}', "");
Expect(1, 1024, '\P{ingreekandcoptic}', "");
Expect(0, 1024, '\P{^ingreekandcoptic}', "");
Expect(1, 1023, '\p{	In_greek_And_coptic}', "");
Expect(0, 1023, '\p{^	In_greek_And_coptic}', "");
Expect(0, 1023, '\P{	In_greek_And_coptic}', "");
Expect(1, 1023, '\P{^	In_greek_And_coptic}', "");
Expect(0, 1024, '\p{	In_greek_And_coptic}', "");
Expect(1, 1024, '\p{^	In_greek_And_coptic}', "");
Expect(1, 1024, '\P{	In_greek_And_coptic}', "");
Expect(0, 1024, '\P{^	In_greek_And_coptic}', "");
Error('\p{/a/_ In_GREEK}');
Error('\P{/a/_ In_GREEK}');
Expect(1, 1023, '\p{ingreek}', "");
Expect(0, 1023, '\p{^ingreek}', "");
Expect(0, 1023, '\P{ingreek}', "");
Expect(1, 1023, '\P{^ingreek}', "");
Expect(0, 1024, '\p{ingreek}', "");
Expect(1, 1024, '\p{^ingreek}', "");
Expect(1, 1024, '\P{ingreek}', "");
Expect(0, 1024, '\P{^ingreek}', "");
Expect(1, 1023, '\p{-_IN_Greek}', "");
Expect(0, 1023, '\p{^-_IN_Greek}', "");
Expect(0, 1023, '\P{-_IN_Greek}', "");
Expect(1, 1023, '\P{^-_IN_Greek}', "");
Expect(0, 1024, '\p{-_IN_Greek}', "");
Expect(1, 1024, '\p{^-_IN_Greek}', "");
Expect(1, 1024, '\P{-_IN_Greek}', "");
Expect(0, 1024, '\P{^-_IN_Greek}', "");
Error('\p{ GREEK_Extended:=}');
Error('\P{ GREEK_Extended:=}');
Expect(1, 8191, '\p{greekextended}', "");
Expect(0, 8191, '\p{^greekextended}', "");
Expect(0, 8191, '\P{greekextended}', "");
Expect(1, 8191, '\P{^greekextended}', "");
Expect(0, 8192, '\p{greekextended}', "");
Expect(1, 8192, '\p{^greekextended}', "");
Expect(1, 8192, '\P{greekextended}', "");
Expect(0, 8192, '\P{^greekextended}', "");
Expect(1, 8191, '\p{_Greek_EXTENDED}', "");
Expect(0, 8191, '\p{^_Greek_EXTENDED}', "");
Expect(0, 8191, '\P{_Greek_EXTENDED}', "");
Expect(1, 8191, '\P{^_Greek_EXTENDED}', "");
Expect(0, 8192, '\p{_Greek_EXTENDED}', "");
Expect(1, 8192, '\p{^_Greek_EXTENDED}', "");
Expect(1, 8192, '\P{_Greek_EXTENDED}', "");
Expect(0, 8192, '\P{^_Greek_EXTENDED}', "");
Error('\p{	/a/Is_Greek_Extended}');
Error('\P{	/a/Is_Greek_Extended}');
Expect(1, 8191, '\p{isgreekextended}', "");
Expect(0, 8191, '\p{^isgreekextended}', "");
Expect(0, 8191, '\P{isgreekextended}', "");
Expect(1, 8191, '\P{^isgreekextended}', "");
Expect(0, 8192, '\p{isgreekextended}', "");
Expect(1, 8192, '\p{^isgreekextended}', "");
Expect(1, 8192, '\P{isgreekextended}', "");
Expect(0, 8192, '\P{^isgreekextended}', "");
Expect(1, 8191, '\p{ -Is_Greek_extended}', "");
Expect(0, 8191, '\p{^ -Is_Greek_extended}', "");
Expect(0, 8191, '\P{ -Is_Greek_extended}', "");
Expect(1, 8191, '\P{^ -Is_Greek_extended}', "");
Expect(0, 8192, '\p{ -Is_Greek_extended}', "");
Expect(1, 8192, '\p{^ -Is_Greek_extended}', "");
Expect(1, 8192, '\P{ -Is_Greek_extended}', "");
Expect(0, 8192, '\P{^ -Is_Greek_extended}', "");
Error('\p{-:=In_greek_Extended}');
Error('\P{-:=In_greek_Extended}');
Expect(1, 8191, '\p{ingreekextended}', "");
Expect(0, 8191, '\p{^ingreekextended}', "");
Expect(0, 8191, '\P{ingreekextended}', "");
Expect(1, 8191, '\P{^ingreekextended}', "");
Expect(0, 8192, '\p{ingreekextended}', "");
Expect(1, 8192, '\p{^ingreekextended}', "");
Expect(1, 8192, '\P{ingreekextended}', "");
Expect(0, 8192, '\P{^ingreekextended}', "");
Expect(1, 8191, '\p{-	In_Greek_Extended}', "");
Expect(0, 8191, '\p{^-	In_Greek_Extended}', "");
Expect(0, 8191, '\P{-	In_Greek_Extended}', "");
Expect(1, 8191, '\P{^-	In_Greek_Extended}', "");
Expect(0, 8192, '\p{-	In_Greek_Extended}', "");
Expect(1, 8192, '\p{^-	In_Greek_Extended}', "");
Expect(1, 8192, '\P{-	In_Greek_Extended}', "");
Expect(0, 8192, '\P{^-	In_Greek_Extended}', "");
Error('\p{/a/_ greek_EXT}');
Error('\P{/a/_ greek_EXT}');
Expect(1, 8191, '\p{greekext}', "");
Expect(0, 8191, '\p{^greekext}', "");
Expect(0, 8191, '\P{greekext}', "");
Expect(1, 8191, '\P{^greekext}', "");
Expect(0, 8192, '\p{greekext}', "");
Expect(1, 8192, '\p{^greekext}', "");
Expect(1, 8192, '\P{greekext}', "");
Expect(0, 8192, '\P{^greekext}', "");
Expect(1, 8191, '\p{ _greek_EXT}', "");
Expect(0, 8191, '\p{^ _greek_EXT}', "");
Expect(0, 8191, '\P{ _greek_EXT}', "");
Expect(1, 8191, '\P{^ _greek_EXT}', "");
Expect(0, 8192, '\p{ _greek_EXT}', "");
Expect(1, 8192, '\p{^ _greek_EXT}', "");
Expect(1, 8192, '\P{ _greek_EXT}', "");
Expect(0, 8192, '\P{^ _greek_EXT}', "");
Error('\p{/a/Is_GREEK_ext}');
Error('\P{/a/Is_GREEK_ext}');
Expect(1, 8191, '\p{isgreekext}', "");
Expect(0, 8191, '\p{^isgreekext}', "");
Expect(0, 8191, '\P{isgreekext}', "");
Expect(1, 8191, '\P{^isgreekext}', "");
Expect(0, 8192, '\p{isgreekext}', "");
Expect(1, 8192, '\p{^isgreekext}', "");
Expect(1, 8192, '\P{isgreekext}', "");
Expect(0, 8192, '\P{^isgreekext}', "");
Expect(1, 8191, '\p{	_Is_Greek_Ext}', "");
Expect(0, 8191, '\p{^	_Is_Greek_Ext}', "");
Expect(0, 8191, '\P{	_Is_Greek_Ext}', "");
Expect(1, 8191, '\P{^	_Is_Greek_Ext}', "");
Expect(0, 8192, '\p{	_Is_Greek_Ext}', "");
Expect(1, 8192, '\p{^	_Is_Greek_Ext}', "");
Expect(1, 8192, '\P{	_Is_Greek_Ext}', "");
Expect(0, 8192, '\P{^	_Is_Greek_Ext}', "");
Error('\p{ /a/In_GREEK_Ext}');
Error('\P{ /a/In_GREEK_Ext}');
Expect(1, 8191, '\p{ingreekext}', "");
Expect(0, 8191, '\p{^ingreekext}', "");
Expect(0, 8191, '\P{ingreekext}', "");
Expect(1, 8191, '\P{^ingreekext}', "");
Expect(0, 8192, '\p{ingreekext}', "");
Expect(1, 8192, '\p{^ingreekext}', "");
Expect(1, 8192, '\P{ingreekext}', "");
Expect(0, 8192, '\P{^ingreekext}', "");
Expect(1, 8191, '\p{-	IN_greek_EXT}', "");
Expect(0, 8191, '\p{^-	IN_greek_EXT}', "");
Expect(0, 8191, '\P{-	IN_greek_EXT}', "");
Expect(1, 8191, '\P{^-	IN_greek_EXT}', "");
Expect(0, 8192, '\p{-	IN_greek_EXT}', "");
Expect(1, 8192, '\p{^-	IN_greek_EXT}', "");
Expect(1, 8192, '\P{-	IN_greek_EXT}', "");
Expect(0, 8192, '\P{^-	IN_greek_EXT}', "");
Error('\p{/a/-	Gujarati}');
Error('\P{/a/-	Gujarati}');
Expect(1, 2809, '\p{gujarati}', "");
Expect(0, 2809, '\p{^gujarati}', "");
Expect(0, 2809, '\P{gujarati}', "");
Expect(1, 2809, '\P{^gujarati}', "");
Expect(0, 2810, '\p{gujarati}', "");
Expect(1, 2810, '\p{^gujarati}', "");
Expect(1, 2810, '\P{gujarati}', "");
Expect(0, 2810, '\P{^gujarati}', "");
Expect(1, 2809, '\p{		Gujarati}', "");
Expect(0, 2809, '\p{^		Gujarati}', "");
Expect(0, 2809, '\P{		Gujarati}', "");
Expect(1, 2809, '\P{^		Gujarati}', "");
Expect(0, 2810, '\p{		Gujarati}', "");
Expect(1, 2810, '\p{^		Gujarati}', "");
Expect(1, 2810, '\P{		Gujarati}', "");
Expect(0, 2810, '\P{^		Gujarati}', "");
Error('\p{-:=is_GUJARATI}');
Error('\P{-:=is_GUJARATI}');
Expect(1, 2809, '\p{isgujarati}', "");
Expect(0, 2809, '\p{^isgujarati}', "");
Expect(0, 2809, '\P{isgujarati}', "");
Expect(1, 2809, '\P{^isgujarati}', "");
Expect(0, 2810, '\p{isgujarati}', "");
Expect(1, 2810, '\p{^isgujarati}', "");
Expect(1, 2810, '\P{isgujarati}', "");
Expect(0, 2810, '\P{^isgujarati}', "");
Expect(1, 2809, '\p{	-Is_Gujarati}', "");
Expect(0, 2809, '\p{^	-Is_Gujarati}', "");
Expect(0, 2809, '\P{	-Is_Gujarati}', "");
Expect(1, 2809, '\P{^	-Is_Gujarati}', "");
Expect(0, 2810, '\p{	-Is_Gujarati}', "");
Expect(1, 2810, '\p{^	-Is_Gujarati}', "");
Expect(1, 2810, '\P{	-Is_Gujarati}', "");
Expect(0, 2810, '\P{^	-Is_Gujarati}', "");
Error('\p{/a/ _Gujr}');
Error('\P{/a/ _Gujr}');
Expect(1, 2809, '\p{gujr}', "");
Expect(0, 2809, '\p{^gujr}', "");
Expect(0, 2809, '\P{gujr}', "");
Expect(1, 2809, '\P{^gujr}', "");
Expect(0, 2810, '\p{gujr}', "");
Expect(1, 2810, '\p{^gujr}', "");
Expect(1, 2810, '\P{gujr}', "");
Expect(0, 2810, '\P{^gujr}', "");
Expect(1, 2809, '\p{ _Gujr}', "");
Expect(0, 2809, '\p{^ _Gujr}', "");
Expect(0, 2809, '\P{ _Gujr}', "");
Expect(1, 2809, '\P{^ _Gujr}', "");
Expect(0, 2810, '\p{ _Gujr}', "");
Expect(1, 2810, '\p{^ _Gujr}', "");
Expect(1, 2810, '\P{ _Gujr}', "");
Expect(0, 2810, '\P{^ _Gujr}', "");
Error('\p{ -Is_GUJR/a/}');
Error('\P{ -Is_GUJR/a/}');
Expect(1, 2809, '\p{isgujr}', "");
Expect(0, 2809, '\p{^isgujr}', "");
Expect(0, 2809, '\P{isgujr}', "");
Expect(1, 2809, '\P{^isgujr}', "");
Expect(0, 2810, '\p{isgujr}', "");
Expect(1, 2810, '\p{^isgujr}', "");
Expect(1, 2810, '\P{isgujr}', "");
Expect(0, 2810, '\P{^isgujr}', "");
Expect(1, 2809, '\p{ 	IS_GUJR}', "");
Expect(0, 2809, '\p{^ 	IS_GUJR}', "");
Expect(0, 2809, '\P{ 	IS_GUJR}', "");
Expect(1, 2809, '\P{^ 	IS_GUJR}', "");
Expect(0, 2810, '\p{ 	IS_GUJR}', "");
Expect(1, 2810, '\p{^ 	IS_GUJR}', "");
Expect(1, 2810, '\P{ 	IS_GUJR}', "");
Expect(0, 2810, '\P{^ 	IS_GUJR}', "");
Error('\p{/a/ Gurmukhi}');
Error('\P{/a/ Gurmukhi}');
Expect(1, 2677, '\p{gurmukhi}', "");
Expect(0, 2677, '\p{^gurmukhi}', "");
Expect(0, 2677, '\P{gurmukhi}', "");
Expect(1, 2677, '\P{^gurmukhi}', "");
Expect(0, 2678, '\p{gurmukhi}', "");
Expect(1, 2678, '\p{^gurmukhi}', "");
Expect(1, 2678, '\P{gurmukhi}', "");
Expect(0, 2678, '\P{^gurmukhi}', "");
Expect(1, 2677, '\p{	_Gurmukhi}', "");
Expect(0, 2677, '\p{^	_Gurmukhi}', "");
Expect(0, 2677, '\P{	_Gurmukhi}', "");
Expect(1, 2677, '\P{^	_Gurmukhi}', "");
Expect(0, 2678, '\p{	_Gurmukhi}', "");
Expect(1, 2678, '\p{^	_Gurmukhi}', "");
Expect(1, 2678, '\P{	_Gurmukhi}', "");
Expect(0, 2678, '\P{^	_Gurmukhi}', "");
Error('\p{	/a/IS_gurmukhi}');
Error('\P{	/a/IS_gurmukhi}');
Expect(1, 2677, '\p{isgurmukhi}', "");
Expect(0, 2677, '\p{^isgurmukhi}', "");
Expect(0, 2677, '\P{isgurmukhi}', "");
Expect(1, 2677, '\P{^isgurmukhi}', "");
Expect(0, 2678, '\p{isgurmukhi}', "");
Expect(1, 2678, '\p{^isgurmukhi}', "");
Expect(1, 2678, '\P{isgurmukhi}', "");
Expect(0, 2678, '\P{^isgurmukhi}', "");
Expect(1, 2677, '\p{-_IS_Gurmukhi}', "");
Expect(0, 2677, '\p{^-_IS_Gurmukhi}', "");
Expect(0, 2677, '\P{-_IS_Gurmukhi}', "");
Expect(1, 2677, '\P{^-_IS_Gurmukhi}', "");
Expect(0, 2678, '\p{-_IS_Gurmukhi}', "");
Expect(1, 2678, '\p{^-_IS_Gurmukhi}', "");
Expect(1, 2678, '\P{-_IS_Gurmukhi}', "");
Expect(0, 2678, '\P{^-_IS_Gurmukhi}', "");
Error('\p{:=	Guru}');
Error('\P{:=	Guru}');
Expect(1, 2677, '\p{guru}', "");
Expect(0, 2677, '\p{^guru}', "");
Expect(0, 2677, '\P{guru}', "");
Expect(1, 2677, '\P{^guru}', "");
Expect(0, 2678, '\p{guru}', "");
Expect(1, 2678, '\p{^guru}', "");
Expect(1, 2678, '\P{guru}', "");
Expect(0, 2678, '\P{^guru}', "");
Expect(1, 2677, '\p{ guru}', "");
Expect(0, 2677, '\p{^ guru}', "");
Expect(0, 2677, '\P{ guru}', "");
Expect(1, 2677, '\P{^ guru}', "");
Expect(0, 2678, '\p{ guru}', "");
Expect(1, 2678, '\p{^ guru}', "");
Expect(1, 2678, '\P{ guru}', "");
Expect(0, 2678, '\P{^ guru}', "");
Error('\p{:=Is_guru}');
Error('\P{:=Is_guru}');
Expect(1, 2677, '\p{isguru}', "");
Expect(0, 2677, '\p{^isguru}', "");
Expect(0, 2677, '\P{isguru}', "");
Expect(1, 2677, '\P{^isguru}', "");
Expect(0, 2678, '\p{isguru}', "");
Expect(1, 2678, '\p{^isguru}', "");
Expect(1, 2678, '\P{isguru}', "");
Expect(0, 2678, '\P{^isguru}', "");
Expect(1, 2677, '\p{ -Is_GURU}', "");
Expect(0, 2677, '\p{^ -Is_GURU}', "");
Expect(0, 2677, '\P{ -Is_GURU}', "");
Expect(1, 2677, '\P{^ -Is_GURU}', "");
Expect(0, 2678, '\p{ -Is_GURU}', "");
Expect(1, 2678, '\p{^ -Is_GURU}', "");
Expect(1, 2678, '\P{ -Is_GURU}', "");
Expect(0, 2678, '\P{^ -Is_GURU}', "");
Error('\p{/a/	_Halfwidth_And_Fullwidth_FORMS}');
Error('\P{/a/	_Halfwidth_And_Fullwidth_FORMS}');
Expect(1, 65519, '\p{halfwidthandfullwidthforms}', "");
Expect(0, 65519, '\p{^halfwidthandfullwidthforms}', "");
Expect(0, 65519, '\P{halfwidthandfullwidthforms}', "");
Expect(1, 65519, '\P{^halfwidthandfullwidthforms}', "");
Expect(0, 65520, '\p{halfwidthandfullwidthforms}', "");
Expect(1, 65520, '\p{^halfwidthandfullwidthforms}', "");
Expect(1, 65520, '\P{halfwidthandfullwidthforms}', "");
Expect(0, 65520, '\P{^halfwidthandfullwidthforms}', "");
Expect(1, 65519, '\p{-	Halfwidth_AND_FULLWIDTH_FORMS}', "");
Expect(0, 65519, '\p{^-	Halfwidth_AND_FULLWIDTH_FORMS}', "");
Expect(0, 65519, '\P{-	Halfwidth_AND_FULLWIDTH_FORMS}', "");
Expect(1, 65519, '\P{^-	Halfwidth_AND_FULLWIDTH_FORMS}', "");
Expect(0, 65520, '\p{-	Halfwidth_AND_FULLWIDTH_FORMS}', "");
Expect(1, 65520, '\p{^-	Halfwidth_AND_FULLWIDTH_FORMS}', "");
Expect(1, 65520, '\P{-	Halfwidth_AND_FULLWIDTH_FORMS}', "");
Expect(0, 65520, '\P{^-	Halfwidth_AND_FULLWIDTH_FORMS}', "");
Error('\p{-:=IS_Halfwidth_And_Fullwidth_FORMS}');
Error('\P{-:=IS_Halfwidth_And_Fullwidth_FORMS}');
Expect(1, 65519, '\p{ishalfwidthandfullwidthforms}', "");
Expect(0, 65519, '\p{^ishalfwidthandfullwidthforms}', "");
Expect(0, 65519, '\P{ishalfwidthandfullwidthforms}', "");
Expect(1, 65519, '\P{^ishalfwidthandfullwidthforms}', "");
Expect(0, 65520, '\p{ishalfwidthandfullwidthforms}', "");
Expect(1, 65520, '\p{^ishalfwidthandfullwidthforms}', "");
Expect(1, 65520, '\P{ishalfwidthandfullwidthforms}', "");
Expect(0, 65520, '\P{^ishalfwidthandfullwidthforms}', "");
Expect(1, 65519, '\p{	 Is_Halfwidth_and_Fullwidth_Forms}', "");
Expect(0, 65519, '\p{^	 Is_Halfwidth_and_Fullwidth_Forms}', "");
Expect(0, 65519, '\P{	 Is_Halfwidth_and_Fullwidth_Forms}', "");
Expect(1, 65519, '\P{^	 Is_Halfwidth_and_Fullwidth_Forms}', "");
Expect(0, 65520, '\p{	 Is_Halfwidth_and_Fullwidth_Forms}', "");
Expect(1, 65520, '\p{^	 Is_Halfwidth_and_Fullwidth_Forms}', "");
Expect(1, 65520, '\P{	 Is_Halfwidth_and_Fullwidth_Forms}', "");
Expect(0, 65520, '\P{^	 Is_Halfwidth_and_Fullwidth_Forms}', "");
Error('\p{-_in_HALFWIDTH_And_fullwidth_forms/a/}');
Error('\P{-_in_HALFWIDTH_And_fullwidth_forms/a/}');
Expect(1, 65519, '\p{inhalfwidthandfullwidthforms}', "");
Expect(0, 65519, '\p{^inhalfwidthandfullwidthforms}', "");
Expect(0, 65519, '\P{inhalfwidthandfullwidthforms}', "");
Expect(1, 65519, '\P{^inhalfwidthandfullwidthforms}', "");
Expect(0, 65520, '\p{inhalfwidthandfullwidthforms}', "");
Expect(1, 65520, '\p{^inhalfwidthandfullwidthforms}', "");
Expect(1, 65520, '\P{inhalfwidthandfullwidthforms}', "");
Expect(0, 65520, '\P{^inhalfwidthandfullwidthforms}', "");
Expect(1, 65519, '\p{-in_HALFWIDTH_And_fullwidth_FORMS}', "");
Expect(0, 65519, '\p{^-in_HALFWIDTH_And_fullwidth_FORMS}', "");
Expect(0, 65519, '\P{-in_HALFWIDTH_And_fullwidth_FORMS}', "");
Expect(1, 65519, '\P{^-in_HALFWIDTH_And_fullwidth_FORMS}', "");
Expect(0, 65520, '\p{-in_HALFWIDTH_And_fullwidth_FORMS}', "");
Expect(1, 65520, '\p{^-in_HALFWIDTH_And_fullwidth_FORMS}', "");
Expect(1, 65520, '\P{-in_HALFWIDTH_And_fullwidth_FORMS}', "");
Expect(0, 65520, '\P{^-in_HALFWIDTH_And_fullwidth_FORMS}', "");
Error('\p{/a/ _Half_And_Full_Forms}');
Error('\P{/a/ _Half_And_Full_Forms}');
Expect(1, 65519, '\p{halfandfullforms}', "");
Expect(0, 65519, '\p{^halfandfullforms}', "");
Expect(0, 65519, '\P{halfandfullforms}', "");
Expect(1, 65519, '\P{^halfandfullforms}', "");
Expect(0, 65520, '\p{halfandfullforms}', "");
Expect(1, 65520, '\p{^halfandfullforms}', "");
Expect(1, 65520, '\P{halfandfullforms}', "");
Expect(0, 65520, '\P{^halfandfullforms}', "");
Expect(1, 65519, '\p{	Half_and_Full_Forms}', "");
Expect(0, 65519, '\p{^	Half_and_Full_Forms}', "");
Expect(0, 65519, '\P{	Half_and_Full_Forms}', "");
Expect(1, 65519, '\P{^	Half_and_Full_Forms}', "");
Expect(0, 65520, '\p{	Half_and_Full_Forms}', "");
Expect(1, 65520, '\p{^	Half_and_Full_Forms}', "");
Expect(1, 65520, '\P{	Half_and_Full_Forms}', "");
Expect(0, 65520, '\P{^	Half_and_Full_Forms}', "");
Error('\p{:= -Is_half_And_FULL_Forms}');
Error('\P{:= -Is_half_And_FULL_Forms}');
Expect(1, 65519, '\p{ishalfandfullforms}', "");
Expect(0, 65519, '\p{^ishalfandfullforms}', "");
Expect(0, 65519, '\P{ishalfandfullforms}', "");
Expect(1, 65519, '\P{^ishalfandfullforms}', "");
Expect(0, 65520, '\p{ishalfandfullforms}', "");
Expect(1, 65520, '\p{^ishalfandfullforms}', "");
Expect(1, 65520, '\P{ishalfandfullforms}', "");
Expect(0, 65520, '\P{^ishalfandfullforms}', "");
Expect(1, 65519, '\p{	is_half_And_full_Forms}', "");
Expect(0, 65519, '\p{^	is_half_And_full_Forms}', "");
Expect(0, 65519, '\P{	is_half_And_full_Forms}', "");
Expect(1, 65519, '\P{^	is_half_And_full_Forms}', "");
Expect(0, 65520, '\p{	is_half_And_full_Forms}', "");
Expect(1, 65520, '\p{^	is_half_And_full_Forms}', "");
Expect(1, 65520, '\P{	is_half_And_full_Forms}', "");
Expect(0, 65520, '\P{^	is_half_And_full_Forms}', "");
Error('\p{	/a/In_HALF_AND_full_forms}');
Error('\P{	/a/In_HALF_AND_full_forms}');
Expect(1, 65519, '\p{inhalfandfullforms}', "");
Expect(0, 65519, '\p{^inhalfandfullforms}', "");
Expect(0, 65519, '\P{inhalfandfullforms}', "");
Expect(1, 65519, '\P{^inhalfandfullforms}', "");
Expect(0, 65520, '\p{inhalfandfullforms}', "");
Expect(1, 65520, '\p{^inhalfandfullforms}', "");
Expect(1, 65520, '\P{inhalfandfullforms}', "");
Expect(0, 65520, '\P{^inhalfandfullforms}', "");
Expect(1, 65519, '\p{- In_Half_And_Full_FORMS}', "");
Expect(0, 65519, '\p{^- In_Half_And_Full_FORMS}', "");
Expect(0, 65519, '\P{- In_Half_And_Full_FORMS}', "");
Expect(1, 65519, '\P{^- In_Half_And_Full_FORMS}', "");
Expect(0, 65520, '\p{- In_Half_And_Full_FORMS}', "");
Expect(1, 65520, '\p{^- In_Half_And_Full_FORMS}', "");
Expect(1, 65520, '\P{- In_Half_And_Full_FORMS}', "");
Expect(0, 65520, '\P{^- In_Half_And_Full_FORMS}', "");
Error('\p{ :=Han}');
Error('\P{ :=Han}');
Expect(1, 195101, '\p{han}', "");
Expect(0, 195101, '\p{^han}', "");
Expect(0, 195101, '\P{han}', "");
Expect(1, 195101, '\P{^han}', "");
Expect(0, 195102, '\p{han}', "");
Expect(1, 195102, '\p{^han}', "");
Expect(1, 195102, '\P{han}', "");
Expect(0, 195102, '\P{^han}', "");
Expect(1, 195101, '\p{		Han}', "");
Expect(0, 195101, '\p{^		Han}', "");
Expect(0, 195101, '\P{		Han}', "");
Expect(1, 195101, '\P{^		Han}', "");
Expect(0, 195102, '\p{		Han}', "");
Expect(1, 195102, '\p{^		Han}', "");
Expect(1, 195102, '\P{		Han}', "");
Expect(0, 195102, '\P{^		Han}', "");
Error('\p{_IS_Han/a/}');
Error('\P{_IS_Han/a/}');
Expect(1, 195101, '\p{ishan}', "");
Expect(0, 195101, '\p{^ishan}', "");
Expect(0, 195101, '\P{ishan}', "");
Expect(1, 195101, '\P{^ishan}', "");
Expect(0, 195102, '\p{ishan}', "");
Expect(1, 195102, '\p{^ishan}', "");
Expect(1, 195102, '\P{ishan}', "");
Expect(0, 195102, '\P{^ishan}', "");
Expect(1, 195101, '\p{ Is_Han}', "");
Expect(0, 195101, '\p{^ Is_Han}', "");
Expect(0, 195101, '\P{ Is_Han}', "");
Expect(1, 195101, '\P{^ Is_Han}', "");
Expect(0, 195102, '\p{ Is_Han}', "");
Expect(1, 195102, '\p{^ Is_Han}', "");
Expect(1, 195102, '\P{ Is_Han}', "");
Expect(0, 195102, '\P{^ Is_Han}', "");
Error('\p{:= Hani}');
Error('\P{:= Hani}');
Expect(1, 195101, '\p{hani}', "");
Expect(0, 195101, '\p{^hani}', "");
Expect(0, 195101, '\P{hani}', "");
Expect(1, 195101, '\P{^hani}', "");
Expect(0, 195102, '\p{hani}', "");
Expect(1, 195102, '\p{^hani}', "");
Expect(1, 195102, '\P{hani}', "");
Expect(0, 195102, '\P{^hani}', "");
Expect(1, 195101, '\p{_	HANI}', "");
Expect(0, 195101, '\p{^_	HANI}', "");
Expect(0, 195101, '\P{_	HANI}', "");
Expect(1, 195101, '\P{^_	HANI}', "");
Expect(0, 195102, '\p{_	HANI}', "");
Expect(1, 195102, '\p{^_	HANI}', "");
Expect(1, 195102, '\P{_	HANI}', "");
Expect(0, 195102, '\P{^_	HANI}', "");
Error('\p{	/a/Is_Hani}');
Error('\P{	/a/Is_Hani}');
Expect(1, 195101, '\p{ishani}', "");
Expect(0, 195101, '\p{^ishani}', "");
Expect(0, 195101, '\P{ishani}', "");
Expect(1, 195101, '\P{^ishani}', "");
Expect(0, 195102, '\p{ishani}', "");
Expect(1, 195102, '\p{^ishani}', "");
Expect(1, 195102, '\P{ishani}', "");
Expect(0, 195102, '\P{^ishani}', "");
Expect(1, 195101, '\p{_is_hani}', "");
Expect(0, 195101, '\p{^_is_hani}', "");
Expect(0, 195101, '\P{_is_hani}', "");
Expect(1, 195101, '\P{^_is_hani}', "");
Expect(0, 195102, '\p{_is_hani}', "");
Expect(1, 195102, '\p{^_is_hani}', "");
Expect(1, 195102, '\P{_is_hani}', "");
Expect(0, 195102, '\P{^_is_hani}', "");
Error('\p{_/a/hangul}');
Error('\P{_/a/hangul}');
Expect(1, 65500, '\p{hangul}', "");
Expect(0, 65500, '\p{^hangul}', "");
Expect(0, 65500, '\P{hangul}', "");
Expect(1, 65500, '\P{^hangul}', "");
Expect(0, 65501, '\p{hangul}', "");
Expect(1, 65501, '\p{^hangul}', "");
Expect(1, 65501, '\P{hangul}', "");
Expect(0, 65501, '\P{^hangul}', "");
Expect(1, 65500, '\p{ _HANGUL}', "");
Expect(0, 65500, '\p{^ _HANGUL}', "");
Expect(0, 65500, '\P{ _HANGUL}', "");
Expect(1, 65500, '\P{^ _HANGUL}', "");
Expect(0, 65501, '\p{ _HANGUL}', "");
Expect(1, 65501, '\p{^ _HANGUL}', "");
Expect(1, 65501, '\P{ _HANGUL}', "");
Expect(0, 65501, '\P{^ _HANGUL}', "");
Error('\p{  is_Hangul:=}');
Error('\P{  is_Hangul:=}');
Expect(1, 65500, '\p{ishangul}', "");
Expect(0, 65500, '\p{^ishangul}', "");
Expect(0, 65500, '\P{ishangul}', "");
Expect(1, 65500, '\P{^ishangul}', "");
Expect(0, 65501, '\p{ishangul}', "");
Expect(1, 65501, '\p{^ishangul}', "");
Expect(1, 65501, '\P{ishangul}', "");
Expect(0, 65501, '\P{^ishangul}', "");
Expect(1, 65500, '\p{__IS_Hangul}', "");
Expect(0, 65500, '\p{^__IS_Hangul}', "");
Expect(0, 65500, '\P{__IS_Hangul}', "");
Expect(1, 65500, '\P{^__IS_Hangul}', "");
Expect(0, 65501, '\p{__IS_Hangul}', "");
Expect(1, 65501, '\p{^__IS_Hangul}', "");
Expect(1, 65501, '\P{__IS_Hangul}', "");
Expect(0, 65501, '\P{^__IS_Hangul}', "");
Error('\p{:=-Hang}');
Error('\P{:=-Hang}');
Expect(1, 65500, '\p{hang}', "");
Expect(0, 65500, '\p{^hang}', "");
Expect(0, 65500, '\P{hang}', "");
Expect(1, 65500, '\P{^hang}', "");
Expect(0, 65501, '\p{hang}', "");
Expect(1, 65501, '\p{^hang}', "");
Expect(1, 65501, '\P{hang}', "");
Expect(0, 65501, '\P{^hang}', "");
Expect(1, 65500, '\p{ Hang}', "");
Expect(0, 65500, '\p{^ Hang}', "");
Expect(0, 65500, '\P{ Hang}', "");
Expect(1, 65500, '\P{^ Hang}', "");
Expect(0, 65501, '\p{ Hang}', "");
Expect(1, 65501, '\p{^ Hang}', "");
Expect(1, 65501, '\P{ Hang}', "");
Expect(0, 65501, '\P{^ Hang}', "");
Error('\p{/a/	 Is_HANG}');
Error('\P{/a/	 Is_HANG}');
Expect(1, 65500, '\p{ishang}', "");
Expect(0, 65500, '\p{^ishang}', "");
Expect(0, 65500, '\P{ishang}', "");
Expect(1, 65500, '\P{^ishang}', "");
Expect(0, 65501, '\p{ishang}', "");
Expect(1, 65501, '\p{^ishang}', "");
Expect(1, 65501, '\P{ishang}', "");
Expect(0, 65501, '\P{^ishang}', "");
Expect(1, 65500, '\p{-IS_hang}', "");
Expect(0, 65500, '\p{^-IS_hang}', "");
Expect(0, 65500, '\P{-IS_hang}', "");
Expect(1, 65500, '\P{^-IS_hang}', "");
Expect(0, 65501, '\p{-IS_hang}', "");
Expect(1, 65501, '\p{^-IS_hang}', "");
Expect(1, 65501, '\P{-IS_hang}', "");
Expect(0, 65501, '\P{^-IS_hang}', "");
Error('\p{ :=Hangul_COMPATIBILITY_Jamo}');
Error('\P{ :=Hangul_COMPATIBILITY_Jamo}');
Expect(1, 12687, '\p{hangulcompatibilityjamo}', "");
Expect(0, 12687, '\p{^hangulcompatibilityjamo}', "");
Expect(0, 12687, '\P{hangulcompatibilityjamo}', "");
Expect(1, 12687, '\P{^hangulcompatibilityjamo}', "");
Expect(0, 12688, '\p{hangulcompatibilityjamo}', "");
Expect(1, 12688, '\p{^hangulcompatibilityjamo}', "");
Expect(1, 12688, '\P{hangulcompatibilityjamo}', "");
Expect(0, 12688, '\P{^hangulcompatibilityjamo}', "");
Expect(1, 12687, '\p{  Hangul_COMPATIBILITY_jamo}', "");
Expect(0, 12687, '\p{^  Hangul_COMPATIBILITY_jamo}', "");
Expect(0, 12687, '\P{  Hangul_COMPATIBILITY_jamo}', "");
Expect(1, 12687, '\P{^  Hangul_COMPATIBILITY_jamo}', "");
Expect(0, 12688, '\p{  Hangul_COMPATIBILITY_jamo}', "");
Expect(1, 12688, '\p{^  Hangul_COMPATIBILITY_jamo}', "");
Expect(1, 12688, '\P{  Hangul_COMPATIBILITY_jamo}', "");
Expect(0, 12688, '\P{^  Hangul_COMPATIBILITY_jamo}', "");
Error('\p{ /a/Is_hangul_Compatibility_Jamo}');
Error('\P{ /a/Is_hangul_Compatibility_Jamo}');
Expect(1, 12687, '\p{ishangulcompatibilityjamo}', "");
Expect(0, 12687, '\p{^ishangulcompatibilityjamo}', "");
Expect(0, 12687, '\P{ishangulcompatibilityjamo}', "");
Expect(1, 12687, '\P{^ishangulcompatibilityjamo}', "");
Expect(0, 12688, '\p{ishangulcompatibilityjamo}', "");
Expect(1, 12688, '\p{^ishangulcompatibilityjamo}', "");
Expect(1, 12688, '\P{ishangulcompatibilityjamo}', "");
Expect(0, 12688, '\P{^ishangulcompatibilityjamo}', "");
Expect(1, 12687, '\p{ Is_hangul_COMPATIBILITY_Jamo}', "");
Expect(0, 12687, '\p{^ Is_hangul_COMPATIBILITY_Jamo}', "");
Expect(0, 12687, '\P{ Is_hangul_COMPATIBILITY_Jamo}', "");
Expect(1, 12687, '\P{^ Is_hangul_COMPATIBILITY_Jamo}', "");
Expect(0, 12688, '\p{ Is_hangul_COMPATIBILITY_Jamo}', "");
Expect(1, 12688, '\p{^ Is_hangul_COMPATIBILITY_Jamo}', "");
Expect(1, 12688, '\P{ Is_hangul_COMPATIBILITY_Jamo}', "");
Expect(0, 12688, '\P{^ Is_hangul_COMPATIBILITY_Jamo}', "");
Error('\p{	In_Hangul_compatibility_Jamo/a/}');
Error('\P{	In_Hangul_compatibility_Jamo/a/}');
Expect(1, 12687, '\p{inhangulcompatibilityjamo}', "");
Expect(0, 12687, '\p{^inhangulcompatibilityjamo}', "");
Expect(0, 12687, '\P{inhangulcompatibilityjamo}', "");
Expect(1, 12687, '\P{^inhangulcompatibilityjamo}', "");
Expect(0, 12688, '\p{inhangulcompatibilityjamo}', "");
Expect(1, 12688, '\p{^inhangulcompatibilityjamo}', "");
Expect(1, 12688, '\P{inhangulcompatibilityjamo}', "");
Expect(0, 12688, '\P{^inhangulcompatibilityjamo}', "");
Expect(1, 12687, '\p{		In_Hangul_compatibility_jamo}', "");
Expect(0, 12687, '\p{^		In_Hangul_compatibility_jamo}', "");
Expect(0, 12687, '\P{		In_Hangul_compatibility_jamo}', "");
Expect(1, 12687, '\P{^		In_Hangul_compatibility_jamo}', "");
Expect(0, 12688, '\p{		In_Hangul_compatibility_jamo}', "");
Expect(1, 12688, '\p{^		In_Hangul_compatibility_jamo}', "");
Expect(1, 12688, '\P{		In_Hangul_compatibility_jamo}', "");
Expect(0, 12688, '\P{^		In_Hangul_compatibility_jamo}', "");
Error('\p{	:=Compat_JAMO}');
Error('\P{	:=Compat_JAMO}');
Expect(1, 12687, '\p{compatjamo}', "");
Expect(0, 12687, '\p{^compatjamo}', "");
Expect(0, 12687, '\P{compatjamo}', "");
Expect(1, 12687, '\P{^compatjamo}', "");
Expect(0, 12688, '\p{compatjamo}', "");
Expect(1, 12688, '\p{^compatjamo}', "");
Expect(1, 12688, '\P{compatjamo}', "");
Expect(0, 12688, '\P{^compatjamo}', "");
Expect(1, 12687, '\p{ 	Compat_JAMO}', "");
Expect(0, 12687, '\p{^ 	Compat_JAMO}', "");
Expect(0, 12687, '\P{ 	Compat_JAMO}', "");
Expect(1, 12687, '\P{^ 	Compat_JAMO}', "");
Expect(0, 12688, '\p{ 	Compat_JAMO}', "");
Expect(1, 12688, '\p{^ 	Compat_JAMO}', "");
Expect(1, 12688, '\P{ 	Compat_JAMO}', "");
Expect(0, 12688, '\P{^ 	Compat_JAMO}', "");
Error('\p{	/a/is_Compat_Jamo}');
Error('\P{	/a/is_Compat_Jamo}');
Expect(1, 12687, '\p{iscompatjamo}', "");
Expect(0, 12687, '\p{^iscompatjamo}', "");
Expect(0, 12687, '\P{iscompatjamo}', "");
Expect(1, 12687, '\P{^iscompatjamo}', "");
Expect(0, 12688, '\p{iscompatjamo}', "");
Expect(1, 12688, '\p{^iscompatjamo}', "");
Expect(1, 12688, '\P{iscompatjamo}', "");
Expect(0, 12688, '\P{^iscompatjamo}', "");
Expect(1, 12687, '\p{	_Is_Compat_Jamo}', "");
Expect(0, 12687, '\p{^	_Is_Compat_Jamo}', "");
Expect(0, 12687, '\P{	_Is_Compat_Jamo}', "");
Expect(1, 12687, '\P{^	_Is_Compat_Jamo}', "");
Expect(0, 12688, '\p{	_Is_Compat_Jamo}', "");
Expect(1, 12688, '\p{^	_Is_Compat_Jamo}', "");
Expect(1, 12688, '\P{	_Is_Compat_Jamo}', "");
Expect(0, 12688, '\P{^	_Is_Compat_Jamo}', "");
Error('\p{/a/-IN_COMPAT_jamo}');
Error('\P{/a/-IN_COMPAT_jamo}');
Expect(1, 12687, '\p{incompatjamo}', "");
Expect(0, 12687, '\p{^incompatjamo}', "");
Expect(0, 12687, '\P{incompatjamo}', "");
Expect(1, 12687, '\P{^incompatjamo}', "");
Expect(0, 12688, '\p{incompatjamo}', "");
Expect(1, 12688, '\p{^incompatjamo}', "");
Expect(1, 12688, '\P{incompatjamo}', "");
Expect(0, 12688, '\P{^incompatjamo}', "");
Expect(1, 12687, '\p{	In_compat_Jamo}', "");
Expect(0, 12687, '\p{^	In_compat_Jamo}', "");
Expect(0, 12687, '\P{	In_compat_Jamo}', "");
Expect(1, 12687, '\P{^	In_compat_Jamo}', "");
Expect(0, 12688, '\p{	In_compat_Jamo}', "");
Expect(1, 12688, '\p{^	In_compat_Jamo}', "");
Expect(1, 12688, '\P{	In_compat_Jamo}', "");
Expect(0, 12688, '\P{^	In_compat_Jamo}', "");
Error('\p{_:=HANGUL_JAMO}');
Error('\P{_:=HANGUL_JAMO}');
Expect(1, 4607, '\p{hanguljamo}', "");
Expect(0, 4607, '\p{^hanguljamo}', "");
Expect(0, 4607, '\P{hanguljamo}', "");
Expect(1, 4607, '\P{^hanguljamo}', "");
Expect(0, 4608, '\p{hanguljamo}', "");
Expect(1, 4608, '\p{^hanguljamo}', "");
Expect(1, 4608, '\P{hanguljamo}', "");
Expect(0, 4608, '\P{^hanguljamo}', "");
Expect(1, 4607, '\p{--hangul_Jamo}', "");
Expect(0, 4607, '\p{^--hangul_Jamo}', "");
Expect(0, 4607, '\P{--hangul_Jamo}', "");
Expect(1, 4607, '\P{^--hangul_Jamo}', "");
Expect(0, 4608, '\p{--hangul_Jamo}', "");
Expect(1, 4608, '\p{^--hangul_Jamo}', "");
Expect(1, 4608, '\P{--hangul_Jamo}', "");
Expect(0, 4608, '\P{^--hangul_Jamo}', "");
Error('\p{ -Is_Hangul_JAMO:=}');
Error('\P{ -Is_Hangul_JAMO:=}');
Expect(1, 4607, '\p{ishanguljamo}', "");
Expect(0, 4607, '\p{^ishanguljamo}', "");
Expect(0, 4607, '\P{ishanguljamo}', "");
Expect(1, 4607, '\P{^ishanguljamo}', "");
Expect(0, 4608, '\p{ishanguljamo}', "");
Expect(1, 4608, '\p{^ishanguljamo}', "");
Expect(1, 4608, '\P{ishanguljamo}', "");
Expect(0, 4608, '\P{^ishanguljamo}', "");
Expect(1, 4607, '\p{ _is_Hangul_jamo}', "");
Expect(0, 4607, '\p{^ _is_Hangul_jamo}', "");
Expect(0, 4607, '\P{ _is_Hangul_jamo}', "");
Expect(1, 4607, '\P{^ _is_Hangul_jamo}', "");
Expect(0, 4608, '\p{ _is_Hangul_jamo}', "");
Expect(1, 4608, '\p{^ _is_Hangul_jamo}', "");
Expect(1, 4608, '\P{ _is_Hangul_jamo}', "");
Expect(0, 4608, '\P{^ _is_Hangul_jamo}', "");
Error('\p{In_hangul_Jamo:=}');
Error('\P{In_hangul_Jamo:=}');
Expect(1, 4607, '\p{inhanguljamo}', "");
Expect(0, 4607, '\p{^inhanguljamo}', "");
Expect(0, 4607, '\P{inhanguljamo}', "");
Expect(1, 4607, '\P{^inhanguljamo}', "");
Expect(0, 4608, '\p{inhanguljamo}', "");
Expect(1, 4608, '\p{^inhanguljamo}', "");
Expect(1, 4608, '\P{inhanguljamo}', "");
Expect(0, 4608, '\P{^inhanguljamo}', "");
Expect(1, 4607, '\p{ -IN_Hangul_JAMO}', "");
Expect(0, 4607, '\p{^ -IN_Hangul_JAMO}', "");
Expect(0, 4607, '\P{ -IN_Hangul_JAMO}', "");
Expect(1, 4607, '\P{^ -IN_Hangul_JAMO}', "");
Expect(0, 4608, '\p{ -IN_Hangul_JAMO}', "");
Expect(1, 4608, '\p{^ -IN_Hangul_JAMO}', "");
Expect(1, 4608, '\P{ -IN_Hangul_JAMO}', "");
Expect(0, 4608, '\P{^ -IN_Hangul_JAMO}', "");
Error('\p{:=--Jamo}');
Error('\P{:=--Jamo}');
Expect(1, 4607, '\p{jamo}', "");
Expect(0, 4607, '\p{^jamo}', "");
Expect(0, 4607, '\P{jamo}', "");
Expect(1, 4607, '\P{^jamo}', "");
Expect(0, 4608, '\p{jamo}', "");
Expect(1, 4608, '\p{^jamo}', "");
Expect(1, 4608, '\P{jamo}', "");
Expect(0, 4608, '\P{^jamo}', "");
Expect(1, 4607, '\p{-_jamo}', "");
Expect(0, 4607, '\p{^-_jamo}', "");
Expect(0, 4607, '\P{-_jamo}', "");
Expect(1, 4607, '\P{^-_jamo}', "");
Expect(0, 4608, '\p{-_jamo}', "");
Expect(1, 4608, '\p{^-_jamo}', "");
Expect(1, 4608, '\P{-_jamo}', "");
Expect(0, 4608, '\P{^-_jamo}', "");
Error('\p{ :=Is_Jamo}');
Error('\P{ :=Is_Jamo}');
Expect(1, 4607, '\p{isjamo}', "");
Expect(0, 4607, '\p{^isjamo}', "");
Expect(0, 4607, '\P{isjamo}', "");
Expect(1, 4607, '\P{^isjamo}', "");
Expect(0, 4608, '\p{isjamo}', "");
Expect(1, 4608, '\p{^isjamo}', "");
Expect(1, 4608, '\P{isjamo}', "");
Expect(0, 4608, '\P{^isjamo}', "");
Expect(1, 4607, '\p{-_IS_JAMO}', "");
Expect(0, 4607, '\p{^-_IS_JAMO}', "");
Expect(0, 4607, '\P{-_IS_JAMO}', "");
Expect(1, 4607, '\P{^-_IS_JAMO}', "");
Expect(0, 4608, '\p{-_IS_JAMO}', "");
Expect(1, 4608, '\p{^-_IS_JAMO}', "");
Expect(1, 4608, '\P{-_IS_JAMO}', "");
Expect(0, 4608, '\P{^-_IS_JAMO}', "");
Error('\p{	-in_JAMO:=}');
Error('\P{	-in_JAMO:=}');
Expect(1, 4607, '\p{injamo}', "");
Expect(0, 4607, '\p{^injamo}', "");
Expect(0, 4607, '\P{injamo}', "");
Expect(1, 4607, '\P{^injamo}', "");
Expect(0, 4608, '\p{injamo}', "");
Expect(1, 4608, '\p{^injamo}', "");
Expect(1, 4608, '\P{injamo}', "");
Expect(0, 4608, '\P{^injamo}', "");
Expect(1, 4607, '\p{		In_jamo}', "");
Expect(0, 4607, '\p{^		In_jamo}', "");
Expect(0, 4607, '\P{		In_jamo}', "");
Expect(1, 4607, '\P{^		In_jamo}', "");
Expect(0, 4608, '\p{		In_jamo}', "");
Expect(1, 4608, '\p{^		In_jamo}', "");
Expect(1, 4608, '\P{		In_jamo}', "");
Expect(0, 4608, '\P{^		In_jamo}', "");
Error('\p{/a/ 	hangul_jamo_EXTENDED_A}');
Error('\P{/a/ 	hangul_jamo_EXTENDED_A}');
Expect(1, 43391, '\p{hanguljamoextendeda}', "");
Expect(0, 43391, '\p{^hanguljamoextendeda}', "");
Expect(0, 43391, '\P{hanguljamoextendeda}', "");
Expect(1, 43391, '\P{^hanguljamoextendeda}', "");
Expect(0, 43392, '\p{hanguljamoextendeda}', "");
Expect(1, 43392, '\p{^hanguljamoextendeda}', "");
Expect(1, 43392, '\P{hanguljamoextendeda}', "");
Expect(0, 43392, '\P{^hanguljamoextendeda}', "");
Expect(1, 43391, '\p{  Hangul_Jamo_Extended_a}', "");
Expect(0, 43391, '\p{^  Hangul_Jamo_Extended_a}', "");
Expect(0, 43391, '\P{  Hangul_Jamo_Extended_a}', "");
Expect(1, 43391, '\P{^  Hangul_Jamo_Extended_a}', "");
Expect(0, 43392, '\p{  Hangul_Jamo_Extended_a}', "");
Expect(1, 43392, '\p{^  Hangul_Jamo_Extended_a}', "");
Expect(1, 43392, '\P{  Hangul_Jamo_Extended_a}', "");
Expect(0, 43392, '\P{^  Hangul_Jamo_Extended_a}', "");
Error('\p{:=	 Is_Hangul_JAMO_Extended_A}');
Error('\P{:=	 Is_Hangul_JAMO_Extended_A}');
Expect(1, 43391, '\p{ishanguljamoextendeda}', "");
Expect(0, 43391, '\p{^ishanguljamoextendeda}', "");
Expect(0, 43391, '\P{ishanguljamoextendeda}', "");
Expect(1, 43391, '\P{^ishanguljamoextendeda}', "");
Expect(0, 43392, '\p{ishanguljamoextendeda}', "");
Expect(1, 43392, '\p{^ishanguljamoextendeda}', "");
Expect(1, 43392, '\P{ishanguljamoextendeda}', "");
Expect(0, 43392, '\P{^ishanguljamoextendeda}', "");
Expect(1, 43391, '\p{-	IS_Hangul_JAMO_extended_a}', "");
Expect(0, 43391, '\p{^-	IS_Hangul_JAMO_extended_a}', "");
Expect(0, 43391, '\P{-	IS_Hangul_JAMO_extended_a}', "");
Expect(1, 43391, '\P{^-	IS_Hangul_JAMO_extended_a}', "");
Expect(0, 43392, '\p{-	IS_Hangul_JAMO_extended_a}', "");
Expect(1, 43392, '\p{^-	IS_Hangul_JAMO_extended_a}', "");
Expect(1, 43392, '\P{-	IS_Hangul_JAMO_extended_a}', "");
Expect(0, 43392, '\P{^-	IS_Hangul_JAMO_extended_a}', "");
Error('\p{	/a/in_Hangul_jamo_Extended_A}');
Error('\P{	/a/in_Hangul_jamo_Extended_A}');
Expect(1, 43391, '\p{inhanguljamoextendeda}', "");
Expect(0, 43391, '\p{^inhanguljamoextendeda}', "");
Expect(0, 43391, '\P{inhanguljamoextendeda}', "");
Expect(1, 43391, '\P{^inhanguljamoextendeda}', "");
Expect(0, 43392, '\p{inhanguljamoextendeda}', "");
Expect(1, 43392, '\p{^inhanguljamoextendeda}', "");
Expect(1, 43392, '\P{inhanguljamoextendeda}', "");
Expect(0, 43392, '\P{^inhanguljamoextendeda}', "");
Expect(1, 43391, '\p{-	In_HANGUL_Jamo_extended_A}', "");
Expect(0, 43391, '\p{^-	In_HANGUL_Jamo_extended_A}', "");
Expect(0, 43391, '\P{-	In_HANGUL_Jamo_extended_A}', "");
Expect(1, 43391, '\P{^-	In_HANGUL_Jamo_extended_A}', "");
Expect(0, 43392, '\p{-	In_HANGUL_Jamo_extended_A}', "");
Expect(1, 43392, '\p{^-	In_HANGUL_Jamo_extended_A}', "");
Expect(1, 43392, '\P{-	In_HANGUL_Jamo_extended_A}', "");
Expect(0, 43392, '\P{^-	In_HANGUL_Jamo_extended_A}', "");
Error('\p{__JAMO_Ext_A:=}');
Error('\P{__JAMO_Ext_A:=}');
Expect(1, 43391, '\p{jamoexta}', "");
Expect(0, 43391, '\p{^jamoexta}', "");
Expect(0, 43391, '\P{jamoexta}', "");
Expect(1, 43391, '\P{^jamoexta}', "");
Expect(0, 43392, '\p{jamoexta}', "");
Expect(1, 43392, '\p{^jamoexta}', "");
Expect(1, 43392, '\P{jamoexta}', "");
Expect(0, 43392, '\P{^jamoexta}', "");
Expect(1, 43391, '\p{_-Jamo_Ext_a}', "");
Expect(0, 43391, '\p{^_-Jamo_Ext_a}', "");
Expect(0, 43391, '\P{_-Jamo_Ext_a}', "");
Expect(1, 43391, '\P{^_-Jamo_Ext_a}', "");
Expect(0, 43392, '\p{_-Jamo_Ext_a}', "");
Expect(1, 43392, '\p{^_-Jamo_Ext_a}', "");
Expect(1, 43392, '\P{_-Jamo_Ext_a}', "");
Expect(0, 43392, '\P{^_-Jamo_Ext_a}', "");
Error('\p{_	is_JAMO_EXT_A/a/}');
Error('\P{_	is_JAMO_EXT_A/a/}');
Expect(1, 43391, '\p{isjamoexta}', "");
Expect(0, 43391, '\p{^isjamoexta}', "");
Expect(0, 43391, '\P{isjamoexta}', "");
Expect(1, 43391, '\P{^isjamoexta}', "");
Expect(0, 43392, '\p{isjamoexta}', "");
Expect(1, 43392, '\p{^isjamoexta}', "");
Expect(1, 43392, '\P{isjamoexta}', "");
Expect(0, 43392, '\P{^isjamoexta}', "");
Expect(1, 43391, '\p{	-Is_Jamo_EXT_A}', "");
Expect(0, 43391, '\p{^	-Is_Jamo_EXT_A}', "");
Expect(0, 43391, '\P{	-Is_Jamo_EXT_A}', "");
Expect(1, 43391, '\P{^	-Is_Jamo_EXT_A}', "");
Expect(0, 43392, '\p{	-Is_Jamo_EXT_A}', "");
Expect(1, 43392, '\p{^	-Is_Jamo_EXT_A}', "");
Expect(1, 43392, '\P{	-Is_Jamo_EXT_A}', "");
Expect(0, 43392, '\P{^	-Is_Jamo_EXT_A}', "");
Error('\p{:=_IN_Jamo_Ext_A}');
Error('\P{:=_IN_Jamo_Ext_A}');
Expect(1, 43391, '\p{injamoexta}', "");
Expect(0, 43391, '\p{^injamoexta}', "");
Expect(0, 43391, '\P{injamoexta}', "");
Expect(1, 43391, '\P{^injamoexta}', "");
Expect(0, 43392, '\p{injamoexta}', "");
Expect(1, 43392, '\p{^injamoexta}', "");
Expect(1, 43392, '\P{injamoexta}', "");
Expect(0, 43392, '\P{^injamoexta}', "");
Expect(1, 43391, '\p{_ In_JAMO_Ext_a}', "");
Expect(0, 43391, '\p{^_ In_JAMO_Ext_a}', "");
Expect(0, 43391, '\P{_ In_JAMO_Ext_a}', "");
Expect(1, 43391, '\P{^_ In_JAMO_Ext_a}', "");
Expect(0, 43392, '\p{_ In_JAMO_Ext_a}', "");
Expect(1, 43392, '\p{^_ In_JAMO_Ext_a}', "");
Expect(1, 43392, '\P{_ In_JAMO_Ext_a}', "");
Expect(0, 43392, '\P{^_ In_JAMO_Ext_a}', "");
Error('\p{ Hangul_Jamo_extended_B:=}');
Error('\P{ Hangul_Jamo_extended_B:=}');
Expect(1, 55295, '\p{hanguljamoextendedb}', "");
Expect(0, 55295, '\p{^hanguljamoextendedb}', "");
Expect(0, 55295, '\P{hanguljamoextendedb}', "");
Expect(1, 55295, '\P{^hanguljamoextendedb}', "");
Expect(0, 57344, '\p{hanguljamoextendedb}', "");
Expect(1, 57344, '\p{^hanguljamoextendedb}', "");
Expect(1, 57344, '\P{hanguljamoextendedb}', "");
Expect(0, 57344, '\P{^hanguljamoextendedb}', "");
Expect(1, 55295, '\p{ Hangul_JAMO_Extended_B}', "");
Expect(0, 55295, '\p{^ Hangul_JAMO_Extended_B}', "");
Expect(0, 55295, '\P{ Hangul_JAMO_Extended_B}', "");
Expect(1, 55295, '\P{^ Hangul_JAMO_Extended_B}', "");
Expect(0, 57344, '\p{ Hangul_JAMO_Extended_B}', "");
Expect(1, 57344, '\p{^ Hangul_JAMO_Extended_B}', "");
Expect(1, 57344, '\P{ Hangul_JAMO_Extended_B}', "");
Expect(0, 57344, '\P{^ Hangul_JAMO_Extended_B}', "");
Error('\p{:=_ IS_hangul_jamo_Extended_b}');
Error('\P{:=_ IS_hangul_jamo_Extended_b}');
Expect(1, 55295, '\p{ishanguljamoextendedb}', "");
Expect(0, 55295, '\p{^ishanguljamoextendedb}', "");
Expect(0, 55295, '\P{ishanguljamoextendedb}', "");
Expect(1, 55295, '\P{^ishanguljamoextendedb}', "");
Expect(0, 57344, '\p{ishanguljamoextendedb}', "");
Expect(1, 57344, '\p{^ishanguljamoextendedb}', "");
Expect(1, 57344, '\P{ishanguljamoextendedb}', "");
Expect(0, 57344, '\P{^ishanguljamoextendedb}', "");
Expect(1, 55295, '\p{	_Is_Hangul_jamo_Extended_B}', "");
Expect(0, 55295, '\p{^	_Is_Hangul_jamo_Extended_B}', "");
Expect(0, 55295, '\P{	_Is_Hangul_jamo_Extended_B}', "");
Expect(1, 55295, '\P{^	_Is_Hangul_jamo_Extended_B}', "");
Expect(0, 57344, '\p{	_Is_Hangul_jamo_Extended_B}', "");
Expect(1, 57344, '\p{^	_Is_Hangul_jamo_Extended_B}', "");
Expect(1, 57344, '\P{	_Is_Hangul_jamo_Extended_B}', "");
Expect(0, 57344, '\P{^	_Is_Hangul_jamo_Extended_B}', "");
Error('\p{	/a/In_HANGUL_Jamo_Extended_B}');
Error('\P{	/a/In_HANGUL_Jamo_Extended_B}');
Expect(1, 55295, '\p{inhanguljamoextendedb}', "");
Expect(0, 55295, '\p{^inhanguljamoextendedb}', "");
Expect(0, 55295, '\P{inhanguljamoextendedb}', "");
Expect(1, 55295, '\P{^inhanguljamoextendedb}', "");
Expect(0, 57344, '\p{inhanguljamoextendedb}', "");
Expect(1, 57344, '\p{^inhanguljamoextendedb}', "");
Expect(1, 57344, '\P{inhanguljamoextendedb}', "");
Expect(0, 57344, '\P{^inhanguljamoextendedb}', "");
Expect(1, 55295, '\p{ in_HANGUL_jamo_Extended_b}', "");
Expect(0, 55295, '\p{^ in_HANGUL_jamo_Extended_b}', "");
Expect(0, 55295, '\P{ in_HANGUL_jamo_Extended_b}', "");
Expect(1, 55295, '\P{^ in_HANGUL_jamo_Extended_b}', "");
Expect(0, 57344, '\p{ in_HANGUL_jamo_Extended_b}', "");
Expect(1, 57344, '\p{^ in_HANGUL_jamo_Extended_b}', "");
Expect(1, 57344, '\P{ in_HANGUL_jamo_Extended_b}', "");
Expect(0, 57344, '\P{^ in_HANGUL_jamo_Extended_b}', "");
Error('\p{	/a/Jamo_EXT_B}');
Error('\P{	/a/Jamo_EXT_B}');
Expect(1, 55295, '\p{jamoextb}', "");
Expect(0, 55295, '\p{^jamoextb}', "");
Expect(0, 55295, '\P{jamoextb}', "");
Expect(1, 55295, '\P{^jamoextb}', "");
Expect(0, 57344, '\p{jamoextb}', "");
Expect(1, 57344, '\p{^jamoextb}', "");
Expect(1, 57344, '\P{jamoextb}', "");
Expect(0, 57344, '\P{^jamoextb}', "");
Expect(1, 55295, '\p{		Jamo_Ext_B}', "");
Expect(0, 55295, '\p{^		Jamo_Ext_B}', "");
Expect(0, 55295, '\P{		Jamo_Ext_B}', "");
Expect(1, 55295, '\P{^		Jamo_Ext_B}', "");
Expect(0, 57344, '\p{		Jamo_Ext_B}', "");
Expect(1, 57344, '\p{^		Jamo_Ext_B}', "");
Expect(1, 57344, '\P{		Jamo_Ext_B}', "");
Expect(0, 57344, '\P{^		Jamo_Ext_B}', "");
Error('\p{:= -Is_jamo_EXT_B}');
Error('\P{:= -Is_jamo_EXT_B}');
Expect(1, 55295, '\p{isjamoextb}', "");
Expect(0, 55295, '\p{^isjamoextb}', "");
Expect(0, 55295, '\P{isjamoextb}', "");
Expect(1, 55295, '\P{^isjamoextb}', "");
Expect(0, 57344, '\p{isjamoextb}', "");
Expect(1, 57344, '\p{^isjamoextb}', "");
Expect(1, 57344, '\P{isjamoextb}', "");
Expect(0, 57344, '\P{^isjamoextb}', "");
Expect(1, 55295, '\p{_	Is_Jamo_ext_B}', "");
Expect(0, 55295, '\p{^_	Is_Jamo_ext_B}', "");
Expect(0, 55295, '\P{_	Is_Jamo_ext_B}', "");
Expect(1, 55295, '\P{^_	Is_Jamo_ext_B}', "");
Expect(0, 57344, '\p{_	Is_Jamo_ext_B}', "");
Expect(1, 57344, '\p{^_	Is_Jamo_ext_B}', "");
Expect(1, 57344, '\P{_	Is_Jamo_ext_B}', "");
Expect(0, 57344, '\P{^_	Is_Jamo_ext_B}', "");
Error('\p{/a/- IN_JAMO_EXT_B}');
Error('\P{/a/- IN_JAMO_EXT_B}');
Expect(1, 55295, '\p{injamoextb}', "");
Expect(0, 55295, '\p{^injamoextb}', "");
Expect(0, 55295, '\P{injamoextb}', "");
Expect(1, 55295, '\P{^injamoextb}', "");
Expect(0, 57344, '\p{injamoextb}', "");
Expect(1, 57344, '\p{^injamoextb}', "");
Expect(1, 57344, '\P{injamoextb}', "");
Expect(0, 57344, '\P{^injamoextb}', "");
Expect(1, 55295, '\p{-IN_JAMO_Ext_B}', "");
Expect(0, 55295, '\p{^-IN_JAMO_Ext_B}', "");
Expect(0, 55295, '\P{-IN_JAMO_Ext_B}', "");
Expect(1, 55295, '\P{^-IN_JAMO_Ext_B}', "");
Expect(0, 57344, '\p{-IN_JAMO_Ext_B}', "");
Expect(1, 57344, '\p{^-IN_JAMO_Ext_B}', "");
Expect(1, 57344, '\P{-IN_JAMO_Ext_B}', "");
Expect(0, 57344, '\P{^-IN_JAMO_Ext_B}', "");
Error('\p{/a/_hangul_syllables}');
Error('\P{/a/_hangul_syllables}');
Expect(1, 55215, '\p{hangulsyllables}', "");
Expect(0, 55215, '\p{^hangulsyllables}', "");
Expect(0, 55215, '\P{hangulsyllables}', "");
Expect(1, 55215, '\P{^hangulsyllables}', "");
Expect(0, 55216, '\p{hangulsyllables}', "");
Expect(1, 55216, '\p{^hangulsyllables}', "");
Expect(1, 55216, '\P{hangulsyllables}', "");
Expect(0, 55216, '\P{^hangulsyllables}', "");
Expect(1, 55215, '\p{	Hangul_Syllables}', "");
Expect(0, 55215, '\p{^	Hangul_Syllables}', "");
Expect(0, 55215, '\P{	Hangul_Syllables}', "");
Expect(1, 55215, '\P{^	Hangul_Syllables}', "");
Expect(0, 55216, '\p{	Hangul_Syllables}', "");
Expect(1, 55216, '\p{^	Hangul_Syllables}', "");
Expect(1, 55216, '\P{	Hangul_Syllables}', "");
Expect(0, 55216, '\P{^	Hangul_Syllables}', "");
Error('\p{:=	_Is_Hangul_Syllables}');
Error('\P{:=	_Is_Hangul_Syllables}');
Expect(1, 55215, '\p{ishangulsyllables}', "");
Expect(0, 55215, '\p{^ishangulsyllables}', "");
Expect(0, 55215, '\P{ishangulsyllables}', "");
Expect(1, 55215, '\P{^ishangulsyllables}', "");
Expect(0, 55216, '\p{ishangulsyllables}', "");
Expect(1, 55216, '\p{^ishangulsyllables}', "");
Expect(1, 55216, '\P{ishangulsyllables}', "");
Expect(0, 55216, '\P{^ishangulsyllables}', "");
Expect(1, 55215, '\p{-	Is_Hangul_syllables}', "");
Expect(0, 55215, '\p{^-	Is_Hangul_syllables}', "");
Expect(0, 55215, '\P{-	Is_Hangul_syllables}', "");
Expect(1, 55215, '\P{^-	Is_Hangul_syllables}', "");
Expect(0, 55216, '\p{-	Is_Hangul_syllables}', "");
Expect(1, 55216, '\p{^-	Is_Hangul_syllables}', "");
Expect(1, 55216, '\P{-	Is_Hangul_syllables}', "");
Expect(0, 55216, '\P{^-	Is_Hangul_syllables}', "");
Error('\p{-/a/In_Hangul_Syllables}');
Error('\P{-/a/In_Hangul_Syllables}');
Expect(1, 55215, '\p{inhangulsyllables}', "");
Expect(0, 55215, '\p{^inhangulsyllables}', "");
Expect(0, 55215, '\P{inhangulsyllables}', "");
Expect(1, 55215, '\P{^inhangulsyllables}', "");
Expect(0, 55216, '\p{inhangulsyllables}', "");
Expect(1, 55216, '\p{^inhangulsyllables}', "");
Expect(1, 55216, '\P{inhangulsyllables}', "");
Expect(0, 55216, '\P{^inhangulsyllables}', "");
Expect(1, 55215, '\p{	IN_hangul_syllables}', "");
Expect(0, 55215, '\p{^	IN_hangul_syllables}', "");
Expect(0, 55215, '\P{	IN_hangul_syllables}', "");
Expect(1, 55215, '\P{^	IN_hangul_syllables}', "");
Expect(0, 55216, '\p{	IN_hangul_syllables}', "");
Expect(1, 55216, '\p{^	IN_hangul_syllables}', "");
Expect(1, 55216, '\P{	IN_hangul_syllables}', "");
Expect(0, 55216, '\P{^	IN_hangul_syllables}', "");
Error('\p{/a/In_hangul}');
Error('\P{/a/In_hangul}');
Expect(1, 55215, '\p{inhangul}', "");
Expect(0, 55215, '\p{^inhangul}', "");
Expect(0, 55215, '\P{inhangul}', "");
Expect(1, 55215, '\P{^inhangul}', "");
Expect(0, 55216, '\p{inhangul}', "");
Expect(1, 55216, '\p{^inhangul}', "");
Expect(1, 55216, '\P{inhangul}', "");
Expect(0, 55216, '\P{^inhangul}', "");
Expect(1, 55215, '\p{		IN_Hangul}', "");
Expect(0, 55215, '\p{^		IN_Hangul}', "");
Expect(0, 55215, '\P{		IN_Hangul}', "");
Expect(1, 55215, '\P{^		IN_Hangul}', "");
Expect(0, 55216, '\p{		IN_Hangul}', "");
Expect(1, 55216, '\p{^		IN_Hangul}', "");
Expect(1, 55216, '\P{		IN_Hangul}', "");
Expect(0, 55216, '\P{^		IN_Hangul}', "");
Error('\p{__Hanunoo/a/}');
Error('\P{__Hanunoo/a/}');
Expect(1, 5940, '\p{hanunoo}', "");
Expect(0, 5940, '\p{^hanunoo}', "");
Expect(0, 5940, '\P{hanunoo}', "");
Expect(1, 5940, '\P{^hanunoo}', "");
Expect(0, 5941, '\p{hanunoo}', "");
Expect(1, 5941, '\p{^hanunoo}', "");
Expect(1, 5941, '\P{hanunoo}', "");
Expect(0, 5941, '\P{^hanunoo}', "");
Expect(1, 5940, '\p{	hanunoo}', "");
Expect(0, 5940, '\p{^	hanunoo}', "");
Expect(0, 5940, '\P{	hanunoo}', "");
Expect(1, 5940, '\P{^	hanunoo}', "");
Expect(0, 5941, '\p{	hanunoo}', "");
Expect(1, 5941, '\p{^	hanunoo}', "");
Expect(1, 5941, '\P{	hanunoo}', "");
Expect(0, 5941, '\P{^	hanunoo}', "");
Error('\p{/a/is_HANUNOO}');
Error('\P{/a/is_HANUNOO}');
Expect(1, 5940, '\p{ishanunoo}', "");
Expect(0, 5940, '\p{^ishanunoo}', "");
Expect(0, 5940, '\P{ishanunoo}', "");
Expect(1, 5940, '\P{^ishanunoo}', "");
Expect(0, 5941, '\p{ishanunoo}', "");
Expect(1, 5941, '\p{^ishanunoo}', "");
Expect(1, 5941, '\P{ishanunoo}', "");
Expect(0, 5941, '\P{^ishanunoo}', "");
Expect(1, 5940, '\p{  is_Hanunoo}', "");
Expect(0, 5940, '\p{^  is_Hanunoo}', "");
Expect(0, 5940, '\P{  is_Hanunoo}', "");
Expect(1, 5940, '\P{^  is_Hanunoo}', "");
Expect(0, 5941, '\p{  is_Hanunoo}', "");
Expect(1, 5941, '\p{^  is_Hanunoo}', "");
Expect(1, 5941, '\P{  is_Hanunoo}', "");
Expect(0, 5941, '\P{^  is_Hanunoo}', "");
Error('\p{:=-HANO}');
Error('\P{:=-HANO}');
Expect(1, 5940, '\p{hano}', "");
Expect(0, 5940, '\p{^hano}', "");
Expect(0, 5940, '\P{hano}', "");
Expect(1, 5940, '\P{^hano}', "");
Expect(0, 5941, '\p{hano}', "");
Expect(1, 5941, '\p{^hano}', "");
Expect(1, 5941, '\P{hano}', "");
Expect(0, 5941, '\P{^hano}', "");
Expect(1, 5940, '\p{ -hano}', "");
Expect(0, 5940, '\p{^ -hano}', "");
Expect(0, 5940, '\P{ -hano}', "");
Expect(1, 5940, '\P{^ -hano}', "");
Expect(0, 5941, '\p{ -hano}', "");
Expect(1, 5941, '\p{^ -hano}', "");
Expect(1, 5941, '\P{ -hano}', "");
Expect(0, 5941, '\P{^ -hano}', "");
Error('\p{/a/ -Is_HANO}');
Error('\P{/a/ -Is_HANO}');
Expect(1, 5940, '\p{ishano}', "");
Expect(0, 5940, '\p{^ishano}', "");
Expect(0, 5940, '\P{ishano}', "");
Expect(1, 5940, '\P{^ishano}', "");
Expect(0, 5941, '\p{ishano}', "");
Expect(1, 5941, '\p{^ishano}', "");
Expect(1, 5941, '\P{ishano}', "");
Expect(0, 5941, '\P{^ishano}', "");
Expect(1, 5940, '\p{ Is_Hano}', "");
Expect(0, 5940, '\p{^ Is_Hano}', "");
Expect(0, 5940, '\P{ Is_Hano}', "");
Expect(1, 5940, '\P{^ Is_Hano}', "");
Expect(0, 5941, '\p{ Is_Hano}', "");
Expect(1, 5941, '\p{^ Is_Hano}', "");
Expect(1, 5941, '\P{ Is_Hano}', "");
Expect(0, 5941, '\P{^ Is_Hano}', "");
Error('\p{:=Hatran}');
Error('\P{:=Hatran}');
Expect(1, 67839, '\p{hatran}', "");
Expect(0, 67839, '\p{^hatran}', "");
Expect(0, 67839, '\P{hatran}', "");
Expect(1, 67839, '\P{^hatran}', "");
Expect(0, 67840, '\p{hatran}', "");
Expect(1, 67840, '\p{^hatran}', "");
Expect(1, 67840, '\P{hatran}', "");
Expect(0, 67840, '\P{^hatran}', "");
Expect(1, 67839, '\p{	-HATRAN}', "");
Expect(0, 67839, '\p{^	-HATRAN}', "");
Expect(0, 67839, '\P{	-HATRAN}', "");
Expect(1, 67839, '\P{^	-HATRAN}', "");
Expect(0, 67840, '\p{	-HATRAN}', "");
Expect(1, 67840, '\p{^	-HATRAN}', "");
Expect(1, 67840, '\P{	-HATRAN}', "");
Expect(0, 67840, '\P{^	-HATRAN}', "");
Error('\p{ is_HATRAN/a/}');
Error('\P{ is_HATRAN/a/}');
Expect(1, 67839, '\p{ishatran}', "");
Expect(0, 67839, '\p{^ishatran}', "");
Expect(0, 67839, '\P{ishatran}', "");
Expect(1, 67839, '\P{^ishatran}', "");
Expect(0, 67840, '\p{ishatran}', "");
Expect(1, 67840, '\p{^ishatran}', "");
Expect(1, 67840, '\P{ishatran}', "");
Expect(0, 67840, '\P{^ishatran}', "");
Expect(1, 67839, '\p{ _Is_hatran}', "");
Expect(0, 67839, '\p{^ _Is_hatran}', "");
Expect(0, 67839, '\P{ _Is_hatran}', "");
Expect(1, 67839, '\P{^ _Is_hatran}', "");
Expect(0, 67840, '\p{ _Is_hatran}', "");
Expect(1, 67840, '\p{^ _Is_hatran}', "");
Expect(1, 67840, '\P{ _Is_hatran}', "");
Expect(0, 67840, '\P{^ _Is_hatran}', "");
Error('\p{:= Hatr}');
Error('\P{:= Hatr}');
Expect(1, 67839, '\p{hatr}', "");
Expect(0, 67839, '\p{^hatr}', "");
Expect(0, 67839, '\P{hatr}', "");
Expect(1, 67839, '\P{^hatr}', "");
Expect(0, 67840, '\p{hatr}', "");
Expect(1, 67840, '\p{^hatr}', "");
Expect(1, 67840, '\P{hatr}', "");
Expect(0, 67840, '\P{^hatr}', "");
Expect(1, 67839, '\p{--HATR}', "");
Expect(0, 67839, '\p{^--HATR}', "");
Expect(0, 67839, '\P{--HATR}', "");
Expect(1, 67839, '\P{^--HATR}', "");
Expect(0, 67840, '\p{--HATR}', "");
Expect(1, 67840, '\p{^--HATR}', "");
Expect(1, 67840, '\P{--HATR}', "");
Expect(0, 67840, '\P{^--HATR}', "");
Error('\p{ -IS_Hatr:=}');
Error('\P{ -IS_Hatr:=}');
Expect(1, 67839, '\p{ishatr}', "");
Expect(0, 67839, '\p{^ishatr}', "");
Expect(0, 67839, '\P{ishatr}', "");
Expect(1, 67839, '\P{^ishatr}', "");
Expect(0, 67840, '\p{ishatr}', "");
Expect(1, 67840, '\p{^ishatr}', "");
Expect(1, 67840, '\P{ishatr}', "");
Expect(0, 67840, '\P{^ishatr}', "");
Expect(1, 67839, '\p{ -Is_Hatr}', "");
Expect(0, 67839, '\p{^ -Is_Hatr}', "");
Expect(0, 67839, '\P{ -Is_Hatr}', "");
Expect(1, 67839, '\P{^ -Is_Hatr}', "");
Expect(0, 67840, '\p{ -Is_Hatr}', "");
Expect(1, 67840, '\p{^ -Is_Hatr}', "");
Expect(1, 67840, '\P{ -Is_Hatr}', "");
Expect(0, 67840, '\P{^ -Is_Hatr}', "");
Error('\p{ 	HEBREW/a/}');
Error('\P{ 	HEBREW/a/}');
Expect(1, 64335, '\p{hebrew}', "");
Expect(0, 64335, '\p{^hebrew}', "");
Expect(0, 64335, '\P{hebrew}', "");
Expect(1, 64335, '\P{^hebrew}', "");
Expect(0, 64336, '\p{hebrew}', "");
Expect(1, 64336, '\p{^hebrew}', "");
Expect(1, 64336, '\P{hebrew}', "");
Expect(0, 64336, '\P{^hebrew}', "");
Expect(1, 64335, '\p{_	HEBREW}', "");
Expect(0, 64335, '\p{^_	HEBREW}', "");
Expect(0, 64335, '\P{_	HEBREW}', "");
Expect(1, 64335, '\P{^_	HEBREW}', "");
Expect(0, 64336, '\p{_	HEBREW}', "");
Expect(1, 64336, '\p{^_	HEBREW}', "");
Expect(1, 64336, '\P{_	HEBREW}', "");
Expect(0, 64336, '\P{^_	HEBREW}', "");
Error('\p{/a/IS_HEBREW}');
Error('\P{/a/IS_HEBREW}');
Expect(1, 64335, '\p{ishebrew}', "");
Expect(0, 64335, '\p{^ishebrew}', "");
Expect(0, 64335, '\P{ishebrew}', "");
Expect(1, 64335, '\P{^ishebrew}', "");
Expect(0, 64336, '\p{ishebrew}', "");
Expect(1, 64336, '\p{^ishebrew}', "");
Expect(1, 64336, '\P{ishebrew}', "");
Expect(0, 64336, '\P{^ishebrew}', "");
Expect(1, 64335, '\p{_IS_Hebrew}', "");
Expect(0, 64335, '\p{^_IS_Hebrew}', "");
Expect(0, 64335, '\P{_IS_Hebrew}', "");
Expect(1, 64335, '\P{^_IS_Hebrew}', "");
Expect(0, 64336, '\p{_IS_Hebrew}', "");
Expect(1, 64336, '\p{^_IS_Hebrew}', "");
Expect(1, 64336, '\P{_IS_Hebrew}', "");
Expect(0, 64336, '\P{^_IS_Hebrew}', "");
Error('\p{ :=HEBR}');
Error('\P{ :=HEBR}');
Expect(1, 64335, '\p{hebr}', "");
Expect(0, 64335, '\p{^hebr}', "");
Expect(0, 64335, '\P{hebr}', "");
Expect(1, 64335, '\P{^hebr}', "");
Expect(0, 64336, '\p{hebr}', "");
Expect(1, 64336, '\p{^hebr}', "");
Expect(1, 64336, '\P{hebr}', "");
Expect(0, 64336, '\P{^hebr}', "");
Expect(1, 64335, '\p{_hebr}', "");
Expect(0, 64335, '\p{^_hebr}', "");
Expect(0, 64335, '\P{_hebr}', "");
Expect(1, 64335, '\P{^_hebr}', "");
Expect(0, 64336, '\p{_hebr}', "");
Expect(1, 64336, '\p{^_hebr}', "");
Expect(1, 64336, '\P{_hebr}', "");
Expect(0, 64336, '\P{^_hebr}', "");
Error('\p{ IS_hebr/a/}');
Error('\P{ IS_hebr/a/}');
Expect(1, 64335, '\p{ishebr}', "");
Expect(0, 64335, '\p{^ishebr}', "");
Expect(0, 64335, '\P{ishebr}', "");
Expect(1, 64335, '\P{^ishebr}', "");
Expect(0, 64336, '\p{ishebr}', "");
Expect(1, 64336, '\p{^ishebr}', "");
Expect(1, 64336, '\P{ishebr}', "");
Expect(0, 64336, '\P{^ishebr}', "");
Expect(1, 64335, '\p{  IS_HEBR}', "");
Expect(0, 64335, '\p{^  IS_HEBR}', "");
Expect(0, 64335, '\P{  IS_HEBR}', "");
Expect(1, 64335, '\P{^  IS_HEBR}', "");
Expect(0, 64336, '\p{  IS_HEBR}', "");
Expect(1, 64336, '\p{^  IS_HEBR}', "");
Expect(1, 64336, '\P{  IS_HEBR}', "");
Expect(0, 64336, '\P{^  IS_HEBR}', "");
Error('\p{:= -High_PRIVATE_Use_Surrogates}');
Error('\P{:= -High_PRIVATE_Use_Surrogates}');
Expect(1, 56319, '\p{highprivateusesurrogates}', "");
Expect(0, 56319, '\p{^highprivateusesurrogates}', "");
Expect(0, 56319, '\P{highprivateusesurrogates}', "");
Expect(1, 56319, '\P{^highprivateusesurrogates}', "");
Expect(0, 57344, '\p{highprivateusesurrogates}', "");
Expect(1, 57344, '\p{^highprivateusesurrogates}', "");
Expect(1, 57344, '\P{highprivateusesurrogates}', "");
Expect(0, 57344, '\P{^highprivateusesurrogates}', "");
Expect(1, 56319, '\p{		HIGH_Private_USE_Surrogates}', "");
Expect(0, 56319, '\p{^		HIGH_Private_USE_Surrogates}', "");
Expect(0, 56319, '\P{		HIGH_Private_USE_Surrogates}', "");
Expect(1, 56319, '\P{^		HIGH_Private_USE_Surrogates}', "");
Expect(0, 57344, '\p{		HIGH_Private_USE_Surrogates}', "");
Expect(1, 57344, '\p{^		HIGH_Private_USE_Surrogates}', "");
Expect(1, 57344, '\P{		HIGH_Private_USE_Surrogates}', "");
Expect(0, 57344, '\P{^		HIGH_Private_USE_Surrogates}', "");
Error('\p{	-Is_High_Private_USE_SURROGATES/a/}');
Error('\P{	-Is_High_Private_USE_SURROGATES/a/}');
Expect(1, 56319, '\p{ishighprivateusesurrogates}', "");
Expect(0, 56319, '\p{^ishighprivateusesurrogates}', "");
Expect(0, 56319, '\P{ishighprivateusesurrogates}', "");
Expect(1, 56319, '\P{^ishighprivateusesurrogates}', "");
Expect(0, 57344, '\p{ishighprivateusesurrogates}', "");
Expect(1, 57344, '\p{^ishighprivateusesurrogates}', "");
Expect(1, 57344, '\P{ishighprivateusesurrogates}', "");
Expect(0, 57344, '\P{^ishighprivateusesurrogates}', "");
Expect(1, 56319, '\p{-	is_high_private_USE_Surrogates}', "");
Expect(0, 56319, '\p{^-	is_high_private_USE_Surrogates}', "");
Expect(0, 56319, '\P{-	is_high_private_USE_Surrogates}', "");
Expect(1, 56319, '\P{^-	is_high_private_USE_Surrogates}', "");
Expect(0, 57344, '\p{-	is_high_private_USE_Surrogates}', "");
Expect(1, 57344, '\p{^-	is_high_private_USE_Surrogates}', "");
Expect(1, 57344, '\P{-	is_high_private_USE_Surrogates}', "");
Expect(0, 57344, '\P{^-	is_high_private_USE_Surrogates}', "");
Error('\p{-_IN_high_Private_Use_surrogates:=}');
Error('\P{-_IN_high_Private_Use_surrogates:=}');
Expect(1, 56319, '\p{inhighprivateusesurrogates}', "");
Expect(0, 56319, '\p{^inhighprivateusesurrogates}', "");
Expect(0, 56319, '\P{inhighprivateusesurrogates}', "");
Expect(1, 56319, '\P{^inhighprivateusesurrogates}', "");
Expect(0, 57344, '\p{inhighprivateusesurrogates}', "");
Expect(1, 57344, '\p{^inhighprivateusesurrogates}', "");
Expect(1, 57344, '\P{inhighprivateusesurrogates}', "");
Expect(0, 57344, '\P{^inhighprivateusesurrogates}', "");
Expect(1, 56319, '\p{--In_High_Private_Use_Surrogates}', "");
Expect(0, 56319, '\p{^--In_High_Private_Use_Surrogates}', "");
Expect(0, 56319, '\P{--In_High_Private_Use_Surrogates}', "");
Expect(1, 56319, '\P{^--In_High_Private_Use_Surrogates}', "");
Expect(0, 57344, '\p{--In_High_Private_Use_Surrogates}', "");
Expect(1, 57344, '\p{^--In_High_Private_Use_Surrogates}', "");
Expect(1, 57344, '\P{--In_High_Private_Use_Surrogates}', "");
Expect(0, 57344, '\P{^--In_High_Private_Use_Surrogates}', "");
Error('\p{ High_pu_surrogates:=}');
Error('\P{ High_pu_surrogates:=}');
Expect(1, 56319, '\p{highpusurrogates}', "");
Expect(0, 56319, '\p{^highpusurrogates}', "");
Expect(0, 56319, '\P{highpusurrogates}', "");
Expect(1, 56319, '\P{^highpusurrogates}', "");
Expect(0, 57344, '\p{highpusurrogates}', "");
Expect(1, 57344, '\p{^highpusurrogates}', "");
Expect(1, 57344, '\P{highpusurrogates}', "");
Expect(0, 57344, '\P{^highpusurrogates}', "");
Expect(1, 56319, '\p{-_High_PU_surrogates}', "");
Expect(0, 56319, '\p{^-_High_PU_surrogates}', "");
Expect(0, 56319, '\P{-_High_PU_surrogates}', "");
Expect(1, 56319, '\P{^-_High_PU_surrogates}', "");
Expect(0, 57344, '\p{-_High_PU_surrogates}', "");
Expect(1, 57344, '\p{^-_High_PU_surrogates}', "");
Expect(1, 57344, '\P{-_High_PU_surrogates}', "");
Expect(0, 57344, '\P{^-_High_PU_surrogates}', "");
Error('\p{-	is_High_PU_surrogates:=}');
Error('\P{-	is_High_PU_surrogates:=}');
Expect(1, 56319, '\p{ishighpusurrogates}', "");
Expect(0, 56319, '\p{^ishighpusurrogates}', "");
Expect(0, 56319, '\P{ishighpusurrogates}', "");
Expect(1, 56319, '\P{^ishighpusurrogates}', "");
Expect(0, 57344, '\p{ishighpusurrogates}', "");
Expect(1, 57344, '\p{^ishighpusurrogates}', "");
Expect(1, 57344, '\P{ishighpusurrogates}', "");
Expect(0, 57344, '\P{^ishighpusurrogates}', "");
Expect(1, 56319, '\p{ Is_High_PU_SURROGATES}', "");
Expect(0, 56319, '\p{^ Is_High_PU_SURROGATES}', "");
Expect(0, 56319, '\P{ Is_High_PU_SURROGATES}', "");
Expect(1, 56319, '\P{^ Is_High_PU_SURROGATES}', "");
Expect(0, 57344, '\p{ Is_High_PU_SURROGATES}', "");
Expect(1, 57344, '\p{^ Is_High_PU_SURROGATES}', "");
Expect(1, 57344, '\P{ Is_High_PU_SURROGATES}', "");
Expect(0, 57344, '\P{^ Is_High_PU_SURROGATES}', "");
Error('\p{/a/IN_High_PU_Surrogates}');
Error('\P{/a/IN_High_PU_Surrogates}');
Expect(1, 56319, '\p{inhighpusurrogates}', "");
Expect(0, 56319, '\p{^inhighpusurrogates}', "");
Expect(0, 56319, '\P{inhighpusurrogates}', "");
Expect(1, 56319, '\P{^inhighpusurrogates}', "");
Expect(0, 57344, '\p{inhighpusurrogates}', "");
Expect(1, 57344, '\p{^inhighpusurrogates}', "");
Expect(1, 57344, '\P{inhighpusurrogates}', "");
Expect(0, 57344, '\P{^inhighpusurrogates}', "");
Expect(1, 56319, '\p{-In_High_PU_SURROGATES}', "");
Expect(0, 56319, '\p{^-In_High_PU_SURROGATES}', "");
Expect(0, 56319, '\P{-In_High_PU_SURROGATES}', "");
Expect(1, 56319, '\P{^-In_High_PU_SURROGATES}', "");
Expect(0, 57344, '\p{-In_High_PU_SURROGATES}', "");
Expect(1, 57344, '\p{^-In_High_PU_SURROGATES}', "");
Expect(1, 57344, '\P{-In_High_PU_SURROGATES}', "");
Expect(0, 57344, '\P{^-In_High_PU_SURROGATES}', "");
Error('\p{/a/ _HIGH_SURROGATES}');
Error('\P{/a/ _HIGH_SURROGATES}');
Expect(1, 56191, '\p{highsurrogates}', "");
Expect(0, 56191, '\p{^highsurrogates}', "");
Expect(0, 56191, '\P{highsurrogates}', "");
Expect(1, 56191, '\P{^highsurrogates}', "");
Expect(0, 57344, '\p{highsurrogates}', "");
Expect(1, 57344, '\p{^highsurrogates}', "");
Expect(1, 57344, '\P{highsurrogates}', "");
Expect(0, 57344, '\P{^highsurrogates}', "");
Expect(1, 56191, '\p{	High_SURROGATES}', "");
Expect(0, 56191, '\p{^	High_SURROGATES}', "");
Expect(0, 56191, '\P{	High_SURROGATES}', "");
Expect(1, 56191, '\P{^	High_SURROGATES}', "");
Expect(0, 57344, '\p{	High_SURROGATES}', "");
Expect(1, 57344, '\p{^	High_SURROGATES}', "");
Expect(1, 57344, '\P{	High_SURROGATES}', "");
Expect(0, 57344, '\P{^	High_SURROGATES}', "");
Error('\p{__is_High_SURROGATES/a/}');
Error('\P{__is_High_SURROGATES/a/}');
Expect(1, 56191, '\p{ishighsurrogates}', "");
Expect(0, 56191, '\p{^ishighsurrogates}', "");
Expect(0, 56191, '\P{ishighsurrogates}', "");
Expect(1, 56191, '\P{^ishighsurrogates}', "");
Expect(0, 57344, '\p{ishighsurrogates}', "");
Expect(1, 57344, '\p{^ishighsurrogates}', "");
Expect(1, 57344, '\P{ishighsurrogates}', "");
Expect(0, 57344, '\P{^ishighsurrogates}', "");
Expect(1, 56191, '\p{	is_HIGH_SURROGATES}', "");
Expect(0, 56191, '\p{^	is_HIGH_SURROGATES}', "");
Expect(0, 56191, '\P{	is_HIGH_SURROGATES}', "");
Expect(1, 56191, '\P{^	is_HIGH_SURROGATES}', "");
Expect(0, 57344, '\p{	is_HIGH_SURROGATES}', "");
Expect(1, 57344, '\p{^	is_HIGH_SURROGATES}', "");
Expect(1, 57344, '\P{	is_HIGH_SURROGATES}', "");
Expect(0, 57344, '\P{^	is_HIGH_SURROGATES}', "");
Error('\p{  In_high_Surrogates/a/}');
Error('\P{  In_high_Surrogates/a/}');
Expect(1, 56191, '\p{inhighsurrogates}', "");
Expect(0, 56191, '\p{^inhighsurrogates}', "");
Expect(0, 56191, '\P{inhighsurrogates}', "");
Expect(1, 56191, '\P{^inhighsurrogates}', "");
Expect(0, 57344, '\p{inhighsurrogates}', "");
Expect(1, 57344, '\p{^inhighsurrogates}', "");
Expect(1, 57344, '\P{inhighsurrogates}', "");
Expect(0, 57344, '\P{^inhighsurrogates}', "");
Expect(1, 56191, '\p{	In_High_Surrogates}', "");
Expect(0, 56191, '\p{^	In_High_Surrogates}', "");
Expect(0, 56191, '\P{	In_High_Surrogates}', "");
Expect(1, 56191, '\P{^	In_High_Surrogates}', "");
Expect(0, 57344, '\p{	In_High_Surrogates}', "");
Expect(1, 57344, '\p{^	In_High_Surrogates}', "");
Expect(1, 57344, '\P{	In_High_Surrogates}', "");
Expect(0, 57344, '\P{^	In_High_Surrogates}', "");
Error('\p{-/a/Hiragana}');
Error('\P{-/a/Hiragana}');
Expect(1, 127488, '\p{hiragana}', "");
Expect(0, 127488, '\p{^hiragana}', "");
Expect(0, 127488, '\P{hiragana}', "");
Expect(1, 127488, '\P{^hiragana}', "");
Expect(0, 127489, '\p{hiragana}', "");
Expect(1, 127489, '\p{^hiragana}', "");
Expect(1, 127489, '\P{hiragana}', "");
Expect(0, 127489, '\P{^hiragana}', "");
Expect(1, 127488, '\p{ _hiragana}', "");
Expect(0, 127488, '\p{^ _hiragana}', "");
Expect(0, 127488, '\P{ _hiragana}', "");
Expect(1, 127488, '\P{^ _hiragana}', "");
Expect(0, 127489, '\p{ _hiragana}', "");
Expect(1, 127489, '\p{^ _hiragana}', "");
Expect(1, 127489, '\P{ _hiragana}', "");
Expect(0, 127489, '\P{^ _hiragana}', "");
Error('\p{-Is_HIRAGANA:=}');
Error('\P{-Is_HIRAGANA:=}');
Expect(1, 127488, '\p{ishiragana}', "");
Expect(0, 127488, '\p{^ishiragana}', "");
Expect(0, 127488, '\P{ishiragana}', "");
Expect(1, 127488, '\P{^ishiragana}', "");
Expect(0, 127489, '\p{ishiragana}', "");
Expect(1, 127489, '\p{^ishiragana}', "");
Expect(1, 127489, '\P{ishiragana}', "");
Expect(0, 127489, '\P{^ishiragana}', "");
Expect(1, 127488, '\p{-IS_Hiragana}', "");
Expect(0, 127488, '\p{^-IS_Hiragana}', "");
Expect(0, 127488, '\P{-IS_Hiragana}', "");
Expect(1, 127488, '\P{^-IS_Hiragana}', "");
Expect(0, 127489, '\p{-IS_Hiragana}', "");
Expect(1, 127489, '\p{^-IS_Hiragana}', "");
Expect(1, 127489, '\P{-IS_Hiragana}', "");
Expect(0, 127489, '\P{^-IS_Hiragana}', "");
Error('\p{	-Hira/a/}');
Error('\P{	-Hira/a/}');
Expect(1, 127488, '\p{hira}', "");
Expect(0, 127488, '\p{^hira}', "");
Expect(0, 127488, '\P{hira}', "");
Expect(1, 127488, '\P{^hira}', "");
Expect(0, 127489, '\p{hira}', "");
Expect(1, 127489, '\p{^hira}', "");
Expect(1, 127489, '\P{hira}', "");
Expect(0, 127489, '\P{^hira}', "");
Expect(1, 127488, '\p{	hira}', "");
Expect(0, 127488, '\p{^	hira}', "");
Expect(0, 127488, '\P{	hira}', "");
Expect(1, 127488, '\P{^	hira}', "");
Expect(0, 127489, '\p{	hira}', "");
Expect(1, 127489, '\p{^	hira}', "");
Expect(1, 127489, '\P{	hira}', "");
Expect(0, 127489, '\P{^	hira}', "");
Error('\p{ /a/IS_Hira}');
Error('\P{ /a/IS_Hira}');
Expect(1, 127488, '\p{ishira}', "");
Expect(0, 127488, '\p{^ishira}', "");
Expect(0, 127488, '\P{ishira}', "");
Expect(1, 127488, '\P{^ishira}', "");
Expect(0, 127489, '\p{ishira}', "");
Expect(1, 127489, '\p{^ishira}', "");
Expect(1, 127489, '\P{ishira}', "");
Expect(0, 127489, '\P{^ishira}', "");
Expect(1, 127488, '\p{	 Is_hira}', "");
Expect(0, 127488, '\p{^	 Is_hira}', "");
Expect(0, 127488, '\P{	 Is_hira}', "");
Expect(1, 127488, '\P{^	 Is_hira}', "");
Expect(0, 127489, '\p{	 Is_hira}', "");
Expect(1, 127489, '\p{^	 Is_hira}', "");
Expect(1, 127489, '\P{	 Is_hira}', "");
Expect(0, 127489, '\P{^	 Is_hira}', "");
Error('\p{_	Hyphen/a/}');
Error('\P{_	Hyphen/a/}');
Expect(1, 65381, '\p{hyphen}', 'deprecated');
Expect(0, 65381, '\p{^hyphen}', 'deprecated');
Expect(0, 65381, '\P{hyphen}', 'deprecated');
Expect(1, 65381, '\P{^hyphen}', 'deprecated');
Expect(0, 65382, '\p{hyphen}', 'deprecated');
Expect(1, 65382, '\p{^hyphen}', 'deprecated');
Expect(1, 65382, '\P{hyphen}', 'deprecated');
Expect(0, 65382, '\P{^hyphen}', 'deprecated');
Expect(1, 65381, '\p{- Hyphen}', 'deprecated');
Expect(0, 65381, '\p{^- Hyphen}', 'deprecated');
Expect(0, 65381, '\P{- Hyphen}', 'deprecated');
Expect(1, 65381, '\P{^- Hyphen}', 'deprecated');
Expect(0, 65382, '\p{- Hyphen}', 'deprecated');
Expect(1, 65382, '\p{^- Hyphen}', 'deprecated');
Expect(1, 65382, '\P{- Hyphen}', 'deprecated');
Expect(0, 65382, '\P{^- Hyphen}', 'deprecated');
Error('\p{/a/- Is_Hyphen}');
Error('\P{/a/- Is_Hyphen}');
Expect(1, 65381, '\p{ishyphen}', 'deprecated');
Expect(0, 65381, '\p{^ishyphen}', 'deprecated');
Expect(0, 65381, '\P{ishyphen}', 'deprecated');
Expect(1, 65381, '\P{^ishyphen}', 'deprecated');
Expect(0, 65382, '\p{ishyphen}', 'deprecated');
Expect(1, 65382, '\p{^ishyphen}', 'deprecated');
Expect(1, 65382, '\P{ishyphen}', 'deprecated');
Expect(0, 65382, '\P{^ishyphen}', 'deprecated');
Expect(1, 65381, '\p{_-Is_HYPHEN}', 'deprecated');
Expect(0, 65381, '\p{^_-Is_HYPHEN}', 'deprecated');
Expect(0, 65381, '\P{_-Is_HYPHEN}', 'deprecated');
Expect(1, 65381, '\P{^_-Is_HYPHEN}', 'deprecated');
Expect(0, 65382, '\p{_-Is_HYPHEN}', 'deprecated');
Expect(1, 65382, '\p{^_-Is_HYPHEN}', 'deprecated');
Expect(1, 65382, '\P{_-Is_HYPHEN}', 'deprecated');
Expect(0, 65382, '\P{^_-Is_HYPHEN}', 'deprecated');
Error('\p{:= ids_BINARY_Operator}');
Error('\P{:= ids_BINARY_Operator}');
Expect(1, 12283, '\p{idsbinaryoperator}', "");
Expect(0, 12283, '\p{^idsbinaryoperator}', "");
Expect(0, 12283, '\P{idsbinaryoperator}', "");
Expect(1, 12283, '\P{^idsbinaryoperator}', "");
Expect(0, 12284, '\p{idsbinaryoperator}', "");
Expect(1, 12284, '\p{^idsbinaryoperator}', "");
Expect(1, 12284, '\P{idsbinaryoperator}', "");
Expect(0, 12284, '\P{^idsbinaryoperator}', "");
Expect(1, 12283, '\p{		ids_Binary_Operator}', "");
Expect(0, 12283, '\p{^		ids_Binary_Operator}', "");
Expect(0, 12283, '\P{		ids_Binary_Operator}', "");
Expect(1, 12283, '\P{^		ids_Binary_Operator}', "");
Expect(0, 12284, '\p{		ids_Binary_Operator}', "");
Expect(1, 12284, '\p{^		ids_Binary_Operator}', "");
Expect(1, 12284, '\P{		ids_Binary_Operator}', "");
Expect(0, 12284, '\P{^		ids_Binary_Operator}', "");
Error('\p{ /a/Is_IDS_binary_Operator}');
Error('\P{ /a/Is_IDS_binary_Operator}');
Expect(1, 12283, '\p{isidsbinaryoperator}', "");
Expect(0, 12283, '\p{^isidsbinaryoperator}', "");
Expect(0, 12283, '\P{isidsbinaryoperator}', "");
Expect(1, 12283, '\P{^isidsbinaryoperator}', "");
Expect(0, 12284, '\p{isidsbinaryoperator}', "");
Expect(1, 12284, '\p{^isidsbinaryoperator}', "");
Expect(1, 12284, '\P{isidsbinaryoperator}', "");
Expect(0, 12284, '\P{^isidsbinaryoperator}', "");
Expect(1, 12283, '\p{-	is_IDS_Binary_Operator}', "");
Expect(0, 12283, '\p{^-	is_IDS_Binary_Operator}', "");
Expect(0, 12283, '\P{-	is_IDS_Binary_Operator}', "");
Expect(1, 12283, '\P{^-	is_IDS_Binary_Operator}', "");
Expect(0, 12284, '\p{-	is_IDS_Binary_Operator}', "");
Expect(1, 12284, '\p{^-	is_IDS_Binary_Operator}', "");
Expect(1, 12284, '\P{-	is_IDS_Binary_Operator}', "");
Expect(0, 12284, '\P{^-	is_IDS_Binary_Operator}', "");
Error('\p{ :=IDSB}');
Error('\P{ :=IDSB}');
Expect(1, 12283, '\p{idsb}', "");
Expect(0, 12283, '\p{^idsb}', "");
Expect(0, 12283, '\P{idsb}', "");
Expect(1, 12283, '\P{^idsb}', "");
Expect(0, 12284, '\p{idsb}', "");
Expect(1, 12284, '\p{^idsb}', "");
Expect(1, 12284, '\P{idsb}', "");
Expect(0, 12284, '\P{^idsb}', "");
Expect(1, 12283, '\p{	idsb}', "");
Expect(0, 12283, '\p{^	idsb}', "");
Expect(0, 12283, '\P{	idsb}', "");
Expect(1, 12283, '\P{^	idsb}', "");
Expect(0, 12284, '\p{	idsb}', "");
Expect(1, 12284, '\p{^	idsb}', "");
Expect(1, 12284, '\P{	idsb}', "");
Expect(0, 12284, '\P{^	idsb}', "");
Error('\p{	/a/Is_IDSB}');
Error('\P{	/a/Is_IDSB}');
Expect(1, 12283, '\p{isidsb}', "");
Expect(0, 12283, '\p{^isidsb}', "");
Expect(0, 12283, '\P{isidsb}', "");
Expect(1, 12283, '\P{^isidsb}', "");
Expect(0, 12284, '\p{isidsb}', "");
Expect(1, 12284, '\p{^isidsb}', "");
Expect(1, 12284, '\P{isidsb}', "");
Expect(0, 12284, '\P{^isidsb}', "");
Expect(1, 12283, '\p{_-Is_IDSB}', "");
Expect(0, 12283, '\p{^_-Is_IDSB}', "");
Expect(0, 12283, '\P{_-Is_IDSB}', "");
Expect(1, 12283, '\P{^_-Is_IDSB}', "");
Expect(0, 12284, '\p{_-Is_IDSB}', "");
Expect(1, 12284, '\p{^_-Is_IDSB}', "");
Expect(1, 12284, '\P{_-Is_IDSB}', "");
Expect(0, 12284, '\P{^_-Is_IDSB}', "");
Error('\p{	IDS_TRINARY_OPERATOR:=}');
Error('\P{	IDS_TRINARY_OPERATOR:=}');
Expect(1, 12275, '\p{idstrinaryoperator}', "");
Expect(0, 12275, '\p{^idstrinaryoperator}', "");
Expect(0, 12275, '\P{idstrinaryoperator}', "");
Expect(1, 12275, '\P{^idstrinaryoperator}', "");
Expect(0, 12276, '\p{idstrinaryoperator}', "");
Expect(1, 12276, '\p{^idstrinaryoperator}', "");
Expect(1, 12276, '\P{idstrinaryoperator}', "");
Expect(0, 12276, '\P{^idstrinaryoperator}', "");
Expect(1, 12275, '\p{-IDS_Trinary_operator}', "");
Expect(0, 12275, '\p{^-IDS_Trinary_operator}', "");
Expect(0, 12275, '\P{-IDS_Trinary_operator}', "");
Expect(1, 12275, '\P{^-IDS_Trinary_operator}', "");
Expect(0, 12276, '\p{-IDS_Trinary_operator}', "");
Expect(1, 12276, '\p{^-IDS_Trinary_operator}', "");
Expect(1, 12276, '\P{-IDS_Trinary_operator}', "");
Expect(0, 12276, '\P{^-IDS_Trinary_operator}', "");
Error('\p{:=__Is_IDS_TRINARY_Operator}');
Error('\P{:=__Is_IDS_TRINARY_Operator}');
Expect(1, 12275, '\p{isidstrinaryoperator}', "");
Expect(0, 12275, '\p{^isidstrinaryoperator}', "");
Expect(0, 12275, '\P{isidstrinaryoperator}', "");
Expect(1, 12275, '\P{^isidstrinaryoperator}', "");
Expect(0, 12276, '\p{isidstrinaryoperator}', "");
Expect(1, 12276, '\p{^isidstrinaryoperator}', "");
Expect(1, 12276, '\P{isidstrinaryoperator}', "");
Expect(0, 12276, '\P{^isidstrinaryoperator}', "");
Expect(1, 12275, '\p{	Is_IDS_trinary_Operator}', "");
Expect(0, 12275, '\p{^	Is_IDS_trinary_Operator}', "");
Expect(0, 12275, '\P{	Is_IDS_trinary_Operator}', "");
Expect(1, 12275, '\P{^	Is_IDS_trinary_Operator}', "");
Expect(0, 12276, '\p{	Is_IDS_trinary_Operator}', "");
Expect(1, 12276, '\p{^	Is_IDS_trinary_Operator}', "");
Expect(1, 12276, '\P{	Is_IDS_trinary_Operator}', "");
Expect(0, 12276, '\P{^	Is_IDS_trinary_Operator}', "");
Error('\p{:=	-IDST}');
Error('\P{:=	-IDST}');
Expect(1, 12275, '\p{idst}', "");
Expect(0, 12275, '\p{^idst}', "");
Expect(0, 12275, '\P{idst}', "");
Expect(1, 12275, '\P{^idst}', "");
Expect(0, 12276, '\p{idst}', "");
Expect(1, 12276, '\p{^idst}', "");
Expect(1, 12276, '\P{idst}', "");
Expect(0, 12276, '\P{^idst}', "");
Expect(1, 12275, '\p{ 	IDST}', "");
Expect(0, 12275, '\p{^ 	IDST}', "");
Expect(0, 12275, '\P{ 	IDST}', "");
Expect(1, 12275, '\P{^ 	IDST}', "");
Expect(0, 12276, '\p{ 	IDST}', "");
Expect(1, 12276, '\p{^ 	IDST}', "");
Expect(1, 12276, '\P{ 	IDST}', "");
Expect(0, 12276, '\P{^ 	IDST}', "");
Error('\p{_IS_IDST:=}');
Error('\P{_IS_IDST:=}');
Expect(1, 12275, '\p{isidst}', "");
Expect(0, 12275, '\p{^isidst}', "");
Expect(0, 12275, '\P{isidst}', "");
Expect(1, 12275, '\P{^isidst}', "");
Expect(0, 12276, '\p{isidst}', "");
Expect(1, 12276, '\p{^isidst}', "");
Expect(1, 12276, '\P{isidst}', "");
Expect(0, 12276, '\P{^isidst}', "");
Expect(1, 12275, '\p{  Is_idst}', "");
Expect(0, 12275, '\p{^  Is_idst}', "");
Expect(0, 12275, '\P{  Is_idst}', "");
Expect(1, 12275, '\P{^  Is_idst}', "");
Expect(0, 12276, '\p{  Is_idst}', "");
Expect(1, 12276, '\p{^  Is_idst}', "");
Expect(1, 12276, '\P{  Is_idst}', "");
Expect(0, 12276, '\P{^  Is_idst}', "");
Error('\p{  ID_Continue/a/}');
Error('\P{  ID_Continue/a/}');
Expect(1, 917999, '\p{idcontinue}', "");
Expect(0, 917999, '\p{^idcontinue}', "");
Expect(0, 917999, '\P{idcontinue}', "");
Expect(1, 917999, '\P{^idcontinue}', "");
Expect(0, 918000, '\p{idcontinue}', "");
Expect(1, 918000, '\p{^idcontinue}', "");
Expect(1, 918000, '\P{idcontinue}', "");
Expect(0, 918000, '\P{^idcontinue}', "");
Expect(1, 917999, '\p{		ID_Continue}', "");
Expect(0, 917999, '\p{^		ID_Continue}', "");
Expect(0, 917999, '\P{		ID_Continue}', "");
Expect(1, 917999, '\P{^		ID_Continue}', "");
Expect(0, 918000, '\p{		ID_Continue}', "");
Expect(1, 918000, '\p{^		ID_Continue}', "");
Expect(1, 918000, '\P{		ID_Continue}', "");
Expect(0, 918000, '\P{^		ID_Continue}', "");
Error('\p{:=_IS_id_continue}');
Error('\P{:=_IS_id_continue}');
Expect(1, 917999, '\p{isidcontinue}', "");
Expect(0, 917999, '\p{^isidcontinue}', "");
Expect(0, 917999, '\P{isidcontinue}', "");
Expect(1, 917999, '\P{^isidcontinue}', "");
Expect(0, 918000, '\p{isidcontinue}', "");
Expect(1, 918000, '\p{^isidcontinue}', "");
Expect(1, 918000, '\P{isidcontinue}', "");
Expect(0, 918000, '\P{^isidcontinue}', "");
Expect(1, 917999, '\p{--Is_id_Continue}', "");
Expect(0, 917999, '\p{^--Is_id_Continue}', "");
Expect(0, 917999, '\P{--Is_id_Continue}', "");
Expect(1, 917999, '\P{^--Is_id_Continue}', "");
Expect(0, 918000, '\p{--Is_id_Continue}', "");
Expect(1, 918000, '\p{^--Is_id_Continue}', "");
Expect(1, 918000, '\P{--Is_id_Continue}', "");
Expect(0, 918000, '\P{^--Is_id_Continue}', "");
Error('\p{-/a/IDC}');
Error('\P{-/a/IDC}');
Expect(1, 917999, '\p{idc}', "");
Expect(0, 917999, '\p{^idc}', "");
Expect(0, 917999, '\P{idc}', "");
Expect(1, 917999, '\P{^idc}', "");
Expect(0, 918000, '\p{idc}', "");
Expect(1, 918000, '\p{^idc}', "");
Expect(1, 918000, '\P{idc}', "");
Expect(0, 918000, '\P{^idc}', "");
Expect(1, 917999, '\p{-	IDC}', "");
Expect(0, 917999, '\p{^-	IDC}', "");
Expect(0, 917999, '\P{-	IDC}', "");
Expect(1, 917999, '\P{^-	IDC}', "");
Expect(0, 918000, '\p{-	IDC}', "");
Expect(1, 918000, '\p{^-	IDC}', "");
Expect(1, 918000, '\P{-	IDC}', "");
Expect(0, 918000, '\P{^-	IDC}', "");
Error('\p{  IS_IDC:=}');
Error('\P{  IS_IDC:=}');
Expect(1, 917999, '\p{isidc}', "");
Expect(0, 917999, '\p{^isidc}', "");
Expect(0, 917999, '\P{isidc}', "");
Expect(1, 917999, '\P{^isidc}', "");
Expect(0, 918000, '\p{isidc}', "");
Expect(1, 918000, '\p{^isidc}', "");
Expect(1, 918000, '\P{isidc}', "");
Expect(0, 918000, '\P{^isidc}', "");
Expect(1, 917999, '\p{		Is_idc}', "");
Expect(0, 917999, '\p{^		Is_idc}', "");
Expect(0, 917999, '\P{		Is_idc}', "");
Expect(1, 917999, '\P{^		Is_idc}', "");
Expect(0, 918000, '\p{		Is_idc}', "");
Expect(1, 918000, '\p{^		Is_idc}', "");
Expect(1, 918000, '\P{		Is_idc}', "");
Expect(0, 918000, '\P{^		Is_idc}', "");
Error('\p{ 	ID_Start/a/}');
Error('\P{ 	ID_Start/a/}');
Expect(1, 195101, '\p{idstart}', "");
Expect(0, 195101, '\p{^idstart}', "");
Expect(0, 195101, '\P{idstart}', "");
Expect(1, 195101, '\P{^idstart}', "");
Expect(0, 195102, '\p{idstart}', "");
Expect(1, 195102, '\p{^idstart}', "");
Expect(1, 195102, '\P{idstart}', "");
Expect(0, 195102, '\P{^idstart}', "");
Expect(1, 195101, '\p{	id_Start}', "");
Expect(0, 195101, '\p{^	id_Start}', "");
Expect(0, 195101, '\P{	id_Start}', "");
Expect(1, 195101, '\P{^	id_Start}', "");
Expect(0, 195102, '\p{	id_Start}', "");
Expect(1, 195102, '\p{^	id_Start}', "");
Expect(1, 195102, '\P{	id_Start}', "");
Expect(0, 195102, '\P{^	id_Start}', "");
Error('\p{ -is_ID_Start:=}');
Error('\P{ -is_ID_Start:=}');
Expect(1, 195101, '\p{isidstart}', "");
Expect(0, 195101, '\p{^isidstart}', "");
Expect(0, 195101, '\P{isidstart}', "");
Expect(1, 195101, '\P{^isidstart}', "");
Expect(0, 195102, '\p{isidstart}', "");
Expect(1, 195102, '\p{^isidstart}', "");
Expect(1, 195102, '\P{isidstart}', "");
Expect(0, 195102, '\P{^isidstart}', "");
Expect(1, 195101, '\p{	-Is_ID_Start}', "");
Expect(0, 195101, '\p{^	-Is_ID_Start}', "");
Expect(0, 195101, '\P{	-Is_ID_Start}', "");
Expect(1, 195101, '\P{^	-Is_ID_Start}', "");
Expect(0, 195102, '\p{	-Is_ID_Start}', "");
Expect(1, 195102, '\p{^	-Is_ID_Start}', "");
Expect(1, 195102, '\P{	-Is_ID_Start}', "");
Expect(0, 195102, '\P{^	-Is_ID_Start}', "");
Error('\p{_IDS/a/}');
Error('\P{_IDS/a/}');
Expect(1, 195101, '\p{ids}', "");
Expect(0, 195101, '\p{^ids}', "");
Expect(0, 195101, '\P{ids}', "");
Expect(1, 195101, '\P{^ids}', "");
Expect(0, 195102, '\p{ids}', "");
Expect(1, 195102, '\p{^ids}', "");
Expect(1, 195102, '\P{ids}', "");
Expect(0, 195102, '\P{^ids}', "");
Expect(1, 195101, '\p{_ ids}', "");
Expect(0, 195101, '\p{^_ ids}', "");
Expect(0, 195101, '\P{_ ids}', "");
Expect(1, 195101, '\P{^_ ids}', "");
Expect(0, 195102, '\p{_ ids}', "");
Expect(1, 195102, '\p{^_ ids}', "");
Expect(1, 195102, '\P{_ ids}', "");
Expect(0, 195102, '\P{^_ ids}', "");
Error('\p{:=_Is_IDS}');
Error('\P{:=_Is_IDS}');
Expect(1, 195101, '\p{isids}', "");
Expect(0, 195101, '\p{^isids}', "");
Expect(0, 195101, '\P{isids}', "");
Expect(1, 195101, '\P{^isids}', "");
Expect(0, 195102, '\p{isids}', "");
Expect(1, 195102, '\p{^isids}', "");
Expect(1, 195102, '\P{isids}', "");
Expect(0, 195102, '\P{^isids}', "");
Expect(1, 195101, '\p{	 Is_IDS}', "");
Expect(0, 195101, '\p{^	 Is_IDS}', "");
Expect(0, 195101, '\P{	 Is_IDS}', "");
Expect(1, 195101, '\P{^	 Is_IDS}', "");
Expect(0, 195102, '\p{	 Is_IDS}', "");
Expect(1, 195102, '\p{^	 Is_IDS}', "");
Expect(1, 195102, '\P{	 Is_IDS}', "");
Expect(0, 195102, '\P{^	 Is_IDS}', "");
Error('\p{:=	-IPA_Extensions}');
Error('\P{:=	-IPA_Extensions}');
Expect(1, 687, '\p{ipaextensions}', "");
Expect(0, 687, '\p{^ipaextensions}', "");
Expect(0, 687, '\P{ipaextensions}', "");
Expect(1, 687, '\P{^ipaextensions}', "");
Expect(0, 688, '\p{ipaextensions}', "");
Expect(1, 688, '\p{^ipaextensions}', "");
Expect(1, 688, '\P{ipaextensions}', "");
Expect(0, 688, '\P{^ipaextensions}', "");
Expect(1, 687, '\p{__IPA_EXTENSIONS}', "");
Expect(0, 687, '\p{^__IPA_EXTENSIONS}', "");
Expect(0, 687, '\P{__IPA_EXTENSIONS}', "");
Expect(1, 687, '\P{^__IPA_EXTENSIONS}', "");
Expect(0, 688, '\p{__IPA_EXTENSIONS}', "");
Expect(1, 688, '\p{^__IPA_EXTENSIONS}', "");
Expect(1, 688, '\P{__IPA_EXTENSIONS}', "");
Expect(0, 688, '\P{^__IPA_EXTENSIONS}', "");
Error('\p{/a/	_is_IPA_extensions}');
Error('\P{/a/	_is_IPA_extensions}');
Expect(1, 687, '\p{isipaextensions}', "");
Expect(0, 687, '\p{^isipaextensions}', "");
Expect(0, 687, '\P{isipaextensions}', "");
Expect(1, 687, '\P{^isipaextensions}', "");
Expect(0, 688, '\p{isipaextensions}', "");
Expect(1, 688, '\p{^isipaextensions}', "");
Expect(1, 688, '\P{isipaextensions}', "");
Expect(0, 688, '\P{^isipaextensions}', "");
Expect(1, 687, '\p{	-Is_IPA_Extensions}', "");
Expect(0, 687, '\p{^	-Is_IPA_Extensions}', "");
Expect(0, 687, '\P{	-Is_IPA_Extensions}', "");
Expect(1, 687, '\P{^	-Is_IPA_Extensions}', "");
Expect(0, 688, '\p{	-Is_IPA_Extensions}', "");
Expect(1, 688, '\p{^	-Is_IPA_Extensions}', "");
Expect(1, 688, '\P{	-Is_IPA_Extensions}', "");
Expect(0, 688, '\P{^	-Is_IPA_Extensions}', "");
Error('\p{-/a/in_IPA_Extensions}');
Error('\P{-/a/in_IPA_Extensions}');
Expect(1, 687, '\p{inipaextensions}', "");
Expect(0, 687, '\p{^inipaextensions}', "");
Expect(0, 687, '\P{inipaextensions}', "");
Expect(1, 687, '\P{^inipaextensions}', "");
Expect(0, 688, '\p{inipaextensions}', "");
Expect(1, 688, '\p{^inipaextensions}', "");
Expect(1, 688, '\P{inipaextensions}', "");
Expect(0, 688, '\P{^inipaextensions}', "");
Expect(1, 687, '\p{ _In_IPA_extensions}', "");
Expect(0, 687, '\p{^ _In_IPA_extensions}', "");
Expect(0, 687, '\P{ _In_IPA_extensions}', "");
Expect(1, 687, '\P{^ _In_IPA_extensions}', "");
Expect(0, 688, '\p{ _In_IPA_extensions}', "");
Expect(1, 688, '\p{^ _In_IPA_extensions}', "");
Expect(1, 688, '\P{ _In_IPA_extensions}', "");
Expect(0, 688, '\P{^ _In_IPA_extensions}', "");
Error('\p{--ipa_Ext/a/}');
Error('\P{--ipa_Ext/a/}');
Expect(1, 687, '\p{ipaext}', "");
Expect(0, 687, '\p{^ipaext}', "");
Expect(0, 687, '\P{ipaext}', "");
Expect(1, 687, '\P{^ipaext}', "");
Expect(0, 688, '\p{ipaext}', "");
Expect(1, 688, '\p{^ipaext}', "");
Expect(1, 688, '\P{ipaext}', "");
Expect(0, 688, '\P{^ipaext}', "");
Expect(1, 687, '\p{-_IPA_Ext}', "");
Expect(0, 687, '\p{^-_IPA_Ext}', "");
Expect(0, 687, '\P{-_IPA_Ext}', "");
Expect(1, 687, '\P{^-_IPA_Ext}', "");
Expect(0, 688, '\p{-_IPA_Ext}', "");
Expect(1, 688, '\p{^-_IPA_Ext}', "");
Expect(1, 688, '\P{-_IPA_Ext}', "");
Expect(0, 688, '\P{^-_IPA_Ext}', "");
Error('\p{	:=Is_IPA_ext}');
Error('\P{	:=Is_IPA_ext}');
Expect(1, 687, '\p{isipaext}', "");
Expect(0, 687, '\p{^isipaext}', "");
Expect(0, 687, '\P{isipaext}', "");
Expect(1, 687, '\P{^isipaext}', "");
Expect(0, 688, '\p{isipaext}', "");
Expect(1, 688, '\p{^isipaext}', "");
Expect(1, 688, '\P{isipaext}', "");
Expect(0, 688, '\P{^isipaext}', "");
Expect(1, 687, '\p{-_is_IPA_ext}', "");
Expect(0, 687, '\p{^-_is_IPA_ext}', "");
Expect(0, 687, '\P{-_is_IPA_ext}', "");
Expect(1, 687, '\P{^-_is_IPA_ext}', "");
Expect(0, 688, '\p{-_is_IPA_ext}', "");
Expect(1, 688, '\p{^-_is_IPA_ext}', "");
Expect(1, 688, '\P{-_is_IPA_ext}', "");
Expect(0, 688, '\P{^-_is_IPA_ext}', "");
Error('\p{:=  In_IPA_EXT}');
Error('\P{:=  In_IPA_EXT}');
Expect(1, 687, '\p{inipaext}', "");
Expect(0, 687, '\p{^inipaext}', "");
Expect(0, 687, '\P{inipaext}', "");
Expect(1, 687, '\P{^inipaext}', "");
Expect(0, 688, '\p{inipaext}', "");
Expect(1, 688, '\p{^inipaext}', "");
Expect(1, 688, '\P{inipaext}', "");
Expect(0, 688, '\P{^inipaext}', "");
Expect(1, 687, '\p{_In_IPA_Ext}', "");
Expect(0, 687, '\p{^_In_IPA_Ext}', "");
Expect(0, 687, '\P{_In_IPA_Ext}', "");
Expect(1, 687, '\P{^_In_IPA_Ext}', "");
Expect(0, 688, '\p{_In_IPA_Ext}', "");
Expect(1, 688, '\p{^_In_IPA_Ext}', "");
Expect(1, 688, '\P{_In_IPA_Ext}', "");
Expect(0, 688, '\P{^_In_IPA_Ext}', "");
Error('\p{:=	Ideographic}');
Error('\P{:=	Ideographic}');
Expect(1, 195101, '\p{ideographic}', "");
Expect(0, 195101, '\p{^ideographic}', "");
Expect(0, 195101, '\P{ideographic}', "");
Expect(1, 195101, '\P{^ideographic}', "");
Expect(0, 195102, '\p{ideographic}', "");
Expect(1, 195102, '\p{^ideographic}', "");
Expect(1, 195102, '\P{ideographic}', "");
Expect(0, 195102, '\P{^ideographic}', "");
Expect(1, 195101, '\p{- Ideographic}', "");
Expect(0, 195101, '\p{^- Ideographic}', "");
Expect(0, 195101, '\P{- Ideographic}', "");
Expect(1, 195101, '\P{^- Ideographic}', "");
Expect(0, 195102, '\p{- Ideographic}', "");
Expect(1, 195102, '\p{^- Ideographic}', "");
Expect(1, 195102, '\P{- Ideographic}', "");
Expect(0, 195102, '\P{^- Ideographic}', "");
Error('\p{	/a/Is_Ideographic}');
Error('\P{	/a/Is_Ideographic}');
Expect(1, 195101, '\p{isideographic}', "");
Expect(0, 195101, '\p{^isideographic}', "");
Expect(0, 195101, '\P{isideographic}', "");
Expect(1, 195101, '\P{^isideographic}', "");
Expect(0, 195102, '\p{isideographic}', "");
Expect(1, 195102, '\p{^isideographic}', "");
Expect(1, 195102, '\P{isideographic}', "");
Expect(0, 195102, '\P{^isideographic}', "");
Expect(1, 195101, '\p{_IS_Ideographic}', "");
Expect(0, 195101, '\p{^_IS_Ideographic}', "");
Expect(0, 195101, '\P{_IS_Ideographic}', "");
Expect(1, 195101, '\P{^_IS_Ideographic}', "");
Expect(0, 195102, '\p{_IS_Ideographic}', "");
Expect(1, 195102, '\p{^_IS_Ideographic}', "");
Expect(1, 195102, '\P{_IS_Ideographic}', "");
Expect(0, 195102, '\P{^_IS_Ideographic}', "");
Error('\p{_/a/IDEO}');
Error('\P{_/a/IDEO}');
Expect(1, 195101, '\p{ideo}', "");
Expect(0, 195101, '\p{^ideo}', "");
Expect(0, 195101, '\P{ideo}', "");
Expect(1, 195101, '\P{^ideo}', "");
Expect(0, 195102, '\p{ideo}', "");
Expect(1, 195102, '\p{^ideo}', "");
Expect(1, 195102, '\P{ideo}', "");
Expect(0, 195102, '\P{^ideo}', "");
Expect(1, 195101, '\p{_	IDEO}', "");
Expect(0, 195101, '\p{^_	IDEO}', "");
Expect(0, 195101, '\P{_	IDEO}', "");
Expect(1, 195101, '\P{^_	IDEO}', "");
Expect(0, 195102, '\p{_	IDEO}', "");
Expect(1, 195102, '\p{^_	IDEO}', "");
Expect(1, 195102, '\P{_	IDEO}', "");
Expect(0, 195102, '\P{^_	IDEO}', "");
Error('\p{	-is_ideo/a/}');
Error('\P{	-is_ideo/a/}');
Expect(1, 195101, '\p{isideo}', "");
Expect(0, 195101, '\p{^isideo}', "");
Expect(0, 195101, '\P{isideo}', "");
Expect(1, 195101, '\P{^isideo}', "");
Expect(0, 195102, '\p{isideo}', "");
Expect(1, 195102, '\p{^isideo}', "");
Expect(1, 195102, '\P{isideo}', "");
Expect(0, 195102, '\P{^isideo}', "");
Expect(1, 195101, '\p{-_Is_Ideo}', "");
Expect(0, 195101, '\p{^-_Is_Ideo}', "");
Expect(0, 195101, '\P{-_Is_Ideo}', "");
Expect(1, 195101, '\P{^-_Is_Ideo}', "");
Expect(0, 195102, '\p{-_Is_Ideo}', "");
Expect(1, 195102, '\p{^-_Is_Ideo}', "");
Expect(1, 195102, '\P{-_Is_Ideo}', "");
Expect(0, 195102, '\P{^-_Is_Ideo}', "");
Error('\p{	:=Ideographic_Description_Characters}');
Error('\P{	:=Ideographic_Description_Characters}');
Expect(1, 12287, '\p{ideographicdescriptioncharacters}', "");
Expect(0, 12287, '\p{^ideographicdescriptioncharacters}', "");
Expect(0, 12287, '\P{ideographicdescriptioncharacters}', "");
Expect(1, 12287, '\P{^ideographicdescriptioncharacters}', "");
Expect(0, 12288, '\p{ideographicdescriptioncharacters}', "");
Expect(1, 12288, '\p{^ideographicdescriptioncharacters}', "");
Expect(1, 12288, '\P{ideographicdescriptioncharacters}', "");
Expect(0, 12288, '\P{^ideographicdescriptioncharacters}', "");
Expect(1, 12287, '\p{ Ideographic_Description_characters}', "");
Expect(0, 12287, '\p{^ Ideographic_Description_characters}', "");
Expect(0, 12287, '\P{ Ideographic_Description_characters}', "");
Expect(1, 12287, '\P{^ Ideographic_Description_characters}', "");
Expect(0, 12288, '\p{ Ideographic_Description_characters}', "");
Expect(1, 12288, '\p{^ Ideographic_Description_characters}', "");
Expect(1, 12288, '\P{ Ideographic_Description_characters}', "");
Expect(0, 12288, '\P{^ Ideographic_Description_characters}', "");
Error('\p{/a/ Is_Ideographic_Description_Characters}');
Error('\P{/a/ Is_Ideographic_Description_Characters}');
Expect(1, 12287, '\p{isideographicdescriptioncharacters}', "");
Expect(0, 12287, '\p{^isideographicdescriptioncharacters}', "");
Expect(0, 12287, '\P{isideographicdescriptioncharacters}', "");
Expect(1, 12287, '\P{^isideographicdescriptioncharacters}', "");
Expect(0, 12288, '\p{isideographicdescriptioncharacters}', "");
Expect(1, 12288, '\p{^isideographicdescriptioncharacters}', "");
Expect(1, 12288, '\P{isideographicdescriptioncharacters}', "");
Expect(0, 12288, '\P{^isideographicdescriptioncharacters}', "");
Expect(1, 12287, '\p{ _is_Ideographic_Description_Characters}', "");
Expect(0, 12287, '\p{^ _is_Ideographic_Description_Characters}', "");
Expect(0, 12287, '\P{ _is_Ideographic_Description_Characters}', "");
Expect(1, 12287, '\P{^ _is_Ideographic_Description_Characters}', "");
Expect(0, 12288, '\p{ _is_Ideographic_Description_Characters}', "");
Expect(1, 12288, '\p{^ _is_Ideographic_Description_Characters}', "");
Expect(1, 12288, '\P{ _is_Ideographic_Description_Characters}', "");
Expect(0, 12288, '\P{^ _is_Ideographic_Description_Characters}', "");
Error('\p{-in_Ideographic_Description_Characters/a/}');
Error('\P{-in_Ideographic_Description_Characters/a/}');
Expect(1, 12287, '\p{inideographicdescriptioncharacters}', "");
Expect(0, 12287, '\p{^inideographicdescriptioncharacters}', "");
Expect(0, 12287, '\P{inideographicdescriptioncharacters}', "");
Expect(1, 12287, '\P{^inideographicdescriptioncharacters}', "");
Expect(0, 12288, '\p{inideographicdescriptioncharacters}', "");
Expect(1, 12288, '\p{^inideographicdescriptioncharacters}', "");
Expect(1, 12288, '\P{inideographicdescriptioncharacters}', "");
Expect(0, 12288, '\P{^inideographicdescriptioncharacters}', "");
Expect(1, 12287, '\p{	-IN_Ideographic_Description_Characters}', "");
Expect(0, 12287, '\p{^	-IN_Ideographic_Description_Characters}', "");
Expect(0, 12287, '\P{	-IN_Ideographic_Description_Characters}', "");
Expect(1, 12287, '\P{^	-IN_Ideographic_Description_Characters}', "");
Expect(0, 12288, '\p{	-IN_Ideographic_Description_Characters}', "");
Expect(1, 12288, '\p{^	-IN_Ideographic_Description_Characters}', "");
Expect(1, 12288, '\P{	-IN_Ideographic_Description_Characters}', "");
Expect(0, 12288, '\P{^	-IN_Ideographic_Description_Characters}', "");
Error('\p{/a/In_IDC}');
Error('\P{/a/In_IDC}');
Expect(1, 12287, '\p{inidc}', "");
Expect(0, 12287, '\p{^inidc}', "");
Expect(0, 12287, '\P{inidc}', "");
Expect(1, 12287, '\P{^inidc}', "");
Expect(0, 12288, '\p{inidc}', "");
Expect(1, 12288, '\p{^inidc}', "");
Expect(1, 12288, '\P{inidc}', "");
Expect(0, 12288, '\P{^inidc}', "");
Expect(1, 12287, '\p{__IN_IDC}', "");
Expect(0, 12287, '\p{^__IN_IDC}', "");
Expect(0, 12287, '\P{__IN_IDC}', "");
Expect(1, 12287, '\P{^__IN_IDC}', "");
Expect(0, 12288, '\p{__IN_IDC}', "");
Expect(1, 12288, '\p{^__IN_IDC}', "");
Expect(1, 12288, '\P{__IN_IDC}', "");
Expect(0, 12288, '\P{^__IN_IDC}', "");
Error('\p{	:=Imperial_ARAMAIC}');
Error('\P{	:=Imperial_ARAMAIC}');
Expect(1, 67679, '\p{imperialaramaic}', "");
Expect(0, 67679, '\p{^imperialaramaic}', "");
Expect(0, 67679, '\P{imperialaramaic}', "");
Expect(1, 67679, '\P{^imperialaramaic}', "");
Expect(0, 67680, '\p{imperialaramaic}', "");
Expect(1, 67680, '\p{^imperialaramaic}', "");
Expect(1, 67680, '\P{imperialaramaic}', "");
Expect(0, 67680, '\P{^imperialaramaic}', "");
Expect(1, 67679, '\p{_	Imperial_aramaic}', "");
Expect(0, 67679, '\p{^_	Imperial_aramaic}', "");
Expect(0, 67679, '\P{_	Imperial_aramaic}', "");
Expect(1, 67679, '\P{^_	Imperial_aramaic}', "");
Expect(0, 67680, '\p{_	Imperial_aramaic}', "");
Expect(1, 67680, '\p{^_	Imperial_aramaic}', "");
Expect(1, 67680, '\P{_	Imperial_aramaic}', "");
Expect(0, 67680, '\P{^_	Imperial_aramaic}', "");
Error('\p{:= Is_Imperial_Aramaic}');
Error('\P{:= Is_Imperial_Aramaic}');
Expect(1, 67679, '\p{isimperialaramaic}', "");
Expect(0, 67679, '\p{^isimperialaramaic}', "");
Expect(0, 67679, '\P{isimperialaramaic}', "");
Expect(1, 67679, '\P{^isimperialaramaic}', "");
Expect(0, 67680, '\p{isimperialaramaic}', "");
Expect(1, 67680, '\p{^isimperialaramaic}', "");
Expect(1, 67680, '\P{isimperialaramaic}', "");
Expect(0, 67680, '\P{^isimperialaramaic}', "");
Expect(1, 67679, '\p{  is_Imperial_Aramaic}', "");
Expect(0, 67679, '\p{^  is_Imperial_Aramaic}', "");
Expect(0, 67679, '\P{  is_Imperial_Aramaic}', "");
Expect(1, 67679, '\P{^  is_Imperial_Aramaic}', "");
Expect(0, 67680, '\p{  is_Imperial_Aramaic}', "");
Expect(1, 67680, '\p{^  is_Imperial_Aramaic}', "");
Expect(1, 67680, '\P{  is_Imperial_Aramaic}', "");
Expect(0, 67680, '\P{^  is_Imperial_Aramaic}', "");
Error('\p{	armi:=}');
Error('\P{	armi:=}');
Expect(1, 67679, '\p{armi}', "");
Expect(0, 67679, '\p{^armi}', "");
Expect(0, 67679, '\P{armi}', "");
Expect(1, 67679, '\P{^armi}', "");
Expect(0, 67680, '\p{armi}', "");
Expect(1, 67680, '\p{^armi}', "");
Expect(1, 67680, '\P{armi}', "");
Expect(0, 67680, '\P{^armi}', "");
Expect(1, 67679, '\p{ _Armi}', "");
Expect(0, 67679, '\p{^ _Armi}', "");
Expect(0, 67679, '\P{ _Armi}', "");
Expect(1, 67679, '\P{^ _Armi}', "");
Expect(0, 67680, '\p{ _Armi}', "");
Expect(1, 67680, '\p{^ _Armi}', "");
Expect(1, 67680, '\P{ _Armi}', "");
Expect(0, 67680, '\P{^ _Armi}', "");
Error('\p{/a/_-Is_Armi}');
Error('\P{/a/_-Is_Armi}');
Expect(1, 67679, '\p{isarmi}', "");
Expect(0, 67679, '\p{^isarmi}', "");
Expect(0, 67679, '\P{isarmi}', "");
Expect(1, 67679, '\P{^isarmi}', "");
Expect(0, 67680, '\p{isarmi}', "");
Expect(1, 67680, '\p{^isarmi}', "");
Expect(1, 67680, '\P{isarmi}', "");
Expect(0, 67680, '\P{^isarmi}', "");
Expect(1, 67679, '\p{	IS_Armi}', "");
Expect(0, 67679, '\p{^	IS_Armi}', "");
Expect(0, 67679, '\P{	IS_Armi}', "");
Expect(1, 67679, '\P{^	IS_Armi}', "");
Expect(0, 67680, '\p{	IS_Armi}', "");
Expect(1, 67680, '\p{^	IS_Armi}', "");
Expect(1, 67680, '\P{	IS_Armi}', "");
Expect(0, 67680, '\P{^	IS_Armi}', "");
Error('\p{-IN_Ahom:=}');
Error('\P{-IN_Ahom:=}');
Expect(1, 71487, '\p{inahom}', "");
Expect(0, 71487, '\p{^inahom}', "");
Expect(0, 71487, '\P{inahom}', "");
Expect(1, 71487, '\P{^inahom}', "");
Expect(0, 71488, '\p{inahom}', "");
Expect(1, 71488, '\p{^inahom}', "");
Expect(1, 71488, '\P{inahom}', "");
Expect(0, 71488, '\P{^inahom}', "");
Expect(1, 71487, '\p{	_in_AHOM}', "");
Expect(0, 71487, '\p{^	_in_AHOM}', "");
Expect(0, 71487, '\P{	_in_AHOM}', "");
Expect(1, 71487, '\P{^	_in_AHOM}', "");
Expect(0, 71488, '\p{	_in_AHOM}', "");
Expect(1, 71488, '\p{^	_in_AHOM}', "");
Expect(1, 71488, '\P{	_in_AHOM}', "");
Expect(0, 71488, '\P{^	_in_AHOM}', "");
Error('\p{/a/	 In_Ahom}');
Error('\P{/a/	 In_Ahom}');
Expect(1, 71487, '\p{ _in_ahom}', "");
Expect(0, 71487, '\p{^ _in_ahom}', "");
Expect(0, 71487, '\P{ _in_ahom}', "");
Expect(1, 71487, '\P{^ _in_ahom}', "");
Expect(0, 71488, '\p{ _in_ahom}', "");
Expect(1, 71488, '\p{^ _in_ahom}', "");
Expect(1, 71488, '\P{ _in_ahom}', "");
Expect(0, 71488, '\P{^ _in_ahom}', "");
Error('\p{/a/ _In_Anatolian_Hieroglyphs}');
Error('\P{/a/ _In_Anatolian_Hieroglyphs}');
Expect(1, 83583, '\p{inanatolianhieroglyphs}', "");
Expect(0, 83583, '\p{^inanatolianhieroglyphs}', "");
Expect(0, 83583, '\P{inanatolianhieroglyphs}', "");
Expect(1, 83583, '\P{^inanatolianhieroglyphs}', "");
Expect(0, 83584, '\p{inanatolianhieroglyphs}', "");
Expect(1, 83584, '\p{^inanatolianhieroglyphs}', "");
Expect(1, 83584, '\P{inanatolianhieroglyphs}', "");
Expect(0, 83584, '\P{^inanatolianhieroglyphs}', "");
Expect(1, 83583, '\p{_ In_Anatolian_HIEROGLYPHS}', "");
Expect(0, 83583, '\p{^_ In_Anatolian_HIEROGLYPHS}', "");
Expect(0, 83583, '\P{_ In_Anatolian_HIEROGLYPHS}', "");
Expect(1, 83583, '\P{^_ In_Anatolian_HIEROGLYPHS}', "");
Expect(0, 83584, '\p{_ In_Anatolian_HIEROGLYPHS}', "");
Expect(1, 83584, '\p{^_ In_Anatolian_HIEROGLYPHS}', "");
Expect(1, 83584, '\P{_ In_Anatolian_HIEROGLYPHS}', "");
Expect(0, 83584, '\P{^_ In_Anatolian_HIEROGLYPHS}', "");
Error('\p{:=_in_Anatolian_Hieroglyphs}');
Error('\P{:=_in_Anatolian_Hieroglyphs}');
Expect(1, 83583, '\p{	IN_Anatolian_Hieroglyphs}', "");
Expect(0, 83583, '\p{^	IN_Anatolian_Hieroglyphs}', "");
Expect(0, 83583, '\P{	IN_Anatolian_Hieroglyphs}', "");
Expect(1, 83583, '\P{^	IN_Anatolian_Hieroglyphs}', "");
Expect(0, 83584, '\p{	IN_Anatolian_Hieroglyphs}', "");
Expect(1, 83584, '\p{^	IN_Anatolian_Hieroglyphs}', "");
Expect(1, 83584, '\P{	IN_Anatolian_Hieroglyphs}', "");
Expect(0, 83584, '\P{^	IN_Anatolian_Hieroglyphs}', "");
Error('\p{-:=In_arabic}');
Error('\P{-:=In_arabic}');
Expect(1, 1791, '\p{inarabic}', "");
Expect(0, 1791, '\p{^inarabic}', "");
Expect(0, 1791, '\P{inarabic}', "");
Expect(1, 1791, '\P{^inarabic}', "");
Expect(0, 1792, '\p{inarabic}', "");
Expect(1, 1792, '\p{^inarabic}', "");
Expect(1, 1792, '\P{inarabic}', "");
Expect(0, 1792, '\P{^inarabic}', "");
Expect(1, 1791, '\p{ In_Arabic}', "");
Expect(0, 1791, '\p{^ In_Arabic}', "");
Expect(0, 1791, '\P{ In_Arabic}', "");
Expect(1, 1791, '\P{^ In_Arabic}', "");
Expect(0, 1792, '\p{ In_Arabic}', "");
Expect(1, 1792, '\p{^ In_Arabic}', "");
Expect(1, 1792, '\P{ In_Arabic}', "");
Expect(0, 1792, '\P{^ In_Arabic}', "");
Error('\p{/a/--in_ARABIC}');
Error('\P{/a/--in_ARABIC}');
Expect(1, 1791, '\p{ 	in_Arabic}', "");
Expect(0, 1791, '\p{^ 	in_Arabic}', "");
Expect(0, 1791, '\P{ 	in_Arabic}', "");
Expect(1, 1791, '\P{^ 	in_Arabic}', "");
Expect(0, 1792, '\p{ 	in_Arabic}', "");
Expect(1, 1792, '\p{^ 	in_Arabic}', "");
Expect(1, 1792, '\P{ 	in_Arabic}', "");
Expect(0, 1792, '\P{^ 	in_Arabic}', "");
Error('\p{ /a/IN_Armenian}');
Error('\P{ /a/IN_Armenian}');
Expect(1, 1423, '\p{inarmenian}', "");
Expect(0, 1423, '\p{^inarmenian}', "");
Expect(0, 1423, '\P{inarmenian}', "");
Expect(1, 1423, '\P{^inarmenian}', "");
Expect(0, 1424, '\p{inarmenian}', "");
Expect(1, 1424, '\p{^inarmenian}', "");
Expect(1, 1424, '\P{inarmenian}', "");
Expect(0, 1424, '\P{^inarmenian}', "");
Expect(1, 1423, '\p{ _In_ARMENIAN}', "");
Expect(0, 1423, '\p{^ _In_ARMENIAN}', "");
Expect(0, 1423, '\P{ _In_ARMENIAN}', "");
Expect(1, 1423, '\P{^ _In_ARMENIAN}', "");
Expect(0, 1424, '\p{ _In_ARMENIAN}', "");
Expect(1, 1424, '\p{^ _In_ARMENIAN}', "");
Expect(1, 1424, '\P{ _In_ARMENIAN}', "");
Expect(0, 1424, '\P{^ _In_ARMENIAN}', "");
Error('\p{/a/__IN_Armenian}');
Error('\P{/a/__IN_Armenian}');
Expect(1, 1423, '\p{--IN_Armenian}', "");
Expect(0, 1423, '\p{^--IN_Armenian}', "");
Expect(0, 1423, '\P{--IN_Armenian}', "");
Expect(1, 1423, '\P{^--IN_Armenian}', "");
Expect(0, 1424, '\p{--IN_Armenian}', "");
Expect(1, 1424, '\p{^--IN_Armenian}', "");
Expect(1, 1424, '\P{--IN_Armenian}', "");
Expect(0, 1424, '\P{^--IN_Armenian}', "");
Error('\p{_In_avestan/a/}');
Error('\P{_In_avestan/a/}');
Expect(1, 68415, '\p{inavestan}', "");
Expect(0, 68415, '\p{^inavestan}', "");
Expect(0, 68415, '\P{inavestan}', "");
Expect(1, 68415, '\P{^inavestan}', "");
Expect(0, 68416, '\p{inavestan}', "");
Expect(1, 68416, '\p{^inavestan}', "");
Expect(1, 68416, '\P{inavestan}', "");
Expect(0, 68416, '\P{^inavestan}', "");
Expect(1, 68415, '\p{	-In_Avestan}', "");
Expect(0, 68415, '\p{^	-In_Avestan}', "");
Expect(0, 68415, '\P{	-In_Avestan}', "");
Expect(1, 68415, '\P{^	-In_Avestan}', "");
Expect(0, 68416, '\p{	-In_Avestan}', "");
Expect(1, 68416, '\p{^	-In_Avestan}', "");
Expect(1, 68416, '\P{	-In_Avestan}', "");
Expect(0, 68416, '\P{^	-In_Avestan}', "");
Error('\p{-In_AVESTAN:=}');
Error('\P{-In_AVESTAN:=}');
Expect(1, 68415, '\p{--In_AVESTAN}', "");
Expect(0, 68415, '\p{^--In_AVESTAN}', "");
Expect(0, 68415, '\P{--In_AVESTAN}', "");
Expect(1, 68415, '\P{^--In_AVESTAN}', "");
Expect(0, 68416, '\p{--In_AVESTAN}', "");
Expect(1, 68416, '\p{^--In_AVESTAN}', "");
Expect(1, 68416, '\P{--In_AVESTAN}', "");
Expect(0, 68416, '\P{^--In_AVESTAN}', "");
Error('\p{:=in_balinese}');
Error('\P{:=in_balinese}');
Expect(1, 7039, '\p{inbalinese}', "");
Expect(0, 7039, '\p{^inbalinese}', "");
Expect(0, 7039, '\P{inbalinese}', "");
Expect(1, 7039, '\P{^inbalinese}', "");
Expect(0, 7040, '\p{inbalinese}', "");
Expect(1, 7040, '\p{^inbalinese}', "");
Expect(1, 7040, '\P{inbalinese}', "");
Expect(0, 7040, '\P{^inbalinese}', "");
Expect(1, 7039, '\p{ _in_balinese}', "");
Expect(0, 7039, '\p{^ _in_balinese}', "");
Expect(0, 7039, '\P{ _in_balinese}', "");
Expect(1, 7039, '\P{^ _in_balinese}', "");
Expect(0, 7040, '\p{ _in_balinese}', "");
Expect(1, 7040, '\p{^ _in_balinese}', "");
Expect(1, 7040, '\P{ _in_balinese}', "");
Expect(0, 7040, '\P{^ _in_balinese}', "");
Error('\p{/a/ _In_Balinese}');
Error('\P{/a/ _In_Balinese}');
Expect(1, 7039, '\p{	-in_BALINESE}', "");
Expect(0, 7039, '\p{^	-in_BALINESE}', "");
Expect(0, 7039, '\P{	-in_BALINESE}', "");
Expect(1, 7039, '\P{^	-in_BALINESE}', "");
Expect(0, 7040, '\p{	-in_BALINESE}', "");
Expect(1, 7040, '\p{^	-in_BALINESE}', "");
Expect(1, 7040, '\P{	-in_BALINESE}', "");
Expect(0, 7040, '\P{^	-in_BALINESE}', "");
Error('\p{-/a/in_Bamum}');
Error('\P{-/a/in_Bamum}');
Expect(1, 42751, '\p{inbamum}', "");
Expect(0, 42751, '\p{^inbamum}', "");
Expect(0, 42751, '\P{inbamum}', "");
Expect(1, 42751, '\P{^inbamum}', "");
Expect(0, 42752, '\p{inbamum}', "");
Expect(1, 42752, '\p{^inbamum}', "");
Expect(1, 42752, '\P{inbamum}', "");
Expect(0, 42752, '\P{^inbamum}', "");
Expect(1, 42751, '\p{_in_bamum}', "");
Expect(0, 42751, '\p{^_in_bamum}', "");
Expect(0, 42751, '\P{_in_bamum}', "");
Expect(1, 42751, '\P{^_in_bamum}', "");
Expect(0, 42752, '\p{_in_bamum}', "");
Expect(1, 42752, '\p{^_in_bamum}', "");
Expect(1, 42752, '\P{_in_bamum}', "");
Expect(0, 42752, '\P{^_in_bamum}', "");
Error('\p{ /a/In_bamum}');
Error('\P{ /a/In_bamum}');
Expect(1, 42751, '\p{ -in_BAMUM}', "");
Expect(0, 42751, '\p{^ -in_BAMUM}', "");
Expect(0, 42751, '\P{ -in_BAMUM}', "");
Expect(1, 42751, '\P{^ -in_BAMUM}', "");
Expect(0, 42752, '\p{ -in_BAMUM}', "");
Expect(1, 42752, '\p{^ -in_BAMUM}', "");
Expect(1, 42752, '\P{ -in_BAMUM}', "");
Expect(0, 42752, '\P{^ -in_BAMUM}', "");
Error('\p{:=_ IN_Bassa_VAH}');
Error('\P{:=_ IN_Bassa_VAH}');
Expect(1, 92927, '\p{inbassavah}', "");
Expect(0, 92927, '\p{^inbassavah}', "");
Expect(0, 92927, '\P{inbassavah}', "");
Expect(1, 92927, '\P{^inbassavah}', "");
Expect(0, 92928, '\p{inbassavah}', "");
Expect(1, 92928, '\p{^inbassavah}', "");
Expect(1, 92928, '\P{inbassavah}', "");
Expect(0, 92928, '\P{^inbassavah}', "");
Expect(1, 92927, '\p{ 	in_BASSA_vah}', "");
Expect(0, 92927, '\p{^ 	in_BASSA_vah}', "");
Expect(0, 92927, '\P{ 	in_BASSA_vah}', "");
Expect(1, 92927, '\P{^ 	in_BASSA_vah}', "");
Expect(0, 92928, '\p{ 	in_BASSA_vah}', "");
Expect(1, 92928, '\p{^ 	in_BASSA_vah}', "");
Expect(1, 92928, '\P{ 	in_BASSA_vah}', "");
Expect(0, 92928, '\P{^ 	in_BASSA_vah}', "");
Error('\p{	/a/In_Bassa_VAH}');
Error('\P{	/a/In_Bassa_VAH}');
Expect(1, 92927, '\p{_-In_Bassa_Vah}', "");
Expect(0, 92927, '\p{^_-In_Bassa_Vah}', "");
Expect(0, 92927, '\P{_-In_Bassa_Vah}', "");
Expect(1, 92927, '\P{^_-In_Bassa_Vah}', "");
Expect(0, 92928, '\p{_-In_Bassa_Vah}', "");
Expect(1, 92928, '\p{^_-In_Bassa_Vah}', "");
Expect(1, 92928, '\P{_-In_Bassa_Vah}', "");
Expect(0, 92928, '\P{^_-In_Bassa_Vah}', "");
Error('\p{ :=In_BATAK}');
Error('\P{ :=In_BATAK}');
Expect(1, 7167, '\p{inbatak}', "");
Expect(0, 7167, '\p{^inbatak}', "");
Expect(0, 7167, '\P{inbatak}', "");
Expect(1, 7167, '\P{^inbatak}', "");
Expect(0, 7168, '\p{inbatak}', "");
Expect(1, 7168, '\p{^inbatak}', "");
Expect(1, 7168, '\P{inbatak}', "");
Expect(0, 7168, '\P{^inbatak}', "");
Expect(1, 7167, '\p{ IN_batak}', "");
Expect(0, 7167, '\p{^ IN_batak}', "");
Expect(0, 7167, '\P{ IN_batak}', "");
Expect(1, 7167, '\P{^ IN_batak}', "");
Expect(0, 7168, '\p{ IN_batak}', "");
Expect(1, 7168, '\p{^ IN_batak}', "");
Expect(1, 7168, '\P{ IN_batak}', "");
Expect(0, 7168, '\P{^ IN_batak}', "");
Error('\p{  In_Batak:=}');
Error('\P{  In_Batak:=}');
Expect(1, 7167, '\p{_ In_Batak}', "");
Expect(0, 7167, '\p{^_ In_Batak}', "");
Expect(0, 7167, '\P{_ In_Batak}', "");
Expect(1, 7167, '\P{^_ In_Batak}', "");
Expect(0, 7168, '\p{_ In_Batak}', "");
Expect(1, 7168, '\p{^_ In_Batak}', "");
Expect(1, 7168, '\P{_ In_Batak}', "");
Expect(0, 7168, '\P{^_ In_Batak}', "");
Error('\p{	/a/In_bengali}');
Error('\P{	/a/In_bengali}');
Expect(1, 2559, '\p{inbengali}', "");
Expect(0, 2559, '\p{^inbengali}', "");
Expect(0, 2559, '\P{inbengali}', "");
Expect(1, 2559, '\P{^inbengali}', "");
Expect(0, 2560, '\p{inbengali}', "");
Expect(1, 2560, '\p{^inbengali}', "");
Expect(1, 2560, '\P{inbengali}', "");
Expect(0, 2560, '\P{^inbengali}', "");
Expect(1, 2559, '\p{	In_Bengali}', "");
Expect(0, 2559, '\p{^	In_Bengali}', "");
Expect(0, 2559, '\P{	In_Bengali}', "");
Expect(1, 2559, '\P{^	In_Bengali}', "");
Expect(0, 2560, '\p{	In_Bengali}', "");
Expect(1, 2560, '\p{^	In_Bengali}', "");
Expect(1, 2560, '\P{	In_Bengali}', "");
Expect(0, 2560, '\P{^	In_Bengali}', "");
Error('\p{-IN_BENGALI/a/}');
Error('\P{-IN_BENGALI/a/}');
Expect(1, 2559, '\p{	-in_bengali}', "");
Expect(0, 2559, '\p{^	-in_bengali}', "");
Expect(0, 2559, '\P{	-in_bengali}', "");
Expect(1, 2559, '\P{^	-in_bengali}', "");
Expect(0, 2560, '\p{	-in_bengali}', "");
Expect(1, 2560, '\p{^	-in_bengali}', "");
Expect(1, 2560, '\P{	-in_bengali}', "");
Expect(0, 2560, '\P{^	-in_bengali}', "");
Error('\p{-/a/IN_BOPOMOFO}');
Error('\P{-/a/IN_BOPOMOFO}');
Expect(1, 12591, '\p{inbopomofo}', "");
Expect(0, 12591, '\p{^inbopomofo}', "");
Expect(0, 12591, '\P{inbopomofo}', "");
Expect(1, 12591, '\P{^inbopomofo}', "");
Expect(0, 12592, '\p{inbopomofo}', "");
Expect(1, 12592, '\p{^inbopomofo}', "");
Expect(1, 12592, '\P{inbopomofo}', "");
Expect(0, 12592, '\P{^inbopomofo}', "");
Expect(1, 12591, '\p{ in_bopomofo}', "");
Expect(0, 12591, '\p{^ in_bopomofo}', "");
Expect(0, 12591, '\P{ in_bopomofo}', "");
Expect(1, 12591, '\P{^ in_bopomofo}', "");
Expect(0, 12592, '\p{ in_bopomofo}', "");
Expect(1, 12592, '\p{^ in_bopomofo}', "");
Expect(1, 12592, '\P{ in_bopomofo}', "");
Expect(0, 12592, '\P{^ in_bopomofo}', "");
Error('\p{/a/- IN_Bopomofo}');
Error('\P{/a/- IN_Bopomofo}');
Expect(1, 12591, '\p{-	IN_Bopomofo}', "");
Expect(0, 12591, '\p{^-	IN_Bopomofo}', "");
Expect(0, 12591, '\P{-	IN_Bopomofo}', "");
Expect(1, 12591, '\P{^-	IN_Bopomofo}', "");
Expect(0, 12592, '\p{-	IN_Bopomofo}', "");
Expect(1, 12592, '\p{^-	IN_Bopomofo}', "");
Expect(1, 12592, '\P{-	IN_Bopomofo}', "");
Expect(0, 12592, '\P{^-	IN_Bopomofo}', "");
Error('\p{-/a/In_brahmi}');
Error('\P{-/a/In_brahmi}');
Expect(1, 69759, '\p{inbrahmi}', "");
Expect(0, 69759, '\p{^inbrahmi}', "");
Expect(0, 69759, '\P{inbrahmi}', "");
Expect(1, 69759, '\P{^inbrahmi}', "");
Expect(0, 69760, '\p{inbrahmi}', "");
Expect(1, 69760, '\p{^inbrahmi}', "");
Expect(1, 69760, '\P{inbrahmi}', "");
Expect(0, 69760, '\P{^inbrahmi}', "");
Expect(1, 69759, '\p{_	In_BRAHMI}', "");
Expect(0, 69759, '\p{^_	In_BRAHMI}', "");
Expect(0, 69759, '\P{_	In_BRAHMI}', "");
Expect(1, 69759, '\P{^_	In_BRAHMI}', "");
Expect(0, 69760, '\p{_	In_BRAHMI}', "");
Expect(1, 69760, '\p{^_	In_BRAHMI}', "");
Expect(1, 69760, '\P{_	In_BRAHMI}', "");
Expect(0, 69760, '\P{^_	In_BRAHMI}', "");
Error('\p{	/a/in_brahmi}');
Error('\P{	/a/in_brahmi}');
Expect(1, 69759, '\p{	-In_Brahmi}', "");
Expect(0, 69759, '\p{^	-In_Brahmi}', "");
Expect(0, 69759, '\P{	-In_Brahmi}', "");
Expect(1, 69759, '\P{^	-In_Brahmi}', "");
Expect(0, 69760, '\p{	-In_Brahmi}', "");
Expect(1, 69760, '\p{^	-In_Brahmi}', "");
Expect(1, 69760, '\P{	-In_Brahmi}', "");
Expect(0, 69760, '\P{^	-In_Brahmi}', "");
Error('\p{_ IN_Buginese/a/}');
Error('\P{_ IN_Buginese/a/}');
Expect(1, 6687, '\p{inbuginese}', "");
Expect(0, 6687, '\p{^inbuginese}', "");
Expect(0, 6687, '\P{inbuginese}', "");
Expect(1, 6687, '\P{^inbuginese}', "");
Expect(0, 6688, '\p{inbuginese}', "");
Expect(1, 6688, '\p{^inbuginese}', "");
Expect(1, 6688, '\P{inbuginese}', "");
Expect(0, 6688, '\P{^inbuginese}', "");
Expect(1, 6687, '\p{ _In_buginese}', "");
Expect(0, 6687, '\p{^ _In_buginese}', "");
Expect(0, 6687, '\P{ _In_buginese}', "");
Expect(1, 6687, '\P{^ _In_buginese}', "");
Expect(0, 6688, '\p{ _In_buginese}', "");
Expect(1, 6688, '\p{^ _In_buginese}', "");
Expect(1, 6688, '\P{ _In_buginese}', "");
Expect(0, 6688, '\P{^ _In_buginese}', "");
Error('\p{:=_	in_buginese}');
Error('\P{:=_	in_buginese}');
Expect(1, 6687, '\p{_ in_BUGINESE}', "");
Expect(0, 6687, '\p{^_ in_BUGINESE}', "");
Expect(0, 6687, '\P{_ in_BUGINESE}', "");
Expect(1, 6687, '\P{^_ in_BUGINESE}', "");
Expect(0, 6688, '\p{_ in_BUGINESE}', "");
Expect(1, 6688, '\p{^_ in_BUGINESE}', "");
Expect(1, 6688, '\P{_ in_BUGINESE}', "");
Expect(0, 6688, '\P{^_ in_BUGINESE}', "");
Error('\p{:=__in_buhid}');
Error('\P{:=__in_buhid}');
Expect(1, 5983, '\p{inbuhid}', "");
Expect(0, 5983, '\p{^inbuhid}', "");
Expect(0, 5983, '\P{inbuhid}', "");
Expect(1, 5983, '\P{^inbuhid}', "");
Expect(0, 5984, '\p{inbuhid}', "");
Expect(1, 5984, '\p{^inbuhid}', "");
Expect(1, 5984, '\P{inbuhid}', "");
Expect(0, 5984, '\P{^inbuhid}', "");
Expect(1, 5983, '\p{		In_Buhid}', "");
Expect(0, 5983, '\p{^		In_Buhid}', "");
Expect(0, 5983, '\P{		In_Buhid}', "");
Expect(1, 5983, '\P{^		In_Buhid}', "");
Expect(0, 5984, '\p{		In_Buhid}', "");
Expect(1, 5984, '\p{^		In_Buhid}', "");
Expect(1, 5984, '\P{		In_Buhid}', "");
Expect(0, 5984, '\P{^		In_Buhid}', "");
Error('\p{:= _in_buhid}');
Error('\P{:= _in_buhid}');
Expect(1, 5983, '\p{	In_Buhid}', "");
Expect(0, 5983, '\p{^	In_Buhid}', "");
Expect(0, 5983, '\P{	In_Buhid}', "");
Expect(1, 5983, '\P{^	In_Buhid}', "");
Expect(0, 5984, '\p{	In_Buhid}', "");
Expect(1, 5984, '\p{^	In_Buhid}', "");
Expect(1, 5984, '\P{	In_Buhid}', "");
Expect(0, 5984, '\P{^	In_Buhid}', "");
Error('\p{/a/In_carian}');
Error('\P{/a/In_carian}');
Expect(1, 66271, '\p{incarian}', "");
Expect(0, 66271, '\p{^incarian}', "");
Expect(0, 66271, '\P{incarian}', "");
Expect(1, 66271, '\P{^incarian}', "");
Expect(0, 66272, '\p{incarian}', "");
Expect(1, 66272, '\p{^incarian}', "");
Expect(1, 66272, '\P{incarian}', "");
Expect(0, 66272, '\P{^incarian}', "");
Expect(1, 66271, '\p{_-In_CARIAN}', "");
Expect(0, 66271, '\p{^_-In_CARIAN}', "");
Expect(0, 66271, '\P{_-In_CARIAN}', "");
Expect(1, 66271, '\P{^_-In_CARIAN}', "");
Expect(0, 66272, '\p{_-In_CARIAN}', "");
Expect(1, 66272, '\p{^_-In_CARIAN}', "");
Expect(1, 66272, '\P{_-In_CARIAN}', "");
Expect(0, 66272, '\P{^_-In_CARIAN}', "");
Error('\p{	In_Carian/a/}');
Error('\P{	In_Carian/a/}');
Expect(1, 66271, '\p{__In_Carian}', "");
Expect(0, 66271, '\p{^__In_Carian}', "");
Expect(0, 66271, '\P{__In_Carian}', "");
Expect(1, 66271, '\P{^__In_Carian}', "");
Expect(0, 66272, '\p{__In_Carian}', "");
Expect(1, 66272, '\p{^__In_Carian}', "");
Expect(1, 66272, '\P{__In_Carian}', "");
Expect(0, 66272, '\P{^__In_Carian}', "");
Error('\p{/a/_ in_Caucasian_ALBANIAN}');
Error('\P{/a/_ in_Caucasian_ALBANIAN}');
Expect(1, 66927, '\p{incaucasianalbanian}', "");
Expect(0, 66927, '\p{^incaucasianalbanian}', "");
Expect(0, 66927, '\P{incaucasianalbanian}', "");
Expect(1, 66927, '\P{^incaucasianalbanian}', "");
Expect(0, 66928, '\p{incaucasianalbanian}', "");
Expect(1, 66928, '\p{^incaucasianalbanian}', "");
Expect(1, 66928, '\P{incaucasianalbanian}', "");
Expect(0, 66928, '\P{^incaucasianalbanian}', "");
Expect(1, 66927, '\p{ 	IN_caucasian_ALBANIAN}', "");
Expect(0, 66927, '\p{^ 	IN_caucasian_ALBANIAN}', "");
Expect(0, 66927, '\P{ 	IN_caucasian_ALBANIAN}', "");
Expect(1, 66927, '\P{^ 	IN_caucasian_ALBANIAN}', "");
Expect(0, 66928, '\p{ 	IN_caucasian_ALBANIAN}', "");
Expect(1, 66928, '\p{^ 	IN_caucasian_ALBANIAN}', "");
Expect(1, 66928, '\P{ 	IN_caucasian_ALBANIAN}', "");
Expect(0, 66928, '\P{^ 	IN_caucasian_ALBANIAN}', "");
Error('\p{_:=in_CAUCASIAN_albanian}');
Error('\P{_:=in_CAUCASIAN_albanian}');
Expect(1, 66927, '\p{- in_Caucasian_Albanian}', "");
Expect(0, 66927, '\p{^- in_Caucasian_Albanian}', "");
Expect(0, 66927, '\P{- in_Caucasian_Albanian}', "");
Expect(1, 66927, '\P{^- in_Caucasian_Albanian}', "");
Expect(0, 66928, '\p{- in_Caucasian_Albanian}', "");
Expect(1, 66928, '\p{^- in_Caucasian_Albanian}', "");
Expect(1, 66928, '\P{- in_Caucasian_Albanian}', "");
Expect(0, 66928, '\P{^- in_Caucasian_Albanian}', "");
Error('\p{/a/	_In_Chakma}');
Error('\P{/a/	_In_Chakma}');
Expect(1, 69967, '\p{inchakma}', "");
Expect(0, 69967, '\p{^inchakma}', "");
Expect(0, 69967, '\P{inchakma}', "");
Expect(1, 69967, '\P{^inchakma}', "");
Expect(0, 69968, '\p{inchakma}', "");
Expect(1, 69968, '\p{^inchakma}', "");
Expect(1, 69968, '\P{inchakma}', "");
Expect(0, 69968, '\P{^inchakma}', "");
Expect(1, 69967, '\p{ In_CHAKMA}', "");
Expect(0, 69967, '\p{^ In_CHAKMA}', "");
Expect(0, 69967, '\P{ In_CHAKMA}', "");
Expect(1, 69967, '\P{^ In_CHAKMA}', "");
Expect(0, 69968, '\p{ In_CHAKMA}', "");
Expect(1, 69968, '\p{^ In_CHAKMA}', "");
Expect(1, 69968, '\P{ In_CHAKMA}', "");
Expect(0, 69968, '\P{^ In_CHAKMA}', "");
Error('\p{ _IN_Chakma/a/}');
Error('\P{ _IN_Chakma/a/}');
Expect(1, 69967, '\p{-IN_CHAKMA}', "");
Expect(0, 69967, '\p{^-IN_CHAKMA}', "");
Expect(0, 69967, '\P{-IN_CHAKMA}', "");
Expect(1, 69967, '\P{^-IN_CHAKMA}', "");
Expect(0, 69968, '\p{-IN_CHAKMA}', "");
Expect(1, 69968, '\p{^-IN_CHAKMA}', "");
Expect(1, 69968, '\P{-IN_CHAKMA}', "");
Expect(0, 69968, '\P{^-IN_CHAKMA}', "");
Error('\p{/a/_ In_Cham}');
Error('\P{/a/_ In_Cham}');
Expect(1, 43615, '\p{incham}', "");
Expect(0, 43615, '\p{^incham}', "");
Expect(0, 43615, '\P{incham}', "");
Expect(1, 43615, '\P{^incham}', "");
Expect(0, 43616, '\p{incham}', "");
Expect(1, 43616, '\p{^incham}', "");
Expect(1, 43616, '\P{incham}', "");
Expect(0, 43616, '\P{^incham}', "");
Expect(1, 43615, '\p{_	in_Cham}', "");
Expect(0, 43615, '\p{^_	in_Cham}', "");
Expect(0, 43615, '\P{_	in_Cham}', "");
Expect(1, 43615, '\P{^_	in_Cham}', "");
Expect(0, 43616, '\p{_	in_Cham}', "");
Expect(1, 43616, '\p{^_	in_Cham}', "");
Expect(1, 43616, '\P{_	in_Cham}', "");
Expect(0, 43616, '\P{^_	in_Cham}', "");
Error('\p{:=- In_Cham}');
Error('\P{:=- In_Cham}');
Expect(1, 43615, '\p{	 In_cham}', "");
Expect(0, 43615, '\p{^	 In_cham}', "");
Expect(0, 43615, '\P{	 In_cham}', "");
Expect(1, 43615, '\P{^	 In_cham}', "");
Expect(0, 43616, '\p{	 In_cham}', "");
Expect(1, 43616, '\p{^	 In_cham}', "");
Expect(1, 43616, '\P{	 In_cham}', "");
Expect(0, 43616, '\P{^	 In_cham}', "");
Error('\p{	IN_Cherokee/a/}');
Error('\P{	IN_Cherokee/a/}');
Expect(1, 5119, '\p{incherokee}', "");
Expect(0, 5119, '\p{^incherokee}', "");
Expect(0, 5119, '\P{incherokee}', "");
Expect(1, 5119, '\P{^incherokee}', "");
Expect(0, 5120, '\p{incherokee}', "");
Expect(1, 5120, '\p{^incherokee}', "");
Expect(1, 5120, '\P{incherokee}', "");
Expect(0, 5120, '\P{^incherokee}', "");
Expect(1, 5119, '\p{	 In_CHEROKEE}', "");
Expect(0, 5119, '\p{^	 In_CHEROKEE}', "");
Expect(0, 5119, '\P{	 In_CHEROKEE}', "");
Expect(1, 5119, '\P{^	 In_CHEROKEE}', "");
Expect(0, 5120, '\p{	 In_CHEROKEE}', "");
Expect(1, 5120, '\p{^	 In_CHEROKEE}', "");
Expect(1, 5120, '\P{	 In_CHEROKEE}', "");
Expect(0, 5120, '\P{^	 In_CHEROKEE}', "");
Error('\p{:=in_Cherokee}');
Error('\P{:=in_Cherokee}');
Expect(1, 5119, '\p{In_cherokee}', "");
Expect(0, 5119, '\p{^In_cherokee}', "");
Expect(0, 5119, '\P{In_cherokee}', "");
Expect(1, 5119, '\P{^In_cherokee}', "");
Expect(0, 5120, '\p{In_cherokee}', "");
Expect(1, 5120, '\p{^In_cherokee}', "");
Expect(1, 5120, '\P{In_cherokee}', "");
Expect(0, 5120, '\P{^In_cherokee}', "");
Error('\p{/a/-_In_coptic}');
Error('\P{/a/-_In_coptic}');
Expect(1, 11519, '\p{incoptic}', "");
Expect(0, 11519, '\p{^incoptic}', "");
Expect(0, 11519, '\P{incoptic}', "");
Expect(1, 11519, '\P{^incoptic}', "");
Expect(0, 11520, '\p{incoptic}', "");
Expect(1, 11520, '\p{^incoptic}', "");
Expect(1, 11520, '\P{incoptic}', "");
Expect(0, 11520, '\P{^incoptic}', "");
Expect(1, 11519, '\p{ in_Coptic}', "");
Expect(0, 11519, '\p{^ in_Coptic}', "");
Expect(0, 11519, '\P{ in_Coptic}', "");
Expect(1, 11519, '\P{^ in_Coptic}', "");
Expect(0, 11520, '\p{ in_Coptic}', "");
Expect(1, 11520, '\p{^ in_Coptic}', "");
Expect(1, 11520, '\P{ in_Coptic}', "");
Expect(0, 11520, '\P{^ in_Coptic}', "");
Error('\p{:=_IN_Coptic}');
Error('\P{:=_IN_Coptic}');
Expect(1, 11519, '\p{In_coptic}', "");
Expect(0, 11519, '\p{^In_coptic}', "");
Expect(0, 11519, '\P{In_coptic}', "");
Expect(1, 11519, '\P{^In_coptic}', "");
Expect(0, 11520, '\p{In_coptic}', "");
Expect(1, 11520, '\p{^In_coptic}', "");
Expect(1, 11520, '\P{In_coptic}', "");
Expect(0, 11520, '\P{^In_coptic}', "");
Error('\p{-/a/in_CUNEIFORM}');
Error('\P{-/a/in_CUNEIFORM}');
Expect(1, 74751, '\p{incuneiform}', "");
Expect(0, 74751, '\p{^incuneiform}', "");
Expect(0, 74751, '\P{incuneiform}', "");
Expect(1, 74751, '\P{^incuneiform}', "");
Expect(0, 74752, '\p{incuneiform}', "");
Expect(1, 74752, '\p{^incuneiform}', "");
Expect(1, 74752, '\P{incuneiform}', "");
Expect(0, 74752, '\P{^incuneiform}', "");
Expect(1, 74751, '\p{_in_Cuneiform}', "");
Expect(0, 74751, '\p{^_in_Cuneiform}', "");
Expect(0, 74751, '\P{_in_Cuneiform}', "");
Expect(1, 74751, '\P{^_in_Cuneiform}', "");
Expect(0, 74752, '\p{_in_Cuneiform}', "");
Expect(1, 74752, '\p{^_in_Cuneiform}', "");
Expect(1, 74752, '\P{_in_Cuneiform}', "");
Expect(0, 74752, '\P{^_in_Cuneiform}', "");
Error('\p{-_in_CUNEIFORM:=}');
Error('\P{-_in_CUNEIFORM:=}');
Expect(1, 74751, '\p{ 	IN_cuneiform}', "");
Expect(0, 74751, '\p{^ 	IN_cuneiform}', "");
Expect(0, 74751, '\P{ 	IN_cuneiform}', "");
Expect(1, 74751, '\P{^ 	IN_cuneiform}', "");
Expect(0, 74752, '\p{ 	IN_cuneiform}', "");
Expect(1, 74752, '\p{^ 	IN_cuneiform}', "");
Expect(1, 74752, '\P{ 	IN_cuneiform}', "");
Expect(0, 74752, '\P{^ 	IN_cuneiform}', "");
Error('\p{ /a/IN_Cyrillic}');
Error('\P{ /a/IN_Cyrillic}');
Expect(1, 1279, '\p{incyrillic}', "");
Expect(0, 1279, '\p{^incyrillic}', "");
Expect(0, 1279, '\P{incyrillic}', "");
Expect(1, 1279, '\P{^incyrillic}', "");
Expect(0, 1280, '\p{incyrillic}', "");
Expect(1, 1280, '\p{^incyrillic}', "");
Expect(1, 1280, '\P{incyrillic}', "");
Expect(0, 1280, '\P{^incyrillic}', "");
Expect(1, 1279, '\p{- In_cyrillic}', "");
Expect(0, 1279, '\p{^- In_cyrillic}', "");
Expect(0, 1279, '\P{- In_cyrillic}', "");
Expect(1, 1279, '\P{^- In_cyrillic}', "");
Expect(0, 1280, '\p{- In_cyrillic}', "");
Expect(1, 1280, '\p{^- In_cyrillic}', "");
Expect(1, 1280, '\P{- In_cyrillic}', "");
Expect(0, 1280, '\P{^- In_cyrillic}', "");
Error('\p{  In_Cyrillic:=}');
Error('\P{  In_Cyrillic:=}');
Expect(1, 1279, '\p{-In_CYRILLIC}', "");
Expect(0, 1279, '\p{^-In_CYRILLIC}', "");
Expect(0, 1279, '\P{-In_CYRILLIC}', "");
Expect(1, 1279, '\P{^-In_CYRILLIC}', "");
Expect(0, 1280, '\p{-In_CYRILLIC}', "");
Expect(1, 1280, '\p{^-In_CYRILLIC}', "");
Expect(1, 1280, '\P{-In_CYRILLIC}', "");
Expect(0, 1280, '\P{^-In_CYRILLIC}', "");
Error('\p{:=	In_deseret}');
Error('\P{:=	In_deseret}');
Expect(1, 66639, '\p{indeseret}', "");
Expect(0, 66639, '\p{^indeseret}', "");
Expect(0, 66639, '\P{indeseret}', "");
Expect(1, 66639, '\P{^indeseret}', "");
Expect(0, 66640, '\p{indeseret}', "");
Expect(1, 66640, '\p{^indeseret}', "");
Expect(1, 66640, '\P{indeseret}', "");
Expect(0, 66640, '\P{^indeseret}', "");
Expect(1, 66639, '\p{_ in_Deseret}', "");
Expect(0, 66639, '\p{^_ in_Deseret}', "");
Expect(0, 66639, '\P{_ in_Deseret}', "");
Expect(1, 66639, '\P{^_ in_Deseret}', "");
Expect(0, 66640, '\p{_ in_Deseret}', "");
Expect(1, 66640, '\p{^_ in_Deseret}', "");
Expect(1, 66640, '\P{_ in_Deseret}', "");
Expect(0, 66640, '\P{^_ in_Deseret}', "");
Error('\p{	in_Deseret/a/}');
Error('\P{	in_Deseret/a/}');
Expect(1, 66639, '\p{-In_DESERET}', "");
Expect(0, 66639, '\p{^-In_DESERET}', "");
Expect(0, 66639, '\P{-In_DESERET}', "");
Expect(1, 66639, '\P{^-In_DESERET}', "");
Expect(0, 66640, '\p{-In_DESERET}', "");
Expect(1, 66640, '\p{^-In_DESERET}', "");
Expect(1, 66640, '\P{-In_DESERET}', "");
Expect(0, 66640, '\P{^-In_DESERET}', "");
Error('\p{_/a/in_Devanagari}');
Error('\P{_/a/in_Devanagari}');
Expect(1, 2431, '\p{indevanagari}', "");
Expect(0, 2431, '\p{^indevanagari}', "");
Expect(0, 2431, '\P{indevanagari}', "");
Expect(1, 2431, '\P{^indevanagari}', "");
Expect(0, 2432, '\p{indevanagari}', "");
Expect(1, 2432, '\p{^indevanagari}', "");
Expect(1, 2432, '\P{indevanagari}', "");
Expect(0, 2432, '\P{^indevanagari}', "");
Expect(1, 2431, '\p{_-in_Devanagari}', "");
Expect(0, 2431, '\p{^_-in_Devanagari}', "");
Expect(0, 2431, '\P{_-in_Devanagari}', "");
Expect(1, 2431, '\P{^_-in_Devanagari}', "");
Expect(0, 2432, '\p{_-in_Devanagari}', "");
Expect(1, 2432, '\p{^_-in_Devanagari}', "");
Expect(1, 2432, '\P{_-in_Devanagari}', "");
Expect(0, 2432, '\P{^_-in_Devanagari}', "");
Error('\p{/a/		In_DEVANAGARI}');
Error('\P{/a/		In_DEVANAGARI}');
Expect(1, 2431, '\p{		In_DEVANAGARI}', "");
Expect(0, 2431, '\p{^		In_DEVANAGARI}', "");
Expect(0, 2431, '\P{		In_DEVANAGARI}', "");
Expect(1, 2431, '\P{^		In_DEVANAGARI}', "");
Expect(0, 2432, '\p{		In_DEVANAGARI}', "");
Expect(1, 2432, '\p{^		In_DEVANAGARI}', "");
Expect(1, 2432, '\P{		In_DEVANAGARI}', "");
Expect(0, 2432, '\P{^		In_DEVANAGARI}', "");
Error('\p{__in_Duployan/a/}');
Error('\P{__in_Duployan/a/}');
Expect(1, 113823, '\p{induployan}', "");
Expect(0, 113823, '\p{^induployan}', "");
Expect(0, 113823, '\P{induployan}', "");
Expect(1, 113823, '\P{^induployan}', "");
Expect(0, 113824, '\p{induployan}', "");
Expect(1, 113824, '\p{^induployan}', "");
Expect(1, 113824, '\P{induployan}', "");
Expect(0, 113824, '\P{^induployan}', "");
Expect(1, 113823, '\p{ _IN_DUPLOYAN}', "");
Expect(0, 113823, '\p{^ _IN_DUPLOYAN}', "");
Expect(0, 113823, '\P{ _IN_DUPLOYAN}', "");
Expect(1, 113823, '\P{^ _IN_DUPLOYAN}', "");
Expect(0, 113824, '\p{ _IN_DUPLOYAN}', "");
Expect(1, 113824, '\p{^ _IN_DUPLOYAN}', "");
Expect(1, 113824, '\P{ _IN_DUPLOYAN}', "");
Expect(0, 113824, '\P{^ _IN_DUPLOYAN}', "");
Error('\p{:=	in_Duployan}');
Error('\P{:=	in_Duployan}');
Expect(1, 113823, '\p{ -In_DUPLOYAN}', "");
Expect(0, 113823, '\p{^ -In_DUPLOYAN}', "");
Expect(0, 113823, '\P{ -In_DUPLOYAN}', "");
Expect(1, 113823, '\P{^ -In_DUPLOYAN}', "");
Expect(0, 113824, '\p{ -In_DUPLOYAN}', "");
Expect(1, 113824, '\p{^ -In_DUPLOYAN}', "");
Expect(1, 113824, '\P{ -In_DUPLOYAN}', "");
Expect(0, 113824, '\P{^ -In_DUPLOYAN}', "");
Error('\p{/a/ In_EGYPTIAN_Hieroglyphs}');
Error('\P{/a/ In_EGYPTIAN_Hieroglyphs}');
Expect(1, 78895, '\p{inegyptianhieroglyphs}', "");
Expect(0, 78895, '\p{^inegyptianhieroglyphs}', "");
Expect(0, 78895, '\P{inegyptianhieroglyphs}', "");
Expect(1, 78895, '\P{^inegyptianhieroglyphs}', "");
Expect(0, 78896, '\p{inegyptianhieroglyphs}', "");
Expect(1, 78896, '\p{^inegyptianhieroglyphs}', "");
Expect(1, 78896, '\P{inegyptianhieroglyphs}', "");
Expect(0, 78896, '\P{^inegyptianhieroglyphs}', "");
Expect(1, 78895, '\p{	IN_egyptian_HIEROGLYPHS}', "");
Expect(0, 78895, '\p{^	IN_egyptian_HIEROGLYPHS}', "");
Expect(0, 78895, '\P{	IN_egyptian_HIEROGLYPHS}', "");
Expect(1, 78895, '\P{^	IN_egyptian_HIEROGLYPHS}', "");
Expect(0, 78896, '\p{	IN_egyptian_HIEROGLYPHS}', "");
Expect(1, 78896, '\p{^	IN_egyptian_HIEROGLYPHS}', "");
Expect(1, 78896, '\P{	IN_egyptian_HIEROGLYPHS}', "");
Expect(0, 78896, '\P{^	IN_egyptian_HIEROGLYPHS}', "");
Error('\p{-	in_Egyptian_hieroglyphs/a/}');
Error('\P{-	in_Egyptian_hieroglyphs/a/}');
Expect(1, 78895, '\p{	In_egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\p{^	In_egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\P{	In_egyptian_Hieroglyphs}', "");
Expect(1, 78895, '\P{^	In_egyptian_Hieroglyphs}', "");
Expect(0, 78896, '\p{	In_egyptian_Hieroglyphs}', "");
Expect(1, 78896, '\p{^	In_egyptian_Hieroglyphs}', "");
Expect(1, 78896, '\P{	In_egyptian_Hieroglyphs}', "");
Expect(0, 78896, '\P{^	In_egyptian_Hieroglyphs}', "");
Error('\p{/a/ In_Elbasan}');
Error('\P{/a/ In_Elbasan}');
Expect(1, 66863, '\p{inelbasan}', "");
Expect(0, 66863, '\p{^inelbasan}', "");
Expect(0, 66863, '\P{inelbasan}', "");
Expect(1, 66863, '\P{^inelbasan}', "");
Expect(0, 66864, '\p{inelbasan}', "");
Expect(1, 66864, '\p{^inelbasan}', "");
Expect(1, 66864, '\P{inelbasan}', "");
Expect(0, 66864, '\P{^inelbasan}', "");
Expect(1, 66863, '\p{_	In_elbasan}', "");
Expect(0, 66863, '\p{^_	In_elbasan}', "");
Expect(0, 66863, '\P{_	In_elbasan}', "");
Expect(1, 66863, '\P{^_	In_elbasan}', "");
Expect(0, 66864, '\p{_	In_elbasan}', "");
Expect(1, 66864, '\p{^_	In_elbasan}', "");
Expect(1, 66864, '\P{_	In_elbasan}', "");
Expect(0, 66864, '\P{^_	In_elbasan}', "");
Error('\p{_/a/IN_ELBASAN}');
Error('\P{_/a/IN_ELBASAN}');
Expect(1, 66863, '\p{  in_ELBASAN}', "");
Expect(0, 66863, '\p{^  in_ELBASAN}', "");
Expect(0, 66863, '\P{  in_ELBASAN}', "");
Expect(1, 66863, '\P{^  in_ELBASAN}', "");
Expect(0, 66864, '\p{  in_ELBASAN}', "");
Expect(1, 66864, '\p{^  in_ELBASAN}', "");
Expect(1, 66864, '\P{  in_ELBASAN}', "");
Expect(0, 66864, '\P{^  in_ELBASAN}', "");
Error('\p{ _In_ETHIOPIC/a/}');
Error('\P{ _In_ETHIOPIC/a/}');
Expect(1, 4991, '\p{inethiopic}', "");
Expect(0, 4991, '\p{^inethiopic}', "");
Expect(0, 4991, '\P{inethiopic}', "");
Expect(1, 4991, '\P{^inethiopic}', "");
Expect(0, 4992, '\p{inethiopic}', "");
Expect(1, 4992, '\p{^inethiopic}', "");
Expect(1, 4992, '\P{inethiopic}', "");
Expect(0, 4992, '\P{^inethiopic}', "");
Expect(1, 4991, '\p{_ In_ETHIOPIC}', "");
Expect(0, 4991, '\p{^_ In_ETHIOPIC}', "");
Expect(0, 4991, '\P{_ In_ETHIOPIC}', "");
Expect(1, 4991, '\P{^_ In_ETHIOPIC}', "");
Expect(0, 4992, '\p{_ In_ETHIOPIC}', "");
Expect(1, 4992, '\p{^_ In_ETHIOPIC}', "");
Expect(1, 4992, '\P{_ In_ETHIOPIC}', "");
Expect(0, 4992, '\P{^_ In_ETHIOPIC}', "");
Error('\p{/a/ _In_ETHIOPIC}');
Error('\P{/a/ _In_ETHIOPIC}');
Expect(1, 4991, '\p{_	IN_ethiopic}', "");
Expect(0, 4991, '\p{^_	IN_ethiopic}', "");
Expect(0, 4991, '\P{_	IN_ethiopic}', "");
Expect(1, 4991, '\P{^_	IN_ethiopic}', "");
Expect(0, 4992, '\p{_	IN_ethiopic}', "");
Expect(1, 4992, '\p{^_	IN_ethiopic}', "");
Expect(1, 4992, '\P{_	IN_ethiopic}', "");
Expect(0, 4992, '\P{^_	IN_ethiopic}', "");
Error('\p{:=In_Georgian}');
Error('\P{:=In_Georgian}');
Expect(1, 4351, '\p{ingeorgian}', "");
Expect(0, 4351, '\p{^ingeorgian}', "");
Expect(0, 4351, '\P{ingeorgian}', "");
Expect(1, 4351, '\P{^ingeorgian}', "");
Expect(0, 4352, '\p{ingeorgian}', "");
Expect(1, 4352, '\p{^ingeorgian}', "");
Expect(1, 4352, '\P{ingeorgian}', "");
Expect(0, 4352, '\P{^ingeorgian}', "");
Expect(1, 4351, '\p{_	in_Georgian}', "");
Expect(0, 4351, '\p{^_	in_Georgian}', "");
Expect(0, 4351, '\P{_	in_Georgian}', "");
Expect(1, 4351, '\P{^_	in_Georgian}', "");
Expect(0, 4352, '\p{_	in_Georgian}', "");
Expect(1, 4352, '\p{^_	in_Georgian}', "");
Expect(1, 4352, '\P{_	in_Georgian}', "");
Expect(0, 4352, '\P{^_	in_Georgian}', "");
Error('\p{	-IN_Georgian:=}');
Error('\P{	-IN_Georgian:=}');
Expect(1, 4351, '\p{--IN_Georgian}', "");
Expect(0, 4351, '\p{^--IN_Georgian}', "");
Expect(0, 4351, '\P{--IN_Georgian}', "");
Expect(1, 4351, '\P{^--IN_Georgian}', "");
Expect(0, 4352, '\p{--IN_Georgian}', "");
Expect(1, 4352, '\p{^--IN_Georgian}', "");
Expect(1, 4352, '\P{--IN_Georgian}', "");
Expect(0, 4352, '\P{^--IN_Georgian}', "");
Error('\p{_/a/In_glagolitic}');
Error('\P{_/a/In_glagolitic}');
Expect(1, 11359, '\p{inglagolitic}', "");
Expect(0, 11359, '\p{^inglagolitic}', "");
Expect(0, 11359, '\P{inglagolitic}', "");
Expect(1, 11359, '\P{^inglagolitic}', "");
Expect(0, 11360, '\p{inglagolitic}', "");
Expect(1, 11360, '\p{^inglagolitic}', "");
Expect(1, 11360, '\P{inglagolitic}', "");
Expect(0, 11360, '\P{^inglagolitic}', "");
Expect(1, 11359, '\p{- IN_glagolitic}', "");
Expect(0, 11359, '\p{^- IN_glagolitic}', "");
Expect(0, 11359, '\P{- IN_glagolitic}', "");
Expect(1, 11359, '\P{^- IN_glagolitic}', "");
Expect(0, 11360, '\p{- IN_glagolitic}', "");
Expect(1, 11360, '\p{^- IN_glagolitic}', "");
Expect(1, 11360, '\P{- IN_glagolitic}', "");
Expect(0, 11360, '\P{^- IN_glagolitic}', "");
Error('\p{:=_	IN_GLAGOLITIC}');
Error('\P{:=_	IN_GLAGOLITIC}');
Expect(1, 11359, '\p{--In_GLAGOLITIC}', "");
Expect(0, 11359, '\p{^--In_GLAGOLITIC}', "");
Expect(0, 11359, '\P{--In_GLAGOLITIC}', "");
Expect(1, 11359, '\P{^--In_GLAGOLITIC}', "");
Expect(0, 11360, '\p{--In_GLAGOLITIC}', "");
Expect(1, 11360, '\p{^--In_GLAGOLITIC}', "");
Expect(1, 11360, '\P{--In_GLAGOLITIC}', "");
Expect(0, 11360, '\P{^--In_GLAGOLITIC}', "");
Error('\p{_	IN_Gothic:=}');
Error('\P{_	IN_Gothic:=}');
Expect(1, 66383, '\p{ingothic}', "");
Expect(0, 66383, '\p{^ingothic}', "");
Expect(0, 66383, '\P{ingothic}', "");
Expect(1, 66383, '\P{^ingothic}', "");
Expect(0, 66384, '\p{ingothic}', "");
Expect(1, 66384, '\p{^ingothic}', "");
Expect(1, 66384, '\P{ingothic}', "");
Expect(0, 66384, '\P{^ingothic}', "");
Expect(1, 66383, '\p{ 	IN_gothic}', "");
Expect(0, 66383, '\p{^ 	IN_gothic}', "");
Expect(0, 66383, '\P{ 	IN_gothic}', "");
Expect(1, 66383, '\P{^ 	IN_gothic}', "");
Expect(0, 66384, '\p{ 	IN_gothic}', "");
Expect(1, 66384, '\p{^ 	IN_gothic}', "");
Expect(1, 66384, '\P{ 	IN_gothic}', "");
Expect(0, 66384, '\P{^ 	IN_gothic}', "");
Error('\p{	-In_Gothic/a/}');
Error('\P{	-In_Gothic/a/}');
Expect(1, 66383, '\p{	_In_GOTHIC}', "");
Expect(0, 66383, '\p{^	_In_GOTHIC}', "");
Expect(0, 66383, '\P{	_In_GOTHIC}', "");
Expect(1, 66383, '\P{^	_In_GOTHIC}', "");
Expect(0, 66384, '\p{	_In_GOTHIC}', "");
Expect(1, 66384, '\p{^	_In_GOTHIC}', "");
Expect(1, 66384, '\P{	_In_GOTHIC}', "");
Expect(0, 66384, '\P{^	_In_GOTHIC}', "");
Error('\p{/a/_-In_GRANTHA}');
Error('\P{/a/_-In_GRANTHA}');
Expect(1, 70527, '\p{ingrantha}', "");
Expect(0, 70527, '\p{^ingrantha}', "");
Expect(0, 70527, '\P{ingrantha}', "");
Expect(1, 70527, '\P{^ingrantha}', "");
Expect(0, 70528, '\p{ingrantha}', "");
Expect(1, 70528, '\p{^ingrantha}', "");
Expect(1, 70528, '\P{ingrantha}', "");
Expect(0, 70528, '\P{^ingrantha}', "");
Expect(1, 70527, '\p{-In_GRANTHA}', "");
Expect(0, 70527, '\p{^-In_GRANTHA}', "");
Expect(0, 70527, '\P{-In_GRANTHA}', "");
Expect(1, 70527, '\P{^-In_GRANTHA}', "");
Expect(0, 70528, '\p{-In_GRANTHA}', "");
Expect(1, 70528, '\p{^-In_GRANTHA}', "");
Expect(1, 70528, '\P{-In_GRANTHA}', "");
Expect(0, 70528, '\P{^-In_GRANTHA}', "");
Error('\p{ :=IN_grantha}');
Error('\P{ :=IN_grantha}');
Expect(1, 70527, '\p{--IN_Grantha}', "");
Expect(0, 70527, '\p{^--IN_Grantha}', "");
Expect(0, 70527, '\P{--IN_Grantha}', "");
Expect(1, 70527, '\P{^--IN_Grantha}', "");
Expect(0, 70528, '\p{--IN_Grantha}', "");
Expect(1, 70528, '\p{^--IN_Grantha}', "");
Expect(1, 70528, '\P{--IN_Grantha}', "");
Expect(0, 70528, '\P{^--IN_Grantha}', "");
Error('\p{-:=In_Gujarati}');
Error('\P{-:=In_Gujarati}');
Expect(1, 2815, '\p{ingujarati}', "");
Expect(0, 2815, '\p{^ingujarati}', "");
Expect(0, 2815, '\P{ingujarati}', "");
Expect(1, 2815, '\P{^ingujarati}', "");
Expect(0, 2816, '\p{ingujarati}', "");
Expect(1, 2816, '\p{^ingujarati}', "");
Expect(1, 2816, '\P{ingujarati}', "");
Expect(0, 2816, '\P{^ingujarati}', "");
Expect(1, 2815, '\p{ -in_Gujarati}', "");
Expect(0, 2815, '\p{^ -in_Gujarati}', "");
Expect(0, 2815, '\P{ -in_Gujarati}', "");
Expect(1, 2815, '\P{^ -in_Gujarati}', "");
Expect(0, 2816, '\p{ -in_Gujarati}', "");
Expect(1, 2816, '\p{^ -in_Gujarati}', "");
Expect(1, 2816, '\P{ -in_Gujarati}', "");
Expect(0, 2816, '\P{^ -in_Gujarati}', "");
Error('\p{		in_Gujarati:=}');
Error('\P{		in_Gujarati:=}');
Expect(1, 2815, '\p{_	in_GUJARATI}', "");
Expect(0, 2815, '\p{^_	in_GUJARATI}', "");
Expect(0, 2815, '\P{_	in_GUJARATI}', "");
Expect(1, 2815, '\P{^_	in_GUJARATI}', "");
Expect(0, 2816, '\p{_	in_GUJARATI}', "");
Expect(1, 2816, '\p{^_	in_GUJARATI}', "");
Expect(1, 2816, '\P{_	in_GUJARATI}', "");
Expect(0, 2816, '\P{^_	in_GUJARATI}', "");
Error('\p{/a/	In_gurmukhi}');
Error('\P{/a/	In_gurmukhi}');
Expect(1, 2687, '\p{ingurmukhi}', "");
Expect(0, 2687, '\p{^ingurmukhi}', "");
Expect(0, 2687, '\P{ingurmukhi}', "");
Expect(1, 2687, '\P{^ingurmukhi}', "");
Expect(0, 2688, '\p{ingurmukhi}', "");
Expect(1, 2688, '\p{^ingurmukhi}', "");
Expect(1, 2688, '\P{ingurmukhi}', "");
Expect(0, 2688, '\P{^ingurmukhi}', "");
Expect(1, 2687, '\p{--in_Gurmukhi}', "");
Expect(0, 2687, '\p{^--in_Gurmukhi}', "");
Expect(0, 2687, '\P{--in_Gurmukhi}', "");
Expect(1, 2687, '\P{^--in_Gurmukhi}', "");
Expect(0, 2688, '\p{--in_Gurmukhi}', "");
Expect(1, 2688, '\p{^--in_Gurmukhi}', "");
Expect(1, 2688, '\P{--in_Gurmukhi}', "");
Expect(0, 2688, '\P{^--in_Gurmukhi}', "");
Error('\p{		In_Gurmukhi:=}');
Error('\P{		In_Gurmukhi:=}');
Expect(1, 2687, '\p{_-In_GURMUKHI}', "");
Expect(0, 2687, '\p{^_-In_GURMUKHI}', "");
Expect(0, 2687, '\P{_-In_GURMUKHI}', "");
Expect(1, 2687, '\P{^_-In_GURMUKHI}', "");
Expect(0, 2688, '\p{_-In_GURMUKHI}', "");
Expect(1, 2688, '\p{^_-In_GURMUKHI}', "");
Expect(1, 2688, '\P{_-In_GURMUKHI}', "");
Expect(0, 2688, '\P{^_-In_GURMUKHI}', "");
Error('\p{-/a/In_Hanunoo}');
Error('\P{-/a/In_Hanunoo}');
Expect(1, 5951, '\p{inhanunoo}', "");
Expect(0, 5951, '\p{^inhanunoo}', "");
Expect(0, 5951, '\P{inhanunoo}', "");
Expect(1, 5951, '\P{^inhanunoo}', "");
Expect(0, 5952, '\p{inhanunoo}', "");
Expect(1, 5952, '\p{^inhanunoo}', "");
Expect(1, 5952, '\P{inhanunoo}', "");
Expect(0, 5952, '\P{^inhanunoo}', "");
Expect(1, 5951, '\p{  in_Hanunoo}', "");
Expect(0, 5951, '\p{^  in_Hanunoo}', "");
Expect(0, 5951, '\P{  in_Hanunoo}', "");
Expect(1, 5951, '\P{^  in_Hanunoo}', "");
Expect(0, 5952, '\p{  in_Hanunoo}', "");
Expect(1, 5952, '\p{^  in_Hanunoo}', "");
Expect(1, 5952, '\P{  in_Hanunoo}', "");
Expect(0, 5952, '\P{^  in_Hanunoo}', "");
Error('\p{-:=In_Hanunoo}');
Error('\P{-:=In_Hanunoo}');
Expect(1, 5951, '\p{	in_Hanunoo}', "");
Expect(0, 5951, '\p{^	in_Hanunoo}', "");
Expect(0, 5951, '\P{	in_Hanunoo}', "");
Expect(1, 5951, '\P{^	in_Hanunoo}', "");
Expect(0, 5952, '\p{	in_Hanunoo}', "");
Expect(1, 5952, '\p{^	in_Hanunoo}', "");
Expect(1, 5952, '\P{	in_Hanunoo}', "");
Expect(0, 5952, '\P{^	in_Hanunoo}', "");
Error('\p{ -In_Hatran/a/}');
Error('\P{ -In_Hatran/a/}');
Expect(1, 67839, '\p{inhatran}', "");
Expect(0, 67839, '\p{^inhatran}', "");
Expect(0, 67839, '\P{inhatran}', "");
Expect(1, 67839, '\P{^inhatran}', "");
Expect(0, 67840, '\p{inhatran}', "");
Expect(1, 67840, '\p{^inhatran}', "");
Expect(1, 67840, '\P{inhatran}', "");
Expect(0, 67840, '\P{^inhatran}', "");
Expect(1, 67839, '\p{_-in_Hatran}', "");
Expect(0, 67839, '\p{^_-in_Hatran}', "");
Expect(0, 67839, '\P{_-in_Hatran}', "");
Expect(1, 67839, '\P{^_-in_Hatran}', "");
Expect(0, 67840, '\p{_-in_Hatran}', "");
Expect(1, 67840, '\p{^_-in_Hatran}', "");
Expect(1, 67840, '\P{_-in_Hatran}', "");
Expect(0, 67840, '\P{^_-in_Hatran}', "");
Error('\p{:=in_HATRAN}');
Error('\P{:=in_HATRAN}');
Expect(1, 67839, '\p{  In_Hatran}', "");
Expect(0, 67839, '\p{^  In_Hatran}', "");
Expect(0, 67839, '\P{  In_Hatran}', "");
Expect(1, 67839, '\P{^  In_Hatran}', "");
Expect(0, 67840, '\p{  In_Hatran}', "");
Expect(1, 67840, '\p{^  In_Hatran}', "");
Expect(1, 67840, '\P{  In_Hatran}', "");
Expect(0, 67840, '\P{^  In_Hatran}', "");
Error('\p{/a/	 in_Hebrew}');
Error('\P{/a/	 in_Hebrew}');
Expect(1, 1535, '\p{inhebrew}', "");
Expect(0, 1535, '\p{^inhebrew}', "");
Expect(0, 1535, '\P{inhebrew}', "");
Expect(1, 1535, '\P{^inhebrew}', "");
Expect(0, 1536, '\p{inhebrew}', "");
Expect(1, 1536, '\p{^inhebrew}', "");
Expect(1, 1536, '\P{inhebrew}', "");
Expect(0, 1536, '\P{^inhebrew}', "");
Expect(1, 1535, '\p{ -in_Hebrew}', "");
Expect(0, 1535, '\p{^ -in_Hebrew}', "");
Expect(0, 1535, '\P{ -in_Hebrew}', "");
Expect(1, 1535, '\P{^ -in_Hebrew}', "");
Expect(0, 1536, '\p{ -in_Hebrew}', "");
Expect(1, 1536, '\p{^ -in_Hebrew}', "");
Expect(1, 1536, '\P{ -in_Hebrew}', "");
Expect(0, 1536, '\P{^ -in_Hebrew}', "");
Error('\p{	:=IN_HEBREW}');
Error('\P{	:=IN_HEBREW}');
Expect(1, 1535, '\p{  In_Hebrew}', "");
Expect(0, 1535, '\p{^  In_Hebrew}', "");
Expect(0, 1535, '\P{  In_Hebrew}', "");
Expect(1, 1535, '\P{^  In_Hebrew}', "");
Expect(0, 1536, '\p{  In_Hebrew}', "");
Expect(1, 1536, '\p{^  In_Hebrew}', "");
Expect(1, 1536, '\P{  In_Hebrew}', "");
Expect(0, 1536, '\P{^  In_Hebrew}', "");
Error('\p{-/a/In_Hiragana}');
Error('\P{-/a/In_Hiragana}');
Expect(1, 12447, '\p{inhiragana}', "");
Expect(0, 12447, '\p{^inhiragana}', "");
Expect(0, 12447, '\P{inhiragana}', "");
Expect(1, 12447, '\P{^inhiragana}', "");
Expect(0, 12448, '\p{inhiragana}', "");
Expect(1, 12448, '\p{^inhiragana}', "");
Expect(1, 12448, '\P{inhiragana}', "");
Expect(0, 12448, '\P{^inhiragana}', "");
Expect(1, 12447, '\p{_In_hiragana}', "");
Expect(0, 12447, '\p{^_In_hiragana}', "");
Expect(0, 12447, '\P{_In_hiragana}', "");
Expect(1, 12447, '\P{^_In_hiragana}', "");
Expect(0, 12448, '\p{_In_hiragana}', "");
Expect(1, 12448, '\p{^_In_hiragana}', "");
Expect(1, 12448, '\P{_In_hiragana}', "");
Expect(0, 12448, '\P{^_In_hiragana}', "");
Error('\p{/a/IN_Hiragana}');
Error('\P{/a/IN_Hiragana}');
Expect(1, 12447, '\p{	 IN_Hiragana}', "");
Expect(0, 12447, '\p{^	 IN_Hiragana}', "");
Expect(0, 12447, '\P{	 IN_Hiragana}', "");
Expect(1, 12447, '\P{^	 IN_Hiragana}', "");
Expect(0, 12448, '\p{	 IN_Hiragana}', "");
Expect(1, 12448, '\p{^	 IN_Hiragana}', "");
Expect(1, 12448, '\P{	 IN_Hiragana}', "");
Expect(0, 12448, '\P{^	 IN_Hiragana}', "");
Error('\p{	-In_imperial_Aramaic/a/}');
Error('\P{	-In_imperial_Aramaic/a/}');
Expect(1, 67679, '\p{inimperialaramaic}', "");
Expect(0, 67679, '\p{^inimperialaramaic}', "");
Expect(0, 67679, '\P{inimperialaramaic}', "");
Expect(1, 67679, '\P{^inimperialaramaic}', "");
Expect(0, 67680, '\p{inimperialaramaic}', "");
Expect(1, 67680, '\p{^inimperialaramaic}', "");
Expect(1, 67680, '\P{inimperialaramaic}', "");
Expect(0, 67680, '\P{^inimperialaramaic}', "");
Expect(1, 67679, '\p{	In_Imperial_Aramaic}', "");
Expect(0, 67679, '\p{^	In_Imperial_Aramaic}', "");
Expect(0, 67679, '\P{	In_Imperial_Aramaic}', "");
Expect(1, 67679, '\P{^	In_Imperial_Aramaic}', "");
Expect(0, 67680, '\p{	In_Imperial_Aramaic}', "");
Expect(1, 67680, '\p{^	In_Imperial_Aramaic}', "");
Expect(1, 67680, '\P{	In_Imperial_Aramaic}', "");
Expect(0, 67680, '\P{^	In_Imperial_Aramaic}', "");
Error('\p{/a/ IN_imperial_Aramaic}');
Error('\P{/a/ IN_imperial_Aramaic}');
Expect(1, 67679, '\p{-_IN_Imperial_Aramaic}', "");
Expect(0, 67679, '\p{^-_IN_Imperial_Aramaic}', "");
Expect(0, 67679, '\P{-_IN_Imperial_Aramaic}', "");
Expect(1, 67679, '\P{^-_IN_Imperial_Aramaic}', "");
Expect(0, 67680, '\p{-_IN_Imperial_Aramaic}', "");
Expect(1, 67680, '\p{^-_IN_Imperial_Aramaic}', "");
Expect(1, 67680, '\P{-_IN_Imperial_Aramaic}', "");
Expect(0, 67680, '\P{^-_IN_Imperial_Aramaic}', "");
Error('\p{/a/ In_INSCRIPTIONAL_pahlavi}');
Error('\P{/a/ In_INSCRIPTIONAL_pahlavi}');
Expect(1, 68479, '\p{ininscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^ininscriptionalpahlavi}', "");
Expect(0, 68479, '\P{ininscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^ininscriptionalpahlavi}', "");
Expect(0, 68480, '\p{ininscriptionalpahlavi}', "");
Expect(1, 68480, '\p{^ininscriptionalpahlavi}', "");
Expect(1, 68480, '\P{ininscriptionalpahlavi}', "");
Expect(0, 68480, '\P{^ininscriptionalpahlavi}', "");
Expect(1, 68479, '\p{	 IN_inscriptional_pahlavi}', "");
Expect(0, 68479, '\p{^	 IN_inscriptional_pahlavi}', "");
Expect(0, 68479, '\P{	 IN_inscriptional_pahlavi}', "");
Expect(1, 68479, '\P{^	 IN_inscriptional_pahlavi}', "");
Expect(0, 68480, '\p{	 IN_inscriptional_pahlavi}', "");
Expect(1, 68480, '\p{^	 IN_inscriptional_pahlavi}', "");
Expect(1, 68480, '\P{	 IN_inscriptional_pahlavi}', "");
Expect(0, 68480, '\P{^	 IN_inscriptional_pahlavi}', "");
Error('\p{:=in_inscriptional_pahlavi}');
Error('\P{:=in_inscriptional_pahlavi}');
Expect(1, 68479, '\p{ _in_Inscriptional_PAHLAVI}', "");
Expect(0, 68479, '\p{^ _in_Inscriptional_PAHLAVI}', "");
Expect(0, 68479, '\P{ _in_Inscriptional_PAHLAVI}', "");
Expect(1, 68479, '\P{^ _in_Inscriptional_PAHLAVI}', "");
Expect(0, 68480, '\p{ _in_Inscriptional_PAHLAVI}', "");
Expect(1, 68480, '\p{^ _in_Inscriptional_PAHLAVI}', "");
Expect(1, 68480, '\P{ _in_Inscriptional_PAHLAVI}', "");
Expect(0, 68480, '\P{^ _in_Inscriptional_PAHLAVI}', "");
Error('\p{In_Inscriptional_Parthian:=}');
Error('\P{In_Inscriptional_Parthian:=}');
Expect(1, 68447, '\p{ininscriptionalparthian}', "");
Expect(0, 68447, '\p{^ininscriptionalparthian}', "");
Expect(0, 68447, '\P{ininscriptionalparthian}', "");
Expect(1, 68447, '\P{^ininscriptionalparthian}', "");
Expect(0, 68448, '\p{ininscriptionalparthian}', "");
Expect(1, 68448, '\p{^ininscriptionalparthian}', "");
Expect(1, 68448, '\P{ininscriptionalparthian}', "");
Expect(0, 68448, '\P{^ininscriptionalparthian}', "");
Expect(1, 68447, '\p{ _In_Inscriptional_parthian}', "");
Expect(0, 68447, '\p{^ _In_Inscriptional_parthian}', "");
Expect(0, 68447, '\P{ _In_Inscriptional_parthian}', "");
Expect(1, 68447, '\P{^ _In_Inscriptional_parthian}', "");
Expect(0, 68448, '\p{ _In_Inscriptional_parthian}', "");
Expect(1, 68448, '\p{^ _In_Inscriptional_parthian}', "");
Expect(1, 68448, '\P{ _In_Inscriptional_parthian}', "");
Expect(0, 68448, '\P{^ _In_Inscriptional_parthian}', "");
Error('\p{	In_INSCRIPTIONAL_parthian/a/}');
Error('\P{	In_INSCRIPTIONAL_parthian/a/}');
Expect(1, 68447, '\p{_In_Inscriptional_Parthian}', "");
Expect(0, 68447, '\p{^_In_Inscriptional_Parthian}', "");
Expect(0, 68447, '\P{_In_Inscriptional_Parthian}', "");
Expect(1, 68447, '\P{^_In_Inscriptional_Parthian}', "");
Expect(0, 68448, '\p{_In_Inscriptional_Parthian}', "");
Expect(1, 68448, '\p{^_In_Inscriptional_Parthian}', "");
Expect(1, 68448, '\P{_In_Inscriptional_Parthian}', "");
Expect(0, 68448, '\P{^_In_Inscriptional_Parthian}', "");
Error('\p{/a/	In_JAVANESE}');
Error('\P{/a/	In_JAVANESE}');
Expect(1, 43487, '\p{injavanese}', "");
Expect(0, 43487, '\p{^injavanese}', "");
Expect(0, 43487, '\P{injavanese}', "");
Expect(1, 43487, '\P{^injavanese}', "");
Expect(0, 43488, '\p{injavanese}', "");
Expect(1, 43488, '\p{^injavanese}', "");
Expect(1, 43488, '\P{injavanese}', "");
Expect(0, 43488, '\P{^injavanese}', "");
Expect(1, 43487, '\p{	_IN_Javanese}', "");
Expect(0, 43487, '\p{^	_IN_Javanese}', "");
Expect(0, 43487, '\P{	_IN_Javanese}', "");
Expect(1, 43487, '\P{^	_IN_Javanese}', "");
Expect(0, 43488, '\p{	_IN_Javanese}', "");
Expect(1, 43488, '\p{^	_IN_Javanese}', "");
Expect(1, 43488, '\P{	_IN_Javanese}', "");
Expect(0, 43488, '\P{^	_IN_Javanese}', "");
Error('\p{-IN_JAVANESE:=}');
Error('\P{-IN_JAVANESE:=}');
Expect(1, 43487, '\p{_In_javanese}', "");
Expect(0, 43487, '\p{^_In_javanese}', "");
Expect(0, 43487, '\P{_In_javanese}', "");
Expect(1, 43487, '\P{^_In_javanese}', "");
Expect(0, 43488, '\p{_In_javanese}', "");
Expect(1, 43488, '\p{^_In_javanese}', "");
Expect(1, 43488, '\P{_In_javanese}', "");
Expect(0, 43488, '\P{^_In_javanese}', "");
Error('\p{	/a/IN_Kaithi}');
Error('\P{	/a/IN_Kaithi}');
Expect(1, 69839, '\p{inkaithi}', "");
Expect(0, 69839, '\p{^inkaithi}', "");
Expect(0, 69839, '\P{inkaithi}', "");
Expect(1, 69839, '\P{^inkaithi}', "");
Expect(0, 69840, '\p{inkaithi}', "");
Expect(1, 69840, '\p{^inkaithi}', "");
Expect(1, 69840, '\P{inkaithi}', "");
Expect(0, 69840, '\P{^inkaithi}', "");
Expect(1, 69839, '\p{_-IN_Kaithi}', "");
Expect(0, 69839, '\p{^_-IN_Kaithi}', "");
Expect(0, 69839, '\P{_-IN_Kaithi}', "");
Expect(1, 69839, '\P{^_-IN_Kaithi}', "");
Expect(0, 69840, '\p{_-IN_Kaithi}', "");
Expect(1, 69840, '\p{^_-IN_Kaithi}', "");
Expect(1, 69840, '\P{_-IN_Kaithi}', "");
Expect(0, 69840, '\P{^_-IN_Kaithi}', "");
Error('\p{:=--in_Kaithi}');
Error('\P{:=--in_Kaithi}');
Expect(1, 69839, '\p{ -In_Kaithi}', "");
Expect(0, 69839, '\p{^ -In_Kaithi}', "");
Expect(0, 69839, '\P{ -In_Kaithi}', "");
Expect(1, 69839, '\P{^ -In_Kaithi}', "");
Expect(0, 69840, '\p{ -In_Kaithi}', "");
Expect(1, 69840, '\p{^ -In_Kaithi}', "");
Expect(1, 69840, '\P{ -In_Kaithi}', "");
Expect(0, 69840, '\P{^ -In_Kaithi}', "");
Error('\p{	IN_Kannada/a/}');
Error('\P{	IN_Kannada/a/}');
Expect(1, 3327, '\p{inkannada}', "");
Expect(0, 3327, '\p{^inkannada}', "");
Expect(0, 3327, '\P{inkannada}', "");
Expect(1, 3327, '\P{^inkannada}', "");
Expect(0, 3328, '\p{inkannada}', "");
Expect(1, 3328, '\p{^inkannada}', "");
Expect(1, 3328, '\P{inkannada}', "");
Expect(0, 3328, '\P{^inkannada}', "");
Expect(1, 3327, '\p{ In_Kannada}', "");
Expect(0, 3327, '\p{^ In_Kannada}', "");
Expect(0, 3327, '\P{ In_Kannada}', "");
Expect(1, 3327, '\P{^ In_Kannada}', "");
Expect(0, 3328, '\p{ In_Kannada}', "");
Expect(1, 3328, '\p{^ In_Kannada}', "");
Expect(1, 3328, '\P{ In_Kannada}', "");
Expect(0, 3328, '\P{^ In_Kannada}', "");
Error('\p{-/a/IN_kannada}');
Error('\P{-/a/IN_kannada}');
Expect(1, 3327, '\p{_in_Kannada}', "");
Expect(0, 3327, '\p{^_in_Kannada}', "");
Expect(0, 3327, '\P{_in_Kannada}', "");
Expect(1, 3327, '\P{^_in_Kannada}', "");
Expect(0, 3328, '\p{_in_Kannada}', "");
Expect(1, 3328, '\p{^_in_Kannada}', "");
Expect(1, 3328, '\P{_in_Kannada}', "");
Expect(0, 3328, '\P{^_in_Kannada}', "");
Error('\p{:=_-in_katakana}');
Error('\P{:=_-in_katakana}');
Expect(1, 12543, '\p{inkatakana}', "");
Expect(0, 12543, '\p{^inkatakana}', "");
Expect(0, 12543, '\P{inkatakana}', "");
Expect(1, 12543, '\P{^inkatakana}', "");
Expect(0, 12544, '\p{inkatakana}', "");
Expect(1, 12544, '\p{^inkatakana}', "");
Expect(1, 12544, '\P{inkatakana}', "");
Expect(0, 12544, '\P{^inkatakana}', "");
Expect(1, 12543, '\p{ -In_katakana}', "");
Expect(0, 12543, '\p{^ -In_katakana}', "");
Expect(0, 12543, '\P{ -In_katakana}', "");
Expect(1, 12543, '\P{^ -In_katakana}', "");
Expect(0, 12544, '\p{ -In_katakana}', "");
Expect(1, 12544, '\p{^ -In_katakana}', "");
Expect(1, 12544, '\P{ -In_katakana}', "");
Expect(0, 12544, '\P{^ -In_katakana}', "");
Error('\p{	:=In_Katakana}');
Error('\P{	:=In_Katakana}');
Expect(1, 12543, '\p{_IN_Katakana}', "");
Expect(0, 12543, '\p{^_IN_Katakana}', "");
Expect(0, 12543, '\P{_IN_Katakana}', "");
Expect(1, 12543, '\P{^_IN_Katakana}', "");
Expect(0, 12544, '\p{_IN_Katakana}', "");
Expect(1, 12544, '\p{^_IN_Katakana}', "");
Expect(1, 12544, '\P{_IN_Katakana}', "");
Expect(0, 12544, '\P{^_IN_Katakana}', "");
Error('\p{In_kayah_Li:=}');
Error('\P{In_kayah_Li:=}');
Expect(1, 43311, '\p{inkayahli}', "");
Expect(0, 43311, '\p{^inkayahli}', "");
Expect(0, 43311, '\P{inkayahli}', "");
Expect(1, 43311, '\P{^inkayahli}', "");
Expect(0, 43312, '\p{inkayahli}', "");
Expect(1, 43312, '\p{^inkayahli}', "");
Expect(1, 43312, '\P{inkayahli}', "");
Expect(0, 43312, '\P{^inkayahli}', "");
Expect(1, 43311, '\p{_IN_Kayah_LI}', "");
Expect(0, 43311, '\p{^_IN_Kayah_LI}', "");
Expect(0, 43311, '\P{_IN_Kayah_LI}', "");
Expect(1, 43311, '\P{^_IN_Kayah_LI}', "");
Expect(0, 43312, '\p{_IN_Kayah_LI}', "");
Expect(1, 43312, '\p{^_IN_Kayah_LI}', "");
Expect(1, 43312, '\P{_IN_Kayah_LI}', "");
Expect(0, 43312, '\P{^_IN_Kayah_LI}', "");
Error('\p{_/a/In_Kayah_Li}');
Error('\P{_/a/In_Kayah_Li}');
Expect(1, 43311, '\p{		In_kayah_Li}', "");
Expect(0, 43311, '\p{^		In_kayah_Li}', "");
Expect(0, 43311, '\P{		In_kayah_Li}', "");
Expect(1, 43311, '\P{^		In_kayah_Li}', "");
Expect(0, 43312, '\p{		In_kayah_Li}', "");
Expect(1, 43312, '\p{^		In_kayah_Li}', "");
Expect(1, 43312, '\P{		In_kayah_Li}', "");
Expect(0, 43312, '\P{^		In_kayah_Li}', "");
Error('\p{	:=IN_kharoshthi}');
Error('\P{	:=IN_kharoshthi}');
Expect(1, 68191, '\p{inkharoshthi}', "");
Expect(0, 68191, '\p{^inkharoshthi}', "");
Expect(0, 68191, '\P{inkharoshthi}', "");
Expect(1, 68191, '\P{^inkharoshthi}', "");
Expect(0, 68192, '\p{inkharoshthi}', "");
Expect(1, 68192, '\p{^inkharoshthi}', "");
Expect(1, 68192, '\P{inkharoshthi}', "");
Expect(0, 68192, '\P{^inkharoshthi}', "");
Expect(1, 68191, '\p{_-in_kharoshthi}', "");
Expect(0, 68191, '\p{^_-in_kharoshthi}', "");
Expect(0, 68191, '\P{_-in_kharoshthi}', "");
Expect(1, 68191, '\P{^_-in_kharoshthi}', "");
Expect(0, 68192, '\p{_-in_kharoshthi}', "");
Expect(1, 68192, '\p{^_-in_kharoshthi}', "");
Expect(1, 68192, '\P{_-in_kharoshthi}', "");
Expect(0, 68192, '\P{^_-in_kharoshthi}', "");
Error('\p{/a/IN_Kharoshthi}');
Error('\P{/a/IN_Kharoshthi}');
Expect(1, 68191, '\p{ in_Kharoshthi}', "");
Expect(0, 68191, '\p{^ in_Kharoshthi}', "");
Expect(0, 68191, '\P{ in_Kharoshthi}', "");
Expect(1, 68191, '\P{^ in_Kharoshthi}', "");
Expect(0, 68192, '\p{ in_Kharoshthi}', "");
Expect(1, 68192, '\p{^ in_Kharoshthi}', "");
Expect(1, 68192, '\P{ in_Kharoshthi}', "");
Expect(0, 68192, '\P{^ in_Kharoshthi}', "");
Error('\p{/a/ -In_Khmer}');
Error('\P{/a/ -In_Khmer}');
Expect(1, 6143, '\p{inkhmer}', "");
Expect(0, 6143, '\p{^inkhmer}', "");
Expect(0, 6143, '\P{inkhmer}', "");
Expect(1, 6143, '\P{^inkhmer}', "");
Expect(0, 6144, '\p{inkhmer}', "");
Expect(1, 6144, '\p{^inkhmer}', "");
Expect(1, 6144, '\P{inkhmer}', "");
Expect(0, 6144, '\P{^inkhmer}', "");
Expect(1, 6143, '\p{In_khmer}', "");
Expect(0, 6143, '\p{^In_khmer}', "");
Expect(0, 6143, '\P{In_khmer}', "");
Expect(1, 6143, '\P{^In_khmer}', "");
Expect(0, 6144, '\p{In_khmer}', "");
Expect(1, 6144, '\p{^In_khmer}', "");
Expect(1, 6144, '\P{In_khmer}', "");
Expect(0, 6144, '\P{^In_khmer}', "");
Error('\p{/a/ -In_KHMER}');
Error('\P{/a/ -In_KHMER}');
Expect(1, 6143, '\p{ _In_Khmer}', "");
Expect(0, 6143, '\p{^ _In_Khmer}', "");
Expect(0, 6143, '\P{ _In_Khmer}', "");
Expect(1, 6143, '\P{^ _In_Khmer}', "");
Expect(0, 6144, '\p{ _In_Khmer}', "");
Expect(1, 6144, '\p{^ _In_Khmer}', "");
Expect(1, 6144, '\P{ _In_Khmer}', "");
Expect(0, 6144, '\P{^ _In_Khmer}', "");
Error('\p{/a/- in_khojki}');
Error('\P{/a/- in_khojki}');
Expect(1, 70223, '\p{inkhojki}', "");
Expect(0, 70223, '\p{^inkhojki}', "");
Expect(0, 70223, '\P{inkhojki}', "");
Expect(1, 70223, '\P{^inkhojki}', "");
Expect(0, 70224, '\p{inkhojki}', "");
Expect(1, 70224, '\p{^inkhojki}', "");
Expect(1, 70224, '\P{inkhojki}', "");
Expect(0, 70224, '\P{^inkhojki}', "");
Expect(1, 70223, '\p{ -In_Khojki}', "");
Expect(0, 70223, '\p{^ -In_Khojki}', "");
Expect(0, 70223, '\P{ -In_Khojki}', "");
Expect(1, 70223, '\P{^ -In_Khojki}', "");
Expect(0, 70224, '\p{ -In_Khojki}', "");
Expect(1, 70224, '\p{^ -In_Khojki}', "");
Expect(1, 70224, '\P{ -In_Khojki}', "");
Expect(0, 70224, '\P{^ -In_Khojki}', "");
Error('\p{/a/-In_KHOJKI}');
Error('\P{/a/-In_KHOJKI}');
Expect(1, 70223, '\p{-_IN_Khojki}', "");
Expect(0, 70223, '\p{^-_IN_Khojki}', "");
Expect(0, 70223, '\P{-_IN_Khojki}', "");
Expect(1, 70223, '\P{^-_IN_Khojki}', "");
Expect(0, 70224, '\p{-_IN_Khojki}', "");
Expect(1, 70224, '\p{^-_IN_Khojki}', "");
Expect(1, 70224, '\P{-_IN_Khojki}', "");
Expect(0, 70224, '\P{^-_IN_Khojki}', "");
Error('\p{/a/-	In_Khudawadi}');
Error('\P{/a/-	In_Khudawadi}');
Expect(1, 70399, '\p{inkhudawadi}', "");
Expect(0, 70399, '\p{^inkhudawadi}', "");
Expect(0, 70399, '\P{inkhudawadi}', "");
Expect(1, 70399, '\P{^inkhudawadi}', "");
Expect(0, 70400, '\p{inkhudawadi}', "");
Expect(1, 70400, '\p{^inkhudawadi}', "");
Expect(1, 70400, '\P{inkhudawadi}', "");
Expect(0, 70400, '\P{^inkhudawadi}', "");
Expect(1, 70399, '\p{-In_Khudawadi}', "");
Expect(0, 70399, '\p{^-In_Khudawadi}', "");
Expect(0, 70399, '\P{-In_Khudawadi}', "");
Expect(1, 70399, '\P{^-In_Khudawadi}', "");
Expect(0, 70400, '\p{-In_Khudawadi}', "");
Expect(1, 70400, '\p{^-In_Khudawadi}', "");
Expect(1, 70400, '\P{-In_Khudawadi}', "");
Expect(0, 70400, '\P{^-In_Khudawadi}', "");
Error('\p{_:=IN_Khudawadi}');
Error('\P{_:=IN_Khudawadi}');
Expect(1, 70399, '\p{	In_khudawadi}', "");
Expect(0, 70399, '\p{^	In_khudawadi}', "");
Expect(0, 70399, '\P{	In_khudawadi}', "");
Expect(1, 70399, '\P{^	In_khudawadi}', "");
Expect(0, 70400, '\p{	In_khudawadi}', "");
Expect(1, 70400, '\p{^	In_khudawadi}', "");
Expect(1, 70400, '\P{	In_khudawadi}', "");
Expect(0, 70400, '\P{^	In_khudawadi}', "");
Error('\p{/a/ IN_Lao}');
Error('\P{/a/ IN_Lao}');
Expect(1, 3839, '\p{inlao}', "");
Expect(0, 3839, '\p{^inlao}', "");
Expect(0, 3839, '\P{inlao}', "");
Expect(1, 3839, '\P{^inlao}', "");
Expect(0, 3840, '\p{inlao}', "");
Expect(1, 3840, '\p{^inlao}', "");
Expect(1, 3840, '\P{inlao}', "");
Expect(0, 3840, '\P{^inlao}', "");
Expect(1, 3839, '\p{  In_Lao}', "");
Expect(0, 3839, '\p{^  In_Lao}', "");
Expect(0, 3839, '\P{  In_Lao}', "");
Expect(1, 3839, '\P{^  In_Lao}', "");
Expect(0, 3840, '\p{  In_Lao}', "");
Expect(1, 3840, '\p{^  In_Lao}', "");
Expect(1, 3840, '\P{  In_Lao}', "");
Expect(0, 3840, '\P{^  In_Lao}', "");
Error('\p{/a/-_in_Lao}');
Error('\P{/a/-_in_Lao}');
Expect(1, 3839, '\p{	_in_LAO}', "");
Expect(0, 3839, '\p{^	_in_LAO}', "");
Expect(0, 3839, '\P{	_in_LAO}', "");
Expect(1, 3839, '\P{^	_in_LAO}', "");
Expect(0, 3840, '\p{	_in_LAO}', "");
Expect(1, 3840, '\p{^	_in_LAO}', "");
Expect(1, 3840, '\P{	_in_LAO}', "");
Expect(0, 3840, '\P{^	_in_LAO}', "");
Error('\p{	-In_lepcha/a/}');
Error('\P{	-In_lepcha/a/}');
Expect(1, 7247, '\p{inlepcha}', "");
Expect(0, 7247, '\p{^inlepcha}', "");
Expect(0, 7247, '\P{inlepcha}', "");
Expect(1, 7247, '\P{^inlepcha}', "");
Expect(0, 7248, '\p{inlepcha}', "");
Expect(1, 7248, '\p{^inlepcha}', "");
Expect(1, 7248, '\P{inlepcha}', "");
Expect(0, 7248, '\P{^inlepcha}', "");
Expect(1, 7247, '\p{-	In_LEPCHA}', "");
Expect(0, 7247, '\p{^-	In_LEPCHA}', "");
Expect(0, 7247, '\P{-	In_LEPCHA}', "");
Expect(1, 7247, '\P{^-	In_LEPCHA}', "");
Expect(0, 7248, '\p{-	In_LEPCHA}', "");
Expect(1, 7248, '\p{^-	In_LEPCHA}', "");
Expect(1, 7248, '\P{-	In_LEPCHA}', "");
Expect(0, 7248, '\P{^-	In_LEPCHA}', "");
Error('\p{/a/ 	IN_lepcha}');
Error('\P{/a/ 	IN_lepcha}');
Expect(1, 7247, '\p{	_In_LEPCHA}', "");
Expect(0, 7247, '\p{^	_In_LEPCHA}', "");
Expect(0, 7247, '\P{	_In_LEPCHA}', "");
Expect(1, 7247, '\P{^	_In_LEPCHA}', "");
Expect(0, 7248, '\p{	_In_LEPCHA}', "");
Expect(1, 7248, '\p{^	_In_LEPCHA}', "");
Expect(1, 7248, '\P{	_In_LEPCHA}', "");
Expect(0, 7248, '\P{^	_In_LEPCHA}', "");
Error('\p{-	in_Limbu/a/}');
Error('\P{-	in_Limbu/a/}');
Expect(1, 6479, '\p{inlimbu}', "");
Expect(0, 6479, '\p{^inlimbu}', "");
Expect(0, 6479, '\P{inlimbu}', "");
Expect(1, 6479, '\P{^inlimbu}', "");
Expect(0, 6480, '\p{inlimbu}', "");
Expect(1, 6480, '\p{^inlimbu}', "");
Expect(1, 6480, '\P{inlimbu}', "");
Expect(0, 6480, '\P{^inlimbu}', "");
Expect(1, 6479, '\p{_	in_LIMBU}', "");
Expect(0, 6479, '\p{^_	in_LIMBU}', "");
Expect(0, 6479, '\P{_	in_LIMBU}', "");
Expect(1, 6479, '\P{^_	in_LIMBU}', "");
Expect(0, 6480, '\p{_	in_LIMBU}', "");
Expect(1, 6480, '\p{^_	in_LIMBU}', "");
Expect(1, 6480, '\P{_	in_LIMBU}', "");
Expect(0, 6480, '\P{^_	in_LIMBU}', "");
Error('\p{-_IN_Limbu:=}');
Error('\P{-_IN_Limbu:=}');
Expect(1, 6479, '\p{_in_Limbu}', "");
Expect(0, 6479, '\p{^_in_Limbu}', "");
Expect(0, 6479, '\P{_in_Limbu}', "");
Expect(1, 6479, '\P{^_in_Limbu}', "");
Expect(0, 6480, '\p{_in_Limbu}', "");
Expect(1, 6480, '\p{^_in_Limbu}', "");
Expect(1, 6480, '\P{_in_Limbu}', "");
Expect(0, 6480, '\P{^_in_Limbu}', "");
Error('\p{ :=in_LINEAR_A}');
Error('\P{ :=in_LINEAR_A}');
Expect(1, 67455, '\p{inlineara}', "");
Expect(0, 67455, '\p{^inlineara}', "");
Expect(0, 67455, '\P{inlineara}', "");
Expect(1, 67455, '\P{^inlineara}', "");
Expect(0, 67456, '\p{inlineara}', "");
Expect(1, 67456, '\p{^inlineara}', "");
Expect(1, 67456, '\P{inlineara}', "");
Expect(0, 67456, '\P{^inlineara}', "");
Expect(1, 67455, '\p{-in_Linear_A}', "");
Expect(0, 67455, '\p{^-in_Linear_A}', "");
Expect(0, 67455, '\P{-in_Linear_A}', "");
Expect(1, 67455, '\P{^-in_Linear_A}', "");
Expect(0, 67456, '\p{-in_Linear_A}', "");
Expect(1, 67456, '\p{^-in_Linear_A}', "");
Expect(1, 67456, '\P{-in_Linear_A}', "");
Expect(0, 67456, '\P{^-in_Linear_A}', "");
Error('\p{  In_Linear_A/a/}');
Error('\P{  In_Linear_A/a/}');
Expect(1, 67455, '\p{	In_Linear_a}', "");
Expect(0, 67455, '\p{^	In_Linear_a}', "");
Expect(0, 67455, '\P{	In_Linear_a}', "");
Expect(1, 67455, '\P{^	In_Linear_a}', "");
Expect(0, 67456, '\p{	In_Linear_a}', "");
Expect(1, 67456, '\p{^	In_Linear_a}', "");
Expect(1, 67456, '\P{	In_Linear_a}', "");
Expect(0, 67456, '\P{^	In_Linear_a}', "");
Error('\p{-_IN_Lisu:=}');
Error('\P{-_IN_Lisu:=}');
Expect(1, 42239, '\p{inlisu}', "");
Expect(0, 42239, '\p{^inlisu}', "");
Expect(0, 42239, '\P{inlisu}', "");
Expect(1, 42239, '\P{^inlisu}', "");
Expect(0, 42240, '\p{inlisu}', "");
Expect(1, 42240, '\p{^inlisu}', "");
Expect(1, 42240, '\P{inlisu}', "");
Expect(0, 42240, '\P{^inlisu}', "");
Expect(1, 42239, '\p{_	IN_Lisu}', "");
Expect(0, 42239, '\p{^_	IN_Lisu}', "");
Expect(0, 42239, '\P{_	IN_Lisu}', "");
Expect(1, 42239, '\P{^_	IN_Lisu}', "");
Expect(0, 42240, '\p{_	IN_Lisu}', "");
Expect(1, 42240, '\p{^_	IN_Lisu}', "");
Expect(1, 42240, '\P{_	IN_Lisu}', "");
Expect(0, 42240, '\P{^_	IN_Lisu}', "");
Error('\p{/a/ _In_LISU}');
Error('\P{/a/ _In_LISU}');
Expect(1, 42239, '\p{ _IN_Lisu}', "");
Expect(0, 42239, '\p{^ _IN_Lisu}', "");
Expect(0, 42239, '\P{ _IN_Lisu}', "");
Expect(1, 42239, '\P{^ _IN_Lisu}', "");
Expect(0, 42240, '\p{ _IN_Lisu}', "");
Expect(1, 42240, '\p{^ _IN_Lisu}', "");
Expect(1, 42240, '\P{ _IN_Lisu}', "");
Expect(0, 42240, '\P{^ _IN_Lisu}', "");
Error('\p{-:=in_LYCIAN}');
Error('\P{-:=in_LYCIAN}');
Expect(1, 66207, '\p{inlycian}', "");
Expect(0, 66207, '\p{^inlycian}', "");
Expect(0, 66207, '\P{inlycian}', "");
Expect(1, 66207, '\P{^inlycian}', "");
Expect(0, 66208, '\p{inlycian}', "");
Expect(1, 66208, '\p{^inlycian}', "");
Expect(1, 66208, '\P{inlycian}', "");
Expect(0, 66208, '\P{^inlycian}', "");
Expect(1, 66207, '\p{		In_Lycian}', "");
Expect(0, 66207, '\p{^		In_Lycian}', "");
Expect(0, 66207, '\P{		In_Lycian}', "");
Expect(1, 66207, '\P{^		In_Lycian}', "");
Expect(0, 66208, '\p{		In_Lycian}', "");
Expect(1, 66208, '\p{^		In_Lycian}', "");
Expect(1, 66208, '\P{		In_Lycian}', "");
Expect(0, 66208, '\P{^		In_Lycian}', "");
Error('\p{-IN_Lycian:=}');
Error('\P{-IN_Lycian:=}');
Expect(1, 66207, '\p{-In_lycian}', "");
Expect(0, 66207, '\p{^-In_lycian}', "");
Expect(0, 66207, '\P{-In_lycian}', "");
Expect(1, 66207, '\P{^-In_lycian}', "");
Expect(0, 66208, '\p{-In_lycian}', "");
Expect(1, 66208, '\p{^-In_lycian}', "");
Expect(1, 66208, '\P{-In_lycian}', "");
Expect(0, 66208, '\P{^-In_lycian}', "");
Error('\p{--in_LYDIAN:=}');
Error('\P{--in_LYDIAN:=}');
Expect(1, 67903, '\p{inlydian}', "");
Expect(0, 67903, '\p{^inlydian}', "");
Expect(0, 67903, '\P{inlydian}', "");
Expect(1, 67903, '\P{^inlydian}', "");
Expect(0, 67904, '\p{inlydian}', "");
Expect(1, 67904, '\p{^inlydian}', "");
Expect(1, 67904, '\P{inlydian}', "");
Expect(0, 67904, '\P{^inlydian}', "");
Expect(1, 67903, '\p{	-IN_Lydian}', "");
Expect(0, 67903, '\p{^	-IN_Lydian}', "");
Expect(0, 67903, '\P{	-IN_Lydian}', "");
Expect(1, 67903, '\P{^	-IN_Lydian}', "");
Expect(0, 67904, '\p{	-IN_Lydian}', "");
Expect(1, 67904, '\p{^	-IN_Lydian}', "");
Expect(1, 67904, '\P{	-IN_Lydian}', "");
Expect(0, 67904, '\P{^	-IN_Lydian}', "");
Error('\p{	In_LYDIAN/a/}');
Error('\P{	In_LYDIAN/a/}');
Expect(1, 67903, '\p{ IN_Lydian}', "");
Expect(0, 67903, '\p{^ IN_Lydian}', "");
Expect(0, 67903, '\P{ IN_Lydian}', "");
Expect(1, 67903, '\P{^ IN_Lydian}', "");
Expect(0, 67904, '\p{ IN_Lydian}', "");
Expect(1, 67904, '\p{^ IN_Lydian}', "");
Expect(1, 67904, '\P{ IN_Lydian}', "");
Expect(0, 67904, '\P{^ IN_Lydian}', "");
Error('\p{-	IN_MAHAJANI:=}');
Error('\P{-	IN_MAHAJANI:=}');
Expect(1, 70015, '\p{inmahajani}', "");
Expect(0, 70015, '\p{^inmahajani}', "");
Expect(0, 70015, '\P{inmahajani}', "");
Expect(1, 70015, '\P{^inmahajani}', "");
Expect(0, 70016, '\p{inmahajani}', "");
Expect(1, 70016, '\p{^inmahajani}', "");
Expect(1, 70016, '\P{inmahajani}', "");
Expect(0, 70016, '\P{^inmahajani}', "");
Expect(1, 70015, '\p{ IN_MAHAJANI}', "");
Expect(0, 70015, '\p{^ IN_MAHAJANI}', "");
Expect(0, 70015, '\P{ IN_MAHAJANI}', "");
Expect(1, 70015, '\P{^ IN_MAHAJANI}', "");
Expect(0, 70016, '\p{ IN_MAHAJANI}', "");
Expect(1, 70016, '\p{^ IN_MAHAJANI}', "");
Expect(1, 70016, '\P{ IN_MAHAJANI}', "");
Expect(0, 70016, '\P{^ IN_MAHAJANI}', "");
Error('\p{	:=In_MAHAJANI}');
Error('\P{	:=In_MAHAJANI}');
Expect(1, 70015, '\p{__In_Mahajani}', "");
Expect(0, 70015, '\p{^__In_Mahajani}', "");
Expect(0, 70015, '\P{__In_Mahajani}', "");
Expect(1, 70015, '\P{^__In_Mahajani}', "");
Expect(0, 70016, '\p{__In_Mahajani}', "");
Expect(1, 70016, '\p{^__In_Mahajani}', "");
Expect(1, 70016, '\P{__In_Mahajani}', "");
Expect(0, 70016, '\P{^__In_Mahajani}', "");
Error('\p{ _In_malayalam:=}');
Error('\P{ _In_malayalam:=}');
Expect(1, 3455, '\p{inmalayalam}', "");
Expect(0, 3455, '\p{^inmalayalam}', "");
Expect(0, 3455, '\P{inmalayalam}', "");
Expect(1, 3455, '\P{^inmalayalam}', "");
Expect(0, 3456, '\p{inmalayalam}', "");
Expect(1, 3456, '\p{^inmalayalam}', "");
Expect(1, 3456, '\P{inmalayalam}', "");
Expect(0, 3456, '\P{^inmalayalam}', "");
Expect(1, 3455, '\p{ -In_MALAYALAM}', "");
Expect(0, 3455, '\p{^ -In_MALAYALAM}', "");
Expect(0, 3455, '\P{ -In_MALAYALAM}', "");
Expect(1, 3455, '\P{^ -In_MALAYALAM}', "");
Expect(0, 3456, '\p{ -In_MALAYALAM}', "");
Expect(1, 3456, '\p{^ -In_MALAYALAM}', "");
Expect(1, 3456, '\P{ -In_MALAYALAM}', "");
Expect(0, 3456, '\P{^ -In_MALAYALAM}', "");
Error('\p{-:=in_Malayalam}');
Error('\P{-:=in_Malayalam}');
Expect(1, 3455, '\p{--In_malayalam}', "");
Expect(0, 3455, '\p{^--In_malayalam}', "");
Expect(0, 3455, '\P{--In_malayalam}', "");
Expect(1, 3455, '\P{^--In_malayalam}', "");
Expect(0, 3456, '\p{--In_malayalam}', "");
Expect(1, 3456, '\p{^--In_malayalam}', "");
Expect(1, 3456, '\P{--In_malayalam}', "");
Expect(0, 3456, '\P{^--In_malayalam}', "");
Error('\p{	_in_MANDAIC:=}');
Error('\P{	_in_MANDAIC:=}');
Expect(1, 2143, '\p{inmandaic}', "");
Expect(0, 2143, '\p{^inmandaic}', "");
Expect(0, 2143, '\P{inmandaic}', "");
Expect(1, 2143, '\P{^inmandaic}', "");
Expect(0, 2144, '\p{inmandaic}', "");
Expect(1, 2144, '\p{^inmandaic}', "");
Expect(1, 2144, '\P{inmandaic}', "");
Expect(0, 2144, '\P{^inmandaic}', "");
Expect(1, 2143, '\p{_-In_MANDAIC}', "");
Expect(0, 2143, '\p{^_-In_MANDAIC}', "");
Expect(0, 2143, '\P{_-In_MANDAIC}', "");
Expect(1, 2143, '\P{^_-In_MANDAIC}', "");
Expect(0, 2144, '\p{_-In_MANDAIC}', "");
Expect(1, 2144, '\p{^_-In_MANDAIC}', "");
Expect(1, 2144, '\P{_-In_MANDAIC}', "");
Expect(0, 2144, '\P{^_-In_MANDAIC}', "");
Error('\p{ 	IN_MANDAIC:=}');
Error('\P{ 	IN_MANDAIC:=}');
Expect(1, 2143, '\p{In_Mandaic}', "");
Expect(0, 2143, '\p{^In_Mandaic}', "");
Expect(0, 2143, '\P{In_Mandaic}', "");
Expect(1, 2143, '\P{^In_Mandaic}', "");
Expect(0, 2144, '\p{In_Mandaic}', "");
Expect(1, 2144, '\p{^In_Mandaic}', "");
Expect(1, 2144, '\P{In_Mandaic}', "");
Expect(0, 2144, '\P{^In_Mandaic}', "");
Error('\p{:=_-In_Manichaean}');
Error('\P{:=_-In_Manichaean}');
Expect(1, 68351, '\p{inmanichaean}', "");
Expect(0, 68351, '\p{^inmanichaean}', "");
Expect(0, 68351, '\P{inmanichaean}', "");
Expect(1, 68351, '\P{^inmanichaean}', "");
Expect(0, 68352, '\p{inmanichaean}', "");
Expect(1, 68352, '\p{^inmanichaean}', "");
Expect(1, 68352, '\P{inmanichaean}', "");
Expect(0, 68352, '\P{^inmanichaean}', "");
Expect(1, 68351, '\p{	-IN_Manichaean}', "");
Expect(0, 68351, '\p{^	-IN_Manichaean}', "");
Expect(0, 68351, '\P{	-IN_Manichaean}', "");
Expect(1, 68351, '\P{^	-IN_Manichaean}', "");
Expect(0, 68352, '\p{	-IN_Manichaean}', "");
Expect(1, 68352, '\p{^	-IN_Manichaean}', "");
Expect(1, 68352, '\P{	-IN_Manichaean}', "");
Expect(0, 68352, '\P{^	-IN_Manichaean}', "");
Error('\p{-_in_manichaean:=}');
Error('\P{-_in_manichaean:=}');
Expect(1, 68351, '\p{ _in_Manichaean}', "");
Expect(0, 68351, '\p{^ _in_Manichaean}', "");
Expect(0, 68351, '\P{ _in_Manichaean}', "");
Expect(1, 68351, '\P{^ _in_Manichaean}', "");
Expect(0, 68352, '\p{ _in_Manichaean}', "");
Expect(1, 68352, '\p{^ _in_Manichaean}', "");
Expect(1, 68352, '\P{ _in_Manichaean}', "");
Expect(0, 68352, '\P{^ _in_Manichaean}', "");
Error('\p{	:=in_meetei_Mayek}');
Error('\P{	:=in_meetei_Mayek}');
Expect(1, 44031, '\p{inmeeteimayek}', "");
Expect(0, 44031, '\p{^inmeeteimayek}', "");
Expect(0, 44031, '\P{inmeeteimayek}', "");
Expect(1, 44031, '\P{^inmeeteimayek}', "");
Expect(0, 44032, '\p{inmeeteimayek}', "");
Expect(1, 44032, '\p{^inmeeteimayek}', "");
Expect(1, 44032, '\P{inmeeteimayek}', "");
Expect(0, 44032, '\P{^inmeeteimayek}', "");
Expect(1, 44031, '\p{_IN_Meetei_Mayek}', "");
Expect(0, 44031, '\p{^_IN_Meetei_Mayek}', "");
Expect(0, 44031, '\P{_IN_Meetei_Mayek}', "");
Expect(1, 44031, '\P{^_IN_Meetei_Mayek}', "");
Expect(0, 44032, '\p{_IN_Meetei_Mayek}', "");
Expect(1, 44032, '\p{^_IN_Meetei_Mayek}', "");
Expect(1, 44032, '\P{_IN_Meetei_Mayek}', "");
Expect(0, 44032, '\P{^_IN_Meetei_Mayek}', "");
Error('\p{:=in_MEETEI_MAYEK}');
Error('\P{:=in_MEETEI_MAYEK}');
Expect(1, 44031, '\p{_in_Meetei_MAYEK}', "");
Expect(0, 44031, '\p{^_in_Meetei_MAYEK}', "");
Expect(0, 44031, '\P{_in_Meetei_MAYEK}', "");
Expect(1, 44031, '\P{^_in_Meetei_MAYEK}', "");
Expect(0, 44032, '\p{_in_Meetei_MAYEK}', "");
Expect(1, 44032, '\p{^_in_Meetei_MAYEK}', "");
Expect(1, 44032, '\P{_in_Meetei_MAYEK}', "");
Expect(0, 44032, '\P{^_in_Meetei_MAYEK}', "");
Error('\p{-/a/In_Mende_kikakui}');
Error('\P{-/a/In_Mende_kikakui}');
Expect(1, 125151, '\p{inmendekikakui}', "");
Expect(0, 125151, '\p{^inmendekikakui}', "");
Expect(0, 125151, '\P{inmendekikakui}', "");
Expect(1, 125151, '\P{^inmendekikakui}', "");
Expect(0, 125152, '\p{inmendekikakui}', "");
Expect(1, 125152, '\p{^inmendekikakui}', "");
Expect(1, 125152, '\P{inmendekikakui}', "");
Expect(0, 125152, '\P{^inmendekikakui}', "");
Expect(1, 125151, '\p{__IN_MENDE_kikakui}', "");
Expect(0, 125151, '\p{^__IN_MENDE_kikakui}', "");
Expect(0, 125151, '\P{__IN_MENDE_kikakui}', "");
Expect(1, 125151, '\P{^__IN_MENDE_kikakui}', "");
Expect(0, 125152, '\p{__IN_MENDE_kikakui}', "");
Expect(1, 125152, '\p{^__IN_MENDE_kikakui}', "");
Expect(1, 125152, '\P{__IN_MENDE_kikakui}', "");
Expect(0, 125152, '\P{^__IN_MENDE_kikakui}', "");
Error('\p{ IN_MENDE_Kikakui/a/}');
Error('\P{ IN_MENDE_Kikakui/a/}');
Expect(1, 125151, '\p{-In_MENDE_KIKAKUI}', "");
Expect(0, 125151, '\p{^-In_MENDE_KIKAKUI}', "");
Expect(0, 125151, '\P{-In_MENDE_KIKAKUI}', "");
Expect(1, 125151, '\P{^-In_MENDE_KIKAKUI}', "");
Expect(0, 125152, '\p{-In_MENDE_KIKAKUI}', "");
Expect(1, 125152, '\p{^-In_MENDE_KIKAKUI}', "");
Expect(1, 125152, '\P{-In_MENDE_KIKAKUI}', "");
Expect(0, 125152, '\P{^-In_MENDE_KIKAKUI}', "");
Error('\p{:=	In_Meroitic_Cursive}');
Error('\P{:=	In_Meroitic_Cursive}');
Expect(1, 68095, '\p{inmeroiticcursive}', "");
Expect(0, 68095, '\p{^inmeroiticcursive}', "");
Expect(0, 68095, '\P{inmeroiticcursive}', "");
Expect(1, 68095, '\P{^inmeroiticcursive}', "");
Expect(0, 68096, '\p{inmeroiticcursive}', "");
Expect(1, 68096, '\p{^inmeroiticcursive}', "");
Expect(1, 68096, '\P{inmeroiticcursive}', "");
Expect(0, 68096, '\P{^inmeroiticcursive}', "");
Expect(1, 68095, '\p{_In_Meroitic_CURSIVE}', "");
Expect(0, 68095, '\p{^_In_Meroitic_CURSIVE}', "");
Expect(0, 68095, '\P{_In_Meroitic_CURSIVE}', "");
Expect(1, 68095, '\P{^_In_Meroitic_CURSIVE}', "");
Expect(0, 68096, '\p{_In_Meroitic_CURSIVE}', "");
Expect(1, 68096, '\p{^_In_Meroitic_CURSIVE}', "");
Expect(1, 68096, '\P{_In_Meroitic_CURSIVE}', "");
Expect(0, 68096, '\P{^_In_Meroitic_CURSIVE}', "");
Error('\p{	IN_Meroitic_CURSIVE:=}');
Error('\P{	IN_Meroitic_CURSIVE:=}');
Expect(1, 68095, '\p{	_in_meroitic_Cursive}', "");
Expect(0, 68095, '\p{^	_in_meroitic_Cursive}', "");
Expect(0, 68095, '\P{	_in_meroitic_Cursive}', "");
Expect(1, 68095, '\P{^	_in_meroitic_Cursive}', "");
Expect(0, 68096, '\p{	_in_meroitic_Cursive}', "");
Expect(1, 68096, '\p{^	_in_meroitic_Cursive}', "");
Expect(1, 68096, '\P{	_in_meroitic_Cursive}', "");
Expect(0, 68096, '\P{^	_in_meroitic_Cursive}', "");
Error('\p{/a/_ in_meroitic_HIEROGLYPHS}');
Error('\P{/a/_ in_meroitic_HIEROGLYPHS}');
Expect(1, 67999, '\p{inmeroitichieroglyphs}', "");
Expect(0, 67999, '\p{^inmeroitichieroglyphs}', "");
Expect(0, 67999, '\P{inmeroitichieroglyphs}', "");
Expect(1, 67999, '\P{^inmeroitichieroglyphs}', "");
Expect(0, 68000, '\p{inmeroitichieroglyphs}', "");
Expect(1, 68000, '\p{^inmeroitichieroglyphs}', "");
Expect(1, 68000, '\P{inmeroitichieroglyphs}', "");
Expect(0, 68000, '\P{^inmeroitichieroglyphs}', "");
Expect(1, 67999, '\p{_	IN_MEROITIC_Hieroglyphs}', "");
Expect(0, 67999, '\p{^_	IN_MEROITIC_Hieroglyphs}', "");
Expect(0, 67999, '\P{_	IN_MEROITIC_Hieroglyphs}', "");
Expect(1, 67999, '\P{^_	IN_MEROITIC_Hieroglyphs}', "");
Expect(0, 68000, '\p{_	IN_MEROITIC_Hieroglyphs}', "");
Expect(1, 68000, '\p{^_	IN_MEROITIC_Hieroglyphs}', "");
Expect(1, 68000, '\P{_	IN_MEROITIC_Hieroglyphs}', "");
Expect(0, 68000, '\P{^_	IN_MEROITIC_Hieroglyphs}', "");
Error('\p{ :=IN_Meroitic_HIEROGLYPHS}');
Error('\P{ :=IN_Meroitic_HIEROGLYPHS}');
Expect(1, 67999, '\p{-In_meroitic_Hieroglyphs}', "");
Expect(0, 67999, '\p{^-In_meroitic_Hieroglyphs}', "");
Expect(0, 67999, '\P{-In_meroitic_Hieroglyphs}', "");
Expect(1, 67999, '\P{^-In_meroitic_Hieroglyphs}', "");
Expect(0, 68000, '\p{-In_meroitic_Hieroglyphs}', "");
Expect(1, 68000, '\p{^-In_meroitic_Hieroglyphs}', "");
Expect(1, 68000, '\P{-In_meroitic_Hieroglyphs}', "");
Expect(0, 68000, '\P{^-In_meroitic_Hieroglyphs}', "");
Error('\p{  In_Miao:=}');
Error('\P{  In_Miao:=}');
Expect(1, 94111, '\p{inmiao}', "");
Expect(0, 94111, '\p{^inmiao}', "");
Expect(0, 94111, '\P{inmiao}', "");
Expect(1, 94111, '\P{^inmiao}', "");
Expect(0, 94112, '\p{inmiao}', "");
Expect(1, 94112, '\p{^inmiao}', "");
Expect(1, 94112, '\P{inmiao}', "");
Expect(0, 94112, '\P{^inmiao}', "");
Expect(1, 94111, '\p{ In_miao}', "");
Expect(0, 94111, '\p{^ In_miao}', "");
Expect(0, 94111, '\P{ In_miao}', "");
Expect(1, 94111, '\P{^ In_miao}', "");
Expect(0, 94112, '\p{ In_miao}', "");
Expect(1, 94112, '\p{^ In_miao}', "");
Expect(1, 94112, '\P{ In_miao}', "");
Expect(0, 94112, '\P{^ In_miao}', "");
Error('\p{:=__In_Miao}');
Error('\P{:=__In_Miao}');
Expect(1, 94111, '\p{ -IN_Miao}', "");
Expect(0, 94111, '\p{^ -IN_Miao}', "");
Expect(0, 94111, '\P{ -IN_Miao}', "");
Expect(1, 94111, '\P{^ -IN_Miao}', "");
Expect(0, 94112, '\p{ -IN_Miao}', "");
Expect(1, 94112, '\p{^ -IN_Miao}', "");
Expect(1, 94112, '\P{ -IN_Miao}', "");
Expect(0, 94112, '\P{^ -IN_Miao}', "");
Error('\p{_:=In_MODI}');
Error('\P{_:=In_MODI}');
Expect(1, 71263, '\p{inmodi}', "");
Expect(0, 71263, '\p{^inmodi}', "");
Expect(0, 71263, '\P{inmodi}', "");
Expect(1, 71263, '\P{^inmodi}', "");
Expect(0, 71264, '\p{inmodi}', "");
Expect(1, 71264, '\p{^inmodi}', "");
Expect(1, 71264, '\P{inmodi}', "");
Expect(0, 71264, '\P{^inmodi}', "");
Expect(1, 71263, '\p{-	IN_modi}', "");
Expect(0, 71263, '\p{^-	IN_modi}', "");
Expect(0, 71263, '\P{-	IN_modi}', "");
Expect(1, 71263, '\P{^-	IN_modi}', "");
Expect(0, 71264, '\p{-	IN_modi}', "");
Expect(1, 71264, '\p{^-	IN_modi}', "");
Expect(1, 71264, '\P{-	IN_modi}', "");
Expect(0, 71264, '\P{^-	IN_modi}', "");
Error('\p{_:=In_Modi}');
Error('\P{_:=In_Modi}');
Expect(1, 71263, '\p{ IN_modi}', "");
Expect(0, 71263, '\p{^ IN_modi}', "");
Expect(0, 71263, '\P{ IN_modi}', "");
Expect(1, 71263, '\P{^ IN_modi}', "");
Expect(0, 71264, '\p{ IN_modi}', "");
Expect(1, 71264, '\p{^ IN_modi}', "");
Expect(1, 71264, '\P{ IN_modi}', "");
Expect(0, 71264, '\P{^ IN_modi}', "");
Error('\p{ :=in_Mongolian}');
Error('\P{ :=in_Mongolian}');
Expect(1, 6319, '\p{inmongolian}', "");
Expect(0, 6319, '\p{^inmongolian}', "");
Expect(0, 6319, '\P{inmongolian}', "");
Expect(1, 6319, '\P{^inmongolian}', "");
Expect(0, 6320, '\p{inmongolian}', "");
Expect(1, 6320, '\p{^inmongolian}', "");
Expect(1, 6320, '\P{inmongolian}', "");
Expect(0, 6320, '\P{^inmongolian}', "");
Expect(1, 6319, '\p{_-In_MONGOLIAN}', "");
Expect(0, 6319, '\p{^_-In_MONGOLIAN}', "");
Expect(0, 6319, '\P{_-In_MONGOLIAN}', "");
Expect(1, 6319, '\P{^_-In_MONGOLIAN}', "");
Expect(0, 6320, '\p{_-In_MONGOLIAN}', "");
Expect(1, 6320, '\p{^_-In_MONGOLIAN}', "");
Expect(1, 6320, '\P{_-In_MONGOLIAN}', "");
Expect(0, 6320, '\P{^_-In_MONGOLIAN}', "");
Error('\p{_In_Mongolian:=}');
Error('\P{_In_Mongolian:=}');
Expect(1, 6319, '\p{	IN_Mongolian}', "");
Expect(0, 6319, '\p{^	IN_Mongolian}', "");
Expect(0, 6319, '\P{	IN_Mongolian}', "");
Expect(1, 6319, '\P{^	IN_Mongolian}', "");
Expect(0, 6320, '\p{	IN_Mongolian}', "");
Expect(1, 6320, '\p{^	IN_Mongolian}', "");
Expect(1, 6320, '\P{	IN_Mongolian}', "");
Expect(0, 6320, '\P{^	IN_Mongolian}', "");
Error('\p{	/a/In_MRO}');
Error('\P{	/a/In_MRO}');
Expect(1, 92783, '\p{inmro}', "");
Expect(0, 92783, '\p{^inmro}', "");
Expect(0, 92783, '\P{inmro}', "");
Expect(1, 92783, '\P{^inmro}', "");
Expect(0, 92784, '\p{inmro}', "");
Expect(1, 92784, '\p{^inmro}', "");
Expect(1, 92784, '\P{inmro}', "");
Expect(0, 92784, '\P{^inmro}', "");
Expect(1, 92783, '\p{	 in_MRO}', "");
Expect(0, 92783, '\p{^	 in_MRO}', "");
Expect(0, 92783, '\P{	 in_MRO}', "");
Expect(1, 92783, '\P{^	 in_MRO}', "");
Expect(0, 92784, '\p{	 in_MRO}', "");
Expect(1, 92784, '\p{^	 in_MRO}', "");
Expect(1, 92784, '\P{	 in_MRO}', "");
Expect(0, 92784, '\P{^	 in_MRO}', "");
Error('\p{:= in_MRO}');
Error('\P{:= in_MRO}');
Expect(1, 92783, '\p{-	In_Mro}', "");
Expect(0, 92783, '\p{^-	In_Mro}', "");
Expect(0, 92783, '\P{-	In_Mro}', "");
Expect(1, 92783, '\P{^-	In_Mro}', "");
Expect(0, 92784, '\p{-	In_Mro}', "");
Expect(1, 92784, '\p{^-	In_Mro}', "");
Expect(1, 92784, '\P{-	In_Mro}', "");
Expect(0, 92784, '\P{^-	In_Mro}', "");
Error('\p{/a/In_multani}');
Error('\P{/a/In_multani}');
Expect(1, 70319, '\p{inmultani}', "");
Expect(0, 70319, '\p{^inmultani}', "");
Expect(0, 70319, '\P{inmultani}', "");
Expect(1, 70319, '\P{^inmultani}', "");
Expect(0, 70320, '\p{inmultani}', "");
Expect(1, 70320, '\p{^inmultani}', "");
Expect(1, 70320, '\P{inmultani}', "");
Expect(0, 70320, '\P{^inmultani}', "");
Expect(1, 70319, '\p{ _In_multani}', "");
Expect(0, 70319, '\p{^ _In_multani}', "");
Expect(0, 70319, '\P{ _In_multani}', "");
Expect(1, 70319, '\P{^ _In_multani}', "");
Expect(0, 70320, '\p{ _In_multani}', "");
Expect(1, 70320, '\p{^ _In_multani}', "");
Expect(1, 70320, '\P{ _In_multani}', "");
Expect(0, 70320, '\P{^ _In_multani}', "");
Error('\p{-	In_MULTANI:=}');
Error('\P{-	In_MULTANI:=}');
Expect(1, 70319, '\p{_In_Multani}', "");
Expect(0, 70319, '\p{^_In_Multani}', "");
Expect(0, 70319, '\P{_In_Multani}', "");
Expect(1, 70319, '\P{^_In_Multani}', "");
Expect(0, 70320, '\p{_In_Multani}', "");
Expect(1, 70320, '\p{^_In_Multani}', "");
Expect(1, 70320, '\P{_In_Multani}', "");
Expect(0, 70320, '\P{^_In_Multani}', "");
Error('\p{:=In_Myanmar}');
Error('\P{:=In_Myanmar}');
Expect(1, 4255, '\p{inmyanmar}', "");
Expect(0, 4255, '\p{^inmyanmar}', "");
Expect(0, 4255, '\P{inmyanmar}', "");
Expect(1, 4255, '\P{^inmyanmar}', "");
Expect(0, 4256, '\p{inmyanmar}', "");
Expect(1, 4256, '\p{^inmyanmar}', "");
Expect(1, 4256, '\P{inmyanmar}', "");
Expect(0, 4256, '\P{^inmyanmar}', "");
Expect(1, 4255, '\p{ -In_myanmar}', "");
Expect(0, 4255, '\p{^ -In_myanmar}', "");
Expect(0, 4255, '\P{ -In_myanmar}', "");
Expect(1, 4255, '\P{^ -In_myanmar}', "");
Expect(0, 4256, '\p{ -In_myanmar}', "");
Expect(1, 4256, '\p{^ -In_myanmar}', "");
Expect(1, 4256, '\P{ -In_myanmar}', "");
Expect(0, 4256, '\P{^ -In_myanmar}', "");
Error('\p{ /a/in_Myanmar}');
Error('\P{ /a/in_Myanmar}');
Expect(1, 4255, '\p{ In_myanmar}', "");
Expect(0, 4255, '\p{^ In_myanmar}', "");
Expect(0, 4255, '\P{ In_myanmar}', "");
Expect(1, 4255, '\P{^ In_myanmar}', "");
Expect(0, 4256, '\p{ In_myanmar}', "");
Expect(1, 4256, '\p{^ In_myanmar}', "");
Expect(1, 4256, '\P{ In_myanmar}', "");
Expect(0, 4256, '\P{^ In_myanmar}', "");
Error('\p{ In_NKo/a/}');
Error('\P{ In_NKo/a/}');
Expect(1, 2047, '\p{innko}', "");
Expect(0, 2047, '\p{^innko}', "");
Expect(0, 2047, '\P{innko}', "");
Expect(1, 2047, '\P{^innko}', "");
Expect(0, 2048, '\p{innko}', "");
Expect(1, 2048, '\p{^innko}', "");
Expect(1, 2048, '\P{innko}', "");
Expect(0, 2048, '\P{^innko}', "");
Expect(1, 2047, '\p{-	IN_nko}', "");
Expect(0, 2047, '\p{^-	IN_nko}', "");
Expect(0, 2047, '\P{-	IN_nko}', "");
Expect(1, 2047, '\P{^-	IN_nko}', "");
Expect(0, 2048, '\p{-	IN_nko}', "");
Expect(1, 2048, '\p{^-	IN_nko}', "");
Expect(1, 2048, '\P{-	IN_nko}', "");
Expect(0, 2048, '\P{^-	IN_nko}', "");
Error('\p{_ in_NKO:=}');
Error('\P{_ in_NKO:=}');
Expect(1, 2047, '\p{	 in_NKO}', "");
Expect(0, 2047, '\p{^	 in_NKO}', "");
Expect(0, 2047, '\P{	 in_NKO}', "");
Expect(1, 2047, '\P{^	 in_NKO}', "");
Expect(0, 2048, '\p{	 in_NKO}', "");
Expect(1, 2048, '\p{^	 in_NKO}', "");
Expect(1, 2048, '\P{	 in_NKO}', "");
Expect(0, 2048, '\P{^	 in_NKO}', "");
Error('\p{	In_Nabataean:=}');
Error('\P{	In_Nabataean:=}');
Expect(1, 67759, '\p{innabataean}', "");
Expect(0, 67759, '\p{^innabataean}', "");
Expect(0, 67759, '\P{innabataean}', "");
Expect(1, 67759, '\P{^innabataean}', "");
Expect(0, 67760, '\p{innabataean}', "");
Expect(1, 67760, '\p{^innabataean}', "");
Expect(1, 67760, '\P{innabataean}', "");
Expect(0, 67760, '\P{^innabataean}', "");
Expect(1, 67759, '\p{ In_Nabataean}', "");
Expect(0, 67759, '\p{^ In_Nabataean}', "");
Expect(0, 67759, '\P{ In_Nabataean}', "");
Expect(1, 67759, '\P{^ In_Nabataean}', "");
Expect(0, 67760, '\p{ In_Nabataean}', "");
Expect(1, 67760, '\p{^ In_Nabataean}', "");
Expect(1, 67760, '\P{ In_Nabataean}', "");
Expect(0, 67760, '\P{^ In_Nabataean}', "");
Error('\p{	_IN_nabataean:=}');
Error('\P{	_IN_nabataean:=}');
Expect(1, 67759, '\p{-	In_Nabataean}', "");
Expect(0, 67759, '\p{^-	In_Nabataean}', "");
Expect(0, 67759, '\P{-	In_Nabataean}', "");
Expect(1, 67759, '\P{^-	In_Nabataean}', "");
Expect(0, 67760, '\p{-	In_Nabataean}', "");
Expect(1, 67760, '\p{^-	In_Nabataean}', "");
Expect(1, 67760, '\P{-	In_Nabataean}', "");
Expect(0, 67760, '\P{^-	In_Nabataean}', "");
Error('\p{	/a/in_new_Tai_Lue}');
Error('\P{	/a/in_new_Tai_Lue}');
Expect(1, 6623, '\p{innewtailue}', "");
Expect(0, 6623, '\p{^innewtailue}', "");
Expect(0, 6623, '\P{innewtailue}', "");
Expect(1, 6623, '\P{^innewtailue}', "");
Expect(0, 6624, '\p{innewtailue}', "");
Expect(1, 6624, '\p{^innewtailue}', "");
Expect(1, 6624, '\P{innewtailue}', "");
Expect(0, 6624, '\P{^innewtailue}', "");
Expect(1, 6623, '\p{	-IN_New_TAI_Lue}', "");
Expect(0, 6623, '\p{^	-IN_New_TAI_Lue}', "");
Expect(0, 6623, '\P{	-IN_New_TAI_Lue}', "");
Expect(1, 6623, '\P{^	-IN_New_TAI_Lue}', "");
Expect(0, 6624, '\p{	-IN_New_TAI_Lue}', "");
Expect(1, 6624, '\p{^	-IN_New_TAI_Lue}', "");
Expect(1, 6624, '\P{	-IN_New_TAI_Lue}', "");
Expect(0, 6624, '\P{^	-IN_New_TAI_Lue}', "");
Error('\p{ :=In_New_Tai_lue}');
Error('\P{ :=In_New_Tai_lue}');
Expect(1, 6623, '\p{-In_New_Tai_lue}', "");
Expect(0, 6623, '\p{^-In_New_Tai_lue}', "");
Expect(0, 6623, '\P{-In_New_Tai_lue}', "");
Expect(1, 6623, '\P{^-In_New_Tai_lue}', "");
Expect(0, 6624, '\p{-In_New_Tai_lue}', "");
Expect(1, 6624, '\p{^-In_New_Tai_lue}', "");
Expect(1, 6624, '\P{-In_New_Tai_lue}', "");
Expect(0, 6624, '\P{^-In_New_Tai_lue}', "");
Error('\p{_ In_Ogham:=}');
Error('\P{_ In_Ogham:=}');
Expect(1, 5791, '\p{inogham}', "");
Expect(0, 5791, '\p{^inogham}', "");
Expect(0, 5791, '\P{inogham}', "");
Expect(1, 5791, '\P{^inogham}', "");
Expect(0, 5792, '\p{inogham}', "");
Expect(1, 5792, '\p{^inogham}', "");
Expect(1, 5792, '\P{inogham}', "");
Expect(0, 5792, '\P{^inogham}', "");
Expect(1, 5791, '\p{_ IN_OGHAM}', "");
Expect(0, 5791, '\p{^_ IN_OGHAM}', "");
Expect(0, 5791, '\P{_ IN_OGHAM}', "");
Expect(1, 5791, '\P{^_ IN_OGHAM}', "");
Expect(0, 5792, '\p{_ IN_OGHAM}', "");
Expect(1, 5792, '\p{^_ IN_OGHAM}', "");
Expect(1, 5792, '\P{_ IN_OGHAM}', "");
Expect(0, 5792, '\P{^_ IN_OGHAM}', "");
Error('\p{/a/-_IN_Ogham}');
Error('\P{/a/-_IN_Ogham}');
Expect(1, 5791, '\p{	_In_Ogham}', "");
Expect(0, 5791, '\p{^	_In_Ogham}', "");
Expect(0, 5791, '\P{	_In_Ogham}', "");
Expect(1, 5791, '\P{^	_In_Ogham}', "");
Expect(0, 5792, '\p{	_In_Ogham}', "");
Expect(1, 5792, '\p{^	_In_Ogham}', "");
Expect(1, 5792, '\P{	_In_Ogham}', "");
Expect(0, 5792, '\P{^	_In_Ogham}', "");
Error('\p{/a/_	In_Ol_Chiki}');
Error('\P{/a/_	In_Ol_Chiki}');
Expect(1, 7295, '\p{inolchiki}', "");
Expect(0, 7295, '\p{^inolchiki}', "");
Expect(0, 7295, '\P{inolchiki}', "");
Expect(1, 7295, '\P{^inolchiki}', "");
Expect(0, 7296, '\p{inolchiki}', "");
Expect(1, 7296, '\p{^inolchiki}', "");
Expect(1, 7296, '\P{inolchiki}', "");
Expect(0, 7296, '\P{^inolchiki}', "");
Expect(1, 7295, '\p{	-In_ol_CHIKI}', "");
Expect(0, 7295, '\p{^	-In_ol_CHIKI}', "");
Expect(0, 7295, '\P{	-In_ol_CHIKI}', "");
Expect(1, 7295, '\P{^	-In_ol_CHIKI}', "");
Expect(0, 7296, '\p{	-In_ol_CHIKI}', "");
Expect(1, 7296, '\p{^	-In_ol_CHIKI}', "");
Expect(1, 7296, '\P{	-In_ol_CHIKI}', "");
Expect(0, 7296, '\P{^	-In_ol_CHIKI}', "");
Error('\p{:=	IN_OL_Chiki}');
Error('\P{:=	IN_OL_Chiki}');
Expect(1, 7295, '\p{_IN_Ol_Chiki}', "");
Expect(0, 7295, '\p{^_IN_Ol_Chiki}', "");
Expect(0, 7295, '\P{_IN_Ol_Chiki}', "");
Expect(1, 7295, '\P{^_IN_Ol_Chiki}', "");
Expect(0, 7296, '\p{_IN_Ol_Chiki}', "");
Expect(1, 7296, '\p{^_IN_Ol_Chiki}', "");
Expect(1, 7296, '\P{_IN_Ol_Chiki}', "");
Expect(0, 7296, '\P{^_IN_Ol_Chiki}', "");
Error('\p{	:=IN_OLD_hungarian}');
Error('\P{	:=IN_OLD_hungarian}');
Expect(1, 68863, '\p{inoldhungarian}', "");
Expect(0, 68863, '\p{^inoldhungarian}', "");
Expect(0, 68863, '\P{inoldhungarian}', "");
Expect(1, 68863, '\P{^inoldhungarian}', "");
Expect(0, 68864, '\p{inoldhungarian}', "");
Expect(1, 68864, '\p{^inoldhungarian}', "");
Expect(1, 68864, '\P{inoldhungarian}', "");
Expect(0, 68864, '\P{^inoldhungarian}', "");
Expect(1, 68863, '\p{--IN_old_HUNGARIAN}', "");
Expect(0, 68863, '\p{^--IN_old_HUNGARIAN}', "");
Expect(0, 68863, '\P{--IN_old_HUNGARIAN}', "");
Expect(1, 68863, '\P{^--IN_old_HUNGARIAN}', "");
Expect(0, 68864, '\p{--IN_old_HUNGARIAN}', "");
Expect(1, 68864, '\p{^--IN_old_HUNGARIAN}', "");
Expect(1, 68864, '\P{--IN_old_HUNGARIAN}', "");
Expect(0, 68864, '\P{^--IN_old_HUNGARIAN}', "");
Error('\p{/a/-	IN_Old_HUNGARIAN}');
Error('\P{/a/-	IN_Old_HUNGARIAN}');
Expect(1, 68863, '\p{--IN_OLD_Hungarian}', "");
Expect(0, 68863, '\p{^--IN_OLD_Hungarian}', "");
Expect(0, 68863, '\P{--IN_OLD_Hungarian}', "");
Expect(1, 68863, '\P{^--IN_OLD_Hungarian}', "");
Expect(0, 68864, '\p{--IN_OLD_Hungarian}', "");
Expect(1, 68864, '\p{^--IN_OLD_Hungarian}', "");
Expect(1, 68864, '\P{--IN_OLD_Hungarian}', "");
Expect(0, 68864, '\P{^--IN_OLD_Hungarian}', "");
Error('\p{:=in_old_Italic}');
Error('\P{:=in_old_Italic}');
Expect(1, 66351, '\p{inolditalic}', "");
Expect(0, 66351, '\p{^inolditalic}', "");
Expect(0, 66351, '\P{inolditalic}', "");
Expect(1, 66351, '\P{^inolditalic}', "");
Expect(0, 66352, '\p{inolditalic}', "");
Expect(1, 66352, '\p{^inolditalic}', "");
Expect(1, 66352, '\P{inolditalic}', "");
Expect(0, 66352, '\P{^inolditalic}', "");
Expect(1, 66351, '\p{-	IN_Old_Italic}', "");
Expect(0, 66351, '\p{^-	IN_Old_Italic}', "");
Expect(0, 66351, '\P{-	IN_Old_Italic}', "");
Expect(1, 66351, '\P{^-	IN_Old_Italic}', "");
Expect(0, 66352, '\p{-	IN_Old_Italic}', "");
Expect(1, 66352, '\p{^-	IN_Old_Italic}', "");
Expect(1, 66352, '\P{-	IN_Old_Italic}', "");
Expect(0, 66352, '\P{^-	IN_Old_Italic}', "");
Error('\p{	/a/In_OLD_ITALIC}');
Error('\P{	/a/In_OLD_ITALIC}');
Expect(1, 66351, '\p{--In_Old_italic}', "");
Expect(0, 66351, '\p{^--In_Old_italic}', "");
Expect(0, 66351, '\P{--In_Old_italic}', "");
Expect(1, 66351, '\P{^--In_Old_italic}', "");
Expect(0, 66352, '\p{--In_Old_italic}', "");
Expect(1, 66352, '\p{^--In_Old_italic}', "");
Expect(1, 66352, '\P{--In_Old_italic}', "");
Expect(0, 66352, '\P{^--In_Old_italic}', "");
Error('\p{	:=In_old_North_arabian}');
Error('\P{	:=In_old_North_arabian}');
Expect(1, 68255, '\p{inoldnortharabian}', "");
Expect(0, 68255, '\p{^inoldnortharabian}', "");
Expect(0, 68255, '\P{inoldnortharabian}', "");
Expect(1, 68255, '\P{^inoldnortharabian}', "");
Expect(0, 68256, '\p{inoldnortharabian}', "");
Expect(1, 68256, '\p{^inoldnortharabian}', "");
Expect(1, 68256, '\P{inoldnortharabian}', "");
Expect(0, 68256, '\P{^inoldnortharabian}', "");
Expect(1, 68255, '\p{-_IN_Old_North_Arabian}', "");
Expect(0, 68255, '\p{^-_IN_Old_North_Arabian}', "");
Expect(0, 68255, '\P{-_IN_Old_North_Arabian}', "");
Expect(1, 68255, '\P{^-_IN_Old_North_Arabian}', "");
Expect(0, 68256, '\p{-_IN_Old_North_Arabian}', "");
Expect(1, 68256, '\p{^-_IN_Old_North_Arabian}', "");
Expect(1, 68256, '\P{-_IN_Old_North_Arabian}', "");
Expect(0, 68256, '\P{^-_IN_Old_North_Arabian}', "");
Error('\p{:=_In_Old_north_Arabian}');
Error('\P{:=_In_Old_north_Arabian}');
Expect(1, 68255, '\p{		In_OLD_NORTH_ARABIAN}', "");
Expect(0, 68255, '\p{^		In_OLD_NORTH_ARABIAN}', "");
Expect(0, 68255, '\P{		In_OLD_NORTH_ARABIAN}', "");
Expect(1, 68255, '\P{^		In_OLD_NORTH_ARABIAN}', "");
Expect(0, 68256, '\p{		In_OLD_NORTH_ARABIAN}', "");
Expect(1, 68256, '\p{^		In_OLD_NORTH_ARABIAN}', "");
Expect(1, 68256, '\P{		In_OLD_NORTH_ARABIAN}', "");
Expect(0, 68256, '\P{^		In_OLD_NORTH_ARABIAN}', "");
Error('\p{:=  IN_Old_PERMIC}');
Error('\P{:=  IN_Old_PERMIC}');
Expect(1, 66431, '\p{inoldpermic}', "");
Expect(0, 66431, '\p{^inoldpermic}', "");
Expect(0, 66431, '\P{inoldpermic}', "");
Expect(1, 66431, '\P{^inoldpermic}', "");
Expect(0, 66432, '\p{inoldpermic}', "");
Expect(1, 66432, '\p{^inoldpermic}', "");
Expect(1, 66432, '\P{inoldpermic}', "");
Expect(0, 66432, '\P{^inoldpermic}', "");
Expect(1, 66431, '\p{	_in_old_PERMIC}', "");
Expect(0, 66431, '\p{^	_in_old_PERMIC}', "");
Expect(0, 66431, '\P{	_in_old_PERMIC}', "");
Expect(1, 66431, '\P{^	_in_old_PERMIC}', "");
Expect(0, 66432, '\p{	_in_old_PERMIC}', "");
Expect(1, 66432, '\p{^	_in_old_PERMIC}', "");
Expect(1, 66432, '\P{	_in_old_PERMIC}', "");
Expect(0, 66432, '\P{^	_in_old_PERMIC}', "");
Error('\p{-:=in_Old_Permic}');
Error('\P{-:=in_Old_Permic}');
Expect(1, 66431, '\p{--In_Old_PERMIC}', "");
Expect(0, 66431, '\p{^--In_Old_PERMIC}', "");
Expect(0, 66431, '\P{--In_Old_PERMIC}', "");
Expect(1, 66431, '\P{^--In_Old_PERMIC}', "");
Expect(0, 66432, '\p{--In_Old_PERMIC}', "");
Expect(1, 66432, '\p{^--In_Old_PERMIC}', "");
Expect(1, 66432, '\P{--In_Old_PERMIC}', "");
Expect(0, 66432, '\P{^--In_Old_PERMIC}', "");
Error('\p{-_In_Old_Persian:=}');
Error('\P{-_In_Old_Persian:=}');
Expect(1, 66527, '\p{inoldpersian}', "");
Expect(0, 66527, '\p{^inoldpersian}', "");
Expect(0, 66527, '\P{inoldpersian}', "");
Expect(1, 66527, '\P{^inoldpersian}', "");
Expect(0, 66528, '\p{inoldpersian}', "");
Expect(1, 66528, '\p{^inoldpersian}', "");
Expect(1, 66528, '\P{inoldpersian}', "");
Expect(0, 66528, '\P{^inoldpersian}', "");
Expect(1, 66527, '\p{ IN_Old_Persian}', "");
Expect(0, 66527, '\p{^ IN_Old_Persian}', "");
Expect(0, 66527, '\P{ IN_Old_Persian}', "");
Expect(1, 66527, '\P{^ IN_Old_Persian}', "");
Expect(0, 66528, '\p{ IN_Old_Persian}', "");
Expect(1, 66528, '\p{^ IN_Old_Persian}', "");
Expect(1, 66528, '\P{ IN_Old_Persian}', "");
Expect(0, 66528, '\P{^ IN_Old_Persian}', "");
Error('\p{	/a/In_old_Persian}');
Error('\P{	/a/In_old_Persian}');
Expect(1, 66527, '\p{_ in_Old_persian}', "");
Expect(0, 66527, '\p{^_ in_Old_persian}', "");
Expect(0, 66527, '\P{_ in_Old_persian}', "");
Expect(1, 66527, '\P{^_ in_Old_persian}', "");
Expect(0, 66528, '\p{_ in_Old_persian}', "");
Expect(1, 66528, '\p{^_ in_Old_persian}', "");
Expect(1, 66528, '\P{_ in_Old_persian}', "");
Expect(0, 66528, '\P{^_ in_Old_persian}', "");
Error('\p{/a/in_Old_South_Arabian}');
Error('\P{/a/in_Old_South_Arabian}');
Expect(1, 68223, '\p{inoldsoutharabian}', "");
Expect(0, 68223, '\p{^inoldsoutharabian}', "");
Expect(0, 68223, '\P{inoldsoutharabian}', "");
Expect(1, 68223, '\P{^inoldsoutharabian}', "");
Expect(0, 68224, '\p{inoldsoutharabian}', "");
Expect(1, 68224, '\p{^inoldsoutharabian}', "");
Expect(1, 68224, '\P{inoldsoutharabian}', "");
Expect(0, 68224, '\P{^inoldsoutharabian}', "");
Expect(1, 68223, '\p{ 	In_Old_South_Arabian}', "");
Expect(0, 68223, '\p{^ 	In_Old_South_Arabian}', "");
Expect(0, 68223, '\P{ 	In_Old_South_Arabian}', "");
Expect(1, 68223, '\P{^ 	In_Old_South_Arabian}', "");
Expect(0, 68224, '\p{ 	In_Old_South_Arabian}', "");
Expect(1, 68224, '\p{^ 	In_Old_South_Arabian}', "");
Expect(1, 68224, '\P{ 	In_Old_South_Arabian}', "");
Expect(0, 68224, '\P{^ 	In_Old_South_Arabian}', "");
Error('\p{_	In_OLD_SOUTH_Arabian/a/}');
Error('\P{_	In_OLD_SOUTH_Arabian/a/}');
Expect(1, 68223, '\p{-_In_OLD_SOUTH_arabian}', "");
Expect(0, 68223, '\p{^-_In_OLD_SOUTH_arabian}', "");
Expect(0, 68223, '\P{-_In_OLD_SOUTH_arabian}', "");
Expect(1, 68223, '\P{^-_In_OLD_SOUTH_arabian}', "");
Expect(0, 68224, '\p{-_In_OLD_SOUTH_arabian}', "");
Expect(1, 68224, '\p{^-_In_OLD_SOUTH_arabian}', "");
Expect(1, 68224, '\P{-_In_OLD_SOUTH_arabian}', "");
Expect(0, 68224, '\P{^-_In_OLD_SOUTH_arabian}', "");
Error('\p{	-In_old_turkic/a/}');
Error('\P{	-In_old_turkic/a/}');
Expect(1, 68687, '\p{inoldturkic}', "");
Expect(0, 68687, '\p{^inoldturkic}', "");
Expect(0, 68687, '\P{inoldturkic}', "");
Expect(1, 68687, '\P{^inoldturkic}', "");
Expect(0, 68688, '\p{inoldturkic}', "");
Expect(1, 68688, '\p{^inoldturkic}', "");
Expect(1, 68688, '\P{inoldturkic}', "");
Expect(0, 68688, '\P{^inoldturkic}', "");
Expect(1, 68687, '\p{-	In_Old_TURKIC}', "");
Expect(0, 68687, '\p{^-	In_Old_TURKIC}', "");
Expect(0, 68687, '\P{-	In_Old_TURKIC}', "");
Expect(1, 68687, '\P{^-	In_Old_TURKIC}', "");
Expect(0, 68688, '\p{-	In_Old_TURKIC}', "");
Expect(1, 68688, '\p{^-	In_Old_TURKIC}', "");
Expect(1, 68688, '\P{-	In_Old_TURKIC}', "");
Expect(0, 68688, '\P{^-	In_Old_TURKIC}', "");
Error('\p{ In_Old_turkic:=}');
Error('\P{ In_Old_turkic:=}');
Expect(1, 68687, '\p{	-In_Old_Turkic}', "");
Expect(0, 68687, '\p{^	-In_Old_Turkic}', "");
Expect(0, 68687, '\P{	-In_Old_Turkic}', "");
Expect(1, 68687, '\P{^	-In_Old_Turkic}', "");
Expect(0, 68688, '\p{	-In_Old_Turkic}', "");
Expect(1, 68688, '\p{^	-In_Old_Turkic}', "");
Expect(1, 68688, '\P{	-In_Old_Turkic}', "");
Expect(0, 68688, '\P{^	-In_Old_Turkic}', "");
Error('\p{:=IN_oriya}');
Error('\P{:=IN_oriya}');
Expect(1, 2943, '\p{inoriya}', "");
Expect(0, 2943, '\p{^inoriya}', "");
Expect(0, 2943, '\P{inoriya}', "");
Expect(1, 2943, '\P{^inoriya}', "");
Expect(0, 2944, '\p{inoriya}', "");
Expect(1, 2944, '\p{^inoriya}', "");
Expect(1, 2944, '\P{inoriya}', "");
Expect(0, 2944, '\P{^inoriya}', "");
Expect(1, 2943, '\p{	IN_oriya}', "");
Expect(0, 2943, '\p{^	IN_oriya}', "");
Expect(0, 2943, '\P{	IN_oriya}', "");
Expect(1, 2943, '\P{^	IN_oriya}', "");
Expect(0, 2944, '\p{	IN_oriya}', "");
Expect(1, 2944, '\p{^	IN_oriya}', "");
Expect(1, 2944, '\P{	IN_oriya}', "");
Expect(0, 2944, '\P{^	IN_oriya}', "");
Error('\p{:=-IN_Oriya}');
Error('\P{:=-IN_Oriya}');
Expect(1, 2943, '\p{_ In_Oriya}', "");
Expect(0, 2943, '\p{^_ In_Oriya}', "");
Expect(0, 2943, '\P{_ In_Oriya}', "");
Expect(1, 2943, '\P{^_ In_Oriya}', "");
Expect(0, 2944, '\p{_ In_Oriya}', "");
Expect(1, 2944, '\p{^_ In_Oriya}', "");
Expect(1, 2944, '\P{_ In_Oriya}', "");
Expect(0, 2944, '\P{^_ In_Oriya}', "");
Error('\p{-/a/in_OSMANYA}');
Error('\P{-/a/in_OSMANYA}');
Expect(1, 66735, '\p{inosmanya}', "");
Expect(0, 66735, '\p{^inosmanya}', "");
Expect(0, 66735, '\P{inosmanya}', "");
Expect(1, 66735, '\P{^inosmanya}', "");
Expect(0, 66736, '\p{inosmanya}', "");
Expect(1, 66736, '\p{^inosmanya}', "");
Expect(1, 66736, '\P{inosmanya}', "");
Expect(0, 66736, '\P{^inosmanya}', "");
Expect(1, 66735, '\p{- In_OSMANYA}', "");
Expect(0, 66735, '\p{^- In_OSMANYA}', "");
Expect(0, 66735, '\P{- In_OSMANYA}', "");
Expect(1, 66735, '\P{^- In_OSMANYA}', "");
Expect(0, 66736, '\p{- In_OSMANYA}', "");
Expect(1, 66736, '\p{^- In_OSMANYA}', "");
Expect(1, 66736, '\P{- In_OSMANYA}', "");
Expect(0, 66736, '\P{^- In_OSMANYA}', "");
Error('\p{	:=IN_OSMANYA}');
Error('\P{	:=IN_OSMANYA}');
Expect(1, 66735, '\p{_in_osmanya}', "");
Expect(0, 66735, '\p{^_in_osmanya}', "");
Expect(0, 66735, '\P{_in_osmanya}', "");
Expect(1, 66735, '\P{^_in_osmanya}', "");
Expect(0, 66736, '\p{_in_osmanya}', "");
Expect(1, 66736, '\p{^_in_osmanya}', "");
Expect(1, 66736, '\P{_in_osmanya}', "");
Expect(0, 66736, '\P{^_in_osmanya}', "");
Error('\p{/a/	IN_PAHAWH_Hmong}');
Error('\P{/a/	IN_PAHAWH_Hmong}');
Expect(1, 93071, '\p{inpahawhhmong}', "");
Expect(0, 93071, '\p{^inpahawhhmong}', "");
Expect(0, 93071, '\P{inpahawhhmong}', "");
Expect(1, 93071, '\P{^inpahawhhmong}', "");
Expect(0, 93072, '\p{inpahawhhmong}', "");
Expect(1, 93072, '\p{^inpahawhhmong}', "");
Expect(1, 93072, '\P{inpahawhhmong}', "");
Expect(0, 93072, '\P{^inpahawhhmong}', "");
Expect(1, 93071, '\p{__IN_Pahawh_HMONG}', "");
Expect(0, 93071, '\p{^__IN_Pahawh_HMONG}', "");
Expect(0, 93071, '\P{__IN_Pahawh_HMONG}', "");
Expect(1, 93071, '\P{^__IN_Pahawh_HMONG}', "");
Expect(0, 93072, '\p{__IN_Pahawh_HMONG}', "");
Expect(1, 93072, '\p{^__IN_Pahawh_HMONG}', "");
Expect(1, 93072, '\P{__IN_Pahawh_HMONG}', "");
Expect(0, 93072, '\P{^__IN_Pahawh_HMONG}', "");
Error('\p{  in_PAHAWH_hmong:=}');
Error('\P{  in_PAHAWH_hmong:=}');
Expect(1, 93071, '\p{-In_Pahawh_Hmong}', "");
Expect(0, 93071, '\p{^-In_Pahawh_Hmong}', "");
Expect(0, 93071, '\P{-In_Pahawh_Hmong}', "");
Expect(1, 93071, '\P{^-In_Pahawh_Hmong}', "");
Expect(0, 93072, '\p{-In_Pahawh_Hmong}', "");
Expect(1, 93072, '\p{^-In_Pahawh_Hmong}', "");
Expect(1, 93072, '\P{-In_Pahawh_Hmong}', "");
Expect(0, 93072, '\P{^-In_Pahawh_Hmong}', "");
Error('\p{	In_Palmyrene:=}');
Error('\P{	In_Palmyrene:=}');
Expect(1, 67711, '\p{inpalmyrene}', "");
Expect(0, 67711, '\p{^inpalmyrene}', "");
Expect(0, 67711, '\P{inpalmyrene}', "");
Expect(1, 67711, '\P{^inpalmyrene}', "");
Expect(0, 67712, '\p{inpalmyrene}', "");
Expect(1, 67712, '\p{^inpalmyrene}', "");
Expect(1, 67712, '\P{inpalmyrene}', "");
Expect(0, 67712, '\P{^inpalmyrene}', "");
Expect(1, 67711, '\p{_ In_Palmyrene}', "");
Expect(0, 67711, '\p{^_ In_Palmyrene}', "");
Expect(0, 67711, '\P{_ In_Palmyrene}', "");
Expect(1, 67711, '\P{^_ In_Palmyrene}', "");
Expect(0, 67712, '\p{_ In_Palmyrene}', "");
Expect(1, 67712, '\p{^_ In_Palmyrene}', "");
Expect(1, 67712, '\P{_ In_Palmyrene}', "");
Expect(0, 67712, '\P{^_ In_Palmyrene}', "");
Error('\p{:=IN_palmyrene}');
Error('\P{:=IN_palmyrene}');
Expect(1, 67711, '\p{		In_Palmyrene}', "");
Expect(0, 67711, '\p{^		In_Palmyrene}', "");
Expect(0, 67711, '\P{		In_Palmyrene}', "");
Expect(1, 67711, '\P{^		In_Palmyrene}', "");
Expect(0, 67712, '\p{		In_Palmyrene}', "");
Expect(1, 67712, '\p{^		In_Palmyrene}', "");
Expect(1, 67712, '\P{		In_Palmyrene}', "");
Expect(0, 67712, '\P{^		In_Palmyrene}', "");
Error('\p{/a/IN_PAU_Cin_HAU}');
Error('\P{/a/IN_PAU_Cin_HAU}');
Expect(1, 72447, '\p{inpaucinhau}', "");
Expect(0, 72447, '\p{^inpaucinhau}', "");
Expect(0, 72447, '\P{inpaucinhau}', "");
Expect(1, 72447, '\P{^inpaucinhau}', "");
Expect(0, 72448, '\p{inpaucinhau}', "");
Expect(1, 72448, '\p{^inpaucinhau}', "");
Expect(1, 72448, '\P{inpaucinhau}', "");
Expect(0, 72448, '\P{^inpaucinhau}', "");
Expect(1, 72447, '\p{ _IN_PAU_cin_Hau}', "");
Expect(0, 72447, '\p{^ _IN_PAU_cin_Hau}', "");
Expect(0, 72447, '\P{ _IN_PAU_cin_Hau}', "");
Expect(1, 72447, '\P{^ _IN_PAU_cin_Hau}', "");
Expect(0, 72448, '\p{ _IN_PAU_cin_Hau}', "");
Expect(1, 72448, '\p{^ _IN_PAU_cin_Hau}', "");
Expect(1, 72448, '\P{ _IN_PAU_cin_Hau}', "");
Expect(0, 72448, '\P{^ _IN_PAU_cin_Hau}', "");
Error('\p{:=	_In_Pau_cin_Hau}');
Error('\P{:=	_In_Pau_cin_Hau}');
Expect(1, 72447, '\p{_IN_PAU_cin_Hau}', "");
Expect(0, 72447, '\p{^_IN_PAU_cin_Hau}', "");
Expect(0, 72447, '\P{_IN_PAU_cin_Hau}', "");
Expect(1, 72447, '\P{^_IN_PAU_cin_Hau}', "");
Expect(0, 72448, '\p{_IN_PAU_cin_Hau}', "");
Expect(1, 72448, '\p{^_IN_PAU_cin_Hau}', "");
Expect(1, 72448, '\P{_IN_PAU_cin_Hau}', "");
Expect(0, 72448, '\P{^_IN_PAU_cin_Hau}', "");
Error('\p{ :=In_phags_pa}');
Error('\P{ :=In_phags_pa}');
Expect(1, 43135, '\p{inphagspa}', "");
Expect(0, 43135, '\p{^inphagspa}', "");
Expect(0, 43135, '\P{inphagspa}', "");
Expect(1, 43135, '\P{^inphagspa}', "");
Expect(0, 43136, '\p{inphagspa}', "");
Expect(1, 43136, '\p{^inphagspa}', "");
Expect(1, 43136, '\P{inphagspa}', "");
Expect(0, 43136, '\P{^inphagspa}', "");
Expect(1, 43135, '\p{ _IN_phags_PA}', "");
Expect(0, 43135, '\p{^ _IN_phags_PA}', "");
Expect(0, 43135, '\P{ _IN_phags_PA}', "");
Expect(1, 43135, '\P{^ _IN_phags_PA}', "");
Expect(0, 43136, '\p{ _IN_phags_PA}', "");
Expect(1, 43136, '\p{^ _IN_phags_PA}', "");
Expect(1, 43136, '\P{ _IN_phags_PA}', "");
Expect(0, 43136, '\P{^ _IN_phags_PA}', "");
Error('\p{-:=in_Phags_Pa}');
Error('\P{-:=in_Phags_Pa}');
Expect(1, 43135, '\p{_IN_PHAGS_Pa}', "");
Expect(0, 43135, '\p{^_IN_PHAGS_Pa}', "");
Expect(0, 43135, '\P{_IN_PHAGS_Pa}', "");
Expect(1, 43135, '\P{^_IN_PHAGS_Pa}', "");
Expect(0, 43136, '\p{_IN_PHAGS_Pa}', "");
Expect(1, 43136, '\p{^_IN_PHAGS_Pa}', "");
Expect(1, 43136, '\P{_IN_PHAGS_Pa}', "");
Expect(0, 43136, '\P{^_IN_PHAGS_Pa}', "");
Error('\p{:=_In_phoenician}');
Error('\P{:=_In_phoenician}');
Expect(1, 67871, '\p{inphoenician}', "");
Expect(0, 67871, '\p{^inphoenician}', "");
Expect(0, 67871, '\P{inphoenician}', "");
Expect(1, 67871, '\P{^inphoenician}', "");
Expect(0, 67872, '\p{inphoenician}', "");
Expect(1, 67872, '\p{^inphoenician}', "");
Expect(1, 67872, '\P{inphoenician}', "");
Expect(0, 67872, '\P{^inphoenician}', "");
Expect(1, 67871, '\p{__In_phoenician}', "");
Expect(0, 67871, '\p{^__In_phoenician}', "");
Expect(0, 67871, '\P{__In_phoenician}', "");
Expect(1, 67871, '\P{^__In_phoenician}', "");
Expect(0, 67872, '\p{__In_phoenician}', "");
Expect(1, 67872, '\p{^__In_phoenician}', "");
Expect(1, 67872, '\P{__In_phoenician}', "");
Expect(0, 67872, '\P{^__In_phoenician}', "");
Error('\p{:=_In_Phoenician}');
Error('\P{:=_In_Phoenician}');
Expect(1, 67871, '\p{	IN_phoenician}', "");
Expect(0, 67871, '\p{^	IN_phoenician}', "");
Expect(0, 67871, '\P{	IN_phoenician}', "");
Expect(1, 67871, '\P{^	IN_phoenician}', "");
Expect(0, 67872, '\p{	IN_phoenician}', "");
Expect(1, 67872, '\p{^	IN_phoenician}', "");
Expect(1, 67872, '\P{	IN_phoenician}', "");
Expect(0, 67872, '\P{^	IN_phoenician}', "");
Error('\p{	:=IN_psalter_pahlavi}');
Error('\P{	:=IN_psalter_pahlavi}');
Expect(1, 68527, '\p{inpsalterpahlavi}', "");
Expect(0, 68527, '\p{^inpsalterpahlavi}', "");
Expect(0, 68527, '\P{inpsalterpahlavi}', "");
Expect(1, 68527, '\P{^inpsalterpahlavi}', "");
Expect(0, 68528, '\p{inpsalterpahlavi}', "");
Expect(1, 68528, '\p{^inpsalterpahlavi}', "");
Expect(1, 68528, '\P{inpsalterpahlavi}', "");
Expect(0, 68528, '\P{^inpsalterpahlavi}', "");
Expect(1, 68527, '\p{_ In_PSALTER_PAHLAVI}', "");
Expect(0, 68527, '\p{^_ In_PSALTER_PAHLAVI}', "");
Expect(0, 68527, '\P{_ In_PSALTER_PAHLAVI}', "");
Expect(1, 68527, '\P{^_ In_PSALTER_PAHLAVI}', "");
Expect(0, 68528, '\p{_ In_PSALTER_PAHLAVI}', "");
Expect(1, 68528, '\p{^_ In_PSALTER_PAHLAVI}', "");
Expect(1, 68528, '\P{_ In_PSALTER_PAHLAVI}', "");
Expect(0, 68528, '\P{^_ In_PSALTER_PAHLAVI}', "");
Error('\p{:=	In_psalter_pahlavi}');
Error('\P{:=	In_psalter_pahlavi}');
Expect(1, 68527, '\p{-	in_Psalter_Pahlavi}', "");
Expect(0, 68527, '\p{^-	in_Psalter_Pahlavi}', "");
Expect(0, 68527, '\P{-	in_Psalter_Pahlavi}', "");
Expect(1, 68527, '\P{^-	in_Psalter_Pahlavi}', "");
Expect(0, 68528, '\p{-	in_Psalter_Pahlavi}', "");
Expect(1, 68528, '\p{^-	in_Psalter_Pahlavi}', "");
Expect(1, 68528, '\P{-	in_Psalter_Pahlavi}', "");
Expect(0, 68528, '\P{^-	in_Psalter_Pahlavi}', "");
Error('\p{:=in_Rejang}');
Error('\P{:=in_Rejang}');
Expect(1, 43359, '\p{inrejang}', "");
Expect(0, 43359, '\p{^inrejang}', "");
Expect(0, 43359, '\P{inrejang}', "");
Expect(1, 43359, '\P{^inrejang}', "");
Expect(0, 43360, '\p{inrejang}', "");
Expect(1, 43360, '\p{^inrejang}', "");
Expect(1, 43360, '\P{inrejang}', "");
Expect(0, 43360, '\P{^inrejang}', "");
Expect(1, 43359, '\p{	In_Rejang}', "");
Expect(0, 43359, '\p{^	In_Rejang}', "");
Expect(0, 43359, '\P{	In_Rejang}', "");
Expect(1, 43359, '\P{^	In_Rejang}', "");
Expect(0, 43360, '\p{	In_Rejang}', "");
Expect(1, 43360, '\p{^	In_Rejang}', "");
Expect(1, 43360, '\P{	In_Rejang}', "");
Expect(0, 43360, '\P{^	In_Rejang}', "");
Error('\p{_-In_Rejang/a/}');
Error('\P{_-In_Rejang/a/}');
Expect(1, 43359, '\p{	-In_Rejang}', "");
Expect(0, 43359, '\p{^	-In_Rejang}', "");
Expect(0, 43359, '\P{	-In_Rejang}', "");
Expect(1, 43359, '\P{^	-In_Rejang}', "");
Expect(0, 43360, '\p{	-In_Rejang}', "");
Expect(1, 43360, '\p{^	-In_Rejang}', "");
Expect(1, 43360, '\P{	-In_Rejang}', "");
Expect(0, 43360, '\P{^	-In_Rejang}', "");
Error('\p{_:=In_Runic}');
Error('\P{_:=In_Runic}');
Expect(1, 5887, '\p{inrunic}', "");
Expect(0, 5887, '\p{^inrunic}', "");
Expect(0, 5887, '\P{inrunic}', "");
Expect(1, 5887, '\P{^inrunic}', "");
Expect(0, 5888, '\p{inrunic}', "");
Expect(1, 5888, '\p{^inrunic}', "");
Expect(1, 5888, '\P{inrunic}', "");
Expect(0, 5888, '\P{^inrunic}', "");
Expect(1, 5887, '\p{_ IN_RUNIC}', "");
Expect(0, 5887, '\p{^_ IN_RUNIC}', "");
Expect(0, 5887, '\P{_ IN_RUNIC}', "");
Expect(1, 5887, '\P{^_ IN_RUNIC}', "");
Expect(0, 5888, '\p{_ IN_RUNIC}', "");
Expect(1, 5888, '\p{^_ IN_RUNIC}', "");
Expect(1, 5888, '\P{_ IN_RUNIC}', "");
Expect(0, 5888, '\P{^_ IN_RUNIC}', "");
Error('\p{	:=In_RUNIC}');
Error('\P{	:=In_RUNIC}');
Expect(1, 5887, '\p{	 In_Runic}', "");
Expect(0, 5887, '\p{^	 In_Runic}', "");
Expect(0, 5887, '\P{	 In_Runic}', "");
Expect(1, 5887, '\P{^	 In_Runic}', "");
Expect(0, 5888, '\p{	 In_Runic}', "");
Expect(1, 5888, '\p{^	 In_Runic}', "");
Expect(1, 5888, '\P{	 In_Runic}', "");
Expect(0, 5888, '\P{^	 In_Runic}', "");
Error('\p{ In_samaritan/a/}');
Error('\P{ In_samaritan/a/}');
Expect(1, 2111, '\p{insamaritan}', "");
Expect(0, 2111, '\p{^insamaritan}', "");
Expect(0, 2111, '\P{insamaritan}', "");
Expect(1, 2111, '\P{^insamaritan}', "");
Expect(0, 2112, '\p{insamaritan}', "");
Expect(1, 2112, '\p{^insamaritan}', "");
Expect(1, 2112, '\P{insamaritan}', "");
Expect(0, 2112, '\P{^insamaritan}', "");
Expect(1, 2111, '\p{__In_SAMARITAN}', "");
Expect(0, 2111, '\p{^__In_SAMARITAN}', "");
Expect(0, 2111, '\P{__In_SAMARITAN}', "");
Expect(1, 2111, '\P{^__In_SAMARITAN}', "");
Expect(0, 2112, '\p{__In_SAMARITAN}', "");
Expect(1, 2112, '\p{^__In_SAMARITAN}', "");
Expect(1, 2112, '\P{__In_SAMARITAN}', "");
Expect(0, 2112, '\P{^__In_SAMARITAN}', "");
Error('\p{:= -In_SAMARITAN}');
Error('\P{:= -In_SAMARITAN}');
Expect(1, 2111, '\p{In_Samaritan}', "");
Expect(0, 2111, '\p{^In_Samaritan}', "");
Expect(0, 2111, '\P{In_Samaritan}', "");
Expect(1, 2111, '\P{^In_Samaritan}', "");
Expect(0, 2112, '\p{In_Samaritan}', "");
Expect(1, 2112, '\p{^In_Samaritan}', "");
Expect(1, 2112, '\P{In_Samaritan}', "");
Expect(0, 2112, '\P{^In_Samaritan}', "");
Error('\p{In_Saurashtra/a/}');
Error('\P{In_Saurashtra/a/}');
Expect(1, 43231, '\p{insaurashtra}', "");
Expect(0, 43231, '\p{^insaurashtra}', "");
Expect(0, 43231, '\P{insaurashtra}', "");
Expect(1, 43231, '\P{^insaurashtra}', "");
Expect(0, 43232, '\p{insaurashtra}', "");
Expect(1, 43232, '\p{^insaurashtra}', "");
Expect(1, 43232, '\P{insaurashtra}', "");
Expect(0, 43232, '\P{^insaurashtra}', "");
Expect(1, 43231, '\p{ _in_saurashtra}', "");
Expect(0, 43231, '\p{^ _in_saurashtra}', "");
Expect(0, 43231, '\P{ _in_saurashtra}', "");
Expect(1, 43231, '\P{^ _in_saurashtra}', "");
Expect(0, 43232, '\p{ _in_saurashtra}', "");
Expect(1, 43232, '\p{^ _in_saurashtra}', "");
Expect(1, 43232, '\P{ _in_saurashtra}', "");
Expect(0, 43232, '\P{^ _in_saurashtra}', "");
Error('\p{_-In_Saurashtra/a/}');
Error('\P{_-In_Saurashtra/a/}');
Expect(1, 43231, '\p{_ In_saurashtra}', "");
Expect(0, 43231, '\p{^_ In_saurashtra}', "");
Expect(0, 43231, '\P{_ In_saurashtra}', "");
Expect(1, 43231, '\P{^_ In_saurashtra}', "");
Expect(0, 43232, '\p{_ In_saurashtra}', "");
Expect(1, 43232, '\p{^_ In_saurashtra}', "");
Expect(1, 43232, '\P{_ In_saurashtra}', "");
Expect(0, 43232, '\P{^_ In_saurashtra}', "");
Error('\p{ 	in_Sharada:=}');
Error('\P{ 	in_Sharada:=}');
Expect(1, 70111, '\p{insharada}', "");
Expect(0, 70111, '\p{^insharada}', "");
Expect(0, 70111, '\P{insharada}', "");
Expect(1, 70111, '\P{^insharada}', "");
Expect(0, 70112, '\p{insharada}', "");
Expect(1, 70112, '\p{^insharada}', "");
Expect(1, 70112, '\P{insharada}', "");
Expect(0, 70112, '\P{^insharada}', "");
Expect(1, 70111, '\p{	 IN_Sharada}', "");
Expect(0, 70111, '\p{^	 IN_Sharada}', "");
Expect(0, 70111, '\P{	 IN_Sharada}', "");
Expect(1, 70111, '\P{^	 IN_Sharada}', "");
Expect(0, 70112, '\p{	 IN_Sharada}', "");
Expect(1, 70112, '\p{^	 IN_Sharada}', "");
Expect(1, 70112, '\P{	 IN_Sharada}', "");
Expect(0, 70112, '\P{^	 IN_Sharada}', "");
Error('\p{:=	In_Sharada}');
Error('\P{:=	In_Sharada}');
Expect(1, 70111, '\p{_in_Sharada}', "");
Expect(0, 70111, '\p{^_in_Sharada}', "");
Expect(0, 70111, '\P{_in_Sharada}', "");
Expect(1, 70111, '\P{^_in_Sharada}', "");
Expect(0, 70112, '\p{_in_Sharada}', "");
Expect(1, 70112, '\p{^_in_Sharada}', "");
Expect(1, 70112, '\P{_in_Sharada}', "");
Expect(0, 70112, '\P{^_in_Sharada}', "");
Error('\p{ /a/in_Shavian}');
Error('\P{ /a/in_Shavian}');
Expect(1, 66687, '\p{inshavian}', "");
Expect(0, 66687, '\p{^inshavian}', "");
Expect(0, 66687, '\P{inshavian}', "");
Expect(1, 66687, '\P{^inshavian}', "");
Expect(0, 66688, '\p{inshavian}', "");
Expect(1, 66688, '\p{^inshavian}', "");
Expect(1, 66688, '\P{inshavian}', "");
Expect(0, 66688, '\P{^inshavian}', "");
Expect(1, 66687, '\p{  IN_Shavian}', "");
Expect(0, 66687, '\p{^  IN_Shavian}', "");
Expect(0, 66687, '\P{  IN_Shavian}', "");
Expect(1, 66687, '\P{^  IN_Shavian}', "");
Expect(0, 66688, '\p{  IN_Shavian}', "");
Expect(1, 66688, '\p{^  IN_Shavian}', "");
Expect(1, 66688, '\P{  IN_Shavian}', "");
Expect(0, 66688, '\P{^  IN_Shavian}', "");
Error('\p{:=In_Shavian}');
Error('\P{:=In_Shavian}');
Expect(1, 66687, '\p{_ In_Shavian}', "");
Expect(0, 66687, '\p{^_ In_Shavian}', "");
Expect(0, 66687, '\P{_ In_Shavian}', "");
Expect(1, 66687, '\P{^_ In_Shavian}', "");
Expect(0, 66688, '\p{_ In_Shavian}', "");
Expect(1, 66688, '\p{^_ In_Shavian}', "");
Expect(1, 66688, '\P{_ In_Shavian}', "");
Expect(0, 66688, '\P{^_ In_Shavian}', "");
Error('\p{:=-_In_Siddham}');
Error('\P{:=-_In_Siddham}');
Expect(1, 71167, '\p{insiddham}', "");
Expect(0, 71167, '\p{^insiddham}', "");
Expect(0, 71167, '\P{insiddham}', "");
Expect(1, 71167, '\P{^insiddham}', "");
Expect(0, 71168, '\p{insiddham}', "");
Expect(1, 71168, '\p{^insiddham}', "");
Expect(1, 71168, '\P{insiddham}', "");
Expect(0, 71168, '\P{^insiddham}', "");
Expect(1, 71167, '\p{ 	In_Siddham}', "");
Expect(0, 71167, '\p{^ 	In_Siddham}', "");
Expect(0, 71167, '\P{ 	In_Siddham}', "");
Expect(1, 71167, '\P{^ 	In_Siddham}', "");
Expect(0, 71168, '\p{ 	In_Siddham}', "");
Expect(1, 71168, '\p{^ 	In_Siddham}', "");
Expect(1, 71168, '\P{ 	In_Siddham}', "");
Expect(0, 71168, '\P{^ 	In_Siddham}', "");
Error('\p{-/a/In_Siddham}');
Error('\P{-/a/In_Siddham}');
Expect(1, 71167, '\p{	-IN_Siddham}', "");
Expect(0, 71167, '\p{^	-IN_Siddham}', "");
Expect(0, 71167, '\P{	-IN_Siddham}', "");
Expect(1, 71167, '\P{^	-IN_Siddham}', "");
Expect(0, 71168, '\p{	-IN_Siddham}', "");
Expect(1, 71168, '\p{^	-IN_Siddham}', "");
Expect(1, 71168, '\P{	-IN_Siddham}', "");
Expect(0, 71168, '\P{^	-IN_Siddham}', "");
Error('\p{:=-	In_SINHALA}');
Error('\P{:=-	In_SINHALA}');
Expect(1, 3583, '\p{insinhala}', "");
Expect(0, 3583, '\p{^insinhala}', "");
Expect(0, 3583, '\P{insinhala}', "");
Expect(1, 3583, '\P{^insinhala}', "");
Expect(0, 3584, '\p{insinhala}', "");
Expect(1, 3584, '\p{^insinhala}', "");
Expect(1, 3584, '\P{insinhala}', "");
Expect(0, 3584, '\P{^insinhala}', "");
Expect(1, 3583, '\p{	 in_Sinhala}', "");
Expect(0, 3583, '\p{^	 in_Sinhala}', "");
Expect(0, 3583, '\P{	 in_Sinhala}', "");
Expect(1, 3583, '\P{^	 in_Sinhala}', "");
Expect(0, 3584, '\p{	 in_Sinhala}', "");
Expect(1, 3584, '\p{^	 in_Sinhala}', "");
Expect(1, 3584, '\P{	 in_Sinhala}', "");
Expect(0, 3584, '\P{^	 in_Sinhala}', "");
Error('\p{	:=In_sinhala}');
Error('\P{	:=In_sinhala}');
Expect(1, 3583, '\p{-	In_Sinhala}', "");
Expect(0, 3583, '\p{^-	In_Sinhala}', "");
Expect(0, 3583, '\P{-	In_Sinhala}', "");
Expect(1, 3583, '\P{^-	In_Sinhala}', "");
Expect(0, 3584, '\p{-	In_Sinhala}', "");
Expect(1, 3584, '\p{^-	In_Sinhala}', "");
Expect(1, 3584, '\P{-	In_Sinhala}', "");
Expect(0, 3584, '\P{^-	In_Sinhala}', "");
Error('\p{/a/	 IN_Sora_Sompeng}');
Error('\P{/a/	 IN_Sora_Sompeng}');
Expect(1, 69887, '\p{insorasompeng}', "");
Expect(0, 69887, '\p{^insorasompeng}', "");
Expect(0, 69887, '\P{insorasompeng}', "");
Expect(1, 69887, '\P{^insorasompeng}', "");
Expect(0, 69888, '\p{insorasompeng}', "");
Expect(1, 69888, '\p{^insorasompeng}', "");
Expect(1, 69888, '\P{insorasompeng}', "");
Expect(0, 69888, '\P{^insorasompeng}', "");
Expect(1, 69887, '\p{	In_SORA_SOMPENG}', "");
Expect(0, 69887, '\p{^	In_SORA_SOMPENG}', "");
Expect(0, 69887, '\P{	In_SORA_SOMPENG}', "");
Expect(1, 69887, '\P{^	In_SORA_SOMPENG}', "");
Expect(0, 69888, '\p{	In_SORA_SOMPENG}', "");
Expect(1, 69888, '\p{^	In_SORA_SOMPENG}', "");
Expect(1, 69888, '\P{	In_SORA_SOMPENG}', "");
Expect(0, 69888, '\P{^	In_SORA_SOMPENG}', "");
Error('\p{/a/-	In_sora_Sompeng}');
Error('\P{/a/-	In_sora_Sompeng}');
Expect(1, 69887, '\p{_-in_sora_SOMPENG}', "");
Expect(0, 69887, '\p{^_-in_sora_SOMPENG}', "");
Expect(0, 69887, '\P{_-in_sora_SOMPENG}', "");
Expect(1, 69887, '\P{^_-in_sora_SOMPENG}', "");
Expect(0, 69888, '\p{_-in_sora_SOMPENG}', "");
Expect(1, 69888, '\p{^_-in_sora_SOMPENG}', "");
Expect(1, 69888, '\P{_-in_sora_SOMPENG}', "");
Expect(0, 69888, '\P{^_-in_sora_SOMPENG}', "");
Error('\p{-/a/IN_Sundanese}');
Error('\P{-/a/IN_Sundanese}');
Expect(1, 7103, '\p{insundanese}', "");
Expect(0, 7103, '\p{^insundanese}', "");
Expect(0, 7103, '\P{insundanese}', "");
Expect(1, 7103, '\P{^insundanese}', "");
Expect(0, 7104, '\p{insundanese}', "");
Expect(1, 7104, '\p{^insundanese}', "");
Expect(1, 7104, '\P{insundanese}', "");
Expect(0, 7104, '\P{^insundanese}', "");
Expect(1, 7103, '\p{-In_SUNDANESE}', "");
Expect(0, 7103, '\p{^-In_SUNDANESE}', "");
Expect(0, 7103, '\P{-In_SUNDANESE}', "");
Expect(1, 7103, '\P{^-In_SUNDANESE}', "");
Expect(0, 7104, '\p{-In_SUNDANESE}', "");
Expect(1, 7104, '\p{^-In_SUNDANESE}', "");
Expect(1, 7104, '\P{-In_SUNDANESE}', "");
Expect(0, 7104, '\P{^-In_SUNDANESE}', "");
Error('\p{:=_	In_sundanese}');
Error('\P{:=_	In_sundanese}');
Expect(1, 7103, '\p{ In_sundanese}', "");
Expect(0, 7103, '\p{^ In_sundanese}', "");
Expect(0, 7103, '\P{ In_sundanese}', "");
Expect(1, 7103, '\P{^ In_sundanese}', "");
Expect(0, 7104, '\p{ In_sundanese}', "");
Expect(1, 7104, '\p{^ In_sundanese}', "");
Expect(1, 7104, '\P{ In_sundanese}', "");
Expect(0, 7104, '\P{^ In_sundanese}', "");
Error('\p{-/a/In_SYLOTI_Nagri}');
Error('\P{-/a/In_SYLOTI_Nagri}');
Expect(1, 43055, '\p{insylotinagri}', "");
Expect(0, 43055, '\p{^insylotinagri}', "");
Expect(0, 43055, '\P{insylotinagri}', "");
Expect(1, 43055, '\P{^insylotinagri}', "");
Expect(0, 43056, '\p{insylotinagri}', "");
Expect(1, 43056, '\p{^insylotinagri}', "");
Expect(1, 43056, '\P{insylotinagri}', "");
Expect(0, 43056, '\P{^insylotinagri}', "");
Expect(1, 43055, '\p{	In_Syloti_Nagri}', "");
Expect(0, 43055, '\p{^	In_Syloti_Nagri}', "");
Expect(0, 43055, '\P{	In_Syloti_Nagri}', "");
Expect(1, 43055, '\P{^	In_Syloti_Nagri}', "");
Expect(0, 43056, '\p{	In_Syloti_Nagri}', "");
Expect(1, 43056, '\p{^	In_Syloti_Nagri}', "");
Expect(1, 43056, '\P{	In_Syloti_Nagri}', "");
Expect(0, 43056, '\P{^	In_Syloti_Nagri}', "");
Error('\p{_ In_Syloti_Nagri/a/}');
Error('\P{_ In_Syloti_Nagri/a/}');
Expect(1, 43055, '\p{ 	In_syloti_nagri}', "");
Expect(0, 43055, '\p{^ 	In_syloti_nagri}', "");
Expect(0, 43055, '\P{ 	In_syloti_nagri}', "");
Expect(1, 43055, '\P{^ 	In_syloti_nagri}', "");
Expect(0, 43056, '\p{ 	In_syloti_nagri}', "");
Expect(1, 43056, '\p{^ 	In_syloti_nagri}', "");
Expect(1, 43056, '\P{ 	In_syloti_nagri}', "");
Expect(0, 43056, '\P{^ 	In_syloti_nagri}', "");
Error('\p{/a/_In_SYRIAC}');
Error('\P{/a/_In_SYRIAC}');
Expect(1, 1871, '\p{insyriac}', "");
Expect(0, 1871, '\p{^insyriac}', "");
Expect(0, 1871, '\P{insyriac}', "");
Expect(1, 1871, '\P{^insyriac}', "");
Expect(0, 1872, '\p{insyriac}', "");
Expect(1, 1872, '\p{^insyriac}', "");
Expect(1, 1872, '\P{insyriac}', "");
Expect(0, 1872, '\P{^insyriac}', "");
Expect(1, 1871, '\p{--in_Syriac}', "");
Expect(0, 1871, '\p{^--in_Syriac}', "");
Expect(0, 1871, '\P{--in_Syriac}', "");
Expect(1, 1871, '\P{^--in_Syriac}', "");
Expect(0, 1872, '\p{--in_Syriac}', "");
Expect(1, 1872, '\p{^--in_Syriac}', "");
Expect(1, 1872, '\P{--in_Syriac}', "");
Expect(0, 1872, '\P{^--in_Syriac}', "");
Error('\p{/a/  IN_SYRIAC}');
Error('\P{/a/  IN_SYRIAC}');
Expect(1, 1871, '\p{- in_Syriac}', "");
Expect(0, 1871, '\p{^- in_Syriac}', "");
Expect(0, 1871, '\P{- in_Syriac}', "");
Expect(1, 1871, '\P{^- in_Syriac}', "");
Expect(0, 1872, '\p{- in_Syriac}', "");
Expect(1, 1872, '\p{^- in_Syriac}', "");
Expect(1, 1872, '\P{- in_Syriac}', "");
Expect(0, 1872, '\P{^- in_Syriac}', "");
Error('\p{_In_Tagalog/a/}');
Error('\P{_In_Tagalog/a/}');
Expect(1, 5919, '\p{intagalog}', "");
Expect(0, 5919, '\p{^intagalog}', "");
Expect(0, 5919, '\P{intagalog}', "");
Expect(1, 5919, '\P{^intagalog}', "");
Expect(0, 5920, '\p{intagalog}', "");
Expect(1, 5920, '\p{^intagalog}', "");
Expect(1, 5920, '\P{intagalog}', "");
Expect(0, 5920, '\P{^intagalog}', "");
Expect(1, 5919, '\p{ 	In_TAGALOG}', "");
Expect(0, 5919, '\p{^ 	In_TAGALOG}', "");
Expect(0, 5919, '\P{ 	In_TAGALOG}', "");
Expect(1, 5919, '\P{^ 	In_TAGALOG}', "");
Expect(0, 5920, '\p{ 	In_TAGALOG}', "");
Expect(1, 5920, '\p{^ 	In_TAGALOG}', "");
Expect(1, 5920, '\P{ 	In_TAGALOG}', "");
Expect(0, 5920, '\P{^ 	In_TAGALOG}', "");
Error('\p{_/a/In_tagalog}');
Error('\P{_/a/In_tagalog}');
Expect(1, 5919, '\p{	_in_Tagalog}', "");
Expect(0, 5919, '\p{^	_in_Tagalog}', "");
Expect(0, 5919, '\P{	_in_Tagalog}', "");
Expect(1, 5919, '\P{^	_in_Tagalog}', "");
Expect(0, 5920, '\p{	_in_Tagalog}', "");
Expect(1, 5920, '\p{^	_in_Tagalog}', "");
Expect(1, 5920, '\P{	_in_Tagalog}', "");
Expect(0, 5920, '\P{^	_in_Tagalog}', "");
Error('\p{:= 	IN_tagbanwa}');
Error('\P{:= 	IN_tagbanwa}');
Expect(1, 6015, '\p{intagbanwa}', "");
Expect(0, 6015, '\p{^intagbanwa}', "");
Expect(0, 6015, '\P{intagbanwa}', "");
Expect(1, 6015, '\P{^intagbanwa}', "");
Expect(0, 6016, '\p{intagbanwa}', "");
Expect(1, 6016, '\p{^intagbanwa}', "");
Expect(1, 6016, '\P{intagbanwa}', "");
Expect(0, 6016, '\P{^intagbanwa}', "");
Expect(1, 6015, '\p{ -in_tagbanwa}', "");
Expect(0, 6015, '\p{^ -in_tagbanwa}', "");
Expect(0, 6015, '\P{ -in_tagbanwa}', "");
Expect(1, 6015, '\P{^ -in_tagbanwa}', "");
Expect(0, 6016, '\p{ -in_tagbanwa}', "");
Expect(1, 6016, '\p{^ -in_tagbanwa}', "");
Expect(1, 6016, '\P{ -in_tagbanwa}', "");
Expect(0, 6016, '\P{^ -in_tagbanwa}', "");
Error('\p{	 In_tagbanwa/a/}');
Error('\P{	 In_tagbanwa/a/}');
Expect(1, 6015, '\p{--IN_TAGBANWA}', "");
Expect(0, 6015, '\p{^--IN_TAGBANWA}', "");
Expect(0, 6015, '\P{--IN_TAGBANWA}', "");
Expect(1, 6015, '\P{^--IN_TAGBANWA}', "");
Expect(0, 6016, '\p{--IN_TAGBANWA}', "");
Expect(1, 6016, '\p{^--IN_TAGBANWA}', "");
Expect(1, 6016, '\P{--IN_TAGBANWA}', "");
Expect(0, 6016, '\P{^--IN_TAGBANWA}', "");
Error('\p{:=	 in_tai_Le}');
Error('\P{:=	 in_tai_Le}');
Expect(1, 6527, '\p{intaile}', "");
Expect(0, 6527, '\p{^intaile}', "");
Expect(0, 6527, '\P{intaile}', "");
Expect(1, 6527, '\P{^intaile}', "");
Expect(0, 6528, '\p{intaile}', "");
Expect(1, 6528, '\p{^intaile}', "");
Expect(1, 6528, '\P{intaile}', "");
Expect(0, 6528, '\P{^intaile}', "");
Expect(1, 6527, '\p{_ In_Tai_LE}', "");
Expect(0, 6527, '\p{^_ In_Tai_LE}', "");
Expect(0, 6527, '\P{_ In_Tai_LE}', "");
Expect(1, 6527, '\P{^_ In_Tai_LE}', "");
Expect(0, 6528, '\p{_ In_Tai_LE}', "");
Expect(1, 6528, '\p{^_ In_Tai_LE}', "");
Expect(1, 6528, '\P{_ In_Tai_LE}', "");
Expect(0, 6528, '\P{^_ In_Tai_LE}', "");
Error('\p{- In_Tai_Le/a/}');
Error('\P{- In_Tai_Le/a/}');
Expect(1, 6527, '\p{--IN_TAI_le}', "");
Expect(0, 6527, '\p{^--IN_TAI_le}', "");
Expect(0, 6527, '\P{--IN_TAI_le}', "");
Expect(1, 6527, '\P{^--IN_TAI_le}', "");
Expect(0, 6528, '\p{--IN_TAI_le}', "");
Expect(1, 6528, '\p{^--IN_TAI_le}', "");
Expect(1, 6528, '\P{--IN_TAI_le}', "");
Expect(0, 6528, '\P{^--IN_TAI_le}', "");
Error('\p{/a/_-In_Tai_Tham}');
Error('\P{/a/_-In_Tai_Tham}');
Expect(1, 6831, '\p{intaitham}', "");
Expect(0, 6831, '\p{^intaitham}', "");
Expect(0, 6831, '\P{intaitham}', "");
Expect(1, 6831, '\P{^intaitham}', "");
Expect(0, 6832, '\p{intaitham}', "");
Expect(1, 6832, '\p{^intaitham}', "");
Expect(1, 6832, '\P{intaitham}', "");
Expect(0, 6832, '\P{^intaitham}', "");
Expect(1, 6831, '\p{	 In_TAI_Tham}', "");
Expect(0, 6831, '\p{^	 In_TAI_Tham}', "");
Expect(0, 6831, '\P{	 In_TAI_Tham}', "");
Expect(1, 6831, '\P{^	 In_TAI_Tham}', "");
Expect(0, 6832, '\p{	 In_TAI_Tham}', "");
Expect(1, 6832, '\p{^	 In_TAI_Tham}', "");
Expect(1, 6832, '\P{	 In_TAI_Tham}', "");
Expect(0, 6832, '\P{^	 In_TAI_Tham}', "");
Error('\p{ _IN_tai_tham:=}');
Error('\P{ _IN_tai_tham:=}');
Expect(1, 6831, '\p{ 	In_tai_Tham}', "");
Expect(0, 6831, '\p{^ 	In_tai_Tham}', "");
Expect(0, 6831, '\P{ 	In_tai_Tham}', "");
Expect(1, 6831, '\P{^ 	In_tai_Tham}', "");
Expect(0, 6832, '\p{ 	In_tai_Tham}', "");
Expect(1, 6832, '\p{^ 	In_tai_Tham}', "");
Expect(1, 6832, '\P{ 	In_tai_Tham}', "");
Expect(0, 6832, '\P{^ 	In_tai_Tham}', "");
Error('\p{	/a/In_tai_Viet}');
Error('\P{	/a/In_tai_Viet}');
Expect(1, 43743, '\p{intaiviet}', "");
Expect(0, 43743, '\p{^intaiviet}', "");
Expect(0, 43743, '\P{intaiviet}', "");
Expect(1, 43743, '\P{^intaiviet}', "");
Expect(0, 43744, '\p{intaiviet}', "");
Expect(1, 43744, '\p{^intaiviet}', "");
Expect(1, 43744, '\P{intaiviet}', "");
Expect(0, 43744, '\P{^intaiviet}', "");
Expect(1, 43743, '\p{--IN_tai_VIET}', "");
Expect(0, 43743, '\p{^--IN_tai_VIET}', "");
Expect(0, 43743, '\P{--IN_tai_VIET}', "");
Expect(1, 43743, '\P{^--IN_tai_VIET}', "");
Expect(0, 43744, '\p{--IN_tai_VIET}', "");
Expect(1, 43744, '\p{^--IN_tai_VIET}', "");
Expect(1, 43744, '\P{--IN_tai_VIET}', "");
Expect(0, 43744, '\P{^--IN_tai_VIET}', "");
Error('\p{_-IN_Tai_viet/a/}');
Error('\P{_-IN_Tai_viet/a/}');
Expect(1, 43743, '\p{ 	In_tai_Viet}', "");
Expect(0, 43743, '\p{^ 	In_tai_Viet}', "");
Expect(0, 43743, '\P{ 	In_tai_Viet}', "");
Expect(1, 43743, '\P{^ 	In_tai_Viet}', "");
Expect(0, 43744, '\p{ 	In_tai_Viet}', "");
Expect(1, 43744, '\p{^ 	In_tai_Viet}', "");
Expect(1, 43744, '\P{ 	In_tai_Viet}', "");
Expect(0, 43744, '\P{^ 	In_tai_Viet}', "");
Error('\p{_	in_TAKRI/a/}');
Error('\P{_	in_TAKRI/a/}');
Expect(1, 71375, '\p{intakri}', "");
Expect(0, 71375, '\p{^intakri}', "");
Expect(0, 71375, '\P{intakri}', "");
Expect(1, 71375, '\P{^intakri}', "");
Expect(0, 71376, '\p{intakri}', "");
Expect(1, 71376, '\p{^intakri}', "");
Expect(1, 71376, '\P{intakri}', "");
Expect(0, 71376, '\P{^intakri}', "");
Expect(1, 71375, '\p{In_Takri}', "");
Expect(0, 71375, '\p{^In_Takri}', "");
Expect(0, 71375, '\P{In_Takri}', "");
Expect(1, 71375, '\P{^In_Takri}', "");
Expect(0, 71376, '\p{In_Takri}', "");
Expect(1, 71376, '\p{^In_Takri}', "");
Expect(1, 71376, '\P{In_Takri}', "");
Expect(0, 71376, '\P{^In_Takri}', "");
Error('\p{:=	IN_Takri}');
Error('\P{:=	IN_Takri}');
Expect(1, 71375, '\p{- In_Takri}', "");
Expect(0, 71375, '\p{^- In_Takri}', "");
Expect(0, 71375, '\P{- In_Takri}', "");
Expect(1, 71375, '\P{^- In_Takri}', "");
Expect(0, 71376, '\p{- In_Takri}', "");
Expect(1, 71376, '\p{^- In_Takri}', "");
Expect(1, 71376, '\P{- In_Takri}', "");
Expect(0, 71376, '\P{^- In_Takri}', "");
Error('\p{ -In_tamil:=}');
Error('\P{ -In_tamil:=}');
Expect(1, 3071, '\p{intamil}', "");
Expect(0, 3071, '\p{^intamil}', "");
Expect(0, 3071, '\P{intamil}', "");
Expect(1, 3071, '\P{^intamil}', "");
Expect(0, 3072, '\p{intamil}', "");
Expect(1, 3072, '\p{^intamil}', "");
Expect(1, 3072, '\P{intamil}', "");
Expect(0, 3072, '\P{^intamil}', "");
Expect(1, 3071, '\p{-IN_Tamil}', "");
Expect(0, 3071, '\p{^-IN_Tamil}', "");
Expect(0, 3071, '\P{-IN_Tamil}', "");
Expect(1, 3071, '\P{^-IN_Tamil}', "");
Expect(0, 3072, '\p{-IN_Tamil}', "");
Expect(1, 3072, '\p{^-IN_Tamil}', "");
Expect(1, 3072, '\P{-IN_Tamil}', "");
Expect(0, 3072, '\P{^-IN_Tamil}', "");
Error('\p{  In_tamil:=}');
Error('\P{  In_tamil:=}');
Expect(1, 3071, '\p{	 In_Tamil}', "");
Expect(0, 3071, '\p{^	 In_Tamil}', "");
Expect(0, 3071, '\P{	 In_Tamil}', "");
Expect(1, 3071, '\P{^	 In_Tamil}', "");
Expect(0, 3072, '\p{	 In_Tamil}', "");
Expect(1, 3072, '\p{^	 In_Tamil}', "");
Expect(1, 3072, '\P{	 In_Tamil}', "");
Expect(0, 3072, '\P{^	 In_Tamil}', "");
Error('\p{:=- IN_Telugu}');
Error('\P{:=- IN_Telugu}');
Expect(1, 3199, '\p{intelugu}', "");
Expect(0, 3199, '\p{^intelugu}', "");
Expect(0, 3199, '\P{intelugu}', "");
Expect(1, 3199, '\P{^intelugu}', "");
Expect(0, 3200, '\p{intelugu}', "");
Expect(1, 3200, '\p{^intelugu}', "");
Expect(1, 3200, '\P{intelugu}', "");
Expect(0, 3200, '\P{^intelugu}', "");
Expect(1, 3199, '\p{_In_TELUGU}', "");
Expect(0, 3199, '\p{^_In_TELUGU}', "");
Expect(0, 3199, '\P{_In_TELUGU}', "");
Expect(1, 3199, '\P{^_In_TELUGU}', "");
Expect(0, 3200, '\p{_In_TELUGU}', "");
Expect(1, 3200, '\p{^_In_TELUGU}', "");
Expect(1, 3200, '\P{_In_TELUGU}', "");
Expect(0, 3200, '\P{^_In_TELUGU}', "");
Error('\p{:=_	in_telugu}');
Error('\P{:=_	in_telugu}');
Expect(1, 3199, '\p{_IN_Telugu}', "");
Expect(0, 3199, '\p{^_IN_Telugu}', "");
Expect(0, 3199, '\P{_IN_Telugu}', "");
Expect(1, 3199, '\P{^_IN_Telugu}', "");
Expect(0, 3200, '\p{_IN_Telugu}', "");
Expect(1, 3200, '\p{^_IN_Telugu}', "");
Expect(1, 3200, '\P{_IN_Telugu}', "");
Expect(0, 3200, '\P{^_IN_Telugu}', "");
Error('\p{:=	_IN_THAANA}');
Error('\P{:=	_IN_THAANA}');
Expect(1, 1983, '\p{inthaana}', "");
Expect(0, 1983, '\p{^inthaana}', "");
Expect(0, 1983, '\P{inthaana}', "");
Expect(1, 1983, '\P{^inthaana}', "");
Expect(0, 1984, '\p{inthaana}', "");
Expect(1, 1984, '\p{^inthaana}', "");
Expect(1, 1984, '\P{inthaana}', "");
Expect(0, 1984, '\P{^inthaana}', "");
Expect(1, 1983, '\p{in_Thaana}', "");
Expect(0, 1983, '\p{^in_Thaana}', "");
Expect(0, 1983, '\P{in_Thaana}', "");
Expect(1, 1983, '\P{^in_Thaana}', "");
Expect(0, 1984, '\p{in_Thaana}', "");
Expect(1, 1984, '\p{^in_Thaana}', "");
Expect(1, 1984, '\P{in_Thaana}', "");
Expect(0, 1984, '\P{^in_Thaana}', "");
Error('\p{/a/- in_THAANA}');
Error('\P{/a/- in_THAANA}');
Expect(1, 1983, '\p{-_In_Thaana}', "");
Expect(0, 1983, '\p{^-_In_Thaana}', "");
Expect(0, 1983, '\P{-_In_Thaana}', "");
Expect(1, 1983, '\P{^-_In_Thaana}', "");
Expect(0, 1984, '\p{-_In_Thaana}', "");
Expect(1, 1984, '\p{^-_In_Thaana}', "");
Expect(1, 1984, '\P{-_In_Thaana}', "");
Expect(0, 1984, '\P{^-_In_Thaana}', "");
Error('\p{/a/ In_Thai}');
Error('\P{/a/ In_Thai}');
Expect(1, 3711, '\p{inthai}', "");
Expect(0, 3711, '\p{^inthai}', "");
Expect(0, 3711, '\P{inthai}', "");
Expect(1, 3711, '\P{^inthai}', "");
Expect(0, 3712, '\p{inthai}', "");
Expect(1, 3712, '\p{^inthai}', "");
Expect(1, 3712, '\P{inthai}', "");
Expect(0, 3712, '\P{^inthai}', "");
Expect(1, 3711, '\p{	 IN_Thai}', "");
Expect(0, 3711, '\p{^	 IN_Thai}', "");
Expect(0, 3711, '\P{	 IN_Thai}', "");
Expect(1, 3711, '\P{^	 IN_Thai}', "");
Expect(0, 3712, '\p{	 IN_Thai}', "");
Expect(1, 3712, '\p{^	 IN_Thai}', "");
Expect(1, 3712, '\P{	 IN_Thai}', "");
Expect(0, 3712, '\P{^	 IN_Thai}', "");
Error('\p{--In_THAI:=}');
Error('\P{--In_THAI:=}');
Expect(1, 3711, '\p{	-In_thai}', "");
Expect(0, 3711, '\p{^	-In_thai}', "");
Expect(0, 3711, '\P{	-In_thai}', "");
Expect(1, 3711, '\P{^	-In_thai}', "");
Expect(0, 3712, '\p{	-In_thai}', "");
Expect(1, 3712, '\p{^	-In_thai}', "");
Expect(1, 3712, '\P{	-In_thai}', "");
Expect(0, 3712, '\P{^	-In_thai}', "");
Error('\p{	/a/In_TIBETAN}');
Error('\P{	/a/In_TIBETAN}');
Expect(1, 4095, '\p{intibetan}', "");
Expect(0, 4095, '\p{^intibetan}', "");
Expect(0, 4095, '\P{intibetan}', "");
Expect(1, 4095, '\P{^intibetan}', "");
Expect(0, 4096, '\p{intibetan}', "");
Expect(1, 4096, '\p{^intibetan}', "");
Expect(1, 4096, '\P{intibetan}', "");
Expect(0, 4096, '\P{^intibetan}', "");
Expect(1, 4095, '\p{- IN_tibetan}', "");
Expect(0, 4095, '\p{^- IN_tibetan}', "");
Expect(0, 4095, '\P{- IN_tibetan}', "");
Expect(1, 4095, '\P{^- IN_tibetan}', "");
Expect(0, 4096, '\p{- IN_tibetan}', "");
Expect(1, 4096, '\p{^- IN_tibetan}', "");
Expect(1, 4096, '\P{- IN_tibetan}', "");
Expect(0, 4096, '\P{^- IN_tibetan}', "");
Error('\p{:=_	IN_Tibetan}');
Error('\P{:=_	IN_Tibetan}');
Expect(1, 4095, '\p{ In_Tibetan}', "");
Expect(0, 4095, '\p{^ In_Tibetan}', "");
Expect(0, 4095, '\P{ In_Tibetan}', "");
Expect(1, 4095, '\P{^ In_Tibetan}', "");
Expect(0, 4096, '\p{ In_Tibetan}', "");
Expect(1, 4096, '\p{^ In_Tibetan}', "");
Expect(1, 4096, '\P{ In_Tibetan}', "");
Expect(0, 4096, '\P{^ In_Tibetan}', "");
Error('\p{__In_tifinagh:=}');
Error('\P{__In_tifinagh:=}');
Expect(1, 11647, '\p{intifinagh}', "");
Expect(0, 11647, '\p{^intifinagh}', "");
Expect(0, 11647, '\P{intifinagh}', "");
Expect(1, 11647, '\P{^intifinagh}', "");
Expect(0, 11648, '\p{intifinagh}', "");
Expect(1, 11648, '\p{^intifinagh}', "");
Expect(1, 11648, '\P{intifinagh}', "");
Expect(0, 11648, '\P{^intifinagh}', "");
Expect(1, 11647, '\p{-	In_tifinagh}', "");
Expect(0, 11647, '\p{^-	In_tifinagh}', "");
Expect(0, 11647, '\P{-	In_tifinagh}', "");
Expect(1, 11647, '\P{^-	In_tifinagh}', "");
Expect(0, 11648, '\p{-	In_tifinagh}', "");
Expect(1, 11648, '\p{^-	In_tifinagh}', "");
Expect(1, 11648, '\P{-	In_tifinagh}', "");
Expect(0, 11648, '\P{^-	In_tifinagh}', "");
Error('\p{:= _IN_Tifinagh}');
Error('\P{:= _IN_Tifinagh}');
Expect(1, 11647, '\p{	IN_Tifinagh}', "");
Expect(0, 11647, '\p{^	IN_Tifinagh}', "");
Expect(0, 11647, '\P{	IN_Tifinagh}', "");
Expect(1, 11647, '\P{^	IN_Tifinagh}', "");
Expect(0, 11648, '\p{	IN_Tifinagh}', "");
Expect(1, 11648, '\p{^	IN_Tifinagh}', "");
Expect(1, 11648, '\P{	IN_Tifinagh}', "");
Expect(0, 11648, '\P{^	IN_Tifinagh}', "");
Error('\p{/a/_-In_tirhuta}');
Error('\P{/a/_-In_tirhuta}');
Expect(1, 70879, '\p{intirhuta}', "");
Expect(0, 70879, '\p{^intirhuta}', "");
Expect(0, 70879, '\P{intirhuta}', "");
Expect(1, 70879, '\P{^intirhuta}', "");
Expect(0, 70880, '\p{intirhuta}', "");
Expect(1, 70880, '\p{^intirhuta}', "");
Expect(1, 70880, '\P{intirhuta}', "");
Expect(0, 70880, '\P{^intirhuta}', "");
Expect(1, 70879, '\p{-	In_tirhuta}', "");
Expect(0, 70879, '\p{^-	In_tirhuta}', "");
Expect(0, 70879, '\P{-	In_tirhuta}', "");
Expect(1, 70879, '\P{^-	In_tirhuta}', "");
Expect(0, 70880, '\p{-	In_tirhuta}', "");
Expect(1, 70880, '\p{^-	In_tirhuta}', "");
Expect(1, 70880, '\P{-	In_tirhuta}', "");
Expect(0, 70880, '\P{^-	In_tirhuta}', "");
Error('\p{	_IN_Tirhuta/a/}');
Error('\P{	_IN_Tirhuta/a/}');
Expect(1, 70879, '\p{ IN_tirhuta}', "");
Expect(0, 70879, '\p{^ IN_tirhuta}', "");
Expect(0, 70879, '\P{ IN_tirhuta}', "");
Expect(1, 70879, '\P{^ IN_tirhuta}', "");
Expect(0, 70880, '\p{ IN_tirhuta}', "");
Expect(1, 70880, '\p{^ IN_tirhuta}', "");
Expect(1, 70880, '\P{ IN_tirhuta}', "");
Expect(0, 70880, '\P{^ IN_tirhuta}', "");
Error('\p{/a/__IN_Ugaritic}');
Error('\P{/a/__IN_Ugaritic}');
Expect(1, 66463, '\p{inugaritic}', "");
Expect(0, 66463, '\p{^inugaritic}', "");
Expect(0, 66463, '\P{inugaritic}', "");
Expect(1, 66463, '\P{^inugaritic}', "");
Expect(0, 66464, '\p{inugaritic}', "");
Expect(1, 66464, '\p{^inugaritic}', "");
Expect(1, 66464, '\P{inugaritic}', "");
Expect(0, 66464, '\P{^inugaritic}', "");
Expect(1, 66463, '\p{-in_UGARITIC}', "");
Expect(0, 66463, '\p{^-in_UGARITIC}', "");
Expect(0, 66463, '\P{-in_UGARITIC}', "");
Expect(1, 66463, '\P{^-in_UGARITIC}', "");
Expect(0, 66464, '\p{-in_UGARITIC}', "");
Expect(1, 66464, '\p{^-in_UGARITIC}', "");
Expect(1, 66464, '\P{-in_UGARITIC}', "");
Expect(0, 66464, '\P{^-in_UGARITIC}', "");
Error('\p{	/a/IN_ugaritic}');
Error('\P{	/a/IN_ugaritic}');
Expect(1, 66463, '\p{	 In_Ugaritic}', "");
Expect(0, 66463, '\p{^	 In_Ugaritic}', "");
Expect(0, 66463, '\P{	 In_Ugaritic}', "");
Expect(1, 66463, '\P{^	 In_Ugaritic}', "");
Expect(0, 66464, '\p{	 In_Ugaritic}', "");
Expect(1, 66464, '\p{^	 In_Ugaritic}', "");
Expect(1, 66464, '\P{	 In_Ugaritic}', "");
Expect(0, 66464, '\P{^	 In_Ugaritic}', "");
Error('\p{_:=in_VAI}');
Error('\P{_:=in_VAI}');
Expect(1, 42559, '\p{invai}', "");
Expect(0, 42559, '\p{^invai}', "");
Expect(0, 42559, '\P{invai}', "");
Expect(1, 42559, '\P{^invai}', "");
Expect(0, 42560, '\p{invai}', "");
Expect(1, 42560, '\p{^invai}', "");
Expect(1, 42560, '\P{invai}', "");
Expect(0, 42560, '\P{^invai}', "");
Expect(1, 42559, '\p{__In_Vai}', "");
Expect(0, 42559, '\p{^__In_Vai}', "");
Expect(0, 42559, '\P{__In_Vai}', "");
Expect(1, 42559, '\P{^__In_Vai}', "");
Expect(0, 42560, '\p{__In_Vai}', "");
Expect(1, 42560, '\p{^__In_Vai}', "");
Expect(1, 42560, '\P{__In_Vai}', "");
Expect(0, 42560, '\P{^__In_Vai}', "");
Error('\p{:=	in_Vai}');
Error('\P{:=	in_Vai}');
Expect(1, 42559, '\p{ -IN_Vai}', "");
Expect(0, 42559, '\p{^ -IN_Vai}', "");
Expect(0, 42559, '\P{ -IN_Vai}', "");
Expect(1, 42559, '\P{^ -IN_Vai}', "");
Expect(0, 42560, '\p{ -IN_Vai}', "");
Expect(1, 42560, '\p{^ -IN_Vai}', "");
Expect(1, 42560, '\P{ -IN_Vai}', "");
Expect(0, 42560, '\P{^ -IN_Vai}', "");
Error('\p{:=--IN_warang_Citi}');
Error('\P{:=--IN_warang_Citi}');
Expect(1, 71935, '\p{inwarangciti}', "");
Expect(0, 71935, '\p{^inwarangciti}', "");
Expect(0, 71935, '\P{inwarangciti}', "");
Expect(1, 71935, '\P{^inwarangciti}', "");
Expect(0, 71936, '\p{inwarangciti}', "");
Expect(1, 71936, '\p{^inwarangciti}', "");
Expect(1, 71936, '\P{inwarangciti}', "");
Expect(0, 71936, '\P{^inwarangciti}', "");
Expect(1, 71935, '\p{-In_Warang_citi}', "");
Expect(0, 71935, '\p{^-In_Warang_citi}', "");
Expect(0, 71935, '\P{-In_Warang_citi}', "");
Expect(1, 71935, '\P{^-In_Warang_citi}', "");
Expect(0, 71936, '\p{-In_Warang_citi}', "");
Expect(1, 71936, '\p{^-In_Warang_citi}', "");
Expect(1, 71936, '\P{-In_Warang_citi}', "");
Expect(0, 71936, '\P{^-In_Warang_citi}', "");
Error('\p{	/a/In_Warang_CITI}');
Error('\P{	/a/In_Warang_CITI}');
Expect(1, 71935, '\p{	in_warang_Citi}', "");
Expect(0, 71935, '\p{^	in_warang_Citi}', "");
Expect(0, 71935, '\P{	in_warang_Citi}', "");
Expect(1, 71935, '\P{^	in_warang_Citi}', "");
Expect(0, 71936, '\p{	in_warang_Citi}', "");
Expect(1, 71936, '\p{^	in_warang_Citi}', "");
Expect(1, 71936, '\P{	in_warang_Citi}', "");
Expect(0, 71936, '\P{^	in_warang_Citi}', "");
Error('\p{:= Inherited}');
Error('\P{:= Inherited}');
Expect(1, 917999, '\p{inherited}', "");
Expect(0, 917999, '\p{^inherited}', "");
Expect(0, 917999, '\P{inherited}', "");
Expect(1, 917999, '\P{^inherited}', "");
Expect(0, 918000, '\p{inherited}', "");
Expect(1, 918000, '\p{^inherited}', "");
Expect(1, 918000, '\P{inherited}', "");
Expect(0, 918000, '\P{^inherited}', "");
Expect(1, 917999, '\p{		Inherited}', "");
Expect(0, 917999, '\p{^		Inherited}', "");
Expect(0, 917999, '\P{		Inherited}', "");
Expect(1, 917999, '\P{^		Inherited}', "");
Expect(0, 918000, '\p{		Inherited}', "");
Expect(1, 918000, '\p{^		Inherited}', "");
Expect(1, 918000, '\P{		Inherited}', "");
Expect(0, 918000, '\P{^		Inherited}', "");
Error('\p{/a/IS_inherited}');
Error('\P{/a/IS_inherited}');
Expect(1, 917999, '\p{isinherited}', "");
Expect(0, 917999, '\p{^isinherited}', "");
Expect(0, 917999, '\P{isinherited}', "");
Expect(1, 917999, '\P{^isinherited}', "");
Expect(0, 918000, '\p{isinherited}', "");
Expect(1, 918000, '\p{^isinherited}', "");
Expect(1, 918000, '\P{isinherited}', "");
Expect(0, 918000, '\P{^isinherited}', "");
Expect(1, 917999, '\p{- IS_inherited}', "");
Expect(0, 917999, '\p{^- IS_inherited}', "");
Expect(0, 917999, '\P{- IS_inherited}', "");
Expect(1, 917999, '\P{^- IS_inherited}', "");
Expect(0, 918000, '\p{- IS_inherited}', "");
Expect(1, 918000, '\p{^- IS_inherited}', "");
Expect(1, 918000, '\P{- IS_inherited}', "");
Expect(0, 918000, '\P{^- IS_inherited}', "");
Error('\p{/a/- zinh}');
Error('\P{/a/- zinh}');
Expect(1, 917999, '\p{zinh}', "");
Expect(0, 917999, '\p{^zinh}', "");
Expect(0, 917999, '\P{zinh}', "");
Expect(1, 917999, '\P{^zinh}', "");
Expect(0, 918000, '\p{zinh}', "");
Expect(1, 918000, '\p{^zinh}', "");
Expect(1, 918000, '\P{zinh}', "");
Expect(0, 918000, '\P{^zinh}', "");
Expect(1, 917999, '\p{__zinh}', "");
Expect(0, 917999, '\p{^__zinh}', "");
Expect(0, 917999, '\P{__zinh}', "");
Expect(1, 917999, '\P{^__zinh}', "");
Expect(0, 918000, '\p{__zinh}', "");
Expect(1, 918000, '\p{^__zinh}', "");
Expect(1, 918000, '\P{__zinh}', "");
Expect(0, 918000, '\P{^__zinh}', "");
Error('\p{:= is_Zinh}');
Error('\P{:= is_Zinh}');
Expect(1, 917999, '\p{iszinh}', "");
Expect(0, 917999, '\p{^iszinh}', "");
Expect(0, 917999, '\P{iszinh}', "");
Expect(1, 917999, '\P{^iszinh}', "");
Expect(0, 918000, '\p{iszinh}', "");
Expect(1, 918000, '\p{^iszinh}', "");
Expect(1, 918000, '\P{iszinh}', "");
Expect(0, 918000, '\P{^iszinh}', "");
Expect(1, 917999, '\p{	Is_Zinh}', "");
Expect(0, 917999, '\p{^	Is_Zinh}', "");
Expect(0, 917999, '\P{	Is_Zinh}', "");
Expect(1, 917999, '\P{^	Is_Zinh}', "");
Expect(0, 918000, '\p{	Is_Zinh}', "");
Expect(1, 918000, '\p{^	Is_Zinh}', "");
Expect(1, 918000, '\P{	Is_Zinh}', "");
Expect(0, 918000, '\P{^	Is_Zinh}', "");
Error('\p{ :=qaai}');
Error('\P{ :=qaai}');
Expect(1, 917999, '\p{qaai}', "");
Expect(0, 917999, '\p{^qaai}', "");
Expect(0, 917999, '\P{qaai}', "");
Expect(1, 917999, '\P{^qaai}', "");
Expect(0, 918000, '\p{qaai}', "");
Expect(1, 918000, '\p{^qaai}', "");
Expect(1, 918000, '\P{qaai}', "");
Expect(0, 918000, '\P{^qaai}', "");
Expect(1, 917999, '\p{ Qaai}', "");
Expect(0, 917999, '\p{^ Qaai}', "");
Expect(0, 917999, '\P{ Qaai}', "");
Expect(1, 917999, '\P{^ Qaai}', "");
Expect(0, 918000, '\p{ Qaai}', "");
Expect(1, 918000, '\p{^ Qaai}', "");
Expect(1, 918000, '\P{ Qaai}', "");
Expect(0, 918000, '\P{^ Qaai}', "");
Error('\p{_ Is_Qaai:=}');
Error('\P{_ Is_Qaai:=}');
Expect(1, 917999, '\p{isqaai}', "");
Expect(0, 917999, '\p{^isqaai}', "");
Expect(0, 917999, '\P{isqaai}', "");
Expect(1, 917999, '\P{^isqaai}', "");
Expect(0, 918000, '\p{isqaai}', "");
Expect(1, 918000, '\p{^isqaai}', "");
Expect(1, 918000, '\P{isqaai}', "");
Expect(0, 918000, '\P{^isqaai}', "");
Expect(1, 917999, '\p{_ is_qaai}', "");
Expect(0, 917999, '\p{^_ is_qaai}', "");
Expect(0, 917999, '\P{_ is_qaai}', "");
Expect(1, 917999, '\P{^_ is_qaai}', "");
Expect(0, 918000, '\p{_ is_qaai}', "");
Expect(1, 918000, '\p{^_ is_qaai}', "");
Expect(1, 918000, '\P{_ is_qaai}', "");
Expect(0, 918000, '\P{^_ is_qaai}', "");
Error('\p{/a/Initial_PUNCTUATION}');
Error('\P{/a/Initial_PUNCTUATION}');
Expect(1, 11808, '\p{initialpunctuation}', "");
Expect(0, 11808, '\p{^initialpunctuation}', "");
Expect(0, 11808, '\P{initialpunctuation}', "");
Expect(1, 11808, '\P{^initialpunctuation}', "");
Expect(0, 11809, '\p{initialpunctuation}', "");
Expect(1, 11809, '\p{^initialpunctuation}', "");
Expect(1, 11809, '\P{initialpunctuation}', "");
Expect(0, 11809, '\P{^initialpunctuation}', "");
Expect(1, 11808, '\p{-INITIAL_PUNCTUATION}', "");
Expect(0, 11808, '\p{^-INITIAL_PUNCTUATION}', "");
Expect(0, 11808, '\P{-INITIAL_PUNCTUATION}', "");
Expect(1, 11808, '\P{^-INITIAL_PUNCTUATION}', "");
Expect(0, 11809, '\p{-INITIAL_PUNCTUATION}', "");
Expect(1, 11809, '\p{^-INITIAL_PUNCTUATION}', "");
Expect(1, 11809, '\P{-INITIAL_PUNCTUATION}', "");
Expect(0, 11809, '\P{^-INITIAL_PUNCTUATION}', "");
Error('\p{/a/		Is_initial_Punctuation}');
Error('\P{/a/		Is_initial_Punctuation}');
Expect(1, 11808, '\p{isinitialpunctuation}', "");
Expect(0, 11808, '\p{^isinitialpunctuation}', "");
Expect(0, 11808, '\P{isinitialpunctuation}', "");
Expect(1, 11808, '\P{^isinitialpunctuation}', "");
Expect(0, 11809, '\p{isinitialpunctuation}', "");
Expect(1, 11809, '\p{^isinitialpunctuation}', "");
Expect(1, 11809, '\P{isinitialpunctuation}', "");
Expect(0, 11809, '\P{^isinitialpunctuation}', "");
Expect(1, 11808, '\p{	_Is_INITIAL_Punctuation}', "");
Expect(0, 11808, '\p{^	_Is_INITIAL_Punctuation}', "");
Expect(0, 11808, '\P{	_Is_INITIAL_Punctuation}', "");
Expect(1, 11808, '\P{^	_Is_INITIAL_Punctuation}', "");
Expect(0, 11809, '\p{	_Is_INITIAL_Punctuation}', "");
Expect(1, 11809, '\p{^	_Is_INITIAL_Punctuation}', "");
Expect(1, 11809, '\P{	_Is_INITIAL_Punctuation}', "");
Expect(0, 11809, '\P{^	_Is_INITIAL_Punctuation}', "");
Error('\p{-_pi/a/}');
Error('\P{-_pi/a/}');
Expect(1, 11808, '\p{pi}', "");
Expect(0, 11808, '\p{^pi}', "");
Expect(0, 11808, '\P{pi}', "");
Expect(1, 11808, '\P{^pi}', "");
Expect(0, 11809, '\p{pi}', "");
Expect(1, 11809, '\p{^pi}', "");
Expect(1, 11809, '\P{pi}', "");
Expect(0, 11809, '\P{^pi}', "");
Expect(1, 11808, '\p{ pi}', "");
Expect(0, 11808, '\p{^ pi}', "");
Expect(0, 11808, '\P{ pi}', "");
Expect(1, 11808, '\P{^ pi}', "");
Expect(0, 11809, '\p{ pi}', "");
Expect(1, 11809, '\p{^ pi}', "");
Expect(1, 11809, '\P{ pi}', "");
Expect(0, 11809, '\P{^ pi}', "");
Error('\p{:=-	IS_Pi}');
Error('\P{:=-	IS_Pi}');
Expect(1, 11808, '\p{ispi}', "");
Expect(0, 11808, '\p{^ispi}', "");
Expect(0, 11808, '\P{ispi}', "");
Expect(1, 11808, '\P{^ispi}', "");
Expect(0, 11809, '\p{ispi}', "");
Expect(1, 11809, '\p{^ispi}', "");
Expect(1, 11809, '\P{ispi}', "");
Expect(0, 11809, '\P{^ispi}', "");
Expect(1, 11808, '\p{	is_Pi}', "");
Expect(0, 11808, '\p{^	is_Pi}', "");
Expect(0, 11808, '\P{	is_Pi}', "");
Expect(1, 11808, '\P{^	is_Pi}', "");
Expect(0, 11809, '\p{	is_Pi}', "");
Expect(1, 11809, '\p{^	is_Pi}', "");
Expect(1, 11809, '\P{	is_Pi}', "");
Expect(0, 11809, '\P{^	is_Pi}', "");
Error('\p{	:=Inscriptional_pahlavi}');
Error('\P{	:=Inscriptional_pahlavi}');
Expect(1, 68479, '\p{inscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^inscriptionalpahlavi}', "");
Expect(0, 68479, '\P{inscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^inscriptionalpahlavi}', "");
Expect(0, 68480, '\p{inscriptionalpahlavi}', "");
Expect(1, 68480, '\p{^inscriptionalpahlavi}', "");
Expect(1, 68480, '\P{inscriptionalpahlavi}', "");
Expect(0, 68480, '\P{^inscriptionalpahlavi}', "");
Expect(1, 68479, '\p{		INSCRIPTIONAL_Pahlavi}', "");
Expect(0, 68479, '\p{^		INSCRIPTIONAL_Pahlavi}', "");
Expect(0, 68479, '\P{		INSCRIPTIONAL_Pahlavi}', "");
Expect(1, 68479, '\P{^		INSCRIPTIONAL_Pahlavi}', "");
Expect(0, 68480, '\p{		INSCRIPTIONAL_Pahlavi}', "");
Expect(1, 68480, '\p{^		INSCRIPTIONAL_Pahlavi}', "");
Expect(1, 68480, '\P{		INSCRIPTIONAL_Pahlavi}', "");
Expect(0, 68480, '\P{^		INSCRIPTIONAL_Pahlavi}', "");
Error('\p{/a/Is_Inscriptional_Pahlavi}');
Error('\P{/a/Is_Inscriptional_Pahlavi}');
Expect(1, 68479, '\p{isinscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^isinscriptionalpahlavi}', "");
Expect(0, 68479, '\P{isinscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^isinscriptionalpahlavi}', "");
Expect(0, 68480, '\p{isinscriptionalpahlavi}', "");
Expect(1, 68480, '\p{^isinscriptionalpahlavi}', "");
Expect(1, 68480, '\P{isinscriptionalpahlavi}', "");
Expect(0, 68480, '\P{^isinscriptionalpahlavi}', "");
Expect(1, 68479, '\p{_IS_Inscriptional_pahlavi}', "");
Expect(0, 68479, '\p{^_IS_Inscriptional_pahlavi}', "");
Expect(0, 68479, '\P{_IS_Inscriptional_pahlavi}', "");
Expect(1, 68479, '\P{^_IS_Inscriptional_pahlavi}', "");
Expect(0, 68480, '\p{_IS_Inscriptional_pahlavi}', "");
Expect(1, 68480, '\p{^_IS_Inscriptional_pahlavi}', "");
Expect(1, 68480, '\P{_IS_Inscriptional_pahlavi}', "");
Expect(0, 68480, '\P{^_IS_Inscriptional_pahlavi}', "");
Error('\p{/a/_-PHLI}');
Error('\P{/a/_-PHLI}');
Expect(1, 68479, '\p{phli}', "");
Expect(0, 68479, '\p{^phli}', "");
Expect(0, 68479, '\P{phli}', "");
Expect(1, 68479, '\P{^phli}', "");
Expect(0, 68480, '\p{phli}', "");
Expect(1, 68480, '\p{^phli}', "");
Expect(1, 68480, '\P{phli}', "");
Expect(0, 68480, '\P{^phli}', "");
Expect(1, 68479, '\p{	PHLI}', "");
Expect(0, 68479, '\p{^	PHLI}', "");
Expect(0, 68479, '\P{	PHLI}', "");
Expect(1, 68479, '\P{^	PHLI}', "");
Expect(0, 68480, '\p{	PHLI}', "");
Expect(1, 68480, '\p{^	PHLI}', "");
Expect(1, 68480, '\P{	PHLI}', "");
Expect(0, 68480, '\P{^	PHLI}', "");
Error('\p{-Is_PHLI/a/}');
Error('\P{-Is_PHLI/a/}');
Expect(1, 68479, '\p{isphli}', "");
Expect(0, 68479, '\p{^isphli}', "");
Expect(0, 68479, '\P{isphli}', "");
Expect(1, 68479, '\P{^isphli}', "");
Expect(0, 68480, '\p{isphli}', "");
Expect(1, 68480, '\p{^isphli}', "");
Expect(1, 68480, '\P{isphli}', "");
Expect(0, 68480, '\P{^isphli}', "");
Expect(1, 68479, '\p{	-Is_Phli}', "");
Expect(0, 68479, '\p{^	-Is_Phli}', "");
Expect(0, 68479, '\P{	-Is_Phli}', "");
Expect(1, 68479, '\P{^	-Is_Phli}', "");
Expect(0, 68480, '\p{	-Is_Phli}', "");
Expect(1, 68480, '\p{^	-Is_Phli}', "");
Expect(1, 68480, '\P{	-Is_Phli}', "");
Expect(0, 68480, '\P{^	-Is_Phli}', "");
Error('\p{:=--Inscriptional_parthian}');
Error('\P{:=--Inscriptional_parthian}');
Expect(1, 68447, '\p{inscriptionalparthian}', "");
Expect(0, 68447, '\p{^inscriptionalparthian}', "");
Expect(0, 68447, '\P{inscriptionalparthian}', "");
Expect(1, 68447, '\P{^inscriptionalparthian}', "");
Expect(0, 68448, '\p{inscriptionalparthian}', "");
Expect(1, 68448, '\p{^inscriptionalparthian}', "");
Expect(1, 68448, '\P{inscriptionalparthian}', "");
Expect(0, 68448, '\P{^inscriptionalparthian}', "");
Expect(1, 68447, '\p{__Inscriptional_parthian}', "");
Expect(0, 68447, '\p{^__Inscriptional_parthian}', "");
Expect(0, 68447, '\P{__Inscriptional_parthian}', "");
Expect(1, 68447, '\P{^__Inscriptional_parthian}', "");
Expect(0, 68448, '\p{__Inscriptional_parthian}', "");
Expect(1, 68448, '\p{^__Inscriptional_parthian}', "");
Expect(1, 68448, '\P{__Inscriptional_parthian}', "");
Expect(0, 68448, '\P{^__Inscriptional_parthian}', "");
Error('\p{:=-is_Inscriptional_Parthian}');
Error('\P{:=-is_Inscriptional_Parthian}');
Expect(1, 68447, '\p{isinscriptionalparthian}', "");
Expect(0, 68447, '\p{^isinscriptionalparthian}', "");
Expect(0, 68447, '\P{isinscriptionalparthian}', "");
Expect(1, 68447, '\P{^isinscriptionalparthian}', "");
Expect(0, 68448, '\p{isinscriptionalparthian}', "");
Expect(1, 68448, '\p{^isinscriptionalparthian}', "");
Expect(1, 68448, '\P{isinscriptionalparthian}', "");
Expect(0, 68448, '\P{^isinscriptionalparthian}', "");
Expect(1, 68447, '\p{		Is_Inscriptional_Parthian}', "");
Expect(0, 68447, '\p{^		Is_Inscriptional_Parthian}', "");
Expect(0, 68447, '\P{		Is_Inscriptional_Parthian}', "");
Expect(1, 68447, '\P{^		Is_Inscriptional_Parthian}', "");
Expect(0, 68448, '\p{		Is_Inscriptional_Parthian}', "");
Expect(1, 68448, '\p{^		Is_Inscriptional_Parthian}', "");
Expect(1, 68448, '\P{		Is_Inscriptional_Parthian}', "");
Expect(0, 68448, '\P{^		Is_Inscriptional_Parthian}', "");
Error('\p{ -prti/a/}');
Error('\P{ -prti/a/}');
Expect(1, 68447, '\p{prti}', "");
Expect(0, 68447, '\p{^prti}', "");
Expect(0, 68447, '\P{prti}', "");
Expect(1, 68447, '\P{^prti}', "");
Expect(0, 68448, '\p{prti}', "");
Expect(1, 68448, '\p{^prti}', "");
Expect(1, 68448, '\P{prti}', "");
Expect(0, 68448, '\P{^prti}', "");
Expect(1, 68447, '\p{_ PRTI}', "");
Expect(0, 68447, '\p{^_ PRTI}', "");
Expect(0, 68447, '\P{_ PRTI}', "");
Expect(1, 68447, '\P{^_ PRTI}', "");
Expect(0, 68448, '\p{_ PRTI}', "");
Expect(1, 68448, '\p{^_ PRTI}', "");
Expect(1, 68448, '\P{_ PRTI}', "");
Expect(0, 68448, '\P{^_ PRTI}', "");
Error('\p{ Is_PRTI:=}');
Error('\P{ Is_PRTI:=}');
Expect(1, 68447, '\p{isprti}', "");
Expect(0, 68447, '\p{^isprti}', "");
Expect(0, 68447, '\P{isprti}', "");
Expect(1, 68447, '\P{^isprti}', "");
Expect(0, 68448, '\p{isprti}', "");
Expect(1, 68448, '\p{^isprti}', "");
Expect(1, 68448, '\P{isprti}', "");
Expect(0, 68448, '\P{^isprti}', "");
Expect(1, 68447, '\p{_-IS_Prti}', "");
Expect(0, 68447, '\p{^_-IS_Prti}', "");
Expect(0, 68447, '\P{_-IS_Prti}', "");
Expect(1, 68447, '\P{^_-IS_Prti}', "");
Expect(0, 68448, '\p{_-IS_Prti}', "");
Expect(1, 68448, '\p{^_-IS_Prti}', "");
Expect(1, 68448, '\P{_-IS_Prti}', "");
Expect(0, 68448, '\P{^_-IS_Prti}', "");
Error('\p{ -Javanese/a/}');
Error('\P{ -Javanese/a/}');
Expect(1, 43487, '\p{javanese}', "");
Expect(0, 43487, '\p{^javanese}', "");
Expect(0, 43487, '\P{javanese}', "");
Expect(1, 43487, '\P{^javanese}', "");
Expect(0, 43488, '\p{javanese}', "");
Expect(1, 43488, '\p{^javanese}', "");
Expect(1, 43488, '\P{javanese}', "");
Expect(0, 43488, '\P{^javanese}', "");
Expect(1, 43487, '\p{--Javanese}', "");
Expect(0, 43487, '\p{^--Javanese}', "");
Expect(0, 43487, '\P{--Javanese}', "");
Expect(1, 43487, '\P{^--Javanese}', "");
Expect(0, 43488, '\p{--Javanese}', "");
Expect(1, 43488, '\p{^--Javanese}', "");
Expect(1, 43488, '\P{--Javanese}', "");
Expect(0, 43488, '\P{^--Javanese}', "");
Error('\p{/a/	is_Javanese}');
Error('\P{/a/	is_Javanese}');
Expect(1, 43487, '\p{isjavanese}', "");
Expect(0, 43487, '\p{^isjavanese}', "");
Expect(0, 43487, '\P{isjavanese}', "");
Expect(1, 43487, '\P{^isjavanese}', "");
Expect(0, 43488, '\p{isjavanese}', "");
Expect(1, 43488, '\p{^isjavanese}', "");
Expect(1, 43488, '\P{isjavanese}', "");
Expect(0, 43488, '\P{^isjavanese}', "");
Expect(1, 43487, '\p{-is_Javanese}', "");
Expect(0, 43487, '\p{^-is_Javanese}', "");
Expect(0, 43487, '\P{-is_Javanese}', "");
Expect(1, 43487, '\P{^-is_Javanese}', "");
Expect(0, 43488, '\p{-is_Javanese}', "");
Expect(1, 43488, '\p{^-is_Javanese}', "");
Expect(1, 43488, '\P{-is_Javanese}', "");
Expect(0, 43488, '\P{^-is_Javanese}', "");
Error('\p{-/a/JAVA}');
Error('\P{-/a/JAVA}');
Expect(1, 43487, '\p{java}', "");
Expect(0, 43487, '\p{^java}', "");
Expect(0, 43487, '\P{java}', "");
Expect(1, 43487, '\P{^java}', "");
Expect(0, 43488, '\p{java}', "");
Expect(1, 43488, '\p{^java}', "");
Expect(1, 43488, '\P{java}', "");
Expect(0, 43488, '\P{^java}', "");
Expect(1, 43487, '\p{-_java}', "");
Expect(0, 43487, '\p{^-_java}', "");
Expect(0, 43487, '\P{-_java}', "");
Expect(1, 43487, '\P{^-_java}', "");
Expect(0, 43488, '\p{-_java}', "");
Expect(1, 43488, '\p{^-_java}', "");
Expect(1, 43488, '\P{-_java}', "");
Expect(0, 43488, '\P{^-_java}', "");
Error('\p{:=- is_JAVA}');
Error('\P{:=- is_JAVA}');
Expect(1, 43487, '\p{isjava}', "");
Expect(0, 43487, '\p{^isjava}', "");
Expect(0, 43487, '\P{isjava}', "");
Expect(1, 43487, '\P{^isjava}', "");
Expect(0, 43488, '\p{isjava}', "");
Expect(1, 43488, '\p{^isjava}', "");
Expect(1, 43488, '\P{isjava}', "");
Expect(0, 43488, '\P{^isjava}', "");
Expect(1, 43487, '\p{-is_Java}', "");
Expect(0, 43487, '\p{^-is_Java}', "");
Expect(0, 43487, '\P{-is_Java}', "");
Expect(1, 43487, '\P{^-is_Java}', "");
Expect(0, 43488, '\p{-is_Java}', "");
Expect(1, 43488, '\p{^-is_Java}', "");
Expect(1, 43488, '\P{-is_Java}', "");
Expect(0, 43488, '\P{^-is_Java}', "");
Error('\p{	/a/join_Control}');
Error('\P{	/a/join_Control}');
Expect(1, 8205, '\p{joincontrol}', "");
Expect(0, 8205, '\p{^joincontrol}', "");
Expect(0, 8205, '\P{joincontrol}', "");
Expect(1, 8205, '\P{^joincontrol}', "");
Expect(0, 8206, '\p{joincontrol}', "");
Expect(1, 8206, '\p{^joincontrol}', "");
Expect(1, 8206, '\P{joincontrol}', "");
Expect(0, 8206, '\P{^joincontrol}', "");
Expect(1, 8205, '\p{__Join_Control}', "");
Expect(0, 8205, '\p{^__Join_Control}', "");
Expect(0, 8205, '\P{__Join_Control}', "");
Expect(1, 8205, '\P{^__Join_Control}', "");
Expect(0, 8206, '\p{__Join_Control}', "");
Expect(1, 8206, '\p{^__Join_Control}', "");
Expect(1, 8206, '\P{__Join_Control}', "");
Expect(0, 8206, '\P{^__Join_Control}', "");
Error('\p{ Is_Join_Control/a/}');
Error('\P{ Is_Join_Control/a/}');
Expect(1, 8205, '\p{isjoincontrol}', "");
Expect(0, 8205, '\p{^isjoincontrol}', "");
Expect(0, 8205, '\P{isjoincontrol}', "");
Expect(1, 8205, '\P{^isjoincontrol}', "");
Expect(0, 8206, '\p{isjoincontrol}', "");
Expect(1, 8206, '\p{^isjoincontrol}', "");
Expect(1, 8206, '\P{isjoincontrol}', "");
Expect(0, 8206, '\P{^isjoincontrol}', "");
Expect(1, 8205, '\p{ IS_join_Control}', "");
Expect(0, 8205, '\p{^ IS_join_Control}', "");
Expect(0, 8205, '\P{ IS_join_Control}', "");
Expect(1, 8205, '\P{^ IS_join_Control}', "");
Expect(0, 8206, '\p{ IS_join_Control}', "");
Expect(1, 8206, '\p{^ IS_join_Control}', "");
Expect(1, 8206, '\P{ IS_join_Control}', "");
Expect(0, 8206, '\P{^ IS_join_Control}', "");
Error('\p{_-join_C:=}');
Error('\P{_-join_C:=}');
Expect(1, 8205, '\p{joinc}', "");
Expect(0, 8205, '\p{^joinc}', "");
Expect(0, 8205, '\P{joinc}', "");
Expect(1, 8205, '\P{^joinc}', "");
Expect(0, 8206, '\p{joinc}', "");
Expect(1, 8206, '\p{^joinc}', "");
Expect(1, 8206, '\P{joinc}', "");
Expect(0, 8206, '\P{^joinc}', "");
Expect(1, 8205, '\p{_join_C}', "");
Expect(0, 8205, '\p{^_join_C}', "");
Expect(0, 8205, '\P{_join_C}', "");
Expect(1, 8205, '\P{^_join_C}', "");
Expect(0, 8206, '\p{_join_C}', "");
Expect(1, 8206, '\p{^_join_C}', "");
Expect(1, 8206, '\P{_join_C}', "");
Expect(0, 8206, '\P{^_join_C}', "");
Error('\p{ IS_JOIN_c:=}');
Error('\P{ IS_JOIN_c:=}');
Expect(1, 8205, '\p{isjoinc}', "");
Expect(0, 8205, '\p{^isjoinc}', "");
Expect(0, 8205, '\P{isjoinc}', "");
Expect(1, 8205, '\P{^isjoinc}', "");
Expect(0, 8206, '\p{isjoinc}', "");
Expect(1, 8206, '\p{^isjoinc}', "");
Expect(1, 8206, '\P{isjoinc}', "");
Expect(0, 8206, '\P{^isjoinc}', "");
Expect(1, 8205, '\p{--is_Join_C}', "");
Expect(0, 8205, '\p{^--is_Join_C}', "");
Expect(0, 8205, '\P{--is_Join_C}', "");
Expect(1, 8205, '\P{^--is_Join_C}', "");
Expect(0, 8206, '\p{--is_Join_C}', "");
Expect(1, 8206, '\p{^--is_Join_C}', "");
Expect(1, 8206, '\P{--is_Join_C}', "");
Expect(0, 8206, '\P{^--is_Join_C}', "");
Error('\p{:=- kaithi}');
Error('\P{:=- kaithi}');
Expect(1, 69825, '\p{kaithi}', "");
Expect(0, 69825, '\p{^kaithi}', "");
Expect(0, 69825, '\P{kaithi}', "");
Expect(1, 69825, '\P{^kaithi}', "");
Expect(0, 69826, '\p{kaithi}', "");
Expect(1, 69826, '\p{^kaithi}', "");
Expect(1, 69826, '\P{kaithi}', "");
Expect(0, 69826, '\P{^kaithi}', "");
Expect(1, 69825, '\p{__KAITHI}', "");
Expect(0, 69825, '\p{^__KAITHI}', "");
Expect(0, 69825, '\P{__KAITHI}', "");
Expect(1, 69825, '\P{^__KAITHI}', "");
Expect(0, 69826, '\p{__KAITHI}', "");
Expect(1, 69826, '\p{^__KAITHI}', "");
Expect(1, 69826, '\P{__KAITHI}', "");
Expect(0, 69826, '\P{^__KAITHI}', "");
Error('\p{:=_ Is_Kaithi}');
Error('\P{:=_ Is_Kaithi}');
Expect(1, 69825, '\p{iskaithi}', "");
Expect(0, 69825, '\p{^iskaithi}', "");
Expect(0, 69825, '\P{iskaithi}', "");
Expect(1, 69825, '\P{^iskaithi}', "");
Expect(0, 69826, '\p{iskaithi}', "");
Expect(1, 69826, '\p{^iskaithi}', "");
Expect(1, 69826, '\P{iskaithi}', "");
Expect(0, 69826, '\P{^iskaithi}', "");
Expect(1, 69825, '\p{ -IS_Kaithi}', "");
Expect(0, 69825, '\p{^ -IS_Kaithi}', "");
Expect(0, 69825, '\P{ -IS_Kaithi}', "");
Expect(1, 69825, '\P{^ -IS_Kaithi}', "");
Expect(0, 69826, '\p{ -IS_Kaithi}', "");
Expect(1, 69826, '\p{^ -IS_Kaithi}', "");
Expect(1, 69826, '\P{ -IS_Kaithi}', "");
Expect(0, 69826, '\P{^ -IS_Kaithi}', "");
Error('\p{	kthi:=}');
Error('\P{	kthi:=}');
Expect(1, 69825, '\p{kthi}', "");
Expect(0, 69825, '\p{^kthi}', "");
Expect(0, 69825, '\P{kthi}', "");
Expect(1, 69825, '\P{^kthi}', "");
Expect(0, 69826, '\p{kthi}', "");
Expect(1, 69826, '\p{^kthi}', "");
Expect(1, 69826, '\P{kthi}', "");
Expect(0, 69826, '\P{^kthi}', "");
Expect(1, 69825, '\p{ -Kthi}', "");
Expect(0, 69825, '\p{^ -Kthi}', "");
Expect(0, 69825, '\P{ -Kthi}', "");
Expect(1, 69825, '\P{^ -Kthi}', "");
Expect(0, 69826, '\p{ -Kthi}', "");
Expect(1, 69826, '\p{^ -Kthi}', "");
Expect(1, 69826, '\P{ -Kthi}', "");
Expect(0, 69826, '\P{^ -Kthi}', "");
Error('\p{__IS_Kthi:=}');
Error('\P{__IS_Kthi:=}');
Expect(1, 69825, '\p{iskthi}', "");
Expect(0, 69825, '\p{^iskthi}', "");
Expect(0, 69825, '\P{iskthi}', "");
Expect(1, 69825, '\P{^iskthi}', "");
Expect(0, 69826, '\p{iskthi}', "");
Expect(1, 69826, '\p{^iskthi}', "");
Expect(1, 69826, '\P{iskthi}', "");
Expect(0, 69826, '\P{^iskthi}', "");
Expect(1, 69825, '\p{_IS_kthi}', "");
Expect(0, 69825, '\p{^_IS_kthi}', "");
Expect(0, 69825, '\P{_IS_kthi}', "");
Expect(1, 69825, '\P{^_IS_kthi}', "");
Expect(0, 69826, '\p{_IS_kthi}', "");
Expect(1, 69826, '\p{^_IS_kthi}', "");
Expect(1, 69826, '\P{_IS_kthi}', "");
Expect(0, 69826, '\P{^_IS_kthi}', "");
Error('\p{/a/--kana_Supplement}');
Error('\P{/a/--kana_Supplement}');
Expect(1, 110847, '\p{kanasupplement}', "");
Expect(0, 110847, '\p{^kanasupplement}', "");
Expect(0, 110847, '\P{kanasupplement}', "");
Expect(1, 110847, '\P{^kanasupplement}', "");
Expect(0, 110848, '\p{kanasupplement}', "");
Expect(1, 110848, '\p{^kanasupplement}', "");
Expect(1, 110848, '\P{kanasupplement}', "");
Expect(0, 110848, '\P{^kanasupplement}', "");
Expect(1, 110847, '\p{	-KANA_Supplement}', "");
Expect(0, 110847, '\p{^	-KANA_Supplement}', "");
Expect(0, 110847, '\P{	-KANA_Supplement}', "");
Expect(1, 110847, '\P{^	-KANA_Supplement}', "");
Expect(0, 110848, '\p{	-KANA_Supplement}', "");
Expect(1, 110848, '\p{^	-KANA_Supplement}', "");
Expect(1, 110848, '\P{	-KANA_Supplement}', "");
Expect(0, 110848, '\P{^	-KANA_Supplement}', "");
Error('\p{-:=IS_Kana_SUPPLEMENT}');
Error('\P{-:=IS_Kana_SUPPLEMENT}');
Expect(1, 110847, '\p{iskanasupplement}', "");
Expect(0, 110847, '\p{^iskanasupplement}', "");
Expect(0, 110847, '\P{iskanasupplement}', "");
Expect(1, 110847, '\P{^iskanasupplement}', "");
Expect(0, 110848, '\p{iskanasupplement}', "");
Expect(1, 110848, '\p{^iskanasupplement}', "");
Expect(1, 110848, '\P{iskanasupplement}', "");
Expect(0, 110848, '\P{^iskanasupplement}', "");
Expect(1, 110847, '\p{_is_KANA_Supplement}', "");
Expect(0, 110847, '\p{^_is_KANA_Supplement}', "");
Expect(0, 110847, '\P{_is_KANA_Supplement}', "");
Expect(1, 110847, '\P{^_is_KANA_Supplement}', "");
Expect(0, 110848, '\p{_is_KANA_Supplement}', "");
Expect(1, 110848, '\p{^_is_KANA_Supplement}', "");
Expect(1, 110848, '\P{_is_KANA_Supplement}', "");
Expect(0, 110848, '\P{^_is_KANA_Supplement}', "");
Error('\p{/a/-_IN_kana_supplement}');
Error('\P{/a/-_IN_kana_supplement}');
Expect(1, 110847, '\p{inkanasupplement}', "");
Expect(0, 110847, '\p{^inkanasupplement}', "");
Expect(0, 110847, '\P{inkanasupplement}', "");
Expect(1, 110847, '\P{^inkanasupplement}', "");
Expect(0, 110848, '\p{inkanasupplement}', "");
Expect(1, 110848, '\p{^inkanasupplement}', "");
Expect(1, 110848, '\P{inkanasupplement}', "");
Expect(0, 110848, '\P{^inkanasupplement}', "");
Expect(1, 110847, '\p{-In_KANA_SUPPLEMENT}', "");
Expect(0, 110847, '\p{^-In_KANA_SUPPLEMENT}', "");
Expect(0, 110847, '\P{-In_KANA_SUPPLEMENT}', "");
Expect(1, 110847, '\P{^-In_KANA_SUPPLEMENT}', "");
Expect(0, 110848, '\p{-In_KANA_SUPPLEMENT}', "");
Expect(1, 110848, '\p{^-In_KANA_SUPPLEMENT}', "");
Expect(1, 110848, '\P{-In_KANA_SUPPLEMENT}', "");
Expect(0, 110848, '\P{^-In_KANA_SUPPLEMENT}', "");
Error('\p{	/a/kana_sup}');
Error('\P{	/a/kana_sup}');
Expect(1, 110847, '\p{kanasup}', "");
Expect(0, 110847, '\p{^kanasup}', "");
Expect(0, 110847, '\P{kanasup}', "");
Expect(1, 110847, '\P{^kanasup}', "");
Expect(0, 110848, '\p{kanasup}', "");
Expect(1, 110848, '\p{^kanasup}', "");
Expect(1, 110848, '\P{kanasup}', "");
Expect(0, 110848, '\P{^kanasup}', "");
Expect(1, 110847, '\p{	KANA_Sup}', "");
Expect(0, 110847, '\p{^	KANA_Sup}', "");
Expect(0, 110847, '\P{	KANA_Sup}', "");
Expect(1, 110847, '\P{^	KANA_Sup}', "");
Expect(0, 110848, '\p{	KANA_Sup}', "");
Expect(1, 110848, '\p{^	KANA_Sup}', "");
Expect(1, 110848, '\P{	KANA_Sup}', "");
Expect(0, 110848, '\P{^	KANA_Sup}', "");
Error('\p{:=IS_kana_Sup}');
Error('\P{:=IS_kana_Sup}');
Expect(1, 110847, '\p{iskanasup}', "");
Expect(0, 110847, '\p{^iskanasup}', "");
Expect(0, 110847, '\P{iskanasup}', "");
Expect(1, 110847, '\P{^iskanasup}', "");
Expect(0, 110848, '\p{iskanasup}', "");
Expect(1, 110848, '\p{^iskanasup}', "");
Expect(1, 110848, '\P{iskanasup}', "");
Expect(0, 110848, '\P{^iskanasup}', "");
Expect(1, 110847, '\p{ Is_Kana_Sup}', "");
Expect(0, 110847, '\p{^ Is_Kana_Sup}', "");
Expect(0, 110847, '\P{ Is_Kana_Sup}', "");
Expect(1, 110847, '\P{^ Is_Kana_Sup}', "");
Expect(0, 110848, '\p{ Is_Kana_Sup}', "");
Expect(1, 110848, '\p{^ Is_Kana_Sup}', "");
Expect(1, 110848, '\P{ Is_Kana_Sup}', "");
Expect(0, 110848, '\P{^ Is_Kana_Sup}', "");
Error('\p{ In_Kana_Sup:=}');
Error('\P{ In_Kana_Sup:=}');
Expect(1, 110847, '\p{inkanasup}', "");
Expect(0, 110847, '\p{^inkanasup}', "");
Expect(0, 110847, '\P{inkanasup}', "");
Expect(1, 110847, '\P{^inkanasup}', "");
Expect(0, 110848, '\p{inkanasup}', "");
Expect(1, 110848, '\p{^inkanasup}', "");
Expect(1, 110848, '\P{inkanasup}', "");
Expect(0, 110848, '\P{^inkanasup}', "");
Expect(1, 110847, '\p{--In_KANA_Sup}', "");
Expect(0, 110847, '\p{^--In_KANA_Sup}', "");
Expect(0, 110847, '\P{--In_KANA_Sup}', "");
Expect(1, 110847, '\P{^--In_KANA_Sup}', "");
Expect(0, 110848, '\p{--In_KANA_Sup}', "");
Expect(1, 110848, '\p{^--In_KANA_Sup}', "");
Expect(1, 110848, '\P{--In_KANA_Sup}', "");
Expect(0, 110848, '\P{^--In_KANA_Sup}', "");
Error('\p{ /a/Kanbun}');
Error('\P{ /a/Kanbun}');
Expect(1, 12703, '\p{kanbun}', "");
Expect(0, 12703, '\p{^kanbun}', "");
Expect(0, 12703, '\P{kanbun}', "");
Expect(1, 12703, '\P{^kanbun}', "");
Expect(0, 12704, '\p{kanbun}', "");
Expect(1, 12704, '\p{^kanbun}', "");
Expect(1, 12704, '\P{kanbun}', "");
Expect(0, 12704, '\P{^kanbun}', "");
Expect(1, 12703, '\p{	_kanbun}', "");
Expect(0, 12703, '\p{^	_kanbun}', "");
Expect(0, 12703, '\P{	_kanbun}', "");
Expect(1, 12703, '\P{^	_kanbun}', "");
Expect(0, 12704, '\p{	_kanbun}', "");
Expect(1, 12704, '\p{^	_kanbun}', "");
Expect(1, 12704, '\P{	_kanbun}', "");
Expect(0, 12704, '\P{^	_kanbun}', "");
Error('\p{ IS_Kanbun/a/}');
Error('\P{ IS_Kanbun/a/}');
Expect(1, 12703, '\p{iskanbun}', "");
Expect(0, 12703, '\p{^iskanbun}', "");
Expect(0, 12703, '\P{iskanbun}', "");
Expect(1, 12703, '\P{^iskanbun}', "");
Expect(0, 12704, '\p{iskanbun}', "");
Expect(1, 12704, '\p{^iskanbun}', "");
Expect(1, 12704, '\P{iskanbun}', "");
Expect(0, 12704, '\P{^iskanbun}', "");
Expect(1, 12703, '\p{--Is_KANBUN}', "");
Expect(0, 12703, '\p{^--Is_KANBUN}', "");
Expect(0, 12703, '\P{--Is_KANBUN}', "");
Expect(1, 12703, '\P{^--Is_KANBUN}', "");
Expect(0, 12704, '\p{--Is_KANBUN}', "");
Expect(1, 12704, '\p{^--Is_KANBUN}', "");
Expect(1, 12704, '\P{--Is_KANBUN}', "");
Expect(0, 12704, '\P{^--Is_KANBUN}', "");
Error('\p{ IN_Kanbun/a/}');
Error('\P{ IN_Kanbun/a/}');
Expect(1, 12703, '\p{inkanbun}', "");
Expect(0, 12703, '\p{^inkanbun}', "");
Expect(0, 12703, '\P{inkanbun}', "");
Expect(1, 12703, '\P{^inkanbun}', "");
Expect(0, 12704, '\p{inkanbun}', "");
Expect(1, 12704, '\p{^inkanbun}', "");
Expect(1, 12704, '\P{inkanbun}', "");
Expect(0, 12704, '\P{^inkanbun}', "");
Expect(1, 12703, '\p{-In_Kanbun}', "");
Expect(0, 12703, '\p{^-In_Kanbun}', "");
Expect(0, 12703, '\P{-In_Kanbun}', "");
Expect(1, 12703, '\P{^-In_Kanbun}', "");
Expect(0, 12704, '\p{-In_Kanbun}', "");
Expect(1, 12704, '\p{^-In_Kanbun}', "");
Expect(1, 12704, '\P{-In_Kanbun}', "");
Expect(0, 12704, '\P{^-In_Kanbun}', "");
Error('\p{:=	-Kangxi_Radicals}');
Error('\P{:=	-Kangxi_Radicals}');
Expect(1, 12255, '\p{kangxiradicals}', "");
Expect(0, 12255, '\p{^kangxiradicals}', "");
Expect(0, 12255, '\P{kangxiradicals}', "");
Expect(1, 12255, '\P{^kangxiradicals}', "");
Expect(0, 12256, '\p{kangxiradicals}', "");
Expect(1, 12256, '\p{^kangxiradicals}', "");
Expect(1, 12256, '\P{kangxiradicals}', "");
Expect(0, 12256, '\P{^kangxiradicals}', "");
Expect(1, 12255, '\p{ _Kangxi_Radicals}', "");
Expect(0, 12255, '\p{^ _Kangxi_Radicals}', "");
Expect(0, 12255, '\P{ _Kangxi_Radicals}', "");
Expect(1, 12255, '\P{^ _Kangxi_Radicals}', "");
Expect(0, 12256, '\p{ _Kangxi_Radicals}', "");
Expect(1, 12256, '\p{^ _Kangxi_Radicals}', "");
Expect(1, 12256, '\P{ _Kangxi_Radicals}', "");
Expect(0, 12256, '\P{^ _Kangxi_Radicals}', "");
Error('\p{__is_KANGXI_radicals/a/}');
Error('\P{__is_KANGXI_radicals/a/}');
Expect(1, 12255, '\p{iskangxiradicals}', "");
Expect(0, 12255, '\p{^iskangxiradicals}', "");
Expect(0, 12255, '\P{iskangxiradicals}', "");
Expect(1, 12255, '\P{^iskangxiradicals}', "");
Expect(0, 12256, '\p{iskangxiradicals}', "");
Expect(1, 12256, '\p{^iskangxiradicals}', "");
Expect(1, 12256, '\P{iskangxiradicals}', "");
Expect(0, 12256, '\P{^iskangxiradicals}', "");
Expect(1, 12255, '\p{--Is_KANGXI_Radicals}', "");
Expect(0, 12255, '\p{^--Is_KANGXI_Radicals}', "");
Expect(0, 12255, '\P{--Is_KANGXI_Radicals}', "");
Expect(1, 12255, '\P{^--Is_KANGXI_Radicals}', "");
Expect(0, 12256, '\p{--Is_KANGXI_Radicals}', "");
Expect(1, 12256, '\p{^--Is_KANGXI_Radicals}', "");
Expect(1, 12256, '\P{--Is_KANGXI_Radicals}', "");
Expect(0, 12256, '\P{^--Is_KANGXI_Radicals}', "");
Error('\p{/a/_In_KANGXI_radicals}');
Error('\P{/a/_In_KANGXI_radicals}');
Expect(1, 12255, '\p{inkangxiradicals}', "");
Expect(0, 12255, '\p{^inkangxiradicals}', "");
Expect(0, 12255, '\P{inkangxiradicals}', "");
Expect(1, 12255, '\P{^inkangxiradicals}', "");
Expect(0, 12256, '\p{inkangxiradicals}', "");
Expect(1, 12256, '\p{^inkangxiradicals}', "");
Expect(1, 12256, '\P{inkangxiradicals}', "");
Expect(0, 12256, '\P{^inkangxiradicals}', "");
Expect(1, 12255, '\p{	-in_Kangxi_RADICALS}', "");
Expect(0, 12255, '\p{^	-in_Kangxi_RADICALS}', "");
Expect(0, 12255, '\P{	-in_Kangxi_RADICALS}', "");
Expect(1, 12255, '\P{^	-in_Kangxi_RADICALS}', "");
Expect(0, 12256, '\p{	-in_Kangxi_RADICALS}', "");
Expect(1, 12256, '\p{^	-in_Kangxi_RADICALS}', "");
Expect(1, 12256, '\P{	-in_Kangxi_RADICALS}', "");
Expect(0, 12256, '\P{^	-in_Kangxi_RADICALS}', "");
Error('\p{	Kangxi/a/}');
Error('\P{	Kangxi/a/}');
Expect(1, 12255, '\p{kangxi}', "");
Expect(0, 12255, '\p{^kangxi}', "");
Expect(0, 12255, '\P{kangxi}', "");
Expect(1, 12255, '\P{^kangxi}', "");
Expect(0, 12256, '\p{kangxi}', "");
Expect(1, 12256, '\p{^kangxi}', "");
Expect(1, 12256, '\P{kangxi}', "");
Expect(0, 12256, '\P{^kangxi}', "");
Expect(1, 12255, '\p{_-KANGXI}', "");
Expect(0, 12255, '\p{^_-KANGXI}', "");
Expect(0, 12255, '\P{_-KANGXI}', "");
Expect(1, 12255, '\P{^_-KANGXI}', "");
Expect(0, 12256, '\p{_-KANGXI}', "");
Expect(1, 12256, '\p{^_-KANGXI}', "");
Expect(1, 12256, '\P{_-KANGXI}', "");
Expect(0, 12256, '\P{^_-KANGXI}', "");
Error('\p{/a/_-Is_Kangxi}');
Error('\P{/a/_-Is_Kangxi}');
Expect(1, 12255, '\p{iskangxi}', "");
Expect(0, 12255, '\p{^iskangxi}', "");
Expect(0, 12255, '\P{iskangxi}', "");
Expect(1, 12255, '\P{^iskangxi}', "");
Expect(0, 12256, '\p{iskangxi}', "");
Expect(1, 12256, '\p{^iskangxi}', "");
Expect(1, 12256, '\P{iskangxi}', "");
Expect(0, 12256, '\P{^iskangxi}', "");
Expect(1, 12255, '\p{ _is_kangxi}', "");
Expect(0, 12255, '\p{^ _is_kangxi}', "");
Expect(0, 12255, '\P{ _is_kangxi}', "");
Expect(1, 12255, '\P{^ _is_kangxi}', "");
Expect(0, 12256, '\p{ _is_kangxi}', "");
Expect(1, 12256, '\p{^ _is_kangxi}', "");
Expect(1, 12256, '\P{ _is_kangxi}', "");
Expect(0, 12256, '\P{^ _is_kangxi}', "");
Error('\p{_:=In_kangxi}');
Error('\P{_:=In_kangxi}');
Expect(1, 12255, '\p{inkangxi}', "");
Expect(0, 12255, '\p{^inkangxi}', "");
Expect(0, 12255, '\P{inkangxi}', "");
Expect(1, 12255, '\P{^inkangxi}', "");
Expect(0, 12256, '\p{inkangxi}', "");
Expect(1, 12256, '\p{^inkangxi}', "");
Expect(1, 12256, '\P{inkangxi}', "");
Expect(0, 12256, '\P{^inkangxi}', "");
Expect(1, 12255, '\p{ -IN_KANGXI}', "");
Expect(0, 12255, '\p{^ -IN_KANGXI}', "");
Expect(0, 12255, '\P{ -IN_KANGXI}', "");
Expect(1, 12255, '\P{^ -IN_KANGXI}', "");
Expect(0, 12256, '\p{ -IN_KANGXI}', "");
Expect(1, 12256, '\p{^ -IN_KANGXI}', "");
Expect(1, 12256, '\P{ -IN_KANGXI}', "");
Expect(0, 12256, '\P{^ -IN_KANGXI}', "");
Error('\p{ 	KANNADA/a/}');
Error('\P{ 	KANNADA/a/}');
Expect(1, 3314, '\p{kannada}', "");
Expect(0, 3314, '\p{^kannada}', "");
Expect(0, 3314, '\P{kannada}', "");
Expect(1, 3314, '\P{^kannada}', "");
Expect(0, 3315, '\p{kannada}', "");
Expect(1, 3315, '\p{^kannada}', "");
Expect(1, 3315, '\P{kannada}', "");
Expect(0, 3315, '\P{^kannada}', "");
Expect(1, 3314, '\p{-kannada}', "");
Expect(0, 3314, '\p{^-kannada}', "");
Expect(0, 3314, '\P{-kannada}', "");
Expect(1, 3314, '\P{^-kannada}', "");
Expect(0, 3315, '\p{-kannada}', "");
Expect(1, 3315, '\p{^-kannada}', "");
Expect(1, 3315, '\P{-kannada}', "");
Expect(0, 3315, '\P{^-kannada}', "");
Error('\p{	-Is_Kannada:=}');
Error('\P{	-Is_Kannada:=}');
Expect(1, 3314, '\p{iskannada}', "");
Expect(0, 3314, '\p{^iskannada}', "");
Expect(0, 3314, '\P{iskannada}', "");
Expect(1, 3314, '\P{^iskannada}', "");
Expect(0, 3315, '\p{iskannada}', "");
Expect(1, 3315, '\p{^iskannada}', "");
Expect(1, 3315, '\P{iskannada}', "");
Expect(0, 3315, '\P{^iskannada}', "");
Expect(1, 3314, '\p{ Is_kannada}', "");
Expect(0, 3314, '\p{^ Is_kannada}', "");
Expect(0, 3314, '\P{ Is_kannada}', "");
Expect(1, 3314, '\P{^ Is_kannada}', "");
Expect(0, 3315, '\p{ Is_kannada}', "");
Expect(1, 3315, '\p{^ Is_kannada}', "");
Expect(1, 3315, '\P{ Is_kannada}', "");
Expect(0, 3315, '\P{^ Is_kannada}', "");
Error('\p{_/a/Knda}');
Error('\P{_/a/Knda}');
Expect(1, 3314, '\p{knda}', "");
Expect(0, 3314, '\p{^knda}', "");
Expect(0, 3314, '\P{knda}', "");
Expect(1, 3314, '\P{^knda}', "");
Expect(0, 3315, '\p{knda}', "");
Expect(1, 3315, '\p{^knda}', "");
Expect(1, 3315, '\P{knda}', "");
Expect(0, 3315, '\P{^knda}', "");
Expect(1, 3314, '\p{_knda}', "");
Expect(0, 3314, '\p{^_knda}', "");
Expect(0, 3314, '\P{_knda}', "");
Expect(1, 3314, '\P{^_knda}', "");
Expect(0, 3315, '\p{_knda}', "");
Expect(1, 3315, '\p{^_knda}', "");
Expect(1, 3315, '\P{_knda}', "");
Expect(0, 3315, '\P{^_knda}', "");
Error('\p{:=Is_Knda}');
Error('\P{:=Is_Knda}');
Expect(1, 3314, '\p{isknda}', "");
Expect(0, 3314, '\p{^isknda}', "");
Expect(0, 3314, '\P{isknda}', "");
Expect(1, 3314, '\P{^isknda}', "");
Expect(0, 3315, '\p{isknda}', "");
Expect(1, 3315, '\p{^isknda}', "");
Expect(1, 3315, '\P{isknda}', "");
Expect(0, 3315, '\P{^isknda}', "");
Expect(1, 3314, '\p{_Is_Knda}', "");
Expect(0, 3314, '\p{^_Is_Knda}', "");
Expect(0, 3314, '\P{_Is_Knda}', "");
Expect(1, 3314, '\P{^_Is_Knda}', "");
Expect(0, 3315, '\p{_Is_Knda}', "");
Expect(1, 3315, '\p{^_Is_Knda}', "");
Expect(1, 3315, '\P{_Is_Knda}', "");
Expect(0, 3315, '\P{^_Is_Knda}', "");
Error('\p{ -katakana:=}');
Error('\P{ -katakana:=}');
Expect(1, 110592, '\p{katakana}', "");
Expect(0, 110592, '\p{^katakana}', "");
Expect(0, 110592, '\P{katakana}', "");
Expect(1, 110592, '\P{^katakana}', "");
Expect(0, 110593, '\p{katakana}', "");
Expect(1, 110593, '\p{^katakana}', "");
Expect(1, 110593, '\P{katakana}', "");
Expect(0, 110593, '\P{^katakana}', "");
Expect(1, 110592, '\p{ Katakana}', "");
Expect(0, 110592, '\p{^ Katakana}', "");
Expect(0, 110592, '\P{ Katakana}', "");
Expect(1, 110592, '\P{^ Katakana}', "");
Expect(0, 110593, '\p{ Katakana}', "");
Expect(1, 110593, '\p{^ Katakana}', "");
Expect(1, 110593, '\P{ Katakana}', "");
Expect(0, 110593, '\P{^ Katakana}', "");
Error('\p{_:=IS_katakana}');
Error('\P{_:=IS_katakana}');
Expect(1, 110592, '\p{iskatakana}', "");
Expect(0, 110592, '\p{^iskatakana}', "");
Expect(0, 110592, '\P{iskatakana}', "");
Expect(1, 110592, '\P{^iskatakana}', "");
Expect(0, 110593, '\p{iskatakana}', "");
Expect(1, 110593, '\p{^iskatakana}', "");
Expect(1, 110593, '\P{iskatakana}', "");
Expect(0, 110593, '\P{^iskatakana}', "");
Expect(1, 110592, '\p{-	Is_katakana}', "");
Expect(0, 110592, '\p{^-	Is_katakana}', "");
Expect(0, 110592, '\P{-	Is_katakana}', "");
Expect(1, 110592, '\P{^-	Is_katakana}', "");
Expect(0, 110593, '\p{-	Is_katakana}', "");
Expect(1, 110593, '\p{^-	Is_katakana}', "");
Expect(1, 110593, '\P{-	Is_katakana}', "");
Expect(0, 110593, '\P{^-	Is_katakana}', "");
Error('\p{_ Kana/a/}');
Error('\P{_ Kana/a/}');
Expect(1, 110592, '\p{kana}', "");
Expect(0, 110592, '\p{^kana}', "");
Expect(0, 110592, '\P{kana}', "");
Expect(1, 110592, '\P{^kana}', "");
Expect(0, 110593, '\p{kana}', "");
Expect(1, 110593, '\p{^kana}', "");
Expect(1, 110593, '\P{kana}', "");
Expect(0, 110593, '\P{^kana}', "");
Expect(1, 110592, '\p{--KANA}', "");
Expect(0, 110592, '\p{^--KANA}', "");
Expect(0, 110592, '\P{--KANA}', "");
Expect(1, 110592, '\P{^--KANA}', "");
Expect(0, 110593, '\p{--KANA}', "");
Expect(1, 110593, '\p{^--KANA}', "");
Expect(1, 110593, '\P{--KANA}', "");
Expect(0, 110593, '\P{^--KANA}', "");
Error('\p{	-IS_KANA/a/}');
Error('\P{	-IS_KANA/a/}');
Expect(1, 110592, '\p{iskana}', "");
Expect(0, 110592, '\p{^iskana}', "");
Expect(0, 110592, '\P{iskana}', "");
Expect(1, 110592, '\P{^iskana}', "");
Expect(0, 110593, '\p{iskana}', "");
Expect(1, 110593, '\p{^iskana}', "");
Expect(1, 110593, '\P{iskana}', "");
Expect(0, 110593, '\P{^iskana}', "");
Expect(1, 110592, '\p{_Is_KANA}', "");
Expect(0, 110592, '\p{^_Is_KANA}', "");
Expect(0, 110592, '\P{_Is_KANA}', "");
Expect(1, 110592, '\P{^_Is_KANA}', "");
Expect(0, 110593, '\p{_Is_KANA}', "");
Expect(1, 110593, '\p{^_Is_KANA}', "");
Expect(1, 110593, '\P{_Is_KANA}', "");
Expect(0, 110593, '\P{^_Is_KANA}', "");
Error('\p{Katakana_Or_Hiragana}');
Error('\P{Katakana_Or_Hiragana}');
Error('\p{Is_Katakana_Or_Hiragana}');
Error('\P{Is_Katakana_Or_Hiragana}');
Error('\p{Hrkt}');
Error('\P{Hrkt}');
Error('\p{Is_Hrkt}');
Error('\P{Is_Hrkt}');
Error('\p{_Katakana_phonetic_extensions/a/}');
Error('\P{_Katakana_phonetic_extensions/a/}');
Expect(1, 12799, '\p{katakanaphoneticextensions}', "");
Expect(0, 12799, '\p{^katakanaphoneticextensions}', "");
Expect(0, 12799, '\P{katakanaphoneticextensions}', "");
Expect(1, 12799, '\P{^katakanaphoneticextensions}', "");
Expect(0, 12800, '\p{katakanaphoneticextensions}', "");
Expect(1, 12800, '\p{^katakanaphoneticextensions}', "");
Expect(1, 12800, '\P{katakanaphoneticextensions}', "");
Expect(0, 12800, '\P{^katakanaphoneticextensions}', "");
Expect(1, 12799, '\p{	_Katakana_PHONETIC_extensions}', "");
Expect(0, 12799, '\p{^	_Katakana_PHONETIC_extensions}', "");
Expect(0, 12799, '\P{	_Katakana_PHONETIC_extensions}', "");
Expect(1, 12799, '\P{^	_Katakana_PHONETIC_extensions}', "");
Expect(0, 12800, '\p{	_Katakana_PHONETIC_extensions}', "");
Expect(1, 12800, '\p{^	_Katakana_PHONETIC_extensions}', "");
Expect(1, 12800, '\P{	_Katakana_PHONETIC_extensions}', "");
Expect(0, 12800, '\P{^	_Katakana_PHONETIC_extensions}', "");
Error('\p{	 IS_KATAKANA_PHONETIC_EXTENSIONS/a/}');
Error('\P{	 IS_KATAKANA_PHONETIC_EXTENSIONS/a/}');
Expect(1, 12799, '\p{iskatakanaphoneticextensions}', "");
Expect(0, 12799, '\p{^iskatakanaphoneticextensions}', "");
Expect(0, 12799, '\P{iskatakanaphoneticextensions}', "");
Expect(1, 12799, '\P{^iskatakanaphoneticextensions}', "");
Expect(0, 12800, '\p{iskatakanaphoneticextensions}', "");
Expect(1, 12800, '\p{^iskatakanaphoneticextensions}', "");
Expect(1, 12800, '\P{iskatakanaphoneticextensions}', "");
Expect(0, 12800, '\P{^iskatakanaphoneticextensions}', "");
Expect(1, 12799, '\p{- IS_katakana_Phonetic_Extensions}', "");
Expect(0, 12799, '\p{^- IS_katakana_Phonetic_Extensions}', "");
Expect(0, 12799, '\P{- IS_katakana_Phonetic_Extensions}', "");
Expect(1, 12799, '\P{^- IS_katakana_Phonetic_Extensions}', "");
Expect(0, 12800, '\p{- IS_katakana_Phonetic_Extensions}', "");
Expect(1, 12800, '\p{^- IS_katakana_Phonetic_Extensions}', "");
Expect(1, 12800, '\P{- IS_katakana_Phonetic_Extensions}', "");
Expect(0, 12800, '\P{^- IS_katakana_Phonetic_Extensions}', "");
Error('\p{  in_katakana_phonetic_EXTENSIONS/a/}');
Error('\P{  in_katakana_phonetic_EXTENSIONS/a/}');
Expect(1, 12799, '\p{inkatakanaphoneticextensions}', "");
Expect(0, 12799, '\p{^inkatakanaphoneticextensions}', "");
Expect(0, 12799, '\P{inkatakanaphoneticextensions}', "");
Expect(1, 12799, '\P{^inkatakanaphoneticextensions}', "");
Expect(0, 12800, '\p{inkatakanaphoneticextensions}', "");
Expect(1, 12800, '\p{^inkatakanaphoneticextensions}', "");
Expect(1, 12800, '\P{inkatakanaphoneticextensions}', "");
Expect(0, 12800, '\P{^inkatakanaphoneticextensions}', "");
Expect(1, 12799, '\p{	In_katakana_PHONETIC_EXTENSIONS}', "");
Expect(0, 12799, '\p{^	In_katakana_PHONETIC_EXTENSIONS}', "");
Expect(0, 12799, '\P{	In_katakana_PHONETIC_EXTENSIONS}', "");
Expect(1, 12799, '\P{^	In_katakana_PHONETIC_EXTENSIONS}', "");
Expect(0, 12800, '\p{	In_katakana_PHONETIC_EXTENSIONS}', "");
Expect(1, 12800, '\p{^	In_katakana_PHONETIC_EXTENSIONS}', "");
Expect(1, 12800, '\P{	In_katakana_PHONETIC_EXTENSIONS}', "");
Expect(0, 12800, '\P{^	In_katakana_PHONETIC_EXTENSIONS}', "");
Error('\p{/a/ KATAKANA_Ext}');
Error('\P{/a/ KATAKANA_Ext}');
Expect(1, 12799, '\p{katakanaext}', "");
Expect(0, 12799, '\p{^katakanaext}', "");
Expect(0, 12799, '\P{katakanaext}', "");
Expect(1, 12799, '\P{^katakanaext}', "");
Expect(0, 12800, '\p{katakanaext}', "");
Expect(1, 12800, '\p{^katakanaext}', "");
Expect(1, 12800, '\P{katakanaext}', "");
Expect(0, 12800, '\P{^katakanaext}', "");
Expect(1, 12799, '\p{_-KATAKANA_Ext}', "");
Expect(0, 12799, '\p{^_-KATAKANA_Ext}', "");
Expect(0, 12799, '\P{_-KATAKANA_Ext}', "");
Expect(1, 12799, '\P{^_-KATAKANA_Ext}', "");
Expect(0, 12800, '\p{_-KATAKANA_Ext}', "");
Expect(1, 12800, '\p{^_-KATAKANA_Ext}', "");
Expect(1, 12800, '\P{_-KATAKANA_Ext}', "");
Expect(0, 12800, '\P{^_-KATAKANA_Ext}', "");
Error('\p{_ Is_katakana_Ext/a/}');
Error('\P{_ Is_katakana_Ext/a/}');
Expect(1, 12799, '\p{iskatakanaext}', "");
Expect(0, 12799, '\p{^iskatakanaext}', "");
Expect(0, 12799, '\P{iskatakanaext}', "");
Expect(1, 12799, '\P{^iskatakanaext}', "");
Expect(0, 12800, '\p{iskatakanaext}', "");
Expect(1, 12800, '\p{^iskatakanaext}', "");
Expect(1, 12800, '\P{iskatakanaext}', "");
Expect(0, 12800, '\P{^iskatakanaext}', "");
Expect(1, 12799, '\p{_ Is_KATAKANA_Ext}', "");
Expect(0, 12799, '\p{^_ Is_KATAKANA_Ext}', "");
Expect(0, 12799, '\P{_ Is_KATAKANA_Ext}', "");
Expect(1, 12799, '\P{^_ Is_KATAKANA_Ext}', "");
Expect(0, 12800, '\p{_ Is_KATAKANA_Ext}', "");
Expect(1, 12800, '\p{^_ Is_KATAKANA_Ext}', "");
Expect(1, 12800, '\P{_ Is_KATAKANA_Ext}', "");
Expect(0, 12800, '\P{^_ Is_KATAKANA_Ext}', "");
Error('\p{	in_Katakana_Ext:=}');
Error('\P{	in_Katakana_Ext:=}');
Expect(1, 12799, '\p{inkatakanaext}', "");
Expect(0, 12799, '\p{^inkatakanaext}', "");
Expect(0, 12799, '\P{inkatakanaext}', "");
Expect(1, 12799, '\P{^inkatakanaext}', "");
Expect(0, 12800, '\p{inkatakanaext}', "");
Expect(1, 12800, '\p{^inkatakanaext}', "");
Expect(1, 12800, '\P{inkatakanaext}', "");
Expect(0, 12800, '\P{^inkatakanaext}', "");
Expect(1, 12799, '\p{	 IN_Katakana_ext}', "");
Expect(0, 12799, '\p{^	 IN_Katakana_ext}', "");
Expect(0, 12799, '\P{	 IN_Katakana_ext}', "");
Expect(1, 12799, '\P{^	 IN_Katakana_ext}', "");
Expect(0, 12800, '\p{	 IN_Katakana_ext}', "");
Expect(1, 12800, '\p{^	 IN_Katakana_ext}', "");
Expect(1, 12800, '\P{	 IN_Katakana_ext}', "");
Expect(0, 12800, '\P{^	 IN_Katakana_ext}', "");
Error('\p{:=_-kayah_li}');
Error('\P{:=_-kayah_li}');
Expect(1, 43311, '\p{kayahli}', "");
Expect(0, 43311, '\p{^kayahli}', "");
Expect(0, 43311, '\P{kayahli}', "");
Expect(1, 43311, '\P{^kayahli}', "");
Expect(0, 43312, '\p{kayahli}', "");
Expect(1, 43312, '\p{^kayahli}', "");
Expect(1, 43312, '\P{kayahli}', "");
Expect(0, 43312, '\P{^kayahli}', "");
Expect(1, 43311, '\p{  KAYAH_Li}', "");
Expect(0, 43311, '\p{^  KAYAH_Li}', "");
Expect(0, 43311, '\P{  KAYAH_Li}', "");
Expect(1, 43311, '\P{^  KAYAH_Li}', "");
Expect(0, 43312, '\p{  KAYAH_Li}', "");
Expect(1, 43312, '\p{^  KAYAH_Li}', "");
Expect(1, 43312, '\P{  KAYAH_Li}', "");
Expect(0, 43312, '\P{^  KAYAH_Li}', "");
Error('\p{_-is_KAYAH_Li/a/}');
Error('\P{_-is_KAYAH_Li/a/}');
Expect(1, 43311, '\p{iskayahli}', "");
Expect(0, 43311, '\p{^iskayahli}', "");
Expect(0, 43311, '\P{iskayahli}', "");
Expect(1, 43311, '\P{^iskayahli}', "");
Expect(0, 43312, '\p{iskayahli}', "");
Expect(1, 43312, '\p{^iskayahli}', "");
Expect(1, 43312, '\P{iskayahli}', "");
Expect(0, 43312, '\P{^iskayahli}', "");
Expect(1, 43311, '\p{_IS_kayah_Li}', "");
Expect(0, 43311, '\p{^_IS_kayah_Li}', "");
Expect(0, 43311, '\P{_IS_kayah_Li}', "");
Expect(1, 43311, '\P{^_IS_kayah_Li}', "");
Expect(0, 43312, '\p{_IS_kayah_Li}', "");
Expect(1, 43312, '\p{^_IS_kayah_Li}', "");
Expect(1, 43312, '\P{_IS_kayah_Li}', "");
Expect(0, 43312, '\P{^_IS_kayah_Li}', "");
Error('\p{:=kali}');
Error('\P{:=kali}');
Expect(1, 43311, '\p{kali}', "");
Expect(0, 43311, '\p{^kali}', "");
Expect(0, 43311, '\P{kali}', "");
Expect(1, 43311, '\P{^kali}', "");
Expect(0, 43312, '\p{kali}', "");
Expect(1, 43312, '\p{^kali}', "");
Expect(1, 43312, '\P{kali}', "");
Expect(0, 43312, '\P{^kali}', "");
Expect(1, 43311, '\p{	_KALI}', "");
Expect(0, 43311, '\p{^	_KALI}', "");
Expect(0, 43311, '\P{	_KALI}', "");
Expect(1, 43311, '\P{^	_KALI}', "");
Expect(0, 43312, '\p{	_KALI}', "");
Expect(1, 43312, '\p{^	_KALI}', "");
Expect(1, 43312, '\P{	_KALI}', "");
Expect(0, 43312, '\P{^	_KALI}', "");
Error('\p{-	is_kali:=}');
Error('\P{-	is_kali:=}');
Expect(1, 43311, '\p{iskali}', "");
Expect(0, 43311, '\p{^iskali}', "");
Expect(0, 43311, '\P{iskali}', "");
Expect(1, 43311, '\P{^iskali}', "");
Expect(0, 43312, '\p{iskali}', "");
Expect(1, 43312, '\p{^iskali}', "");
Expect(1, 43312, '\P{iskali}', "");
Expect(0, 43312, '\P{^iskali}', "");
Expect(1, 43311, '\p{	-Is_KALI}', "");
Expect(0, 43311, '\p{^	-Is_KALI}', "");
Expect(0, 43311, '\P{	-Is_KALI}', "");
Expect(1, 43311, '\P{^	-Is_KALI}', "");
Expect(0, 43312, '\p{	-Is_KALI}', "");
Expect(1, 43312, '\p{^	-Is_KALI}', "");
Expect(1, 43312, '\P{	-Is_KALI}', "");
Expect(0, 43312, '\P{^	-Is_KALI}', "");
Error('\p{_Kharoshthi/a/}');
Error('\P{_Kharoshthi/a/}');
Expect(1, 68184, '\p{kharoshthi}', "");
Expect(0, 68184, '\p{^kharoshthi}', "");
Expect(0, 68184, '\P{kharoshthi}', "");
Expect(1, 68184, '\P{^kharoshthi}', "");
Expect(0, 68185, '\p{kharoshthi}', "");
Expect(1, 68185, '\p{^kharoshthi}', "");
Expect(1, 68185, '\P{kharoshthi}', "");
Expect(0, 68185, '\P{^kharoshthi}', "");
Expect(1, 68184, '\p{-Kharoshthi}', "");
Expect(0, 68184, '\p{^-Kharoshthi}', "");
Expect(0, 68184, '\P{-Kharoshthi}', "");
Expect(1, 68184, '\P{^-Kharoshthi}', "");
Expect(0, 68185, '\p{-Kharoshthi}', "");
Expect(1, 68185, '\p{^-Kharoshthi}', "");
Expect(1, 68185, '\P{-Kharoshthi}', "");
Expect(0, 68185, '\P{^-Kharoshthi}', "");
Error('\p{/a/ 	IS_Kharoshthi}');
Error('\P{/a/ 	IS_Kharoshthi}');
Expect(1, 68184, '\p{iskharoshthi}', "");
Expect(0, 68184, '\p{^iskharoshthi}', "");
Expect(0, 68184, '\P{iskharoshthi}', "");
Expect(1, 68184, '\P{^iskharoshthi}', "");
Expect(0, 68185, '\p{iskharoshthi}', "");
Expect(1, 68185, '\p{^iskharoshthi}', "");
Expect(1, 68185, '\P{iskharoshthi}', "");
Expect(0, 68185, '\P{^iskharoshthi}', "");
Expect(1, 68184, '\p{Is_kharoshthi}', "");
Expect(0, 68184, '\p{^Is_kharoshthi}', "");
Expect(0, 68184, '\P{Is_kharoshthi}', "");
Expect(1, 68184, '\P{^Is_kharoshthi}', "");
Expect(0, 68185, '\p{Is_kharoshthi}', "");
Expect(1, 68185, '\p{^Is_kharoshthi}', "");
Expect(1, 68185, '\P{Is_kharoshthi}', "");
Expect(0, 68185, '\P{^Is_kharoshthi}', "");
Error('\p{:=--KHAR}');
Error('\P{:=--KHAR}');
Expect(1, 68184, '\p{khar}', "");
Expect(0, 68184, '\p{^khar}', "");
Expect(0, 68184, '\P{khar}', "");
Expect(1, 68184, '\P{^khar}', "");
Expect(0, 68185, '\p{khar}', "");
Expect(1, 68185, '\p{^khar}', "");
Expect(1, 68185, '\P{khar}', "");
Expect(0, 68185, '\P{^khar}', "");
Expect(1, 68184, '\p{ Khar}', "");
Expect(0, 68184, '\p{^ Khar}', "");
Expect(0, 68184, '\P{ Khar}', "");
Expect(1, 68184, '\P{^ Khar}', "");
Expect(0, 68185, '\p{ Khar}', "");
Expect(1, 68185, '\p{^ Khar}', "");
Expect(1, 68185, '\P{ Khar}', "");
Expect(0, 68185, '\P{^ Khar}', "");
Error('\p{/a/	-Is_Khar}');
Error('\P{/a/	-Is_Khar}');
Expect(1, 68184, '\p{iskhar}', "");
Expect(0, 68184, '\p{^iskhar}', "");
Expect(0, 68184, '\P{iskhar}', "");
Expect(1, 68184, '\P{^iskhar}', "");
Expect(0, 68185, '\p{iskhar}', "");
Expect(1, 68185, '\p{^iskhar}', "");
Expect(1, 68185, '\P{iskhar}', "");
Expect(0, 68185, '\P{^iskhar}', "");
Expect(1, 68184, '\p{--IS_khar}', "");
Expect(0, 68184, '\p{^--IS_khar}', "");
Expect(0, 68184, '\P{--IS_khar}', "");
Expect(1, 68184, '\P{^--IS_khar}', "");
Expect(0, 68185, '\p{--IS_khar}', "");
Expect(1, 68185, '\p{^--IS_khar}', "");
Expect(1, 68185, '\P{--IS_khar}', "");
Expect(0, 68185, '\P{^--IS_khar}', "");
Error('\p{/a/ _Khmer}');
Error('\P{/a/ _Khmer}');
Expect(1, 6655, '\p{khmer}', "");
Expect(0, 6655, '\p{^khmer}', "");
Expect(0, 6655, '\P{khmer}', "");
Expect(1, 6655, '\P{^khmer}', "");
Expect(0, 6656, '\p{khmer}', "");
Expect(1, 6656, '\p{^khmer}', "");
Expect(1, 6656, '\P{khmer}', "");
Expect(0, 6656, '\P{^khmer}', "");
Expect(1, 6655, '\p{	KHMER}', "");
Expect(0, 6655, '\p{^	KHMER}', "");
Expect(0, 6655, '\P{	KHMER}', "");
Expect(1, 6655, '\P{^	KHMER}', "");
Expect(0, 6656, '\p{	KHMER}', "");
Expect(1, 6656, '\p{^	KHMER}', "");
Expect(1, 6656, '\P{	KHMER}', "");
Expect(0, 6656, '\P{^	KHMER}', "");
Error('\p{/a/ IS_KHMER}');
Error('\P{/a/ IS_KHMER}');
Expect(1, 6655, '\p{iskhmer}', "");
Expect(0, 6655, '\p{^iskhmer}', "");
Expect(0, 6655, '\P{iskhmer}', "");
Expect(1, 6655, '\P{^iskhmer}', "");
Expect(0, 6656, '\p{iskhmer}', "");
Expect(1, 6656, '\p{^iskhmer}', "");
Expect(1, 6656, '\P{iskhmer}', "");
Expect(0, 6656, '\P{^iskhmer}', "");
Expect(1, 6655, '\p{		is_Khmer}', "");
Expect(0, 6655, '\p{^		is_Khmer}', "");
Expect(0, 6655, '\P{		is_Khmer}', "");
Expect(1, 6655, '\P{^		is_Khmer}', "");
Expect(0, 6656, '\p{		is_Khmer}', "");
Expect(1, 6656, '\p{^		is_Khmer}', "");
Expect(1, 6656, '\P{		is_Khmer}', "");
Expect(0, 6656, '\P{^		is_Khmer}', "");
Error('\p{:=	-KHMR}');
Error('\P{:=	-KHMR}');
Expect(1, 6655, '\p{khmr}', "");
Expect(0, 6655, '\p{^khmr}', "");
Expect(0, 6655, '\P{khmr}', "");
Expect(1, 6655, '\P{^khmr}', "");
Expect(0, 6656, '\p{khmr}', "");
Expect(1, 6656, '\p{^khmr}', "");
Expect(1, 6656, '\P{khmr}', "");
Expect(0, 6656, '\P{^khmr}', "");
Expect(1, 6655, '\p{-khmr}', "");
Expect(0, 6655, '\p{^-khmr}', "");
Expect(0, 6655, '\P{-khmr}', "");
Expect(1, 6655, '\P{^-khmr}', "");
Expect(0, 6656, '\p{-khmr}', "");
Expect(1, 6656, '\p{^-khmr}', "");
Expect(1, 6656, '\P{-khmr}', "");
Expect(0, 6656, '\P{^-khmr}', "");
Error('\p{ _is_KHMR:=}');
Error('\P{ _is_KHMR:=}');
Expect(1, 6655, '\p{iskhmr}', "");
Expect(0, 6655, '\p{^iskhmr}', "");
Expect(0, 6655, '\P{iskhmr}', "");
Expect(1, 6655, '\P{^iskhmr}', "");
Expect(0, 6656, '\p{iskhmr}', "");
Expect(1, 6656, '\p{^iskhmr}', "");
Expect(1, 6656, '\P{iskhmr}', "");
Expect(0, 6656, '\P{^iskhmr}', "");
Expect(1, 6655, '\p{_Is_khmr}', "");
Expect(0, 6655, '\p{^_Is_khmr}', "");
Expect(0, 6655, '\P{_Is_khmr}', "");
Expect(1, 6655, '\P{^_Is_khmr}', "");
Expect(0, 6656, '\p{_Is_khmr}', "");
Expect(1, 6656, '\p{^_Is_khmr}', "");
Expect(1, 6656, '\P{_Is_khmr}', "");
Expect(0, 6656, '\P{^_Is_khmr}', "");
Error('\p{-	KHMER_Symbols/a/}');
Error('\P{-	KHMER_Symbols/a/}');
Expect(1, 6655, '\p{khmersymbols}', "");
Expect(0, 6655, '\p{^khmersymbols}', "");
Expect(0, 6655, '\P{khmersymbols}', "");
Expect(1, 6655, '\P{^khmersymbols}', "");
Expect(0, 6656, '\p{khmersymbols}', "");
Expect(1, 6656, '\p{^khmersymbols}', "");
Expect(1, 6656, '\P{khmersymbols}', "");
Expect(0, 6656, '\P{^khmersymbols}', "");
Expect(1, 6655, '\p{-	KHMER_Symbols}', "");
Expect(0, 6655, '\p{^-	KHMER_Symbols}', "");
Expect(0, 6655, '\P{-	KHMER_Symbols}', "");
Expect(1, 6655, '\P{^-	KHMER_Symbols}', "");
Expect(0, 6656, '\p{-	KHMER_Symbols}', "");
Expect(1, 6656, '\p{^-	KHMER_Symbols}', "");
Expect(1, 6656, '\P{-	KHMER_Symbols}', "");
Expect(0, 6656, '\P{^-	KHMER_Symbols}', "");
Error('\p{:=_is_Khmer_symbols}');
Error('\P{:=_is_Khmer_symbols}');
Expect(1, 6655, '\p{iskhmersymbols}', "");
Expect(0, 6655, '\p{^iskhmersymbols}', "");
Expect(0, 6655, '\P{iskhmersymbols}', "");
Expect(1, 6655, '\P{^iskhmersymbols}', "");
Expect(0, 6656, '\p{iskhmersymbols}', "");
Expect(1, 6656, '\p{^iskhmersymbols}', "");
Expect(1, 6656, '\P{iskhmersymbols}', "");
Expect(0, 6656, '\P{^iskhmersymbols}', "");
Expect(1, 6655, '\p{_Is_KHMER_Symbols}', "");
Expect(0, 6655, '\p{^_Is_KHMER_Symbols}', "");
Expect(0, 6655, '\P{_Is_KHMER_Symbols}', "");
Expect(1, 6655, '\P{^_Is_KHMER_Symbols}', "");
Expect(0, 6656, '\p{_Is_KHMER_Symbols}', "");
Expect(1, 6656, '\p{^_Is_KHMER_Symbols}', "");
Expect(1, 6656, '\P{_Is_KHMER_Symbols}', "");
Expect(0, 6656, '\P{^_Is_KHMER_Symbols}', "");
Error('\p{:= _In_khmer_symbols}');
Error('\P{:= _In_khmer_symbols}');
Expect(1, 6655, '\p{inkhmersymbols}', "");
Expect(0, 6655, '\p{^inkhmersymbols}', "");
Expect(0, 6655, '\P{inkhmersymbols}', "");
Expect(1, 6655, '\P{^inkhmersymbols}', "");
Expect(0, 6656, '\p{inkhmersymbols}', "");
Expect(1, 6656, '\p{^inkhmersymbols}', "");
Expect(1, 6656, '\P{inkhmersymbols}', "");
Expect(0, 6656, '\P{^inkhmersymbols}', "");
Expect(1, 6655, '\p{__In_Khmer_Symbols}', "");
Expect(0, 6655, '\p{^__In_Khmer_Symbols}', "");
Expect(0, 6655, '\P{__In_Khmer_Symbols}', "");
Expect(1, 6655, '\P{^__In_Khmer_Symbols}', "");
Expect(0, 6656, '\p{__In_Khmer_Symbols}', "");
Expect(1, 6656, '\p{^__In_Khmer_Symbols}', "");
Expect(1, 6656, '\P{__In_Khmer_Symbols}', "");
Expect(0, 6656, '\P{^__In_Khmer_Symbols}', "");
Error('\p{:=	_KHOJKI}');
Error('\P{:=	_KHOJKI}');
Expect(1, 70205, '\p{khojki}', "");
Expect(0, 70205, '\p{^khojki}', "");
Expect(0, 70205, '\P{khojki}', "");
Expect(1, 70205, '\P{^khojki}', "");
Expect(0, 70206, '\p{khojki}', "");
Expect(1, 70206, '\p{^khojki}', "");
Expect(1, 70206, '\P{khojki}', "");
Expect(0, 70206, '\P{^khojki}', "");
Expect(1, 70205, '\p{	Khojki}', "");
Expect(0, 70205, '\p{^	Khojki}', "");
Expect(0, 70205, '\P{	Khojki}', "");
Expect(1, 70205, '\P{^	Khojki}', "");
Expect(0, 70206, '\p{	Khojki}', "");
Expect(1, 70206, '\p{^	Khojki}', "");
Expect(1, 70206, '\P{	Khojki}', "");
Expect(0, 70206, '\P{^	Khojki}', "");
Error('\p{	-IS_Khojki/a/}');
Error('\P{	-IS_Khojki/a/}');
Expect(1, 70205, '\p{iskhojki}', "");
Expect(0, 70205, '\p{^iskhojki}', "");
Expect(0, 70205, '\P{iskhojki}', "");
Expect(1, 70205, '\P{^iskhojki}', "");
Expect(0, 70206, '\p{iskhojki}', "");
Expect(1, 70206, '\p{^iskhojki}', "");
Expect(1, 70206, '\P{iskhojki}', "");
Expect(0, 70206, '\P{^iskhojki}', "");
Expect(1, 70205, '\p{		Is_Khojki}', "");
Expect(0, 70205, '\p{^		Is_Khojki}', "");
Expect(0, 70205, '\P{		Is_Khojki}', "");
Expect(1, 70205, '\P{^		Is_Khojki}', "");
Expect(0, 70206, '\p{		Is_Khojki}', "");
Expect(1, 70206, '\p{^		Is_Khojki}', "");
Expect(1, 70206, '\P{		Is_Khojki}', "");
Expect(0, 70206, '\P{^		Is_Khojki}', "");
Error('\p{:=		Khoj}');
Error('\P{:=		Khoj}');
Expect(1, 70205, '\p{khoj}', "");
Expect(0, 70205, '\p{^khoj}', "");
Expect(0, 70205, '\P{khoj}', "");
Expect(1, 70205, '\P{^khoj}', "");
Expect(0, 70206, '\p{khoj}', "");
Expect(1, 70206, '\p{^khoj}', "");
Expect(1, 70206, '\P{khoj}', "");
Expect(0, 70206, '\P{^khoj}', "");
Expect(1, 70205, '\p{	KHOJ}', "");
Expect(0, 70205, '\p{^	KHOJ}', "");
Expect(0, 70205, '\P{	KHOJ}', "");
Expect(1, 70205, '\P{^	KHOJ}', "");
Expect(0, 70206, '\p{	KHOJ}', "");
Expect(1, 70206, '\p{^	KHOJ}', "");
Expect(1, 70206, '\P{	KHOJ}', "");
Expect(0, 70206, '\P{^	KHOJ}', "");
Error('\p{_	IS_khoj/a/}');
Error('\P{_	IS_khoj/a/}');
Expect(1, 70205, '\p{iskhoj}', "");
Expect(0, 70205, '\p{^iskhoj}', "");
Expect(0, 70205, '\P{iskhoj}', "");
Expect(1, 70205, '\P{^iskhoj}', "");
Expect(0, 70206, '\p{iskhoj}', "");
Expect(1, 70206, '\p{^iskhoj}', "");
Expect(1, 70206, '\P{iskhoj}', "");
Expect(0, 70206, '\P{^iskhoj}', "");
Expect(1, 70205, '\p{-	IS_khoj}', "");
Expect(0, 70205, '\p{^-	IS_khoj}', "");
Expect(0, 70205, '\P{-	IS_khoj}', "");
Expect(1, 70205, '\P{^-	IS_khoj}', "");
Expect(0, 70206, '\p{-	IS_khoj}', "");
Expect(1, 70206, '\p{^-	IS_khoj}', "");
Expect(1, 70206, '\P{-	IS_khoj}', "");
Expect(0, 70206, '\P{^-	IS_khoj}', "");
Error('\p{	:=KHUDAWADI}');
Error('\P{	:=KHUDAWADI}');
Expect(1, 70393, '\p{khudawadi}', "");
Expect(0, 70393, '\p{^khudawadi}', "");
Expect(0, 70393, '\P{khudawadi}', "");
Expect(1, 70393, '\P{^khudawadi}', "");
Expect(0, 70394, '\p{khudawadi}', "");
Expect(1, 70394, '\p{^khudawadi}', "");
Expect(1, 70394, '\P{khudawadi}', "");
Expect(0, 70394, '\P{^khudawadi}', "");
Expect(1, 70393, '\p{	Khudawadi}', "");
Expect(0, 70393, '\p{^	Khudawadi}', "");
Expect(0, 70393, '\P{	Khudawadi}', "");
Expect(1, 70393, '\P{^	Khudawadi}', "");
Expect(0, 70394, '\p{	Khudawadi}', "");
Expect(1, 70394, '\p{^	Khudawadi}', "");
Expect(1, 70394, '\P{	Khudawadi}', "");
Expect(0, 70394, '\P{^	Khudawadi}', "");
Error('\p{-/a/Is_Khudawadi}');
Error('\P{-/a/Is_Khudawadi}');
Expect(1, 70393, '\p{iskhudawadi}', "");
Expect(0, 70393, '\p{^iskhudawadi}', "");
Expect(0, 70393, '\P{iskhudawadi}', "");
Expect(1, 70393, '\P{^iskhudawadi}', "");
Expect(0, 70394, '\p{iskhudawadi}', "");
Expect(1, 70394, '\p{^iskhudawadi}', "");
Expect(1, 70394, '\P{iskhudawadi}', "");
Expect(0, 70394, '\P{^iskhudawadi}', "");
Expect(1, 70393, '\p{		Is_khudawadi}', "");
Expect(0, 70393, '\p{^		Is_khudawadi}', "");
Expect(0, 70393, '\P{		Is_khudawadi}', "");
Expect(1, 70393, '\P{^		Is_khudawadi}', "");
Expect(0, 70394, '\p{		Is_khudawadi}', "");
Expect(1, 70394, '\p{^		Is_khudawadi}', "");
Expect(1, 70394, '\P{		Is_khudawadi}', "");
Expect(0, 70394, '\P{^		Is_khudawadi}', "");
Error('\p{_SIND:=}');
Error('\P{_SIND:=}');
Expect(1, 70393, '\p{sind}', "");
Expect(0, 70393, '\p{^sind}', "");
Expect(0, 70393, '\P{sind}', "");
Expect(1, 70393, '\P{^sind}', "");
Expect(0, 70394, '\p{sind}', "");
Expect(1, 70394, '\p{^sind}', "");
Expect(1, 70394, '\P{sind}', "");
Expect(0, 70394, '\P{^sind}', "");
Expect(1, 70393, '\p{  Sind}', "");
Expect(0, 70393, '\p{^  Sind}', "");
Expect(0, 70393, '\P{  Sind}', "");
Expect(1, 70393, '\P{^  Sind}', "");
Expect(0, 70394, '\p{  Sind}', "");
Expect(1, 70394, '\p{^  Sind}', "");
Expect(1, 70394, '\P{  Sind}', "");
Expect(0, 70394, '\P{^  Sind}', "");
Error('\p{	:=IS_Sind}');
Error('\P{	:=IS_Sind}');
Expect(1, 70393, '\p{issind}', "");
Expect(0, 70393, '\p{^issind}', "");
Expect(0, 70393, '\P{issind}', "");
Expect(1, 70393, '\P{^issind}', "");
Expect(0, 70394, '\p{issind}', "");
Expect(1, 70394, '\p{^issind}', "");
Expect(1, 70394, '\P{issind}', "");
Expect(0, 70394, '\P{^issind}', "");
Expect(1, 70393, '\p{_Is_sind}', "");
Expect(0, 70393, '\p{^_Is_sind}', "");
Expect(0, 70393, '\P{_Is_sind}', "");
Expect(1, 70393, '\P{^_Is_sind}', "");
Expect(0, 70394, '\p{_Is_sind}', "");
Expect(1, 70394, '\p{^_Is_sind}', "");
Expect(1, 70394, '\P{_Is_sind}', "");
Expect(0, 70394, '\P{^_Is_sind}', "");
Error('\p{	_lao/a/}');
Error('\P{	_lao/a/}');
Expect(1, 3807, '\p{lao}', "");
Expect(0, 3807, '\p{^lao}', "");
Expect(0, 3807, '\P{lao}', "");
Expect(1, 3807, '\P{^lao}', "");
Expect(0, 3808, '\p{lao}', "");
Expect(1, 3808, '\p{^lao}', "");
Expect(1, 3808, '\P{lao}', "");
Expect(0, 3808, '\P{^lao}', "");
Expect(1, 3807, '\p{- Lao}', "");
Expect(0, 3807, '\p{^- Lao}', "");
Expect(0, 3807, '\P{- Lao}', "");
Expect(1, 3807, '\P{^- Lao}', "");
Expect(0, 3808, '\p{- Lao}', "");
Expect(1, 3808, '\p{^- Lao}', "");
Expect(1, 3808, '\P{- Lao}', "");
Expect(0, 3808, '\P{^- Lao}', "");
Error('\p{/a/--is_Lao}');
Error('\P{/a/--is_Lao}');
Expect(1, 3807, '\p{islao}', "");
Expect(0, 3807, '\p{^islao}', "");
Expect(0, 3807, '\P{islao}', "");
Expect(1, 3807, '\P{^islao}', "");
Expect(0, 3808, '\p{islao}', "");
Expect(1, 3808, '\p{^islao}', "");
Expect(1, 3808, '\P{islao}', "");
Expect(0, 3808, '\P{^islao}', "");
Expect(1, 3807, '\p{	-IS_LAO}', "");
Expect(0, 3807, '\p{^	-IS_LAO}', "");
Expect(0, 3807, '\P{	-IS_LAO}', "");
Expect(1, 3807, '\P{^	-IS_LAO}', "");
Expect(0, 3808, '\p{	-IS_LAO}', "");
Expect(1, 3808, '\p{^	-IS_LAO}', "");
Expect(1, 3808, '\P{	-IS_LAO}', "");
Expect(0, 3808, '\P{^	-IS_LAO}', "");
Error('\p{_LAOO/a/}');
Error('\P{_LAOO/a/}');
Expect(1, 3807, '\p{laoo}', "");
Expect(0, 3807, '\p{^laoo}', "");
Expect(0, 3807, '\P{laoo}', "");
Expect(1, 3807, '\P{^laoo}', "");
Expect(0, 3808, '\p{laoo}', "");
Expect(1, 3808, '\p{^laoo}', "");
Expect(1, 3808, '\P{laoo}', "");
Expect(0, 3808, '\P{^laoo}', "");
Expect(1, 3807, '\p{_Laoo}', "");
Expect(0, 3807, '\p{^_Laoo}', "");
Expect(0, 3807, '\P{_Laoo}', "");
Expect(1, 3807, '\P{^_Laoo}', "");
Expect(0, 3808, '\p{_Laoo}', "");
Expect(1, 3808, '\p{^_Laoo}', "");
Expect(1, 3808, '\P{_Laoo}', "");
Expect(0, 3808, '\P{^_Laoo}', "");
Error('\p{:=	Is_laoo}');
Error('\P{:=	Is_laoo}');
Expect(1, 3807, '\p{islaoo}', "");
Expect(0, 3807, '\p{^islaoo}', "");
Expect(0, 3807, '\P{islaoo}', "");
Expect(1, 3807, '\P{^islaoo}', "");
Expect(0, 3808, '\p{islaoo}', "");
Expect(1, 3808, '\p{^islaoo}', "");
Expect(1, 3808, '\P{islaoo}', "");
Expect(0, 3808, '\P{^islaoo}', "");
Expect(1, 3807, '\p{ Is_Laoo}', "");
Expect(0, 3807, '\p{^ Is_Laoo}', "");
Expect(0, 3807, '\P{ Is_Laoo}', "");
Expect(1, 3807, '\P{^ Is_Laoo}', "");
Expect(0, 3808, '\p{ Is_Laoo}', "");
Expect(1, 3808, '\p{^ Is_Laoo}', "");
Expect(1, 3808, '\P{ Is_Laoo}', "");
Expect(0, 3808, '\P{^ Is_Laoo}', "");
Error('\p{_	latin/a/}');
Error('\P{_	latin/a/}');
Expect(1, 65370, '\p{latin}', "");
Expect(0, 65370, '\p{^latin}', "");
Expect(0, 65370, '\P{latin}', "");
Expect(1, 65370, '\P{^latin}', "");
Expect(0, 65371, '\p{latin}', "");
Expect(1, 65371, '\p{^latin}', "");
Expect(1, 65371, '\P{latin}', "");
Expect(0, 65371, '\P{^latin}', "");
Expect(1, 65370, '\p{-	Latin}', "");
Expect(0, 65370, '\p{^-	Latin}', "");
Expect(0, 65370, '\P{-	Latin}', "");
Expect(1, 65370, '\P{^-	Latin}', "");
Expect(0, 65371, '\p{-	Latin}', "");
Expect(1, 65371, '\p{^-	Latin}', "");
Expect(1, 65371, '\P{-	Latin}', "");
Expect(0, 65371, '\P{^-	Latin}', "");
Error('\p{-:=Is_Latin}');
Error('\P{-:=Is_Latin}');
Expect(1, 65370, '\p{islatin}', "");
Expect(0, 65370, '\p{^islatin}', "");
Expect(0, 65370, '\P{islatin}', "");
Expect(1, 65370, '\P{^islatin}', "");
Expect(0, 65371, '\p{islatin}', "");
Expect(1, 65371, '\p{^islatin}', "");
Expect(1, 65371, '\P{islatin}', "");
Expect(0, 65371, '\P{^islatin}', "");
Expect(1, 65370, '\p{--is_latin}', "");
Expect(0, 65370, '\p{^--is_latin}', "");
Expect(0, 65370, '\P{--is_latin}', "");
Expect(1, 65370, '\P{^--is_latin}', "");
Expect(0, 65371, '\p{--is_latin}', "");
Expect(1, 65371, '\p{^--is_latin}', "");
Expect(1, 65371, '\P{--is_latin}', "");
Expect(0, 65371, '\P{^--is_latin}', "");
Error('\p{:=_	LATN}');
Error('\P{:=_	LATN}');
Expect(1, 65370, '\p{latn}', "");
Expect(0, 65370, '\p{^latn}', "");
Expect(0, 65370, '\P{latn}', "");
Expect(1, 65370, '\P{^latn}', "");
Expect(0, 65371, '\p{latn}', "");
Expect(1, 65371, '\p{^latn}', "");
Expect(1, 65371, '\P{latn}', "");
Expect(0, 65371, '\P{^latn}', "");
Expect(1, 65370, '\p{  LATN}', "");
Expect(0, 65370, '\p{^  LATN}', "");
Expect(0, 65370, '\P{  LATN}', "");
Expect(1, 65370, '\P{^  LATN}', "");
Expect(0, 65371, '\p{  LATN}', "");
Expect(1, 65371, '\p{^  LATN}', "");
Expect(1, 65371, '\P{  LATN}', "");
Expect(0, 65371, '\P{^  LATN}', "");
Error('\p{  Is_LATN/a/}');
Error('\P{  Is_LATN/a/}');
Expect(1, 65370, '\p{islatn}', "");
Expect(0, 65370, '\p{^islatn}', "");
Expect(0, 65370, '\P{islatn}', "");
Expect(1, 65370, '\P{^islatn}', "");
Expect(0, 65371, '\p{islatn}', "");
Expect(1, 65371, '\p{^islatn}', "");
Expect(1, 65371, '\P{islatn}', "");
Expect(0, 65371, '\P{^islatn}', "");
Expect(1, 65370, '\p{ _Is_Latn}', "");
Expect(0, 65370, '\p{^ _Is_Latn}', "");
Expect(0, 65370, '\P{ _Is_Latn}', "");
Expect(1, 65370, '\P{^ _Is_Latn}', "");
Expect(0, 65371, '\p{ _Is_Latn}', "");
Expect(1, 65371, '\p{^ _Is_Latn}', "");
Expect(1, 65371, '\P{ _Is_Latn}', "");
Expect(0, 65371, '\P{^ _Is_Latn}', "");
Error('\p{-:=Latin_1_SUPPLEMENT}');
Error('\P{-:=Latin_1_SUPPLEMENT}');
Expect(1, 255, '\p{latin1supplement}', "");
Expect(0, 255, '\p{^latin1supplement}', "");
Expect(0, 255, '\P{latin1supplement}', "");
Expect(1, 255, '\P{^latin1supplement}', "");
Expect(0, 256, '\p{latin1supplement}', "");
Expect(1, 256, '\p{^latin1supplement}', "");
Expect(1, 256, '\P{latin1supplement}', "");
Expect(0, 256, '\P{^latin1supplement}', "");
Expect(1, 255, '\p{ _Latin_1_Supplement}', "");
Expect(0, 255, '\p{^ _Latin_1_Supplement}', "");
Expect(0, 255, '\P{ _Latin_1_Supplement}', "");
Expect(1, 255, '\P{^ _Latin_1_Supplement}', "");
Expect(0, 256, '\p{ _Latin_1_Supplement}', "");
Expect(1, 256, '\p{^ _Latin_1_Supplement}', "");
Expect(1, 256, '\P{ _Latin_1_Supplement}', "");
Expect(0, 256, '\P{^ _Latin_1_Supplement}', "");
Error('\p{:=Is_Latin_1_Supplement}');
Error('\P{:=Is_Latin_1_Supplement}');
Expect(1, 255, '\p{islatin1supplement}', "");
Expect(0, 255, '\p{^islatin1supplement}', "");
Expect(0, 255, '\P{islatin1supplement}', "");
Expect(1, 255, '\P{^islatin1supplement}', "");
Expect(0, 256, '\p{islatin1supplement}', "");
Expect(1, 256, '\p{^islatin1supplement}', "");
Expect(1, 256, '\P{islatin1supplement}', "");
Expect(0, 256, '\P{^islatin1supplement}', "");
Expect(1, 255, '\p{	_is_latin_1_Supplement}', "");
Expect(0, 255, '\p{^	_is_latin_1_Supplement}', "");
Expect(0, 255, '\P{	_is_latin_1_Supplement}', "");
Expect(1, 255, '\P{^	_is_latin_1_Supplement}', "");
Expect(0, 256, '\p{	_is_latin_1_Supplement}', "");
Expect(1, 256, '\p{^	_is_latin_1_Supplement}', "");
Expect(1, 256, '\P{	_is_latin_1_Supplement}', "");
Expect(0, 256, '\P{^	_is_latin_1_Supplement}', "");
Error('\p{	:=In_Latin_1_Supplement}');
Error('\P{	:=In_Latin_1_Supplement}');
Expect(1, 255, '\p{inlatin1supplement}', "");
Expect(0, 255, '\p{^inlatin1supplement}', "");
Expect(0, 255, '\P{inlatin1supplement}', "");
Expect(1, 255, '\P{^inlatin1supplement}', "");
Expect(0, 256, '\p{inlatin1supplement}', "");
Expect(1, 256, '\p{^inlatin1supplement}', "");
Expect(1, 256, '\P{inlatin1supplement}', "");
Expect(0, 256, '\P{^inlatin1supplement}', "");
Expect(1, 255, '\p{ -IN_Latin_1_Supplement}', "");
Expect(0, 255, '\p{^ -IN_Latin_1_Supplement}', "");
Expect(0, 255, '\P{ -IN_Latin_1_Supplement}', "");
Expect(1, 255, '\P{^ -IN_Latin_1_Supplement}', "");
Expect(0, 256, '\p{ -IN_Latin_1_Supplement}', "");
Expect(1, 256, '\p{^ -IN_Latin_1_Supplement}', "");
Expect(1, 256, '\P{ -IN_Latin_1_Supplement}', "");
Expect(0, 256, '\P{^ -IN_Latin_1_Supplement}', "");
Error('\p{-_Latin_1_Sup:=}');
Error('\P{-_Latin_1_Sup:=}');
Expect(1, 255, '\p{latin1sup}', "");
Expect(0, 255, '\p{^latin1sup}', "");
Expect(0, 255, '\P{latin1sup}', "");
Expect(1, 255, '\P{^latin1sup}', "");
Expect(0, 256, '\p{latin1sup}', "");
Expect(1, 256, '\p{^latin1sup}', "");
Expect(1, 256, '\P{latin1sup}', "");
Expect(0, 256, '\P{^latin1sup}', "");
Expect(1, 255, '\p{_LATIN_1_sup}', "");
Expect(0, 255, '\p{^_LATIN_1_sup}', "");
Expect(0, 255, '\P{_LATIN_1_sup}', "");
Expect(1, 255, '\P{^_LATIN_1_sup}', "");
Expect(0, 256, '\p{_LATIN_1_sup}', "");
Expect(1, 256, '\p{^_LATIN_1_sup}', "");
Expect(1, 256, '\P{_LATIN_1_sup}', "");
Expect(0, 256, '\P{^_LATIN_1_sup}', "");
Error('\p{	/a/is_Latin_1_sup}');
Error('\P{	/a/is_Latin_1_sup}');
Expect(1, 255, '\p{islatin1sup}', "");
Expect(0, 255, '\p{^islatin1sup}', "");
Expect(0, 255, '\P{islatin1sup}', "");
Expect(1, 255, '\P{^islatin1sup}', "");
Expect(0, 256, '\p{islatin1sup}', "");
Expect(1, 256, '\p{^islatin1sup}', "");
Expect(1, 256, '\P{islatin1sup}', "");
Expect(0, 256, '\P{^islatin1sup}', "");
Expect(1, 255, '\p{ IS_Latin_1_sup}', "");
Expect(0, 255, '\p{^ IS_Latin_1_sup}', "");
Expect(0, 255, '\P{ IS_Latin_1_sup}', "");
Expect(1, 255, '\P{^ IS_Latin_1_sup}', "");
Expect(0, 256, '\p{ IS_Latin_1_sup}', "");
Expect(1, 256, '\p{^ IS_Latin_1_sup}', "");
Expect(1, 256, '\P{ IS_Latin_1_sup}', "");
Expect(0, 256, '\P{^ IS_Latin_1_sup}', "");
Error('\p{	/a/IN_LATIN_1_sup}');
Error('\P{	/a/IN_LATIN_1_sup}');
Expect(1, 255, '\p{inlatin1sup}', "");
Expect(0, 255, '\p{^inlatin1sup}', "");
Expect(0, 255, '\P{inlatin1sup}', "");
Expect(1, 255, '\P{^inlatin1sup}', "");
Expect(0, 256, '\p{inlatin1sup}', "");
Expect(1, 256, '\p{^inlatin1sup}', "");
Expect(1, 256, '\P{inlatin1sup}', "");
Expect(0, 256, '\P{^inlatin1sup}', "");
Expect(1, 255, '\p{	 IN_Latin_1_Sup}', "");
Expect(0, 255, '\p{^	 IN_Latin_1_Sup}', "");
Expect(0, 255, '\P{	 IN_Latin_1_Sup}', "");
Expect(1, 255, '\P{^	 IN_Latin_1_Sup}', "");
Expect(0, 256, '\p{	 IN_Latin_1_Sup}', "");
Expect(1, 256, '\p{^	 IN_Latin_1_Sup}', "");
Expect(1, 256, '\P{	 IN_Latin_1_Sup}', "");
Expect(0, 256, '\P{^	 IN_Latin_1_Sup}', "");
Error('\p{/a/Latin_1}');
Error('\P{/a/Latin_1}');
Expect(1, 255, '\p{latin1}', "");
Expect(0, 255, '\p{^latin1}', "");
Expect(0, 255, '\P{latin1}', "");
Expect(1, 255, '\P{^latin1}', "");
Expect(0, 256, '\p{latin1}', "");
Expect(1, 256, '\p{^latin1}', "");
Expect(1, 256, '\P{latin1}', "");
Expect(0, 256, '\P{^latin1}', "");
Expect(1, 255, '\p{	LATIN_1}', "");
Expect(0, 255, '\p{^	LATIN_1}', "");
Expect(0, 255, '\P{	LATIN_1}', "");
Expect(1, 255, '\P{^	LATIN_1}', "");
Expect(0, 256, '\p{	LATIN_1}', "");
Expect(1, 256, '\p{^	LATIN_1}', "");
Expect(1, 256, '\P{	LATIN_1}', "");
Expect(0, 256, '\P{^	LATIN_1}', "");
Error('\p{-is_latin_1/a/}');
Error('\P{-is_latin_1/a/}');
Expect(1, 255, '\p{islatin1}', "");
Expect(0, 255, '\p{^islatin1}', "");
Expect(0, 255, '\P{islatin1}', "");
Expect(1, 255, '\P{^islatin1}', "");
Expect(0, 256, '\p{islatin1}', "");
Expect(1, 256, '\p{^islatin1}', "");
Expect(1, 256, '\P{islatin1}', "");
Expect(0, 256, '\P{^islatin1}', "");
Expect(1, 255, '\p{	Is_latin_1}', "");
Expect(0, 255, '\p{^	Is_latin_1}', "");
Expect(0, 255, '\P{	Is_latin_1}', "");
Expect(1, 255, '\P{^	Is_latin_1}', "");
Expect(0, 256, '\p{	Is_latin_1}', "");
Expect(1, 256, '\p{^	Is_latin_1}', "");
Expect(1, 256, '\P{	Is_latin_1}', "");
Expect(0, 256, '\P{^	Is_latin_1}', "");
Error('\p{/a/ -in_LATIN_1}');
Error('\P{/a/ -in_LATIN_1}');
Expect(1, 255, '\p{inlatin1}', "");
Expect(0, 255, '\p{^inlatin1}', "");
Expect(0, 255, '\P{inlatin1}', "");
Expect(1, 255, '\P{^inlatin1}', "");
Expect(0, 256, '\p{inlatin1}', "");
Expect(1, 256, '\p{^inlatin1}', "");
Expect(1, 256, '\P{inlatin1}', "");
Expect(0, 256, '\P{^inlatin1}', "");
Expect(1, 255, '\p{	-In_Latin_1}', "");
Expect(0, 255, '\p{^	-In_Latin_1}', "");
Expect(0, 255, '\P{	-In_Latin_1}', "");
Expect(1, 255, '\P{^	-In_Latin_1}', "");
Expect(0, 256, '\p{	-In_Latin_1}', "");
Expect(1, 256, '\p{^	-In_Latin_1}', "");
Expect(1, 256, '\P{	-In_Latin_1}', "");
Expect(0, 256, '\P{^	-In_Latin_1}', "");
Error('\p{-:=latin_Extended_A}');
Error('\P{-:=latin_Extended_A}');
Expect(1, 383, '\p{latinextendeda}', "");
Expect(0, 383, '\p{^latinextendeda}', "");
Expect(0, 383, '\P{latinextendeda}', "");
Expect(1, 383, '\P{^latinextendeda}', "");
Expect(0, 384, '\p{latinextendeda}', "");
Expect(1, 384, '\p{^latinextendeda}', "");
Expect(1, 384, '\P{latinextendeda}', "");
Expect(0, 384, '\P{^latinextendeda}', "");
Expect(1, 383, '\p{-_LATIN_EXTENDED_A}', "");
Expect(0, 383, '\p{^-_LATIN_EXTENDED_A}', "");
Expect(0, 383, '\P{-_LATIN_EXTENDED_A}', "");
Expect(1, 383, '\P{^-_LATIN_EXTENDED_A}', "");
Expect(0, 384, '\p{-_LATIN_EXTENDED_A}', "");
Expect(1, 384, '\p{^-_LATIN_EXTENDED_A}', "");
Expect(1, 384, '\P{-_LATIN_EXTENDED_A}', "");
Expect(0, 384, '\P{^-_LATIN_EXTENDED_A}', "");
Error('\p{/a/--Is_Latin_extended_A}');
Error('\P{/a/--Is_Latin_extended_A}');
Expect(1, 383, '\p{islatinextendeda}', "");
Expect(0, 383, '\p{^islatinextendeda}', "");
Expect(0, 383, '\P{islatinextendeda}', "");
Expect(1, 383, '\P{^islatinextendeda}', "");
Expect(0, 384, '\p{islatinextendeda}', "");
Expect(1, 384, '\p{^islatinextendeda}', "");
Expect(1, 384, '\P{islatinextendeda}', "");
Expect(0, 384, '\P{^islatinextendeda}', "");
Expect(1, 383, '\p{-	is_LATIN_extended_a}', "");
Expect(0, 383, '\p{^-	is_LATIN_extended_a}', "");
Expect(0, 383, '\P{-	is_LATIN_extended_a}', "");
Expect(1, 383, '\P{^-	is_LATIN_extended_a}', "");
Expect(0, 384, '\p{-	is_LATIN_extended_a}', "");
Expect(1, 384, '\p{^-	is_LATIN_extended_a}', "");
Expect(1, 384, '\P{-	is_LATIN_extended_a}', "");
Expect(0, 384, '\P{^-	is_LATIN_extended_a}', "");
Error('\p{:=_ IN_Latin_extended_A}');
Error('\P{:=_ IN_Latin_extended_A}');
Expect(1, 383, '\p{inlatinextendeda}', "");
Expect(0, 383, '\p{^inlatinextendeda}', "");
Expect(0, 383, '\P{inlatinextendeda}', "");
Expect(1, 383, '\P{^inlatinextendeda}', "");
Expect(0, 384, '\p{inlatinextendeda}', "");
Expect(1, 384, '\p{^inlatinextendeda}', "");
Expect(1, 384, '\P{inlatinextendeda}', "");
Expect(0, 384, '\P{^inlatinextendeda}', "");
Expect(1, 383, '\p{ _in_Latin_EXTENDED_A}', "");
Expect(0, 383, '\p{^ _in_Latin_EXTENDED_A}', "");
Expect(0, 383, '\P{ _in_Latin_EXTENDED_A}', "");
Expect(1, 383, '\P{^ _in_Latin_EXTENDED_A}', "");
Expect(0, 384, '\p{ _in_Latin_EXTENDED_A}', "");
Expect(1, 384, '\p{^ _in_Latin_EXTENDED_A}', "");
Expect(1, 384, '\P{ _in_Latin_EXTENDED_A}', "");
Expect(0, 384, '\P{^ _in_Latin_EXTENDED_A}', "");
Error('\p{_/a/latin_ext_A}');
Error('\P{_/a/latin_ext_A}');
Expect(1, 383, '\p{latinexta}', "");
Expect(0, 383, '\p{^latinexta}', "");
Expect(0, 383, '\P{latinexta}', "");
Expect(1, 383, '\P{^latinexta}', "");
Expect(0, 384, '\p{latinexta}', "");
Expect(1, 384, '\p{^latinexta}', "");
Expect(1, 384, '\P{latinexta}', "");
Expect(0, 384, '\P{^latinexta}', "");
Expect(1, 383, '\p{	_Latin_Ext_A}', "");
Expect(0, 383, '\p{^	_Latin_Ext_A}', "");
Expect(0, 383, '\P{	_Latin_Ext_A}', "");
Expect(1, 383, '\P{^	_Latin_Ext_A}', "");
Expect(0, 384, '\p{	_Latin_Ext_A}', "");
Expect(1, 384, '\p{^	_Latin_Ext_A}', "");
Expect(1, 384, '\P{	_Latin_Ext_A}', "");
Expect(0, 384, '\P{^	_Latin_Ext_A}', "");
Error('\p{	/a/IS_LATIN_ext_a}');
Error('\P{	/a/IS_LATIN_ext_a}');
Expect(1, 383, '\p{islatinexta}', "");
Expect(0, 383, '\p{^islatinexta}', "");
Expect(0, 383, '\P{islatinexta}', "");
Expect(1, 383, '\P{^islatinexta}', "");
Expect(0, 384, '\p{islatinexta}', "");
Expect(1, 384, '\p{^islatinexta}', "");
Expect(1, 384, '\P{islatinexta}', "");
Expect(0, 384, '\P{^islatinexta}', "");
Expect(1, 383, '\p{-	IS_Latin_EXT_A}', "");
Expect(0, 383, '\p{^-	IS_Latin_EXT_A}', "");
Expect(0, 383, '\P{-	IS_Latin_EXT_A}', "");
Expect(1, 383, '\P{^-	IS_Latin_EXT_A}', "");
Expect(0, 384, '\p{-	IS_Latin_EXT_A}', "");
Expect(1, 384, '\p{^-	IS_Latin_EXT_A}', "");
Expect(1, 384, '\P{-	IS_Latin_EXT_A}', "");
Expect(0, 384, '\P{^-	IS_Latin_EXT_A}', "");
Error('\p{/a/In_Latin_Ext_a}');
Error('\P{/a/In_Latin_Ext_a}');
Expect(1, 383, '\p{inlatinexta}', "");
Expect(0, 383, '\p{^inlatinexta}', "");
Expect(0, 383, '\P{inlatinexta}', "");
Expect(1, 383, '\P{^inlatinexta}', "");
Expect(0, 384, '\p{inlatinexta}', "");
Expect(1, 384, '\p{^inlatinexta}', "");
Expect(1, 384, '\P{inlatinexta}', "");
Expect(0, 384, '\P{^inlatinexta}', "");
Expect(1, 383, '\p{- IN_Latin_EXT_A}', "");
Expect(0, 383, '\p{^- IN_Latin_EXT_A}', "");
Expect(0, 383, '\P{- IN_Latin_EXT_A}', "");
Expect(1, 383, '\P{^- IN_Latin_EXT_A}', "");
Expect(0, 384, '\p{- IN_Latin_EXT_A}', "");
Expect(1, 384, '\p{^- IN_Latin_EXT_A}', "");
Expect(1, 384, '\P{- IN_Latin_EXT_A}', "");
Expect(0, 384, '\P{^- IN_Latin_EXT_A}', "");
Error('\p{_:=Latin_extended_additional}');
Error('\P{_:=Latin_extended_additional}');
Expect(1, 7935, '\p{latinextendedadditional}', "");
Expect(0, 7935, '\p{^latinextendedadditional}', "");
Expect(0, 7935, '\P{latinextendedadditional}', "");
Expect(1, 7935, '\P{^latinextendedadditional}', "");
Expect(0, 7936, '\p{latinextendedadditional}', "");
Expect(1, 7936, '\p{^latinextendedadditional}', "");
Expect(1, 7936, '\P{latinextendedadditional}', "");
Expect(0, 7936, '\P{^latinextendedadditional}', "");
Expect(1, 7935, '\p{-Latin_extended_Additional}', "");
Expect(0, 7935, '\p{^-Latin_extended_Additional}', "");
Expect(0, 7935, '\P{-Latin_extended_Additional}', "");
Expect(1, 7935, '\P{^-Latin_extended_Additional}', "");
Expect(0, 7936, '\p{-Latin_extended_Additional}', "");
Expect(1, 7936, '\p{^-Latin_extended_Additional}', "");
Expect(1, 7936, '\P{-Latin_extended_Additional}', "");
Expect(0, 7936, '\P{^-Latin_extended_Additional}', "");
Error('\p{:= 	Is_Latin_Extended_Additional}');
Error('\P{:= 	Is_Latin_Extended_Additional}');
Expect(1, 7935, '\p{islatinextendedadditional}', "");
Expect(0, 7935, '\p{^islatinextendedadditional}', "");
Expect(0, 7935, '\P{islatinextendedadditional}', "");
Expect(1, 7935, '\P{^islatinextendedadditional}', "");
Expect(0, 7936, '\p{islatinextendedadditional}', "");
Expect(1, 7936, '\p{^islatinextendedadditional}', "");
Expect(1, 7936, '\P{islatinextendedadditional}', "");
Expect(0, 7936, '\P{^islatinextendedadditional}', "");
Expect(1, 7935, '\p{ _is_latin_Extended_Additional}', "");
Expect(0, 7935, '\p{^ _is_latin_Extended_Additional}', "");
Expect(0, 7935, '\P{ _is_latin_Extended_Additional}', "");
Expect(1, 7935, '\P{^ _is_latin_Extended_Additional}', "");
Expect(0, 7936, '\p{ _is_latin_Extended_Additional}', "");
Expect(1, 7936, '\p{^ _is_latin_Extended_Additional}', "");
Expect(1, 7936, '\P{ _is_latin_Extended_Additional}', "");
Expect(0, 7936, '\P{^ _is_latin_Extended_Additional}', "");
Error('\p{  in_latin_Extended_ADDITIONAL:=}');
Error('\P{  in_latin_Extended_ADDITIONAL:=}');
Expect(1, 7935, '\p{inlatinextendedadditional}', "");
Expect(0, 7935, '\p{^inlatinextendedadditional}', "");
Expect(0, 7935, '\P{inlatinextendedadditional}', "");
Expect(1, 7935, '\P{^inlatinextendedadditional}', "");
Expect(0, 7936, '\p{inlatinextendedadditional}', "");
Expect(1, 7936, '\p{^inlatinextendedadditional}', "");
Expect(1, 7936, '\P{inlatinextendedadditional}', "");
Expect(0, 7936, '\P{^inlatinextendedadditional}', "");
Expect(1, 7935, '\p{	-In_Latin_EXTENDED_Additional}', "");
Expect(0, 7935, '\p{^	-In_Latin_EXTENDED_Additional}', "");
Expect(0, 7935, '\P{	-In_Latin_EXTENDED_Additional}', "");
Expect(1, 7935, '\P{^	-In_Latin_EXTENDED_Additional}', "");
Expect(0, 7936, '\p{	-In_Latin_EXTENDED_Additional}', "");
Expect(1, 7936, '\p{^	-In_Latin_EXTENDED_Additional}', "");
Expect(1, 7936, '\P{	-In_Latin_EXTENDED_Additional}', "");
Expect(0, 7936, '\P{^	-In_Latin_EXTENDED_Additional}', "");
Error('\p{ :=latin_Ext_additional}');
Error('\P{ :=latin_Ext_additional}');
Expect(1, 7935, '\p{latinextadditional}', "");
Expect(0, 7935, '\p{^latinextadditional}', "");
Expect(0, 7935, '\P{latinextadditional}', "");
Expect(1, 7935, '\P{^latinextadditional}', "");
Expect(0, 7936, '\p{latinextadditional}', "");
Expect(1, 7936, '\p{^latinextadditional}', "");
Expect(1, 7936, '\P{latinextadditional}', "");
Expect(0, 7936, '\P{^latinextadditional}', "");
Expect(1, 7935, '\p{_ Latin_Ext_ADDITIONAL}', "");
Expect(0, 7935, '\p{^_ Latin_Ext_ADDITIONAL}', "");
Expect(0, 7935, '\P{_ Latin_Ext_ADDITIONAL}', "");
Expect(1, 7935, '\P{^_ Latin_Ext_ADDITIONAL}', "");
Expect(0, 7936, '\p{_ Latin_Ext_ADDITIONAL}', "");
Expect(1, 7936, '\p{^_ Latin_Ext_ADDITIONAL}', "");
Expect(1, 7936, '\P{_ Latin_Ext_ADDITIONAL}', "");
Expect(0, 7936, '\P{^_ Latin_Ext_ADDITIONAL}', "");
Error('\p{:=_-Is_latin_EXT_Additional}');
Error('\P{:=_-Is_latin_EXT_Additional}');
Expect(1, 7935, '\p{islatinextadditional}', "");
Expect(0, 7935, '\p{^islatinextadditional}', "");
Expect(0, 7935, '\P{islatinextadditional}', "");
Expect(1, 7935, '\P{^islatinextadditional}', "");
Expect(0, 7936, '\p{islatinextadditional}', "");
Expect(1, 7936, '\p{^islatinextadditional}', "");
Expect(1, 7936, '\P{islatinextadditional}', "");
Expect(0, 7936, '\P{^islatinextadditional}', "");
Expect(1, 7935, '\p{-Is_LATIN_Ext_additional}', "");
Expect(0, 7935, '\p{^-Is_LATIN_Ext_additional}', "");
Expect(0, 7935, '\P{-Is_LATIN_Ext_additional}', "");
Expect(1, 7935, '\P{^-Is_LATIN_Ext_additional}', "");
Expect(0, 7936, '\p{-Is_LATIN_Ext_additional}', "");
Expect(1, 7936, '\p{^-Is_LATIN_Ext_additional}', "");
Expect(1, 7936, '\P{-Is_LATIN_Ext_additional}', "");
Expect(0, 7936, '\P{^-Is_LATIN_Ext_additional}', "");
Error('\p{- In_Latin_EXT_additional:=}');
Error('\P{- In_Latin_EXT_additional:=}');
Expect(1, 7935, '\p{inlatinextadditional}', "");
Expect(0, 7935, '\p{^inlatinextadditional}', "");
Expect(0, 7935, '\P{inlatinextadditional}', "");
Expect(1, 7935, '\P{^inlatinextadditional}', "");
Expect(0, 7936, '\p{inlatinextadditional}', "");
Expect(1, 7936, '\p{^inlatinextadditional}', "");
Expect(1, 7936, '\P{inlatinextadditional}', "");
Expect(0, 7936, '\P{^inlatinextadditional}', "");
Expect(1, 7935, '\p{_-In_latin_Ext_Additional}', "");
Expect(0, 7935, '\p{^_-In_latin_Ext_Additional}', "");
Expect(0, 7935, '\P{_-In_latin_Ext_Additional}', "");
Expect(1, 7935, '\P{^_-In_latin_Ext_Additional}', "");
Expect(0, 7936, '\p{_-In_latin_Ext_Additional}', "");
Expect(1, 7936, '\p{^_-In_latin_Ext_Additional}', "");
Expect(1, 7936, '\P{_-In_latin_Ext_Additional}', "");
Expect(0, 7936, '\P{^_-In_latin_Ext_Additional}', "");
Error('\p{_ Latin_extended_b:=}');
Error('\P{_ Latin_extended_b:=}');
Expect(1, 591, '\p{latinextendedb}', "");
Expect(0, 591, '\p{^latinextendedb}', "");
Expect(0, 591, '\P{latinextendedb}', "");
Expect(1, 591, '\P{^latinextendedb}', "");
Expect(0, 592, '\p{latinextendedb}', "");
Expect(1, 592, '\p{^latinextendedb}', "");
Expect(1, 592, '\P{latinextendedb}', "");
Expect(0, 592, '\P{^latinextendedb}', "");
Expect(1, 591, '\p{	-Latin_EXTENDED_B}', "");
Expect(0, 591, '\p{^	-Latin_EXTENDED_B}', "");
Expect(0, 591, '\P{	-Latin_EXTENDED_B}', "");
Expect(1, 591, '\P{^	-Latin_EXTENDED_B}', "");
Expect(0, 592, '\p{	-Latin_EXTENDED_B}', "");
Expect(1, 592, '\p{^	-Latin_EXTENDED_B}', "");
Expect(1, 592, '\P{	-Latin_EXTENDED_B}', "");
Expect(0, 592, '\P{^	-Latin_EXTENDED_B}', "");
Error('\p{:=-Is_latin_EXTENDED_b}');
Error('\P{:=-Is_latin_EXTENDED_b}');
Expect(1, 591, '\p{islatinextendedb}', "");
Expect(0, 591, '\p{^islatinextendedb}', "");
Expect(0, 591, '\P{islatinextendedb}', "");
Expect(1, 591, '\P{^islatinextendedb}', "");
Expect(0, 592, '\p{islatinextendedb}', "");
Expect(1, 592, '\p{^islatinextendedb}', "");
Expect(1, 592, '\P{islatinextendedb}', "");
Expect(0, 592, '\P{^islatinextendedb}', "");
Expect(1, 591, '\p{		IS_Latin_Extended_b}', "");
Expect(0, 591, '\p{^		IS_Latin_Extended_b}', "");
Expect(0, 591, '\P{		IS_Latin_Extended_b}', "");
Expect(1, 591, '\P{^		IS_Latin_Extended_b}', "");
Expect(0, 592, '\p{		IS_Latin_Extended_b}', "");
Expect(1, 592, '\p{^		IS_Latin_Extended_b}', "");
Expect(1, 592, '\P{		IS_Latin_Extended_b}', "");
Expect(0, 592, '\P{^		IS_Latin_Extended_b}', "");
Error('\p{/a/ -IN_Latin_extended_B}');
Error('\P{/a/ -IN_Latin_extended_B}');
Expect(1, 591, '\p{inlatinextendedb}', "");
Expect(0, 591, '\p{^inlatinextendedb}', "");
Expect(0, 591, '\P{inlatinextendedb}', "");
Expect(1, 591, '\P{^inlatinextendedb}', "");
Expect(0, 592, '\p{inlatinextendedb}', "");
Expect(1, 592, '\p{^inlatinextendedb}', "");
Expect(1, 592, '\P{inlatinextendedb}', "");
Expect(0, 592, '\P{^inlatinextendedb}', "");
Expect(1, 591, '\p{		IN_Latin_extended_B}', "");
Expect(0, 591, '\p{^		IN_Latin_extended_B}', "");
Expect(0, 591, '\P{		IN_Latin_extended_B}', "");
Expect(1, 591, '\P{^		IN_Latin_extended_B}', "");
Expect(0, 592, '\p{		IN_Latin_extended_B}', "");
Expect(1, 592, '\p{^		IN_Latin_extended_B}', "");
Expect(1, 592, '\P{		IN_Latin_extended_B}', "");
Expect(0, 592, '\P{^		IN_Latin_extended_B}', "");
Error('\p{	 Latin_Ext_B:=}');
Error('\P{	 Latin_Ext_B:=}');
Expect(1, 591, '\p{latinextb}', "");
Expect(0, 591, '\p{^latinextb}', "");
Expect(0, 591, '\P{latinextb}', "");
Expect(1, 591, '\P{^latinextb}', "");
Expect(0, 592, '\p{latinextb}', "");
Expect(1, 592, '\p{^latinextb}', "");
Expect(1, 592, '\P{latinextb}', "");
Expect(0, 592, '\P{^latinextb}', "");
Expect(1, 591, '\p{	-latin_EXT_B}', "");
Expect(0, 591, '\p{^	-latin_EXT_B}', "");
Expect(0, 591, '\P{	-latin_EXT_B}', "");
Expect(1, 591, '\P{^	-latin_EXT_B}', "");
Expect(0, 592, '\p{	-latin_EXT_B}', "");
Expect(1, 592, '\p{^	-latin_EXT_B}', "");
Expect(1, 592, '\P{	-latin_EXT_B}', "");
Expect(0, 592, '\P{^	-latin_EXT_B}', "");
Error('\p{:=__Is_LATIN_ext_B}');
Error('\P{:=__Is_LATIN_ext_B}');
Expect(1, 591, '\p{islatinextb}', "");
Expect(0, 591, '\p{^islatinextb}', "");
Expect(0, 591, '\P{islatinextb}', "");
Expect(1, 591, '\P{^islatinextb}', "");
Expect(0, 592, '\p{islatinextb}', "");
Expect(1, 592, '\p{^islatinextb}', "");
Expect(1, 592, '\P{islatinextb}', "");
Expect(0, 592, '\P{^islatinextb}', "");
Expect(1, 591, '\p{ Is_latin_Ext_b}', "");
Expect(0, 591, '\p{^ Is_latin_Ext_b}', "");
Expect(0, 591, '\P{ Is_latin_Ext_b}', "");
Expect(1, 591, '\P{^ Is_latin_Ext_b}', "");
Expect(0, 592, '\p{ Is_latin_Ext_b}', "");
Expect(1, 592, '\p{^ Is_latin_Ext_b}', "");
Expect(1, 592, '\P{ Is_latin_Ext_b}', "");
Expect(0, 592, '\P{^ Is_latin_Ext_b}', "");
Error('\p{-	In_latin_Ext_B/a/}');
Error('\P{-	In_latin_Ext_B/a/}');
Expect(1, 591, '\p{inlatinextb}', "");
Expect(0, 591, '\p{^inlatinextb}', "");
Expect(0, 591, '\P{inlatinextb}', "");
Expect(1, 591, '\P{^inlatinextb}', "");
Expect(0, 592, '\p{inlatinextb}', "");
Expect(1, 592, '\p{^inlatinextb}', "");
Expect(1, 592, '\P{inlatinextb}', "");
Expect(0, 592, '\P{^inlatinextb}', "");
Expect(1, 591, '\p{ _IN_latin_ext_b}', "");
Expect(0, 591, '\p{^ _IN_latin_ext_b}', "");
Expect(0, 591, '\P{ _IN_latin_ext_b}', "");
Expect(1, 591, '\P{^ _IN_latin_ext_b}', "");
Expect(0, 592, '\p{ _IN_latin_ext_b}', "");
Expect(1, 592, '\p{^ _IN_latin_ext_b}', "");
Expect(1, 592, '\P{ _IN_latin_ext_b}', "");
Expect(0, 592, '\P{^ _IN_latin_ext_b}', "");
Error('\p{ -Latin_EXTENDED_C/a/}');
Error('\P{ -Latin_EXTENDED_C/a/}');
Expect(1, 11391, '\p{latinextendedc}', "");
Expect(0, 11391, '\p{^latinextendedc}', "");
Expect(0, 11391, '\P{latinextendedc}', "");
Expect(1, 11391, '\P{^latinextendedc}', "");
Expect(0, 11392, '\p{latinextendedc}', "");
Expect(1, 11392, '\p{^latinextendedc}', "");
Expect(1, 11392, '\P{latinextendedc}', "");
Expect(0, 11392, '\P{^latinextendedc}', "");
Expect(1, 11391, '\p{ Latin_extended_C}', "");
Expect(0, 11391, '\p{^ Latin_extended_C}', "");
Expect(0, 11391, '\P{ Latin_extended_C}', "");
Expect(1, 11391, '\P{^ Latin_extended_C}', "");
Expect(0, 11392, '\p{ Latin_extended_C}', "");
Expect(1, 11392, '\p{^ Latin_extended_C}', "");
Expect(1, 11392, '\P{ Latin_extended_C}', "");
Expect(0, 11392, '\P{^ Latin_extended_C}', "");
Error('\p{:=	_is_latin_Extended_C}');
Error('\P{:=	_is_latin_Extended_C}');
Expect(1, 11391, '\p{islatinextendedc}', "");
Expect(0, 11391, '\p{^islatinextendedc}', "");
Expect(0, 11391, '\P{islatinextendedc}', "");
Expect(1, 11391, '\P{^islatinextendedc}', "");
Expect(0, 11392, '\p{islatinextendedc}', "");
Expect(1, 11392, '\p{^islatinextendedc}', "");
Expect(1, 11392, '\P{islatinextendedc}', "");
Expect(0, 11392, '\P{^islatinextendedc}', "");
Expect(1, 11391, '\p{__Is_Latin_extended_C}', "");
Expect(0, 11391, '\p{^__Is_Latin_extended_C}', "");
Expect(0, 11391, '\P{__Is_Latin_extended_C}', "");
Expect(1, 11391, '\P{^__Is_Latin_extended_C}', "");
Expect(0, 11392, '\p{__Is_Latin_extended_C}', "");
Expect(1, 11392, '\p{^__Is_Latin_extended_C}', "");
Expect(1, 11392, '\P{__Is_Latin_extended_C}', "");
Expect(0, 11392, '\P{^__Is_Latin_extended_C}', "");
Error('\p{	 In_latin_EXTENDED_C:=}');
Error('\P{	 In_latin_EXTENDED_C:=}');
Expect(1, 11391, '\p{inlatinextendedc}', "");
Expect(0, 11391, '\p{^inlatinextendedc}', "");
Expect(0, 11391, '\P{inlatinextendedc}', "");
Expect(1, 11391, '\P{^inlatinextendedc}', "");
Expect(0, 11392, '\p{inlatinextendedc}', "");
Expect(1, 11392, '\p{^inlatinextendedc}', "");
Expect(1, 11392, '\P{inlatinextendedc}', "");
Expect(0, 11392, '\P{^inlatinextendedc}', "");
Expect(1, 11391, '\p{	_IN_LATIN_Extended_C}', "");
Expect(0, 11391, '\p{^	_IN_LATIN_Extended_C}', "");
Expect(0, 11391, '\P{	_IN_LATIN_Extended_C}', "");
Expect(1, 11391, '\P{^	_IN_LATIN_Extended_C}', "");
Expect(0, 11392, '\p{	_IN_LATIN_Extended_C}', "");
Expect(1, 11392, '\p{^	_IN_LATIN_Extended_C}', "");
Expect(1, 11392, '\P{	_IN_LATIN_Extended_C}', "");
Expect(0, 11392, '\P{^	_IN_LATIN_Extended_C}', "");
Error('\p{/a/ LATIN_EXT_c}');
Error('\P{/a/ LATIN_EXT_c}');
Expect(1, 11391, '\p{latinextc}', "");
Expect(0, 11391, '\p{^latinextc}', "");
Expect(0, 11391, '\P{latinextc}', "");
Expect(1, 11391, '\P{^latinextc}', "");
Expect(0, 11392, '\p{latinextc}', "");
Expect(1, 11392, '\p{^latinextc}', "");
Expect(1, 11392, '\P{latinextc}', "");
Expect(0, 11392, '\P{^latinextc}', "");
Expect(1, 11391, '\p{-_Latin_Ext_C}', "");
Expect(0, 11391, '\p{^-_Latin_Ext_C}', "");
Expect(0, 11391, '\P{-_Latin_Ext_C}', "");
Expect(1, 11391, '\P{^-_Latin_Ext_C}', "");
Expect(0, 11392, '\p{-_Latin_Ext_C}', "");
Expect(1, 11392, '\p{^-_Latin_Ext_C}', "");
Expect(1, 11392, '\P{-_Latin_Ext_C}', "");
Expect(0, 11392, '\P{^-_Latin_Ext_C}', "");
Error('\p{ /a/Is_latin_Ext_c}');
Error('\P{ /a/Is_latin_Ext_c}');
Expect(1, 11391, '\p{islatinextc}', "");
Expect(0, 11391, '\p{^islatinextc}', "");
Expect(0, 11391, '\P{islatinextc}', "");
Expect(1, 11391, '\P{^islatinextc}', "");
Expect(0, 11392, '\p{islatinextc}', "");
Expect(1, 11392, '\p{^islatinextc}', "");
Expect(1, 11392, '\P{islatinextc}', "");
Expect(0, 11392, '\P{^islatinextc}', "");
Expect(1, 11391, '\p{  IS_latin_Ext_C}', "");
Expect(0, 11391, '\p{^  IS_latin_Ext_C}', "");
Expect(0, 11391, '\P{  IS_latin_Ext_C}', "");
Expect(1, 11391, '\P{^  IS_latin_Ext_C}', "");
Expect(0, 11392, '\p{  IS_latin_Ext_C}', "");
Expect(1, 11392, '\p{^  IS_latin_Ext_C}', "");
Expect(1, 11392, '\P{  IS_latin_Ext_C}', "");
Expect(0, 11392, '\P{^  IS_latin_Ext_C}', "");
Error('\p{ In_LATIN_ext_C:=}');
Error('\P{ In_LATIN_ext_C:=}');
Expect(1, 11391, '\p{inlatinextc}', "");
Expect(0, 11391, '\p{^inlatinextc}', "");
Expect(0, 11391, '\P{inlatinextc}', "");
Expect(1, 11391, '\P{^inlatinextc}', "");
Expect(0, 11392, '\p{inlatinextc}', "");
Expect(1, 11392, '\p{^inlatinextc}', "");
Expect(1, 11392, '\P{inlatinextc}', "");
Expect(0, 11392, '\P{^inlatinextc}', "");
Expect(1, 11391, '\p{-In_latin_ext_c}', "");
Expect(0, 11391, '\p{^-In_latin_ext_c}', "");
Expect(0, 11391, '\P{-In_latin_ext_c}', "");
Expect(1, 11391, '\P{^-In_latin_ext_c}', "");
Expect(0, 11392, '\p{-In_latin_ext_c}', "");
Expect(1, 11392, '\p{^-In_latin_ext_c}', "");
Expect(1, 11392, '\P{-In_latin_ext_c}', "");
Expect(0, 11392, '\P{^-In_latin_ext_c}', "");
Error('\p{:=	-Latin_EXTENDED_D}');
Error('\P{:=	-Latin_EXTENDED_D}');
Expect(1, 43007, '\p{latinextendedd}', "");
Expect(0, 43007, '\p{^latinextendedd}', "");
Expect(0, 43007, '\P{latinextendedd}', "");
Expect(1, 43007, '\P{^latinextendedd}', "");
Expect(0, 43008, '\p{latinextendedd}', "");
Expect(1, 43008, '\p{^latinextendedd}', "");
Expect(1, 43008, '\P{latinextendedd}', "");
Expect(0, 43008, '\P{^latinextendedd}', "");
Expect(1, 43007, '\p{-	Latin_extended_D}', "");
Expect(0, 43007, '\p{^-	Latin_extended_D}', "");
Expect(0, 43007, '\P{-	Latin_extended_D}', "");
Expect(1, 43007, '\P{^-	Latin_extended_D}', "");
Expect(0, 43008, '\p{-	Latin_extended_D}', "");
Expect(1, 43008, '\p{^-	Latin_extended_D}', "");
Expect(1, 43008, '\P{-	Latin_extended_D}', "");
Expect(0, 43008, '\P{^-	Latin_extended_D}', "");
Error('\p{ is_latin_extended_d:=}');
Error('\P{ is_latin_extended_d:=}');
Expect(1, 43007, '\p{islatinextendedd}', "");
Expect(0, 43007, '\p{^islatinextendedd}', "");
Expect(0, 43007, '\P{islatinextendedd}', "");
Expect(1, 43007, '\P{^islatinextendedd}', "");
Expect(0, 43008, '\p{islatinextendedd}', "");
Expect(1, 43008, '\p{^islatinextendedd}', "");
Expect(1, 43008, '\P{islatinextendedd}', "");
Expect(0, 43008, '\P{^islatinextendedd}', "");
Expect(1, 43007, '\p{_-IS_Latin_extended_D}', "");
Expect(0, 43007, '\p{^_-IS_Latin_extended_D}', "");
Expect(0, 43007, '\P{_-IS_Latin_extended_D}', "");
Expect(1, 43007, '\P{^_-IS_Latin_extended_D}', "");
Expect(0, 43008, '\p{_-IS_Latin_extended_D}', "");
Expect(1, 43008, '\p{^_-IS_Latin_extended_D}', "");
Expect(1, 43008, '\P{_-IS_Latin_extended_D}', "");
Expect(0, 43008, '\P{^_-IS_Latin_extended_D}', "");
Error('\p{-In_latin_Extended_D:=}');
Error('\P{-In_latin_Extended_D:=}');
Expect(1, 43007, '\p{inlatinextendedd}', "");
Expect(0, 43007, '\p{^inlatinextendedd}', "");
Expect(0, 43007, '\P{inlatinextendedd}', "");
Expect(1, 43007, '\P{^inlatinextendedd}', "");
Expect(0, 43008, '\p{inlatinextendedd}', "");
Expect(1, 43008, '\p{^inlatinextendedd}', "");
Expect(1, 43008, '\P{inlatinextendedd}', "");
Expect(0, 43008, '\P{^inlatinextendedd}', "");
Expect(1, 43007, '\p{	In_latin_extended_D}', "");
Expect(0, 43007, '\p{^	In_latin_extended_D}', "");
Expect(0, 43007, '\P{	In_latin_extended_D}', "");
Expect(1, 43007, '\P{^	In_latin_extended_D}', "");
Expect(0, 43008, '\p{	In_latin_extended_D}', "");
Expect(1, 43008, '\p{^	In_latin_extended_D}', "");
Expect(1, 43008, '\P{	In_latin_extended_D}', "");
Expect(0, 43008, '\P{^	In_latin_extended_D}', "");
Error('\p{ :=latin_Ext_d}');
Error('\P{ :=latin_Ext_d}');
Expect(1, 43007, '\p{latinextd}', "");
Expect(0, 43007, '\p{^latinextd}', "");
Expect(0, 43007, '\P{latinextd}', "");
Expect(1, 43007, '\P{^latinextd}', "");
Expect(0, 43008, '\p{latinextd}', "");
Expect(1, 43008, '\p{^latinextd}', "");
Expect(1, 43008, '\P{latinextd}', "");
Expect(0, 43008, '\P{^latinextd}', "");
Expect(1, 43007, '\p{_ LATIN_ext_D}', "");
Expect(0, 43007, '\p{^_ LATIN_ext_D}', "");
Expect(0, 43007, '\P{_ LATIN_ext_D}', "");
Expect(1, 43007, '\P{^_ LATIN_ext_D}', "");
Expect(0, 43008, '\p{_ LATIN_ext_D}', "");
Expect(1, 43008, '\p{^_ LATIN_ext_D}', "");
Expect(1, 43008, '\P{_ LATIN_ext_D}', "");
Expect(0, 43008, '\P{^_ LATIN_ext_D}', "");
Error('\p{_:=IS_Latin_Ext_D}');
Error('\P{_:=IS_Latin_Ext_D}');
Expect(1, 43007, '\p{islatinextd}', "");
Expect(0, 43007, '\p{^islatinextd}', "");
Expect(0, 43007, '\P{islatinextd}', "");
Expect(1, 43007, '\P{^islatinextd}', "");
Expect(0, 43008, '\p{islatinextd}', "");
Expect(1, 43008, '\p{^islatinextd}', "");
Expect(1, 43008, '\P{islatinextd}', "");
Expect(0, 43008, '\P{^islatinextd}', "");
Expect(1, 43007, '\p{_ Is_LATIN_EXT_d}', "");
Expect(0, 43007, '\p{^_ Is_LATIN_EXT_d}', "");
Expect(0, 43007, '\P{_ Is_LATIN_EXT_d}', "");
Expect(1, 43007, '\P{^_ Is_LATIN_EXT_d}', "");
Expect(0, 43008, '\p{_ Is_LATIN_EXT_d}', "");
Expect(1, 43008, '\p{^_ Is_LATIN_EXT_d}', "");
Expect(1, 43008, '\P{_ Is_LATIN_EXT_d}', "");
Expect(0, 43008, '\P{^_ Is_LATIN_EXT_d}', "");
Error('\p{	in_Latin_Ext_D/a/}');
Error('\P{	in_Latin_Ext_D/a/}');
Expect(1, 43007, '\p{inlatinextd}', "");
Expect(0, 43007, '\p{^inlatinextd}', "");
Expect(0, 43007, '\P{inlatinextd}', "");
Expect(1, 43007, '\P{^inlatinextd}', "");
Expect(0, 43008, '\p{inlatinextd}', "");
Expect(1, 43008, '\p{^inlatinextd}', "");
Expect(1, 43008, '\P{inlatinextd}', "");
Expect(0, 43008, '\P{^inlatinextd}', "");
Expect(1, 43007, '\p{-IN_Latin_ext_D}', "");
Expect(0, 43007, '\p{^-IN_Latin_ext_D}', "");
Expect(0, 43007, '\P{-IN_Latin_ext_D}', "");
Expect(1, 43007, '\P{^-IN_Latin_ext_D}', "");
Expect(0, 43008, '\p{-IN_Latin_ext_D}', "");
Expect(1, 43008, '\p{^-IN_Latin_ext_D}', "");
Expect(1, 43008, '\P{-IN_Latin_ext_D}', "");
Expect(0, 43008, '\P{^-IN_Latin_ext_D}', "");
Error('\p{-/a/Latin_Extended_E}');
Error('\P{-/a/Latin_Extended_E}');
Expect(1, 43887, '\p{latinextendede}', "");
Expect(0, 43887, '\p{^latinextendede}', "");
Expect(0, 43887, '\P{latinextendede}', "");
Expect(1, 43887, '\P{^latinextendede}', "");
Expect(0, 43888, '\p{latinextendede}', "");
Expect(1, 43888, '\p{^latinextendede}', "");
Expect(1, 43888, '\P{latinextendede}', "");
Expect(0, 43888, '\P{^latinextendede}', "");
Expect(1, 43887, '\p{  latin_extended_E}', "");
Expect(0, 43887, '\p{^  latin_extended_E}', "");
Expect(0, 43887, '\P{  latin_extended_E}', "");
Expect(1, 43887, '\P{^  latin_extended_E}', "");
Expect(0, 43888, '\p{  latin_extended_E}', "");
Expect(1, 43888, '\p{^  latin_extended_E}', "");
Expect(1, 43888, '\P{  latin_extended_E}', "");
Expect(0, 43888, '\P{^  latin_extended_E}', "");
Error('\p{ Is_Latin_EXTENDED_E/a/}');
Error('\P{ Is_Latin_EXTENDED_E/a/}');
Expect(1, 43887, '\p{islatinextendede}', "");
Expect(0, 43887, '\p{^islatinextendede}', "");
Expect(0, 43887, '\P{islatinextendede}', "");
Expect(1, 43887, '\P{^islatinextendede}', "");
Expect(0, 43888, '\p{islatinextendede}', "");
Expect(1, 43888, '\p{^islatinextendede}', "");
Expect(1, 43888, '\P{islatinextendede}', "");
Expect(0, 43888, '\P{^islatinextendede}', "");
Expect(1, 43887, '\p{_Is_latin_Extended_E}', "");
Expect(0, 43887, '\p{^_Is_latin_Extended_E}', "");
Expect(0, 43887, '\P{_Is_latin_Extended_E}', "");
Expect(1, 43887, '\P{^_Is_latin_Extended_E}', "");
Expect(0, 43888, '\p{_Is_latin_Extended_E}', "");
Expect(1, 43888, '\p{^_Is_latin_Extended_E}', "");
Expect(1, 43888, '\P{_Is_latin_Extended_E}', "");
Expect(0, 43888, '\P{^_Is_latin_Extended_E}', "");
Error('\p{/a/	In_Latin_Extended_E}');
Error('\P{/a/	In_Latin_Extended_E}');
Expect(1, 43887, '\p{inlatinextendede}', "");
Expect(0, 43887, '\p{^inlatinextendede}', "");
Expect(0, 43887, '\P{inlatinextendede}', "");
Expect(1, 43887, '\P{^inlatinextendede}', "");
Expect(0, 43888, '\p{inlatinextendede}', "");
Expect(1, 43888, '\p{^inlatinextendede}', "");
Expect(1, 43888, '\P{inlatinextendede}', "");
Expect(0, 43888, '\P{^inlatinextendede}', "");
Expect(1, 43887, '\p{--In_Latin_extended_E}', "");
Expect(0, 43887, '\p{^--In_Latin_extended_E}', "");
Expect(0, 43887, '\P{--In_Latin_extended_E}', "");
Expect(1, 43887, '\P{^--In_Latin_extended_E}', "");
Expect(0, 43888, '\p{--In_Latin_extended_E}', "");
Expect(1, 43888, '\p{^--In_Latin_extended_E}', "");
Expect(1, 43888, '\P{--In_Latin_extended_E}', "");
Expect(0, 43888, '\P{^--In_Latin_extended_E}', "");
Error('\p{_/a/latin_EXT_e}');
Error('\P{_/a/latin_EXT_e}');
Expect(1, 43887, '\p{latinexte}', "");
Expect(0, 43887, '\p{^latinexte}', "");
Expect(0, 43887, '\P{latinexte}', "");
Expect(1, 43887, '\P{^latinexte}', "");
Expect(0, 43888, '\p{latinexte}', "");
Expect(1, 43888, '\p{^latinexte}', "");
Expect(1, 43888, '\P{latinexte}', "");
Expect(0, 43888, '\P{^latinexte}', "");
Expect(1, 43887, '\p{__latin_Ext_E}', "");
Expect(0, 43887, '\p{^__latin_Ext_E}', "");
Expect(0, 43887, '\P{__latin_Ext_E}', "");
Expect(1, 43887, '\P{^__latin_Ext_E}', "");
Expect(0, 43888, '\p{__latin_Ext_E}', "");
Expect(1, 43888, '\p{^__latin_Ext_E}', "");
Expect(1, 43888, '\P{__latin_Ext_E}', "");
Expect(0, 43888, '\P{^__latin_Ext_E}', "");
Error('\p{__Is_Latin_EXT_E/a/}');
Error('\P{__Is_Latin_EXT_E/a/}');
Expect(1, 43887, '\p{islatinexte}', "");
Expect(0, 43887, '\p{^islatinexte}', "");
Expect(0, 43887, '\P{islatinexte}', "");
Expect(1, 43887, '\P{^islatinexte}', "");
Expect(0, 43888, '\p{islatinexte}', "");
Expect(1, 43888, '\p{^islatinexte}', "");
Expect(1, 43888, '\P{islatinexte}', "");
Expect(0, 43888, '\P{^islatinexte}', "");
Expect(1, 43887, '\p{IS_Latin_ext_E}', "");
Expect(0, 43887, '\p{^IS_Latin_ext_E}', "");
Expect(0, 43887, '\P{IS_Latin_ext_E}', "");
Expect(1, 43887, '\P{^IS_Latin_ext_E}', "");
Expect(0, 43888, '\p{IS_Latin_ext_E}', "");
Expect(1, 43888, '\p{^IS_Latin_ext_E}', "");
Expect(1, 43888, '\P{IS_Latin_ext_E}', "");
Expect(0, 43888, '\P{^IS_Latin_ext_E}', "");
Error('\p{:=_IN_LATIN_Ext_E}');
Error('\P{:=_IN_LATIN_Ext_E}');
Expect(1, 43887, '\p{inlatinexte}', "");
Expect(0, 43887, '\p{^inlatinexte}', "");
Expect(0, 43887, '\P{inlatinexte}', "");
Expect(1, 43887, '\P{^inlatinexte}', "");
Expect(0, 43888, '\p{inlatinexte}', "");
Expect(1, 43888, '\p{^inlatinexte}', "");
Expect(1, 43888, '\P{inlatinexte}', "");
Expect(0, 43888, '\P{^inlatinexte}', "");
Expect(1, 43887, '\p{_	In_latin_Ext_E}', "");
Expect(0, 43887, '\p{^_	In_latin_Ext_E}', "");
Expect(0, 43887, '\P{_	In_latin_Ext_E}', "");
Expect(1, 43887, '\P{^_	In_latin_Ext_E}', "");
Expect(0, 43888, '\p{_	In_latin_Ext_E}', "");
Expect(1, 43888, '\p{^_	In_latin_Ext_E}', "");
Expect(1, 43888, '\P{_	In_latin_Ext_E}', "");
Expect(0, 43888, '\P{^_	In_latin_Ext_E}', "");
Error('\p{:=Lepcha}');
Error('\P{:=Lepcha}');
Expect(1, 7247, '\p{lepcha}', "");
Expect(0, 7247, '\p{^lepcha}', "");
Expect(0, 7247, '\P{lepcha}', "");
Expect(1, 7247, '\P{^lepcha}', "");
Expect(0, 7248, '\p{lepcha}', "");
Expect(1, 7248, '\p{^lepcha}', "");
Expect(1, 7248, '\P{lepcha}', "");
Expect(0, 7248, '\P{^lepcha}', "");
Expect(1, 7247, '\p{_Lepcha}', "");
Expect(0, 7247, '\p{^_Lepcha}', "");
Expect(0, 7247, '\P{_Lepcha}', "");
Expect(1, 7247, '\P{^_Lepcha}', "");
Expect(0, 7248, '\p{_Lepcha}', "");
Expect(1, 7248, '\p{^_Lepcha}', "");
Expect(1, 7248, '\P{_Lepcha}', "");
Expect(0, 7248, '\P{^_Lepcha}', "");
Error('\p{_-Is_LEPCHA:=}');
Error('\P{_-Is_LEPCHA:=}');
Expect(1, 7247, '\p{islepcha}', "");
Expect(0, 7247, '\p{^islepcha}', "");
Expect(0, 7247, '\P{islepcha}', "");
Expect(1, 7247, '\P{^islepcha}', "");
Expect(0, 7248, '\p{islepcha}', "");
Expect(1, 7248, '\p{^islepcha}', "");
Expect(1, 7248, '\P{islepcha}', "");
Expect(0, 7248, '\P{^islepcha}', "");
Expect(1, 7247, '\p{	Is_lepcha}', "");
Expect(0, 7247, '\p{^	Is_lepcha}', "");
Expect(0, 7247, '\P{	Is_lepcha}', "");
Expect(1, 7247, '\P{^	Is_lepcha}', "");
Expect(0, 7248, '\p{	Is_lepcha}', "");
Expect(1, 7248, '\p{^	Is_lepcha}', "");
Expect(1, 7248, '\P{	Is_lepcha}', "");
Expect(0, 7248, '\P{^	Is_lepcha}', "");
Error('\p{	/a/Lepc}');
Error('\P{	/a/Lepc}');
Expect(1, 7247, '\p{lepc}', "");
Expect(0, 7247, '\p{^lepc}', "");
Expect(0, 7247, '\P{lepc}', "");
Expect(1, 7247, '\P{^lepc}', "");
Expect(0, 7248, '\p{lepc}', "");
Expect(1, 7248, '\p{^lepc}', "");
Expect(1, 7248, '\P{lepc}', "");
Expect(0, 7248, '\P{^lepc}', "");
Expect(1, 7247, '\p{__lepc}', "");
Expect(0, 7247, '\p{^__lepc}', "");
Expect(0, 7247, '\P{__lepc}', "");
Expect(1, 7247, '\P{^__lepc}', "");
Expect(0, 7248, '\p{__lepc}', "");
Expect(1, 7248, '\p{^__lepc}', "");
Expect(1, 7248, '\P{__lepc}', "");
Expect(0, 7248, '\P{^__lepc}', "");
Error('\p{	:=Is_LEPC}');
Error('\P{	:=Is_LEPC}');
Expect(1, 7247, '\p{islepc}', "");
Expect(0, 7247, '\p{^islepc}', "");
Expect(0, 7247, '\P{islepc}', "");
Expect(1, 7247, '\P{^islepc}', "");
Expect(0, 7248, '\p{islepc}', "");
Expect(1, 7248, '\p{^islepc}', "");
Expect(1, 7248, '\P{islepc}', "");
Expect(0, 7248, '\P{^islepc}', "");
Expect(1, 7247, '\p{Is_lepc}', "");
Expect(0, 7247, '\p{^Is_lepc}', "");
Expect(0, 7247, '\P{Is_lepc}', "");
Expect(1, 7247, '\P{^Is_lepc}', "");
Expect(0, 7248, '\p{Is_lepc}', "");
Expect(1, 7248, '\p{^Is_lepc}', "");
Expect(1, 7248, '\P{Is_lepc}', "");
Expect(0, 7248, '\P{^Is_lepc}', "");
Error('\p{	:=Letter}');
Error('\P{	:=Letter}');
Expect(1, 195101, '\p{letter}', "");
Expect(0, 195101, '\p{^letter}', "");
Expect(0, 195101, '\P{letter}', "");
Expect(1, 195101, '\P{^letter}', "");
Expect(0, 195102, '\p{letter}', "");
Expect(1, 195102, '\p{^letter}', "");
Expect(1, 195102, '\P{letter}', "");
Expect(0, 195102, '\P{^letter}', "");
Expect(1, 195101, '\p{  Letter}', "");
Expect(0, 195101, '\p{^  Letter}', "");
Expect(0, 195101, '\P{  Letter}', "");
Expect(1, 195101, '\P{^  Letter}', "");
Expect(0, 195102, '\p{  Letter}', "");
Expect(1, 195102, '\p{^  Letter}', "");
Expect(1, 195102, '\P{  Letter}', "");
Expect(0, 195102, '\P{^  Letter}', "");
Error('\p{_:=Is_LETTER}');
Error('\P{_:=Is_LETTER}');
Expect(1, 195101, '\p{isletter}', "");
Expect(0, 195101, '\p{^isletter}', "");
Expect(0, 195101, '\P{isletter}', "");
Expect(1, 195101, '\P{^isletter}', "");
Expect(0, 195102, '\p{isletter}', "");
Expect(1, 195102, '\p{^isletter}', "");
Expect(1, 195102, '\P{isletter}', "");
Expect(0, 195102, '\P{^isletter}', "");
Expect(1, 195101, '\p{ -is_Letter}', "");
Expect(0, 195101, '\p{^ -is_Letter}', "");
Expect(0, 195101, '\P{ -is_Letter}', "");
Expect(1, 195101, '\P{^ -is_Letter}', "");
Expect(0, 195102, '\p{ -is_Letter}', "");
Expect(1, 195102, '\p{^ -is_Letter}', "");
Expect(1, 195102, '\P{ -is_Letter}', "");
Expect(0, 195102, '\P{^ -is_Letter}', "");
Error('\p{-/a/L}');
Error('\P{-/a/L}');
Expect(1, 195101, '\p{l}', "");
Expect(0, 195101, '\p{^l}', "");
Expect(0, 195101, '\P{l}', "");
Expect(1, 195101, '\P{^l}', "");
Expect(0, 195102, '\p{l}', "");
Expect(1, 195102, '\p{^l}', "");
Expect(1, 195102, '\P{l}', "");
Expect(0, 195102, '\P{^l}', "");
Expect(1, 195101, '\p{- L}', "");
Expect(0, 195101, '\p{^- L}', "");
Expect(0, 195101, '\P{- L}', "");
Expect(1, 195101, '\P{^- L}', "");
Expect(0, 195102, '\p{- L}', "");
Expect(1, 195102, '\p{^- L}', "");
Expect(1, 195102, '\P{- L}', "");
Expect(0, 195102, '\P{^- L}', "");
Error('\p{-IS_L/a/}');
Error('\P{-IS_L/a/}');
Expect(1, 195101, '\p{isl}', "");
Expect(0, 195101, '\p{^isl}', "");
Expect(0, 195101, '\P{isl}', "");
Expect(1, 195101, '\P{^isl}', "");
Expect(0, 195102, '\p{isl}', "");
Expect(1, 195102, '\p{^isl}', "");
Expect(1, 195102, '\P{isl}', "");
Expect(0, 195102, '\P{^isl}', "");
Expect(1, 195101, '\p{ 	IS_L}', "");
Expect(0, 195101, '\p{^ 	IS_L}', "");
Expect(0, 195101, '\P{ 	IS_L}', "");
Expect(1, 195101, '\P{^ 	IS_L}', "");
Expect(0, 195102, '\p{ 	IS_L}', "");
Expect(1, 195102, '\p{^ 	IS_L}', "");
Expect(1, 195102, '\P{ 	IS_L}', "");
Expect(0, 195102, '\P{^ 	IS_L}', "");
Error('\p{-_letter_Number:=}');
Error('\P{-_letter_Number:=}');
Expect(1, 74862, '\p{letternumber}', "");
Expect(0, 74862, '\p{^letternumber}', "");
Expect(0, 74862, '\P{letternumber}', "");
Expect(1, 74862, '\P{^letternumber}', "");
Expect(0, 74863, '\p{letternumber}', "");
Expect(1, 74863, '\p{^letternumber}', "");
Expect(1, 74863, '\P{letternumber}', "");
Expect(0, 74863, '\P{^letternumber}', "");
Expect(1, 74862, '\p{	-Letter_number}', "");
Expect(0, 74862, '\p{^	-Letter_number}', "");
Expect(0, 74862, '\P{	-Letter_number}', "");
Expect(1, 74862, '\P{^	-Letter_number}', "");
Expect(0, 74863, '\p{	-Letter_number}', "");
Expect(1, 74863, '\p{^	-Letter_number}', "");
Expect(1, 74863, '\P{	-Letter_number}', "");
Expect(0, 74863, '\P{^	-Letter_number}', "");
Error('\p{ _Is_Letter_Number:=}');
Error('\P{ _Is_Letter_Number:=}');
Expect(1, 74862, '\p{isletternumber}', "");
Expect(0, 74862, '\p{^isletternumber}', "");
Expect(0, 74862, '\P{isletternumber}', "");
Expect(1, 74862, '\P{^isletternumber}', "");
Expect(0, 74863, '\p{isletternumber}', "");
Expect(1, 74863, '\p{^isletternumber}', "");
Expect(1, 74863, '\P{isletternumber}', "");
Expect(0, 74863, '\P{^isletternumber}', "");
Expect(1, 74862, '\p{_is_Letter_Number}', "");
Expect(0, 74862, '\p{^_is_Letter_Number}', "");
Expect(0, 74862, '\P{_is_Letter_Number}', "");
Expect(1, 74862, '\P{^_is_Letter_Number}', "");
Expect(0, 74863, '\p{_is_Letter_Number}', "");
Expect(1, 74863, '\p{^_is_Letter_Number}', "");
Expect(1, 74863, '\P{_is_Letter_Number}', "");
Expect(0, 74863, '\P{^_is_Letter_Number}', "");
Error('\p{	:=Nl}');
Error('\P{	:=Nl}');
Expect(1, 74862, '\p{nl}', "");
Expect(0, 74862, '\p{^nl}', "");
Expect(0, 74862, '\P{nl}', "");
Expect(1, 74862, '\P{^nl}', "");
Expect(0, 74863, '\p{nl}', "");
Expect(1, 74863, '\p{^nl}', "");
Expect(1, 74863, '\P{nl}', "");
Expect(0, 74863, '\P{^nl}', "");
Expect(1, 74862, '\p{__NL}', "");
Expect(0, 74862, '\p{^__NL}', "");
Expect(0, 74862, '\P{__NL}', "");
Expect(1, 74862, '\P{^__NL}', "");
Expect(0, 74863, '\p{__NL}', "");
Expect(1, 74863, '\p{^__NL}', "");
Expect(1, 74863, '\P{__NL}', "");
Expect(0, 74863, '\P{^__NL}', "");
Error('\p{_:=Is_NL}');
Error('\P{_:=Is_NL}');
Expect(1, 74862, '\p{isnl}', "");
Expect(0, 74862, '\p{^isnl}', "");
Expect(0, 74862, '\P{isnl}', "");
Expect(1, 74862, '\P{^isnl}', "");
Expect(0, 74863, '\p{isnl}', "");
Expect(1, 74863, '\p{^isnl}', "");
Expect(1, 74863, '\P{isnl}', "");
Expect(0, 74863, '\P{^isnl}', "");
Expect(1, 74862, '\p{__IS_NL}', "");
Expect(0, 74862, '\p{^__IS_NL}', "");
Expect(0, 74862, '\P{__IS_NL}', "");
Expect(1, 74862, '\P{^__IS_NL}', "");
Expect(0, 74863, '\p{__IS_NL}', "");
Expect(1, 74863, '\p{^__IS_NL}', "");
Expect(1, 74863, '\P{__IS_NL}', "");
Expect(0, 74863, '\P{^__IS_NL}', "");
Error('\p{Letterlike_SYMBOLS:=}');
Error('\P{Letterlike_SYMBOLS:=}');
Expect(1, 8527, '\p{letterlikesymbols}', "");
Expect(0, 8527, '\p{^letterlikesymbols}', "");
Expect(0, 8527, '\P{letterlikesymbols}', "");
Expect(1, 8527, '\P{^letterlikesymbols}', "");
Expect(0, 8528, '\p{letterlikesymbols}', "");
Expect(1, 8528, '\p{^letterlikesymbols}', "");
Expect(1, 8528, '\P{letterlikesymbols}', "");
Expect(0, 8528, '\P{^letterlikesymbols}', "");
Expect(1, 8527, '\p{ -Letterlike_Symbols}', "");
Expect(0, 8527, '\p{^ -Letterlike_Symbols}', "");
Expect(0, 8527, '\P{ -Letterlike_Symbols}', "");
Expect(1, 8527, '\P{^ -Letterlike_Symbols}', "");
Expect(0, 8528, '\p{ -Letterlike_Symbols}', "");
Expect(1, 8528, '\p{^ -Letterlike_Symbols}', "");
Expect(1, 8528, '\P{ -Letterlike_Symbols}', "");
Expect(0, 8528, '\P{^ -Letterlike_Symbols}', "");
Error('\p{:=-Is_Letterlike_Symbols}');
Error('\P{:=-Is_Letterlike_Symbols}');
Expect(1, 8527, '\p{isletterlikesymbols}', "");
Expect(0, 8527, '\p{^isletterlikesymbols}', "");
Expect(0, 8527, '\P{isletterlikesymbols}', "");
Expect(1, 8527, '\P{^isletterlikesymbols}', "");
Expect(0, 8528, '\p{isletterlikesymbols}', "");
Expect(1, 8528, '\p{^isletterlikesymbols}', "");
Expect(1, 8528, '\P{isletterlikesymbols}', "");
Expect(0, 8528, '\P{^isletterlikesymbols}', "");
Expect(1, 8527, '\p{	-Is_Letterlike_SYMBOLS}', "");
Expect(0, 8527, '\p{^	-Is_Letterlike_SYMBOLS}', "");
Expect(0, 8527, '\P{	-Is_Letterlike_SYMBOLS}', "");
Expect(1, 8527, '\P{^	-Is_Letterlike_SYMBOLS}', "");
Expect(0, 8528, '\p{	-Is_Letterlike_SYMBOLS}', "");
Expect(1, 8528, '\p{^	-Is_Letterlike_SYMBOLS}', "");
Expect(1, 8528, '\P{	-Is_Letterlike_SYMBOLS}', "");
Expect(0, 8528, '\P{^	-Is_Letterlike_SYMBOLS}', "");
Error('\p{/a/- IN_LETTERLIKE_Symbols}');
Error('\P{/a/- IN_LETTERLIKE_Symbols}');
Expect(1, 8527, '\p{inletterlikesymbols}', "");
Expect(0, 8527, '\p{^inletterlikesymbols}', "");
Expect(0, 8527, '\P{inletterlikesymbols}', "");
Expect(1, 8527, '\P{^inletterlikesymbols}', "");
Expect(0, 8528, '\p{inletterlikesymbols}', "");
Expect(1, 8528, '\p{^inletterlikesymbols}', "");
Expect(1, 8528, '\P{inletterlikesymbols}', "");
Expect(0, 8528, '\P{^inletterlikesymbols}', "");
Expect(1, 8527, '\p{-_In_LETTERLIKE_symbols}', "");
Expect(0, 8527, '\p{^-_In_LETTERLIKE_symbols}', "");
Expect(0, 8527, '\P{-_In_LETTERLIKE_symbols}', "");
Expect(1, 8527, '\P{^-_In_LETTERLIKE_symbols}', "");
Expect(0, 8528, '\p{-_In_LETTERLIKE_symbols}', "");
Expect(1, 8528, '\p{^-_In_LETTERLIKE_symbols}', "");
Expect(1, 8528, '\P{-_In_LETTERLIKE_symbols}', "");
Expect(0, 8528, '\P{^-_In_LETTERLIKE_symbols}', "");
Error('\p{/a/-_Limbu}');
Error('\P{/a/-_Limbu}');
Expect(1, 6479, '\p{limbu}', "");
Expect(0, 6479, '\p{^limbu}', "");
Expect(0, 6479, '\P{limbu}', "");
Expect(1, 6479, '\P{^limbu}', "");
Expect(0, 6480, '\p{limbu}', "");
Expect(1, 6480, '\p{^limbu}', "");
Expect(1, 6480, '\P{limbu}', "");
Expect(0, 6480, '\P{^limbu}', "");
Expect(1, 6479, '\p{Limbu}', "");
Expect(0, 6479, '\p{^Limbu}', "");
Expect(0, 6479, '\P{Limbu}', "");
Expect(1, 6479, '\P{^Limbu}', "");
Expect(0, 6480, '\p{Limbu}', "");
Expect(1, 6480, '\p{^Limbu}', "");
Expect(1, 6480, '\P{Limbu}', "");
Expect(0, 6480, '\P{^Limbu}', "");
Error('\p{	_Is_LIMBU/a/}');
Error('\P{	_Is_LIMBU/a/}');
Expect(1, 6479, '\p{islimbu}', "");
Expect(0, 6479, '\p{^islimbu}', "");
Expect(0, 6479, '\P{islimbu}', "");
Expect(1, 6479, '\P{^islimbu}', "");
Expect(0, 6480, '\p{islimbu}', "");
Expect(1, 6480, '\p{^islimbu}', "");
Expect(1, 6480, '\P{islimbu}', "");
Expect(0, 6480, '\P{^islimbu}', "");
Expect(1, 6479, '\p{  Is_Limbu}', "");
Expect(0, 6479, '\p{^  Is_Limbu}', "");
Expect(0, 6479, '\P{  Is_Limbu}', "");
Expect(1, 6479, '\P{^  Is_Limbu}', "");
Expect(0, 6480, '\p{  Is_Limbu}', "");
Expect(1, 6480, '\p{^  Is_Limbu}', "");
Expect(1, 6480, '\P{  Is_Limbu}', "");
Expect(0, 6480, '\P{^  Is_Limbu}', "");
Error('\p{-_Limb/a/}');
Error('\P{-_Limb/a/}');
Expect(1, 6479, '\p{limb}', "");
Expect(0, 6479, '\p{^limb}', "");
Expect(0, 6479, '\P{limb}', "");
Expect(1, 6479, '\P{^limb}', "");
Expect(0, 6480, '\p{limb}', "");
Expect(1, 6480, '\p{^limb}', "");
Expect(1, 6480, '\P{limb}', "");
Expect(0, 6480, '\P{^limb}', "");
Expect(1, 6479, '\p{_limb}', "");
Expect(0, 6479, '\p{^_limb}', "");
Expect(0, 6479, '\P{_limb}', "");
Expect(1, 6479, '\P{^_limb}', "");
Expect(0, 6480, '\p{_limb}', "");
Expect(1, 6480, '\p{^_limb}', "");
Expect(1, 6480, '\P{_limb}', "");
Expect(0, 6480, '\P{^_limb}', "");
Error('\p{_-Is_Limb:=}');
Error('\P{_-Is_Limb:=}');
Expect(1, 6479, '\p{islimb}', "");
Expect(0, 6479, '\p{^islimb}', "");
Expect(0, 6479, '\P{islimb}', "");
Expect(1, 6479, '\P{^islimb}', "");
Expect(0, 6480, '\p{islimb}', "");
Expect(1, 6480, '\p{^islimb}', "");
Expect(1, 6480, '\P{islimb}', "");
Expect(0, 6480, '\P{^islimb}', "");
Expect(1, 6479, '\p{-IS_LIMB}', "");
Expect(0, 6479, '\p{^-IS_LIMB}', "");
Expect(0, 6479, '\P{-IS_LIMB}', "");
Expect(1, 6479, '\P{^-IS_LIMB}', "");
Expect(0, 6480, '\p{-IS_LIMB}', "");
Expect(1, 6480, '\p{^-IS_LIMB}', "");
Expect(1, 6480, '\P{-IS_LIMB}', "");
Expect(0, 6480, '\P{^-IS_LIMB}', "");
Error('\p{		Line_separator/a/}');
Error('\P{		Line_separator/a/}');
Expect(1, 8232, '\p{lineseparator}', "");
Expect(0, 8232, '\p{^lineseparator}', "");
Expect(0, 8232, '\P{lineseparator}', "");
Expect(1, 8232, '\P{^lineseparator}', "");
Expect(0, 8233, '\p{lineseparator}', "");
Expect(1, 8233, '\p{^lineseparator}', "");
Expect(1, 8233, '\P{lineseparator}', "");
Expect(0, 8233, '\P{^lineseparator}', "");
Expect(1, 8232, '\p{_ Line_Separator}', "");
Expect(0, 8232, '\p{^_ Line_Separator}', "");
Expect(0, 8232, '\P{_ Line_Separator}', "");
Expect(1, 8232, '\P{^_ Line_Separator}', "");
Expect(0, 8233, '\p{_ Line_Separator}', "");
Expect(1, 8233, '\p{^_ Line_Separator}', "");
Expect(1, 8233, '\P{_ Line_Separator}', "");
Expect(0, 8233, '\P{^_ Line_Separator}', "");
Error('\p{/a/Is_Line_Separator}');
Error('\P{/a/Is_Line_Separator}');
Expect(1, 8232, '\p{islineseparator}', "");
Expect(0, 8232, '\p{^islineseparator}', "");
Expect(0, 8232, '\P{islineseparator}', "");
Expect(1, 8232, '\P{^islineseparator}', "");
Expect(0, 8233, '\p{islineseparator}', "");
Expect(1, 8233, '\p{^islineseparator}', "");
Expect(1, 8233, '\P{islineseparator}', "");
Expect(0, 8233, '\P{^islineseparator}', "");
Expect(1, 8232, '\p{	 is_LINE_separator}', "");
Expect(0, 8232, '\p{^	 is_LINE_separator}', "");
Expect(0, 8232, '\P{	 is_LINE_separator}', "");
Expect(1, 8232, '\P{^	 is_LINE_separator}', "");
Expect(0, 8233, '\p{	 is_LINE_separator}', "");
Expect(1, 8233, '\p{^	 is_LINE_separator}', "");
Expect(1, 8233, '\P{	 is_LINE_separator}', "");
Expect(0, 8233, '\P{^	 is_LINE_separator}', "");
Error('\p{/a/	-ZL}');
Error('\P{/a/	-ZL}');
Expect(1, 8232, '\p{zl}', "");
Expect(0, 8232, '\p{^zl}', "");
Expect(0, 8232, '\P{zl}', "");
Expect(1, 8232, '\P{^zl}', "");
Expect(0, 8233, '\p{zl}', "");
Expect(1, 8233, '\p{^zl}', "");
Expect(1, 8233, '\P{zl}', "");
Expect(0, 8233, '\P{^zl}', "");
Expect(1, 8232, '\p{-	Zl}', "");
Expect(0, 8232, '\p{^-	Zl}', "");
Expect(0, 8232, '\P{-	Zl}', "");
Expect(1, 8232, '\P{^-	Zl}', "");
Expect(0, 8233, '\p{-	Zl}', "");
Expect(1, 8233, '\p{^-	Zl}', "");
Expect(1, 8233, '\P{-	Zl}', "");
Expect(0, 8233, '\P{^-	Zl}', "");
Error('\p{_Is_zl:=}');
Error('\P{_Is_zl:=}');
Expect(1, 8232, '\p{iszl}', "");
Expect(0, 8232, '\p{^iszl}', "");
Expect(0, 8232, '\P{iszl}', "");
Expect(1, 8232, '\P{^iszl}', "");
Expect(0, 8233, '\p{iszl}', "");
Expect(1, 8233, '\p{^iszl}', "");
Expect(1, 8233, '\P{iszl}', "");
Expect(0, 8233, '\P{^iszl}', "");
Expect(1, 8232, '\p{- is_zl}', "");
Expect(0, 8232, '\p{^- is_zl}', "");
Expect(0, 8232, '\P{- is_zl}', "");
Expect(1, 8232, '\P{^- is_zl}', "");
Expect(0, 8233, '\p{- is_zl}', "");
Expect(1, 8233, '\p{^- is_zl}', "");
Expect(1, 8233, '\P{- is_zl}', "");
Expect(0, 8233, '\P{^- is_zl}', "");
Error('\p{-:=linear_a}');
Error('\P{-:=linear_a}');
Expect(1, 67431, '\p{lineara}', "");
Expect(0, 67431, '\p{^lineara}', "");
Expect(0, 67431, '\P{lineara}', "");
Expect(1, 67431, '\P{^lineara}', "");
Expect(0, 67432, '\p{lineara}', "");
Expect(1, 67432, '\p{^lineara}', "");
Expect(1, 67432, '\P{lineara}', "");
Expect(0, 67432, '\P{^lineara}', "");
Expect(1, 67431, '\p{  Linear_A}', "");
Expect(0, 67431, '\p{^  Linear_A}', "");
Expect(0, 67431, '\P{  Linear_A}', "");
Expect(1, 67431, '\P{^  Linear_A}', "");
Expect(0, 67432, '\p{  Linear_A}', "");
Expect(1, 67432, '\p{^  Linear_A}', "");
Expect(1, 67432, '\P{  Linear_A}', "");
Expect(0, 67432, '\P{^  Linear_A}', "");
Error('\p{_is_Linear_a/a/}');
Error('\P{_is_Linear_a/a/}');
Expect(1, 67431, '\p{islineara}', "");
Expect(0, 67431, '\p{^islineara}', "");
Expect(0, 67431, '\P{islineara}', "");
Expect(1, 67431, '\P{^islineara}', "");
Expect(0, 67432, '\p{islineara}', "");
Expect(1, 67432, '\p{^islineara}', "");
Expect(1, 67432, '\P{islineara}', "");
Expect(0, 67432, '\P{^islineara}', "");
Expect(1, 67431, '\p{_IS_Linear_A}', "");
Expect(0, 67431, '\p{^_IS_Linear_A}', "");
Expect(0, 67431, '\P{_IS_Linear_A}', "");
Expect(1, 67431, '\P{^_IS_Linear_A}', "");
Expect(0, 67432, '\p{_IS_Linear_A}', "");
Expect(1, 67432, '\p{^_IS_Linear_A}', "");
Expect(1, 67432, '\P{_IS_Linear_A}', "");
Expect(0, 67432, '\P{^_IS_Linear_A}', "");
Error('\p{:=--Lina}');
Error('\P{:=--Lina}');
Expect(1, 67431, '\p{lina}', "");
Expect(0, 67431, '\p{^lina}', "");
Expect(0, 67431, '\P{lina}', "");
Expect(1, 67431, '\P{^lina}', "");
Expect(0, 67432, '\p{lina}', "");
Expect(1, 67432, '\p{^lina}', "");
Expect(1, 67432, '\P{lina}', "");
Expect(0, 67432, '\P{^lina}', "");
Expect(1, 67431, '\p{ 	lina}', "");
Expect(0, 67431, '\p{^ 	lina}', "");
Expect(0, 67431, '\P{ 	lina}', "");
Expect(1, 67431, '\P{^ 	lina}', "");
Expect(0, 67432, '\p{ 	lina}', "");
Expect(1, 67432, '\p{^ 	lina}', "");
Expect(1, 67432, '\P{ 	lina}', "");
Expect(0, 67432, '\P{^ 	lina}', "");
Error('\p{	 Is_Lina:=}');
Error('\P{	 Is_Lina:=}');
Expect(1, 67431, '\p{islina}', "");
Expect(0, 67431, '\p{^islina}', "");
Expect(0, 67431, '\P{islina}', "");
Expect(1, 67431, '\P{^islina}', "");
Expect(0, 67432, '\p{islina}', "");
Expect(1, 67432, '\p{^islina}', "");
Expect(1, 67432, '\P{islina}', "");
Expect(0, 67432, '\P{^islina}', "");
Expect(1, 67431, '\p{	_is_Lina}', "");
Expect(0, 67431, '\p{^	_is_Lina}', "");
Expect(0, 67431, '\P{	_is_Lina}', "");
Expect(1, 67431, '\P{^	_is_Lina}', "");
Expect(0, 67432, '\p{	_is_Lina}', "");
Expect(1, 67432, '\p{^	_is_Lina}', "");
Expect(1, 67432, '\P{	_is_Lina}', "");
Expect(0, 67432, '\P{^	_is_Lina}', "");
Error('\p{_:=Linear_B}');
Error('\P{_:=Linear_B}');
Expect(1, 65786, '\p{linearb}', "");
Expect(0, 65786, '\p{^linearb}', "");
Expect(0, 65786, '\P{linearb}', "");
Expect(1, 65786, '\P{^linearb}', "");
Expect(0, 65787, '\p{linearb}', "");
Expect(1, 65787, '\p{^linearb}', "");
Expect(1, 65787, '\P{linearb}', "");
Expect(0, 65787, '\P{^linearb}', "");
Expect(1, 65786, '\p{- Linear_B}', "");
Expect(0, 65786, '\p{^- Linear_B}', "");
Expect(0, 65786, '\P{- Linear_B}', "");
Expect(1, 65786, '\P{^- Linear_B}', "");
Expect(0, 65787, '\p{- Linear_B}', "");
Expect(1, 65787, '\p{^- Linear_B}', "");
Expect(1, 65787, '\P{- Linear_B}', "");
Expect(0, 65787, '\P{^- Linear_B}', "");
Error('\p{:=	 Is_linear_b}');
Error('\P{:=	 Is_linear_b}');
Expect(1, 65786, '\p{islinearb}', "");
Expect(0, 65786, '\p{^islinearb}', "");
Expect(0, 65786, '\P{islinearb}', "");
Expect(1, 65786, '\P{^islinearb}', "");
Expect(0, 65787, '\p{islinearb}', "");
Expect(1, 65787, '\p{^islinearb}', "");
Expect(1, 65787, '\P{islinearb}', "");
Expect(0, 65787, '\P{^islinearb}', "");
Expect(1, 65786, '\p{ -IS_Linear_B}', "");
Expect(0, 65786, '\p{^ -IS_Linear_B}', "");
Expect(0, 65786, '\P{ -IS_Linear_B}', "");
Expect(1, 65786, '\P{^ -IS_Linear_B}', "");
Expect(0, 65787, '\p{ -IS_Linear_B}', "");
Expect(1, 65787, '\p{^ -IS_Linear_B}', "");
Expect(1, 65787, '\P{ -IS_Linear_B}', "");
Expect(0, 65787, '\P{^ -IS_Linear_B}', "");
Error('\p{__LINB:=}');
Error('\P{__LINB:=}');
Expect(1, 65786, '\p{linb}', "");
Expect(0, 65786, '\p{^linb}', "");
Expect(0, 65786, '\P{linb}', "");
Expect(1, 65786, '\P{^linb}', "");
Expect(0, 65787, '\p{linb}', "");
Expect(1, 65787, '\p{^linb}', "");
Expect(1, 65787, '\P{linb}', "");
Expect(0, 65787, '\P{^linb}', "");
Expect(1, 65786, '\p{_Linb}', "");
Expect(0, 65786, '\p{^_Linb}', "");
Expect(0, 65786, '\P{_Linb}', "");
Expect(1, 65786, '\P{^_Linb}', "");
Expect(0, 65787, '\p{_Linb}', "");
Expect(1, 65787, '\p{^_Linb}', "");
Expect(1, 65787, '\P{_Linb}', "");
Expect(0, 65787, '\P{^_Linb}', "");
Error('\p{__Is_LINB/a/}');
Error('\P{__Is_LINB/a/}');
Expect(1, 65786, '\p{islinb}', "");
Expect(0, 65786, '\p{^islinb}', "");
Expect(0, 65786, '\P{islinb}', "");
Expect(1, 65786, '\P{^islinb}', "");
Expect(0, 65787, '\p{islinb}', "");
Expect(1, 65787, '\p{^islinb}', "");
Expect(1, 65787, '\P{islinb}', "");
Expect(0, 65787, '\P{^islinb}', "");
Expect(1, 65786, '\p{	Is_Linb}', "");
Expect(0, 65786, '\p{^	Is_Linb}', "");
Expect(0, 65786, '\P{	Is_Linb}', "");
Expect(1, 65786, '\P{^	Is_Linb}', "");
Expect(0, 65787, '\p{	Is_Linb}', "");
Expect(1, 65787, '\p{^	Is_Linb}', "");
Expect(1, 65787, '\P{	Is_Linb}', "");
Expect(0, 65787, '\P{^	Is_Linb}', "");
Error('\p{_linear_B_ideograms/a/}');
Error('\P{_linear_B_ideograms/a/}');
Expect(1, 65791, '\p{linearbideograms}', "");
Expect(0, 65791, '\p{^linearbideograms}', "");
Expect(0, 65791, '\P{linearbideograms}', "");
Expect(1, 65791, '\P{^linearbideograms}', "");
Expect(0, 65792, '\p{linearbideograms}', "");
Expect(1, 65792, '\p{^linearbideograms}', "");
Expect(1, 65792, '\P{linearbideograms}', "");
Expect(0, 65792, '\P{^linearbideograms}', "");
Expect(1, 65791, '\p{-Linear_b_ideograms}', "");
Expect(0, 65791, '\p{^-Linear_b_ideograms}', "");
Expect(0, 65791, '\P{-Linear_b_ideograms}', "");
Expect(1, 65791, '\P{^-Linear_b_ideograms}', "");
Expect(0, 65792, '\p{-Linear_b_ideograms}', "");
Expect(1, 65792, '\p{^-Linear_b_ideograms}', "");
Expect(1, 65792, '\P{-Linear_b_ideograms}', "");
Expect(0, 65792, '\P{^-Linear_b_ideograms}', "");
Error('\p{:=-	Is_linear_B_Ideograms}');
Error('\P{:=-	Is_linear_B_Ideograms}');
Expect(1, 65791, '\p{islinearbideograms}', "");
Expect(0, 65791, '\p{^islinearbideograms}', "");
Expect(0, 65791, '\P{islinearbideograms}', "");
Expect(1, 65791, '\P{^islinearbideograms}', "");
Expect(0, 65792, '\p{islinearbideograms}', "");
Expect(1, 65792, '\p{^islinearbideograms}', "");
Expect(1, 65792, '\P{islinearbideograms}', "");
Expect(0, 65792, '\P{^islinearbideograms}', "");
Expect(1, 65791, '\p{  Is_Linear_B_Ideograms}', "");
Expect(0, 65791, '\p{^  Is_Linear_B_Ideograms}', "");
Expect(0, 65791, '\P{  Is_Linear_B_Ideograms}', "");
Expect(1, 65791, '\P{^  Is_Linear_B_Ideograms}', "");
Expect(0, 65792, '\p{  Is_Linear_B_Ideograms}', "");
Expect(1, 65792, '\p{^  Is_Linear_B_Ideograms}', "");
Expect(1, 65792, '\P{  Is_Linear_B_Ideograms}', "");
Expect(0, 65792, '\P{^  Is_Linear_B_Ideograms}', "");
Error('\p{_/a/In_Linear_b_ideograms}');
Error('\P{_/a/In_Linear_b_ideograms}');
Expect(1, 65791, '\p{inlinearbideograms}', "");
Expect(0, 65791, '\p{^inlinearbideograms}', "");
Expect(0, 65791, '\P{inlinearbideograms}', "");
Expect(1, 65791, '\P{^inlinearbideograms}', "");
Expect(0, 65792, '\p{inlinearbideograms}', "");
Expect(1, 65792, '\p{^inlinearbideograms}', "");
Expect(1, 65792, '\P{inlinearbideograms}', "");
Expect(0, 65792, '\P{^inlinearbideograms}', "");
Expect(1, 65791, '\p{-	in_Linear_B_Ideograms}', "");
Expect(0, 65791, '\p{^-	in_Linear_B_Ideograms}', "");
Expect(0, 65791, '\P{-	in_Linear_B_Ideograms}', "");
Expect(1, 65791, '\P{^-	in_Linear_B_Ideograms}', "");
Expect(0, 65792, '\p{-	in_Linear_B_Ideograms}', "");
Expect(1, 65792, '\p{^-	in_Linear_B_Ideograms}', "");
Expect(1, 65792, '\P{-	in_Linear_B_Ideograms}', "");
Expect(0, 65792, '\P{^-	in_Linear_B_Ideograms}', "");
Error('\p{-:=LINEAR_b_SYLLABARY}');
Error('\P{-:=LINEAR_b_SYLLABARY}');
Expect(1, 65663, '\p{linearbsyllabary}', "");
Expect(0, 65663, '\p{^linearbsyllabary}', "");
Expect(0, 65663, '\P{linearbsyllabary}', "");
Expect(1, 65663, '\P{^linearbsyllabary}', "");
Expect(0, 65664, '\p{linearbsyllabary}', "");
Expect(1, 65664, '\p{^linearbsyllabary}', "");
Expect(1, 65664, '\P{linearbsyllabary}', "");
Expect(0, 65664, '\P{^linearbsyllabary}', "");
Expect(1, 65663, '\p{	_linear_B_SYLLABARY}', "");
Expect(0, 65663, '\p{^	_linear_B_SYLLABARY}', "");
Expect(0, 65663, '\P{	_linear_B_SYLLABARY}', "");
Expect(1, 65663, '\P{^	_linear_B_SYLLABARY}', "");
Expect(0, 65664, '\p{	_linear_B_SYLLABARY}', "");
Expect(1, 65664, '\p{^	_linear_B_SYLLABARY}', "");
Expect(1, 65664, '\P{	_linear_B_SYLLABARY}', "");
Expect(0, 65664, '\P{^	_linear_B_SYLLABARY}', "");
Error('\p{/a/Is_Linear_B_SYLLABARY}');
Error('\P{/a/Is_Linear_B_SYLLABARY}');
Expect(1, 65663, '\p{islinearbsyllabary}', "");
Expect(0, 65663, '\p{^islinearbsyllabary}', "");
Expect(0, 65663, '\P{islinearbsyllabary}', "");
Expect(1, 65663, '\P{^islinearbsyllabary}', "");
Expect(0, 65664, '\p{islinearbsyllabary}', "");
Expect(1, 65664, '\p{^islinearbsyllabary}', "");
Expect(1, 65664, '\P{islinearbsyllabary}', "");
Expect(0, 65664, '\P{^islinearbsyllabary}', "");
Expect(1, 65663, '\p{__IS_linear_b_Syllabary}', "");
Expect(0, 65663, '\p{^__IS_linear_b_Syllabary}', "");
Expect(0, 65663, '\P{__IS_linear_b_Syllabary}', "");
Expect(1, 65663, '\P{^__IS_linear_b_Syllabary}', "");
Expect(0, 65664, '\p{__IS_linear_b_Syllabary}', "");
Expect(1, 65664, '\p{^__IS_linear_b_Syllabary}', "");
Expect(1, 65664, '\P{__IS_linear_b_Syllabary}', "");
Expect(0, 65664, '\P{^__IS_linear_b_Syllabary}', "");
Error('\p{:=_in_linear_B_Syllabary}');
Error('\P{:=_in_linear_B_Syllabary}');
Expect(1, 65663, '\p{inlinearbsyllabary}', "");
Expect(0, 65663, '\p{^inlinearbsyllabary}', "");
Expect(0, 65663, '\P{inlinearbsyllabary}', "");
Expect(1, 65663, '\P{^inlinearbsyllabary}', "");
Expect(0, 65664, '\p{inlinearbsyllabary}', "");
Expect(1, 65664, '\p{^inlinearbsyllabary}', "");
Expect(1, 65664, '\P{inlinearbsyllabary}', "");
Expect(0, 65664, '\P{^inlinearbsyllabary}', "");
Expect(1, 65663, '\p{__In_Linear_b_SYLLABARY}', "");
Expect(0, 65663, '\p{^__In_Linear_b_SYLLABARY}', "");
Expect(0, 65663, '\P{__In_Linear_b_SYLLABARY}', "");
Expect(1, 65663, '\P{^__In_Linear_b_SYLLABARY}', "");
Expect(0, 65664, '\p{__In_Linear_b_SYLLABARY}', "");
Expect(1, 65664, '\p{^__In_Linear_b_SYLLABARY}', "");
Expect(1, 65664, '\P{__In_Linear_b_SYLLABARY}', "");
Expect(0, 65664, '\P{^__In_Linear_b_SYLLABARY}', "");
Error('\p{-	LISU/a/}');
Error('\P{-	LISU/a/}');
Expect(1, 42239, '\p{lisu}', "");
Expect(0, 42239, '\p{^lisu}', "");
Expect(0, 42239, '\P{lisu}', "");
Expect(1, 42239, '\P{^lisu}', "");
Expect(0, 42240, '\p{lisu}', "");
Expect(1, 42240, '\p{^lisu}', "");
Expect(1, 42240, '\P{lisu}', "");
Expect(0, 42240, '\P{^lisu}', "");
Expect(1, 42239, '\p{	_LISU}', "");
Expect(0, 42239, '\p{^	_LISU}', "");
Expect(0, 42239, '\P{	_LISU}', "");
Expect(1, 42239, '\P{^	_LISU}', "");
Expect(0, 42240, '\p{	_LISU}', "");
Expect(1, 42240, '\p{^	_LISU}', "");
Expect(1, 42240, '\P{	_LISU}', "");
Expect(0, 42240, '\P{^	_LISU}', "");
Error('\p{/a/is_Lisu}');
Error('\P{/a/is_Lisu}');
Expect(1, 42239, '\p{islisu}', "");
Expect(0, 42239, '\p{^islisu}', "");
Expect(0, 42239, '\P{islisu}', "");
Expect(1, 42239, '\P{^islisu}', "");
Expect(0, 42240, '\p{islisu}', "");
Expect(1, 42240, '\p{^islisu}', "");
Expect(1, 42240, '\P{islisu}', "");
Expect(0, 42240, '\P{^islisu}', "");
Expect(1, 42239, '\p{-is_Lisu}', "");
Expect(0, 42239, '\p{^-is_Lisu}', "");
Expect(0, 42239, '\P{-is_Lisu}', "");
Expect(1, 42239, '\P{^-is_Lisu}', "");
Expect(0, 42240, '\p{-is_Lisu}', "");
Expect(1, 42240, '\p{^-is_Lisu}', "");
Expect(1, 42240, '\P{-is_Lisu}', "");
Expect(0, 42240, '\P{^-is_Lisu}', "");
Error('\p{ /a/LOGICAL_ORDER_Exception}');
Error('\P{ /a/LOGICAL_ORDER_Exception}');
Expect(1, 43708, '\p{logicalorderexception}', "");
Expect(0, 43708, '\p{^logicalorderexception}', "");
Expect(0, 43708, '\P{logicalorderexception}', "");
Expect(1, 43708, '\P{^logicalorderexception}', "");
Expect(0, 43709, '\p{logicalorderexception}', "");
Expect(1, 43709, '\p{^logicalorderexception}', "");
Expect(1, 43709, '\P{logicalorderexception}', "");
Expect(0, 43709, '\P{^logicalorderexception}', "");
Expect(1, 43708, '\p{- Logical_ORDER_Exception}', "");
Expect(0, 43708, '\p{^- Logical_ORDER_Exception}', "");
Expect(0, 43708, '\P{- Logical_ORDER_Exception}', "");
Expect(1, 43708, '\P{^- Logical_ORDER_Exception}', "");
Expect(0, 43709, '\p{- Logical_ORDER_Exception}', "");
Expect(1, 43709, '\p{^- Logical_ORDER_Exception}', "");
Expect(1, 43709, '\P{- Logical_ORDER_Exception}', "");
Expect(0, 43709, '\P{^- Logical_ORDER_Exception}', "");
Error('\p{/a/IS_LOGICAL_Order_Exception}');
Error('\P{/a/IS_LOGICAL_Order_Exception}');
Expect(1, 43708, '\p{islogicalorderexception}', "");
Expect(0, 43708, '\p{^islogicalorderexception}', "");
Expect(0, 43708, '\P{islogicalorderexception}', "");
Expect(1, 43708, '\P{^islogicalorderexception}', "");
Expect(0, 43709, '\p{islogicalorderexception}', "");
Expect(1, 43709, '\p{^islogicalorderexception}', "");
Expect(1, 43709, '\P{islogicalorderexception}', "");
Expect(0, 43709, '\P{^islogicalorderexception}', "");
Expect(1, 43708, '\p{_-Is_LOGICAL_Order_Exception}', "");
Expect(0, 43708, '\p{^_-Is_LOGICAL_Order_Exception}', "");
Expect(0, 43708, '\P{_-Is_LOGICAL_Order_Exception}', "");
Expect(1, 43708, '\P{^_-Is_LOGICAL_Order_Exception}', "");
Expect(0, 43709, '\p{_-Is_LOGICAL_Order_Exception}', "");
Expect(1, 43709, '\p{^_-Is_LOGICAL_Order_Exception}', "");
Expect(1, 43709, '\P{_-Is_LOGICAL_Order_Exception}', "");
Expect(0, 43709, '\P{^_-Is_LOGICAL_Order_Exception}', "");
Error('\p{ 	LOE:=}');
Error('\P{ 	LOE:=}');
Expect(1, 43708, '\p{loe}', "");
Expect(0, 43708, '\p{^loe}', "");
Expect(0, 43708, '\P{loe}', "");
Expect(1, 43708, '\P{^loe}', "");
Expect(0, 43709, '\p{loe}', "");
Expect(1, 43709, '\p{^loe}', "");
Expect(1, 43709, '\P{loe}', "");
Expect(0, 43709, '\P{^loe}', "");
Expect(1, 43708, '\p{_loe}', "");
Expect(0, 43708, '\p{^_loe}', "");
Expect(0, 43708, '\P{_loe}', "");
Expect(1, 43708, '\P{^_loe}', "");
Expect(0, 43709, '\p{_loe}', "");
Expect(1, 43709, '\p{^_loe}', "");
Expect(1, 43709, '\P{_loe}', "");
Expect(0, 43709, '\P{^_loe}', "");
Error('\p{/a/Is_loe}');
Error('\P{/a/Is_loe}');
Expect(1, 43708, '\p{isloe}', "");
Expect(0, 43708, '\p{^isloe}', "");
Expect(0, 43708, '\P{isloe}', "");
Expect(1, 43708, '\P{^isloe}', "");
Expect(0, 43709, '\p{isloe}', "");
Expect(1, 43709, '\p{^isloe}', "");
Expect(1, 43709, '\P{isloe}', "");
Expect(0, 43709, '\P{^isloe}', "");
Expect(1, 43708, '\p{	 IS_LOE}', "");
Expect(0, 43708, '\p{^	 IS_LOE}', "");
Expect(0, 43708, '\P{	 IS_LOE}', "");
Expect(1, 43708, '\P{^	 IS_LOE}', "");
Expect(0, 43709, '\p{	 IS_LOE}', "");
Expect(1, 43709, '\p{^	 IS_LOE}', "");
Expect(1, 43709, '\P{	 IS_LOE}', "");
Expect(0, 43709, '\P{^	 IS_LOE}', "");
Error('\p{ :=LOW_Surrogates}');
Error('\P{ :=LOW_Surrogates}');
Expect(1, 57343, '\p{lowsurrogates}', "");
Expect(0, 57343, '\p{^lowsurrogates}', "");
Expect(0, 57343, '\P{lowsurrogates}', "");
Expect(1, 57343, '\P{^lowsurrogates}', "");
Expect(0, 57344, '\p{lowsurrogates}', "");
Expect(1, 57344, '\p{^lowsurrogates}', "");
Expect(1, 57344, '\P{lowsurrogates}', "");
Expect(0, 57344, '\P{^lowsurrogates}', "");
Expect(1, 57343, '\p{_low_surrogates}', "");
Expect(0, 57343, '\p{^_low_surrogates}', "");
Expect(0, 57343, '\P{_low_surrogates}', "");
Expect(1, 57343, '\P{^_low_surrogates}', "");
Expect(0, 57344, '\p{_low_surrogates}', "");
Expect(1, 57344, '\p{^_low_surrogates}', "");
Expect(1, 57344, '\P{_low_surrogates}', "");
Expect(0, 57344, '\P{^_low_surrogates}', "");
Error('\p{:=__Is_Low_Surrogates}');
Error('\P{:=__Is_Low_Surrogates}');
Expect(1, 57343, '\p{islowsurrogates}', "");
Expect(0, 57343, '\p{^islowsurrogates}', "");
Expect(0, 57343, '\P{islowsurrogates}', "");
Expect(1, 57343, '\P{^islowsurrogates}', "");
Expect(0, 57344, '\p{islowsurrogates}', "");
Expect(1, 57344, '\p{^islowsurrogates}', "");
Expect(1, 57344, '\P{islowsurrogates}', "");
Expect(0, 57344, '\P{^islowsurrogates}', "");
Expect(1, 57343, '\p{_ Is_LOW_surrogates}', "");
Expect(0, 57343, '\p{^_ Is_LOW_surrogates}', "");
Expect(0, 57343, '\P{_ Is_LOW_surrogates}', "");
Expect(1, 57343, '\P{^_ Is_LOW_surrogates}', "");
Expect(0, 57344, '\p{_ Is_LOW_surrogates}', "");
Expect(1, 57344, '\p{^_ Is_LOW_surrogates}', "");
Expect(1, 57344, '\P{_ Is_LOW_surrogates}', "");
Expect(0, 57344, '\P{^_ Is_LOW_surrogates}', "");
Error('\p{-:=In_low_Surrogates}');
Error('\P{-:=In_low_Surrogates}');
Expect(1, 57343, '\p{inlowsurrogates}', "");
Expect(0, 57343, '\p{^inlowsurrogates}', "");
Expect(0, 57343, '\P{inlowsurrogates}', "");
Expect(1, 57343, '\P{^inlowsurrogates}', "");
Expect(0, 57344, '\p{inlowsurrogates}', "");
Expect(1, 57344, '\p{^inlowsurrogates}', "");
Expect(1, 57344, '\P{inlowsurrogates}', "");
Expect(0, 57344, '\P{^inlowsurrogates}', "");
Expect(1, 57343, '\p{  In_Low_SURROGATES}', "");
Expect(0, 57343, '\p{^  In_Low_SURROGATES}', "");
Expect(0, 57343, '\P{  In_Low_SURROGATES}', "");
Expect(1, 57343, '\P{^  In_Low_SURROGATES}', "");
Expect(0, 57344, '\p{  In_Low_SURROGATES}', "");
Expect(1, 57344, '\p{^  In_Low_SURROGATES}', "");
Expect(1, 57344, '\P{  In_Low_SURROGATES}', "");
Expect(0, 57344, '\P{^  In_Low_SURROGATES}', "");
Error('\p{:=_lowercase_Letter}');
Error('\P{:=_lowercase_Letter}');
Expect(1, 120779, '\p{lowercaseletter}', "");
Expect(0, 120779, '\p{^lowercaseletter}', "");
Expect(0, 120779, '\P{lowercaseletter}', "");
Expect(1, 120779, '\P{^lowercaseletter}', "");
Expect(0, 120780, '\p{lowercaseletter}', "");
Expect(1, 120780, '\p{^lowercaseletter}', "");
Expect(1, 120780, '\P{lowercaseletter}', "");
Expect(0, 120780, '\P{^lowercaseletter}', "");
Expect(1, 120779, '\p{_Lowercase_Letter}', "");
Expect(0, 120779, '\p{^_Lowercase_Letter}', "");
Expect(0, 120779, '\P{_Lowercase_Letter}', "");
Expect(1, 120779, '\P{^_Lowercase_Letter}', "");
Expect(0, 120780, '\p{_Lowercase_Letter}', "");
Expect(1, 120780, '\p{^_Lowercase_Letter}', "");
Expect(1, 120780, '\P{_Lowercase_Letter}', "");
Expect(0, 120780, '\P{^_Lowercase_Letter}', "");
Error('\p{:=	-IS_LOWERCASE_Letter}');
Error('\P{:=	-IS_LOWERCASE_Letter}');
Expect(1, 120779, '\p{islowercaseletter}', "");
Expect(0, 120779, '\p{^islowercaseletter}', "");
Expect(0, 120779, '\P{islowercaseletter}', "");
Expect(1, 120779, '\P{^islowercaseletter}', "");
Expect(0, 120780, '\p{islowercaseletter}', "");
Expect(1, 120780, '\p{^islowercaseletter}', "");
Expect(1, 120780, '\P{islowercaseletter}', "");
Expect(0, 120780, '\P{^islowercaseletter}', "");
Expect(1, 120779, '\p{ IS_Lowercase_Letter}', "");
Expect(0, 120779, '\p{^ IS_Lowercase_Letter}', "");
Expect(0, 120779, '\P{ IS_Lowercase_Letter}', "");
Expect(1, 120779, '\P{^ IS_Lowercase_Letter}', "");
Expect(0, 120780, '\p{ IS_Lowercase_Letter}', "");
Expect(1, 120780, '\p{^ IS_Lowercase_Letter}', "");
Expect(1, 120780, '\P{ IS_Lowercase_Letter}', "");
Expect(0, 120780, '\P{^ IS_Lowercase_Letter}', "");
Error('\p{-/a/Ll}');
Error('\P{-/a/Ll}');
Expect(1, 120779, '\p{ll}', "");
Expect(0, 120779, '\p{^ll}', "");
Expect(0, 120779, '\P{ll}', "");
Expect(1, 120779, '\P{^ll}', "");
Expect(0, 120780, '\p{ll}', "");
Expect(1, 120780, '\p{^ll}', "");
Expect(1, 120780, '\P{ll}', "");
Expect(0, 120780, '\P{^ll}', "");
Expect(1, 120779, '\p{		ll}', "");
Expect(0, 120779, '\p{^		ll}', "");
Expect(0, 120779, '\P{		ll}', "");
Expect(1, 120779, '\P{^		ll}', "");
Expect(0, 120780, '\p{		ll}', "");
Expect(1, 120780, '\p{^		ll}', "");
Expect(1, 120780, '\P{		ll}', "");
Expect(0, 120780, '\P{^		ll}', "");
Error('\p{:= is_Ll}');
Error('\P{:= is_Ll}');
Expect(1, 120779, '\p{isll}', "");
Expect(0, 120779, '\p{^isll}', "");
Expect(0, 120779, '\P{isll}', "");
Expect(1, 120779, '\P{^isll}', "");
Expect(0, 120780, '\p{isll}', "");
Expect(1, 120780, '\p{^isll}', "");
Expect(1, 120780, '\P{isll}', "");
Expect(0, 120780, '\P{^isll}', "");
Expect(1, 120779, '\p{-	Is_LL}', "");
Expect(0, 120779, '\p{^-	Is_LL}', "");
Expect(0, 120779, '\P{-	Is_LL}', "");
Expect(1, 120779, '\P{^-	Is_LL}', "");
Expect(0, 120780, '\p{-	Is_LL}', "");
Expect(1, 120780, '\p{^-	Is_LL}', "");
Expect(1, 120780, '\P{-	Is_LL}', "");
Expect(0, 120780, '\P{^-	Is_LL}', "");
Error('\p{--Lycian:=}');
Error('\P{--Lycian:=}');
Expect(1, 66204, '\p{lycian}', "");
Expect(0, 66204, '\p{^lycian}', "");
Expect(0, 66204, '\P{lycian}', "");
Expect(1, 66204, '\P{^lycian}', "");
Expect(0, 66205, '\p{lycian}', "");
Expect(1, 66205, '\p{^lycian}', "");
Expect(1, 66205, '\P{lycian}', "");
Expect(0, 66205, '\P{^lycian}', "");
Expect(1, 66204, '\p{_Lycian}', "");
Expect(0, 66204, '\p{^_Lycian}', "");
Expect(0, 66204, '\P{_Lycian}', "");
Expect(1, 66204, '\P{^_Lycian}', "");
Expect(0, 66205, '\p{_Lycian}', "");
Expect(1, 66205, '\p{^_Lycian}', "");
Expect(1, 66205, '\P{_Lycian}', "");
Expect(0, 66205, '\P{^_Lycian}', "");
Error('\p{/a/IS_Lycian}');
Error('\P{/a/IS_Lycian}');
Expect(1, 66204, '\p{islycian}', "");
Expect(0, 66204, '\p{^islycian}', "");
Expect(0, 66204, '\P{islycian}', "");
Expect(1, 66204, '\P{^islycian}', "");
Expect(0, 66205, '\p{islycian}', "");
Expect(1, 66205, '\p{^islycian}', "");
Expect(1, 66205, '\P{islycian}', "");
Expect(0, 66205, '\P{^islycian}', "");
Expect(1, 66204, '\p{_ IS_Lycian}', "");
Expect(0, 66204, '\p{^_ IS_Lycian}', "");
Expect(0, 66204, '\P{_ IS_Lycian}', "");
Expect(1, 66204, '\P{^_ IS_Lycian}', "");
Expect(0, 66205, '\p{_ IS_Lycian}', "");
Expect(1, 66205, '\p{^_ IS_Lycian}', "");
Expect(1, 66205, '\P{_ IS_Lycian}', "");
Expect(0, 66205, '\P{^_ IS_Lycian}', "");
Error('\p{	Lyci/a/}');
Error('\P{	Lyci/a/}');
Expect(1, 66204, '\p{lyci}', "");
Expect(0, 66204, '\p{^lyci}', "");
Expect(0, 66204, '\P{lyci}', "");
Expect(1, 66204, '\P{^lyci}', "");
Expect(0, 66205, '\p{lyci}', "");
Expect(1, 66205, '\p{^lyci}', "");
Expect(1, 66205, '\P{lyci}', "");
Expect(0, 66205, '\P{^lyci}', "");
Expect(1, 66204, '\p{	LYCI}', "");
Expect(0, 66204, '\p{^	LYCI}', "");
Expect(0, 66204, '\P{	LYCI}', "");
Expect(1, 66204, '\P{^	LYCI}', "");
Expect(0, 66205, '\p{	LYCI}', "");
Expect(1, 66205, '\p{^	LYCI}', "");
Expect(1, 66205, '\P{	LYCI}', "");
Expect(0, 66205, '\P{^	LYCI}', "");
Error('\p{--Is_Lyci/a/}');
Error('\P{--Is_Lyci/a/}');
Expect(1, 66204, '\p{islyci}', "");
Expect(0, 66204, '\p{^islyci}', "");
Expect(0, 66204, '\P{islyci}', "");
Expect(1, 66204, '\P{^islyci}', "");
Expect(0, 66205, '\p{islyci}', "");
Expect(1, 66205, '\p{^islyci}', "");
Expect(1, 66205, '\P{islyci}', "");
Expect(0, 66205, '\P{^islyci}', "");
Expect(1, 66204, '\p{_-Is_Lyci}', "");
Expect(0, 66204, '\p{^_-Is_Lyci}', "");
Expect(0, 66204, '\P{_-Is_Lyci}', "");
Expect(1, 66204, '\P{^_-Is_Lyci}', "");
Expect(0, 66205, '\p{_-Is_Lyci}', "");
Expect(1, 66205, '\p{^_-Is_Lyci}', "");
Expect(1, 66205, '\P{_-Is_Lyci}', "");
Expect(0, 66205, '\P{^_-Is_Lyci}', "");
Error('\p{/a/LYDIAN}');
Error('\P{/a/LYDIAN}');
Expect(1, 67903, '\p{lydian}', "");
Expect(0, 67903, '\p{^lydian}', "");
Expect(0, 67903, '\P{lydian}', "");
Expect(1, 67903, '\P{^lydian}', "");
Expect(0, 67904, '\p{lydian}', "");
Expect(1, 67904, '\p{^lydian}', "");
Expect(1, 67904, '\P{lydian}', "");
Expect(0, 67904, '\P{^lydian}', "");
Expect(1, 67903, '\p{ -Lydian}', "");
Expect(0, 67903, '\p{^ -Lydian}', "");
Expect(0, 67903, '\P{ -Lydian}', "");
Expect(1, 67903, '\P{^ -Lydian}', "");
Expect(0, 67904, '\p{ -Lydian}', "");
Expect(1, 67904, '\p{^ -Lydian}', "");
Expect(1, 67904, '\P{ -Lydian}', "");
Expect(0, 67904, '\P{^ -Lydian}', "");
Error('\p{	:=IS_lydian}');
Error('\P{	:=IS_lydian}');
Expect(1, 67903, '\p{islydian}', "");
Expect(0, 67903, '\p{^islydian}', "");
Expect(0, 67903, '\P{islydian}', "");
Expect(1, 67903, '\P{^islydian}', "");
Expect(0, 67904, '\p{islydian}', "");
Expect(1, 67904, '\p{^islydian}', "");
Expect(1, 67904, '\P{islydian}', "");
Expect(0, 67904, '\P{^islydian}', "");
Expect(1, 67903, '\p{ -is_Lydian}', "");
Expect(0, 67903, '\p{^ -is_Lydian}', "");
Expect(0, 67903, '\P{ -is_Lydian}', "");
Expect(1, 67903, '\P{^ -is_Lydian}', "");
Expect(0, 67904, '\p{ -is_Lydian}', "");
Expect(1, 67904, '\p{^ -is_Lydian}', "");
Expect(1, 67904, '\P{ -is_Lydian}', "");
Expect(0, 67904, '\P{^ -is_Lydian}', "");
Error('\p{-LYDI/a/}');
Error('\P{-LYDI/a/}');
Expect(1, 67903, '\p{lydi}', "");
Expect(0, 67903, '\p{^lydi}', "");
Expect(0, 67903, '\P{lydi}', "");
Expect(1, 67903, '\P{^lydi}', "");
Expect(0, 67904, '\p{lydi}', "");
Expect(1, 67904, '\p{^lydi}', "");
Expect(1, 67904, '\P{lydi}', "");
Expect(0, 67904, '\P{^lydi}', "");
Expect(1, 67903, '\p{-Lydi}', "");
Expect(0, 67903, '\p{^-Lydi}', "");
Expect(0, 67903, '\P{-Lydi}', "");
Expect(1, 67903, '\P{^-Lydi}', "");
Expect(0, 67904, '\p{-Lydi}', "");
Expect(1, 67904, '\p{^-Lydi}', "");
Expect(1, 67904, '\P{-Lydi}', "");
Expect(0, 67904, '\P{^-Lydi}', "");
Error('\p{ -Is_Lydi/a/}');
Error('\P{ -Is_Lydi/a/}');
Expect(1, 67903, '\p{islydi}', "");
Expect(0, 67903, '\p{^islydi}', "");
Expect(0, 67903, '\P{islydi}', "");
Expect(1, 67903, '\P{^islydi}', "");
Expect(0, 67904, '\p{islydi}', "");
Expect(1, 67904, '\p{^islydi}', "");
Expect(1, 67904, '\P{islydi}', "");
Expect(0, 67904, '\P{^islydi}', "");
Expect(1, 67903, '\p{_IS_Lydi}', "");
Expect(0, 67903, '\p{^_IS_Lydi}', "");
Expect(0, 67903, '\P{_IS_Lydi}', "");
Expect(1, 67903, '\P{^_IS_Lydi}', "");
Expect(0, 67904, '\p{_IS_Lydi}', "");
Expect(1, 67904, '\p{^_IS_Lydi}', "");
Expect(1, 67904, '\P{_IS_Lydi}', "");
Expect(0, 67904, '\P{^_IS_Lydi}', "");
Error('\p{:=  mahajani}');
Error('\P{:=  mahajani}');
Expect(1, 70006, '\p{mahajani}', "");
Expect(0, 70006, '\p{^mahajani}', "");
Expect(0, 70006, '\P{mahajani}', "");
Expect(1, 70006, '\P{^mahajani}', "");
Expect(0, 70007, '\p{mahajani}', "");
Expect(1, 70007, '\p{^mahajani}', "");
Expect(1, 70007, '\P{mahajani}', "");
Expect(0, 70007, '\P{^mahajani}', "");
Expect(1, 70006, '\p{_ mahajani}', "");
Expect(0, 70006, '\p{^_ mahajani}', "");
Expect(0, 70006, '\P{_ mahajani}', "");
Expect(1, 70006, '\P{^_ mahajani}', "");
Expect(0, 70007, '\p{_ mahajani}', "");
Expect(1, 70007, '\p{^_ mahajani}', "");
Expect(1, 70007, '\P{_ mahajani}', "");
Expect(0, 70007, '\P{^_ mahajani}', "");
Error('\p{/a/--Is_Mahajani}');
Error('\P{/a/--Is_Mahajani}');
Expect(1, 70006, '\p{ismahajani}', "");
Expect(0, 70006, '\p{^ismahajani}', "");
Expect(0, 70006, '\P{ismahajani}', "");
Expect(1, 70006, '\P{^ismahajani}', "");
Expect(0, 70007, '\p{ismahajani}', "");
Expect(1, 70007, '\p{^ismahajani}', "");
Expect(1, 70007, '\P{ismahajani}', "");
Expect(0, 70007, '\P{^ismahajani}', "");
Expect(1, 70006, '\p{	_IS_MAHAJANI}', "");
Expect(0, 70006, '\p{^	_IS_MAHAJANI}', "");
Expect(0, 70006, '\P{	_IS_MAHAJANI}', "");
Expect(1, 70006, '\P{^	_IS_MAHAJANI}', "");
Expect(0, 70007, '\p{	_IS_MAHAJANI}', "");
Expect(1, 70007, '\p{^	_IS_MAHAJANI}', "");
Expect(1, 70007, '\P{	_IS_MAHAJANI}', "");
Expect(0, 70007, '\P{^	_IS_MAHAJANI}', "");
Error('\p{-/a/mahj}');
Error('\P{-/a/mahj}');
Expect(1, 70006, '\p{mahj}', "");
Expect(0, 70006, '\p{^mahj}', "");
Expect(0, 70006, '\P{mahj}', "");
Expect(1, 70006, '\P{^mahj}', "");
Expect(0, 70007, '\p{mahj}', "");
Expect(1, 70007, '\p{^mahj}', "");
Expect(1, 70007, '\P{mahj}', "");
Expect(0, 70007, '\P{^mahj}', "");
Expect(1, 70006, '\p{- Mahj}', "");
Expect(0, 70006, '\p{^- Mahj}', "");
Expect(0, 70006, '\P{- Mahj}', "");
Expect(1, 70006, '\P{^- Mahj}', "");
Expect(0, 70007, '\p{- Mahj}', "");
Expect(1, 70007, '\p{^- Mahj}', "");
Expect(1, 70007, '\P{- Mahj}', "");
Expect(0, 70007, '\P{^- Mahj}', "");
Error('\p{ /a/is_mahj}');
Error('\P{ /a/is_mahj}');
Expect(1, 70006, '\p{ismahj}', "");
Expect(0, 70006, '\p{^ismahj}', "");
Expect(0, 70006, '\P{ismahj}', "");
Expect(1, 70006, '\P{^ismahj}', "");
Expect(0, 70007, '\p{ismahj}', "");
Expect(1, 70007, '\p{^ismahj}', "");
Expect(1, 70007, '\P{ismahj}', "");
Expect(0, 70007, '\P{^ismahj}', "");
Expect(1, 70006, '\p{	Is_Mahj}', "");
Expect(0, 70006, '\p{^	Is_Mahj}', "");
Expect(0, 70006, '\P{	Is_Mahj}', "");
Expect(1, 70006, '\P{^	Is_Mahj}', "");
Expect(0, 70007, '\p{	Is_Mahj}', "");
Expect(1, 70007, '\p{^	Is_Mahj}', "");
Expect(1, 70007, '\P{	Is_Mahj}', "");
Expect(0, 70007, '\P{^	Is_Mahj}', "");
Error('\p{__Mahjong_Tiles:=}');
Error('\P{__Mahjong_Tiles:=}');
Expect(1, 127023, '\p{mahjongtiles}', "");
Expect(0, 127023, '\p{^mahjongtiles}', "");
Expect(0, 127023, '\P{mahjongtiles}', "");
Expect(1, 127023, '\P{^mahjongtiles}', "");
Expect(0, 127024, '\p{mahjongtiles}', "");
Expect(1, 127024, '\p{^mahjongtiles}', "");
Expect(1, 127024, '\P{mahjongtiles}', "");
Expect(0, 127024, '\P{^mahjongtiles}', "");
Expect(1, 127023, '\p{	_Mahjong_Tiles}', "");
Expect(0, 127023, '\p{^	_Mahjong_Tiles}', "");
Expect(0, 127023, '\P{	_Mahjong_Tiles}', "");
Expect(1, 127023, '\P{^	_Mahjong_Tiles}', "");
Expect(0, 127024, '\p{	_Mahjong_Tiles}', "");
Expect(1, 127024, '\p{^	_Mahjong_Tiles}', "");
Expect(1, 127024, '\P{	_Mahjong_Tiles}', "");
Expect(0, 127024, '\P{^	_Mahjong_Tiles}', "");
Error('\p{:= Is_mahjong_TILES}');
Error('\P{:= Is_mahjong_TILES}');
Expect(1, 127023, '\p{ismahjongtiles}', "");
Expect(0, 127023, '\p{^ismahjongtiles}', "");
Expect(0, 127023, '\P{ismahjongtiles}', "");
Expect(1, 127023, '\P{^ismahjongtiles}', "");
Expect(0, 127024, '\p{ismahjongtiles}', "");
Expect(1, 127024, '\p{^ismahjongtiles}', "");
Expect(1, 127024, '\P{ismahjongtiles}', "");
Expect(0, 127024, '\P{^ismahjongtiles}', "");
Expect(1, 127023, '\p{	 Is_mahjong_Tiles}', "");
Expect(0, 127023, '\p{^	 Is_mahjong_Tiles}', "");
Expect(0, 127023, '\P{	 Is_mahjong_Tiles}', "");
Expect(1, 127023, '\P{^	 Is_mahjong_Tiles}', "");
Expect(0, 127024, '\p{	 Is_mahjong_Tiles}', "");
Expect(1, 127024, '\p{^	 Is_mahjong_Tiles}', "");
Expect(1, 127024, '\P{	 Is_mahjong_Tiles}', "");
Expect(0, 127024, '\P{^	 Is_mahjong_Tiles}', "");
Error('\p{  IN_Mahjong_TILES/a/}');
Error('\P{  IN_Mahjong_TILES/a/}');
Expect(1, 127023, '\p{inmahjongtiles}', "");
Expect(0, 127023, '\p{^inmahjongtiles}', "");
Expect(0, 127023, '\P{inmahjongtiles}', "");
Expect(1, 127023, '\P{^inmahjongtiles}', "");
Expect(0, 127024, '\p{inmahjongtiles}', "");
Expect(1, 127024, '\p{^inmahjongtiles}', "");
Expect(1, 127024, '\P{inmahjongtiles}', "");
Expect(0, 127024, '\P{^inmahjongtiles}', "");
Expect(1, 127023, '\p{ -in_MAHJONG_tiles}', "");
Expect(0, 127023, '\p{^ -in_MAHJONG_tiles}', "");
Expect(0, 127023, '\P{ -in_MAHJONG_tiles}', "");
Expect(1, 127023, '\P{^ -in_MAHJONG_tiles}', "");
Expect(0, 127024, '\p{ -in_MAHJONG_tiles}', "");
Expect(1, 127024, '\p{^ -in_MAHJONG_tiles}', "");
Expect(1, 127024, '\P{ -in_MAHJONG_tiles}', "");
Expect(0, 127024, '\P{^ -in_MAHJONG_tiles}', "");
Error('\p{/a/_-Mahjong}');
Error('\P{/a/_-Mahjong}');
Expect(1, 127023, '\p{mahjong}', "");
Expect(0, 127023, '\p{^mahjong}', "");
Expect(0, 127023, '\P{mahjong}', "");
Expect(1, 127023, '\P{^mahjong}', "");
Expect(0, 127024, '\p{mahjong}', "");
Expect(1, 127024, '\p{^mahjong}', "");
Expect(1, 127024, '\P{mahjong}', "");
Expect(0, 127024, '\P{^mahjong}', "");
Expect(1, 127023, '\p{_-Mahjong}', "");
Expect(0, 127023, '\p{^_-Mahjong}', "");
Expect(0, 127023, '\P{_-Mahjong}', "");
Expect(1, 127023, '\P{^_-Mahjong}', "");
Expect(0, 127024, '\p{_-Mahjong}', "");
Expect(1, 127024, '\p{^_-Mahjong}', "");
Expect(1, 127024, '\P{_-Mahjong}', "");
Expect(0, 127024, '\P{^_-Mahjong}', "");
Error('\p{	:=IS_Mahjong}');
Error('\P{	:=IS_Mahjong}');
Expect(1, 127023, '\p{ismahjong}', "");
Expect(0, 127023, '\p{^ismahjong}', "");
Expect(0, 127023, '\P{ismahjong}', "");
Expect(1, 127023, '\P{^ismahjong}', "");
Expect(0, 127024, '\p{ismahjong}', "");
Expect(1, 127024, '\p{^ismahjong}', "");
Expect(1, 127024, '\P{ismahjong}', "");
Expect(0, 127024, '\P{^ismahjong}', "");
Expect(1, 127023, '\p{ IS_MAHJONG}', "");
Expect(0, 127023, '\p{^ IS_MAHJONG}', "");
Expect(0, 127023, '\P{ IS_MAHJONG}', "");
Expect(1, 127023, '\P{^ IS_MAHJONG}', "");
Expect(0, 127024, '\p{ IS_MAHJONG}', "");
Expect(1, 127024, '\p{^ IS_MAHJONG}', "");
Expect(1, 127024, '\P{ IS_MAHJONG}', "");
Expect(0, 127024, '\P{^ IS_MAHJONG}', "");
Error('\p{:=		IN_mahjong}');
Error('\P{:=		IN_mahjong}');
Expect(1, 127023, '\p{inmahjong}', "");
Expect(0, 127023, '\p{^inmahjong}', "");
Expect(0, 127023, '\P{inmahjong}', "");
Expect(1, 127023, '\P{^inmahjong}', "");
Expect(0, 127024, '\p{inmahjong}', "");
Expect(1, 127024, '\p{^inmahjong}', "");
Expect(1, 127024, '\P{inmahjong}', "");
Expect(0, 127024, '\P{^inmahjong}', "");
Expect(1, 127023, '\p{IN_Mahjong}', "");
Expect(0, 127023, '\p{^IN_Mahjong}', "");
Expect(0, 127023, '\P{IN_Mahjong}', "");
Expect(1, 127023, '\P{^IN_Mahjong}', "");
Expect(0, 127024, '\p{IN_Mahjong}', "");
Expect(1, 127024, '\p{^IN_Mahjong}', "");
Expect(1, 127024, '\P{IN_Mahjong}', "");
Expect(0, 127024, '\P{^IN_Mahjong}', "");
Error('\p{:=	-Malayalam}');
Error('\P{:=	-Malayalam}');
Expect(1, 3455, '\p{malayalam}', "");
Expect(0, 3455, '\p{^malayalam}', "");
Expect(0, 3455, '\P{malayalam}', "");
Expect(1, 3455, '\P{^malayalam}', "");
Expect(0, 3456, '\p{malayalam}', "");
Expect(1, 3456, '\p{^malayalam}', "");
Expect(1, 3456, '\P{malayalam}', "");
Expect(0, 3456, '\P{^malayalam}', "");
Expect(1, 3455, '\p{		Malayalam}', "");
Expect(0, 3455, '\p{^		Malayalam}', "");
Expect(0, 3455, '\P{		Malayalam}', "");
Expect(1, 3455, '\P{^		Malayalam}', "");
Expect(0, 3456, '\p{		Malayalam}', "");
Expect(1, 3456, '\p{^		Malayalam}', "");
Expect(1, 3456, '\P{		Malayalam}', "");
Expect(0, 3456, '\P{^		Malayalam}', "");
Error('\p{/a/-_is_MALAYALAM}');
Error('\P{/a/-_is_MALAYALAM}');
Expect(1, 3455, '\p{ismalayalam}', "");
Expect(0, 3455, '\p{^ismalayalam}', "");
Expect(0, 3455, '\P{ismalayalam}', "");
Expect(1, 3455, '\P{^ismalayalam}', "");
Expect(0, 3456, '\p{ismalayalam}', "");
Expect(1, 3456, '\p{^ismalayalam}', "");
Expect(1, 3456, '\P{ismalayalam}', "");
Expect(0, 3456, '\P{^ismalayalam}', "");
Expect(1, 3455, '\p{	is_Malayalam}', "");
Expect(0, 3455, '\p{^	is_Malayalam}', "");
Expect(0, 3455, '\P{	is_Malayalam}', "");
Expect(1, 3455, '\P{^	is_Malayalam}', "");
Expect(0, 3456, '\p{	is_Malayalam}', "");
Expect(1, 3456, '\p{^	is_Malayalam}', "");
Expect(1, 3456, '\P{	is_Malayalam}', "");
Expect(0, 3456, '\P{^	is_Malayalam}', "");
Error('\p{_MLYM:=}');
Error('\P{_MLYM:=}');
Expect(1, 3455, '\p{mlym}', "");
Expect(0, 3455, '\p{^mlym}', "");
Expect(0, 3455, '\P{mlym}', "");
Expect(1, 3455, '\P{^mlym}', "");
Expect(0, 3456, '\p{mlym}', "");
Expect(1, 3456, '\p{^mlym}', "");
Expect(1, 3456, '\P{mlym}', "");
Expect(0, 3456, '\P{^mlym}', "");
Expect(1, 3455, '\p{-	Mlym}', "");
Expect(0, 3455, '\p{^-	Mlym}', "");
Expect(0, 3455, '\P{-	Mlym}', "");
Expect(1, 3455, '\P{^-	Mlym}', "");
Expect(0, 3456, '\p{-	Mlym}', "");
Expect(1, 3456, '\p{^-	Mlym}', "");
Expect(1, 3456, '\P{-	Mlym}', "");
Expect(0, 3456, '\P{^-	Mlym}', "");
Error('\p{_:=IS_Mlym}');
Error('\P{_:=IS_Mlym}');
Expect(1, 3455, '\p{ismlym}', "");
Expect(0, 3455, '\p{^ismlym}', "");
Expect(0, 3455, '\P{ismlym}', "");
Expect(1, 3455, '\P{^ismlym}', "");
Expect(0, 3456, '\p{ismlym}', "");
Expect(1, 3456, '\p{^ismlym}', "");
Expect(1, 3456, '\P{ismlym}', "");
Expect(0, 3456, '\P{^ismlym}', "");
Expect(1, 3455, '\p{	 is_mlym}', "");
Expect(0, 3455, '\p{^	 is_mlym}', "");
Expect(0, 3455, '\P{	 is_mlym}', "");
Expect(1, 3455, '\P{^	 is_mlym}', "");
Expect(0, 3456, '\p{	 is_mlym}', "");
Expect(1, 3456, '\p{^	 is_mlym}', "");
Expect(1, 3456, '\P{	 is_mlym}', "");
Expect(0, 3456, '\P{^	 is_mlym}', "");
Error('\p{:=_Mandaic}');
Error('\P{:=_Mandaic}');
Expect(1, 2142, '\p{mandaic}', "");
Expect(0, 2142, '\p{^mandaic}', "");
Expect(0, 2142, '\P{mandaic}', "");
Expect(1, 2142, '\P{^mandaic}', "");
Expect(0, 2143, '\p{mandaic}', "");
Expect(1, 2143, '\p{^mandaic}', "");
Expect(1, 2143, '\P{mandaic}', "");
Expect(0, 2143, '\P{^mandaic}', "");
Expect(1, 2142, '\p{- MANDAIC}', "");
Expect(0, 2142, '\p{^- MANDAIC}', "");
Expect(0, 2142, '\P{- MANDAIC}', "");
Expect(1, 2142, '\P{^- MANDAIC}', "");
Expect(0, 2143, '\p{- MANDAIC}', "");
Expect(1, 2143, '\p{^- MANDAIC}', "");
Expect(1, 2143, '\P{- MANDAIC}', "");
Expect(0, 2143, '\P{^- MANDAIC}', "");
Error('\p{:=_ Is_Mandaic}');
Error('\P{:=_ Is_Mandaic}');
Expect(1, 2142, '\p{ismandaic}', "");
Expect(0, 2142, '\p{^ismandaic}', "");
Expect(0, 2142, '\P{ismandaic}', "");
Expect(1, 2142, '\P{^ismandaic}', "");
Expect(0, 2143, '\p{ismandaic}', "");
Expect(1, 2143, '\p{^ismandaic}', "");
Expect(1, 2143, '\P{ismandaic}', "");
Expect(0, 2143, '\P{^ismandaic}', "");
Expect(1, 2142, '\p{ Is_MANDAIC}', "");
Expect(0, 2142, '\p{^ Is_MANDAIC}', "");
Expect(0, 2142, '\P{ Is_MANDAIC}', "");
Expect(1, 2142, '\P{^ Is_MANDAIC}', "");
Expect(0, 2143, '\p{ Is_MANDAIC}', "");
Expect(1, 2143, '\p{^ Is_MANDAIC}', "");
Expect(1, 2143, '\P{ Is_MANDAIC}', "");
Expect(0, 2143, '\P{^ Is_MANDAIC}', "");
Error('\p{--Mand/a/}');
Error('\P{--Mand/a/}');
Expect(1, 2142, '\p{mand}', "");
Expect(0, 2142, '\p{^mand}', "");
Expect(0, 2142, '\P{mand}', "");
Expect(1, 2142, '\P{^mand}', "");
Expect(0, 2143, '\p{mand}', "");
Expect(1, 2143, '\p{^mand}', "");
Expect(1, 2143, '\P{mand}', "");
Expect(0, 2143, '\P{^mand}', "");
Expect(1, 2142, '\p{_Mand}', "");
Expect(0, 2142, '\p{^_Mand}', "");
Expect(0, 2142, '\P{_Mand}', "");
Expect(1, 2142, '\P{^_Mand}', "");
Expect(0, 2143, '\p{_Mand}', "");
Expect(1, 2143, '\p{^_Mand}', "");
Expect(1, 2143, '\P{_Mand}', "");
Expect(0, 2143, '\P{^_Mand}', "");
Error('\p{:= -Is_Mand}');
Error('\P{:= -Is_Mand}');
Expect(1, 2142, '\p{ismand}', "");
Expect(0, 2142, '\p{^ismand}', "");
Expect(0, 2142, '\P{ismand}', "");
Expect(1, 2142, '\P{^ismand}', "");
Expect(0, 2143, '\p{ismand}', "");
Expect(1, 2143, '\p{^ismand}', "");
Expect(1, 2143, '\P{ismand}', "");
Expect(0, 2143, '\P{^ismand}', "");
Expect(1, 2142, '\p{		IS_Mand}', "");
Expect(0, 2142, '\p{^		IS_Mand}', "");
Expect(0, 2142, '\P{		IS_Mand}', "");
Expect(1, 2142, '\P{^		IS_Mand}', "");
Expect(0, 2143, '\p{		IS_Mand}', "");
Expect(1, 2143, '\p{^		IS_Mand}', "");
Expect(1, 2143, '\P{		IS_Mand}', "");
Expect(0, 2143, '\P{^		IS_Mand}', "");
Error('\p{Manichaean/a/}');
Error('\P{Manichaean/a/}');
Expect(1, 68342, '\p{manichaean}', "");
Expect(0, 68342, '\p{^manichaean}', "");
Expect(0, 68342, '\P{manichaean}', "");
Expect(1, 68342, '\P{^manichaean}', "");
Expect(0, 68343, '\p{manichaean}', "");
Expect(1, 68343, '\p{^manichaean}', "");
Expect(1, 68343, '\P{manichaean}', "");
Expect(0, 68343, '\P{^manichaean}', "");
Expect(1, 68342, '\p{--Manichaean}', "");
Expect(0, 68342, '\p{^--Manichaean}', "");
Expect(0, 68342, '\P{--Manichaean}', "");
Expect(1, 68342, '\P{^--Manichaean}', "");
Expect(0, 68343, '\p{--Manichaean}', "");
Expect(1, 68343, '\p{^--Manichaean}', "");
Expect(1, 68343, '\P{--Manichaean}', "");
Expect(0, 68343, '\P{^--Manichaean}', "");
Error('\p{_:=Is_Manichaean}');
Error('\P{_:=Is_Manichaean}');
Expect(1, 68342, '\p{ismanichaean}', "");
Expect(0, 68342, '\p{^ismanichaean}', "");
Expect(0, 68342, '\P{ismanichaean}', "");
Expect(1, 68342, '\P{^ismanichaean}', "");
Expect(0, 68343, '\p{ismanichaean}', "");
Expect(1, 68343, '\p{^ismanichaean}', "");
Expect(1, 68343, '\P{ismanichaean}', "");
Expect(0, 68343, '\P{^ismanichaean}', "");
Expect(1, 68342, '\p{	 Is_MANICHAEAN}', "");
Expect(0, 68342, '\p{^	 Is_MANICHAEAN}', "");
Expect(0, 68342, '\P{	 Is_MANICHAEAN}', "");
Expect(1, 68342, '\P{^	 Is_MANICHAEAN}', "");
Expect(0, 68343, '\p{	 Is_MANICHAEAN}', "");
Expect(1, 68343, '\p{^	 Is_MANICHAEAN}', "");
Expect(1, 68343, '\P{	 Is_MANICHAEAN}', "");
Expect(0, 68343, '\P{^	 Is_MANICHAEAN}', "");
Error('\p{/a/  mani}');
Error('\P{/a/  mani}');
Expect(1, 68342, '\p{mani}', "");
Expect(0, 68342, '\p{^mani}', "");
Expect(0, 68342, '\P{mani}', "");
Expect(1, 68342, '\P{^mani}', "");
Expect(0, 68343, '\p{mani}', "");
Expect(1, 68343, '\p{^mani}', "");
Expect(1, 68343, '\P{mani}', "");
Expect(0, 68343, '\P{^mani}', "");
Expect(1, 68342, '\p{ 	mani}', "");
Expect(0, 68342, '\p{^ 	mani}', "");
Expect(0, 68342, '\P{ 	mani}', "");
Expect(1, 68342, '\P{^ 	mani}', "");
Expect(0, 68343, '\p{ 	mani}', "");
Expect(1, 68343, '\p{^ 	mani}', "");
Expect(1, 68343, '\P{ 	mani}', "");
Expect(0, 68343, '\P{^ 	mani}', "");
Error('\p{/a/is_Mani}');
Error('\P{/a/is_Mani}');
Expect(1, 68342, '\p{ismani}', "");
Expect(0, 68342, '\p{^ismani}', "");
Expect(0, 68342, '\P{ismani}', "");
Expect(1, 68342, '\P{^ismani}', "");
Expect(0, 68343, '\p{ismani}', "");
Expect(1, 68343, '\p{^ismani}', "");
Expect(1, 68343, '\P{ismani}', "");
Expect(0, 68343, '\P{^ismani}', "");
Expect(1, 68342, '\p{__is_MANI}', "");
Expect(0, 68342, '\p{^__is_MANI}', "");
Expect(0, 68342, '\P{__is_MANI}', "");
Expect(1, 68342, '\P{^__is_MANI}', "");
Expect(0, 68343, '\p{__is_MANI}', "");
Expect(1, 68343, '\p{^__is_MANI}', "");
Expect(1, 68343, '\P{__is_MANI}', "");
Expect(0, 68343, '\P{^__is_MANI}', "");
Error('\p{  Mark:=}');
Error('\P{  Mark:=}');
Expect(1, 917999, '\p{mark}', "");
Expect(0, 917999, '\p{^mark}', "");
Expect(0, 917999, '\P{mark}', "");
Expect(1, 917999, '\P{^mark}', "");
Expect(0, 918000, '\p{mark}', "");
Expect(1, 918000, '\p{^mark}', "");
Expect(1, 918000, '\P{mark}', "");
Expect(0, 918000, '\P{^mark}', "");
Expect(1, 917999, '\p{ Mark}', "");
Expect(0, 917999, '\p{^ Mark}', "");
Expect(0, 917999, '\P{ Mark}', "");
Expect(1, 917999, '\P{^ Mark}', "");
Expect(0, 918000, '\p{ Mark}', "");
Expect(1, 918000, '\p{^ Mark}', "");
Expect(1, 918000, '\P{ Mark}', "");
Expect(0, 918000, '\P{^ Mark}', "");
Error('\p{:= IS_Mark}');
Error('\P{:= IS_Mark}');
Expect(1, 917999, '\p{ismark}', "");
Expect(0, 917999, '\p{^ismark}', "");
Expect(0, 917999, '\P{ismark}', "");
Expect(1, 917999, '\P{^ismark}', "");
Expect(0, 918000, '\p{ismark}', "");
Expect(1, 918000, '\p{^ismark}', "");
Expect(1, 918000, '\P{ismark}', "");
Expect(0, 918000, '\P{^ismark}', "");
Expect(1, 917999, '\p{  IS_Mark}', "");
Expect(0, 917999, '\p{^  IS_Mark}', "");
Expect(0, 917999, '\P{  IS_Mark}', "");
Expect(1, 917999, '\P{^  IS_Mark}', "");
Expect(0, 918000, '\p{  IS_Mark}', "");
Expect(1, 918000, '\p{^  IS_Mark}', "");
Expect(1, 918000, '\P{  IS_Mark}', "");
Expect(0, 918000, '\P{^  IS_Mark}', "");
Error('\p{_M:=}');
Error('\P{_M:=}');
Expect(1, 917999, '\p{m}', "");
Expect(0, 917999, '\p{^m}', "");
Expect(0, 917999, '\P{m}', "");
Expect(1, 917999, '\P{^m}', "");
Expect(0, 918000, '\p{m}', "");
Expect(1, 918000, '\p{^m}', "");
Expect(1, 918000, '\P{m}', "");
Expect(0, 918000, '\P{^m}', "");
Expect(1, 917999, '\p{	-M}', "");
Expect(0, 917999, '\p{^	-M}', "");
Expect(0, 917999, '\P{	-M}', "");
Expect(1, 917999, '\P{^	-M}', "");
Expect(0, 918000, '\p{	-M}', "");
Expect(1, 918000, '\p{^	-M}', "");
Expect(1, 918000, '\P{	-M}', "");
Expect(0, 918000, '\P{^	-M}', "");
Error('\p{	 IS_m/a/}');
Error('\P{	 IS_m/a/}');
Expect(1, 917999, '\p{ism}', "");
Expect(0, 917999, '\p{^ism}', "");
Expect(0, 917999, '\P{ism}', "");
Expect(1, 917999, '\P{^ism}', "");
Expect(0, 918000, '\p{ism}', "");
Expect(1, 918000, '\p{^ism}', "");
Expect(1, 918000, '\P{ism}', "");
Expect(0, 918000, '\P{^ism}', "");
Expect(1, 917999, '\p{- is_m}', "");
Expect(0, 917999, '\p{^- is_m}', "");
Expect(0, 917999, '\P{- is_m}', "");
Expect(1, 917999, '\P{^- is_m}', "");
Expect(0, 918000, '\p{- is_m}', "");
Expect(1, 918000, '\p{^- is_m}', "");
Expect(1, 918000, '\P{- is_m}', "");
Expect(0, 918000, '\P{^- is_m}', "");
Error('\p{/a/	 Combining_Mark}');
Error('\P{/a/	 Combining_Mark}');
Expect(1, 917999, '\p{combiningmark}', "");
Expect(0, 917999, '\p{^combiningmark}', "");
Expect(0, 917999, '\P{combiningmark}', "");
Expect(1, 917999, '\P{^combiningmark}', "");
Expect(0, 918000, '\p{combiningmark}', "");
Expect(1, 918000, '\p{^combiningmark}', "");
Expect(1, 918000, '\P{combiningmark}', "");
Expect(0, 918000, '\P{^combiningmark}', "");
Expect(1, 917999, '\p{-combining_mark}', "");
Expect(0, 917999, '\p{^-combining_mark}', "");
Expect(0, 917999, '\P{-combining_mark}', "");
Expect(1, 917999, '\P{^-combining_mark}', "");
Expect(0, 918000, '\p{-combining_mark}', "");
Expect(1, 918000, '\p{^-combining_mark}', "");
Expect(1, 918000, '\P{-combining_mark}', "");
Expect(0, 918000, '\P{^-combining_mark}', "");
Error('\p{ /a/Is_combining_Mark}');
Error('\P{ /a/Is_combining_Mark}');
Expect(1, 917999, '\p{iscombiningmark}', "");
Expect(0, 917999, '\p{^iscombiningmark}', "");
Expect(0, 917999, '\P{iscombiningmark}', "");
Expect(1, 917999, '\P{^iscombiningmark}', "");
Expect(0, 918000, '\p{iscombiningmark}', "");
Expect(1, 918000, '\p{^iscombiningmark}', "");
Expect(1, 918000, '\P{iscombiningmark}', "");
Expect(0, 918000, '\P{^iscombiningmark}', "");
Expect(1, 917999, '\p{-_Is_Combining_MARK}', "");
Expect(0, 917999, '\p{^-_Is_Combining_MARK}', "");
Expect(0, 917999, '\P{-_Is_Combining_MARK}', "");
Expect(1, 917999, '\P{^-_Is_Combining_MARK}', "");
Expect(0, 918000, '\p{-_Is_Combining_MARK}', "");
Expect(1, 918000, '\p{^-_Is_Combining_MARK}', "");
Expect(1, 918000, '\P{-_Is_Combining_MARK}', "");
Expect(0, 918000, '\P{^-_Is_Combining_MARK}', "");
Error('\p{:=_ Math}');
Error('\P{:=_ Math}');
Expect(1, 126705, '\p{math}', "");
Expect(0, 126705, '\p{^math}', "");
Expect(0, 126705, '\P{math}', "");
Expect(1, 126705, '\P{^math}', "");
Expect(0, 126706, '\p{math}', "");
Expect(1, 126706, '\p{^math}', "");
Expect(1, 126706, '\P{math}', "");
Expect(0, 126706, '\P{^math}', "");
Expect(1, 126705, '\p{- math}', "");
Expect(0, 126705, '\p{^- math}', "");
Expect(0, 126705, '\P{- math}', "");
Expect(1, 126705, '\P{^- math}', "");
Expect(0, 126706, '\p{- math}', "");
Expect(1, 126706, '\p{^- math}', "");
Expect(1, 126706, '\P{- math}', "");
Expect(0, 126706, '\P{^- math}', "");
Error('\p{:=_Is_Math}');
Error('\P{:=_Is_Math}');
Expect(1, 126705, '\p{ismath}', "");
Expect(0, 126705, '\p{^ismath}', "");
Expect(0, 126705, '\P{ismath}', "");
Expect(1, 126705, '\P{^ismath}', "");
Expect(0, 126706, '\p{ismath}', "");
Expect(1, 126706, '\p{^ismath}', "");
Expect(1, 126706, '\P{ismath}', "");
Expect(0, 126706, '\P{^ismath}', "");
Expect(1, 126705, '\p{	Is_MATH}', "");
Expect(0, 126705, '\p{^	Is_MATH}', "");
Expect(0, 126705, '\P{	Is_MATH}', "");
Expect(1, 126705, '\P{^	Is_MATH}', "");
Expect(0, 126706, '\p{	Is_MATH}', "");
Expect(1, 126706, '\p{^	Is_MATH}', "");
Expect(1, 126706, '\P{	Is_MATH}', "");
Expect(0, 126706, '\P{^	Is_MATH}', "");
Error('\p{_Math_Symbol:=}');
Error('\P{_Math_Symbol:=}');
Expect(1, 126705, '\p{mathsymbol}', "");
Expect(0, 126705, '\p{^mathsymbol}', "");
Expect(0, 126705, '\P{mathsymbol}', "");
Expect(1, 126705, '\P{^mathsymbol}', "");
Expect(0, 126706, '\p{mathsymbol}', "");
Expect(1, 126706, '\p{^mathsymbol}', "");
Expect(1, 126706, '\P{mathsymbol}', "");
Expect(0, 126706, '\P{^mathsymbol}', "");
Expect(1, 126705, '\p{		Math_Symbol}', "");
Expect(0, 126705, '\p{^		Math_Symbol}', "");
Expect(0, 126705, '\P{		Math_Symbol}', "");
Expect(1, 126705, '\P{^		Math_Symbol}', "");
Expect(0, 126706, '\p{		Math_Symbol}', "");
Expect(1, 126706, '\p{^		Math_Symbol}', "");
Expect(1, 126706, '\P{		Math_Symbol}', "");
Expect(0, 126706, '\P{^		Math_Symbol}', "");
Error('\p{ /a/Is_Math_SYMBOL}');
Error('\P{ /a/Is_Math_SYMBOL}');
Expect(1, 126705, '\p{ismathsymbol}', "");
Expect(0, 126705, '\p{^ismathsymbol}', "");
Expect(0, 126705, '\P{ismathsymbol}', "");
Expect(1, 126705, '\P{^ismathsymbol}', "");
Expect(0, 126706, '\p{ismathsymbol}', "");
Expect(1, 126706, '\p{^ismathsymbol}', "");
Expect(1, 126706, '\P{ismathsymbol}', "");
Expect(0, 126706, '\P{^ismathsymbol}', "");
Expect(1, 126705, '\p{_-Is_math_SYMBOL}', "");
Expect(0, 126705, '\p{^_-Is_math_SYMBOL}', "");
Expect(0, 126705, '\P{_-Is_math_SYMBOL}', "");
Expect(1, 126705, '\P{^_-Is_math_SYMBOL}', "");
Expect(0, 126706, '\p{_-Is_math_SYMBOL}', "");
Expect(1, 126706, '\p{^_-Is_math_SYMBOL}', "");
Expect(1, 126706, '\P{_-Is_math_SYMBOL}', "");
Expect(0, 126706, '\P{^_-Is_math_SYMBOL}', "");
Error('\p{/a/_Sm}');
Error('\P{/a/_Sm}');
Expect(1, 126705, '\p{sm}', "");
Expect(0, 126705, '\p{^sm}', "");
Expect(0, 126705, '\P{sm}', "");
Expect(1, 126705, '\P{^sm}', "");
Expect(0, 126706, '\p{sm}', "");
Expect(1, 126706, '\p{^sm}', "");
Expect(1, 126706, '\P{sm}', "");
Expect(0, 126706, '\P{^sm}', "");
Expect(1, 126705, '\p{		SM}', "");
Expect(0, 126705, '\p{^		SM}', "");
Expect(0, 126705, '\P{		SM}', "");
Expect(1, 126705, '\P{^		SM}', "");
Expect(0, 126706, '\p{		SM}', "");
Expect(1, 126706, '\p{^		SM}', "");
Expect(1, 126706, '\P{		SM}', "");
Expect(0, 126706, '\P{^		SM}', "");
Error('\p{/a/Is_Sm}');
Error('\P{/a/Is_Sm}');
Expect(1, 126705, '\p{issm}', "");
Expect(0, 126705, '\p{^issm}', "");
Expect(0, 126705, '\P{issm}', "");
Expect(1, 126705, '\P{^issm}', "");
Expect(0, 126706, '\p{issm}', "");
Expect(1, 126706, '\p{^issm}', "");
Expect(1, 126706, '\P{issm}', "");
Expect(0, 126706, '\P{^issm}', "");
Expect(1, 126705, '\p{_ Is_SM}', "");
Expect(0, 126705, '\p{^_ Is_SM}', "");
Expect(0, 126705, '\P{_ Is_SM}', "");
Expect(1, 126705, '\P{^_ Is_SM}', "");
Expect(0, 126706, '\p{_ Is_SM}', "");
Expect(1, 126706, '\p{^_ Is_SM}', "");
Expect(1, 126706, '\P{_ Is_SM}', "");
Expect(0, 126706, '\P{^_ Is_SM}', "");
Error('\p{_:=mathematical_alphanumeric_Symbols}');
Error('\P{_:=mathematical_alphanumeric_Symbols}');
Expect(1, 120831, '\p{mathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\p{^mathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\P{mathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\P{^mathematicalalphanumericsymbols}', "");
Expect(0, 120832, '\p{mathematicalalphanumericsymbols}', "");
Expect(1, 120832, '\p{^mathematicalalphanumericsymbols}', "");
Expect(1, 120832, '\P{mathematicalalphanumericsymbols}', "");
Expect(0, 120832, '\P{^mathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\p{	Mathematical_ALPHANUMERIC_Symbols}', "");
Expect(0, 120831, '\p{^	Mathematical_ALPHANUMERIC_Symbols}', "");
Expect(0, 120831, '\P{	Mathematical_ALPHANUMERIC_Symbols}', "");
Expect(1, 120831, '\P{^	Mathematical_ALPHANUMERIC_Symbols}', "");
Expect(0, 120832, '\p{	Mathematical_ALPHANUMERIC_Symbols}', "");
Expect(1, 120832, '\p{^	Mathematical_ALPHANUMERIC_Symbols}', "");
Expect(1, 120832, '\P{	Mathematical_ALPHANUMERIC_Symbols}', "");
Expect(0, 120832, '\P{^	Mathematical_ALPHANUMERIC_Symbols}', "");
Error('\p{ Is_Mathematical_Alphanumeric_SYMBOLS/a/}');
Error('\P{ Is_Mathematical_Alphanumeric_SYMBOLS/a/}');
Expect(1, 120831, '\p{ismathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\p{^ismathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\P{ismathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\P{^ismathematicalalphanumericsymbols}', "");
Expect(0, 120832, '\p{ismathematicalalphanumericsymbols}', "");
Expect(1, 120832, '\p{^ismathematicalalphanumericsymbols}', "");
Expect(1, 120832, '\P{ismathematicalalphanumericsymbols}', "");
Expect(0, 120832, '\P{^ismathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\p{		IS_mathematical_Alphanumeric_symbols}', "");
Expect(0, 120831, '\p{^		IS_mathematical_Alphanumeric_symbols}', "");
Expect(0, 120831, '\P{		IS_mathematical_Alphanumeric_symbols}', "");
Expect(1, 120831, '\P{^		IS_mathematical_Alphanumeric_symbols}', "");
Expect(0, 120832, '\p{		IS_mathematical_Alphanumeric_symbols}', "");
Expect(1, 120832, '\p{^		IS_mathematical_Alphanumeric_symbols}', "");
Expect(1, 120832, '\P{		IS_mathematical_Alphanumeric_symbols}', "");
Expect(0, 120832, '\P{^		IS_mathematical_Alphanumeric_symbols}', "");
Error('\p{:=_in_Mathematical_alphanumeric_Symbols}');
Error('\P{:=_in_Mathematical_alphanumeric_Symbols}');
Expect(1, 120831, '\p{inmathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\p{^inmathematicalalphanumericsymbols}', "");
Expect(0, 120831, '\P{inmathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\P{^inmathematicalalphanumericsymbols}', "");
Expect(0, 120832, '\p{inmathematicalalphanumericsymbols}', "");
Expect(1, 120832, '\p{^inmathematicalalphanumericsymbols}', "");
Expect(1, 120832, '\P{inmathematicalalphanumericsymbols}', "");
Expect(0, 120832, '\P{^inmathematicalalphanumericsymbols}', "");
Expect(1, 120831, '\p{	 in_MATHEMATICAL_alphanumeric_SYMBOLS}', "");
Expect(0, 120831, '\p{^	 in_MATHEMATICAL_alphanumeric_SYMBOLS}', "");
Expect(0, 120831, '\P{	 in_MATHEMATICAL_alphanumeric_SYMBOLS}', "");
Expect(1, 120831, '\P{^	 in_MATHEMATICAL_alphanumeric_SYMBOLS}', "");
Expect(0, 120832, '\p{	 in_MATHEMATICAL_alphanumeric_SYMBOLS}', "");
Expect(1, 120832, '\p{^	 in_MATHEMATICAL_alphanumeric_SYMBOLS}', "");
Expect(1, 120832, '\P{	 in_MATHEMATICAL_alphanumeric_SYMBOLS}', "");
Expect(0, 120832, '\P{^	 in_MATHEMATICAL_alphanumeric_SYMBOLS}', "");
Error('\p{	Math_alphanum/a/}');
Error('\P{	Math_alphanum/a/}');
Expect(1, 120831, '\p{mathalphanum}', "");
Expect(0, 120831, '\p{^mathalphanum}', "");
Expect(0, 120831, '\P{mathalphanum}', "");
Expect(1, 120831, '\P{^mathalphanum}', "");
Expect(0, 120832, '\p{mathalphanum}', "");
Expect(1, 120832, '\p{^mathalphanum}', "");
Expect(1, 120832, '\P{mathalphanum}', "");
Expect(0, 120832, '\P{^mathalphanum}', "");
Expect(1, 120831, '\p{-_math_alphanum}', "");
Expect(0, 120831, '\p{^-_math_alphanum}', "");
Expect(0, 120831, '\P{-_math_alphanum}', "");
Expect(1, 120831, '\P{^-_math_alphanum}', "");
Expect(0, 120832, '\p{-_math_alphanum}', "");
Expect(1, 120832, '\p{^-_math_alphanum}', "");
Expect(1, 120832, '\P{-_math_alphanum}', "");
Expect(0, 120832, '\P{^-_math_alphanum}', "");
Error('\p{	 IS_MATH_ALPHANUM/a/}');
Error('\P{	 IS_MATH_ALPHANUM/a/}');
Expect(1, 120831, '\p{ismathalphanum}', "");
Expect(0, 120831, '\p{^ismathalphanum}', "");
Expect(0, 120831, '\P{ismathalphanum}', "");
Expect(1, 120831, '\P{^ismathalphanum}', "");
Expect(0, 120832, '\p{ismathalphanum}', "");
Expect(1, 120832, '\p{^ismathalphanum}', "");
Expect(1, 120832, '\P{ismathalphanum}', "");
Expect(0, 120832, '\P{^ismathalphanum}', "");
Expect(1, 120831, '\p{ IS_MATH_alphanum}', "");
Expect(0, 120831, '\p{^ IS_MATH_alphanum}', "");
Expect(0, 120831, '\P{ IS_MATH_alphanum}', "");
Expect(1, 120831, '\P{^ IS_MATH_alphanum}', "");
Expect(0, 120832, '\p{ IS_MATH_alphanum}', "");
Expect(1, 120832, '\p{^ IS_MATH_alphanum}', "");
Expect(1, 120832, '\P{ IS_MATH_alphanum}', "");
Expect(0, 120832, '\P{^ IS_MATH_alphanum}', "");
Error('\p{/a/-	IN_MATH_Alphanum}');
Error('\P{/a/-	IN_MATH_Alphanum}');
Expect(1, 120831, '\p{inmathalphanum}', "");
Expect(0, 120831, '\p{^inmathalphanum}', "");
Expect(0, 120831, '\P{inmathalphanum}', "");
Expect(1, 120831, '\P{^inmathalphanum}', "");
Expect(0, 120832, '\p{inmathalphanum}', "");
Expect(1, 120832, '\p{^inmathalphanum}', "");
Expect(1, 120832, '\P{inmathalphanum}', "");
Expect(0, 120832, '\P{^inmathalphanum}', "");
Expect(1, 120831, '\p{	In_Math_alphanum}', "");
Expect(0, 120831, '\p{^	In_Math_alphanum}', "");
Expect(0, 120831, '\P{	In_Math_alphanum}', "");
Expect(1, 120831, '\P{^	In_Math_alphanum}', "");
Expect(0, 120832, '\p{	In_Math_alphanum}', "");
Expect(1, 120832, '\p{^	In_Math_alphanum}', "");
Expect(1, 120832, '\P{	In_Math_alphanum}', "");
Expect(0, 120832, '\P{^	In_Math_alphanum}', "");
Error('\p{/a/_ MATHEMATICAL_Operators}');
Error('\P{/a/_ MATHEMATICAL_Operators}');
Expect(1, 8959, '\p{mathematicaloperators}', "");
Expect(0, 8959, '\p{^mathematicaloperators}', "");
Expect(0, 8959, '\P{mathematicaloperators}', "");
Expect(1, 8959, '\P{^mathematicaloperators}', "");
Expect(0, 8960, '\p{mathematicaloperators}', "");
Expect(1, 8960, '\p{^mathematicaloperators}', "");
Expect(1, 8960, '\P{mathematicaloperators}', "");
Expect(0, 8960, '\P{^mathematicaloperators}', "");
Expect(1, 8959, '\p{	_mathematical_Operators}', "");
Expect(0, 8959, '\p{^	_mathematical_Operators}', "");
Expect(0, 8959, '\P{	_mathematical_Operators}', "");
Expect(1, 8959, '\P{^	_mathematical_Operators}', "");
Expect(0, 8960, '\p{	_mathematical_Operators}', "");
Expect(1, 8960, '\p{^	_mathematical_Operators}', "");
Expect(1, 8960, '\P{	_mathematical_Operators}', "");
Expect(0, 8960, '\P{^	_mathematical_Operators}', "");
Error('\p{/a/-_IS_mathematical_operators}');
Error('\P{/a/-_IS_mathematical_operators}');
Expect(1, 8959, '\p{ismathematicaloperators}', "");
Expect(0, 8959, '\p{^ismathematicaloperators}', "");
Expect(0, 8959, '\P{ismathematicaloperators}', "");
Expect(1, 8959, '\P{^ismathematicaloperators}', "");
Expect(0, 8960, '\p{ismathematicaloperators}', "");
Expect(1, 8960, '\p{^ismathematicaloperators}', "");
Expect(1, 8960, '\P{ismathematicaloperators}', "");
Expect(0, 8960, '\P{^ismathematicaloperators}', "");
Expect(1, 8959, '\p{-Is_MATHEMATICAL_operators}', "");
Expect(0, 8959, '\p{^-Is_MATHEMATICAL_operators}', "");
Expect(0, 8959, '\P{-Is_MATHEMATICAL_operators}', "");
Expect(1, 8959, '\P{^-Is_MATHEMATICAL_operators}', "");
Expect(0, 8960, '\p{-Is_MATHEMATICAL_operators}', "");
Expect(1, 8960, '\p{^-Is_MATHEMATICAL_operators}', "");
Expect(1, 8960, '\P{-Is_MATHEMATICAL_operators}', "");
Expect(0, 8960, '\P{^-Is_MATHEMATICAL_operators}', "");
Error('\p{ :=IN_MATHEMATICAL_operators}');
Error('\P{ :=IN_MATHEMATICAL_operators}');
Expect(1, 8959, '\p{inmathematicaloperators}', "");
Expect(0, 8959, '\p{^inmathematicaloperators}', "");
Expect(0, 8959, '\P{inmathematicaloperators}', "");
Expect(1, 8959, '\P{^inmathematicaloperators}', "");
Expect(0, 8960, '\p{inmathematicaloperators}', "");
Expect(1, 8960, '\p{^inmathematicaloperators}', "");
Expect(1, 8960, '\P{inmathematicaloperators}', "");
Expect(0, 8960, '\P{^inmathematicaloperators}', "");
Expect(1, 8959, '\p{IN_MATHEMATICAL_Operators}', "");
Expect(0, 8959, '\p{^IN_MATHEMATICAL_Operators}', "");
Expect(0, 8959, '\P{IN_MATHEMATICAL_Operators}', "");
Expect(1, 8959, '\P{^IN_MATHEMATICAL_Operators}', "");
Expect(0, 8960, '\p{IN_MATHEMATICAL_Operators}', "");
Expect(1, 8960, '\p{^IN_MATHEMATICAL_Operators}', "");
Expect(1, 8960, '\P{IN_MATHEMATICAL_Operators}', "");
Expect(0, 8960, '\P{^IN_MATHEMATICAL_Operators}', "");
Error('\p{_:=MATH_OPERATORS}');
Error('\P{_:=MATH_OPERATORS}');
Expect(1, 8959, '\p{mathoperators}', "");
Expect(0, 8959, '\p{^mathoperators}', "");
Expect(0, 8959, '\P{mathoperators}', "");
Expect(1, 8959, '\P{^mathoperators}', "");
Expect(0, 8960, '\p{mathoperators}', "");
Expect(1, 8960, '\p{^mathoperators}', "");
Expect(1, 8960, '\P{mathoperators}', "");
Expect(0, 8960, '\P{^mathoperators}', "");
Expect(1, 8959, '\p{	MATH_operators}', "");
Expect(0, 8959, '\p{^	MATH_operators}', "");
Expect(0, 8959, '\P{	MATH_operators}', "");
Expect(1, 8959, '\P{^	MATH_operators}', "");
Expect(0, 8960, '\p{	MATH_operators}', "");
Expect(1, 8960, '\p{^	MATH_operators}', "");
Expect(1, 8960, '\P{	MATH_operators}', "");
Expect(0, 8960, '\P{^	MATH_operators}', "");
Error('\p{_:=Is_math_Operators}');
Error('\P{_:=Is_math_Operators}');
Expect(1, 8959, '\p{ismathoperators}', "");
Expect(0, 8959, '\p{^ismathoperators}', "");
Expect(0, 8959, '\P{ismathoperators}', "");
Expect(1, 8959, '\P{^ismathoperators}', "");
Expect(0, 8960, '\p{ismathoperators}', "");
Expect(1, 8960, '\p{^ismathoperators}', "");
Expect(1, 8960, '\P{ismathoperators}', "");
Expect(0, 8960, '\P{^ismathoperators}', "");
Expect(1, 8959, '\p{ is_math_Operators}', "");
Expect(0, 8959, '\p{^ is_math_Operators}', "");
Expect(0, 8959, '\P{ is_math_Operators}', "");
Expect(1, 8959, '\P{^ is_math_Operators}', "");
Expect(0, 8960, '\p{ is_math_Operators}', "");
Expect(1, 8960, '\p{^ is_math_Operators}', "");
Expect(1, 8960, '\P{ is_math_Operators}', "");
Expect(0, 8960, '\P{^ is_math_Operators}', "");
Error('\p{ 	In_math_Operators/a/}');
Error('\P{ 	In_math_Operators/a/}');
Expect(1, 8959, '\p{inmathoperators}', "");
Expect(0, 8959, '\p{^inmathoperators}', "");
Expect(0, 8959, '\P{inmathoperators}', "");
Expect(1, 8959, '\P{^inmathoperators}', "");
Expect(0, 8960, '\p{inmathoperators}', "");
Expect(1, 8960, '\p{^inmathoperators}', "");
Expect(1, 8960, '\P{inmathoperators}', "");
Expect(0, 8960, '\P{^inmathoperators}', "");
Expect(1, 8959, '\p{_ In_math_Operators}', "");
Expect(0, 8959, '\p{^_ In_math_Operators}', "");
Expect(0, 8959, '\P{_ In_math_Operators}', "");
Expect(1, 8959, '\P{^_ In_math_Operators}', "");
Expect(0, 8960, '\p{_ In_math_Operators}', "");
Expect(1, 8960, '\p{^_ In_math_Operators}', "");
Expect(1, 8960, '\P{_ In_math_Operators}', "");
Expect(0, 8960, '\P{^_ In_math_Operators}', "");
Error('\p{/a/-meetei_Mayek}');
Error('\P{/a/-meetei_Mayek}');
Expect(1, 44025, '\p{meeteimayek}', "");
Expect(0, 44025, '\p{^meeteimayek}', "");
Expect(0, 44025, '\P{meeteimayek}', "");
Expect(1, 44025, '\P{^meeteimayek}', "");
Expect(0, 44026, '\p{meeteimayek}', "");
Expect(1, 44026, '\p{^meeteimayek}', "");
Expect(1, 44026, '\P{meeteimayek}', "");
Expect(0, 44026, '\P{^meeteimayek}', "");
Expect(1, 44025, '\p{_meetei_Mayek}', "");
Expect(0, 44025, '\p{^_meetei_Mayek}', "");
Expect(0, 44025, '\P{_meetei_Mayek}', "");
Expect(1, 44025, '\P{^_meetei_Mayek}', "");
Expect(0, 44026, '\p{_meetei_Mayek}', "");
Expect(1, 44026, '\p{^_meetei_Mayek}', "");
Expect(1, 44026, '\P{_meetei_Mayek}', "");
Expect(0, 44026, '\P{^_meetei_Mayek}', "");
Error('\p{- Is_meetei_Mayek:=}');
Error('\P{- Is_meetei_Mayek:=}');
Expect(1, 44025, '\p{ismeeteimayek}', "");
Expect(0, 44025, '\p{^ismeeteimayek}', "");
Expect(0, 44025, '\P{ismeeteimayek}', "");
Expect(1, 44025, '\P{^ismeeteimayek}', "");
Expect(0, 44026, '\p{ismeeteimayek}', "");
Expect(1, 44026, '\p{^ismeeteimayek}', "");
Expect(1, 44026, '\P{ismeeteimayek}', "");
Expect(0, 44026, '\P{^ismeeteimayek}', "");
Expect(1, 44025, '\p{_	Is_Meetei_MAYEK}', "");
Expect(0, 44025, '\p{^_	Is_Meetei_MAYEK}', "");
Expect(0, 44025, '\P{_	Is_Meetei_MAYEK}', "");
Expect(1, 44025, '\P{^_	Is_Meetei_MAYEK}', "");
Expect(0, 44026, '\p{_	Is_Meetei_MAYEK}', "");
Expect(1, 44026, '\p{^_	Is_Meetei_MAYEK}', "");
Expect(1, 44026, '\P{_	Is_Meetei_MAYEK}', "");
Expect(0, 44026, '\P{^_	Is_Meetei_MAYEK}', "");
Error('\p{/a/ _MTEI}');
Error('\P{/a/ _MTEI}');
Expect(1, 44025, '\p{mtei}', "");
Expect(0, 44025, '\p{^mtei}', "");
Expect(0, 44025, '\P{mtei}', "");
Expect(1, 44025, '\P{^mtei}', "");
Expect(0, 44026, '\p{mtei}', "");
Expect(1, 44026, '\p{^mtei}', "");
Expect(1, 44026, '\P{mtei}', "");
Expect(0, 44026, '\P{^mtei}', "");
Expect(1, 44025, '\p{ _MTEI}', "");
Expect(0, 44025, '\p{^ _MTEI}', "");
Expect(0, 44025, '\P{ _MTEI}', "");
Expect(1, 44025, '\P{^ _MTEI}', "");
Expect(0, 44026, '\p{ _MTEI}', "");
Expect(1, 44026, '\p{^ _MTEI}', "");
Expect(1, 44026, '\P{ _MTEI}', "");
Expect(0, 44026, '\P{^ _MTEI}', "");
Error('\p{	 Is_Mtei:=}');
Error('\P{	 Is_Mtei:=}');
Expect(1, 44025, '\p{ismtei}', "");
Expect(0, 44025, '\p{^ismtei}', "");
Expect(0, 44025, '\P{ismtei}', "");
Expect(1, 44025, '\P{^ismtei}', "");
Expect(0, 44026, '\p{ismtei}', "");
Expect(1, 44026, '\p{^ismtei}', "");
Expect(1, 44026, '\P{ismtei}', "");
Expect(0, 44026, '\P{^ismtei}', "");
Expect(1, 44025, '\p{	 is_Mtei}', "");
Expect(0, 44025, '\p{^	 is_Mtei}', "");
Expect(0, 44025, '\P{	 is_Mtei}', "");
Expect(1, 44025, '\P{^	 is_Mtei}', "");
Expect(0, 44026, '\p{	 is_Mtei}', "");
Expect(1, 44026, '\p{^	 is_Mtei}', "");
Expect(1, 44026, '\P{	 is_Mtei}', "");
Expect(0, 44026, '\P{^	 is_Mtei}', "");
Error('\p{/a/--meetei_mayek_Extensions}');
Error('\P{/a/--meetei_mayek_Extensions}');
Expect(1, 43775, '\p{meeteimayekextensions}', "");
Expect(0, 43775, '\p{^meeteimayekextensions}', "");
Expect(0, 43775, '\P{meeteimayekextensions}', "");
Expect(1, 43775, '\P{^meeteimayekextensions}', "");
Expect(0, 43776, '\p{meeteimayekextensions}', "");
Expect(1, 43776, '\p{^meeteimayekextensions}', "");
Expect(1, 43776, '\P{meeteimayekextensions}', "");
Expect(0, 43776, '\P{^meeteimayekextensions}', "");
Expect(1, 43775, '\p{  meetei_mayek_Extensions}', "");
Expect(0, 43775, '\p{^  meetei_mayek_Extensions}', "");
Expect(0, 43775, '\P{  meetei_mayek_Extensions}', "");
Expect(1, 43775, '\P{^  meetei_mayek_Extensions}', "");
Expect(0, 43776, '\p{  meetei_mayek_Extensions}', "");
Expect(1, 43776, '\p{^  meetei_mayek_Extensions}', "");
Expect(1, 43776, '\P{  meetei_mayek_Extensions}', "");
Expect(0, 43776, '\P{^  meetei_mayek_Extensions}', "");
Error('\p{/a/	Is_Meetei_Mayek_Extensions}');
Error('\P{/a/	Is_Meetei_Mayek_Extensions}');
Expect(1, 43775, '\p{ismeeteimayekextensions}', "");
Expect(0, 43775, '\p{^ismeeteimayekextensions}', "");
Expect(0, 43775, '\P{ismeeteimayekextensions}', "");
Expect(1, 43775, '\P{^ismeeteimayekextensions}', "");
Expect(0, 43776, '\p{ismeeteimayekextensions}', "");
Expect(1, 43776, '\p{^ismeeteimayekextensions}', "");
Expect(1, 43776, '\P{ismeeteimayekextensions}', "");
Expect(0, 43776, '\P{^ismeeteimayekextensions}', "");
Expect(1, 43775, '\p{_-is_MEETEI_MAYEK_extensions}', "");
Expect(0, 43775, '\p{^_-is_MEETEI_MAYEK_extensions}', "");
Expect(0, 43775, '\P{_-is_MEETEI_MAYEK_extensions}', "");
Expect(1, 43775, '\P{^_-is_MEETEI_MAYEK_extensions}', "");
Expect(0, 43776, '\p{_-is_MEETEI_MAYEK_extensions}', "");
Expect(1, 43776, '\p{^_-is_MEETEI_MAYEK_extensions}', "");
Expect(1, 43776, '\P{_-is_MEETEI_MAYEK_extensions}', "");
Expect(0, 43776, '\P{^_-is_MEETEI_MAYEK_extensions}', "");
Error('\p{	/a/IN_meetei_Mayek_Extensions}');
Error('\P{	/a/IN_meetei_Mayek_Extensions}');
Expect(1, 43775, '\p{inmeeteimayekextensions}', "");
Expect(0, 43775, '\p{^inmeeteimayekextensions}', "");
Expect(0, 43775, '\P{inmeeteimayekextensions}', "");
Expect(1, 43775, '\P{^inmeeteimayekextensions}', "");
Expect(0, 43776, '\p{inmeeteimayekextensions}', "");
Expect(1, 43776, '\p{^inmeeteimayekextensions}', "");
Expect(1, 43776, '\P{inmeeteimayekextensions}', "");
Expect(0, 43776, '\P{^inmeeteimayekextensions}', "");
Expect(1, 43775, '\p{- in_MEETEI_mayek_extensions}', "");
Expect(0, 43775, '\p{^- in_MEETEI_mayek_extensions}', "");
Expect(0, 43775, '\P{- in_MEETEI_mayek_extensions}', "");
Expect(1, 43775, '\P{^- in_MEETEI_mayek_extensions}', "");
Expect(0, 43776, '\p{- in_MEETEI_mayek_extensions}', "");
Expect(1, 43776, '\p{^- in_MEETEI_mayek_extensions}', "");
Expect(1, 43776, '\P{- in_MEETEI_mayek_extensions}', "");
Expect(0, 43776, '\P{^- in_MEETEI_mayek_extensions}', "");
Error('\p{:=_	Meetei_Mayek_EXT}');
Error('\P{:=_	Meetei_Mayek_EXT}');
Expect(1, 43775, '\p{meeteimayekext}', "");
Expect(0, 43775, '\p{^meeteimayekext}', "");
Expect(0, 43775, '\P{meeteimayekext}', "");
Expect(1, 43775, '\P{^meeteimayekext}', "");
Expect(0, 43776, '\p{meeteimayekext}', "");
Expect(1, 43776, '\p{^meeteimayekext}', "");
Expect(1, 43776, '\P{meeteimayekext}', "");
Expect(0, 43776, '\P{^meeteimayekext}', "");
Expect(1, 43775, '\p{ Meetei_MAYEK_Ext}', "");
Expect(0, 43775, '\p{^ Meetei_MAYEK_Ext}', "");
Expect(0, 43775, '\P{ Meetei_MAYEK_Ext}', "");
Expect(1, 43775, '\P{^ Meetei_MAYEK_Ext}', "");
Expect(0, 43776, '\p{ Meetei_MAYEK_Ext}', "");
Expect(1, 43776, '\p{^ Meetei_MAYEK_Ext}', "");
Expect(1, 43776, '\P{ Meetei_MAYEK_Ext}', "");
Expect(0, 43776, '\P{^ Meetei_MAYEK_Ext}', "");
Error('\p{/a/		Is_meetei_Mayek_Ext}');
Error('\P{/a/		Is_meetei_Mayek_Ext}');
Expect(1, 43775, '\p{ismeeteimayekext}', "");
Expect(0, 43775, '\p{^ismeeteimayekext}', "");
Expect(0, 43775, '\P{ismeeteimayekext}', "");
Expect(1, 43775, '\P{^ismeeteimayekext}', "");
Expect(0, 43776, '\p{ismeeteimayekext}', "");
Expect(1, 43776, '\p{^ismeeteimayekext}', "");
Expect(1, 43776, '\P{ismeeteimayekext}', "");
Expect(0, 43776, '\P{^ismeeteimayekext}', "");
Expect(1, 43775, '\p{-Is_Meetei_Mayek_Ext}', "");
Expect(0, 43775, '\p{^-Is_Meetei_Mayek_Ext}', "");
Expect(0, 43775, '\P{-Is_Meetei_Mayek_Ext}', "");
Expect(1, 43775, '\P{^-Is_Meetei_Mayek_Ext}', "");
Expect(0, 43776, '\p{-Is_Meetei_Mayek_Ext}', "");
Expect(1, 43776, '\p{^-Is_Meetei_Mayek_Ext}', "");
Expect(1, 43776, '\P{-Is_Meetei_Mayek_Ext}', "");
Expect(0, 43776, '\P{^-Is_Meetei_Mayek_Ext}', "");
Error('\p{-:=IN_Meetei_Mayek_ext}');
Error('\P{-:=IN_Meetei_Mayek_ext}');
Expect(1, 43775, '\p{inmeeteimayekext}', "");
Expect(0, 43775, '\p{^inmeeteimayekext}', "");
Expect(0, 43775, '\P{inmeeteimayekext}', "");
Expect(1, 43775, '\P{^inmeeteimayekext}', "");
Expect(0, 43776, '\p{inmeeteimayekext}', "");
Expect(1, 43776, '\p{^inmeeteimayekext}', "");
Expect(1, 43776, '\P{inmeeteimayekext}', "");
Expect(0, 43776, '\P{^inmeeteimayekext}', "");
Expect(1, 43775, '\p{-In_MEETEI_MAYEK_ext}', "");
Expect(0, 43775, '\p{^-In_MEETEI_MAYEK_ext}', "");
Expect(0, 43775, '\P{-In_MEETEI_MAYEK_ext}', "");
Expect(1, 43775, '\P{^-In_MEETEI_MAYEK_ext}', "");
Expect(0, 43776, '\p{-In_MEETEI_MAYEK_ext}', "");
Expect(1, 43776, '\p{^-In_MEETEI_MAYEK_ext}', "");
Expect(1, 43776, '\P{-In_MEETEI_MAYEK_ext}', "");
Expect(0, 43776, '\P{^-In_MEETEI_MAYEK_ext}', "");
Error('\p{ :=Mende_kikakui}');
Error('\P{ :=Mende_kikakui}');
Expect(1, 125142, '\p{mendekikakui}', "");
Expect(0, 125142, '\p{^mendekikakui}', "");
Expect(0, 125142, '\P{mendekikakui}', "");
Expect(1, 125142, '\P{^mendekikakui}', "");
Expect(0, 125143, '\p{mendekikakui}', "");
Expect(1, 125143, '\p{^mendekikakui}', "");
Expect(1, 125143, '\P{mendekikakui}', "");
Expect(0, 125143, '\P{^mendekikakui}', "");
Expect(1, 125142, '\p{	 Mende_Kikakui}', "");
Expect(0, 125142, '\p{^	 Mende_Kikakui}', "");
Expect(0, 125142, '\P{	 Mende_Kikakui}', "");
Expect(1, 125142, '\P{^	 Mende_Kikakui}', "");
Expect(0, 125143, '\p{	 Mende_Kikakui}', "");
Expect(1, 125143, '\p{^	 Mende_Kikakui}', "");
Expect(1, 125143, '\P{	 Mende_Kikakui}', "");
Expect(0, 125143, '\P{^	 Mende_Kikakui}', "");
Error('\p{	:=is_Mende_Kikakui}');
Error('\P{	:=is_Mende_Kikakui}');
Expect(1, 125142, '\p{ismendekikakui}', "");
Expect(0, 125142, '\p{^ismendekikakui}', "");
Expect(0, 125142, '\P{ismendekikakui}', "");
Expect(1, 125142, '\P{^ismendekikakui}', "");
Expect(0, 125143, '\p{ismendekikakui}', "");
Expect(1, 125143, '\p{^ismendekikakui}', "");
Expect(1, 125143, '\P{ismendekikakui}', "");
Expect(0, 125143, '\P{^ismendekikakui}', "");
Expect(1, 125142, '\p{_ is_Mende_Kikakui}', "");
Expect(0, 125142, '\p{^_ is_Mende_Kikakui}', "");
Expect(0, 125142, '\P{_ is_Mende_Kikakui}', "");
Expect(1, 125142, '\P{^_ is_Mende_Kikakui}', "");
Expect(0, 125143, '\p{_ is_Mende_Kikakui}', "");
Expect(1, 125143, '\p{^_ is_Mende_Kikakui}', "");
Expect(1, 125143, '\P{_ is_Mende_Kikakui}', "");
Expect(0, 125143, '\P{^_ is_Mende_Kikakui}', "");
Error('\p{/a/-Mend}');
Error('\P{/a/-Mend}');
Expect(1, 125142, '\p{mend}', "");
Expect(0, 125142, '\p{^mend}', "");
Expect(0, 125142, '\P{mend}', "");
Expect(1, 125142, '\P{^mend}', "");
Expect(0, 125143, '\p{mend}', "");
Expect(1, 125143, '\p{^mend}', "");
Expect(1, 125143, '\P{mend}', "");
Expect(0, 125143, '\P{^mend}', "");
Expect(1, 125142, '\p{		MEND}', "");
Expect(0, 125142, '\p{^		MEND}', "");
Expect(0, 125142, '\P{		MEND}', "");
Expect(1, 125142, '\P{^		MEND}', "");
Expect(0, 125143, '\p{		MEND}', "");
Expect(1, 125143, '\p{^		MEND}', "");
Expect(1, 125143, '\P{		MEND}', "");
Expect(0, 125143, '\P{^		MEND}', "");
Error('\p{:=		Is_Mend}');
Error('\P{:=		Is_Mend}');
Expect(1, 125142, '\p{ismend}', "");
Expect(0, 125142, '\p{^ismend}', "");
Expect(0, 125142, '\P{ismend}', "");
Expect(1, 125142, '\P{^ismend}', "");
Expect(0, 125143, '\p{ismend}', "");
Expect(1, 125143, '\p{^ismend}', "");
Expect(1, 125143, '\P{ismend}', "");
Expect(0, 125143, '\P{^ismend}', "");
Expect(1, 125142, '\p{ -IS_MEND}', "");
Expect(0, 125142, '\p{^ -IS_MEND}', "");
Expect(0, 125142, '\P{ -IS_MEND}', "");
Expect(1, 125142, '\P{^ -IS_MEND}', "");
Expect(0, 125143, '\p{ -IS_MEND}', "");
Expect(1, 125143, '\p{^ -IS_MEND}', "");
Expect(1, 125143, '\P{ -IS_MEND}', "");
Expect(0, 125143, '\P{^ -IS_MEND}', "");
Error('\p{:=meroitic_Cursive}');
Error('\P{:=meroitic_Cursive}');
Expect(1, 68095, '\p{meroiticcursive}', "");
Expect(0, 68095, '\p{^meroiticcursive}', "");
Expect(0, 68095, '\P{meroiticcursive}', "");
Expect(1, 68095, '\P{^meroiticcursive}', "");
Expect(0, 68096, '\p{meroiticcursive}', "");
Expect(1, 68096, '\p{^meroiticcursive}', "");
Expect(1, 68096, '\P{meroiticcursive}', "");
Expect(0, 68096, '\P{^meroiticcursive}', "");
Expect(1, 68095, '\p{ Meroitic_Cursive}', "");
Expect(0, 68095, '\p{^ Meroitic_Cursive}', "");
Expect(0, 68095, '\P{ Meroitic_Cursive}', "");
Expect(1, 68095, '\P{^ Meroitic_Cursive}', "");
Expect(0, 68096, '\p{ Meroitic_Cursive}', "");
Expect(1, 68096, '\p{^ Meroitic_Cursive}', "");
Expect(1, 68096, '\P{ Meroitic_Cursive}', "");
Expect(0, 68096, '\P{^ Meroitic_Cursive}', "");
Error('\p{ /a/Is_meroitic_Cursive}');
Error('\P{ /a/Is_meroitic_Cursive}');
Expect(1, 68095, '\p{ismeroiticcursive}', "");
Expect(0, 68095, '\p{^ismeroiticcursive}', "");
Expect(0, 68095, '\P{ismeroiticcursive}', "");
Expect(1, 68095, '\P{^ismeroiticcursive}', "");
Expect(0, 68096, '\p{ismeroiticcursive}', "");
Expect(1, 68096, '\p{^ismeroiticcursive}', "");
Expect(1, 68096, '\P{ismeroiticcursive}', "");
Expect(0, 68096, '\P{^ismeroiticcursive}', "");
Expect(1, 68095, '\p{ -Is_MEROITIC_Cursive}', "");
Expect(0, 68095, '\p{^ -Is_MEROITIC_Cursive}', "");
Expect(0, 68095, '\P{ -Is_MEROITIC_Cursive}', "");
Expect(1, 68095, '\P{^ -Is_MEROITIC_Cursive}', "");
Expect(0, 68096, '\p{ -Is_MEROITIC_Cursive}', "");
Expect(1, 68096, '\p{^ -Is_MEROITIC_Cursive}', "");
Expect(1, 68096, '\P{ -Is_MEROITIC_Cursive}', "");
Expect(0, 68096, '\P{^ -Is_MEROITIC_Cursive}', "");
Error('\p{- Merc:=}');
Error('\P{- Merc:=}');
Expect(1, 68095, '\p{merc}', "");
Expect(0, 68095, '\p{^merc}', "");
Expect(0, 68095, '\P{merc}', "");
Expect(1, 68095, '\P{^merc}', "");
Expect(0, 68096, '\p{merc}', "");
Expect(1, 68096, '\p{^merc}', "");
Expect(1, 68096, '\P{merc}', "");
Expect(0, 68096, '\P{^merc}', "");
Expect(1, 68095, '\p{__Merc}', "");
Expect(0, 68095, '\p{^__Merc}', "");
Expect(0, 68095, '\P{__Merc}', "");
Expect(1, 68095, '\P{^__Merc}', "");
Expect(0, 68096, '\p{__Merc}', "");
Expect(1, 68096, '\p{^__Merc}', "");
Expect(1, 68096, '\P{__Merc}', "");
Expect(0, 68096, '\P{^__Merc}', "");
Error('\p{/a/-_IS_merc}');
Error('\P{/a/-_IS_merc}');
Expect(1, 68095, '\p{ismerc}', "");
Expect(0, 68095, '\p{^ismerc}', "");
Expect(0, 68095, '\P{ismerc}', "");
Expect(1, 68095, '\P{^ismerc}', "");
Expect(0, 68096, '\p{ismerc}', "");
Expect(1, 68096, '\p{^ismerc}', "");
Expect(1, 68096, '\P{ismerc}', "");
Expect(0, 68096, '\P{^ismerc}', "");
Expect(1, 68095, '\p{_is_MERC}', "");
Expect(0, 68095, '\p{^_is_MERC}', "");
Expect(0, 68095, '\P{_is_MERC}', "");
Expect(1, 68095, '\P{^_is_MERC}', "");
Expect(0, 68096, '\p{_is_MERC}', "");
Expect(1, 68096, '\p{^_is_MERC}', "");
Expect(1, 68096, '\P{_is_MERC}', "");
Expect(0, 68096, '\P{^_is_MERC}', "");
Error('\p{-/a/meroitic_HIEROGLYPHS}');
Error('\P{-/a/meroitic_HIEROGLYPHS}');
Expect(1, 67999, '\p{meroitichieroglyphs}', "");
Expect(0, 67999, '\p{^meroitichieroglyphs}', "");
Expect(0, 67999, '\P{meroitichieroglyphs}', "");
Expect(1, 67999, '\P{^meroitichieroglyphs}', "");
Expect(0, 68000, '\p{meroitichieroglyphs}', "");
Expect(1, 68000, '\p{^meroitichieroglyphs}', "");
Expect(1, 68000, '\P{meroitichieroglyphs}', "");
Expect(0, 68000, '\P{^meroitichieroglyphs}', "");
Expect(1, 67999, '\p{Meroitic_Hieroglyphs}', "");
Expect(0, 67999, '\p{^Meroitic_Hieroglyphs}', "");
Expect(0, 67999, '\P{Meroitic_Hieroglyphs}', "");
Expect(1, 67999, '\P{^Meroitic_Hieroglyphs}', "");
Expect(0, 68000, '\p{Meroitic_Hieroglyphs}', "");
Expect(1, 68000, '\p{^Meroitic_Hieroglyphs}', "");
Expect(1, 68000, '\P{Meroitic_Hieroglyphs}', "");
Expect(0, 68000, '\P{^Meroitic_Hieroglyphs}', "");
Error('\p{/a/Is_Meroitic_Hieroglyphs}');
Error('\P{/a/Is_Meroitic_Hieroglyphs}');
Expect(1, 67999, '\p{ismeroitichieroglyphs}', "");
Expect(0, 67999, '\p{^ismeroitichieroglyphs}', "");
Expect(0, 67999, '\P{ismeroitichieroglyphs}', "");
Expect(1, 67999, '\P{^ismeroitichieroglyphs}', "");
Expect(0, 68000, '\p{ismeroitichieroglyphs}', "");
Expect(1, 68000, '\p{^ismeroitichieroglyphs}', "");
Expect(1, 68000, '\P{ismeroitichieroglyphs}', "");
Expect(0, 68000, '\P{^ismeroitichieroglyphs}', "");
Expect(1, 67999, '\p{- Is_Meroitic_Hieroglyphs}', "");
Expect(0, 67999, '\p{^- Is_Meroitic_Hieroglyphs}', "");
Expect(0, 67999, '\P{- Is_Meroitic_Hieroglyphs}', "");
Expect(1, 67999, '\P{^- Is_Meroitic_Hieroglyphs}', "");
Expect(0, 68000, '\p{- Is_Meroitic_Hieroglyphs}', "");
Expect(1, 68000, '\p{^- Is_Meroitic_Hieroglyphs}', "");
Expect(1, 68000, '\P{- Is_Meroitic_Hieroglyphs}', "");
Expect(0, 68000, '\P{^- Is_Meroitic_Hieroglyphs}', "");
Error('\p{:=	 Mero}');
Error('\P{:=	 Mero}');
Expect(1, 67999, '\p{mero}', "");
Expect(0, 67999, '\p{^mero}', "");
Expect(0, 67999, '\P{mero}', "");
Expect(1, 67999, '\P{^mero}', "");
Expect(0, 68000, '\p{mero}', "");
Expect(1, 68000, '\p{^mero}', "");
Expect(1, 68000, '\P{mero}', "");
Expect(0, 68000, '\P{^mero}', "");
Expect(1, 67999, '\p{		Mero}', "");
Expect(0, 67999, '\p{^		Mero}', "");
Expect(0, 67999, '\P{		Mero}', "");
Expect(1, 67999, '\P{^		Mero}', "");
Expect(0, 68000, '\p{		Mero}', "");
Expect(1, 68000, '\p{^		Mero}', "");
Expect(1, 68000, '\P{		Mero}', "");
Expect(0, 68000, '\P{^		Mero}', "");
Error('\p{-:=Is_Mero}');
Error('\P{-:=Is_Mero}');
Expect(1, 67999, '\p{ismero}', "");
Expect(0, 67999, '\p{^ismero}', "");
Expect(0, 67999, '\P{ismero}', "");
Expect(1, 67999, '\P{^ismero}', "");
Expect(0, 68000, '\p{ismero}', "");
Expect(1, 68000, '\p{^ismero}', "");
Expect(1, 68000, '\P{ismero}', "");
Expect(0, 68000, '\P{^ismero}', "");
Expect(1, 67999, '\p{	-is_mero}', "");
Expect(0, 67999, '\p{^	-is_mero}', "");
Expect(0, 67999, '\P{	-is_mero}', "");
Expect(1, 67999, '\P{^	-is_mero}', "");
Expect(0, 68000, '\p{	-is_mero}', "");
Expect(1, 68000, '\p{^	-is_mero}', "");
Expect(1, 68000, '\P{	-is_mero}', "");
Expect(0, 68000, '\P{^	-is_mero}', "");
Error('\p{:= 	miao}');
Error('\P{:= 	miao}');
Expect(1, 94111, '\p{miao}', "");
Expect(0, 94111, '\p{^miao}', "");
Expect(0, 94111, '\P{miao}', "");
Expect(1, 94111, '\P{^miao}', "");
Expect(0, 94112, '\p{miao}', "");
Expect(1, 94112, '\p{^miao}', "");
Expect(1, 94112, '\P{miao}', "");
Expect(0, 94112, '\P{^miao}', "");
Expect(1, 94111, '\p{	 Miao}', "");
Expect(0, 94111, '\p{^	 Miao}', "");
Expect(0, 94111, '\P{	 Miao}', "");
Expect(1, 94111, '\P{^	 Miao}', "");
Expect(0, 94112, '\p{	 Miao}', "");
Expect(1, 94112, '\p{^	 Miao}', "");
Expect(1, 94112, '\P{	 Miao}', "");
Expect(0, 94112, '\P{^	 Miao}', "");
Error('\p{ :=is_Miao}');
Error('\P{ :=is_Miao}');
Expect(1, 94111, '\p{ismiao}', "");
Expect(0, 94111, '\p{^ismiao}', "");
Expect(0, 94111, '\P{ismiao}', "");
Expect(1, 94111, '\P{^ismiao}', "");
Expect(0, 94112, '\p{ismiao}', "");
Expect(1, 94112, '\p{^ismiao}', "");
Expect(1, 94112, '\P{ismiao}', "");
Expect(0, 94112, '\P{^ismiao}', "");
Expect(1, 94111, '\p{_	Is_Miao}', "");
Expect(0, 94111, '\p{^_	Is_Miao}', "");
Expect(0, 94111, '\P{_	Is_Miao}', "");
Expect(1, 94111, '\P{^_	Is_Miao}', "");
Expect(0, 94112, '\p{_	Is_Miao}', "");
Expect(1, 94112, '\p{^_	Is_Miao}', "");
Expect(1, 94112, '\P{_	Is_Miao}', "");
Expect(0, 94112, '\P{^_	Is_Miao}', "");
Error('\p{ 	Plrd:=}');
Error('\P{ 	Plrd:=}');
Expect(1, 94111, '\p{plrd}', "");
Expect(0, 94111, '\p{^plrd}', "");
Expect(0, 94111, '\P{plrd}', "");
Expect(1, 94111, '\P{^plrd}', "");
Expect(0, 94112, '\p{plrd}', "");
Expect(1, 94112, '\p{^plrd}', "");
Expect(1, 94112, '\P{plrd}', "");
Expect(0, 94112, '\P{^plrd}', "");
Expect(1, 94111, '\p{Plrd}', "");
Expect(0, 94111, '\p{^Plrd}', "");
Expect(0, 94111, '\P{Plrd}', "");
Expect(1, 94111, '\P{^Plrd}', "");
Expect(0, 94112, '\p{Plrd}', "");
Expect(1, 94112, '\p{^Plrd}', "");
Expect(1, 94112, '\P{Plrd}', "");
Expect(0, 94112, '\P{^Plrd}', "");
Error('\p{ _Is_Plrd:=}');
Error('\P{ _Is_Plrd:=}');
Expect(1, 94111, '\p{isplrd}', "");
Expect(0, 94111, '\p{^isplrd}', "");
Expect(0, 94111, '\P{isplrd}', "");
Expect(1, 94111, '\P{^isplrd}', "");
Expect(0, 94112, '\p{isplrd}', "");
Expect(1, 94112, '\p{^isplrd}', "");
Expect(1, 94112, '\P{isplrd}', "");
Expect(0, 94112, '\P{^isplrd}', "");
Expect(1, 94111, '\p{--is_PLRD}', "");
Expect(0, 94111, '\p{^--is_PLRD}', "");
Expect(0, 94111, '\P{--is_PLRD}', "");
Expect(1, 94111, '\P{^--is_PLRD}', "");
Expect(0, 94112, '\p{--is_PLRD}', "");
Expect(1, 94112, '\p{^--is_PLRD}', "");
Expect(1, 94112, '\P{--is_PLRD}', "");
Expect(0, 94112, '\P{^--is_PLRD}', "");
Error('\p{/a/  miscellaneous_Mathematical_Symbols_A}');
Error('\P{/a/  miscellaneous_Mathematical_Symbols_A}');
Expect(1, 10223, '\p{miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\p{^miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\P{miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\P{^miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10224, '\p{miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10224, '\p{^miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10224, '\P{miscellaneousmathematicalsymbolsa}', "");
Expect(0, 10224, '\P{^miscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\p{_miscellaneous_Mathematical_SYMBOLS_a}', "");
Expect(0, 10223, '\p{^_miscellaneous_Mathematical_SYMBOLS_a}', "");
Expect(0, 10223, '\P{_miscellaneous_Mathematical_SYMBOLS_a}', "");
Expect(1, 10223, '\P{^_miscellaneous_Mathematical_SYMBOLS_a}', "");
Expect(0, 10224, '\p{_miscellaneous_Mathematical_SYMBOLS_a}', "");
Expect(1, 10224, '\p{^_miscellaneous_Mathematical_SYMBOLS_a}', "");
Expect(1, 10224, '\P{_miscellaneous_Mathematical_SYMBOLS_a}', "");
Expect(0, 10224, '\P{^_miscellaneous_Mathematical_SYMBOLS_a}', "");
Error('\p{-is_miscellaneous_Mathematical_SYMBOLS_A:=}');
Error('\P{-is_miscellaneous_Mathematical_SYMBOLS_A:=}');
Expect(1, 10223, '\p{ismiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\p{^ismiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\P{ismiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\P{^ismiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10224, '\p{ismiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10224, '\p{^ismiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10224, '\P{ismiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10224, '\P{^ismiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\p{	IS_Miscellaneous_mathematical_Symbols_A}', "");
Expect(0, 10223, '\p{^	IS_Miscellaneous_mathematical_Symbols_A}', "");
Expect(0, 10223, '\P{	IS_Miscellaneous_mathematical_Symbols_A}', "");
Expect(1, 10223, '\P{^	IS_Miscellaneous_mathematical_Symbols_A}', "");
Expect(0, 10224, '\p{	IS_Miscellaneous_mathematical_Symbols_A}', "");
Expect(1, 10224, '\p{^	IS_Miscellaneous_mathematical_Symbols_A}', "");
Expect(1, 10224, '\P{	IS_Miscellaneous_mathematical_Symbols_A}', "");
Expect(0, 10224, '\P{^	IS_Miscellaneous_mathematical_Symbols_A}', "");
Error('\p{/a/In_Miscellaneous_Mathematical_symbols_A}');
Error('\P{/a/In_Miscellaneous_Mathematical_symbols_A}');
Expect(1, 10223, '\p{inmiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\p{^inmiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10223, '\P{inmiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\P{^inmiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10224, '\p{inmiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10224, '\p{^inmiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10224, '\P{inmiscellaneousmathematicalsymbolsa}', "");
Expect(0, 10224, '\P{^inmiscellaneousmathematicalsymbolsa}', "");
Expect(1, 10223, '\p{ _in_Miscellaneous_Mathematical_symbols_A}', "");
Expect(0, 10223, '\p{^ _in_Miscellaneous_Mathematical_symbols_A}', "");
Expect(0, 10223, '\P{ _in_Miscellaneous_Mathematical_symbols_A}', "");
Expect(1, 10223, '\P{^ _in_Miscellaneous_Mathematical_symbols_A}', "");
Expect(0, 10224, '\p{ _in_Miscellaneous_Mathematical_symbols_A}', "");
Expect(1, 10224, '\p{^ _in_Miscellaneous_Mathematical_symbols_A}', "");
Expect(1, 10224, '\P{ _in_Miscellaneous_Mathematical_symbols_A}', "");
Expect(0, 10224, '\P{^ _in_Miscellaneous_Mathematical_symbols_A}', "");
Error('\p{  Misc_MATH_symbols_a/a/}');
Error('\P{  Misc_MATH_symbols_a/a/}');
Expect(1, 10223, '\p{miscmathsymbolsa}', "");
Expect(0, 10223, '\p{^miscmathsymbolsa}', "");
Expect(0, 10223, '\P{miscmathsymbolsa}', "");
Expect(1, 10223, '\P{^miscmathsymbolsa}', "");
Expect(0, 10224, '\p{miscmathsymbolsa}', "");
Expect(1, 10224, '\p{^miscmathsymbolsa}', "");
Expect(1, 10224, '\P{miscmathsymbolsa}', "");
Expect(0, 10224, '\P{^miscmathsymbolsa}', "");
Expect(1, 10223, '\p{_ Misc_Math_symbols_A}', "");
Expect(0, 10223, '\p{^_ Misc_Math_symbols_A}', "");
Expect(0, 10223, '\P{_ Misc_Math_symbols_A}', "");
Expect(1, 10223, '\P{^_ Misc_Math_symbols_A}', "");
Expect(0, 10224, '\p{_ Misc_Math_symbols_A}', "");
Expect(1, 10224, '\p{^_ Misc_Math_symbols_A}', "");
Expect(1, 10224, '\P{_ Misc_Math_symbols_A}', "");
Expect(0, 10224, '\P{^_ Misc_Math_symbols_A}', "");
Error('\p{/a/-is_Misc_math_symbols_A}');
Error('\P{/a/-is_Misc_math_symbols_A}');
Expect(1, 10223, '\p{ismiscmathsymbolsa}', "");
Expect(0, 10223, '\p{^ismiscmathsymbolsa}', "");
Expect(0, 10223, '\P{ismiscmathsymbolsa}', "");
Expect(1, 10223, '\P{^ismiscmathsymbolsa}', "");
Expect(0, 10224, '\p{ismiscmathsymbolsa}', "");
Expect(1, 10224, '\p{^ismiscmathsymbolsa}', "");
Expect(1, 10224, '\P{ismiscmathsymbolsa}', "");
Expect(0, 10224, '\P{^ismiscmathsymbolsa}', "");
Expect(1, 10223, '\p{  IS_misc_math_Symbols_A}', "");
Expect(0, 10223, '\p{^  IS_misc_math_Symbols_A}', "");
Expect(0, 10223, '\P{  IS_misc_math_Symbols_A}', "");
Expect(1, 10223, '\P{^  IS_misc_math_Symbols_A}', "");
Expect(0, 10224, '\p{  IS_misc_math_Symbols_A}', "");
Expect(1, 10224, '\p{^  IS_misc_math_Symbols_A}', "");
Expect(1, 10224, '\P{  IS_misc_math_Symbols_A}', "");
Expect(0, 10224, '\P{^  IS_misc_math_Symbols_A}', "");
Error('\p{ 	In_Misc_MATH_symbols_A/a/}');
Error('\P{ 	In_Misc_MATH_symbols_A/a/}');
Expect(1, 10223, '\p{inmiscmathsymbolsa}', "");
Expect(0, 10223, '\p{^inmiscmathsymbolsa}', "");
Expect(0, 10223, '\P{inmiscmathsymbolsa}', "");
Expect(1, 10223, '\P{^inmiscmathsymbolsa}', "");
Expect(0, 10224, '\p{inmiscmathsymbolsa}', "");
Expect(1, 10224, '\p{^inmiscmathsymbolsa}', "");
Expect(1, 10224, '\P{inmiscmathsymbolsa}', "");
Expect(0, 10224, '\P{^inmiscmathsymbolsa}', "");
Expect(1, 10223, '\p{_In_Misc_Math_Symbols_a}', "");
Expect(0, 10223, '\p{^_In_Misc_Math_Symbols_a}', "");
Expect(0, 10223, '\P{_In_Misc_Math_Symbols_a}', "");
Expect(1, 10223, '\P{^_In_Misc_Math_Symbols_a}', "");
Expect(0, 10224, '\p{_In_Misc_Math_Symbols_a}', "");
Expect(1, 10224, '\p{^_In_Misc_Math_Symbols_a}', "");
Expect(1, 10224, '\P{_In_Misc_Math_Symbols_a}', "");
Expect(0, 10224, '\P{^_In_Misc_Math_Symbols_a}', "");
Error('\p{  MISCELLANEOUS_Mathematical_SYMBOLS_B/a/}');
Error('\P{  MISCELLANEOUS_Mathematical_SYMBOLS_B/a/}');
Expect(1, 10751, '\p{miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\p{^miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\P{miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\P{^miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10752, '\p{miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10752, '\p{^miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10752, '\P{miscellaneousmathematicalsymbolsb}', "");
Expect(0, 10752, '\P{^miscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\p{ -Miscellaneous_mathematical_Symbols_B}', "");
Expect(0, 10751, '\p{^ -Miscellaneous_mathematical_Symbols_B}', "");
Expect(0, 10751, '\P{ -Miscellaneous_mathematical_Symbols_B}', "");
Expect(1, 10751, '\P{^ -Miscellaneous_mathematical_Symbols_B}', "");
Expect(0, 10752, '\p{ -Miscellaneous_mathematical_Symbols_B}', "");
Expect(1, 10752, '\p{^ -Miscellaneous_mathematical_Symbols_B}', "");
Expect(1, 10752, '\P{ -Miscellaneous_mathematical_Symbols_B}', "");
Expect(0, 10752, '\P{^ -Miscellaneous_mathematical_Symbols_B}', "");
Error('\p{/a/IS_Miscellaneous_Mathematical_Symbols_b}');
Error('\P{/a/IS_Miscellaneous_Mathematical_Symbols_b}');
Expect(1, 10751, '\p{ismiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\p{^ismiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\P{ismiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\P{^ismiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10752, '\p{ismiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10752, '\p{^ismiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10752, '\P{ismiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10752, '\P{^ismiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\p{_Is_miscellaneous_Mathematical_Symbols_B}', "");
Expect(0, 10751, '\p{^_Is_miscellaneous_Mathematical_Symbols_B}', "");
Expect(0, 10751, '\P{_Is_miscellaneous_Mathematical_Symbols_B}', "");
Expect(1, 10751, '\P{^_Is_miscellaneous_Mathematical_Symbols_B}', "");
Expect(0, 10752, '\p{_Is_miscellaneous_Mathematical_Symbols_B}', "");
Expect(1, 10752, '\p{^_Is_miscellaneous_Mathematical_Symbols_B}', "");
Expect(1, 10752, '\P{_Is_miscellaneous_Mathematical_Symbols_B}', "");
Expect(0, 10752, '\P{^_Is_miscellaneous_Mathematical_Symbols_B}', "");
Error('\p{_/a/In_MISCELLANEOUS_Mathematical_symbols_b}');
Error('\P{_/a/In_MISCELLANEOUS_Mathematical_symbols_b}');
Expect(1, 10751, '\p{inmiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\p{^inmiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10751, '\P{inmiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\P{^inmiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10752, '\p{inmiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10752, '\p{^inmiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10752, '\P{inmiscellaneousmathematicalsymbolsb}', "");
Expect(0, 10752, '\P{^inmiscellaneousmathematicalsymbolsb}', "");
Expect(1, 10751, '\p{ _In_MISCELLANEOUS_Mathematical_symbols_B}', "");
Expect(0, 10751, '\p{^ _In_MISCELLANEOUS_Mathematical_symbols_B}', "");
Expect(0, 10751, '\P{ _In_MISCELLANEOUS_Mathematical_symbols_B}', "");
Expect(1, 10751, '\P{^ _In_MISCELLANEOUS_Mathematical_symbols_B}', "");
Expect(0, 10752, '\p{ _In_MISCELLANEOUS_Mathematical_symbols_B}', "");
Expect(1, 10752, '\p{^ _In_MISCELLANEOUS_Mathematical_symbols_B}', "");
Expect(1, 10752, '\P{ _In_MISCELLANEOUS_Mathematical_symbols_B}', "");
Expect(0, 10752, '\P{^ _In_MISCELLANEOUS_Mathematical_symbols_B}', "");
Error('\p{/a/	Misc_MATH_SYMBOLS_B}');
Error('\P{/a/	Misc_MATH_SYMBOLS_B}');
Expect(1, 10751, '\p{miscmathsymbolsb}', "");
Expect(0, 10751, '\p{^miscmathsymbolsb}', "");
Expect(0, 10751, '\P{miscmathsymbolsb}', "");
Expect(1, 10751, '\P{^miscmathsymbolsb}', "");
Expect(0, 10752, '\p{miscmathsymbolsb}', "");
Expect(1, 10752, '\p{^miscmathsymbolsb}', "");
Expect(1, 10752, '\P{miscmathsymbolsb}', "");
Expect(0, 10752, '\P{^miscmathsymbolsb}', "");
Expect(1, 10751, '\p{ -Misc_math_Symbols_B}', "");
Expect(0, 10751, '\p{^ -Misc_math_Symbols_B}', "");
Expect(0, 10751, '\P{ -Misc_math_Symbols_B}', "");
Expect(1, 10751, '\P{^ -Misc_math_Symbols_B}', "");
Expect(0, 10752, '\p{ -Misc_math_Symbols_B}', "");
Expect(1, 10752, '\p{^ -Misc_math_Symbols_B}', "");
Expect(1, 10752, '\P{ -Misc_math_Symbols_B}', "");
Expect(0, 10752, '\P{^ -Misc_math_Symbols_B}', "");
Error('\p{	/a/Is_Misc_MATH_symbols_B}');
Error('\P{	/a/Is_Misc_MATH_symbols_B}');
Expect(1, 10751, '\p{ismiscmathsymbolsb}', "");
Expect(0, 10751, '\p{^ismiscmathsymbolsb}', "");
Expect(0, 10751, '\P{ismiscmathsymbolsb}', "");
Expect(1, 10751, '\P{^ismiscmathsymbolsb}', "");
Expect(0, 10752, '\p{ismiscmathsymbolsb}', "");
Expect(1, 10752, '\p{^ismiscmathsymbolsb}', "");
Expect(1, 10752, '\P{ismiscmathsymbolsb}', "");
Expect(0, 10752, '\P{^ismiscmathsymbolsb}', "");
Expect(1, 10751, '\p{ Is_misc_math_symbols_B}', "");
Expect(0, 10751, '\p{^ Is_misc_math_symbols_B}', "");
Expect(0, 10751, '\P{ Is_misc_math_symbols_B}', "");
Expect(1, 10751, '\P{^ Is_misc_math_symbols_B}', "");
Expect(0, 10752, '\p{ Is_misc_math_symbols_B}', "");
Expect(1, 10752, '\p{^ Is_misc_math_symbols_B}', "");
Expect(1, 10752, '\P{ Is_misc_math_symbols_B}', "");
Expect(0, 10752, '\P{^ Is_misc_math_symbols_B}', "");
Error('\p{-In_misc_MATH_symbols_B/a/}');
Error('\P{-In_misc_MATH_symbols_B/a/}');
Expect(1, 10751, '\p{inmiscmathsymbolsb}', "");
Expect(0, 10751, '\p{^inmiscmathsymbolsb}', "");
Expect(0, 10751, '\P{inmiscmathsymbolsb}', "");
Expect(1, 10751, '\P{^inmiscmathsymbolsb}', "");
Expect(0, 10752, '\p{inmiscmathsymbolsb}', "");
Expect(1, 10752, '\p{^inmiscmathsymbolsb}', "");
Expect(1, 10752, '\P{inmiscmathsymbolsb}', "");
Expect(0, 10752, '\P{^inmiscmathsymbolsb}', "");
Expect(1, 10751, '\p{	-In_Misc_MATH_Symbols_B}', "");
Expect(0, 10751, '\p{^	-In_Misc_MATH_Symbols_B}', "");
Expect(0, 10751, '\P{	-In_Misc_MATH_Symbols_B}', "");
Expect(1, 10751, '\P{^	-In_Misc_MATH_Symbols_B}', "");
Expect(0, 10752, '\p{	-In_Misc_MATH_Symbols_B}', "");
Expect(1, 10752, '\p{^	-In_Misc_MATH_Symbols_B}', "");
Expect(1, 10752, '\P{	-In_Misc_MATH_Symbols_B}', "");
Expect(0, 10752, '\P{^	-In_Misc_MATH_Symbols_B}', "");
Error('\p{-:=MISCELLANEOUS_SYMBOLS}');
Error('\P{-:=MISCELLANEOUS_SYMBOLS}');
Expect(1, 9983, '\p{miscellaneoussymbols}', "");
Expect(0, 9983, '\p{^miscellaneoussymbols}', "");
Expect(0, 9983, '\P{miscellaneoussymbols}', "");
Expect(1, 9983, '\P{^miscellaneoussymbols}', "");
Expect(0, 9984, '\p{miscellaneoussymbols}', "");
Expect(1, 9984, '\p{^miscellaneoussymbols}', "");
Expect(1, 9984, '\P{miscellaneoussymbols}', "");
Expect(0, 9984, '\P{^miscellaneoussymbols}', "");
Expect(1, 9983, '\p{  MISCELLANEOUS_SYMBOLS}', "");
Expect(0, 9983, '\p{^  MISCELLANEOUS_SYMBOLS}', "");
Expect(0, 9983, '\P{  MISCELLANEOUS_SYMBOLS}', "");
Expect(1, 9983, '\P{^  MISCELLANEOUS_SYMBOLS}', "");
Expect(0, 9984, '\p{  MISCELLANEOUS_SYMBOLS}', "");
Expect(1, 9984, '\p{^  MISCELLANEOUS_SYMBOLS}', "");
Expect(1, 9984, '\P{  MISCELLANEOUS_SYMBOLS}', "");
Expect(0, 9984, '\P{^  MISCELLANEOUS_SYMBOLS}', "");
Error('\p{:= -Is_Miscellaneous_Symbols}');
Error('\P{:= -Is_Miscellaneous_Symbols}');
Expect(1, 9983, '\p{ismiscellaneoussymbols}', "");
Expect(0, 9983, '\p{^ismiscellaneoussymbols}', "");
Expect(0, 9983, '\P{ismiscellaneoussymbols}', "");
Expect(1, 9983, '\P{^ismiscellaneoussymbols}', "");
Expect(0, 9984, '\p{ismiscellaneoussymbols}', "");
Expect(1, 9984, '\p{^ismiscellaneoussymbols}', "");
Expect(1, 9984, '\P{ismiscellaneoussymbols}', "");
Expect(0, 9984, '\P{^ismiscellaneoussymbols}', "");
Expect(1, 9983, '\p{_is_Miscellaneous_SYMBOLS}', "");
Expect(0, 9983, '\p{^_is_Miscellaneous_SYMBOLS}', "");
Expect(0, 9983, '\P{_is_Miscellaneous_SYMBOLS}', "");
Expect(1, 9983, '\P{^_is_Miscellaneous_SYMBOLS}', "");
Expect(0, 9984, '\p{_is_Miscellaneous_SYMBOLS}', "");
Expect(1, 9984, '\p{^_is_Miscellaneous_SYMBOLS}', "");
Expect(1, 9984, '\P{_is_Miscellaneous_SYMBOLS}', "");
Expect(0, 9984, '\P{^_is_Miscellaneous_SYMBOLS}', "");
Error('\p{  in_miscellaneous_SYMBOLS/a/}');
Error('\P{  in_miscellaneous_SYMBOLS/a/}');
Expect(1, 9983, '\p{inmiscellaneoussymbols}', "");
Expect(0, 9983, '\p{^inmiscellaneoussymbols}', "");
Expect(0, 9983, '\P{inmiscellaneoussymbols}', "");
Expect(1, 9983, '\P{^inmiscellaneoussymbols}', "");
Expect(0, 9984, '\p{inmiscellaneoussymbols}', "");
Expect(1, 9984, '\p{^inmiscellaneoussymbols}', "");
Expect(1, 9984, '\P{inmiscellaneoussymbols}', "");
Expect(0, 9984, '\P{^inmiscellaneoussymbols}', "");
Expect(1, 9983, '\p{  in_Miscellaneous_Symbols}', "");
Expect(0, 9983, '\p{^  in_Miscellaneous_Symbols}', "");
Expect(0, 9983, '\P{  in_Miscellaneous_Symbols}', "");
Expect(1, 9983, '\P{^  in_Miscellaneous_Symbols}', "");
Expect(0, 9984, '\p{  in_Miscellaneous_Symbols}', "");
Expect(1, 9984, '\p{^  in_Miscellaneous_Symbols}', "");
Expect(1, 9984, '\P{  in_Miscellaneous_Symbols}', "");
Expect(0, 9984, '\P{^  in_Miscellaneous_Symbols}', "");
Error('\p{-	Misc_SYMBOLS:=}');
Error('\P{-	Misc_SYMBOLS:=}');
Expect(1, 9983, '\p{miscsymbols}', "");
Expect(0, 9983, '\p{^miscsymbols}', "");
Expect(0, 9983, '\P{miscsymbols}', "");
Expect(1, 9983, '\P{^miscsymbols}', "");
Expect(0, 9984, '\p{miscsymbols}', "");
Expect(1, 9984, '\p{^miscsymbols}', "");
Expect(1, 9984, '\P{miscsymbols}', "");
Expect(0, 9984, '\P{^miscsymbols}', "");
Expect(1, 9983, '\p{	Misc_Symbols}', "");
Expect(0, 9983, '\p{^	Misc_Symbols}', "");
Expect(0, 9983, '\P{	Misc_Symbols}', "");
Expect(1, 9983, '\P{^	Misc_Symbols}', "");
Expect(0, 9984, '\p{	Misc_Symbols}', "");
Expect(1, 9984, '\p{^	Misc_Symbols}', "");
Expect(1, 9984, '\P{	Misc_Symbols}', "");
Expect(0, 9984, '\P{^	Misc_Symbols}', "");
Error('\p{-Is_MISC_Symbols/a/}');
Error('\P{-Is_MISC_Symbols/a/}');
Expect(1, 9983, '\p{ismiscsymbols}', "");
Expect(0, 9983, '\p{^ismiscsymbols}', "");
Expect(0, 9983, '\P{ismiscsymbols}', "");
Expect(1, 9983, '\P{^ismiscsymbols}', "");
Expect(0, 9984, '\p{ismiscsymbols}', "");
Expect(1, 9984, '\p{^ismiscsymbols}', "");
Expect(1, 9984, '\P{ismiscsymbols}', "");
Expect(0, 9984, '\P{^ismiscsymbols}', "");
Expect(1, 9983, '\p{is_Misc_symbols}', "");
Expect(0, 9983, '\p{^is_Misc_symbols}', "");
Expect(0, 9983, '\P{is_Misc_symbols}', "");
Expect(1, 9983, '\P{^is_Misc_symbols}', "");
Expect(0, 9984, '\p{is_Misc_symbols}', "");
Expect(1, 9984, '\p{^is_Misc_symbols}', "");
Expect(1, 9984, '\P{is_Misc_symbols}', "");
Expect(0, 9984, '\P{^is_Misc_symbols}', "");
Error('\p{		IN_misc_symbols/a/}');
Error('\P{		IN_misc_symbols/a/}');
Expect(1, 9983, '\p{inmiscsymbols}', "");
Expect(0, 9983, '\p{^inmiscsymbols}', "");
Expect(0, 9983, '\P{inmiscsymbols}', "");
Expect(1, 9983, '\P{^inmiscsymbols}', "");
Expect(0, 9984, '\p{inmiscsymbols}', "");
Expect(1, 9984, '\p{^inmiscsymbols}', "");
Expect(1, 9984, '\P{inmiscsymbols}', "");
Expect(0, 9984, '\P{^inmiscsymbols}', "");
Expect(1, 9983, '\p{-_IN_MISC_symbols}', "");
Expect(0, 9983, '\p{^-_IN_MISC_symbols}', "");
Expect(0, 9983, '\P{-_IN_MISC_symbols}', "");
Expect(1, 9983, '\P{^-_IN_MISC_symbols}', "");
Expect(0, 9984, '\p{-_IN_MISC_symbols}', "");
Expect(1, 9984, '\p{^-_IN_MISC_symbols}', "");
Expect(1, 9984, '\P{-_IN_MISC_symbols}', "");
Expect(0, 9984, '\P{^-_IN_MISC_symbols}', "");
Error('\p{:=-	miscellaneous_Symbols_AND_Arrows}');
Error('\P{:=-	miscellaneous_Symbols_AND_Arrows}');
Expect(1, 11263, '\p{miscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\p{^miscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\P{miscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\P{^miscellaneoussymbolsandarrows}', "");
Expect(0, 11264, '\p{miscellaneoussymbolsandarrows}', "");
Expect(1, 11264, '\p{^miscellaneoussymbolsandarrows}', "");
Expect(1, 11264, '\P{miscellaneoussymbolsandarrows}', "");
Expect(0, 11264, '\P{^miscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\p{_-Miscellaneous_SYMBOLS_And_Arrows}', "");
Expect(0, 11263, '\p{^_-Miscellaneous_SYMBOLS_And_Arrows}', "");
Expect(0, 11263, '\P{_-Miscellaneous_SYMBOLS_And_Arrows}', "");
Expect(1, 11263, '\P{^_-Miscellaneous_SYMBOLS_And_Arrows}', "");
Expect(0, 11264, '\p{_-Miscellaneous_SYMBOLS_And_Arrows}', "");
Expect(1, 11264, '\p{^_-Miscellaneous_SYMBOLS_And_Arrows}', "");
Expect(1, 11264, '\P{_-Miscellaneous_SYMBOLS_And_Arrows}', "");
Expect(0, 11264, '\P{^_-Miscellaneous_SYMBOLS_And_Arrows}', "");
Error('\p{:=_IS_miscellaneous_Symbols_AND_ARROWS}');
Error('\P{:=_IS_miscellaneous_Symbols_AND_ARROWS}');
Expect(1, 11263, '\p{ismiscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\p{^ismiscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\P{ismiscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\P{^ismiscellaneoussymbolsandarrows}', "");
Expect(0, 11264, '\p{ismiscellaneoussymbolsandarrows}', "");
Expect(1, 11264, '\p{^ismiscellaneoussymbolsandarrows}', "");
Expect(1, 11264, '\P{ismiscellaneoussymbolsandarrows}', "");
Expect(0, 11264, '\P{^ismiscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\p{_	IS_miscellaneous_Symbols_and_Arrows}', "");
Expect(0, 11263, '\p{^_	IS_miscellaneous_Symbols_and_Arrows}', "");
Expect(0, 11263, '\P{_	IS_miscellaneous_Symbols_and_Arrows}', "");
Expect(1, 11263, '\P{^_	IS_miscellaneous_Symbols_and_Arrows}', "");
Expect(0, 11264, '\p{_	IS_miscellaneous_Symbols_and_Arrows}', "");
Expect(1, 11264, '\p{^_	IS_miscellaneous_Symbols_and_Arrows}', "");
Expect(1, 11264, '\P{_	IS_miscellaneous_Symbols_and_Arrows}', "");
Expect(0, 11264, '\P{^_	IS_miscellaneous_Symbols_and_Arrows}', "");
Error('\p{ /a/IN_miscellaneous_Symbols_AND_arrows}');
Error('\P{ /a/IN_miscellaneous_Symbols_AND_arrows}');
Expect(1, 11263, '\p{inmiscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\p{^inmiscellaneoussymbolsandarrows}', "");
Expect(0, 11263, '\P{inmiscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\P{^inmiscellaneoussymbolsandarrows}', "");
Expect(0, 11264, '\p{inmiscellaneoussymbolsandarrows}', "");
Expect(1, 11264, '\p{^inmiscellaneoussymbolsandarrows}', "");
Expect(1, 11264, '\P{inmiscellaneoussymbolsandarrows}', "");
Expect(0, 11264, '\P{^inmiscellaneoussymbolsandarrows}', "");
Expect(1, 11263, '\p{	-IN_MISCELLANEOUS_symbols_AND_arrows}', "");
Expect(0, 11263, '\p{^	-IN_MISCELLANEOUS_symbols_AND_arrows}', "");
Expect(0, 11263, '\P{	-IN_MISCELLANEOUS_symbols_AND_arrows}', "");
Expect(1, 11263, '\P{^	-IN_MISCELLANEOUS_symbols_AND_arrows}', "");
Expect(0, 11264, '\p{	-IN_MISCELLANEOUS_symbols_AND_arrows}', "");
Expect(1, 11264, '\p{^	-IN_MISCELLANEOUS_symbols_AND_arrows}', "");
Expect(1, 11264, '\P{	-IN_MISCELLANEOUS_symbols_AND_arrows}', "");
Expect(0, 11264, '\P{^	-IN_MISCELLANEOUS_symbols_AND_arrows}', "");
Error('\p{:=	 Misc_Arrows}');
Error('\P{:=	 Misc_Arrows}');
Expect(1, 11263, '\p{miscarrows}', "");
Expect(0, 11263, '\p{^miscarrows}', "");
Expect(0, 11263, '\P{miscarrows}', "");
Expect(1, 11263, '\P{^miscarrows}', "");
Expect(0, 11264, '\p{miscarrows}', "");
Expect(1, 11264, '\p{^miscarrows}', "");
Expect(1, 11264, '\P{miscarrows}', "");
Expect(0, 11264, '\P{^miscarrows}', "");
Expect(1, 11263, '\p{-misc_ARROWS}', "");
Expect(0, 11263, '\p{^-misc_ARROWS}', "");
Expect(0, 11263, '\P{-misc_ARROWS}', "");
Expect(1, 11263, '\P{^-misc_ARROWS}', "");
Expect(0, 11264, '\p{-misc_ARROWS}', "");
Expect(1, 11264, '\p{^-misc_ARROWS}', "");
Expect(1, 11264, '\P{-misc_ARROWS}', "");
Expect(0, 11264, '\P{^-misc_ARROWS}', "");
Error('\p{-:=Is_Misc_ARROWS}');
Error('\P{-:=Is_Misc_ARROWS}');
Expect(1, 11263, '\p{ismiscarrows}', "");
Expect(0, 11263, '\p{^ismiscarrows}', "");
Expect(0, 11263, '\P{ismiscarrows}', "");
Expect(1, 11263, '\P{^ismiscarrows}', "");
Expect(0, 11264, '\p{ismiscarrows}', "");
Expect(1, 11264, '\p{^ismiscarrows}', "");
Expect(1, 11264, '\P{ismiscarrows}', "");
Expect(0, 11264, '\P{^ismiscarrows}', "");
Expect(1, 11263, '\p{_-is_Misc_Arrows}', "");
Expect(0, 11263, '\p{^_-is_Misc_Arrows}', "");
Expect(0, 11263, '\P{_-is_Misc_Arrows}', "");
Expect(1, 11263, '\P{^_-is_Misc_Arrows}', "");
Expect(0, 11264, '\p{_-is_Misc_Arrows}', "");
Expect(1, 11264, '\p{^_-is_Misc_Arrows}', "");
Expect(1, 11264, '\P{_-is_Misc_Arrows}', "");
Expect(0, 11264, '\P{^_-is_Misc_Arrows}', "");
Error('\p{/a/IN_Misc_Arrows}');
Error('\P{/a/IN_Misc_Arrows}');
Expect(1, 11263, '\p{inmiscarrows}', "");
Expect(0, 11263, '\p{^inmiscarrows}', "");
Expect(0, 11263, '\P{inmiscarrows}', "");
Expect(1, 11263, '\P{^inmiscarrows}', "");
Expect(0, 11264, '\p{inmiscarrows}', "");
Expect(1, 11264, '\p{^inmiscarrows}', "");
Expect(1, 11264, '\P{inmiscarrows}', "");
Expect(0, 11264, '\P{^inmiscarrows}', "");
Expect(1, 11263, '\p{-in_misc_Arrows}', "");
Expect(0, 11263, '\p{^-in_misc_Arrows}', "");
Expect(0, 11263, '\P{-in_misc_Arrows}', "");
Expect(1, 11263, '\P{^-in_misc_Arrows}', "");
Expect(0, 11264, '\p{-in_misc_Arrows}', "");
Expect(1, 11264, '\p{^-in_misc_Arrows}', "");
Expect(1, 11264, '\P{-in_misc_Arrows}', "");
Expect(0, 11264, '\P{^-in_misc_Arrows}', "");
Error('\p{ Miscellaneous_symbols_and_Pictographs:=}');
Error('\P{ Miscellaneous_symbols_and_Pictographs:=}');
Expect(1, 128511, '\p{miscellaneoussymbolsandpictographs}', "");
Expect(0, 128511, '\p{^miscellaneoussymbolsandpictographs}', "");
Expect(0, 128511, '\P{miscellaneoussymbolsandpictographs}', "");
Expect(1, 128511, '\P{^miscellaneoussymbolsandpictographs}', "");
Expect(0, 128512, '\p{miscellaneoussymbolsandpictographs}', "");
Expect(1, 128512, '\p{^miscellaneoussymbolsandpictographs}', "");
Expect(1, 128512, '\P{miscellaneoussymbolsandpictographs}', "");
Expect(0, 128512, '\P{^miscellaneoussymbolsandpictographs}', "");
Expect(1, 128511, '\p{	Miscellaneous_symbols_and_Pictographs}', "");
Expect(0, 128511, '\p{^	Miscellaneous_symbols_and_Pictographs}', "");
Expect(0, 128511, '\P{	Miscellaneous_symbols_and_Pictographs}', "");
Expect(1, 128511, '\P{^	Miscellaneous_symbols_and_Pictographs}', "");
Expect(0, 128512, '\p{	Miscellaneous_symbols_and_Pictographs}', "");
Expect(1, 128512, '\p{^	Miscellaneous_symbols_and_Pictographs}', "");
Expect(1, 128512, '\P{	Miscellaneous_symbols_and_Pictographs}', "");
Expect(0, 128512, '\P{^	Miscellaneous_symbols_and_Pictographs}', "");
Error('\p{/a/_Is_miscellaneous_SYMBOLS_And_Pictographs}');
Error('\P{/a/_Is_miscellaneous_SYMBOLS_And_Pictographs}');
Expect(1, 128511, '\p{ismiscellaneoussymbolsandpictographs}', "");
Expect(0, 128511, '\p{^ismiscellaneoussymbolsandpictographs}', "");
Expect(0, 128511, '\P{ismiscellaneoussymbolsandpictographs}', "");
Expect(1, 128511, '\P{^ismiscellaneoussymbolsandpictographs}', "");
Expect(0, 128512, '\p{ismiscellaneoussymbolsandpictographs}', "");
Expect(1, 128512, '\p{^ismiscellaneoussymbolsandpictographs}', "");
Expect(1, 128512, '\P{ismiscellaneoussymbolsandpictographs}', "");
Expect(0, 128512, '\P{^ismiscellaneoussymbolsandpictographs}', "");
Expect(1, 128511, '\p{-	Is_miscellaneous_symbols_And_Pictographs}', "");
Expect(0, 128511, '\p{^-	Is_miscellaneous_symbols_And_Pictographs}', "");
Expect(0, 128511, '\P{-	Is_miscellaneous_symbols_And_Pictographs}', "");
Expect(1, 128511, '\P{^-	Is_miscellaneous_symbols_And_Pictographs}', "");
Expect(0, 128512, '\p{-	Is_miscellaneous_symbols_And_Pictographs}', "");
Expect(1, 128512, '\p{^-	Is_miscellaneous_symbols_And_Pictographs}', "");
Expect(1, 128512, '\P{-	Is_miscellaneous_symbols_And_Pictographs}', "");
Expect(0, 128512, '\P{^-	Is_miscellaneous_symbols_And_Pictographs}', "");
Error('\p{/a/ IN_miscellaneous_symbols_And_PICTOGRAPHS}');
Error('\P{/a/ IN_miscellaneous_symbols_And_PICTOGRAPHS}');
Expect(1, 128511, '\p{inmiscellaneoussymbolsandpictographs}', "");
Expect(0, 128511, '\p{^inmiscellaneoussymbolsandpictographs}', "");
Expect(0, 128511, '\P{inmiscellaneoussymbolsandpictographs}', "");
Expect(1, 128511, '\P{^inmiscellaneoussymbolsandpictographs}', "");
Expect(0, 128512, '\p{inmiscellaneoussymbolsandpictographs}', "");
Expect(1, 128512, '\p{^inmiscellaneoussymbolsandpictographs}', "");
Expect(1, 128512, '\P{inmiscellaneoussymbolsandpictographs}', "");
Expect(0, 128512, '\P{^inmiscellaneoussymbolsandpictographs}', "");
Expect(1, 128511, '\p{In_miscellaneous_Symbols_AND_PICTOGRAPHS}', "");
Expect(0, 128511, '\p{^In_miscellaneous_Symbols_AND_PICTOGRAPHS}', "");
Expect(0, 128511, '\P{In_miscellaneous_Symbols_AND_PICTOGRAPHS}', "");
Expect(1, 128511, '\P{^In_miscellaneous_Symbols_AND_PICTOGRAPHS}', "");
Expect(0, 128512, '\p{In_miscellaneous_Symbols_AND_PICTOGRAPHS}', "");
Expect(1, 128512, '\p{^In_miscellaneous_Symbols_AND_PICTOGRAPHS}', "");
Expect(1, 128512, '\P{In_miscellaneous_Symbols_AND_PICTOGRAPHS}', "");
Expect(0, 128512, '\P{^In_miscellaneous_Symbols_AND_PICTOGRAPHS}', "");
Error('\p{_:=misc_Pictographs}');
Error('\P{_:=misc_Pictographs}');
Expect(1, 128511, '\p{miscpictographs}', "");
Expect(0, 128511, '\p{^miscpictographs}', "");
Expect(0, 128511, '\P{miscpictographs}', "");
Expect(1, 128511, '\P{^miscpictographs}', "");
Expect(0, 128512, '\p{miscpictographs}', "");
Expect(1, 128512, '\p{^miscpictographs}', "");
Expect(1, 128512, '\P{miscpictographs}', "");
Expect(0, 128512, '\P{^miscpictographs}', "");
Expect(1, 128511, '\p{_MISC_PICTOGRAPHS}', "");
Expect(0, 128511, '\p{^_MISC_PICTOGRAPHS}', "");
Expect(0, 128511, '\P{_MISC_PICTOGRAPHS}', "");
Expect(1, 128511, '\P{^_MISC_PICTOGRAPHS}', "");
Expect(0, 128512, '\p{_MISC_PICTOGRAPHS}', "");
Expect(1, 128512, '\p{^_MISC_PICTOGRAPHS}', "");
Expect(1, 128512, '\P{_MISC_PICTOGRAPHS}', "");
Expect(0, 128512, '\P{^_MISC_PICTOGRAPHS}', "");
Error('\p{_/a/Is_misc_pictographs}');
Error('\P{_/a/Is_misc_pictographs}');
Expect(1, 128511, '\p{ismiscpictographs}', "");
Expect(0, 128511, '\p{^ismiscpictographs}', "");
Expect(0, 128511, '\P{ismiscpictographs}', "");
Expect(1, 128511, '\P{^ismiscpictographs}', "");
Expect(0, 128512, '\p{ismiscpictographs}', "");
Expect(1, 128512, '\p{^ismiscpictographs}', "");
Expect(1, 128512, '\P{ismiscpictographs}', "");
Expect(0, 128512, '\P{^ismiscpictographs}', "");
Expect(1, 128511, '\p{ 	IS_MISC_Pictographs}', "");
Expect(0, 128511, '\p{^ 	IS_MISC_Pictographs}', "");
Expect(0, 128511, '\P{ 	IS_MISC_Pictographs}', "");
Expect(1, 128511, '\P{^ 	IS_MISC_Pictographs}', "");
Expect(0, 128512, '\p{ 	IS_MISC_Pictographs}', "");
Expect(1, 128512, '\p{^ 	IS_MISC_Pictographs}', "");
Expect(1, 128512, '\P{ 	IS_MISC_Pictographs}', "");
Expect(0, 128512, '\P{^ 	IS_MISC_Pictographs}', "");
Error('\p{-:=in_Misc_PICTOGRAPHS}');
Error('\P{-:=in_Misc_PICTOGRAPHS}');
Expect(1, 128511, '\p{inmiscpictographs}', "");
Expect(0, 128511, '\p{^inmiscpictographs}', "");
Expect(0, 128511, '\P{inmiscpictographs}', "");
Expect(1, 128511, '\P{^inmiscpictographs}', "");
Expect(0, 128512, '\p{inmiscpictographs}', "");
Expect(1, 128512, '\p{^inmiscpictographs}', "");
Expect(1, 128512, '\P{inmiscpictographs}', "");
Expect(0, 128512, '\P{^inmiscpictographs}', "");
Expect(1, 128511, '\p{-	In_Misc_PICTOGRAPHS}', "");
Expect(0, 128511, '\p{^-	In_Misc_PICTOGRAPHS}', "");
Expect(0, 128511, '\P{-	In_Misc_PICTOGRAPHS}', "");
Expect(1, 128511, '\P{^-	In_Misc_PICTOGRAPHS}', "");
Expect(0, 128512, '\p{-	In_Misc_PICTOGRAPHS}', "");
Expect(1, 128512, '\p{^-	In_Misc_PICTOGRAPHS}', "");
Expect(1, 128512, '\P{-	In_Misc_PICTOGRAPHS}', "");
Expect(0, 128512, '\P{^-	In_Misc_PICTOGRAPHS}', "");
Error('\p{_-Miscellaneous_Technical:=}');
Error('\P{_-Miscellaneous_Technical:=}');
Expect(1, 9215, '\p{miscellaneoustechnical}', "");
Expect(0, 9215, '\p{^miscellaneoustechnical}', "");
Expect(0, 9215, '\P{miscellaneoustechnical}', "");
Expect(1, 9215, '\P{^miscellaneoustechnical}', "");
Expect(0, 9216, '\p{miscellaneoustechnical}', "");
Expect(1, 9216, '\p{^miscellaneoustechnical}', "");
Expect(1, 9216, '\P{miscellaneoustechnical}', "");
Expect(0, 9216, '\P{^miscellaneoustechnical}', "");
Expect(1, 9215, '\p{ 	MISCELLANEOUS_TECHNICAL}', "");
Expect(0, 9215, '\p{^ 	MISCELLANEOUS_TECHNICAL}', "");
Expect(0, 9215, '\P{ 	MISCELLANEOUS_TECHNICAL}', "");
Expect(1, 9215, '\P{^ 	MISCELLANEOUS_TECHNICAL}', "");
Expect(0, 9216, '\p{ 	MISCELLANEOUS_TECHNICAL}', "");
Expect(1, 9216, '\p{^ 	MISCELLANEOUS_TECHNICAL}', "");
Expect(1, 9216, '\P{ 	MISCELLANEOUS_TECHNICAL}', "");
Expect(0, 9216, '\P{^ 	MISCELLANEOUS_TECHNICAL}', "");
Error('\p{-	is_Miscellaneous_Technical:=}');
Error('\P{-	is_Miscellaneous_Technical:=}');
Expect(1, 9215, '\p{ismiscellaneoustechnical}', "");
Expect(0, 9215, '\p{^ismiscellaneoustechnical}', "");
Expect(0, 9215, '\P{ismiscellaneoustechnical}', "");
Expect(1, 9215, '\P{^ismiscellaneoustechnical}', "");
Expect(0, 9216, '\p{ismiscellaneoustechnical}', "");
Expect(1, 9216, '\p{^ismiscellaneoustechnical}', "");
Expect(1, 9216, '\P{ismiscellaneoustechnical}', "");
Expect(0, 9216, '\P{^ismiscellaneoustechnical}', "");
Expect(1, 9215, '\p{- IS_miscellaneous_Technical}', "");
Expect(0, 9215, '\p{^- IS_miscellaneous_Technical}', "");
Expect(0, 9215, '\P{- IS_miscellaneous_Technical}', "");
Expect(1, 9215, '\P{^- IS_miscellaneous_Technical}', "");
Expect(0, 9216, '\p{- IS_miscellaneous_Technical}', "");
Expect(1, 9216, '\p{^- IS_miscellaneous_Technical}', "");
Expect(1, 9216, '\P{- IS_miscellaneous_Technical}', "");
Expect(0, 9216, '\P{^- IS_miscellaneous_Technical}', "");
Error('\p{:=IN_MISCELLANEOUS_Technical}');
Error('\P{:=IN_MISCELLANEOUS_Technical}');
Expect(1, 9215, '\p{inmiscellaneoustechnical}', "");
Expect(0, 9215, '\p{^inmiscellaneoustechnical}', "");
Expect(0, 9215, '\P{inmiscellaneoustechnical}', "");
Expect(1, 9215, '\P{^inmiscellaneoustechnical}', "");
Expect(0, 9216, '\p{inmiscellaneoustechnical}', "");
Expect(1, 9216, '\p{^inmiscellaneoustechnical}', "");
Expect(1, 9216, '\P{inmiscellaneoustechnical}', "");
Expect(0, 9216, '\P{^inmiscellaneoustechnical}', "");
Expect(1, 9215, '\p{  IN_MISCELLANEOUS_Technical}', "");
Expect(0, 9215, '\p{^  IN_MISCELLANEOUS_Technical}', "");
Expect(0, 9215, '\P{  IN_MISCELLANEOUS_Technical}', "");
Expect(1, 9215, '\P{^  IN_MISCELLANEOUS_Technical}', "");
Expect(0, 9216, '\p{  IN_MISCELLANEOUS_Technical}', "");
Expect(1, 9216, '\p{^  IN_MISCELLANEOUS_Technical}', "");
Expect(1, 9216, '\P{  IN_MISCELLANEOUS_Technical}', "");
Expect(0, 9216, '\P{^  IN_MISCELLANEOUS_Technical}', "");
Error('\p{ /a/misc_TECHNICAL}');
Error('\P{ /a/misc_TECHNICAL}');
Expect(1, 9215, '\p{misctechnical}', "");
Expect(0, 9215, '\p{^misctechnical}', "");
Expect(0, 9215, '\P{misctechnical}', "");
Expect(1, 9215, '\P{^misctechnical}', "");
Expect(0, 9216, '\p{misctechnical}', "");
Expect(1, 9216, '\p{^misctechnical}', "");
Expect(1, 9216, '\P{misctechnical}', "");
Expect(0, 9216, '\P{^misctechnical}', "");
Expect(1, 9215, '\p{ misc_Technical}', "");
Expect(0, 9215, '\p{^ misc_Technical}', "");
Expect(0, 9215, '\P{ misc_Technical}', "");
Expect(1, 9215, '\P{^ misc_Technical}', "");
Expect(0, 9216, '\p{ misc_Technical}', "");
Expect(1, 9216, '\p{^ misc_Technical}', "");
Expect(1, 9216, '\P{ misc_Technical}', "");
Expect(0, 9216, '\P{^ misc_Technical}', "");
Error('\p{Is_misc_technical:=}');
Error('\P{Is_misc_technical:=}');
Expect(1, 9215, '\p{ismisctechnical}', "");
Expect(0, 9215, '\p{^ismisctechnical}', "");
Expect(0, 9215, '\P{ismisctechnical}', "");
Expect(1, 9215, '\P{^ismisctechnical}', "");
Expect(0, 9216, '\p{ismisctechnical}', "");
Expect(1, 9216, '\p{^ismisctechnical}', "");
Expect(1, 9216, '\P{ismisctechnical}', "");
Expect(0, 9216, '\P{^ismisctechnical}', "");
Expect(1, 9215, '\p{Is_MISC_Technical}', "");
Expect(0, 9215, '\p{^Is_MISC_Technical}', "");
Expect(0, 9215, '\P{Is_MISC_Technical}', "");
Expect(1, 9215, '\P{^Is_MISC_Technical}', "");
Expect(0, 9216, '\p{Is_MISC_Technical}', "");
Expect(1, 9216, '\p{^Is_MISC_Technical}', "");
Expect(1, 9216, '\P{Is_MISC_Technical}', "");
Expect(0, 9216, '\P{^Is_MISC_Technical}', "");
Error('\p{/a/	IN_Misc_Technical}');
Error('\P{/a/	IN_Misc_Technical}');
Expect(1, 9215, '\p{inmisctechnical}', "");
Expect(0, 9215, '\p{^inmisctechnical}', "");
Expect(0, 9215, '\P{inmisctechnical}', "");
Expect(1, 9215, '\P{^inmisctechnical}', "");
Expect(0, 9216, '\p{inmisctechnical}', "");
Expect(1, 9216, '\p{^inmisctechnical}', "");
Expect(1, 9216, '\P{inmisctechnical}', "");
Expect(0, 9216, '\P{^inmisctechnical}', "");
Expect(1, 9215, '\p{_IN_Misc_Technical}', "");
Expect(0, 9215, '\p{^_IN_Misc_Technical}', "");
Expect(0, 9215, '\P{_IN_Misc_Technical}', "");
Expect(1, 9215, '\P{^_IN_Misc_Technical}', "");
Expect(0, 9216, '\p{_IN_Misc_Technical}', "");
Expect(1, 9216, '\p{^_IN_Misc_Technical}', "");
Expect(1, 9216, '\P{_IN_Misc_Technical}', "");
Expect(0, 9216, '\P{^_IN_Misc_Technical}', "");
Error('\p{:=	 MODI}');
Error('\P{:=	 MODI}');
Expect(1, 71257, '\p{modi}', "");
Expect(0, 71257, '\p{^modi}', "");
Expect(0, 71257, '\P{modi}', "");
Expect(1, 71257, '\P{^modi}', "");
Expect(0, 71258, '\p{modi}', "");
Expect(1, 71258, '\p{^modi}', "");
Expect(1, 71258, '\P{modi}', "");
Expect(0, 71258, '\P{^modi}', "");
Expect(1, 71257, '\p{	 MODI}', "");
Expect(0, 71257, '\p{^	 MODI}', "");
Expect(0, 71257, '\P{	 MODI}', "");
Expect(1, 71257, '\P{^	 MODI}', "");
Expect(0, 71258, '\p{	 MODI}', "");
Expect(1, 71258, '\p{^	 MODI}', "");
Expect(1, 71258, '\P{	 MODI}', "");
Expect(0, 71258, '\P{^	 MODI}', "");
Error('\p{:= IS_Modi}');
Error('\P{:= IS_Modi}');
Expect(1, 71257, '\p{ismodi}', "");
Expect(0, 71257, '\p{^ismodi}', "");
Expect(0, 71257, '\P{ismodi}', "");
Expect(1, 71257, '\P{^ismodi}', "");
Expect(0, 71258, '\p{ismodi}', "");
Expect(1, 71258, '\p{^ismodi}', "");
Expect(1, 71258, '\P{ismodi}', "");
Expect(0, 71258, '\P{^ismodi}', "");
Expect(1, 71257, '\p{ _Is_Modi}', "");
Expect(0, 71257, '\p{^ _Is_Modi}', "");
Expect(0, 71257, '\P{ _Is_Modi}', "");
Expect(1, 71257, '\P{^ _Is_Modi}', "");
Expect(0, 71258, '\p{ _Is_Modi}', "");
Expect(1, 71258, '\p{^ _Is_Modi}', "");
Expect(1, 71258, '\P{ _Is_Modi}', "");
Expect(0, 71258, '\P{^ _Is_Modi}', "");
Error('\p{-_MODIFIER_Letter:=}');
Error('\P{-_MODIFIER_Letter:=}');
Expect(1, 94111, '\p{modifierletter}', "");
Expect(0, 94111, '\p{^modifierletter}', "");
Expect(0, 94111, '\P{modifierletter}', "");
Expect(1, 94111, '\P{^modifierletter}', "");
Expect(0, 94112, '\p{modifierletter}', "");
Expect(1, 94112, '\p{^modifierletter}', "");
Expect(1, 94112, '\P{modifierletter}', "");
Expect(0, 94112, '\P{^modifierletter}', "");
Expect(1, 94111, '\p{	-Modifier_Letter}', "");
Expect(0, 94111, '\p{^	-Modifier_Letter}', "");
Expect(0, 94111, '\P{	-Modifier_Letter}', "");
Expect(1, 94111, '\P{^	-Modifier_Letter}', "");
Expect(0, 94112, '\p{	-Modifier_Letter}', "");
Expect(1, 94112, '\p{^	-Modifier_Letter}', "");
Expect(1, 94112, '\P{	-Modifier_Letter}', "");
Expect(0, 94112, '\P{^	-Modifier_Letter}', "");
Error('\p{		IS_modifier_Letter:=}');
Error('\P{		IS_modifier_Letter:=}');
Expect(1, 94111, '\p{ismodifierletter}', "");
Expect(0, 94111, '\p{^ismodifierletter}', "");
Expect(0, 94111, '\P{ismodifierletter}', "");
Expect(1, 94111, '\P{^ismodifierletter}', "");
Expect(0, 94112, '\p{ismodifierletter}', "");
Expect(1, 94112, '\p{^ismodifierletter}', "");
Expect(1, 94112, '\P{ismodifierletter}', "");
Expect(0, 94112, '\P{^ismodifierletter}', "");
Expect(1, 94111, '\p{_	IS_modifier_letter}', "");
Expect(0, 94111, '\p{^_	IS_modifier_letter}', "");
Expect(0, 94111, '\P{_	IS_modifier_letter}', "");
Expect(1, 94111, '\P{^_	IS_modifier_letter}', "");
Expect(0, 94112, '\p{_	IS_modifier_letter}', "");
Expect(1, 94112, '\p{^_	IS_modifier_letter}', "");
Expect(1, 94112, '\P{_	IS_modifier_letter}', "");
Expect(0, 94112, '\P{^_	IS_modifier_letter}', "");
Error('\p{ /a/Lm}');
Error('\P{ /a/Lm}');
Expect(1, 94111, '\p{lm}', "");
Expect(0, 94111, '\p{^lm}', "");
Expect(0, 94111, '\P{lm}', "");
Expect(1, 94111, '\P{^lm}', "");
Expect(0, 94112, '\p{lm}', "");
Expect(1, 94112, '\p{^lm}', "");
Expect(1, 94112, '\P{lm}', "");
Expect(0, 94112, '\P{^lm}', "");
Expect(1, 94111, '\p{-_LM}', "");
Expect(0, 94111, '\p{^-_LM}', "");
Expect(0, 94111, '\P{-_LM}', "");
Expect(1, 94111, '\P{^-_LM}', "");
Expect(0, 94112, '\p{-_LM}', "");
Expect(1, 94112, '\p{^-_LM}', "");
Expect(1, 94112, '\P{-_LM}', "");
Expect(0, 94112, '\P{^-_LM}', "");
Error('\p{-:=IS_Lm}');
Error('\P{-:=IS_Lm}');
Expect(1, 94111, '\p{islm}', "");
Expect(0, 94111, '\p{^islm}', "");
Expect(0, 94111, '\P{islm}', "");
Expect(1, 94111, '\P{^islm}', "");
Expect(0, 94112, '\p{islm}', "");
Expect(1, 94112, '\p{^islm}', "");
Expect(1, 94112, '\P{islm}', "");
Expect(0, 94112, '\P{^islm}', "");
Expect(1, 94111, '\p{-_is_Lm}', "");
Expect(0, 94111, '\p{^-_is_Lm}', "");
Expect(0, 94111, '\P{-_is_Lm}', "");
Expect(1, 94111, '\P{^-_is_Lm}', "");
Expect(0, 94112, '\p{-_is_Lm}', "");
Expect(1, 94112, '\p{^-_is_Lm}', "");
Expect(1, 94112, '\P{-_is_Lm}', "");
Expect(0, 94112, '\P{^-_is_Lm}', "");
Error('\p{/a/-	MODIFIER_SYMBOL}');
Error('\P{/a/-	MODIFIER_SYMBOL}');
Expect(1, 127999, '\p{modifiersymbol}', "");
Expect(0, 127999, '\p{^modifiersymbol}', "");
Expect(0, 127999, '\P{modifiersymbol}', "");
Expect(1, 127999, '\P{^modifiersymbol}', "");
Expect(0, 128000, '\p{modifiersymbol}', "");
Expect(1, 128000, '\p{^modifiersymbol}', "");
Expect(1, 128000, '\P{modifiersymbol}', "");
Expect(0, 128000, '\P{^modifiersymbol}', "");
Expect(1, 127999, '\p{ Modifier_Symbol}', "");
Expect(0, 127999, '\p{^ Modifier_Symbol}', "");
Expect(0, 127999, '\P{ Modifier_Symbol}', "");
Expect(1, 127999, '\P{^ Modifier_Symbol}', "");
Expect(0, 128000, '\p{ Modifier_Symbol}', "");
Expect(1, 128000, '\p{^ Modifier_Symbol}', "");
Expect(1, 128000, '\P{ Modifier_Symbol}', "");
Expect(0, 128000, '\P{^ Modifier_Symbol}', "");
Error('\p{-	Is_Modifier_Symbol:=}');
Error('\P{-	Is_Modifier_Symbol:=}');
Expect(1, 127999, '\p{ismodifiersymbol}', "");
Expect(0, 127999, '\p{^ismodifiersymbol}', "");
Expect(0, 127999, '\P{ismodifiersymbol}', "");
Expect(1, 127999, '\P{^ismodifiersymbol}', "");
Expect(0, 128000, '\p{ismodifiersymbol}', "");
Expect(1, 128000, '\p{^ismodifiersymbol}', "");
Expect(1, 128000, '\P{ismodifiersymbol}', "");
Expect(0, 128000, '\P{^ismodifiersymbol}', "");
Expect(1, 127999, '\p{	-Is_Modifier_Symbol}', "");
Expect(0, 127999, '\p{^	-Is_Modifier_Symbol}', "");
Expect(0, 127999, '\P{	-Is_Modifier_Symbol}', "");
Expect(1, 127999, '\P{^	-Is_Modifier_Symbol}', "");
Expect(0, 128000, '\p{	-Is_Modifier_Symbol}', "");
Expect(1, 128000, '\p{^	-Is_Modifier_Symbol}', "");
Expect(1, 128000, '\P{	-Is_Modifier_Symbol}', "");
Expect(0, 128000, '\P{^	-Is_Modifier_Symbol}', "");
Error('\p{ -sk:=}');
Error('\P{ -sk:=}');
Expect(1, 127999, '\p{sk}', "");
Expect(0, 127999, '\p{^sk}', "");
Expect(0, 127999, '\P{sk}', "");
Expect(1, 127999, '\P{^sk}', "");
Expect(0, 128000, '\p{sk}', "");
Expect(1, 128000, '\p{^sk}', "");
Expect(1, 128000, '\P{sk}', "");
Expect(0, 128000, '\P{^sk}', "");
Expect(1, 127999, '\p{	Sk}', "");
Expect(0, 127999, '\p{^	Sk}', "");
Expect(0, 127999, '\P{	Sk}', "");
Expect(1, 127999, '\P{^	Sk}', "");
Expect(0, 128000, '\p{	Sk}', "");
Expect(1, 128000, '\p{^	Sk}', "");
Expect(1, 128000, '\P{	Sk}', "");
Expect(0, 128000, '\P{^	Sk}', "");
Error('\p{/a/_	is_sk}');
Error('\P{/a/_	is_sk}');
Expect(1, 127999, '\p{issk}', "");
Expect(0, 127999, '\p{^issk}', "");
Expect(0, 127999, '\P{issk}', "");
Expect(1, 127999, '\P{^issk}', "");
Expect(0, 128000, '\p{issk}', "");
Expect(1, 128000, '\p{^issk}', "");
Expect(1, 128000, '\P{issk}', "");
Expect(0, 128000, '\P{^issk}', "");
Expect(1, 127999, '\p{-	Is_Sk}', "");
Expect(0, 127999, '\p{^-	Is_Sk}', "");
Expect(0, 127999, '\P{-	Is_Sk}', "");
Expect(1, 127999, '\P{^-	Is_Sk}', "");
Expect(0, 128000, '\p{-	Is_Sk}', "");
Expect(1, 128000, '\p{^-	Is_Sk}', "");
Expect(1, 128000, '\P{-	Is_Sk}', "");
Expect(0, 128000, '\P{^-	Is_Sk}', "");
Error('\p{__Modifier_tone_Letters:=}');
Error('\P{__Modifier_tone_Letters:=}');
Expect(1, 42783, '\p{modifiertoneletters}', "");
Expect(0, 42783, '\p{^modifiertoneletters}', "");
Expect(0, 42783, '\P{modifiertoneletters}', "");
Expect(1, 42783, '\P{^modifiertoneletters}', "");
Expect(0, 42784, '\p{modifiertoneletters}', "");
Expect(1, 42784, '\p{^modifiertoneletters}', "");
Expect(1, 42784, '\P{modifiertoneletters}', "");
Expect(0, 42784, '\P{^modifiertoneletters}', "");
Expect(1, 42783, '\p{_	Modifier_TONE_Letters}', "");
Expect(0, 42783, '\p{^_	Modifier_TONE_Letters}', "");
Expect(0, 42783, '\P{_	Modifier_TONE_Letters}', "");
Expect(1, 42783, '\P{^_	Modifier_TONE_Letters}', "");
Expect(0, 42784, '\p{_	Modifier_TONE_Letters}', "");
Expect(1, 42784, '\p{^_	Modifier_TONE_Letters}', "");
Expect(1, 42784, '\P{_	Modifier_TONE_Letters}', "");
Expect(0, 42784, '\P{^_	Modifier_TONE_Letters}', "");
Error('\p{:=_IS_MODIFIER_TONE_letters}');
Error('\P{:=_IS_MODIFIER_TONE_letters}');
Expect(1, 42783, '\p{ismodifiertoneletters}', "");
Expect(0, 42783, '\p{^ismodifiertoneletters}', "");
Expect(0, 42783, '\P{ismodifiertoneletters}', "");
Expect(1, 42783, '\P{^ismodifiertoneletters}', "");
Expect(0, 42784, '\p{ismodifiertoneletters}', "");
Expect(1, 42784, '\p{^ismodifiertoneletters}', "");
Expect(1, 42784, '\P{ismodifiertoneletters}', "");
Expect(0, 42784, '\P{^ismodifiertoneletters}', "");
Expect(1, 42783, '\p{  IS_Modifier_tone_Letters}', "");
Expect(0, 42783, '\p{^  IS_Modifier_tone_Letters}', "");
Expect(0, 42783, '\P{  IS_Modifier_tone_Letters}', "");
Expect(1, 42783, '\P{^  IS_Modifier_tone_Letters}', "");
Expect(0, 42784, '\p{  IS_Modifier_tone_Letters}', "");
Expect(1, 42784, '\p{^  IS_Modifier_tone_Letters}', "");
Expect(1, 42784, '\P{  IS_Modifier_tone_Letters}', "");
Expect(0, 42784, '\P{^  IS_Modifier_tone_Letters}', "");
Error('\p{- IN_modifier_TONE_letters/a/}');
Error('\P{- IN_modifier_TONE_letters/a/}');
Expect(1, 42783, '\p{inmodifiertoneletters}', "");
Expect(0, 42783, '\p{^inmodifiertoneletters}', "");
Expect(0, 42783, '\P{inmodifiertoneletters}', "");
Expect(1, 42783, '\P{^inmodifiertoneletters}', "");
Expect(0, 42784, '\p{inmodifiertoneletters}', "");
Expect(1, 42784, '\p{^inmodifiertoneletters}', "");
Expect(1, 42784, '\P{inmodifiertoneletters}', "");
Expect(0, 42784, '\P{^inmodifiertoneletters}', "");
Expect(1, 42783, '\p{	IN_Modifier_tone_letters}', "");
Expect(0, 42783, '\p{^	IN_Modifier_tone_letters}', "");
Expect(0, 42783, '\P{	IN_Modifier_tone_letters}', "");
Expect(1, 42783, '\P{^	IN_Modifier_tone_letters}', "");
Expect(0, 42784, '\p{	IN_Modifier_tone_letters}', "");
Expect(1, 42784, '\p{^	IN_Modifier_tone_letters}', "");
Expect(1, 42784, '\P{	IN_Modifier_tone_letters}', "");
Expect(0, 42784, '\P{^	IN_Modifier_tone_letters}', "");
Error('\p{:= 	MONGOLIAN}');
Error('\P{:= 	MONGOLIAN}');
Expect(1, 6314, '\p{mongolian}', "");
Expect(0, 6314, '\p{^mongolian}', "");
Expect(0, 6314, '\P{mongolian}', "");
Expect(1, 6314, '\P{^mongolian}', "");
Expect(0, 6315, '\p{mongolian}', "");
Expect(1, 6315, '\p{^mongolian}', "");
Expect(1, 6315, '\P{mongolian}', "");
Expect(0, 6315, '\P{^mongolian}', "");
Expect(1, 6314, '\p{Mongolian}', "");
Expect(0, 6314, '\p{^Mongolian}', "");
Expect(0, 6314, '\P{Mongolian}', "");
Expect(1, 6314, '\P{^Mongolian}', "");
Expect(0, 6315, '\p{Mongolian}', "");
Expect(1, 6315, '\p{^Mongolian}', "");
Expect(1, 6315, '\P{Mongolian}', "");
Expect(0, 6315, '\P{^Mongolian}', "");
Error('\p{-	Is_Mongolian:=}');
Error('\P{-	Is_Mongolian:=}');
Expect(1, 6314, '\p{ismongolian}', "");
Expect(0, 6314, '\p{^ismongolian}', "");
Expect(0, 6314, '\P{ismongolian}', "");
Expect(1, 6314, '\P{^ismongolian}', "");
Expect(0, 6315, '\p{ismongolian}', "");
Expect(1, 6315, '\p{^ismongolian}', "");
Expect(1, 6315, '\P{ismongolian}', "");
Expect(0, 6315, '\P{^ismongolian}', "");
Expect(1, 6314, '\p{-Is_Mongolian}', "");
Expect(0, 6314, '\p{^-Is_Mongolian}', "");
Expect(0, 6314, '\P{-Is_Mongolian}', "");
Expect(1, 6314, '\P{^-Is_Mongolian}', "");
Expect(0, 6315, '\p{-Is_Mongolian}', "");
Expect(1, 6315, '\p{^-Is_Mongolian}', "");
Expect(1, 6315, '\P{-Is_Mongolian}', "");
Expect(0, 6315, '\P{^-Is_Mongolian}', "");
Error('\p{ MONG/a/}');
Error('\P{ MONG/a/}');
Expect(1, 6314, '\p{mong}', "");
Expect(0, 6314, '\p{^mong}', "");
Expect(0, 6314, '\P{mong}', "");
Expect(1, 6314, '\P{^mong}', "");
Expect(0, 6315, '\p{mong}', "");
Expect(1, 6315, '\p{^mong}', "");
Expect(1, 6315, '\P{mong}', "");
Expect(0, 6315, '\P{^mong}', "");
Expect(1, 6314, '\p{	-mong}', "");
Expect(0, 6314, '\p{^	-mong}', "");
Expect(0, 6314, '\P{	-mong}', "");
Expect(1, 6314, '\P{^	-mong}', "");
Expect(0, 6315, '\p{	-mong}', "");
Expect(1, 6315, '\p{^	-mong}', "");
Expect(1, 6315, '\P{	-mong}', "");
Expect(0, 6315, '\P{^	-mong}', "");
Error('\p{/a/-_IS_MONG}');
Error('\P{/a/-_IS_MONG}');
Expect(1, 6314, '\p{ismong}', "");
Expect(0, 6314, '\p{^ismong}', "");
Expect(0, 6314, '\P{ismong}', "");
Expect(1, 6314, '\P{^ismong}', "");
Expect(0, 6315, '\p{ismong}', "");
Expect(1, 6315, '\p{^ismong}', "");
Expect(1, 6315, '\P{ismong}', "");
Expect(0, 6315, '\P{^ismong}', "");
Expect(1, 6314, '\p{_	Is_mong}', "");
Expect(0, 6314, '\p{^_	Is_mong}', "");
Expect(0, 6314, '\P{_	Is_mong}', "");
Expect(1, 6314, '\P{^_	Is_mong}', "");
Expect(0, 6315, '\p{_	Is_mong}', "");
Expect(1, 6315, '\p{^_	Is_mong}', "");
Expect(1, 6315, '\P{_	Is_mong}', "");
Expect(0, 6315, '\P{^_	Is_mong}', "");
Error('\p{:=_	MRO}');
Error('\P{:=_	MRO}');
Expect(1, 92783, '\p{mro}', "");
Expect(0, 92783, '\p{^mro}', "");
Expect(0, 92783, '\P{mro}', "");
Expect(1, 92783, '\P{^mro}', "");
Expect(0, 92784, '\p{mro}', "");
Expect(1, 92784, '\p{^mro}', "");
Expect(1, 92784, '\P{mro}', "");
Expect(0, 92784, '\P{^mro}', "");
Expect(1, 92783, '\p{_-Mro}', "");
Expect(0, 92783, '\p{^_-Mro}', "");
Expect(0, 92783, '\P{_-Mro}', "");
Expect(1, 92783, '\P{^_-Mro}', "");
Expect(0, 92784, '\p{_-Mro}', "");
Expect(1, 92784, '\p{^_-Mro}', "");
Expect(1, 92784, '\P{_-Mro}', "");
Expect(0, 92784, '\P{^_-Mro}', "");
Error('\p{ -is_mro/a/}');
Error('\P{ -is_mro/a/}');
Expect(1, 92783, '\p{ismro}', "");
Expect(0, 92783, '\p{^ismro}', "");
Expect(0, 92783, '\P{ismro}', "");
Expect(1, 92783, '\P{^ismro}', "");
Expect(0, 92784, '\p{ismro}', "");
Expect(1, 92784, '\p{^ismro}', "");
Expect(1, 92784, '\P{ismro}', "");
Expect(0, 92784, '\P{^ismro}', "");
Expect(1, 92783, '\p{-is_Mro}', "");
Expect(0, 92783, '\p{^-is_Mro}', "");
Expect(0, 92783, '\P{-is_Mro}', "");
Expect(1, 92783, '\P{^-is_Mro}', "");
Expect(0, 92784, '\p{-is_Mro}', "");
Expect(1, 92784, '\p{^-is_Mro}', "");
Expect(1, 92784, '\P{-is_Mro}', "");
Expect(0, 92784, '\P{^-is_Mro}', "");
Error('\p{:= _mroo}');
Error('\P{:= _mroo}');
Expect(1, 92783, '\p{mroo}', "");
Expect(0, 92783, '\p{^mroo}', "");
Expect(0, 92783, '\P{mroo}', "");
Expect(1, 92783, '\P{^mroo}', "");
Expect(0, 92784, '\p{mroo}', "");
Expect(1, 92784, '\p{^mroo}', "");
Expect(1, 92784, '\P{mroo}', "");
Expect(0, 92784, '\P{^mroo}', "");
Expect(1, 92783, '\p{-_mroo}', "");
Expect(0, 92783, '\p{^-_mroo}', "");
Expect(0, 92783, '\P{-_mroo}', "");
Expect(1, 92783, '\P{^-_mroo}', "");
Expect(0, 92784, '\p{-_mroo}', "");
Expect(1, 92784, '\p{^-_mroo}', "");
Expect(1, 92784, '\P{-_mroo}', "");
Expect(0, 92784, '\P{^-_mroo}', "");
Error('\p{/a/	IS_MROO}');
Error('\P{/a/	IS_MROO}');
Expect(1, 92783, '\p{ismroo}', "");
Expect(0, 92783, '\p{^ismroo}', "");
Expect(0, 92783, '\P{ismroo}', "");
Expect(1, 92783, '\P{^ismroo}', "");
Expect(0, 92784, '\p{ismroo}', "");
Expect(1, 92784, '\p{^ismroo}', "");
Expect(1, 92784, '\P{ismroo}', "");
Expect(0, 92784, '\P{^ismroo}', "");
Expect(1, 92783, '\p{ Is_Mroo}', "");
Expect(0, 92783, '\p{^ Is_Mroo}', "");
Expect(0, 92783, '\P{ Is_Mroo}', "");
Expect(1, 92783, '\P{^ Is_Mroo}', "");
Expect(0, 92784, '\p{ Is_Mroo}', "");
Expect(1, 92784, '\p{^ Is_Mroo}', "");
Expect(1, 92784, '\P{ Is_Mroo}', "");
Expect(0, 92784, '\P{^ Is_Mroo}', "");
Error('\p{_/a/Multani}');
Error('\P{_/a/Multani}');
Expect(1, 70313, '\p{multani}', "");
Expect(0, 70313, '\p{^multani}', "");
Expect(0, 70313, '\P{multani}', "");
Expect(1, 70313, '\P{^multani}', "");
Expect(0, 70314, '\p{multani}', "");
Expect(1, 70314, '\p{^multani}', "");
Expect(1, 70314, '\P{multani}', "");
Expect(0, 70314, '\P{^multani}', "");
Expect(1, 70313, '\p{Multani}', "");
Expect(0, 70313, '\p{^Multani}', "");
Expect(0, 70313, '\P{Multani}', "");
Expect(1, 70313, '\P{^Multani}', "");
Expect(0, 70314, '\p{Multani}', "");
Expect(1, 70314, '\p{^Multani}', "");
Expect(1, 70314, '\P{Multani}', "");
Expect(0, 70314, '\P{^Multani}', "");
Error('\p{	_Is_MULTANI/a/}');
Error('\P{	_Is_MULTANI/a/}');
Expect(1, 70313, '\p{ismultani}', "");
Expect(0, 70313, '\p{^ismultani}', "");
Expect(0, 70313, '\P{ismultani}', "");
Expect(1, 70313, '\P{^ismultani}', "");
Expect(0, 70314, '\p{ismultani}', "");
Expect(1, 70314, '\p{^ismultani}', "");
Expect(1, 70314, '\P{ismultani}', "");
Expect(0, 70314, '\P{^ismultani}', "");
Expect(1, 70313, '\p{IS_multani}', "");
Expect(0, 70313, '\p{^IS_multani}', "");
Expect(0, 70313, '\P{IS_multani}', "");
Expect(1, 70313, '\P{^IS_multani}', "");
Expect(0, 70314, '\p{IS_multani}', "");
Expect(1, 70314, '\p{^IS_multani}', "");
Expect(1, 70314, '\P{IS_multani}', "");
Expect(0, 70314, '\P{^IS_multani}', "");
Error('\p{_	mult/a/}');
Error('\P{_	mult/a/}');
Expect(1, 70313, '\p{mult}', "");
Expect(0, 70313, '\p{^mult}', "");
Expect(0, 70313, '\P{mult}', "");
Expect(1, 70313, '\P{^mult}', "");
Expect(0, 70314, '\p{mult}', "");
Expect(1, 70314, '\p{^mult}', "");
Expect(1, 70314, '\P{mult}', "");
Expect(0, 70314, '\P{^mult}', "");
Expect(1, 70313, '\p{_	Mult}', "");
Expect(0, 70313, '\p{^_	Mult}', "");
Expect(0, 70313, '\P{_	Mult}', "");
Expect(1, 70313, '\P{^_	Mult}', "");
Expect(0, 70314, '\p{_	Mult}', "");
Expect(1, 70314, '\p{^_	Mult}', "");
Expect(1, 70314, '\P{_	Mult}', "");
Expect(0, 70314, '\P{^_	Mult}', "");
Error('\p{ /a/Is_mult}');
Error('\P{ /a/Is_mult}');
Expect(1, 70313, '\p{ismult}', "");
Expect(0, 70313, '\p{^ismult}', "");
Expect(0, 70313, '\P{ismult}', "");
Expect(1, 70313, '\P{^ismult}', "");
Expect(0, 70314, '\p{ismult}', "");
Expect(1, 70314, '\p{^ismult}', "");
Expect(1, 70314, '\P{ismult}', "");
Expect(0, 70314, '\P{^ismult}', "");
Expect(1, 70313, '\p{_-is_MULT}', "");
Expect(0, 70313, '\p{^_-is_MULT}', "");
Expect(0, 70313, '\P{_-is_MULT}', "");
Expect(1, 70313, '\P{^_-is_MULT}', "");
Expect(0, 70314, '\p{_-is_MULT}', "");
Expect(1, 70314, '\p{^_-is_MULT}', "");
Expect(1, 70314, '\P{_-is_MULT}', "");
Expect(0, 70314, '\P{^_-is_MULT}', "");
Error('\p{ _musical_SYMBOLS/a/}');
Error('\P{ _musical_SYMBOLS/a/}');
Expect(1, 119295, '\p{musicalsymbols}', "");
Expect(0, 119295, '\p{^musicalsymbols}', "");
Expect(0, 119295, '\P{musicalsymbols}', "");
Expect(1, 119295, '\P{^musicalsymbols}', "");
Expect(0, 119296, '\p{musicalsymbols}', "");
Expect(1, 119296, '\p{^musicalsymbols}', "");
Expect(1, 119296, '\P{musicalsymbols}', "");
Expect(0, 119296, '\P{^musicalsymbols}', "");
Expect(1, 119295, '\p{ musical_Symbols}', "");
Expect(0, 119295, '\p{^ musical_Symbols}', "");
Expect(0, 119295, '\P{ musical_Symbols}', "");
Expect(1, 119295, '\P{^ musical_Symbols}', "");
Expect(0, 119296, '\p{ musical_Symbols}', "");
Expect(1, 119296, '\p{^ musical_Symbols}', "");
Expect(1, 119296, '\P{ musical_Symbols}', "");
Expect(0, 119296, '\P{^ musical_Symbols}', "");
Error('\p{:=--IS_musical_Symbols}');
Error('\P{:=--IS_musical_Symbols}');
Expect(1, 119295, '\p{ismusicalsymbols}', "");
Expect(0, 119295, '\p{^ismusicalsymbols}', "");
Expect(0, 119295, '\P{ismusicalsymbols}', "");
Expect(1, 119295, '\P{^ismusicalsymbols}', "");
Expect(0, 119296, '\p{ismusicalsymbols}', "");
Expect(1, 119296, '\p{^ismusicalsymbols}', "");
Expect(1, 119296, '\P{ismusicalsymbols}', "");
Expect(0, 119296, '\P{^ismusicalsymbols}', "");
Expect(1, 119295, '\p{-Is_MUSICAL_symbols}', "");
Expect(0, 119295, '\p{^-Is_MUSICAL_symbols}', "");
Expect(0, 119295, '\P{-Is_MUSICAL_symbols}', "");
Expect(1, 119295, '\P{^-Is_MUSICAL_symbols}', "");
Expect(0, 119296, '\p{-Is_MUSICAL_symbols}', "");
Expect(1, 119296, '\p{^-Is_MUSICAL_symbols}', "");
Expect(1, 119296, '\P{-Is_MUSICAL_symbols}', "");
Expect(0, 119296, '\P{^-Is_MUSICAL_symbols}', "");
Error('\p{:=	IN_musical_Symbols}');
Error('\P{:=	IN_musical_Symbols}');
Expect(1, 119295, '\p{inmusicalsymbols}', "");
Expect(0, 119295, '\p{^inmusicalsymbols}', "");
Expect(0, 119295, '\P{inmusicalsymbols}', "");
Expect(1, 119295, '\P{^inmusicalsymbols}', "");
Expect(0, 119296, '\p{inmusicalsymbols}', "");
Expect(1, 119296, '\p{^inmusicalsymbols}', "");
Expect(1, 119296, '\P{inmusicalsymbols}', "");
Expect(0, 119296, '\P{^inmusicalsymbols}', "");
Expect(1, 119295, '\p{in_Musical_Symbols}', "");
Expect(0, 119295, '\p{^in_Musical_Symbols}', "");
Expect(0, 119295, '\P{in_Musical_Symbols}', "");
Expect(1, 119295, '\P{^in_Musical_Symbols}', "");
Expect(0, 119296, '\p{in_Musical_Symbols}', "");
Expect(1, 119296, '\p{^in_Musical_Symbols}', "");
Expect(1, 119296, '\P{in_Musical_Symbols}', "");
Expect(0, 119296, '\P{^in_Musical_Symbols}', "");
Error('\p{:=--Music}');
Error('\P{:=--Music}');
Expect(1, 119295, '\p{music}', "");
Expect(0, 119295, '\p{^music}', "");
Expect(0, 119295, '\P{music}', "");
Expect(1, 119295, '\P{^music}', "");
Expect(0, 119296, '\p{music}', "");
Expect(1, 119296, '\p{^music}', "");
Expect(1, 119296, '\P{music}', "");
Expect(0, 119296, '\P{^music}', "");
Expect(1, 119295, '\p{--music}', "");
Expect(0, 119295, '\p{^--music}', "");
Expect(0, 119295, '\P{--music}', "");
Expect(1, 119295, '\P{^--music}', "");
Expect(0, 119296, '\p{--music}', "");
Expect(1, 119296, '\p{^--music}', "");
Expect(1, 119296, '\P{--music}', "");
Expect(0, 119296, '\P{^--music}', "");
Error('\p{:=-is_Music}');
Error('\P{:=-is_Music}');
Expect(1, 119295, '\p{ismusic}', "");
Expect(0, 119295, '\p{^ismusic}', "");
Expect(0, 119295, '\P{ismusic}', "");
Expect(1, 119295, '\P{^ismusic}', "");
Expect(0, 119296, '\p{ismusic}', "");
Expect(1, 119296, '\p{^ismusic}', "");
Expect(1, 119296, '\P{ismusic}', "");
Expect(0, 119296, '\P{^ismusic}', "");
Expect(1, 119295, '\p{- IS_Music}', "");
Expect(0, 119295, '\p{^- IS_Music}', "");
Expect(0, 119295, '\P{- IS_Music}', "");
Expect(1, 119295, '\P{^- IS_Music}', "");
Expect(0, 119296, '\p{- IS_Music}', "");
Expect(1, 119296, '\p{^- IS_Music}', "");
Expect(1, 119296, '\P{- IS_Music}', "");
Expect(0, 119296, '\P{^- IS_Music}', "");
Error('\p{		IN_Music:=}');
Error('\P{		IN_Music:=}');
Expect(1, 119295, '\p{inmusic}', "");
Expect(0, 119295, '\p{^inmusic}', "");
Expect(0, 119295, '\P{inmusic}', "");
Expect(1, 119295, '\P{^inmusic}', "");
Expect(0, 119296, '\p{inmusic}', "");
Expect(1, 119296, '\p{^inmusic}', "");
Expect(1, 119296, '\P{inmusic}', "");
Expect(0, 119296, '\P{^inmusic}', "");
Expect(1, 119295, '\p{ in_Music}', "");
Expect(0, 119295, '\p{^ in_Music}', "");
Expect(0, 119295, '\P{ in_Music}', "");
Expect(1, 119295, '\P{^ in_Music}', "");
Expect(0, 119296, '\p{ in_Music}', "");
Expect(1, 119296, '\p{^ in_Music}', "");
Expect(1, 119296, '\P{ in_Music}', "");
Expect(0, 119296, '\P{^ in_Music}', "");
Error('\p{:=__myanmar}');
Error('\P{:=__myanmar}');
Expect(1, 43647, '\p{myanmar}', "");
Expect(0, 43647, '\p{^myanmar}', "");
Expect(0, 43647, '\P{myanmar}', "");
Expect(1, 43647, '\P{^myanmar}', "");
Expect(0, 43648, '\p{myanmar}', "");
Expect(1, 43648, '\p{^myanmar}', "");
Expect(1, 43648, '\P{myanmar}', "");
Expect(0, 43648, '\P{^myanmar}', "");
Expect(1, 43647, '\p{_	MYANMAR}', "");
Expect(0, 43647, '\p{^_	MYANMAR}', "");
Expect(0, 43647, '\P{_	MYANMAR}', "");
Expect(1, 43647, '\P{^_	MYANMAR}', "");
Expect(0, 43648, '\p{_	MYANMAR}', "");
Expect(1, 43648, '\p{^_	MYANMAR}', "");
Expect(1, 43648, '\P{_	MYANMAR}', "");
Expect(0, 43648, '\P{^_	MYANMAR}', "");
Error('\p{/a/-is_MYANMAR}');
Error('\P{/a/-is_MYANMAR}');
Expect(1, 43647, '\p{ismyanmar}', "");
Expect(0, 43647, '\p{^ismyanmar}', "");
Expect(0, 43647, '\P{ismyanmar}', "");
Expect(1, 43647, '\P{^ismyanmar}', "");
Expect(0, 43648, '\p{ismyanmar}', "");
Expect(1, 43648, '\p{^ismyanmar}', "");
Expect(1, 43648, '\P{ismyanmar}', "");
Expect(0, 43648, '\P{^ismyanmar}', "");
Expect(1, 43647, '\p{__is_Myanmar}', "");
Expect(0, 43647, '\p{^__is_Myanmar}', "");
Expect(0, 43647, '\P{__is_Myanmar}', "");
Expect(1, 43647, '\P{^__is_Myanmar}', "");
Expect(0, 43648, '\p{__is_Myanmar}', "");
Expect(1, 43648, '\p{^__is_Myanmar}', "");
Expect(1, 43648, '\P{__is_Myanmar}', "");
Expect(0, 43648, '\P{^__is_Myanmar}', "");
Error('\p{ -Mymr:=}');
Error('\P{ -Mymr:=}');
Expect(1, 43647, '\p{mymr}', "");
Expect(0, 43647, '\p{^mymr}', "");
Expect(0, 43647, '\P{mymr}', "");
Expect(1, 43647, '\P{^mymr}', "");
Expect(0, 43648, '\p{mymr}', "");
Expect(1, 43648, '\p{^mymr}', "");
Expect(1, 43648, '\P{mymr}', "");
Expect(0, 43648, '\P{^mymr}', "");
Expect(1, 43647, '\p{_mymr}', "");
Expect(0, 43647, '\p{^_mymr}', "");
Expect(0, 43647, '\P{_mymr}', "");
Expect(1, 43647, '\P{^_mymr}', "");
Expect(0, 43648, '\p{_mymr}', "");
Expect(1, 43648, '\p{^_mymr}', "");
Expect(1, 43648, '\P{_mymr}', "");
Expect(0, 43648, '\P{^_mymr}', "");
Error('\p{ Is_Mymr:=}');
Error('\P{ Is_Mymr:=}');
Expect(1, 43647, '\p{ismymr}', "");
Expect(0, 43647, '\p{^ismymr}', "");
Expect(0, 43647, '\P{ismymr}', "");
Expect(1, 43647, '\P{^ismymr}', "");
Expect(0, 43648, '\p{ismymr}', "");
Expect(1, 43648, '\p{^ismymr}', "");
Expect(1, 43648, '\P{ismymr}', "");
Expect(0, 43648, '\P{^ismymr}', "");
Expect(1, 43647, '\p{  Is_Mymr}', "");
Expect(0, 43647, '\p{^  Is_Mymr}', "");
Expect(0, 43647, '\P{  Is_Mymr}', "");
Expect(1, 43647, '\P{^  Is_Mymr}', "");
Expect(0, 43648, '\p{  Is_Mymr}', "");
Expect(1, 43648, '\p{^  Is_Mymr}', "");
Expect(1, 43648, '\P{  Is_Mymr}', "");
Expect(0, 43648, '\P{^  Is_Mymr}', "");
Error('\p{/a/_MYANMAR_Extended_a}');
Error('\P{/a/_MYANMAR_Extended_a}');
Expect(1, 43647, '\p{myanmarextendeda}', "");
Expect(0, 43647, '\p{^myanmarextendeda}', "");
Expect(0, 43647, '\P{myanmarextendeda}', "");
Expect(1, 43647, '\P{^myanmarextendeda}', "");
Expect(0, 43648, '\p{myanmarextendeda}', "");
Expect(1, 43648, '\p{^myanmarextendeda}', "");
Expect(1, 43648, '\P{myanmarextendeda}', "");
Expect(0, 43648, '\P{^myanmarextendeda}', "");
Expect(1, 43647, '\p{__Myanmar_EXTENDED_A}', "");
Expect(0, 43647, '\p{^__Myanmar_EXTENDED_A}', "");
Expect(0, 43647, '\P{__Myanmar_EXTENDED_A}', "");
Expect(1, 43647, '\P{^__Myanmar_EXTENDED_A}', "");
Expect(0, 43648, '\p{__Myanmar_EXTENDED_A}', "");
Expect(1, 43648, '\p{^__Myanmar_EXTENDED_A}', "");
Expect(1, 43648, '\P{__Myanmar_EXTENDED_A}', "");
Expect(0, 43648, '\P{^__Myanmar_EXTENDED_A}', "");
Error('\p{/a/	is_MYANMAR_EXTENDED_A}');
Error('\P{/a/	is_MYANMAR_EXTENDED_A}');
Expect(1, 43647, '\p{ismyanmarextendeda}', "");
Expect(0, 43647, '\p{^ismyanmarextendeda}', "");
Expect(0, 43647, '\P{ismyanmarextendeda}', "");
Expect(1, 43647, '\P{^ismyanmarextendeda}', "");
Expect(0, 43648, '\p{ismyanmarextendeda}', "");
Expect(1, 43648, '\p{^ismyanmarextendeda}', "");
Expect(1, 43648, '\P{ismyanmarextendeda}', "");
Expect(0, 43648, '\P{^ismyanmarextendeda}', "");
Expect(1, 43647, '\p{_ Is_Myanmar_EXTENDED_A}', "");
Expect(0, 43647, '\p{^_ Is_Myanmar_EXTENDED_A}', "");
Expect(0, 43647, '\P{_ Is_Myanmar_EXTENDED_A}', "");
Expect(1, 43647, '\P{^_ Is_Myanmar_EXTENDED_A}', "");
Expect(0, 43648, '\p{_ Is_Myanmar_EXTENDED_A}', "");
Expect(1, 43648, '\p{^_ Is_Myanmar_EXTENDED_A}', "");
Expect(1, 43648, '\P{_ Is_Myanmar_EXTENDED_A}', "");
Expect(0, 43648, '\P{^_ Is_Myanmar_EXTENDED_A}', "");
Error('\p{--In_MYANMAR_extended_A/a/}');
Error('\P{--In_MYANMAR_extended_A/a/}');
Expect(1, 43647, '\p{inmyanmarextendeda}', "");
Expect(0, 43647, '\p{^inmyanmarextendeda}', "");
Expect(0, 43647, '\P{inmyanmarextendeda}', "");
Expect(1, 43647, '\P{^inmyanmarextendeda}', "");
Expect(0, 43648, '\p{inmyanmarextendeda}', "");
Expect(1, 43648, '\p{^inmyanmarextendeda}', "");
Expect(1, 43648, '\P{inmyanmarextendeda}', "");
Expect(0, 43648, '\P{^inmyanmarextendeda}', "");
Expect(1, 43647, '\p{ 	in_MYANMAR_Extended_a}', "");
Expect(0, 43647, '\p{^ 	in_MYANMAR_Extended_a}', "");
Expect(0, 43647, '\P{ 	in_MYANMAR_Extended_a}', "");
Expect(1, 43647, '\P{^ 	in_MYANMAR_Extended_a}', "");
Expect(0, 43648, '\p{ 	in_MYANMAR_Extended_a}', "");
Expect(1, 43648, '\p{^ 	in_MYANMAR_Extended_a}', "");
Expect(1, 43648, '\P{ 	in_MYANMAR_Extended_a}', "");
Expect(0, 43648, '\P{^ 	in_MYANMAR_Extended_a}', "");
Error('\p{_Myanmar_Ext_a/a/}');
Error('\P{_Myanmar_Ext_a/a/}');
Expect(1, 43647, '\p{myanmarexta}', "");
Expect(0, 43647, '\p{^myanmarexta}', "");
Expect(0, 43647, '\P{myanmarexta}', "");
Expect(1, 43647, '\P{^myanmarexta}', "");
Expect(0, 43648, '\p{myanmarexta}', "");
Expect(1, 43648, '\p{^myanmarexta}', "");
Expect(1, 43648, '\P{myanmarexta}', "");
Expect(0, 43648, '\P{^myanmarexta}', "");
Expect(1, 43647, '\p{_-Myanmar_EXT_A}', "");
Expect(0, 43647, '\p{^_-Myanmar_EXT_A}', "");
Expect(0, 43647, '\P{_-Myanmar_EXT_A}', "");
Expect(1, 43647, '\P{^_-Myanmar_EXT_A}', "");
Expect(0, 43648, '\p{_-Myanmar_EXT_A}', "");
Expect(1, 43648, '\p{^_-Myanmar_EXT_A}', "");
Expect(1, 43648, '\P{_-Myanmar_EXT_A}', "");
Expect(0, 43648, '\P{^_-Myanmar_EXT_A}', "");
Error('\p{	 Is_Myanmar_EXT_A:=}');
Error('\P{	 Is_Myanmar_EXT_A:=}');
Expect(1, 43647, '\p{ismyanmarexta}', "");
Expect(0, 43647, '\p{^ismyanmarexta}', "");
Expect(0, 43647, '\P{ismyanmarexta}', "");
Expect(1, 43647, '\P{^ismyanmarexta}', "");
Expect(0, 43648, '\p{ismyanmarexta}', "");
Expect(1, 43648, '\p{^ismyanmarexta}', "");
Expect(1, 43648, '\P{ismyanmarexta}', "");
Expect(0, 43648, '\P{^ismyanmarexta}', "");
Expect(1, 43647, '\p{is_Myanmar_Ext_a}', "");
Expect(0, 43647, '\p{^is_Myanmar_Ext_a}', "");
Expect(0, 43647, '\P{is_Myanmar_Ext_a}', "");
Expect(1, 43647, '\P{^is_Myanmar_Ext_a}', "");
Expect(0, 43648, '\p{is_Myanmar_Ext_a}', "");
Expect(1, 43648, '\p{^is_Myanmar_Ext_a}', "");
Expect(1, 43648, '\P{is_Myanmar_Ext_a}', "");
Expect(0, 43648, '\P{^is_Myanmar_Ext_a}', "");
Error('\p{:=_in_Myanmar_Ext_A}');
Error('\P{:=_in_Myanmar_Ext_A}');
Expect(1, 43647, '\p{inmyanmarexta}', "");
Expect(0, 43647, '\p{^inmyanmarexta}', "");
Expect(0, 43647, '\P{inmyanmarexta}', "");
Expect(1, 43647, '\P{^inmyanmarexta}', "");
Expect(0, 43648, '\p{inmyanmarexta}', "");
Expect(1, 43648, '\p{^inmyanmarexta}', "");
Expect(1, 43648, '\P{inmyanmarexta}', "");
Expect(0, 43648, '\P{^inmyanmarexta}', "");
Expect(1, 43647, '\p{-	IN_Myanmar_EXT_a}', "");
Expect(0, 43647, '\p{^-	IN_Myanmar_EXT_a}', "");
Expect(0, 43647, '\P{-	IN_Myanmar_EXT_a}', "");
Expect(1, 43647, '\P{^-	IN_Myanmar_EXT_a}', "");
Expect(0, 43648, '\p{-	IN_Myanmar_EXT_a}', "");
Expect(1, 43648, '\p{^-	IN_Myanmar_EXT_a}', "");
Expect(1, 43648, '\P{-	IN_Myanmar_EXT_a}', "");
Expect(0, 43648, '\P{^-	IN_Myanmar_EXT_a}', "");
Error('\p{/a/-_MYANMAR_Extended_B}');
Error('\P{/a/-_MYANMAR_Extended_B}');
Expect(1, 43519, '\p{myanmarextendedb}', "");
Expect(0, 43519, '\p{^myanmarextendedb}', "");
Expect(0, 43519, '\P{myanmarextendedb}', "");
Expect(1, 43519, '\P{^myanmarextendedb}', "");
Expect(0, 43520, '\p{myanmarextendedb}', "");
Expect(1, 43520, '\p{^myanmarextendedb}', "");
Expect(1, 43520, '\P{myanmarextendedb}', "");
Expect(0, 43520, '\P{^myanmarextendedb}', "");
Expect(1, 43519, '\p{-MYANMAR_Extended_B}', "");
Expect(0, 43519, '\p{^-MYANMAR_Extended_B}', "");
Expect(0, 43519, '\P{-MYANMAR_Extended_B}', "");
Expect(1, 43519, '\P{^-MYANMAR_Extended_B}', "");
Expect(0, 43520, '\p{-MYANMAR_Extended_B}', "");
Expect(1, 43520, '\p{^-MYANMAR_Extended_B}', "");
Expect(1, 43520, '\P{-MYANMAR_Extended_B}', "");
Expect(0, 43520, '\P{^-MYANMAR_Extended_B}', "");
Error('\p{-:=Is_Myanmar_EXTENDED_B}');
Error('\P{-:=Is_Myanmar_EXTENDED_B}');
Expect(1, 43519, '\p{ismyanmarextendedb}', "");
Expect(0, 43519, '\p{^ismyanmarextendedb}', "");
Expect(0, 43519, '\P{ismyanmarextendedb}', "");
Expect(1, 43519, '\P{^ismyanmarextendedb}', "");
Expect(0, 43520, '\p{ismyanmarextendedb}', "");
Expect(1, 43520, '\p{^ismyanmarextendedb}', "");
Expect(1, 43520, '\P{ismyanmarextendedb}', "");
Expect(0, 43520, '\P{^ismyanmarextendedb}', "");
Expect(1, 43519, '\p{  Is_Myanmar_Extended_B}', "");
Expect(0, 43519, '\p{^  Is_Myanmar_Extended_B}', "");
Expect(0, 43519, '\P{  Is_Myanmar_Extended_B}', "");
Expect(1, 43519, '\P{^  Is_Myanmar_Extended_B}', "");
Expect(0, 43520, '\p{  Is_Myanmar_Extended_B}', "");
Expect(1, 43520, '\p{^  Is_Myanmar_Extended_B}', "");
Expect(1, 43520, '\P{  Is_Myanmar_Extended_B}', "");
Expect(0, 43520, '\P{^  Is_Myanmar_Extended_B}', "");
Error('\p{ /a/In_Myanmar_extended_b}');
Error('\P{ /a/In_Myanmar_extended_b}');
Expect(1, 43519, '\p{inmyanmarextendedb}', "");
Expect(0, 43519, '\p{^inmyanmarextendedb}', "");
Expect(0, 43519, '\P{inmyanmarextendedb}', "");
Expect(1, 43519, '\P{^inmyanmarextendedb}', "");
Expect(0, 43520, '\p{inmyanmarextendedb}', "");
Expect(1, 43520, '\p{^inmyanmarextendedb}', "");
Expect(1, 43520, '\P{inmyanmarextendedb}', "");
Expect(0, 43520, '\P{^inmyanmarextendedb}', "");
Expect(1, 43519, '\p{  in_Myanmar_Extended_B}', "");
Expect(0, 43519, '\p{^  in_Myanmar_Extended_B}', "");
Expect(0, 43519, '\P{  in_Myanmar_Extended_B}', "");
Expect(1, 43519, '\P{^  in_Myanmar_Extended_B}', "");
Expect(0, 43520, '\p{  in_Myanmar_Extended_B}', "");
Expect(1, 43520, '\p{^  in_Myanmar_Extended_B}', "");
Expect(1, 43520, '\P{  in_Myanmar_Extended_B}', "");
Expect(0, 43520, '\P{^  in_Myanmar_Extended_B}', "");
Error('\p{ /a/Myanmar_ext_B}');
Error('\P{ /a/Myanmar_ext_B}');
Expect(1, 43519, '\p{myanmarextb}', "");
Expect(0, 43519, '\p{^myanmarextb}', "");
Expect(0, 43519, '\P{myanmarextb}', "");
Expect(1, 43519, '\P{^myanmarextb}', "");
Expect(0, 43520, '\p{myanmarextb}', "");
Expect(1, 43520, '\p{^myanmarextb}', "");
Expect(1, 43520, '\P{myanmarextb}', "");
Expect(0, 43520, '\P{^myanmarextb}', "");
Expect(1, 43519, '\p{ Myanmar_ext_B}', "");
Expect(0, 43519, '\p{^ Myanmar_ext_B}', "");
Expect(0, 43519, '\P{ Myanmar_ext_B}', "");
Expect(1, 43519, '\P{^ Myanmar_ext_B}', "");
Expect(0, 43520, '\p{ Myanmar_ext_B}', "");
Expect(1, 43520, '\p{^ Myanmar_ext_B}', "");
Expect(1, 43520, '\P{ Myanmar_ext_B}', "");
Expect(0, 43520, '\P{^ Myanmar_ext_B}', "");
Error('\p{:= 	Is_myanmar_EXT_B}');
Error('\P{:= 	Is_myanmar_EXT_B}');
Expect(1, 43519, '\p{ismyanmarextb}', "");
Expect(0, 43519, '\p{^ismyanmarextb}', "");
Expect(0, 43519, '\P{ismyanmarextb}', "");
Expect(1, 43519, '\P{^ismyanmarextb}', "");
Expect(0, 43520, '\p{ismyanmarextb}', "");
Expect(1, 43520, '\p{^ismyanmarextb}', "");
Expect(1, 43520, '\P{ismyanmarextb}', "");
Expect(0, 43520, '\P{^ismyanmarextb}', "");
Expect(1, 43519, '\p{--IS_Myanmar_Ext_b}', "");
Expect(0, 43519, '\p{^--IS_Myanmar_Ext_b}', "");
Expect(0, 43519, '\P{--IS_Myanmar_Ext_b}', "");
Expect(1, 43519, '\P{^--IS_Myanmar_Ext_b}', "");
Expect(0, 43520, '\p{--IS_Myanmar_Ext_b}', "");
Expect(1, 43520, '\p{^--IS_Myanmar_Ext_b}', "");
Expect(1, 43520, '\P{--IS_Myanmar_Ext_b}', "");
Expect(0, 43520, '\P{^--IS_Myanmar_Ext_b}', "");
Error('\p{ In_MYANMAR_Ext_B/a/}');
Error('\P{ In_MYANMAR_Ext_B/a/}');
Expect(1, 43519, '\p{inmyanmarextb}', "");
Expect(0, 43519, '\p{^inmyanmarextb}', "");
Expect(0, 43519, '\P{inmyanmarextb}', "");
Expect(1, 43519, '\P{^inmyanmarextb}', "");
Expect(0, 43520, '\p{inmyanmarextb}', "");
Expect(1, 43520, '\p{^inmyanmarextb}', "");
Expect(1, 43520, '\P{inmyanmarextb}', "");
Expect(0, 43520, '\P{^inmyanmarextb}', "");
Expect(1, 43519, '\p{	 in_Myanmar_ext_B}', "");
Expect(0, 43519, '\p{^	 in_Myanmar_ext_B}', "");
Expect(0, 43519, '\P{	 in_Myanmar_ext_B}', "");
Expect(1, 43519, '\P{^	 in_Myanmar_ext_B}', "");
Expect(0, 43520, '\p{	 in_Myanmar_ext_B}', "");
Expect(1, 43520, '\p{^	 in_Myanmar_ext_B}', "");
Expect(1, 43520, '\P{	 in_Myanmar_ext_B}', "");
Expect(0, 43520, '\P{^	 in_Myanmar_ext_B}', "");
Error('\p{:=	Nabataean}');
Error('\P{:=	Nabataean}');
Expect(1, 67759, '\p{nabataean}', "");
Expect(0, 67759, '\p{^nabataean}', "");
Expect(0, 67759, '\P{nabataean}', "");
Expect(1, 67759, '\P{^nabataean}', "");
Expect(0, 67760, '\p{nabataean}', "");
Expect(1, 67760, '\p{^nabataean}', "");
Expect(1, 67760, '\P{nabataean}', "");
Expect(0, 67760, '\P{^nabataean}', "");
Expect(1, 67759, '\p{_ NABATAEAN}', "");
Expect(0, 67759, '\p{^_ NABATAEAN}', "");
Expect(0, 67759, '\P{_ NABATAEAN}', "");
Expect(1, 67759, '\P{^_ NABATAEAN}', "");
Expect(0, 67760, '\p{_ NABATAEAN}', "");
Expect(1, 67760, '\p{^_ NABATAEAN}', "");
Expect(1, 67760, '\P{_ NABATAEAN}', "");
Expect(0, 67760, '\P{^_ NABATAEAN}', "");
Error('\p{:= _is_Nabataean}');
Error('\P{:= _is_Nabataean}');
Expect(1, 67759, '\p{isnabataean}', "");
Expect(0, 67759, '\p{^isnabataean}', "");
Expect(0, 67759, '\P{isnabataean}', "");
Expect(1, 67759, '\P{^isnabataean}', "");
Expect(0, 67760, '\p{isnabataean}', "");
Expect(1, 67760, '\p{^isnabataean}', "");
Expect(1, 67760, '\P{isnabataean}', "");
Expect(0, 67760, '\P{^isnabataean}', "");
Expect(1, 67759, '\p{	 Is_NABATAEAN}', "");
Expect(0, 67759, '\p{^	 Is_NABATAEAN}', "");
Expect(0, 67759, '\P{	 Is_NABATAEAN}', "");
Expect(1, 67759, '\P{^	 Is_NABATAEAN}', "");
Expect(0, 67760, '\p{	 Is_NABATAEAN}', "");
Expect(1, 67760, '\p{^	 Is_NABATAEAN}', "");
Expect(1, 67760, '\P{	 Is_NABATAEAN}', "");
Expect(0, 67760, '\P{^	 Is_NABATAEAN}', "");
Error('\p{-/a/NBAT}');
Error('\P{-/a/NBAT}');
Expect(1, 67759, '\p{nbat}', "");
Expect(0, 67759, '\p{^nbat}', "");
Expect(0, 67759, '\P{nbat}', "");
Expect(1, 67759, '\P{^nbat}', "");
Expect(0, 67760, '\p{nbat}', "");
Expect(1, 67760, '\p{^nbat}', "");
Expect(1, 67760, '\P{nbat}', "");
Expect(0, 67760, '\P{^nbat}', "");
Expect(1, 67759, '\p{ 	Nbat}', "");
Expect(0, 67759, '\p{^ 	Nbat}', "");
Expect(0, 67759, '\P{ 	Nbat}', "");
Expect(1, 67759, '\P{^ 	Nbat}', "");
Expect(0, 67760, '\p{ 	Nbat}', "");
Expect(1, 67760, '\p{^ 	Nbat}', "");
Expect(1, 67760, '\P{ 	Nbat}', "");
Expect(0, 67760, '\P{^ 	Nbat}', "");
Error('\p{/a/	_Is_NBAT}');
Error('\P{/a/	_Is_NBAT}');
Expect(1, 67759, '\p{isnbat}', "");
Expect(0, 67759, '\p{^isnbat}', "");
Expect(0, 67759, '\P{isnbat}', "");
Expect(1, 67759, '\P{^isnbat}', "");
Expect(0, 67760, '\p{isnbat}', "");
Expect(1, 67760, '\p{^isnbat}', "");
Expect(1, 67760, '\P{isnbat}', "");
Expect(0, 67760, '\P{^isnbat}', "");
Expect(1, 67759, '\p{_ Is_Nbat}', "");
Expect(0, 67759, '\p{^_ Is_Nbat}', "");
Expect(0, 67759, '\P{_ Is_Nbat}', "");
Expect(1, 67759, '\P{^_ Is_Nbat}', "");
Expect(0, 67760, '\p{_ Is_Nbat}', "");
Expect(1, 67760, '\p{^_ Is_Nbat}', "");
Expect(1, 67760, '\P{_ Is_Nbat}', "");
Expect(0, 67760, '\P{^_ Is_Nbat}', "");
Error('\p{	_new_TAI_LUE:=}');
Error('\P{	_new_TAI_LUE:=}');
Expect(1, 6623, '\p{newtailue}', "");
Expect(0, 6623, '\p{^newtailue}', "");
Expect(0, 6623, '\P{newtailue}', "");
Expect(1, 6623, '\P{^newtailue}', "");
Expect(0, 6624, '\p{newtailue}', "");
Expect(1, 6624, '\p{^newtailue}', "");
Expect(1, 6624, '\P{newtailue}', "");
Expect(0, 6624, '\P{^newtailue}', "");
Expect(1, 6623, '\p{_new_Tai_LUE}', "");
Expect(0, 6623, '\p{^_new_Tai_LUE}', "");
Expect(0, 6623, '\P{_new_Tai_LUE}', "");
Expect(1, 6623, '\P{^_new_Tai_LUE}', "");
Expect(0, 6624, '\p{_new_Tai_LUE}', "");
Expect(1, 6624, '\p{^_new_Tai_LUE}', "");
Expect(1, 6624, '\P{_new_Tai_LUE}', "");
Expect(0, 6624, '\P{^_new_Tai_LUE}', "");
Error('\p{ :=IS_New_Tai_Lue}');
Error('\P{ :=IS_New_Tai_Lue}');
Expect(1, 6623, '\p{isnewtailue}', "");
Expect(0, 6623, '\p{^isnewtailue}', "");
Expect(0, 6623, '\P{isnewtailue}', "");
Expect(1, 6623, '\P{^isnewtailue}', "");
Expect(0, 6624, '\p{isnewtailue}', "");
Expect(1, 6624, '\p{^isnewtailue}', "");
Expect(1, 6624, '\P{isnewtailue}', "");
Expect(0, 6624, '\P{^isnewtailue}', "");
Expect(1, 6623, '\p{	_Is_NEW_TAI_LUE}', "");
Expect(0, 6623, '\p{^	_Is_NEW_TAI_LUE}', "");
Expect(0, 6623, '\P{	_Is_NEW_TAI_LUE}', "");
Expect(1, 6623, '\P{^	_Is_NEW_TAI_LUE}', "");
Expect(0, 6624, '\p{	_Is_NEW_TAI_LUE}', "");
Expect(1, 6624, '\p{^	_Is_NEW_TAI_LUE}', "");
Expect(1, 6624, '\P{	_Is_NEW_TAI_LUE}', "");
Expect(0, 6624, '\P{^	_Is_NEW_TAI_LUE}', "");
Error('\p{:=		TALU}');
Error('\P{:=		TALU}');
Expect(1, 6623, '\p{talu}', "");
Expect(0, 6623, '\p{^talu}', "");
Expect(0, 6623, '\P{talu}', "");
Expect(1, 6623, '\P{^talu}', "");
Expect(0, 6624, '\p{talu}', "");
Expect(1, 6624, '\p{^talu}', "");
Expect(1, 6624, '\P{talu}', "");
Expect(0, 6624, '\P{^talu}', "");
Expect(1, 6623, '\p{  TALU}', "");
Expect(0, 6623, '\p{^  TALU}', "");
Expect(0, 6623, '\P{  TALU}', "");
Expect(1, 6623, '\P{^  TALU}', "");
Expect(0, 6624, '\p{  TALU}', "");
Expect(1, 6624, '\p{^  TALU}', "");
Expect(1, 6624, '\P{  TALU}', "");
Expect(0, 6624, '\P{^  TALU}', "");
Error('\p{	:=Is_talu}');
Error('\P{	:=Is_talu}');
Expect(1, 6623, '\p{istalu}', "");
Expect(0, 6623, '\p{^istalu}', "");
Expect(0, 6623, '\P{istalu}', "");
Expect(1, 6623, '\P{^istalu}', "");
Expect(0, 6624, '\p{istalu}', "");
Expect(1, 6624, '\p{^istalu}', "");
Expect(1, 6624, '\P{istalu}', "");
Expect(0, 6624, '\P{^istalu}', "");
Expect(1, 6623, '\p{ Is_Talu}', "");
Expect(0, 6623, '\p{^ Is_Talu}', "");
Expect(0, 6623, '\P{ Is_Talu}', "");
Expect(1, 6623, '\P{^ Is_Talu}', "");
Expect(0, 6624, '\p{ Is_Talu}', "");
Expect(1, 6624, '\p{^ Is_Talu}', "");
Expect(1, 6624, '\P{ Is_Talu}', "");
Expect(0, 6624, '\P{^ Is_Talu}', "");
Error('\p{-:=Nko}');
Error('\P{-:=Nko}');
Expect(1, 2042, '\p{nko}', "");
Expect(0, 2042, '\p{^nko}', "");
Expect(0, 2042, '\P{nko}', "");
Expect(1, 2042, '\P{^nko}', "");
Expect(0, 2043, '\p{nko}', "");
Expect(1, 2043, '\p{^nko}', "");
Expect(1, 2043, '\P{nko}', "");
Expect(0, 2043, '\P{^nko}', "");
Expect(1, 2042, '\p{_NKO}', "");
Expect(0, 2042, '\p{^_NKO}', "");
Expect(0, 2042, '\P{_NKO}', "");
Expect(1, 2042, '\P{^_NKO}', "");
Expect(0, 2043, '\p{_NKO}', "");
Expect(1, 2043, '\p{^_NKO}', "");
Expect(1, 2043, '\P{_NKO}', "");
Expect(0, 2043, '\P{^_NKO}', "");
Error('\p{/a/-Is_Nko}');
Error('\P{/a/-Is_Nko}');
Expect(1, 2042, '\p{isnko}', "");
Expect(0, 2042, '\p{^isnko}', "");
Expect(0, 2042, '\P{isnko}', "");
Expect(1, 2042, '\P{^isnko}', "");
Expect(0, 2043, '\p{isnko}', "");
Expect(1, 2043, '\p{^isnko}', "");
Expect(1, 2043, '\P{isnko}', "");
Expect(0, 2043, '\P{^isnko}', "");
Expect(1, 2042, '\p{ is_NKO}', "");
Expect(0, 2042, '\p{^ is_NKO}', "");
Expect(0, 2042, '\P{ is_NKO}', "");
Expect(1, 2042, '\P{^ is_NKO}', "");
Expect(0, 2043, '\p{ is_NKO}', "");
Expect(1, 2043, '\p{^ is_NKO}', "");
Expect(1, 2043, '\P{ is_NKO}', "");
Expect(0, 2043, '\P{^ is_NKO}', "");
Error('\p{_:=Nkoo}');
Error('\P{_:=Nkoo}');
Expect(1, 2042, '\p{nkoo}', "");
Expect(0, 2042, '\p{^nkoo}', "");
Expect(0, 2042, '\P{nkoo}', "");
Expect(1, 2042, '\P{^nkoo}', "");
Expect(0, 2043, '\p{nkoo}', "");
Expect(1, 2043, '\p{^nkoo}', "");
Expect(1, 2043, '\P{nkoo}', "");
Expect(0, 2043, '\P{^nkoo}', "");
Expect(1, 2042, '\p{	-nkoo}', "");
Expect(0, 2042, '\p{^	-nkoo}', "");
Expect(0, 2042, '\P{	-nkoo}', "");
Expect(1, 2042, '\P{^	-nkoo}', "");
Expect(0, 2043, '\p{	-nkoo}', "");
Expect(1, 2043, '\p{^	-nkoo}', "");
Expect(1, 2043, '\P{	-nkoo}', "");
Expect(0, 2043, '\P{^	-nkoo}', "");
Error('\p{/a/  IS_Nkoo}');
Error('\P{/a/  IS_Nkoo}');
Expect(1, 2042, '\p{isnkoo}', "");
Expect(0, 2042, '\p{^isnkoo}', "");
Expect(0, 2042, '\P{isnkoo}', "");
Expect(1, 2042, '\P{^isnkoo}', "");
Expect(0, 2043, '\p{isnkoo}', "");
Expect(1, 2043, '\p{^isnkoo}', "");
Expect(1, 2043, '\P{isnkoo}', "");
Expect(0, 2043, '\P{^isnkoo}', "");
Expect(1, 2042, '\p{		is_nkoo}', "");
Expect(0, 2042, '\p{^		is_nkoo}', "");
Expect(0, 2042, '\P{		is_nkoo}', "");
Expect(1, 2042, '\P{^		is_nkoo}', "");
Expect(0, 2043, '\p{		is_nkoo}', "");
Expect(1, 2043, '\p{^		is_nkoo}', "");
Expect(1, 2043, '\P{		is_nkoo}', "");
Expect(0, 2043, '\P{^		is_nkoo}', "");
Error('\p{ :=NO_block}');
Error('\P{ :=NO_block}');
Expect(1, 918000, '\p{noblock}', "");
Expect(0, 918000, '\p{^noblock}', "");
Expect(0, 918000, '\P{noblock}', "");
Expect(1, 918000, '\P{^noblock}', "");
Expect(0, 983040, '\p{noblock}', "");
Expect(1, 983040, '\p{^noblock}', "");
Expect(1, 983040, '\P{noblock}', "");
Expect(0, 983040, '\P{^noblock}', "");
Expect(1, 918000, '\p{	NO_Block}', "");
Expect(0, 918000, '\p{^	NO_Block}', "");
Expect(0, 918000, '\P{	NO_Block}', "");
Expect(1, 918000, '\P{^	NO_Block}', "");
Expect(0, 983040, '\p{	NO_Block}', "");
Expect(1, 983040, '\p{^	NO_Block}', "");
Expect(1, 983040, '\P{	NO_Block}', "");
Expect(0, 983040, '\P{^	NO_Block}', "");
Error('\p{/a/ _Is_No_Block}');
Error('\P{/a/ _Is_No_Block}');
Expect(1, 918000, '\p{isnoblock}', "");
Expect(0, 918000, '\p{^isnoblock}', "");
Expect(0, 918000, '\P{isnoblock}', "");
Expect(1, 918000, '\P{^isnoblock}', "");
Expect(0, 983040, '\p{isnoblock}', "");
Expect(1, 983040, '\p{^isnoblock}', "");
Expect(1, 983040, '\P{isnoblock}', "");
Expect(0, 983040, '\P{^isnoblock}', "");
Expect(1, 918000, '\p{	Is_NO_block}', "");
Expect(0, 918000, '\p{^	Is_NO_block}', "");
Expect(0, 918000, '\P{	Is_NO_block}', "");
Expect(1, 918000, '\P{^	Is_NO_block}', "");
Expect(0, 983040, '\p{	Is_NO_block}', "");
Expect(1, 983040, '\p{^	Is_NO_block}', "");
Expect(1, 983040, '\P{	Is_NO_block}', "");
Expect(0, 983040, '\P{^	Is_NO_block}', "");
Error('\p{_IN_no_Block:=}');
Error('\P{_IN_no_Block:=}');
Expect(1, 918000, '\p{innoblock}', "");
Expect(0, 918000, '\p{^innoblock}', "");
Expect(0, 918000, '\P{innoblock}', "");
Expect(1, 918000, '\P{^innoblock}', "");
Expect(0, 983040, '\p{innoblock}', "");
Expect(1, 983040, '\p{^innoblock}', "");
Expect(1, 983040, '\P{innoblock}', "");
Expect(0, 983040, '\P{^innoblock}', "");
Expect(1, 918000, '\p{	IN_No_block}', "");
Expect(0, 918000, '\p{^	IN_No_block}', "");
Expect(0, 918000, '\P{	IN_No_block}', "");
Expect(1, 918000, '\P{^	IN_No_block}', "");
Expect(0, 983040, '\p{	IN_No_block}', "");
Expect(1, 983040, '\p{^	IN_No_block}', "");
Expect(1, 983040, '\P{	IN_No_block}', "");
Expect(0, 983040, '\P{^	IN_No_block}', "");
Error('\p{-_NB/a/}');
Error('\P{-_NB/a/}');
Expect(1, 918000, '\p{nb}', "");
Expect(0, 918000, '\p{^nb}', "");
Expect(0, 918000, '\P{nb}', "");
Expect(1, 918000, '\P{^nb}', "");
Expect(0, 983040, '\p{nb}', "");
Expect(1, 983040, '\p{^nb}', "");
Expect(1, 983040, '\P{nb}', "");
Expect(0, 983040, '\P{^nb}', "");
Expect(1, 918000, '\p{--NB}', "");
Expect(0, 918000, '\p{^--NB}', "");
Expect(0, 918000, '\P{--NB}', "");
Expect(1, 918000, '\P{^--NB}', "");
Expect(0, 983040, '\p{--NB}', "");
Expect(1, 983040, '\p{^--NB}', "");
Expect(1, 983040, '\P{--NB}', "");
Expect(0, 983040, '\P{^--NB}', "");
Error('\p{-/a/is_nb}');
Error('\P{-/a/is_nb}');
Expect(1, 918000, '\p{isnb}', "");
Expect(0, 918000, '\p{^isnb}', "");
Expect(0, 918000, '\P{isnb}', "");
Expect(1, 918000, '\P{^isnb}', "");
Expect(0, 983040, '\p{isnb}', "");
Expect(1, 983040, '\p{^isnb}', "");
Expect(1, 983040, '\P{isnb}', "");
Expect(0, 983040, '\P{^isnb}', "");
Expect(1, 918000, '\p{- Is_NB}', "");
Expect(0, 918000, '\p{^- Is_NB}', "");
Expect(0, 918000, '\P{- Is_NB}', "");
Expect(1, 918000, '\P{^- Is_NB}', "");
Expect(0, 983040, '\p{- Is_NB}', "");
Expect(1, 983040, '\p{^- Is_NB}', "");
Expect(1, 983040, '\P{- Is_NB}', "");
Expect(0, 983040, '\P{^- Is_NB}', "");
Error('\p{/a/ In_NB}');
Error('\P{/a/ In_NB}');
Expect(1, 918000, '\p{innb}', "");
Expect(0, 918000, '\p{^innb}', "");
Expect(0, 918000, '\P{innb}', "");
Expect(1, 918000, '\P{^innb}', "");
Expect(0, 983040, '\p{innb}', "");
Expect(1, 983040, '\p{^innb}', "");
Expect(1, 983040, '\P{innb}', "");
Expect(0, 983040, '\P{^innb}', "");
Expect(1, 918000, '\p{ _In_nb}', "");
Expect(0, 918000, '\p{^ _In_nb}', "");
Expect(0, 918000, '\P{ _In_nb}', "");
Expect(1, 918000, '\P{^ _In_nb}', "");
Expect(0, 983040, '\p{ _In_nb}', "");
Expect(1, 983040, '\p{^ _In_nb}', "");
Expect(1, 983040, '\P{ _In_nb}', "");
Expect(0, 983040, '\P{^ _In_nb}', "");
Error('\p{	/a/Noncharacter_Code_POINT}');
Error('\P{	/a/Noncharacter_Code_POINT}');
Expect(1, 1114111, '\p{noncharactercodepoint}', "");
Expect(0, 1114111, '\p{^noncharactercodepoint}', "");
Expect(0, 1114111, '\P{noncharactercodepoint}', "");
Expect(1, 1114111, '\P{^noncharactercodepoint}', "");
Expect(0, 1114109, '\p{noncharactercodepoint}', "");
Expect(1, 1114109, '\p{^noncharactercodepoint}', "");
Expect(1, 1114109, '\P{noncharactercodepoint}', "");
Expect(0, 1114109, '\P{^noncharactercodepoint}', "");
Expect(1, 1114111, '\p{ 	Noncharacter_code_POINT}', "");
Expect(0, 1114111, '\p{^ 	Noncharacter_code_POINT}', "");
Expect(0, 1114111, '\P{ 	Noncharacter_code_POINT}', "");
Expect(1, 1114111, '\P{^ 	Noncharacter_code_POINT}', "");
Expect(0, 1114109, '\p{ 	Noncharacter_code_POINT}', "");
Expect(1, 1114109, '\p{^ 	Noncharacter_code_POINT}', "");
Expect(1, 1114109, '\P{ 	Noncharacter_code_POINT}', "");
Expect(0, 1114109, '\P{^ 	Noncharacter_code_POINT}', "");
Error('\p{	 Is_NONCHARACTER_Code_point/a/}');
Error('\P{	 Is_NONCHARACTER_Code_point/a/}');
Expect(1, 1114111, '\p{isnoncharactercodepoint}', "");
Expect(0, 1114111, '\p{^isnoncharactercodepoint}', "");
Expect(0, 1114111, '\P{isnoncharactercodepoint}', "");
Expect(1, 1114111, '\P{^isnoncharactercodepoint}', "");
Expect(0, 1114109, '\p{isnoncharactercodepoint}', "");
Expect(1, 1114109, '\p{^isnoncharactercodepoint}', "");
Expect(1, 1114109, '\P{isnoncharactercodepoint}', "");
Expect(0, 1114109, '\P{^isnoncharactercodepoint}', "");
Expect(1, 1114111, '\p{_-Is_Noncharacter_Code_Point}', "");
Expect(0, 1114111, '\p{^_-Is_Noncharacter_Code_Point}', "");
Expect(0, 1114111, '\P{_-Is_Noncharacter_Code_Point}', "");
Expect(1, 1114111, '\P{^_-Is_Noncharacter_Code_Point}', "");
Expect(0, 1114109, '\p{_-Is_Noncharacter_Code_Point}', "");
Expect(1, 1114109, '\p{^_-Is_Noncharacter_Code_Point}', "");
Expect(1, 1114109, '\P{_-Is_Noncharacter_Code_Point}', "");
Expect(0, 1114109, '\P{^_-Is_Noncharacter_Code_Point}', "");
Error('\p{/a/ _NCHAR}');
Error('\P{/a/ _NCHAR}');
Expect(1, 1114111, '\p{nchar}', "");
Expect(0, 1114111, '\p{^nchar}', "");
Expect(0, 1114111, '\P{nchar}', "");
Expect(1, 1114111, '\P{^nchar}', "");
Expect(0, 1114109, '\p{nchar}', "");
Expect(1, 1114109, '\p{^nchar}', "");
Expect(1, 1114109, '\P{nchar}', "");
Expect(0, 1114109, '\P{^nchar}', "");
Expect(1, 1114111, '\p{_-nchar}', "");
Expect(0, 1114111, '\p{^_-nchar}', "");
Expect(0, 1114111, '\P{_-nchar}', "");
Expect(1, 1114111, '\P{^_-nchar}', "");
Expect(0, 1114109, '\p{_-nchar}', "");
Expect(1, 1114109, '\p{^_-nchar}', "");
Expect(1, 1114109, '\P{_-nchar}', "");
Expect(0, 1114109, '\P{^_-nchar}', "");
Error('\p{_/a/is_NChar}');
Error('\P{_/a/is_NChar}');
Expect(1, 1114111, '\p{isnchar}', "");
Expect(0, 1114111, '\p{^isnchar}', "");
Expect(0, 1114111, '\P{isnchar}', "");
Expect(1, 1114111, '\P{^isnchar}', "");
Expect(0, 1114109, '\p{isnchar}', "");
Expect(1, 1114109, '\p{^isnchar}', "");
Expect(1, 1114109, '\P{isnchar}', "");
Expect(0, 1114109, '\P{^isnchar}', "");
Expect(1, 1114111, '\p{		Is_nchar}', "");
Expect(0, 1114111, '\p{^		Is_nchar}', "");
Expect(0, 1114111, '\P{		Is_nchar}', "");
Expect(1, 1114111, '\P{^		Is_nchar}', "");
Expect(0, 1114109, '\p{		Is_nchar}', "");
Expect(1, 1114109, '\p{^		Is_nchar}', "");
Expect(1, 1114109, '\P{		Is_nchar}', "");
Expect(0, 1114109, '\P{^		Is_nchar}', "");
Error('\p{_Nonspacing_Mark:=}');
Error('\P{_Nonspacing_Mark:=}');
Expect(1, 917999, '\p{nonspacingmark}', "");
Expect(0, 917999, '\p{^nonspacingmark}', "");
Expect(0, 917999, '\P{nonspacingmark}', "");
Expect(1, 917999, '\P{^nonspacingmark}', "");
Expect(0, 918000, '\p{nonspacingmark}', "");
Expect(1, 918000, '\p{^nonspacingmark}', "");
Expect(1, 918000, '\P{nonspacingmark}', "");
Expect(0, 918000, '\P{^nonspacingmark}', "");
Expect(1, 917999, '\p{ 	Nonspacing_mark}', "");
Expect(0, 917999, '\p{^ 	Nonspacing_mark}', "");
Expect(0, 917999, '\P{ 	Nonspacing_mark}', "");
Expect(1, 917999, '\P{^ 	Nonspacing_mark}', "");
Expect(0, 918000, '\p{ 	Nonspacing_mark}', "");
Expect(1, 918000, '\p{^ 	Nonspacing_mark}', "");
Expect(1, 918000, '\P{ 	Nonspacing_mark}', "");
Expect(0, 918000, '\P{^ 	Nonspacing_mark}', "");
Error('\p{ 	IS_Nonspacing_Mark:=}');
Error('\P{ 	IS_Nonspacing_Mark:=}');
Expect(1, 917999, '\p{isnonspacingmark}', "");
Expect(0, 917999, '\p{^isnonspacingmark}', "");
Expect(0, 917999, '\P{isnonspacingmark}', "");
Expect(1, 917999, '\P{^isnonspacingmark}', "");
Expect(0, 918000, '\p{isnonspacingmark}', "");
Expect(1, 918000, '\p{^isnonspacingmark}', "");
Expect(1, 918000, '\P{isnonspacingmark}', "");
Expect(0, 918000, '\P{^isnonspacingmark}', "");
Expect(1, 917999, '\p{_Is_nonspacing_mark}', "");
Expect(0, 917999, '\p{^_Is_nonspacing_mark}', "");
Expect(0, 917999, '\P{_Is_nonspacing_mark}', "");
Expect(1, 917999, '\P{^_Is_nonspacing_mark}', "");
Expect(0, 918000, '\p{_Is_nonspacing_mark}', "");
Expect(1, 918000, '\p{^_Is_nonspacing_mark}', "");
Expect(1, 918000, '\P{_Is_nonspacing_mark}', "");
Expect(0, 918000, '\P{^_Is_nonspacing_mark}', "");
Error('\p{:= -mn}');
Error('\P{:= -mn}');
Expect(1, 917999, '\p{mn}', "");
Expect(0, 917999, '\p{^mn}', "");
Expect(0, 917999, '\P{mn}', "");
Expect(1, 917999, '\P{^mn}', "");
Expect(0, 918000, '\p{mn}', "");
Expect(1, 918000, '\p{^mn}', "");
Expect(1, 918000, '\P{mn}', "");
Expect(0, 918000, '\P{^mn}', "");
Expect(1, 917999, '\p{-_Mn}', "");
Expect(0, 917999, '\p{^-_Mn}', "");
Expect(0, 917999, '\P{-_Mn}', "");
Expect(1, 917999, '\P{^-_Mn}', "");
Expect(0, 918000, '\p{-_Mn}', "");
Expect(1, 918000, '\p{^-_Mn}', "");
Expect(1, 918000, '\P{-_Mn}', "");
Expect(0, 918000, '\P{^-_Mn}', "");
Error('\p{- IS_Mn:=}');
Error('\P{- IS_Mn:=}');
Expect(1, 917999, '\p{ismn}', "");
Expect(0, 917999, '\p{^ismn}', "");
Expect(0, 917999, '\P{ismn}', "");
Expect(1, 917999, '\P{^ismn}', "");
Expect(0, 918000, '\p{ismn}', "");
Expect(1, 918000, '\p{^ismn}', "");
Expect(1, 918000, '\P{ismn}', "");
Expect(0, 918000, '\P{^ismn}', "");
Expect(1, 917999, '\p{-	IS_Mn}', "");
Expect(0, 917999, '\p{^-	IS_Mn}', "");
Expect(0, 917999, '\P{-	IS_Mn}', "");
Expect(1, 917999, '\P{^-	IS_Mn}', "");
Expect(0, 918000, '\p{-	IS_Mn}', "");
Expect(1, 918000, '\p{^-	IS_Mn}', "");
Expect(1, 918000, '\P{-	IS_Mn}', "");
Expect(0, 918000, '\P{^-	IS_Mn}', "");
Error('\p{_NUMBER/a/}');
Error('\P{_NUMBER/a/}');
Expect(1, 127244, '\p{number}', "");
Expect(0, 127244, '\p{^number}', "");
Expect(0, 127244, '\P{number}', "");
Expect(1, 127244, '\P{^number}', "");
Expect(0, 127245, '\p{number}', "");
Expect(1, 127245, '\p{^number}', "");
Expect(1, 127245, '\P{number}', "");
Expect(0, 127245, '\P{^number}', "");
Expect(1, 127244, '\p{--NUMBER}', "");
Expect(0, 127244, '\p{^--NUMBER}', "");
Expect(0, 127244, '\P{--NUMBER}', "");
Expect(1, 127244, '\P{^--NUMBER}', "");
Expect(0, 127245, '\p{--NUMBER}', "");
Expect(1, 127245, '\p{^--NUMBER}', "");
Expect(1, 127245, '\P{--NUMBER}', "");
Expect(0, 127245, '\P{^--NUMBER}', "");
Error('\p{:=is_number}');
Error('\P{:=is_number}');
Expect(1, 127244, '\p{isnumber}', "");
Expect(0, 127244, '\p{^isnumber}', "");
Expect(0, 127244, '\P{isnumber}', "");
Expect(1, 127244, '\P{^isnumber}', "");
Expect(0, 127245, '\p{isnumber}', "");
Expect(1, 127245, '\p{^isnumber}', "");
Expect(1, 127245, '\P{isnumber}', "");
Expect(0, 127245, '\P{^isnumber}', "");
Expect(1, 127244, '\p{		is_Number}', "");
Expect(0, 127244, '\p{^		is_Number}', "");
Expect(0, 127244, '\P{		is_Number}', "");
Expect(1, 127244, '\P{^		is_Number}', "");
Expect(0, 127245, '\p{		is_Number}', "");
Expect(1, 127245, '\p{^		is_Number}', "");
Expect(1, 127245, '\P{		is_Number}', "");
Expect(0, 127245, '\P{^		is_Number}', "");
Error('\p{	N:=}');
Error('\P{	N:=}');
Expect(1, 127244, '\p{n}', "");
Expect(0, 127244, '\p{^n}', "");
Expect(0, 127244, '\P{n}', "");
Expect(1, 127244, '\P{^n}', "");
Expect(0, 127245, '\p{n}', "");
Expect(1, 127245, '\p{^n}', "");
Expect(1, 127245, '\P{n}', "");
Expect(0, 127245, '\P{^n}', "");
Expect(1, 127244, '\p{	N}', "");
Expect(0, 127244, '\p{^	N}', "");
Expect(0, 127244, '\P{	N}', "");
Expect(1, 127244, '\P{^	N}', "");
Expect(0, 127245, '\p{	N}', "");
Expect(1, 127245, '\p{^	N}', "");
Expect(1, 127245, '\P{	N}', "");
Expect(0, 127245, '\P{^	N}', "");
Error('\p{	:=Is_N}');
Error('\P{	:=Is_N}');
Expect(1, 127244, '\p{isn}', "");
Expect(0, 127244, '\p{^isn}', "");
Expect(0, 127244, '\P{isn}', "");
Expect(1, 127244, '\P{^isn}', "");
Expect(0, 127245, '\p{isn}', "");
Expect(1, 127245, '\p{^isn}', "");
Expect(1, 127245, '\P{isn}', "");
Expect(0, 127245, '\P{^isn}', "");
Expect(1, 127244, '\p{ 	IS_N}', "");
Expect(0, 127244, '\p{^ 	IS_N}', "");
Expect(0, 127244, '\P{ 	IS_N}', "");
Expect(1, 127244, '\P{^ 	IS_N}', "");
Expect(0, 127245, '\p{ 	IS_N}', "");
Expect(1, 127245, '\p{^ 	IS_N}', "");
Expect(1, 127245, '\P{ 	IS_N}', "");
Expect(0, 127245, '\P{^ 	IS_N}', "");
Error('\p{:=  number_Forms}');
Error('\P{:=  number_Forms}');
Expect(1, 8591, '\p{numberforms}', "");
Expect(0, 8591, '\p{^numberforms}', "");
Expect(0, 8591, '\P{numberforms}', "");
Expect(1, 8591, '\P{^numberforms}', "");
Expect(0, 8592, '\p{numberforms}', "");
Expect(1, 8592, '\p{^numberforms}', "");
Expect(1, 8592, '\P{numberforms}', "");
Expect(0, 8592, '\P{^numberforms}', "");
Expect(1, 8591, '\p{	number_Forms}', "");
Expect(0, 8591, '\p{^	number_Forms}', "");
Expect(0, 8591, '\P{	number_Forms}', "");
Expect(1, 8591, '\P{^	number_Forms}', "");
Expect(0, 8592, '\p{	number_Forms}', "");
Expect(1, 8592, '\p{^	number_Forms}', "");
Expect(1, 8592, '\P{	number_Forms}', "");
Expect(0, 8592, '\P{^	number_Forms}', "");
Error('\p{ /a/Is_Number_Forms}');
Error('\P{ /a/Is_Number_Forms}');
Expect(1, 8591, '\p{isnumberforms}', "");
Expect(0, 8591, '\p{^isnumberforms}', "");
Expect(0, 8591, '\P{isnumberforms}', "");
Expect(1, 8591, '\P{^isnumberforms}', "");
Expect(0, 8592, '\p{isnumberforms}', "");
Expect(1, 8592, '\p{^isnumberforms}', "");
Expect(1, 8592, '\P{isnumberforms}', "");
Expect(0, 8592, '\P{^isnumberforms}', "");
Expect(1, 8591, '\p{	 Is_Number_FORMS}', "");
Expect(0, 8591, '\p{^	 Is_Number_FORMS}', "");
Expect(0, 8591, '\P{	 Is_Number_FORMS}', "");
Expect(1, 8591, '\P{^	 Is_Number_FORMS}', "");
Expect(0, 8592, '\p{	 Is_Number_FORMS}', "");
Expect(1, 8592, '\p{^	 Is_Number_FORMS}', "");
Expect(1, 8592, '\P{	 Is_Number_FORMS}', "");
Expect(0, 8592, '\P{^	 Is_Number_FORMS}', "");
Error('\p{:= _In_number_Forms}');
Error('\P{:= _In_number_Forms}');
Expect(1, 8591, '\p{innumberforms}', "");
Expect(0, 8591, '\p{^innumberforms}', "");
Expect(0, 8591, '\P{innumberforms}', "");
Expect(1, 8591, '\P{^innumberforms}', "");
Expect(0, 8592, '\p{innumberforms}', "");
Expect(1, 8592, '\p{^innumberforms}', "");
Expect(1, 8592, '\P{innumberforms}', "");
Expect(0, 8592, '\P{^innumberforms}', "");
Expect(1, 8591, '\p{-in_Number_Forms}', "");
Expect(0, 8591, '\p{^-in_Number_Forms}', "");
Expect(0, 8591, '\P{-in_Number_Forms}', "");
Expect(1, 8591, '\P{^-in_Number_Forms}', "");
Expect(0, 8592, '\p{-in_Number_Forms}', "");
Expect(1, 8592, '\p{^-in_Number_Forms}', "");
Expect(1, 8592, '\P{-in_Number_Forms}', "");
Expect(0, 8592, '\P{^-in_Number_Forms}', "");
Error('\p{:=	ogham}');
Error('\P{:=	ogham}');
Expect(1, 5788, '\p{ogham}', "");
Expect(0, 5788, '\p{^ogham}', "");
Expect(0, 5788, '\P{ogham}', "");
Expect(1, 5788, '\P{^ogham}', "");
Expect(0, 5789, '\p{ogham}', "");
Expect(1, 5789, '\p{^ogham}', "");
Expect(1, 5789, '\P{ogham}', "");
Expect(0, 5789, '\P{^ogham}', "");
Expect(1, 5788, '\p{ Ogham}', "");
Expect(0, 5788, '\p{^ Ogham}', "");
Expect(0, 5788, '\P{ Ogham}', "");
Expect(1, 5788, '\P{^ Ogham}', "");
Expect(0, 5789, '\p{ Ogham}', "");
Expect(1, 5789, '\p{^ Ogham}', "");
Expect(1, 5789, '\P{ Ogham}', "");
Expect(0, 5789, '\P{^ Ogham}', "");
Error('\p{-is_Ogham:=}');
Error('\P{-is_Ogham:=}');
Expect(1, 5788, '\p{isogham}', "");
Expect(0, 5788, '\p{^isogham}', "");
Expect(0, 5788, '\P{isogham}', "");
Expect(1, 5788, '\P{^isogham}', "");
Expect(0, 5789, '\p{isogham}', "");
Expect(1, 5789, '\p{^isogham}', "");
Expect(1, 5789, '\P{isogham}', "");
Expect(0, 5789, '\P{^isogham}', "");
Expect(1, 5788, '\p{	_Is_Ogham}', "");
Expect(0, 5788, '\p{^	_Is_Ogham}', "");
Expect(0, 5788, '\P{	_Is_Ogham}', "");
Expect(1, 5788, '\P{^	_Is_Ogham}', "");
Expect(0, 5789, '\p{	_Is_Ogham}', "");
Expect(1, 5789, '\p{^	_Is_Ogham}', "");
Expect(1, 5789, '\P{	_Is_Ogham}', "");
Expect(0, 5789, '\P{^	_Is_Ogham}', "");
Error('\p{-:=Ogam}');
Error('\P{-:=Ogam}');
Expect(1, 5788, '\p{ogam}', "");
Expect(0, 5788, '\p{^ogam}', "");
Expect(0, 5788, '\P{ogam}', "");
Expect(1, 5788, '\P{^ogam}', "");
Expect(0, 5789, '\p{ogam}', "");
Expect(1, 5789, '\p{^ogam}', "");
Expect(1, 5789, '\P{ogam}', "");
Expect(0, 5789, '\P{^ogam}', "");
Expect(1, 5788, '\p{	-OGAM}', "");
Expect(0, 5788, '\p{^	-OGAM}', "");
Expect(0, 5788, '\P{	-OGAM}', "");
Expect(1, 5788, '\P{^	-OGAM}', "");
Expect(0, 5789, '\p{	-OGAM}', "");
Expect(1, 5789, '\p{^	-OGAM}', "");
Expect(1, 5789, '\P{	-OGAM}', "");
Expect(0, 5789, '\P{^	-OGAM}', "");
Error('\p{:=_ Is_OGAM}');
Error('\P{:=_ Is_OGAM}');
Expect(1, 5788, '\p{isogam}', "");
Expect(0, 5788, '\p{^isogam}', "");
Expect(0, 5788, '\P{isogam}', "");
Expect(1, 5788, '\P{^isogam}', "");
Expect(0, 5789, '\p{isogam}', "");
Expect(1, 5789, '\p{^isogam}', "");
Expect(1, 5789, '\P{isogam}', "");
Expect(0, 5789, '\P{^isogam}', "");
Expect(1, 5788, '\p{  Is_OGAM}', "");
Expect(0, 5788, '\p{^  Is_OGAM}', "");
Expect(0, 5788, '\P{  Is_OGAM}', "");
Expect(1, 5788, '\P{^  Is_OGAM}', "");
Expect(0, 5789, '\p{  Is_OGAM}', "");
Expect(1, 5789, '\p{^  Is_OGAM}', "");
Expect(1, 5789, '\P{  Is_OGAM}', "");
Expect(0, 5789, '\P{^  Is_OGAM}', "");
Error('\p{:=_OL_Chiki}');
Error('\P{:=_OL_Chiki}');
Expect(1, 7295, '\p{olchiki}', "");
Expect(0, 7295, '\p{^olchiki}', "");
Expect(0, 7295, '\P{olchiki}', "");
Expect(1, 7295, '\P{^olchiki}', "");
Expect(0, 7296, '\p{olchiki}', "");
Expect(1, 7296, '\p{^olchiki}', "");
Expect(1, 7296, '\P{olchiki}', "");
Expect(0, 7296, '\P{^olchiki}', "");
Expect(1, 7295, '\p{ol_Chiki}', "");
Expect(0, 7295, '\p{^ol_Chiki}', "");
Expect(0, 7295, '\P{ol_Chiki}', "");
Expect(1, 7295, '\P{^ol_Chiki}', "");
Expect(0, 7296, '\p{ol_Chiki}', "");
Expect(1, 7296, '\p{^ol_Chiki}', "");
Expect(1, 7296, '\P{ol_Chiki}', "");
Expect(0, 7296, '\P{^ol_Chiki}', "");
Error('\p{ _IS_Ol_chiki:=}');
Error('\P{ _IS_Ol_chiki:=}');
Expect(1, 7295, '\p{isolchiki}', "");
Expect(0, 7295, '\p{^isolchiki}', "");
Expect(0, 7295, '\P{isolchiki}', "");
Expect(1, 7295, '\P{^isolchiki}', "");
Expect(0, 7296, '\p{isolchiki}', "");
Expect(1, 7296, '\p{^isolchiki}', "");
Expect(1, 7296, '\P{isolchiki}', "");
Expect(0, 7296, '\P{^isolchiki}', "");
Expect(1, 7295, '\p{	 Is_OL_Chiki}', "");
Expect(0, 7295, '\p{^	 Is_OL_Chiki}', "");
Expect(0, 7295, '\P{	 Is_OL_Chiki}', "");
Expect(1, 7295, '\P{^	 Is_OL_Chiki}', "");
Expect(0, 7296, '\p{	 Is_OL_Chiki}', "");
Expect(1, 7296, '\p{^	 Is_OL_Chiki}', "");
Expect(1, 7296, '\P{	 Is_OL_Chiki}', "");
Expect(0, 7296, '\P{^	 Is_OL_Chiki}', "");
Error('\p{:=  OLCK}');
Error('\P{:=  OLCK}');
Expect(1, 7295, '\p{olck}', "");
Expect(0, 7295, '\p{^olck}', "");
Expect(0, 7295, '\P{olck}', "");
Expect(1, 7295, '\P{^olck}', "");
Expect(0, 7296, '\p{olck}', "");
Expect(1, 7296, '\p{^olck}', "");
Expect(1, 7296, '\P{olck}', "");
Expect(0, 7296, '\P{^olck}', "");
Expect(1, 7295, '\p{_ Olck}', "");
Expect(0, 7295, '\p{^_ Olck}', "");
Expect(0, 7295, '\P{_ Olck}', "");
Expect(1, 7295, '\P{^_ Olck}', "");
Expect(0, 7296, '\p{_ Olck}', "");
Expect(1, 7296, '\p{^_ Olck}', "");
Expect(1, 7296, '\P{_ Olck}', "");
Expect(0, 7296, '\P{^_ Olck}', "");
Error('\p{:=	 Is_Olck}');
Error('\P{:=	 Is_Olck}');
Expect(1, 7295, '\p{isolck}', "");
Expect(0, 7295, '\p{^isolck}', "");
Expect(0, 7295, '\P{isolck}', "");
Expect(1, 7295, '\P{^isolck}', "");
Expect(0, 7296, '\p{isolck}', "");
Expect(1, 7296, '\p{^isolck}', "");
Expect(1, 7296, '\P{isolck}', "");
Expect(0, 7296, '\P{^isolck}', "");
Expect(1, 7295, '\p{		is_Olck}', "");
Expect(0, 7295, '\p{^		is_Olck}', "");
Expect(0, 7295, '\P{		is_Olck}', "");
Expect(1, 7295, '\P{^		is_Olck}', "");
Expect(0, 7296, '\p{		is_Olck}', "");
Expect(1, 7296, '\p{^		is_Olck}', "");
Expect(1, 7296, '\P{		is_Olck}', "");
Expect(0, 7296, '\P{^		is_Olck}', "");
Error('\p{_-old_HUNGARIAN/a/}');
Error('\P{_-old_HUNGARIAN/a/}');
Expect(1, 68863, '\p{oldhungarian}', "");
Expect(0, 68863, '\p{^oldhungarian}', "");
Expect(0, 68863, '\P{oldhungarian}', "");
Expect(1, 68863, '\P{^oldhungarian}', "");
Expect(0, 68864, '\p{oldhungarian}', "");
Expect(1, 68864, '\p{^oldhungarian}', "");
Expect(1, 68864, '\P{oldhungarian}', "");
Expect(0, 68864, '\P{^oldhungarian}', "");
Expect(1, 68863, '\p{  old_hungarian}', "");
Expect(0, 68863, '\p{^  old_hungarian}', "");
Expect(0, 68863, '\P{  old_hungarian}', "");
Expect(1, 68863, '\P{^  old_hungarian}', "");
Expect(0, 68864, '\p{  old_hungarian}', "");
Expect(1, 68864, '\p{^  old_hungarian}', "");
Expect(1, 68864, '\P{  old_hungarian}', "");
Expect(0, 68864, '\P{^  old_hungarian}', "");
Error('\p{:= Is_OLD_Hungarian}');
Error('\P{:= Is_OLD_Hungarian}');
Expect(1, 68863, '\p{isoldhungarian}', "");
Expect(0, 68863, '\p{^isoldhungarian}', "");
Expect(0, 68863, '\P{isoldhungarian}', "");
Expect(1, 68863, '\P{^isoldhungarian}', "");
Expect(0, 68864, '\p{isoldhungarian}', "");
Expect(1, 68864, '\p{^isoldhungarian}', "");
Expect(1, 68864, '\P{isoldhungarian}', "");
Expect(0, 68864, '\P{^isoldhungarian}', "");
Expect(1, 68863, '\p{ IS_OLD_Hungarian}', "");
Expect(0, 68863, '\p{^ IS_OLD_Hungarian}', "");
Expect(0, 68863, '\P{ IS_OLD_Hungarian}', "");
Expect(1, 68863, '\P{^ IS_OLD_Hungarian}', "");
Expect(0, 68864, '\p{ IS_OLD_Hungarian}', "");
Expect(1, 68864, '\p{^ IS_OLD_Hungarian}', "");
Expect(1, 68864, '\P{ IS_OLD_Hungarian}', "");
Expect(0, 68864, '\P{^ IS_OLD_Hungarian}', "");
Error('\p{-/a/Hung}');
Error('\P{-/a/Hung}');
Expect(1, 68863, '\p{hung}', "");
Expect(0, 68863, '\p{^hung}', "");
Expect(0, 68863, '\P{hung}', "");
Expect(1, 68863, '\P{^hung}', "");
Expect(0, 68864, '\p{hung}', "");
Expect(1, 68864, '\p{^hung}', "");
Expect(1, 68864, '\P{hung}', "");
Expect(0, 68864, '\P{^hung}', "");
Expect(1, 68863, '\p{		hung}', "");
Expect(0, 68863, '\p{^		hung}', "");
Expect(0, 68863, '\P{		hung}', "");
Expect(1, 68863, '\P{^		hung}', "");
Expect(0, 68864, '\p{		hung}', "");
Expect(1, 68864, '\p{^		hung}', "");
Expect(1, 68864, '\P{		hung}', "");
Expect(0, 68864, '\P{^		hung}', "");
Error('\p{  is_Hung:=}');
Error('\P{  is_Hung:=}');
Expect(1, 68863, '\p{ishung}', "");
Expect(0, 68863, '\p{^ishung}', "");
Expect(0, 68863, '\P{ishung}', "");
Expect(1, 68863, '\P{^ishung}', "");
Expect(0, 68864, '\p{ishung}', "");
Expect(1, 68864, '\p{^ishung}', "");
Expect(1, 68864, '\P{ishung}', "");
Expect(0, 68864, '\P{^ishung}', "");
Expect(1, 68863, '\p{ -Is_hung}', "");
Expect(0, 68863, '\p{^ -Is_hung}', "");
Expect(0, 68863, '\P{ -Is_hung}', "");
Expect(1, 68863, '\P{^ -Is_hung}', "");
Expect(0, 68864, '\p{ -Is_hung}', "");
Expect(1, 68864, '\p{^ -Is_hung}', "");
Expect(1, 68864, '\P{ -Is_hung}', "");
Expect(0, 68864, '\P{^ -Is_hung}', "");
Error('\p{ 	Old_Italic:=}');
Error('\P{ 	Old_Italic:=}');
Expect(1, 66339, '\p{olditalic}', "");
Expect(0, 66339, '\p{^olditalic}', "");
Expect(0, 66339, '\P{olditalic}', "");
Expect(1, 66339, '\P{^olditalic}', "");
Expect(0, 66340, '\p{olditalic}', "");
Expect(1, 66340, '\p{^olditalic}', "");
Expect(1, 66340, '\P{olditalic}', "");
Expect(0, 66340, '\P{^olditalic}', "");
Expect(1, 66339, '\p{	-Old_Italic}', "");
Expect(0, 66339, '\p{^	-Old_Italic}', "");
Expect(0, 66339, '\P{	-Old_Italic}', "");
Expect(1, 66339, '\P{^	-Old_Italic}', "");
Expect(0, 66340, '\p{	-Old_Italic}', "");
Expect(1, 66340, '\p{^	-Old_Italic}', "");
Expect(1, 66340, '\P{	-Old_Italic}', "");
Expect(0, 66340, '\P{^	-Old_Italic}', "");
Error('\p{:=-	Is_old_ITALIC}');
Error('\P{:=-	Is_old_ITALIC}');
Expect(1, 66339, '\p{isolditalic}', "");
Expect(0, 66339, '\p{^isolditalic}', "");
Expect(0, 66339, '\P{isolditalic}', "");
Expect(1, 66339, '\P{^isolditalic}', "");
Expect(0, 66340, '\p{isolditalic}', "");
Expect(1, 66340, '\p{^isolditalic}', "");
Expect(1, 66340, '\P{isolditalic}', "");
Expect(0, 66340, '\P{^isolditalic}', "");
Expect(1, 66339, '\p{- IS_Old_ITALIC}', "");
Expect(0, 66339, '\p{^- IS_Old_ITALIC}', "");
Expect(0, 66339, '\P{- IS_Old_ITALIC}', "");
Expect(1, 66339, '\P{^- IS_Old_ITALIC}', "");
Expect(0, 66340, '\p{- IS_Old_ITALIC}', "");
Expect(1, 66340, '\p{^- IS_Old_ITALIC}', "");
Expect(1, 66340, '\P{- IS_Old_ITALIC}', "");
Expect(0, 66340, '\P{^- IS_Old_ITALIC}', "");
Error('\p{ /a/Ital}');
Error('\P{ /a/Ital}');
Expect(1, 66339, '\p{ital}', "");
Expect(0, 66339, '\p{^ital}', "");
Expect(0, 66339, '\P{ital}', "");
Expect(1, 66339, '\P{^ital}', "");
Expect(0, 66340, '\p{ital}', "");
Expect(1, 66340, '\p{^ital}', "");
Expect(1, 66340, '\P{ital}', "");
Expect(0, 66340, '\P{^ital}', "");
Expect(1, 66339, '\p{	_Ital}', "");
Expect(0, 66339, '\p{^	_Ital}', "");
Expect(0, 66339, '\P{	_Ital}', "");
Expect(1, 66339, '\P{^	_Ital}', "");
Expect(0, 66340, '\p{	_Ital}', "");
Expect(1, 66340, '\p{^	_Ital}', "");
Expect(1, 66340, '\P{	_Ital}', "");
Expect(0, 66340, '\P{^	_Ital}', "");
Error('\p{_ is_ITAL/a/}');
Error('\P{_ is_ITAL/a/}');
Expect(1, 66339, '\p{isital}', "");
Expect(0, 66339, '\p{^isital}', "");
Expect(0, 66339, '\P{isital}', "");
Expect(1, 66339, '\P{^isital}', "");
Expect(0, 66340, '\p{isital}', "");
Expect(1, 66340, '\p{^isital}', "");
Expect(1, 66340, '\P{isital}', "");
Expect(0, 66340, '\P{^isital}', "");
Expect(1, 66339, '\p{ IS_Ital}', "");
Expect(0, 66339, '\p{^ IS_Ital}', "");
Expect(0, 66339, '\P{ IS_Ital}', "");
Expect(1, 66339, '\P{^ IS_Ital}', "");
Expect(0, 66340, '\p{ IS_Ital}', "");
Expect(1, 66340, '\p{^ IS_Ital}', "");
Expect(1, 66340, '\P{ IS_Ital}', "");
Expect(0, 66340, '\P{^ IS_Ital}', "");
Error('\p{	/a/old_NORTH_Arabian}');
Error('\P{	/a/old_NORTH_Arabian}');
Expect(1, 68255, '\p{oldnortharabian}', "");
Expect(0, 68255, '\p{^oldnortharabian}', "");
Expect(0, 68255, '\P{oldnortharabian}', "");
Expect(1, 68255, '\P{^oldnortharabian}', "");
Expect(0, 68256, '\p{oldnortharabian}', "");
Expect(1, 68256, '\p{^oldnortharabian}', "");
Expect(1, 68256, '\P{oldnortharabian}', "");
Expect(0, 68256, '\P{^oldnortharabian}', "");
Expect(1, 68255, '\p{_-Old_North_Arabian}', "");
Expect(0, 68255, '\p{^_-Old_North_Arabian}', "");
Expect(0, 68255, '\P{_-Old_North_Arabian}', "");
Expect(1, 68255, '\P{^_-Old_North_Arabian}', "");
Expect(0, 68256, '\p{_-Old_North_Arabian}', "");
Expect(1, 68256, '\p{^_-Old_North_Arabian}', "");
Expect(1, 68256, '\P{_-Old_North_Arabian}', "");
Expect(0, 68256, '\P{^_-Old_North_Arabian}', "");
Error('\p{	-Is_Old_North_Arabian/a/}');
Error('\P{	-Is_Old_North_Arabian/a/}');
Expect(1, 68255, '\p{isoldnortharabian}', "");
Expect(0, 68255, '\p{^isoldnortharabian}', "");
Expect(0, 68255, '\P{isoldnortharabian}', "");
Expect(1, 68255, '\P{^isoldnortharabian}', "");
Expect(0, 68256, '\p{isoldnortharabian}', "");
Expect(1, 68256, '\p{^isoldnortharabian}', "");
Expect(1, 68256, '\P{isoldnortharabian}', "");
Expect(0, 68256, '\P{^isoldnortharabian}', "");
Expect(1, 68255, '\p{_is_OLD_North_Arabian}', "");
Expect(0, 68255, '\p{^_is_OLD_North_Arabian}', "");
Expect(0, 68255, '\P{_is_OLD_North_Arabian}', "");
Expect(1, 68255, '\P{^_is_OLD_North_Arabian}', "");
Expect(0, 68256, '\p{_is_OLD_North_Arabian}', "");
Expect(1, 68256, '\p{^_is_OLD_North_Arabian}', "");
Expect(1, 68256, '\P{_is_OLD_North_Arabian}', "");
Expect(0, 68256, '\P{^_is_OLD_North_Arabian}', "");
Error('\p{	-Narb/a/}');
Error('\P{	-Narb/a/}');
Expect(1, 68255, '\p{narb}', "");
Expect(0, 68255, '\p{^narb}', "");
Expect(0, 68255, '\P{narb}', "");
Expect(1, 68255, '\P{^narb}', "");
Expect(0, 68256, '\p{narb}', "");
Expect(1, 68256, '\p{^narb}', "");
Expect(1, 68256, '\P{narb}', "");
Expect(0, 68256, '\P{^narb}', "");
Expect(1, 68255, '\p{Narb}', "");
Expect(0, 68255, '\p{^Narb}', "");
Expect(0, 68255, '\P{Narb}', "");
Expect(1, 68255, '\P{^Narb}', "");
Expect(0, 68256, '\p{Narb}', "");
Expect(1, 68256, '\p{^Narb}', "");
Expect(1, 68256, '\P{Narb}', "");
Expect(0, 68256, '\P{^Narb}', "");
Error('\p{:=is_Narb}');
Error('\P{:=is_Narb}');
Expect(1, 68255, '\p{isnarb}', "");
Expect(0, 68255, '\p{^isnarb}', "");
Expect(0, 68255, '\P{isnarb}', "");
Expect(1, 68255, '\P{^isnarb}', "");
Expect(0, 68256, '\p{isnarb}', "");
Expect(1, 68256, '\p{^isnarb}', "");
Expect(1, 68256, '\P{isnarb}', "");
Expect(0, 68256, '\P{^isnarb}', "");
Expect(1, 68255, '\p{-is_Narb}', "");
Expect(0, 68255, '\p{^-is_Narb}', "");
Expect(0, 68255, '\P{-is_Narb}', "");
Expect(1, 68255, '\P{^-is_Narb}', "");
Expect(0, 68256, '\p{-is_Narb}', "");
Expect(1, 68256, '\p{^-is_Narb}', "");
Expect(1, 68256, '\P{-is_Narb}', "");
Expect(0, 68256, '\P{^-is_Narb}', "");
Error('\p{/a/-OLD_Permic}');
Error('\P{/a/-OLD_Permic}');
Expect(1, 66426, '\p{oldpermic}', "");
Expect(0, 66426, '\p{^oldpermic}', "");
Expect(0, 66426, '\P{oldpermic}', "");
Expect(1, 66426, '\P{^oldpermic}', "");
Expect(0, 66427, '\p{oldpermic}', "");
Expect(1, 66427, '\p{^oldpermic}', "");
Expect(1, 66427, '\P{oldpermic}', "");
Expect(0, 66427, '\P{^oldpermic}', "");
Expect(1, 66426, '\p{_	OLD_PERMIC}', "");
Expect(0, 66426, '\p{^_	OLD_PERMIC}', "");
Expect(0, 66426, '\P{_	OLD_PERMIC}', "");
Expect(1, 66426, '\P{^_	OLD_PERMIC}', "");
Expect(0, 66427, '\p{_	OLD_PERMIC}', "");
Expect(1, 66427, '\p{^_	OLD_PERMIC}', "");
Expect(1, 66427, '\P{_	OLD_PERMIC}', "");
Expect(0, 66427, '\P{^_	OLD_PERMIC}', "");
Error('\p{/a/Is_Old_permic}');
Error('\P{/a/Is_Old_permic}');
Expect(1, 66426, '\p{isoldpermic}', "");
Expect(0, 66426, '\p{^isoldpermic}', "");
Expect(0, 66426, '\P{isoldpermic}', "");
Expect(1, 66426, '\P{^isoldpermic}', "");
Expect(0, 66427, '\p{isoldpermic}', "");
Expect(1, 66427, '\p{^isoldpermic}', "");
Expect(1, 66427, '\P{isoldpermic}', "");
Expect(0, 66427, '\P{^isoldpermic}', "");
Expect(1, 66426, '\p{_	Is_old_Permic}', "");
Expect(0, 66426, '\p{^_	Is_old_Permic}', "");
Expect(0, 66426, '\P{_	Is_old_Permic}', "");
Expect(1, 66426, '\P{^_	Is_old_Permic}', "");
Expect(0, 66427, '\p{_	Is_old_Permic}', "");
Expect(1, 66427, '\p{^_	Is_old_Permic}', "");
Expect(1, 66427, '\P{_	Is_old_Permic}', "");
Expect(0, 66427, '\P{^_	Is_old_Permic}', "");
Error('\p{:=_ Perm}');
Error('\P{:=_ Perm}');
Expect(1, 66426, '\p{perm}', "");
Expect(0, 66426, '\p{^perm}', "");
Expect(0, 66426, '\P{perm}', "");
Expect(1, 66426, '\P{^perm}', "");
Expect(0, 66427, '\p{perm}', "");
Expect(1, 66427, '\p{^perm}', "");
Expect(1, 66427, '\P{perm}', "");
Expect(0, 66427, '\P{^perm}', "");
Expect(1, 66426, '\p{_ perm}', "");
Expect(0, 66426, '\p{^_ perm}', "");
Expect(0, 66426, '\P{_ perm}', "");
Expect(1, 66426, '\P{^_ perm}', "");
Expect(0, 66427, '\p{_ perm}', "");
Expect(1, 66427, '\p{^_ perm}', "");
Expect(1, 66427, '\P{_ perm}', "");
Expect(0, 66427, '\P{^_ perm}', "");
Error('\p{_Is_Perm:=}');
Error('\P{_Is_Perm:=}');
Expect(1, 66426, '\p{isperm}', "");
Expect(0, 66426, '\p{^isperm}', "");
Expect(0, 66426, '\P{isperm}', "");
Expect(1, 66426, '\P{^isperm}', "");
Expect(0, 66427, '\p{isperm}', "");
Expect(1, 66427, '\p{^isperm}', "");
Expect(1, 66427, '\P{isperm}', "");
Expect(0, 66427, '\P{^isperm}', "");
Expect(1, 66426, '\p{_Is_perm}', "");
Expect(0, 66426, '\p{^_Is_perm}', "");
Expect(0, 66426, '\P{_Is_perm}', "");
Expect(1, 66426, '\P{^_Is_perm}', "");
Expect(0, 66427, '\p{_Is_perm}', "");
Expect(1, 66427, '\p{^_Is_perm}', "");
Expect(1, 66427, '\P{_Is_perm}', "");
Expect(0, 66427, '\P{^_Is_perm}', "");
Error('\p{/a/--OLD_Persian}');
Error('\P{/a/--OLD_Persian}');
Expect(1, 66517, '\p{oldpersian}', "");
Expect(0, 66517, '\p{^oldpersian}', "");
Expect(0, 66517, '\P{oldpersian}', "");
Expect(1, 66517, '\P{^oldpersian}', "");
Expect(0, 66518, '\p{oldpersian}', "");
Expect(1, 66518, '\p{^oldpersian}', "");
Expect(1, 66518, '\P{oldpersian}', "");
Expect(0, 66518, '\P{^oldpersian}', "");
Expect(1, 66517, '\p{	OLD_PERSIAN}', "");
Expect(0, 66517, '\p{^	OLD_PERSIAN}', "");
Expect(0, 66517, '\P{	OLD_PERSIAN}', "");
Expect(1, 66517, '\P{^	OLD_PERSIAN}', "");
Expect(0, 66518, '\p{	OLD_PERSIAN}', "");
Expect(1, 66518, '\p{^	OLD_PERSIAN}', "");
Expect(1, 66518, '\P{	OLD_PERSIAN}', "");
Expect(0, 66518, '\P{^	OLD_PERSIAN}', "");
Error('\p{-:=Is_old_Persian}');
Error('\P{-:=Is_old_Persian}');
Expect(1, 66517, '\p{isoldpersian}', "");
Expect(0, 66517, '\p{^isoldpersian}', "");
Expect(0, 66517, '\P{isoldpersian}', "");
Expect(1, 66517, '\P{^isoldpersian}', "");
Expect(0, 66518, '\p{isoldpersian}', "");
Expect(1, 66518, '\p{^isoldpersian}', "");
Expect(1, 66518, '\P{isoldpersian}', "");
Expect(0, 66518, '\P{^isoldpersian}', "");
Expect(1, 66517, '\p{	 is_Old_persian}', "");
Expect(0, 66517, '\p{^	 is_Old_persian}', "");
Expect(0, 66517, '\P{	 is_Old_persian}', "");
Expect(1, 66517, '\P{^	 is_Old_persian}', "");
Expect(0, 66518, '\p{	 is_Old_persian}', "");
Expect(1, 66518, '\p{^	 is_Old_persian}', "");
Expect(1, 66518, '\P{	 is_Old_persian}', "");
Expect(0, 66518, '\P{^	 is_Old_persian}', "");
Error('\p{/a/  XPEO}');
Error('\P{/a/  XPEO}');
Expect(1, 66517, '\p{xpeo}', "");
Expect(0, 66517, '\p{^xpeo}', "");
Expect(0, 66517, '\P{xpeo}', "");
Expect(1, 66517, '\P{^xpeo}', "");
Expect(0, 66518, '\p{xpeo}', "");
Expect(1, 66518, '\p{^xpeo}', "");
Expect(1, 66518, '\P{xpeo}', "");
Expect(0, 66518, '\P{^xpeo}', "");
Expect(1, 66517, '\p{ Xpeo}', "");
Expect(0, 66517, '\p{^ Xpeo}', "");
Expect(0, 66517, '\P{ Xpeo}', "");
Expect(1, 66517, '\P{^ Xpeo}', "");
Expect(0, 66518, '\p{ Xpeo}', "");
Expect(1, 66518, '\p{^ Xpeo}', "");
Expect(1, 66518, '\P{ Xpeo}', "");
Expect(0, 66518, '\P{^ Xpeo}', "");
Error('\p{/a/--Is_Xpeo}');
Error('\P{/a/--Is_Xpeo}');
Expect(1, 66517, '\p{isxpeo}', "");
Expect(0, 66517, '\p{^isxpeo}', "");
Expect(0, 66517, '\P{isxpeo}', "");
Expect(1, 66517, '\P{^isxpeo}', "");
Expect(0, 66518, '\p{isxpeo}', "");
Expect(1, 66518, '\p{^isxpeo}', "");
Expect(1, 66518, '\P{isxpeo}', "");
Expect(0, 66518, '\P{^isxpeo}', "");
Expect(1, 66517, '\p{- IS_xpeo}', "");
Expect(0, 66517, '\p{^- IS_xpeo}', "");
Expect(0, 66517, '\P{- IS_xpeo}', "");
Expect(1, 66517, '\P{^- IS_xpeo}', "");
Expect(0, 66518, '\p{- IS_xpeo}', "");
Expect(1, 66518, '\p{^- IS_xpeo}', "");
Expect(1, 66518, '\P{- IS_xpeo}', "");
Expect(0, 66518, '\P{^- IS_xpeo}', "");
Error('\p{-:=Old_SOUTH_ARABIAN}');
Error('\P{-:=Old_SOUTH_ARABIAN}');
Expect(1, 68223, '\p{oldsoutharabian}', "");
Expect(0, 68223, '\p{^oldsoutharabian}', "");
Expect(0, 68223, '\P{oldsoutharabian}', "");
Expect(1, 68223, '\P{^oldsoutharabian}', "");
Expect(0, 68224, '\p{oldsoutharabian}', "");
Expect(1, 68224, '\p{^oldsoutharabian}', "");
Expect(1, 68224, '\P{oldsoutharabian}', "");
Expect(0, 68224, '\P{^oldsoutharabian}', "");
Expect(1, 68223, '\p{	old_South_Arabian}', "");
Expect(0, 68223, '\p{^	old_South_Arabian}', "");
Expect(0, 68223, '\P{	old_South_Arabian}', "");
Expect(1, 68223, '\P{^	old_South_Arabian}', "");
Expect(0, 68224, '\p{	old_South_Arabian}', "");
Expect(1, 68224, '\p{^	old_South_Arabian}', "");
Expect(1, 68224, '\P{	old_South_Arabian}', "");
Expect(0, 68224, '\P{^	old_South_Arabian}', "");
Error('\p{ is_Old_South_arabian:=}');
Error('\P{ is_Old_South_arabian:=}');
Expect(1, 68223, '\p{isoldsoutharabian}', "");
Expect(0, 68223, '\p{^isoldsoutharabian}', "");
Expect(0, 68223, '\P{isoldsoutharabian}', "");
Expect(1, 68223, '\P{^isoldsoutharabian}', "");
Expect(0, 68224, '\p{isoldsoutharabian}', "");
Expect(1, 68224, '\p{^isoldsoutharabian}', "");
Expect(1, 68224, '\P{isoldsoutharabian}', "");
Expect(0, 68224, '\P{^isoldsoutharabian}', "");
Expect(1, 68223, '\p{-	IS_OLD_SOUTH_Arabian}', "");
Expect(0, 68223, '\p{^-	IS_OLD_SOUTH_Arabian}', "");
Expect(0, 68223, '\P{-	IS_OLD_SOUTH_Arabian}', "");
Expect(1, 68223, '\P{^-	IS_OLD_SOUTH_Arabian}', "");
Expect(0, 68224, '\p{-	IS_OLD_SOUTH_Arabian}', "");
Expect(1, 68224, '\p{^-	IS_OLD_SOUTH_Arabian}', "");
Expect(1, 68224, '\P{-	IS_OLD_SOUTH_Arabian}', "");
Expect(0, 68224, '\P{^-	IS_OLD_SOUTH_Arabian}', "");
Error('\p{ 	sarb:=}');
Error('\P{ 	sarb:=}');
Expect(1, 68223, '\p{sarb}', "");
Expect(0, 68223, '\p{^sarb}', "");
Expect(0, 68223, '\P{sarb}', "");
Expect(1, 68223, '\P{^sarb}', "");
Expect(0, 68224, '\p{sarb}', "");
Expect(1, 68224, '\p{^sarb}', "");
Expect(1, 68224, '\P{sarb}', "");
Expect(0, 68224, '\P{^sarb}', "");
Expect(1, 68223, '\p{	 Sarb}', "");
Expect(0, 68223, '\p{^	 Sarb}', "");
Expect(0, 68223, '\P{	 Sarb}', "");
Expect(1, 68223, '\P{^	 Sarb}', "");
Expect(0, 68224, '\p{	 Sarb}', "");
Expect(1, 68224, '\p{^	 Sarb}', "");
Expect(1, 68224, '\P{	 Sarb}', "");
Expect(0, 68224, '\P{^	 Sarb}', "");
Error('\p{:=_ Is_Sarb}');
Error('\P{:=_ Is_Sarb}');
Expect(1, 68223, '\p{issarb}', "");
Expect(0, 68223, '\p{^issarb}', "");
Expect(0, 68223, '\P{issarb}', "");
Expect(1, 68223, '\P{^issarb}', "");
Expect(0, 68224, '\p{issarb}', "");
Expect(1, 68224, '\p{^issarb}', "");
Expect(1, 68224, '\P{issarb}', "");
Expect(0, 68224, '\P{^issarb}', "");
Expect(1, 68223, '\p{	 Is_Sarb}', "");
Expect(0, 68223, '\p{^	 Is_Sarb}', "");
Expect(0, 68223, '\P{	 Is_Sarb}', "");
Expect(1, 68223, '\P{^	 Is_Sarb}', "");
Expect(0, 68224, '\p{	 Is_Sarb}', "");
Expect(1, 68224, '\p{^	 Is_Sarb}', "");
Expect(1, 68224, '\P{	 Is_Sarb}', "");
Expect(0, 68224, '\P{^	 Is_Sarb}', "");
Error('\p{	 old_Turkic/a/}');
Error('\P{	 old_Turkic/a/}');
Expect(1, 68680, '\p{oldturkic}', "");
Expect(0, 68680, '\p{^oldturkic}', "");
Expect(0, 68680, '\P{oldturkic}', "");
Expect(1, 68680, '\P{^oldturkic}', "");
Expect(0, 68681, '\p{oldturkic}', "");
Expect(1, 68681, '\p{^oldturkic}', "");
Expect(1, 68681, '\P{oldturkic}', "");
Expect(0, 68681, '\P{^oldturkic}', "");
Expect(1, 68680, '\p{	_Old_turkic}', "");
Expect(0, 68680, '\p{^	_Old_turkic}', "");
Expect(0, 68680, '\P{	_Old_turkic}', "");
Expect(1, 68680, '\P{^	_Old_turkic}', "");
Expect(0, 68681, '\p{	_Old_turkic}', "");
Expect(1, 68681, '\p{^	_Old_turkic}', "");
Expect(1, 68681, '\P{	_Old_turkic}', "");
Expect(0, 68681, '\P{^	_Old_turkic}', "");
Error('\p{ IS_Old_Turkic/a/}');
Error('\P{ IS_Old_Turkic/a/}');
Expect(1, 68680, '\p{isoldturkic}', "");
Expect(0, 68680, '\p{^isoldturkic}', "");
Expect(0, 68680, '\P{isoldturkic}', "");
Expect(1, 68680, '\P{^isoldturkic}', "");
Expect(0, 68681, '\p{isoldturkic}', "");
Expect(1, 68681, '\p{^isoldturkic}', "");
Expect(1, 68681, '\P{isoldturkic}', "");
Expect(0, 68681, '\P{^isoldturkic}', "");
Expect(1, 68680, '\p{ _Is_Old_Turkic}', "");
Expect(0, 68680, '\p{^ _Is_Old_Turkic}', "");
Expect(0, 68680, '\P{ _Is_Old_Turkic}', "");
Expect(1, 68680, '\P{^ _Is_Old_Turkic}', "");
Expect(0, 68681, '\p{ _Is_Old_Turkic}', "");
Expect(1, 68681, '\p{^ _Is_Old_Turkic}', "");
Expect(1, 68681, '\P{ _Is_Old_Turkic}', "");
Expect(0, 68681, '\P{^ _Is_Old_Turkic}', "");
Error('\p{:=_	orkh}');
Error('\P{:=_	orkh}');
Expect(1, 68680, '\p{orkh}', "");
Expect(0, 68680, '\p{^orkh}', "");
Expect(0, 68680, '\P{orkh}', "");
Expect(1, 68680, '\P{^orkh}', "");
Expect(0, 68681, '\p{orkh}', "");
Expect(1, 68681, '\p{^orkh}', "");
Expect(1, 68681, '\P{orkh}', "");
Expect(0, 68681, '\P{^orkh}', "");
Expect(1, 68680, '\p{_ORKH}', "");
Expect(0, 68680, '\p{^_ORKH}', "");
Expect(0, 68680, '\P{_ORKH}', "");
Expect(1, 68680, '\P{^_ORKH}', "");
Expect(0, 68681, '\p{_ORKH}', "");
Expect(1, 68681, '\p{^_ORKH}', "");
Expect(1, 68681, '\P{_ORKH}', "");
Expect(0, 68681, '\P{^_ORKH}', "");
Error('\p{/a/_-Is_Orkh}');
Error('\P{/a/_-Is_Orkh}');
Expect(1, 68680, '\p{isorkh}', "");
Expect(0, 68680, '\p{^isorkh}', "");
Expect(0, 68680, '\P{isorkh}', "");
Expect(1, 68680, '\P{^isorkh}', "");
Expect(0, 68681, '\p{isorkh}', "");
Expect(1, 68681, '\p{^isorkh}', "");
Expect(1, 68681, '\P{isorkh}', "");
Expect(0, 68681, '\P{^isorkh}', "");
Expect(1, 68680, '\p{  IS_orkh}', "");
Expect(0, 68680, '\p{^  IS_orkh}', "");
Expect(0, 68680, '\P{  IS_orkh}', "");
Expect(1, 68680, '\P{^  IS_orkh}', "");
Expect(0, 68681, '\p{  IS_orkh}', "");
Expect(1, 68681, '\p{^  IS_orkh}', "");
Expect(1, 68681, '\P{  IS_orkh}', "");
Expect(0, 68681, '\P{^  IS_orkh}', "");
Error('\p{:=Open_Punctuation}');
Error('\P{:=Open_Punctuation}');
Expect(1, 65378, '\p{openpunctuation}', "");
Expect(0, 65378, '\p{^openpunctuation}', "");
Expect(0, 65378, '\P{openpunctuation}', "");
Expect(1, 65378, '\P{^openpunctuation}', "");
Expect(0, 65379, '\p{openpunctuation}', "");
Expect(1, 65379, '\p{^openpunctuation}', "");
Expect(1, 65379, '\P{openpunctuation}', "");
Expect(0, 65379, '\P{^openpunctuation}', "");
Expect(1, 65378, '\p{- Open_Punctuation}', "");
Expect(0, 65378, '\p{^- Open_Punctuation}', "");
Expect(0, 65378, '\P{- Open_Punctuation}', "");
Expect(1, 65378, '\P{^- Open_Punctuation}', "");
Expect(0, 65379, '\p{- Open_Punctuation}', "");
Expect(1, 65379, '\p{^- Open_Punctuation}', "");
Expect(1, 65379, '\P{- Open_Punctuation}', "");
Expect(0, 65379, '\P{^- Open_Punctuation}', "");
Error('\p{:=_Is_OPEN_Punctuation}');
Error('\P{:=_Is_OPEN_Punctuation}');
Expect(1, 65378, '\p{isopenpunctuation}', "");
Expect(0, 65378, '\p{^isopenpunctuation}', "");
Expect(0, 65378, '\P{isopenpunctuation}', "");
Expect(1, 65378, '\P{^isopenpunctuation}', "");
Expect(0, 65379, '\p{isopenpunctuation}', "");
Expect(1, 65379, '\p{^isopenpunctuation}', "");
Expect(1, 65379, '\P{isopenpunctuation}', "");
Expect(0, 65379, '\P{^isopenpunctuation}', "");
Expect(1, 65378, '\p{_ Is_Open_Punctuation}', "");
Expect(0, 65378, '\p{^_ Is_Open_Punctuation}', "");
Expect(0, 65378, '\P{_ Is_Open_Punctuation}', "");
Expect(1, 65378, '\P{^_ Is_Open_Punctuation}', "");
Expect(0, 65379, '\p{_ Is_Open_Punctuation}', "");
Expect(1, 65379, '\p{^_ Is_Open_Punctuation}', "");
Expect(1, 65379, '\P{_ Is_Open_Punctuation}', "");
Expect(0, 65379, '\P{^_ Is_Open_Punctuation}', "");
Error('\p{/a/-_ps}');
Error('\P{/a/-_ps}');
Expect(1, 65378, '\p{ps}', "");
Expect(0, 65378, '\p{^ps}', "");
Expect(0, 65378, '\P{ps}', "");
Expect(1, 65378, '\P{^ps}', "");
Expect(0, 65379, '\p{ps}', "");
Expect(1, 65379, '\p{^ps}', "");
Expect(1, 65379, '\P{ps}', "");
Expect(0, 65379, '\P{^ps}', "");
Expect(1, 65378, '\p{-PS}', "");
Expect(0, 65378, '\p{^-PS}', "");
Expect(0, 65378, '\P{-PS}', "");
Expect(1, 65378, '\P{^-PS}', "");
Expect(0, 65379, '\p{-PS}', "");
Expect(1, 65379, '\p{^-PS}', "");
Expect(1, 65379, '\P{-PS}', "");
Expect(0, 65379, '\P{^-PS}', "");
Error('\p{  Is_Ps:=}');
Error('\P{  Is_Ps:=}');
Expect(1, 65378, '\p{isps}', "");
Expect(0, 65378, '\p{^isps}', "");
Expect(0, 65378, '\P{isps}', "");
Expect(1, 65378, '\P{^isps}', "");
Expect(0, 65379, '\p{isps}', "");
Expect(1, 65379, '\p{^isps}', "");
Expect(1, 65379, '\P{isps}', "");
Expect(0, 65379, '\P{^isps}', "");
Expect(1, 65378, '\p{Is_PS}', "");
Expect(0, 65378, '\p{^Is_PS}', "");
Expect(0, 65378, '\P{Is_PS}', "");
Expect(1, 65378, '\P{^Is_PS}', "");
Expect(0, 65379, '\p{Is_PS}', "");
Expect(1, 65379, '\p{^Is_PS}', "");
Expect(1, 65379, '\P{Is_PS}', "");
Expect(0, 65379, '\P{^Is_PS}', "");
Error('\p{_	Optical_Character_RECOGNITION:=}');
Error('\P{_	Optical_Character_RECOGNITION:=}');
Expect(1, 9311, '\p{opticalcharacterrecognition}', "");
Expect(0, 9311, '\p{^opticalcharacterrecognition}', "");
Expect(0, 9311, '\P{opticalcharacterrecognition}', "");
Expect(1, 9311, '\P{^opticalcharacterrecognition}', "");
Expect(0, 9312, '\p{opticalcharacterrecognition}', "");
Expect(1, 9312, '\p{^opticalcharacterrecognition}', "");
Expect(1, 9312, '\P{opticalcharacterrecognition}', "");
Expect(0, 9312, '\P{^opticalcharacterrecognition}', "");
Expect(1, 9311, '\p{		optical_CHARACTER_Recognition}', "");
Expect(0, 9311, '\p{^		optical_CHARACTER_Recognition}', "");
Expect(0, 9311, '\P{		optical_CHARACTER_Recognition}', "");
Expect(1, 9311, '\P{^		optical_CHARACTER_Recognition}', "");
Expect(0, 9312, '\p{		optical_CHARACTER_Recognition}', "");
Expect(1, 9312, '\p{^		optical_CHARACTER_Recognition}', "");
Expect(1, 9312, '\P{		optical_CHARACTER_Recognition}', "");
Expect(0, 9312, '\P{^		optical_CHARACTER_Recognition}', "");
Error('\p{_Is_OPTICAL_character_Recognition/a/}');
Error('\P{_Is_OPTICAL_character_Recognition/a/}');
Expect(1, 9311, '\p{isopticalcharacterrecognition}', "");
Expect(0, 9311, '\p{^isopticalcharacterrecognition}', "");
Expect(0, 9311, '\P{isopticalcharacterrecognition}', "");
Expect(1, 9311, '\P{^isopticalcharacterrecognition}', "");
Expect(0, 9312, '\p{isopticalcharacterrecognition}', "");
Expect(1, 9312, '\p{^isopticalcharacterrecognition}', "");
Expect(1, 9312, '\P{isopticalcharacterrecognition}', "");
Expect(0, 9312, '\P{^isopticalcharacterrecognition}', "");
Expect(1, 9311, '\p{	Is_OPTICAL_character_Recognition}', "");
Expect(0, 9311, '\p{^	Is_OPTICAL_character_Recognition}', "");
Expect(0, 9311, '\P{	Is_OPTICAL_character_Recognition}', "");
Expect(1, 9311, '\P{^	Is_OPTICAL_character_Recognition}', "");
Expect(0, 9312, '\p{	Is_OPTICAL_character_Recognition}', "");
Expect(1, 9312, '\p{^	Is_OPTICAL_character_Recognition}', "");
Expect(1, 9312, '\P{	Is_OPTICAL_character_Recognition}', "");
Expect(0, 9312, '\P{^	Is_OPTICAL_character_Recognition}', "");
Error('\p{-In_optical_CHARACTER_Recognition/a/}');
Error('\P{-In_optical_CHARACTER_Recognition/a/}');
Expect(1, 9311, '\p{inopticalcharacterrecognition}', "");
Expect(0, 9311, '\p{^inopticalcharacterrecognition}', "");
Expect(0, 9311, '\P{inopticalcharacterrecognition}', "");
Expect(1, 9311, '\P{^inopticalcharacterrecognition}', "");
Expect(0, 9312, '\p{inopticalcharacterrecognition}', "");
Expect(1, 9312, '\p{^inopticalcharacterrecognition}', "");
Expect(1, 9312, '\P{inopticalcharacterrecognition}', "");
Expect(0, 9312, '\P{^inopticalcharacterrecognition}', "");
Expect(1, 9311, '\p{	In_OPTICAL_CHARACTER_recognition}', "");
Expect(0, 9311, '\p{^	In_OPTICAL_CHARACTER_recognition}', "");
Expect(0, 9311, '\P{	In_OPTICAL_CHARACTER_recognition}', "");
Expect(1, 9311, '\P{^	In_OPTICAL_CHARACTER_recognition}', "");
Expect(0, 9312, '\p{	In_OPTICAL_CHARACTER_recognition}', "");
Expect(1, 9312, '\p{^	In_OPTICAL_CHARACTER_recognition}', "");
Expect(1, 9312, '\P{	In_OPTICAL_CHARACTER_recognition}', "");
Expect(0, 9312, '\P{^	In_OPTICAL_CHARACTER_recognition}', "");
Error('\p{ 	OCR/a/}');
Error('\P{ 	OCR/a/}');
Expect(1, 9311, '\p{ocr}', "");
Expect(0, 9311, '\p{^ocr}', "");
Expect(0, 9311, '\P{ocr}', "");
Expect(1, 9311, '\P{^ocr}', "");
Expect(0, 9312, '\p{ocr}', "");
Expect(1, 9312, '\p{^ocr}', "");
Expect(1, 9312, '\P{ocr}', "");
Expect(0, 9312, '\P{^ocr}', "");
Expect(1, 9311, '\p{__ocr}', "");
Expect(0, 9311, '\p{^__ocr}', "");
Expect(0, 9311, '\P{__ocr}', "");
Expect(1, 9311, '\P{^__ocr}', "");
Expect(0, 9312, '\p{__ocr}', "");
Expect(1, 9312, '\p{^__ocr}', "");
Expect(1, 9312, '\P{__ocr}', "");
Expect(0, 9312, '\P{^__ocr}', "");
Error('\p{:=IS_OCR}');
Error('\P{:=IS_OCR}');
Expect(1, 9311, '\p{isocr}', "");
Expect(0, 9311, '\p{^isocr}', "");
Expect(0, 9311, '\P{isocr}', "");
Expect(1, 9311, '\P{^isocr}', "");
Expect(0, 9312, '\p{isocr}', "");
Expect(1, 9312, '\p{^isocr}', "");
Expect(1, 9312, '\P{isocr}', "");
Expect(0, 9312, '\P{^isocr}', "");
Expect(1, 9311, '\p{-	Is_OCR}', "");
Expect(0, 9311, '\p{^-	Is_OCR}', "");
Expect(0, 9311, '\P{-	Is_OCR}', "");
Expect(1, 9311, '\P{^-	Is_OCR}', "");
Expect(0, 9312, '\p{-	Is_OCR}', "");
Expect(1, 9312, '\p{^-	Is_OCR}', "");
Expect(1, 9312, '\P{-	Is_OCR}', "");
Expect(0, 9312, '\P{^-	Is_OCR}', "");
Error('\p{	_in_ocr:=}');
Error('\P{	_in_ocr:=}');
Expect(1, 9311, '\p{inocr}', "");
Expect(0, 9311, '\p{^inocr}', "");
Expect(0, 9311, '\P{inocr}', "");
Expect(1, 9311, '\P{^inocr}', "");
Expect(0, 9312, '\p{inocr}', "");
Expect(1, 9312, '\p{^inocr}', "");
Expect(1, 9312, '\P{inocr}', "");
Expect(0, 9312, '\P{^inocr}', "");
Expect(1, 9311, '\p{_In_OCR}', "");
Expect(0, 9311, '\p{^_In_OCR}', "");
Expect(0, 9311, '\P{_In_OCR}', "");
Expect(1, 9311, '\P{^_In_OCR}', "");
Expect(0, 9312, '\p{_In_OCR}', "");
Expect(1, 9312, '\p{^_In_OCR}', "");
Expect(1, 9312, '\P{_In_OCR}', "");
Expect(0, 9312, '\P{^_In_OCR}', "");
Error('\p{	:=ORIYA}');
Error('\P{	:=ORIYA}');
Expect(1, 2935, '\p{oriya}', "");
Expect(0, 2935, '\p{^oriya}', "");
Expect(0, 2935, '\P{oriya}', "");
Expect(1, 2935, '\P{^oriya}', "");
Expect(0, 2936, '\p{oriya}', "");
Expect(1, 2936, '\p{^oriya}', "");
Expect(1, 2936, '\P{oriya}', "");
Expect(0, 2936, '\P{^oriya}', "");
Expect(1, 2935, '\p{ oriya}', "");
Expect(0, 2935, '\p{^ oriya}', "");
Expect(0, 2935, '\P{ oriya}', "");
Expect(1, 2935, '\P{^ oriya}', "");
Expect(0, 2936, '\p{ oriya}', "");
Expect(1, 2936, '\p{^ oriya}', "");
Expect(1, 2936, '\P{ oriya}', "");
Expect(0, 2936, '\P{^ oriya}', "");
Error('\p{/a/  Is_oriya}');
Error('\P{/a/  Is_oriya}');
Expect(1, 2935, '\p{isoriya}', "");
Expect(0, 2935, '\p{^isoriya}', "");
Expect(0, 2935, '\P{isoriya}', "");
Expect(1, 2935, '\P{^isoriya}', "");
Expect(0, 2936, '\p{isoriya}', "");
Expect(1, 2936, '\p{^isoriya}', "");
Expect(1, 2936, '\P{isoriya}', "");
Expect(0, 2936, '\P{^isoriya}', "");
Expect(1, 2935, '\p{IS_ORIYA}', "");
Expect(0, 2935, '\p{^IS_ORIYA}', "");
Expect(0, 2935, '\P{IS_ORIYA}', "");
Expect(1, 2935, '\P{^IS_ORIYA}', "");
Expect(0, 2936, '\p{IS_ORIYA}', "");
Expect(1, 2936, '\p{^IS_ORIYA}', "");
Expect(1, 2936, '\P{IS_ORIYA}', "");
Expect(0, 2936, '\P{^IS_ORIYA}', "");
Error('\p{ -Orya/a/}');
Error('\P{ -Orya/a/}');
Expect(1, 2935, '\p{orya}', "");
Expect(0, 2935, '\p{^orya}', "");
Expect(0, 2935, '\P{orya}', "");
Expect(1, 2935, '\P{^orya}', "");
Expect(0, 2936, '\p{orya}', "");
Expect(1, 2936, '\p{^orya}', "");
Expect(1, 2936, '\P{orya}', "");
Expect(0, 2936, '\P{^orya}', "");
Expect(1, 2935, '\p{-_Orya}', "");
Expect(0, 2935, '\p{^-_Orya}', "");
Expect(0, 2935, '\P{-_Orya}', "");
Expect(1, 2935, '\P{^-_Orya}', "");
Expect(0, 2936, '\p{-_Orya}', "");
Expect(1, 2936, '\p{^-_Orya}', "");
Expect(1, 2936, '\P{-_Orya}', "");
Expect(0, 2936, '\P{^-_Orya}', "");
Error('\p{/a/-_is_orya}');
Error('\P{/a/-_is_orya}');
Expect(1, 2935, '\p{isorya}', "");
Expect(0, 2935, '\p{^isorya}', "");
Expect(0, 2935, '\P{isorya}', "");
Expect(1, 2935, '\P{^isorya}', "");
Expect(0, 2936, '\p{isorya}', "");
Expect(1, 2936, '\p{^isorya}', "");
Expect(1, 2936, '\P{isorya}', "");
Expect(0, 2936, '\P{^isorya}', "");
Expect(1, 2935, '\p{ _Is_orya}', "");
Expect(0, 2935, '\p{^ _Is_orya}', "");
Expect(0, 2935, '\P{ _Is_orya}', "");
Expect(1, 2935, '\P{^ _Is_orya}', "");
Expect(0, 2936, '\p{ _Is_orya}', "");
Expect(1, 2936, '\p{^ _Is_orya}', "");
Expect(1, 2936, '\P{ _Is_orya}', "");
Expect(0, 2936, '\P{^ _Is_orya}', "");
Error('\p{	:=Ornamental_Dingbats}');
Error('\P{	:=Ornamental_Dingbats}');
Expect(1, 128639, '\p{ornamentaldingbats}', "");
Expect(0, 128639, '\p{^ornamentaldingbats}', "");
Expect(0, 128639, '\P{ornamentaldingbats}', "");
Expect(1, 128639, '\P{^ornamentaldingbats}', "");
Expect(0, 128640, '\p{ornamentaldingbats}', "");
Expect(1, 128640, '\p{^ornamentaldingbats}', "");
Expect(1, 128640, '\P{ornamentaldingbats}', "");
Expect(0, 128640, '\P{^ornamentaldingbats}', "");
Expect(1, 128639, '\p{	Ornamental_Dingbats}', "");
Expect(0, 128639, '\p{^	Ornamental_Dingbats}', "");
Expect(0, 128639, '\P{	Ornamental_Dingbats}', "");
Expect(1, 128639, '\P{^	Ornamental_Dingbats}', "");
Expect(0, 128640, '\p{	Ornamental_Dingbats}', "");
Expect(1, 128640, '\p{^	Ornamental_Dingbats}', "");
Expect(1, 128640, '\P{	Ornamental_Dingbats}', "");
Expect(0, 128640, '\P{^	Ornamental_Dingbats}', "");
Error('\p{ :=IS_ornamental_Dingbats}');
Error('\P{ :=IS_ornamental_Dingbats}');
Expect(1, 128639, '\p{isornamentaldingbats}', "");
Expect(0, 128639, '\p{^isornamentaldingbats}', "");
Expect(0, 128639, '\P{isornamentaldingbats}', "");
Expect(1, 128639, '\P{^isornamentaldingbats}', "");
Expect(0, 128640, '\p{isornamentaldingbats}', "");
Expect(1, 128640, '\p{^isornamentaldingbats}', "");
Expect(1, 128640, '\P{isornamentaldingbats}', "");
Expect(0, 128640, '\P{^isornamentaldingbats}', "");
Expect(1, 128639, '\p{-Is_ORNAMENTAL_Dingbats}', "");
Expect(0, 128639, '\p{^-Is_ORNAMENTAL_Dingbats}', "");
Expect(0, 128639, '\P{-Is_ORNAMENTAL_Dingbats}', "");
Expect(1, 128639, '\P{^-Is_ORNAMENTAL_Dingbats}', "");
Expect(0, 128640, '\p{-Is_ORNAMENTAL_Dingbats}', "");
Expect(1, 128640, '\p{^-Is_ORNAMENTAL_Dingbats}', "");
Expect(1, 128640, '\P{-Is_ORNAMENTAL_Dingbats}', "");
Expect(0, 128640, '\P{^-Is_ORNAMENTAL_Dingbats}', "");
Error('\p{/a/_-IN_Ornamental_dingbats}');
Error('\P{/a/_-IN_Ornamental_dingbats}');
Expect(1, 128639, '\p{inornamentaldingbats}', "");
Expect(0, 128639, '\p{^inornamentaldingbats}', "");
Expect(0, 128639, '\P{inornamentaldingbats}', "");
Expect(1, 128639, '\P{^inornamentaldingbats}', "");
Expect(0, 128640, '\p{inornamentaldingbats}', "");
Expect(1, 128640, '\p{^inornamentaldingbats}', "");
Expect(1, 128640, '\P{inornamentaldingbats}', "");
Expect(0, 128640, '\P{^inornamentaldingbats}', "");
Expect(1, 128639, '\p{--in_Ornamental_DINGBATS}', "");
Expect(0, 128639, '\p{^--in_Ornamental_DINGBATS}', "");
Expect(0, 128639, '\P{--in_Ornamental_DINGBATS}', "");
Expect(1, 128639, '\P{^--in_Ornamental_DINGBATS}', "");
Expect(0, 128640, '\p{--in_Ornamental_DINGBATS}', "");
Expect(1, 128640, '\p{^--in_Ornamental_DINGBATS}', "");
Expect(1, 128640, '\P{--in_Ornamental_DINGBATS}', "");
Expect(0, 128640, '\P{^--in_Ornamental_DINGBATS}', "");
Error('\p{/a/	 Osmanya}');
Error('\P{/a/	 Osmanya}');
Expect(1, 66729, '\p{osmanya}', "");
Expect(0, 66729, '\p{^osmanya}', "");
Expect(0, 66729, '\P{osmanya}', "");
Expect(1, 66729, '\P{^osmanya}', "");
Expect(0, 66730, '\p{osmanya}', "");
Expect(1, 66730, '\p{^osmanya}', "");
Expect(1, 66730, '\P{osmanya}', "");
Expect(0, 66730, '\P{^osmanya}', "");
Expect(1, 66729, '\p{- OSMANYA}', "");
Expect(0, 66729, '\p{^- OSMANYA}', "");
Expect(0, 66729, '\P{- OSMANYA}', "");
Expect(1, 66729, '\P{^- OSMANYA}', "");
Expect(0, 66730, '\p{- OSMANYA}', "");
Expect(1, 66730, '\p{^- OSMANYA}', "");
Expect(1, 66730, '\P{- OSMANYA}', "");
Expect(0, 66730, '\P{^- OSMANYA}', "");
Error('\p{-	Is_OSMANYA/a/}');
Error('\P{-	Is_OSMANYA/a/}');
Expect(1, 66729, '\p{isosmanya}', "");
Expect(0, 66729, '\p{^isosmanya}', "");
Expect(0, 66729, '\P{isosmanya}', "");
Expect(1, 66729, '\P{^isosmanya}', "");
Expect(0, 66730, '\p{isosmanya}', "");
Expect(1, 66730, '\p{^isosmanya}', "");
Expect(1, 66730, '\P{isosmanya}', "");
Expect(0, 66730, '\P{^isosmanya}', "");
Expect(1, 66729, '\p{--is_osmanya}', "");
Expect(0, 66729, '\p{^--is_osmanya}', "");
Expect(0, 66729, '\P{--is_osmanya}', "");
Expect(1, 66729, '\P{^--is_osmanya}', "");
Expect(0, 66730, '\p{--is_osmanya}', "");
Expect(1, 66730, '\p{^--is_osmanya}', "");
Expect(1, 66730, '\P{--is_osmanya}', "");
Expect(0, 66730, '\P{^--is_osmanya}', "");
Error('\p{_osma:=}');
Error('\P{_osma:=}');
Expect(1, 66729, '\p{osma}', "");
Expect(0, 66729, '\p{^osma}', "");
Expect(0, 66729, '\P{osma}', "");
Expect(1, 66729, '\P{^osma}', "");
Expect(0, 66730, '\p{osma}', "");
Expect(1, 66730, '\p{^osma}', "");
Expect(1, 66730, '\P{osma}', "");
Expect(0, 66730, '\P{^osma}', "");
Error('\p{_-IS_OSMA:=}');
Error('\P{_-IS_OSMA:=}');
Expect(1, 66729, '\p{isosma}', "");
Expect(0, 66729, '\p{^isosma}', "");
Expect(0, 66729, '\P{isosma}', "");
Expect(1, 66729, '\P{^isosma}', "");
Expect(0, 66730, '\p{isosma}', "");
Expect(1, 66730, '\p{^isosma}', "");
Expect(1, 66730, '\P{isosma}', "");
Expect(0, 66730, '\P{^isosma}', "");
Expect(1, 66729, '\p{	IS_OSMA}', "");
Expect(0, 66729, '\p{^	IS_OSMA}', "");
Expect(0, 66729, '\P{	IS_OSMA}', "");
Expect(1, 66729, '\P{^	IS_OSMA}', "");
Expect(0, 66730, '\p{	IS_OSMA}', "");
Expect(1, 66730, '\p{^	IS_OSMA}', "");
Expect(1, 66730, '\P{	IS_OSMA}', "");
Expect(0, 66730, '\P{^	IS_OSMA}', "");
Error('\p{:=	 other}');
Error('\P{:=	 other}');
Expect(1, 918000, '\p{other}', "");
Expect(0, 918000, '\p{^other}', "");
Expect(0, 918000, '\P{other}', "");
Expect(1, 918000, '\P{^other}', "");
Expect(0, 917999, '\p{other}', "");
Expect(1, 917999, '\p{^other}', "");
Expect(1, 917999, '\P{other}', "");
Expect(0, 917999, '\P{^other}', "");
Expect(1, 918000, '\p{	_OTHER}', "");
Expect(0, 918000, '\p{^	_OTHER}', "");
Expect(0, 918000, '\P{	_OTHER}', "");
Expect(1, 918000, '\P{^	_OTHER}', "");
Expect(0, 917999, '\p{	_OTHER}', "");
Expect(1, 917999, '\p{^	_OTHER}', "");
Expect(1, 917999, '\P{	_OTHER}', "");
Expect(0, 917999, '\P{^	_OTHER}', "");
Error('\p{_-is_OTHER:=}');
Error('\P{_-is_OTHER:=}');
Expect(1, 918000, '\p{isother}', "");
Expect(0, 918000, '\p{^isother}', "");
Expect(0, 918000, '\P{isother}', "");
Expect(1, 918000, '\P{^isother}', "");
Expect(0, 917999, '\p{isother}', "");
Expect(1, 917999, '\p{^isother}', "");
Expect(1, 917999, '\P{isother}', "");
Expect(0, 917999, '\P{^isother}', "");
Expect(1, 918000, '\p{-Is_OTHER}', "");
Expect(0, 918000, '\p{^-Is_OTHER}', "");
Expect(0, 918000, '\P{-Is_OTHER}', "");
Expect(1, 918000, '\P{^-Is_OTHER}', "");
Expect(0, 917999, '\p{-Is_OTHER}', "");
Expect(1, 917999, '\p{^-Is_OTHER}', "");
Expect(1, 917999, '\P{-Is_OTHER}', "");
Expect(0, 917999, '\P{^-Is_OTHER}', "");
Error('\p{/a/c}');
Error('\P{/a/c}');
Expect(1, 918000, '\p{c}', "");
Expect(0, 918000, '\p{^c}', "");
Expect(0, 918000, '\P{c}', "");
Expect(1, 918000, '\P{^c}', "");
Expect(0, 917999, '\p{c}', "");
Expect(1, 917999, '\p{^c}', "");
Expect(1, 917999, '\P{c}', "");
Expect(0, 917999, '\P{^c}', "");
Expect(1, 918000, '\p{ -c}', "");
Expect(0, 918000, '\p{^ -c}', "");
Expect(0, 918000, '\P{ -c}', "");
Expect(1, 918000, '\P{^ -c}', "");
Expect(0, 917999, '\p{ -c}', "");
Expect(1, 917999, '\p{^ -c}', "");
Expect(1, 917999, '\P{ -c}', "");
Expect(0, 917999, '\P{^ -c}', "");
Error('\p{ :=Is_C}');
Error('\P{ :=Is_C}');
Expect(1, 918000, '\p{isc}', "");
Expect(0, 918000, '\p{^isc}', "");
Expect(0, 918000, '\P{isc}', "");
Expect(1, 918000, '\P{^isc}', "");
Expect(0, 917999, '\p{isc}', "");
Expect(1, 917999, '\p{^isc}', "");
Expect(1, 917999, '\P{isc}', "");
Expect(0, 917999, '\P{^isc}', "");
Expect(1, 918000, '\p{	_Is_c}', "");
Expect(0, 918000, '\p{^	_Is_c}', "");
Expect(0, 918000, '\P{	_Is_c}', "");
Expect(1, 918000, '\P{^	_Is_c}', "");
Expect(0, 917999, '\p{	_Is_c}', "");
Expect(1, 917999, '\p{^	_Is_c}', "");
Expect(1, 917999, '\P{	_Is_c}', "");
Expect(0, 917999, '\P{^	_Is_c}', "");
Error('\p{Other_Alphabetic}');
Error('\P{Other_Alphabetic}');
Error('\p{Is_Other_Alphabetic}');
Error('\P{Is_Other_Alphabetic}');
Error('\p{OAlpha}');
Error('\P{OAlpha}');
Error('\p{Is_OAlpha}');
Error('\P{Is_OAlpha}');
Error('\p{Other_Default_Ignorable_Code_Point}');
Error('\P{Other_Default_Ignorable_Code_Point}');
Error('\p{Is_Other_Default_Ignorable_Code_Point}');
Error('\P{Is_Other_Default_Ignorable_Code_Point}');
Error('\p{ODI}');
Error('\P{ODI}');
Error('\p{Is_ODI}');
Error('\P{Is_ODI}');
Error('\p{Other_Grapheme_Extend}');
Error('\P{Other_Grapheme_Extend}');
Error('\p{Is_Other_Grapheme_Extend}');
Error('\P{Is_Other_Grapheme_Extend}');
Error('\p{OGr_Ext}');
Error('\P{OGr_Ext}');
Error('\p{Is_OGr_Ext}');
Error('\P{Is_OGr_Ext}');
Error('\p{Other_ID_Continue}');
Error('\P{Other_ID_Continue}');
Error('\p{Is_Other_ID_Continue}');
Error('\P{Is_Other_ID_Continue}');
Error('\p{OIDC}');
Error('\P{OIDC}');
Error('\p{Is_OIDC}');
Error('\P{Is_OIDC}');
Error('\p{Other_ID_Start}');
Error('\P{Other_ID_Start}');
Error('\p{Is_Other_ID_Start}');
Error('\P{Is_Other_ID_Start}');
Error('\p{OIDS}');
Error('\P{OIDS}');
Error('\p{Is_OIDS}');
Error('\P{Is_OIDS}');
Error('\p{	_OTHER_letter:=}');
Error('\P{	_OTHER_letter:=}');
Expect(1, 195101, '\p{otherletter}', "");
Expect(0, 195101, '\p{^otherletter}', "");
Expect(0, 195101, '\P{otherletter}', "");
Expect(1, 195101, '\P{^otherletter}', "");
Expect(0, 195102, '\p{otherletter}', "");
Expect(1, 195102, '\p{^otherletter}', "");
Expect(1, 195102, '\P{otherletter}', "");
Expect(0, 195102, '\P{^otherletter}', "");
Expect(1, 195101, '\p{	 Other_LETTER}', "");
Expect(0, 195101, '\p{^	 Other_LETTER}', "");
Expect(0, 195101, '\P{	 Other_LETTER}', "");
Expect(1, 195101, '\P{^	 Other_LETTER}', "");
Expect(0, 195102, '\p{	 Other_LETTER}', "");
Expect(1, 195102, '\p{^	 Other_LETTER}', "");
Expect(1, 195102, '\P{	 Other_LETTER}', "");
Expect(0, 195102, '\P{^	 Other_LETTER}', "");
Error('\p{/a/ is_Other_LETTER}');
Error('\P{/a/ is_Other_LETTER}');
Expect(1, 195101, '\p{isotherletter}', "");
Expect(0, 195101, '\p{^isotherletter}', "");
Expect(0, 195101, '\P{isotherletter}', "");
Expect(1, 195101, '\P{^isotherletter}', "");
Expect(0, 195102, '\p{isotherletter}', "");
Expect(1, 195102, '\p{^isotherletter}', "");
Expect(1, 195102, '\P{isotherletter}', "");
Expect(0, 195102, '\P{^isotherletter}', "");
Expect(1, 195101, '\p{-_Is_Other_Letter}', "");
Expect(0, 195101, '\p{^-_Is_Other_Letter}', "");
Expect(0, 195101, '\P{-_Is_Other_Letter}', "");
Expect(1, 195101, '\P{^-_Is_Other_Letter}', "");
Expect(0, 195102, '\p{-_Is_Other_Letter}', "");
Expect(1, 195102, '\p{^-_Is_Other_Letter}', "");
Expect(1, 195102, '\P{-_Is_Other_Letter}', "");
Expect(0, 195102, '\P{^-_Is_Other_Letter}', "");
Error('\p{ -lo:=}');
Error('\P{ -lo:=}');
Expect(1, 195101, '\p{lo}', "");
Expect(0, 195101, '\p{^lo}', "");
Expect(0, 195101, '\P{lo}', "");
Expect(1, 195101, '\P{^lo}', "");
Expect(0, 195102, '\p{lo}', "");
Expect(1, 195102, '\p{^lo}', "");
Expect(1, 195102, '\P{lo}', "");
Expect(0, 195102, '\P{^lo}', "");
Expect(1, 195101, '\p{ _Lo}', "");
Expect(0, 195101, '\p{^ _Lo}', "");
Expect(0, 195101, '\P{ _Lo}', "");
Expect(1, 195101, '\P{^ _Lo}', "");
Expect(0, 195102, '\p{ _Lo}', "");
Expect(1, 195102, '\p{^ _Lo}', "");
Expect(1, 195102, '\P{ _Lo}', "");
Expect(0, 195102, '\P{^ _Lo}', "");
Error('\p{--Is_Lo:=}');
Error('\P{--Is_Lo:=}');
Expect(1, 195101, '\p{islo}', "");
Expect(0, 195101, '\p{^islo}', "");
Expect(0, 195101, '\P{islo}', "");
Expect(1, 195101, '\P{^islo}', "");
Expect(0, 195102, '\p{islo}', "");
Expect(1, 195102, '\p{^islo}', "");
Expect(1, 195102, '\P{islo}', "");
Expect(0, 195102, '\P{^islo}', "");
Expect(1, 195101, '\p{_Is_Lo}', "");
Expect(0, 195101, '\p{^_Is_Lo}', "");
Expect(0, 195101, '\P{_Is_Lo}', "");
Expect(1, 195101, '\P{^_Is_Lo}', "");
Expect(0, 195102, '\p{_Is_Lo}', "");
Expect(1, 195102, '\p{^_Is_Lo}', "");
Expect(1, 195102, '\P{_Is_Lo}', "");
Expect(0, 195102, '\P{^_Is_Lo}', "");
Error('\p{Other_Lowercase}');
Error('\P{Other_Lowercase}');
Error('\p{Is_Other_Lowercase}');
Error('\P{Is_Other_Lowercase}');
Error('\p{OLower}');
Error('\P{OLower}');
Error('\p{Is_OLower}');
Error('\P{Is_OLower}');
Error('\p{Other_Math}');
Error('\P{Other_Math}');
Error('\p{Is_Other_Math}');
Error('\P{Is_Other_Math}');
Error('\p{OMath}');
Error('\P{OMath}');
Error('\p{Is_OMath}');
Error('\P{Is_OMath}');
Error('\p{	other_Number/a/}');
Error('\P{	other_Number/a/}');
Expect(1, 127244, '\p{othernumber}', "");
Expect(0, 127244, '\p{^othernumber}', "");
Expect(0, 127244, '\P{othernumber}', "");
Expect(1, 127244, '\P{^othernumber}', "");
Expect(0, 127245, '\p{othernumber}', "");
Expect(1, 127245, '\p{^othernumber}', "");
Expect(1, 127245, '\P{othernumber}', "");
Expect(0, 127245, '\P{^othernumber}', "");
Expect(1, 127244, '\p{ Other_Number}', "");
Expect(0, 127244, '\p{^ Other_Number}', "");
Expect(0, 127244, '\P{ Other_Number}', "");
Expect(1, 127244, '\P{^ Other_Number}', "");
Expect(0, 127245, '\p{ Other_Number}', "");
Expect(1, 127245, '\p{^ Other_Number}', "");
Expect(1, 127245, '\P{ Other_Number}', "");
Expect(0, 127245, '\P{^ Other_Number}', "");
Error('\p{/a/ 	Is_Other_number}');
Error('\P{/a/ 	Is_Other_number}');
Expect(1, 127244, '\p{isothernumber}', "");
Expect(0, 127244, '\p{^isothernumber}', "");
Expect(0, 127244, '\P{isothernumber}', "");
Expect(1, 127244, '\P{^isothernumber}', "");
Expect(0, 127245, '\p{isothernumber}', "");
Expect(1, 127245, '\p{^isothernumber}', "");
Expect(1, 127245, '\P{isothernumber}', "");
Expect(0, 127245, '\P{^isothernumber}', "");
Expect(1, 127244, '\p{	_Is_OTHER_Number}', "");
Expect(0, 127244, '\p{^	_Is_OTHER_Number}', "");
Expect(0, 127244, '\P{	_Is_OTHER_Number}', "");
Expect(1, 127244, '\P{^	_Is_OTHER_Number}', "");
Expect(0, 127245, '\p{	_Is_OTHER_Number}', "");
Expect(1, 127245, '\p{^	_Is_OTHER_Number}', "");
Expect(1, 127245, '\P{	_Is_OTHER_Number}', "");
Expect(0, 127245, '\P{^	_Is_OTHER_Number}', "");
Error('\p{--no/a/}');
Error('\P{--no/a/}');
Expect(1, 127244, '\p{no}', "");
Expect(0, 127244, '\p{^no}', "");
Expect(0, 127244, '\P{no}', "");
Expect(1, 127244, '\P{^no}', "");
Expect(0, 127245, '\p{no}', "");
Expect(1, 127245, '\p{^no}', "");
Expect(1, 127245, '\P{no}', "");
Expect(0, 127245, '\P{^no}', "");
Expect(1, 127244, '\p{	NO}', "");
Expect(0, 127244, '\p{^	NO}', "");
Expect(0, 127244, '\P{	NO}', "");
Expect(1, 127244, '\P{^	NO}', "");
Expect(0, 127245, '\p{	NO}', "");
Expect(1, 127245, '\p{^	NO}', "");
Expect(1, 127245, '\P{	NO}', "");
Expect(0, 127245, '\P{^	NO}', "");
Error('\p{_:=Is_No}');
Error('\P{_:=Is_No}');
Expect(1, 127244, '\p{isno}', "");
Expect(0, 127244, '\p{^isno}', "");
Expect(0, 127244, '\P{isno}', "");
Expect(1, 127244, '\P{^isno}', "");
Expect(0, 127245, '\p{isno}', "");
Expect(1, 127245, '\p{^isno}', "");
Expect(1, 127245, '\P{isno}', "");
Expect(0, 127245, '\P{^isno}', "");
Expect(1, 127244, '\p{	Is_No}', "");
Expect(0, 127244, '\p{^	Is_No}', "");
Expect(0, 127244, '\P{	Is_No}', "");
Expect(1, 127244, '\P{^	Is_No}', "");
Expect(0, 127245, '\p{	Is_No}', "");
Expect(1, 127245, '\p{^	Is_No}', "");
Expect(1, 127245, '\P{	Is_No}', "");
Expect(0, 127245, '\P{^	Is_No}', "");
Error('\p{	:=other_Punctuation}');
Error('\P{	:=other_Punctuation}');
Expect(1, 121483, '\p{otherpunctuation}', "");
Expect(0, 121483, '\p{^otherpunctuation}', "");
Expect(0, 121483, '\P{otherpunctuation}', "");
Expect(1, 121483, '\P{^otherpunctuation}', "");
Expect(0, 121484, '\p{otherpunctuation}', "");
Expect(1, 121484, '\p{^otherpunctuation}', "");
Expect(1, 121484, '\P{otherpunctuation}', "");
Expect(0, 121484, '\P{^otherpunctuation}', "");
Expect(1, 121483, '\p{__OTHER_PUNCTUATION}', "");
Expect(0, 121483, '\p{^__OTHER_PUNCTUATION}', "");
Expect(0, 121483, '\P{__OTHER_PUNCTUATION}', "");
Expect(1, 121483, '\P{^__OTHER_PUNCTUATION}', "");
Expect(0, 121484, '\p{__OTHER_PUNCTUATION}', "");
Expect(1, 121484, '\p{^__OTHER_PUNCTUATION}', "");
Expect(1, 121484, '\P{__OTHER_PUNCTUATION}', "");
Expect(0, 121484, '\P{^__OTHER_PUNCTUATION}', "");
Error('\p{__Is_Other_Punctuation:=}');
Error('\P{__Is_Other_Punctuation:=}');
Expect(1, 121483, '\p{isotherpunctuation}', "");
Expect(0, 121483, '\p{^isotherpunctuation}', "");
Expect(0, 121483, '\P{isotherpunctuation}', "");
Expect(1, 121483, '\P{^isotherpunctuation}', "");
Expect(0, 121484, '\p{isotherpunctuation}', "");
Expect(1, 121484, '\p{^isotherpunctuation}', "");
Expect(1, 121484, '\P{isotherpunctuation}', "");
Expect(0, 121484, '\P{^isotherpunctuation}', "");
Expect(1, 121483, '\p{-_Is_Other_Punctuation}', "");
Expect(0, 121483, '\p{^-_Is_Other_Punctuation}', "");
Expect(0, 121483, '\P{-_Is_Other_Punctuation}', "");
Expect(1, 121483, '\P{^-_Is_Other_Punctuation}', "");
Expect(0, 121484, '\p{-_Is_Other_Punctuation}', "");
Expect(1, 121484, '\p{^-_Is_Other_Punctuation}', "");
Expect(1, 121484, '\P{-_Is_Other_Punctuation}', "");
Expect(0, 121484, '\P{^-_Is_Other_Punctuation}', "");
Error('\p{/a/  po}');
Error('\P{/a/  po}');
Expect(1, 121483, '\p{po}', "");
Expect(0, 121483, '\p{^po}', "");
Expect(0, 121483, '\P{po}', "");
Expect(1, 121483, '\P{^po}', "");
Expect(0, 121484, '\p{po}', "");
Expect(1, 121484, '\p{^po}', "");
Expect(1, 121484, '\P{po}', "");
Expect(0, 121484, '\P{^po}', "");
Expect(1, 121483, '\p{ po}', "");
Expect(0, 121483, '\p{^ po}', "");
Expect(0, 121483, '\P{ po}', "");
Expect(1, 121483, '\P{^ po}', "");
Expect(0, 121484, '\p{ po}', "");
Expect(1, 121484, '\p{^ po}', "");
Expect(1, 121484, '\P{ po}', "");
Expect(0, 121484, '\P{^ po}', "");
Error('\p{/a/	IS_PO}');
Error('\P{/a/	IS_PO}');
Expect(1, 121483, '\p{ispo}', "");
Expect(0, 121483, '\p{^ispo}', "");
Expect(0, 121483, '\P{ispo}', "");
Expect(1, 121483, '\P{^ispo}', "");
Expect(0, 121484, '\p{ispo}', "");
Expect(1, 121484, '\p{^ispo}', "");
Expect(1, 121484, '\P{ispo}', "");
Expect(0, 121484, '\P{^ispo}', "");
Expect(1, 121483, '\p{	_IS_po}', "");
Expect(0, 121483, '\p{^	_IS_po}', "");
Expect(0, 121483, '\P{	_IS_po}', "");
Expect(1, 121483, '\P{^	_IS_po}', "");
Expect(0, 121484, '\p{	_IS_po}', "");
Expect(1, 121484, '\p{^	_IS_po}', "");
Expect(1, 121484, '\P{	_IS_po}', "");
Expect(0, 121484, '\P{^	_IS_po}', "");
Error('\p{-/a/Other_SYMBOL}');
Error('\P{-/a/Other_SYMBOL}');
Expect(1, 129472, '\p{othersymbol}', "");
Expect(0, 129472, '\p{^othersymbol}', "");
Expect(0, 129472, '\P{othersymbol}', "");
Expect(1, 129472, '\P{^othersymbol}', "");
Expect(0, 129473, '\p{othersymbol}', "");
Expect(1, 129473, '\p{^othersymbol}', "");
Expect(1, 129473, '\P{othersymbol}', "");
Expect(0, 129473, '\P{^othersymbol}', "");
Expect(1, 129472, '\p{-_other_symbol}', "");
Expect(0, 129472, '\p{^-_other_symbol}', "");
Expect(0, 129472, '\P{-_other_symbol}', "");
Expect(1, 129472, '\P{^-_other_symbol}', "");
Expect(0, 129473, '\p{-_other_symbol}', "");
Expect(1, 129473, '\p{^-_other_symbol}', "");
Expect(1, 129473, '\P{-_other_symbol}', "");
Expect(0, 129473, '\P{^-_other_symbol}', "");
Error('\p{_/a/Is_Other_Symbol}');
Error('\P{_/a/Is_Other_Symbol}');
Expect(1, 129472, '\p{isothersymbol}', "");
Expect(0, 129472, '\p{^isothersymbol}', "");
Expect(0, 129472, '\P{isothersymbol}', "");
Expect(1, 129472, '\P{^isothersymbol}', "");
Expect(0, 129473, '\p{isothersymbol}', "");
Expect(1, 129473, '\p{^isothersymbol}', "");
Expect(1, 129473, '\P{isothersymbol}', "");
Expect(0, 129473, '\P{^isothersymbol}', "");
Expect(1, 129472, '\p{	 Is_OTHER_symbol}', "");
Expect(0, 129472, '\p{^	 Is_OTHER_symbol}', "");
Expect(0, 129472, '\P{	 Is_OTHER_symbol}', "");
Expect(1, 129472, '\P{^	 Is_OTHER_symbol}', "");
Expect(0, 129473, '\p{	 Is_OTHER_symbol}', "");
Expect(1, 129473, '\p{^	 Is_OTHER_symbol}', "");
Expect(1, 129473, '\P{	 Is_OTHER_symbol}', "");
Expect(0, 129473, '\P{^	 Is_OTHER_symbol}', "");
Error('\p{/a/-so}');
Error('\P{/a/-so}');
Expect(1, 129472, '\p{so}', "");
Expect(0, 129472, '\p{^so}', "");
Expect(0, 129472, '\P{so}', "");
Expect(1, 129472, '\P{^so}', "");
Expect(0, 129473, '\p{so}', "");
Expect(1, 129473, '\p{^so}', "");
Expect(1, 129473, '\P{so}', "");
Expect(0, 129473, '\P{^so}', "");
Expect(1, 129472, '\p{ -So}', "");
Expect(0, 129472, '\p{^ -So}', "");
Expect(0, 129472, '\P{ -So}', "");
Expect(1, 129472, '\P{^ -So}', "");
Expect(0, 129473, '\p{ -So}', "");
Expect(1, 129473, '\p{^ -So}', "");
Expect(1, 129473, '\P{ -So}', "");
Expect(0, 129473, '\P{^ -So}', "");
Error('\p{		IS_So:=}');
Error('\P{		IS_So:=}');
Expect(1, 129472, '\p{isso}', "");
Expect(0, 129472, '\p{^isso}', "");
Expect(0, 129472, '\P{isso}', "");
Expect(1, 129472, '\P{^isso}', "");
Expect(0, 129473, '\p{isso}', "");
Expect(1, 129473, '\p{^isso}', "");
Expect(1, 129473, '\P{isso}', "");
Expect(0, 129473, '\P{^isso}', "");
Expect(1, 129472, '\p{	 IS_so}', "");
Expect(0, 129472, '\p{^	 IS_so}', "");
Expect(0, 129472, '\P{	 IS_so}', "");
Expect(1, 129472, '\P{^	 IS_so}', "");
Expect(0, 129473, '\p{	 IS_so}', "");
Expect(1, 129473, '\p{^	 IS_so}', "");
Expect(1, 129473, '\P{	 IS_so}', "");
Expect(0, 129473, '\P{^	 IS_so}', "");
Error('\p{Other_Uppercase}');
Error('\P{Other_Uppercase}');
Error('\p{Is_Other_Uppercase}');
Error('\P{Is_Other_Uppercase}');
Error('\p{OUpper}');
Error('\P{OUpper}');
Error('\p{Is_OUpper}');
Error('\P{Is_OUpper}');
Error('\p{:=__pahawh_Hmong}');
Error('\P{:=__pahawh_Hmong}');
Expect(1, 93071, '\p{pahawhhmong}', "");
Expect(0, 93071, '\p{^pahawhhmong}', "");
Expect(0, 93071, '\P{pahawhhmong}', "");
Expect(1, 93071, '\P{^pahawhhmong}', "");
Expect(0, 93072, '\p{pahawhhmong}', "");
Expect(1, 93072, '\p{^pahawhhmong}', "");
Expect(1, 93072, '\P{pahawhhmong}', "");
Expect(0, 93072, '\P{^pahawhhmong}', "");
Expect(1, 93071, '\p{_ Pahawh_Hmong}', "");
Expect(0, 93071, '\p{^_ Pahawh_Hmong}', "");
Expect(0, 93071, '\P{_ Pahawh_Hmong}', "");
Expect(1, 93071, '\P{^_ Pahawh_Hmong}', "");
Expect(0, 93072, '\p{_ Pahawh_Hmong}', "");
Expect(1, 93072, '\p{^_ Pahawh_Hmong}', "");
Expect(1, 93072, '\P{_ Pahawh_Hmong}', "");
Expect(0, 93072, '\P{^_ Pahawh_Hmong}', "");
Error('\p{ :=Is_Pahawh_HMONG}');
Error('\P{ :=Is_Pahawh_HMONG}');
Expect(1, 93071, '\p{ispahawhhmong}', "");
Expect(0, 93071, '\p{^ispahawhhmong}', "");
Expect(0, 93071, '\P{ispahawhhmong}', "");
Expect(1, 93071, '\P{^ispahawhhmong}', "");
Expect(0, 93072, '\p{ispahawhhmong}', "");
Expect(1, 93072, '\p{^ispahawhhmong}', "");
Expect(1, 93072, '\P{ispahawhhmong}', "");
Expect(0, 93072, '\P{^ispahawhhmong}', "");
Expect(1, 93071, '\p{	 Is_Pahawh_Hmong}', "");
Expect(0, 93071, '\p{^	 Is_Pahawh_Hmong}', "");
Expect(0, 93071, '\P{	 Is_Pahawh_Hmong}', "");
Expect(1, 93071, '\P{^	 Is_Pahawh_Hmong}', "");
Expect(0, 93072, '\p{	 Is_Pahawh_Hmong}', "");
Expect(1, 93072, '\p{^	 Is_Pahawh_Hmong}', "");
Expect(1, 93072, '\P{	 Is_Pahawh_Hmong}', "");
Expect(0, 93072, '\P{^	 Is_Pahawh_Hmong}', "");
Error('\p{ hmng:=}');
Error('\P{ hmng:=}');
Expect(1, 93071, '\p{hmng}', "");
Expect(0, 93071, '\p{^hmng}', "");
Expect(0, 93071, '\P{hmng}', "");
Expect(1, 93071, '\P{^hmng}', "");
Expect(0, 93072, '\p{hmng}', "");
Expect(1, 93072, '\p{^hmng}', "");
Expect(1, 93072, '\P{hmng}', "");
Expect(0, 93072, '\P{^hmng}', "");
Expect(1, 93071, '\p{_-Hmng}', "");
Expect(0, 93071, '\p{^_-Hmng}', "");
Expect(0, 93071, '\P{_-Hmng}', "");
Expect(1, 93071, '\P{^_-Hmng}', "");
Expect(0, 93072, '\p{_-Hmng}', "");
Expect(1, 93072, '\p{^_-Hmng}', "");
Expect(1, 93072, '\P{_-Hmng}', "");
Expect(0, 93072, '\P{^_-Hmng}', "");
Error('\p{-:=Is_Hmng}');
Error('\P{-:=Is_Hmng}');
Expect(1, 93071, '\p{ishmng}', "");
Expect(0, 93071, '\p{^ishmng}', "");
Expect(0, 93071, '\P{ishmng}', "");
Expect(1, 93071, '\P{^ishmng}', "");
Expect(0, 93072, '\p{ishmng}', "");
Expect(1, 93072, '\p{^ishmng}', "");
Expect(1, 93072, '\P{ishmng}', "");
Expect(0, 93072, '\P{^ishmng}', "");
Expect(1, 93071, '\p{ _is_Hmng}', "");
Expect(0, 93071, '\p{^ _is_Hmng}', "");
Expect(0, 93071, '\P{ _is_Hmng}', "");
Expect(1, 93071, '\P{^ _is_Hmng}', "");
Expect(0, 93072, '\p{ _is_Hmng}', "");
Expect(1, 93072, '\p{^ _is_Hmng}', "");
Expect(1, 93072, '\P{ _is_Hmng}', "");
Expect(0, 93072, '\P{^ _is_Hmng}', "");
Error('\p{/a/-palmyrene}');
Error('\P{/a/-palmyrene}');
Expect(1, 67711, '\p{palmyrene}', "");
Expect(0, 67711, '\p{^palmyrene}', "");
Expect(0, 67711, '\P{palmyrene}', "");
Expect(1, 67711, '\P{^palmyrene}', "");
Expect(0, 67712, '\p{palmyrene}', "");
Expect(1, 67712, '\p{^palmyrene}', "");
Expect(1, 67712, '\P{palmyrene}', "");
Expect(0, 67712, '\P{^palmyrene}', "");
Expect(1, 67711, '\p{ _PALMYRENE}', "");
Expect(0, 67711, '\p{^ _PALMYRENE}', "");
Expect(0, 67711, '\P{ _PALMYRENE}', "");
Expect(1, 67711, '\P{^ _PALMYRENE}', "");
Expect(0, 67712, '\p{ _PALMYRENE}', "");
Expect(1, 67712, '\p{^ _PALMYRENE}', "");
Expect(1, 67712, '\P{ _PALMYRENE}', "");
Expect(0, 67712, '\P{^ _PALMYRENE}', "");
Error('\p{-/a/IS_Palmyrene}');
Error('\P{-/a/IS_Palmyrene}');
Expect(1, 67711, '\p{ispalmyrene}', "");
Expect(0, 67711, '\p{^ispalmyrene}', "");
Expect(0, 67711, '\P{ispalmyrene}', "");
Expect(1, 67711, '\P{^ispalmyrene}', "");
Expect(0, 67712, '\p{ispalmyrene}', "");
Expect(1, 67712, '\p{^ispalmyrene}', "");
Expect(1, 67712, '\P{ispalmyrene}', "");
Expect(0, 67712, '\P{^ispalmyrene}', "");
Expect(1, 67711, '\p{_ IS_Palmyrene}', "");
Expect(0, 67711, '\p{^_ IS_Palmyrene}', "");
Expect(0, 67711, '\P{_ IS_Palmyrene}', "");
Expect(1, 67711, '\P{^_ IS_Palmyrene}', "");
Expect(0, 67712, '\p{_ IS_Palmyrene}', "");
Expect(1, 67712, '\p{^_ IS_Palmyrene}', "");
Expect(1, 67712, '\P{_ IS_Palmyrene}', "");
Expect(0, 67712, '\P{^_ IS_Palmyrene}', "");
Error('\p{ :=palm}');
Error('\P{ :=palm}');
Expect(1, 67711, '\p{palm}', "");
Expect(0, 67711, '\p{^palm}', "");
Expect(0, 67711, '\P{palm}', "");
Expect(1, 67711, '\P{^palm}', "");
Expect(0, 67712, '\p{palm}', "");
Expect(1, 67712, '\p{^palm}', "");
Expect(1, 67712, '\P{palm}', "");
Expect(0, 67712, '\P{^palm}', "");
Expect(1, 67711, '\p{--Palm}', "");
Expect(0, 67711, '\p{^--Palm}', "");
Expect(0, 67711, '\P{--Palm}', "");
Expect(1, 67711, '\P{^--Palm}', "");
Expect(0, 67712, '\p{--Palm}', "");
Expect(1, 67712, '\p{^--Palm}', "");
Expect(1, 67712, '\P{--Palm}', "");
Expect(0, 67712, '\P{^--Palm}', "");
Error('\p{/a/ -Is_palm}');
Error('\P{/a/ -Is_palm}');
Expect(1, 67711, '\p{ispalm}', "");
Expect(0, 67711, '\p{^ispalm}', "");
Expect(0, 67711, '\P{ispalm}', "");
Expect(1, 67711, '\P{^ispalm}', "");
Expect(0, 67712, '\p{ispalm}', "");
Expect(1, 67712, '\p{^ispalm}', "");
Expect(1, 67712, '\P{ispalm}', "");
Expect(0, 67712, '\P{^ispalm}', "");
Expect(1, 67711, '\p{_is_Palm}', "");
Expect(0, 67711, '\p{^_is_Palm}', "");
Expect(0, 67711, '\P{_is_Palm}', "");
Expect(1, 67711, '\P{^_is_Palm}', "");
Expect(0, 67712, '\p{_is_Palm}', "");
Expect(1, 67712, '\p{^_is_Palm}', "");
Expect(1, 67712, '\P{_is_Palm}', "");
Expect(0, 67712, '\P{^_is_Palm}', "");
Error('\p{:=-_PARAGRAPH_separator}');
Error('\P{:=-_PARAGRAPH_separator}');
Expect(1, 8233, '\p{paragraphseparator}', "");
Expect(0, 8233, '\p{^paragraphseparator}', "");
Expect(0, 8233, '\P{paragraphseparator}', "");
Expect(1, 8233, '\P{^paragraphseparator}', "");
Expect(0, 8234, '\p{paragraphseparator}', "");
Expect(1, 8234, '\p{^paragraphseparator}', "");
Expect(1, 8234, '\P{paragraphseparator}', "");
Expect(0, 8234, '\P{^paragraphseparator}', "");
Expect(1, 8233, '\p{__Paragraph_separator}', "");
Expect(0, 8233, '\p{^__Paragraph_separator}', "");
Expect(0, 8233, '\P{__Paragraph_separator}', "");
Expect(1, 8233, '\P{^__Paragraph_separator}', "");
Expect(0, 8234, '\p{__Paragraph_separator}', "");
Expect(1, 8234, '\p{^__Paragraph_separator}', "");
Expect(1, 8234, '\P{__Paragraph_separator}', "");
Expect(0, 8234, '\P{^__Paragraph_separator}', "");
Error('\p{	:=is_Paragraph_Separator}');
Error('\P{	:=is_Paragraph_Separator}');
Expect(1, 8233, '\p{isparagraphseparator}', "");
Expect(0, 8233, '\p{^isparagraphseparator}', "");
Expect(0, 8233, '\P{isparagraphseparator}', "");
Expect(1, 8233, '\P{^isparagraphseparator}', "");
Expect(0, 8234, '\p{isparagraphseparator}', "");
Expect(1, 8234, '\p{^isparagraphseparator}', "");
Expect(1, 8234, '\P{isparagraphseparator}', "");
Expect(0, 8234, '\P{^isparagraphseparator}', "");
Expect(1, 8233, '\p{_	Is_Paragraph_separator}', "");
Expect(0, 8233, '\p{^_	Is_Paragraph_separator}', "");
Expect(0, 8233, '\P{_	Is_Paragraph_separator}', "");
Expect(1, 8233, '\P{^_	Is_Paragraph_separator}', "");
Expect(0, 8234, '\p{_	Is_Paragraph_separator}', "");
Expect(1, 8234, '\p{^_	Is_Paragraph_separator}', "");
Expect(1, 8234, '\P{_	Is_Paragraph_separator}', "");
Expect(0, 8234, '\P{^_	Is_Paragraph_separator}', "");
Error('\p{ /a/Zp}');
Error('\P{ /a/Zp}');
Expect(1, 8233, '\p{zp}', "");
Expect(0, 8233, '\p{^zp}', "");
Expect(0, 8233, '\P{zp}', "");
Expect(1, 8233, '\P{^zp}', "");
Expect(0, 8234, '\p{zp}', "");
Expect(1, 8234, '\p{^zp}', "");
Expect(1, 8234, '\P{zp}', "");
Expect(0, 8234, '\P{^zp}', "");
Expect(1, 8233, '\p{_	Zp}', "");
Expect(0, 8233, '\p{^_	Zp}', "");
Expect(0, 8233, '\P{_	Zp}', "");
Expect(1, 8233, '\P{^_	Zp}', "");
Expect(0, 8234, '\p{_	Zp}', "");
Expect(1, 8234, '\p{^_	Zp}', "");
Expect(1, 8234, '\P{_	Zp}', "");
Expect(0, 8234, '\P{^_	Zp}', "");
Error('\p{:=is_Zp}');
Error('\P{:=is_Zp}');
Expect(1, 8233, '\p{iszp}', "");
Expect(0, 8233, '\p{^iszp}', "");
Expect(0, 8233, '\P{iszp}', "");
Expect(1, 8233, '\P{^iszp}', "");
Expect(0, 8234, '\p{iszp}', "");
Expect(1, 8234, '\p{^iszp}', "");
Expect(1, 8234, '\P{iszp}', "");
Expect(0, 8234, '\P{^iszp}', "");
Expect(1, 8233, '\p{	 IS_Zp}', "");
Expect(0, 8233, '\p{^	 IS_Zp}', "");
Expect(0, 8233, '\P{	 IS_Zp}', "");
Expect(1, 8233, '\P{^	 IS_Zp}', "");
Expect(0, 8234, '\p{	 IS_Zp}', "");
Expect(1, 8234, '\p{^	 IS_Zp}', "");
Expect(1, 8234, '\P{	 IS_Zp}', "");
Expect(0, 8234, '\P{^	 IS_Zp}', "");
Error('\p{:=_-Pattern_Syntax}');
Error('\P{:=_-Pattern_Syntax}');
Expect(1, 65094, '\p{patternsyntax}', "");
Expect(0, 65094, '\p{^patternsyntax}', "");
Expect(0, 65094, '\P{patternsyntax}', "");
Expect(1, 65094, '\P{^patternsyntax}', "");
Expect(0, 65095, '\p{patternsyntax}', "");
Expect(1, 65095, '\p{^patternsyntax}', "");
Expect(1, 65095, '\P{patternsyntax}', "");
Expect(0, 65095, '\P{^patternsyntax}', "");
Expect(1, 65094, '\p{_PATTERN_Syntax}', "");
Expect(0, 65094, '\p{^_PATTERN_Syntax}', "");
Expect(0, 65094, '\P{_PATTERN_Syntax}', "");
Expect(1, 65094, '\P{^_PATTERN_Syntax}', "");
Expect(0, 65095, '\p{_PATTERN_Syntax}', "");
Expect(1, 65095, '\p{^_PATTERN_Syntax}', "");
Expect(1, 65095, '\P{_PATTERN_Syntax}', "");
Expect(0, 65095, '\P{^_PATTERN_Syntax}', "");
Error('\p{ :=Is_pattern_syntax}');
Error('\P{ :=Is_pattern_syntax}');
Expect(1, 65094, '\p{ispatternsyntax}', "");
Expect(0, 65094, '\p{^ispatternsyntax}', "");
Expect(0, 65094, '\P{ispatternsyntax}', "");
Expect(1, 65094, '\P{^ispatternsyntax}', "");
Expect(0, 65095, '\p{ispatternsyntax}', "");
Expect(1, 65095, '\p{^ispatternsyntax}', "");
Expect(1, 65095, '\P{ispatternsyntax}', "");
Expect(0, 65095, '\P{^ispatternsyntax}', "");
Expect(1, 65094, '\p{  Is_PATTERN_syntax}', "");
Expect(0, 65094, '\p{^  Is_PATTERN_syntax}', "");
Expect(0, 65094, '\P{  Is_PATTERN_syntax}', "");
Expect(1, 65094, '\P{^  Is_PATTERN_syntax}', "");
Expect(0, 65095, '\p{  Is_PATTERN_syntax}', "");
Expect(1, 65095, '\p{^  Is_PATTERN_syntax}', "");
Expect(1, 65095, '\P{  Is_PATTERN_syntax}', "");
Expect(0, 65095, '\P{^  Is_PATTERN_syntax}', "");
Error('\p{ Pat_SYN/a/}');
Error('\P{ Pat_SYN/a/}');
Expect(1, 65094, '\p{patsyn}', "");
Expect(0, 65094, '\p{^patsyn}', "");
Expect(0, 65094, '\P{patsyn}', "");
Expect(1, 65094, '\P{^patsyn}', "");
Expect(0, 65095, '\p{patsyn}', "");
Expect(1, 65095, '\p{^patsyn}', "");
Expect(1, 65095, '\P{patsyn}', "");
Expect(0, 65095, '\P{^patsyn}', "");
Expect(1, 65094, '\p{-Pat_Syn}', "");
Expect(0, 65094, '\p{^-Pat_Syn}', "");
Expect(0, 65094, '\P{-Pat_Syn}', "");
Expect(1, 65094, '\P{^-Pat_Syn}', "");
Expect(0, 65095, '\p{-Pat_Syn}', "");
Expect(1, 65095, '\p{^-Pat_Syn}', "");
Expect(1, 65095, '\P{-Pat_Syn}', "");
Expect(0, 65095, '\P{^-Pat_Syn}', "");
Error('\p{__is_PAT_Syn:=}');
Error('\P{__is_PAT_Syn:=}');
Expect(1, 65094, '\p{ispatsyn}', "");
Expect(0, 65094, '\p{^ispatsyn}', "");
Expect(0, 65094, '\P{ispatsyn}', "");
Expect(1, 65094, '\P{^ispatsyn}', "");
Expect(0, 65095, '\p{ispatsyn}', "");
Expect(1, 65095, '\p{^ispatsyn}', "");
Expect(1, 65095, '\P{ispatsyn}', "");
Expect(0, 65095, '\P{^ispatsyn}', "");
Expect(1, 65094, '\p{-	Is_Pat_SYN}', "");
Expect(0, 65094, '\p{^-	Is_Pat_SYN}', "");
Expect(0, 65094, '\P{-	Is_Pat_SYN}', "");
Expect(1, 65094, '\P{^-	Is_Pat_SYN}', "");
Expect(0, 65095, '\p{-	Is_Pat_SYN}', "");
Expect(1, 65095, '\p{^-	Is_Pat_SYN}', "");
Expect(1, 65095, '\P{-	Is_Pat_SYN}', "");
Expect(0, 65095, '\P{^-	Is_Pat_SYN}', "");
Error('\p{ _Pattern_white_Space/a/}');
Error('\P{ _Pattern_white_Space/a/}');
Expect(1, 8233, '\p{patternwhitespace}', "");
Expect(0, 8233, '\p{^patternwhitespace}', "");
Expect(0, 8233, '\P{patternwhitespace}', "");
Expect(1, 8233, '\P{^patternwhitespace}', "");
Expect(0, 8234, '\p{patternwhitespace}', "");
Expect(1, 8234, '\p{^patternwhitespace}', "");
Expect(1, 8234, '\P{patternwhitespace}', "");
Expect(0, 8234, '\P{^patternwhitespace}', "");
Expect(1, 8233, '\p{	-Pattern_White_space}', "");
Expect(0, 8233, '\p{^	-Pattern_White_space}', "");
Expect(0, 8233, '\P{	-Pattern_White_space}', "");
Expect(1, 8233, '\P{^	-Pattern_White_space}', "");
Expect(0, 8234, '\p{	-Pattern_White_space}', "");
Expect(1, 8234, '\p{^	-Pattern_White_space}', "");
Expect(1, 8234, '\P{	-Pattern_White_space}', "");
Expect(0, 8234, '\P{^	-Pattern_White_space}', "");
Error('\p{ is_PATTERN_WHITE_SPACE/a/}');
Error('\P{ is_PATTERN_WHITE_SPACE/a/}');
Expect(1, 8233, '\p{ispatternwhitespace}', "");
Expect(0, 8233, '\p{^ispatternwhitespace}', "");
Expect(0, 8233, '\P{ispatternwhitespace}', "");
Expect(1, 8233, '\P{^ispatternwhitespace}', "");
Expect(0, 8234, '\p{ispatternwhitespace}', "");
Expect(1, 8234, '\p{^ispatternwhitespace}', "");
Expect(1, 8234, '\P{ispatternwhitespace}', "");
Expect(0, 8234, '\P{^ispatternwhitespace}', "");
Expect(1, 8233, '\p{	is_Pattern_white_Space}', "");
Expect(0, 8233, '\p{^	is_Pattern_white_Space}', "");
Expect(0, 8233, '\P{	is_Pattern_white_Space}', "");
Expect(1, 8233, '\P{^	is_Pattern_white_Space}', "");
Expect(0, 8234, '\p{	is_Pattern_white_Space}', "");
Expect(1, 8234, '\p{^	is_Pattern_white_Space}', "");
Expect(1, 8234, '\P{	is_Pattern_white_Space}', "");
Expect(0, 8234, '\P{^	is_Pattern_white_Space}', "");
Error('\p{/a/ -PAT_WS}');
Error('\P{/a/ -PAT_WS}');
Expect(1, 8233, '\p{patws}', "");
Expect(0, 8233, '\p{^patws}', "");
Expect(0, 8233, '\P{patws}', "");
Expect(1, 8233, '\P{^patws}', "");
Expect(0, 8234, '\p{patws}', "");
Expect(1, 8234, '\p{^patws}', "");
Expect(1, 8234, '\P{patws}', "");
Expect(0, 8234, '\P{^patws}', "");
Expect(1, 8233, '\p{_ Pat_WS}', "");
Expect(0, 8233, '\p{^_ Pat_WS}', "");
Expect(0, 8233, '\P{_ Pat_WS}', "");
Expect(1, 8233, '\P{^_ Pat_WS}', "");
Expect(0, 8234, '\p{_ Pat_WS}', "");
Expect(1, 8234, '\p{^_ Pat_WS}', "");
Expect(1, 8234, '\P{_ Pat_WS}', "");
Expect(0, 8234, '\P{^_ Pat_WS}', "");
Error('\p{-Is_pat_ws/a/}');
Error('\P{-Is_pat_ws/a/}');
Expect(1, 8233, '\p{ispatws}', "");
Expect(0, 8233, '\p{^ispatws}', "");
Expect(0, 8233, '\P{ispatws}', "");
Expect(1, 8233, '\P{^ispatws}', "");
Expect(0, 8234, '\p{ispatws}', "");
Expect(1, 8234, '\p{^ispatws}', "");
Expect(1, 8234, '\P{ispatws}', "");
Expect(0, 8234, '\P{^ispatws}', "");
Expect(1, 8233, '\p{-is_Pat_WS}', "");
Expect(0, 8233, '\p{^-is_Pat_WS}', "");
Expect(0, 8233, '\P{-is_Pat_WS}', "");
Expect(1, 8233, '\P{^-is_Pat_WS}', "");
Expect(0, 8234, '\p{-is_Pat_WS}', "");
Expect(1, 8234, '\p{^-is_Pat_WS}', "");
Expect(1, 8234, '\P{-is_Pat_WS}', "");
Expect(0, 8234, '\P{^-is_Pat_WS}', "");
Error('\p{:= 	pau_Cin_hau}');
Error('\P{:= 	pau_Cin_hau}');
Expect(1, 72440, '\p{paucinhau}', "");
Expect(0, 72440, '\p{^paucinhau}', "");
Expect(0, 72440, '\P{paucinhau}', "");
Expect(1, 72440, '\P{^paucinhau}', "");
Expect(0, 72441, '\p{paucinhau}', "");
Expect(1, 72441, '\p{^paucinhau}', "");
Expect(1, 72441, '\P{paucinhau}', "");
Expect(0, 72441, '\P{^paucinhau}', "");
Expect(1, 72440, '\p{-	PAU_CIN_hau}', "");
Expect(0, 72440, '\p{^-	PAU_CIN_hau}', "");
Expect(0, 72440, '\P{-	PAU_CIN_hau}', "");
Expect(1, 72440, '\P{^-	PAU_CIN_hau}', "");
Expect(0, 72441, '\p{-	PAU_CIN_hau}', "");
Expect(1, 72441, '\p{^-	PAU_CIN_hau}', "");
Expect(1, 72441, '\P{-	PAU_CIN_hau}', "");
Expect(0, 72441, '\P{^-	PAU_CIN_hau}', "");
Error('\p{:=Is_Pau_CIN_HAU}');
Error('\P{:=Is_Pau_CIN_HAU}');
Expect(1, 72440, '\p{ispaucinhau}', "");
Expect(0, 72440, '\p{^ispaucinhau}', "");
Expect(0, 72440, '\P{ispaucinhau}', "");
Expect(1, 72440, '\P{^ispaucinhau}', "");
Expect(0, 72441, '\p{ispaucinhau}', "");
Expect(1, 72441, '\p{^ispaucinhau}', "");
Expect(1, 72441, '\P{ispaucinhau}', "");
Expect(0, 72441, '\P{^ispaucinhau}', "");
Expect(1, 72440, '\p{_Is_Pau_Cin_Hau}', "");
Expect(0, 72440, '\p{^_Is_Pau_Cin_Hau}', "");
Expect(0, 72440, '\P{_Is_Pau_Cin_Hau}', "");
Expect(1, 72440, '\P{^_Is_Pau_Cin_Hau}', "");
Expect(0, 72441, '\p{_Is_Pau_Cin_Hau}', "");
Expect(1, 72441, '\p{^_Is_Pau_Cin_Hau}', "");
Expect(1, 72441, '\P{_Is_Pau_Cin_Hau}', "");
Expect(0, 72441, '\P{^_Is_Pau_Cin_Hau}', "");
Error('\p{:=	_PAUC}');
Error('\P{:=	_PAUC}');
Expect(1, 72440, '\p{pauc}', "");
Expect(0, 72440, '\p{^pauc}', "");
Expect(0, 72440, '\P{pauc}', "");
Expect(1, 72440, '\P{^pauc}', "");
Expect(0, 72441, '\p{pauc}', "");
Expect(1, 72441, '\p{^pauc}', "");
Expect(1, 72441, '\P{pauc}', "");
Expect(0, 72441, '\P{^pauc}', "");
Expect(1, 72440, '\p{-	Pauc}', "");
Expect(0, 72440, '\p{^-	Pauc}', "");
Expect(0, 72440, '\P{-	Pauc}', "");
Expect(1, 72440, '\P{^-	Pauc}', "");
Expect(0, 72441, '\p{-	Pauc}', "");
Expect(1, 72441, '\p{^-	Pauc}', "");
Expect(1, 72441, '\P{-	Pauc}', "");
Expect(0, 72441, '\P{^-	Pauc}', "");
Error('\p{:= 	Is_Pauc}');
Error('\P{:= 	Is_Pauc}');
Expect(1, 72440, '\p{ispauc}', "");
Expect(0, 72440, '\p{^ispauc}', "");
Expect(0, 72440, '\P{ispauc}', "");
Expect(1, 72440, '\P{^ispauc}', "");
Expect(0, 72441, '\p{ispauc}', "");
Expect(1, 72441, '\p{^ispauc}', "");
Expect(1, 72441, '\P{ispauc}', "");
Expect(0, 72441, '\P{^ispauc}', "");
Expect(1, 72440, '\p{__Is_Pauc}', "");
Expect(0, 72440, '\p{^__Is_Pauc}', "");
Expect(0, 72440, '\P{__Is_Pauc}', "");
Expect(1, 72440, '\P{^__Is_Pauc}', "");
Expect(0, 72441, '\p{__Is_Pauc}', "");
Expect(1, 72441, '\p{^__Is_Pauc}', "");
Expect(1, 72441, '\P{__Is_Pauc}', "");
Expect(0, 72441, '\P{^__Is_Pauc}', "");
Error('\p{:=	 phags_pa}');
Error('\P{:=	 phags_pa}');
Expect(1, 43127, '\p{phagspa}', "");
Expect(0, 43127, '\p{^phagspa}', "");
Expect(0, 43127, '\P{phagspa}', "");
Expect(1, 43127, '\P{^phagspa}', "");
Expect(0, 43128, '\p{phagspa}', "");
Expect(1, 43128, '\p{^phagspa}', "");
Expect(1, 43128, '\P{phagspa}', "");
Expect(0, 43128, '\P{^phagspa}', "");
Expect(1, 43127, '\p{	-PHAGS_PA}', "");
Expect(0, 43127, '\p{^	-PHAGS_PA}', "");
Expect(0, 43127, '\P{	-PHAGS_PA}', "");
Expect(1, 43127, '\P{^	-PHAGS_PA}', "");
Expect(0, 43128, '\p{	-PHAGS_PA}', "");
Expect(1, 43128, '\p{^	-PHAGS_PA}', "");
Expect(1, 43128, '\P{	-PHAGS_PA}', "");
Expect(0, 43128, '\P{^	-PHAGS_PA}', "");
Error('\p{:=	is_phags_Pa}');
Error('\P{:=	is_phags_Pa}');
Expect(1, 43127, '\p{isphagspa}', "");
Expect(0, 43127, '\p{^isphagspa}', "");
Expect(0, 43127, '\P{isphagspa}', "");
Expect(1, 43127, '\P{^isphagspa}', "");
Expect(0, 43128, '\p{isphagspa}', "");
Expect(1, 43128, '\p{^isphagspa}', "");
Expect(1, 43128, '\P{isphagspa}', "");
Expect(0, 43128, '\P{^isphagspa}', "");
Expect(1, 43127, '\p{--is_phags_pa}', "");
Expect(0, 43127, '\p{^--is_phags_pa}', "");
Expect(0, 43127, '\P{--is_phags_pa}', "");
Expect(1, 43127, '\P{^--is_phags_pa}', "");
Expect(0, 43128, '\p{--is_phags_pa}', "");
Expect(1, 43128, '\p{^--is_phags_pa}', "");
Expect(1, 43128, '\P{--is_phags_pa}', "");
Expect(0, 43128, '\P{^--is_phags_pa}', "");
Error('\p{--phag:=}');
Error('\P{--phag:=}');
Expect(1, 43127, '\p{phag}', "");
Expect(0, 43127, '\p{^phag}', "");
Expect(0, 43127, '\P{phag}', "");
Expect(1, 43127, '\P{^phag}', "");
Expect(0, 43128, '\p{phag}', "");
Expect(1, 43128, '\p{^phag}', "");
Expect(1, 43128, '\P{phag}', "");
Expect(0, 43128, '\P{^phag}', "");
Expect(1, 43127, '\p{	-Phag}', "");
Expect(0, 43127, '\p{^	-Phag}', "");
Expect(0, 43127, '\P{	-Phag}', "");
Expect(1, 43127, '\P{^	-Phag}', "");
Expect(0, 43128, '\p{	-Phag}', "");
Expect(1, 43128, '\p{^	-Phag}', "");
Expect(1, 43128, '\P{	-Phag}', "");
Expect(0, 43128, '\P{^	-Phag}', "");
Error('\p{:=IS_Phag}');
Error('\P{:=IS_Phag}');
Expect(1, 43127, '\p{isphag}', "");
Expect(0, 43127, '\p{^isphag}', "");
Expect(0, 43127, '\P{isphag}', "");
Expect(1, 43127, '\P{^isphag}', "");
Expect(0, 43128, '\p{isphag}', "");
Expect(1, 43128, '\p{^isphag}', "");
Expect(1, 43128, '\P{isphag}', "");
Expect(0, 43128, '\P{^isphag}', "");
Expect(1, 43127, '\p{	-is_phag}', "");
Expect(0, 43127, '\p{^	-is_phag}', "");
Expect(0, 43127, '\P{	-is_phag}', "");
Expect(1, 43127, '\P{^	-is_phag}', "");
Expect(0, 43128, '\p{	-is_phag}', "");
Expect(1, 43128, '\p{^	-is_phag}', "");
Expect(1, 43128, '\P{	-is_phag}', "");
Expect(0, 43128, '\P{^	-is_phag}', "");
Error('\p{:= 	phaistos_DISC}');
Error('\P{:= 	phaistos_DISC}');
Expect(1, 66047, '\p{phaistosdisc}', "");
Expect(0, 66047, '\p{^phaistosdisc}', "");
Expect(0, 66047, '\P{phaistosdisc}', "");
Expect(1, 66047, '\P{^phaistosdisc}', "");
Expect(0, 66048, '\p{phaistosdisc}', "");
Expect(1, 66048, '\p{^phaistosdisc}', "");
Expect(1, 66048, '\P{phaistosdisc}', "");
Expect(0, 66048, '\P{^phaistosdisc}', "");
Expect(1, 66047, '\p{-phaistos_Disc}', "");
Expect(0, 66047, '\p{^-phaistos_Disc}', "");
Expect(0, 66047, '\P{-phaistos_Disc}', "");
Expect(1, 66047, '\P{^-phaistos_Disc}', "");
Expect(0, 66048, '\p{-phaistos_Disc}', "");
Expect(1, 66048, '\p{^-phaistos_Disc}', "");
Expect(1, 66048, '\P{-phaistos_Disc}', "");
Expect(0, 66048, '\P{^-phaistos_Disc}', "");
Error('\p{	/a/Is_Phaistos_disc}');
Error('\P{	/a/Is_Phaistos_disc}');
Expect(1, 66047, '\p{isphaistosdisc}', "");
Expect(0, 66047, '\p{^isphaistosdisc}', "");
Expect(0, 66047, '\P{isphaistosdisc}', "");
Expect(1, 66047, '\P{^isphaistosdisc}', "");
Expect(0, 66048, '\p{isphaistosdisc}', "");
Expect(1, 66048, '\p{^isphaistosdisc}', "");
Expect(1, 66048, '\P{isphaistosdisc}', "");
Expect(0, 66048, '\P{^isphaistosdisc}', "");
Expect(1, 66047, '\p{-is_Phaistos_DISC}', "");
Expect(0, 66047, '\p{^-is_Phaistos_DISC}', "");
Expect(0, 66047, '\P{-is_Phaistos_DISC}', "");
Expect(1, 66047, '\P{^-is_Phaistos_DISC}', "");
Expect(0, 66048, '\p{-is_Phaistos_DISC}', "");
Expect(1, 66048, '\p{^-is_Phaistos_DISC}', "");
Expect(1, 66048, '\P{-is_Phaistos_DISC}', "");
Expect(0, 66048, '\P{^-is_Phaistos_DISC}', "");
Error('\p{/a/  In_Phaistos_disc}');
Error('\P{/a/  In_Phaistos_disc}');
Expect(1, 66047, '\p{inphaistosdisc}', "");
Expect(0, 66047, '\p{^inphaistosdisc}', "");
Expect(0, 66047, '\P{inphaistosdisc}', "");
Expect(1, 66047, '\P{^inphaistosdisc}', "");
Expect(0, 66048, '\p{inphaistosdisc}', "");
Expect(1, 66048, '\p{^inphaistosdisc}', "");
Expect(1, 66048, '\P{inphaistosdisc}', "");
Expect(0, 66048, '\P{^inphaistosdisc}', "");
Expect(1, 66047, '\p{	-In_phaistos_DISC}', "");
Expect(0, 66047, '\p{^	-In_phaistos_DISC}', "");
Expect(0, 66047, '\P{	-In_phaistos_DISC}', "");
Expect(1, 66047, '\P{^	-In_phaistos_DISC}', "");
Expect(0, 66048, '\p{	-In_phaistos_DISC}', "");
Expect(1, 66048, '\p{^	-In_phaistos_DISC}', "");
Expect(1, 66048, '\P{	-In_phaistos_DISC}', "");
Expect(0, 66048, '\P{^	-In_phaistos_DISC}', "");
Error('\p{/a/-PHAISTOS}');
Error('\P{/a/-PHAISTOS}');
Expect(1, 66047, '\p{phaistos}', "");
Expect(0, 66047, '\p{^phaistos}', "");
Expect(0, 66047, '\P{phaistos}', "");
Expect(1, 66047, '\P{^phaistos}', "");
Expect(0, 66048, '\p{phaistos}', "");
Expect(1, 66048, '\p{^phaistos}', "");
Expect(1, 66048, '\P{phaistos}', "");
Expect(0, 66048, '\P{^phaistos}', "");
Expect(1, 66047, '\p{-	Phaistos}', "");
Expect(0, 66047, '\p{^-	Phaistos}', "");
Expect(0, 66047, '\P{-	Phaistos}', "");
Expect(1, 66047, '\P{^-	Phaistos}', "");
Expect(0, 66048, '\p{-	Phaistos}', "");
Expect(1, 66048, '\p{^-	Phaistos}', "");
Expect(1, 66048, '\P{-	Phaistos}', "");
Expect(0, 66048, '\P{^-	Phaistos}', "");
Error('\p{:= _Is_PHAISTOS}');
Error('\P{:= _Is_PHAISTOS}');
Expect(1, 66047, '\p{isphaistos}', "");
Expect(0, 66047, '\p{^isphaistos}', "");
Expect(0, 66047, '\P{isphaistos}', "");
Expect(1, 66047, '\P{^isphaistos}', "");
Expect(0, 66048, '\p{isphaistos}', "");
Expect(1, 66048, '\p{^isphaistos}', "");
Expect(1, 66048, '\P{isphaistos}', "");
Expect(0, 66048, '\P{^isphaistos}', "");
Expect(1, 66047, '\p{_ is_Phaistos}', "");
Expect(0, 66047, '\p{^_ is_Phaistos}', "");
Expect(0, 66047, '\P{_ is_Phaistos}', "");
Expect(1, 66047, '\P{^_ is_Phaistos}', "");
Expect(0, 66048, '\p{_ is_Phaistos}', "");
Expect(1, 66048, '\p{^_ is_Phaistos}', "");
Expect(1, 66048, '\P{_ is_Phaistos}', "");
Expect(0, 66048, '\P{^_ is_Phaistos}', "");
Error('\p{-/a/IN_Phaistos}');
Error('\P{-/a/IN_Phaistos}');
Expect(1, 66047, '\p{inphaistos}', "");
Expect(0, 66047, '\p{^inphaistos}', "");
Expect(0, 66047, '\P{inphaistos}', "");
Expect(1, 66047, '\P{^inphaistos}', "");
Expect(0, 66048, '\p{inphaistos}', "");
Expect(1, 66048, '\p{^inphaistos}', "");
Expect(1, 66048, '\P{inphaistos}', "");
Expect(0, 66048, '\P{^inphaistos}', "");
Expect(1, 66047, '\p{	 In_Phaistos}', "");
Expect(0, 66047, '\p{^	 In_Phaistos}', "");
Expect(0, 66047, '\P{	 In_Phaistos}', "");
Expect(1, 66047, '\P{^	 In_Phaistos}', "");
Expect(0, 66048, '\p{	 In_Phaistos}', "");
Expect(1, 66048, '\p{^	 In_Phaistos}', "");
Expect(1, 66048, '\P{	 In_Phaistos}', "");
Expect(0, 66048, '\P{^	 In_Phaistos}', "");
Error('\p{ phoenician/a/}');
Error('\P{ phoenician/a/}');
Expect(1, 67871, '\p{phoenician}', "");
Expect(0, 67871, '\p{^phoenician}', "");
Expect(0, 67871, '\P{phoenician}', "");
Expect(1, 67871, '\P{^phoenician}', "");
Expect(0, 67872, '\p{phoenician}', "");
Expect(1, 67872, '\p{^phoenician}', "");
Expect(1, 67872, '\P{phoenician}', "");
Expect(0, 67872, '\P{^phoenician}', "");
Expect(1, 67871, '\p{__phoenician}', "");
Expect(0, 67871, '\p{^__phoenician}', "");
Expect(0, 67871, '\P{__phoenician}', "");
Expect(1, 67871, '\P{^__phoenician}', "");
Expect(0, 67872, '\p{__phoenician}', "");
Expect(1, 67872, '\p{^__phoenician}', "");
Expect(1, 67872, '\P{__phoenician}', "");
Expect(0, 67872, '\P{^__phoenician}', "");
Error('\p{/a/ Is_Phoenician}');
Error('\P{/a/ Is_Phoenician}');
Expect(1, 67871, '\p{isphoenician}', "");
Expect(0, 67871, '\p{^isphoenician}', "");
Expect(0, 67871, '\P{isphoenician}', "");
Expect(1, 67871, '\P{^isphoenician}', "");
Expect(0, 67872, '\p{isphoenician}', "");
Expect(1, 67872, '\p{^isphoenician}', "");
Expect(1, 67872, '\P{isphoenician}', "");
Expect(0, 67872, '\P{^isphoenician}', "");
Expect(1, 67871, '\p{  IS_Phoenician}', "");
Expect(0, 67871, '\p{^  IS_Phoenician}', "");
Expect(0, 67871, '\P{  IS_Phoenician}', "");
Expect(1, 67871, '\P{^  IS_Phoenician}', "");
Expect(0, 67872, '\p{  IS_Phoenician}', "");
Expect(1, 67872, '\p{^  IS_Phoenician}', "");
Expect(1, 67872, '\P{  IS_Phoenician}', "");
Expect(0, 67872, '\P{^  IS_Phoenician}', "");
Error('\p{/a/PHNX}');
Error('\P{/a/PHNX}');
Expect(1, 67871, '\p{phnx}', "");
Expect(0, 67871, '\p{^phnx}', "");
Expect(0, 67871, '\P{phnx}', "");
Expect(1, 67871, '\P{^phnx}', "");
Expect(0, 67872, '\p{phnx}', "");
Expect(1, 67872, '\p{^phnx}', "");
Expect(1, 67872, '\P{phnx}', "");
Expect(0, 67872, '\P{^phnx}', "");
Expect(1, 67871, '\p{	phnx}', "");
Expect(0, 67871, '\p{^	phnx}', "");
Expect(0, 67871, '\P{	phnx}', "");
Expect(1, 67871, '\P{^	phnx}', "");
Expect(0, 67872, '\p{	phnx}', "");
Expect(1, 67872, '\p{^	phnx}', "");
Expect(1, 67872, '\P{	phnx}', "");
Expect(0, 67872, '\P{^	phnx}', "");
Error('\p{-/a/Is_phnx}');
Error('\P{-/a/Is_phnx}');
Expect(1, 67871, '\p{isphnx}', "");
Expect(0, 67871, '\p{^isphnx}', "");
Expect(0, 67871, '\P{isphnx}', "");
Expect(1, 67871, '\P{^isphnx}', "");
Expect(0, 67872, '\p{isphnx}', "");
Expect(1, 67872, '\p{^isphnx}', "");
Expect(1, 67872, '\P{isphnx}', "");
Expect(0, 67872, '\P{^isphnx}', "");
Expect(1, 67871, '\p{ Is_Phnx}', "");
Expect(0, 67871, '\p{^ Is_Phnx}', "");
Expect(0, 67871, '\P{ Is_Phnx}', "");
Expect(1, 67871, '\P{^ Is_Phnx}', "");
Expect(0, 67872, '\p{ Is_Phnx}', "");
Expect(1, 67872, '\p{^ Is_Phnx}', "");
Expect(1, 67872, '\P{ Is_Phnx}', "");
Expect(0, 67872, '\P{^ Is_Phnx}', "");
Error('\p{	:=phonetic_extensions}');
Error('\P{	:=phonetic_extensions}');
Expect(1, 7551, '\p{phoneticextensions}', "");
Expect(0, 7551, '\p{^phoneticextensions}', "");
Expect(0, 7551, '\P{phoneticextensions}', "");
Expect(1, 7551, '\P{^phoneticextensions}', "");
Expect(0, 7552, '\p{phoneticextensions}', "");
Expect(1, 7552, '\p{^phoneticextensions}', "");
Expect(1, 7552, '\P{phoneticextensions}', "");
Expect(0, 7552, '\P{^phoneticextensions}', "");
Expect(1, 7551, '\p{-_phonetic_EXTENSIONS}', "");
Expect(0, 7551, '\p{^-_phonetic_EXTENSIONS}', "");
Expect(0, 7551, '\P{-_phonetic_EXTENSIONS}', "");
Expect(1, 7551, '\P{^-_phonetic_EXTENSIONS}', "");
Expect(0, 7552, '\p{-_phonetic_EXTENSIONS}', "");
Expect(1, 7552, '\p{^-_phonetic_EXTENSIONS}', "");
Expect(1, 7552, '\P{-_phonetic_EXTENSIONS}', "");
Expect(0, 7552, '\P{^-_phonetic_EXTENSIONS}', "");
Error('\p{ is_Phonetic_EXTENSIONS/a/}');
Error('\P{ is_Phonetic_EXTENSIONS/a/}');
Expect(1, 7551, '\p{isphoneticextensions}', "");
Expect(0, 7551, '\p{^isphoneticextensions}', "");
Expect(0, 7551, '\P{isphoneticextensions}', "");
Expect(1, 7551, '\P{^isphoneticextensions}', "");
Expect(0, 7552, '\p{isphoneticextensions}', "");
Expect(1, 7552, '\p{^isphoneticextensions}', "");
Expect(1, 7552, '\P{isphoneticextensions}', "");
Expect(0, 7552, '\P{^isphoneticextensions}', "");
Expect(1, 7551, '\p{_-Is_Phonetic_Extensions}', "");
Expect(0, 7551, '\p{^_-Is_Phonetic_Extensions}', "");
Expect(0, 7551, '\P{_-Is_Phonetic_Extensions}', "");
Expect(1, 7551, '\P{^_-Is_Phonetic_Extensions}', "");
Expect(0, 7552, '\p{_-Is_Phonetic_Extensions}', "");
Expect(1, 7552, '\p{^_-Is_Phonetic_Extensions}', "");
Expect(1, 7552, '\P{_-Is_Phonetic_Extensions}', "");
Expect(0, 7552, '\P{^_-Is_Phonetic_Extensions}', "");
Error('\p{__In_phonetic_Extensions:=}');
Error('\P{__In_phonetic_Extensions:=}');
Expect(1, 7551, '\p{inphoneticextensions}', "");
Expect(0, 7551, '\p{^inphoneticextensions}', "");
Expect(0, 7551, '\P{inphoneticextensions}', "");
Expect(1, 7551, '\P{^inphoneticextensions}', "");
Expect(0, 7552, '\p{inphoneticextensions}', "");
Expect(1, 7552, '\p{^inphoneticextensions}', "");
Expect(1, 7552, '\P{inphoneticextensions}', "");
Expect(0, 7552, '\P{^inphoneticextensions}', "");
Expect(1, 7551, '\p{--In_Phonetic_EXTENSIONS}', "");
Expect(0, 7551, '\p{^--In_Phonetic_EXTENSIONS}', "");
Expect(0, 7551, '\P{--In_Phonetic_EXTENSIONS}', "");
Expect(1, 7551, '\P{^--In_Phonetic_EXTENSIONS}', "");
Expect(0, 7552, '\p{--In_Phonetic_EXTENSIONS}', "");
Expect(1, 7552, '\p{^--In_Phonetic_EXTENSIONS}', "");
Expect(1, 7552, '\P{--In_Phonetic_EXTENSIONS}', "");
Expect(0, 7552, '\P{^--In_Phonetic_EXTENSIONS}', "");
Error('\p{:=- phonetic_Ext}');
Error('\P{:=- phonetic_Ext}');
Expect(1, 7551, '\p{phoneticext}', "");
Expect(0, 7551, '\p{^phoneticext}', "");
Expect(0, 7551, '\P{phoneticext}', "");
Expect(1, 7551, '\P{^phoneticext}', "");
Expect(0, 7552, '\p{phoneticext}', "");
Expect(1, 7552, '\p{^phoneticext}', "");
Expect(1, 7552, '\P{phoneticext}', "");
Expect(0, 7552, '\P{^phoneticext}', "");
Expect(1, 7551, '\p{- PHONETIC_Ext}', "");
Expect(0, 7551, '\p{^- PHONETIC_Ext}', "");
Expect(0, 7551, '\P{- PHONETIC_Ext}', "");
Expect(1, 7551, '\P{^- PHONETIC_Ext}', "");
Expect(0, 7552, '\p{- PHONETIC_Ext}', "");
Expect(1, 7552, '\p{^- PHONETIC_Ext}', "");
Expect(1, 7552, '\P{- PHONETIC_Ext}', "");
Expect(0, 7552, '\P{^- PHONETIC_Ext}', "");
Error('\p{/a/-_IS_Phonetic_Ext}');
Error('\P{/a/-_IS_Phonetic_Ext}');
Expect(1, 7551, '\p{isphoneticext}', "");
Expect(0, 7551, '\p{^isphoneticext}', "");
Expect(0, 7551, '\P{isphoneticext}', "");
Expect(1, 7551, '\P{^isphoneticext}', "");
Expect(0, 7552, '\p{isphoneticext}', "");
Expect(1, 7552, '\p{^isphoneticext}', "");
Expect(1, 7552, '\P{isphoneticext}', "");
Expect(0, 7552, '\P{^isphoneticext}', "");
Expect(1, 7551, '\p{	Is_phonetic_Ext}', "");
Expect(0, 7551, '\p{^	Is_phonetic_Ext}', "");
Expect(0, 7551, '\P{	Is_phonetic_Ext}', "");
Expect(1, 7551, '\P{^	Is_phonetic_Ext}', "");
Expect(0, 7552, '\p{	Is_phonetic_Ext}', "");
Expect(1, 7552, '\p{^	Is_phonetic_Ext}', "");
Expect(1, 7552, '\P{	Is_phonetic_Ext}', "");
Expect(0, 7552, '\P{^	Is_phonetic_Ext}', "");
Error('\p{-:=In_PHONETIC_EXT}');
Error('\P{-:=In_PHONETIC_EXT}');
Expect(1, 7551, '\p{inphoneticext}', "");
Expect(0, 7551, '\p{^inphoneticext}', "");
Expect(0, 7551, '\P{inphoneticext}', "");
Expect(1, 7551, '\P{^inphoneticext}', "");
Expect(0, 7552, '\p{inphoneticext}', "");
Expect(1, 7552, '\p{^inphoneticext}', "");
Expect(1, 7552, '\P{inphoneticext}', "");
Expect(0, 7552, '\P{^inphoneticext}', "");
Expect(1, 7551, '\p{in_PHONETIC_Ext}', "");
Expect(0, 7551, '\p{^in_PHONETIC_Ext}', "");
Expect(0, 7551, '\P{in_PHONETIC_Ext}', "");
Expect(1, 7551, '\P{^in_PHONETIC_Ext}', "");
Expect(0, 7552, '\p{in_PHONETIC_Ext}', "");
Expect(1, 7552, '\p{^in_PHONETIC_Ext}', "");
Expect(1, 7552, '\P{in_PHONETIC_Ext}', "");
Expect(0, 7552, '\P{^in_PHONETIC_Ext}', "");
Error('\p{:=		Phonetic_Extensions_supplement}');
Error('\P{:=		Phonetic_Extensions_supplement}');
Expect(1, 7615, '\p{phoneticextensionssupplement}', "");
Expect(0, 7615, '\p{^phoneticextensionssupplement}', "");
Expect(0, 7615, '\P{phoneticextensionssupplement}', "");
Expect(1, 7615, '\P{^phoneticextensionssupplement}', "");
Expect(0, 7616, '\p{phoneticextensionssupplement}', "");
Expect(1, 7616, '\p{^phoneticextensionssupplement}', "");
Expect(1, 7616, '\P{phoneticextensionssupplement}', "");
Expect(0, 7616, '\P{^phoneticextensionssupplement}', "");
Expect(1, 7615, '\p{_phonetic_EXTENSIONS_Supplement}', "");
Expect(0, 7615, '\p{^_phonetic_EXTENSIONS_Supplement}', "");
Expect(0, 7615, '\P{_phonetic_EXTENSIONS_Supplement}', "");
Expect(1, 7615, '\P{^_phonetic_EXTENSIONS_Supplement}', "");
Expect(0, 7616, '\p{_phonetic_EXTENSIONS_Supplement}', "");
Expect(1, 7616, '\p{^_phonetic_EXTENSIONS_Supplement}', "");
Expect(1, 7616, '\P{_phonetic_EXTENSIONS_Supplement}', "");
Expect(0, 7616, '\P{^_phonetic_EXTENSIONS_Supplement}', "");
Error('\p{:=	Is_Phonetic_Extensions_Supplement}');
Error('\P{:=	Is_Phonetic_Extensions_Supplement}');
Expect(1, 7615, '\p{isphoneticextensionssupplement}', "");
Expect(0, 7615, '\p{^isphoneticextensionssupplement}', "");
Expect(0, 7615, '\P{isphoneticextensionssupplement}', "");
Expect(1, 7615, '\P{^isphoneticextensionssupplement}', "");
Expect(0, 7616, '\p{isphoneticextensionssupplement}', "");
Expect(1, 7616, '\p{^isphoneticextensionssupplement}', "");
Expect(1, 7616, '\P{isphoneticextensionssupplement}', "");
Expect(0, 7616, '\P{^isphoneticextensionssupplement}', "");
Expect(1, 7615, '\p{_ Is_PHONETIC_Extensions_supplement}', "");
Expect(0, 7615, '\p{^_ Is_PHONETIC_Extensions_supplement}', "");
Expect(0, 7615, '\P{_ Is_PHONETIC_Extensions_supplement}', "");
Expect(1, 7615, '\P{^_ Is_PHONETIC_Extensions_supplement}', "");
Expect(0, 7616, '\p{_ Is_PHONETIC_Extensions_supplement}', "");
Expect(1, 7616, '\p{^_ Is_PHONETIC_Extensions_supplement}', "");
Expect(1, 7616, '\P{_ Is_PHONETIC_Extensions_supplement}', "");
Expect(0, 7616, '\P{^_ Is_PHONETIC_Extensions_supplement}', "");
Error('\p{:= _In_PHONETIC_Extensions_SUPPLEMENT}');
Error('\P{:= _In_PHONETIC_Extensions_SUPPLEMENT}');
Expect(1, 7615, '\p{inphoneticextensionssupplement}', "");
Expect(0, 7615, '\p{^inphoneticextensionssupplement}', "");
Expect(0, 7615, '\P{inphoneticextensionssupplement}', "");
Expect(1, 7615, '\P{^inphoneticextensionssupplement}', "");
Expect(0, 7616, '\p{inphoneticextensionssupplement}', "");
Expect(1, 7616, '\p{^inphoneticextensionssupplement}', "");
Expect(1, 7616, '\P{inphoneticextensionssupplement}', "");
Expect(0, 7616, '\P{^inphoneticextensionssupplement}', "");
Expect(1, 7615, '\p{	-In_Phonetic_extensions_SUPPLEMENT}', "");
Expect(0, 7615, '\p{^	-In_Phonetic_extensions_SUPPLEMENT}', "");
Expect(0, 7615, '\P{	-In_Phonetic_extensions_SUPPLEMENT}', "");
Expect(1, 7615, '\P{^	-In_Phonetic_extensions_SUPPLEMENT}', "");
Expect(0, 7616, '\p{	-In_Phonetic_extensions_SUPPLEMENT}', "");
Expect(1, 7616, '\p{^	-In_Phonetic_extensions_SUPPLEMENT}', "");
Expect(1, 7616, '\P{	-In_Phonetic_extensions_SUPPLEMENT}', "");
Expect(0, 7616, '\P{^	-In_Phonetic_extensions_SUPPLEMENT}', "");
Error('\p{_:=Phonetic_ext_SUP}');
Error('\P{_:=Phonetic_ext_SUP}');
Expect(1, 7615, '\p{phoneticextsup}', "");
Expect(0, 7615, '\p{^phoneticextsup}', "");
Expect(0, 7615, '\P{phoneticextsup}', "");
Expect(1, 7615, '\P{^phoneticextsup}', "");
Expect(0, 7616, '\p{phoneticextsup}', "");
Expect(1, 7616, '\p{^phoneticextsup}', "");
Expect(1, 7616, '\P{phoneticextsup}', "");
Expect(0, 7616, '\P{^phoneticextsup}', "");
Expect(1, 7615, '\p{-	Phonetic_ext_Sup}', "");
Expect(0, 7615, '\p{^-	Phonetic_ext_Sup}', "");
Expect(0, 7615, '\P{-	Phonetic_ext_Sup}', "");
Expect(1, 7615, '\P{^-	Phonetic_ext_Sup}', "");
Expect(0, 7616, '\p{-	Phonetic_ext_Sup}', "");
Expect(1, 7616, '\p{^-	Phonetic_ext_Sup}', "");
Expect(1, 7616, '\P{-	Phonetic_ext_Sup}', "");
Expect(0, 7616, '\P{^-	Phonetic_ext_Sup}', "");
Error('\p{	:=Is_PHONETIC_Ext_sup}');
Error('\P{	:=Is_PHONETIC_Ext_sup}');
Expect(1, 7615, '\p{isphoneticextsup}', "");
Expect(0, 7615, '\p{^isphoneticextsup}', "");
Expect(0, 7615, '\P{isphoneticextsup}', "");
Expect(1, 7615, '\P{^isphoneticextsup}', "");
Expect(0, 7616, '\p{isphoneticextsup}', "");
Expect(1, 7616, '\p{^isphoneticextsup}', "");
Expect(1, 7616, '\P{isphoneticextsup}', "");
Expect(0, 7616, '\P{^isphoneticextsup}', "");
Expect(1, 7615, '\p{	-Is_PHONETIC_EXT_sup}', "");
Expect(0, 7615, '\p{^	-Is_PHONETIC_EXT_sup}', "");
Expect(0, 7615, '\P{	-Is_PHONETIC_EXT_sup}', "");
Expect(1, 7615, '\P{^	-Is_PHONETIC_EXT_sup}', "");
Expect(0, 7616, '\p{	-Is_PHONETIC_EXT_sup}', "");
Expect(1, 7616, '\p{^	-Is_PHONETIC_EXT_sup}', "");
Expect(1, 7616, '\P{	-Is_PHONETIC_EXT_sup}', "");
Expect(0, 7616, '\P{^	-Is_PHONETIC_EXT_sup}', "");
Error('\p{:=in_phonetic_Ext_Sup}');
Error('\P{:=in_phonetic_Ext_Sup}');
Expect(1, 7615, '\p{inphoneticextsup}', "");
Expect(0, 7615, '\p{^inphoneticextsup}', "");
Expect(0, 7615, '\P{inphoneticextsup}', "");
Expect(1, 7615, '\P{^inphoneticextsup}', "");
Expect(0, 7616, '\p{inphoneticextsup}', "");
Expect(1, 7616, '\p{^inphoneticextsup}', "");
Expect(1, 7616, '\P{inphoneticextsup}', "");
Expect(0, 7616, '\P{^inphoneticextsup}', "");
Expect(1, 7615, '\p{	in_phonetic_ext_Sup}', "");
Expect(0, 7615, '\p{^	in_phonetic_ext_Sup}', "");
Expect(0, 7615, '\P{	in_phonetic_ext_Sup}', "");
Expect(1, 7615, '\P{^	in_phonetic_ext_Sup}', "");
Expect(0, 7616, '\p{	in_phonetic_ext_Sup}', "");
Expect(1, 7616, '\p{^	in_phonetic_ext_Sup}', "");
Expect(1, 7616, '\P{	in_phonetic_ext_Sup}', "");
Expect(0, 7616, '\P{^	in_phonetic_ext_Sup}', "");
Error('\p{	_Playing_Cards:=}');
Error('\P{	_Playing_Cards:=}');
Expect(1, 127231, '\p{playingcards}', "");
Expect(0, 127231, '\p{^playingcards}', "");
Expect(0, 127231, '\P{playingcards}', "");
Expect(1, 127231, '\P{^playingcards}', "");
Expect(0, 127232, '\p{playingcards}', "");
Expect(1, 127232, '\p{^playingcards}', "");
Expect(1, 127232, '\P{playingcards}', "");
Expect(0, 127232, '\P{^playingcards}', "");
Expect(1, 127231, '\p{ -Playing_Cards}', "");
Expect(0, 127231, '\p{^ -Playing_Cards}', "");
Expect(0, 127231, '\P{ -Playing_Cards}', "");
Expect(1, 127231, '\P{^ -Playing_Cards}', "");
Expect(0, 127232, '\p{ -Playing_Cards}', "");
Expect(1, 127232, '\p{^ -Playing_Cards}', "");
Expect(1, 127232, '\P{ -Playing_Cards}', "");
Expect(0, 127232, '\P{^ -Playing_Cards}', "");
Error('\p{_Is_Playing_Cards/a/}');
Error('\P{_Is_Playing_Cards/a/}');
Expect(1, 127231, '\p{isplayingcards}', "");
Expect(0, 127231, '\p{^isplayingcards}', "");
Expect(0, 127231, '\P{isplayingcards}', "");
Expect(1, 127231, '\P{^isplayingcards}', "");
Expect(0, 127232, '\p{isplayingcards}', "");
Expect(1, 127232, '\p{^isplayingcards}', "");
Expect(1, 127232, '\P{isplayingcards}', "");
Expect(0, 127232, '\P{^isplayingcards}', "");
Expect(1, 127231, '\p{-is_Playing_cards}', "");
Expect(0, 127231, '\p{^-is_Playing_cards}', "");
Expect(0, 127231, '\P{-is_Playing_cards}', "");
Expect(1, 127231, '\P{^-is_Playing_cards}', "");
Expect(0, 127232, '\p{-is_Playing_cards}', "");
Expect(1, 127232, '\p{^-is_Playing_cards}', "");
Expect(1, 127232, '\P{-is_Playing_cards}', "");
Expect(0, 127232, '\P{^-is_Playing_cards}', "");
Error('\p{-:=IN_Playing_cards}');
Error('\P{-:=IN_Playing_cards}');
Expect(1, 127231, '\p{inplayingcards}', "");
Expect(0, 127231, '\p{^inplayingcards}', "");
Expect(0, 127231, '\P{inplayingcards}', "");
Expect(1, 127231, '\P{^inplayingcards}', "");
Expect(0, 127232, '\p{inplayingcards}', "");
Expect(1, 127232, '\p{^inplayingcards}', "");
Expect(1, 127232, '\P{inplayingcards}', "");
Expect(0, 127232, '\P{^inplayingcards}', "");
Expect(1, 127231, '\p{-	In_playing_cards}', "");
Expect(0, 127231, '\p{^-	In_playing_cards}', "");
Expect(0, 127231, '\P{-	In_playing_cards}', "");
Expect(1, 127231, '\P{^-	In_playing_cards}', "");
Expect(0, 127232, '\p{-	In_playing_cards}', "");
Expect(1, 127232, '\p{^-	In_playing_cards}', "");
Expect(1, 127232, '\P{-	In_playing_cards}', "");
Expect(0, 127232, '\P{^-	In_playing_cards}', "");
Error('\p{:=	posixalnum}');
Error('\P{:=	posixalnum}');
Expect(1, 122, '\p{posixalnum}', "");
Expect(0, 122, '\p{^posixalnum}', "");
Expect(0, 122, '\P{posixalnum}', "");
Expect(1, 122, '\P{^posixalnum}', "");
Expect(0, 123, '\p{posixalnum}', "");
Expect(1, 123, '\p{^posixalnum}', "");
Expect(1, 123, '\P{posixalnum}', "");
Expect(0, 123, '\P{^posixalnum}', "");
Expect(1, 122, '\p{_	POSIXALNUM}', "");
Expect(0, 122, '\p{^_	POSIXALNUM}', "");
Expect(0, 122, '\P{_	POSIXALNUM}', "");
Expect(1, 122, '\P{^_	POSIXALNUM}', "");
Expect(0, 123, '\p{_	POSIXALNUM}', "");
Expect(1, 123, '\p{^_	POSIXALNUM}', "");
Expect(1, 123, '\P{_	POSIXALNUM}', "");
Expect(0, 123, '\P{^_	POSIXALNUM}', "");
Error('\p{ /a/Is_PosixAlnum}');
Error('\P{ /a/Is_PosixAlnum}');
Expect(1, 122, '\p{isposixalnum}', "");
Expect(0, 122, '\p{^isposixalnum}', "");
Expect(0, 122, '\P{isposixalnum}', "");
Expect(1, 122, '\P{^isposixalnum}', "");
Expect(0, 123, '\p{isposixalnum}', "");
Expect(1, 123, '\p{^isposixalnum}', "");
Expect(1, 123, '\P{isposixalnum}', "");
Expect(0, 123, '\P{^isposixalnum}', "");
Expect(1, 122, '\p{-Is_PosixAlnum}', "");
Expect(0, 122, '\p{^-Is_PosixAlnum}', "");
Expect(0, 122, '\P{-Is_PosixAlnum}', "");
Expect(1, 122, '\P{^-Is_PosixAlnum}', "");
Expect(0, 123, '\p{-Is_PosixAlnum}', "");
Expect(1, 123, '\p{^-Is_PosixAlnum}', "");
Expect(1, 123, '\P{-Is_PosixAlnum}', "");
Expect(0, 123, '\P{^-Is_PosixAlnum}', "");
Error('\p{ -posixalpha:=}');
Error('\P{ -posixalpha:=}');
Expect(1, 122, '\p{posixalpha}', "");
Expect(0, 122, '\p{^posixalpha}', "");
Expect(0, 122, '\P{posixalpha}', "");
Expect(1, 122, '\P{^posixalpha}', "");
Expect(0, 123, '\p{posixalpha}', "");
Expect(1, 123, '\p{^posixalpha}', "");
Expect(1, 123, '\P{posixalpha}', "");
Expect(0, 123, '\P{^posixalpha}', "");
Expect(1, 122, '\p{	-posixalpha}', "");
Expect(0, 122, '\p{^	-posixalpha}', "");
Expect(0, 122, '\P{	-posixalpha}', "");
Expect(1, 122, '\P{^	-posixalpha}', "");
Expect(0, 123, '\p{	-posixalpha}', "");
Expect(1, 123, '\p{^	-posixalpha}', "");
Expect(1, 123, '\P{	-posixalpha}', "");
Expect(0, 123, '\P{^	-posixalpha}', "");
Error('\p{:=is_POSIXALPHA}');
Error('\P{:=is_POSIXALPHA}');
Expect(1, 122, '\p{isposixalpha}', "");
Expect(0, 122, '\p{^isposixalpha}', "");
Expect(0, 122, '\P{isposixalpha}', "");
Expect(1, 122, '\P{^isposixalpha}', "");
Expect(0, 123, '\p{isposixalpha}', "");
Expect(1, 123, '\p{^isposixalpha}', "");
Expect(1, 123, '\P{isposixalpha}', "");
Expect(0, 123, '\P{^isposixalpha}', "");
Expect(1, 122, '\p{	_Is_POSIXALPHA}', "");
Expect(0, 122, '\p{^	_Is_POSIXALPHA}', "");
Expect(0, 122, '\P{	_Is_POSIXALPHA}', "");
Expect(1, 122, '\P{^	_Is_POSIXALPHA}', "");
Expect(0, 123, '\p{	_Is_POSIXALPHA}', "");
Expect(1, 123, '\p{^	_Is_POSIXALPHA}', "");
Expect(1, 123, '\P{	_Is_POSIXALPHA}', "");
Expect(0, 123, '\P{^	_Is_POSIXALPHA}', "");
Error('\p{_ PosixBlank:=}');
Error('\P{_ PosixBlank:=}');
Expect(1, 32, '\p{posixblank}', "");
Expect(0, 32, '\p{^posixblank}', "");
Expect(0, 32, '\P{posixblank}', "");
Expect(1, 32, '\P{^posixblank}', "");
Expect(0, 33, '\p{posixblank}', "");
Expect(1, 33, '\p{^posixblank}', "");
Expect(1, 33, '\P{posixblank}', "");
Expect(0, 33, '\P{^posixblank}', "");
Expect(1, 32, '\p{ _PosixBlank}', "");
Expect(0, 32, '\p{^ _PosixBlank}', "");
Expect(0, 32, '\P{ _PosixBlank}', "");
Expect(1, 32, '\P{^ _PosixBlank}', "");
Expect(0, 33, '\p{ _PosixBlank}', "");
Expect(1, 33, '\p{^ _PosixBlank}', "");
Expect(1, 33, '\P{ _PosixBlank}', "");
Expect(0, 33, '\P{^ _PosixBlank}', "");
Error('\p{/a/	-Is_PosixBlank}');
Error('\P{/a/	-Is_PosixBlank}');
Expect(1, 32, '\p{isposixblank}', "");
Expect(0, 32, '\p{^isposixblank}', "");
Expect(0, 32, '\P{isposixblank}', "");
Expect(1, 32, '\P{^isposixblank}', "");
Expect(0, 33, '\p{isposixblank}', "");
Expect(1, 33, '\p{^isposixblank}', "");
Expect(1, 33, '\P{isposixblank}', "");
Expect(0, 33, '\P{^isposixblank}', "");
Expect(1, 32, '\p{	is_PosixBlank}', "");
Expect(0, 32, '\p{^	is_PosixBlank}', "");
Expect(0, 32, '\P{	is_PosixBlank}', "");
Expect(1, 32, '\P{^	is_PosixBlank}', "");
Expect(0, 33, '\p{	is_PosixBlank}', "");
Expect(1, 33, '\p{^	is_PosixBlank}', "");
Expect(1, 33, '\P{	is_PosixBlank}', "");
Expect(0, 33, '\P{^	is_PosixBlank}', "");
Error('\p{:=	 PosixCntrl}');
Error('\P{:=	 PosixCntrl}');
Expect(1, 127, '\p{posixcntrl}', "");
Expect(0, 127, '\p{^posixcntrl}', "");
Expect(0, 127, '\P{posixcntrl}', "");
Expect(1, 127, '\P{^posixcntrl}', "");
Expect(0, 128, '\p{posixcntrl}', "");
Expect(1, 128, '\p{^posixcntrl}', "");
Expect(1, 128, '\P{posixcntrl}', "");
Expect(0, 128, '\P{^posixcntrl}', "");
Expect(1, 127, '\p{-POSIXCNTRL}', "");
Expect(0, 127, '\p{^-POSIXCNTRL}', "");
Expect(0, 127, '\P{-POSIXCNTRL}', "");
Expect(1, 127, '\P{^-POSIXCNTRL}', "");
Expect(0, 128, '\p{-POSIXCNTRL}', "");
Expect(1, 128, '\p{^-POSIXCNTRL}', "");
Expect(1, 128, '\P{-POSIXCNTRL}', "");
Expect(0, 128, '\P{^-POSIXCNTRL}', "");
Error('\p{:=	-Is_POSIXCNTRL}');
Error('\P{:=	-Is_POSIXCNTRL}');
Expect(1, 127, '\p{isposixcntrl}', "");
Expect(0, 127, '\p{^isposixcntrl}', "");
Expect(0, 127, '\P{isposixcntrl}', "");
Expect(1, 127, '\P{^isposixcntrl}', "");
Expect(0, 128, '\p{isposixcntrl}', "");
Expect(1, 128, '\p{^isposixcntrl}', "");
Expect(1, 128, '\P{isposixcntrl}', "");
Expect(0, 128, '\P{^isposixcntrl}', "");
Expect(1, 127, '\p{-	Is_posixcntrl}', "");
Expect(0, 127, '\p{^-	Is_posixcntrl}', "");
Expect(0, 127, '\P{-	Is_posixcntrl}', "");
Expect(1, 127, '\P{^-	Is_posixcntrl}', "");
Expect(0, 128, '\p{-	Is_posixcntrl}', "");
Expect(1, 128, '\p{^-	Is_posixcntrl}', "");
Expect(1, 128, '\P{-	Is_posixcntrl}', "");
Expect(0, 128, '\P{^-	Is_posixcntrl}', "");
Error('\p{:=		POSIXDIGIT}');
Error('\P{:=		POSIXDIGIT}');
Expect(1, 57, '\p{posixdigit}', "");
Expect(0, 57, '\p{^posixdigit}', "");
Expect(0, 57, '\P{posixdigit}', "");
Expect(1, 57, '\P{^posixdigit}', "");
Expect(0, 58, '\p{posixdigit}', "");
Expect(1, 58, '\p{^posixdigit}', "");
Expect(1, 58, '\P{posixdigit}', "");
Expect(0, 58, '\P{^posixdigit}', "");
Expect(1, 57, '\p{_posixdigit}', "");
Expect(0, 57, '\p{^_posixdigit}', "");
Expect(0, 57, '\P{_posixdigit}', "");
Expect(1, 57, '\P{^_posixdigit}', "");
Expect(0, 58, '\p{_posixdigit}', "");
Expect(1, 58, '\p{^_posixdigit}', "");
Expect(1, 58, '\P{_posixdigit}', "");
Expect(0, 58, '\P{^_posixdigit}', "");
Error('\p{ /a/Is_PosixDigit}');
Error('\P{ /a/Is_PosixDigit}');
Expect(1, 57, '\p{isposixdigit}', "");
Expect(0, 57, '\p{^isposixdigit}', "");
Expect(0, 57, '\P{isposixdigit}', "");
Expect(1, 57, '\P{^isposixdigit}', "");
Expect(0, 58, '\p{isposixdigit}', "");
Expect(1, 58, '\p{^isposixdigit}', "");
Expect(1, 58, '\P{isposixdigit}', "");
Expect(0, 58, '\P{^isposixdigit}', "");
Expect(1, 57, '\p{  Is_POSIXDIGIT}', "");
Expect(0, 57, '\p{^  Is_POSIXDIGIT}', "");
Expect(0, 57, '\P{  Is_POSIXDIGIT}', "");
Expect(1, 57, '\P{^  Is_POSIXDIGIT}', "");
Expect(0, 58, '\p{  Is_POSIXDIGIT}', "");
Expect(1, 58, '\p{^  Is_POSIXDIGIT}', "");
Expect(1, 58, '\P{  Is_POSIXDIGIT}', "");
Expect(0, 58, '\P{^  Is_POSIXDIGIT}', "");
Error('\p{-:=POSIXGRAPH}');
Error('\P{-:=POSIXGRAPH}');
Expect(1, 126, '\p{posixgraph}', "");
Expect(0, 126, '\p{^posixgraph}', "");
Expect(0, 126, '\P{posixgraph}', "");
Expect(1, 126, '\P{^posixgraph}', "");
Expect(0, 127, '\p{posixgraph}', "");
Expect(1, 127, '\p{^posixgraph}', "");
Expect(1, 127, '\P{posixgraph}', "");
Expect(0, 127, '\P{^posixgraph}', "");
Expect(1, 126, '\p{_-POSIXGRAPH}', "");
Expect(0, 126, '\p{^_-POSIXGRAPH}', "");
Expect(0, 126, '\P{_-POSIXGRAPH}', "");
Expect(1, 126, '\P{^_-POSIXGRAPH}', "");
Expect(0, 127, '\p{_-POSIXGRAPH}', "");
Expect(1, 127, '\p{^_-POSIXGRAPH}', "");
Expect(1, 127, '\P{_-POSIXGRAPH}', "");
Expect(0, 127, '\P{^_-POSIXGRAPH}', "");
Error('\p{_/a/Is_PosixGraph}');
Error('\P{_/a/Is_PosixGraph}');
Expect(1, 126, '\p{isposixgraph}', "");
Expect(0, 126, '\p{^isposixgraph}', "");
Expect(0, 126, '\P{isposixgraph}', "");
Expect(1, 126, '\P{^isposixgraph}', "");
Expect(0, 127, '\p{isposixgraph}', "");
Expect(1, 127, '\p{^isposixgraph}', "");
Expect(1, 127, '\P{isposixgraph}', "");
Expect(0, 127, '\P{^isposixgraph}', "");
Expect(1, 126, '\p{		is_PosixGraph}', "");
Expect(0, 126, '\p{^		is_PosixGraph}', "");
Expect(0, 126, '\P{		is_PosixGraph}', "");
Expect(1, 126, '\P{^		is_PosixGraph}', "");
Expect(0, 127, '\p{		is_PosixGraph}', "");
Expect(1, 127, '\p{^		is_PosixGraph}', "");
Expect(1, 127, '\P{		is_PosixGraph}', "");
Expect(0, 127, '\P{^		is_PosixGraph}', "");
Error('\p{:= posixlower}');
Error('\P{:= posixlower}');
Expect(1, 122, '\p{posixlower}', "");
Expect(0, 122, '\p{^posixlower}', "");
Expect(0, 122, '\P{posixlower}', "");
Expect(1, 122, '\P{^posixlower}', "");
Expect(0, 123, '\p{posixlower}', "");
Expect(1, 123, '\p{^posixlower}', "");
Expect(1, 123, '\P{posixlower}', "");
Expect(0, 123, '\P{^posixlower}', "");
Expect(1, 122, '\p{	-POSIXLOWER}', "");
Expect(0, 122, '\p{^	-POSIXLOWER}', "");
Expect(0, 122, '\P{	-POSIXLOWER}', "");
Expect(1, 122, '\P{^	-POSIXLOWER}', "");
Expect(0, 123, '\p{	-POSIXLOWER}', "");
Expect(1, 123, '\p{^	-POSIXLOWER}', "");
Expect(1, 123, '\P{	-POSIXLOWER}', "");
Expect(0, 123, '\P{^	-POSIXLOWER}', "");
Error('\p{:=is_PosixLower}');
Error('\P{:=is_PosixLower}');
Expect(1, 122, '\p{isposixlower}', "");
Expect(0, 122, '\p{^isposixlower}', "");
Expect(0, 122, '\P{isposixlower}', "");
Expect(1, 122, '\P{^isposixlower}', "");
Expect(0, 123, '\p{isposixlower}', "");
Expect(1, 123, '\p{^isposixlower}', "");
Expect(1, 123, '\P{isposixlower}', "");
Expect(0, 123, '\P{^isposixlower}', "");
Expect(1, 122, '\p{	-is_PosixLower}', "");
Expect(0, 122, '\p{^	-is_PosixLower}', "");
Expect(0, 122, '\P{	-is_PosixLower}', "");
Expect(1, 122, '\P{^	-is_PosixLower}', "");
Expect(0, 123, '\p{	-is_PosixLower}', "");
Expect(1, 123, '\p{^	-is_PosixLower}', "");
Expect(1, 123, '\P{	-is_PosixLower}', "");
Expect(0, 123, '\P{^	-is_PosixLower}', "");
Error('\p{-_POSIXPRINT:=}');
Error('\P{-_POSIXPRINT:=}');
Expect(1, 126, '\p{posixprint}', "");
Expect(0, 126, '\p{^posixprint}', "");
Expect(0, 126, '\P{posixprint}', "");
Expect(1, 126, '\P{^posixprint}', "");
Expect(0, 127, '\p{posixprint}', "");
Expect(1, 127, '\p{^posixprint}', "");
Expect(1, 127, '\P{posixprint}', "");
Expect(0, 127, '\P{^posixprint}', "");
Expect(1, 126, '\p{_	POSIXPRINT}', "");
Expect(0, 126, '\p{^_	POSIXPRINT}', "");
Expect(0, 126, '\P{_	POSIXPRINT}', "");
Expect(1, 126, '\P{^_	POSIXPRINT}', "");
Expect(0, 127, '\p{_	POSIXPRINT}', "");
Expect(1, 127, '\p{^_	POSIXPRINT}', "");
Expect(1, 127, '\P{_	POSIXPRINT}', "");
Expect(0, 127, '\P{^_	POSIXPRINT}', "");
Error('\p{ :=Is_POSIXPRINT}');
Error('\P{ :=Is_POSIXPRINT}');
Expect(1, 126, '\p{isposixprint}', "");
Expect(0, 126, '\p{^isposixprint}', "");
Expect(0, 126, '\P{isposixprint}', "");
Expect(1, 126, '\P{^isposixprint}', "");
Expect(0, 127, '\p{isposixprint}', "");
Expect(1, 127, '\p{^isposixprint}', "");
Expect(1, 127, '\P{isposixprint}', "");
Expect(0, 127, '\P{^isposixprint}', "");
Expect(1, 126, '\p{-IS_POSIXPRINT}', "");
Expect(0, 126, '\p{^-IS_POSIXPRINT}', "");
Expect(0, 126, '\P{-IS_POSIXPRINT}', "");
Expect(1, 126, '\P{^-IS_POSIXPRINT}', "");
Expect(0, 127, '\p{-IS_POSIXPRINT}', "");
Expect(1, 127, '\p{^-IS_POSIXPRINT}', "");
Expect(1, 127, '\P{-IS_POSIXPRINT}', "");
Expect(0, 127, '\P{^-IS_POSIXPRINT}', "");
Error('\p{		PosixPunct/a/}');
Error('\P{		PosixPunct/a/}');
Expect(1, 126, '\p{posixpunct}', "");
Expect(0, 126, '\p{^posixpunct}', "");
Expect(0, 126, '\P{posixpunct}', "");
Expect(1, 126, '\P{^posixpunct}', "");
Expect(0, 127, '\p{posixpunct}', "");
Expect(1, 127, '\p{^posixpunct}', "");
Expect(1, 127, '\P{posixpunct}', "");
Expect(0, 127, '\P{^posixpunct}', "");
Expect(1, 126, '\p{_PosixPunct}', "");
Expect(0, 126, '\p{^_PosixPunct}', "");
Expect(0, 126, '\P{_PosixPunct}', "");
Expect(1, 126, '\P{^_PosixPunct}', "");
Expect(0, 127, '\p{_PosixPunct}', "");
Expect(1, 127, '\p{^_PosixPunct}', "");
Expect(1, 127, '\P{_PosixPunct}', "");
Expect(0, 127, '\P{^_PosixPunct}', "");
Error('\p{/a/Is_posixpunct}');
Error('\P{/a/Is_posixpunct}');
Expect(1, 126, '\p{isposixpunct}', "");
Expect(0, 126, '\p{^isposixpunct}', "");
Expect(0, 126, '\P{isposixpunct}', "");
Expect(1, 126, '\P{^isposixpunct}', "");
Expect(0, 127, '\p{isposixpunct}', "");
Expect(1, 127, '\p{^isposixpunct}', "");
Expect(1, 127, '\P{isposixpunct}', "");
Expect(0, 127, '\P{^isposixpunct}', "");
Expect(1, 126, '\p{ Is_posixpunct}', "");
Expect(0, 126, '\p{^ Is_posixpunct}', "");
Expect(0, 126, '\P{ Is_posixpunct}', "");
Expect(1, 126, '\P{^ Is_posixpunct}', "");
Expect(0, 127, '\p{ Is_posixpunct}', "");
Expect(1, 127, '\p{^ Is_posixpunct}', "");
Expect(1, 127, '\P{ Is_posixpunct}', "");
Expect(0, 127, '\P{^ Is_posixpunct}', "");
Error('\p{	:=PosixSpace}');
Error('\P{	:=PosixSpace}');
Expect(1, 32, '\p{posixspace}', "");
Expect(0, 32, '\p{^posixspace}', "");
Expect(0, 32, '\P{posixspace}', "");
Expect(1, 32, '\P{^posixspace}', "");
Expect(0, 33, '\p{posixspace}', "");
Expect(1, 33, '\p{^posixspace}', "");
Expect(1, 33, '\P{posixspace}', "");
Expect(0, 33, '\P{^posixspace}', "");
Expect(1, 32, '\p{ _posixspace}', "");
Expect(0, 32, '\p{^ _posixspace}', "");
Expect(0, 32, '\P{ _posixspace}', "");
Expect(1, 32, '\P{^ _posixspace}', "");
Expect(0, 33, '\p{ _posixspace}', "");
Expect(1, 33, '\p{^ _posixspace}', "");
Expect(1, 33, '\P{ _posixspace}', "");
Expect(0, 33, '\P{^ _posixspace}', "");
Error('\p{:= perlspace}');
Error('\P{:= perlspace}');
Expect(1, 32, '\p{perlspace}', "");
Expect(0, 32, '\p{^perlspace}', "");
Expect(0, 32, '\P{perlspace}', "");
Expect(1, 32, '\P{^perlspace}', "");
Expect(0, 33, '\p{perlspace}', "");
Expect(1, 33, '\p{^perlspace}', "");
Expect(1, 33, '\P{perlspace}', "");
Expect(0, 33, '\P{^perlspace}', "");
Expect(1, 32, '\p{_perlspace}', "");
Expect(0, 32, '\p{^_perlspace}', "");
Expect(0, 32, '\P{_perlspace}', "");
Expect(1, 32, '\P{^_perlspace}', "");
Expect(0, 33, '\p{_perlspace}', "");
Expect(1, 33, '\p{^_perlspace}', "");
Expect(1, 33, '\P{_perlspace}', "");
Expect(0, 33, '\P{^_perlspace}', "");
Error('\p{-Is_PosixSpace/a/}');
Error('\P{-Is_PosixSpace/a/}');
Expect(1, 32, '\p{isposixspace}', "");
Expect(0, 32, '\p{^isposixspace}', "");
Expect(0, 32, '\P{isposixspace}', "");
Expect(1, 32, '\P{^isposixspace}', "");
Expect(0, 33, '\p{isposixspace}', "");
Expect(1, 33, '\p{^isposixspace}', "");
Expect(1, 33, '\P{isposixspace}', "");
Expect(0, 33, '\P{^isposixspace}', "");
Expect(1, 32, '\p{_Is_PosixSpace}', "");
Expect(0, 32, '\p{^_Is_PosixSpace}', "");
Expect(0, 32, '\P{_Is_PosixSpace}', "");
Expect(1, 32, '\P{^_Is_PosixSpace}', "");
Expect(0, 33, '\p{_Is_PosixSpace}', "");
Expect(1, 33, '\p{^_Is_PosixSpace}', "");
Expect(1, 33, '\P{_Is_PosixSpace}', "");
Expect(0, 33, '\P{^_Is_PosixSpace}', "");
Error('\p{ /a/Is_PERLSPACE}');
Error('\P{ /a/Is_PERLSPACE}');
Expect(1, 32, '\p{isperlspace}', "");
Expect(0, 32, '\p{^isperlspace}', "");
Expect(0, 32, '\P{isperlspace}', "");
Expect(1, 32, '\P{^isperlspace}', "");
Expect(0, 33, '\p{isperlspace}', "");
Expect(1, 33, '\p{^isperlspace}', "");
Expect(1, 33, '\P{isperlspace}', "");
Expect(0, 33, '\P{^isperlspace}', "");
Expect(1, 32, '\p{	-Is_perlspace}', "");
Expect(0, 32, '\p{^	-Is_perlspace}', "");
Expect(0, 32, '\P{	-Is_perlspace}', "");
Expect(1, 32, '\P{^	-Is_perlspace}', "");
Expect(0, 33, '\p{	-Is_perlspace}', "");
Expect(1, 33, '\p{^	-Is_perlspace}', "");
Expect(1, 33, '\P{	-Is_perlspace}', "");
Expect(0, 33, '\P{^	-Is_perlspace}', "");
Error('\p{ 	posixupper:=}');
Error('\P{ 	posixupper:=}');
Expect(1, 90, '\p{posixupper}', "");
Expect(0, 90, '\p{^posixupper}', "");
Expect(0, 90, '\P{posixupper}', "");
Expect(1, 90, '\P{^posixupper}', "");
Expect(0, 91, '\p{posixupper}', "");
Expect(1, 91, '\p{^posixupper}', "");
Expect(1, 91, '\P{posixupper}', "");
Expect(0, 91, '\P{^posixupper}', "");
Expect(1, 90, '\p{- POSIXUPPER}', "");
Expect(0, 90, '\p{^- POSIXUPPER}', "");
Expect(0, 90, '\P{- POSIXUPPER}', "");
Expect(1, 90, '\P{^- POSIXUPPER}', "");
Expect(0, 91, '\p{- POSIXUPPER}', "");
Expect(1, 91, '\p{^- POSIXUPPER}', "");
Expect(1, 91, '\P{- POSIXUPPER}', "");
Expect(0, 91, '\P{^- POSIXUPPER}', "");
Error('\p{_:=Is_PosixUpper}');
Error('\P{_:=Is_PosixUpper}');
Expect(1, 90, '\p{isposixupper}', "");
Expect(0, 90, '\p{^isposixupper}', "");
Expect(0, 90, '\P{isposixupper}', "");
Expect(1, 90, '\P{^isposixupper}', "");
Expect(0, 91, '\p{isposixupper}', "");
Expect(1, 91, '\p{^isposixupper}', "");
Expect(1, 91, '\P{isposixupper}', "");
Expect(0, 91, '\P{^isposixupper}', "");
Expect(1, 90, '\p{- Is_PosixUpper}', "");
Expect(0, 90, '\p{^- Is_PosixUpper}', "");
Expect(0, 90, '\P{- Is_PosixUpper}', "");
Expect(1, 90, '\P{^- Is_PosixUpper}', "");
Expect(0, 91, '\p{- Is_PosixUpper}', "");
Expect(1, 91, '\p{^- Is_PosixUpper}', "");
Expect(1, 91, '\P{- Is_PosixUpper}', "");
Expect(0, 91, '\P{^- Is_PosixUpper}', "");
Error('\p{/a/_-posixword}');
Error('\P{/a/_-posixword}');
Expect(1, 122, '\p{posixword}', "");
Expect(0, 122, '\p{^posixword}', "");
Expect(0, 122, '\P{posixword}', "");
Expect(1, 122, '\P{^posixword}', "");
Expect(0, 123, '\p{posixword}', "");
Expect(1, 123, '\p{^posixword}', "");
Expect(1, 123, '\P{posixword}', "");
Expect(0, 123, '\P{^posixword}', "");
Expect(1, 122, '\p{_ PosixWord}', "");
Expect(0, 122, '\p{^_ PosixWord}', "");
Expect(0, 122, '\P{_ PosixWord}', "");
Expect(1, 122, '\P{^_ PosixWord}', "");
Expect(0, 123, '\p{_ PosixWord}', "");
Expect(1, 123, '\p{^_ PosixWord}', "");
Expect(1, 123, '\P{_ PosixWord}', "");
Expect(0, 123, '\P{^_ PosixWord}', "");
Error('\p{  perlword:=}');
Error('\P{  perlword:=}');
Expect(1, 122, '\p{perlword}', "");
Expect(0, 122, '\p{^perlword}', "");
Expect(0, 122, '\P{perlword}', "");
Expect(1, 122, '\P{^perlword}', "");
Expect(0, 123, '\p{perlword}', "");
Expect(1, 123, '\p{^perlword}', "");
Expect(1, 123, '\P{perlword}', "");
Expect(0, 123, '\P{^perlword}', "");
Expect(1, 122, '\p{  PerlWord}', "");
Expect(0, 122, '\p{^  PerlWord}', "");
Expect(0, 122, '\P{  PerlWord}', "");
Expect(1, 122, '\P{^  PerlWord}', "");
Expect(0, 123, '\p{  PerlWord}', "");
Expect(1, 123, '\p{^  PerlWord}', "");
Expect(1, 123, '\P{  PerlWord}', "");
Expect(0, 123, '\P{^  PerlWord}', "");
Error('\p{_Is_posixword/a/}');
Error('\P{_Is_posixword/a/}');
Expect(1, 122, '\p{isposixword}', "");
Expect(0, 122, '\p{^isposixword}', "");
Expect(0, 122, '\P{isposixword}', "");
Expect(1, 122, '\P{^isposixword}', "");
Expect(0, 123, '\p{isposixword}', "");
Expect(1, 123, '\p{^isposixword}', "");
Expect(1, 123, '\P{isposixword}', "");
Expect(0, 123, '\P{^isposixword}', "");
Expect(1, 122, '\p{		is_posixword}', "");
Expect(0, 122, '\p{^		is_posixword}', "");
Expect(0, 122, '\P{		is_posixword}', "");
Expect(1, 122, '\P{^		is_posixword}', "");
Expect(0, 123, '\p{		is_posixword}', "");
Expect(1, 123, '\p{^		is_posixword}', "");
Expect(1, 123, '\P{		is_posixword}', "");
Expect(0, 123, '\P{^		is_posixword}', "");
Error('\p{-/a/IS_PerlWord}');
Error('\P{-/a/IS_PerlWord}');
Expect(1, 122, '\p{isperlword}', "");
Expect(0, 122, '\p{^isperlword}', "");
Expect(0, 122, '\P{isperlword}', "");
Expect(1, 122, '\P{^isperlword}', "");
Expect(0, 123, '\p{isperlword}', "");
Expect(1, 123, '\p{^isperlword}', "");
Expect(1, 123, '\P{isperlword}', "");
Expect(0, 123, '\P{^isperlword}', "");
Expect(1, 122, '\p{_Is_PERLWORD}', "");
Expect(0, 122, '\p{^_Is_PERLWORD}', "");
Expect(0, 122, '\P{_Is_PERLWORD}', "");
Expect(1, 122, '\P{^_Is_PERLWORD}', "");
Expect(0, 123, '\p{_Is_PERLWORD}', "");
Expect(1, 123, '\p{^_Is_PERLWORD}', "");
Expect(1, 123, '\P{_Is_PERLWORD}', "");
Expect(0, 123, '\P{^_Is_PERLWORD}', "");
Error('\p{	/a/posixxdigit}');
Error('\P{	/a/posixxdigit}');
Expect(1, 102, '\p{posixxdigit}', "");
Expect(0, 102, '\p{^posixxdigit}', "");
Expect(0, 102, '\P{posixxdigit}', "");
Expect(1, 102, '\P{^posixxdigit}', "");
Expect(0, 103, '\p{posixxdigit}', "");
Expect(1, 103, '\p{^posixxdigit}', "");
Expect(1, 103, '\P{posixxdigit}', "");
Expect(0, 103, '\P{^posixxdigit}', "");
Expect(1, 102, '\p{-	posixxdigit}', "");
Expect(0, 102, '\p{^-	posixxdigit}', "");
Expect(0, 102, '\P{-	posixxdigit}', "");
Expect(1, 102, '\P{^-	posixxdigit}', "");
Expect(0, 103, '\p{-	posixxdigit}', "");
Expect(1, 103, '\p{^-	posixxdigit}', "");
Expect(1, 103, '\P{-	posixxdigit}', "");
Expect(0, 103, '\P{^-	posixxdigit}', "");
Error('\p{ Is_PosixXDigit/a/}');
Error('\P{ Is_PosixXDigit/a/}');
Expect(1, 102, '\p{isposixxdigit}', "");
Expect(0, 102, '\p{^isposixxdigit}', "");
Expect(0, 102, '\P{isposixxdigit}', "");
Expect(1, 102, '\P{^isposixxdigit}', "");
Expect(0, 103, '\p{isposixxdigit}', "");
Expect(1, 103, '\p{^isposixxdigit}', "");
Expect(1, 103, '\P{isposixxdigit}', "");
Expect(0, 103, '\P{^isposixxdigit}', "");
Expect(1, 102, '\p{	-Is_PosixXDigit}', "");
Expect(0, 102, '\p{^	-Is_PosixXDigit}', "");
Expect(0, 102, '\P{	-Is_PosixXDigit}', "");
Expect(1, 102, '\P{^	-Is_PosixXDigit}', "");
Expect(0, 103, '\p{	-Is_PosixXDigit}', "");
Expect(1, 103, '\p{^	-Is_PosixXDigit}', "");
Expect(1, 103, '\P{	-Is_PosixXDigit}', "");
Expect(0, 103, '\P{^	-Is_PosixXDigit}', "");
Error('\p{ ascii_HEX_digit:=}');
Error('\P{ ascii_HEX_digit:=}');
Expect(1, 102, '\p{asciihexdigit}', "");
Expect(0, 102, '\p{^asciihexdigit}', "");
Expect(0, 102, '\P{asciihexdigit}', "");
Expect(1, 102, '\P{^asciihexdigit}', "");
Expect(0, 103, '\p{asciihexdigit}', "");
Expect(1, 103, '\p{^asciihexdigit}', "");
Expect(1, 103, '\P{asciihexdigit}', "");
Expect(0, 103, '\P{^asciihexdigit}', "");
Expect(1, 102, '\p{	 ASCII_HEX_Digit}', "");
Expect(0, 102, '\p{^	 ASCII_HEX_Digit}', "");
Expect(0, 102, '\P{	 ASCII_HEX_Digit}', "");
Expect(1, 102, '\P{^	 ASCII_HEX_Digit}', "");
Expect(0, 103, '\p{	 ASCII_HEX_Digit}', "");
Expect(1, 103, '\p{^	 ASCII_HEX_Digit}', "");
Expect(1, 103, '\P{	 ASCII_HEX_Digit}', "");
Expect(0, 103, '\P{^	 ASCII_HEX_Digit}', "");
Error('\p{_-is_ASCII_Hex_Digit:=}');
Error('\P{_-is_ASCII_Hex_Digit:=}');
Expect(1, 102, '\p{isasciihexdigit}', "");
Expect(0, 102, '\p{^isasciihexdigit}', "");
Expect(0, 102, '\P{isasciihexdigit}', "");
Expect(1, 102, '\P{^isasciihexdigit}', "");
Expect(0, 103, '\p{isasciihexdigit}', "");
Expect(1, 103, '\p{^isasciihexdigit}', "");
Expect(1, 103, '\P{isasciihexdigit}', "");
Expect(0, 103, '\P{^isasciihexdigit}', "");
Expect(1, 102, '\p{- Is_ASCII_Hex_DIGIT}', "");
Expect(0, 102, '\p{^- Is_ASCII_Hex_DIGIT}', "");
Expect(0, 102, '\P{- Is_ASCII_Hex_DIGIT}', "");
Expect(1, 102, '\P{^- Is_ASCII_Hex_DIGIT}', "");
Expect(0, 103, '\p{- Is_ASCII_Hex_DIGIT}', "");
Expect(1, 103, '\p{^- Is_ASCII_Hex_DIGIT}', "");
Expect(1, 103, '\P{- Is_ASCII_Hex_DIGIT}', "");
Expect(0, 103, '\P{^- Is_ASCII_Hex_DIGIT}', "");
Error('\p{ AHex/a/}');
Error('\P{ AHex/a/}');
Expect(1, 102, '\p{ahex}', "");
Expect(0, 102, '\p{^ahex}', "");
Expect(0, 102, '\P{ahex}', "");
Expect(1, 102, '\P{^ahex}', "");
Expect(0, 103, '\p{ahex}', "");
Expect(1, 103, '\p{^ahex}', "");
Expect(1, 103, '\P{ahex}', "");
Expect(0, 103, '\P{^ahex}', "");
Expect(1, 102, '\p{ AHex}', "");
Expect(0, 102, '\p{^ AHex}', "");
Expect(0, 102, '\P{ AHex}', "");
Expect(1, 102, '\P{^ AHex}', "");
Expect(0, 103, '\p{ AHex}', "");
Expect(1, 103, '\p{^ AHex}', "");
Expect(1, 103, '\P{ AHex}', "");
Expect(0, 103, '\P{^ AHex}', "");
Error('\p{:=IS_AHex}');
Error('\P{:=IS_AHex}');
Expect(1, 102, '\p{isahex}', "");
Expect(0, 102, '\p{^isahex}', "");
Expect(0, 102, '\P{isahex}', "");
Expect(1, 102, '\P{^isahex}', "");
Expect(0, 103, '\p{isahex}', "");
Expect(1, 103, '\p{^isahex}', "");
Expect(1, 103, '\P{isahex}', "");
Expect(0, 103, '\P{^isahex}', "");
Expect(1, 102, '\p{  Is_ahex}', "");
Expect(0, 102, '\p{^  Is_ahex}', "");
Expect(0, 102, '\P{  Is_ahex}', "");
Expect(1, 102, '\P{^  Is_ahex}', "");
Expect(0, 103, '\p{  Is_ahex}', "");
Expect(1, 103, '\p{^  Is_ahex}', "");
Expect(1, 103, '\P{  Is_ahex}', "");
Expect(0, 103, '\P{^  Is_ahex}', "");
Error('\p{ /a/XPosixPrint}');
Error('\P{ /a/XPosixPrint}');
Expect(1, 1114109, '\p{xposixprint}', "");
Expect(0, 1114109, '\p{^xposixprint}', "");
Expect(0, 1114109, '\P{xposixprint}', "");
Expect(1, 1114109, '\P{^xposixprint}', "");
Expect(0, 918000, '\p{xposixprint}', "");
Expect(1, 918000, '\p{^xposixprint}', "");
Expect(1, 918000, '\P{xposixprint}', "");
Expect(0, 918000, '\P{^xposixprint}', "");
Expect(1, 1114109, '\p{_XPosixPrint}', "");
Expect(0, 1114109, '\p{^_XPosixPrint}', "");
Expect(0, 1114109, '\P{_XPosixPrint}', "");
Expect(1, 1114109, '\P{^_XPosixPrint}', "");
Expect(0, 918000, '\p{_XPosixPrint}', "");
Expect(1, 918000, '\p{^_XPosixPrint}', "");
Expect(1, 918000, '\P{_XPosixPrint}', "");
Expect(0, 918000, '\P{^_XPosixPrint}', "");
Error('\p{-print/a/}');
Error('\P{-print/a/}');
Expect(1, 1114109, '\p{print}', "");
Expect(0, 1114109, '\p{^print}', "");
Expect(0, 1114109, '\P{print}', "");
Expect(1, 1114109, '\P{^print}', "");
Expect(0, 918000, '\p{print}', "");
Expect(1, 918000, '\p{^print}', "");
Expect(1, 918000, '\P{print}', "");
Expect(0, 918000, '\P{^print}', "");
Expect(1, 1114109, '\p{		Print}', "");
Expect(0, 1114109, '\p{^		Print}', "");
Expect(0, 1114109, '\P{		Print}', "");
Expect(1, 1114109, '\P{^		Print}', "");
Expect(0, 918000, '\p{		Print}', "");
Expect(1, 918000, '\p{^		Print}', "");
Expect(1, 918000, '\P{		Print}', "");
Expect(0, 918000, '\P{^		Print}', "");
Error('\p{:=Is_XPosixPrint}');
Error('\P{:=Is_XPosixPrint}');
Expect(1, 1114109, '\p{isxposixprint}', "");
Expect(0, 1114109, '\p{^isxposixprint}', "");
Expect(0, 1114109, '\P{isxposixprint}', "");
Expect(1, 1114109, '\P{^isxposixprint}', "");
Expect(0, 918000, '\p{isxposixprint}', "");
Expect(1, 918000, '\p{^isxposixprint}', "");
Expect(1, 918000, '\P{isxposixprint}', "");
Expect(0, 918000, '\P{^isxposixprint}', "");
Expect(1, 1114109, '\p{	_IS_XPosixPrint}', "");
Expect(0, 1114109, '\p{^	_IS_XPosixPrint}', "");
Expect(0, 1114109, '\P{	_IS_XPosixPrint}', "");
Expect(1, 1114109, '\P{^	_IS_XPosixPrint}', "");
Expect(0, 918000, '\p{	_IS_XPosixPrint}', "");
Expect(1, 918000, '\p{^	_IS_XPosixPrint}', "");
Expect(1, 918000, '\P{	_IS_XPosixPrint}', "");
Expect(0, 918000, '\P{^	_IS_XPosixPrint}', "");
Error('\p{		Is_print:=}');
Error('\P{		Is_print:=}');
Expect(1, 1114109, '\p{isprint}', "");
Expect(0, 1114109, '\p{^isprint}', "");
Expect(0, 1114109, '\P{isprint}', "");
Expect(1, 1114109, '\P{^isprint}', "");
Expect(0, 918000, '\p{isprint}', "");
Expect(1, 918000, '\p{^isprint}', "");
Expect(1, 918000, '\P{isprint}', "");
Expect(0, 918000, '\P{^isprint}', "");
Expect(1, 1114109, '\p{  Is_print}', "");
Expect(0, 1114109, '\p{^  Is_print}', "");
Expect(0, 1114109, '\P{  Is_print}', "");
Expect(1, 1114109, '\P{^  Is_print}', "");
Expect(0, 918000, '\p{  Is_print}', "");
Expect(1, 918000, '\p{^  Is_print}', "");
Expect(1, 918000, '\P{  Is_print}', "");
Expect(0, 918000, '\P{^  Is_print}', "");
Error('\p{/a/PRIVATE_USE}');
Error('\P{/a/PRIVATE_USE}');
Expect(1, 1114109, '\p{privateuse}', "");
Expect(0, 1114109, '\p{^privateuse}', "");
Expect(0, 1114109, '\P{privateuse}', "");
Expect(1, 1114109, '\P{^privateuse}', "");
Expect(0, 63744, '\p{privateuse}', "");
Expect(1, 63744, '\p{^privateuse}', "");
Expect(1, 63744, '\P{privateuse}', "");
Expect(0, 63744, '\P{^privateuse}', "");
Expect(1, 1114109, '\p{	-private_use}', "");
Expect(0, 1114109, '\p{^	-private_use}', "");
Expect(0, 1114109, '\P{	-private_use}', "");
Expect(1, 1114109, '\P{^	-private_use}', "");
Expect(0, 63744, '\p{	-private_use}', "");
Expect(1, 63744, '\p{^	-private_use}', "");
Expect(1, 63744, '\P{	-private_use}', "");
Expect(0, 63744, '\P{^	-private_use}', "");
Error('\p{:=Is_private_Use}');
Error('\P{:=Is_private_Use}');
Expect(1, 1114109, '\p{isprivateuse}', "");
Expect(0, 1114109, '\p{^isprivateuse}', "");
Expect(0, 1114109, '\P{isprivateuse}', "");
Expect(1, 1114109, '\P{^isprivateuse}', "");
Expect(0, 63744, '\p{isprivateuse}', "");
Expect(1, 63744, '\p{^isprivateuse}', "");
Expect(1, 63744, '\P{isprivateuse}', "");
Expect(0, 63744, '\P{^isprivateuse}', "");
Expect(1, 1114109, '\p{-Is_PRIVATE_Use}', "");
Expect(0, 1114109, '\p{^-Is_PRIVATE_Use}', "");
Expect(0, 1114109, '\P{-Is_PRIVATE_Use}', "");
Expect(1, 1114109, '\P{^-Is_PRIVATE_Use}', "");
Expect(0, 63744, '\p{-Is_PRIVATE_Use}', "");
Expect(1, 63744, '\p{^-Is_PRIVATE_Use}', "");
Expect(1, 63744, '\P{-Is_PRIVATE_Use}', "");
Expect(0, 63744, '\P{^-Is_PRIVATE_Use}', "");
Error('\p{ :=co}');
Error('\P{ :=co}');
Expect(1, 1114109, '\p{co}', "");
Expect(0, 1114109, '\p{^co}', "");
Expect(0, 1114109, '\P{co}', "");
Expect(1, 1114109, '\P{^co}', "");
Expect(0, 63744, '\p{co}', "");
Expect(1, 63744, '\p{^co}', "");
Expect(1, 63744, '\P{co}', "");
Expect(0, 63744, '\P{^co}', "");
Expect(1, 1114109, '\p{	co}', "");
Expect(0, 1114109, '\p{^	co}', "");
Expect(0, 1114109, '\P{	co}', "");
Expect(1, 1114109, '\P{^	co}', "");
Expect(0, 63744, '\p{	co}', "");
Expect(1, 63744, '\p{^	co}', "");
Expect(1, 63744, '\P{	co}', "");
Expect(0, 63744, '\P{^	co}', "");
Error('\p{:= Is_co}');
Error('\P{:= Is_co}');
Expect(1, 1114109, '\p{isco}', "");
Expect(0, 1114109, '\p{^isco}', "");
Expect(0, 1114109, '\P{isco}', "");
Expect(1, 1114109, '\P{^isco}', "");
Expect(0, 63744, '\p{isco}', "");
Expect(1, 63744, '\p{^isco}', "");
Expect(1, 63744, '\P{isco}', "");
Expect(0, 63744, '\P{^isco}', "");
Expect(1, 1114109, '\p{ is_Co}', "");
Expect(0, 1114109, '\p{^ is_Co}', "");
Expect(0, 1114109, '\P{ is_Co}', "");
Expect(1, 1114109, '\P{^ is_Co}', "");
Expect(0, 63744, '\p{ is_Co}', "");
Expect(1, 63744, '\p{^ is_Co}', "");
Expect(1, 63744, '\P{ is_Co}', "");
Expect(0, 63744, '\P{^ is_Co}', "");
Error('\p{-/a/private_USE_area}');
Error('\P{-/a/private_USE_area}');
Expect(1, 63743, '\p{privateusearea}', "");
Expect(0, 63743, '\p{^privateusearea}', "");
Expect(0, 63743, '\P{privateusearea}', "");
Expect(1, 63743, '\P{^privateusearea}', "");
Expect(0, 63744, '\p{privateusearea}', "");
Expect(1, 63744, '\p{^privateusearea}', "");
Expect(1, 63744, '\P{privateusearea}', "");
Expect(0, 63744, '\P{^privateusearea}', "");
Expect(1, 63743, '\p{private_Use_Area}', "");
Expect(0, 63743, '\p{^private_Use_Area}', "");
Expect(0, 63743, '\P{private_Use_Area}', "");
Expect(1, 63743, '\P{^private_Use_Area}', "");
Expect(0, 63744, '\p{private_Use_Area}', "");
Expect(1, 63744, '\p{^private_Use_Area}', "");
Expect(1, 63744, '\P{private_Use_Area}', "");
Expect(0, 63744, '\P{^private_Use_Area}', "");
Error('\p{:= -IS_Private_Use_AREA}');
Error('\P{:= -IS_Private_Use_AREA}');
Expect(1, 63743, '\p{isprivateusearea}', "");
Expect(0, 63743, '\p{^isprivateusearea}', "");
Expect(0, 63743, '\P{isprivateusearea}', "");
Expect(1, 63743, '\P{^isprivateusearea}', "");
Expect(0, 63744, '\p{isprivateusearea}', "");
Expect(1, 63744, '\p{^isprivateusearea}', "");
Expect(1, 63744, '\P{isprivateusearea}', "");
Expect(0, 63744, '\P{^isprivateusearea}', "");
Expect(1, 63743, '\p{-is_PRIVATE_Use_Area}', "");
Expect(0, 63743, '\p{^-is_PRIVATE_Use_Area}', "");
Expect(0, 63743, '\P{-is_PRIVATE_Use_Area}', "");
Expect(1, 63743, '\P{^-is_PRIVATE_Use_Area}', "");
Expect(0, 63744, '\p{-is_PRIVATE_Use_Area}', "");
Expect(1, 63744, '\p{^-is_PRIVATE_Use_Area}', "");
Expect(1, 63744, '\P{-is_PRIVATE_Use_Area}', "");
Expect(0, 63744, '\P{^-is_PRIVATE_Use_Area}', "");
Error('\p{:=	In_private_Use_Area}');
Error('\P{:=	In_private_Use_Area}');
Expect(1, 63743, '\p{inprivateusearea}', "");
Expect(0, 63743, '\p{^inprivateusearea}', "");
Expect(0, 63743, '\P{inprivateusearea}', "");
Expect(1, 63743, '\P{^inprivateusearea}', "");
Expect(0, 63744, '\p{inprivateusearea}', "");
Expect(1, 63744, '\p{^inprivateusearea}', "");
Expect(1, 63744, '\P{inprivateusearea}', "");
Expect(0, 63744, '\P{^inprivateusearea}', "");
Expect(1, 63743, '\p{--in_private_USE_area}', "");
Expect(0, 63743, '\p{^--in_private_USE_area}', "");
Expect(0, 63743, '\P{--in_private_USE_area}', "");
Expect(1, 63743, '\P{^--in_private_USE_area}', "");
Expect(0, 63744, '\p{--in_private_USE_area}', "");
Expect(1, 63744, '\p{^--in_private_USE_area}', "");
Expect(1, 63744, '\P{--in_private_USE_area}', "");
Expect(0, 63744, '\P{^--in_private_USE_area}', "");
Error('\p{/a/	PUA}');
Error('\P{/a/	PUA}');
Expect(1, 63743, '\p{pua}', "");
Expect(0, 63743, '\p{^pua}', "");
Expect(0, 63743, '\P{pua}', "");
Expect(1, 63743, '\P{^pua}', "");
Expect(0, 63744, '\p{pua}', "");
Expect(1, 63744, '\p{^pua}', "");
Expect(1, 63744, '\P{pua}', "");
Expect(0, 63744, '\P{^pua}', "");
Expect(1, 63743, '\p{--PUA}', "");
Expect(0, 63743, '\p{^--PUA}', "");
Expect(0, 63743, '\P{--PUA}', "");
Expect(1, 63743, '\P{^--PUA}', "");
Expect(0, 63744, '\p{--PUA}', "");
Expect(1, 63744, '\p{^--PUA}', "");
Expect(1, 63744, '\P{--PUA}', "");
Expect(0, 63744, '\P{^--PUA}', "");
Error('\p{  Is_PUA:=}');
Error('\P{  Is_PUA:=}');
Expect(1, 63743, '\p{ispua}', "");
Expect(0, 63743, '\p{^ispua}', "");
Expect(0, 63743, '\P{ispua}', "");
Expect(1, 63743, '\P{^ispua}', "");
Expect(0, 63744, '\p{ispua}', "");
Expect(1, 63744, '\p{^ispua}', "");
Expect(1, 63744, '\P{ispua}', "");
Expect(0, 63744, '\P{^ispua}', "");
Expect(1, 63743, '\p{	-Is_pua}', "");
Expect(0, 63743, '\p{^	-Is_pua}', "");
Expect(0, 63743, '\P{	-Is_pua}', "");
Expect(1, 63743, '\P{^	-Is_pua}', "");
Expect(0, 63744, '\p{	-Is_pua}', "");
Expect(1, 63744, '\p{^	-Is_pua}', "");
Expect(1, 63744, '\P{	-Is_pua}', "");
Expect(0, 63744, '\P{^	-Is_pua}', "");
Error('\p{-	in_pua/a/}');
Error('\P{-	in_pua/a/}');
Expect(1, 63743, '\p{inpua}', "");
Expect(0, 63743, '\p{^inpua}', "");
Expect(0, 63743, '\P{inpua}', "");
Expect(1, 63743, '\P{^inpua}', "");
Expect(0, 63744, '\p{inpua}', "");
Expect(1, 63744, '\p{^inpua}', "");
Expect(1, 63744, '\P{inpua}', "");
Expect(0, 63744, '\P{^inpua}', "");
Expect(1, 63743, '\p{_ IN_PUA}', "");
Expect(0, 63743, '\p{^_ IN_PUA}', "");
Expect(0, 63743, '\P{_ IN_PUA}', "");
Expect(1, 63743, '\P{^_ IN_PUA}', "");
Expect(0, 63744, '\p{_ IN_PUA}', "");
Expect(1, 63744, '\p{^_ IN_PUA}', "");
Expect(1, 63744, '\P{_ IN_PUA}', "");
Expect(0, 63744, '\P{^_ IN_PUA}', "");
Error('\p{_/a/in_Private_use}');
Error('\P{_/a/in_Private_use}');
Expect(1, 63743, '\p{inprivateuse}', "");
Expect(0, 63743, '\p{^inprivateuse}', "");
Expect(0, 63743, '\P{inprivateuse}', "");
Expect(1, 63743, '\P{^inprivateuse}', "");
Expect(0, 63744, '\p{inprivateuse}', "");
Expect(1, 63744, '\p{^inprivateuse}', "");
Expect(1, 63744, '\P{inprivateuse}', "");
Expect(0, 63744, '\P{^inprivateuse}', "");
Expect(1, 63743, '\p{--In_Private_Use}', "");
Expect(0, 63743, '\p{^--In_Private_Use}', "");
Expect(0, 63743, '\P{--In_Private_Use}', "");
Expect(1, 63743, '\P{^--In_Private_Use}', "");
Expect(0, 63744, '\p{--In_Private_Use}', "");
Expect(1, 63744, '\p{^--In_Private_Use}', "");
Expect(1, 63744, '\P{--In_Private_Use}', "");
Expect(0, 63744, '\P{^--In_Private_Use}', "");
Error('\p{:=PSALTER_pahlavi}');
Error('\P{:=PSALTER_pahlavi}');
Expect(1, 68527, '\p{psalterpahlavi}', "");
Expect(0, 68527, '\p{^psalterpahlavi}', "");
Expect(0, 68527, '\P{psalterpahlavi}', "");
Expect(1, 68527, '\P{^psalterpahlavi}', "");
Expect(0, 68528, '\p{psalterpahlavi}', "");
Expect(1, 68528, '\p{^psalterpahlavi}', "");
Expect(1, 68528, '\P{psalterpahlavi}', "");
Expect(0, 68528, '\P{^psalterpahlavi}', "");
Expect(1, 68527, '\p{_	Psalter_Pahlavi}', "");
Expect(0, 68527, '\p{^_	Psalter_Pahlavi}', "");
Expect(0, 68527, '\P{_	Psalter_Pahlavi}', "");
Expect(1, 68527, '\P{^_	Psalter_Pahlavi}', "");
Expect(0, 68528, '\p{_	Psalter_Pahlavi}', "");
Expect(1, 68528, '\p{^_	Psalter_Pahlavi}', "");
Expect(1, 68528, '\P{_	Psalter_Pahlavi}', "");
Expect(0, 68528, '\P{^_	Psalter_Pahlavi}', "");
Error('\p{	-Is_Psalter_Pahlavi/a/}');
Error('\P{	-Is_Psalter_Pahlavi/a/}');
Expect(1, 68527, '\p{ispsalterpahlavi}', "");
Expect(0, 68527, '\p{^ispsalterpahlavi}', "");
Expect(0, 68527, '\P{ispsalterpahlavi}', "");
Expect(1, 68527, '\P{^ispsalterpahlavi}', "");
Expect(0, 68528, '\p{ispsalterpahlavi}', "");
Expect(1, 68528, '\p{^ispsalterpahlavi}', "");
Expect(1, 68528, '\P{ispsalterpahlavi}', "");
Expect(0, 68528, '\P{^ispsalterpahlavi}', "");
Expect(1, 68527, '\p{ IS_psalter_pahlavi}', "");
Expect(0, 68527, '\p{^ IS_psalter_pahlavi}', "");
Expect(0, 68527, '\P{ IS_psalter_pahlavi}', "");
Expect(1, 68527, '\P{^ IS_psalter_pahlavi}', "");
Expect(0, 68528, '\p{ IS_psalter_pahlavi}', "");
Expect(1, 68528, '\p{^ IS_psalter_pahlavi}', "");
Expect(1, 68528, '\P{ IS_psalter_pahlavi}', "");
Expect(0, 68528, '\P{^ IS_psalter_pahlavi}', "");
Error('\p{_:=Phlp}');
Error('\P{_:=Phlp}');
Expect(1, 68527, '\p{phlp}', "");
Expect(0, 68527, '\p{^phlp}', "");
Expect(0, 68527, '\P{phlp}', "");
Expect(1, 68527, '\P{^phlp}', "");
Expect(0, 68528, '\p{phlp}', "");
Expect(1, 68528, '\p{^phlp}', "");
Expect(1, 68528, '\P{phlp}', "");
Expect(0, 68528, '\P{^phlp}', "");
Expect(1, 68527, '\p{-PHLP}', "");
Expect(0, 68527, '\p{^-PHLP}', "");
Expect(0, 68527, '\P{-PHLP}', "");
Expect(1, 68527, '\P{^-PHLP}', "");
Expect(0, 68528, '\p{-PHLP}', "");
Expect(1, 68528, '\p{^-PHLP}', "");
Expect(1, 68528, '\P{-PHLP}', "");
Expect(0, 68528, '\P{^-PHLP}', "");
Error('\p{ /a/is_Phlp}');
Error('\P{ /a/is_Phlp}');
Expect(1, 68527, '\p{isphlp}', "");
Expect(0, 68527, '\p{^isphlp}', "");
Expect(0, 68527, '\P{isphlp}', "");
Expect(1, 68527, '\P{^isphlp}', "");
Expect(0, 68528, '\p{isphlp}', "");
Expect(1, 68528, '\p{^isphlp}', "");
Expect(1, 68528, '\P{isphlp}', "");
Expect(0, 68528, '\P{^isphlp}', "");
Expect(1, 68527, '\p{_	IS_Phlp}', "");
Expect(0, 68527, '\p{^_	IS_Phlp}', "");
Expect(0, 68527, '\P{_	IS_Phlp}', "");
Expect(1, 68527, '\P{^_	IS_Phlp}', "");
Expect(0, 68528, '\p{_	IS_Phlp}', "");
Expect(1, 68528, '\p{^_	IS_Phlp}', "");
Expect(1, 68528, '\P{_	IS_Phlp}', "");
Expect(0, 68528, '\P{^_	IS_Phlp}', "");
Error('\p{	:=punct}');
Error('\P{	:=punct}');
Expect(1, 121483, '\p{punct}', "");
Expect(0, 121483, '\p{^punct}', "");
Expect(0, 121483, '\P{punct}', "");
Expect(1, 121483, '\P{^punct}', "");
Expect(0, 121484, '\p{punct}', "");
Expect(1, 121484, '\p{^punct}', "");
Expect(1, 121484, '\P{punct}', "");
Expect(0, 121484, '\P{^punct}', "");
Expect(1, 121483, '\p{-punct}', "");
Expect(0, 121483, '\p{^-punct}', "");
Expect(0, 121483, '\P{-punct}', "");
Expect(1, 121483, '\P{^-punct}', "");
Expect(0, 121484, '\p{-punct}', "");
Expect(1, 121484, '\p{^-punct}', "");
Expect(1, 121484, '\P{-punct}', "");
Expect(0, 121484, '\P{^-punct}', "");
Error('\p{  is_PUNCT:=}');
Error('\P{  is_PUNCT:=}');
Expect(1, 121483, '\p{ispunct}', "");
Expect(0, 121483, '\p{^ispunct}', "");
Expect(0, 121483, '\P{ispunct}', "");
Expect(1, 121483, '\P{^ispunct}', "");
Expect(0, 121484, '\p{ispunct}', "");
Expect(1, 121484, '\p{^ispunct}', "");
Expect(1, 121484, '\P{ispunct}', "");
Expect(0, 121484, '\P{^ispunct}', "");
Expect(1, 121483, '\p{--Is_Punct}', "");
Expect(0, 121483, '\p{^--Is_Punct}', "");
Expect(0, 121483, '\P{--Is_Punct}', "");
Expect(1, 121483, '\P{^--Is_Punct}', "");
Expect(0, 121484, '\p{--Is_Punct}', "");
Expect(1, 121484, '\p{^--Is_Punct}', "");
Expect(1, 121484, '\P{--Is_Punct}', "");
Expect(0, 121484, '\P{^--Is_Punct}', "");
Error('\p{-/a/PUNCTUATION}');
Error('\P{-/a/PUNCTUATION}');
Expect(1, 121483, '\p{punctuation}', "");
Expect(0, 121483, '\p{^punctuation}', "");
Expect(0, 121483, '\P{punctuation}', "");
Expect(1, 121483, '\P{^punctuation}', "");
Expect(0, 121484, '\p{punctuation}', "");
Expect(1, 121484, '\p{^punctuation}', "");
Expect(1, 121484, '\P{punctuation}', "");
Expect(0, 121484, '\P{^punctuation}', "");
Expect(1, 121483, '\p{	_punctuation}', "");
Expect(0, 121483, '\p{^	_punctuation}', "");
Expect(0, 121483, '\P{	_punctuation}', "");
Expect(1, 121483, '\P{^	_punctuation}', "");
Expect(0, 121484, '\p{	_punctuation}', "");
Expect(1, 121484, '\p{^	_punctuation}', "");
Expect(1, 121484, '\P{	_punctuation}', "");
Expect(0, 121484, '\P{^	_punctuation}', "");
Error('\p{-:=Is_PUNCTUATION}');
Error('\P{-:=Is_PUNCTUATION}');
Expect(1, 121483, '\p{ispunctuation}', "");
Expect(0, 121483, '\p{^ispunctuation}', "");
Expect(0, 121483, '\P{ispunctuation}', "");
Expect(1, 121483, '\P{^ispunctuation}', "");
Expect(0, 121484, '\p{ispunctuation}', "");
Expect(1, 121484, '\p{^ispunctuation}', "");
Expect(1, 121484, '\P{ispunctuation}', "");
Expect(0, 121484, '\P{^ispunctuation}', "");
Expect(1, 121483, '\p{-Is_Punctuation}', "");
Expect(0, 121483, '\p{^-Is_Punctuation}', "");
Expect(0, 121483, '\P{-Is_Punctuation}', "");
Expect(1, 121483, '\P{^-Is_Punctuation}', "");
Expect(0, 121484, '\p{-Is_Punctuation}', "");
Expect(1, 121484, '\p{^-Is_Punctuation}', "");
Expect(1, 121484, '\P{-Is_Punctuation}', "");
Expect(0, 121484, '\P{^-Is_Punctuation}', "");
Error('\p{/a/-_P}');
Error('\P{/a/-_P}');
Expect(1, 121483, '\p{p}', "");
Expect(0, 121483, '\p{^p}', "");
Expect(0, 121483, '\P{p}', "");
Expect(1, 121483, '\P{^p}', "");
Expect(0, 121484, '\p{p}', "");
Expect(1, 121484, '\p{^p}', "");
Expect(1, 121484, '\P{p}', "");
Expect(0, 121484, '\P{^p}', "");
Expect(1, 121483, '\p{ -P}', "");
Expect(0, 121483, '\p{^ -P}', "");
Expect(0, 121483, '\P{ -P}', "");
Expect(1, 121483, '\P{^ -P}', "");
Expect(0, 121484, '\p{ -P}', "");
Expect(1, 121484, '\p{^ -P}', "");
Expect(1, 121484, '\P{ -P}', "");
Expect(0, 121484, '\P{^ -P}', "");
Error('\p{:=	 Is_P}');
Error('\P{:=	 Is_P}');
Expect(1, 121483, '\p{isp}', "");
Expect(0, 121483, '\p{^isp}', "");
Expect(0, 121483, '\P{isp}', "");
Expect(1, 121483, '\P{^isp}', "");
Expect(0, 121484, '\p{isp}', "");
Expect(1, 121484, '\p{^isp}', "");
Expect(1, 121484, '\P{isp}', "");
Expect(0, 121484, '\P{^isp}', "");
Expect(1, 121483, '\p{-	IS_P}', "");
Expect(0, 121483, '\p{^-	IS_P}', "");
Expect(0, 121483, '\P{-	IS_P}', "");
Expect(1, 121483, '\P{^-	IS_P}', "");
Expect(0, 121484, '\p{-	IS_P}', "");
Expect(1, 121484, '\p{^-	IS_P}', "");
Expect(1, 121484, '\P{-	IS_P}', "");
Expect(0, 121484, '\P{^-	IS_P}', "");
Error('\p{	Quotation_Mark/a/}');
Error('\P{	Quotation_Mark/a/}');
Expect(1, 65379, '\p{quotationmark}', "");
Expect(0, 65379, '\p{^quotationmark}', "");
Expect(0, 65379, '\P{quotationmark}', "");
Expect(1, 65379, '\P{^quotationmark}', "");
Expect(0, 65380, '\p{quotationmark}', "");
Expect(1, 65380, '\p{^quotationmark}', "");
Expect(1, 65380, '\P{quotationmark}', "");
Expect(0, 65380, '\P{^quotationmark}', "");
Expect(1, 65379, '\p{		Quotation_Mark}', "");
Expect(0, 65379, '\p{^		Quotation_Mark}', "");
Expect(0, 65379, '\P{		Quotation_Mark}', "");
Expect(1, 65379, '\P{^		Quotation_Mark}', "");
Expect(0, 65380, '\p{		Quotation_Mark}', "");
Expect(1, 65380, '\p{^		Quotation_Mark}', "");
Expect(1, 65380, '\P{		Quotation_Mark}', "");
Expect(0, 65380, '\P{^		Quotation_Mark}', "");
Error('\p{:=-_is_QUOTATION_mark}');
Error('\P{:=-_is_QUOTATION_mark}');
Expect(1, 65379, '\p{isquotationmark}', "");
Expect(0, 65379, '\p{^isquotationmark}', "");
Expect(0, 65379, '\P{isquotationmark}', "");
Expect(1, 65379, '\P{^isquotationmark}', "");
Expect(0, 65380, '\p{isquotationmark}', "");
Expect(1, 65380, '\p{^isquotationmark}', "");
Expect(1, 65380, '\P{isquotationmark}', "");
Expect(0, 65380, '\P{^isquotationmark}', "");
Expect(1, 65379, '\p{_	Is_Quotation_Mark}', "");
Expect(0, 65379, '\p{^_	Is_Quotation_Mark}', "");
Expect(0, 65379, '\P{_	Is_Quotation_Mark}', "");
Expect(1, 65379, '\P{^_	Is_Quotation_Mark}', "");
Expect(0, 65380, '\p{_	Is_Quotation_Mark}', "");
Expect(1, 65380, '\p{^_	Is_Quotation_Mark}', "");
Expect(1, 65380, '\P{_	Is_Quotation_Mark}', "");
Expect(0, 65380, '\P{^_	Is_Quotation_Mark}', "");
Error('\p{/a/_ QMark}');
Error('\P{/a/_ QMark}');
Expect(1, 65379, '\p{qmark}', "");
Expect(0, 65379, '\p{^qmark}', "");
Expect(0, 65379, '\P{qmark}', "");
Expect(1, 65379, '\P{^qmark}', "");
Expect(0, 65380, '\p{qmark}', "");
Expect(1, 65380, '\p{^qmark}', "");
Expect(1, 65380, '\P{qmark}', "");
Expect(0, 65380, '\P{^qmark}', "");
Expect(1, 65379, '\p{_QMark}', "");
Expect(0, 65379, '\p{^_QMark}', "");
Expect(0, 65379, '\P{_QMark}', "");
Expect(1, 65379, '\P{^_QMark}', "");
Expect(0, 65380, '\p{_QMark}', "");
Expect(1, 65380, '\p{^_QMark}', "");
Expect(1, 65380, '\P{_QMark}', "");
Expect(0, 65380, '\P{^_QMark}', "");
Error('\p{/a/_IS_QMark}');
Error('\P{/a/_IS_QMark}');
Expect(1, 65379, '\p{isqmark}', "");
Expect(0, 65379, '\p{^isqmark}', "");
Expect(0, 65379, '\P{isqmark}', "");
Expect(1, 65379, '\P{^isqmark}', "");
Expect(0, 65380, '\p{isqmark}', "");
Expect(1, 65380, '\p{^isqmark}', "");
Expect(1, 65380, '\P{isqmark}', "");
Expect(0, 65380, '\P{^isqmark}', "");
Expect(1, 65379, '\p{	 Is_QMark}', "");
Expect(0, 65379, '\p{^	 Is_QMark}', "");
Expect(0, 65379, '\P{	 Is_QMark}', "");
Expect(1, 65379, '\P{^	 Is_QMark}', "");
Expect(0, 65380, '\p{	 Is_QMark}', "");
Expect(1, 65380, '\p{^	 Is_QMark}', "");
Expect(1, 65380, '\P{	 Is_QMark}', "");
Expect(0, 65380, '\P{^	 Is_QMark}', "");
Error('\p{:=		RADICAL}');
Error('\P{:=		RADICAL}');
Expect(1, 12245, '\p{radical}', "");
Expect(0, 12245, '\p{^radical}', "");
Expect(0, 12245, '\P{radical}', "");
Expect(1, 12245, '\P{^radical}', "");
Expect(0, 12246, '\p{radical}', "");
Expect(1, 12246, '\p{^radical}', "");
Expect(1, 12246, '\P{radical}', "");
Expect(0, 12246, '\P{^radical}', "");
Expect(1, 12245, '\p{-Radical}', "");
Expect(0, 12245, '\p{^-Radical}', "");
Expect(0, 12245, '\P{-Radical}', "");
Expect(1, 12245, '\P{^-Radical}', "");
Expect(0, 12246, '\p{-Radical}', "");
Expect(1, 12246, '\p{^-Radical}', "");
Expect(1, 12246, '\P{-Radical}', "");
Expect(0, 12246, '\P{^-Radical}', "");
Error('\p{--Is_Radical/a/}');
Error('\P{--Is_Radical/a/}');
Expect(1, 12245, '\p{isradical}', "");
Expect(0, 12245, '\p{^isradical}', "");
Expect(0, 12245, '\P{isradical}', "");
Expect(1, 12245, '\P{^isradical}', "");
Expect(0, 12246, '\p{isradical}', "");
Expect(1, 12246, '\p{^isradical}', "");
Expect(1, 12246, '\P{isradical}', "");
Expect(0, 12246, '\P{^isradical}', "");
Expect(1, 12245, '\p{		is_Radical}', "");
Expect(0, 12245, '\p{^		is_Radical}', "");
Expect(0, 12245, '\P{		is_Radical}', "");
Expect(1, 12245, '\P{^		is_Radical}', "");
Expect(0, 12246, '\p{		is_Radical}', "");
Expect(1, 12246, '\p{^		is_Radical}', "");
Expect(1, 12246, '\P{		is_Radical}', "");
Expect(0, 12246, '\P{^		is_Radical}', "");
Error('\p{		Rejang/a/}');
Error('\P{		Rejang/a/}');
Expect(1, 43359, '\p{rejang}', "");
Expect(0, 43359, '\p{^rejang}', "");
Expect(0, 43359, '\P{rejang}', "");
Expect(1, 43359, '\P{^rejang}', "");
Expect(0, 43360, '\p{rejang}', "");
Expect(1, 43360, '\p{^rejang}', "");
Expect(1, 43360, '\P{rejang}', "");
Expect(0, 43360, '\P{^rejang}', "");
Expect(1, 43359, '\p{	Rejang}', "");
Expect(0, 43359, '\p{^	Rejang}', "");
Expect(0, 43359, '\P{	Rejang}', "");
Expect(1, 43359, '\P{^	Rejang}', "");
Expect(0, 43360, '\p{	Rejang}', "");
Expect(1, 43360, '\p{^	Rejang}', "");
Expect(1, 43360, '\P{	Rejang}', "");
Expect(0, 43360, '\P{^	Rejang}', "");
Error('\p{_/a/Is_rejang}');
Error('\P{_/a/Is_rejang}');
Expect(1, 43359, '\p{isrejang}', "");
Expect(0, 43359, '\p{^isrejang}', "");
Expect(0, 43359, '\P{isrejang}', "");
Expect(1, 43359, '\P{^isrejang}', "");
Expect(0, 43360, '\p{isrejang}', "");
Expect(1, 43360, '\p{^isrejang}', "");
Expect(1, 43360, '\P{isrejang}', "");
Expect(0, 43360, '\P{^isrejang}', "");
Expect(1, 43359, '\p{is_Rejang}', "");
Expect(0, 43359, '\p{^is_Rejang}', "");
Expect(0, 43359, '\P{is_Rejang}', "");
Expect(1, 43359, '\P{^is_Rejang}', "");
Expect(0, 43360, '\p{is_Rejang}', "");
Expect(1, 43360, '\p{^is_Rejang}', "");
Expect(1, 43360, '\P{is_Rejang}', "");
Expect(0, 43360, '\P{^is_Rejang}', "");
Error('\p{:=rjng}');
Error('\P{:=rjng}');
Expect(1, 43359, '\p{rjng}', "");
Expect(0, 43359, '\p{^rjng}', "");
Expect(0, 43359, '\P{rjng}', "");
Expect(1, 43359, '\P{^rjng}', "");
Expect(0, 43360, '\p{rjng}', "");
Expect(1, 43360, '\p{^rjng}', "");
Expect(1, 43360, '\P{rjng}', "");
Expect(0, 43360, '\P{^rjng}', "");
Expect(1, 43359, '\p{__rjng}', "");
Expect(0, 43359, '\p{^__rjng}', "");
Expect(0, 43359, '\P{__rjng}', "");
Expect(1, 43359, '\P{^__rjng}', "");
Expect(0, 43360, '\p{__rjng}', "");
Expect(1, 43360, '\p{^__rjng}', "");
Expect(1, 43360, '\P{__rjng}', "");
Expect(0, 43360, '\P{^__rjng}', "");
Error('\p{_/a/Is_Rjng}');
Error('\P{_/a/Is_Rjng}');
Expect(1, 43359, '\p{isrjng}', "");
Expect(0, 43359, '\p{^isrjng}', "");
Expect(0, 43359, '\P{isrjng}', "");
Expect(1, 43359, '\P{^isrjng}', "");
Expect(0, 43360, '\p{isrjng}', "");
Expect(1, 43360, '\p{^isrjng}', "");
Expect(1, 43360, '\P{isrjng}', "");
Expect(0, 43360, '\P{^isrjng}', "");
Expect(1, 43359, '\p{ is_Rjng}', "");
Expect(0, 43359, '\p{^ is_Rjng}', "");
Expect(0, 43359, '\P{ is_Rjng}', "");
Expect(1, 43359, '\P{^ is_Rjng}', "");
Expect(0, 43360, '\p{ is_Rjng}', "");
Expect(1, 43360, '\p{^ is_Rjng}', "");
Expect(1, 43360, '\P{ is_Rjng}', "");
Expect(0, 43360, '\P{^ is_Rjng}', "");
Error('\p{	:=rumi_Numeral_SYMBOLS}');
Error('\P{	:=rumi_Numeral_SYMBOLS}');
Expect(1, 69247, '\p{ruminumeralsymbols}', "");
Expect(0, 69247, '\p{^ruminumeralsymbols}', "");
Expect(0, 69247, '\P{ruminumeralsymbols}', "");
Expect(1, 69247, '\P{^ruminumeralsymbols}', "");
Expect(0, 69248, '\p{ruminumeralsymbols}', "");
Expect(1, 69248, '\p{^ruminumeralsymbols}', "");
Expect(1, 69248, '\P{ruminumeralsymbols}', "");
Expect(0, 69248, '\P{^ruminumeralsymbols}', "");
Expect(1, 69247, '\p{	_RUMI_Numeral_Symbols}', "");
Expect(0, 69247, '\p{^	_RUMI_Numeral_Symbols}', "");
Expect(0, 69247, '\P{	_RUMI_Numeral_Symbols}', "");
Expect(1, 69247, '\P{^	_RUMI_Numeral_Symbols}', "");
Expect(0, 69248, '\p{	_RUMI_Numeral_Symbols}', "");
Expect(1, 69248, '\p{^	_RUMI_Numeral_Symbols}', "");
Expect(1, 69248, '\P{	_RUMI_Numeral_Symbols}', "");
Expect(0, 69248, '\P{^	_RUMI_Numeral_Symbols}', "");
Error('\p{_Is_RUMI_NUMERAL_symbols:=}');
Error('\P{_Is_RUMI_NUMERAL_symbols:=}');
Expect(1, 69247, '\p{isruminumeralsymbols}', "");
Expect(0, 69247, '\p{^isruminumeralsymbols}', "");
Expect(0, 69247, '\P{isruminumeralsymbols}', "");
Expect(1, 69247, '\P{^isruminumeralsymbols}', "");
Expect(0, 69248, '\p{isruminumeralsymbols}', "");
Expect(1, 69248, '\p{^isruminumeralsymbols}', "");
Expect(1, 69248, '\P{isruminumeralsymbols}', "");
Expect(0, 69248, '\P{^isruminumeralsymbols}', "");
Expect(1, 69247, '\p{__IS_Rumi_numeral_SYMBOLS}', "");
Expect(0, 69247, '\p{^__IS_Rumi_numeral_SYMBOLS}', "");
Expect(0, 69247, '\P{__IS_Rumi_numeral_SYMBOLS}', "");
Expect(1, 69247, '\P{^__IS_Rumi_numeral_SYMBOLS}', "");
Expect(0, 69248, '\p{__IS_Rumi_numeral_SYMBOLS}', "");
Expect(1, 69248, '\p{^__IS_Rumi_numeral_SYMBOLS}', "");
Expect(1, 69248, '\P{__IS_Rumi_numeral_SYMBOLS}', "");
Expect(0, 69248, '\P{^__IS_Rumi_numeral_SYMBOLS}', "");
Error('\p{ in_RUMI_Numeral_SYMBOLS:=}');
Error('\P{ in_RUMI_Numeral_SYMBOLS:=}');
Expect(1, 69247, '\p{inruminumeralsymbols}', "");
Expect(0, 69247, '\p{^inruminumeralsymbols}', "");
Expect(0, 69247, '\P{inruminumeralsymbols}', "");
Expect(1, 69247, '\P{^inruminumeralsymbols}', "");
Expect(0, 69248, '\p{inruminumeralsymbols}', "");
Expect(1, 69248, '\p{^inruminumeralsymbols}', "");
Expect(1, 69248, '\P{inruminumeralsymbols}', "");
Expect(0, 69248, '\P{^inruminumeralsymbols}', "");
Expect(1, 69247, '\p{ In_rumi_numeral_Symbols}', "");
Expect(0, 69247, '\p{^ In_rumi_numeral_Symbols}', "");
Expect(0, 69247, '\P{ In_rumi_numeral_Symbols}', "");
Expect(1, 69247, '\P{^ In_rumi_numeral_Symbols}', "");
Expect(0, 69248, '\p{ In_rumi_numeral_Symbols}', "");
Expect(1, 69248, '\p{^ In_rumi_numeral_Symbols}', "");
Expect(1, 69248, '\P{ In_rumi_numeral_Symbols}', "");
Expect(0, 69248, '\P{^ In_rumi_numeral_Symbols}', "");
Error('\p{-rumi/a/}');
Error('\P{-rumi/a/}');
Expect(1, 69247, '\p{rumi}', "");
Expect(0, 69247, '\p{^rumi}', "");
Expect(0, 69247, '\P{rumi}', "");
Expect(1, 69247, '\P{^rumi}', "");
Expect(0, 69248, '\p{rumi}', "");
Expect(1, 69248, '\p{^rumi}', "");
Expect(1, 69248, '\P{rumi}', "");
Expect(0, 69248, '\P{^rumi}', "");
Expect(1, 69247, '\p{-_RUMI}', "");
Expect(0, 69247, '\p{^-_RUMI}', "");
Expect(0, 69247, '\P{-_RUMI}', "");
Expect(1, 69247, '\P{^-_RUMI}', "");
Expect(0, 69248, '\p{-_RUMI}', "");
Expect(1, 69248, '\p{^-_RUMI}', "");
Expect(1, 69248, '\P{-_RUMI}', "");
Expect(0, 69248, '\P{^-_RUMI}', "");
Error('\p{:=	Is_Rumi}');
Error('\P{:=	Is_Rumi}');
Expect(1, 69247, '\p{isrumi}', "");
Expect(0, 69247, '\p{^isrumi}', "");
Expect(0, 69247, '\P{isrumi}', "");
Expect(1, 69247, '\P{^isrumi}', "");
Expect(0, 69248, '\p{isrumi}', "");
Expect(1, 69248, '\p{^isrumi}', "");
Expect(1, 69248, '\P{isrumi}', "");
Expect(0, 69248, '\P{^isrumi}', "");
Expect(1, 69247, '\p{ Is_rumi}', "");
Expect(0, 69247, '\p{^ Is_rumi}', "");
Expect(0, 69247, '\P{ Is_rumi}', "");
Expect(1, 69247, '\P{^ Is_rumi}', "");
Expect(0, 69248, '\p{ Is_rumi}', "");
Expect(1, 69248, '\p{^ Is_rumi}', "");
Expect(1, 69248, '\P{ Is_rumi}', "");
Expect(0, 69248, '\P{^ Is_rumi}', "");
Error('\p{/a/ In_Rumi}');
Error('\P{/a/ In_Rumi}');
Expect(1, 69247, '\p{inrumi}', "");
Expect(0, 69247, '\p{^inrumi}', "");
Expect(0, 69247, '\P{inrumi}', "");
Expect(1, 69247, '\P{^inrumi}', "");
Expect(0, 69248, '\p{inrumi}', "");
Expect(1, 69248, '\p{^inrumi}', "");
Expect(1, 69248, '\P{inrumi}', "");
Expect(0, 69248, '\P{^inrumi}', "");
Expect(1, 69247, '\p{_IN_RUMI}', "");
Expect(0, 69247, '\p{^_IN_RUMI}', "");
Expect(0, 69247, '\P{_IN_RUMI}', "");
Expect(1, 69247, '\P{^_IN_RUMI}', "");
Expect(0, 69248, '\p{_IN_RUMI}', "");
Expect(1, 69248, '\p{^_IN_RUMI}', "");
Expect(1, 69248, '\P{_IN_RUMI}', "");
Expect(0, 69248, '\P{^_IN_RUMI}', "");
Error('\p{ runic/a/}');
Error('\P{ runic/a/}');
Expect(1, 5880, '\p{runic}', "");
Expect(0, 5880, '\p{^runic}', "");
Expect(0, 5880, '\P{runic}', "");
Expect(1, 5880, '\P{^runic}', "");
Expect(0, 5881, '\p{runic}', "");
Expect(1, 5881, '\p{^runic}', "");
Expect(1, 5881, '\P{runic}', "");
Expect(0, 5881, '\P{^runic}', "");
Expect(1, 5880, '\p{	 Runic}', "");
Expect(0, 5880, '\p{^	 Runic}', "");
Expect(0, 5880, '\P{	 Runic}', "");
Expect(1, 5880, '\P{^	 Runic}', "");
Expect(0, 5881, '\p{	 Runic}', "");
Expect(1, 5881, '\p{^	 Runic}', "");
Expect(1, 5881, '\P{	 Runic}', "");
Expect(0, 5881, '\P{^	 Runic}', "");
Error('\p{/a/Is_Runic}');
Error('\P{/a/Is_Runic}');
Expect(1, 5880, '\p{isrunic}', "");
Expect(0, 5880, '\p{^isrunic}', "");
Expect(0, 5880, '\P{isrunic}', "");
Expect(1, 5880, '\P{^isrunic}', "");
Expect(0, 5881, '\p{isrunic}', "");
Expect(1, 5881, '\p{^isrunic}', "");
Expect(1, 5881, '\P{isrunic}', "");
Expect(0, 5881, '\P{^isrunic}', "");
Expect(1, 5880, '\p{	-is_Runic}', "");
Expect(0, 5880, '\p{^	-is_Runic}', "");
Expect(0, 5880, '\P{	-is_Runic}', "");
Expect(1, 5880, '\P{^	-is_Runic}', "");
Expect(0, 5881, '\p{	-is_Runic}', "");
Expect(1, 5881, '\p{^	-is_Runic}', "");
Expect(1, 5881, '\P{	-is_Runic}', "");
Expect(0, 5881, '\P{^	-is_Runic}', "");
Error('\p{/a/-	Runr}');
Error('\P{/a/-	Runr}');
Expect(1, 5880, '\p{runr}', "");
Expect(0, 5880, '\p{^runr}', "");
Expect(0, 5880, '\P{runr}', "");
Expect(1, 5880, '\P{^runr}', "");
Expect(0, 5881, '\p{runr}', "");
Expect(1, 5881, '\p{^runr}', "");
Expect(1, 5881, '\P{runr}', "");
Expect(0, 5881, '\P{^runr}', "");
Expect(1, 5880, '\p{_Runr}', "");
Expect(0, 5880, '\p{^_Runr}', "");
Expect(0, 5880, '\P{_Runr}', "");
Expect(1, 5880, '\P{^_Runr}', "");
Expect(0, 5881, '\p{_Runr}', "");
Expect(1, 5881, '\p{^_Runr}', "");
Expect(1, 5881, '\P{_Runr}', "");
Expect(0, 5881, '\P{^_Runr}', "");
Error('\p{ 	Is_Runr/a/}');
Error('\P{ 	Is_Runr/a/}');
Expect(1, 5880, '\p{isrunr}', "");
Expect(0, 5880, '\p{^isrunr}', "");
Expect(0, 5880, '\P{isrunr}', "");
Expect(1, 5880, '\P{^isrunr}', "");
Expect(0, 5881, '\p{isrunr}', "");
Expect(1, 5881, '\p{^isrunr}', "");
Expect(1, 5881, '\P{isrunr}', "");
Expect(0, 5881, '\P{^isrunr}', "");
Expect(1, 5880, '\p{	-IS_Runr}', "");
Expect(0, 5880, '\p{^	-IS_Runr}', "");
Expect(0, 5880, '\P{	-IS_Runr}', "");
Expect(1, 5880, '\P{^	-IS_Runr}', "");
Expect(0, 5881, '\p{	-IS_Runr}', "");
Expect(1, 5881, '\p{^	-IS_Runr}', "");
Expect(1, 5881, '\P{	-IS_Runr}', "");
Expect(0, 5881, '\P{^	-IS_Runr}', "");
Error('\p{-:=STERM}');
Error('\P{-:=STERM}');
Expect(1, 121480, '\p{sterm}', "");
Expect(0, 121480, '\p{^sterm}', "");
Expect(0, 121480, '\P{sterm}', "");
Expect(1, 121480, '\P{^sterm}', "");
Expect(0, 121481, '\p{sterm}', "");
Expect(1, 121481, '\p{^sterm}', "");
Expect(1, 121481, '\P{sterm}', "");
Expect(0, 121481, '\P{^sterm}', "");
Expect(1, 121480, '\p{__STerm}', "");
Expect(0, 121480, '\p{^__STerm}', "");
Expect(0, 121480, '\P{__STerm}', "");
Expect(1, 121480, '\P{^__STerm}', "");
Expect(0, 121481, '\p{__STerm}', "");
Expect(1, 121481, '\p{^__STerm}', "");
Expect(1, 121481, '\P{__STerm}', "");
Expect(0, 121481, '\P{^__STerm}', "");
Error('\p{/a/__IS_STerm}');
Error('\P{/a/__IS_STerm}');
Expect(1, 121480, '\p{issterm}', "");
Expect(0, 121480, '\p{^issterm}', "");
Expect(0, 121480, '\P{issterm}', "");
Expect(1, 121480, '\P{^issterm}', "");
Expect(0, 121481, '\p{issterm}', "");
Expect(1, 121481, '\p{^issterm}', "");
Expect(1, 121481, '\P{issterm}', "");
Expect(0, 121481, '\P{^issterm}', "");
Expect(1, 121480, '\p{	_is_STerm}', "");
Expect(0, 121480, '\p{^	_is_STerm}', "");
Expect(0, 121480, '\P{	_is_STerm}', "");
Expect(1, 121480, '\P{^	_is_STerm}', "");
Expect(0, 121481, '\p{	_is_STerm}', "");
Expect(1, 121481, '\p{^	_is_STerm}', "");
Expect(1, 121481, '\P{	_is_STerm}', "");
Expect(0, 121481, '\P{^	_is_STerm}', "");
Error('\p{/a/samaritan}');
Error('\P{/a/samaritan}');
Expect(1, 2110, '\p{samaritan}', "");
Expect(0, 2110, '\p{^samaritan}', "");
Expect(0, 2110, '\P{samaritan}', "");
Expect(1, 2110, '\P{^samaritan}', "");
Expect(0, 2111, '\p{samaritan}', "");
Expect(1, 2111, '\p{^samaritan}', "");
Expect(1, 2111, '\P{samaritan}', "");
Expect(0, 2111, '\P{^samaritan}', "");
Expect(1, 2110, '\p{		Samaritan}', "");
Expect(0, 2110, '\p{^		Samaritan}', "");
Expect(0, 2110, '\P{		Samaritan}', "");
Expect(1, 2110, '\P{^		Samaritan}', "");
Expect(0, 2111, '\p{		Samaritan}', "");
Expect(1, 2111, '\p{^		Samaritan}', "");
Expect(1, 2111, '\P{		Samaritan}', "");
Expect(0, 2111, '\P{^		Samaritan}', "");
Error('\p{		Is_Samaritan:=}');
Error('\P{		Is_Samaritan:=}');
Expect(1, 2110, '\p{issamaritan}', "");
Expect(0, 2110, '\p{^issamaritan}', "");
Expect(0, 2110, '\P{issamaritan}', "");
Expect(1, 2110, '\P{^issamaritan}', "");
Expect(0, 2111, '\p{issamaritan}', "");
Expect(1, 2111, '\p{^issamaritan}', "");
Expect(1, 2111, '\P{issamaritan}', "");
Expect(0, 2111, '\P{^issamaritan}', "");
Expect(1, 2110, '\p{_-Is_Samaritan}', "");
Expect(0, 2110, '\p{^_-Is_Samaritan}', "");
Expect(0, 2110, '\P{_-Is_Samaritan}', "");
Expect(1, 2110, '\P{^_-Is_Samaritan}', "");
Expect(0, 2111, '\p{_-Is_Samaritan}', "");
Expect(1, 2111, '\p{^_-Is_Samaritan}', "");
Expect(1, 2111, '\P{_-Is_Samaritan}', "");
Expect(0, 2111, '\P{^_-Is_Samaritan}', "");
Error('\p{ :=SAMR}');
Error('\P{ :=SAMR}');
Expect(1, 2110, '\p{samr}', "");
Expect(0, 2110, '\p{^samr}', "");
Expect(0, 2110, '\P{samr}', "");
Expect(1, 2110, '\P{^samr}', "");
Expect(0, 2111, '\p{samr}', "");
Expect(1, 2111, '\p{^samr}', "");
Expect(1, 2111, '\P{samr}', "");
Expect(0, 2111, '\P{^samr}', "");
Expect(1, 2110, '\p{_Samr}', "");
Expect(0, 2110, '\p{^_Samr}', "");
Expect(0, 2110, '\P{_Samr}', "");
Expect(1, 2110, '\P{^_Samr}', "");
Expect(0, 2111, '\p{_Samr}', "");
Expect(1, 2111, '\p{^_Samr}', "");
Expect(1, 2111, '\P{_Samr}', "");
Expect(0, 2111, '\P{^_Samr}', "");
Error('\p{ IS_Samr/a/}');
Error('\P{ IS_Samr/a/}');
Expect(1, 2110, '\p{issamr}', "");
Expect(0, 2110, '\p{^issamr}', "");
Expect(0, 2110, '\P{issamr}', "");
Expect(1, 2110, '\P{^issamr}', "");
Expect(0, 2111, '\p{issamr}', "");
Expect(1, 2111, '\p{^issamr}', "");
Expect(1, 2111, '\P{issamr}', "");
Expect(0, 2111, '\P{^issamr}', "");
Expect(1, 2110, '\p{_-is_samr}', "");
Expect(0, 2110, '\p{^_-is_samr}', "");
Expect(0, 2110, '\P{_-is_samr}', "");
Expect(1, 2110, '\P{^_-is_samr}', "");
Expect(0, 2111, '\p{_-is_samr}', "");
Expect(1, 2111, '\p{^_-is_samr}', "");
Expect(1, 2111, '\P{_-is_samr}', "");
Expect(0, 2111, '\P{^_-is_samr}', "");
Error('\p{:=Saurashtra}');
Error('\P{:=Saurashtra}');
Expect(1, 43225, '\p{saurashtra}', "");
Expect(0, 43225, '\p{^saurashtra}', "");
Expect(0, 43225, '\P{saurashtra}', "");
Expect(1, 43225, '\P{^saurashtra}', "");
Expect(0, 43226, '\p{saurashtra}', "");
Expect(1, 43226, '\p{^saurashtra}', "");
Expect(1, 43226, '\P{saurashtra}', "");
Expect(0, 43226, '\P{^saurashtra}', "");
Expect(1, 43225, '\p{--Saurashtra}', "");
Expect(0, 43225, '\p{^--Saurashtra}', "");
Expect(0, 43225, '\P{--Saurashtra}', "");
Expect(1, 43225, '\P{^--Saurashtra}', "");
Expect(0, 43226, '\p{--Saurashtra}', "");
Expect(1, 43226, '\p{^--Saurashtra}', "");
Expect(1, 43226, '\P{--Saurashtra}', "");
Expect(0, 43226, '\P{^--Saurashtra}', "");
Error('\p{_/a/IS_saurashtra}');
Error('\P{_/a/IS_saurashtra}');
Expect(1, 43225, '\p{issaurashtra}', "");
Expect(0, 43225, '\p{^issaurashtra}', "");
Expect(0, 43225, '\P{issaurashtra}', "");
Expect(1, 43225, '\P{^issaurashtra}', "");
Expect(0, 43226, '\p{issaurashtra}', "");
Expect(1, 43226, '\p{^issaurashtra}', "");
Expect(1, 43226, '\P{issaurashtra}', "");
Expect(0, 43226, '\P{^issaurashtra}', "");
Expect(1, 43225, '\p{	 is_saurashtra}', "");
Expect(0, 43225, '\p{^	 is_saurashtra}', "");
Expect(0, 43225, '\P{	 is_saurashtra}', "");
Expect(1, 43225, '\P{^	 is_saurashtra}', "");
Expect(0, 43226, '\p{	 is_saurashtra}', "");
Expect(1, 43226, '\p{^	 is_saurashtra}', "");
Expect(1, 43226, '\P{	 is_saurashtra}', "");
Expect(0, 43226, '\P{^	 is_saurashtra}', "");
Error('\p{/a/ _Saur}');
Error('\P{/a/ _Saur}');
Expect(1, 43225, '\p{saur}', "");
Expect(0, 43225, '\p{^saur}', "");
Expect(0, 43225, '\P{saur}', "");
Expect(1, 43225, '\P{^saur}', "");
Expect(0, 43226, '\p{saur}', "");
Expect(1, 43226, '\p{^saur}', "");
Expect(1, 43226, '\P{saur}', "");
Expect(0, 43226, '\P{^saur}', "");
Expect(1, 43225, '\p{	 saur}', "");
Expect(0, 43225, '\p{^	 saur}', "");
Expect(0, 43225, '\P{	 saur}', "");
Expect(1, 43225, '\P{^	 saur}', "");
Expect(0, 43226, '\p{	 saur}', "");
Expect(1, 43226, '\p{^	 saur}', "");
Expect(1, 43226, '\P{	 saur}', "");
Expect(0, 43226, '\P{^	 saur}', "");
Error('\p{/a/ _IS_Saur}');
Error('\P{/a/ _IS_Saur}');
Expect(1, 43225, '\p{issaur}', "");
Expect(0, 43225, '\p{^issaur}', "");
Expect(0, 43225, '\P{issaur}', "");
Expect(1, 43225, '\P{^issaur}', "");
Expect(0, 43226, '\p{issaur}', "");
Expect(1, 43226, '\p{^issaur}', "");
Expect(1, 43226, '\P{issaur}', "");
Expect(0, 43226, '\P{^issaur}', "");
Expect(1, 43225, '\p{-_Is_Saur}', "");
Expect(0, 43225, '\p{^-_Is_Saur}', "");
Expect(0, 43225, '\P{-_Is_Saur}', "");
Expect(1, 43225, '\P{^-_Is_Saur}', "");
Expect(0, 43226, '\p{-_Is_Saur}', "");
Expect(1, 43226, '\p{^-_Is_Saur}', "");
Expect(1, 43226, '\P{-_Is_Saur}', "");
Expect(0, 43226, '\P{^-_Is_Saur}', "");
Error('\p{ _Separator/a/}');
Error('\P{ _Separator/a/}');
Expect(1, 12288, '\p{separator}', "");
Expect(0, 12288, '\p{^separator}', "");
Expect(0, 12288, '\P{separator}', "");
Expect(1, 12288, '\P{^separator}', "");
Expect(0, 12289, '\p{separator}', "");
Expect(1, 12289, '\p{^separator}', "");
Expect(1, 12289, '\P{separator}', "");
Expect(0, 12289, '\P{^separator}', "");
Expect(1, 12288, '\p{_ Separator}', "");
Expect(0, 12288, '\p{^_ Separator}', "");
Expect(0, 12288, '\P{_ Separator}', "");
Expect(1, 12288, '\P{^_ Separator}', "");
Expect(0, 12289, '\p{_ Separator}', "");
Expect(1, 12289, '\p{^_ Separator}', "");
Expect(1, 12289, '\P{_ Separator}', "");
Expect(0, 12289, '\P{^_ Separator}', "");
Error('\p{	_IS_separator:=}');
Error('\P{	_IS_separator:=}');
Expect(1, 12288, '\p{isseparator}', "");
Expect(0, 12288, '\p{^isseparator}', "");
Expect(0, 12288, '\P{isseparator}', "");
Expect(1, 12288, '\P{^isseparator}', "");
Expect(0, 12289, '\p{isseparator}', "");
Expect(1, 12289, '\p{^isseparator}', "");
Expect(1, 12289, '\P{isseparator}', "");
Expect(0, 12289, '\P{^isseparator}', "");
Expect(1, 12288, '\p{__IS_Separator}', "");
Expect(0, 12288, '\p{^__IS_Separator}', "");
Expect(0, 12288, '\P{__IS_Separator}', "");
Expect(1, 12288, '\P{^__IS_Separator}', "");
Expect(0, 12289, '\p{__IS_Separator}', "");
Expect(1, 12289, '\p{^__IS_Separator}', "");
Expect(1, 12289, '\P{__IS_Separator}', "");
Expect(0, 12289, '\P{^__IS_Separator}', "");
Error('\p{	 Z:=}');
Error('\P{	 Z:=}');
Expect(1, 12288, '\p{z}', "");
Expect(0, 12288, '\p{^z}', "");
Expect(0, 12288, '\P{z}', "");
Expect(1, 12288, '\P{^z}', "");
Expect(0, 12289, '\p{z}', "");
Expect(1, 12289, '\p{^z}', "");
Expect(1, 12289, '\P{z}', "");
Expect(0, 12289, '\P{^z}', "");
Expect(1, 12288, '\p{-_Z}', "");
Expect(0, 12288, '\p{^-_Z}', "");
Expect(0, 12288, '\P{-_Z}', "");
Expect(1, 12288, '\P{^-_Z}', "");
Expect(0, 12289, '\p{-_Z}', "");
Expect(1, 12289, '\p{^-_Z}', "");
Expect(1, 12289, '\P{-_Z}', "");
Expect(0, 12289, '\P{^-_Z}', "");
Error('\p{	/a/IS_Z}');
Error('\P{	/a/IS_Z}');
Expect(1, 12288, '\p{isz}', "");
Expect(0, 12288, '\p{^isz}', "");
Expect(0, 12288, '\P{isz}', "");
Expect(1, 12288, '\P{^isz}', "");
Expect(0, 12289, '\p{isz}', "");
Expect(1, 12289, '\p{^isz}', "");
Expect(1, 12289, '\P{isz}', "");
Expect(0, 12289, '\P{^isz}', "");
Expect(1, 12288, '\p{	_is_z}', "");
Expect(0, 12288, '\p{^	_is_z}', "");
Expect(0, 12288, '\P{	_is_z}', "");
Expect(1, 12288, '\P{^	_is_z}', "");
Expect(0, 12289, '\p{	_is_z}', "");
Expect(1, 12289, '\p{^	_is_z}', "");
Expect(1, 12289, '\P{	_is_z}', "");
Expect(0, 12289, '\P{^	_is_z}', "");
Error('\p{ /a/SHARADA}');
Error('\P{ /a/SHARADA}');
Expect(1, 70111, '\p{sharada}', "");
Expect(0, 70111, '\p{^sharada}', "");
Expect(0, 70111, '\P{sharada}', "");
Expect(1, 70111, '\P{^sharada}', "");
Expect(0, 70112, '\p{sharada}', "");
Expect(1, 70112, '\p{^sharada}', "");
Expect(1, 70112, '\P{sharada}', "");
Expect(0, 70112, '\P{^sharada}', "");
Expect(1, 70111, '\p{--SHARADA}', "");
Expect(0, 70111, '\p{^--SHARADA}', "");
Expect(0, 70111, '\P{--SHARADA}', "");
Expect(1, 70111, '\P{^--SHARADA}', "");
Expect(0, 70112, '\p{--SHARADA}', "");
Expect(1, 70112, '\p{^--SHARADA}', "");
Expect(1, 70112, '\P{--SHARADA}', "");
Expect(0, 70112, '\P{^--SHARADA}', "");
Error('\p{_:=IS_Sharada}');
Error('\P{_:=IS_Sharada}');
Expect(1, 70111, '\p{issharada}', "");
Expect(0, 70111, '\p{^issharada}', "");
Expect(0, 70111, '\P{issharada}', "");
Expect(1, 70111, '\P{^issharada}', "");
Expect(0, 70112, '\p{issharada}', "");
Expect(1, 70112, '\p{^issharada}', "");
Expect(1, 70112, '\P{issharada}', "");
Expect(0, 70112, '\P{^issharada}', "");
Expect(1, 70111, '\p{	-Is_SHARADA}', "");
Expect(0, 70111, '\p{^	-Is_SHARADA}', "");
Expect(0, 70111, '\P{	-Is_SHARADA}', "");
Expect(1, 70111, '\P{^	-Is_SHARADA}', "");
Expect(0, 70112, '\p{	-Is_SHARADA}', "");
Expect(1, 70112, '\p{^	-Is_SHARADA}', "");
Expect(1, 70112, '\P{	-Is_SHARADA}', "");
Expect(0, 70112, '\P{^	-Is_SHARADA}', "");
Error('\p{:=	-Shrd}');
Error('\P{:=	-Shrd}');
Expect(1, 70111, '\p{shrd}', "");
Expect(0, 70111, '\p{^shrd}', "");
Expect(0, 70111, '\P{shrd}', "");
Expect(1, 70111, '\P{^shrd}', "");
Expect(0, 70112, '\p{shrd}', "");
Expect(1, 70112, '\p{^shrd}', "");
Expect(1, 70112, '\P{shrd}', "");
Expect(0, 70112, '\P{^shrd}', "");
Expect(1, 70111, '\p{	-Shrd}', "");
Expect(0, 70111, '\p{^	-Shrd}', "");
Expect(0, 70111, '\P{	-Shrd}', "");
Expect(1, 70111, '\P{^	-Shrd}', "");
Expect(0, 70112, '\p{	-Shrd}', "");
Expect(1, 70112, '\p{^	-Shrd}', "");
Expect(1, 70112, '\P{	-Shrd}', "");
Expect(0, 70112, '\P{^	-Shrd}', "");
Error('\p{:=	is_Shrd}');
Error('\P{:=	is_Shrd}');
Expect(1, 70111, '\p{isshrd}', "");
Expect(0, 70111, '\p{^isshrd}', "");
Expect(0, 70111, '\P{isshrd}', "");
Expect(1, 70111, '\P{^isshrd}', "");
Expect(0, 70112, '\p{isshrd}', "");
Expect(1, 70112, '\p{^isshrd}', "");
Expect(1, 70112, '\P{isshrd}', "");
Expect(0, 70112, '\P{^isshrd}', "");
Expect(1, 70111, '\p{ Is_SHRD}', "");
Expect(0, 70111, '\p{^ Is_SHRD}', "");
Expect(0, 70111, '\P{ Is_SHRD}', "");
Expect(1, 70111, '\P{^ Is_SHRD}', "");
Expect(0, 70112, '\p{ Is_SHRD}', "");
Expect(1, 70112, '\p{^ Is_SHRD}', "");
Expect(1, 70112, '\P{ Is_SHRD}', "");
Expect(0, 70112, '\P{^ Is_SHRD}', "");
Error('\p{-Shavian/a/}');
Error('\P{-Shavian/a/}');
Expect(1, 66687, '\p{shavian}', "");
Expect(0, 66687, '\p{^shavian}', "");
Expect(0, 66687, '\P{shavian}', "");
Expect(1, 66687, '\P{^shavian}', "");
Expect(0, 66688, '\p{shavian}', "");
Expect(1, 66688, '\p{^shavian}', "");
Expect(1, 66688, '\P{shavian}', "");
Expect(0, 66688, '\P{^shavian}', "");
Expect(1, 66687, '\p{_ Shavian}', "");
Expect(0, 66687, '\p{^_ Shavian}', "");
Expect(0, 66687, '\P{_ Shavian}', "");
Expect(1, 66687, '\P{^_ Shavian}', "");
Expect(0, 66688, '\p{_ Shavian}', "");
Expect(1, 66688, '\p{^_ Shavian}', "");
Expect(1, 66688, '\P{_ Shavian}', "");
Expect(0, 66688, '\P{^_ Shavian}', "");
Error('\p{/a/Is_SHAVIAN}');
Error('\P{/a/Is_SHAVIAN}');
Expect(1, 66687, '\p{isshavian}', "");
Expect(0, 66687, '\p{^isshavian}', "");
Expect(0, 66687, '\P{isshavian}', "");
Expect(1, 66687, '\P{^isshavian}', "");
Expect(0, 66688, '\p{isshavian}', "");
Expect(1, 66688, '\p{^isshavian}', "");
Expect(1, 66688, '\P{isshavian}', "");
Expect(0, 66688, '\P{^isshavian}', "");
Expect(1, 66687, '\p{	IS_Shavian}', "");
Expect(0, 66687, '\p{^	IS_Shavian}', "");
Expect(0, 66687, '\P{	IS_Shavian}', "");
Expect(1, 66687, '\P{^	IS_Shavian}', "");
Expect(0, 66688, '\p{	IS_Shavian}', "");
Expect(1, 66688, '\p{^	IS_Shavian}', "");
Expect(1, 66688, '\P{	IS_Shavian}', "");
Expect(0, 66688, '\P{^	IS_Shavian}', "");
Error('\p{_ SHAW:=}');
Error('\P{_ SHAW:=}');
Expect(1, 66687, '\p{shaw}', "");
Expect(0, 66687, '\p{^shaw}', "");
Expect(0, 66687, '\P{shaw}', "");
Expect(1, 66687, '\P{^shaw}', "");
Expect(0, 66688, '\p{shaw}', "");
Expect(1, 66688, '\p{^shaw}', "");
Expect(1, 66688, '\P{shaw}', "");
Expect(0, 66688, '\P{^shaw}', "");
Expect(1, 66687, '\p{__SHAW}', "");
Expect(0, 66687, '\p{^__SHAW}', "");
Expect(0, 66687, '\P{__SHAW}', "");
Expect(1, 66687, '\P{^__SHAW}', "");
Expect(0, 66688, '\p{__SHAW}', "");
Expect(1, 66688, '\p{^__SHAW}', "");
Expect(1, 66688, '\P{__SHAW}', "");
Expect(0, 66688, '\P{^__SHAW}', "");
Error('\p{_ IS_SHAW:=}');
Error('\P{_ IS_SHAW:=}');
Expect(1, 66687, '\p{isshaw}', "");
Expect(0, 66687, '\p{^isshaw}', "");
Expect(0, 66687, '\P{isshaw}', "");
Expect(1, 66687, '\P{^isshaw}', "");
Expect(0, 66688, '\p{isshaw}', "");
Expect(1, 66688, '\p{^isshaw}', "");
Expect(1, 66688, '\P{isshaw}', "");
Expect(0, 66688, '\P{^isshaw}', "");
Expect(1, 66687, '\p{-_is_shaw}', "");
Expect(0, 66687, '\p{^-_is_shaw}', "");
Expect(0, 66687, '\P{-_is_shaw}', "");
Expect(1, 66687, '\P{^-_is_shaw}', "");
Expect(0, 66688, '\p{-_is_shaw}', "");
Expect(1, 66688, '\p{^-_is_shaw}', "");
Expect(1, 66688, '\P{-_is_shaw}', "");
Expect(0, 66688, '\P{^-_is_shaw}', "");
Error('\p{Shorthand_Format_controls/a/}');
Error('\P{Shorthand_Format_controls/a/}');
Expect(1, 113839, '\p{shorthandformatcontrols}', "");
Expect(0, 113839, '\p{^shorthandformatcontrols}', "");
Expect(0, 113839, '\P{shorthandformatcontrols}', "");
Expect(1, 113839, '\P{^shorthandformatcontrols}', "");
Expect(0, 113840, '\p{shorthandformatcontrols}', "");
Expect(1, 113840, '\p{^shorthandformatcontrols}', "");
Expect(1, 113840, '\P{shorthandformatcontrols}', "");
Expect(0, 113840, '\P{^shorthandformatcontrols}', "");
Expect(1, 113839, '\p{_Shorthand_Format_Controls}', "");
Expect(0, 113839, '\p{^_Shorthand_Format_Controls}', "");
Expect(0, 113839, '\P{_Shorthand_Format_Controls}', "");
Expect(1, 113839, '\P{^_Shorthand_Format_Controls}', "");
Expect(0, 113840, '\p{_Shorthand_Format_Controls}', "");
Expect(1, 113840, '\p{^_Shorthand_Format_Controls}', "");
Expect(1, 113840, '\P{_Shorthand_Format_Controls}', "");
Expect(0, 113840, '\P{^_Shorthand_Format_Controls}', "");
Error('\p{-_Is_Shorthand_Format_controls/a/}');
Error('\P{-_Is_Shorthand_Format_controls/a/}');
Expect(1, 113839, '\p{isshorthandformatcontrols}', "");
Expect(0, 113839, '\p{^isshorthandformatcontrols}', "");
Expect(0, 113839, '\P{isshorthandformatcontrols}', "");
Expect(1, 113839, '\P{^isshorthandformatcontrols}', "");
Expect(0, 113840, '\p{isshorthandformatcontrols}', "");
Expect(1, 113840, '\p{^isshorthandformatcontrols}', "");
Expect(1, 113840, '\P{isshorthandformatcontrols}', "");
Expect(0, 113840, '\P{^isshorthandformatcontrols}', "");
Expect(1, 113839, '\p{  is_Shorthand_Format_controls}', "");
Expect(0, 113839, '\p{^  is_Shorthand_Format_controls}', "");
Expect(0, 113839, '\P{  is_Shorthand_Format_controls}', "");
Expect(1, 113839, '\P{^  is_Shorthand_Format_controls}', "");
Expect(0, 113840, '\p{  is_Shorthand_Format_controls}', "");
Expect(1, 113840, '\p{^  is_Shorthand_Format_controls}', "");
Expect(1, 113840, '\P{  is_Shorthand_Format_controls}', "");
Expect(0, 113840, '\P{^  is_Shorthand_Format_controls}', "");
Error('\p{-/a/In_Shorthand_Format_Controls}');
Error('\P{-/a/In_Shorthand_Format_Controls}');
Expect(1, 113839, '\p{inshorthandformatcontrols}', "");
Expect(0, 113839, '\p{^inshorthandformatcontrols}', "");
Expect(0, 113839, '\P{inshorthandformatcontrols}', "");
Expect(1, 113839, '\P{^inshorthandformatcontrols}', "");
Expect(0, 113840, '\p{inshorthandformatcontrols}', "");
Expect(1, 113840, '\p{^inshorthandformatcontrols}', "");
Expect(1, 113840, '\P{inshorthandformatcontrols}', "");
Expect(0, 113840, '\P{^inshorthandformatcontrols}', "");
Expect(1, 113839, '\p{ _In_Shorthand_format_Controls}', "");
Expect(0, 113839, '\p{^ _In_Shorthand_format_Controls}', "");
Expect(0, 113839, '\P{ _In_Shorthand_format_Controls}', "");
Expect(1, 113839, '\P{^ _In_Shorthand_format_Controls}', "");
Expect(0, 113840, '\p{ _In_Shorthand_format_Controls}', "");
Expect(1, 113840, '\p{^ _In_Shorthand_format_Controls}', "");
Expect(1, 113840, '\P{ _In_Shorthand_format_Controls}', "");
Expect(0, 113840, '\P{^ _In_Shorthand_format_Controls}', "");
Error('\p{:=_Siddham}');
Error('\P{:=_Siddham}');
Expect(1, 71133, '\p{siddham}', "");
Expect(0, 71133, '\p{^siddham}', "");
Expect(0, 71133, '\P{siddham}', "");
Expect(1, 71133, '\P{^siddham}', "");
Expect(0, 71134, '\p{siddham}', "");
Expect(1, 71134, '\p{^siddham}', "");
Expect(1, 71134, '\P{siddham}', "");
Expect(0, 71134, '\P{^siddham}', "");
Expect(1, 71133, '\p{_ Siddham}', "");
Expect(0, 71133, '\p{^_ Siddham}', "");
Expect(0, 71133, '\P{_ Siddham}', "");
Expect(1, 71133, '\P{^_ Siddham}', "");
Expect(0, 71134, '\p{_ Siddham}', "");
Expect(1, 71134, '\p{^_ Siddham}', "");
Expect(1, 71134, '\P{_ Siddham}', "");
Expect(0, 71134, '\P{^_ Siddham}', "");
Error('\p{ is_Siddham/a/}');
Error('\P{ is_Siddham/a/}');
Expect(1, 71133, '\p{issiddham}', "");
Expect(0, 71133, '\p{^issiddham}', "");
Expect(0, 71133, '\P{issiddham}', "");
Expect(1, 71133, '\P{^issiddham}', "");
Expect(0, 71134, '\p{issiddham}', "");
Expect(1, 71134, '\p{^issiddham}', "");
Expect(1, 71134, '\P{issiddham}', "");
Expect(0, 71134, '\P{^issiddham}', "");
Expect(1, 71133, '\p{  Is_Siddham}', "");
Expect(0, 71133, '\p{^  Is_Siddham}', "");
Expect(0, 71133, '\P{  Is_Siddham}', "");
Expect(1, 71133, '\P{^  Is_Siddham}', "");
Expect(0, 71134, '\p{  Is_Siddham}', "");
Expect(1, 71134, '\p{^  Is_Siddham}', "");
Expect(1, 71134, '\P{  Is_Siddham}', "");
Expect(0, 71134, '\P{^  Is_Siddham}', "");
Error('\p{	-SIDD/a/}');
Error('\P{	-SIDD/a/}');
Expect(1, 71133, '\p{sidd}', "");
Expect(0, 71133, '\p{^sidd}', "");
Expect(0, 71133, '\P{sidd}', "");
Expect(1, 71133, '\P{^sidd}', "");
Expect(0, 71134, '\p{sidd}', "");
Expect(1, 71134, '\p{^sidd}', "");
Expect(1, 71134, '\P{sidd}', "");
Expect(0, 71134, '\P{^sidd}', "");
Expect(1, 71133, '\p{	_sidd}', "");
Expect(0, 71133, '\p{^	_sidd}', "");
Expect(0, 71133, '\P{	_sidd}', "");
Expect(1, 71133, '\P{^	_sidd}', "");
Expect(0, 71134, '\p{	_sidd}', "");
Expect(1, 71134, '\p{^	_sidd}', "");
Expect(1, 71134, '\P{	_sidd}', "");
Expect(0, 71134, '\P{^	_sidd}', "");
Error('\p{ 	Is_Sidd:=}');
Error('\P{ 	Is_Sidd:=}');
Expect(1, 71133, '\p{issidd}', "");
Expect(0, 71133, '\p{^issidd}', "");
Expect(0, 71133, '\P{issidd}', "");
Expect(1, 71133, '\P{^issidd}', "");
Expect(0, 71134, '\p{issidd}', "");
Expect(1, 71134, '\p{^issidd}', "");
Expect(1, 71134, '\P{issidd}', "");
Expect(0, 71134, '\P{^issidd}', "");
Expect(1, 71133, '\p{	_Is_Sidd}', "");
Expect(0, 71133, '\p{^	_Is_Sidd}', "");
Expect(0, 71133, '\P{	_Is_Sidd}', "");
Expect(1, 71133, '\P{^	_Is_Sidd}', "");
Expect(0, 71134, '\p{	_Is_Sidd}', "");
Expect(1, 71134, '\p{^	_Is_Sidd}', "");
Expect(1, 71134, '\P{	_Is_Sidd}', "");
Expect(0, 71134, '\P{^	_Is_Sidd}', "");
Error('\p{:=	signwriting}');
Error('\P{:=	signwriting}');
Expect(1, 121519, '\p{signwriting}', "");
Expect(0, 121519, '\p{^signwriting}', "");
Expect(0, 121519, '\P{signwriting}', "");
Expect(1, 121519, '\P{^signwriting}', "");
Expect(0, 121520, '\p{signwriting}', "");
Expect(1, 121520, '\p{^signwriting}', "");
Expect(1, 121520, '\P{signwriting}', "");
Expect(0, 121520, '\P{^signwriting}', "");
Expect(1, 121519, '\p{	signwriting}', "");
Expect(0, 121519, '\p{^	signwriting}', "");
Expect(0, 121519, '\P{	signwriting}', "");
Expect(1, 121519, '\P{^	signwriting}', "");
Expect(0, 121520, '\p{	signwriting}', "");
Expect(1, 121520, '\p{^	signwriting}', "");
Expect(1, 121520, '\P{	signwriting}', "");
Expect(0, 121520, '\P{^	signwriting}', "");
Error('\p{_	is_SIGNWRITING:=}');
Error('\P{_	is_SIGNWRITING:=}');
Expect(1, 121519, '\p{issignwriting}', "");
Expect(0, 121519, '\p{^issignwriting}', "");
Expect(0, 121519, '\P{issignwriting}', "");
Expect(1, 121519, '\P{^issignwriting}', "");
Expect(0, 121520, '\p{issignwriting}', "");
Expect(1, 121520, '\p{^issignwriting}', "");
Expect(1, 121520, '\P{issignwriting}', "");
Expect(0, 121520, '\P{^issignwriting}', "");
Expect(1, 121519, '\p{ 	is_SignWriting}', "");
Expect(0, 121519, '\p{^ 	is_SignWriting}', "");
Expect(0, 121519, '\P{ 	is_SignWriting}', "");
Expect(1, 121519, '\P{^ 	is_SignWriting}', "");
Expect(0, 121520, '\p{ 	is_SignWriting}', "");
Expect(1, 121520, '\p{^ 	is_SignWriting}', "");
Expect(1, 121520, '\P{ 	is_SignWriting}', "");
Expect(0, 121520, '\P{^ 	is_SignWriting}', "");
Error('\p{SGNW/a/}');
Error('\P{SGNW/a/}');
Expect(1, 121519, '\p{sgnw}', "");
Expect(0, 121519, '\p{^sgnw}', "");
Expect(0, 121519, '\P{sgnw}', "");
Expect(1, 121519, '\P{^sgnw}', "");
Expect(0, 121520, '\p{sgnw}', "");
Expect(1, 121520, '\p{^sgnw}', "");
Expect(1, 121520, '\P{sgnw}', "");
Expect(0, 121520, '\P{^sgnw}', "");
Expect(1, 121519, '\p{--Sgnw}', "");
Expect(0, 121519, '\p{^--Sgnw}', "");
Expect(0, 121519, '\P{--Sgnw}', "");
Expect(1, 121519, '\P{^--Sgnw}', "");
Expect(0, 121520, '\p{--Sgnw}', "");
Expect(1, 121520, '\p{^--Sgnw}', "");
Expect(1, 121520, '\P{--Sgnw}', "");
Expect(0, 121520, '\P{^--Sgnw}', "");
Error('\p{/a/--Is_sgnw}');
Error('\P{/a/--Is_sgnw}');
Expect(1, 121519, '\p{issgnw}', "");
Expect(0, 121519, '\p{^issgnw}', "");
Expect(0, 121519, '\P{issgnw}', "");
Expect(1, 121519, '\P{^issgnw}', "");
Expect(0, 121520, '\p{issgnw}', "");
Expect(1, 121520, '\p{^issgnw}', "");
Expect(1, 121520, '\P{issgnw}', "");
Expect(0, 121520, '\P{^issgnw}', "");
Expect(1, 121519, '\p{__is_Sgnw}', "");
Expect(0, 121519, '\p{^__is_Sgnw}', "");
Expect(0, 121519, '\P{__is_Sgnw}', "");
Expect(1, 121519, '\P{^__is_Sgnw}', "");
Expect(0, 121520, '\p{__is_Sgnw}', "");
Expect(1, 121520, '\p{^__is_Sgnw}', "");
Expect(1, 121520, '\P{__is_Sgnw}', "");
Expect(0, 121520, '\P{^__is_Sgnw}', "");
Error('\p{/a/SINHALA}');
Error('\P{/a/SINHALA}');
Expect(1, 70132, '\p{sinhala}', "");
Expect(0, 70132, '\p{^sinhala}', "");
Expect(0, 70132, '\P{sinhala}', "");
Expect(1, 70132, '\P{^sinhala}', "");
Expect(0, 70133, '\p{sinhala}', "");
Expect(1, 70133, '\p{^sinhala}', "");
Expect(1, 70133, '\P{sinhala}', "");
Expect(0, 70133, '\P{^sinhala}', "");
Expect(1, 70132, '\p{-_SINHALA}', "");
Expect(0, 70132, '\p{^-_SINHALA}', "");
Expect(0, 70132, '\P{-_SINHALA}', "");
Expect(1, 70132, '\P{^-_SINHALA}', "");
Expect(0, 70133, '\p{-_SINHALA}', "");
Expect(1, 70133, '\p{^-_SINHALA}', "");
Expect(1, 70133, '\P{-_SINHALA}', "");
Expect(0, 70133, '\P{^-_SINHALA}', "");
Error('\p{/a/-IS_Sinhala}');
Error('\P{/a/-IS_Sinhala}');
Expect(1, 70132, '\p{issinhala}', "");
Expect(0, 70132, '\p{^issinhala}', "");
Expect(0, 70132, '\P{issinhala}', "");
Expect(1, 70132, '\P{^issinhala}', "");
Expect(0, 70133, '\p{issinhala}', "");
Expect(1, 70133, '\p{^issinhala}', "");
Expect(1, 70133, '\P{issinhala}', "");
Expect(0, 70133, '\P{^issinhala}', "");
Expect(1, 70132, '\p{ _Is_SINHALA}', "");
Expect(0, 70132, '\p{^ _Is_SINHALA}', "");
Expect(0, 70132, '\P{ _Is_SINHALA}', "");
Expect(1, 70132, '\P{^ _Is_SINHALA}', "");
Expect(0, 70133, '\p{ _Is_SINHALA}', "");
Expect(1, 70133, '\p{^ _Is_SINHALA}', "");
Expect(1, 70133, '\P{ _Is_SINHALA}', "");
Expect(0, 70133, '\P{^ _Is_SINHALA}', "");
Error('\p{/a/-_Sinh}');
Error('\P{/a/-_Sinh}');
Expect(1, 70132, '\p{sinh}', "");
Expect(0, 70132, '\p{^sinh}', "");
Expect(0, 70132, '\P{sinh}', "");
Expect(1, 70132, '\P{^sinh}', "");
Expect(0, 70133, '\p{sinh}', "");
Expect(1, 70133, '\p{^sinh}', "");
Expect(1, 70133, '\P{sinh}', "");
Expect(0, 70133, '\P{^sinh}', "");
Expect(1, 70132, '\p{-	Sinh}', "");
Expect(0, 70132, '\p{^-	Sinh}', "");
Expect(0, 70132, '\P{-	Sinh}', "");
Expect(1, 70132, '\P{^-	Sinh}', "");
Expect(0, 70133, '\p{-	Sinh}', "");
Expect(1, 70133, '\p{^-	Sinh}', "");
Expect(1, 70133, '\P{-	Sinh}', "");
Expect(0, 70133, '\P{^-	Sinh}', "");
Error('\p{_Is_sinh:=}');
Error('\P{_Is_sinh:=}');
Expect(1, 70132, '\p{issinh}', "");
Expect(0, 70132, '\p{^issinh}', "");
Expect(0, 70132, '\P{issinh}', "");
Expect(1, 70132, '\P{^issinh}', "");
Expect(0, 70133, '\p{issinh}', "");
Expect(1, 70133, '\p{^issinh}', "");
Expect(1, 70133, '\P{issinh}', "");
Expect(0, 70133, '\P{^issinh}', "");
Expect(1, 70132, '\p{- Is_Sinh}', "");
Expect(0, 70132, '\p{^- Is_Sinh}', "");
Expect(0, 70132, '\P{- Is_Sinh}', "");
Expect(1, 70132, '\P{^- Is_Sinh}', "");
Expect(0, 70133, '\p{- Is_Sinh}', "");
Expect(1, 70133, '\p{^- Is_Sinh}', "");
Expect(1, 70133, '\P{- Is_Sinh}', "");
Expect(0, 70133, '\P{^- Is_Sinh}', "");
Error('\p{_:=Sinhala_archaic_NUMBERS}');
Error('\P{_:=Sinhala_archaic_NUMBERS}');
Expect(1, 70143, '\p{sinhalaarchaicnumbers}', "");
Expect(0, 70143, '\p{^sinhalaarchaicnumbers}', "");
Expect(0, 70143, '\P{sinhalaarchaicnumbers}', "");
Expect(1, 70143, '\P{^sinhalaarchaicnumbers}', "");
Expect(0, 70144, '\p{sinhalaarchaicnumbers}', "");
Expect(1, 70144, '\p{^sinhalaarchaicnumbers}', "");
Expect(1, 70144, '\P{sinhalaarchaicnumbers}', "");
Expect(0, 70144, '\P{^sinhalaarchaicnumbers}', "");
Expect(1, 70143, '\p{__Sinhala_Archaic_numbers}', "");
Expect(0, 70143, '\p{^__Sinhala_Archaic_numbers}', "");
Expect(0, 70143, '\P{__Sinhala_Archaic_numbers}', "");
Expect(1, 70143, '\P{^__Sinhala_Archaic_numbers}', "");
Expect(0, 70144, '\p{__Sinhala_Archaic_numbers}', "");
Expect(1, 70144, '\p{^__Sinhala_Archaic_numbers}', "");
Expect(1, 70144, '\P{__Sinhala_Archaic_numbers}', "");
Expect(0, 70144, '\P{^__Sinhala_Archaic_numbers}', "");
Error('\p{ /a/IS_Sinhala_archaic_NUMBERS}');
Error('\P{ /a/IS_Sinhala_archaic_NUMBERS}');
Expect(1, 70143, '\p{issinhalaarchaicnumbers}', "");
Expect(0, 70143, '\p{^issinhalaarchaicnumbers}', "");
Expect(0, 70143, '\P{issinhalaarchaicnumbers}', "");
Expect(1, 70143, '\P{^issinhalaarchaicnumbers}', "");
Expect(0, 70144, '\p{issinhalaarchaicnumbers}', "");
Expect(1, 70144, '\p{^issinhalaarchaicnumbers}', "");
Expect(1, 70144, '\P{issinhalaarchaicnumbers}', "");
Expect(0, 70144, '\P{^issinhalaarchaicnumbers}', "");
Expect(1, 70143, '\p{	is_SINHALA_ARCHAIC_Numbers}', "");
Expect(0, 70143, '\p{^	is_SINHALA_ARCHAIC_Numbers}', "");
Expect(0, 70143, '\P{	is_SINHALA_ARCHAIC_Numbers}', "");
Expect(1, 70143, '\P{^	is_SINHALA_ARCHAIC_Numbers}', "");
Expect(0, 70144, '\p{	is_SINHALA_ARCHAIC_Numbers}', "");
Expect(1, 70144, '\p{^	is_SINHALA_ARCHAIC_Numbers}', "");
Expect(1, 70144, '\P{	is_SINHALA_ARCHAIC_Numbers}', "");
Expect(0, 70144, '\P{^	is_SINHALA_ARCHAIC_Numbers}', "");
Error('\p{- In_SINHALA_Archaic_numbers/a/}');
Error('\P{- In_SINHALA_Archaic_numbers/a/}');
Expect(1, 70143, '\p{insinhalaarchaicnumbers}', "");
Expect(0, 70143, '\p{^insinhalaarchaicnumbers}', "");
Expect(0, 70143, '\P{insinhalaarchaicnumbers}', "");
Expect(1, 70143, '\P{^insinhalaarchaicnumbers}', "");
Expect(0, 70144, '\p{insinhalaarchaicnumbers}', "");
Expect(1, 70144, '\p{^insinhalaarchaicnumbers}', "");
Expect(1, 70144, '\P{insinhalaarchaicnumbers}', "");
Expect(0, 70144, '\P{^insinhalaarchaicnumbers}', "");
Expect(1, 70143, '\p{	-In_Sinhala_Archaic_numbers}', "");
Expect(0, 70143, '\p{^	-In_Sinhala_Archaic_numbers}', "");
Expect(0, 70143, '\P{	-In_Sinhala_Archaic_numbers}', "");
Expect(1, 70143, '\P{^	-In_Sinhala_Archaic_numbers}', "");
Expect(0, 70144, '\p{	-In_Sinhala_Archaic_numbers}', "");
Expect(1, 70144, '\p{^	-In_Sinhala_Archaic_numbers}', "");
Expect(1, 70144, '\P{	-In_Sinhala_Archaic_numbers}', "");
Expect(0, 70144, '\P{^	-In_Sinhala_Archaic_numbers}', "");
Error('\p{__Small_Form_variants:=}');
Error('\P{__Small_Form_variants:=}');
Expect(1, 65135, '\p{smallformvariants}', "");
Expect(0, 65135, '\p{^smallformvariants}', "");
Expect(0, 65135, '\P{smallformvariants}', "");
Expect(1, 65135, '\P{^smallformvariants}', "");
Expect(0, 65136, '\p{smallformvariants}', "");
Expect(1, 65136, '\p{^smallformvariants}', "");
Expect(1, 65136, '\P{smallformvariants}', "");
Expect(0, 65136, '\P{^smallformvariants}', "");
Expect(1, 65135, '\p{	 small_FORM_Variants}', "");
Expect(0, 65135, '\p{^	 small_FORM_Variants}', "");
Expect(0, 65135, '\P{	 small_FORM_Variants}', "");
Expect(1, 65135, '\P{^	 small_FORM_Variants}', "");
Expect(0, 65136, '\p{	 small_FORM_Variants}', "");
Expect(1, 65136, '\p{^	 small_FORM_Variants}', "");
Expect(1, 65136, '\P{	 small_FORM_Variants}', "");
Expect(0, 65136, '\P{^	 small_FORM_Variants}', "");
Error('\p{ _Is_Small_Form_variants:=}');
Error('\P{ _Is_Small_Form_variants:=}');
Expect(1, 65135, '\p{issmallformvariants}', "");
Expect(0, 65135, '\p{^issmallformvariants}', "");
Expect(0, 65135, '\P{issmallformvariants}', "");
Expect(1, 65135, '\P{^issmallformvariants}', "");
Expect(0, 65136, '\p{issmallformvariants}', "");
Expect(1, 65136, '\p{^issmallformvariants}', "");
Expect(1, 65136, '\P{issmallformvariants}', "");
Expect(0, 65136, '\P{^issmallformvariants}', "");
Expect(1, 65135, '\p{_Is_Small_Form_variants}', "");
Expect(0, 65135, '\p{^_Is_Small_Form_variants}', "");
Expect(0, 65135, '\P{_Is_Small_Form_variants}', "");
Expect(1, 65135, '\P{^_Is_Small_Form_variants}', "");
Expect(0, 65136, '\p{_Is_Small_Form_variants}', "");
Expect(1, 65136, '\p{^_Is_Small_Form_variants}', "");
Expect(1, 65136, '\P{_Is_Small_Form_variants}', "");
Expect(0, 65136, '\P{^_Is_Small_Form_variants}', "");
Error('\p{ /a/In_SMALL_FORM_VARIANTS}');
Error('\P{ /a/In_SMALL_FORM_VARIANTS}');
Expect(1, 65135, '\p{insmallformvariants}', "");
Expect(0, 65135, '\p{^insmallformvariants}', "");
Expect(0, 65135, '\P{insmallformvariants}', "");
Expect(1, 65135, '\P{^insmallformvariants}', "");
Expect(0, 65136, '\p{insmallformvariants}', "");
Expect(1, 65136, '\p{^insmallformvariants}', "");
Expect(1, 65136, '\P{insmallformvariants}', "");
Expect(0, 65136, '\P{^insmallformvariants}', "");
Expect(1, 65135, '\p{_In_SMALL_form_variants}', "");
Expect(0, 65135, '\p{^_In_SMALL_form_variants}', "");
Expect(0, 65135, '\P{_In_SMALL_form_variants}', "");
Expect(1, 65135, '\P{^_In_SMALL_form_variants}', "");
Expect(0, 65136, '\p{_In_SMALL_form_variants}', "");
Expect(1, 65136, '\p{^_In_SMALL_form_variants}', "");
Expect(1, 65136, '\P{_In_SMALL_form_variants}', "");
Expect(0, 65136, '\P{^_In_SMALL_form_variants}', "");
Error('\p{/a/-Small_Forms}');
Error('\P{/a/-Small_Forms}');
Expect(1, 65135, '\p{smallforms}', "");
Expect(0, 65135, '\p{^smallforms}', "");
Expect(0, 65135, '\P{smallforms}', "");
Expect(1, 65135, '\P{^smallforms}', "");
Expect(0, 65136, '\p{smallforms}', "");
Expect(1, 65136, '\p{^smallforms}', "");
Expect(1, 65136, '\P{smallforms}', "");
Expect(0, 65136, '\P{^smallforms}', "");
Expect(1, 65135, '\p{		SMALL_forms}', "");
Expect(0, 65135, '\p{^		SMALL_forms}', "");
Expect(0, 65135, '\P{		SMALL_forms}', "");
Expect(1, 65135, '\P{^		SMALL_forms}', "");
Expect(0, 65136, '\p{		SMALL_forms}', "");
Expect(1, 65136, '\p{^		SMALL_forms}', "");
Expect(1, 65136, '\P{		SMALL_forms}', "");
Expect(0, 65136, '\P{^		SMALL_forms}', "");
Error('\p{/a/is_SMALL_forms}');
Error('\P{/a/is_SMALL_forms}');
Expect(1, 65135, '\p{issmallforms}', "");
Expect(0, 65135, '\p{^issmallforms}', "");
Expect(0, 65135, '\P{issmallforms}', "");
Expect(1, 65135, '\P{^issmallforms}', "");
Expect(0, 65136, '\p{issmallforms}', "");
Expect(1, 65136, '\p{^issmallforms}', "");
Expect(1, 65136, '\P{issmallforms}', "");
Expect(0, 65136, '\P{^issmallforms}', "");
Expect(1, 65135, '\p{ 	Is_Small_Forms}', "");
Expect(0, 65135, '\p{^ 	Is_Small_Forms}', "");
Expect(0, 65135, '\P{ 	Is_Small_Forms}', "");
Expect(1, 65135, '\P{^ 	Is_Small_Forms}', "");
Expect(0, 65136, '\p{ 	Is_Small_Forms}', "");
Expect(1, 65136, '\p{^ 	Is_Small_Forms}', "");
Expect(1, 65136, '\P{ 	Is_Small_Forms}', "");
Expect(0, 65136, '\P{^ 	Is_Small_Forms}', "");
Error('\p{ In_Small_Forms/a/}');
Error('\P{ In_Small_Forms/a/}');
Expect(1, 65135, '\p{insmallforms}', "");
Expect(0, 65135, '\p{^insmallforms}', "");
Expect(0, 65135, '\P{insmallforms}', "");
Expect(1, 65135, '\P{^insmallforms}', "");
Expect(0, 65136, '\p{insmallforms}', "");
Expect(1, 65136, '\p{^insmallforms}', "");
Expect(1, 65136, '\P{insmallforms}', "");
Expect(0, 65136, '\P{^insmallforms}', "");
Expect(1, 65135, '\p{_	IN_Small_Forms}', "");
Expect(0, 65135, '\p{^_	IN_Small_Forms}', "");
Expect(0, 65135, '\P{_	IN_Small_Forms}', "");
Expect(1, 65135, '\P{^_	IN_Small_Forms}', "");
Expect(0, 65136, '\p{_	IN_Small_Forms}', "");
Expect(1, 65136, '\p{^_	IN_Small_Forms}', "");
Expect(1, 65136, '\P{_	IN_Small_Forms}', "");
Expect(0, 65136, '\P{^_	IN_Small_Forms}', "");
Error('\p{:=_sora_sompeng}');
Error('\P{:=_sora_sompeng}');
Expect(1, 69881, '\p{sorasompeng}', "");
Expect(0, 69881, '\p{^sorasompeng}', "");
Expect(0, 69881, '\P{sorasompeng}', "");
Expect(1, 69881, '\P{^sorasompeng}', "");
Expect(0, 69882, '\p{sorasompeng}', "");
Expect(1, 69882, '\p{^sorasompeng}', "");
Expect(1, 69882, '\P{sorasompeng}', "");
Expect(0, 69882, '\P{^sorasompeng}', "");
Expect(1, 69881, '\p{_-sora_SOMPENG}', "");
Expect(0, 69881, '\p{^_-sora_SOMPENG}', "");
Expect(0, 69881, '\P{_-sora_SOMPENG}', "");
Expect(1, 69881, '\P{^_-sora_SOMPENG}', "");
Expect(0, 69882, '\p{_-sora_SOMPENG}', "");
Expect(1, 69882, '\p{^_-sora_SOMPENG}', "");
Expect(1, 69882, '\P{_-sora_SOMPENG}', "");
Expect(0, 69882, '\P{^_-sora_SOMPENG}', "");
Error('\p{:=_-IS_sora_Sompeng}');
Error('\P{:=_-IS_sora_Sompeng}');
Expect(1, 69881, '\p{issorasompeng}', "");
Expect(0, 69881, '\p{^issorasompeng}', "");
Expect(0, 69881, '\P{issorasompeng}', "");
Expect(1, 69881, '\P{^issorasompeng}', "");
Expect(0, 69882, '\p{issorasompeng}', "");
Expect(1, 69882, '\p{^issorasompeng}', "");
Expect(1, 69882, '\P{issorasompeng}', "");
Expect(0, 69882, '\P{^issorasompeng}', "");
Expect(1, 69881, '\p{ Is_Sora_SOMPENG}', "");
Expect(0, 69881, '\p{^ Is_Sora_SOMPENG}', "");
Expect(0, 69881, '\P{ Is_Sora_SOMPENG}', "");
Expect(1, 69881, '\P{^ Is_Sora_SOMPENG}', "");
Expect(0, 69882, '\p{ Is_Sora_SOMPENG}', "");
Expect(1, 69882, '\p{^ Is_Sora_SOMPENG}', "");
Expect(1, 69882, '\P{ Is_Sora_SOMPENG}', "");
Expect(0, 69882, '\P{^ Is_Sora_SOMPENG}', "");
Error('\p{:=__sora}');
Error('\P{:=__sora}');
Expect(1, 69881, '\p{sora}', "");
Expect(0, 69881, '\p{^sora}', "");
Expect(0, 69881, '\P{sora}', "");
Expect(1, 69881, '\P{^sora}', "");
Expect(0, 69882, '\p{sora}', "");
Expect(1, 69882, '\p{^sora}', "");
Expect(1, 69882, '\P{sora}', "");
Expect(0, 69882, '\P{^sora}', "");
Expect(1, 69881, '\p{ Sora}', "");
Expect(0, 69881, '\p{^ Sora}', "");
Expect(0, 69881, '\P{ Sora}', "");
Expect(1, 69881, '\P{^ Sora}', "");
Expect(0, 69882, '\p{ Sora}', "");
Expect(1, 69882, '\p{^ Sora}', "");
Expect(1, 69882, '\P{ Sora}', "");
Expect(0, 69882, '\P{^ Sora}', "");
Error('\p{	IS_Sora:=}');
Error('\P{	IS_Sora:=}');
Expect(1, 69881, '\p{issora}', "");
Expect(0, 69881, '\p{^issora}', "");
Expect(0, 69881, '\P{issora}', "");
Expect(1, 69881, '\P{^issora}', "");
Expect(0, 69882, '\p{issora}', "");
Expect(1, 69882, '\p{^issora}', "");
Expect(1, 69882, '\P{issora}', "");
Expect(0, 69882, '\P{^issora}', "");
Expect(1, 69881, '\p{ IS_Sora}', "");
Expect(0, 69881, '\p{^ IS_Sora}', "");
Expect(0, 69881, '\P{ IS_Sora}', "");
Expect(1, 69881, '\P{^ IS_Sora}', "");
Expect(0, 69882, '\p{ IS_Sora}', "");
Expect(1, 69882, '\p{^ IS_Sora}', "");
Expect(1, 69882, '\P{ IS_Sora}', "");
Expect(0, 69882, '\P{^ IS_Sora}', "");
Error('\p{:=  SPACE_Separator}');
Error('\P{:=  SPACE_Separator}');
Expect(1, 12288, '\p{spaceseparator}', "");
Expect(0, 12288, '\p{^spaceseparator}', "");
Expect(0, 12288, '\P{spaceseparator}', "");
Expect(1, 12288, '\P{^spaceseparator}', "");
Expect(0, 12289, '\p{spaceseparator}', "");
Expect(1, 12289, '\p{^spaceseparator}', "");
Expect(1, 12289, '\P{spaceseparator}', "");
Expect(0, 12289, '\P{^spaceseparator}', "");
Expect(1, 12288, '\p{ _Space_separator}', "");
Expect(0, 12288, '\p{^ _Space_separator}', "");
Expect(0, 12288, '\P{ _Space_separator}', "");
Expect(1, 12288, '\P{^ _Space_separator}', "");
Expect(0, 12289, '\p{ _Space_separator}', "");
Expect(1, 12289, '\p{^ _Space_separator}', "");
Expect(1, 12289, '\P{ _Space_separator}', "");
Expect(0, 12289, '\P{^ _Space_separator}', "");
Error('\p{:=-_is_SPACE_SEPARATOR}');
Error('\P{:=-_is_SPACE_SEPARATOR}');
Expect(1, 12288, '\p{isspaceseparator}', "");
Expect(0, 12288, '\p{^isspaceseparator}', "");
Expect(0, 12288, '\P{isspaceseparator}', "");
Expect(1, 12288, '\P{^isspaceseparator}', "");
Expect(0, 12289, '\p{isspaceseparator}', "");
Expect(1, 12289, '\p{^isspaceseparator}', "");
Expect(1, 12289, '\P{isspaceseparator}', "");
Expect(0, 12289, '\P{^isspaceseparator}', "");
Expect(1, 12288, '\p{_-is_SPACE_SEPARATOR}', "");
Expect(0, 12288, '\p{^_-is_SPACE_SEPARATOR}', "");
Expect(0, 12288, '\P{_-is_SPACE_SEPARATOR}', "");
Expect(1, 12288, '\P{^_-is_SPACE_SEPARATOR}', "");
Expect(0, 12289, '\p{_-is_SPACE_SEPARATOR}', "");
Expect(1, 12289, '\p{^_-is_SPACE_SEPARATOR}', "");
Expect(1, 12289, '\P{_-is_SPACE_SEPARATOR}', "");
Expect(0, 12289, '\P{^_-is_SPACE_SEPARATOR}', "");
Error('\p{_-ZS:=}');
Error('\P{_-ZS:=}');
Expect(1, 12288, '\p{zs}', "");
Expect(0, 12288, '\p{^zs}', "");
Expect(0, 12288, '\P{zs}', "");
Expect(1, 12288, '\P{^zs}', "");
Expect(0, 12289, '\p{zs}', "");
Expect(1, 12289, '\p{^zs}', "");
Expect(1, 12289, '\P{zs}', "");
Expect(0, 12289, '\P{^zs}', "");
Expect(1, 12288, '\p{_ ZS}', "");
Expect(0, 12288, '\p{^_ ZS}', "");
Expect(0, 12288, '\P{_ ZS}', "");
Expect(1, 12288, '\P{^_ ZS}', "");
Expect(0, 12289, '\p{_ ZS}', "");
Expect(1, 12289, '\p{^_ ZS}', "");
Expect(1, 12289, '\P{_ ZS}', "");
Expect(0, 12289, '\P{^_ ZS}', "");
Error('\p{_:=is_Zs}');
Error('\P{_:=is_Zs}');
Expect(1, 12288, '\p{iszs}', "");
Expect(0, 12288, '\p{^iszs}', "");
Expect(0, 12288, '\P{iszs}', "");
Expect(1, 12288, '\P{^iszs}', "");
Expect(0, 12289, '\p{iszs}', "");
Expect(1, 12289, '\p{^iszs}', "");
Expect(1, 12289, '\P{iszs}', "");
Expect(0, 12289, '\P{^iszs}', "");
Expect(1, 12288, '\p{ IS_Zs}', "");
Expect(0, 12288, '\p{^ IS_Zs}', "");
Expect(0, 12288, '\P{ IS_Zs}', "");
Expect(1, 12288, '\P{^ IS_Zs}', "");
Expect(0, 12289, '\p{ IS_Zs}', "");
Expect(1, 12289, '\p{^ IS_Zs}', "");
Expect(1, 12289, '\P{ IS_Zs}', "");
Expect(0, 12289, '\P{^ IS_Zs}', "");
Error('\p{:=_SPACING_Mark}');
Error('\P{:=_SPACING_Mark}');
Expect(1, 119154, '\p{spacingmark}', "");
Expect(0, 119154, '\p{^spacingmark}', "");
Expect(0, 119154, '\P{spacingmark}', "");
Expect(1, 119154, '\P{^spacingmark}', "");
Expect(0, 119155, '\p{spacingmark}', "");
Expect(1, 119155, '\p{^spacingmark}', "");
Expect(1, 119155, '\P{spacingmark}', "");
Expect(0, 119155, '\P{^spacingmark}', "");
Expect(1, 119154, '\p{-SPACING_MARK}', "");
Expect(0, 119154, '\p{^-SPACING_MARK}', "");
Expect(0, 119154, '\P{-SPACING_MARK}', "");
Expect(1, 119154, '\P{^-SPACING_MARK}', "");
Expect(0, 119155, '\p{-SPACING_MARK}', "");
Expect(1, 119155, '\p{^-SPACING_MARK}', "");
Expect(1, 119155, '\P{-SPACING_MARK}', "");
Expect(0, 119155, '\P{^-SPACING_MARK}', "");
Error('\p{ _Is_Spacing_MARK/a/}');
Error('\P{ _Is_Spacing_MARK/a/}');
Expect(1, 119154, '\p{isspacingmark}', "");
Expect(0, 119154, '\p{^isspacingmark}', "");
Expect(0, 119154, '\P{isspacingmark}', "");
Expect(1, 119154, '\P{^isspacingmark}', "");
Expect(0, 119155, '\p{isspacingmark}', "");
Expect(1, 119155, '\p{^isspacingmark}', "");
Expect(1, 119155, '\P{isspacingmark}', "");
Expect(0, 119155, '\P{^isspacingmark}', "");
Expect(1, 119154, '\p{  Is_Spacing_mark}', "");
Expect(0, 119154, '\p{^  Is_Spacing_mark}', "");
Expect(0, 119154, '\P{  Is_Spacing_mark}', "");
Expect(1, 119154, '\P{^  Is_Spacing_mark}', "");
Expect(0, 119155, '\p{  Is_Spacing_mark}', "");
Expect(1, 119155, '\p{^  Is_Spacing_mark}', "");
Expect(1, 119155, '\P{  Is_Spacing_mark}', "");
Expect(0, 119155, '\P{^  Is_Spacing_mark}', "");
Error('\p{:=-Mc}');
Error('\P{:=-Mc}');
Expect(1, 119154, '\p{mc}', "");
Expect(0, 119154, '\p{^mc}', "");
Expect(0, 119154, '\P{mc}', "");
Expect(1, 119154, '\P{^mc}', "");
Expect(0, 119155, '\p{mc}', "");
Expect(1, 119155, '\p{^mc}', "");
Expect(1, 119155, '\P{mc}', "");
Expect(0, 119155, '\P{^mc}', "");
Expect(1, 119154, '\p{_-mc}', "");
Expect(0, 119154, '\p{^_-mc}', "");
Expect(0, 119154, '\P{_-mc}', "");
Expect(1, 119154, '\P{^_-mc}', "");
Expect(0, 119155, '\p{_-mc}', "");
Expect(1, 119155, '\p{^_-mc}', "");
Expect(1, 119155, '\P{_-mc}', "");
Expect(0, 119155, '\P{^_-mc}', "");
Error('\p{:=IS_Mc}');
Error('\P{:=IS_Mc}');
Expect(1, 119154, '\p{ismc}', "");
Expect(0, 119154, '\p{^ismc}', "");
Expect(0, 119154, '\P{ismc}', "");
Expect(1, 119154, '\P{^ismc}', "");
Expect(0, 119155, '\p{ismc}', "");
Expect(1, 119155, '\p{^ismc}', "");
Expect(1, 119155, '\P{ismc}', "");
Expect(0, 119155, '\P{^ismc}', "");
Expect(1, 119154, '\p{ IS_Mc}', "");
Expect(0, 119154, '\p{^ IS_Mc}', "");
Expect(0, 119154, '\P{ IS_Mc}', "");
Expect(1, 119154, '\P{^ IS_Mc}', "");
Expect(0, 119155, '\p{ IS_Mc}', "");
Expect(1, 119155, '\p{^ IS_Mc}', "");
Expect(1, 119155, '\P{ IS_Mc}', "");
Expect(0, 119155, '\P{^ IS_Mc}', "");
Error('\p{:=-_spacing_MODIFIER_letters}');
Error('\P{:=-_spacing_MODIFIER_letters}');
Expect(1, 767, '\p{spacingmodifierletters}', "");
Expect(0, 767, '\p{^spacingmodifierletters}', "");
Expect(0, 767, '\P{spacingmodifierletters}', "");
Expect(1, 767, '\P{^spacingmodifierletters}', "");
Expect(0, 768, '\p{spacingmodifierletters}', "");
Expect(1, 768, '\p{^spacingmodifierletters}', "");
Expect(1, 768, '\P{spacingmodifierletters}', "");
Expect(0, 768, '\P{^spacingmodifierletters}', "");
Expect(1, 767, '\p{ 	spacing_MODIFIER_Letters}', "");
Expect(0, 767, '\p{^ 	spacing_MODIFIER_Letters}', "");
Expect(0, 767, '\P{ 	spacing_MODIFIER_Letters}', "");
Expect(1, 767, '\P{^ 	spacing_MODIFIER_Letters}', "");
Expect(0, 768, '\p{ 	spacing_MODIFIER_Letters}', "");
Expect(1, 768, '\p{^ 	spacing_MODIFIER_Letters}', "");
Expect(1, 768, '\P{ 	spacing_MODIFIER_Letters}', "");
Expect(0, 768, '\P{^ 	spacing_MODIFIER_Letters}', "");
Error('\p{	:=Is_SPACING_modifier_LETTERS}');
Error('\P{	:=Is_SPACING_modifier_LETTERS}');
Expect(1, 767, '\p{isspacingmodifierletters}', "");
Expect(0, 767, '\p{^isspacingmodifierletters}', "");
Expect(0, 767, '\P{isspacingmodifierletters}', "");
Expect(1, 767, '\P{^isspacingmodifierletters}', "");
Expect(0, 768, '\p{isspacingmodifierletters}', "");
Expect(1, 768, '\p{^isspacingmodifierletters}', "");
Expect(1, 768, '\P{isspacingmodifierletters}', "");
Expect(0, 768, '\P{^isspacingmodifierletters}', "");
Expect(1, 767, '\p{_-IS_SPACING_MODIFIER_letters}', "");
Expect(0, 767, '\p{^_-IS_SPACING_MODIFIER_letters}', "");
Expect(0, 767, '\P{_-IS_SPACING_MODIFIER_letters}', "");
Expect(1, 767, '\P{^_-IS_SPACING_MODIFIER_letters}', "");
Expect(0, 768, '\p{_-IS_SPACING_MODIFIER_letters}', "");
Expect(1, 768, '\p{^_-IS_SPACING_MODIFIER_letters}', "");
Expect(1, 768, '\P{_-IS_SPACING_MODIFIER_letters}', "");
Expect(0, 768, '\P{^_-IS_SPACING_MODIFIER_letters}', "");
Error('\p{/a/ In_Spacing_modifier_Letters}');
Error('\P{/a/ In_Spacing_modifier_Letters}');
Expect(1, 767, '\p{inspacingmodifierletters}', "");
Expect(0, 767, '\p{^inspacingmodifierletters}', "");
Expect(0, 767, '\P{inspacingmodifierletters}', "");
Expect(1, 767, '\P{^inspacingmodifierletters}', "");
Expect(0, 768, '\p{inspacingmodifierletters}', "");
Expect(1, 768, '\p{^inspacingmodifierletters}', "");
Expect(1, 768, '\P{inspacingmodifierletters}', "");
Expect(0, 768, '\P{^inspacingmodifierletters}', "");
Expect(1, 767, '\p{_-IN_Spacing_MODIFIER_LETTERS}', "");
Expect(0, 767, '\p{^_-IN_Spacing_MODIFIER_LETTERS}', "");
Expect(0, 767, '\P{_-IN_Spacing_MODIFIER_LETTERS}', "");
Expect(1, 767, '\P{^_-IN_Spacing_MODIFIER_LETTERS}', "");
Expect(0, 768, '\p{_-IN_Spacing_MODIFIER_LETTERS}', "");
Expect(1, 768, '\p{^_-IN_Spacing_MODIFIER_LETTERS}', "");
Expect(1, 768, '\P{_-IN_Spacing_MODIFIER_LETTERS}', "");
Expect(0, 768, '\P{^_-IN_Spacing_MODIFIER_LETTERS}', "");
Error('\p{	 modifier_letters:=}');
Error('\P{	 modifier_letters:=}');
Expect(1, 767, '\p{modifierletters}', "");
Expect(0, 767, '\p{^modifierletters}', "");
Expect(0, 767, '\P{modifierletters}', "");
Expect(1, 767, '\P{^modifierletters}', "");
Expect(0, 768, '\p{modifierletters}', "");
Expect(1, 768, '\p{^modifierletters}', "");
Expect(1, 768, '\P{modifierletters}', "");
Expect(0, 768, '\P{^modifierletters}', "");
Expect(1, 767, '\p{_	Modifier_Letters}', "");
Expect(0, 767, '\p{^_	Modifier_Letters}', "");
Expect(0, 767, '\P{_	Modifier_Letters}', "");
Expect(1, 767, '\P{^_	Modifier_Letters}', "");
Expect(0, 768, '\p{_	Modifier_Letters}', "");
Expect(1, 768, '\p{^_	Modifier_Letters}', "");
Expect(1, 768, '\P{_	Modifier_Letters}', "");
Expect(0, 768, '\P{^_	Modifier_Letters}', "");
Error('\p{ :=Is_Modifier_LETTERS}');
Error('\P{ :=Is_Modifier_LETTERS}');
Expect(1, 767, '\p{ismodifierletters}', "");
Expect(0, 767, '\p{^ismodifierletters}', "");
Expect(0, 767, '\P{ismodifierletters}', "");
Expect(1, 767, '\P{^ismodifierletters}', "");
Expect(0, 768, '\p{ismodifierletters}', "");
Expect(1, 768, '\p{^ismodifierletters}', "");
Expect(1, 768, '\P{ismodifierletters}', "");
Expect(0, 768, '\P{^ismodifierletters}', "");
Expect(1, 767, '\p{ Is_modifier_letters}', "");
Expect(0, 767, '\p{^ Is_modifier_letters}', "");
Expect(0, 767, '\P{ Is_modifier_letters}', "");
Expect(1, 767, '\P{^ Is_modifier_letters}', "");
Expect(0, 768, '\p{ Is_modifier_letters}', "");
Expect(1, 768, '\p{^ Is_modifier_letters}', "");
Expect(1, 768, '\P{ Is_modifier_letters}', "");
Expect(0, 768, '\P{^ Is_modifier_letters}', "");
Error('\p{-/a/in_Modifier_LETTERS}');
Error('\P{-/a/in_Modifier_LETTERS}');
Expect(1, 767, '\p{inmodifierletters}', "");
Expect(0, 767, '\p{^inmodifierletters}', "");
Expect(0, 767, '\P{inmodifierletters}', "");
Expect(1, 767, '\P{^inmodifierletters}', "");
Expect(0, 768, '\p{inmodifierletters}', "");
Expect(1, 768, '\p{^inmodifierletters}', "");
Expect(1, 768, '\P{inmodifierletters}', "");
Expect(0, 768, '\P{^inmodifierletters}', "");
Expect(1, 767, '\p{- In_MODIFIER_letters}', "");
Expect(0, 767, '\p{^- In_MODIFIER_letters}', "");
Expect(0, 767, '\P{- In_MODIFIER_letters}', "");
Expect(1, 767, '\P{^- In_MODIFIER_letters}', "");
Expect(0, 768, '\p{- In_MODIFIER_letters}', "");
Expect(1, 768, '\p{^- In_MODIFIER_letters}', "");
Expect(1, 768, '\P{- In_MODIFIER_letters}', "");
Expect(0, 768, '\P{^- In_MODIFIER_letters}', "");
Error('\p{:=		Specials}');
Error('\P{:=		Specials}');
Expect(1, 65520, '\p{specials}', "");
Expect(0, 65520, '\p{^specials}', "");
Expect(0, 65520, '\P{specials}', "");
Expect(1, 65520, '\P{^specials}', "");
Expect(0, 65536, '\p{specials}', "");
Expect(1, 65536, '\p{^specials}', "");
Expect(1, 65536, '\P{specials}', "");
Expect(0, 65536, '\P{^specials}', "");
Expect(1, 65520, '\p{	-Specials}', "");
Expect(0, 65520, '\p{^	-Specials}', "");
Expect(0, 65520, '\P{	-Specials}', "");
Expect(1, 65520, '\P{^	-Specials}', "");
Expect(0, 65536, '\p{	-Specials}', "");
Expect(1, 65536, '\p{^	-Specials}', "");
Expect(1, 65536, '\P{	-Specials}', "");
Expect(0, 65536, '\P{^	-Specials}', "");
Error('\p{_:=is_Specials}');
Error('\P{_:=is_Specials}');
Expect(1, 65520, '\p{isspecials}', "");
Expect(0, 65520, '\p{^isspecials}', "");
Expect(0, 65520, '\P{isspecials}', "");
Expect(1, 65520, '\P{^isspecials}', "");
Expect(0, 65536, '\p{isspecials}', "");
Expect(1, 65536, '\p{^isspecials}', "");
Expect(1, 65536, '\P{isspecials}', "");
Expect(0, 65536, '\P{^isspecials}', "");
Expect(1, 65520, '\p{ -IS_Specials}', "");
Expect(0, 65520, '\p{^ -IS_Specials}', "");
Expect(0, 65520, '\P{ -IS_Specials}', "");
Expect(1, 65520, '\P{^ -IS_Specials}', "");
Expect(0, 65536, '\p{ -IS_Specials}', "");
Expect(1, 65536, '\p{^ -IS_Specials}', "");
Expect(1, 65536, '\P{ -IS_Specials}', "");
Expect(0, 65536, '\P{^ -IS_Specials}', "");
Error('\p{-_IN_specials/a/}');
Error('\P{-_IN_specials/a/}');
Expect(1, 65520, '\p{inspecials}', "");
Expect(0, 65520, '\p{^inspecials}', "");
Expect(0, 65520, '\P{inspecials}', "");
Expect(1, 65520, '\P{^inspecials}', "");
Expect(0, 65536, '\p{inspecials}', "");
Expect(1, 65536, '\p{^inspecials}', "");
Expect(1, 65536, '\P{inspecials}', "");
Expect(0, 65536, '\P{^inspecials}', "");
Expect(1, 65520, '\p{-	In_Specials}', "");
Expect(0, 65520, '\p{^-	In_Specials}', "");
Expect(0, 65520, '\P{-	In_Specials}', "");
Expect(1, 65520, '\P{^-	In_Specials}', "");
Expect(0, 65536, '\p{-	In_Specials}', "");
Expect(1, 65536, '\p{^-	In_Specials}', "");
Expect(1, 65536, '\P{-	In_Specials}', "");
Expect(0, 65536, '\P{^-	In_Specials}', "");
Error('\p{_ Sundanese:=}');
Error('\P{_ Sundanese:=}');
Expect(1, 7367, '\p{sundanese}', "");
Expect(0, 7367, '\p{^sundanese}', "");
Expect(0, 7367, '\P{sundanese}', "");
Expect(1, 7367, '\P{^sundanese}', "");
Expect(0, 7368, '\p{sundanese}', "");
Expect(1, 7368, '\p{^sundanese}', "");
Expect(1, 7368, '\P{sundanese}', "");
Expect(0, 7368, '\P{^sundanese}', "");
Expect(1, 7367, '\p{ _sundanese}', "");
Expect(0, 7367, '\p{^ _sundanese}', "");
Expect(0, 7367, '\P{ _sundanese}', "");
Expect(1, 7367, '\P{^ _sundanese}', "");
Expect(0, 7368, '\p{ _sundanese}', "");
Expect(1, 7368, '\p{^ _sundanese}', "");
Expect(1, 7368, '\P{ _sundanese}', "");
Expect(0, 7368, '\P{^ _sundanese}', "");
Error('\p{:=- IS_sundanese}');
Error('\P{:=- IS_sundanese}');
Expect(1, 7367, '\p{issundanese}', "");
Expect(0, 7367, '\p{^issundanese}', "");
Expect(0, 7367, '\P{issundanese}', "");
Expect(1, 7367, '\P{^issundanese}', "");
Expect(0, 7368, '\p{issundanese}', "");
Expect(1, 7368, '\p{^issundanese}', "");
Expect(1, 7368, '\P{issundanese}', "");
Expect(0, 7368, '\P{^issundanese}', "");
Expect(1, 7367, '\p{	Is_SUNDANESE}', "");
Expect(0, 7367, '\p{^	Is_SUNDANESE}', "");
Expect(0, 7367, '\P{	Is_SUNDANESE}', "");
Expect(1, 7367, '\P{^	Is_SUNDANESE}', "");
Expect(0, 7368, '\p{	Is_SUNDANESE}', "");
Expect(1, 7368, '\p{^	Is_SUNDANESE}', "");
Expect(1, 7368, '\P{	Is_SUNDANESE}', "");
Expect(0, 7368, '\P{^	Is_SUNDANESE}', "");
Error('\p{:=-	SUND}');
Error('\P{:=-	SUND}');
Expect(1, 7367, '\p{sund}', "");
Expect(0, 7367, '\p{^sund}', "");
Expect(0, 7367, '\P{sund}', "");
Expect(1, 7367, '\P{^sund}', "");
Expect(0, 7368, '\p{sund}', "");
Expect(1, 7368, '\p{^sund}', "");
Expect(1, 7368, '\P{sund}', "");
Expect(0, 7368, '\P{^sund}', "");
Expect(1, 7367, '\p{_-Sund}', "");
Expect(0, 7367, '\p{^_-Sund}', "");
Expect(0, 7367, '\P{_-Sund}', "");
Expect(1, 7367, '\P{^_-Sund}', "");
Expect(0, 7368, '\p{_-Sund}', "");
Expect(1, 7368, '\p{^_-Sund}', "");
Expect(1, 7368, '\P{_-Sund}', "");
Expect(0, 7368, '\P{^_-Sund}', "");
Error('\p{:=	 Is_Sund}');
Error('\P{:=	 Is_Sund}');
Expect(1, 7367, '\p{issund}', "");
Expect(0, 7367, '\p{^issund}', "");
Expect(0, 7367, '\P{issund}', "");
Expect(1, 7367, '\P{^issund}', "");
Expect(0, 7368, '\p{issund}', "");
Expect(1, 7368, '\p{^issund}', "");
Expect(1, 7368, '\P{issund}', "");
Expect(0, 7368, '\P{^issund}', "");
Expect(1, 7367, '\p{- Is_SUND}', "");
Expect(0, 7367, '\p{^- Is_SUND}', "");
Expect(0, 7367, '\P{- Is_SUND}', "");
Expect(1, 7367, '\P{^- Is_SUND}', "");
Expect(0, 7368, '\p{- Is_SUND}', "");
Expect(1, 7368, '\p{^- Is_SUND}', "");
Expect(1, 7368, '\P{- Is_SUND}', "");
Expect(0, 7368, '\P{^- Is_SUND}', "");
Error('\p{/a/sundanese_Supplement}');
Error('\P{/a/sundanese_Supplement}');
Expect(1, 7375, '\p{sundanesesupplement}', "");
Expect(0, 7375, '\p{^sundanesesupplement}', "");
Expect(0, 7375, '\P{sundanesesupplement}', "");
Expect(1, 7375, '\P{^sundanesesupplement}', "");
Expect(0, 7376, '\p{sundanesesupplement}', "");
Expect(1, 7376, '\p{^sundanesesupplement}', "");
Expect(1, 7376, '\P{sundanesesupplement}', "");
Expect(0, 7376, '\P{^sundanesesupplement}', "");
Expect(1, 7375, '\p{-_sundanese_Supplement}', "");
Expect(0, 7375, '\p{^-_sundanese_Supplement}', "");
Expect(0, 7375, '\P{-_sundanese_Supplement}', "");
Expect(1, 7375, '\P{^-_sundanese_Supplement}', "");
Expect(0, 7376, '\p{-_sundanese_Supplement}', "");
Expect(1, 7376, '\p{^-_sundanese_Supplement}', "");
Expect(1, 7376, '\P{-_sundanese_Supplement}', "");
Expect(0, 7376, '\P{^-_sundanese_Supplement}', "");
Error('\p{-:=is_sundanese_supplement}');
Error('\P{-:=is_sundanese_supplement}');
Expect(1, 7375, '\p{issundanesesupplement}', "");
Expect(0, 7375, '\p{^issundanesesupplement}', "");
Expect(0, 7375, '\P{issundanesesupplement}', "");
Expect(1, 7375, '\P{^issundanesesupplement}', "");
Expect(0, 7376, '\p{issundanesesupplement}', "");
Expect(1, 7376, '\p{^issundanesesupplement}', "");
Expect(1, 7376, '\P{issundanesesupplement}', "");
Expect(0, 7376, '\P{^issundanesesupplement}', "");
Expect(1, 7375, '\p{_ is_Sundanese_Supplement}', "");
Expect(0, 7375, '\p{^_ is_Sundanese_Supplement}', "");
Expect(0, 7375, '\P{_ is_Sundanese_Supplement}', "");
Expect(1, 7375, '\P{^_ is_Sundanese_Supplement}', "");
Expect(0, 7376, '\p{_ is_Sundanese_Supplement}', "");
Expect(1, 7376, '\p{^_ is_Sundanese_Supplement}', "");
Expect(1, 7376, '\P{_ is_Sundanese_Supplement}', "");
Expect(0, 7376, '\P{^_ is_Sundanese_Supplement}', "");
Error('\p{	In_SUNDANESE_supplement/a/}');
Error('\P{	In_SUNDANESE_supplement/a/}');
Expect(1, 7375, '\p{insundanesesupplement}', "");
Expect(0, 7375, '\p{^insundanesesupplement}', "");
Expect(0, 7375, '\P{insundanesesupplement}', "");
Expect(1, 7375, '\P{^insundanesesupplement}', "");
Expect(0, 7376, '\p{insundanesesupplement}', "");
Expect(1, 7376, '\p{^insundanesesupplement}', "");
Expect(1, 7376, '\P{insundanesesupplement}', "");
Expect(0, 7376, '\P{^insundanesesupplement}', "");
Expect(1, 7375, '\p{ IN_sundanese_Supplement}', "");
Expect(0, 7375, '\p{^ IN_sundanese_Supplement}', "");
Expect(0, 7375, '\P{ IN_sundanese_Supplement}', "");
Expect(1, 7375, '\P{^ IN_sundanese_Supplement}', "");
Expect(0, 7376, '\p{ IN_sundanese_Supplement}', "");
Expect(1, 7376, '\p{^ IN_sundanese_Supplement}', "");
Expect(1, 7376, '\P{ IN_sundanese_Supplement}', "");
Expect(0, 7376, '\P{^ IN_sundanese_Supplement}', "");
Error('\p{_:=Sundanese_Sup}');
Error('\P{_:=Sundanese_Sup}');
Expect(1, 7375, '\p{sundanesesup}', "");
Expect(0, 7375, '\p{^sundanesesup}', "");
Expect(0, 7375, '\P{sundanesesup}', "");
Expect(1, 7375, '\P{^sundanesesup}', "");
Expect(0, 7376, '\p{sundanesesup}', "");
Expect(1, 7376, '\p{^sundanesesup}', "");
Expect(1, 7376, '\P{sundanesesup}', "");
Expect(0, 7376, '\P{^sundanesesup}', "");
Expect(1, 7375, '\p{_sundanese_SUP}', "");
Expect(0, 7375, '\p{^_sundanese_SUP}', "");
Expect(0, 7375, '\P{_sundanese_SUP}', "");
Expect(1, 7375, '\P{^_sundanese_SUP}', "");
Expect(0, 7376, '\p{_sundanese_SUP}', "");
Expect(1, 7376, '\p{^_sundanese_SUP}', "");
Expect(1, 7376, '\P{_sundanese_SUP}', "");
Expect(0, 7376, '\P{^_sundanese_SUP}', "");
Error('\p{_is_sundanese_SUP:=}');
Error('\P{_is_sundanese_SUP:=}');
Expect(1, 7375, '\p{issundanesesup}', "");
Expect(0, 7375, '\p{^issundanesesup}', "");
Expect(0, 7375, '\P{issundanesesup}', "");
Expect(1, 7375, '\P{^issundanesesup}', "");
Expect(0, 7376, '\p{issundanesesup}', "");
Expect(1, 7376, '\p{^issundanesesup}', "");
Expect(1, 7376, '\P{issundanesesup}', "");
Expect(0, 7376, '\P{^issundanesesup}', "");
Expect(1, 7375, '\p{-Is_SUNDANESE_SUP}', "");
Expect(0, 7375, '\p{^-Is_SUNDANESE_SUP}', "");
Expect(0, 7375, '\P{-Is_SUNDANESE_SUP}', "");
Expect(1, 7375, '\P{^-Is_SUNDANESE_SUP}', "");
Expect(0, 7376, '\p{-Is_SUNDANESE_SUP}', "");
Expect(1, 7376, '\p{^-Is_SUNDANESE_SUP}', "");
Expect(1, 7376, '\P{-Is_SUNDANESE_SUP}', "");
Expect(0, 7376, '\P{^-Is_SUNDANESE_SUP}', "");
Error('\p{/a/_ In_Sundanese_Sup}');
Error('\P{/a/_ In_Sundanese_Sup}');
Expect(1, 7375, '\p{insundanesesup}', "");
Expect(0, 7375, '\p{^insundanesesup}', "");
Expect(0, 7375, '\P{insundanesesup}', "");
Expect(1, 7375, '\P{^insundanesesup}', "");
Expect(0, 7376, '\p{insundanesesup}', "");
Expect(1, 7376, '\p{^insundanesesup}', "");
Expect(1, 7376, '\P{insundanesesup}', "");
Expect(0, 7376, '\P{^insundanesesup}', "");
Expect(1, 7375, '\p{	 In_sundanese_SUP}', "");
Expect(0, 7375, '\p{^	 In_sundanese_SUP}', "");
Expect(0, 7375, '\P{	 In_sundanese_SUP}', "");
Expect(1, 7375, '\P{^	 In_sundanese_SUP}', "");
Expect(0, 7376, '\p{	 In_sundanese_SUP}', "");
Expect(1, 7376, '\p{^	 In_sundanese_SUP}', "");
Expect(1, 7376, '\P{	 In_sundanese_SUP}', "");
Expect(0, 7376, '\P{^	 In_sundanese_SUP}', "");
Error('\p{:=SUPERSCRIPTS_and_subscripts}');
Error('\P{:=SUPERSCRIPTS_and_subscripts}');
Expect(1, 8351, '\p{superscriptsandsubscripts}', "");
Expect(0, 8351, '\p{^superscriptsandsubscripts}', "");
Expect(0, 8351, '\P{superscriptsandsubscripts}', "");
Expect(1, 8351, '\P{^superscriptsandsubscripts}', "");
Expect(0, 8352, '\p{superscriptsandsubscripts}', "");
Expect(1, 8352, '\p{^superscriptsandsubscripts}', "");
Expect(1, 8352, '\P{superscriptsandsubscripts}', "");
Expect(0, 8352, '\P{^superscriptsandsubscripts}', "");
Expect(1, 8351, '\p{-_SUPERSCRIPTS_And_SUBSCRIPTS}', "");
Expect(0, 8351, '\p{^-_SUPERSCRIPTS_And_SUBSCRIPTS}', "");
Expect(0, 8351, '\P{-_SUPERSCRIPTS_And_SUBSCRIPTS}', "");
Expect(1, 8351, '\P{^-_SUPERSCRIPTS_And_SUBSCRIPTS}', "");
Expect(0, 8352, '\p{-_SUPERSCRIPTS_And_SUBSCRIPTS}', "");
Expect(1, 8352, '\p{^-_SUPERSCRIPTS_And_SUBSCRIPTS}', "");
Expect(1, 8352, '\P{-_SUPERSCRIPTS_And_SUBSCRIPTS}', "");
Expect(0, 8352, '\P{^-_SUPERSCRIPTS_And_SUBSCRIPTS}', "");
Error('\p{ /a/IS_Superscripts_and_Subscripts}');
Error('\P{ /a/IS_Superscripts_and_Subscripts}');
Expect(1, 8351, '\p{issuperscriptsandsubscripts}', "");
Expect(0, 8351, '\p{^issuperscriptsandsubscripts}', "");
Expect(0, 8351, '\P{issuperscriptsandsubscripts}', "");
Expect(1, 8351, '\P{^issuperscriptsandsubscripts}', "");
Expect(0, 8352, '\p{issuperscriptsandsubscripts}', "");
Expect(1, 8352, '\p{^issuperscriptsandsubscripts}', "");
Expect(1, 8352, '\P{issuperscriptsandsubscripts}', "");
Expect(0, 8352, '\P{^issuperscriptsandsubscripts}', "");
Expect(1, 8351, '\p{-	Is_superscripts_AND_Subscripts}', "");
Expect(0, 8351, '\p{^-	Is_superscripts_AND_Subscripts}', "");
Expect(0, 8351, '\P{-	Is_superscripts_AND_Subscripts}', "");
Expect(1, 8351, '\P{^-	Is_superscripts_AND_Subscripts}', "");
Expect(0, 8352, '\p{-	Is_superscripts_AND_Subscripts}', "");
Expect(1, 8352, '\p{^-	Is_superscripts_AND_Subscripts}', "");
Expect(1, 8352, '\P{-	Is_superscripts_AND_Subscripts}', "");
Expect(0, 8352, '\P{^-	Is_superscripts_AND_Subscripts}', "");
Error('\p{:=- In_Superscripts_AND_SUBSCRIPTS}');
Error('\P{:=- In_Superscripts_AND_SUBSCRIPTS}');
Expect(1, 8351, '\p{insuperscriptsandsubscripts}', "");
Expect(0, 8351, '\p{^insuperscriptsandsubscripts}', "");
Expect(0, 8351, '\P{insuperscriptsandsubscripts}', "");
Expect(1, 8351, '\P{^insuperscriptsandsubscripts}', "");
Expect(0, 8352, '\p{insuperscriptsandsubscripts}', "");
Expect(1, 8352, '\p{^insuperscriptsandsubscripts}', "");
Expect(1, 8352, '\P{insuperscriptsandsubscripts}', "");
Expect(0, 8352, '\P{^insuperscriptsandsubscripts}', "");
Expect(1, 8351, '\p{ 	in_Superscripts_AND_SUBSCRIPTS}', "");
Expect(0, 8351, '\p{^ 	in_Superscripts_AND_SUBSCRIPTS}', "");
Expect(0, 8351, '\P{ 	in_Superscripts_AND_SUBSCRIPTS}', "");
Expect(1, 8351, '\P{^ 	in_Superscripts_AND_SUBSCRIPTS}', "");
Expect(0, 8352, '\p{ 	in_Superscripts_AND_SUBSCRIPTS}', "");
Expect(1, 8352, '\p{^ 	in_Superscripts_AND_SUBSCRIPTS}', "");
Expect(1, 8352, '\P{ 	in_Superscripts_AND_SUBSCRIPTS}', "");
Expect(0, 8352, '\P{^ 	in_Superscripts_AND_SUBSCRIPTS}', "");
Error('\p{_Super_And_Sub:=}');
Error('\P{_Super_And_Sub:=}');
Expect(1, 8351, '\p{superandsub}', "");
Expect(0, 8351, '\p{^superandsub}', "");
Expect(0, 8351, '\P{superandsub}', "");
Expect(1, 8351, '\P{^superandsub}', "");
Expect(0, 8352, '\p{superandsub}', "");
Expect(1, 8352, '\p{^superandsub}', "");
Expect(1, 8352, '\P{superandsub}', "");
Expect(0, 8352, '\P{^superandsub}', "");
Expect(1, 8351, '\p{	-Super_AND_Sub}', "");
Expect(0, 8351, '\p{^	-Super_AND_Sub}', "");
Expect(0, 8351, '\P{	-Super_AND_Sub}', "");
Expect(1, 8351, '\P{^	-Super_AND_Sub}', "");
Expect(0, 8352, '\p{	-Super_AND_Sub}', "");
Expect(1, 8352, '\p{^	-Super_AND_Sub}', "");
Expect(1, 8352, '\P{	-Super_AND_Sub}', "");
Expect(0, 8352, '\P{^	-Super_AND_Sub}', "");
Error('\p{	/a/IS_SUPER_and_Sub}');
Error('\P{	/a/IS_SUPER_and_Sub}');
Expect(1, 8351, '\p{issuperandsub}', "");
Expect(0, 8351, '\p{^issuperandsub}', "");
Expect(0, 8351, '\P{issuperandsub}', "");
Expect(1, 8351, '\P{^issuperandsub}', "");
Expect(0, 8352, '\p{issuperandsub}', "");
Expect(1, 8352, '\p{^issuperandsub}', "");
Expect(1, 8352, '\P{issuperandsub}', "");
Expect(0, 8352, '\P{^issuperandsub}', "");
Expect(1, 8351, '\p{--Is_SUPER_And_Sub}', "");
Expect(0, 8351, '\p{^--Is_SUPER_And_Sub}', "");
Expect(0, 8351, '\P{--Is_SUPER_And_Sub}', "");
Expect(1, 8351, '\P{^--Is_SUPER_And_Sub}', "");
Expect(0, 8352, '\p{--Is_SUPER_And_Sub}', "");
Expect(1, 8352, '\p{^--Is_SUPER_And_Sub}', "");
Expect(1, 8352, '\P{--Is_SUPER_And_Sub}', "");
Expect(0, 8352, '\P{^--Is_SUPER_And_Sub}', "");
Error('\p{_In_Super_And_Sub/a/}');
Error('\P{_In_Super_And_Sub/a/}');
Expect(1, 8351, '\p{insuperandsub}', "");
Expect(0, 8351, '\p{^insuperandsub}', "");
Expect(0, 8351, '\P{insuperandsub}', "");
Expect(1, 8351, '\P{^insuperandsub}', "");
Expect(0, 8352, '\p{insuperandsub}', "");
Expect(1, 8352, '\p{^insuperandsub}', "");
Expect(1, 8352, '\P{insuperandsub}', "");
Expect(0, 8352, '\P{^insuperandsub}', "");
Expect(1, 8351, '\p{ 	in_Super_and_SUB}', "");
Expect(0, 8351, '\p{^ 	in_Super_and_SUB}', "");
Expect(0, 8351, '\P{ 	in_Super_and_SUB}', "");
Expect(1, 8351, '\P{^ 	in_Super_and_SUB}', "");
Expect(0, 8352, '\p{ 	in_Super_and_SUB}', "");
Expect(1, 8352, '\p{^ 	in_Super_and_SUB}', "");
Expect(1, 8352, '\P{ 	in_Super_and_SUB}', "");
Expect(0, 8352, '\P{^ 	in_Super_and_SUB}', "");
Error('\p{	/a/supplemental_ARROWS_A}');
Error('\P{	/a/supplemental_ARROWS_A}');
Expect(1, 10239, '\p{supplementalarrowsa}', "");
Expect(0, 10239, '\p{^supplementalarrowsa}', "");
Expect(0, 10239, '\P{supplementalarrowsa}', "");
Expect(1, 10239, '\P{^supplementalarrowsa}', "");
Expect(0, 10240, '\p{supplementalarrowsa}', "");
Expect(1, 10240, '\p{^supplementalarrowsa}', "");
Expect(1, 10240, '\P{supplementalarrowsa}', "");
Expect(0, 10240, '\P{^supplementalarrowsa}', "");
Expect(1, 10239, '\p{-SUPPLEMENTAL_Arrows_A}', "");
Expect(0, 10239, '\p{^-SUPPLEMENTAL_Arrows_A}', "");
Expect(0, 10239, '\P{-SUPPLEMENTAL_Arrows_A}', "");
Expect(1, 10239, '\P{^-SUPPLEMENTAL_Arrows_A}', "");
Expect(0, 10240, '\p{-SUPPLEMENTAL_Arrows_A}', "");
Expect(1, 10240, '\p{^-SUPPLEMENTAL_Arrows_A}', "");
Expect(1, 10240, '\P{-SUPPLEMENTAL_Arrows_A}', "");
Expect(0, 10240, '\P{^-SUPPLEMENTAL_Arrows_A}', "");
Error('\p{ :=Is_Supplemental_arrows_A}');
Error('\P{ :=Is_Supplemental_arrows_A}');
Expect(1, 10239, '\p{issupplementalarrowsa}', "");
Expect(0, 10239, '\p{^issupplementalarrowsa}', "");
Expect(0, 10239, '\P{issupplementalarrowsa}', "");
Expect(1, 10239, '\P{^issupplementalarrowsa}', "");
Expect(0, 10240, '\p{issupplementalarrowsa}', "");
Expect(1, 10240, '\p{^issupplementalarrowsa}', "");
Expect(1, 10240, '\P{issupplementalarrowsa}', "");
Expect(0, 10240, '\P{^issupplementalarrowsa}', "");
Expect(1, 10239, '\p{_-IS_SUPPLEMENTAL_Arrows_A}', "");
Expect(0, 10239, '\p{^_-IS_SUPPLEMENTAL_Arrows_A}', "");
Expect(0, 10239, '\P{_-IS_SUPPLEMENTAL_Arrows_A}', "");
Expect(1, 10239, '\P{^_-IS_SUPPLEMENTAL_Arrows_A}', "");
Expect(0, 10240, '\p{_-IS_SUPPLEMENTAL_Arrows_A}', "");
Expect(1, 10240, '\p{^_-IS_SUPPLEMENTAL_Arrows_A}', "");
Expect(1, 10240, '\P{_-IS_SUPPLEMENTAL_Arrows_A}', "");
Expect(0, 10240, '\P{^_-IS_SUPPLEMENTAL_Arrows_A}', "");
Error('\p{:= -in_Supplemental_arrows_a}');
Error('\P{:= -in_Supplemental_arrows_a}');
Expect(1, 10239, '\p{insupplementalarrowsa}', "");
Expect(0, 10239, '\p{^insupplementalarrowsa}', "");
Expect(0, 10239, '\P{insupplementalarrowsa}', "");
Expect(1, 10239, '\P{^insupplementalarrowsa}', "");
Expect(0, 10240, '\p{insupplementalarrowsa}', "");
Expect(1, 10240, '\p{^insupplementalarrowsa}', "");
Expect(1, 10240, '\P{insupplementalarrowsa}', "");
Expect(0, 10240, '\P{^insupplementalarrowsa}', "");
Expect(1, 10239, '\p{_ In_supplemental_Arrows_A}', "");
Expect(0, 10239, '\p{^_ In_supplemental_Arrows_A}', "");
Expect(0, 10239, '\P{_ In_supplemental_Arrows_A}', "");
Expect(1, 10239, '\P{^_ In_supplemental_Arrows_A}', "");
Expect(0, 10240, '\p{_ In_supplemental_Arrows_A}', "");
Expect(1, 10240, '\p{^_ In_supplemental_Arrows_A}', "");
Expect(1, 10240, '\P{_ In_supplemental_Arrows_A}', "");
Expect(0, 10240, '\P{^_ In_supplemental_Arrows_A}', "");
Error('\p{- Sup_ARROWS_A:=}');
Error('\P{- Sup_ARROWS_A:=}');
Expect(1, 10239, '\p{suparrowsa}', "");
Expect(0, 10239, '\p{^suparrowsa}', "");
Expect(0, 10239, '\P{suparrowsa}', "");
Expect(1, 10239, '\P{^suparrowsa}', "");
Expect(0, 10240, '\p{suparrowsa}', "");
Expect(1, 10240, '\p{^suparrowsa}', "");
Expect(1, 10240, '\P{suparrowsa}', "");
Expect(0, 10240, '\P{^suparrowsa}', "");
Expect(1, 10239, '\p{	_Sup_Arrows_A}', "");
Expect(0, 10239, '\p{^	_Sup_Arrows_A}', "");
Expect(0, 10239, '\P{	_Sup_Arrows_A}', "");
Expect(1, 10239, '\P{^	_Sup_Arrows_A}', "");
Expect(0, 10240, '\p{	_Sup_Arrows_A}', "");
Expect(1, 10240, '\p{^	_Sup_Arrows_A}', "");
Expect(1, 10240, '\P{	_Sup_Arrows_A}', "");
Expect(0, 10240, '\P{^	_Sup_Arrows_A}', "");
Error('\p{:=is_Sup_ARROWS_a}');
Error('\P{:=is_Sup_ARROWS_a}');
Expect(1, 10239, '\p{issuparrowsa}', "");
Expect(0, 10239, '\p{^issuparrowsa}', "");
Expect(0, 10239, '\P{issuparrowsa}', "");
Expect(1, 10239, '\P{^issuparrowsa}', "");
Expect(0, 10240, '\p{issuparrowsa}', "");
Expect(1, 10240, '\p{^issuparrowsa}', "");
Expect(1, 10240, '\P{issuparrowsa}', "");
Expect(0, 10240, '\P{^issuparrowsa}', "");
Expect(1, 10239, '\p{_is_Sup_ARROWS_A}', "");
Expect(0, 10239, '\p{^_is_Sup_ARROWS_A}', "");
Expect(0, 10239, '\P{_is_Sup_ARROWS_A}', "");
Expect(1, 10239, '\P{^_is_Sup_ARROWS_A}', "");
Expect(0, 10240, '\p{_is_Sup_ARROWS_A}', "");
Expect(1, 10240, '\p{^_is_Sup_ARROWS_A}', "");
Expect(1, 10240, '\P{_is_Sup_ARROWS_A}', "");
Expect(0, 10240, '\P{^_is_Sup_ARROWS_A}', "");
Error('\p{ In_sup_ARROWS_A/a/}');
Error('\P{ In_sup_ARROWS_A/a/}');
Expect(1, 10239, '\p{insuparrowsa}', "");
Expect(0, 10239, '\p{^insuparrowsa}', "");
Expect(0, 10239, '\P{insuparrowsa}', "");
Expect(1, 10239, '\P{^insuparrowsa}', "");
Expect(0, 10240, '\p{insuparrowsa}', "");
Expect(1, 10240, '\p{^insuparrowsa}', "");
Expect(1, 10240, '\P{insuparrowsa}', "");
Expect(0, 10240, '\P{^insuparrowsa}', "");
Expect(1, 10239, '\p{_In_sup_ARROWS_A}', "");
Expect(0, 10239, '\p{^_In_sup_ARROWS_A}', "");
Expect(0, 10239, '\P{_In_sup_ARROWS_A}', "");
Expect(1, 10239, '\P{^_In_sup_ARROWS_A}', "");
Expect(0, 10240, '\p{_In_sup_ARROWS_A}', "");
Expect(1, 10240, '\p{^_In_sup_ARROWS_A}', "");
Expect(1, 10240, '\P{_In_sup_ARROWS_A}', "");
Expect(0, 10240, '\P{^_In_sup_ARROWS_A}', "");
Error('\p{/a/	 SUPPLEMENTAL_arrows_B}');
Error('\P{/a/	 SUPPLEMENTAL_arrows_B}');
Expect(1, 10623, '\p{supplementalarrowsb}', "");
Expect(0, 10623, '\p{^supplementalarrowsb}', "");
Expect(0, 10623, '\P{supplementalarrowsb}', "");
Expect(1, 10623, '\P{^supplementalarrowsb}', "");
Expect(0, 10624, '\p{supplementalarrowsb}', "");
Expect(1, 10624, '\p{^supplementalarrowsb}', "");
Expect(1, 10624, '\P{supplementalarrowsb}', "");
Expect(0, 10624, '\P{^supplementalarrowsb}', "");
Expect(1, 10623, '\p{SUPPLEMENTAL_arrows_B}', "");
Expect(0, 10623, '\p{^SUPPLEMENTAL_arrows_B}', "");
Expect(0, 10623, '\P{SUPPLEMENTAL_arrows_B}', "");
Expect(1, 10623, '\P{^SUPPLEMENTAL_arrows_B}', "");
Expect(0, 10624, '\p{SUPPLEMENTAL_arrows_B}', "");
Expect(1, 10624, '\p{^SUPPLEMENTAL_arrows_B}', "");
Expect(1, 10624, '\P{SUPPLEMENTAL_arrows_B}', "");
Expect(0, 10624, '\P{^SUPPLEMENTAL_arrows_B}', "");
Error('\p{ is_Supplemental_ARROWS_b/a/}');
Error('\P{ is_Supplemental_ARROWS_b/a/}');
Expect(1, 10623, '\p{issupplementalarrowsb}', "");
Expect(0, 10623, '\p{^issupplementalarrowsb}', "");
Expect(0, 10623, '\P{issupplementalarrowsb}', "");
Expect(1, 10623, '\P{^issupplementalarrowsb}', "");
Expect(0, 10624, '\p{issupplementalarrowsb}', "");
Expect(1, 10624, '\p{^issupplementalarrowsb}', "");
Expect(1, 10624, '\P{issupplementalarrowsb}', "");
Expect(0, 10624, '\P{^issupplementalarrowsb}', "");
Expect(1, 10623, '\p{_Is_Supplemental_ARROWS_B}', "");
Expect(0, 10623, '\p{^_Is_Supplemental_ARROWS_B}', "");
Expect(0, 10623, '\P{_Is_Supplemental_ARROWS_B}', "");
Expect(1, 10623, '\P{^_Is_Supplemental_ARROWS_B}', "");
Expect(0, 10624, '\p{_Is_Supplemental_ARROWS_B}', "");
Expect(1, 10624, '\p{^_Is_Supplemental_ARROWS_B}', "");
Expect(1, 10624, '\P{_Is_Supplemental_ARROWS_B}', "");
Expect(0, 10624, '\P{^_Is_Supplemental_ARROWS_B}', "");
Error('\p{-	in_Supplemental_arrows_B:=}');
Error('\P{-	in_Supplemental_arrows_B:=}');
Expect(1, 10623, '\p{insupplementalarrowsb}', "");
Expect(0, 10623, '\p{^insupplementalarrowsb}', "");
Expect(0, 10623, '\P{insupplementalarrowsb}', "");
Expect(1, 10623, '\P{^insupplementalarrowsb}', "");
Expect(0, 10624, '\p{insupplementalarrowsb}', "");
Expect(1, 10624, '\p{^insupplementalarrowsb}', "");
Expect(1, 10624, '\P{insupplementalarrowsb}', "");
Expect(0, 10624, '\P{^insupplementalarrowsb}', "");
Expect(1, 10623, '\p{ -in_Supplemental_Arrows_b}', "");
Expect(0, 10623, '\p{^ -in_Supplemental_Arrows_b}', "");
Expect(0, 10623, '\P{ -in_Supplemental_Arrows_b}', "");
Expect(1, 10623, '\P{^ -in_Supplemental_Arrows_b}', "");
Expect(0, 10624, '\p{ -in_Supplemental_Arrows_b}', "");
Expect(1, 10624, '\p{^ -in_Supplemental_Arrows_b}', "");
Expect(1, 10624, '\P{ -in_Supplemental_Arrows_b}', "");
Expect(0, 10624, '\P{^ -in_Supplemental_Arrows_b}', "");
Error('\p{__Sup_Arrows_B/a/}');
Error('\P{__Sup_Arrows_B/a/}');
Expect(1, 10623, '\p{suparrowsb}', "");
Expect(0, 10623, '\p{^suparrowsb}', "");
Expect(0, 10623, '\P{suparrowsb}', "");
Expect(1, 10623, '\P{^suparrowsb}', "");
Expect(0, 10624, '\p{suparrowsb}', "");
Expect(1, 10624, '\p{^suparrowsb}', "");
Expect(1, 10624, '\P{suparrowsb}', "");
Expect(0, 10624, '\P{^suparrowsb}', "");
Expect(1, 10623, '\p{-_Sup_ARROWS_b}', "");
Expect(0, 10623, '\p{^-_Sup_ARROWS_b}', "");
Expect(0, 10623, '\P{-_Sup_ARROWS_b}', "");
Expect(1, 10623, '\P{^-_Sup_ARROWS_b}', "");
Expect(0, 10624, '\p{-_Sup_ARROWS_b}', "");
Expect(1, 10624, '\p{^-_Sup_ARROWS_b}', "");
Expect(1, 10624, '\P{-_Sup_ARROWS_b}', "");
Expect(0, 10624, '\P{^-_Sup_ARROWS_b}', "");
Error('\p{-Is_Sup_Arrows_B/a/}');
Error('\P{-Is_Sup_Arrows_B/a/}');
Expect(1, 10623, '\p{issuparrowsb}', "");
Expect(0, 10623, '\p{^issuparrowsb}', "");
Expect(0, 10623, '\P{issuparrowsb}', "");
Expect(1, 10623, '\P{^issuparrowsb}', "");
Expect(0, 10624, '\p{issuparrowsb}', "");
Expect(1, 10624, '\p{^issuparrowsb}', "");
Expect(1, 10624, '\P{issuparrowsb}', "");
Expect(0, 10624, '\P{^issuparrowsb}', "");
Expect(1, 10623, '\p{  Is_sup_Arrows_B}', "");
Expect(0, 10623, '\p{^  Is_sup_Arrows_B}', "");
Expect(0, 10623, '\P{  Is_sup_Arrows_B}', "");
Expect(1, 10623, '\P{^  Is_sup_Arrows_B}', "");
Expect(0, 10624, '\p{  Is_sup_Arrows_B}', "");
Expect(1, 10624, '\p{^  Is_sup_Arrows_B}', "");
Expect(1, 10624, '\P{  Is_sup_Arrows_B}', "");
Expect(0, 10624, '\P{^  Is_sup_Arrows_B}', "");
Error('\p{-in_SUP_ARROWS_B:=}');
Error('\P{-in_SUP_ARROWS_B:=}');
Expect(1, 10623, '\p{insuparrowsb}', "");
Expect(0, 10623, '\p{^insuparrowsb}', "");
Expect(0, 10623, '\P{insuparrowsb}', "");
Expect(1, 10623, '\P{^insuparrowsb}', "");
Expect(0, 10624, '\p{insuparrowsb}', "");
Expect(1, 10624, '\p{^insuparrowsb}', "");
Expect(1, 10624, '\P{insuparrowsb}', "");
Expect(0, 10624, '\P{^insuparrowsb}', "");
Expect(1, 10623, '\p{	in_Sup_arrows_B}', "");
Expect(0, 10623, '\p{^	in_Sup_arrows_B}', "");
Expect(0, 10623, '\P{	in_Sup_arrows_B}', "");
Expect(1, 10623, '\P{^	in_Sup_arrows_B}', "");
Expect(0, 10624, '\p{	in_Sup_arrows_B}', "");
Expect(1, 10624, '\p{^	in_Sup_arrows_B}', "");
Expect(1, 10624, '\P{	in_Sup_arrows_B}', "");
Expect(0, 10624, '\P{^	in_Sup_arrows_B}', "");
Error('\p{:=Supplemental_Arrows_c}');
Error('\P{:=Supplemental_Arrows_c}');
Expect(1, 129279, '\p{supplementalarrowsc}', "");
Expect(0, 129279, '\p{^supplementalarrowsc}', "");
Expect(0, 129279, '\P{supplementalarrowsc}', "");
Expect(1, 129279, '\P{^supplementalarrowsc}', "");
Expect(0, 129280, '\p{supplementalarrowsc}', "");
Expect(1, 129280, '\p{^supplementalarrowsc}', "");
Expect(1, 129280, '\P{supplementalarrowsc}', "");
Expect(0, 129280, '\P{^supplementalarrowsc}', "");
Expect(1, 129279, '\p{  Supplemental_ARROWS_C}', "");
Expect(0, 129279, '\p{^  Supplemental_ARROWS_C}', "");
Expect(0, 129279, '\P{  Supplemental_ARROWS_C}', "");
Expect(1, 129279, '\P{^  Supplemental_ARROWS_C}', "");
Expect(0, 129280, '\p{  Supplemental_ARROWS_C}', "");
Expect(1, 129280, '\p{^  Supplemental_ARROWS_C}', "");
Expect(1, 129280, '\P{  Supplemental_ARROWS_C}', "");
Expect(0, 129280, '\P{^  Supplemental_ARROWS_C}', "");
Error('\p{_is_Supplemental_Arrows_C:=}');
Error('\P{_is_Supplemental_Arrows_C:=}');
Expect(1, 129279, '\p{issupplementalarrowsc}', "");
Expect(0, 129279, '\p{^issupplementalarrowsc}', "");
Expect(0, 129279, '\P{issupplementalarrowsc}', "");
Expect(1, 129279, '\P{^issupplementalarrowsc}', "");
Expect(0, 129280, '\p{issupplementalarrowsc}', "");
Expect(1, 129280, '\p{^issupplementalarrowsc}', "");
Expect(1, 129280, '\P{issupplementalarrowsc}', "");
Expect(0, 129280, '\P{^issupplementalarrowsc}', "");
Expect(1, 129279, '\p{		Is_Supplemental_Arrows_C}', "");
Expect(0, 129279, '\p{^		Is_Supplemental_Arrows_C}', "");
Expect(0, 129279, '\P{		Is_Supplemental_Arrows_C}', "");
Expect(1, 129279, '\P{^		Is_Supplemental_Arrows_C}', "");
Expect(0, 129280, '\p{		Is_Supplemental_Arrows_C}', "");
Expect(1, 129280, '\p{^		Is_Supplemental_Arrows_C}', "");
Expect(1, 129280, '\P{		Is_Supplemental_Arrows_C}', "");
Expect(0, 129280, '\P{^		Is_Supplemental_Arrows_C}', "");
Error('\p{	:=IN_Supplemental_arrows_C}');
Error('\P{	:=IN_Supplemental_arrows_C}');
Expect(1, 129279, '\p{insupplementalarrowsc}', "");
Expect(0, 129279, '\p{^insupplementalarrowsc}', "");
Expect(0, 129279, '\P{insupplementalarrowsc}', "");
Expect(1, 129279, '\P{^insupplementalarrowsc}', "");
Expect(0, 129280, '\p{insupplementalarrowsc}', "");
Expect(1, 129280, '\p{^insupplementalarrowsc}', "");
Expect(1, 129280, '\P{insupplementalarrowsc}', "");
Expect(0, 129280, '\P{^insupplementalarrowsc}', "");
Expect(1, 129279, '\p{ _In_supplemental_arrows_c}', "");
Expect(0, 129279, '\p{^ _In_supplemental_arrows_c}', "");
Expect(0, 129279, '\P{ _In_supplemental_arrows_c}', "");
Expect(1, 129279, '\P{^ _In_supplemental_arrows_c}', "");
Expect(0, 129280, '\p{ _In_supplemental_arrows_c}', "");
Expect(1, 129280, '\p{^ _In_supplemental_arrows_c}', "");
Expect(1, 129280, '\P{ _In_supplemental_arrows_c}', "");
Expect(0, 129280, '\P{^ _In_supplemental_arrows_c}', "");
Error('\p{:=	-Sup_ARROWS_C}');
Error('\P{:=	-Sup_ARROWS_C}');
Expect(1, 129279, '\p{suparrowsc}', "");
Expect(0, 129279, '\p{^suparrowsc}', "");
Expect(0, 129279, '\P{suparrowsc}', "");
Expect(1, 129279, '\P{^suparrowsc}', "");
Expect(0, 129280, '\p{suparrowsc}', "");
Expect(1, 129280, '\p{^suparrowsc}', "");
Expect(1, 129280, '\P{suparrowsc}', "");
Expect(0, 129280, '\P{^suparrowsc}', "");
Expect(1, 129279, '\p{	Sup_arrows_C}', "");
Expect(0, 129279, '\p{^	Sup_arrows_C}', "");
Expect(0, 129279, '\P{	Sup_arrows_C}', "");
Expect(1, 129279, '\P{^	Sup_arrows_C}', "");
Expect(0, 129280, '\p{	Sup_arrows_C}', "");
Expect(1, 129280, '\p{^	Sup_arrows_C}', "");
Expect(1, 129280, '\P{	Sup_arrows_C}', "");
Expect(0, 129280, '\P{^	Sup_arrows_C}', "");
Error('\p{/a/-is_Sup_arrows_c}');
Error('\P{/a/-is_Sup_arrows_c}');
Expect(1, 129279, '\p{issuparrowsc}', "");
Expect(0, 129279, '\p{^issuparrowsc}', "");
Expect(0, 129279, '\P{issuparrowsc}', "");
Expect(1, 129279, '\P{^issuparrowsc}', "");
Expect(0, 129280, '\p{issuparrowsc}', "");
Expect(1, 129280, '\p{^issuparrowsc}', "");
Expect(1, 129280, '\P{issuparrowsc}', "");
Expect(0, 129280, '\P{^issuparrowsc}', "");
Expect(1, 129279, '\p{-	IS_SUP_ARROWS_C}', "");
Expect(0, 129279, '\p{^-	IS_SUP_ARROWS_C}', "");
Expect(0, 129279, '\P{-	IS_SUP_ARROWS_C}', "");
Expect(1, 129279, '\P{^-	IS_SUP_ARROWS_C}', "");
Expect(0, 129280, '\p{-	IS_SUP_ARROWS_C}', "");
Expect(1, 129280, '\p{^-	IS_SUP_ARROWS_C}', "");
Expect(1, 129280, '\P{-	IS_SUP_ARROWS_C}', "");
Expect(0, 129280, '\P{^-	IS_SUP_ARROWS_C}', "");
Error('\p{	_In_sup_Arrows_C:=}');
Error('\P{	_In_sup_Arrows_C:=}');
Expect(1, 129279, '\p{insuparrowsc}', "");
Expect(0, 129279, '\p{^insuparrowsc}', "");
Expect(0, 129279, '\P{insuparrowsc}', "");
Expect(1, 129279, '\P{^insuparrowsc}', "");
Expect(0, 129280, '\p{insuparrowsc}', "");
Expect(1, 129280, '\p{^insuparrowsc}', "");
Expect(1, 129280, '\P{insuparrowsc}', "");
Expect(0, 129280, '\P{^insuparrowsc}', "");
Expect(1, 129279, '\p{  In_SUP_Arrows_c}', "");
Expect(0, 129279, '\p{^  In_SUP_Arrows_c}', "");
Expect(0, 129279, '\P{  In_SUP_Arrows_c}', "");
Expect(1, 129279, '\P{^  In_SUP_Arrows_c}', "");
Expect(0, 129280, '\p{  In_SUP_Arrows_c}', "");
Expect(1, 129280, '\p{^  In_SUP_Arrows_c}', "");
Expect(1, 129280, '\P{  In_SUP_Arrows_c}', "");
Expect(0, 129280, '\P{^  In_SUP_Arrows_c}', "");
Error('\p{_/a/SUPPLEMENTAL_Mathematical_Operators}');
Error('\P{_/a/SUPPLEMENTAL_Mathematical_Operators}');
Expect(1, 11007, '\p{supplementalmathematicaloperators}', "");
Expect(0, 11007, '\p{^supplementalmathematicaloperators}', "");
Expect(0, 11007, '\P{supplementalmathematicaloperators}', "");
Expect(1, 11007, '\P{^supplementalmathematicaloperators}', "");
Expect(0, 11008, '\p{supplementalmathematicaloperators}', "");
Expect(1, 11008, '\p{^supplementalmathematicaloperators}', "");
Expect(1, 11008, '\P{supplementalmathematicaloperators}', "");
Expect(0, 11008, '\P{^supplementalmathematicaloperators}', "");
Expect(1, 11007, '\p{-Supplemental_Mathematical_Operators}', "");
Expect(0, 11007, '\p{^-Supplemental_Mathematical_Operators}', "");
Expect(0, 11007, '\P{-Supplemental_Mathematical_Operators}', "");
Expect(1, 11007, '\P{^-Supplemental_Mathematical_Operators}', "");
Expect(0, 11008, '\p{-Supplemental_Mathematical_Operators}', "");
Expect(1, 11008, '\p{^-Supplemental_Mathematical_Operators}', "");
Expect(1, 11008, '\P{-Supplemental_Mathematical_Operators}', "");
Expect(0, 11008, '\P{^-Supplemental_Mathematical_Operators}', "");
Error('\p{:=-Is_Supplemental_Mathematical_operators}');
Error('\P{:=-Is_Supplemental_Mathematical_operators}');
Expect(1, 11007, '\p{issupplementalmathematicaloperators}', "");
Expect(0, 11007, '\p{^issupplementalmathematicaloperators}', "");
Expect(0, 11007, '\P{issupplementalmathematicaloperators}', "");
Expect(1, 11007, '\P{^issupplementalmathematicaloperators}', "");
Expect(0, 11008, '\p{issupplementalmathematicaloperators}', "");
Expect(1, 11008, '\p{^issupplementalmathematicaloperators}', "");
Expect(1, 11008, '\P{issupplementalmathematicaloperators}', "");
Expect(0, 11008, '\P{^issupplementalmathematicaloperators}', "");
Expect(1, 11007, '\p{_-IS_Supplemental_MATHEMATICAL_Operators}', "");
Expect(0, 11007, '\p{^_-IS_Supplemental_MATHEMATICAL_Operators}', "");
Expect(0, 11007, '\P{_-IS_Supplemental_MATHEMATICAL_Operators}', "");
Expect(1, 11007, '\P{^_-IS_Supplemental_MATHEMATICAL_Operators}', "");
Expect(0, 11008, '\p{_-IS_Supplemental_MATHEMATICAL_Operators}', "");
Expect(1, 11008, '\p{^_-IS_Supplemental_MATHEMATICAL_Operators}', "");
Expect(1, 11008, '\P{_-IS_Supplemental_MATHEMATICAL_Operators}', "");
Expect(0, 11008, '\P{^_-IS_Supplemental_MATHEMATICAL_Operators}', "");
Error('\p{/a/- In_Supplemental_mathematical_Operators}');
Error('\P{/a/- In_Supplemental_mathematical_Operators}');
Expect(1, 11007, '\p{insupplementalmathematicaloperators}', "");
Expect(0, 11007, '\p{^insupplementalmathematicaloperators}', "");
Expect(0, 11007, '\P{insupplementalmathematicaloperators}', "");
Expect(1, 11007, '\P{^insupplementalmathematicaloperators}', "");
Expect(0, 11008, '\p{insupplementalmathematicaloperators}', "");
Expect(1, 11008, '\p{^insupplementalmathematicaloperators}', "");
Expect(1, 11008, '\P{insupplementalmathematicaloperators}', "");
Expect(0, 11008, '\P{^insupplementalmathematicaloperators}', "");
Expect(1, 11007, '\p{-IN_SUPPLEMENTAL_MATHEMATICAL_operators}', "");
Expect(0, 11007, '\p{^-IN_SUPPLEMENTAL_MATHEMATICAL_operators}', "");
Expect(0, 11007, '\P{-IN_SUPPLEMENTAL_MATHEMATICAL_operators}', "");
Expect(1, 11007, '\P{^-IN_SUPPLEMENTAL_MATHEMATICAL_operators}', "");
Expect(0, 11008, '\p{-IN_SUPPLEMENTAL_MATHEMATICAL_operators}', "");
Expect(1, 11008, '\p{^-IN_SUPPLEMENTAL_MATHEMATICAL_operators}', "");
Expect(1, 11008, '\P{-IN_SUPPLEMENTAL_MATHEMATICAL_operators}', "");
Expect(0, 11008, '\P{^-IN_SUPPLEMENTAL_MATHEMATICAL_operators}', "");
Error('\p{__sup_MATH_Operators/a/}');
Error('\P{__sup_MATH_Operators/a/}');
Expect(1, 11007, '\p{supmathoperators}', "");
Expect(0, 11007, '\p{^supmathoperators}', "");
Expect(0, 11007, '\P{supmathoperators}', "");
Expect(1, 11007, '\P{^supmathoperators}', "");
Expect(0, 11008, '\p{supmathoperators}', "");
Expect(1, 11008, '\p{^supmathoperators}', "");
Expect(1, 11008, '\P{supmathoperators}', "");
Expect(0, 11008, '\P{^supmathoperators}', "");
Expect(1, 11007, '\p{	_SUP_Math_operators}', "");
Expect(0, 11007, '\p{^	_SUP_Math_operators}', "");
Expect(0, 11007, '\P{	_SUP_Math_operators}', "");
Expect(1, 11007, '\P{^	_SUP_Math_operators}', "");
Expect(0, 11008, '\p{	_SUP_Math_operators}', "");
Expect(1, 11008, '\p{^	_SUP_Math_operators}', "");
Expect(1, 11008, '\P{	_SUP_Math_operators}', "");
Expect(0, 11008, '\P{^	_SUP_Math_operators}', "");
Error('\p{/a/_-Is_SUP_math_operators}');
Error('\P{/a/_-Is_SUP_math_operators}');
Expect(1, 11007, '\p{issupmathoperators}', "");
Expect(0, 11007, '\p{^issupmathoperators}', "");
Expect(0, 11007, '\P{issupmathoperators}', "");
Expect(1, 11007, '\P{^issupmathoperators}', "");
Expect(0, 11008, '\p{issupmathoperators}', "");
Expect(1, 11008, '\p{^issupmathoperators}', "");
Expect(1, 11008, '\P{issupmathoperators}', "");
Expect(0, 11008, '\P{^issupmathoperators}', "");
Expect(1, 11007, '\p{--IS_Sup_math_Operators}', "");
Expect(0, 11007, '\p{^--IS_Sup_math_Operators}', "");
Expect(0, 11007, '\P{--IS_Sup_math_Operators}', "");
Expect(1, 11007, '\P{^--IS_Sup_math_Operators}', "");
Expect(0, 11008, '\p{--IS_Sup_math_Operators}', "");
Expect(1, 11008, '\p{^--IS_Sup_math_Operators}', "");
Expect(1, 11008, '\P{--IS_Sup_math_Operators}', "");
Expect(0, 11008, '\P{^--IS_Sup_math_Operators}', "");
Error('\p{-in_sup_Math_Operators:=}');
Error('\P{-in_sup_Math_Operators:=}');
Expect(1, 11007, '\p{insupmathoperators}', "");
Expect(0, 11007, '\p{^insupmathoperators}', "");
Expect(0, 11007, '\P{insupmathoperators}', "");
Expect(1, 11007, '\P{^insupmathoperators}', "");
Expect(0, 11008, '\p{insupmathoperators}', "");
Expect(1, 11008, '\p{^insupmathoperators}', "");
Expect(1, 11008, '\P{insupmathoperators}', "");
Expect(0, 11008, '\P{^insupmathoperators}', "");
Expect(1, 11007, '\p{	-in_sup_Math_Operators}', "");
Expect(0, 11007, '\p{^	-in_sup_Math_Operators}', "");
Expect(0, 11007, '\P{	-in_sup_Math_Operators}', "");
Expect(1, 11007, '\P{^	-in_sup_Math_Operators}', "");
Expect(0, 11008, '\p{	-in_sup_Math_Operators}', "");
Expect(1, 11008, '\p{^	-in_sup_Math_Operators}', "");
Expect(1, 11008, '\P{	-in_sup_Math_Operators}', "");
Expect(0, 11008, '\P{^	-in_sup_Math_Operators}', "");
Error('\p{:=Supplemental_Punctuation}');
Error('\P{:=Supplemental_Punctuation}');
Expect(1, 11903, '\p{supplementalpunctuation}', "");
Expect(0, 11903, '\p{^supplementalpunctuation}', "");
Expect(0, 11903, '\P{supplementalpunctuation}', "");
Expect(1, 11903, '\P{^supplementalpunctuation}', "");
Expect(0, 11904, '\p{supplementalpunctuation}', "");
Expect(1, 11904, '\p{^supplementalpunctuation}', "");
Expect(1, 11904, '\P{supplementalpunctuation}', "");
Expect(0, 11904, '\P{^supplementalpunctuation}', "");
Expect(1, 11903, '\p{ SUPPLEMENTAL_Punctuation}', "");
Expect(0, 11903, '\p{^ SUPPLEMENTAL_Punctuation}', "");
Expect(0, 11903, '\P{ SUPPLEMENTAL_Punctuation}', "");
Expect(1, 11903, '\P{^ SUPPLEMENTAL_Punctuation}', "");
Expect(0, 11904, '\p{ SUPPLEMENTAL_Punctuation}', "");
Expect(1, 11904, '\p{^ SUPPLEMENTAL_Punctuation}', "");
Expect(1, 11904, '\P{ SUPPLEMENTAL_Punctuation}', "");
Expect(0, 11904, '\P{^ SUPPLEMENTAL_Punctuation}', "");
Error('\p{-	Is_SUPPLEMENTAL_Punctuation/a/}');
Error('\P{-	Is_SUPPLEMENTAL_Punctuation/a/}');
Expect(1, 11903, '\p{issupplementalpunctuation}', "");
Expect(0, 11903, '\p{^issupplementalpunctuation}', "");
Expect(0, 11903, '\P{issupplementalpunctuation}', "");
Expect(1, 11903, '\P{^issupplementalpunctuation}', "");
Expect(0, 11904, '\p{issupplementalpunctuation}', "");
Expect(1, 11904, '\p{^issupplementalpunctuation}', "");
Expect(1, 11904, '\P{issupplementalpunctuation}', "");
Expect(0, 11904, '\P{^issupplementalpunctuation}', "");
Expect(1, 11903, '\p{	_Is_Supplemental_Punctuation}', "");
Expect(0, 11903, '\p{^	_Is_Supplemental_Punctuation}', "");
Expect(0, 11903, '\P{	_Is_Supplemental_Punctuation}', "");
Expect(1, 11903, '\P{^	_Is_Supplemental_Punctuation}', "");
Expect(0, 11904, '\p{	_Is_Supplemental_Punctuation}', "");
Expect(1, 11904, '\p{^	_Is_Supplemental_Punctuation}', "");
Expect(1, 11904, '\P{	_Is_Supplemental_Punctuation}', "");
Expect(0, 11904, '\P{^	_Is_Supplemental_Punctuation}', "");
Error('\p{	:=In_supplemental_PUNCTUATION}');
Error('\P{	:=In_supplemental_PUNCTUATION}');
Expect(1, 11903, '\p{insupplementalpunctuation}', "");
Expect(0, 11903, '\p{^insupplementalpunctuation}', "");
Expect(0, 11903, '\P{insupplementalpunctuation}', "");
Expect(1, 11903, '\P{^insupplementalpunctuation}', "");
Expect(0, 11904, '\p{insupplementalpunctuation}', "");
Expect(1, 11904, '\p{^insupplementalpunctuation}', "");
Expect(1, 11904, '\P{insupplementalpunctuation}', "");
Expect(0, 11904, '\P{^insupplementalpunctuation}', "");
Expect(1, 11903, '\p{  In_SUPPLEMENTAL_punctuation}', "");
Expect(0, 11903, '\p{^  In_SUPPLEMENTAL_punctuation}', "");
Expect(0, 11903, '\P{  In_SUPPLEMENTAL_punctuation}', "");
Expect(1, 11903, '\P{^  In_SUPPLEMENTAL_punctuation}', "");
Expect(0, 11904, '\p{  In_SUPPLEMENTAL_punctuation}', "");
Expect(1, 11904, '\p{^  In_SUPPLEMENTAL_punctuation}', "");
Expect(1, 11904, '\P{  In_SUPPLEMENTAL_punctuation}', "");
Expect(0, 11904, '\P{^  In_SUPPLEMENTAL_punctuation}', "");
Error('\p{:= 	Sup_PUNCTUATION}');
Error('\P{:= 	Sup_PUNCTUATION}');
Expect(1, 11903, '\p{suppunctuation}', "");
Expect(0, 11903, '\p{^suppunctuation}', "");
Expect(0, 11903, '\P{suppunctuation}', "");
Expect(1, 11903, '\P{^suppunctuation}', "");
Expect(0, 11904, '\p{suppunctuation}', "");
Expect(1, 11904, '\p{^suppunctuation}', "");
Expect(1, 11904, '\P{suppunctuation}', "");
Expect(0, 11904, '\P{^suppunctuation}', "");
Expect(1, 11903, '\p{ 	SUP_Punctuation}', "");
Expect(0, 11903, '\p{^ 	SUP_Punctuation}', "");
Expect(0, 11903, '\P{ 	SUP_Punctuation}', "");
Expect(1, 11903, '\P{^ 	SUP_Punctuation}', "");
Expect(0, 11904, '\p{ 	SUP_Punctuation}', "");
Expect(1, 11904, '\p{^ 	SUP_Punctuation}', "");
Expect(1, 11904, '\P{ 	SUP_Punctuation}', "");
Expect(0, 11904, '\P{^ 	SUP_Punctuation}', "");
Error('\p{/a/_	Is_SUP_Punctuation}');
Error('\P{/a/_	Is_SUP_Punctuation}');
Expect(1, 11903, '\p{issuppunctuation}', "");
Expect(0, 11903, '\p{^issuppunctuation}', "");
Expect(0, 11903, '\P{issuppunctuation}', "");
Expect(1, 11903, '\P{^issuppunctuation}', "");
Expect(0, 11904, '\p{issuppunctuation}', "");
Expect(1, 11904, '\p{^issuppunctuation}', "");
Expect(1, 11904, '\P{issuppunctuation}', "");
Expect(0, 11904, '\P{^issuppunctuation}', "");
Expect(1, 11903, '\p{	is_SUP_Punctuation}', "");
Expect(0, 11903, '\p{^	is_SUP_Punctuation}', "");
Expect(0, 11903, '\P{	is_SUP_Punctuation}', "");
Expect(1, 11903, '\P{^	is_SUP_Punctuation}', "");
Expect(0, 11904, '\p{	is_SUP_Punctuation}', "");
Expect(1, 11904, '\p{^	is_SUP_Punctuation}', "");
Expect(1, 11904, '\P{	is_SUP_Punctuation}', "");
Expect(0, 11904, '\P{^	is_SUP_Punctuation}', "");
Error('\p{/a/	in_Sup_punctuation}');
Error('\P{/a/	in_Sup_punctuation}');
Expect(1, 11903, '\p{insuppunctuation}', "");
Expect(0, 11903, '\p{^insuppunctuation}', "");
Expect(0, 11903, '\P{insuppunctuation}', "");
Expect(1, 11903, '\P{^insuppunctuation}', "");
Expect(0, 11904, '\p{insuppunctuation}', "");
Expect(1, 11904, '\p{^insuppunctuation}', "");
Expect(1, 11904, '\P{insuppunctuation}', "");
Expect(0, 11904, '\P{^insuppunctuation}', "");
Expect(1, 11903, '\p{__In_Sup_Punctuation}', "");
Expect(0, 11903, '\p{^__In_Sup_Punctuation}', "");
Expect(0, 11903, '\P{__In_Sup_Punctuation}', "");
Expect(1, 11903, '\P{^__In_Sup_Punctuation}', "");
Expect(0, 11904, '\p{__In_Sup_Punctuation}', "");
Expect(1, 11904, '\p{^__In_Sup_Punctuation}', "");
Expect(1, 11904, '\P{__In_Sup_Punctuation}', "");
Expect(0, 11904, '\P{^__In_Sup_Punctuation}', "");
Error('\p{	_SUPPLEMENTAL_Symbols_AND_Pictographs:=}');
Error('\P{	_SUPPLEMENTAL_Symbols_AND_Pictographs:=}');
Expect(1, 129535, '\p{supplementalsymbolsandpictographs}', "");
Expect(0, 129535, '\p{^supplementalsymbolsandpictographs}', "");
Expect(0, 129535, '\P{supplementalsymbolsandpictographs}', "");
Expect(1, 129535, '\P{^supplementalsymbolsandpictographs}', "");
Expect(0, 129536, '\p{supplementalsymbolsandpictographs}', "");
Expect(1, 129536, '\p{^supplementalsymbolsandpictographs}', "");
Expect(1, 129536, '\P{supplementalsymbolsandpictographs}', "");
Expect(0, 129536, '\P{^supplementalsymbolsandpictographs}', "");
Expect(1, 129535, '\p{-supplemental_symbols_And_PICTOGRAPHS}', "");
Expect(0, 129535, '\p{^-supplemental_symbols_And_PICTOGRAPHS}', "");
Expect(0, 129535, '\P{-supplemental_symbols_And_PICTOGRAPHS}', "");
Expect(1, 129535, '\P{^-supplemental_symbols_And_PICTOGRAPHS}', "");
Expect(0, 129536, '\p{-supplemental_symbols_And_PICTOGRAPHS}', "");
Expect(1, 129536, '\p{^-supplemental_symbols_And_PICTOGRAPHS}', "");
Expect(1, 129536, '\P{-supplemental_symbols_And_PICTOGRAPHS}', "");
Expect(0, 129536, '\P{^-supplemental_symbols_And_PICTOGRAPHS}', "");
Error('\p{:=-Is_Supplemental_Symbols_And_Pictographs}');
Error('\P{:=-Is_Supplemental_Symbols_And_Pictographs}');
Expect(1, 129535, '\p{issupplementalsymbolsandpictographs}', "");
Expect(0, 129535, '\p{^issupplementalsymbolsandpictographs}', "");
Expect(0, 129535, '\P{issupplementalsymbolsandpictographs}', "");
Expect(1, 129535, '\P{^issupplementalsymbolsandpictographs}', "");
Expect(0, 129536, '\p{issupplementalsymbolsandpictographs}', "");
Expect(1, 129536, '\p{^issupplementalsymbolsandpictographs}', "");
Expect(1, 129536, '\P{issupplementalsymbolsandpictographs}', "");
Expect(0, 129536, '\P{^issupplementalsymbolsandpictographs}', "");
Expect(1, 129535, '\p{	 Is_SUPPLEMENTAL_Symbols_And_pictographs}', "");
Expect(0, 129535, '\p{^	 Is_SUPPLEMENTAL_Symbols_And_pictographs}', "");
Expect(0, 129535, '\P{	 Is_SUPPLEMENTAL_Symbols_And_pictographs}', "");
Expect(1, 129535, '\P{^	 Is_SUPPLEMENTAL_Symbols_And_pictographs}', "");
Expect(0, 129536, '\p{	 Is_SUPPLEMENTAL_Symbols_And_pictographs}', "");
Expect(1, 129536, '\p{^	 Is_SUPPLEMENTAL_Symbols_And_pictographs}', "");
Expect(1, 129536, '\P{	 Is_SUPPLEMENTAL_Symbols_And_pictographs}', "");
Expect(0, 129536, '\P{^	 Is_SUPPLEMENTAL_Symbols_And_pictographs}', "");
Error('\p{_:=In_Supplemental_SYMBOLS_and_Pictographs}');
Error('\P{_:=In_Supplemental_SYMBOLS_and_Pictographs}');
Expect(1, 129535, '\p{insupplementalsymbolsandpictographs}', "");
Expect(0, 129535, '\p{^insupplementalsymbolsandpictographs}', "");
Expect(0, 129535, '\P{insupplementalsymbolsandpictographs}', "");
Expect(1, 129535, '\P{^insupplementalsymbolsandpictographs}', "");
Expect(0, 129536, '\p{insupplementalsymbolsandpictographs}', "");
Expect(1, 129536, '\p{^insupplementalsymbolsandpictographs}', "");
Expect(1, 129536, '\P{insupplementalsymbolsandpictographs}', "");
Expect(0, 129536, '\P{^insupplementalsymbolsandpictographs}', "");
Expect(1, 129535, '\p{-In_Supplemental_SYMBOLS_And_Pictographs}', "");
Expect(0, 129535, '\p{^-In_Supplemental_SYMBOLS_And_Pictographs}', "");
Expect(0, 129535, '\P{-In_Supplemental_SYMBOLS_And_Pictographs}', "");
Expect(1, 129535, '\P{^-In_Supplemental_SYMBOLS_And_Pictographs}', "");
Expect(0, 129536, '\p{-In_Supplemental_SYMBOLS_And_Pictographs}', "");
Expect(1, 129536, '\p{^-In_Supplemental_SYMBOLS_And_Pictographs}', "");
Expect(1, 129536, '\P{-In_Supplemental_SYMBOLS_And_Pictographs}', "");
Expect(0, 129536, '\P{^-In_Supplemental_SYMBOLS_And_Pictographs}', "");
Error('\p{-/a/SUP_Symbols_and_PICTOGRAPHS}');
Error('\P{-/a/SUP_Symbols_and_PICTOGRAPHS}');
Expect(1, 129535, '\p{supsymbolsandpictographs}', "");
Expect(0, 129535, '\p{^supsymbolsandpictographs}', "");
Expect(0, 129535, '\P{supsymbolsandpictographs}', "");
Expect(1, 129535, '\P{^supsymbolsandpictographs}', "");
Expect(0, 129536, '\p{supsymbolsandpictographs}', "");
Expect(1, 129536, '\p{^supsymbolsandpictographs}', "");
Expect(1, 129536, '\P{supsymbolsandpictographs}', "");
Expect(0, 129536, '\P{^supsymbolsandpictographs}', "");
Expect(1, 129535, '\p{_SUP_Symbols_And_Pictographs}', "");
Expect(0, 129535, '\p{^_SUP_Symbols_And_Pictographs}', "");
Expect(0, 129535, '\P{_SUP_Symbols_And_Pictographs}', "");
Expect(1, 129535, '\P{^_SUP_Symbols_And_Pictographs}', "");
Expect(0, 129536, '\p{_SUP_Symbols_And_Pictographs}', "");
Expect(1, 129536, '\p{^_SUP_Symbols_And_Pictographs}', "");
Expect(1, 129536, '\P{_SUP_Symbols_And_Pictographs}', "");
Expect(0, 129536, '\P{^_SUP_Symbols_And_Pictographs}', "");
Error('\p{	:=Is_Sup_symbols_And_PICTOGRAPHS}');
Error('\P{	:=Is_Sup_symbols_And_PICTOGRAPHS}');
Expect(1, 129535, '\p{issupsymbolsandpictographs}', "");
Expect(0, 129535, '\p{^issupsymbolsandpictographs}', "");
Expect(0, 129535, '\P{issupsymbolsandpictographs}', "");
Expect(1, 129535, '\P{^issupsymbolsandpictographs}', "");
Expect(0, 129536, '\p{issupsymbolsandpictographs}', "");
Expect(1, 129536, '\p{^issupsymbolsandpictographs}', "");
Expect(1, 129536, '\P{issupsymbolsandpictographs}', "");
Expect(0, 129536, '\P{^issupsymbolsandpictographs}', "");
Expect(1, 129535, '\p{ Is_sup_Symbols_and_PICTOGRAPHS}', "");
Expect(0, 129535, '\p{^ Is_sup_Symbols_and_PICTOGRAPHS}', "");
Expect(0, 129535, '\P{ Is_sup_Symbols_and_PICTOGRAPHS}', "");
Expect(1, 129535, '\P{^ Is_sup_Symbols_and_PICTOGRAPHS}', "");
Expect(0, 129536, '\p{ Is_sup_Symbols_and_PICTOGRAPHS}', "");
Expect(1, 129536, '\p{^ Is_sup_Symbols_and_PICTOGRAPHS}', "");
Expect(1, 129536, '\P{ Is_sup_Symbols_and_PICTOGRAPHS}', "");
Expect(0, 129536, '\P{^ Is_sup_Symbols_and_PICTOGRAPHS}', "");
Error('\p{-/a/in_Sup_Symbols_And_pictographs}');
Error('\P{-/a/in_Sup_Symbols_And_pictographs}');
Expect(1, 129535, '\p{insupsymbolsandpictographs}', "");
Expect(0, 129535, '\p{^insupsymbolsandpictographs}', "");
Expect(0, 129535, '\P{insupsymbolsandpictographs}', "");
Expect(1, 129535, '\P{^insupsymbolsandpictographs}', "");
Expect(0, 129536, '\p{insupsymbolsandpictographs}', "");
Expect(1, 129536, '\p{^insupsymbolsandpictographs}', "");
Expect(1, 129536, '\P{insupsymbolsandpictographs}', "");
Expect(0, 129536, '\P{^insupsymbolsandpictographs}', "");
Expect(1, 129535, '\p{  in_sup_Symbols_and_Pictographs}', "");
Expect(0, 129535, '\p{^  in_sup_Symbols_and_Pictographs}', "");
Expect(0, 129535, '\P{  in_sup_Symbols_and_Pictographs}', "");
Expect(1, 129535, '\P{^  in_sup_Symbols_and_Pictographs}', "");
Expect(0, 129536, '\p{  in_sup_Symbols_and_Pictographs}', "");
Expect(1, 129536, '\p{^  in_sup_Symbols_and_Pictographs}', "");
Expect(1, 129536, '\P{  in_sup_Symbols_and_Pictographs}', "");
Expect(0, 129536, '\P{^  in_sup_Symbols_and_Pictographs}', "");
Error('\p{/a/ _Supplementary_private_Use_AREA_A}');
Error('\P{/a/ _Supplementary_private_Use_AREA_A}');
Expect(1, 983040, '\p{supplementaryprivateuseareaa}', "");
Expect(0, 983040, '\p{^supplementaryprivateuseareaa}', "");
Expect(0, 983040, '\P{supplementaryprivateuseareaa}', "");
Expect(1, 983040, '\P{^supplementaryprivateuseareaa}', "");
Expect(0, 1048576, '\p{supplementaryprivateuseareaa}', "");
Expect(1, 1048576, '\p{^supplementaryprivateuseareaa}', "");
Expect(1, 1048576, '\P{supplementaryprivateuseareaa}', "");
Expect(0, 1048576, '\P{^supplementaryprivateuseareaa}', "");
Expect(1, 983040, '\p{	supplementary_private_use_AREA_A}', "");
Expect(0, 983040, '\p{^	supplementary_private_use_AREA_A}', "");
Expect(0, 983040, '\P{	supplementary_private_use_AREA_A}', "");
Expect(1, 983040, '\P{^	supplementary_private_use_AREA_A}', "");
Expect(0, 1048576, '\p{	supplementary_private_use_AREA_A}', "");
Expect(1, 1048576, '\p{^	supplementary_private_use_AREA_A}', "");
Expect(1, 1048576, '\P{	supplementary_private_use_AREA_A}', "");
Expect(0, 1048576, '\P{^	supplementary_private_use_AREA_A}', "");
Error('\p{__Is_Supplementary_Private_use_Area_A:=}');
Error('\P{__Is_Supplementary_Private_use_Area_A:=}');
Expect(1, 983040, '\p{issupplementaryprivateuseareaa}', "");
Expect(0, 983040, '\p{^issupplementaryprivateuseareaa}', "");
Expect(0, 983040, '\P{issupplementaryprivateuseareaa}', "");
Expect(1, 983040, '\P{^issupplementaryprivateuseareaa}', "");
Expect(0, 1048576, '\p{issupplementaryprivateuseareaa}', "");
Expect(1, 1048576, '\p{^issupplementaryprivateuseareaa}', "");
Expect(1, 1048576, '\P{issupplementaryprivateuseareaa}', "");
Expect(0, 1048576, '\P{^issupplementaryprivateuseareaa}', "");
Expect(1, 983040, '\p{_	Is_Supplementary_Private_USE_area_a}', "");
Expect(0, 983040, '\p{^_	Is_Supplementary_Private_USE_area_a}', "");
Expect(0, 983040, '\P{_	Is_Supplementary_Private_USE_area_a}', "");
Expect(1, 983040, '\P{^_	Is_Supplementary_Private_USE_area_a}', "");
Expect(0, 1048576, '\p{_	Is_Supplementary_Private_USE_area_a}', "");
Expect(1, 1048576, '\p{^_	Is_Supplementary_Private_USE_area_a}', "");
Expect(1, 1048576, '\P{_	Is_Supplementary_Private_USE_area_a}', "");
Expect(0, 1048576, '\P{^_	Is_Supplementary_Private_USE_area_a}', "");
Error('\p{:=_ in_Supplementary_PRIVATE_Use_AREA_A}');
Error('\P{:=_ in_Supplementary_PRIVATE_Use_AREA_A}');
Expect(1, 983040, '\p{insupplementaryprivateuseareaa}', "");
Expect(0, 983040, '\p{^insupplementaryprivateuseareaa}', "");
Expect(0, 983040, '\P{insupplementaryprivateuseareaa}', "");
Expect(1, 983040, '\P{^insupplementaryprivateuseareaa}', "");
Expect(0, 1048576, '\p{insupplementaryprivateuseareaa}', "");
Expect(1, 1048576, '\p{^insupplementaryprivateuseareaa}', "");
Expect(1, 1048576, '\P{insupplementaryprivateuseareaa}', "");
Expect(0, 1048576, '\P{^insupplementaryprivateuseareaa}', "");
Expect(1, 983040, '\p{  in_supplementary_private_Use_area_A}', "");
Expect(0, 983040, '\p{^  in_supplementary_private_Use_area_A}', "");
Expect(0, 983040, '\P{  in_supplementary_private_Use_area_A}', "");
Expect(1, 983040, '\P{^  in_supplementary_private_Use_area_A}', "");
Expect(0, 1048576, '\p{  in_supplementary_private_Use_area_A}', "");
Expect(1, 1048576, '\p{^  in_supplementary_private_Use_area_A}', "");
Expect(1, 1048576, '\P{  in_supplementary_private_Use_area_A}', "");
Expect(0, 1048576, '\P{^  in_supplementary_private_Use_area_A}', "");
Error('\p{/a/	Sup_PUA_A}');
Error('\P{/a/	Sup_PUA_A}');
Expect(1, 983040, '\p{suppuaa}', "");
Expect(0, 983040, '\p{^suppuaa}', "");
Expect(0, 983040, '\P{suppuaa}', "");
Expect(1, 983040, '\P{^suppuaa}', "");
Expect(0, 1048576, '\p{suppuaa}', "");
Expect(1, 1048576, '\p{^suppuaa}', "");
Expect(1, 1048576, '\P{suppuaa}', "");
Expect(0, 1048576, '\P{^suppuaa}', "");
Expect(1, 983040, '\p{__Sup_pua_a}', "");
Expect(0, 983040, '\p{^__Sup_pua_a}', "");
Expect(0, 983040, '\P{__Sup_pua_a}', "");
Expect(1, 983040, '\P{^__Sup_pua_a}', "");
Expect(0, 1048576, '\p{__Sup_pua_a}', "");
Expect(1, 1048576, '\p{^__Sup_pua_a}', "");
Expect(1, 1048576, '\P{__Sup_pua_a}', "");
Expect(0, 1048576, '\P{^__Sup_pua_a}', "");
Error('\p{ _Is_SUP_PUA_A:=}');
Error('\P{ _Is_SUP_PUA_A:=}');
Expect(1, 983040, '\p{issuppuaa}', "");
Expect(0, 983040, '\p{^issuppuaa}', "");
Expect(0, 983040, '\P{issuppuaa}', "");
Expect(1, 983040, '\P{^issuppuaa}', "");
Expect(0, 1048576, '\p{issuppuaa}', "");
Expect(1, 1048576, '\p{^issuppuaa}', "");
Expect(1, 1048576, '\P{issuppuaa}', "");
Expect(0, 1048576, '\P{^issuppuaa}', "");
Expect(1, 983040, '\p{--Is_Sup_pua_A}', "");
Expect(0, 983040, '\p{^--Is_Sup_pua_A}', "");
Expect(0, 983040, '\P{--Is_Sup_pua_A}', "");
Expect(1, 983040, '\P{^--Is_Sup_pua_A}', "");
Expect(0, 1048576, '\p{--Is_Sup_pua_A}', "");
Expect(1, 1048576, '\p{^--Is_Sup_pua_A}', "");
Expect(1, 1048576, '\P{--Is_Sup_pua_A}', "");
Expect(0, 1048576, '\P{^--Is_Sup_pua_A}', "");
Error('\p{/a/ in_Sup_PUA_A}');
Error('\P{/a/ in_Sup_PUA_A}');
Expect(1, 983040, '\p{insuppuaa}', "");
Expect(0, 983040, '\p{^insuppuaa}', "");
Expect(0, 983040, '\P{insuppuaa}', "");
Expect(1, 983040, '\P{^insuppuaa}', "");
Expect(0, 1048576, '\p{insuppuaa}', "");
Expect(1, 1048576, '\p{^insuppuaa}', "");
Expect(1, 1048576, '\P{insuppuaa}', "");
Expect(0, 1048576, '\P{^insuppuaa}', "");
Expect(1, 983040, '\p{	in_SUP_PUA_A}', "");
Expect(0, 983040, '\p{^	in_SUP_PUA_A}', "");
Expect(0, 983040, '\P{	in_SUP_PUA_A}', "");
Expect(1, 983040, '\P{^	in_SUP_PUA_A}', "");
Expect(0, 1048576, '\p{	in_SUP_PUA_A}', "");
Expect(1, 1048576, '\p{^	in_SUP_PUA_A}', "");
Expect(1, 1048576, '\P{	in_SUP_PUA_A}', "");
Expect(0, 1048576, '\P{^	in_SUP_PUA_A}', "");
Error('\p{/a/supplementary_private_USE_Area_B}');
Error('\P{/a/supplementary_private_USE_Area_B}');
Expect(1, 1048576, '\p{supplementaryprivateuseareab}', "");
Expect(0, 1048576, '\p{^supplementaryprivateuseareab}', "");
Expect(0, 1048576, '\P{supplementaryprivateuseareab}', "");
Expect(1, 1048576, '\P{^supplementaryprivateuseareab}', "");
Expect(0, 1, '\p{supplementaryprivateuseareab}', "");
Expect(1, 1, '\p{^supplementaryprivateuseareab}', "");
Expect(1, 1, '\P{supplementaryprivateuseareab}', "");
Expect(0, 1, '\P{^supplementaryprivateuseareab}', "");
Expect(1, 1048576, '\p{_ supplementary_private_USE_Area_b}', "");
Expect(0, 1048576, '\p{^_ supplementary_private_USE_Area_b}', "");
Expect(0, 1048576, '\P{_ supplementary_private_USE_Area_b}', "");
Expect(1, 1048576, '\P{^_ supplementary_private_USE_Area_b}', "");
Expect(0, 1, '\p{_ supplementary_private_USE_Area_b}', "");
Expect(1, 1, '\p{^_ supplementary_private_USE_Area_b}', "");
Expect(1, 1, '\P{_ supplementary_private_USE_Area_b}', "");
Expect(0, 1, '\P{^_ supplementary_private_USE_Area_b}', "");
Error('\p{		IS_SUPPLEMENTARY_Private_USE_area_b:=}');
Error('\P{		IS_SUPPLEMENTARY_Private_USE_area_b:=}');
Expect(1, 1048576, '\p{issupplementaryprivateuseareab}', "");
Expect(0, 1048576, '\p{^issupplementaryprivateuseareab}', "");
Expect(0, 1048576, '\P{issupplementaryprivateuseareab}', "");
Expect(1, 1048576, '\P{^issupplementaryprivateuseareab}', "");
Expect(0, 1, '\p{issupplementaryprivateuseareab}', "");
Expect(1, 1, '\p{^issupplementaryprivateuseareab}', "");
Expect(1, 1, '\P{issupplementaryprivateuseareab}', "");
Expect(0, 1, '\P{^issupplementaryprivateuseareab}', "");
Expect(1, 1048576, '\p{-IS_Supplementary_PRIVATE_Use_AREA_B}', "");
Expect(0, 1048576, '\p{^-IS_Supplementary_PRIVATE_Use_AREA_B}', "");
Expect(0, 1048576, '\P{-IS_Supplementary_PRIVATE_Use_AREA_B}', "");
Expect(1, 1048576, '\P{^-IS_Supplementary_PRIVATE_Use_AREA_B}', "");
Expect(0, 1, '\p{-IS_Supplementary_PRIVATE_Use_AREA_B}', "");
Expect(1, 1, '\p{^-IS_Supplementary_PRIVATE_Use_AREA_B}', "");
Expect(1, 1, '\P{-IS_Supplementary_PRIVATE_Use_AREA_B}', "");
Expect(0, 1, '\P{^-IS_Supplementary_PRIVATE_Use_AREA_B}', "");
Error('\p{- In_Supplementary_PRIVATE_Use_Area_b:=}');
Error('\P{- In_Supplementary_PRIVATE_Use_Area_b:=}');
Expect(1, 1048576, '\p{insupplementaryprivateuseareab}', "");
Expect(0, 1048576, '\p{^insupplementaryprivateuseareab}', "");
Expect(0, 1048576, '\P{insupplementaryprivateuseareab}', "");
Expect(1, 1048576, '\P{^insupplementaryprivateuseareab}', "");
Expect(0, 1, '\p{insupplementaryprivateuseareab}', "");
Expect(1, 1, '\p{^insupplementaryprivateuseareab}', "");
Expect(1, 1, '\P{insupplementaryprivateuseareab}', "");
Expect(0, 1, '\P{^insupplementaryprivateuseareab}', "");
Expect(1, 1048576, '\p{	 IN_supplementary_private_USE_area_b}', "");
Expect(0, 1048576, '\p{^	 IN_supplementary_private_USE_area_b}', "");
Expect(0, 1048576, '\P{	 IN_supplementary_private_USE_area_b}', "");
Expect(1, 1048576, '\P{^	 IN_supplementary_private_USE_area_b}', "");
Expect(0, 1, '\p{	 IN_supplementary_private_USE_area_b}', "");
Expect(1, 1, '\p{^	 IN_supplementary_private_USE_area_b}', "");
Expect(1, 1, '\P{	 IN_supplementary_private_USE_area_b}', "");
Expect(0, 1, '\P{^	 IN_supplementary_private_USE_area_b}', "");
Error('\p{:=	_SUP_pua_b}');
Error('\P{:=	_SUP_pua_b}');
Expect(1, 1048576, '\p{suppuab}', "");
Expect(0, 1048576, '\p{^suppuab}', "");
Expect(0, 1048576, '\P{suppuab}', "");
Expect(1, 1048576, '\P{^suppuab}', "");
Expect(0, 1, '\p{suppuab}', "");
Expect(1, 1, '\p{^suppuab}', "");
Expect(1, 1, '\P{suppuab}', "");
Expect(0, 1, '\P{^suppuab}', "");
Expect(1, 1048576, '\p{- Sup_PUA_B}', "");
Expect(0, 1048576, '\p{^- Sup_PUA_B}', "");
Expect(0, 1048576, '\P{- Sup_PUA_B}', "");
Expect(1, 1048576, '\P{^- Sup_PUA_B}', "");
Expect(0, 1, '\p{- Sup_PUA_B}', "");
Expect(1, 1, '\p{^- Sup_PUA_B}', "");
Expect(1, 1, '\P{- Sup_PUA_B}', "");
Expect(0, 1, '\P{^- Sup_PUA_B}', "");
Error('\p{ IS_sup_PUA_b/a/}');
Error('\P{ IS_sup_PUA_b/a/}');
Expect(1, 1048576, '\p{issuppuab}', "");
Expect(0, 1048576, '\p{^issuppuab}', "");
Expect(0, 1048576, '\P{issuppuab}', "");
Expect(1, 1048576, '\P{^issuppuab}', "");
Expect(0, 1, '\p{issuppuab}', "");
Expect(1, 1, '\p{^issuppuab}', "");
Expect(1, 1, '\P{issuppuab}', "");
Expect(0, 1, '\P{^issuppuab}', "");
Expect(1, 1048576, '\p{_Is_Sup_PUA_B}', "");
Expect(0, 1048576, '\p{^_Is_Sup_PUA_B}', "");
Expect(0, 1048576, '\P{_Is_Sup_PUA_B}', "");
Expect(1, 1048576, '\P{^_Is_Sup_PUA_B}', "");
Expect(0, 1, '\p{_Is_Sup_PUA_B}', "");
Expect(1, 1, '\p{^_Is_Sup_PUA_B}', "");
Expect(1, 1, '\P{_Is_Sup_PUA_B}', "");
Expect(0, 1, '\P{^_Is_Sup_PUA_B}', "");
Error('\p{-_In_Sup_PUA_B:=}');
Error('\P{-_In_Sup_PUA_B:=}');
Expect(1, 1048576, '\p{insuppuab}', "");
Expect(0, 1048576, '\p{^insuppuab}', "");
Expect(0, 1048576, '\P{insuppuab}', "");
Expect(1, 1048576, '\P{^insuppuab}', "");
Expect(0, 1, '\p{insuppuab}', "");
Expect(1, 1, '\p{^insuppuab}', "");
Expect(1, 1, '\P{insuppuab}', "");
Expect(0, 1, '\P{^insuppuab}', "");
Expect(1, 1048576, '\p{- In_sup_PUA_b}', "");
Expect(0, 1048576, '\p{^- In_sup_PUA_b}', "");
Expect(0, 1048576, '\P{- In_sup_PUA_b}', "");
Expect(1, 1048576, '\P{^- In_sup_PUA_b}', "");
Expect(0, 1, '\p{- In_sup_PUA_b}', "");
Expect(1, 1, '\p{^- In_sup_PUA_b}', "");
Expect(1, 1, '\P{- In_sup_PUA_b}', "");
Expect(0, 1, '\P{^- In_sup_PUA_b}', "");
Error('\p{_ Surrogate:=}');
Error('\P{_ Surrogate:=}');
Expect(1, 57343, '\p{surrogate}', "");
Expect(0, 57343, '\p{^surrogate}', "");
Expect(0, 57343, '\P{surrogate}', "");
Expect(1, 57343, '\P{^surrogate}', "");
Expect(0, 57344, '\p{surrogate}', "");
Expect(1, 57344, '\p{^surrogate}', "");
Expect(1, 57344, '\P{surrogate}', "");
Expect(0, 57344, '\P{^surrogate}', "");
Expect(1, 57343, '\p{- surrogate}', "");
Expect(0, 57343, '\p{^- surrogate}', "");
Expect(0, 57343, '\P{- surrogate}', "");
Expect(1, 57343, '\P{^- surrogate}', "");
Expect(0, 57344, '\p{- surrogate}', "");
Expect(1, 57344, '\p{^- surrogate}', "");
Expect(1, 57344, '\P{- surrogate}', "");
Expect(0, 57344, '\P{^- surrogate}', "");
Error('\p{/a/ IS_surrogate}');
Error('\P{/a/ IS_surrogate}');
Expect(1, 57343, '\p{issurrogate}', "");
Expect(0, 57343, '\p{^issurrogate}', "");
Expect(0, 57343, '\P{issurrogate}', "");
Expect(1, 57343, '\P{^issurrogate}', "");
Expect(0, 57344, '\p{issurrogate}', "");
Expect(1, 57344, '\p{^issurrogate}', "");
Expect(1, 57344, '\P{issurrogate}', "");
Expect(0, 57344, '\P{^issurrogate}', "");
Expect(1, 57343, '\p{-	is_surrogate}', "");
Expect(0, 57343, '\p{^-	is_surrogate}', "");
Expect(0, 57343, '\P{-	is_surrogate}', "");
Expect(1, 57343, '\P{^-	is_surrogate}', "");
Expect(0, 57344, '\p{-	is_surrogate}', "");
Expect(1, 57344, '\p{^-	is_surrogate}', "");
Expect(1, 57344, '\P{-	is_surrogate}', "");
Expect(0, 57344, '\P{^-	is_surrogate}', "");
Error('\p{:= _Cs}');
Error('\P{:= _Cs}');
Expect(1, 57343, '\p{cs}', "");
Expect(0, 57343, '\p{^cs}', "");
Expect(0, 57343, '\P{cs}', "");
Expect(1, 57343, '\P{^cs}', "");
Expect(0, 57344, '\p{cs}', "");
Expect(1, 57344, '\p{^cs}', "");
Expect(1, 57344, '\P{cs}', "");
Expect(0, 57344, '\P{^cs}', "");
Expect(1, 57343, '\p{ -cs}', "");
Expect(0, 57343, '\p{^ -cs}', "");
Expect(0, 57343, '\P{ -cs}', "");
Expect(1, 57343, '\P{^ -cs}', "");
Expect(0, 57344, '\p{ -cs}', "");
Expect(1, 57344, '\p{^ -cs}', "");
Expect(1, 57344, '\P{ -cs}', "");
Expect(0, 57344, '\P{^ -cs}', "");
Error('\p{_Is_CS:=}');
Error('\P{_Is_CS:=}');
Expect(1, 57343, '\p{iscs}', "");
Expect(0, 57343, '\p{^iscs}', "");
Expect(0, 57343, '\P{iscs}', "");
Expect(1, 57343, '\P{^iscs}', "");
Expect(0, 57344, '\p{iscs}', "");
Expect(1, 57344, '\p{^iscs}', "");
Expect(1, 57344, '\P{iscs}', "");
Expect(0, 57344, '\P{^iscs}', "");
Expect(1, 57343, '\p{ Is_CS}', "");
Expect(0, 57343, '\p{^ Is_CS}', "");
Expect(0, 57343, '\P{ Is_CS}', "");
Expect(1, 57343, '\P{^ Is_CS}', "");
Expect(0, 57344, '\p{ Is_CS}', "");
Expect(1, 57344, '\p{^ Is_CS}', "");
Expect(1, 57344, '\P{ Is_CS}', "");
Expect(0, 57344, '\P{^ Is_CS}', "");
Error('\p{/a/__sutton_SignWriting}');
Error('\P{/a/__sutton_SignWriting}');
Expect(1, 121519, '\p{suttonsignwriting}', "");
Expect(0, 121519, '\p{^suttonsignwriting}', "");
Expect(0, 121519, '\P{suttonsignwriting}', "");
Expect(1, 121519, '\P{^suttonsignwriting}', "");
Expect(0, 121520, '\p{suttonsignwriting}', "");
Expect(1, 121520, '\p{^suttonsignwriting}', "");
Expect(1, 121520, '\P{suttonsignwriting}', "");
Expect(0, 121520, '\P{^suttonsignwriting}', "");
Expect(1, 121519, '\p{	-sutton_signwriting}', "");
Expect(0, 121519, '\p{^	-sutton_signwriting}', "");
Expect(0, 121519, '\P{	-sutton_signwriting}', "");
Expect(1, 121519, '\P{^	-sutton_signwriting}', "");
Expect(0, 121520, '\p{	-sutton_signwriting}', "");
Expect(1, 121520, '\p{^	-sutton_signwriting}', "");
Expect(1, 121520, '\P{	-sutton_signwriting}', "");
Expect(0, 121520, '\P{^	-sutton_signwriting}', "");
Error('\p{:=_Is_SUTTON_signwriting}');
Error('\P{:=_Is_SUTTON_signwriting}');
Expect(1, 121519, '\p{issuttonsignwriting}', "");
Expect(0, 121519, '\p{^issuttonsignwriting}', "");
Expect(0, 121519, '\P{issuttonsignwriting}', "");
Expect(1, 121519, '\P{^issuttonsignwriting}', "");
Expect(0, 121520, '\p{issuttonsignwriting}', "");
Expect(1, 121520, '\p{^issuttonsignwriting}', "");
Expect(1, 121520, '\P{issuttonsignwriting}', "");
Expect(0, 121520, '\P{^issuttonsignwriting}', "");
Expect(1, 121519, '\p{_ IS_Sutton_SignWriting}', "");
Expect(0, 121519, '\p{^_ IS_Sutton_SignWriting}', "");
Expect(0, 121519, '\P{_ IS_Sutton_SignWriting}', "");
Expect(1, 121519, '\P{^_ IS_Sutton_SignWriting}', "");
Expect(0, 121520, '\p{_ IS_Sutton_SignWriting}', "");
Expect(1, 121520, '\p{^_ IS_Sutton_SignWriting}', "");
Expect(1, 121520, '\P{_ IS_Sutton_SignWriting}', "");
Expect(0, 121520, '\P{^_ IS_Sutton_SignWriting}', "");
Error('\p{-	in_sutton_signwriting/a/}');
Error('\P{-	in_sutton_signwriting/a/}');
Expect(1, 121519, '\p{insuttonsignwriting}', "");
Expect(0, 121519, '\p{^insuttonsignwriting}', "");
Expect(0, 121519, '\P{insuttonsignwriting}', "");
Expect(1, 121519, '\P{^insuttonsignwriting}', "");
Expect(0, 121520, '\p{insuttonsignwriting}', "");
Expect(1, 121520, '\p{^insuttonsignwriting}', "");
Expect(1, 121520, '\P{insuttonsignwriting}', "");
Expect(0, 121520, '\P{^insuttonsignwriting}', "");
Expect(1, 121519, '\p{_	In_sutton_SignWriting}', "");
Expect(0, 121519, '\p{^_	In_sutton_SignWriting}', "");
Expect(0, 121519, '\P{_	In_sutton_SignWriting}', "");
Expect(1, 121519, '\P{^_	In_sutton_SignWriting}', "");
Expect(0, 121520, '\p{_	In_sutton_SignWriting}', "");
Expect(1, 121520, '\p{^_	In_sutton_SignWriting}', "");
Expect(1, 121520, '\P{_	In_sutton_SignWriting}', "");
Expect(0, 121520, '\P{^_	In_sutton_SignWriting}', "");
Error('\p{-:=syloti_Nagri}');
Error('\P{-:=syloti_Nagri}');
Expect(1, 43051, '\p{sylotinagri}', "");
Expect(0, 43051, '\p{^sylotinagri}', "");
Expect(0, 43051, '\P{sylotinagri}', "");
Expect(1, 43051, '\P{^sylotinagri}', "");
Expect(0, 43052, '\p{sylotinagri}', "");
Expect(1, 43052, '\p{^sylotinagri}', "");
Expect(1, 43052, '\P{sylotinagri}', "");
Expect(0, 43052, '\P{^sylotinagri}', "");
Expect(1, 43051, '\p{_-syloti_NAGRI}', "");
Expect(0, 43051, '\p{^_-syloti_NAGRI}', "");
Expect(0, 43051, '\P{_-syloti_NAGRI}', "");
Expect(1, 43051, '\P{^_-syloti_NAGRI}', "");
Expect(0, 43052, '\p{_-syloti_NAGRI}', "");
Expect(1, 43052, '\p{^_-syloti_NAGRI}', "");
Expect(1, 43052, '\P{_-syloti_NAGRI}', "");
Expect(0, 43052, '\P{^_-syloti_NAGRI}', "");
Error('\p{		Is_syloti_Nagri/a/}');
Error('\P{		Is_syloti_Nagri/a/}');
Expect(1, 43051, '\p{issylotinagri}', "");
Expect(0, 43051, '\p{^issylotinagri}', "");
Expect(0, 43051, '\P{issylotinagri}', "");
Expect(1, 43051, '\P{^issylotinagri}', "");
Expect(0, 43052, '\p{issylotinagri}', "");
Expect(1, 43052, '\p{^issylotinagri}', "");
Expect(1, 43052, '\P{issylotinagri}', "");
Expect(0, 43052, '\P{^issylotinagri}', "");
Expect(1, 43051, '\p{		is_syloti_nagri}', "");
Expect(0, 43051, '\p{^		is_syloti_nagri}', "");
Expect(0, 43051, '\P{		is_syloti_nagri}', "");
Expect(1, 43051, '\P{^		is_syloti_nagri}', "");
Expect(0, 43052, '\p{		is_syloti_nagri}', "");
Expect(1, 43052, '\p{^		is_syloti_nagri}', "");
Expect(1, 43052, '\P{		is_syloti_nagri}', "");
Expect(0, 43052, '\P{^		is_syloti_nagri}', "");
Error('\p{-_Sylo/a/}');
Error('\P{-_Sylo/a/}');
Expect(1, 43051, '\p{sylo}', "");
Expect(0, 43051, '\p{^sylo}', "");
Expect(0, 43051, '\P{sylo}', "");
Expect(1, 43051, '\P{^sylo}', "");
Expect(0, 43052, '\p{sylo}', "");
Expect(1, 43052, '\p{^sylo}', "");
Expect(1, 43052, '\P{sylo}', "");
Expect(0, 43052, '\P{^sylo}', "");
Expect(1, 43051, '\p{ Sylo}', "");
Expect(0, 43051, '\p{^ Sylo}', "");
Expect(0, 43051, '\P{ Sylo}', "");
Expect(1, 43051, '\P{^ Sylo}', "");
Expect(0, 43052, '\p{ Sylo}', "");
Expect(1, 43052, '\p{^ Sylo}', "");
Expect(1, 43052, '\P{ Sylo}', "");
Expect(0, 43052, '\P{^ Sylo}', "");
Error('\p{_	IS_SYLO/a/}');
Error('\P{_	IS_SYLO/a/}');
Expect(1, 43051, '\p{issylo}', "");
Expect(0, 43051, '\p{^issylo}', "");
Expect(0, 43051, '\P{issylo}', "");
Expect(1, 43051, '\P{^issylo}', "");
Expect(0, 43052, '\p{issylo}', "");
Expect(1, 43052, '\p{^issylo}', "");
Expect(1, 43052, '\P{issylo}', "");
Expect(0, 43052, '\P{^issylo}', "");
Expect(1, 43051, '\p{-is_Sylo}', "");
Expect(0, 43051, '\p{^-is_Sylo}', "");
Expect(0, 43051, '\P{-is_Sylo}', "");
Expect(1, 43051, '\P{^-is_Sylo}', "");
Expect(0, 43052, '\p{-is_Sylo}', "");
Expect(1, 43052, '\p{^-is_Sylo}', "");
Expect(1, 43052, '\P{-is_Sylo}', "");
Expect(0, 43052, '\P{^-is_Sylo}', "");
Error('\p{__Symbol/a/}');
Error('\P{__Symbol/a/}');
Expect(1, 129472, '\p{symbol}', "");
Expect(0, 129472, '\p{^symbol}', "");
Expect(0, 129472, '\P{symbol}', "");
Expect(1, 129472, '\P{^symbol}', "");
Expect(0, 129473, '\p{symbol}', "");
Expect(1, 129473, '\p{^symbol}', "");
Expect(1, 129473, '\P{symbol}', "");
Expect(0, 129473, '\P{^symbol}', "");
Expect(1, 129472, '\p{	 Symbol}', "");
Expect(0, 129472, '\p{^	 Symbol}', "");
Expect(0, 129472, '\P{	 Symbol}', "");
Expect(1, 129472, '\P{^	 Symbol}', "");
Expect(0, 129473, '\p{	 Symbol}', "");
Expect(1, 129473, '\p{^	 Symbol}', "");
Expect(1, 129473, '\P{	 Symbol}', "");
Expect(0, 129473, '\P{^	 Symbol}', "");
Error('\p{- Is_symbol/a/}');
Error('\P{- Is_symbol/a/}');
Expect(1, 129472, '\p{issymbol}', "");
Expect(0, 129472, '\p{^issymbol}', "");
Expect(0, 129472, '\P{issymbol}', "");
Expect(1, 129472, '\P{^issymbol}', "");
Expect(0, 129473, '\p{issymbol}', "");
Expect(1, 129473, '\p{^issymbol}', "");
Expect(1, 129473, '\P{issymbol}', "");
Expect(0, 129473, '\P{^issymbol}', "");
Expect(1, 129472, '\p{	 Is_Symbol}', "");
Expect(0, 129472, '\p{^	 Is_Symbol}', "");
Expect(0, 129472, '\P{	 Is_Symbol}', "");
Expect(1, 129472, '\P{^	 Is_Symbol}', "");
Expect(0, 129473, '\p{	 Is_Symbol}', "");
Expect(1, 129473, '\p{^	 Is_Symbol}', "");
Expect(1, 129473, '\P{	 Is_Symbol}', "");
Expect(0, 129473, '\P{^	 Is_Symbol}', "");
Error('\p{	:=s}');
Error('\P{	:=s}');
Expect(1, 129472, '\p{s}', "");
Expect(0, 129472, '\p{^s}', "");
Expect(0, 129472, '\P{s}', "");
Expect(1, 129472, '\P{^s}', "");
Expect(0, 129473, '\p{s}', "");
Expect(1, 129473, '\p{^s}', "");
Expect(1, 129473, '\P{s}', "");
Expect(0, 129473, '\P{^s}', "");
Expect(1, 129472, '\p{	S}', "");
Expect(0, 129472, '\p{^	S}', "");
Expect(0, 129472, '\P{	S}', "");
Expect(1, 129472, '\P{^	S}', "");
Expect(0, 129473, '\p{	S}', "");
Expect(1, 129473, '\p{^	S}', "");
Expect(1, 129473, '\P{	S}', "");
Expect(0, 129473, '\P{^	S}', "");
Error('\p{-/a/is_S}');
Error('\P{-/a/is_S}');
Expect(1, 129472, '\p{iss}', "");
Expect(0, 129472, '\p{^iss}', "");
Expect(0, 129472, '\P{iss}', "");
Expect(1, 129472, '\P{^iss}', "");
Expect(0, 129473, '\p{iss}', "");
Expect(1, 129473, '\p{^iss}', "");
Expect(1, 129473, '\P{iss}', "");
Expect(0, 129473, '\P{^iss}', "");
Expect(1, 129472, '\p{_Is_S}', "");
Expect(0, 129472, '\p{^_Is_S}', "");
Expect(0, 129472, '\P{_Is_S}', "");
Expect(1, 129472, '\P{^_Is_S}', "");
Expect(0, 129473, '\p{_Is_S}', "");
Expect(1, 129473, '\p{^_Is_S}', "");
Expect(1, 129473, '\P{_Is_S}', "");
Expect(0, 129473, '\P{^_Is_S}', "");
Error('\p{	/a/syriac}');
Error('\P{	/a/syriac}');
Expect(1, 1871, '\p{syriac}', "");
Expect(0, 1871, '\p{^syriac}', "");
Expect(0, 1871, '\P{syriac}', "");
Expect(1, 1871, '\P{^syriac}', "");
Expect(0, 1872, '\p{syriac}', "");
Expect(1, 1872, '\p{^syriac}', "");
Expect(1, 1872, '\P{syriac}', "");
Expect(0, 1872, '\P{^syriac}', "");
Expect(1, 1871, '\p{ -syriac}', "");
Expect(0, 1871, '\p{^ -syriac}', "");
Expect(0, 1871, '\P{ -syriac}', "");
Expect(1, 1871, '\P{^ -syriac}', "");
Expect(0, 1872, '\p{ -syriac}', "");
Expect(1, 1872, '\p{^ -syriac}', "");
Expect(1, 1872, '\P{ -syriac}', "");
Expect(0, 1872, '\P{^ -syriac}', "");
Error('\p{-	is_syriac/a/}');
Error('\P{-	is_syriac/a/}');
Expect(1, 1871, '\p{issyriac}', "");
Expect(0, 1871, '\p{^issyriac}', "");
Expect(0, 1871, '\P{issyriac}', "");
Expect(1, 1871, '\P{^issyriac}', "");
Expect(0, 1872, '\p{issyriac}', "");
Expect(1, 1872, '\p{^issyriac}', "");
Expect(1, 1872, '\P{issyriac}', "");
Expect(0, 1872, '\P{^issyriac}', "");
Expect(1, 1871, '\p{IS_Syriac}', "");
Expect(0, 1871, '\p{^IS_Syriac}', "");
Expect(0, 1871, '\P{IS_Syriac}', "");
Expect(1, 1871, '\P{^IS_Syriac}', "");
Expect(0, 1872, '\p{IS_Syriac}', "");
Expect(1, 1872, '\p{^IS_Syriac}', "");
Expect(1, 1872, '\P{IS_Syriac}', "");
Expect(0, 1872, '\P{^IS_Syriac}', "");
Error('\p{:=- Syrc}');
Error('\P{:=- Syrc}');
Expect(1, 1871, '\p{syrc}', "");
Expect(0, 1871, '\p{^syrc}', "");
Expect(0, 1871, '\P{syrc}', "");
Expect(1, 1871, '\P{^syrc}', "");
Expect(0, 1872, '\p{syrc}', "");
Expect(1, 1872, '\p{^syrc}', "");
Expect(1, 1872, '\P{syrc}', "");
Expect(0, 1872, '\P{^syrc}', "");
Expect(1, 1871, '\p{	-SYRC}', "");
Expect(0, 1871, '\p{^	-SYRC}', "");
Expect(0, 1871, '\P{	-SYRC}', "");
Expect(1, 1871, '\P{^	-SYRC}', "");
Expect(0, 1872, '\p{	-SYRC}', "");
Expect(1, 1872, '\p{^	-SYRC}', "");
Expect(1, 1872, '\P{	-SYRC}', "");
Expect(0, 1872, '\P{^	-SYRC}', "");
Error('\p{_/a/is_SYRC}');
Error('\P{_/a/is_SYRC}');
Expect(1, 1871, '\p{issyrc}', "");
Expect(0, 1871, '\p{^issyrc}', "");
Expect(0, 1871, '\P{issyrc}', "");
Expect(1, 1871, '\P{^issyrc}', "");
Expect(0, 1872, '\p{issyrc}', "");
Expect(1, 1872, '\p{^issyrc}', "");
Expect(1, 1872, '\P{issyrc}', "");
Expect(0, 1872, '\P{^issyrc}', "");
Expect(1, 1871, '\p{  Is_Syrc}', "");
Expect(0, 1871, '\p{^  Is_Syrc}', "");
Expect(0, 1871, '\P{  Is_Syrc}', "");
Expect(1, 1871, '\P{^  Is_Syrc}', "");
Expect(0, 1872, '\p{  Is_Syrc}', "");
Expect(1, 1872, '\p{^  Is_Syrc}', "");
Expect(1, 1872, '\P{  Is_Syrc}', "");
Expect(0, 1872, '\P{^  Is_Syrc}', "");
Error('\p{		TAGALOG:=}');
Error('\P{		TAGALOG:=}');
Expect(1, 5908, '\p{tagalog}', "");
Expect(0, 5908, '\p{^tagalog}', "");
Expect(0, 5908, '\P{tagalog}', "");
Expect(1, 5908, '\P{^tagalog}', "");
Expect(0, 5909, '\p{tagalog}', "");
Expect(1, 5909, '\p{^tagalog}', "");
Expect(1, 5909, '\P{tagalog}', "");
Expect(0, 5909, '\P{^tagalog}', "");
Expect(1, 5908, '\p{	TAGALOG}', "");
Expect(0, 5908, '\p{^	TAGALOG}', "");
Expect(0, 5908, '\P{	TAGALOG}', "");
Expect(1, 5908, '\P{^	TAGALOG}', "");
Expect(0, 5909, '\p{	TAGALOG}', "");
Expect(1, 5909, '\p{^	TAGALOG}', "");
Expect(1, 5909, '\P{	TAGALOG}', "");
Expect(0, 5909, '\P{^	TAGALOG}', "");
Error('\p{__is_tagalog/a/}');
Error('\P{__is_tagalog/a/}');
Expect(1, 5908, '\p{istagalog}', "");
Expect(0, 5908, '\p{^istagalog}', "");
Expect(0, 5908, '\P{istagalog}', "");
Expect(1, 5908, '\P{^istagalog}', "");
Expect(0, 5909, '\p{istagalog}', "");
Expect(1, 5909, '\p{^istagalog}', "");
Expect(1, 5909, '\P{istagalog}', "");
Expect(0, 5909, '\P{^istagalog}', "");
Expect(1, 5908, '\p{_Is_Tagalog}', "");
Expect(0, 5908, '\p{^_Is_Tagalog}', "");
Expect(0, 5908, '\P{_Is_Tagalog}', "");
Expect(1, 5908, '\P{^_Is_Tagalog}', "");
Expect(0, 5909, '\p{_Is_Tagalog}', "");
Expect(1, 5909, '\p{^_Is_Tagalog}', "");
Expect(1, 5909, '\P{_Is_Tagalog}', "");
Expect(0, 5909, '\P{^_Is_Tagalog}', "");
Error('\p{	:=TGLG}');
Error('\P{	:=TGLG}');
Expect(1, 5908, '\p{tglg}', "");
Expect(0, 5908, '\p{^tglg}', "");
Expect(0, 5908, '\P{tglg}', "");
Expect(1, 5908, '\P{^tglg}', "");
Expect(0, 5909, '\p{tglg}', "");
Expect(1, 5909, '\p{^tglg}', "");
Expect(1, 5909, '\P{tglg}', "");
Expect(0, 5909, '\P{^tglg}', "");
Expect(1, 5908, '\p{-_Tglg}', "");
Expect(0, 5908, '\p{^-_Tglg}', "");
Expect(0, 5908, '\P{-_Tglg}', "");
Expect(1, 5908, '\P{^-_Tglg}', "");
Expect(0, 5909, '\p{-_Tglg}', "");
Expect(1, 5909, '\p{^-_Tglg}', "");
Expect(1, 5909, '\P{-_Tglg}', "");
Expect(0, 5909, '\P{^-_Tglg}', "");
Error('\p{/a/ 	is_Tglg}');
Error('\P{/a/ 	is_Tglg}');
Expect(1, 5908, '\p{istglg}', "");
Expect(0, 5908, '\p{^istglg}', "");
Expect(0, 5908, '\P{istglg}', "");
Expect(1, 5908, '\P{^istglg}', "");
Expect(0, 5909, '\p{istglg}', "");
Expect(1, 5909, '\p{^istglg}', "");
Expect(1, 5909, '\P{istglg}', "");
Expect(0, 5909, '\P{^istglg}', "");
Expect(1, 5908, '\p{- is_Tglg}', "");
Expect(0, 5908, '\p{^- is_Tglg}', "");
Expect(0, 5908, '\P{- is_Tglg}', "");
Expect(1, 5908, '\P{^- is_Tglg}', "");
Expect(0, 5909, '\p{- is_Tglg}', "");
Expect(1, 5909, '\p{^- is_Tglg}', "");
Expect(1, 5909, '\P{- is_Tglg}', "");
Expect(0, 5909, '\P{^- is_Tglg}', "");
Error('\p{/a/ -TAGBANWA}');
Error('\P{/a/ -TAGBANWA}');
Expect(1, 6003, '\p{tagbanwa}', "");
Expect(0, 6003, '\p{^tagbanwa}', "");
Expect(0, 6003, '\P{tagbanwa}', "");
Expect(1, 6003, '\P{^tagbanwa}', "");
Expect(0, 6004, '\p{tagbanwa}', "");
Expect(1, 6004, '\p{^tagbanwa}', "");
Expect(1, 6004, '\P{tagbanwa}', "");
Expect(0, 6004, '\P{^tagbanwa}', "");
Expect(1, 6003, '\p{_ Tagbanwa}', "");
Expect(0, 6003, '\p{^_ Tagbanwa}', "");
Expect(0, 6003, '\P{_ Tagbanwa}', "");
Expect(1, 6003, '\P{^_ Tagbanwa}', "");
Expect(0, 6004, '\p{_ Tagbanwa}', "");
Expect(1, 6004, '\p{^_ Tagbanwa}', "");
Expect(1, 6004, '\P{_ Tagbanwa}', "");
Expect(0, 6004, '\P{^_ Tagbanwa}', "");
Error('\p{-:=IS_Tagbanwa}');
Error('\P{-:=IS_Tagbanwa}');
Expect(1, 6003, '\p{istagbanwa}', "");
Expect(0, 6003, '\p{^istagbanwa}', "");
Expect(0, 6003, '\P{istagbanwa}', "");
Expect(1, 6003, '\P{^istagbanwa}', "");
Expect(0, 6004, '\p{istagbanwa}', "");
Expect(1, 6004, '\p{^istagbanwa}', "");
Expect(1, 6004, '\P{istagbanwa}', "");
Expect(0, 6004, '\P{^istagbanwa}', "");
Expect(1, 6003, '\p{_Is_TAGBANWA}', "");
Expect(0, 6003, '\p{^_Is_TAGBANWA}', "");
Expect(0, 6003, '\P{_Is_TAGBANWA}', "");
Expect(1, 6003, '\P{^_Is_TAGBANWA}', "");
Expect(0, 6004, '\p{_Is_TAGBANWA}', "");
Expect(1, 6004, '\p{^_Is_TAGBANWA}', "");
Expect(1, 6004, '\P{_Is_TAGBANWA}', "");
Expect(0, 6004, '\P{^_Is_TAGBANWA}', "");
Error('\p{-:=TAGB}');
Error('\P{-:=TAGB}');
Expect(1, 6003, '\p{tagb}', "");
Expect(0, 6003, '\p{^tagb}', "");
Expect(0, 6003, '\P{tagb}', "");
Expect(1, 6003, '\P{^tagb}', "");
Expect(0, 6004, '\p{tagb}', "");
Expect(1, 6004, '\p{^tagb}', "");
Expect(1, 6004, '\P{tagb}', "");
Expect(0, 6004, '\P{^tagb}', "");
Expect(1, 6003, '\p{  Tagb}', "");
Expect(0, 6003, '\p{^  Tagb}', "");
Expect(0, 6003, '\P{  Tagb}', "");
Expect(1, 6003, '\P{^  Tagb}', "");
Expect(0, 6004, '\p{  Tagb}', "");
Expect(1, 6004, '\p{^  Tagb}', "");
Expect(1, 6004, '\P{  Tagb}', "");
Expect(0, 6004, '\P{^  Tagb}', "");
Error('\p{/a/ is_Tagb}');
Error('\P{/a/ is_Tagb}');
Expect(1, 6003, '\p{istagb}', "");
Expect(0, 6003, '\p{^istagb}', "");
Expect(0, 6003, '\P{istagb}', "");
Expect(1, 6003, '\P{^istagb}', "");
Expect(0, 6004, '\p{istagb}', "");
Expect(1, 6004, '\p{^istagb}', "");
Expect(1, 6004, '\P{istagb}', "");
Expect(0, 6004, '\P{^istagb}', "");
Expect(1, 6003, '\p{ _is_TAGB}', "");
Expect(0, 6003, '\p{^ _is_TAGB}', "");
Expect(0, 6003, '\P{ _is_TAGB}', "");
Expect(1, 6003, '\P{^ _is_TAGB}', "");
Expect(0, 6004, '\p{ _is_TAGB}', "");
Expect(1, 6004, '\p{^ _is_TAGB}', "");
Expect(1, 6004, '\P{ _is_TAGB}', "");
Expect(0, 6004, '\P{^ _is_TAGB}', "");
Error('\p{/a/__Tags}');
Error('\P{/a/__Tags}');
Expect(1, 917631, '\p{tags}', "");
Expect(0, 917631, '\p{^tags}', "");
Expect(0, 917631, '\P{tags}', "");
Expect(1, 917631, '\P{^tags}', "");
Expect(0, 917632, '\p{tags}', "");
Expect(1, 917632, '\p{^tags}', "");
Expect(1, 917632, '\P{tags}', "");
Expect(0, 917632, '\P{^tags}', "");
Expect(1, 917631, '\p{_-tags}', "");
Expect(0, 917631, '\p{^_-tags}', "");
Expect(0, 917631, '\P{_-tags}', "");
Expect(1, 917631, '\P{^_-tags}', "");
Expect(0, 917632, '\p{_-tags}', "");
Expect(1, 917632, '\p{^_-tags}', "");
Expect(1, 917632, '\P{_-tags}', "");
Expect(0, 917632, '\P{^_-tags}', "");
Error('\p{	/a/IS_Tags}');
Error('\P{	/a/IS_Tags}');
Expect(1, 917631, '\p{istags}', "");
Expect(0, 917631, '\p{^istags}', "");
Expect(0, 917631, '\P{istags}', "");
Expect(1, 917631, '\P{^istags}', "");
Expect(0, 917632, '\p{istags}', "");
Expect(1, 917632, '\p{^istags}', "");
Expect(1, 917632, '\P{istags}', "");
Expect(0, 917632, '\P{^istags}', "");
Expect(1, 917631, '\p{IS_Tags}', "");
Expect(0, 917631, '\p{^IS_Tags}', "");
Expect(0, 917631, '\P{IS_Tags}', "");
Expect(1, 917631, '\P{^IS_Tags}', "");
Expect(0, 917632, '\p{IS_Tags}', "");
Expect(1, 917632, '\p{^IS_Tags}', "");
Expect(1, 917632, '\P{IS_Tags}', "");
Expect(0, 917632, '\P{^IS_Tags}', "");
Error('\p{ :=In_tags}');
Error('\P{ :=In_tags}');
Expect(1, 917631, '\p{intags}', "");
Expect(0, 917631, '\p{^intags}', "");
Expect(0, 917631, '\P{intags}', "");
Expect(1, 917631, '\P{^intags}', "");
Expect(0, 917632, '\p{intags}', "");
Expect(1, 917632, '\p{^intags}', "");
Expect(1, 917632, '\P{intags}', "");
Expect(0, 917632, '\P{^intags}', "");
Expect(1, 917631, '\p{	IN_Tags}', "");
Expect(0, 917631, '\p{^	IN_Tags}', "");
Expect(0, 917631, '\P{	IN_Tags}', "");
Expect(1, 917631, '\P{^	IN_Tags}', "");
Expect(0, 917632, '\p{	IN_Tags}', "");
Expect(1, 917632, '\p{^	IN_Tags}', "");
Expect(1, 917632, '\P{	IN_Tags}', "");
Expect(0, 917632, '\P{^	IN_Tags}', "");
Error('\p{ :=Tai_le}');
Error('\P{ :=Tai_le}');
Expect(1, 6516, '\p{taile}', "");
Expect(0, 6516, '\p{^taile}', "");
Expect(0, 6516, '\P{taile}', "");
Expect(1, 6516, '\P{^taile}', "");
Expect(0, 6517, '\p{taile}', "");
Expect(1, 6517, '\p{^taile}', "");
Expect(1, 6517, '\P{taile}', "");
Expect(0, 6517, '\P{^taile}', "");
Expect(1, 6516, '\p{	 Tai_Le}', "");
Expect(0, 6516, '\p{^	 Tai_Le}', "");
Expect(0, 6516, '\P{	 Tai_Le}', "");
Expect(1, 6516, '\P{^	 Tai_Le}', "");
Expect(0, 6517, '\p{	 Tai_Le}', "");
Expect(1, 6517, '\p{^	 Tai_Le}', "");
Expect(1, 6517, '\P{	 Tai_Le}', "");
Expect(0, 6517, '\P{^	 Tai_Le}', "");
Error('\p{ /a/is_Tai_LE}');
Error('\P{ /a/is_Tai_LE}');
Expect(1, 6516, '\p{istaile}', "");
Expect(0, 6516, '\p{^istaile}', "");
Expect(0, 6516, '\P{istaile}', "");
Expect(1, 6516, '\P{^istaile}', "");
Expect(0, 6517, '\p{istaile}', "");
Expect(1, 6517, '\p{^istaile}', "");
Expect(1, 6517, '\P{istaile}', "");
Expect(0, 6517, '\P{^istaile}', "");
Expect(1, 6516, '\p{-_Is_tai_le}', "");
Expect(0, 6516, '\p{^-_Is_tai_le}', "");
Expect(0, 6516, '\P{-_Is_tai_le}', "");
Expect(1, 6516, '\P{^-_Is_tai_le}', "");
Expect(0, 6517, '\p{-_Is_tai_le}', "");
Expect(1, 6517, '\p{^-_Is_tai_le}', "");
Expect(1, 6517, '\P{-_Is_tai_le}', "");
Expect(0, 6517, '\P{^-_Is_tai_le}', "");
Error('\p{	Tale/a/}');
Error('\P{	Tale/a/}');
Expect(1, 6516, '\p{tale}', "");
Expect(0, 6516, '\p{^tale}', "");
Expect(0, 6516, '\P{tale}', "");
Expect(1, 6516, '\P{^tale}', "");
Expect(0, 6517, '\p{tale}', "");
Expect(1, 6517, '\p{^tale}', "");
Expect(1, 6517, '\P{tale}', "");
Expect(0, 6517, '\P{^tale}', "");
Expect(1, 6516, '\p{_ TALE}', "");
Expect(0, 6516, '\p{^_ TALE}', "");
Expect(0, 6516, '\P{_ TALE}', "");
Expect(1, 6516, '\P{^_ TALE}', "");
Expect(0, 6517, '\p{_ TALE}', "");
Expect(1, 6517, '\p{^_ TALE}', "");
Expect(1, 6517, '\P{_ TALE}', "");
Expect(0, 6517, '\P{^_ TALE}', "");
Error('\p{_:=Is_tale}');
Error('\P{_:=Is_tale}');
Expect(1, 6516, '\p{istale}', "");
Expect(0, 6516, '\p{^istale}', "");
Expect(0, 6516, '\P{istale}', "");
Expect(1, 6516, '\P{^istale}', "");
Expect(0, 6517, '\p{istale}', "");
Expect(1, 6517, '\p{^istale}', "");
Expect(1, 6517, '\P{istale}', "");
Expect(0, 6517, '\P{^istale}', "");
Expect(1, 6516, '\p{_is_Tale}', "");
Expect(0, 6516, '\p{^_is_Tale}', "");
Expect(0, 6516, '\P{_is_Tale}', "");
Expect(1, 6516, '\P{^_is_Tale}', "");
Expect(0, 6517, '\p{_is_Tale}', "");
Expect(1, 6517, '\p{^_is_Tale}', "");
Expect(1, 6517, '\P{_is_Tale}', "");
Expect(0, 6517, '\P{^_is_Tale}', "");
Error('\p{-Tai_Tham:=}');
Error('\P{-Tai_Tham:=}');
Expect(1, 6829, '\p{taitham}', "");
Expect(0, 6829, '\p{^taitham}', "");
Expect(0, 6829, '\P{taitham}', "");
Expect(1, 6829, '\P{^taitham}', "");
Expect(0, 6830, '\p{taitham}', "");
Expect(1, 6830, '\p{^taitham}', "");
Expect(1, 6830, '\P{taitham}', "");
Expect(0, 6830, '\P{^taitham}', "");
Expect(1, 6829, '\p{ Tai_tham}', "");
Expect(0, 6829, '\p{^ Tai_tham}', "");
Expect(0, 6829, '\P{ Tai_tham}', "");
Expect(1, 6829, '\P{^ Tai_tham}', "");
Expect(0, 6830, '\p{ Tai_tham}', "");
Expect(1, 6830, '\p{^ Tai_tham}', "");
Expect(1, 6830, '\P{ Tai_tham}', "");
Expect(0, 6830, '\P{^ Tai_tham}', "");
Error('\p{:=- IS_Tai_Tham}');
Error('\P{:=- IS_Tai_Tham}');
Expect(1, 6829, '\p{istaitham}', "");
Expect(0, 6829, '\p{^istaitham}', "");
Expect(0, 6829, '\P{istaitham}', "");
Expect(1, 6829, '\P{^istaitham}', "");
Expect(0, 6830, '\p{istaitham}', "");
Expect(1, 6830, '\p{^istaitham}', "");
Expect(1, 6830, '\P{istaitham}', "");
Expect(0, 6830, '\P{^istaitham}', "");
Expect(1, 6829, '\p{	-is_tai_Tham}', "");
Expect(0, 6829, '\p{^	-is_tai_Tham}', "");
Expect(0, 6829, '\P{	-is_tai_Tham}', "");
Expect(1, 6829, '\P{^	-is_tai_Tham}', "");
Expect(0, 6830, '\p{	-is_tai_Tham}', "");
Expect(1, 6830, '\p{^	-is_tai_Tham}', "");
Expect(1, 6830, '\P{	-is_tai_Tham}', "");
Expect(0, 6830, '\P{^	-is_tai_Tham}', "");
Error('\p{/a/ LANA}');
Error('\P{/a/ LANA}');
Expect(1, 6829, '\p{lana}', "");
Expect(0, 6829, '\p{^lana}', "");
Expect(0, 6829, '\P{lana}', "");
Expect(1, 6829, '\P{^lana}', "");
Expect(0, 6830, '\p{lana}', "");
Expect(1, 6830, '\p{^lana}', "");
Expect(1, 6830, '\P{lana}', "");
Expect(0, 6830, '\P{^lana}', "");
Expect(1, 6829, '\p{  LANA}', "");
Expect(0, 6829, '\p{^  LANA}', "");
Expect(0, 6829, '\P{  LANA}', "");
Expect(1, 6829, '\P{^  LANA}', "");
Expect(0, 6830, '\p{  LANA}', "");
Expect(1, 6830, '\p{^  LANA}', "");
Expect(1, 6830, '\P{  LANA}', "");
Expect(0, 6830, '\P{^  LANA}', "");
Error('\p{_-IS_Lana/a/}');
Error('\P{_-IS_Lana/a/}');
Expect(1, 6829, '\p{islana}', "");
Expect(0, 6829, '\p{^islana}', "");
Expect(0, 6829, '\P{islana}', "");
Expect(1, 6829, '\P{^islana}', "");
Expect(0, 6830, '\p{islana}', "");
Expect(1, 6830, '\p{^islana}', "");
Expect(1, 6830, '\P{islana}', "");
Expect(0, 6830, '\P{^islana}', "");
Expect(1, 6829, '\p{	-is_LANA}', "");
Expect(0, 6829, '\p{^	-is_LANA}', "");
Expect(0, 6829, '\P{	-is_LANA}', "");
Expect(1, 6829, '\P{^	-is_LANA}', "");
Expect(0, 6830, '\p{	-is_LANA}', "");
Expect(1, 6830, '\p{^	-is_LANA}', "");
Expect(1, 6830, '\P{	-is_LANA}', "");
Expect(0, 6830, '\P{^	-is_LANA}', "");
Error('\p{	-tai_Viet:=}');
Error('\P{	-tai_Viet:=}');
Expect(1, 43743, '\p{taiviet}', "");
Expect(0, 43743, '\p{^taiviet}', "");
Expect(0, 43743, '\P{taiviet}', "");
Expect(1, 43743, '\P{^taiviet}', "");
Expect(0, 43744, '\p{taiviet}', "");
Expect(1, 43744, '\p{^taiviet}', "");
Expect(1, 43744, '\P{taiviet}', "");
Expect(0, 43744, '\P{^taiviet}', "");
Expect(1, 43743, '\p{ -Tai_Viet}', "");
Expect(0, 43743, '\p{^ -Tai_Viet}', "");
Expect(0, 43743, '\P{ -Tai_Viet}', "");
Expect(1, 43743, '\P{^ -Tai_Viet}', "");
Expect(0, 43744, '\p{ -Tai_Viet}', "");
Expect(1, 43744, '\p{^ -Tai_Viet}', "");
Expect(1, 43744, '\P{ -Tai_Viet}', "");
Expect(0, 43744, '\P{^ -Tai_Viet}', "");
Error('\p{/a/_ IS_tai_Viet}');
Error('\P{/a/_ IS_tai_Viet}');
Expect(1, 43743, '\p{istaiviet}', "");
Expect(0, 43743, '\p{^istaiviet}', "");
Expect(0, 43743, '\P{istaiviet}', "");
Expect(1, 43743, '\P{^istaiviet}', "");
Expect(0, 43744, '\p{istaiviet}', "");
Expect(1, 43744, '\p{^istaiviet}', "");
Expect(1, 43744, '\P{istaiviet}', "");
Expect(0, 43744, '\P{^istaiviet}', "");
Expect(1, 43743, '\p{-_Is_TAI_viet}', "");
Expect(0, 43743, '\p{^-_Is_TAI_viet}', "");
Expect(0, 43743, '\P{-_Is_TAI_viet}', "");
Expect(1, 43743, '\P{^-_Is_TAI_viet}', "");
Expect(0, 43744, '\p{-_Is_TAI_viet}', "");
Expect(1, 43744, '\p{^-_Is_TAI_viet}', "");
Expect(1, 43744, '\P{-_Is_TAI_viet}', "");
Expect(0, 43744, '\P{^-_Is_TAI_viet}', "");
Error('\p{ -Tavt:=}');
Error('\P{ -Tavt:=}');
Expect(1, 43743, '\p{tavt}', "");
Expect(0, 43743, '\p{^tavt}', "");
Expect(0, 43743, '\P{tavt}', "");
Expect(1, 43743, '\P{^tavt}', "");
Expect(0, 43744, '\p{tavt}', "");
Expect(1, 43744, '\p{^tavt}', "");
Expect(1, 43744, '\P{tavt}', "");
Expect(0, 43744, '\P{^tavt}', "");
Expect(1, 43743, '\p{_TAVT}', "");
Expect(0, 43743, '\p{^_TAVT}', "");
Expect(0, 43743, '\P{_TAVT}', "");
Expect(1, 43743, '\P{^_TAVT}', "");
Expect(0, 43744, '\p{_TAVT}', "");
Expect(1, 43744, '\p{^_TAVT}', "");
Expect(1, 43744, '\P{_TAVT}', "");
Expect(0, 43744, '\P{^_TAVT}', "");
Error('\p{_:=is_Tavt}');
Error('\P{_:=is_Tavt}');
Expect(1, 43743, '\p{istavt}', "");
Expect(0, 43743, '\p{^istavt}', "");
Expect(0, 43743, '\P{istavt}', "");
Expect(1, 43743, '\P{^istavt}', "");
Expect(0, 43744, '\p{istavt}', "");
Expect(1, 43744, '\p{^istavt}', "");
Expect(1, 43744, '\P{istavt}', "");
Expect(0, 43744, '\P{^istavt}', "");
Expect(1, 43743, '\p{	_is_Tavt}', "");
Expect(0, 43743, '\p{^	_is_Tavt}', "");
Expect(0, 43743, '\P{	_is_Tavt}', "");
Expect(1, 43743, '\P{^	_is_Tavt}', "");
Expect(0, 43744, '\p{	_is_Tavt}', "");
Expect(1, 43744, '\p{^	_is_Tavt}', "");
Expect(1, 43744, '\P{	_is_Tavt}', "");
Expect(0, 43744, '\P{^	_is_Tavt}', "");
Error('\p{:=_	Tai_Xuan_Jing_SYMBOLS}');
Error('\P{:=_	Tai_Xuan_Jing_SYMBOLS}');
Expect(1, 119647, '\p{taixuanjingsymbols}', "");
Expect(0, 119647, '\p{^taixuanjingsymbols}', "");
Expect(0, 119647, '\P{taixuanjingsymbols}', "");
Expect(1, 119647, '\P{^taixuanjingsymbols}', "");
Expect(0, 119648, '\p{taixuanjingsymbols}', "");
Expect(1, 119648, '\p{^taixuanjingsymbols}', "");
Expect(1, 119648, '\P{taixuanjingsymbols}', "");
Expect(0, 119648, '\P{^taixuanjingsymbols}', "");
Expect(1, 119647, '\p{--TAI_Xuan_JING_Symbols}', "");
Expect(0, 119647, '\p{^--TAI_Xuan_JING_Symbols}', "");
Expect(0, 119647, '\P{--TAI_Xuan_JING_Symbols}', "");
Expect(1, 119647, '\P{^--TAI_Xuan_JING_Symbols}', "");
Expect(0, 119648, '\p{--TAI_Xuan_JING_Symbols}', "");
Expect(1, 119648, '\p{^--TAI_Xuan_JING_Symbols}', "");
Expect(1, 119648, '\P{--TAI_Xuan_JING_Symbols}', "");
Expect(0, 119648, '\P{^--TAI_Xuan_JING_Symbols}', "");
Error('\p{-/a/Is_TAI_Xuan_Jing_Symbols}');
Error('\P{-/a/Is_TAI_Xuan_Jing_Symbols}');
Expect(1, 119647, '\p{istaixuanjingsymbols}', "");
Expect(0, 119647, '\p{^istaixuanjingsymbols}', "");
Expect(0, 119647, '\P{istaixuanjingsymbols}', "");
Expect(1, 119647, '\P{^istaixuanjingsymbols}', "");
Expect(0, 119648, '\p{istaixuanjingsymbols}', "");
Expect(1, 119648, '\p{^istaixuanjingsymbols}', "");
Expect(1, 119648, '\P{istaixuanjingsymbols}', "");
Expect(0, 119648, '\P{^istaixuanjingsymbols}', "");
Expect(1, 119647, '\p{__Is_Tai_Xuan_Jing_Symbols}', "");
Expect(0, 119647, '\p{^__Is_Tai_Xuan_Jing_Symbols}', "");
Expect(0, 119647, '\P{__Is_Tai_Xuan_Jing_Symbols}', "");
Expect(1, 119647, '\P{^__Is_Tai_Xuan_Jing_Symbols}', "");
Expect(0, 119648, '\p{__Is_Tai_Xuan_Jing_Symbols}', "");
Expect(1, 119648, '\p{^__Is_Tai_Xuan_Jing_Symbols}', "");
Expect(1, 119648, '\P{__Is_Tai_Xuan_Jing_Symbols}', "");
Expect(0, 119648, '\P{^__Is_Tai_Xuan_Jing_Symbols}', "");
Error('\p{/a/	_IN_Tai_Xuan_Jing_SYMBOLS}');
Error('\P{/a/	_IN_Tai_Xuan_Jing_SYMBOLS}');
Expect(1, 119647, '\p{intaixuanjingsymbols}', "");
Expect(0, 119647, '\p{^intaixuanjingsymbols}', "");
Expect(0, 119647, '\P{intaixuanjingsymbols}', "");
Expect(1, 119647, '\P{^intaixuanjingsymbols}', "");
Expect(0, 119648, '\p{intaixuanjingsymbols}', "");
Expect(1, 119648, '\p{^intaixuanjingsymbols}', "");
Expect(1, 119648, '\P{intaixuanjingsymbols}', "");
Expect(0, 119648, '\P{^intaixuanjingsymbols}', "");
Expect(1, 119647, '\p{_-IN_Tai_Xuan_Jing_symbols}', "");
Expect(0, 119647, '\p{^_-IN_Tai_Xuan_Jing_symbols}', "");
Expect(0, 119647, '\P{_-IN_Tai_Xuan_Jing_symbols}', "");
Expect(1, 119647, '\P{^_-IN_Tai_Xuan_Jing_symbols}', "");
Expect(0, 119648, '\p{_-IN_Tai_Xuan_Jing_symbols}', "");
Expect(1, 119648, '\p{^_-IN_Tai_Xuan_Jing_symbols}', "");
Expect(1, 119648, '\P{_-IN_Tai_Xuan_Jing_symbols}', "");
Expect(0, 119648, '\P{^_-IN_Tai_Xuan_Jing_symbols}', "");
Error('\p{/a/ TAI_Xuan_jing}');
Error('\P{/a/ TAI_Xuan_jing}');
Expect(1, 119647, '\p{taixuanjing}', "");
Expect(0, 119647, '\p{^taixuanjing}', "");
Expect(0, 119647, '\P{taixuanjing}', "");
Expect(1, 119647, '\P{^taixuanjing}', "");
Expect(0, 119648, '\p{taixuanjing}', "");
Expect(1, 119648, '\p{^taixuanjing}', "");
Expect(1, 119648, '\P{taixuanjing}', "");
Expect(0, 119648, '\P{^taixuanjing}', "");
Expect(1, 119647, '\p{-_TAI_xuan_JING}', "");
Expect(0, 119647, '\p{^-_TAI_xuan_JING}', "");
Expect(0, 119647, '\P{-_TAI_xuan_JING}', "");
Expect(1, 119647, '\P{^-_TAI_xuan_JING}', "");
Expect(0, 119648, '\p{-_TAI_xuan_JING}', "");
Expect(1, 119648, '\p{^-_TAI_xuan_JING}', "");
Expect(1, 119648, '\P{-_TAI_xuan_JING}', "");
Expect(0, 119648, '\P{^-_TAI_xuan_JING}', "");
Error('\p{ /a/Is_Tai_XUAN_JING}');
Error('\P{ /a/Is_Tai_XUAN_JING}');
Expect(1, 119647, '\p{istaixuanjing}', "");
Expect(0, 119647, '\p{^istaixuanjing}', "");
Expect(0, 119647, '\P{istaixuanjing}', "");
Expect(1, 119647, '\P{^istaixuanjing}', "");
Expect(0, 119648, '\p{istaixuanjing}', "");
Expect(1, 119648, '\p{^istaixuanjing}', "");
Expect(1, 119648, '\P{istaixuanjing}', "");
Expect(0, 119648, '\P{^istaixuanjing}', "");
Expect(1, 119647, '\p{is_Tai_xuan_Jing}', "");
Expect(0, 119647, '\p{^is_Tai_xuan_Jing}', "");
Expect(0, 119647, '\P{is_Tai_xuan_Jing}', "");
Expect(1, 119647, '\P{^is_Tai_xuan_Jing}', "");
Expect(0, 119648, '\p{is_Tai_xuan_Jing}', "");
Expect(1, 119648, '\p{^is_Tai_xuan_Jing}', "");
Expect(1, 119648, '\P{is_Tai_xuan_Jing}', "");
Expect(0, 119648, '\P{^is_Tai_xuan_Jing}', "");
Error('\p{__In_tai_Xuan_jing/a/}');
Error('\P{__In_tai_Xuan_jing/a/}');
Expect(1, 119647, '\p{intaixuanjing}', "");
Expect(0, 119647, '\p{^intaixuanjing}', "");
Expect(0, 119647, '\P{intaixuanjing}', "");
Expect(1, 119647, '\P{^intaixuanjing}', "");
Expect(0, 119648, '\p{intaixuanjing}', "");
Expect(1, 119648, '\p{^intaixuanjing}', "");
Expect(1, 119648, '\P{intaixuanjing}', "");
Expect(0, 119648, '\P{^intaixuanjing}', "");
Expect(1, 119647, '\p{_	In_tai_Xuan_jing}', "");
Expect(0, 119647, '\p{^_	In_tai_Xuan_jing}', "");
Expect(0, 119647, '\P{_	In_tai_Xuan_jing}', "");
Expect(1, 119647, '\P{^_	In_tai_Xuan_jing}', "");
Expect(0, 119648, '\p{_	In_tai_Xuan_jing}', "");
Expect(1, 119648, '\p{^_	In_tai_Xuan_jing}', "");
Expect(1, 119648, '\P{_	In_tai_Xuan_jing}', "");
Expect(0, 119648, '\P{^_	In_tai_Xuan_jing}', "");
Error('\p{_-TAKRI/a/}');
Error('\P{_-TAKRI/a/}');
Expect(1, 71369, '\p{takri}', "");
Expect(0, 71369, '\p{^takri}', "");
Expect(0, 71369, '\P{takri}', "");
Expect(1, 71369, '\P{^takri}', "");
Expect(0, 71370, '\p{takri}', "");
Expect(1, 71370, '\p{^takri}', "");
Expect(1, 71370, '\P{takri}', "");
Expect(0, 71370, '\P{^takri}', "");
Expect(1, 71369, '\p{_-Takri}', "");
Expect(0, 71369, '\p{^_-Takri}', "");
Expect(0, 71369, '\P{_-Takri}', "");
Expect(1, 71369, '\P{^_-Takri}', "");
Expect(0, 71370, '\p{_-Takri}', "");
Expect(1, 71370, '\p{^_-Takri}', "");
Expect(1, 71370, '\P{_-Takri}', "");
Expect(0, 71370, '\P{^_-Takri}', "");
Error('\p{:=is_Takri}');
Error('\P{:=is_Takri}');
Expect(1, 71369, '\p{istakri}', "");
Expect(0, 71369, '\p{^istakri}', "");
Expect(0, 71369, '\P{istakri}', "");
Expect(1, 71369, '\P{^istakri}', "");
Expect(0, 71370, '\p{istakri}', "");
Expect(1, 71370, '\p{^istakri}', "");
Expect(1, 71370, '\P{istakri}', "");
Expect(0, 71370, '\P{^istakri}', "");
Expect(1, 71369, '\p{_	IS_Takri}', "");
Expect(0, 71369, '\p{^_	IS_Takri}', "");
Expect(0, 71369, '\P{_	IS_Takri}', "");
Expect(1, 71369, '\P{^_	IS_Takri}', "");
Expect(0, 71370, '\p{_	IS_Takri}', "");
Expect(1, 71370, '\p{^_	IS_Takri}', "");
Expect(1, 71370, '\P{_	IS_Takri}', "");
Expect(0, 71370, '\P{^_	IS_Takri}', "");
Error('\p{ TAKR/a/}');
Error('\P{ TAKR/a/}');
Expect(1, 71369, '\p{takr}', "");
Expect(0, 71369, '\p{^takr}', "");
Expect(0, 71369, '\P{takr}', "");
Expect(1, 71369, '\P{^takr}', "");
Expect(0, 71370, '\p{takr}', "");
Expect(1, 71370, '\p{^takr}', "");
Expect(1, 71370, '\P{takr}', "");
Expect(0, 71370, '\P{^takr}', "");
Expect(1, 71369, '\p{-TAKR}', "");
Expect(0, 71369, '\p{^-TAKR}', "");
Expect(0, 71369, '\P{-TAKR}', "");
Expect(1, 71369, '\P{^-TAKR}', "");
Expect(0, 71370, '\p{-TAKR}', "");
Expect(1, 71370, '\p{^-TAKR}', "");
Expect(1, 71370, '\P{-TAKR}', "");
Expect(0, 71370, '\P{^-TAKR}', "");
Error('\p{Is_Takr/a/}');
Error('\P{Is_Takr/a/}');
Expect(1, 71369, '\p{istakr}', "");
Expect(0, 71369, '\p{^istakr}', "");
Expect(0, 71369, '\P{istakr}', "");
Expect(1, 71369, '\P{^istakr}', "");
Expect(0, 71370, '\p{istakr}', "");
Expect(1, 71370, '\p{^istakr}', "");
Expect(1, 71370, '\P{istakr}', "");
Expect(0, 71370, '\P{^istakr}', "");
Expect(1, 71369, '\p{_ IS_takr}', "");
Expect(0, 71369, '\p{^_ IS_takr}', "");
Expect(0, 71369, '\P{_ IS_takr}', "");
Expect(1, 71369, '\P{^_ IS_takr}', "");
Expect(0, 71370, '\p{_ IS_takr}', "");
Expect(1, 71370, '\p{^_ IS_takr}', "");
Expect(1, 71370, '\P{_ IS_takr}', "");
Expect(0, 71370, '\P{^_ IS_takr}', "");
Error('\p{:= TAMIL}');
Error('\P{:= TAMIL}');
Expect(1, 3066, '\p{tamil}', "");
Expect(0, 3066, '\p{^tamil}', "");
Expect(0, 3066, '\P{tamil}', "");
Expect(1, 3066, '\P{^tamil}', "");
Expect(0, 3067, '\p{tamil}', "");
Expect(1, 3067, '\p{^tamil}', "");
Expect(1, 3067, '\P{tamil}', "");
Expect(0, 3067, '\P{^tamil}', "");
Expect(1, 3066, '\p{_Tamil}', "");
Expect(0, 3066, '\p{^_Tamil}', "");
Expect(0, 3066, '\P{_Tamil}', "");
Expect(1, 3066, '\P{^_Tamil}', "");
Expect(0, 3067, '\p{_Tamil}', "");
Expect(1, 3067, '\p{^_Tamil}', "");
Expect(1, 3067, '\P{_Tamil}', "");
Expect(0, 3067, '\P{^_Tamil}', "");
Error('\p{_:=is_Tamil}');
Error('\P{_:=is_Tamil}');
Expect(1, 3066, '\p{istamil}', "");
Expect(0, 3066, '\p{^istamil}', "");
Expect(0, 3066, '\P{istamil}', "");
Expect(1, 3066, '\P{^istamil}', "");
Expect(0, 3067, '\p{istamil}', "");
Expect(1, 3067, '\p{^istamil}', "");
Expect(1, 3067, '\P{istamil}', "");
Expect(0, 3067, '\P{^istamil}', "");
Expect(1, 3066, '\p{-is_Tamil}', "");
Expect(0, 3066, '\p{^-is_Tamil}', "");
Expect(0, 3066, '\P{-is_Tamil}', "");
Expect(1, 3066, '\P{^-is_Tamil}', "");
Expect(0, 3067, '\p{-is_Tamil}', "");
Expect(1, 3067, '\p{^-is_Tamil}', "");
Expect(1, 3067, '\P{-is_Tamil}', "");
Expect(0, 3067, '\P{^-is_Tamil}', "");
Error('\p{	/a/taml}');
Error('\P{	/a/taml}');
Expect(1, 3066, '\p{taml}', "");
Expect(0, 3066, '\p{^taml}', "");
Expect(0, 3066, '\P{taml}', "");
Expect(1, 3066, '\P{^taml}', "");
Expect(0, 3067, '\p{taml}', "");
Expect(1, 3067, '\p{^taml}', "");
Expect(1, 3067, '\P{taml}', "");
Expect(0, 3067, '\P{^taml}', "");
Expect(1, 3066, '\p{-	Taml}', "");
Expect(0, 3066, '\p{^-	Taml}', "");
Expect(0, 3066, '\P{-	Taml}', "");
Expect(1, 3066, '\P{^-	Taml}', "");
Expect(0, 3067, '\p{-	Taml}', "");
Expect(1, 3067, '\p{^-	Taml}', "");
Expect(1, 3067, '\P{-	Taml}', "");
Expect(0, 3067, '\P{^-	Taml}', "");
Error('\p{_-is_Taml:=}');
Error('\P{_-is_Taml:=}');
Expect(1, 3066, '\p{istaml}', "");
Expect(0, 3066, '\p{^istaml}', "");
Expect(0, 3066, '\P{istaml}', "");
Expect(1, 3066, '\P{^istaml}', "");
Expect(0, 3067, '\p{istaml}', "");
Expect(1, 3067, '\p{^istaml}', "");
Expect(1, 3067, '\P{istaml}', "");
Expect(0, 3067, '\P{^istaml}', "");
Expect(1, 3066, '\p{-	Is_taml}', "");
Expect(0, 3066, '\p{^-	Is_taml}', "");
Expect(0, 3066, '\P{-	Is_taml}', "");
Expect(1, 3066, '\P{^-	Is_taml}', "");
Expect(0, 3067, '\p{-	Is_taml}', "");
Expect(1, 3067, '\p{^-	Is_taml}', "");
Expect(1, 3067, '\P{-	Is_taml}', "");
Expect(0, 3067, '\P{^-	Is_taml}', "");
Error('\p{:=_ TELUGU}');
Error('\P{:=_ TELUGU}');
Expect(1, 3199, '\p{telugu}', "");
Expect(0, 3199, '\p{^telugu}', "");
Expect(0, 3199, '\P{telugu}', "");
Expect(1, 3199, '\P{^telugu}', "");
Expect(0, 3200, '\p{telugu}', "");
Expect(1, 3200, '\p{^telugu}', "");
Expect(1, 3200, '\P{telugu}', "");
Expect(0, 3200, '\P{^telugu}', "");
Expect(1, 3199, '\p{_ telugu}', "");
Expect(0, 3199, '\p{^_ telugu}', "");
Expect(0, 3199, '\P{_ telugu}', "");
Expect(1, 3199, '\P{^_ telugu}', "");
Expect(0, 3200, '\p{_ telugu}', "");
Expect(1, 3200, '\p{^_ telugu}', "");
Expect(1, 3200, '\P{_ telugu}', "");
Expect(0, 3200, '\P{^_ telugu}', "");
Error('\p{Is_Telugu:=}');
Error('\P{Is_Telugu:=}');
Expect(1, 3199, '\p{istelugu}', "");
Expect(0, 3199, '\p{^istelugu}', "");
Expect(0, 3199, '\P{istelugu}', "");
Expect(1, 3199, '\P{^istelugu}', "");
Expect(0, 3200, '\p{istelugu}', "");
Expect(1, 3200, '\p{^istelugu}', "");
Expect(1, 3200, '\P{istelugu}', "");
Expect(0, 3200, '\P{^istelugu}', "");
Expect(1, 3199, '\p{_-Is_TELUGU}', "");
Expect(0, 3199, '\p{^_-Is_TELUGU}', "");
Expect(0, 3199, '\P{_-Is_TELUGU}', "");
Expect(1, 3199, '\P{^_-Is_TELUGU}', "");
Expect(0, 3200, '\p{_-Is_TELUGU}', "");
Expect(1, 3200, '\p{^_-Is_TELUGU}', "");
Expect(1, 3200, '\P{_-Is_TELUGU}', "");
Expect(0, 3200, '\P{^_-Is_TELUGU}', "");
Error('\p{/a/telu}');
Error('\P{/a/telu}');
Expect(1, 3199, '\p{telu}', "");
Expect(0, 3199, '\p{^telu}', "");
Expect(0, 3199, '\P{telu}', "");
Expect(1, 3199, '\P{^telu}', "");
Expect(0, 3200, '\p{telu}', "");
Expect(1, 3200, '\p{^telu}', "");
Expect(1, 3200, '\P{telu}', "");
Expect(0, 3200, '\P{^telu}', "");
Expect(1, 3199, '\p{ -Telu}', "");
Expect(0, 3199, '\p{^ -Telu}', "");
Expect(0, 3199, '\P{ -Telu}', "");
Expect(1, 3199, '\P{^ -Telu}', "");
Expect(0, 3200, '\p{ -Telu}', "");
Expect(1, 3200, '\p{^ -Telu}', "");
Expect(1, 3200, '\P{ -Telu}', "");
Expect(0, 3200, '\P{^ -Telu}', "");
Error('\p{:=IS_telu}');
Error('\P{:=IS_telu}');
Expect(1, 3199, '\p{istelu}', "");
Expect(0, 3199, '\p{^istelu}', "");
Expect(0, 3199, '\P{istelu}', "");
Expect(1, 3199, '\P{^istelu}', "");
Expect(0, 3200, '\p{istelu}', "");
Expect(1, 3200, '\p{^istelu}', "");
Expect(1, 3200, '\P{istelu}', "");
Expect(0, 3200, '\P{^istelu}', "");
Expect(1, 3199, '\p{--is_TELU}', "");
Expect(0, 3199, '\p{^--is_TELU}', "");
Expect(0, 3199, '\P{--is_TELU}', "");
Expect(1, 3199, '\P{^--is_TELU}', "");
Expect(0, 3200, '\p{--is_TELU}', "");
Expect(1, 3200, '\p{^--is_TELU}', "");
Expect(1, 3200, '\P{--is_TELU}', "");
Expect(0, 3200, '\P{^--is_TELU}', "");
Error('\p{:=	 TERMINAL_Punctuation}');
Error('\P{:=	 TERMINAL_Punctuation}');
Expect(1, 121482, '\p{terminalpunctuation}', "");
Expect(0, 121482, '\p{^terminalpunctuation}', "");
Expect(0, 121482, '\P{terminalpunctuation}', "");
Expect(1, 121482, '\P{^terminalpunctuation}', "");
Expect(0, 121483, '\p{terminalpunctuation}', "");
Expect(1, 121483, '\p{^terminalpunctuation}', "");
Expect(1, 121483, '\P{terminalpunctuation}', "");
Expect(0, 121483, '\P{^terminalpunctuation}', "");
Expect(1, 121482, '\p{-terminal_punctuation}', "");
Expect(0, 121482, '\p{^-terminal_punctuation}', "");
Expect(0, 121482, '\P{-terminal_punctuation}', "");
Expect(1, 121482, '\P{^-terminal_punctuation}', "");
Expect(0, 121483, '\p{-terminal_punctuation}', "");
Expect(1, 121483, '\p{^-terminal_punctuation}', "");
Expect(1, 121483, '\P{-terminal_punctuation}', "");
Expect(0, 121483, '\P{^-terminal_punctuation}', "");
Error('\p{	Is_Terminal_Punctuation:=}');
Error('\P{	Is_Terminal_Punctuation:=}');
Expect(1, 121482, '\p{isterminalpunctuation}', "");
Expect(0, 121482, '\p{^isterminalpunctuation}', "");
Expect(0, 121482, '\P{isterminalpunctuation}', "");
Expect(1, 121482, '\P{^isterminalpunctuation}', "");
Expect(0, 121483, '\p{isterminalpunctuation}', "");
Expect(1, 121483, '\p{^isterminalpunctuation}', "");
Expect(1, 121483, '\P{isterminalpunctuation}', "");
Expect(0, 121483, '\P{^isterminalpunctuation}', "");
Expect(1, 121482, '\p{	_is_Terminal_Punctuation}', "");
Expect(0, 121482, '\p{^	_is_Terminal_Punctuation}', "");
Expect(0, 121482, '\P{	_is_Terminal_Punctuation}', "");
Expect(1, 121482, '\P{^	_is_Terminal_Punctuation}', "");
Expect(0, 121483, '\p{	_is_Terminal_Punctuation}', "");
Expect(1, 121483, '\p{^	_is_Terminal_Punctuation}', "");
Expect(1, 121483, '\P{	_is_Terminal_Punctuation}', "");
Expect(0, 121483, '\P{^	_is_Terminal_Punctuation}', "");
Error('\p{/a/ 	Term}');
Error('\P{/a/ 	Term}');
Expect(1, 121482, '\p{term}', "");
Expect(0, 121482, '\p{^term}', "");
Expect(0, 121482, '\P{term}', "");
Expect(1, 121482, '\P{^term}', "");
Expect(0, 121483, '\p{term}', "");
Expect(1, 121483, '\p{^term}', "");
Expect(1, 121483, '\P{term}', "");
Expect(0, 121483, '\P{^term}', "");
Expect(1, 121482, '\p{- TERM}', "");
Expect(0, 121482, '\p{^- TERM}', "");
Expect(0, 121482, '\P{- TERM}', "");
Expect(1, 121482, '\P{^- TERM}', "");
Expect(0, 121483, '\p{- TERM}', "");
Expect(1, 121483, '\p{^- TERM}', "");
Expect(1, 121483, '\P{- TERM}', "");
Expect(0, 121483, '\P{^- TERM}', "");
Error('\p{/a/- is_Term}');
Error('\P{/a/- is_Term}');
Expect(1, 121482, '\p{isterm}', "");
Expect(0, 121482, '\p{^isterm}', "");
Expect(0, 121482, '\P{isterm}', "");
Expect(1, 121482, '\P{^isterm}', "");
Expect(0, 121483, '\p{isterm}', "");
Expect(1, 121483, '\p{^isterm}', "");
Expect(1, 121483, '\P{isterm}', "");
Expect(0, 121483, '\P{^isterm}', "");
Expect(1, 121482, '\p{_-IS_Term}', "");
Expect(0, 121482, '\p{^_-IS_Term}', "");
Expect(0, 121482, '\P{_-IS_Term}', "");
Expect(1, 121482, '\P{^_-IS_Term}', "");
Expect(0, 121483, '\p{_-IS_Term}', "");
Expect(1, 121483, '\p{^_-IS_Term}', "");
Expect(1, 121483, '\P{_-IS_Term}', "");
Expect(0, 121483, '\P{^_-IS_Term}', "");
Error('\p{:=	-THAANA}');
Error('\P{:=	-THAANA}');
Expect(1, 1969, '\p{thaana}', "");
Expect(0, 1969, '\p{^thaana}', "");
Expect(0, 1969, '\P{thaana}', "");
Expect(1, 1969, '\P{^thaana}', "");
Expect(0, 1970, '\p{thaana}', "");
Expect(1, 1970, '\p{^thaana}', "");
Expect(1, 1970, '\P{thaana}', "");
Expect(0, 1970, '\P{^thaana}', "");
Expect(1, 1969, '\p{ Thaana}', "");
Expect(0, 1969, '\p{^ Thaana}', "");
Expect(0, 1969, '\P{ Thaana}', "");
Expect(1, 1969, '\P{^ Thaana}', "");
Expect(0, 1970, '\p{ Thaana}', "");
Expect(1, 1970, '\p{^ Thaana}', "");
Expect(1, 1970, '\P{ Thaana}', "");
Expect(0, 1970, '\P{^ Thaana}', "");
Error('\p{- Is_Thaana/a/}');
Error('\P{- Is_Thaana/a/}');
Expect(1, 1969, '\p{isthaana}', "");
Expect(0, 1969, '\p{^isthaana}', "");
Expect(0, 1969, '\P{isthaana}', "");
Expect(1, 1969, '\P{^isthaana}', "");
Expect(0, 1970, '\p{isthaana}', "");
Expect(1, 1970, '\p{^isthaana}', "");
Expect(1, 1970, '\P{isthaana}', "");
Expect(0, 1970, '\P{^isthaana}', "");
Expect(1, 1969, '\p{_Is_Thaana}', "");
Expect(0, 1969, '\p{^_Is_Thaana}', "");
Expect(0, 1969, '\P{_Is_Thaana}', "");
Expect(1, 1969, '\P{^_Is_Thaana}', "");
Expect(0, 1970, '\p{_Is_Thaana}', "");
Expect(1, 1970, '\p{^_Is_Thaana}', "");
Expect(1, 1970, '\P{_Is_Thaana}', "");
Expect(0, 1970, '\P{^_Is_Thaana}', "");
Error('\p{	:=thaa}');
Error('\P{	:=thaa}');
Expect(1, 1969, '\p{thaa}', "");
Expect(0, 1969, '\p{^thaa}', "");
Expect(0, 1969, '\P{thaa}', "");
Expect(1, 1969, '\P{^thaa}', "");
Expect(0, 1970, '\p{thaa}', "");
Expect(1, 1970, '\p{^thaa}', "");
Expect(1, 1970, '\P{thaa}', "");
Expect(0, 1970, '\P{^thaa}', "");
Expect(1, 1969, '\p{_ Thaa}', "");
Expect(0, 1969, '\p{^_ Thaa}', "");
Expect(0, 1969, '\P{_ Thaa}', "");
Expect(1, 1969, '\P{^_ Thaa}', "");
Expect(0, 1970, '\p{_ Thaa}', "");
Expect(1, 1970, '\p{^_ Thaa}', "");
Expect(1, 1970, '\P{_ Thaa}', "");
Expect(0, 1970, '\P{^_ Thaa}', "");
Error('\p{:=Is_thaa}');
Error('\P{:=Is_thaa}');
Expect(1, 1969, '\p{isthaa}', "");
Expect(0, 1969, '\p{^isthaa}', "");
Expect(0, 1969, '\P{isthaa}', "");
Expect(1, 1969, '\P{^isthaa}', "");
Expect(0, 1970, '\p{isthaa}', "");
Expect(1, 1970, '\p{^isthaa}', "");
Expect(1, 1970, '\P{isthaa}', "");
Expect(0, 1970, '\P{^isthaa}', "");
Expect(1, 1969, '\p{_Is_THAA}', "");
Expect(0, 1969, '\p{^_Is_THAA}', "");
Expect(0, 1969, '\P{_Is_THAA}', "");
Expect(1, 1969, '\P{^_Is_THAA}', "");
Expect(0, 1970, '\p{_Is_THAA}', "");
Expect(1, 1970, '\p{^_Is_THAA}', "");
Expect(1, 1970, '\P{_Is_THAA}', "");
Expect(0, 1970, '\P{^_Is_THAA}', "");
Error('\p{		Thai:=}');
Error('\P{		Thai:=}');
Expect(1, 3675, '\p{thai}', "");
Expect(0, 3675, '\p{^thai}', "");
Expect(0, 3675, '\P{thai}', "");
Expect(1, 3675, '\P{^thai}', "");
Expect(0, 3676, '\p{thai}', "");
Expect(1, 3676, '\p{^thai}', "");
Expect(1, 3676, '\P{thai}', "");
Expect(0, 3676, '\P{^thai}', "");
Expect(1, 3675, '\p{ Thai}', "");
Expect(0, 3675, '\p{^ Thai}', "");
Expect(0, 3675, '\P{ Thai}', "");
Expect(1, 3675, '\P{^ Thai}', "");
Expect(0, 3676, '\p{ Thai}', "");
Expect(1, 3676, '\p{^ Thai}', "");
Expect(1, 3676, '\P{ Thai}', "");
Expect(0, 3676, '\P{^ Thai}', "");
Error('\p{/a/- Is_thai}');
Error('\P{/a/- Is_thai}');
Expect(1, 3675, '\p{isthai}', "");
Expect(0, 3675, '\p{^isthai}', "");
Expect(0, 3675, '\P{isthai}', "");
Expect(1, 3675, '\P{^isthai}', "");
Expect(0, 3676, '\p{isthai}', "");
Expect(1, 3676, '\p{^isthai}', "");
Expect(1, 3676, '\P{isthai}', "");
Expect(0, 3676, '\P{^isthai}', "");
Expect(1, 3675, '\p{ IS_thai}', "");
Expect(0, 3675, '\p{^ IS_thai}', "");
Expect(0, 3675, '\P{ IS_thai}', "");
Expect(1, 3675, '\P{^ IS_thai}', "");
Expect(0, 3676, '\p{ IS_thai}', "");
Expect(1, 3676, '\p{^ IS_thai}', "");
Expect(1, 3676, '\P{ IS_thai}', "");
Expect(0, 3676, '\P{^ IS_thai}', "");
Error('\p{ TIBETAN/a/}');
Error('\P{ TIBETAN/a/}');
Expect(1, 4058, '\p{tibetan}', "");
Expect(0, 4058, '\p{^tibetan}', "");
Expect(0, 4058, '\P{tibetan}', "");
Expect(1, 4058, '\P{^tibetan}', "");
Expect(0, 4059, '\p{tibetan}', "");
Expect(1, 4059, '\p{^tibetan}', "");
Expect(1, 4059, '\P{tibetan}', "");
Expect(0, 4059, '\P{^tibetan}', "");
Expect(1, 4058, '\p{- Tibetan}', "");
Expect(0, 4058, '\p{^- Tibetan}', "");
Expect(0, 4058, '\P{- Tibetan}', "");
Expect(1, 4058, '\P{^- Tibetan}', "");
Expect(0, 4059, '\p{- Tibetan}', "");
Expect(1, 4059, '\p{^- Tibetan}', "");
Expect(1, 4059, '\P{- Tibetan}', "");
Expect(0, 4059, '\P{^- Tibetan}', "");
Error('\p{:=-_IS_Tibetan}');
Error('\P{:=-_IS_Tibetan}');
Expect(1, 4058, '\p{istibetan}', "");
Expect(0, 4058, '\p{^istibetan}', "");
Expect(0, 4058, '\P{istibetan}', "");
Expect(1, 4058, '\P{^istibetan}', "");
Expect(0, 4059, '\p{istibetan}', "");
Expect(1, 4059, '\p{^istibetan}', "");
Expect(1, 4059, '\P{istibetan}', "");
Expect(0, 4059, '\P{^istibetan}', "");
Expect(1, 4058, '\p{ _Is_TIBETAN}', "");
Expect(0, 4058, '\p{^ _Is_TIBETAN}', "");
Expect(0, 4058, '\P{ _Is_TIBETAN}', "");
Expect(1, 4058, '\P{^ _Is_TIBETAN}', "");
Expect(0, 4059, '\p{ _Is_TIBETAN}', "");
Expect(1, 4059, '\p{^ _Is_TIBETAN}', "");
Expect(1, 4059, '\P{ _Is_TIBETAN}', "");
Expect(0, 4059, '\P{^ _Is_TIBETAN}', "");
Error('\p{/a/_ Tibt}');
Error('\P{/a/_ Tibt}');
Expect(1, 4058, '\p{tibt}', "");
Expect(0, 4058, '\p{^tibt}', "");
Expect(0, 4058, '\P{tibt}', "");
Expect(1, 4058, '\P{^tibt}', "");
Expect(0, 4059, '\p{tibt}', "");
Expect(1, 4059, '\p{^tibt}', "");
Expect(1, 4059, '\P{tibt}', "");
Expect(0, 4059, '\P{^tibt}', "");
Expect(1, 4058, '\p{  tibt}', "");
Expect(0, 4058, '\p{^  tibt}', "");
Expect(0, 4058, '\P{  tibt}', "");
Expect(1, 4058, '\P{^  tibt}', "");
Expect(0, 4059, '\p{  tibt}', "");
Expect(1, 4059, '\p{^  tibt}', "");
Expect(1, 4059, '\P{  tibt}', "");
Expect(0, 4059, '\P{^  tibt}', "");
Error('\p{/a/ _is_tibt}');
Error('\P{/a/ _is_tibt}');
Expect(1, 4058, '\p{istibt}', "");
Expect(0, 4058, '\p{^istibt}', "");
Expect(0, 4058, '\P{istibt}', "");
Expect(1, 4058, '\P{^istibt}', "");
Expect(0, 4059, '\p{istibt}', "");
Expect(1, 4059, '\p{^istibt}', "");
Expect(1, 4059, '\P{istibt}', "");
Expect(0, 4059, '\P{^istibt}', "");
Expect(1, 4058, '\p{	_Is_TIBT}', "");
Expect(0, 4058, '\p{^	_Is_TIBT}', "");
Expect(0, 4058, '\P{	_Is_TIBT}', "");
Expect(1, 4058, '\P{^	_Is_TIBT}', "");
Expect(0, 4059, '\p{	_Is_TIBT}', "");
Expect(1, 4059, '\p{^	_Is_TIBT}', "");
Expect(1, 4059, '\P{	_Is_TIBT}', "");
Expect(0, 4059, '\P{^	_Is_TIBT}', "");
Error('\p{ 	Tifinagh/a/}');
Error('\P{ 	Tifinagh/a/}');
Expect(1, 11647, '\p{tifinagh}', "");
Expect(0, 11647, '\p{^tifinagh}', "");
Expect(0, 11647, '\P{tifinagh}', "");
Expect(1, 11647, '\P{^tifinagh}', "");
Expect(0, 11648, '\p{tifinagh}', "");
Expect(1, 11648, '\p{^tifinagh}', "");
Expect(1, 11648, '\P{tifinagh}', "");
Expect(0, 11648, '\P{^tifinagh}', "");
Expect(1, 11647, '\p{-Tifinagh}', "");
Expect(0, 11647, '\p{^-Tifinagh}', "");
Expect(0, 11647, '\P{-Tifinagh}', "");
Expect(1, 11647, '\P{^-Tifinagh}', "");
Expect(0, 11648, '\p{-Tifinagh}', "");
Expect(1, 11648, '\p{^-Tifinagh}', "");
Expect(1, 11648, '\P{-Tifinagh}', "");
Expect(0, 11648, '\P{^-Tifinagh}', "");
Error('\p{-Is_Tifinagh/a/}');
Error('\P{-Is_Tifinagh/a/}');
Expect(1, 11647, '\p{istifinagh}', "");
Expect(0, 11647, '\p{^istifinagh}', "");
Expect(0, 11647, '\P{istifinagh}', "");
Expect(1, 11647, '\P{^istifinagh}', "");
Expect(0, 11648, '\p{istifinagh}', "");
Expect(1, 11648, '\p{^istifinagh}', "");
Expect(1, 11648, '\P{istifinagh}', "");
Expect(0, 11648, '\P{^istifinagh}', "");
Expect(1, 11647, '\p{__is_TIFINAGH}', "");
Expect(0, 11647, '\p{^__is_TIFINAGH}', "");
Expect(0, 11647, '\P{__is_TIFINAGH}', "");
Expect(1, 11647, '\P{^__is_TIFINAGH}', "");
Expect(0, 11648, '\p{__is_TIFINAGH}', "");
Expect(1, 11648, '\p{^__is_TIFINAGH}', "");
Expect(1, 11648, '\P{__is_TIFINAGH}', "");
Expect(0, 11648, '\P{^__is_TIFINAGH}', "");
Error('\p{/a/-	Tfng}');
Error('\P{/a/-	Tfng}');
Expect(1, 11647, '\p{tfng}', "");
Expect(0, 11647, '\p{^tfng}', "");
Expect(0, 11647, '\P{tfng}', "");
Expect(1, 11647, '\P{^tfng}', "");
Expect(0, 11648, '\p{tfng}', "");
Expect(1, 11648, '\p{^tfng}', "");
Expect(1, 11648, '\P{tfng}', "");
Expect(0, 11648, '\P{^tfng}', "");
Expect(1, 11647, '\p{	Tfng}', "");
Expect(0, 11647, '\p{^	Tfng}', "");
Expect(0, 11647, '\P{	Tfng}', "");
Expect(1, 11647, '\P{^	Tfng}', "");
Expect(0, 11648, '\p{	Tfng}', "");
Expect(1, 11648, '\p{^	Tfng}', "");
Expect(1, 11648, '\P{	Tfng}', "");
Expect(0, 11648, '\P{^	Tfng}', "");
Error('\p{:= _Is_Tfng}');
Error('\P{:= _Is_Tfng}');
Expect(1, 11647, '\p{istfng}', "");
Expect(0, 11647, '\p{^istfng}', "");
Expect(0, 11647, '\P{istfng}', "");
Expect(1, 11647, '\P{^istfng}', "");
Expect(0, 11648, '\p{istfng}', "");
Expect(1, 11648, '\p{^istfng}', "");
Expect(1, 11648, '\P{istfng}', "");
Expect(0, 11648, '\P{^istfng}', "");
Expect(1, 11647, '\p{_	Is_Tfng}', "");
Expect(0, 11647, '\p{^_	Is_Tfng}', "");
Expect(0, 11647, '\P{_	Is_Tfng}', "");
Expect(1, 11647, '\P{^_	Is_Tfng}', "");
Expect(0, 11648, '\p{_	Is_Tfng}', "");
Expect(1, 11648, '\p{^_	Is_Tfng}', "");
Expect(1, 11648, '\P{_	Is_Tfng}', "");
Expect(0, 11648, '\P{^_	Is_Tfng}', "");
Error('\p{ -tirhuta:=}');
Error('\P{ -tirhuta:=}');
Expect(1, 70873, '\p{tirhuta}', "");
Expect(0, 70873, '\p{^tirhuta}', "");
Expect(0, 70873, '\P{tirhuta}', "");
Expect(1, 70873, '\P{^tirhuta}', "");
Expect(0, 70874, '\p{tirhuta}', "");
Expect(1, 70874, '\p{^tirhuta}', "");
Expect(1, 70874, '\P{tirhuta}', "");
Expect(0, 70874, '\P{^tirhuta}', "");
Expect(1, 70873, '\p{	_tirhuta}', "");
Expect(0, 70873, '\p{^	_tirhuta}', "");
Expect(0, 70873, '\P{	_tirhuta}', "");
Expect(1, 70873, '\P{^	_tirhuta}', "");
Expect(0, 70874, '\p{	_tirhuta}', "");
Expect(1, 70874, '\p{^	_tirhuta}', "");
Expect(1, 70874, '\P{	_tirhuta}', "");
Expect(0, 70874, '\P{^	_tirhuta}', "");
Error('\p{/a/		is_TIRHUTA}');
Error('\P{/a/		is_TIRHUTA}');
Expect(1, 70873, '\p{istirhuta}', "");
Expect(0, 70873, '\p{^istirhuta}', "");
Expect(0, 70873, '\P{istirhuta}', "");
Expect(1, 70873, '\P{^istirhuta}', "");
Expect(0, 70874, '\p{istirhuta}', "");
Expect(1, 70874, '\p{^istirhuta}', "");
Expect(1, 70874, '\P{istirhuta}', "");
Expect(0, 70874, '\P{^istirhuta}', "");
Expect(1, 70873, '\p{ 	Is_Tirhuta}', "");
Expect(0, 70873, '\p{^ 	Is_Tirhuta}', "");
Expect(0, 70873, '\P{ 	Is_Tirhuta}', "");
Expect(1, 70873, '\P{^ 	Is_Tirhuta}', "");
Expect(0, 70874, '\p{ 	Is_Tirhuta}', "");
Expect(1, 70874, '\p{^ 	Is_Tirhuta}', "");
Expect(1, 70874, '\P{ 	Is_Tirhuta}', "");
Expect(0, 70874, '\P{^ 	Is_Tirhuta}', "");
Error('\p{-_Tirh:=}');
Error('\P{-_Tirh:=}');
Expect(1, 70873, '\p{tirh}', "");
Expect(0, 70873, '\p{^tirh}', "");
Expect(0, 70873, '\P{tirh}', "");
Expect(1, 70873, '\P{^tirh}', "");
Expect(0, 70874, '\p{tirh}', "");
Expect(1, 70874, '\p{^tirh}', "");
Expect(1, 70874, '\P{tirh}', "");
Expect(0, 70874, '\P{^tirh}', "");
Expect(1, 70873, '\p{	_tirh}', "");
Expect(0, 70873, '\p{^	_tirh}', "");
Expect(0, 70873, '\P{	_tirh}', "");
Expect(1, 70873, '\P{^	_tirh}', "");
Expect(0, 70874, '\p{	_tirh}', "");
Expect(1, 70874, '\p{^	_tirh}', "");
Expect(1, 70874, '\P{	_tirh}', "");
Expect(0, 70874, '\P{^	_tirh}', "");
Error('\p{/a/-is_TIRH}');
Error('\P{/a/-is_TIRH}');
Expect(1, 70873, '\p{istirh}', "");
Expect(0, 70873, '\p{^istirh}', "");
Expect(0, 70873, '\P{istirh}', "");
Expect(1, 70873, '\P{^istirh}', "");
Expect(0, 70874, '\p{istirh}', "");
Expect(1, 70874, '\p{^istirh}', "");
Expect(1, 70874, '\P{istirh}', "");
Expect(0, 70874, '\P{^istirh}', "");
Expect(1, 70873, '\p{ 	Is_TIRH}', "");
Expect(0, 70873, '\p{^ 	Is_TIRH}', "");
Expect(0, 70873, '\P{ 	Is_TIRH}', "");
Expect(1, 70873, '\P{^ 	Is_TIRH}', "");
Expect(0, 70874, '\p{ 	Is_TIRH}', "");
Expect(1, 70874, '\p{^ 	Is_TIRH}', "");
Expect(1, 70874, '\P{ 	Is_TIRH}', "");
Expect(0, 70874, '\P{^ 	Is_TIRH}', "");
Error('\p{:=-_Titlecase}');
Error('\P{:=-_Titlecase}');
Expect(1, 8188, '\p{titlecase}', "");
Expect(0, 8188, '\p{^titlecase}', "");
Expect(0, 8188, '\P{titlecase}', "");
Expect(1, 8188, '\P{^titlecase}', "");
Expect(0, 8189, '\p{titlecase}', "");
Expect(1, 8189, '\p{^titlecase}', "");
Expect(1, 8189, '\P{titlecase}', "");
Expect(0, 8189, '\P{^titlecase}', "");
Expect(1, 8188, '\p{		Titlecase}', "");
Expect(0, 8188, '\p{^		Titlecase}', "");
Expect(0, 8188, '\P{		Titlecase}', "");
Expect(1, 8188, '\P{^		Titlecase}', "");
Expect(0, 8189, '\p{		Titlecase}', "");
Expect(1, 8189, '\p{^		Titlecase}', "");
Expect(1, 8189, '\P{		Titlecase}', "");
Expect(0, 8189, '\P{^		Titlecase}', "");
Error('\p{/a/_-TITLE}');
Error('\P{/a/_-TITLE}');
Expect(1, 8188, '\p{title}', "");
Expect(0, 8188, '\p{^title}', "");
Expect(0, 8188, '\P{title}', "");
Expect(1, 8188, '\P{^title}', "");
Expect(0, 8189, '\p{title}', "");
Expect(1, 8189, '\p{^title}', "");
Expect(1, 8189, '\P{title}', "");
Expect(0, 8189, '\P{^title}', "");
Expect(1, 8188, '\p{_ title}', "");
Expect(0, 8188, '\p{^_ title}', "");
Expect(0, 8188, '\P{_ title}', "");
Expect(1, 8188, '\P{^_ title}', "");
Expect(0, 8189, '\p{_ title}', "");
Expect(1, 8189, '\p{^_ title}', "");
Expect(1, 8189, '\P{_ title}', "");
Expect(0, 8189, '\P{^_ title}', "");
Error('\p{	_IS_Titlecase:=}');
Error('\P{	_IS_Titlecase:=}');
Expect(1, 8188, '\p{istitlecase}', "");
Expect(0, 8188, '\p{^istitlecase}', "");
Expect(0, 8188, '\P{istitlecase}', "");
Expect(1, 8188, '\P{^istitlecase}', "");
Expect(0, 8189, '\p{istitlecase}', "");
Expect(1, 8189, '\p{^istitlecase}', "");
Expect(1, 8189, '\P{istitlecase}', "");
Expect(0, 8189, '\P{^istitlecase}', "");
Expect(1, 8188, '\p{	 is_Titlecase}', "");
Expect(0, 8188, '\p{^	 is_Titlecase}', "");
Expect(0, 8188, '\P{	 is_Titlecase}', "");
Expect(1, 8188, '\P{^	 is_Titlecase}', "");
Expect(0, 8189, '\p{	 is_Titlecase}', "");
Expect(1, 8189, '\p{^	 is_Titlecase}', "");
Expect(1, 8189, '\P{	 is_Titlecase}', "");
Expect(0, 8189, '\P{^	 is_Titlecase}', "");
Error('\p{	Is_Title/a/}');
Error('\P{	Is_Title/a/}');
Expect(1, 8188, '\p{istitle}', "");
Expect(0, 8188, '\p{^istitle}', "");
Expect(0, 8188, '\P{istitle}', "");
Expect(1, 8188, '\P{^istitle}', "");
Expect(0, 8189, '\p{istitle}', "");
Expect(1, 8189, '\p{^istitle}', "");
Expect(1, 8189, '\P{istitle}', "");
Expect(0, 8189, '\P{^istitle}', "");
Expect(1, 8188, '\p{Is_Title}', "");
Expect(0, 8188, '\p{^Is_Title}', "");
Expect(0, 8188, '\P{Is_Title}', "");
Expect(1, 8188, '\P{^Is_Title}', "");
Expect(0, 8189, '\p{Is_Title}', "");
Expect(1, 8189, '\p{^Is_Title}', "");
Expect(1, 8189, '\P{Is_Title}', "");
Expect(0, 8189, '\P{^Is_Title}', "");
Error('\p{:=titlecase_Letter}');
Error('\P{:=titlecase_Letter}');
Expect(1, 8188, '\p{titlecaseletter}', "");
Expect(0, 8188, '\p{^titlecaseletter}', "");
Expect(0, 8188, '\P{titlecaseletter}', "");
Expect(1, 8188, '\P{^titlecaseletter}', "");
Expect(0, 8189, '\p{titlecaseletter}', "");
Expect(1, 8189, '\p{^titlecaseletter}', "");
Expect(1, 8189, '\P{titlecaseletter}', "");
Expect(0, 8189, '\P{^titlecaseletter}', "");
Expect(1, 8188, '\p{_ TITLECASE_Letter}', "");
Expect(0, 8188, '\p{^_ TITLECASE_Letter}', "");
Expect(0, 8188, '\P{_ TITLECASE_Letter}', "");
Expect(1, 8188, '\P{^_ TITLECASE_Letter}', "");
Expect(0, 8189, '\p{_ TITLECASE_Letter}', "");
Expect(1, 8189, '\p{^_ TITLECASE_Letter}', "");
Expect(1, 8189, '\P{_ TITLECASE_Letter}', "");
Expect(0, 8189, '\P{^_ TITLECASE_Letter}', "");
Error('\p{:=IS_titlecase_Letter}');
Error('\P{:=IS_titlecase_Letter}');
Expect(1, 8188, '\p{istitlecaseletter}', "");
Expect(0, 8188, '\p{^istitlecaseletter}', "");
Expect(0, 8188, '\P{istitlecaseletter}', "");
Expect(1, 8188, '\P{^istitlecaseletter}', "");
Expect(0, 8189, '\p{istitlecaseletter}', "");
Expect(1, 8189, '\p{^istitlecaseletter}', "");
Expect(1, 8189, '\P{istitlecaseletter}', "");
Expect(0, 8189, '\P{^istitlecaseletter}', "");
Expect(1, 8188, '\p{IS_Titlecase_Letter}', "");
Expect(0, 8188, '\p{^IS_Titlecase_Letter}', "");
Expect(0, 8188, '\P{IS_Titlecase_Letter}', "");
Expect(1, 8188, '\P{^IS_Titlecase_Letter}', "");
Expect(0, 8189, '\p{IS_Titlecase_Letter}', "");
Expect(1, 8189, '\p{^IS_Titlecase_Letter}', "");
Expect(1, 8189, '\P{IS_Titlecase_Letter}', "");
Expect(0, 8189, '\P{^IS_Titlecase_Letter}', "");
Error('\p{	:=Lt}');
Error('\P{	:=Lt}');
Expect(1, 8188, '\p{lt}', "");
Expect(0, 8188, '\p{^lt}', "");
Expect(0, 8188, '\P{lt}', "");
Expect(1, 8188, '\P{^lt}', "");
Expect(0, 8189, '\p{lt}', "");
Expect(1, 8189, '\p{^lt}', "");
Expect(1, 8189, '\P{lt}', "");
Expect(0, 8189, '\P{^lt}', "");
Expect(1, 8188, '\p{ LT}', "");
Expect(0, 8188, '\p{^ LT}', "");
Expect(0, 8188, '\P{ LT}', "");
Expect(1, 8188, '\P{^ LT}', "");
Expect(0, 8189, '\p{ LT}', "");
Expect(1, 8189, '\p{^ LT}', "");
Expect(1, 8189, '\P{ LT}', "");
Expect(0, 8189, '\P{^ LT}', "");
Error('\p{_-Is_Lt/a/}');
Error('\P{_-Is_Lt/a/}');
Expect(1, 8188, '\p{islt}', "");
Expect(0, 8188, '\p{^islt}', "");
Expect(0, 8188, '\P{islt}', "");
Expect(1, 8188, '\P{^islt}', "");
Expect(0, 8189, '\p{islt}', "");
Expect(1, 8189, '\p{^islt}', "");
Expect(1, 8189, '\P{islt}', "");
Expect(0, 8189, '\P{^islt}', "");
Expect(1, 8188, '\p{__IS_Lt}', "");
Expect(0, 8188, '\p{^__IS_Lt}', "");
Expect(0, 8188, '\P{__IS_Lt}', "");
Expect(1, 8188, '\P{^__IS_Lt}', "");
Expect(0, 8189, '\p{__IS_Lt}', "");
Expect(1, 8189, '\p{^__IS_Lt}', "");
Expect(1, 8189, '\P{__IS_Lt}', "");
Expect(0, 8189, '\P{^__IS_Lt}', "");
Error('\p{:=_ Transport_And_map_Symbols}');
Error('\P{:=_ Transport_And_map_Symbols}');
Expect(1, 128767, '\p{transportandmapsymbols}', "");
Expect(0, 128767, '\p{^transportandmapsymbols}', "");
Expect(0, 128767, '\P{transportandmapsymbols}', "");
Expect(1, 128767, '\P{^transportandmapsymbols}', "");
Expect(0, 128768, '\p{transportandmapsymbols}', "");
Expect(1, 128768, '\p{^transportandmapsymbols}', "");
Expect(1, 128768, '\P{transportandmapsymbols}', "");
Expect(0, 128768, '\P{^transportandmapsymbols}', "");
Expect(1, 128767, '\p{	_TRANSPORT_AND_MAP_SYMBOLS}', "");
Expect(0, 128767, '\p{^	_TRANSPORT_AND_MAP_SYMBOLS}', "");
Expect(0, 128767, '\P{	_TRANSPORT_AND_MAP_SYMBOLS}', "");
Expect(1, 128767, '\P{^	_TRANSPORT_AND_MAP_SYMBOLS}', "");
Expect(0, 128768, '\p{	_TRANSPORT_AND_MAP_SYMBOLS}', "");
Expect(1, 128768, '\p{^	_TRANSPORT_AND_MAP_SYMBOLS}', "");
Expect(1, 128768, '\P{	_TRANSPORT_AND_MAP_SYMBOLS}', "");
Expect(0, 128768, '\P{^	_TRANSPORT_AND_MAP_SYMBOLS}', "");
Error('\p{		Is_Transport_And_MAP_Symbols:=}');
Error('\P{		Is_Transport_And_MAP_Symbols:=}');
Expect(1, 128767, '\p{istransportandmapsymbols}', "");
Expect(0, 128767, '\p{^istransportandmapsymbols}', "");
Expect(0, 128767, '\P{istransportandmapsymbols}', "");
Expect(1, 128767, '\P{^istransportandmapsymbols}', "");
Expect(0, 128768, '\p{istransportandmapsymbols}', "");
Expect(1, 128768, '\p{^istransportandmapsymbols}', "");
Expect(1, 128768, '\P{istransportandmapsymbols}', "");
Expect(0, 128768, '\P{^istransportandmapsymbols}', "");
Expect(1, 128767, '\p{	_is_Transport_and_Map_Symbols}', "");
Expect(0, 128767, '\p{^	_is_Transport_and_Map_Symbols}', "");
Expect(0, 128767, '\P{	_is_Transport_and_Map_Symbols}', "");
Expect(1, 128767, '\P{^	_is_Transport_and_Map_Symbols}', "");
Expect(0, 128768, '\p{	_is_Transport_and_Map_Symbols}', "");
Expect(1, 128768, '\p{^	_is_Transport_and_Map_Symbols}', "");
Expect(1, 128768, '\P{	_is_Transport_and_Map_Symbols}', "");
Expect(0, 128768, '\P{^	_is_Transport_and_Map_Symbols}', "");
Error('\p{	 in_TRANSPORT_AND_map_Symbols:=}');
Error('\P{	 in_TRANSPORT_AND_map_Symbols:=}');
Expect(1, 128767, '\p{intransportandmapsymbols}', "");
Expect(0, 128767, '\p{^intransportandmapsymbols}', "");
Expect(0, 128767, '\P{intransportandmapsymbols}', "");
Expect(1, 128767, '\P{^intransportandmapsymbols}', "");
Expect(0, 128768, '\p{intransportandmapsymbols}', "");
Expect(1, 128768, '\p{^intransportandmapsymbols}', "");
Expect(1, 128768, '\P{intransportandmapsymbols}', "");
Expect(0, 128768, '\P{^intransportandmapsymbols}', "");
Expect(1, 128767, '\p{_-IN_TRANSPORT_AND_map_SYMBOLS}', "");
Expect(0, 128767, '\p{^_-IN_TRANSPORT_AND_map_SYMBOLS}', "");
Expect(0, 128767, '\P{_-IN_TRANSPORT_AND_map_SYMBOLS}', "");
Expect(1, 128767, '\P{^_-IN_TRANSPORT_AND_map_SYMBOLS}', "");
Expect(0, 128768, '\p{_-IN_TRANSPORT_AND_map_SYMBOLS}', "");
Expect(1, 128768, '\p{^_-IN_TRANSPORT_AND_map_SYMBOLS}', "");
Expect(1, 128768, '\P{_-IN_TRANSPORT_AND_map_SYMBOLS}', "");
Expect(0, 128768, '\P{^_-IN_TRANSPORT_AND_map_SYMBOLS}', "");
Error('\p{ _Transport_and_MAP:=}');
Error('\P{ _Transport_and_MAP:=}');
Expect(1, 128767, '\p{transportandmap}', "");
Expect(0, 128767, '\p{^transportandmap}', "");
Expect(0, 128767, '\P{transportandmap}', "");
Expect(1, 128767, '\P{^transportandmap}', "");
Expect(0, 128768, '\p{transportandmap}', "");
Expect(1, 128768, '\p{^transportandmap}', "");
Expect(1, 128768, '\P{transportandmap}', "");
Expect(0, 128768, '\P{^transportandmap}', "");
Expect(1, 128767, '\p{	transport_And_Map}', "");
Expect(0, 128767, '\p{^	transport_And_Map}', "");
Expect(0, 128767, '\P{	transport_And_Map}', "");
Expect(1, 128767, '\P{^	transport_And_Map}', "");
Expect(0, 128768, '\p{	transport_And_Map}', "");
Expect(1, 128768, '\p{^	transport_And_Map}', "");
Expect(1, 128768, '\P{	transport_And_Map}', "");
Expect(0, 128768, '\P{^	transport_And_Map}', "");
Error('\p{ -is_Transport_And_MAP:=}');
Error('\P{ -is_Transport_And_MAP:=}');
Expect(1, 128767, '\p{istransportandmap}', "");
Expect(0, 128767, '\p{^istransportandmap}', "");
Expect(0, 128767, '\P{istransportandmap}', "");
Expect(1, 128767, '\P{^istransportandmap}', "");
Expect(0, 128768, '\p{istransportandmap}', "");
Expect(1, 128768, '\p{^istransportandmap}', "");
Expect(1, 128768, '\P{istransportandmap}', "");
Expect(0, 128768, '\P{^istransportandmap}', "");
Expect(1, 128767, '\p{		IS_transport_And_map}', "");
Expect(0, 128767, '\p{^		IS_transport_And_map}', "");
Expect(0, 128767, '\P{		IS_transport_And_map}', "");
Expect(1, 128767, '\P{^		IS_transport_And_map}', "");
Expect(0, 128768, '\p{		IS_transport_And_map}', "");
Expect(1, 128768, '\p{^		IS_transport_And_map}', "");
Expect(1, 128768, '\P{		IS_transport_And_map}', "");
Expect(0, 128768, '\P{^		IS_transport_And_map}', "");
Error('\p{:= 	IN_TRANSPORT_AND_Map}');
Error('\P{:= 	IN_TRANSPORT_AND_Map}');
Expect(1, 128767, '\p{intransportandmap}', "");
Expect(0, 128767, '\p{^intransportandmap}', "");
Expect(0, 128767, '\P{intransportandmap}', "");
Expect(1, 128767, '\P{^intransportandmap}', "");
Expect(0, 128768, '\p{intransportandmap}', "");
Expect(1, 128768, '\p{^intransportandmap}', "");
Expect(1, 128768, '\P{intransportandmap}', "");
Expect(0, 128768, '\P{^intransportandmap}', "");
Expect(1, 128767, '\p{__in_TRANSPORT_And_Map}', "");
Expect(0, 128767, '\p{^__in_TRANSPORT_And_Map}', "");
Expect(0, 128767, '\P{__in_TRANSPORT_And_Map}', "");
Expect(1, 128767, '\P{^__in_TRANSPORT_And_Map}', "");
Expect(0, 128768, '\p{__in_TRANSPORT_And_Map}', "");
Expect(1, 128768, '\p{^__in_TRANSPORT_And_Map}', "");
Expect(1, 128768, '\P{__in_TRANSPORT_And_Map}', "");
Expect(0, 128768, '\P{^__in_TRANSPORT_And_Map}', "");
Error('\p{Ugaritic/a/}');
Error('\P{Ugaritic/a/}');
Expect(1, 66463, '\p{ugaritic}', "");
Expect(0, 66463, '\p{^ugaritic}', "");
Expect(0, 66463, '\P{ugaritic}', "");
Expect(1, 66463, '\P{^ugaritic}', "");
Expect(0, 66464, '\p{ugaritic}', "");
Expect(1, 66464, '\p{^ugaritic}', "");
Expect(1, 66464, '\P{ugaritic}', "");
Expect(0, 66464, '\P{^ugaritic}', "");
Expect(1, 66463, '\p{_ UGARITIC}', "");
Expect(0, 66463, '\p{^_ UGARITIC}', "");
Expect(0, 66463, '\P{_ UGARITIC}', "");
Expect(1, 66463, '\P{^_ UGARITIC}', "");
Expect(0, 66464, '\p{_ UGARITIC}', "");
Expect(1, 66464, '\p{^_ UGARITIC}', "");
Expect(1, 66464, '\P{_ UGARITIC}', "");
Expect(0, 66464, '\P{^_ UGARITIC}', "");
Error('\p{-:=Is_ugaritic}');
Error('\P{-:=Is_ugaritic}');
Expect(1, 66463, '\p{isugaritic}', "");
Expect(0, 66463, '\p{^isugaritic}', "");
Expect(0, 66463, '\P{isugaritic}', "");
Expect(1, 66463, '\P{^isugaritic}', "");
Expect(0, 66464, '\p{isugaritic}', "");
Expect(1, 66464, '\p{^isugaritic}', "");
Expect(1, 66464, '\P{isugaritic}', "");
Expect(0, 66464, '\P{^isugaritic}', "");
Expect(1, 66463, '\p{_	IS_Ugaritic}', "");
Expect(0, 66463, '\p{^_	IS_Ugaritic}', "");
Expect(0, 66463, '\P{_	IS_Ugaritic}', "");
Expect(1, 66463, '\P{^_	IS_Ugaritic}', "");
Expect(0, 66464, '\p{_	IS_Ugaritic}', "");
Expect(1, 66464, '\p{^_	IS_Ugaritic}', "");
Expect(1, 66464, '\P{_	IS_Ugaritic}', "");
Expect(0, 66464, '\P{^_	IS_Ugaritic}', "");
Error('\p{/a/- Ugar}');
Error('\P{/a/- Ugar}');
Expect(1, 66463, '\p{ugar}', "");
Expect(0, 66463, '\p{^ugar}', "");
Expect(0, 66463, '\P{ugar}', "");
Expect(1, 66463, '\P{^ugar}', "");
Expect(0, 66464, '\p{ugar}', "");
Expect(1, 66464, '\p{^ugar}', "");
Expect(1, 66464, '\P{ugar}', "");
Expect(0, 66464, '\P{^ugar}', "");
Expect(1, 66463, '\p{ 	Ugar}', "");
Expect(0, 66463, '\p{^ 	Ugar}', "");
Expect(0, 66463, '\P{ 	Ugar}', "");
Expect(1, 66463, '\P{^ 	Ugar}', "");
Expect(0, 66464, '\p{ 	Ugar}', "");
Expect(1, 66464, '\p{^ 	Ugar}', "");
Expect(1, 66464, '\P{ 	Ugar}', "");
Expect(0, 66464, '\P{^ 	Ugar}', "");
Error('\p{/a/ IS_ugar}');
Error('\P{/a/ IS_ugar}');
Expect(1, 66463, '\p{isugar}', "");
Expect(0, 66463, '\p{^isugar}', "");
Expect(0, 66463, '\P{isugar}', "");
Expect(1, 66463, '\P{^isugar}', "");
Expect(0, 66464, '\p{isugar}', "");
Expect(1, 66464, '\p{^isugar}', "");
Expect(1, 66464, '\P{isugar}', "");
Expect(0, 66464, '\P{^isugar}', "");
Expect(1, 66463, '\p{-_IS_UGAR}', "");
Expect(0, 66463, '\p{^-_IS_UGAR}', "");
Expect(0, 66463, '\P{-_IS_UGAR}', "");
Expect(1, 66463, '\P{^-_IS_UGAR}', "");
Expect(0, 66464, '\p{-_IS_UGAR}', "");
Expect(1, 66464, '\p{^-_IS_UGAR}', "");
Expect(1, 66464, '\P{-_IS_UGAR}', "");
Expect(0, 66464, '\P{^-_IS_UGAR}', "");
Error('\p{--UNASSIGNED:=}');
Error('\P{--UNASSIGNED:=}');
Expect(1, 918000, '\p{unassigned}', "");
Expect(0, 918000, '\p{^unassigned}', "");
Expect(0, 918000, '\P{unassigned}', "");
Expect(1, 918000, '\P{^unassigned}', "");
Expect(0, 1114109, '\p{unassigned}', "");
Expect(1, 1114109, '\p{^unassigned}', "");
Expect(1, 1114109, '\P{unassigned}', "");
Expect(0, 1114109, '\P{^unassigned}', "");
Expect(1, 918000, '\p{__unassigned}', "");
Expect(0, 918000, '\p{^__unassigned}', "");
Expect(0, 918000, '\P{__unassigned}', "");
Expect(1, 918000, '\P{^__unassigned}', "");
Expect(0, 1114109, '\p{__unassigned}', "");
Expect(1, 1114109, '\p{^__unassigned}', "");
Expect(1, 1114109, '\P{__unassigned}', "");
Expect(0, 1114109, '\P{^__unassigned}', "");
Error('\p{_/a/Is_unassigned}');
Error('\P{_/a/Is_unassigned}');
Expect(1, 918000, '\p{isunassigned}', "");
Expect(0, 918000, '\p{^isunassigned}', "");
Expect(0, 918000, '\P{isunassigned}', "");
Expect(1, 918000, '\P{^isunassigned}', "");
Expect(0, 1114109, '\p{isunassigned}', "");
Expect(1, 1114109, '\p{^isunassigned}', "");
Expect(1, 1114109, '\P{isunassigned}', "");
Expect(0, 1114109, '\P{^isunassigned}', "");
Expect(1, 918000, '\p{	_is_UNASSIGNED}', "");
Expect(0, 918000, '\p{^	_is_UNASSIGNED}', "");
Expect(0, 918000, '\P{	_is_UNASSIGNED}', "");
Expect(1, 918000, '\P{^	_is_UNASSIGNED}', "");
Expect(0, 1114109, '\p{	_is_UNASSIGNED}', "");
Expect(1, 1114109, '\p{^	_is_UNASSIGNED}', "");
Expect(1, 1114109, '\P{	_is_UNASSIGNED}', "");
Expect(0, 1114109, '\P{^	_is_UNASSIGNED}', "");
Error('\p{:=Cn}');
Error('\P{:=Cn}');
Expect(1, 918000, '\p{cn}', "");
Expect(0, 918000, '\p{^cn}', "");
Expect(0, 918000, '\P{cn}', "");
Expect(1, 918000, '\P{^cn}', "");
Expect(0, 1114109, '\p{cn}', "");
Expect(1, 1114109, '\p{^cn}', "");
Expect(1, 1114109, '\P{cn}', "");
Expect(0, 1114109, '\P{^cn}', "");
Expect(1, 918000, '\p{_cn}', "");
Expect(0, 918000, '\p{^_cn}', "");
Expect(0, 918000, '\P{_cn}', "");
Expect(1, 918000, '\P{^_cn}', "");
Expect(0, 1114109, '\p{_cn}', "");
Expect(1, 1114109, '\p{^_cn}', "");
Expect(1, 1114109, '\P{_cn}', "");
Expect(0, 1114109, '\P{^_cn}', "");
Error('\p{:= IS_CN}');
Error('\P{:= IS_CN}');
Expect(1, 918000, '\p{iscn}', "");
Expect(0, 918000, '\p{^iscn}', "");
Expect(0, 918000, '\P{iscn}', "");
Expect(1, 918000, '\P{^iscn}', "");
Expect(0, 1114109, '\p{iscn}', "");
Expect(1, 1114109, '\p{^iscn}', "");
Expect(1, 1114109, '\P{iscn}', "");
Expect(0, 1114109, '\P{^iscn}', "");
Expect(1, 918000, '\p{	_is_Cn}', "");
Expect(0, 918000, '\p{^	_is_Cn}', "");
Expect(0, 918000, '\P{	_is_Cn}', "");
Expect(1, 918000, '\P{^	_is_Cn}', "");
Expect(0, 1114109, '\p{	_is_Cn}', "");
Expect(1, 1114109, '\p{^	_is_Cn}', "");
Expect(1, 1114109, '\P{	_is_Cn}', "");
Expect(0, 1114109, '\P{^	_is_Cn}', "");
Error('\p{	:=UNIFIED_Canadian_Aboriginal_Syllabics}');
Error('\P{	:=UNIFIED_Canadian_Aboriginal_Syllabics}');
Expect(1, 5759, '\p{unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\p{^unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\P{unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\P{^unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5760, '\p{unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5760, '\p{^unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5760, '\P{unifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5760, '\P{^unifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\p{  Unified_Canadian_Aboriginal_Syllabics}', "");
Expect(0, 5759, '\p{^  Unified_Canadian_Aboriginal_Syllabics}', "");
Expect(0, 5759, '\P{  Unified_Canadian_Aboriginal_Syllabics}', "");
Expect(1, 5759, '\P{^  Unified_Canadian_Aboriginal_Syllabics}', "");
Expect(0, 5760, '\p{  Unified_Canadian_Aboriginal_Syllabics}', "");
Expect(1, 5760, '\p{^  Unified_Canadian_Aboriginal_Syllabics}', "");
Expect(1, 5760, '\P{  Unified_Canadian_Aboriginal_Syllabics}', "");
Expect(0, 5760, '\P{^  Unified_Canadian_Aboriginal_Syllabics}', "");
Error('\p{	-is_Unified_Canadian_Aboriginal_SYLLABICS:=}');
Error('\P{	-is_Unified_Canadian_Aboriginal_SYLLABICS:=}');
Expect(1, 5759, '\p{isunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\p{^isunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\P{isunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\P{^isunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5760, '\p{isunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5760, '\p{^isunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5760, '\P{isunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5760, '\P{^isunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\p{	_is_unified_Canadian_ABORIGINAL_syllabics}', "");
Expect(0, 5759, '\p{^	_is_unified_Canadian_ABORIGINAL_syllabics}', "");
Expect(0, 5759, '\P{	_is_unified_Canadian_ABORIGINAL_syllabics}', "");
Expect(1, 5759, '\P{^	_is_unified_Canadian_ABORIGINAL_syllabics}', "");
Expect(0, 5760, '\p{	_is_unified_Canadian_ABORIGINAL_syllabics}', "");
Expect(1, 5760, '\p{^	_is_unified_Canadian_ABORIGINAL_syllabics}', "");
Expect(1, 5760, '\P{	_is_unified_Canadian_ABORIGINAL_syllabics}', "");
Expect(0, 5760, '\P{^	_is_unified_Canadian_ABORIGINAL_syllabics}', "");
Error('\p{-:=In_Unified_Canadian_Aboriginal_Syllabics}');
Error('\P{-:=In_Unified_Canadian_Aboriginal_Syllabics}');
Expect(1, 5759, '\p{inunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\p{^inunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5759, '\P{inunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\P{^inunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5760, '\p{inunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5760, '\p{^inunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5760, '\P{inunifiedcanadianaboriginalsyllabics}', "");
Expect(0, 5760, '\P{^inunifiedcanadianaboriginalsyllabics}', "");
Expect(1, 5759, '\p{_	In_unified_canadian_Aboriginal_Syllabics}', "");
Expect(0, 5759, '\p{^_	In_unified_canadian_Aboriginal_Syllabics}', "");
Expect(0, 5759, '\P{_	In_unified_canadian_Aboriginal_Syllabics}', "");
Expect(1, 5759, '\P{^_	In_unified_canadian_Aboriginal_Syllabics}', "");
Expect(0, 5760, '\p{_	In_unified_canadian_Aboriginal_Syllabics}', "");
Expect(1, 5760, '\p{^_	In_unified_canadian_Aboriginal_Syllabics}', "");
Expect(1, 5760, '\P{_	In_unified_canadian_Aboriginal_Syllabics}', "");
Expect(0, 5760, '\P{^_	In_unified_canadian_Aboriginal_Syllabics}', "");
Error('\p{	:=UCAS}');
Error('\P{	:=UCAS}');
Expect(1, 5759, '\p{ucas}', "");
Expect(0, 5759, '\p{^ucas}', "");
Expect(0, 5759, '\P{ucas}', "");
Expect(1, 5759, '\P{^ucas}', "");
Expect(0, 5760, '\p{ucas}', "");
Expect(1, 5760, '\p{^ucas}', "");
Expect(1, 5760, '\P{ucas}', "");
Expect(0, 5760, '\P{^ucas}', "");
Expect(1, 5759, '\p{	 UCAS}', "");
Expect(0, 5759, '\p{^	 UCAS}', "");
Expect(0, 5759, '\P{	 UCAS}', "");
Expect(1, 5759, '\P{^	 UCAS}', "");
Expect(0, 5760, '\p{	 UCAS}', "");
Expect(1, 5760, '\p{^	 UCAS}', "");
Expect(1, 5760, '\P{	 UCAS}', "");
Expect(0, 5760, '\P{^	 UCAS}', "");
Error('\p{/a/__IS_ucas}');
Error('\P{/a/__IS_ucas}');
Expect(1, 5759, '\p{isucas}', "");
Expect(0, 5759, '\p{^isucas}', "");
Expect(0, 5759, '\P{isucas}', "");
Expect(1, 5759, '\P{^isucas}', "");
Expect(0, 5760, '\p{isucas}', "");
Expect(1, 5760, '\p{^isucas}', "");
Expect(1, 5760, '\P{isucas}', "");
Expect(0, 5760, '\P{^isucas}', "");
Expect(1, 5759, '\p{	Is_UCAS}', "");
Expect(0, 5759, '\p{^	Is_UCAS}', "");
Expect(0, 5759, '\P{	Is_UCAS}', "");
Expect(1, 5759, '\P{^	Is_UCAS}', "");
Expect(0, 5760, '\p{	Is_UCAS}', "");
Expect(1, 5760, '\p{^	Is_UCAS}', "");
Expect(1, 5760, '\P{	Is_UCAS}', "");
Expect(0, 5760, '\P{^	Is_UCAS}', "");
Error('\p{	_IN_UCAS:=}');
Error('\P{	_IN_UCAS:=}');
Expect(1, 5759, '\p{inucas}', "");
Expect(0, 5759, '\p{^inucas}', "");
Expect(0, 5759, '\P{inucas}', "");
Expect(1, 5759, '\P{^inucas}', "");
Expect(0, 5760, '\p{inucas}', "");
Expect(1, 5760, '\p{^inucas}', "");
Expect(1, 5760, '\P{inucas}', "");
Expect(0, 5760, '\P{^inucas}', "");
Expect(1, 5759, '\p{_In_ucas}', "");
Expect(0, 5759, '\p{^_In_ucas}', "");
Expect(0, 5759, '\P{_In_ucas}', "");
Expect(1, 5759, '\P{^_In_ucas}', "");
Expect(0, 5760, '\p{_In_ucas}', "");
Expect(1, 5760, '\p{^_In_ucas}', "");
Expect(1, 5760, '\P{_In_ucas}', "");
Expect(0, 5760, '\P{^_In_ucas}', "");
Error('\p{_:=CANADIAN_Syllabics}');
Error('\P{_:=CANADIAN_Syllabics}');
Expect(1, 5759, '\p{canadiansyllabics}', "");
Expect(0, 5759, '\p{^canadiansyllabics}', "");
Expect(0, 5759, '\P{canadiansyllabics}', "");
Expect(1, 5759, '\P{^canadiansyllabics}', "");
Expect(0, 5760, '\p{canadiansyllabics}', "");
Expect(1, 5760, '\p{^canadiansyllabics}', "");
Expect(1, 5760, '\P{canadiansyllabics}', "");
Expect(0, 5760, '\P{^canadiansyllabics}', "");
Expect(1, 5759, '\p{--Canadian_Syllabics}', "");
Expect(0, 5759, '\p{^--Canadian_Syllabics}', "");
Expect(0, 5759, '\P{--Canadian_Syllabics}', "");
Expect(1, 5759, '\P{^--Canadian_Syllabics}', "");
Expect(0, 5760, '\p{--Canadian_Syllabics}', "");
Expect(1, 5760, '\p{^--Canadian_Syllabics}', "");
Expect(1, 5760, '\P{--Canadian_Syllabics}', "");
Expect(0, 5760, '\P{^--Canadian_Syllabics}', "");
Error('\p{--Is_canadian_Syllabics:=}');
Error('\P{--Is_canadian_Syllabics:=}');
Expect(1, 5759, '\p{iscanadiansyllabics}', "");
Expect(0, 5759, '\p{^iscanadiansyllabics}', "");
Expect(0, 5759, '\P{iscanadiansyllabics}', "");
Expect(1, 5759, '\P{^iscanadiansyllabics}', "");
Expect(0, 5760, '\p{iscanadiansyllabics}', "");
Expect(1, 5760, '\p{^iscanadiansyllabics}', "");
Expect(1, 5760, '\P{iscanadiansyllabics}', "");
Expect(0, 5760, '\P{^iscanadiansyllabics}', "");
Expect(1, 5759, '\p{_ Is_Canadian_Syllabics}', "");
Expect(0, 5759, '\p{^_ Is_Canadian_Syllabics}', "");
Expect(0, 5759, '\P{_ Is_Canadian_Syllabics}', "");
Expect(1, 5759, '\P{^_ Is_Canadian_Syllabics}', "");
Expect(0, 5760, '\p{_ Is_Canadian_Syllabics}', "");
Expect(1, 5760, '\p{^_ Is_Canadian_Syllabics}', "");
Expect(1, 5760, '\P{_ Is_Canadian_Syllabics}', "");
Expect(0, 5760, '\P{^_ Is_Canadian_Syllabics}', "");
Error('\p{/a/_ In_CANADIAN_Syllabics}');
Error('\P{/a/_ In_CANADIAN_Syllabics}');
Expect(1, 5759, '\p{incanadiansyllabics}', "");
Expect(0, 5759, '\p{^incanadiansyllabics}', "");
Expect(0, 5759, '\P{incanadiansyllabics}', "");
Expect(1, 5759, '\P{^incanadiansyllabics}', "");
Expect(0, 5760, '\p{incanadiansyllabics}', "");
Expect(1, 5760, '\p{^incanadiansyllabics}', "");
Expect(1, 5760, '\P{incanadiansyllabics}', "");
Expect(0, 5760, '\P{^incanadiansyllabics}', "");
Expect(1, 5759, '\p{_	In_Canadian_Syllabics}', "");
Expect(0, 5759, '\p{^_	In_Canadian_Syllabics}', "");
Expect(0, 5759, '\P{_	In_Canadian_Syllabics}', "");
Expect(1, 5759, '\P{^_	In_Canadian_Syllabics}', "");
Expect(0, 5760, '\p{_	In_Canadian_Syllabics}', "");
Expect(1, 5760, '\p{^_	In_Canadian_Syllabics}', "");
Expect(1, 5760, '\P{_	In_Canadian_Syllabics}', "");
Expect(0, 5760, '\P{^_	In_Canadian_Syllabics}', "");
Error('\p{	 UNIFIED_Canadian_aboriginal_SYLLABICS_Extended/a/}');
Error('\P{	 UNIFIED_Canadian_aboriginal_SYLLABICS_Extended/a/}');
Expect(1, 6399, '\p{unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\p{^unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\P{unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\P{^unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6400, '\p{unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6400, '\p{^unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6400, '\P{unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6400, '\P{^unifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\p{_ Unified_Canadian_ABORIGINAL_Syllabics_extended}', "");
Expect(0, 6399, '\p{^_ Unified_Canadian_ABORIGINAL_Syllabics_extended}', "");
Expect(0, 6399, '\P{_ Unified_Canadian_ABORIGINAL_Syllabics_extended}', "");
Expect(1, 6399, '\P{^_ Unified_Canadian_ABORIGINAL_Syllabics_extended}', "");
Expect(0, 6400, '\p{_ Unified_Canadian_ABORIGINAL_Syllabics_extended}', "");
Expect(1, 6400, '\p{^_ Unified_Canadian_ABORIGINAL_Syllabics_extended}', "");
Expect(1, 6400, '\P{_ Unified_Canadian_ABORIGINAL_Syllabics_extended}', "");
Expect(0, 6400, '\P{^_ Unified_Canadian_ABORIGINAL_Syllabics_extended}', "");
Error('\p{_is_unified_CANADIAN_Aboriginal_Syllabics_EXTENDED/a/}');
Error('\P{_is_unified_CANADIAN_Aboriginal_Syllabics_EXTENDED/a/}');
Expect(1, 6399, '\p{isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\p{^isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\P{isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\P{^isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6400, '\p{isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6400, '\p{^isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6400, '\P{isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6400, '\P{^isunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\p{--is_Unified_Canadian_aboriginal_SYLLABICS_Extended}', "");
Expect(0, 6399, '\p{^--is_Unified_Canadian_aboriginal_SYLLABICS_Extended}', "");
Expect(0, 6399, '\P{--is_Unified_Canadian_aboriginal_SYLLABICS_Extended}', "");
Expect(1, 6399, '\P{^--is_Unified_Canadian_aboriginal_SYLLABICS_Extended}', "");
Expect(0, 6400, '\p{--is_Unified_Canadian_aboriginal_SYLLABICS_Extended}', "");
Expect(1, 6400, '\p{^--is_Unified_Canadian_aboriginal_SYLLABICS_Extended}', "");
Expect(1, 6400, '\P{--is_Unified_Canadian_aboriginal_SYLLABICS_Extended}', "");
Expect(0, 6400, '\P{^--is_Unified_Canadian_aboriginal_SYLLABICS_Extended}', "");
Error('\p{/a/	IN_Unified_Canadian_ABORIGINAL_Syllabics_EXTENDED}');
Error('\P{/a/	IN_Unified_Canadian_ABORIGINAL_Syllabics_EXTENDED}');
Expect(1, 6399, '\p{inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\p{^inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6399, '\P{inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\P{^inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6400, '\p{inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6400, '\p{^inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6400, '\P{inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(0, 6400, '\P{^inunifiedcanadianaboriginalsyllabicsextended}', "");
Expect(1, 6399, '\p{_	In_Unified_Canadian_Aboriginal_syllabics_Extended}', "");
Expect(0, 6399, '\p{^_	In_Unified_Canadian_Aboriginal_syllabics_Extended}', "");
Expect(0, 6399, '\P{_	In_Unified_Canadian_Aboriginal_syllabics_Extended}', "");
Expect(1, 6399, '\P{^_	In_Unified_Canadian_Aboriginal_syllabics_Extended}', "");
Expect(0, 6400, '\p{_	In_Unified_Canadian_Aboriginal_syllabics_Extended}', "");
Expect(1, 6400, '\p{^_	In_Unified_Canadian_Aboriginal_syllabics_Extended}', "");
Expect(1, 6400, '\P{_	In_Unified_Canadian_Aboriginal_syllabics_Extended}', "");
Expect(0, 6400, '\P{^_	In_Unified_Canadian_Aboriginal_syllabics_Extended}', "");
Error('\p{:= UCAS_Ext}');
Error('\P{:= UCAS_Ext}');
Expect(1, 6399, '\p{ucasext}', "");
Expect(0, 6399, '\p{^ucasext}', "");
Expect(0, 6399, '\P{ucasext}', "");
Expect(1, 6399, '\P{^ucasext}', "");
Expect(0, 6400, '\p{ucasext}', "");
Expect(1, 6400, '\p{^ucasext}', "");
Expect(1, 6400, '\P{ucasext}', "");
Expect(0, 6400, '\P{^ucasext}', "");
Expect(1, 6399, '\p{-	UCAS_Ext}', "");
Expect(0, 6399, '\p{^-	UCAS_Ext}', "");
Expect(0, 6399, '\P{-	UCAS_Ext}', "");
Expect(1, 6399, '\P{^-	UCAS_Ext}', "");
Expect(0, 6400, '\p{-	UCAS_Ext}', "");
Expect(1, 6400, '\p{^-	UCAS_Ext}', "");
Expect(1, 6400, '\P{-	UCAS_Ext}', "");
Expect(0, 6400, '\P{^-	UCAS_Ext}', "");
Error('\p{-/a/is_UCAS_EXT}');
Error('\P{-/a/is_UCAS_EXT}');
Expect(1, 6399, '\p{isucasext}', "");
Expect(0, 6399, '\p{^isucasext}', "");
Expect(0, 6399, '\P{isucasext}', "");
Expect(1, 6399, '\P{^isucasext}', "");
Expect(0, 6400, '\p{isucasext}', "");
Expect(1, 6400, '\p{^isucasext}', "");
Expect(1, 6400, '\P{isucasext}', "");
Expect(0, 6400, '\P{^isucasext}', "");
Expect(1, 6399, '\p{-_IS_UCAS_EXT}', "");
Expect(0, 6399, '\p{^-_IS_UCAS_EXT}', "");
Expect(0, 6399, '\P{-_IS_UCAS_EXT}', "");
Expect(1, 6399, '\P{^-_IS_UCAS_EXT}', "");
Expect(0, 6400, '\p{-_IS_UCAS_EXT}', "");
Expect(1, 6400, '\p{^-_IS_UCAS_EXT}', "");
Expect(1, 6400, '\P{-_IS_UCAS_EXT}', "");
Expect(0, 6400, '\P{^-_IS_UCAS_EXT}', "");
Error('\p{:=__In_UCAS_ext}');
Error('\P{:=__In_UCAS_ext}');
Expect(1, 6399, '\p{inucasext}', "");
Expect(0, 6399, '\p{^inucasext}', "");
Expect(0, 6399, '\P{inucasext}', "");
Expect(1, 6399, '\P{^inucasext}', "");
Expect(0, 6400, '\p{inucasext}', "");
Expect(1, 6400, '\p{^inucasext}', "");
Expect(1, 6400, '\P{inucasext}', "");
Expect(0, 6400, '\P{^inucasext}', "");
Expect(1, 6399, '\p{	 IN_ucas_Ext}', "");
Expect(0, 6399, '\p{^	 IN_ucas_Ext}', "");
Expect(0, 6399, '\P{	 IN_ucas_Ext}', "");
Expect(1, 6399, '\P{^	 IN_ucas_Ext}', "");
Expect(0, 6400, '\p{	 IN_ucas_Ext}', "");
Expect(1, 6400, '\p{^	 IN_ucas_Ext}', "");
Expect(1, 6400, '\P{	 IN_ucas_Ext}', "");
Expect(0, 6400, '\P{^	 IN_ucas_Ext}', "");
Error('\p{	Unified_Ideograph/a/}');
Error('\P{	Unified_Ideograph/a/}');
Expect(1, 183969, '\p{unifiedideograph}', "");
Expect(0, 183969, '\p{^unifiedideograph}', "");
Expect(0, 183969, '\P{unifiedideograph}', "");
Expect(1, 183969, '\P{^unifiedideograph}', "");
Expect(0, 183970, '\p{unifiedideograph}', "");
Expect(1, 183970, '\p{^unifiedideograph}', "");
Expect(1, 183970, '\P{unifiedideograph}', "");
Expect(0, 183970, '\P{^unifiedideograph}', "");
Expect(1, 183969, '\p{-	Unified_Ideograph}', "");
Expect(0, 183969, '\p{^-	Unified_Ideograph}', "");
Expect(0, 183969, '\P{-	Unified_Ideograph}', "");
Expect(1, 183969, '\P{^-	Unified_Ideograph}', "");
Expect(0, 183970, '\p{-	Unified_Ideograph}', "");
Expect(1, 183970, '\p{^-	Unified_Ideograph}', "");
Expect(1, 183970, '\P{-	Unified_Ideograph}', "");
Expect(0, 183970, '\P{^-	Unified_Ideograph}', "");
Error('\p{/a/__is_Unified_IDEOGRAPH}');
Error('\P{/a/__is_Unified_IDEOGRAPH}');
Expect(1, 183969, '\p{isunifiedideograph}', "");
Expect(0, 183969, '\p{^isunifiedideograph}', "");
Expect(0, 183969, '\P{isunifiedideograph}', "");
Expect(1, 183969, '\P{^isunifiedideograph}', "");
Expect(0, 183970, '\p{isunifiedideograph}', "");
Expect(1, 183970, '\p{^isunifiedideograph}', "");
Expect(1, 183970, '\P{isunifiedideograph}', "");
Expect(0, 183970, '\P{^isunifiedideograph}', "");
Expect(1, 183969, '\p{-IS_Unified_Ideograph}', "");
Expect(0, 183969, '\p{^-IS_Unified_Ideograph}', "");
Expect(0, 183969, '\P{-IS_Unified_Ideograph}', "");
Expect(1, 183969, '\P{^-IS_Unified_Ideograph}', "");
Expect(0, 183970, '\p{-IS_Unified_Ideograph}', "");
Expect(1, 183970, '\p{^-IS_Unified_Ideograph}', "");
Expect(1, 183970, '\P{-IS_Unified_Ideograph}', "");
Expect(0, 183970, '\P{^-IS_Unified_Ideograph}', "");
Error('\p{	-UIDEO/a/}');
Error('\P{	-UIDEO/a/}');
Expect(1, 183969, '\p{uideo}', "");
Expect(0, 183969, '\p{^uideo}', "");
Expect(0, 183969, '\P{uideo}', "");
Expect(1, 183969, '\P{^uideo}', "");
Expect(0, 183970, '\p{uideo}', "");
Expect(1, 183970, '\p{^uideo}', "");
Expect(1, 183970, '\P{uideo}', "");
Expect(0, 183970, '\P{^uideo}', "");
Expect(1, 183969, '\p{-UIdeo}', "");
Expect(0, 183969, '\p{^-UIdeo}', "");
Expect(0, 183969, '\P{-UIdeo}', "");
Expect(1, 183969, '\P{^-UIdeo}', "");
Expect(0, 183970, '\p{-UIdeo}', "");
Expect(1, 183970, '\p{^-UIdeo}', "");
Expect(1, 183970, '\P{-UIdeo}', "");
Expect(0, 183970, '\P{^-UIdeo}', "");
Error('\p{/a/	is_UIDEO}');
Error('\P{/a/	is_UIDEO}');
Expect(1, 183969, '\p{isuideo}', "");
Expect(0, 183969, '\p{^isuideo}', "");
Expect(0, 183969, '\P{isuideo}', "");
Expect(1, 183969, '\P{^isuideo}', "");
Expect(0, 183970, '\p{isuideo}', "");
Expect(1, 183970, '\p{^isuideo}', "");
Expect(1, 183970, '\P{isuideo}', "");
Expect(0, 183970, '\P{^isuideo}', "");
Expect(1, 183969, '\p{	is_UIdeo}', "");
Expect(0, 183969, '\p{^	is_UIdeo}', "");
Expect(0, 183969, '\P{	is_UIdeo}', "");
Expect(1, 183969, '\P{^	is_UIdeo}', "");
Expect(0, 183970, '\p{	is_UIdeo}', "");
Expect(1, 183970, '\p{^	is_UIdeo}', "");
Expect(1, 183970, '\P{	is_UIdeo}', "");
Expect(0, 183970, '\P{^	is_UIdeo}', "");
Error('\p{ Unknown:=}');
Error('\P{ Unknown:=}');
Expect(1, 918000, '\p{unknown}', "");
Expect(0, 918000, '\p{^unknown}', "");
Expect(0, 918000, '\P{unknown}', "");
Expect(1, 918000, '\P{^unknown}', "");
Expect(0, 917999, '\p{unknown}', "");
Expect(1, 917999, '\p{^unknown}', "");
Expect(1, 917999, '\P{unknown}', "");
Expect(0, 917999, '\P{^unknown}', "");
Expect(1, 918000, '\p{_unknown}', "");
Expect(0, 918000, '\p{^_unknown}', "");
Expect(0, 918000, '\P{_unknown}', "");
Expect(1, 918000, '\P{^_unknown}', "");
Expect(0, 917999, '\p{_unknown}', "");
Expect(1, 917999, '\p{^_unknown}', "");
Expect(1, 917999, '\P{_unknown}', "");
Expect(0, 917999, '\P{^_unknown}', "");
Error('\p{ 	is_Unknown:=}');
Error('\P{ 	is_Unknown:=}');
Expect(1, 918000, '\p{isunknown}', "");
Expect(0, 918000, '\p{^isunknown}', "");
Expect(0, 918000, '\P{isunknown}', "");
Expect(1, 918000, '\P{^isunknown}', "");
Expect(0, 917999, '\p{isunknown}', "");
Expect(1, 917999, '\p{^isunknown}', "");
Expect(1, 917999, '\P{isunknown}', "");
Expect(0, 917999, '\P{^isunknown}', "");
Expect(1, 918000, '\p{ Is_UNKNOWN}', "");
Expect(0, 918000, '\p{^ Is_UNKNOWN}', "");
Expect(0, 918000, '\P{ Is_UNKNOWN}', "");
Expect(1, 918000, '\P{^ Is_UNKNOWN}', "");
Expect(0, 917999, '\p{ Is_UNKNOWN}', "");
Expect(1, 917999, '\p{^ Is_UNKNOWN}', "");
Expect(1, 917999, '\P{ Is_UNKNOWN}', "");
Expect(0, 917999, '\P{^ Is_UNKNOWN}', "");
Error('\p{_zzzz:=}');
Error('\P{_zzzz:=}');
Expect(1, 918000, '\p{zzzz}', "");
Expect(0, 918000, '\p{^zzzz}', "");
Expect(0, 918000, '\P{zzzz}', "");
Expect(1, 918000, '\P{^zzzz}', "");
Expect(0, 917999, '\p{zzzz}', "");
Expect(1, 917999, '\p{^zzzz}', "");
Expect(1, 917999, '\P{zzzz}', "");
Expect(0, 917999, '\P{^zzzz}', "");
Expect(1, 918000, '\p{-Zzzz}', "");
Expect(0, 918000, '\p{^-Zzzz}', "");
Expect(0, 918000, '\P{-Zzzz}', "");
Expect(1, 918000, '\P{^-Zzzz}', "");
Expect(0, 917999, '\p{-Zzzz}', "");
Expect(1, 917999, '\p{^-Zzzz}', "");
Expect(1, 917999, '\P{-Zzzz}', "");
Expect(0, 917999, '\P{^-Zzzz}', "");
Error('\p{/a/Is_zzzz}');
Error('\P{/a/Is_zzzz}');
Expect(1, 918000, '\p{iszzzz}', "");
Expect(0, 918000, '\p{^iszzzz}', "");
Expect(0, 918000, '\P{iszzzz}', "");
Expect(1, 918000, '\P{^iszzzz}', "");
Expect(0, 917999, '\p{iszzzz}', "");
Expect(1, 917999, '\p{^iszzzz}', "");
Expect(1, 917999, '\P{iszzzz}', "");
Expect(0, 917999, '\P{^iszzzz}', "");
Expect(1, 918000, '\p{_	is_ZZZZ}', "");
Expect(0, 918000, '\p{^_	is_ZZZZ}', "");
Expect(0, 918000, '\P{_	is_ZZZZ}', "");
Expect(1, 918000, '\P{^_	is_ZZZZ}', "");
Expect(0, 917999, '\p{_	is_ZZZZ}', "");
Expect(1, 917999, '\p{^_	is_ZZZZ}', "");
Expect(1, 917999, '\P{_	is_ZZZZ}', "");
Expect(0, 917999, '\P{^_	is_ZZZZ}', "");
Error('\p{ _Uppercase_Letter/a/}');
Error('\P{ _Uppercase_Letter/a/}');
Expect(1, 120778, '\p{uppercaseletter}', "");
Expect(0, 120778, '\p{^uppercaseletter}', "");
Expect(0, 120778, '\P{uppercaseletter}', "");
Expect(1, 120778, '\P{^uppercaseletter}', "");
Expect(0, 120779, '\p{uppercaseletter}', "");
Expect(1, 120779, '\p{^uppercaseletter}', "");
Expect(1, 120779, '\P{uppercaseletter}', "");
Expect(0, 120779, '\P{^uppercaseletter}', "");
Expect(1, 120778, '\p{__Uppercase_Letter}', "");
Expect(0, 120778, '\p{^__Uppercase_Letter}', "");
Expect(0, 120778, '\P{__Uppercase_Letter}', "");
Expect(1, 120778, '\P{^__Uppercase_Letter}', "");
Expect(0, 120779, '\p{__Uppercase_Letter}', "");
Expect(1, 120779, '\p{^__Uppercase_Letter}', "");
Expect(1, 120779, '\P{__Uppercase_Letter}', "");
Expect(0, 120779, '\P{^__Uppercase_Letter}', "");
Error('\p{__IS_UPPERCASE_Letter:=}');
Error('\P{__IS_UPPERCASE_Letter:=}');
Expect(1, 120778, '\p{isuppercaseletter}', "");
Expect(0, 120778, '\p{^isuppercaseletter}', "");
Expect(0, 120778, '\P{isuppercaseletter}', "");
Expect(1, 120778, '\P{^isuppercaseletter}', "");
Expect(0, 120779, '\p{isuppercaseletter}', "");
Expect(1, 120779, '\p{^isuppercaseletter}', "");
Expect(1, 120779, '\P{isuppercaseletter}', "");
Expect(0, 120779, '\P{^isuppercaseletter}', "");
Expect(1, 120778, '\p{-IS_Uppercase_Letter}', "");
Expect(0, 120778, '\p{^-IS_Uppercase_Letter}', "");
Expect(0, 120778, '\P{-IS_Uppercase_Letter}', "");
Expect(1, 120778, '\P{^-IS_Uppercase_Letter}', "");
Expect(0, 120779, '\p{-IS_Uppercase_Letter}', "");
Expect(1, 120779, '\p{^-IS_Uppercase_Letter}', "");
Expect(1, 120779, '\P{-IS_Uppercase_Letter}', "");
Expect(0, 120779, '\P{^-IS_Uppercase_Letter}', "");
Error('\p{	-lu:=}');
Error('\P{	-lu:=}');
Expect(1, 120778, '\p{lu}', "");
Expect(0, 120778, '\p{^lu}', "");
Expect(0, 120778, '\P{lu}', "");
Expect(1, 120778, '\P{^lu}', "");
Expect(0, 120779, '\p{lu}', "");
Expect(1, 120779, '\p{^lu}', "");
Expect(1, 120779, '\P{lu}', "");
Expect(0, 120779, '\P{^lu}', "");
Expect(1, 120778, '\p{-	Lu}', "");
Expect(0, 120778, '\p{^-	Lu}', "");
Expect(0, 120778, '\P{-	Lu}', "");
Expect(1, 120778, '\P{^-	Lu}', "");
Expect(0, 120779, '\p{-	Lu}', "");
Expect(1, 120779, '\p{^-	Lu}', "");
Expect(1, 120779, '\P{-	Lu}', "");
Expect(0, 120779, '\P{^-	Lu}', "");
Error('\p{-is_Lu:=}');
Error('\P{-is_Lu:=}');
Expect(1, 120778, '\p{islu}', "");
Expect(0, 120778, '\p{^islu}', "");
Expect(0, 120778, '\P{islu}', "");
Expect(1, 120778, '\P{^islu}', "");
Expect(0, 120779, '\p{islu}', "");
Expect(1, 120779, '\p{^islu}', "");
Expect(1, 120779, '\P{islu}', "");
Expect(0, 120779, '\P{^islu}', "");
Expect(1, 120778, '\p{  Is_Lu}', "");
Expect(0, 120778, '\p{^  Is_Lu}', "");
Expect(0, 120778, '\P{  Is_Lu}', "");
Expect(1, 120778, '\P{^  Is_Lu}', "");
Expect(0, 120779, '\p{  Is_Lu}', "");
Expect(1, 120779, '\p{^  Is_Lu}', "");
Expect(1, 120779, '\P{  Is_Lu}', "");
Expect(0, 120779, '\P{^  Is_Lu}', "");
Error('\p{/a/ -VAI}');
Error('\P{/a/ -VAI}');
Expect(1, 42539, '\p{vai}', "");
Expect(0, 42539, '\p{^vai}', "");
Expect(0, 42539, '\P{vai}', "");
Expect(1, 42539, '\P{^vai}', "");
Expect(0, 42540, '\p{vai}', "");
Expect(1, 42540, '\p{^vai}', "");
Expect(1, 42540, '\P{vai}', "");
Expect(0, 42540, '\P{^vai}', "");
Expect(1, 42539, '\p{-vai}', "");
Expect(0, 42539, '\p{^-vai}', "");
Expect(0, 42539, '\P{-vai}', "");
Expect(1, 42539, '\P{^-vai}', "");
Expect(0, 42540, '\p{-vai}', "");
Expect(1, 42540, '\p{^-vai}', "");
Expect(1, 42540, '\P{-vai}', "");
Expect(0, 42540, '\P{^-vai}', "");
Error('\p{-	Is_Vai/a/}');
Error('\P{-	Is_Vai/a/}');
Expect(1, 42539, '\p{isvai}', "");
Expect(0, 42539, '\p{^isvai}', "");
Expect(0, 42539, '\P{isvai}', "");
Expect(1, 42539, '\P{^isvai}', "");
Expect(0, 42540, '\p{isvai}', "");
Expect(1, 42540, '\p{^isvai}', "");
Expect(1, 42540, '\P{isvai}', "");
Expect(0, 42540, '\P{^isvai}', "");
Expect(1, 42539, '\p{Is_VAI}', "");
Expect(0, 42539, '\p{^Is_VAI}', "");
Expect(0, 42539, '\P{Is_VAI}', "");
Expect(1, 42539, '\P{^Is_VAI}', "");
Expect(0, 42540, '\p{Is_VAI}', "");
Expect(1, 42540, '\p{^Is_VAI}', "");
Expect(1, 42540, '\P{Is_VAI}', "");
Expect(0, 42540, '\P{^Is_VAI}', "");
Error('\p{-Vaii/a/}');
Error('\P{-Vaii/a/}');
Expect(1, 42539, '\p{vaii}', "");
Expect(0, 42539, '\p{^vaii}', "");
Expect(0, 42539, '\P{vaii}', "");
Expect(1, 42539, '\P{^vaii}', "");
Expect(0, 42540, '\p{vaii}', "");
Expect(1, 42540, '\p{^vaii}', "");
Expect(1, 42540, '\P{vaii}', "");
Expect(0, 42540, '\P{^vaii}', "");
Expect(1, 42539, '\p{ _vaii}', "");
Expect(0, 42539, '\p{^ _vaii}', "");
Expect(0, 42539, '\P{ _vaii}', "");
Expect(1, 42539, '\P{^ _vaii}', "");
Expect(0, 42540, '\p{ _vaii}', "");
Expect(1, 42540, '\p{^ _vaii}', "");
Expect(1, 42540, '\P{ _vaii}', "");
Expect(0, 42540, '\P{^ _vaii}', "");
Error('\p{/a/-_is_VAII}');
Error('\P{/a/-_is_VAII}');
Expect(1, 42539, '\p{isvaii}', "");
Expect(0, 42539, '\p{^isvaii}', "");
Expect(0, 42539, '\P{isvaii}', "");
Expect(1, 42539, '\P{^isvaii}', "");
Expect(0, 42540, '\p{isvaii}', "");
Expect(1, 42540, '\p{^isvaii}', "");
Expect(1, 42540, '\P{isvaii}', "");
Expect(0, 42540, '\P{^isvaii}', "");
Expect(1, 42539, '\p{_ Is_Vaii}', "");
Expect(0, 42539, '\p{^_ Is_Vaii}', "");
Expect(0, 42539, '\P{_ Is_Vaii}', "");
Expect(1, 42539, '\P{^_ Is_Vaii}', "");
Expect(0, 42540, '\p{_ Is_Vaii}', "");
Expect(1, 42540, '\p{^_ Is_Vaii}', "");
Expect(1, 42540, '\P{_ Is_Vaii}', "");
Expect(0, 42540, '\P{^_ Is_Vaii}', "");
Error('\p{Variation_Selector:=}');
Error('\P{Variation_Selector:=}');
Expect(1, 917999, '\p{variationselector}', "");
Expect(0, 917999, '\p{^variationselector}', "");
Expect(0, 917999, '\P{variationselector}', "");
Expect(1, 917999, '\P{^variationselector}', "");
Expect(0, 918000, '\p{variationselector}', "");
Expect(1, 918000, '\p{^variationselector}', "");
Expect(1, 918000, '\P{variationselector}', "");
Expect(0, 918000, '\P{^variationselector}', "");
Expect(1, 917999, '\p{-	VARIATION_Selector}', "");
Expect(0, 917999, '\p{^-	VARIATION_Selector}', "");
Expect(0, 917999, '\P{-	VARIATION_Selector}', "");
Expect(1, 917999, '\P{^-	VARIATION_Selector}', "");
Expect(0, 918000, '\p{-	VARIATION_Selector}', "");
Expect(1, 918000, '\p{^-	VARIATION_Selector}', "");
Expect(1, 918000, '\P{-	VARIATION_Selector}', "");
Expect(0, 918000, '\P{^-	VARIATION_Selector}', "");
Error('\p{-/a/Is_Variation_Selector}');
Error('\P{-/a/Is_Variation_Selector}');
Expect(1, 917999, '\p{isvariationselector}', "");
Expect(0, 917999, '\p{^isvariationselector}', "");
Expect(0, 917999, '\P{isvariationselector}', "");
Expect(1, 917999, '\P{^isvariationselector}', "");
Expect(0, 918000, '\p{isvariationselector}', "");
Expect(1, 918000, '\p{^isvariationselector}', "");
Expect(1, 918000, '\P{isvariationselector}', "");
Expect(0, 918000, '\P{^isvariationselector}', "");
Expect(1, 917999, '\p{  Is_Variation_Selector}', "");
Expect(0, 917999, '\p{^  Is_Variation_Selector}', "");
Expect(0, 917999, '\P{  Is_Variation_Selector}', "");
Expect(1, 917999, '\P{^  Is_Variation_Selector}', "");
Expect(0, 918000, '\p{  Is_Variation_Selector}', "");
Expect(1, 918000, '\p{^  Is_Variation_Selector}', "");
Expect(1, 918000, '\P{  Is_Variation_Selector}', "");
Expect(0, 918000, '\P{^  Is_Variation_Selector}', "");
Error('\p{-_VS/a/}');
Error('\P{-_VS/a/}');
Expect(1, 917999, '\p{vs}', "");
Expect(0, 917999, '\p{^vs}', "");
Expect(0, 917999, '\P{vs}', "");
Expect(1, 917999, '\P{^vs}', "");
Expect(0, 918000, '\p{vs}', "");
Expect(1, 918000, '\p{^vs}', "");
Expect(1, 918000, '\P{vs}', "");
Expect(0, 918000, '\P{^vs}', "");
Expect(1, 917999, '\p{-_VS}', "");
Expect(0, 917999, '\p{^-_VS}', "");
Expect(0, 917999, '\P{-_VS}', "");
Expect(1, 917999, '\P{^-_VS}', "");
Expect(0, 918000, '\p{-_VS}', "");
Expect(1, 918000, '\p{^-_VS}', "");
Expect(1, 918000, '\P{-_VS}', "");
Expect(0, 918000, '\P{^-_VS}', "");
Error('\p{:= 	Is_vs}');
Error('\P{:= 	Is_vs}');
Expect(1, 917999, '\p{isvs}', "");
Expect(0, 917999, '\p{^isvs}', "");
Expect(0, 917999, '\P{isvs}', "");
Expect(1, 917999, '\P{^isvs}', "");
Expect(0, 918000, '\p{isvs}', "");
Expect(1, 918000, '\p{^isvs}', "");
Expect(1, 918000, '\P{isvs}', "");
Expect(0, 918000, '\P{^isvs}', "");
Expect(1, 917999, '\p{ is_VS}', "");
Expect(0, 917999, '\p{^ is_VS}', "");
Expect(0, 917999, '\P{ is_VS}', "");
Expect(1, 917999, '\P{^ is_VS}', "");
Expect(0, 918000, '\p{ is_VS}', "");
Expect(1, 918000, '\p{^ is_VS}', "");
Expect(1, 918000, '\P{ is_VS}', "");
Expect(0, 918000, '\P{^ is_VS}', "");
Error('\p{	/a/variation_Selectors}');
Error('\P{	/a/variation_Selectors}');
Expect(1, 65039, '\p{variationselectors}', "");
Expect(0, 65039, '\p{^variationselectors}', "");
Expect(0, 65039, '\P{variationselectors}', "");
Expect(1, 65039, '\P{^variationselectors}', "");
Expect(0, 65040, '\p{variationselectors}', "");
Expect(1, 65040, '\p{^variationselectors}', "");
Expect(1, 65040, '\P{variationselectors}', "");
Expect(0, 65040, '\P{^variationselectors}', "");
Expect(1, 65039, '\p{	-Variation_Selectors}', "");
Expect(0, 65039, '\p{^	-Variation_Selectors}', "");
Expect(0, 65039, '\P{	-Variation_Selectors}', "");
Expect(1, 65039, '\P{^	-Variation_Selectors}', "");
Expect(0, 65040, '\p{	-Variation_Selectors}', "");
Expect(1, 65040, '\p{^	-Variation_Selectors}', "");
Expect(1, 65040, '\P{	-Variation_Selectors}', "");
Expect(0, 65040, '\P{^	-Variation_Selectors}', "");
Error('\p{	Is_VARIATION_Selectors:=}');
Error('\P{	Is_VARIATION_Selectors:=}');
Expect(1, 65039, '\p{isvariationselectors}', "");
Expect(0, 65039, '\p{^isvariationselectors}', "");
Expect(0, 65039, '\P{isvariationselectors}', "");
Expect(1, 65039, '\P{^isvariationselectors}', "");
Expect(0, 65040, '\p{isvariationselectors}', "");
Expect(1, 65040, '\p{^isvariationselectors}', "");
Expect(1, 65040, '\P{isvariationselectors}', "");
Expect(0, 65040, '\P{^isvariationselectors}', "");
Expect(1, 65039, '\p{-IS_variation_selectors}', "");
Expect(0, 65039, '\p{^-IS_variation_selectors}', "");
Expect(0, 65039, '\P{-IS_variation_selectors}', "");
Expect(1, 65039, '\P{^-IS_variation_selectors}', "");
Expect(0, 65040, '\p{-IS_variation_selectors}', "");
Expect(1, 65040, '\p{^-IS_variation_selectors}', "");
Expect(1, 65040, '\P{-IS_variation_selectors}', "");
Expect(0, 65040, '\P{^-IS_variation_selectors}', "");
Error('\p{	:=In_VARIATION_SELECTORS}');
Error('\P{	:=In_VARIATION_SELECTORS}');
Expect(1, 65039, '\p{invariationselectors}', "");
Expect(0, 65039, '\p{^invariationselectors}', "");
Expect(0, 65039, '\P{invariationselectors}', "");
Expect(1, 65039, '\P{^invariationselectors}', "");
Expect(0, 65040, '\p{invariationselectors}', "");
Expect(1, 65040, '\p{^invariationselectors}', "");
Expect(1, 65040, '\P{invariationselectors}', "");
Expect(0, 65040, '\P{^invariationselectors}', "");
Expect(1, 65039, '\p{-in_variation_Selectors}', "");
Expect(0, 65039, '\p{^-in_variation_Selectors}', "");
Expect(0, 65039, '\P{-in_variation_Selectors}', "");
Expect(1, 65039, '\P{^-in_variation_Selectors}', "");
Expect(0, 65040, '\p{-in_variation_Selectors}', "");
Expect(1, 65040, '\p{^-in_variation_Selectors}', "");
Expect(1, 65040, '\P{-in_variation_Selectors}', "");
Expect(0, 65040, '\P{^-in_variation_Selectors}', "");
Error('\p{:=In_vs}');
Error('\P{:=In_vs}');
Expect(1, 65039, '\p{invs}', "");
Expect(0, 65039, '\p{^invs}', "");
Expect(0, 65039, '\P{invs}', "");
Expect(1, 65039, '\P{^invs}', "");
Expect(0, 65040, '\p{invs}', "");
Expect(1, 65040, '\p{^invs}', "");
Expect(1, 65040, '\P{invs}', "");
Expect(0, 65040, '\P{^invs}', "");
Expect(1, 65039, '\p{ -in_VS}', "");
Expect(0, 65039, '\p{^ -in_VS}', "");
Expect(0, 65039, '\P{ -in_VS}', "");
Expect(1, 65039, '\P{^ -in_VS}', "");
Expect(0, 65040, '\p{ -in_VS}', "");
Expect(1, 65040, '\p{^ -in_VS}', "");
Expect(1, 65040, '\P{ -in_VS}', "");
Expect(0, 65040, '\P{^ -in_VS}', "");
Error('\p{	-VARIATION_SELECTORS_supplement:=}');
Error('\P{	-VARIATION_SELECTORS_supplement:=}');
Expect(1, 917999, '\p{variationselectorssupplement}', "");
Expect(0, 917999, '\p{^variationselectorssupplement}', "");
Expect(0, 917999, '\P{variationselectorssupplement}', "");
Expect(1, 917999, '\P{^variationselectorssupplement}', "");
Expect(0, 918000, '\p{variationselectorssupplement}', "");
Expect(1, 918000, '\p{^variationselectorssupplement}', "");
Expect(1, 918000, '\P{variationselectorssupplement}', "");
Expect(0, 918000, '\P{^variationselectorssupplement}', "");
Expect(1, 917999, '\p{ variation_selectors_Supplement}', "");
Expect(0, 917999, '\p{^ variation_selectors_Supplement}', "");
Expect(0, 917999, '\P{ variation_selectors_Supplement}', "");
Expect(1, 917999, '\P{^ variation_selectors_Supplement}', "");
Expect(0, 918000, '\p{ variation_selectors_Supplement}', "");
Expect(1, 918000, '\p{^ variation_selectors_Supplement}', "");
Expect(1, 918000, '\P{ variation_selectors_Supplement}', "");
Expect(0, 918000, '\P{^ variation_selectors_Supplement}', "");
Error('\p{-	Is_VARIATION_SELECTORS_SUPPLEMENT/a/}');
Error('\P{-	Is_VARIATION_SELECTORS_SUPPLEMENT/a/}');
Expect(1, 917999, '\p{isvariationselectorssupplement}', "");
Expect(0, 917999, '\p{^isvariationselectorssupplement}', "");
Expect(0, 917999, '\P{isvariationselectorssupplement}', "");
Expect(1, 917999, '\P{^isvariationselectorssupplement}', "");
Expect(0, 918000, '\p{isvariationselectorssupplement}', "");
Expect(1, 918000, '\p{^isvariationselectorssupplement}', "");
Expect(1, 918000, '\P{isvariationselectorssupplement}', "");
Expect(0, 918000, '\P{^isvariationselectorssupplement}', "");
Expect(1, 917999, '\p{ 	Is_VARIATION_selectors_SUPPLEMENT}', "");
Expect(0, 917999, '\p{^ 	Is_VARIATION_selectors_SUPPLEMENT}', "");
Expect(0, 917999, '\P{ 	Is_VARIATION_selectors_SUPPLEMENT}', "");
Expect(1, 917999, '\P{^ 	Is_VARIATION_selectors_SUPPLEMENT}', "");
Expect(0, 918000, '\p{ 	Is_VARIATION_selectors_SUPPLEMENT}', "");
Expect(1, 918000, '\p{^ 	Is_VARIATION_selectors_SUPPLEMENT}', "");
Expect(1, 918000, '\P{ 	Is_VARIATION_selectors_SUPPLEMENT}', "");
Expect(0, 918000, '\P{^ 	Is_VARIATION_selectors_SUPPLEMENT}', "");
Error('\p{- In_Variation_Selectors_Supplement:=}');
Error('\P{- In_Variation_Selectors_Supplement:=}');
Expect(1, 917999, '\p{invariationselectorssupplement}', "");
Expect(0, 917999, '\p{^invariationselectorssupplement}', "");
Expect(0, 917999, '\P{invariationselectorssupplement}', "");
Expect(1, 917999, '\P{^invariationselectorssupplement}', "");
Expect(0, 918000, '\p{invariationselectorssupplement}', "");
Expect(1, 918000, '\p{^invariationselectorssupplement}', "");
Expect(1, 918000, '\P{invariationselectorssupplement}', "");
Expect(0, 918000, '\P{^invariationselectorssupplement}', "");
Expect(1, 917999, '\p{	In_Variation_Selectors_Supplement}', "");
Expect(0, 917999, '\p{^	In_Variation_Selectors_Supplement}', "");
Expect(0, 917999, '\P{	In_Variation_Selectors_Supplement}', "");
Expect(1, 917999, '\P{^	In_Variation_Selectors_Supplement}', "");
Expect(0, 918000, '\p{	In_Variation_Selectors_Supplement}', "");
Expect(1, 918000, '\p{^	In_Variation_Selectors_Supplement}', "");
Expect(1, 918000, '\P{	In_Variation_Selectors_Supplement}', "");
Expect(0, 918000, '\P{^	In_Variation_Selectors_Supplement}', "");
Error('\p{_:=vs_sup}');
Error('\P{_:=vs_sup}');
Expect(1, 917999, '\p{vssup}', "");
Expect(0, 917999, '\p{^vssup}', "");
Expect(0, 917999, '\P{vssup}', "");
Expect(1, 917999, '\P{^vssup}', "");
Expect(0, 918000, '\p{vssup}', "");
Expect(1, 918000, '\p{^vssup}', "");
Expect(1, 918000, '\P{vssup}', "");
Expect(0, 918000, '\P{^vssup}', "");
Expect(1, 917999, '\p{_VS_SUP}', "");
Expect(0, 917999, '\p{^_VS_SUP}', "");
Expect(0, 917999, '\P{_VS_SUP}', "");
Expect(1, 917999, '\P{^_VS_SUP}', "");
Expect(0, 918000, '\p{_VS_SUP}', "");
Expect(1, 918000, '\p{^_VS_SUP}', "");
Expect(1, 918000, '\P{_VS_SUP}', "");
Expect(0, 918000, '\P{^_VS_SUP}', "");
Error('\p{:=	_Is_VS_Sup}');
Error('\P{:=	_Is_VS_Sup}');
Expect(1, 917999, '\p{isvssup}', "");
Expect(0, 917999, '\p{^isvssup}', "");
Expect(0, 917999, '\P{isvssup}', "");
Expect(1, 917999, '\P{^isvssup}', "");
Expect(0, 918000, '\p{isvssup}', "");
Expect(1, 918000, '\p{^isvssup}', "");
Expect(1, 918000, '\P{isvssup}', "");
Expect(0, 918000, '\P{^isvssup}', "");
Expect(1, 917999, '\p{-	IS_vs_SUP}', "");
Expect(0, 917999, '\p{^-	IS_vs_SUP}', "");
Expect(0, 917999, '\P{-	IS_vs_SUP}', "");
Expect(1, 917999, '\P{^-	IS_vs_SUP}', "");
Expect(0, 918000, '\p{-	IS_vs_SUP}', "");
Expect(1, 918000, '\p{^-	IS_vs_SUP}', "");
Expect(1, 918000, '\P{-	IS_vs_SUP}', "");
Expect(0, 918000, '\P{^-	IS_vs_SUP}', "");
Error('\p{/a/In_vs_Sup}');
Error('\P{/a/In_vs_Sup}');
Expect(1, 917999, '\p{invssup}', "");
Expect(0, 917999, '\p{^invssup}', "");
Expect(0, 917999, '\P{invssup}', "");
Expect(1, 917999, '\P{^invssup}', "");
Expect(0, 918000, '\p{invssup}', "");
Expect(1, 918000, '\p{^invssup}', "");
Expect(1, 918000, '\P{invssup}', "");
Expect(0, 918000, '\P{^invssup}', "");
Expect(1, 917999, '\p{ 	IN_vs_Sup}', "");
Expect(0, 917999, '\p{^ 	IN_vs_Sup}', "");
Expect(0, 917999, '\P{ 	IN_vs_Sup}', "");
Expect(1, 917999, '\P{^ 	IN_vs_Sup}', "");
Expect(0, 918000, '\p{ 	IN_vs_Sup}', "");
Expect(1, 918000, '\p{^ 	IN_vs_Sup}', "");
Expect(1, 918000, '\P{ 	IN_vs_Sup}', "");
Expect(0, 918000, '\P{^ 	IN_vs_Sup}', "");
Error('\p{_/a/VEDIC_EXTENSIONS}');
Error('\P{_/a/VEDIC_EXTENSIONS}');
Expect(1, 7423, '\p{vedicextensions}', "");
Expect(0, 7423, '\p{^vedicextensions}', "");
Expect(0, 7423, '\P{vedicextensions}', "");
Expect(1, 7423, '\P{^vedicextensions}', "");
Expect(0, 7424, '\p{vedicextensions}', "");
Expect(1, 7424, '\p{^vedicextensions}', "");
Expect(1, 7424, '\P{vedicextensions}', "");
Expect(0, 7424, '\P{^vedicextensions}', "");
Expect(1, 7423, '\p{  Vedic_extensions}', "");
Expect(0, 7423, '\p{^  Vedic_extensions}', "");
Expect(0, 7423, '\P{  Vedic_extensions}', "");
Expect(1, 7423, '\P{^  Vedic_extensions}', "");
Expect(0, 7424, '\p{  Vedic_extensions}', "");
Expect(1, 7424, '\p{^  Vedic_extensions}', "");
Expect(1, 7424, '\P{  Vedic_extensions}', "");
Expect(0, 7424, '\P{^  Vedic_extensions}', "");
Error('\p{/a/_	is_vedic_extensions}');
Error('\P{/a/_	is_vedic_extensions}');
Expect(1, 7423, '\p{isvedicextensions}', "");
Expect(0, 7423, '\p{^isvedicextensions}', "");
Expect(0, 7423, '\P{isvedicextensions}', "");
Expect(1, 7423, '\P{^isvedicextensions}', "");
Expect(0, 7424, '\p{isvedicextensions}', "");
Expect(1, 7424, '\p{^isvedicextensions}', "");
Expect(1, 7424, '\P{isvedicextensions}', "");
Expect(0, 7424, '\P{^isvedicextensions}', "");
Expect(1, 7423, '\p{		IS_Vedic_EXTENSIONS}', "");
Expect(0, 7423, '\p{^		IS_Vedic_EXTENSIONS}', "");
Expect(0, 7423, '\P{		IS_Vedic_EXTENSIONS}', "");
Expect(1, 7423, '\P{^		IS_Vedic_EXTENSIONS}', "");
Expect(0, 7424, '\p{		IS_Vedic_EXTENSIONS}', "");
Expect(1, 7424, '\p{^		IS_Vedic_EXTENSIONS}', "");
Expect(1, 7424, '\P{		IS_Vedic_EXTENSIONS}', "");
Expect(0, 7424, '\P{^		IS_Vedic_EXTENSIONS}', "");
Error('\p{_:=In_VEDIC_EXTENSIONS}');
Error('\P{_:=In_VEDIC_EXTENSIONS}');
Expect(1, 7423, '\p{invedicextensions}', "");
Expect(0, 7423, '\p{^invedicextensions}', "");
Expect(0, 7423, '\P{invedicextensions}', "");
Expect(1, 7423, '\P{^invedicextensions}', "");
Expect(0, 7424, '\p{invedicextensions}', "");
Expect(1, 7424, '\p{^invedicextensions}', "");
Expect(1, 7424, '\P{invedicextensions}', "");
Expect(0, 7424, '\P{^invedicextensions}', "");
Expect(1, 7423, '\p{IN_Vedic_extensions}', "");
Expect(0, 7423, '\p{^IN_Vedic_extensions}', "");
Expect(0, 7423, '\P{IN_Vedic_extensions}', "");
Expect(1, 7423, '\P{^IN_Vedic_extensions}', "");
Expect(0, 7424, '\p{IN_Vedic_extensions}', "");
Expect(1, 7424, '\p{^IN_Vedic_extensions}', "");
Expect(1, 7424, '\P{IN_Vedic_extensions}', "");
Expect(0, 7424, '\P{^IN_Vedic_extensions}', "");
Error('\p{-_Vedic_Ext:=}');
Error('\P{-_Vedic_Ext:=}');
Expect(1, 7423, '\p{vedicext}', "");
Expect(0, 7423, '\p{^vedicext}', "");
Expect(0, 7423, '\P{vedicext}', "");
Expect(1, 7423, '\P{^vedicext}', "");
Expect(0, 7424, '\p{vedicext}', "");
Expect(1, 7424, '\p{^vedicext}', "");
Expect(1, 7424, '\P{vedicext}', "");
Expect(0, 7424, '\P{^vedicext}', "");
Expect(1, 7423, '\p{--Vedic_ext}', "");
Expect(0, 7423, '\p{^--Vedic_ext}', "");
Expect(0, 7423, '\P{--Vedic_ext}', "");
Expect(1, 7423, '\P{^--Vedic_ext}', "");
Expect(0, 7424, '\p{--Vedic_ext}', "");
Expect(1, 7424, '\p{^--Vedic_ext}', "");
Expect(1, 7424, '\P{--Vedic_ext}', "");
Expect(0, 7424, '\P{^--Vedic_ext}', "");
Error('\p{- Is_vedic_ext/a/}');
Error('\P{- Is_vedic_ext/a/}');
Expect(1, 7423, '\p{isvedicext}', "");
Expect(0, 7423, '\p{^isvedicext}', "");
Expect(0, 7423, '\P{isvedicext}', "");
Expect(1, 7423, '\P{^isvedicext}', "");
Expect(0, 7424, '\p{isvedicext}', "");
Expect(1, 7424, '\p{^isvedicext}', "");
Expect(1, 7424, '\P{isvedicext}', "");
Expect(0, 7424, '\P{^isvedicext}', "");
Expect(1, 7423, '\p{- IS_VEDIC_Ext}', "");
Expect(0, 7423, '\p{^- IS_VEDIC_Ext}', "");
Expect(0, 7423, '\P{- IS_VEDIC_Ext}', "");
Expect(1, 7423, '\P{^- IS_VEDIC_Ext}', "");
Expect(0, 7424, '\p{- IS_VEDIC_Ext}', "");
Expect(1, 7424, '\p{^- IS_VEDIC_Ext}', "");
Expect(1, 7424, '\P{- IS_VEDIC_Ext}', "");
Expect(0, 7424, '\P{^- IS_VEDIC_Ext}', "");
Error('\p{:=- IN_VEDIC_Ext}');
Error('\P{:=- IN_VEDIC_Ext}');
Expect(1, 7423, '\p{invedicext}', "");
Expect(0, 7423, '\p{^invedicext}', "");
Expect(0, 7423, '\P{invedicext}', "");
Expect(1, 7423, '\P{^invedicext}', "");
Expect(0, 7424, '\p{invedicext}', "");
Expect(1, 7424, '\p{^invedicext}', "");
Expect(1, 7424, '\P{invedicext}', "");
Expect(0, 7424, '\P{^invedicext}', "");
Expect(1, 7423, '\p{--In_VEDIC_Ext}', "");
Expect(0, 7423, '\p{^--In_VEDIC_Ext}', "");
Expect(0, 7423, '\P{--In_VEDIC_Ext}', "");
Expect(1, 7423, '\P{^--In_VEDIC_Ext}', "");
Expect(0, 7424, '\p{--In_VEDIC_Ext}', "");
Expect(1, 7424, '\p{^--In_VEDIC_Ext}', "");
Expect(1, 7424, '\P{--In_VEDIC_Ext}', "");
Expect(0, 7424, '\P{^--In_VEDIC_Ext}', "");
Error('\p{/a/_	VertSpace}');
Error('\P{/a/_	VertSpace}');
Expect(1, 8233, '\p{vertspace}', "");
Expect(0, 8233, '\p{^vertspace}', "");
Expect(0, 8233, '\P{vertspace}', "");
Expect(1, 8233, '\P{^vertspace}', "");
Expect(0, 8234, '\p{vertspace}', "");
Expect(1, 8234, '\p{^vertspace}', "");
Expect(1, 8234, '\P{vertspace}', "");
Expect(0, 8234, '\P{^vertspace}', "");
Expect(1, 8233, '\p{	-vertspace}', "");
Expect(0, 8233, '\p{^	-vertspace}', "");
Expect(0, 8233, '\P{	-vertspace}', "");
Expect(1, 8233, '\P{^	-vertspace}', "");
Expect(0, 8234, '\p{	-vertspace}', "");
Expect(1, 8234, '\p{^	-vertspace}', "");
Expect(1, 8234, '\P{	-vertspace}', "");
Expect(0, 8234, '\P{^	-vertspace}', "");
Error('\p{-/a/Is_VERTSPACE}');
Error('\P{-/a/Is_VERTSPACE}');
Expect(1, 8233, '\p{isvertspace}', "");
Expect(0, 8233, '\p{^isvertspace}', "");
Expect(0, 8233, '\P{isvertspace}', "");
Expect(1, 8233, '\P{^isvertspace}', "");
Expect(0, 8234, '\p{isvertspace}', "");
Expect(1, 8234, '\p{^isvertspace}', "");
Expect(1, 8234, '\P{isvertspace}', "");
Expect(0, 8234, '\P{^isvertspace}', "");
Expect(1, 8233, '\p{-Is_VertSpace}', "");
Expect(0, 8233, '\p{^-Is_VertSpace}', "");
Expect(0, 8233, '\P{-Is_VertSpace}', "");
Expect(1, 8233, '\P{^-Is_VertSpace}', "");
Expect(0, 8234, '\p{-Is_VertSpace}', "");
Expect(1, 8234, '\p{^-Is_VertSpace}', "");
Expect(1, 8234, '\P{-Is_VertSpace}', "");
Expect(0, 8234, '\P{^-Is_VertSpace}', "");
Error('\p{_:=vertical_Forms}');
Error('\P{_:=vertical_Forms}');
Expect(1, 65055, '\p{verticalforms}', "");
Expect(0, 65055, '\p{^verticalforms}', "");
Expect(0, 65055, '\P{verticalforms}', "");
Expect(1, 65055, '\P{^verticalforms}', "");
Expect(0, 65056, '\p{verticalforms}', "");
Expect(1, 65056, '\p{^verticalforms}', "");
Expect(1, 65056, '\P{verticalforms}', "");
Expect(0, 65056, '\P{^verticalforms}', "");
Expect(1, 65055, '\p{	-vertical_Forms}', "");
Expect(0, 65055, '\p{^	-vertical_Forms}', "");
Expect(0, 65055, '\P{	-vertical_Forms}', "");
Expect(1, 65055, '\P{^	-vertical_Forms}', "");
Expect(0, 65056, '\p{	-vertical_Forms}', "");
Expect(1, 65056, '\p{^	-vertical_Forms}', "");
Expect(1, 65056, '\P{	-vertical_Forms}', "");
Expect(0, 65056, '\P{^	-vertical_Forms}', "");
Error('\p{:=is_Vertical_FORMS}');
Error('\P{:=is_Vertical_FORMS}');
Expect(1, 65055, '\p{isverticalforms}', "");
Expect(0, 65055, '\p{^isverticalforms}', "");
Expect(0, 65055, '\P{isverticalforms}', "");
Expect(1, 65055, '\P{^isverticalforms}', "");
Expect(0, 65056, '\p{isverticalforms}', "");
Expect(1, 65056, '\p{^isverticalforms}', "");
Expect(1, 65056, '\P{isverticalforms}', "");
Expect(0, 65056, '\P{^isverticalforms}', "");
Expect(1, 65055, '\p{ IS_VERTICAL_forms}', "");
Expect(0, 65055, '\p{^ IS_VERTICAL_forms}', "");
Expect(0, 65055, '\P{ IS_VERTICAL_forms}', "");
Expect(1, 65055, '\P{^ IS_VERTICAL_forms}', "");
Expect(0, 65056, '\p{ IS_VERTICAL_forms}', "");
Expect(1, 65056, '\p{^ IS_VERTICAL_forms}', "");
Expect(1, 65056, '\P{ IS_VERTICAL_forms}', "");
Expect(0, 65056, '\P{^ IS_VERTICAL_forms}', "");
Error('\p{	In_Vertical_forms/a/}');
Error('\P{	In_Vertical_forms/a/}');
Expect(1, 65055, '\p{inverticalforms}', "");
Expect(0, 65055, '\p{^inverticalforms}', "");
Expect(0, 65055, '\P{inverticalforms}', "");
Expect(1, 65055, '\P{^inverticalforms}', "");
Expect(0, 65056, '\p{inverticalforms}', "");
Expect(1, 65056, '\p{^inverticalforms}', "");
Expect(1, 65056, '\P{inverticalforms}', "");
Expect(0, 65056, '\P{^inverticalforms}', "");
Expect(1, 65055, '\p{	IN_vertical_Forms}', "");
Expect(0, 65055, '\p{^	IN_vertical_Forms}', "");
Expect(0, 65055, '\P{	IN_vertical_Forms}', "");
Expect(1, 65055, '\P{^	IN_vertical_Forms}', "");
Expect(0, 65056, '\p{	IN_vertical_Forms}', "");
Expect(1, 65056, '\p{^	IN_vertical_Forms}', "");
Expect(1, 65056, '\P{	IN_vertical_Forms}', "");
Expect(0, 65056, '\P{^	IN_vertical_Forms}', "");
Error('\p{:=_Warang_Citi}');
Error('\P{:=_Warang_Citi}');
Expect(1, 71935, '\p{warangciti}', "");
Expect(0, 71935, '\p{^warangciti}', "");
Expect(0, 71935, '\P{warangciti}', "");
Expect(1, 71935, '\P{^warangciti}', "");
Expect(0, 71936, '\p{warangciti}', "");
Expect(1, 71936, '\p{^warangciti}', "");
Expect(1, 71936, '\P{warangciti}', "");
Expect(0, 71936, '\P{^warangciti}', "");
Expect(1, 71935, '\p{_-WARANG_Citi}', "");
Expect(0, 71935, '\p{^_-WARANG_Citi}', "");
Expect(0, 71935, '\P{_-WARANG_Citi}', "");
Expect(1, 71935, '\P{^_-WARANG_Citi}', "");
Expect(0, 71936, '\p{_-WARANG_Citi}', "");
Expect(1, 71936, '\p{^_-WARANG_Citi}', "");
Expect(1, 71936, '\P{_-WARANG_Citi}', "");
Expect(0, 71936, '\P{^_-WARANG_Citi}', "");
Error('\p{:=  Is_Warang_citi}');
Error('\P{:=  Is_Warang_citi}');
Expect(1, 71935, '\p{iswarangciti}', "");
Expect(0, 71935, '\p{^iswarangciti}', "");
Expect(0, 71935, '\P{iswarangciti}', "");
Expect(1, 71935, '\P{^iswarangciti}', "");
Expect(0, 71936, '\p{iswarangciti}', "");
Expect(1, 71936, '\p{^iswarangciti}', "");
Expect(1, 71936, '\P{iswarangciti}', "");
Expect(0, 71936, '\P{^iswarangciti}', "");
Expect(1, 71935, '\p{_ is_Warang_CITI}', "");
Expect(0, 71935, '\p{^_ is_Warang_CITI}', "");
Expect(0, 71935, '\P{_ is_Warang_CITI}', "");
Expect(1, 71935, '\P{^_ is_Warang_CITI}', "");
Expect(0, 71936, '\p{_ is_Warang_CITI}', "");
Expect(1, 71936, '\p{^_ is_Warang_CITI}', "");
Expect(1, 71936, '\P{_ is_Warang_CITI}', "");
Expect(0, 71936, '\P{^_ is_Warang_CITI}', "");
Error('\p{_:=Wara}');
Error('\P{_:=Wara}');
Expect(1, 71935, '\p{wara}', "");
Expect(0, 71935, '\p{^wara}', "");
Expect(0, 71935, '\P{wara}', "");
Expect(1, 71935, '\P{^wara}', "");
Expect(0, 71936, '\p{wara}', "");
Expect(1, 71936, '\p{^wara}', "");
Expect(1, 71936, '\P{wara}', "");
Expect(0, 71936, '\P{^wara}', "");
Expect(1, 71935, '\p{ Wara}', "");
Expect(0, 71935, '\p{^ Wara}', "");
Expect(0, 71935, '\P{ Wara}', "");
Expect(1, 71935, '\P{^ Wara}', "");
Expect(0, 71936, '\p{ Wara}', "");
Expect(1, 71936, '\p{^ Wara}', "");
Expect(1, 71936, '\P{ Wara}', "");
Expect(0, 71936, '\P{^ Wara}', "");
Error('\p{:=	_Is_Wara}');
Error('\P{:=	_Is_Wara}');
Expect(1, 71935, '\p{iswara}', "");
Expect(0, 71935, '\p{^iswara}', "");
Expect(0, 71935, '\P{iswara}', "");
Expect(1, 71935, '\P{^iswara}', "");
Expect(0, 71936, '\p{iswara}', "");
Expect(1, 71936, '\p{^iswara}', "");
Expect(1, 71936, '\P{iswara}', "");
Expect(0, 71936, '\P{^iswara}', "");
Expect(1, 71935, '\p{		Is_Wara}', "");
Expect(0, 71935, '\p{^		Is_Wara}', "");
Expect(0, 71935, '\P{		Is_Wara}', "");
Expect(1, 71935, '\P{^		Is_Wara}', "");
Expect(0, 71936, '\p{		Is_Wara}', "");
Expect(1, 71936, '\p{^		Is_Wara}', "");
Expect(1, 71936, '\P{		Is_Wara}', "");
Expect(0, 71936, '\P{^		Is_Wara}', "");
Error('\p{/a/	White_Space}');
Error('\P{/a/	White_Space}');
Expect(1, 12288, '\p{whitespace}', "");
Expect(0, 12288, '\p{^whitespace}', "");
Expect(0, 12288, '\P{whitespace}', "");
Expect(1, 12288, '\P{^whitespace}', "");
Expect(0, 12289, '\p{whitespace}', "");
Expect(1, 12289, '\p{^whitespace}', "");
Expect(1, 12289, '\P{whitespace}', "");
Expect(0, 12289, '\P{^whitespace}', "");
Expect(1, 12288, '\p{ _white_Space}', "");
Expect(0, 12288, '\p{^ _white_Space}', "");
Expect(0, 12288, '\P{ _white_Space}', "");
Expect(1, 12288, '\P{^ _white_Space}', "");
Expect(0, 12289, '\p{ _white_Space}', "");
Expect(1, 12289, '\p{^ _white_Space}', "");
Expect(1, 12289, '\P{ _white_Space}', "");
Expect(0, 12289, '\P{^ _white_Space}', "");
Error('\p{_/a/Is_WHITE_space}');
Error('\P{_/a/Is_WHITE_space}');
Expect(1, 12288, '\p{iswhitespace}', "");
Expect(0, 12288, '\p{^iswhitespace}', "");
Expect(0, 12288, '\P{iswhitespace}', "");
Expect(1, 12288, '\P{^iswhitespace}', "");
Expect(0, 12289, '\p{iswhitespace}', "");
Expect(1, 12289, '\p{^iswhitespace}', "");
Expect(1, 12289, '\P{iswhitespace}', "");
Expect(0, 12289, '\P{^iswhitespace}', "");
Expect(1, 12288, '\p{	 Is_White_SPACE}', "");
Expect(0, 12288, '\p{^	 Is_White_SPACE}', "");
Expect(0, 12288, '\P{	 Is_White_SPACE}', "");
Expect(1, 12288, '\P{^	 Is_White_SPACE}', "");
Expect(0, 12289, '\p{	 Is_White_SPACE}', "");
Expect(1, 12289, '\p{^	 Is_White_SPACE}', "");
Expect(1, 12289, '\P{	 Is_White_SPACE}', "");
Expect(0, 12289, '\P{^	 Is_White_SPACE}', "");
Error('\p{-/a/WSPACE}');
Error('\P{-/a/WSPACE}');
Expect(1, 12288, '\p{wspace}', "");
Expect(0, 12288, '\p{^wspace}', "");
Expect(0, 12288, '\P{wspace}', "");
Expect(1, 12288, '\P{^wspace}', "");
Expect(0, 12289, '\p{wspace}', "");
Expect(1, 12289, '\p{^wspace}', "");
Expect(1, 12289, '\P{wspace}', "");
Expect(0, 12289, '\P{^wspace}', "");
Expect(1, 12288, '\p{-WSPACE}', "");
Expect(0, 12288, '\p{^-WSPACE}', "");
Expect(0, 12288, '\P{-WSPACE}', "");
Expect(1, 12288, '\P{^-WSPACE}', "");
Expect(0, 12289, '\p{-WSPACE}', "");
Expect(1, 12289, '\p{^-WSPACE}', "");
Expect(1, 12289, '\P{-WSPACE}', "");
Expect(0, 12289, '\P{^-WSPACE}', "");
Error('\p{ /a/IS_WSpace}');
Error('\P{ /a/IS_WSpace}');
Expect(1, 12288, '\p{iswspace}', "");
Expect(0, 12288, '\p{^iswspace}', "");
Expect(0, 12288, '\P{iswspace}', "");
Expect(1, 12288, '\P{^iswspace}', "");
Expect(0, 12289, '\p{iswspace}', "");
Expect(1, 12289, '\p{^iswspace}', "");
Expect(1, 12289, '\P{iswspace}', "");
Expect(0, 12289, '\P{^iswspace}', "");
Expect(1, 12288, '\p{-IS_WSpace}', "");
Expect(0, 12288, '\p{^-IS_WSpace}', "");
Expect(0, 12288, '\P{-IS_WSpace}', "");
Expect(1, 12288, '\P{^-IS_WSpace}', "");
Expect(0, 12289, '\p{-IS_WSpace}', "");
Expect(1, 12289, '\p{^-IS_WSpace}', "");
Expect(1, 12289, '\P{-IS_WSpace}', "");
Expect(0, 12289, '\P{^-IS_WSpace}', "");
Error('\p{/a/space}');
Error('\P{/a/space}');
Expect(1, 12288, '\p{space}', "");
Expect(0, 12288, '\p{^space}', "");
Expect(0, 12288, '\P{space}', "");
Expect(1, 12288, '\P{^space}', "");
Expect(0, 12289, '\p{space}', "");
Expect(1, 12289, '\p{^space}', "");
Expect(1, 12289, '\P{space}', "");
Expect(0, 12289, '\P{^space}', "");
Expect(1, 12288, '\p{ -space}', "");
Expect(0, 12288, '\p{^ -space}', "");
Expect(0, 12288, '\P{ -space}', "");
Expect(1, 12288, '\P{^ -space}', "");
Expect(0, 12289, '\p{ -space}', "");
Expect(1, 12289, '\p{^ -space}', "");
Expect(1, 12289, '\P{ -space}', "");
Expect(0, 12289, '\P{^ -space}', "");
Error('\p{ :=is_SPACE}');
Error('\P{ :=is_SPACE}');
Expect(1, 12288, '\p{isspace}', "");
Expect(0, 12288, '\p{^isspace}', "");
Expect(0, 12288, '\P{isspace}', "");
Expect(1, 12288, '\P{^isspace}', "");
Expect(0, 12289, '\p{isspace}', "");
Expect(1, 12289, '\p{^isspace}', "");
Expect(1, 12289, '\P{isspace}', "");
Expect(0, 12289, '\P{^isspace}', "");
Expect(1, 12288, '\p{--IS_Space}', "");
Expect(0, 12288, '\p{^--IS_Space}', "");
Expect(0, 12288, '\P{--IS_Space}', "");
Expect(1, 12288, '\P{^--IS_Space}', "");
Expect(0, 12289, '\p{--IS_Space}', "");
Expect(1, 12289, '\p{^--IS_Space}', "");
Expect(1, 12289, '\P{--IS_Space}', "");
Expect(0, 12289, '\P{^--IS_Space}', "");
Error('\p{-/a/XPosixWord}');
Error('\P{-/a/XPosixWord}');
Expect(1, 917999, '\p{xposixword}', "");
Expect(0, 917999, '\p{^xposixword}', "");
Expect(0, 917999, '\P{xposixword}', "");
Expect(1, 917999, '\P{^xposixword}', "");
Expect(0, 918000, '\p{xposixword}', "");
Expect(1, 918000, '\p{^xposixword}', "");
Expect(1, 918000, '\P{xposixword}', "");
Expect(0, 918000, '\P{^xposixword}', "");
Expect(1, 917999, '\p{	_XPosixWord}', "");
Expect(0, 917999, '\p{^	_XPosixWord}', "");
Expect(0, 917999, '\P{	_XPosixWord}', "");
Expect(1, 917999, '\P{^	_XPosixWord}', "");
Expect(0, 918000, '\p{	_XPosixWord}', "");
Expect(1, 918000, '\p{^	_XPosixWord}', "");
Expect(1, 918000, '\P{	_XPosixWord}', "");
Expect(0, 918000, '\P{^	_XPosixWord}', "");
Error('\p{ /a/Word}');
Error('\P{ /a/Word}');
Expect(1, 917999, '\p{word}', "");
Expect(0, 917999, '\p{^word}', "");
Expect(0, 917999, '\P{word}', "");
Expect(1, 917999, '\P{^word}', "");
Expect(0, 918000, '\p{word}', "");
Expect(1, 918000, '\p{^word}', "");
Expect(1, 918000, '\P{word}', "");
Expect(0, 918000, '\P{^word}', "");
Expect(1, 917999, '\p{ word}', "");
Expect(0, 917999, '\p{^ word}', "");
Expect(0, 917999, '\P{ word}', "");
Expect(1, 917999, '\P{^ word}', "");
Expect(0, 918000, '\p{ word}', "");
Expect(1, 918000, '\p{^ word}', "");
Expect(1, 918000, '\P{ word}', "");
Expect(0, 918000, '\P{^ word}', "");
Error('\p{:=		is_xposixword}');
Error('\P{:=		is_xposixword}');
Expect(1, 917999, '\p{isxposixword}', "");
Expect(0, 917999, '\p{^isxposixword}', "");
Expect(0, 917999, '\P{isxposixword}', "");
Expect(1, 917999, '\P{^isxposixword}', "");
Expect(0, 918000, '\p{isxposixword}', "");
Expect(1, 918000, '\p{^isxposixword}', "");
Expect(1, 918000, '\P{isxposixword}', "");
Expect(0, 918000, '\P{^isxposixword}', "");
Expect(1, 917999, '\p{ -IS_XPosixWord}', "");
Expect(0, 917999, '\p{^ -IS_XPosixWord}', "");
Expect(0, 917999, '\P{ -IS_XPosixWord}', "");
Expect(1, 917999, '\P{^ -IS_XPosixWord}', "");
Expect(0, 918000, '\p{ -IS_XPosixWord}', "");
Expect(1, 918000, '\p{^ -IS_XPosixWord}', "");
Expect(1, 918000, '\P{ -IS_XPosixWord}', "");
Expect(0, 918000, '\P{^ -IS_XPosixWord}', "");
Error('\p{:=-is_Word}');
Error('\P{:=-is_Word}');
Expect(1, 917999, '\p{isword}', "");
Expect(0, 917999, '\p{^isword}', "");
Expect(0, 917999, '\P{isword}', "");
Expect(1, 917999, '\P{^isword}', "");
Expect(0, 918000, '\p{isword}', "");
Expect(1, 918000, '\p{^isword}', "");
Expect(1, 918000, '\P{isword}', "");
Expect(0, 918000, '\P{^isword}', "");
Expect(1, 917999, '\p{_is_Word}', "");
Expect(0, 917999, '\p{^_is_Word}', "");
Expect(0, 917999, '\P{_is_Word}', "");
Expect(1, 917999, '\P{^_is_Word}', "");
Expect(0, 918000, '\p{_is_Word}', "");
Expect(1, 918000, '\p{^_is_Word}', "");
Expect(1, 918000, '\P{_is_Word}', "");
Expect(0, 918000, '\P{^_is_Word}', "");
Error('\p{/a/_	XPosixXDigit}');
Error('\P{/a/_	XPosixXDigit}');
Expect(1, 65350, '\p{xposixxdigit}', "");
Expect(0, 65350, '\p{^xposixxdigit}', "");
Expect(0, 65350, '\P{xposixxdigit}', "");
Expect(1, 65350, '\P{^xposixxdigit}', "");
Expect(0, 65351, '\p{xposixxdigit}', "");
Expect(1, 65351, '\p{^xposixxdigit}', "");
Expect(1, 65351, '\P{xposixxdigit}', "");
Expect(0, 65351, '\P{^xposixxdigit}', "");
Expect(1, 65350, '\p{	XPOSIXXDIGIT}', "");
Expect(0, 65350, '\p{^	XPOSIXXDIGIT}', "");
Expect(0, 65350, '\P{	XPOSIXXDIGIT}', "");
Expect(1, 65350, '\P{^	XPOSIXXDIGIT}', "");
Expect(0, 65351, '\p{	XPOSIXXDIGIT}', "");
Expect(1, 65351, '\p{^	XPOSIXXDIGIT}', "");
Expect(1, 65351, '\P{	XPOSIXXDIGIT}', "");
Expect(0, 65351, '\P{^	XPOSIXXDIGIT}', "");
Error('\p{	:=xdigit}');
Error('\P{	:=xdigit}');
Expect(1, 65350, '\p{xdigit}', "");
Expect(0, 65350, '\p{^xdigit}', "");
Expect(0, 65350, '\P{xdigit}', "");
Expect(1, 65350, '\P{^xdigit}', "");
Expect(0, 65351, '\p{xdigit}', "");
Expect(1, 65351, '\p{^xdigit}', "");
Expect(1, 65351, '\P{xdigit}', "");
Expect(0, 65351, '\P{^xdigit}', "");
Expect(1, 65350, '\p{ xdigit}', "");
Expect(0, 65350, '\p{^ xdigit}', "");
Expect(0, 65350, '\P{ xdigit}', "");
Expect(1, 65350, '\P{^ xdigit}', "");
Expect(0, 65351, '\p{ xdigit}', "");
Expect(1, 65351, '\p{^ xdigit}', "");
Expect(1, 65351, '\P{ xdigit}', "");
Expect(0, 65351, '\P{^ xdigit}', "");
Error('\p{ 	Is_XPosixXDigit:=}');
Error('\P{ 	Is_XPosixXDigit:=}');
Expect(1, 65350, '\p{isxposixxdigit}', "");
Expect(0, 65350, '\p{^isxposixxdigit}', "");
Expect(0, 65350, '\P{isxposixxdigit}', "");
Expect(1, 65350, '\P{^isxposixxdigit}', "");
Expect(0, 65351, '\p{isxposixxdigit}', "");
Expect(1, 65351, '\p{^isxposixxdigit}', "");
Expect(1, 65351, '\P{isxposixxdigit}', "");
Expect(0, 65351, '\P{^isxposixxdigit}', "");
Expect(1, 65350, '\p{ -Is_xposixxdigit}', "");
Expect(0, 65350, '\p{^ -Is_xposixxdigit}', "");
Expect(0, 65350, '\P{ -Is_xposixxdigit}', "");
Expect(1, 65350, '\P{^ -Is_xposixxdigit}', "");
Expect(0, 65351, '\p{ -Is_xposixxdigit}', "");
Expect(1, 65351, '\p{^ -Is_xposixxdigit}', "");
Expect(1, 65351, '\P{ -Is_xposixxdigit}', "");
Expect(0, 65351, '\P{^ -Is_xposixxdigit}', "");
Error('\p{	 IS_xdigit:=}');
Error('\P{	 IS_xdigit:=}');
Expect(1, 65350, '\p{isxdigit}', "");
Expect(0, 65350, '\p{^isxdigit}', "");
Expect(0, 65350, '\P{isxdigit}', "");
Expect(1, 65350, '\P{^isxdigit}', "");
Expect(0, 65351, '\p{isxdigit}', "");
Expect(1, 65351, '\p{^isxdigit}', "");
Expect(1, 65351, '\P{isxdigit}', "");
Expect(0, 65351, '\P{^isxdigit}', "");
Expect(1, 65350, '\p{	Is_XDigit}', "");
Expect(0, 65350, '\p{^	Is_XDigit}', "");
Expect(0, 65350, '\P{	Is_XDigit}', "");
Expect(1, 65350, '\P{^	Is_XDigit}', "");
Expect(0, 65351, '\p{	Is_XDigit}', "");
Expect(1, 65351, '\p{^	Is_XDigit}', "");
Expect(1, 65351, '\P{	Is_XDigit}', "");
Expect(0, 65351, '\P{^	Is_XDigit}', "");
Error('\p{:= -hex_digit}');
Error('\P{:= -hex_digit}');
Expect(1, 65350, '\p{hexdigit}', "");
Expect(0, 65350, '\p{^hexdigit}', "");
Expect(0, 65350, '\P{hexdigit}', "");
Expect(1, 65350, '\P{^hexdigit}', "");
Expect(0, 65351, '\p{hexdigit}', "");
Expect(1, 65351, '\p{^hexdigit}', "");
Expect(1, 65351, '\P{hexdigit}', "");
Expect(0, 65351, '\P{^hexdigit}', "");
Expect(1, 65350, '\p{_hex_digit}', "");
Expect(0, 65350, '\p{^_hex_digit}', "");
Expect(0, 65350, '\P{_hex_digit}', "");
Expect(1, 65350, '\P{^_hex_digit}', "");
Expect(0, 65351, '\p{_hex_digit}', "");
Expect(1, 65351, '\p{^_hex_digit}', "");
Expect(1, 65351, '\P{_hex_digit}', "");
Expect(0, 65351, '\P{^_hex_digit}', "");
Error('\p{-/a/Is_Hex_Digit}');
Error('\P{-/a/Is_Hex_Digit}');
Expect(1, 65350, '\p{ishexdigit}', "");
Expect(0, 65350, '\p{^ishexdigit}', "");
Expect(0, 65350, '\P{ishexdigit}', "");
Expect(1, 65350, '\P{^ishexdigit}', "");
Expect(0, 65351, '\p{ishexdigit}', "");
Expect(1, 65351, '\p{^ishexdigit}', "");
Expect(1, 65351, '\P{ishexdigit}', "");
Expect(0, 65351, '\P{^ishexdigit}', "");
Expect(1, 65350, '\p{  Is_Hex_digit}', "");
Expect(0, 65350, '\p{^  Is_Hex_digit}', "");
Expect(0, 65350, '\P{  Is_Hex_digit}', "");
Expect(1, 65350, '\P{^  Is_Hex_digit}', "");
Expect(0, 65351, '\p{  Is_Hex_digit}', "");
Expect(1, 65351, '\p{^  Is_Hex_digit}', "");
Expect(1, 65351, '\P{  Is_Hex_digit}', "");
Expect(0, 65351, '\P{^  Is_Hex_digit}', "");
Error('\p{:=-	Hex}');
Error('\P{:=-	Hex}');
Expect(1, 65350, '\p{hex}', "");
Expect(0, 65350, '\p{^hex}', "");
Expect(0, 65350, '\P{hex}', "");
Expect(1, 65350, '\P{^hex}', "");
Expect(0, 65351, '\p{hex}', "");
Expect(1, 65351, '\p{^hex}', "");
Expect(1, 65351, '\P{hex}', "");
Expect(0, 65351, '\P{^hex}', "");
Expect(1, 65350, '\p{ 	HEX}', "");
Expect(0, 65350, '\p{^ 	HEX}', "");
Expect(0, 65350, '\P{ 	HEX}', "");
Expect(1, 65350, '\P{^ 	HEX}', "");
Expect(0, 65351, '\p{ 	HEX}', "");
Expect(1, 65351, '\p{^ 	HEX}', "");
Expect(1, 65351, '\P{ 	HEX}', "");
Expect(0, 65351, '\P{^ 	HEX}', "");
Error('\p{ 	IS_Hex:=}');
Error('\P{ 	IS_Hex:=}');
Expect(1, 65350, '\p{ishex}', "");
Expect(0, 65350, '\p{^ishex}', "");
Expect(0, 65350, '\P{ishex}', "");
Expect(1, 65350, '\P{^ishex}', "");
Expect(0, 65351, '\p{ishex}', "");
Expect(1, 65351, '\p{^ishex}', "");
Expect(1, 65351, '\P{ishex}', "");
Expect(0, 65351, '\P{^ishex}', "");
Expect(1, 65350, '\p{	_is_HEX}', "");
Expect(0, 65350, '\p{^	_is_HEX}', "");
Expect(0, 65350, '\P{	_is_HEX}', "");
Expect(1, 65350, '\P{^	_is_HEX}', "");
Expect(0, 65351, '\p{	_is_HEX}', "");
Expect(1, 65351, '\p{^	_is_HEX}', "");
Expect(1, 65351, '\P{	_is_HEX}', "");
Expect(0, 65351, '\P{^	_is_HEX}', "");
Error('\p{-/a/XID_Continue}');
Error('\P{-/a/XID_Continue}');
Expect(1, 917999, '\p{xidcontinue}', "");
Expect(0, 917999, '\p{^xidcontinue}', "");
Expect(0, 917999, '\P{xidcontinue}', "");
Expect(1, 917999, '\P{^xidcontinue}', "");
Expect(0, 918000, '\p{xidcontinue}', "");
Expect(1, 918000, '\p{^xidcontinue}', "");
Expect(1, 918000, '\P{xidcontinue}', "");
Expect(0, 918000, '\P{^xidcontinue}', "");
Expect(1, 917999, '\p{	xid_Continue}', "");
Expect(0, 917999, '\p{^	xid_Continue}', "");
Expect(0, 917999, '\P{	xid_Continue}', "");
Expect(1, 917999, '\P{^	xid_Continue}', "");
Expect(0, 918000, '\p{	xid_Continue}', "");
Expect(1, 918000, '\p{^	xid_Continue}', "");
Expect(1, 918000, '\P{	xid_Continue}', "");
Expect(0, 918000, '\P{^	xid_Continue}', "");
Error('\p{/a/_	is_XID_Continue}');
Error('\P{/a/_	is_XID_Continue}');
Expect(1, 917999, '\p{isxidcontinue}', "");
Expect(0, 917999, '\p{^isxidcontinue}', "");
Expect(0, 917999, '\P{isxidcontinue}', "");
Expect(1, 917999, '\P{^isxidcontinue}', "");
Expect(0, 918000, '\p{isxidcontinue}', "");
Expect(1, 918000, '\p{^isxidcontinue}', "");
Expect(1, 918000, '\P{isxidcontinue}', "");
Expect(0, 918000, '\P{^isxidcontinue}', "");
Expect(1, 917999, '\p{-_Is_xid_Continue}', "");
Expect(0, 917999, '\p{^-_Is_xid_Continue}', "");
Expect(0, 917999, '\P{-_Is_xid_Continue}', "");
Expect(1, 917999, '\P{^-_Is_xid_Continue}', "");
Expect(0, 918000, '\p{-_Is_xid_Continue}', "");
Expect(1, 918000, '\p{^-_Is_xid_Continue}', "");
Expect(1, 918000, '\P{-_Is_xid_Continue}', "");
Expect(0, 918000, '\P{^-_Is_xid_Continue}', "");
Error('\p{		XIDC:=}');
Error('\P{		XIDC:=}');
Expect(1, 917999, '\p{xidc}', "");
Expect(0, 917999, '\p{^xidc}', "");
Expect(0, 917999, '\P{xidc}', "");
Expect(1, 917999, '\P{^xidc}', "");
Expect(0, 918000, '\p{xidc}', "");
Expect(1, 918000, '\p{^xidc}', "");
Expect(1, 918000, '\P{xidc}', "");
Expect(0, 918000, '\P{^xidc}', "");
Expect(1, 917999, '\p{_	XIDC}', "");
Expect(0, 917999, '\p{^_	XIDC}', "");
Expect(0, 917999, '\P{_	XIDC}', "");
Expect(1, 917999, '\P{^_	XIDC}', "");
Expect(0, 918000, '\p{_	XIDC}', "");
Expect(1, 918000, '\p{^_	XIDC}', "");
Expect(1, 918000, '\P{_	XIDC}', "");
Expect(0, 918000, '\P{^_	XIDC}', "");
Error('\p{/a/-Is_XIDC}');
Error('\P{/a/-Is_XIDC}');
Expect(1, 917999, '\p{isxidc}', "");
Expect(0, 917999, '\p{^isxidc}', "");
Expect(0, 917999, '\P{isxidc}', "");
Expect(1, 917999, '\P{^isxidc}', "");
Expect(0, 918000, '\p{isxidc}', "");
Expect(1, 918000, '\p{^isxidc}', "");
Expect(1, 918000, '\P{isxidc}', "");
Expect(0, 918000, '\P{^isxidc}', "");
Expect(1, 917999, '\p{-	Is_XIDC}', "");
Expect(0, 917999, '\p{^-	Is_XIDC}', "");
Expect(0, 917999, '\P{-	Is_XIDC}', "");
Expect(1, 917999, '\P{^-	Is_XIDC}', "");
Expect(0, 918000, '\p{-	Is_XIDC}', "");
Expect(1, 918000, '\p{^-	Is_XIDC}', "");
Expect(1, 918000, '\P{-	Is_XIDC}', "");
Expect(0, 918000, '\P{^-	Is_XIDC}', "");
Error('\p{__XID_start/a/}');
Error('\P{__XID_start/a/}');
Expect(1, 195101, '\p{xidstart}', "");
Expect(0, 195101, '\p{^xidstart}', "");
Expect(0, 195101, '\P{xidstart}', "");
Expect(1, 195101, '\P{^xidstart}', "");
Expect(0, 195102, '\p{xidstart}', "");
Expect(1, 195102, '\p{^xidstart}', "");
Expect(1, 195102, '\P{xidstart}', "");
Expect(0, 195102, '\P{^xidstart}', "");
Expect(1, 195101, '\p{		XID_START}', "");
Expect(0, 195101, '\p{^		XID_START}', "");
Expect(0, 195101, '\P{		XID_START}', "");
Expect(1, 195101, '\P{^		XID_START}', "");
Expect(0, 195102, '\p{		XID_START}', "");
Expect(1, 195102, '\p{^		XID_START}', "");
Expect(1, 195102, '\P{		XID_START}', "");
Expect(0, 195102, '\P{^		XID_START}', "");
Error('\p{	:=Is_xid_start}');
Error('\P{	:=Is_xid_start}');
Expect(1, 195101, '\p{isxidstart}', "");
Expect(0, 195101, '\p{^isxidstart}', "");
Expect(0, 195101, '\P{isxidstart}', "");
Expect(1, 195101, '\P{^isxidstart}', "");
Expect(0, 195102, '\p{isxidstart}', "");
Expect(1, 195102, '\p{^isxidstart}', "");
Expect(1, 195102, '\P{isxidstart}', "");
Expect(0, 195102, '\P{^isxidstart}', "");
Expect(1, 195101, '\p{-_is_XID_start}', "");
Expect(0, 195101, '\p{^-_is_XID_start}', "");
Expect(0, 195101, '\P{-_is_XID_start}', "");
Expect(1, 195101, '\P{^-_is_XID_start}', "");
Expect(0, 195102, '\p{-_is_XID_start}', "");
Expect(1, 195102, '\p{^-_is_XID_start}', "");
Expect(1, 195102, '\P{-_is_XID_start}', "");
Expect(0, 195102, '\P{^-_is_XID_start}', "");
Error('\p{:=-	XIDS}');
Error('\P{:=-	XIDS}');
Expect(1, 195101, '\p{xids}', "");
Expect(0, 195101, '\p{^xids}', "");
Expect(0, 195101, '\P{xids}', "");
Expect(1, 195101, '\P{^xids}', "");
Expect(0, 195102, '\p{xids}', "");
Expect(1, 195102, '\p{^xids}', "");
Expect(1, 195102, '\P{xids}', "");
Expect(0, 195102, '\P{^xids}', "");
Expect(1, 195101, '\p{_-XIDS}', "");
Expect(0, 195101, '\p{^_-XIDS}', "");
Expect(0, 195101, '\P{_-XIDS}', "");
Expect(1, 195101, '\P{^_-XIDS}', "");
Expect(0, 195102, '\p{_-XIDS}', "");
Expect(1, 195102, '\p{^_-XIDS}', "");
Expect(1, 195102, '\P{_-XIDS}', "");
Expect(0, 195102, '\P{^_-XIDS}', "");
Error('\p{	/a/is_xids}');
Error('\P{	/a/is_xids}');
Expect(1, 195101, '\p{isxids}', "");
Expect(0, 195101, '\p{^isxids}', "");
Expect(0, 195101, '\P{isxids}', "");
Expect(1, 195101, '\P{^isxids}', "");
Expect(0, 195102, '\p{isxids}', "");
Expect(1, 195102, '\p{^isxids}', "");
Expect(1, 195102, '\P{isxids}', "");
Expect(0, 195102, '\P{^isxids}', "");
Expect(1, 195101, '\p{-is_XIDS}', "");
Expect(0, 195101, '\p{^-is_XIDS}', "");
Expect(0, 195101, '\P{-is_XIDS}', "");
Expect(1, 195101, '\P{^-is_XIDS}', "");
Expect(0, 195102, '\p{-is_XIDS}', "");
Expect(1, 195102, '\p{^-is_XIDS}', "");
Expect(1, 195102, '\P{-is_XIDS}', "");
Expect(0, 195102, '\P{^-is_XIDS}', "");
Error('\p{:=  XPOSIXALPHA}');
Error('\P{:=  XPOSIXALPHA}');
Expect(1, 195101, '\p{xposixalpha}', "");
Expect(0, 195101, '\p{^xposixalpha}', "");
Expect(0, 195101, '\P{xposixalpha}', "");
Expect(1, 195101, '\P{^xposixalpha}', "");
Expect(0, 195102, '\p{xposixalpha}', "");
Expect(1, 195102, '\p{^xposixalpha}', "");
Expect(1, 195102, '\P{xposixalpha}', "");
Expect(0, 195102, '\P{^xposixalpha}', "");
Expect(1, 195101, '\p{-XPosixAlpha}', "");
Expect(0, 195101, '\p{^-XPosixAlpha}', "");
Expect(0, 195101, '\P{-XPosixAlpha}', "");
Expect(1, 195101, '\P{^-XPosixAlpha}', "");
Expect(0, 195102, '\p{-XPosixAlpha}', "");
Expect(1, 195102, '\p{^-XPosixAlpha}', "");
Expect(1, 195102, '\P{-XPosixAlpha}', "");
Expect(0, 195102, '\P{^-XPosixAlpha}', "");
Error('\p{ IS_XPOSIXALPHA/a/}');
Error('\P{ IS_XPOSIXALPHA/a/}');
Expect(1, 195101, '\p{isxposixalpha}', "");
Expect(0, 195101, '\p{^isxposixalpha}', "");
Expect(0, 195101, '\P{isxposixalpha}', "");
Expect(1, 195101, '\P{^isxposixalpha}', "");
Expect(0, 195102, '\p{isxposixalpha}', "");
Expect(1, 195102, '\p{^isxposixalpha}', "");
Expect(1, 195102, '\P{isxposixalpha}', "");
Expect(0, 195102, '\P{^isxposixalpha}', "");
Expect(1, 195101, '\p{-	IS_XPOSIXALPHA}', "");
Expect(0, 195101, '\p{^-	IS_XPOSIXALPHA}', "");
Expect(0, 195101, '\P{-	IS_XPOSIXALPHA}', "");
Expect(1, 195101, '\P{^-	IS_XPOSIXALPHA}', "");
Expect(0, 195102, '\p{-	IS_XPOSIXALPHA}', "");
Expect(1, 195102, '\p{^-	IS_XPOSIXALPHA}', "");
Expect(1, 195102, '\P{-	IS_XPOSIXALPHA}', "");
Expect(0, 195102, '\P{^-	IS_XPOSIXALPHA}', "");
Error('\p{_alphabetic/a/}');
Error('\P{_alphabetic/a/}');
Expect(1, 195101, '\p{alphabetic}', "");
Expect(0, 195101, '\p{^alphabetic}', "");
Expect(0, 195101, '\P{alphabetic}', "");
Expect(1, 195101, '\P{^alphabetic}', "");
Expect(0, 195102, '\p{alphabetic}', "");
Expect(1, 195102, '\p{^alphabetic}', "");
Expect(1, 195102, '\P{alphabetic}', "");
Expect(0, 195102, '\P{^alphabetic}', "");
Expect(1, 195101, '\p{-_ALPHABETIC}', "");
Expect(0, 195101, '\p{^-_ALPHABETIC}', "");
Expect(0, 195101, '\P{-_ALPHABETIC}', "");
Expect(1, 195101, '\P{^-_ALPHABETIC}', "");
Expect(0, 195102, '\p{-_ALPHABETIC}', "");
Expect(1, 195102, '\p{^-_ALPHABETIC}', "");
Expect(1, 195102, '\P{-_ALPHABETIC}', "");
Expect(0, 195102, '\P{^-_ALPHABETIC}', "");
Error('\p{	is_alphabetic:=}');
Error('\P{	is_alphabetic:=}');
Expect(1, 195101, '\p{isalphabetic}', "");
Expect(0, 195101, '\p{^isalphabetic}', "");
Expect(0, 195101, '\P{isalphabetic}', "");
Expect(1, 195101, '\P{^isalphabetic}', "");
Expect(0, 195102, '\p{isalphabetic}', "");
Expect(1, 195102, '\p{^isalphabetic}', "");
Expect(1, 195102, '\P{isalphabetic}', "");
Expect(0, 195102, '\P{^isalphabetic}', "");
Expect(1, 195101, '\p{-Is_Alphabetic}', "");
Expect(0, 195101, '\p{^-Is_Alphabetic}', "");
Expect(0, 195101, '\P{-Is_Alphabetic}', "");
Expect(1, 195101, '\P{^-Is_Alphabetic}', "");
Expect(0, 195102, '\p{-Is_Alphabetic}', "");
Expect(1, 195102, '\p{^-Is_Alphabetic}', "");
Expect(1, 195102, '\P{-Is_Alphabetic}', "");
Expect(0, 195102, '\P{^-Is_Alphabetic}', "");
Error('\p{ alpha/a/}');
Error('\P{ alpha/a/}');
Expect(1, 195101, '\p{alpha}', "");
Expect(0, 195101, '\p{^alpha}', "");
Expect(0, 195101, '\P{alpha}', "");
Expect(1, 195101, '\P{^alpha}', "");
Expect(0, 195102, '\p{alpha}', "");
Expect(1, 195102, '\p{^alpha}', "");
Expect(1, 195102, '\P{alpha}', "");
Expect(0, 195102, '\P{^alpha}', "");
Expect(1, 195101, '\p{	Alpha}', "");
Expect(0, 195101, '\p{^	Alpha}', "");
Expect(0, 195101, '\P{	Alpha}', "");
Expect(1, 195101, '\P{^	Alpha}', "");
Expect(0, 195102, '\p{	Alpha}', "");
Expect(1, 195102, '\p{^	Alpha}', "");
Expect(1, 195102, '\P{	Alpha}', "");
Expect(0, 195102, '\P{^	Alpha}', "");
Error('\p{:=_is_Alpha}');
Error('\P{:=_is_Alpha}');
Expect(1, 195101, '\p{isalpha}', "");
Expect(0, 195101, '\p{^isalpha}', "");
Expect(0, 195101, '\P{isalpha}', "");
Expect(1, 195101, '\P{^isalpha}', "");
Expect(0, 195102, '\p{isalpha}', "");
Expect(1, 195102, '\p{^isalpha}', "");
Expect(1, 195102, '\P{isalpha}', "");
Expect(0, 195102, '\P{^isalpha}', "");
Expect(1, 195101, '\p{ Is_Alpha}', "");
Expect(0, 195101, '\p{^ Is_Alpha}', "");
Expect(0, 195101, '\P{ Is_Alpha}', "");
Expect(1, 195101, '\P{^ Is_Alpha}', "");
Expect(0, 195102, '\p{ Is_Alpha}', "");
Expect(1, 195102, '\p{^ Is_Alpha}', "");
Expect(1, 195102, '\P{ Is_Alpha}', "");
Expect(0, 195102, '\P{^ Is_Alpha}', "");
Error('\p{/a/ _XPosixLower}');
Error('\P{/a/ _XPosixLower}');
Expect(1, 120779, '\p{xposixlower}', "");
Expect(0, 120779, '\p{^xposixlower}', "");
Expect(0, 120779, '\P{xposixlower}', "");
Expect(1, 120779, '\P{^xposixlower}', "");
Expect(0, 120780, '\p{xposixlower}', "");
Expect(1, 120780, '\p{^xposixlower}', "");
Expect(1, 120780, '\P{xposixlower}', "");
Expect(0, 120780, '\P{^xposixlower}', "");
Expect(1, 120779, '\p{_	XPOSIXLOWER}', "");
Expect(0, 120779, '\p{^_	XPOSIXLOWER}', "");
Expect(0, 120779, '\P{_	XPOSIXLOWER}', "");
Expect(1, 120779, '\P{^_	XPOSIXLOWER}', "");
Expect(0, 120780, '\p{_	XPOSIXLOWER}', "");
Expect(1, 120780, '\p{^_	XPOSIXLOWER}', "");
Expect(1, 120780, '\P{_	XPOSIXLOWER}', "");
Expect(0, 120780, '\P{^_	XPOSIXLOWER}', "");
Error('\p{	Is_xposixlower/a/}');
Error('\P{	Is_xposixlower/a/}');
Expect(1, 120779, '\p{isxposixlower}', "");
Expect(0, 120779, '\p{^isxposixlower}', "");
Expect(0, 120779, '\P{isxposixlower}', "");
Expect(1, 120779, '\P{^isxposixlower}', "");
Expect(0, 120780, '\p{isxposixlower}', "");
Expect(1, 120780, '\p{^isxposixlower}', "");
Expect(1, 120780, '\P{isxposixlower}', "");
Expect(0, 120780, '\P{^isxposixlower}', "");
Expect(1, 120779, '\p{ Is_XPOSIXLOWER}', "");
Expect(0, 120779, '\p{^ Is_XPOSIXLOWER}', "");
Expect(0, 120779, '\P{ Is_XPOSIXLOWER}', "");
Expect(1, 120779, '\P{^ Is_XPOSIXLOWER}', "");
Expect(0, 120780, '\p{ Is_XPOSIXLOWER}', "");
Expect(1, 120780, '\p{^ Is_XPOSIXLOWER}', "");
Expect(1, 120780, '\P{ Is_XPOSIXLOWER}', "");
Expect(0, 120780, '\P{^ Is_XPOSIXLOWER}', "");
Error('\p{:=__LOWERCASE}');
Error('\P{:=__LOWERCASE}');
Expect(1, 120779, '\p{lowercase}', "");
Expect(0, 120779, '\p{^lowercase}', "");
Expect(0, 120779, '\P{lowercase}', "");
Expect(1, 120779, '\P{^lowercase}', "");
Expect(0, 120780, '\p{lowercase}', "");
Expect(1, 120780, '\p{^lowercase}', "");
Expect(1, 120780, '\P{lowercase}', "");
Expect(0, 120780, '\P{^lowercase}', "");
Expect(1, 120779, '\p{	-Lowercase}', "");
Expect(0, 120779, '\p{^	-Lowercase}', "");
Expect(0, 120779, '\P{	-Lowercase}', "");
Expect(1, 120779, '\P{^	-Lowercase}', "");
Expect(0, 120780, '\p{	-Lowercase}', "");
Expect(1, 120780, '\p{^	-Lowercase}', "");
Expect(1, 120780, '\P{	-Lowercase}', "");
Expect(0, 120780, '\P{^	-Lowercase}', "");
Error('\p{-:=is_Lowercase}');
Error('\P{-:=is_Lowercase}');
Expect(1, 120779, '\p{islowercase}', "");
Expect(0, 120779, '\p{^islowercase}', "");
Expect(0, 120779, '\P{islowercase}', "");
Expect(1, 120779, '\P{^islowercase}', "");
Expect(0, 120780, '\p{islowercase}', "");
Expect(1, 120780, '\p{^islowercase}', "");
Expect(1, 120780, '\P{islowercase}', "");
Expect(0, 120780, '\P{^islowercase}', "");
Expect(1, 120779, '\p{_IS_Lowercase}', "");
Expect(0, 120779, '\p{^_IS_Lowercase}', "");
Expect(0, 120779, '\P{_IS_Lowercase}', "");
Expect(1, 120779, '\P{^_IS_Lowercase}', "");
Expect(0, 120780, '\p{_IS_Lowercase}', "");
Expect(1, 120780, '\p{^_IS_Lowercase}', "");
Expect(1, 120780, '\P{_IS_Lowercase}', "");
Expect(0, 120780, '\P{^_IS_Lowercase}', "");
Error('\p{/a/Lower}');
Error('\P{/a/Lower}');
Expect(1, 120779, '\p{lower}', "");
Expect(0, 120779, '\p{^lower}', "");
Expect(0, 120779, '\P{lower}', "");
Expect(1, 120779, '\P{^lower}', "");
Expect(0, 120780, '\p{lower}', "");
Expect(1, 120780, '\p{^lower}', "");
Expect(1, 120780, '\P{lower}', "");
Expect(0, 120780, '\P{^lower}', "");
Expect(1, 120779, '\p{--Lower}', "");
Expect(0, 120779, '\p{^--Lower}', "");
Expect(0, 120779, '\P{--Lower}', "");
Expect(1, 120779, '\P{^--Lower}', "");
Expect(0, 120780, '\p{--Lower}', "");
Expect(1, 120780, '\p{^--Lower}', "");
Expect(1, 120780, '\P{--Lower}', "");
Expect(0, 120780, '\P{^--Lower}', "");
Error('\p{__is_LOWER:=}');
Error('\P{__is_LOWER:=}');
Expect(1, 120779, '\p{islower}', "");
Expect(0, 120779, '\p{^islower}', "");
Expect(0, 120779, '\P{islower}', "");
Expect(1, 120779, '\P{^islower}', "");
Expect(0, 120780, '\p{islower}', "");
Expect(1, 120780, '\p{^islower}', "");
Expect(1, 120780, '\P{islower}', "");
Expect(0, 120780, '\P{^islower}', "");
Expect(1, 120779, '\p{_-IS_lower}', "");
Expect(0, 120779, '\p{^_-IS_lower}', "");
Expect(0, 120779, '\P{_-IS_lower}', "");
Expect(1, 120779, '\P{^_-IS_lower}', "");
Expect(0, 120780, '\p{_-IS_lower}', "");
Expect(1, 120780, '\p{^_-IS_lower}', "");
Expect(1, 120780, '\P{_-IS_lower}', "");
Expect(0, 120780, '\P{^_-IS_lower}', "");
Error('\p{ XPosixPunct:=}');
Error('\P{ XPosixPunct:=}');
Expect(1, 121483, '\p{xposixpunct}', "");
Expect(0, 121483, '\p{^xposixpunct}', "");
Expect(0, 121483, '\P{xposixpunct}', "");
Expect(1, 121483, '\P{^xposixpunct}', "");
Expect(0, 121484, '\p{xposixpunct}', "");
Expect(1, 121484, '\p{^xposixpunct}', "");
Expect(1, 121484, '\P{xposixpunct}', "");
Expect(0, 121484, '\P{^xposixpunct}', "");
Expect(1, 121483, '\p{XPOSIXPUNCT}', "");
Expect(0, 121483, '\p{^XPOSIXPUNCT}', "");
Expect(0, 121483, '\P{XPOSIXPUNCT}', "");
Expect(1, 121483, '\P{^XPOSIXPUNCT}', "");
Expect(0, 121484, '\p{XPOSIXPUNCT}', "");
Expect(1, 121484, '\p{^XPOSIXPUNCT}', "");
Expect(1, 121484, '\P{XPOSIXPUNCT}', "");
Expect(0, 121484, '\P{^XPOSIXPUNCT}', "");
Error('\p{/a/-Is_XPosixPunct}');
Error('\P{/a/-Is_XPosixPunct}');
Expect(1, 121483, '\p{isxposixpunct}', "");
Expect(0, 121483, '\p{^isxposixpunct}', "");
Expect(0, 121483, '\P{isxposixpunct}', "");
Expect(1, 121483, '\P{^isxposixpunct}', "");
Expect(0, 121484, '\p{isxposixpunct}', "");
Expect(1, 121484, '\p{^isxposixpunct}', "");
Expect(1, 121484, '\P{isxposixpunct}', "");
Expect(0, 121484, '\P{^isxposixpunct}', "");
Expect(1, 121483, '\p{-is_XPOSIXPUNCT}', "");
Expect(0, 121483, '\p{^-is_XPOSIXPUNCT}', "");
Expect(0, 121483, '\P{-is_XPOSIXPUNCT}', "");
Expect(1, 121483, '\P{^-is_XPOSIXPUNCT}', "");
Expect(0, 121484, '\p{-is_XPOSIXPUNCT}', "");
Expect(1, 121484, '\p{^-is_XPOSIXPUNCT}', "");
Expect(1, 121484, '\P{-is_XPOSIXPUNCT}', "");
Expect(0, 121484, '\P{^-is_XPOSIXPUNCT}', "");
Error('\p{  XPOSIXSPACE/a/}');
Error('\P{  XPOSIXSPACE/a/}');
Expect(1, 12288, '\p{xposixspace}', "");
Expect(0, 12288, '\p{^xposixspace}', "");
Expect(0, 12288, '\P{xposixspace}', "");
Expect(1, 12288, '\P{^xposixspace}', "");
Expect(0, 12289, '\p{xposixspace}', "");
Expect(1, 12289, '\p{^xposixspace}', "");
Expect(1, 12289, '\P{xposixspace}', "");
Expect(0, 12289, '\P{^xposixspace}', "");
Expect(1, 12288, '\p{ XPOSIXSPACE}', "");
Expect(0, 12288, '\p{^ XPOSIXSPACE}', "");
Expect(0, 12288, '\P{ XPOSIXSPACE}', "");
Expect(1, 12288, '\P{^ XPOSIXSPACE}', "");
Expect(0, 12289, '\p{ XPOSIXSPACE}', "");
Expect(1, 12289, '\p{^ XPOSIXSPACE}', "");
Expect(1, 12289, '\P{ XPOSIXSPACE}', "");
Expect(0, 12289, '\P{^ XPOSIXSPACE}', "");
Error('\p{:=_-XPERLSPACE}');
Error('\P{:=_-XPERLSPACE}');
Expect(1, 12288, '\p{xperlspace}', "");
Expect(0, 12288, '\p{^xperlspace}', "");
Expect(0, 12288, '\P{xperlspace}', "");
Expect(1, 12288, '\P{^xperlspace}', "");
Expect(0, 12289, '\p{xperlspace}', "");
Expect(1, 12289, '\p{^xperlspace}', "");
Expect(1, 12289, '\P{xperlspace}', "");
Expect(0, 12289, '\P{^xperlspace}', "");
Expect(1, 12288, '\p{ xperlspace}', "");
Expect(0, 12288, '\p{^ xperlspace}', "");
Expect(0, 12288, '\P{ xperlspace}', "");
Expect(1, 12288, '\P{^ xperlspace}', "");
Expect(0, 12289, '\p{ xperlspace}', "");
Expect(1, 12289, '\p{^ xperlspace}', "");
Expect(1, 12289, '\P{ xperlspace}', "");
Expect(0, 12289, '\P{^ xperlspace}', "");
Error('\p{:=	 spaceperl}');
Error('\P{:=	 spaceperl}');
Expect(1, 12288, '\p{spaceperl}', "");
Expect(0, 12288, '\p{^spaceperl}', "");
Expect(0, 12288, '\P{spaceperl}', "");
Expect(1, 12288, '\P{^spaceperl}', "");
Expect(0, 12289, '\p{spaceperl}', "");
Expect(1, 12289, '\p{^spaceperl}', "");
Expect(1, 12289, '\P{spaceperl}', "");
Expect(0, 12289, '\P{^spaceperl}', "");
Expect(1, 12288, '\p{ _SPACEPERL}', "");
Expect(0, 12288, '\p{^ _SPACEPERL}', "");
Expect(0, 12288, '\P{ _SPACEPERL}', "");
Expect(1, 12288, '\P{^ _SPACEPERL}', "");
Expect(0, 12289, '\p{ _SPACEPERL}', "");
Expect(1, 12289, '\p{^ _SPACEPERL}', "");
Expect(1, 12289, '\P{ _SPACEPERL}', "");
Expect(0, 12289, '\P{^ _SPACEPERL}', "");
Error('\p{/a/	IS_xposixspace}');
Error('\P{/a/	IS_xposixspace}');
Expect(1, 12288, '\p{isxposixspace}', "");
Expect(0, 12288, '\p{^isxposixspace}', "");
Expect(0, 12288, '\P{isxposixspace}', "");
Expect(1, 12288, '\P{^isxposixspace}', "");
Expect(0, 12289, '\p{isxposixspace}', "");
Expect(1, 12289, '\p{^isxposixspace}', "");
Expect(1, 12289, '\P{isxposixspace}', "");
Expect(0, 12289, '\P{^isxposixspace}', "");
Expect(1, 12288, '\p{	_IS_xposixspace}', "");
Expect(0, 12288, '\p{^	_IS_xposixspace}', "");
Expect(0, 12288, '\P{	_IS_xposixspace}', "");
Expect(1, 12288, '\P{^	_IS_xposixspace}', "");
Expect(0, 12289, '\p{	_IS_xposixspace}', "");
Expect(1, 12289, '\p{^	_IS_xposixspace}', "");
Expect(1, 12289, '\P{	_IS_xposixspace}', "");
Expect(0, 12289, '\P{^	_IS_xposixspace}', "");
Error('\p{_:=IS_XPerlSpace}');
Error('\P{_:=IS_XPerlSpace}');
Expect(1, 12288, '\p{isxperlspace}', "");
Expect(0, 12288, '\p{^isxperlspace}', "");
Expect(0, 12288, '\P{isxperlspace}', "");
Expect(1, 12288, '\P{^isxperlspace}', "");
Expect(0, 12289, '\p{isxperlspace}', "");
Expect(1, 12289, '\p{^isxperlspace}', "");
Expect(1, 12289, '\P{isxperlspace}', "");
Expect(0, 12289, '\P{^isxperlspace}', "");
Expect(1, 12288, '\p{ Is_XPERLSPACE}', "");
Expect(0, 12288, '\p{^ Is_XPERLSPACE}', "");
Expect(0, 12288, '\P{ Is_XPERLSPACE}', "");
Expect(1, 12288, '\P{^ Is_XPERLSPACE}', "");
Expect(0, 12289, '\p{ Is_XPERLSPACE}', "");
Expect(1, 12289, '\p{^ Is_XPERLSPACE}', "");
Expect(1, 12289, '\P{ Is_XPERLSPACE}', "");
Expect(0, 12289, '\P{^ Is_XPERLSPACE}', "");
Error('\p{	/a/IS_SpacePerl}');
Error('\P{	/a/IS_SpacePerl}');
Expect(1, 12288, '\p{isspaceperl}', "");
Expect(0, 12288, '\p{^isspaceperl}', "");
Expect(0, 12288, '\P{isspaceperl}', "");
Expect(1, 12288, '\P{^isspaceperl}', "");
Expect(0, 12289, '\p{isspaceperl}', "");
Expect(1, 12289, '\p{^isspaceperl}', "");
Expect(1, 12289, '\P{isspaceperl}', "");
Expect(0, 12289, '\P{^isspaceperl}', "");
Expect(1, 12288, '\p{-_is_SpacePerl}', "");
Expect(0, 12288, '\p{^-_is_SpacePerl}', "");
Expect(0, 12288, '\P{-_is_SpacePerl}', "");
Expect(1, 12288, '\P{^-_is_SpacePerl}', "");
Expect(0, 12289, '\p{-_is_SpacePerl}', "");
Expect(1, 12289, '\p{^-_is_SpacePerl}', "");
Expect(1, 12289, '\P{-_is_SpacePerl}', "");
Expect(0, 12289, '\P{^-_is_SpacePerl}', "");
Error('\p{_ xposixupper:=}');
Error('\P{_ xposixupper:=}');
Expect(1, 127369, '\p{xposixupper}', "");
Expect(0, 127369, '\p{^xposixupper}', "");
Expect(0, 127369, '\P{xposixupper}', "");
Expect(1, 127369, '\P{^xposixupper}', "");
Expect(0, 127370, '\p{xposixupper}', "");
Expect(1, 127370, '\p{^xposixupper}', "");
Expect(1, 127370, '\P{xposixupper}', "");
Expect(0, 127370, '\P{^xposixupper}', "");
Expect(1, 127369, '\p{ -xposixupper}', "");
Expect(0, 127369, '\p{^ -xposixupper}', "");
Expect(0, 127369, '\P{ -xposixupper}', "");
Expect(1, 127369, '\P{^ -xposixupper}', "");
Expect(0, 127370, '\p{ -xposixupper}', "");
Expect(1, 127370, '\p{^ -xposixupper}', "");
Expect(1, 127370, '\P{ -xposixupper}', "");
Expect(0, 127370, '\P{^ -xposixupper}', "");
Error('\p{ /a/Is_xposixupper}');
Error('\P{ /a/Is_xposixupper}');
Expect(1, 127369, '\p{isxposixupper}', "");
Expect(0, 127369, '\p{^isxposixupper}', "");
Expect(0, 127369, '\P{isxposixupper}', "");
Expect(1, 127369, '\P{^isxposixupper}', "");
Expect(0, 127370, '\p{isxposixupper}', "");
Expect(1, 127370, '\p{^isxposixupper}', "");
Expect(1, 127370, '\P{isxposixupper}', "");
Expect(0, 127370, '\P{^isxposixupper}', "");
Expect(1, 127369, '\p{ 	Is_xposixupper}', "");
Expect(0, 127369, '\p{^ 	Is_xposixupper}', "");
Expect(0, 127369, '\P{ 	Is_xposixupper}', "");
Expect(1, 127369, '\P{^ 	Is_xposixupper}', "");
Expect(0, 127370, '\p{ 	Is_xposixupper}', "");
Expect(1, 127370, '\p{^ 	Is_xposixupper}', "");
Expect(1, 127370, '\P{ 	Is_xposixupper}', "");
Expect(0, 127370, '\P{^ 	Is_xposixupper}', "");
Error('\p{		uppercase:=}');
Error('\P{		uppercase:=}');
Expect(1, 127369, '\p{uppercase}', "");
Expect(0, 127369, '\p{^uppercase}', "");
Expect(0, 127369, '\P{uppercase}', "");
Expect(1, 127369, '\P{^uppercase}', "");
Expect(0, 127370, '\p{uppercase}', "");
Expect(1, 127370, '\p{^uppercase}', "");
Expect(1, 127370, '\P{uppercase}', "");
Expect(0, 127370, '\P{^uppercase}', "");
Expect(1, 127369, '\p{_-UPPERCASE}', "");
Expect(0, 127369, '\p{^_-UPPERCASE}', "");
Expect(0, 127369, '\P{_-UPPERCASE}', "");
Expect(1, 127369, '\P{^_-UPPERCASE}', "");
Expect(0, 127370, '\p{_-UPPERCASE}', "");
Expect(1, 127370, '\p{^_-UPPERCASE}', "");
Expect(1, 127370, '\P{_-UPPERCASE}', "");
Expect(0, 127370, '\P{^_-UPPERCASE}', "");
Error('\p{:=is_Uppercase}');
Error('\P{:=is_Uppercase}');
Expect(1, 127369, '\p{isuppercase}', "");
Expect(0, 127369, '\p{^isuppercase}', "");
Expect(0, 127369, '\P{isuppercase}', "");
Expect(1, 127369, '\P{^isuppercase}', "");
Expect(0, 127370, '\p{isuppercase}', "");
Expect(1, 127370, '\p{^isuppercase}', "");
Expect(1, 127370, '\P{isuppercase}', "");
Expect(0, 127370, '\P{^isuppercase}', "");
Expect(1, 127369, '\p{ _is_uppercase}', "");
Expect(0, 127369, '\p{^ _is_uppercase}', "");
Expect(0, 127369, '\P{ _is_uppercase}', "");
Expect(1, 127369, '\P{^ _is_uppercase}', "");
Expect(0, 127370, '\p{ _is_uppercase}', "");
Expect(1, 127370, '\p{^ _is_uppercase}', "");
Expect(1, 127370, '\P{ _is_uppercase}', "");
Expect(0, 127370, '\P{^ _is_uppercase}', "");
Error('\p{_/a/Upper}');
Error('\P{_/a/Upper}');
Expect(1, 127369, '\p{upper}', "");
Expect(0, 127369, '\p{^upper}', "");
Expect(0, 127369, '\P{upper}', "");
Expect(1, 127369, '\P{^upper}', "");
Expect(0, 127370, '\p{upper}', "");
Expect(1, 127370, '\p{^upper}', "");
Expect(1, 127370, '\P{upper}', "");
Expect(0, 127370, '\P{^upper}', "");
Expect(1, 127369, '\p{ _Upper}', "");
Expect(0, 127369, '\p{^ _Upper}', "");
Expect(0, 127369, '\P{ _Upper}', "");
Expect(1, 127369, '\P{^ _Upper}', "");
Expect(0, 127370, '\p{ _Upper}', "");
Expect(1, 127370, '\p{^ _Upper}', "");
Expect(1, 127370, '\P{ _Upper}', "");
Expect(0, 127370, '\P{^ _Upper}', "");
Error('\p{ Is_UPPER/a/}');
Error('\P{ Is_UPPER/a/}');
Expect(1, 127369, '\p{isupper}', "");
Expect(0, 127369, '\p{^isupper}', "");
Expect(0, 127369, '\P{isupper}', "");
Expect(1, 127369, '\P{^isupper}', "");
Expect(0, 127370, '\p{isupper}', "");
Expect(1, 127370, '\p{^isupper}', "");
Expect(1, 127370, '\P{isupper}', "");
Expect(0, 127370, '\P{^isupper}', "");
Expect(1, 127369, '\p{-is_upper}', "");
Expect(0, 127369, '\p{^-is_upper}', "");
Expect(0, 127369, '\P{-is_upper}', "");
Expect(1, 127369, '\P{^-is_upper}', "");
Expect(0, 127370, '\p{-is_upper}', "");
Expect(1, 127370, '\p{^-is_upper}', "");
Expect(1, 127370, '\P{-is_upper}', "");
Expect(0, 127370, '\P{^-is_upper}', "");
Error('\p{-_YI:=}');
Error('\P{-_YI:=}');
Expect(1, 42182, '\p{yi}', "");
Expect(0, 42182, '\p{^yi}', "");
Expect(0, 42182, '\P{yi}', "");
Expect(1, 42182, '\P{^yi}', "");
Expect(0, 42183, '\p{yi}', "");
Expect(1, 42183, '\p{^yi}', "");
Expect(1, 42183, '\P{yi}', "");
Expect(0, 42183, '\P{^yi}', "");
Expect(1, 42182, '\p{_ Yi}', "");
Expect(0, 42182, '\p{^_ Yi}', "");
Expect(0, 42182, '\P{_ Yi}', "");
Expect(1, 42182, '\P{^_ Yi}', "");
Expect(0, 42183, '\p{_ Yi}', "");
Expect(1, 42183, '\p{^_ Yi}', "");
Expect(1, 42183, '\P{_ Yi}', "");
Expect(0, 42183, '\P{^_ Yi}', "");
Error('\p{/a/- is_Yi}');
Error('\P{/a/- is_Yi}');
Expect(1, 42182, '\p{isyi}', "");
Expect(0, 42182, '\p{^isyi}', "");
Expect(0, 42182, '\P{isyi}', "");
Expect(1, 42182, '\P{^isyi}', "");
Expect(0, 42183, '\p{isyi}', "");
Expect(1, 42183, '\p{^isyi}', "");
Expect(1, 42183, '\P{isyi}', "");
Expect(0, 42183, '\P{^isyi}', "");
Expect(1, 42182, '\p{ 	Is_YI}', "");
Expect(0, 42182, '\p{^ 	Is_YI}', "");
Expect(0, 42182, '\P{ 	Is_YI}', "");
Expect(1, 42182, '\P{^ 	Is_YI}', "");
Expect(0, 42183, '\p{ 	Is_YI}', "");
Expect(1, 42183, '\p{^ 	Is_YI}', "");
Expect(1, 42183, '\P{ 	Is_YI}', "");
Expect(0, 42183, '\P{^ 	Is_YI}', "");
Error('\p{Yiii:=}');
Error('\P{Yiii:=}');
Expect(1, 42182, '\p{yiii}', "");
Expect(0, 42182, '\p{^yiii}', "");
Expect(0, 42182, '\P{yiii}', "");
Expect(1, 42182, '\P{^yiii}', "");
Expect(0, 42183, '\p{yiii}', "");
Expect(1, 42183, '\p{^yiii}', "");
Expect(1, 42183, '\P{yiii}', "");
Expect(0, 42183, '\P{^yiii}', "");
Expect(1, 42182, '\p{	 YIII}', "");
Expect(0, 42182, '\p{^	 YIII}', "");
Expect(0, 42182, '\P{	 YIII}', "");
Expect(1, 42182, '\P{^	 YIII}', "");
Expect(0, 42183, '\p{	 YIII}', "");
Expect(1, 42183, '\p{^	 YIII}', "");
Expect(1, 42183, '\P{	 YIII}', "");
Expect(0, 42183, '\P{^	 YIII}', "");
Error('\p{ /a/IS_Yiii}');
Error('\P{ /a/IS_Yiii}');
Expect(1, 42182, '\p{isyiii}', "");
Expect(0, 42182, '\p{^isyiii}', "");
Expect(0, 42182, '\P{isyiii}', "");
Expect(1, 42182, '\P{^isyiii}', "");
Expect(0, 42183, '\p{isyiii}', "");
Expect(1, 42183, '\p{^isyiii}', "");
Expect(1, 42183, '\P{isyiii}', "");
Expect(0, 42183, '\P{^isyiii}', "");
Expect(1, 42182, '\p{ Is_yiii}', "");
Expect(0, 42182, '\p{^ Is_yiii}', "");
Expect(0, 42182, '\P{ Is_yiii}', "");
Expect(1, 42182, '\P{^ Is_yiii}', "");
Expect(0, 42183, '\p{ Is_yiii}', "");
Expect(1, 42183, '\p{^ Is_yiii}', "");
Expect(1, 42183, '\P{ Is_yiii}', "");
Expect(0, 42183, '\P{^ Is_yiii}', "");
Error('\p{-Yi_RADICALS:=}');
Error('\P{-Yi_RADICALS:=}');
Expect(1, 42191, '\p{yiradicals}', "");
Expect(0, 42191, '\p{^yiradicals}', "");
Expect(0, 42191, '\P{yiradicals}', "");
Expect(1, 42191, '\P{^yiradicals}', "");
Expect(0, 42192, '\p{yiradicals}', "");
Expect(1, 42192, '\p{^yiradicals}', "");
Expect(1, 42192, '\P{yiradicals}', "");
Expect(0, 42192, '\P{^yiradicals}', "");
Expect(1, 42191, '\p{ -Yi_RADICALS}', "");
Expect(0, 42191, '\p{^ -Yi_RADICALS}', "");
Expect(0, 42191, '\P{ -Yi_RADICALS}', "");
Expect(1, 42191, '\P{^ -Yi_RADICALS}', "");
Expect(0, 42192, '\p{ -Yi_RADICALS}', "");
Expect(1, 42192, '\p{^ -Yi_RADICALS}', "");
Expect(1, 42192, '\P{ -Yi_RADICALS}', "");
Expect(0, 42192, '\P{^ -Yi_RADICALS}', "");
Error('\p{	/a/IS_Yi_RADICALS}');
Error('\P{	/a/IS_Yi_RADICALS}');
Expect(1, 42191, '\p{isyiradicals}', "");
Expect(0, 42191, '\p{^isyiradicals}', "");
Expect(0, 42191, '\P{isyiradicals}', "");
Expect(1, 42191, '\P{^isyiradicals}', "");
Expect(0, 42192, '\p{isyiradicals}', "");
Expect(1, 42192, '\p{^isyiradicals}', "");
Expect(1, 42192, '\P{isyiradicals}', "");
Expect(0, 42192, '\P{^isyiradicals}', "");
Expect(1, 42191, '\p{ Is_Yi_Radicals}', "");
Expect(0, 42191, '\p{^ Is_Yi_Radicals}', "");
Expect(0, 42191, '\P{ Is_Yi_Radicals}', "");
Expect(1, 42191, '\P{^ Is_Yi_Radicals}', "");
Expect(0, 42192, '\p{ Is_Yi_Radicals}', "");
Expect(1, 42192, '\p{^ Is_Yi_Radicals}', "");
Expect(1, 42192, '\P{ Is_Yi_Radicals}', "");
Expect(0, 42192, '\P{^ Is_Yi_Radicals}', "");
Error('\p{/a/__In_yi_Radicals}');
Error('\P{/a/__In_yi_Radicals}');
Expect(1, 42191, '\p{inyiradicals}', "");
Expect(0, 42191, '\p{^inyiradicals}', "");
Expect(0, 42191, '\P{inyiradicals}', "");
Expect(1, 42191, '\P{^inyiradicals}', "");
Expect(0, 42192, '\p{inyiradicals}', "");
Expect(1, 42192, '\p{^inyiradicals}', "");
Expect(1, 42192, '\P{inyiradicals}', "");
Expect(0, 42192, '\P{^inyiradicals}', "");
Expect(1, 42191, '\p{_in_Yi_Radicals}', "");
Expect(0, 42191, '\p{^_in_Yi_Radicals}', "");
Expect(0, 42191, '\P{_in_Yi_Radicals}', "");
Expect(1, 42191, '\P{^_in_Yi_Radicals}', "");
Expect(0, 42192, '\p{_in_Yi_Radicals}', "");
Expect(1, 42192, '\p{^_in_Yi_Radicals}', "");
Expect(1, 42192, '\P{_in_Yi_Radicals}', "");
Expect(0, 42192, '\P{^_in_Yi_Radicals}', "");
Error('\p{/a/ yi_Syllables}');
Error('\P{/a/ yi_Syllables}');
Expect(1, 42127, '\p{yisyllables}', "");
Expect(0, 42127, '\p{^yisyllables}', "");
Expect(0, 42127, '\P{yisyllables}', "");
Expect(1, 42127, '\P{^yisyllables}', "");
Expect(0, 42128, '\p{yisyllables}', "");
Expect(1, 42128, '\p{^yisyllables}', "");
Expect(1, 42128, '\P{yisyllables}', "");
Expect(0, 42128, '\P{^yisyllables}', "");
Expect(1, 42127, '\p{_	yi_Syllables}', "");
Expect(0, 42127, '\p{^_	yi_Syllables}', "");
Expect(0, 42127, '\P{_	yi_Syllables}', "");
Expect(1, 42127, '\P{^_	yi_Syllables}', "");
Expect(0, 42128, '\p{_	yi_Syllables}', "");
Expect(1, 42128, '\p{^_	yi_Syllables}', "");
Expect(1, 42128, '\P{_	yi_Syllables}', "");
Expect(0, 42128, '\P{^_	yi_Syllables}', "");
Error('\p{	:=Is_YI_Syllables}');
Error('\P{	:=Is_YI_Syllables}');
Expect(1, 42127, '\p{isyisyllables}', "");
Expect(0, 42127, '\p{^isyisyllables}', "");
Expect(0, 42127, '\P{isyisyllables}', "");
Expect(1, 42127, '\P{^isyisyllables}', "");
Expect(0, 42128, '\p{isyisyllables}', "");
Expect(1, 42128, '\p{^isyisyllables}', "");
Expect(1, 42128, '\P{isyisyllables}', "");
Expect(0, 42128, '\P{^isyisyllables}', "");
Expect(1, 42127, '\p{-is_Yi_SYLLABLES}', "");
Expect(0, 42127, '\p{^-is_Yi_SYLLABLES}', "");
Expect(0, 42127, '\P{-is_Yi_SYLLABLES}', "");
Expect(1, 42127, '\P{^-is_Yi_SYLLABLES}', "");
Expect(0, 42128, '\p{-is_Yi_SYLLABLES}', "");
Expect(1, 42128, '\p{^-is_Yi_SYLLABLES}', "");
Expect(1, 42128, '\P{-is_Yi_SYLLABLES}', "");
Expect(0, 42128, '\P{^-is_Yi_SYLLABLES}', "");
Error('\p{ In_Yi_SYLLABLES/a/}');
Error('\P{ In_Yi_SYLLABLES/a/}');
Expect(1, 42127, '\p{inyisyllables}', "");
Expect(0, 42127, '\p{^inyisyllables}', "");
Expect(0, 42127, '\P{inyisyllables}', "");
Expect(1, 42127, '\P{^inyisyllables}', "");
Expect(0, 42128, '\p{inyisyllables}', "");
Expect(1, 42128, '\p{^inyisyllables}', "");
Expect(1, 42128, '\P{inyisyllables}', "");
Expect(0, 42128, '\P{^inyisyllables}', "");
Expect(1, 42127, '\p{	-In_yi_Syllables}', "");
Expect(0, 42127, '\p{^	-In_yi_Syllables}', "");
Expect(0, 42127, '\P{	-In_yi_Syllables}', "");
Expect(1, 42127, '\P{^	-In_yi_Syllables}', "");
Expect(0, 42128, '\p{	-In_yi_Syllables}', "");
Expect(1, 42128, '\p{^	-In_yi_Syllables}', "");
Expect(1, 42128, '\P{	-In_yi_Syllables}', "");
Expect(0, 42128, '\P{^	-In_yi_Syllables}', "");
Error('\p{ Yijing_hexagram_SYMBOLS:=}');
Error('\P{ Yijing_hexagram_SYMBOLS:=}');
Expect(1, 19967, '\p{yijinghexagramsymbols}', "");
Expect(0, 19967, '\p{^yijinghexagramsymbols}', "");
Expect(0, 19967, '\P{yijinghexagramsymbols}', "");
Expect(1, 19967, '\P{^yijinghexagramsymbols}', "");
Expect(0, 19968, '\p{yijinghexagramsymbols}', "");
Expect(1, 19968, '\p{^yijinghexagramsymbols}', "");
Expect(1, 19968, '\P{yijinghexagramsymbols}', "");
Expect(0, 19968, '\P{^yijinghexagramsymbols}', "");
Expect(1, 19967, '\p{ _YIJING_Hexagram_Symbols}', "");
Expect(0, 19967, '\p{^ _YIJING_Hexagram_Symbols}', "");
Expect(0, 19967, '\P{ _YIJING_Hexagram_Symbols}', "");
Expect(1, 19967, '\P{^ _YIJING_Hexagram_Symbols}', "");
Expect(0, 19968, '\p{ _YIJING_Hexagram_Symbols}', "");
Expect(1, 19968, '\p{^ _YIJING_Hexagram_Symbols}', "");
Expect(1, 19968, '\P{ _YIJING_Hexagram_Symbols}', "");
Expect(0, 19968, '\P{^ _YIJING_Hexagram_Symbols}', "");
Error('\p{ Is_YIJING_hexagram_symbols/a/}');
Error('\P{ Is_YIJING_hexagram_symbols/a/}');
Expect(1, 19967, '\p{isyijinghexagramsymbols}', "");
Expect(0, 19967, '\p{^isyijinghexagramsymbols}', "");
Expect(0, 19967, '\P{isyijinghexagramsymbols}', "");
Expect(1, 19967, '\P{^isyijinghexagramsymbols}', "");
Expect(0, 19968, '\p{isyijinghexagramsymbols}', "");
Expect(1, 19968, '\p{^isyijinghexagramsymbols}', "");
Expect(1, 19968, '\P{isyijinghexagramsymbols}', "");
Expect(0, 19968, '\P{^isyijinghexagramsymbols}', "");
Expect(1, 19967, '\p{-	IS_Yijing_HEXAGRAM_Symbols}', "");
Expect(0, 19967, '\p{^-	IS_Yijing_HEXAGRAM_Symbols}', "");
Expect(0, 19967, '\P{-	IS_Yijing_HEXAGRAM_Symbols}', "");
Expect(1, 19967, '\P{^-	IS_Yijing_HEXAGRAM_Symbols}', "");
Expect(0, 19968, '\p{-	IS_Yijing_HEXAGRAM_Symbols}', "");
Expect(1, 19968, '\p{^-	IS_Yijing_HEXAGRAM_Symbols}', "");
Expect(1, 19968, '\P{-	IS_Yijing_HEXAGRAM_Symbols}', "");
Expect(0, 19968, '\P{^-	IS_Yijing_HEXAGRAM_Symbols}', "");
Error('\p{-/a/in_Yijing_Hexagram_Symbols}');
Error('\P{-/a/in_Yijing_Hexagram_Symbols}');
Expect(1, 19967, '\p{inyijinghexagramsymbols}', "");
Expect(0, 19967, '\p{^inyijinghexagramsymbols}', "");
Expect(0, 19967, '\P{inyijinghexagramsymbols}', "");
Expect(1, 19967, '\P{^inyijinghexagramsymbols}', "");
Expect(0, 19968, '\p{inyijinghexagramsymbols}', "");
Expect(1, 19968, '\p{^inyijinghexagramsymbols}', "");
Expect(1, 19968, '\P{inyijinghexagramsymbols}', "");
Expect(0, 19968, '\P{^inyijinghexagramsymbols}', "");
Expect(1, 19967, '\p{	In_YIJING_HEXAGRAM_Symbols}', "");
Expect(0, 19967, '\p{^	In_YIJING_HEXAGRAM_Symbols}', "");
Expect(0, 19967, '\P{	In_YIJING_HEXAGRAM_Symbols}', "");
Expect(1, 19967, '\P{^	In_YIJING_HEXAGRAM_Symbols}', "");
Expect(0, 19968, '\p{	In_YIJING_HEXAGRAM_Symbols}', "");
Expect(1, 19968, '\p{^	In_YIJING_HEXAGRAM_Symbols}', "");
Expect(1, 19968, '\P{	In_YIJING_HEXAGRAM_Symbols}', "");
Expect(0, 19968, '\P{^	In_YIJING_HEXAGRAM_Symbols}', "");
Error('\p{-/a/Yijing}');
Error('\P{-/a/Yijing}');
Expect(1, 19967, '\p{yijing}', "");
Expect(0, 19967, '\p{^yijing}', "");
Expect(0, 19967, '\P{yijing}', "");
Expect(1, 19967, '\P{^yijing}', "");
Expect(0, 19968, '\p{yijing}', "");
Expect(1, 19968, '\p{^yijing}', "");
Expect(1, 19968, '\P{yijing}', "");
Expect(0, 19968, '\P{^yijing}', "");
Expect(1, 19967, '\p{ yijing}', "");
Expect(0, 19967, '\p{^ yijing}', "");
Expect(0, 19967, '\P{ yijing}', "");
Expect(1, 19967, '\P{^ yijing}', "");
Expect(0, 19968, '\p{ yijing}', "");
Expect(1, 19968, '\p{^ yijing}', "");
Expect(1, 19968, '\P{ yijing}', "");
Expect(0, 19968, '\P{^ yijing}', "");
Error('\p{	:=IS_Yijing}');
Error('\P{	:=IS_Yijing}');
Expect(1, 19967, '\p{isyijing}', "");
Expect(0, 19967, '\p{^isyijing}', "");
Expect(0, 19967, '\P{isyijing}', "");
Expect(1, 19967, '\P{^isyijing}', "");
Expect(0, 19968, '\p{isyijing}', "");
Expect(1, 19968, '\p{^isyijing}', "");
Expect(1, 19968, '\P{isyijing}', "");
Expect(0, 19968, '\P{^isyijing}', "");
Expect(1, 19967, '\p{_ Is_YIJING}', "");
Expect(0, 19967, '\p{^_ Is_YIJING}', "");
Expect(0, 19967, '\P{_ Is_YIJING}', "");
Expect(1, 19967, '\P{^_ Is_YIJING}', "");
Expect(0, 19968, '\p{_ Is_YIJING}', "");
Expect(1, 19968, '\p{^_ Is_YIJING}', "");
Expect(1, 19968, '\P{_ Is_YIJING}', "");
Expect(0, 19968, '\P{^_ Is_YIJING}', "");
Error('\p{:=in_Yijing}');
Error('\P{:=in_Yijing}');
Expect(1, 19967, '\p{inyijing}', "");
Expect(0, 19967, '\p{^inyijing}', "");
Expect(0, 19967, '\P{inyijing}', "");
Expect(1, 19967, '\P{^inyijing}', "");
Expect(0, 19968, '\p{inyijing}', "");
Expect(1, 19968, '\p{^inyijing}', "");
Expect(1, 19968, '\P{inyijing}', "");
Expect(0, 19968, '\P{^inyijing}', "");
Expect(1, 19967, '\p{ In_yijing}', "");
Expect(0, 19967, '\p{^ In_yijing}', "");
Expect(0, 19967, '\P{ In_yijing}', "");
Expect(1, 19967, '\P{^ In_yijing}', "");
Expect(0, 19968, '\p{ In_yijing}', "");
Expect(1, 19968, '\p{^ In_yijing}', "");
Expect(1, 19968, '\P{ In_yijing}', "");
Expect(0, 19968, '\P{^ In_yijing}', "");
Error('\p{soft_Dotted:=}');
Error('\P{soft_Dotted:=}');
Expect(1, 120467, '\p{softdotted}', "");
Expect(0, 120467, '\p{^softdotted}', "");
Expect(0, 120467, '\P{softdotted}', "");
Expect(1, 120467, '\P{^softdotted}', "");
Expect(0, 120468, '\p{softdotted}', "");
Expect(1, 120468, '\p{^softdotted}', "");
Expect(1, 120468, '\P{softdotted}', "");
Expect(0, 120468, '\P{^softdotted}', "");
Expect(1, 120467, '\p{_ Soft_Dotted}', "");
Expect(0, 120467, '\p{^_ Soft_Dotted}', "");
Expect(0, 120467, '\P{_ Soft_Dotted}', "");
Expect(1, 120467, '\P{^_ Soft_Dotted}', "");
Expect(0, 120468, '\p{_ Soft_Dotted}', "");
Expect(1, 120468, '\p{^_ Soft_Dotted}', "");
Expect(1, 120468, '\P{_ Soft_Dotted}', "");
Expect(0, 120468, '\P{^_ Soft_Dotted}', "");
Error('\p{/a/Is_soft_DOTTED}');
Error('\P{/a/Is_soft_DOTTED}');
Expect(1, 120467, '\p{issoftdotted}', "");
Expect(0, 120467, '\p{^issoftdotted}', "");
Expect(0, 120467, '\P{issoftdotted}', "");
Expect(1, 120467, '\P{^issoftdotted}', "");
Expect(0, 120468, '\p{issoftdotted}', "");
Expect(1, 120468, '\p{^issoftdotted}', "");
Expect(1, 120468, '\P{issoftdotted}', "");
Expect(0, 120468, '\P{^issoftdotted}', "");
Expect(1, 120467, '\p{_ IS_soft_Dotted}', "");
Expect(0, 120467, '\p{^_ IS_soft_Dotted}', "");
Expect(0, 120467, '\P{_ IS_soft_Dotted}', "");
Expect(1, 120467, '\P{^_ IS_soft_Dotted}', "");
Expect(0, 120468, '\p{_ IS_soft_Dotted}', "");
Expect(1, 120468, '\p{^_ IS_soft_Dotted}', "");
Expect(1, 120468, '\P{_ IS_soft_Dotted}', "");
Expect(0, 120468, '\P{^_ IS_soft_Dotted}', "");
Error('\p{:=	SD}');
Error('\P{:=	SD}');
Expect(1, 120467, '\p{sd}', "");
Expect(0, 120467, '\p{^sd}', "");
Expect(0, 120467, '\P{sd}', "");
Expect(1, 120467, '\P{^sd}', "");
Expect(0, 120468, '\p{sd}', "");
Expect(1, 120468, '\p{^sd}', "");
Expect(1, 120468, '\P{sd}', "");
Expect(0, 120468, '\P{^sd}', "");
Expect(1, 120467, '\p{--SD}', "");
Expect(0, 120467, '\p{^--SD}', "");
Expect(0, 120467, '\P{--SD}', "");
Expect(1, 120467, '\P{^--SD}', "");
Expect(0, 120468, '\p{--SD}', "");
Expect(1, 120468, '\p{^--SD}', "");
Expect(1, 120468, '\P{--SD}', "");
Expect(0, 120468, '\P{^--SD}', "");
Error('\p{ is_SD:=}');
Error('\P{ is_SD:=}');
Expect(1, 120467, '\p{issd}', "");
Expect(0, 120467, '\p{^issd}', "");
Expect(0, 120467, '\P{issd}', "");
Expect(1, 120467, '\P{^issd}', "");
Expect(0, 120468, '\p{issd}', "");
Expect(1, 120468, '\p{^issd}', "");
Expect(1, 120468, '\P{issd}', "");
Expect(0, 120468, '\P{^issd}', "");
Expect(1, 120467, '\p{ _IS_SD}', "");
Expect(0, 120467, '\p{^ _IS_SD}', "");
Expect(0, 120467, '\P{ _IS_SD}', "");
Expect(1, 120467, '\P{^ _IS_SD}', "");
Expect(0, 120468, '\p{ _IS_SD}', "");
Expect(1, 120468, '\p{^ _IS_SD}', "");
Expect(1, 120468, '\P{ _IS_SD}', "");
Expect(0, 120468, '\P{^ _IS_SD}', "");
Error('\p{:=_ _canondcij}');
Error('\P{:=_ _canondcij}');
Expect(1, 120467, '\p{_CanonDCIJ}', "");
Expect(0, 120467, '\p{^_CanonDCIJ}', "");
Expect(0, 120467, '\P{_CanonDCIJ}', "");
Expect(1, 120467, '\P{^_CanonDCIJ}', "");
Expect(0, 120468, '\p{_CanonDCIJ}', "");
Expect(1, 120468, '\p{^_CanonDCIJ}', "");
Expect(1, 120468, '\P{_CanonDCIJ}', "");
Expect(0, 120468, '\P{^_CanonDCIJ}', "");
Error('\p{-:=case_IGNORABLE}');
Error('\P{-:=case_IGNORABLE}');
Expect(1, 917999, '\p{caseignorable}', "");
Expect(0, 917999, '\p{^caseignorable}', "");
Expect(0, 917999, '\P{caseignorable}', "");
Expect(1, 917999, '\P{^caseignorable}', "");
Expect(0, 918000, '\p{caseignorable}', "");
Expect(1, 918000, '\p{^caseignorable}', "");
Expect(1, 918000, '\P{caseignorable}', "");
Expect(0, 918000, '\P{^caseignorable}', "");
Expect(1, 917999, '\p{--Case_ignorable}', "");
Expect(0, 917999, '\p{^--Case_ignorable}', "");
Expect(0, 917999, '\P{--Case_ignorable}', "");
Expect(1, 917999, '\P{^--Case_ignorable}', "");
Expect(0, 918000, '\p{--Case_ignorable}', "");
Expect(1, 918000, '\p{^--Case_ignorable}', "");
Expect(1, 918000, '\P{--Case_ignorable}', "");
Expect(0, 918000, '\P{^--Case_ignorable}', "");
Error('\p{	/a/Is_Case_Ignorable}');
Error('\P{	/a/Is_Case_Ignorable}');
Expect(1, 917999, '\p{iscaseignorable}', "");
Expect(0, 917999, '\p{^iscaseignorable}', "");
Expect(0, 917999, '\P{iscaseignorable}', "");
Expect(1, 917999, '\P{^iscaseignorable}', "");
Expect(0, 918000, '\p{iscaseignorable}', "");
Expect(1, 918000, '\p{^iscaseignorable}', "");
Expect(1, 918000, '\P{iscaseignorable}', "");
Expect(0, 918000, '\P{^iscaseignorable}', "");
Expect(1, 917999, '\p{ Is_case_Ignorable}', "");
Expect(0, 917999, '\p{^ Is_case_Ignorable}', "");
Expect(0, 917999, '\P{ Is_case_Ignorable}', "");
Expect(1, 917999, '\P{^ Is_case_Ignorable}', "");
Expect(0, 918000, '\p{ Is_case_Ignorable}', "");
Expect(1, 918000, '\p{^ Is_case_Ignorable}', "");
Expect(1, 918000, '\P{ Is_case_Ignorable}', "");
Expect(0, 918000, '\P{^ Is_case_Ignorable}', "");
Error('\p{ :=CI}');
Error('\P{ :=CI}');
Expect(1, 917999, '\p{ci}', "");
Expect(0, 917999, '\p{^ci}', "");
Expect(0, 917999, '\P{ci}', "");
Expect(1, 917999, '\P{^ci}', "");
Expect(0, 918000, '\p{ci}', "");
Expect(1, 918000, '\p{^ci}', "");
Expect(1, 918000, '\P{ci}', "");
Expect(0, 918000, '\P{^ci}', "");
Expect(1, 917999, '\p{_-CI}', "");
Expect(0, 917999, '\p{^_-CI}', "");
Expect(0, 917999, '\P{_-CI}', "");
Expect(1, 917999, '\P{^_-CI}', "");
Expect(0, 918000, '\p{_-CI}', "");
Expect(1, 918000, '\p{^_-CI}', "");
Expect(1, 918000, '\P{_-CI}', "");
Expect(0, 918000, '\P{^_-CI}', "");
Error('\p{_Is_ci:=}');
Error('\P{_Is_ci:=}');
Expect(1, 917999, '\p{isci}', "");
Expect(0, 917999, '\p{^isci}', "");
Expect(0, 917999, '\P{isci}', "");
Expect(1, 917999, '\P{^isci}', "");
Expect(0, 918000, '\p{isci}', "");
Expect(1, 918000, '\p{^isci}', "");
Expect(1, 918000, '\P{isci}', "");
Expect(0, 918000, '\P{^isci}', "");
Expect(1, 917999, '\p{--is_CI}', "");
Expect(0, 917999, '\p{^--is_CI}', "");
Expect(0, 917999, '\P{--is_CI}', "");
Expect(1, 917999, '\P{^--is_CI}', "");
Expect(0, 918000, '\p{--is_CI}', "");
Expect(1, 918000, '\p{^--is_CI}', "");
Expect(1, 918000, '\P{--is_CI}', "");
Expect(0, 918000, '\P{^--is_CI}', "");
Error('\p{ :=_Case_Ignorable}');
Error('\P{ :=_Case_Ignorable}');
Expect(1, 917999, '\p{_case_IGNORABLE}', "");
Expect(0, 917999, '\p{^_case_IGNORABLE}', "");
Expect(0, 917999, '\P{_case_IGNORABLE}', "");
Expect(1, 917999, '\P{^_case_IGNORABLE}', "");
Expect(0, 918000, '\p{_case_IGNORABLE}', "");
Expect(1, 918000, '\p{^_case_IGNORABLE}', "");
Expect(1, 918000, '\P{_case_IGNORABLE}', "");
Expect(0, 918000, '\P{^_case_IGNORABLE}', "");
Error('\p{	__COMBABOVE/a/}');
Error('\P{	__COMBABOVE/a/}');
Expect(1, 119364, '\p{_CombAbove}', "");
Expect(0, 119364, '\p{^_CombAbove}', "");
Expect(0, 119364, '\P{_CombAbove}', "");
Expect(1, 119364, '\P{^_CombAbove}', "");
Expect(0, 119365, '\p{_CombAbove}', "");
Expect(1, 119365, '\p{^_CombAbove}', "");
Expect(1, 119365, '\P{_CombAbove}', "");
Expect(0, 119365, '\P{^_CombAbove}', "");
Error('\p{	__combabove/a/}');
Error('\P{	__combabove/a/}');
Error('\p{Script=- CAUCASIAN_Albanian:=}');
Error('\P{Script=- CAUCASIAN_Albanian:=}');
Expect(1, 66927, '\p{Script=caucasianalbanian}', "");
Expect(0, 66927, '\p{^Script=caucasianalbanian}', "");
Expect(0, 66927, '\P{Script=caucasianalbanian}', "");
Expect(1, 66927, '\P{^Script=caucasianalbanian}', "");
Expect(0, 66928, '\p{Script=caucasianalbanian}', "");
Expect(1, 66928, '\p{^Script=caucasianalbanian}', "");
Expect(1, 66928, '\P{Script=caucasianalbanian}', "");
Expect(0, 66928, '\P{^Script=caucasianalbanian}', "");
Expect(1, 66927, '\p{Script=		Caucasian_Albanian}', "");
Expect(0, 66927, '\p{^Script=		Caucasian_Albanian}', "");
Expect(0, 66927, '\P{Script=		Caucasian_Albanian}', "");
Expect(1, 66927, '\P{^Script=		Caucasian_Albanian}', "");
Expect(0, 66928, '\p{Script=		Caucasian_Albanian}', "");
Expect(1, 66928, '\p{^Script=		Caucasian_Albanian}', "");
Expect(1, 66928, '\P{Script=		Caucasian_Albanian}', "");
Expect(0, 66928, '\P{^Script=		Caucasian_Albanian}', "");
Error('\p{Sc=-:=AGHB}');
Error('\P{Sc=-:=AGHB}');
Expect(1, 66927, '\p{Sc=aghb}', "");
Expect(0, 66927, '\p{^Sc=aghb}', "");
Expect(0, 66927, '\P{Sc=aghb}', "");
Expect(1, 66927, '\P{^Sc=aghb}', "");
Expect(0, 66928, '\p{Sc=aghb}', "");
Expect(1, 66928, '\p{^Sc=aghb}', "");
Expect(1, 66928, '\P{Sc=aghb}', "");
Expect(0, 66928, '\P{^Sc=aghb}', "");
Expect(1, 66927, '\p{Sc=_ Aghb}', "");
Expect(0, 66927, '\p{^Sc=_ Aghb}', "");
Expect(0, 66927, '\P{Sc=_ Aghb}', "");
Expect(1, 66927, '\P{^Sc=_ Aghb}', "");
Expect(0, 66928, '\p{Sc=_ Aghb}', "");
Expect(1, 66928, '\p{^Sc=_ Aghb}', "");
Expect(1, 66928, '\P{Sc=_ Aghb}', "");
Expect(0, 66928, '\P{^Sc=_ Aghb}', "");
Error('\p{Is_Script=	:=Caucasian_Albanian}');
Error('\P{Is_Script=	:=Caucasian_Albanian}');
Expect(1, 66927, '\p{Is_Script=caucasianalbanian}', "");
Expect(0, 66927, '\p{^Is_Script=caucasianalbanian}', "");
Expect(0, 66927, '\P{Is_Script=caucasianalbanian}', "");
Expect(1, 66927, '\P{^Is_Script=caucasianalbanian}', "");
Expect(0, 66928, '\p{Is_Script=caucasianalbanian}', "");
Expect(1, 66928, '\p{^Is_Script=caucasianalbanian}', "");
Expect(1, 66928, '\P{Is_Script=caucasianalbanian}', "");
Expect(0, 66928, '\P{^Is_Script=caucasianalbanian}', "");
Expect(1, 66927, '\p{Is_Script=Caucasian_Albanian}', "");
Expect(0, 66927, '\p{^Is_Script=Caucasian_Albanian}', "");
Expect(0, 66927, '\P{Is_Script=Caucasian_Albanian}', "");
Expect(1, 66927, '\P{^Is_Script=Caucasian_Albanian}', "");
Expect(0, 66928, '\p{Is_Script=Caucasian_Albanian}', "");
Expect(1, 66928, '\p{^Is_Script=Caucasian_Albanian}', "");
Expect(1, 66928, '\P{Is_Script=Caucasian_Albanian}', "");
Expect(0, 66928, '\P{^Is_Script=Caucasian_Albanian}', "");
Error('\p{Is_Sc=:=Aghb}');
Error('\P{Is_Sc=:=Aghb}');
Expect(1, 66927, '\p{Is_Sc:   aghb}', "");
Expect(0, 66927, '\p{^Is_Sc:   aghb}', "");
Expect(0, 66927, '\P{Is_Sc:   aghb}', "");
Expect(1, 66927, '\P{^Is_Sc:   aghb}', "");
Expect(0, 66928, '\p{Is_Sc:   aghb}', "");
Expect(1, 66928, '\p{^Is_Sc:   aghb}', "");
Expect(1, 66928, '\P{Is_Sc:   aghb}', "");
Expect(0, 66928, '\P{^Is_Sc:   aghb}', "");
Expect(1, 66927, '\p{Is_Sc= aghb}', "");
Expect(0, 66927, '\p{^Is_Sc= aghb}', "");
Expect(0, 66927, '\P{Is_Sc= aghb}', "");
Expect(1, 66927, '\P{^Is_Sc= aghb}', "");
Expect(0, 66928, '\p{Is_Sc= aghb}', "");
Expect(1, 66928, '\p{^Is_Sc= aghb}', "");
Expect(1, 66928, '\P{Is_Sc= aghb}', "");
Expect(0, 66928, '\P{^Is_Sc= aghb}', "");
Error('\p{Script=_ahom:=}');
Error('\P{Script=_ahom:=}');
Expect(1, 71487, '\p{Script=ahom}', "");
Expect(0, 71487, '\p{^Script=ahom}', "");
Expect(0, 71487, '\P{Script=ahom}', "");
Expect(1, 71487, '\P{^Script=ahom}', "");
Expect(0, 71488, '\p{Script=ahom}', "");
Expect(1, 71488, '\p{^Script=ahom}', "");
Expect(1, 71488, '\P{Script=ahom}', "");
Expect(0, 71488, '\P{^Script=ahom}', "");
Expect(1, 71487, '\p{Script=--Ahom}', "");
Expect(0, 71487, '\p{^Script=--Ahom}', "");
Expect(0, 71487, '\P{Script=--Ahom}', "");
Expect(1, 71487, '\P{^Script=--Ahom}', "");
Expect(0, 71488, '\p{Script=--Ahom}', "");
Expect(1, 71488, '\p{^Script=--Ahom}', "");
Expect(1, 71488, '\P{Script=--Ahom}', "");
Expect(0, 71488, '\P{^Script=--Ahom}', "");
Error('\p{Sc=:=_	Ahom}');
Error('\P{Sc=:=_	Ahom}');
Expect(1, 71487, '\p{Sc=ahom}', "");
Expect(0, 71487, '\p{^Sc=ahom}', "");
Expect(0, 71487, '\P{Sc=ahom}', "");
Expect(1, 71487, '\P{^Sc=ahom}', "");
Expect(0, 71488, '\p{Sc=ahom}', "");
Expect(1, 71488, '\p{^Sc=ahom}', "");
Expect(1, 71488, '\P{Sc=ahom}', "");
Expect(0, 71488, '\P{^Sc=ahom}', "");
Expect(1, 71487, '\p{Sc=_	ahom}', "");
Expect(0, 71487, '\p{^Sc=_	ahom}', "");
Expect(0, 71487, '\P{Sc=_	ahom}', "");
Expect(1, 71487, '\P{^Sc=_	ahom}', "");
Expect(0, 71488, '\p{Sc=_	ahom}', "");
Expect(1, 71488, '\p{^Sc=_	ahom}', "");
Expect(1, 71488, '\P{Sc=_	ahom}', "");
Expect(0, 71488, '\P{^Sc=_	ahom}', "");
Error('\p{Is_Script=:= Ahom}');
Error('\P{Is_Script=:= Ahom}');
Expect(1, 71487, '\p{Is_Script=ahom}', "");
Expect(0, 71487, '\p{^Is_Script=ahom}', "");
Expect(0, 71487, '\P{Is_Script=ahom}', "");
Expect(1, 71487, '\P{^Is_Script=ahom}', "");
Expect(0, 71488, '\p{Is_Script=ahom}', "");
Expect(1, 71488, '\p{^Is_Script=ahom}', "");
Expect(1, 71488, '\P{Is_Script=ahom}', "");
Expect(0, 71488, '\P{^Is_Script=ahom}', "");
Expect(1, 71487, '\p{Is_Script=_ahom}', "");
Expect(0, 71487, '\p{^Is_Script=_ahom}', "");
Expect(0, 71487, '\P{Is_Script=_ahom}', "");
Expect(1, 71487, '\P{^Is_Script=_ahom}', "");
Expect(0, 71488, '\p{Is_Script=_ahom}', "");
Expect(1, 71488, '\p{^Is_Script=_ahom}', "");
Expect(1, 71488, '\P{Is_Script=_ahom}', "");
Expect(0, 71488, '\P{^Is_Script=_ahom}', "");
Error('\p{Is_Sc=_ahom/a/}');
Error('\P{Is_Sc=_ahom/a/}');
Expect(1, 71487, '\p{Is_Sc=ahom}', "");
Expect(0, 71487, '\p{^Is_Sc=ahom}', "");
Expect(0, 71487, '\P{Is_Sc=ahom}', "");
Expect(1, 71487, '\P{^Is_Sc=ahom}', "");
Expect(0, 71488, '\p{Is_Sc=ahom}', "");
Expect(1, 71488, '\p{^Is_Sc=ahom}', "");
Expect(1, 71488, '\P{Is_Sc=ahom}', "");
Expect(0, 71488, '\P{^Is_Sc=ahom}', "");
Expect(1, 71487, '\p{Is_Sc= Ahom}', "");
Expect(0, 71487, '\p{^Is_Sc= Ahom}', "");
Expect(0, 71487, '\P{Is_Sc= Ahom}', "");
Expect(1, 71487, '\P{^Is_Sc= Ahom}', "");
Expect(0, 71488, '\p{Is_Sc= Ahom}', "");
Expect(1, 71488, '\p{^Is_Sc= Ahom}', "");
Expect(1, 71488, '\P{Is_Sc= Ahom}', "");
Expect(0, 71488, '\P{^Is_Sc= Ahom}', "");
Error('\p{Script=_-ARABIC/a/}');
Error('\P{Script=_-ARABIC/a/}');
Expect(1, 126705, '\p{Script=arabic}', "");
Expect(0, 126705, '\p{^Script=arabic}', "");
Expect(0, 126705, '\P{Script=arabic}', "");
Expect(1, 126705, '\P{^Script=arabic}', "");
Expect(0, 126706, '\p{Script=arabic}', "");
Expect(1, 126706, '\p{^Script=arabic}', "");
Expect(1, 126706, '\P{Script=arabic}', "");
Expect(0, 126706, '\P{^Script=arabic}', "");
Expect(1, 126705, '\p{Script=-Arabic}', "");
Expect(0, 126705, '\p{^Script=-Arabic}', "");
Expect(0, 126705, '\P{Script=-Arabic}', "");
Expect(1, 126705, '\P{^Script=-Arabic}', "");
Expect(0, 126706, '\p{Script=-Arabic}', "");
Expect(1, 126706, '\p{^Script=-Arabic}', "");
Expect(1, 126706, '\P{Script=-Arabic}', "");
Expect(0, 126706, '\P{^Script=-Arabic}', "");
Error('\p{Sc= Arab/a/}');
Error('\P{Sc= Arab/a/}');
Expect(1, 126705, '\p{Sc=arab}', "");
Expect(0, 126705, '\p{^Sc=arab}', "");
Expect(0, 126705, '\P{Sc=arab}', "");
Expect(1, 126705, '\P{^Sc=arab}', "");
Expect(0, 126706, '\p{Sc=arab}', "");
Expect(1, 126706, '\p{^Sc=arab}', "");
Expect(1, 126706, '\P{Sc=arab}', "");
Expect(0, 126706, '\P{^Sc=arab}', "");
Expect(1, 126705, '\p{Sc:	- arab}', "");
Expect(0, 126705, '\p{^Sc:	- arab}', "");
Expect(0, 126705, '\P{Sc:	- arab}', "");
Expect(1, 126705, '\P{^Sc:	- arab}', "");
Expect(0, 126706, '\p{Sc:	- arab}', "");
Expect(1, 126706, '\p{^Sc:	- arab}', "");
Expect(1, 126706, '\P{Sc:	- arab}', "");
Expect(0, 126706, '\P{^Sc:	- arab}', "");
Error('\p{Is_Script=_ Arabic:=}');
Error('\P{Is_Script=_ Arabic:=}');
Expect(1, 126705, '\p{Is_Script=arabic}', "");
Expect(0, 126705, '\p{^Is_Script=arabic}', "");
Expect(0, 126705, '\P{Is_Script=arabic}', "");
Expect(1, 126705, '\P{^Is_Script=arabic}', "");
Expect(0, 126706, '\p{Is_Script=arabic}', "");
Expect(1, 126706, '\p{^Is_Script=arabic}', "");
Expect(1, 126706, '\P{Is_Script=arabic}', "");
Expect(0, 126706, '\P{^Is_Script=arabic}', "");
Expect(1, 126705, '\p{Is_Script=-ARABIC}', "");
Expect(0, 126705, '\p{^Is_Script=-ARABIC}', "");
Expect(0, 126705, '\P{Is_Script=-ARABIC}', "");
Expect(1, 126705, '\P{^Is_Script=-ARABIC}', "");
Expect(0, 126706, '\p{Is_Script=-ARABIC}', "");
Expect(1, 126706, '\p{^Is_Script=-ARABIC}', "");
Expect(1, 126706, '\P{Is_Script=-ARABIC}', "");
Expect(0, 126706, '\P{^Is_Script=-ARABIC}', "");
Error('\p{Is_Sc=	/a/arab}');
Error('\P{Is_Sc=	/a/arab}');
Expect(1, 126705, '\p{Is_Sc=arab}', "");
Expect(0, 126705, '\p{^Is_Sc=arab}', "");
Expect(0, 126705, '\P{Is_Sc=arab}', "");
Expect(1, 126705, '\P{^Is_Sc=arab}', "");
Expect(0, 126706, '\p{Is_Sc=arab}', "");
Expect(1, 126706, '\p{^Is_Sc=arab}', "");
Expect(1, 126706, '\P{Is_Sc=arab}', "");
Expect(0, 126706, '\P{^Is_Sc=arab}', "");
Expect(1, 126705, '\p{Is_Sc=-	Arab}', "");
Expect(0, 126705, '\p{^Is_Sc=-	Arab}', "");
Expect(0, 126705, '\P{Is_Sc=-	Arab}', "");
Expect(1, 126705, '\P{^Is_Sc=-	Arab}', "");
Expect(0, 126706, '\p{Is_Sc=-	Arab}', "");
Expect(1, 126706, '\p{^Is_Sc=-	Arab}', "");
Expect(1, 126706, '\P{Is_Sc=-	Arab}', "");
Expect(0, 126706, '\P{^Is_Sc=-	Arab}', "");
Error('\p{Script=:=--IMPERIAL_ARAMAIC}');
Error('\P{Script=:=--IMPERIAL_ARAMAIC}');
Expect(1, 67679, '\p{Script=imperialaramaic}', "");
Expect(0, 67679, '\p{^Script=imperialaramaic}', "");
Expect(0, 67679, '\P{Script=imperialaramaic}', "");
Expect(1, 67679, '\P{^Script=imperialaramaic}', "");
Expect(0, 67680, '\p{Script=imperialaramaic}', "");
Expect(1, 67680, '\p{^Script=imperialaramaic}', "");
Expect(1, 67680, '\P{Script=imperialaramaic}', "");
Expect(0, 67680, '\P{^Script=imperialaramaic}', "");
Expect(1, 67679, '\p{Script= 	imperial_aramaic}', "");
Expect(0, 67679, '\p{^Script= 	imperial_aramaic}', "");
Expect(0, 67679, '\P{Script= 	imperial_aramaic}', "");
Expect(1, 67679, '\P{^Script= 	imperial_aramaic}', "");
Expect(0, 67680, '\p{Script= 	imperial_aramaic}', "");
Expect(1, 67680, '\p{^Script= 	imperial_aramaic}', "");
Expect(1, 67680, '\P{Script= 	imperial_aramaic}', "");
Expect(0, 67680, '\P{^Script= 	imperial_aramaic}', "");
Error('\p{Sc=-/a/Armi}');
Error('\P{Sc=-/a/Armi}');
Expect(1, 67679, '\p{Sc=armi}', "");
Expect(0, 67679, '\p{^Sc=armi}', "");
Expect(0, 67679, '\P{Sc=armi}', "");
Expect(1, 67679, '\P{^Sc=armi}', "");
Expect(0, 67680, '\p{Sc=armi}', "");
Expect(1, 67680, '\p{^Sc=armi}', "");
Expect(1, 67680, '\P{Sc=armi}', "");
Expect(0, 67680, '\P{^Sc=armi}', "");
Expect(1, 67679, '\p{Sc=_Armi}', "");
Expect(0, 67679, '\p{^Sc=_Armi}', "");
Expect(0, 67679, '\P{Sc=_Armi}', "");
Expect(1, 67679, '\P{^Sc=_Armi}', "");
Expect(0, 67680, '\p{Sc=_Armi}', "");
Expect(1, 67680, '\p{^Sc=_Armi}', "");
Expect(1, 67680, '\P{Sc=_Armi}', "");
Expect(0, 67680, '\P{^Sc=_Armi}', "");
Error('\p{Is_Script=:=_	Imperial_Aramaic}');
Error('\P{Is_Script=:=_	Imperial_Aramaic}');
Expect(1, 67679, '\p{Is_Script=imperialaramaic}', "");
Expect(0, 67679, '\p{^Is_Script=imperialaramaic}', "");
Expect(0, 67679, '\P{Is_Script=imperialaramaic}', "");
Expect(1, 67679, '\P{^Is_Script=imperialaramaic}', "");
Expect(0, 67680, '\p{Is_Script=imperialaramaic}', "");
Expect(1, 67680, '\p{^Is_Script=imperialaramaic}', "");
Expect(1, 67680, '\P{Is_Script=imperialaramaic}', "");
Expect(0, 67680, '\P{^Is_Script=imperialaramaic}', "");
Expect(1, 67679, '\p{Is_Script:   __IMPERIAL_Aramaic}', "");
Expect(0, 67679, '\p{^Is_Script:   __IMPERIAL_Aramaic}', "");
Expect(0, 67679, '\P{Is_Script:   __IMPERIAL_Aramaic}', "");
Expect(1, 67679, '\P{^Is_Script:   __IMPERIAL_Aramaic}', "");
Expect(0, 67680, '\p{Is_Script:   __IMPERIAL_Aramaic}', "");
Expect(1, 67680, '\p{^Is_Script:   __IMPERIAL_Aramaic}', "");
Expect(1, 67680, '\P{Is_Script:   __IMPERIAL_Aramaic}', "");
Expect(0, 67680, '\P{^Is_Script:   __IMPERIAL_Aramaic}', "");
Error('\p{Is_Sc= /a/Armi}');
Error('\P{Is_Sc= /a/Armi}');
Expect(1, 67679, '\p{Is_Sc=armi}', "");
Expect(0, 67679, '\p{^Is_Sc=armi}', "");
Expect(0, 67679, '\P{Is_Sc=armi}', "");
Expect(1, 67679, '\P{^Is_Sc=armi}', "");
Expect(0, 67680, '\p{Is_Sc=armi}', "");
Expect(1, 67680, '\p{^Is_Sc=armi}', "");
Expect(1, 67680, '\P{Is_Sc=armi}', "");
Expect(0, 67680, '\P{^Is_Sc=armi}', "");
Expect(1, 67679, '\p{Is_Sc= -Armi}', "");
Expect(0, 67679, '\p{^Is_Sc= -Armi}', "");
Expect(0, 67679, '\P{Is_Sc= -Armi}', "");
Expect(1, 67679, '\P{^Is_Sc= -Armi}', "");
Expect(0, 67680, '\p{Is_Sc= -Armi}', "");
Expect(1, 67680, '\p{^Is_Sc= -Armi}', "");
Expect(1, 67680, '\P{Is_Sc= -Armi}', "");
Expect(0, 67680, '\P{^Is_Sc= -Armi}', "");
Error('\p{Script:   /a/ARMENIAN}');
Error('\P{Script:   /a/ARMENIAN}');
Expect(1, 64279, '\p{Script=armenian}', "");
Expect(0, 64279, '\p{^Script=armenian}', "");
Expect(0, 64279, '\P{Script=armenian}', "");
Expect(1, 64279, '\P{^Script=armenian}', "");
Expect(0, 64280, '\p{Script=armenian}', "");
Expect(1, 64280, '\p{^Script=armenian}', "");
Expect(1, 64280, '\P{Script=armenian}', "");
Expect(0, 64280, '\P{^Script=armenian}', "");
Expect(1, 64279, '\p{Script=	_armenian}', "");
Expect(0, 64279, '\p{^Script=	_armenian}', "");
Expect(0, 64279, '\P{Script=	_armenian}', "");
Expect(1, 64279, '\P{^Script=	_armenian}', "");
Expect(0, 64280, '\p{Script=	_armenian}', "");
Expect(1, 64280, '\p{^Script=	_armenian}', "");
Expect(1, 64280, '\P{Script=	_armenian}', "");
Expect(0, 64280, '\P{^Script=	_armenian}', "");
Error('\p{Sc=:= Armn}');
Error('\P{Sc=:= Armn}');
Expect(1, 64279, '\p{Sc=armn}', "");
Expect(0, 64279, '\p{^Sc=armn}', "");
Expect(0, 64279, '\P{Sc=armn}', "");
Expect(1, 64279, '\P{^Sc=armn}', "");
Expect(0, 64280, '\p{Sc=armn}', "");
Expect(1, 64280, '\p{^Sc=armn}', "");
Expect(1, 64280, '\P{Sc=armn}', "");
Expect(0, 64280, '\P{^Sc=armn}', "");
Expect(1, 64279, '\p{Sc=	Armn}', "");
Expect(0, 64279, '\p{^Sc=	Armn}', "");
Expect(0, 64279, '\P{Sc=	Armn}', "");
Expect(1, 64279, '\P{^Sc=	Armn}', "");
Expect(0, 64280, '\p{Sc=	Armn}', "");
Expect(1, 64280, '\p{^Sc=	Armn}', "");
Expect(1, 64280, '\P{Sc=	Armn}', "");
Expect(0, 64280, '\P{^Sc=	Armn}', "");
Error('\p{Is_Script= Armenian/a/}');
Error('\P{Is_Script= Armenian/a/}');
Expect(1, 64279, '\p{Is_Script=armenian}', "");
Expect(0, 64279, '\p{^Is_Script=armenian}', "");
Expect(0, 64279, '\P{Is_Script=armenian}', "");
Expect(1, 64279, '\P{^Is_Script=armenian}', "");
Expect(0, 64280, '\p{Is_Script=armenian}', "");
Expect(1, 64280, '\p{^Is_Script=armenian}', "");
Expect(1, 64280, '\P{Is_Script=armenian}', "");
Expect(0, 64280, '\P{^Is_Script=armenian}', "");
Expect(1, 64279, '\p{Is_Script=_ armenian}', "");
Expect(0, 64279, '\p{^Is_Script=_ armenian}', "");
Expect(0, 64279, '\P{Is_Script=_ armenian}', "");
Expect(1, 64279, '\P{^Is_Script=_ armenian}', "");
Expect(0, 64280, '\p{Is_Script=_ armenian}', "");
Expect(1, 64280, '\p{^Is_Script=_ armenian}', "");
Expect(1, 64280, '\P{Is_Script=_ armenian}', "");
Expect(0, 64280, '\P{^Is_Script=_ armenian}', "");
Error('\p{Is_Sc=/a/	armn}');
Error('\P{Is_Sc=/a/	armn}');
Expect(1, 64279, '\p{Is_Sc: armn}', "");
Expect(0, 64279, '\p{^Is_Sc: armn}', "");
Expect(0, 64279, '\P{Is_Sc: armn}', "");
Expect(1, 64279, '\P{^Is_Sc: armn}', "");
Expect(0, 64280, '\p{Is_Sc: armn}', "");
Expect(1, 64280, '\p{^Is_Sc: armn}', "");
Expect(1, 64280, '\P{Is_Sc: armn}', "");
Expect(0, 64280, '\P{^Is_Sc: armn}', "");
Expect(1, 64279, '\p{Is_Sc= ARMN}', "");
Expect(0, 64279, '\p{^Is_Sc= ARMN}', "");
Expect(0, 64279, '\P{Is_Sc= ARMN}', "");
Expect(1, 64279, '\P{^Is_Sc= ARMN}', "");
Expect(0, 64280, '\p{Is_Sc= ARMN}', "");
Expect(1, 64280, '\p{^Is_Sc= ARMN}', "");
Expect(1, 64280, '\P{Is_Sc= ARMN}', "");
Expect(0, 64280, '\P{^Is_Sc= ARMN}', "");
Error('\p{Script=/a/ Avestan}');
Error('\P{Script=/a/ Avestan}');
Expect(1, 68415, '\p{Script:avestan}', "");
Expect(0, 68415, '\p{^Script:avestan}', "");
Expect(0, 68415, '\P{Script:avestan}', "");
Expect(1, 68415, '\P{^Script:avestan}', "");
Expect(0, 68416, '\p{Script:avestan}', "");
Expect(1, 68416, '\p{^Script:avestan}', "");
Expect(1, 68416, '\P{Script:avestan}', "");
Expect(0, 68416, '\P{^Script:avestan}', "");
Expect(1, 68415, '\p{Script=-Avestan}', "");
Expect(0, 68415, '\p{^Script=-Avestan}', "");
Expect(0, 68415, '\P{Script=-Avestan}', "");
Expect(1, 68415, '\P{^Script=-Avestan}', "");
Expect(0, 68416, '\p{Script=-Avestan}', "");
Expect(1, 68416, '\p{^Script=-Avestan}', "");
Expect(1, 68416, '\P{Script=-Avestan}', "");
Expect(0, 68416, '\P{^Script=-Avestan}', "");
Error('\p{Sc:-AVST/a/}');
Error('\P{Sc:-AVST/a/}');
Expect(1, 68415, '\p{Sc=avst}', "");
Expect(0, 68415, '\p{^Sc=avst}', "");
Expect(0, 68415, '\P{Sc=avst}', "");
Expect(1, 68415, '\P{^Sc=avst}', "");
Expect(0, 68416, '\p{Sc=avst}', "");
Expect(1, 68416, '\p{^Sc=avst}', "");
Expect(1, 68416, '\P{Sc=avst}', "");
Expect(0, 68416, '\P{^Sc=avst}', "");
Expect(1, 68415, '\p{Sc=	 Avst}', "");
Expect(0, 68415, '\p{^Sc=	 Avst}', "");
Expect(0, 68415, '\P{Sc=	 Avst}', "");
Expect(1, 68415, '\P{^Sc=	 Avst}', "");
Expect(0, 68416, '\p{Sc=	 Avst}', "");
Expect(1, 68416, '\p{^Sc=	 Avst}', "");
Expect(1, 68416, '\P{Sc=	 Avst}', "");
Expect(0, 68416, '\P{^Sc=	 Avst}', "");
Error('\p{Is_Script= :=AVESTAN}');
Error('\P{Is_Script= :=AVESTAN}');
Expect(1, 68415, '\p{Is_Script=avestan}', "");
Expect(0, 68415, '\p{^Is_Script=avestan}', "");
Expect(0, 68415, '\P{Is_Script=avestan}', "");
Expect(1, 68415, '\P{^Is_Script=avestan}', "");
Expect(0, 68416, '\p{Is_Script=avestan}', "");
Expect(1, 68416, '\p{^Is_Script=avestan}', "");
Expect(1, 68416, '\P{Is_Script=avestan}', "");
Expect(0, 68416, '\P{^Is_Script=avestan}', "");
Expect(1, 68415, '\p{Is_Script=-avestan}', "");
Expect(0, 68415, '\p{^Is_Script=-avestan}', "");
Expect(0, 68415, '\P{Is_Script=-avestan}', "");
Expect(1, 68415, '\P{^Is_Script=-avestan}', "");
Expect(0, 68416, '\p{Is_Script=-avestan}', "");
Expect(1, 68416, '\p{^Is_Script=-avestan}', "");
Expect(1, 68416, '\P{Is_Script=-avestan}', "");
Expect(0, 68416, '\P{^Is_Script=-avestan}', "");
Error('\p{Is_Sc=:=--AVST}');
Error('\P{Is_Sc=:=--AVST}');
Expect(1, 68415, '\p{Is_Sc=avst}', "");
Expect(0, 68415, '\p{^Is_Sc=avst}', "");
Expect(0, 68415, '\P{Is_Sc=avst}', "");
Expect(1, 68415, '\P{^Is_Sc=avst}', "");
Expect(0, 68416, '\p{Is_Sc=avst}', "");
Expect(1, 68416, '\p{^Is_Sc=avst}', "");
Expect(1, 68416, '\P{Is_Sc=avst}', "");
Expect(0, 68416, '\P{^Is_Sc=avst}', "");
Expect(1, 68415, '\p{Is_Sc=_ avst}', "");
Expect(0, 68415, '\p{^Is_Sc=_ avst}', "");
Expect(0, 68415, '\P{Is_Sc=_ avst}', "");
Expect(1, 68415, '\P{^Is_Sc=_ avst}', "");
Expect(0, 68416, '\p{Is_Sc=_ avst}', "");
Expect(1, 68416, '\p{^Is_Sc=_ avst}', "");
Expect(1, 68416, '\P{Is_Sc=_ avst}', "");
Expect(0, 68416, '\P{^Is_Sc=_ avst}', "");
Error('\p{Script:	 :=Balinese}');
Error('\P{Script:	 :=Balinese}');
Expect(1, 7036, '\p{Script=balinese}', "");
Expect(0, 7036, '\p{^Script=balinese}', "");
Expect(0, 7036, '\P{Script=balinese}', "");
Expect(1, 7036, '\P{^Script=balinese}', "");
Expect(0, 7037, '\p{Script=balinese}', "");
Expect(1, 7037, '\p{^Script=balinese}', "");
Expect(1, 7037, '\P{Script=balinese}', "");
Expect(0, 7037, '\P{^Script=balinese}', "");
Expect(1, 7036, '\p{Script=	balinese}', "");
Expect(0, 7036, '\p{^Script=	balinese}', "");
Expect(0, 7036, '\P{Script=	balinese}', "");
Expect(1, 7036, '\P{^Script=	balinese}', "");
Expect(0, 7037, '\p{Script=	balinese}', "");
Expect(1, 7037, '\p{^Script=	balinese}', "");
Expect(1, 7037, '\P{Script=	balinese}', "");
Expect(0, 7037, '\P{^Script=	balinese}', "");
Error('\p{Sc=BALI/a/}');
Error('\P{Sc=BALI/a/}');
Expect(1, 7036, '\p{Sc=bali}', "");
Expect(0, 7036, '\p{^Sc=bali}', "");
Expect(0, 7036, '\P{Sc=bali}', "");
Expect(1, 7036, '\P{^Sc=bali}', "");
Expect(0, 7037, '\p{Sc=bali}', "");
Expect(1, 7037, '\p{^Sc=bali}', "");
Expect(1, 7037, '\P{Sc=bali}', "");
Expect(0, 7037, '\P{^Sc=bali}', "");
Expect(1, 7036, '\p{Sc:	 bali}', "");
Expect(0, 7036, '\p{^Sc:	 bali}', "");
Expect(0, 7036, '\P{Sc:	 bali}', "");
Expect(1, 7036, '\P{^Sc:	 bali}', "");
Expect(0, 7037, '\p{Sc:	 bali}', "");
Expect(1, 7037, '\p{^Sc:	 bali}', "");
Expect(1, 7037, '\P{Sc:	 bali}', "");
Expect(0, 7037, '\P{^Sc:	 bali}', "");
Error('\p{Is_Script=/a/ -Balinese}');
Error('\P{Is_Script=/a/ -Balinese}');
Expect(1, 7036, '\p{Is_Script=balinese}', "");
Expect(0, 7036, '\p{^Is_Script=balinese}', "");
Expect(0, 7036, '\P{Is_Script=balinese}', "");
Expect(1, 7036, '\P{^Is_Script=balinese}', "");
Expect(0, 7037, '\p{Is_Script=balinese}', "");
Expect(1, 7037, '\p{^Is_Script=balinese}', "");
Expect(1, 7037, '\P{Is_Script=balinese}', "");
Expect(0, 7037, '\P{^Is_Script=balinese}', "");
Expect(1, 7036, '\p{Is_Script:   	 Balinese}', "");
Expect(0, 7036, '\p{^Is_Script:   	 Balinese}', "");
Expect(0, 7036, '\P{Is_Script:   	 Balinese}', "");
Expect(1, 7036, '\P{^Is_Script:   	 Balinese}', "");
Expect(0, 7037, '\p{Is_Script:   	 Balinese}', "");
Expect(1, 7037, '\p{^Is_Script:   	 Balinese}', "");
Expect(1, 7037, '\P{Is_Script:   	 Balinese}', "");
Expect(0, 7037, '\P{^Is_Script:   	 Balinese}', "");
Error('\p{Is_Sc=/a/		bali}');
Error('\P{Is_Sc=/a/		bali}');
Expect(1, 7036, '\p{Is_Sc=bali}', "");
Expect(0, 7036, '\p{^Is_Sc=bali}', "");
Expect(0, 7036, '\P{Is_Sc=bali}', "");
Expect(1, 7036, '\P{^Is_Sc=bali}', "");
Expect(0, 7037, '\p{Is_Sc=bali}', "");
Expect(1, 7037, '\p{^Is_Sc=bali}', "");
Expect(1, 7037, '\P{Is_Sc=bali}', "");
Expect(0, 7037, '\P{^Is_Sc=bali}', "");
Expect(1, 7036, '\p{Is_Sc=	bali}', "");
Expect(0, 7036, '\p{^Is_Sc=	bali}', "");
Expect(0, 7036, '\P{Is_Sc=	bali}', "");
Expect(1, 7036, '\P{^Is_Sc=	bali}', "");
Expect(0, 7037, '\p{Is_Sc=	bali}', "");
Expect(1, 7037, '\p{^Is_Sc=	bali}', "");
Expect(1, 7037, '\P{Is_Sc=	bali}', "");
Expect(0, 7037, '\P{^Is_Sc=	bali}', "");
Error('\p{Script=/a/ _bamum}');
Error('\P{Script=/a/ _bamum}');
Expect(1, 92728, '\p{Script=bamum}', "");
Expect(0, 92728, '\p{^Script=bamum}', "");
Expect(0, 92728, '\P{Script=bamum}', "");
Expect(1, 92728, '\P{^Script=bamum}', "");
Expect(0, 92729, '\p{Script=bamum}', "");
Expect(1, 92729, '\p{^Script=bamum}', "");
Expect(1, 92729, '\P{Script=bamum}', "");
Expect(0, 92729, '\P{^Script=bamum}', "");
Expect(1, 92728, '\p{Script=--bamum}', "");
Expect(0, 92728, '\p{^Script=--bamum}', "");
Expect(0, 92728, '\P{Script=--bamum}', "");
Expect(1, 92728, '\P{^Script=--bamum}', "");
Expect(0, 92729, '\p{Script=--bamum}', "");
Expect(1, 92729, '\p{^Script=--bamum}', "");
Expect(1, 92729, '\P{Script=--bamum}', "");
Expect(0, 92729, '\P{^Script=--bamum}', "");
Error('\p{Sc= /a/BAMU}');
Error('\P{Sc= /a/BAMU}');
Expect(1, 92728, '\p{Sc=bamu}', "");
Expect(0, 92728, '\p{^Sc=bamu}', "");
Expect(0, 92728, '\P{Sc=bamu}', "");
Expect(1, 92728, '\P{^Sc=bamu}', "");
Expect(0, 92729, '\p{Sc=bamu}', "");
Expect(1, 92729, '\p{^Sc=bamu}', "");
Expect(1, 92729, '\P{Sc=bamu}', "");
Expect(0, 92729, '\P{^Sc=bamu}', "");
Expect(1, 92728, '\p{Sc:_	bamu}', "");
Expect(0, 92728, '\p{^Sc:_	bamu}', "");
Expect(0, 92728, '\P{Sc:_	bamu}', "");
Expect(1, 92728, '\P{^Sc:_	bamu}', "");
Expect(0, 92729, '\p{Sc:_	bamu}', "");
Expect(1, 92729, '\p{^Sc:_	bamu}', "");
Expect(1, 92729, '\P{Sc:_	bamu}', "");
Expect(0, 92729, '\P{^Sc:_	bamu}', "");
Error('\p{Is_Script=-	Bamum:=}');
Error('\P{Is_Script=-	Bamum:=}');
Expect(1, 92728, '\p{Is_Script=bamum}', "");
Expect(0, 92728, '\p{^Is_Script=bamum}', "");
Expect(0, 92728, '\P{Is_Script=bamum}', "");
Expect(1, 92728, '\P{^Is_Script=bamum}', "");
Expect(0, 92729, '\p{Is_Script=bamum}', "");
Expect(1, 92729, '\p{^Is_Script=bamum}', "");
Expect(1, 92729, '\P{Is_Script=bamum}', "");
Expect(0, 92729, '\P{^Is_Script=bamum}', "");
Expect(1, 92728, '\p{Is_Script=--Bamum}', "");
Expect(0, 92728, '\p{^Is_Script=--Bamum}', "");
Expect(0, 92728, '\P{Is_Script=--Bamum}', "");
Expect(1, 92728, '\P{^Is_Script=--Bamum}', "");
Expect(0, 92729, '\p{Is_Script=--Bamum}', "");
Expect(1, 92729, '\p{^Is_Script=--Bamum}', "");
Expect(1, 92729, '\P{Is_Script=--Bamum}', "");
Expect(0, 92729, '\P{^Is_Script=--Bamum}', "");
Error('\p{Is_Sc=_BAMU:=}');
Error('\P{Is_Sc=_BAMU:=}');
Expect(1, 92728, '\p{Is_Sc=bamu}', "");
Expect(0, 92728, '\p{^Is_Sc=bamu}', "");
Expect(0, 92728, '\P{Is_Sc=bamu}', "");
Expect(1, 92728, '\P{^Is_Sc=bamu}', "");
Expect(0, 92729, '\p{Is_Sc=bamu}', "");
Expect(1, 92729, '\p{^Is_Sc=bamu}', "");
Expect(1, 92729, '\P{Is_Sc=bamu}', "");
Expect(0, 92729, '\P{^Is_Sc=bamu}', "");
Expect(1, 92728, '\p{Is_Sc= _BAMU}', "");
Expect(0, 92728, '\p{^Is_Sc= _BAMU}', "");
Expect(0, 92728, '\P{Is_Sc= _BAMU}', "");
Expect(1, 92728, '\P{^Is_Sc= _BAMU}', "");
Expect(0, 92729, '\p{Is_Sc= _BAMU}', "");
Expect(1, 92729, '\p{^Is_Sc= _BAMU}', "");
Expect(1, 92729, '\P{Is_Sc= _BAMU}', "");
Expect(0, 92729, '\P{^Is_Sc= _BAMU}', "");
Error('\p{Script=:= BASSA_VAH}');
Error('\P{Script=:= BASSA_VAH}');
Expect(1, 92917, '\p{Script=bassavah}', "");
Expect(0, 92917, '\p{^Script=bassavah}', "");
Expect(0, 92917, '\P{Script=bassavah}', "");
Expect(1, 92917, '\P{^Script=bassavah}', "");
Expect(0, 92918, '\p{Script=bassavah}', "");
Expect(1, 92918, '\p{^Script=bassavah}', "");
Expect(1, 92918, '\P{Script=bassavah}', "");
Expect(0, 92918, '\P{^Script=bassavah}', "");
Expect(1, 92917, '\p{Script=_	Bassa_Vah}', "");
Expect(0, 92917, '\p{^Script=_	Bassa_Vah}', "");
Expect(0, 92917, '\P{Script=_	Bassa_Vah}', "");
Expect(1, 92917, '\P{^Script=_	Bassa_Vah}', "");
Expect(0, 92918, '\p{Script=_	Bassa_Vah}', "");
Expect(1, 92918, '\p{^Script=_	Bassa_Vah}', "");
Expect(1, 92918, '\P{Script=_	Bassa_Vah}', "");
Expect(0, 92918, '\P{^Script=_	Bassa_Vah}', "");
Error('\p{Sc: :=--Bass}');
Error('\P{Sc: :=--Bass}');
Expect(1, 92917, '\p{Sc=bass}', "");
Expect(0, 92917, '\p{^Sc=bass}', "");
Expect(0, 92917, '\P{Sc=bass}', "");
Expect(1, 92917, '\P{^Sc=bass}', "");
Expect(0, 92918, '\p{Sc=bass}', "");
Expect(1, 92918, '\p{^Sc=bass}', "");
Expect(1, 92918, '\P{Sc=bass}', "");
Expect(0, 92918, '\P{^Sc=bass}', "");
Expect(1, 92917, '\p{Sc=-_Bass}', "");
Expect(0, 92917, '\p{^Sc=-_Bass}', "");
Expect(0, 92917, '\P{Sc=-_Bass}', "");
Expect(1, 92917, '\P{^Sc=-_Bass}', "");
Expect(0, 92918, '\p{Sc=-_Bass}', "");
Expect(1, 92918, '\p{^Sc=-_Bass}', "");
Expect(1, 92918, '\P{Sc=-_Bass}', "");
Expect(0, 92918, '\P{^Sc=-_Bass}', "");
Error('\p{Is_Script=:=  BASSA_vah}');
Error('\P{Is_Script=:=  BASSA_vah}');
Expect(1, 92917, '\p{Is_Script=bassavah}', "");
Expect(0, 92917, '\p{^Is_Script=bassavah}', "");
Expect(0, 92917, '\P{Is_Script=bassavah}', "");
Expect(1, 92917, '\P{^Is_Script=bassavah}', "");
Expect(0, 92918, '\p{Is_Script=bassavah}', "");
Expect(1, 92918, '\p{^Is_Script=bassavah}', "");
Expect(1, 92918, '\P{Is_Script=bassavah}', "");
Expect(0, 92918, '\P{^Is_Script=bassavah}', "");
Expect(1, 92917, '\p{Is_Script=-_bassa_Vah}', "");
Expect(0, 92917, '\p{^Is_Script=-_bassa_Vah}', "");
Expect(0, 92917, '\P{Is_Script=-_bassa_Vah}', "");
Expect(1, 92917, '\P{^Is_Script=-_bassa_Vah}', "");
Expect(0, 92918, '\p{Is_Script=-_bassa_Vah}', "");
Expect(1, 92918, '\p{^Is_Script=-_bassa_Vah}', "");
Expect(1, 92918, '\P{Is_Script=-_bassa_Vah}', "");
Expect(0, 92918, '\P{^Is_Script=-_bassa_Vah}', "");
Error('\p{Is_Sc=:=_	Bass}');
Error('\P{Is_Sc=:=_	Bass}');
Expect(1, 92917, '\p{Is_Sc:	bass}', "");
Expect(0, 92917, '\p{^Is_Sc:	bass}', "");
Expect(0, 92917, '\P{Is_Sc:	bass}', "");
Expect(1, 92917, '\P{^Is_Sc:	bass}', "");
Expect(0, 92918, '\p{Is_Sc:	bass}', "");
Expect(1, 92918, '\p{^Is_Sc:	bass}', "");
Expect(1, 92918, '\P{Is_Sc:	bass}', "");
Expect(0, 92918, '\P{^Is_Sc:	bass}', "");
Expect(1, 92917, '\p{Is_Sc=	Bass}', "");
Expect(0, 92917, '\p{^Is_Sc=	Bass}', "");
Expect(0, 92917, '\P{Is_Sc=	Bass}', "");
Expect(1, 92917, '\P{^Is_Sc=	Bass}', "");
Expect(0, 92918, '\p{Is_Sc=	Bass}', "");
Expect(1, 92918, '\p{^Is_Sc=	Bass}', "");
Expect(1, 92918, '\P{Is_Sc=	Bass}', "");
Expect(0, 92918, '\P{^Is_Sc=	Bass}', "");
Error('\p{Script=	BATAK:=}');
Error('\P{Script=	BATAK:=}');
Expect(1, 7167, '\p{Script=batak}', "");
Expect(0, 7167, '\p{^Script=batak}', "");
Expect(0, 7167, '\P{Script=batak}', "");
Expect(1, 7167, '\P{^Script=batak}', "");
Expect(0, 7168, '\p{Script=batak}', "");
Expect(1, 7168, '\p{^Script=batak}', "");
Expect(1, 7168, '\P{Script=batak}', "");
Expect(0, 7168, '\P{^Script=batak}', "");
Expect(1, 7167, '\p{Script=	Batak}', "");
Expect(0, 7167, '\p{^Script=	Batak}', "");
Expect(0, 7167, '\P{Script=	Batak}', "");
Expect(1, 7167, '\P{^Script=	Batak}', "");
Expect(0, 7168, '\p{Script=	Batak}', "");
Expect(1, 7168, '\p{^Script=	Batak}', "");
Expect(1, 7168, '\P{Script=	Batak}', "");
Expect(0, 7168, '\P{^Script=	Batak}', "");
Error('\p{Sc=/a/_-BATK}');
Error('\P{Sc=/a/_-BATK}');
Expect(1, 7167, '\p{Sc=batk}', "");
Expect(0, 7167, '\p{^Sc=batk}', "");
Expect(0, 7167, '\P{Sc=batk}', "");
Expect(1, 7167, '\P{^Sc=batk}', "");
Expect(0, 7168, '\p{Sc=batk}', "");
Expect(1, 7168, '\p{^Sc=batk}', "");
Expect(1, 7168, '\P{Sc=batk}', "");
Expect(0, 7168, '\P{^Sc=batk}', "");
Expect(1, 7167, '\p{Sc=	 Batk}', "");
Expect(0, 7167, '\p{^Sc=	 Batk}', "");
Expect(0, 7167, '\P{Sc=	 Batk}', "");
Expect(1, 7167, '\P{^Sc=	 Batk}', "");
Expect(0, 7168, '\p{Sc=	 Batk}', "");
Expect(1, 7168, '\p{^Sc=	 Batk}', "");
Expect(1, 7168, '\P{Sc=	 Batk}', "");
Expect(0, 7168, '\P{^Sc=	 Batk}', "");
Error('\p{Is_Script=:=BATAK}');
Error('\P{Is_Script=:=BATAK}');
Expect(1, 7167, '\p{Is_Script=batak}', "");
Expect(0, 7167, '\p{^Is_Script=batak}', "");
Expect(0, 7167, '\P{Is_Script=batak}', "");
Expect(1, 7167, '\P{^Is_Script=batak}', "");
Expect(0, 7168, '\p{Is_Script=batak}', "");
Expect(1, 7168, '\p{^Is_Script=batak}', "");
Expect(1, 7168, '\P{Is_Script=batak}', "");
Expect(0, 7168, '\P{^Is_Script=batak}', "");
Expect(1, 7167, '\p{Is_Script=		BATAK}', "");
Expect(0, 7167, '\p{^Is_Script=		BATAK}', "");
Expect(0, 7167, '\P{Is_Script=		BATAK}', "");
Expect(1, 7167, '\P{^Is_Script=		BATAK}', "");
Expect(0, 7168, '\p{Is_Script=		BATAK}', "");
Expect(1, 7168, '\p{^Is_Script=		BATAK}', "");
Expect(1, 7168, '\P{Is_Script=		BATAK}', "");
Expect(0, 7168, '\P{^Is_Script=		BATAK}', "");
Error('\p{Is_Sc=/a/--BATK}');
Error('\P{Is_Sc=/a/--BATK}');
Expect(1, 7167, '\p{Is_Sc=batk}', "");
Expect(0, 7167, '\p{^Is_Sc=batk}', "");
Expect(0, 7167, '\P{Is_Sc=batk}', "");
Expect(1, 7167, '\P{^Is_Sc=batk}', "");
Expect(0, 7168, '\p{Is_Sc=batk}', "");
Expect(1, 7168, '\p{^Is_Sc=batk}', "");
Expect(1, 7168, '\P{Is_Sc=batk}', "");
Expect(0, 7168, '\P{^Is_Sc=batk}', "");
Expect(1, 7167, '\p{Is_Sc=		BATK}', "");
Expect(0, 7167, '\p{^Is_Sc=		BATK}', "");
Expect(0, 7167, '\P{Is_Sc=		BATK}', "");
Expect(1, 7167, '\P{^Is_Sc=		BATK}', "");
Expect(0, 7168, '\p{Is_Sc=		BATK}', "");
Expect(1, 7168, '\p{^Is_Sc=		BATK}', "");
Expect(1, 7168, '\P{Is_Sc=		BATK}', "");
Expect(0, 7168, '\P{^Is_Sc=		BATK}', "");
Error('\p{Script=-_Bengali:=}');
Error('\P{Script=-_Bengali:=}');
Expect(1, 2555, '\p{Script=bengali}', "");
Expect(0, 2555, '\p{^Script=bengali}', "");
Expect(0, 2555, '\P{Script=bengali}', "");
Expect(1, 2555, '\P{^Script=bengali}', "");
Expect(0, 2556, '\p{Script=bengali}', "");
Expect(1, 2556, '\p{^Script=bengali}', "");
Expect(1, 2556, '\P{Script=bengali}', "");
Expect(0, 2556, '\P{^Script=bengali}', "");
Expect(1, 2555, '\p{Script=	_Bengali}', "");
Expect(0, 2555, '\p{^Script=	_Bengali}', "");
Expect(0, 2555, '\P{Script=	_Bengali}', "");
Expect(1, 2555, '\P{^Script=	_Bengali}', "");
Expect(0, 2556, '\p{Script=	_Bengali}', "");
Expect(1, 2556, '\p{^Script=	_Bengali}', "");
Expect(1, 2556, '\P{Script=	_Bengali}', "");
Expect(0, 2556, '\P{^Script=	_Bengali}', "");
Error('\p{Sc=	-Beng/a/}');
Error('\P{Sc=	-Beng/a/}');
Expect(1, 2555, '\p{Sc=beng}', "");
Expect(0, 2555, '\p{^Sc=beng}', "");
Expect(0, 2555, '\P{Sc=beng}', "");
Expect(1, 2555, '\P{^Sc=beng}', "");
Expect(0, 2556, '\p{Sc=beng}', "");
Expect(1, 2556, '\p{^Sc=beng}', "");
Expect(1, 2556, '\P{Sc=beng}', "");
Expect(0, 2556, '\P{^Sc=beng}', "");
Expect(1, 2555, '\p{Sc=	_Beng}', "");
Expect(0, 2555, '\p{^Sc=	_Beng}', "");
Expect(0, 2555, '\P{Sc=	_Beng}', "");
Expect(1, 2555, '\P{^Sc=	_Beng}', "");
Expect(0, 2556, '\p{Sc=	_Beng}', "");
Expect(1, 2556, '\p{^Sc=	_Beng}', "");
Expect(1, 2556, '\P{Sc=	_Beng}', "");
Expect(0, 2556, '\P{^Sc=	_Beng}', "");
Error('\p{Is_Script=:=- BENGALI}');
Error('\P{Is_Script=:=- BENGALI}');
Expect(1, 2555, '\p{Is_Script=bengali}', "");
Expect(0, 2555, '\p{^Is_Script=bengali}', "");
Expect(0, 2555, '\P{Is_Script=bengali}', "");
Expect(1, 2555, '\P{^Is_Script=bengali}', "");
Expect(0, 2556, '\p{Is_Script=bengali}', "");
Expect(1, 2556, '\p{^Is_Script=bengali}', "");
Expect(1, 2556, '\P{Is_Script=bengali}', "");
Expect(0, 2556, '\P{^Is_Script=bengali}', "");
Expect(1, 2555, '\p{Is_Script=-Bengali}', "");
Expect(0, 2555, '\p{^Is_Script=-Bengali}', "");
Expect(0, 2555, '\P{Is_Script=-Bengali}', "");
Expect(1, 2555, '\P{^Is_Script=-Bengali}', "");
Expect(0, 2556, '\p{Is_Script=-Bengali}', "");
Expect(1, 2556, '\p{^Is_Script=-Bengali}', "");
Expect(1, 2556, '\P{Is_Script=-Bengali}', "");
Expect(0, 2556, '\P{^Is_Script=-Bengali}', "");
Error('\p{Is_Sc=/a/_Beng}');
Error('\P{Is_Sc=/a/_Beng}');
Expect(1, 2555, '\p{Is_Sc=beng}', "");
Expect(0, 2555, '\p{^Is_Sc=beng}', "");
Expect(0, 2555, '\P{Is_Sc=beng}', "");
Expect(1, 2555, '\P{^Is_Sc=beng}', "");
Expect(0, 2556, '\p{Is_Sc=beng}', "");
Expect(1, 2556, '\p{^Is_Sc=beng}', "");
Expect(1, 2556, '\P{Is_Sc=beng}', "");
Expect(0, 2556, '\P{^Is_Sc=beng}', "");
Expect(1, 2555, '\p{Is_Sc=	Beng}', "");
Expect(0, 2555, '\p{^Is_Sc=	Beng}', "");
Expect(0, 2555, '\P{Is_Sc=	Beng}', "");
Expect(1, 2555, '\P{^Is_Sc=	Beng}', "");
Expect(0, 2556, '\p{Is_Sc=	Beng}', "");
Expect(1, 2556, '\p{^Is_Sc=	Beng}', "");
Expect(1, 2556, '\P{Is_Sc=	Beng}', "");
Expect(0, 2556, '\P{^Is_Sc=	Beng}', "");
Error('\p{Script=/a/	_Bopomofo}');
Error('\P{Script=/a/	_Bopomofo}');
Expect(1, 12730, '\p{Script=bopomofo}', "");
Expect(0, 12730, '\p{^Script=bopomofo}', "");
Expect(0, 12730, '\P{Script=bopomofo}', "");
Expect(1, 12730, '\P{^Script=bopomofo}', "");
Expect(0, 12731, '\p{Script=bopomofo}', "");
Expect(1, 12731, '\p{^Script=bopomofo}', "");
Expect(1, 12731, '\P{Script=bopomofo}', "");
Expect(0, 12731, '\P{^Script=bopomofo}', "");
Expect(1, 12730, '\p{Script=-_BOPOMOFO}', "");
Expect(0, 12730, '\p{^Script=-_BOPOMOFO}', "");
Expect(0, 12730, '\P{Script=-_BOPOMOFO}', "");
Expect(1, 12730, '\P{^Script=-_BOPOMOFO}', "");
Expect(0, 12731, '\p{Script=-_BOPOMOFO}', "");
Expect(1, 12731, '\p{^Script=-_BOPOMOFO}', "");
Expect(1, 12731, '\P{Script=-_BOPOMOFO}', "");
Expect(0, 12731, '\P{^Script=-_BOPOMOFO}', "");
Error('\p{Sc=:=-	Bopo}');
Error('\P{Sc=:=-	Bopo}');
Expect(1, 12730, '\p{Sc=bopo}', "");
Expect(0, 12730, '\p{^Sc=bopo}', "");
Expect(0, 12730, '\P{Sc=bopo}', "");
Expect(1, 12730, '\P{^Sc=bopo}', "");
Expect(0, 12731, '\p{Sc=bopo}', "");
Expect(1, 12731, '\p{^Sc=bopo}', "");
Expect(1, 12731, '\P{Sc=bopo}', "");
Expect(0, 12731, '\P{^Sc=bopo}', "");
Expect(1, 12730, '\p{Sc= BOPO}', "");
Expect(0, 12730, '\p{^Sc= BOPO}', "");
Expect(0, 12730, '\P{Sc= BOPO}', "");
Expect(1, 12730, '\P{^Sc= BOPO}', "");
Expect(0, 12731, '\p{Sc= BOPO}', "");
Expect(1, 12731, '\p{^Sc= BOPO}', "");
Expect(1, 12731, '\P{Sc= BOPO}', "");
Expect(0, 12731, '\P{^Sc= BOPO}', "");
Error('\p{Is_Script=_:=Bopomofo}');
Error('\P{Is_Script=_:=Bopomofo}');
Expect(1, 12730, '\p{Is_Script=bopomofo}', "");
Expect(0, 12730, '\p{^Is_Script=bopomofo}', "");
Expect(0, 12730, '\P{Is_Script=bopomofo}', "");
Expect(1, 12730, '\P{^Is_Script=bopomofo}', "");
Expect(0, 12731, '\p{Is_Script=bopomofo}', "");
Expect(1, 12731, '\p{^Is_Script=bopomofo}', "");
Expect(1, 12731, '\P{Is_Script=bopomofo}', "");
Expect(0, 12731, '\P{^Is_Script=bopomofo}', "");
Expect(1, 12730, '\p{Is_Script=_ BOPOMOFO}', "");
Expect(0, 12730, '\p{^Is_Script=_ BOPOMOFO}', "");
Expect(0, 12730, '\P{Is_Script=_ BOPOMOFO}', "");
Expect(1, 12730, '\P{^Is_Script=_ BOPOMOFO}', "");
Expect(0, 12731, '\p{Is_Script=_ BOPOMOFO}', "");
Expect(1, 12731, '\p{^Is_Script=_ BOPOMOFO}', "");
Expect(1, 12731, '\P{Is_Script=_ BOPOMOFO}', "");
Expect(0, 12731, '\P{^Is_Script=_ BOPOMOFO}', "");
Error('\p{Is_Sc:   Bopo:=}');
Error('\P{Is_Sc:   Bopo:=}');
Expect(1, 12730, '\p{Is_Sc=bopo}', "");
Expect(0, 12730, '\p{^Is_Sc=bopo}', "");
Expect(0, 12730, '\P{Is_Sc=bopo}', "");
Expect(1, 12730, '\P{^Is_Sc=bopo}', "");
Expect(0, 12731, '\p{Is_Sc=bopo}', "");
Expect(1, 12731, '\p{^Is_Sc=bopo}', "");
Expect(1, 12731, '\P{Is_Sc=bopo}', "");
Expect(0, 12731, '\P{^Is_Sc=bopo}', "");
Expect(1, 12730, '\p{Is_Sc= _BOPO}', "");
Expect(0, 12730, '\p{^Is_Sc= _BOPO}', "");
Expect(0, 12730, '\P{Is_Sc= _BOPO}', "");
Expect(1, 12730, '\P{^Is_Sc= _BOPO}', "");
Expect(0, 12731, '\p{Is_Sc= _BOPO}', "");
Expect(1, 12731, '\p{^Is_Sc= _BOPO}', "");
Expect(1, 12731, '\P{Is_Sc= _BOPO}', "");
Expect(0, 12731, '\P{^Is_Sc= _BOPO}', "");
Error('\p{Script=:=_Brahmi}');
Error('\P{Script=:=_Brahmi}');
Expect(1, 69759, '\p{Script=brahmi}', "");
Expect(0, 69759, '\p{^Script=brahmi}', "");
Expect(0, 69759, '\P{Script=brahmi}', "");
Expect(1, 69759, '\P{^Script=brahmi}', "");
Expect(0, 69760, '\p{Script=brahmi}', "");
Expect(1, 69760, '\p{^Script=brahmi}', "");
Expect(1, 69760, '\P{Script=brahmi}', "");
Expect(0, 69760, '\P{^Script=brahmi}', "");
Expect(1, 69759, '\p{Script=_ Brahmi}', "");
Expect(0, 69759, '\p{^Script=_ Brahmi}', "");
Expect(0, 69759, '\P{Script=_ Brahmi}', "");
Expect(1, 69759, '\P{^Script=_ Brahmi}', "");
Expect(0, 69760, '\p{Script=_ Brahmi}', "");
Expect(1, 69760, '\p{^Script=_ Brahmi}', "");
Expect(1, 69760, '\P{Script=_ Brahmi}', "");
Expect(0, 69760, '\P{^Script=_ Brahmi}', "");
Error('\p{Sc=/a/-	Brah}');
Error('\P{Sc=/a/-	Brah}');
Expect(1, 69759, '\p{Sc=brah}', "");
Expect(0, 69759, '\p{^Sc=brah}', "");
Expect(0, 69759, '\P{Sc=brah}', "");
Expect(1, 69759, '\P{^Sc=brah}', "");
Expect(0, 69760, '\p{Sc=brah}', "");
Expect(1, 69760, '\p{^Sc=brah}', "");
Expect(1, 69760, '\P{Sc=brah}', "");
Expect(0, 69760, '\P{^Sc=brah}', "");
Expect(1, 69759, '\p{Sc=	-Brah}', "");
Expect(0, 69759, '\p{^Sc=	-Brah}', "");
Expect(0, 69759, '\P{Sc=	-Brah}', "");
Expect(1, 69759, '\P{^Sc=	-Brah}', "");
Expect(0, 69760, '\p{Sc=	-Brah}', "");
Expect(1, 69760, '\p{^Sc=	-Brah}', "");
Expect(1, 69760, '\P{Sc=	-Brah}', "");
Expect(0, 69760, '\P{^Sc=	-Brah}', "");
Error('\p{Is_Script=/a/_BRAHMI}');
Error('\P{Is_Script=/a/_BRAHMI}');
Expect(1, 69759, '\p{Is_Script:brahmi}', "");
Expect(0, 69759, '\p{^Is_Script:brahmi}', "");
Expect(0, 69759, '\P{Is_Script:brahmi}', "");
Expect(1, 69759, '\P{^Is_Script:brahmi}', "");
Expect(0, 69760, '\p{Is_Script:brahmi}', "");
Expect(1, 69760, '\p{^Is_Script:brahmi}', "");
Expect(1, 69760, '\P{Is_Script:brahmi}', "");
Expect(0, 69760, '\P{^Is_Script:brahmi}', "");
Expect(1, 69759, '\p{Is_Script=- BRAHMI}', "");
Expect(0, 69759, '\p{^Is_Script=- BRAHMI}', "");
Expect(0, 69759, '\P{Is_Script=- BRAHMI}', "");
Expect(1, 69759, '\P{^Is_Script=- BRAHMI}', "");
Expect(0, 69760, '\p{Is_Script=- BRAHMI}', "");
Expect(1, 69760, '\p{^Is_Script=- BRAHMI}', "");
Expect(1, 69760, '\P{Is_Script=- BRAHMI}', "");
Expect(0, 69760, '\P{^Is_Script=- BRAHMI}', "");
Error('\p{Is_Sc=:= Brah}');
Error('\P{Is_Sc=:= Brah}');
Expect(1, 69759, '\p{Is_Sc=brah}', "");
Expect(0, 69759, '\p{^Is_Sc=brah}', "");
Expect(0, 69759, '\P{Is_Sc=brah}', "");
Expect(1, 69759, '\P{^Is_Sc=brah}', "");
Expect(0, 69760, '\p{Is_Sc=brah}', "");
Expect(1, 69760, '\p{^Is_Sc=brah}', "");
Expect(1, 69760, '\P{Is_Sc=brah}', "");
Expect(0, 69760, '\P{^Is_Sc=brah}', "");
Expect(1, 69759, '\p{Is_Sc=	 BRAH}', "");
Expect(0, 69759, '\p{^Is_Sc=	 BRAH}', "");
Expect(0, 69759, '\P{Is_Sc=	 BRAH}', "");
Expect(1, 69759, '\P{^Is_Sc=	 BRAH}', "");
Expect(0, 69760, '\p{Is_Sc=	 BRAH}', "");
Expect(1, 69760, '\p{^Is_Sc=	 BRAH}', "");
Expect(1, 69760, '\P{Is_Sc=	 BRAH}', "");
Expect(0, 69760, '\P{^Is_Sc=	 BRAH}', "");
Error('\p{Script=	BRAILLE/a/}');
Error('\P{Script=	BRAILLE/a/}');
Expect(1, 10495, '\p{Script=braille}', "");
Expect(0, 10495, '\p{^Script=braille}', "");
Expect(0, 10495, '\P{Script=braille}', "");
Expect(1, 10495, '\P{^Script=braille}', "");
Expect(0, 10496, '\p{Script=braille}', "");
Expect(1, 10496, '\p{^Script=braille}', "");
Expect(1, 10496, '\P{Script=braille}', "");
Expect(0, 10496, '\P{^Script=braille}', "");
Expect(1, 10495, '\p{Script=-_Braille}', "");
Expect(0, 10495, '\p{^Script=-_Braille}', "");
Expect(0, 10495, '\P{Script=-_Braille}', "");
Expect(1, 10495, '\P{^Script=-_Braille}', "");
Expect(0, 10496, '\p{Script=-_Braille}', "");
Expect(1, 10496, '\p{^Script=-_Braille}', "");
Expect(1, 10496, '\P{Script=-_Braille}', "");
Expect(0, 10496, '\P{^Script=-_Braille}', "");
Error('\p{Sc=:=-Brai}');
Error('\P{Sc=:=-Brai}');
Expect(1, 10495, '\p{Sc=brai}', "");
Expect(0, 10495, '\p{^Sc=brai}', "");
Expect(0, 10495, '\P{Sc=brai}', "");
Expect(1, 10495, '\P{^Sc=brai}', "");
Expect(0, 10496, '\p{Sc=brai}', "");
Expect(1, 10496, '\p{^Sc=brai}', "");
Expect(1, 10496, '\P{Sc=brai}', "");
Expect(0, 10496, '\P{^Sc=brai}', "");
Expect(1, 10495, '\p{Sc=	 Brai}', "");
Expect(0, 10495, '\p{^Sc=	 Brai}', "");
Expect(0, 10495, '\P{Sc=	 Brai}', "");
Expect(1, 10495, '\P{^Sc=	 Brai}', "");
Expect(0, 10496, '\p{Sc=	 Brai}', "");
Expect(1, 10496, '\p{^Sc=	 Brai}', "");
Expect(1, 10496, '\P{Sc=	 Brai}', "");
Expect(0, 10496, '\P{^Sc=	 Brai}', "");
Error('\p{Is_Script=-	BRAILLE/a/}');
Error('\P{Is_Script=-	BRAILLE/a/}');
Expect(1, 10495, '\p{Is_Script:   braille}', "");
Expect(0, 10495, '\p{^Is_Script:   braille}', "");
Expect(0, 10495, '\P{Is_Script:   braille}', "");
Expect(1, 10495, '\P{^Is_Script:   braille}', "");
Expect(0, 10496, '\p{Is_Script:   braille}', "");
Expect(1, 10496, '\p{^Is_Script:   braille}', "");
Expect(1, 10496, '\P{Is_Script:   braille}', "");
Expect(0, 10496, '\P{^Is_Script:   braille}', "");
Expect(1, 10495, '\p{Is_Script=-	Braille}', "");
Expect(0, 10495, '\p{^Is_Script=-	Braille}', "");
Expect(0, 10495, '\P{Is_Script=-	Braille}', "");
Expect(1, 10495, '\P{^Is_Script=-	Braille}', "");
Expect(0, 10496, '\p{Is_Script=-	Braille}', "");
Expect(1, 10496, '\p{^Is_Script=-	Braille}', "");
Expect(1, 10496, '\P{Is_Script=-	Braille}', "");
Expect(0, 10496, '\P{^Is_Script=-	Braille}', "");
Error('\p{Is_Sc=:=  BRAI}');
Error('\P{Is_Sc=:=  BRAI}');
Expect(1, 10495, '\p{Is_Sc=brai}', "");
Expect(0, 10495, '\p{^Is_Sc=brai}', "");
Expect(0, 10495, '\P{Is_Sc=brai}', "");
Expect(1, 10495, '\P{^Is_Sc=brai}', "");
Expect(0, 10496, '\p{Is_Sc=brai}', "");
Expect(1, 10496, '\p{^Is_Sc=brai}', "");
Expect(1, 10496, '\P{Is_Sc=brai}', "");
Expect(0, 10496, '\P{^Is_Sc=brai}', "");
Expect(1, 10495, '\p{Is_Sc=-Brai}', "");
Expect(0, 10495, '\p{^Is_Sc=-Brai}', "");
Expect(0, 10495, '\P{Is_Sc=-Brai}', "");
Expect(1, 10495, '\P{^Is_Sc=-Brai}', "");
Expect(0, 10496, '\p{Is_Sc=-Brai}', "");
Expect(1, 10496, '\p{^Is_Sc=-Brai}', "");
Expect(1, 10496, '\P{Is_Sc=-Brai}', "");
Expect(0, 10496, '\P{^Is_Sc=-Brai}', "");
Error('\p{Script=:=Buginese}');
Error('\P{Script=:=Buginese}');
Expect(1, 6687, '\p{Script=buginese}', "");
Expect(0, 6687, '\p{^Script=buginese}', "");
Expect(0, 6687, '\P{Script=buginese}', "");
Expect(1, 6687, '\P{^Script=buginese}', "");
Expect(0, 6688, '\p{Script=buginese}', "");
Expect(1, 6688, '\p{^Script=buginese}', "");
Expect(1, 6688, '\P{Script=buginese}', "");
Expect(0, 6688, '\P{^Script=buginese}', "");
Expect(1, 6687, '\p{Script=	 buginese}', "");
Expect(0, 6687, '\p{^Script=	 buginese}', "");
Expect(0, 6687, '\P{Script=	 buginese}', "");
Expect(1, 6687, '\P{^Script=	 buginese}', "");
Expect(0, 6688, '\p{Script=	 buginese}', "");
Expect(1, 6688, '\p{^Script=	 buginese}', "");
Expect(1, 6688, '\P{Script=	 buginese}', "");
Expect(0, 6688, '\P{^Script=	 buginese}', "");
Error('\p{Sc=:=	Bugi}');
Error('\P{Sc=:=	Bugi}');
Expect(1, 6687, '\p{Sc:   bugi}', "");
Expect(0, 6687, '\p{^Sc:   bugi}', "");
Expect(0, 6687, '\P{Sc:   bugi}', "");
Expect(1, 6687, '\P{^Sc:   bugi}', "");
Expect(0, 6688, '\p{Sc:   bugi}', "");
Expect(1, 6688, '\p{^Sc:   bugi}', "");
Expect(1, 6688, '\P{Sc:   bugi}', "");
Expect(0, 6688, '\P{^Sc:   bugi}', "");
Expect(1, 6687, '\p{Sc= Bugi}', "");
Expect(0, 6687, '\p{^Sc= Bugi}', "");
Expect(0, 6687, '\P{Sc= Bugi}', "");
Expect(1, 6687, '\P{^Sc= Bugi}', "");
Expect(0, 6688, '\p{Sc= Bugi}', "");
Expect(1, 6688, '\p{^Sc= Bugi}', "");
Expect(1, 6688, '\P{Sc= Bugi}', "");
Expect(0, 6688, '\P{^Sc= Bugi}', "");
Error('\p{Is_Script:_/a/Buginese}');
Error('\P{Is_Script:_/a/Buginese}');
Expect(1, 6687, '\p{Is_Script=buginese}', "");
Expect(0, 6687, '\p{^Is_Script=buginese}', "");
Expect(0, 6687, '\P{Is_Script=buginese}', "");
Expect(1, 6687, '\P{^Is_Script=buginese}', "");
Expect(0, 6688, '\p{Is_Script=buginese}', "");
Expect(1, 6688, '\p{^Is_Script=buginese}', "");
Expect(1, 6688, '\P{Is_Script=buginese}', "");
Expect(0, 6688, '\P{^Is_Script=buginese}', "");
Expect(1, 6687, '\p{Is_Script=Buginese}', "");
Expect(0, 6687, '\p{^Is_Script=Buginese}', "");
Expect(0, 6687, '\P{Is_Script=Buginese}', "");
Expect(1, 6687, '\P{^Is_Script=Buginese}', "");
Expect(0, 6688, '\p{Is_Script=Buginese}', "");
Expect(1, 6688, '\p{^Is_Script=Buginese}', "");
Expect(1, 6688, '\P{Is_Script=Buginese}', "");
Expect(0, 6688, '\P{^Is_Script=Buginese}', "");
Error('\p{Is_Sc=:=__BUGI}');
Error('\P{Is_Sc=:=__BUGI}');
Expect(1, 6687, '\p{Is_Sc=bugi}', "");
Expect(0, 6687, '\p{^Is_Sc=bugi}', "");
Expect(0, 6687, '\P{Is_Sc=bugi}', "");
Expect(1, 6687, '\P{^Is_Sc=bugi}', "");
Expect(0, 6688, '\p{Is_Sc=bugi}', "");
Expect(1, 6688, '\p{^Is_Sc=bugi}', "");
Expect(1, 6688, '\P{Is_Sc=bugi}', "");
Expect(0, 6688, '\P{^Is_Sc=bugi}', "");
Expect(1, 6687, '\p{Is_Sc=_ Bugi}', "");
Expect(0, 6687, '\p{^Is_Sc=_ Bugi}', "");
Expect(0, 6687, '\P{Is_Sc=_ Bugi}', "");
Expect(1, 6687, '\P{^Is_Sc=_ Bugi}', "");
Expect(0, 6688, '\p{Is_Sc=_ Bugi}', "");
Expect(1, 6688, '\p{^Is_Sc=_ Bugi}', "");
Expect(1, 6688, '\P{Is_Sc=_ Bugi}', "");
Expect(0, 6688, '\P{^Is_Sc=_ Bugi}', "");
Error('\p{Script=	:=Buhid}');
Error('\P{Script=	:=Buhid}');
Expect(1, 5971, '\p{Script:buhid}', "");
Expect(0, 5971, '\p{^Script:buhid}', "");
Expect(0, 5971, '\P{Script:buhid}', "");
Expect(1, 5971, '\P{^Script:buhid}', "");
Expect(0, 5972, '\p{Script:buhid}', "");
Expect(1, 5972, '\p{^Script:buhid}', "");
Expect(1, 5972, '\P{Script:buhid}', "");
Expect(0, 5972, '\P{^Script:buhid}', "");
Expect(1, 5971, '\p{Script=-buhid}', "");
Expect(0, 5971, '\p{^Script=-buhid}', "");
Expect(0, 5971, '\P{Script=-buhid}', "");
Expect(1, 5971, '\P{^Script=-buhid}', "");
Expect(0, 5972, '\p{Script=-buhid}', "");
Expect(1, 5972, '\p{^Script=-buhid}', "");
Expect(1, 5972, '\P{Script=-buhid}', "");
Expect(0, 5972, '\P{^Script=-buhid}', "");
Error('\p{Sc:   :=-_BUHD}');
Error('\P{Sc:   :=-_BUHD}');
Expect(1, 5971, '\p{Sc: buhd}', "");
Expect(0, 5971, '\p{^Sc: buhd}', "");
Expect(0, 5971, '\P{Sc: buhd}', "");
Expect(1, 5971, '\P{^Sc: buhd}', "");
Expect(0, 5972, '\p{Sc: buhd}', "");
Expect(1, 5972, '\p{^Sc: buhd}', "");
Expect(1, 5972, '\P{Sc: buhd}', "");
Expect(0, 5972, '\P{^Sc: buhd}', "");
Expect(1, 5971, '\p{Sc=	-BUHD}', "");
Expect(0, 5971, '\p{^Sc=	-BUHD}', "");
Expect(0, 5971, '\P{Sc=	-BUHD}', "");
Expect(1, 5971, '\P{^Sc=	-BUHD}', "");
Expect(0, 5972, '\p{Sc=	-BUHD}', "");
Expect(1, 5972, '\p{^Sc=	-BUHD}', "");
Expect(1, 5972, '\P{Sc=	-BUHD}', "");
Expect(0, 5972, '\P{^Sc=	-BUHD}', "");
Error('\p{Is_Script=/a/- buhid}');
Error('\P{Is_Script=/a/- buhid}');
Expect(1, 5971, '\p{Is_Script=buhid}', "");
Expect(0, 5971, '\p{^Is_Script=buhid}', "");
Expect(0, 5971, '\P{Is_Script=buhid}', "");
Expect(1, 5971, '\P{^Is_Script=buhid}', "");
Expect(0, 5972, '\p{Is_Script=buhid}', "");
Expect(1, 5972, '\p{^Is_Script=buhid}', "");
Expect(1, 5972, '\P{Is_Script=buhid}', "");
Expect(0, 5972, '\P{^Is_Script=buhid}', "");
Expect(1, 5971, '\p{Is_Script=-BUHID}', "");
Expect(0, 5971, '\p{^Is_Script=-BUHID}', "");
Expect(0, 5971, '\P{Is_Script=-BUHID}', "");
Expect(1, 5971, '\P{^Is_Script=-BUHID}', "");
Expect(0, 5972, '\p{Is_Script=-BUHID}', "");
Expect(1, 5972, '\p{^Is_Script=-BUHID}', "");
Expect(1, 5972, '\P{Is_Script=-BUHID}', "");
Expect(0, 5972, '\P{^Is_Script=-BUHID}', "");
Error('\p{Is_Sc=_/a/Buhd}');
Error('\P{Is_Sc=_/a/Buhd}');
Expect(1, 5971, '\p{Is_Sc=buhd}', "");
Expect(0, 5971, '\p{^Is_Sc=buhd}', "");
Expect(0, 5971, '\P{Is_Sc=buhd}', "");
Expect(1, 5971, '\P{^Is_Sc=buhd}', "");
Expect(0, 5972, '\p{Is_Sc=buhd}', "");
Expect(1, 5972, '\p{^Is_Sc=buhd}', "");
Expect(1, 5972, '\P{Is_Sc=buhd}', "");
Expect(0, 5972, '\P{^Is_Sc=buhd}', "");
Expect(1, 5971, '\p{Is_Sc= Buhd}', "");
Expect(0, 5971, '\p{^Is_Sc= Buhd}', "");
Expect(0, 5971, '\P{Is_Sc= Buhd}', "");
Expect(1, 5971, '\P{^Is_Sc= Buhd}', "");
Expect(0, 5972, '\p{Is_Sc= Buhd}', "");
Expect(1, 5972, '\p{^Is_Sc= Buhd}', "");
Expect(1, 5972, '\P{Is_Sc= Buhd}', "");
Expect(0, 5972, '\P{^Is_Sc= Buhd}', "");
Error('\p{Script= 	CHAKMA:=}');
Error('\P{Script= 	CHAKMA:=}');
Expect(1, 69955, '\p{Script=chakma}', "");
Expect(0, 69955, '\p{^Script=chakma}', "");
Expect(0, 69955, '\P{Script=chakma}', "");
Expect(1, 69955, '\P{^Script=chakma}', "");
Expect(0, 69956, '\p{Script=chakma}', "");
Expect(1, 69956, '\p{^Script=chakma}', "");
Expect(1, 69956, '\P{Script=chakma}', "");
Expect(0, 69956, '\P{^Script=chakma}', "");
Expect(1, 69955, '\p{Script=_-Chakma}', "");
Expect(0, 69955, '\p{^Script=_-Chakma}', "");
Expect(0, 69955, '\P{Script=_-Chakma}', "");
Expect(1, 69955, '\P{^Script=_-Chakma}', "");
Expect(0, 69956, '\p{Script=_-Chakma}', "");
Expect(1, 69956, '\p{^Script=_-Chakma}', "");
Expect(1, 69956, '\P{Script=_-Chakma}', "");
Expect(0, 69956, '\P{^Script=_-Chakma}', "");
Error('\p{Sc=	_cakm:=}');
Error('\P{Sc=	_cakm:=}');
Expect(1, 69955, '\p{Sc=cakm}', "");
Expect(0, 69955, '\p{^Sc=cakm}', "");
Expect(0, 69955, '\P{Sc=cakm}', "");
Expect(1, 69955, '\P{^Sc=cakm}', "");
Expect(0, 69956, '\p{Sc=cakm}', "");
Expect(1, 69956, '\p{^Sc=cakm}', "");
Expect(1, 69956, '\P{Sc=cakm}', "");
Expect(0, 69956, '\P{^Sc=cakm}', "");
Expect(1, 69955, '\p{Sc=	Cakm}', "");
Expect(0, 69955, '\p{^Sc=	Cakm}', "");
Expect(0, 69955, '\P{Sc=	Cakm}', "");
Expect(1, 69955, '\P{^Sc=	Cakm}', "");
Expect(0, 69956, '\p{Sc=	Cakm}', "");
Expect(1, 69956, '\p{^Sc=	Cakm}', "");
Expect(1, 69956, '\P{Sc=	Cakm}', "");
Expect(0, 69956, '\P{^Sc=	Cakm}', "");
Error('\p{Is_Script=/a/_-chakma}');
Error('\P{Is_Script=/a/_-chakma}');
Expect(1, 69955, '\p{Is_Script=chakma}', "");
Expect(0, 69955, '\p{^Is_Script=chakma}', "");
Expect(0, 69955, '\P{Is_Script=chakma}', "");
Expect(1, 69955, '\P{^Is_Script=chakma}', "");
Expect(0, 69956, '\p{Is_Script=chakma}', "");
Expect(1, 69956, '\p{^Is_Script=chakma}', "");
Expect(1, 69956, '\P{Is_Script=chakma}', "");
Expect(0, 69956, '\P{^Is_Script=chakma}', "");
Expect(1, 69955, '\p{Is_Script= chakma}', "");
Expect(0, 69955, '\p{^Is_Script= chakma}', "");
Expect(0, 69955, '\P{Is_Script= chakma}', "");
Expect(1, 69955, '\P{^Is_Script= chakma}', "");
Expect(0, 69956, '\p{Is_Script= chakma}', "");
Expect(1, 69956, '\p{^Is_Script= chakma}', "");
Expect(1, 69956, '\P{Is_Script= chakma}', "");
Expect(0, 69956, '\P{^Is_Script= chakma}', "");
Error('\p{Is_Sc=_ cakm/a/}');
Error('\P{Is_Sc=_ cakm/a/}');
Expect(1, 69955, '\p{Is_Sc=cakm}', "");
Expect(0, 69955, '\p{^Is_Sc=cakm}', "");
Expect(0, 69955, '\P{Is_Sc=cakm}', "");
Expect(1, 69955, '\P{^Is_Sc=cakm}', "");
Expect(0, 69956, '\p{Is_Sc=cakm}', "");
Expect(1, 69956, '\p{^Is_Sc=cakm}', "");
Expect(1, 69956, '\P{Is_Sc=cakm}', "");
Expect(0, 69956, '\P{^Is_Sc=cakm}', "");
Expect(1, 69955, '\p{Is_Sc= -CAKM}', "");
Expect(0, 69955, '\p{^Is_Sc= -CAKM}', "");
Expect(0, 69955, '\P{Is_Sc= -CAKM}', "");
Expect(1, 69955, '\P{^Is_Sc= -CAKM}', "");
Expect(0, 69956, '\p{Is_Sc= -CAKM}', "");
Expect(1, 69956, '\p{^Is_Sc= -CAKM}', "");
Expect(1, 69956, '\P{Is_Sc= -CAKM}', "");
Expect(0, 69956, '\P{^Is_Sc= -CAKM}', "");
Error('\p{Script=-:=CANADIAN_Aboriginal}');
Error('\P{Script=-:=CANADIAN_Aboriginal}');
Expect(1, 6389, '\p{Script=canadianaboriginal}', "");
Expect(0, 6389, '\p{^Script=canadianaboriginal}', "");
Expect(0, 6389, '\P{Script=canadianaboriginal}', "");
Expect(1, 6389, '\P{^Script=canadianaboriginal}', "");
Expect(0, 6390, '\p{Script=canadianaboriginal}', "");
Expect(1, 6390, '\p{^Script=canadianaboriginal}', "");
Expect(1, 6390, '\P{Script=canadianaboriginal}', "");
Expect(0, 6390, '\P{^Script=canadianaboriginal}', "");
Expect(1, 6389, '\p{Script=	 Canadian_aboriginal}', "");
Expect(0, 6389, '\p{^Script=	 Canadian_aboriginal}', "");
Expect(0, 6389, '\P{Script=	 Canadian_aboriginal}', "");
Expect(1, 6389, '\P{^Script=	 Canadian_aboriginal}', "");
Expect(0, 6390, '\p{Script=	 Canadian_aboriginal}', "");
Expect(1, 6390, '\p{^Script=	 Canadian_aboriginal}', "");
Expect(1, 6390, '\P{Script=	 Canadian_aboriginal}', "");
Expect(0, 6390, '\P{^Script=	 Canadian_aboriginal}', "");
Error('\p{Sc=-_Cans:=}');
Error('\P{Sc=-_Cans:=}');
Expect(1, 6389, '\p{Sc: cans}', "");
Expect(0, 6389, '\p{^Sc: cans}', "");
Expect(0, 6389, '\P{Sc: cans}', "");
Expect(1, 6389, '\P{^Sc: cans}', "");
Expect(0, 6390, '\p{Sc: cans}', "");
Expect(1, 6390, '\p{^Sc: cans}', "");
Expect(1, 6390, '\P{Sc: cans}', "");
Expect(0, 6390, '\P{^Sc: cans}', "");
Expect(1, 6389, '\p{Sc=	CANS}', "");
Expect(0, 6389, '\p{^Sc=	CANS}', "");
Expect(0, 6389, '\P{Sc=	CANS}', "");
Expect(1, 6389, '\P{^Sc=	CANS}', "");
Expect(0, 6390, '\p{Sc=	CANS}', "");
Expect(1, 6390, '\p{^Sc=	CANS}', "");
Expect(1, 6390, '\P{Sc=	CANS}', "");
Expect(0, 6390, '\P{^Sc=	CANS}', "");
Error('\p{Is_Script=	_Canadian_aboriginal:=}');
Error('\P{Is_Script=	_Canadian_aboriginal:=}');
Expect(1, 6389, '\p{Is_Script=canadianaboriginal}', "");
Expect(0, 6389, '\p{^Is_Script=canadianaboriginal}', "");
Expect(0, 6389, '\P{Is_Script=canadianaboriginal}', "");
Expect(1, 6389, '\P{^Is_Script=canadianaboriginal}', "");
Expect(0, 6390, '\p{Is_Script=canadianaboriginal}', "");
Expect(1, 6390, '\p{^Is_Script=canadianaboriginal}', "");
Expect(1, 6390, '\P{Is_Script=canadianaboriginal}', "");
Expect(0, 6390, '\P{^Is_Script=canadianaboriginal}', "");
Expect(1, 6389, '\p{Is_Script=-	canadian_Aboriginal}', "");
Expect(0, 6389, '\p{^Is_Script=-	canadian_Aboriginal}', "");
Expect(0, 6389, '\P{Is_Script=-	canadian_Aboriginal}', "");
Expect(1, 6389, '\P{^Is_Script=-	canadian_Aboriginal}', "");
Expect(0, 6390, '\p{Is_Script=-	canadian_Aboriginal}', "");
Expect(1, 6390, '\p{^Is_Script=-	canadian_Aboriginal}', "");
Expect(1, 6390, '\P{Is_Script=-	canadian_Aboriginal}', "");
Expect(0, 6390, '\P{^Is_Script=-	canadian_Aboriginal}', "");
Error('\p{Is_Sc=_Cans/a/}');
Error('\P{Is_Sc=_Cans/a/}');
Expect(1, 6389, '\p{Is_Sc=cans}', "");
Expect(0, 6389, '\p{^Is_Sc=cans}', "");
Expect(0, 6389, '\P{Is_Sc=cans}', "");
Expect(1, 6389, '\P{^Is_Sc=cans}', "");
Expect(0, 6390, '\p{Is_Sc=cans}', "");
Expect(1, 6390, '\p{^Is_Sc=cans}', "");
Expect(1, 6390, '\P{Is_Sc=cans}', "");
Expect(0, 6390, '\P{^Is_Sc=cans}', "");
Expect(1, 6389, '\p{Is_Sc=	cans}', "");
Expect(0, 6389, '\p{^Is_Sc=	cans}', "");
Expect(0, 6389, '\P{Is_Sc=	cans}', "");
Expect(1, 6389, '\P{^Is_Sc=	cans}', "");
Expect(0, 6390, '\p{Is_Sc=	cans}', "");
Expect(1, 6390, '\p{^Is_Sc=	cans}', "");
Expect(1, 6390, '\P{Is_Sc=	cans}', "");
Expect(0, 6390, '\P{^Is_Sc=	cans}', "");
Error('\p{Script=_Carian/a/}');
Error('\P{Script=_Carian/a/}');
Expect(1, 66256, '\p{Script=carian}', "");
Expect(0, 66256, '\p{^Script=carian}', "");
Expect(0, 66256, '\P{Script=carian}', "");
Expect(1, 66256, '\P{^Script=carian}', "");
Expect(0, 66257, '\p{Script=carian}', "");
Expect(1, 66257, '\p{^Script=carian}', "");
Expect(1, 66257, '\P{Script=carian}', "");
Expect(0, 66257, '\P{^Script=carian}', "");
Expect(1, 66256, '\p{Script=-carian}', "");
Expect(0, 66256, '\p{^Script=-carian}', "");
Expect(0, 66256, '\P{Script=-carian}', "");
Expect(1, 66256, '\P{^Script=-carian}', "");
Expect(0, 66257, '\p{Script=-carian}', "");
Expect(1, 66257, '\p{^Script=-carian}', "");
Expect(1, 66257, '\P{Script=-carian}', "");
Expect(0, 66257, '\P{^Script=-carian}', "");
Error('\p{Sc=:= 	CARI}');
Error('\P{Sc=:= 	CARI}');
Expect(1, 66256, '\p{Sc=cari}', "");
Expect(0, 66256, '\p{^Sc=cari}', "");
Expect(0, 66256, '\P{Sc=cari}', "");
Expect(1, 66256, '\P{^Sc=cari}', "");
Expect(0, 66257, '\p{Sc=cari}', "");
Expect(1, 66257, '\p{^Sc=cari}', "");
Expect(1, 66257, '\P{Sc=cari}', "");
Expect(0, 66257, '\P{^Sc=cari}', "");
Expect(1, 66256, '\p{Sc=  CARI}', "");
Expect(0, 66256, '\p{^Sc=  CARI}', "");
Expect(0, 66256, '\P{Sc=  CARI}', "");
Expect(1, 66256, '\P{^Sc=  CARI}', "");
Expect(0, 66257, '\p{Sc=  CARI}', "");
Expect(1, 66257, '\p{^Sc=  CARI}', "");
Expect(1, 66257, '\P{Sc=  CARI}', "");
Expect(0, 66257, '\P{^Sc=  CARI}', "");
Error('\p{Is_Script:	:=	 carian}');
Error('\P{Is_Script:	:=	 carian}');
Expect(1, 66256, '\p{Is_Script=carian}', "");
Expect(0, 66256, '\p{^Is_Script=carian}', "");
Expect(0, 66256, '\P{Is_Script=carian}', "");
Expect(1, 66256, '\P{^Is_Script=carian}', "");
Expect(0, 66257, '\p{Is_Script=carian}', "");
Expect(1, 66257, '\p{^Is_Script=carian}', "");
Expect(1, 66257, '\P{Is_Script=carian}', "");
Expect(0, 66257, '\P{^Is_Script=carian}', "");
Expect(1, 66256, '\p{Is_Script=		Carian}', "");
Expect(0, 66256, '\p{^Is_Script=		Carian}', "");
Expect(0, 66256, '\P{Is_Script=		Carian}', "");
Expect(1, 66256, '\P{^Is_Script=		Carian}', "");
Expect(0, 66257, '\p{Is_Script=		Carian}', "");
Expect(1, 66257, '\p{^Is_Script=		Carian}', "");
Expect(1, 66257, '\P{Is_Script=		Carian}', "");
Expect(0, 66257, '\P{^Is_Script=		Carian}', "");
Error('\p{Is_Sc=-:=CARI}');
Error('\P{Is_Sc=-:=CARI}');
Expect(1, 66256, '\p{Is_Sc=cari}', "");
Expect(0, 66256, '\p{^Is_Sc=cari}', "");
Expect(0, 66256, '\P{Is_Sc=cari}', "");
Expect(1, 66256, '\P{^Is_Sc=cari}', "");
Expect(0, 66257, '\p{Is_Sc=cari}', "");
Expect(1, 66257, '\p{^Is_Sc=cari}', "");
Expect(1, 66257, '\P{Is_Sc=cari}', "");
Expect(0, 66257, '\P{^Is_Sc=cari}', "");
Expect(1, 66256, '\p{Is_Sc=-	CARI}', "");
Expect(0, 66256, '\p{^Is_Sc=-	CARI}', "");
Expect(0, 66256, '\P{Is_Sc=-	CARI}', "");
Expect(1, 66256, '\P{^Is_Sc=-	CARI}', "");
Expect(0, 66257, '\p{Is_Sc=-	CARI}', "");
Expect(1, 66257, '\p{^Is_Sc=-	CARI}', "");
Expect(1, 66257, '\P{Is_Sc=-	CARI}', "");
Expect(0, 66257, '\P{^Is_Sc=-	CARI}', "");
Error('\p{Script=	-Cham:=}');
Error('\P{Script=	-Cham:=}');
Expect(1, 43615, '\p{Script=cham}', "");
Expect(0, 43615, '\p{^Script=cham}', "");
Expect(0, 43615, '\P{Script=cham}', "");
Expect(1, 43615, '\P{^Script=cham}', "");
Expect(0, 43616, '\p{Script=cham}', "");
Expect(1, 43616, '\p{^Script=cham}', "");
Expect(1, 43616, '\P{Script=cham}', "");
Expect(0, 43616, '\P{^Script=cham}', "");
Expect(1, 43615, '\p{Script=_ cham}', "");
Expect(0, 43615, '\p{^Script=_ cham}', "");
Expect(0, 43615, '\P{Script=_ cham}', "");
Expect(1, 43615, '\P{^Script=_ cham}', "");
Expect(0, 43616, '\p{Script=_ cham}', "");
Expect(1, 43616, '\p{^Script=_ cham}', "");
Expect(1, 43616, '\P{Script=_ cham}', "");
Expect(0, 43616, '\P{^Script=_ cham}', "");
Error('\p{Sc=- CHAM:=}');
Error('\P{Sc=- CHAM:=}');
Expect(1, 43615, '\p{Sc=cham}', "");
Expect(0, 43615, '\p{^Sc=cham}', "");
Expect(0, 43615, '\P{Sc=cham}', "");
Expect(1, 43615, '\P{^Sc=cham}', "");
Expect(0, 43616, '\p{Sc=cham}', "");
Expect(1, 43616, '\p{^Sc=cham}', "");
Expect(1, 43616, '\P{Sc=cham}', "");
Expect(0, 43616, '\P{^Sc=cham}', "");
Expect(1, 43615, '\p{Sc=_ cham}', "");
Expect(0, 43615, '\p{^Sc=_ cham}', "");
Expect(0, 43615, '\P{Sc=_ cham}', "");
Expect(1, 43615, '\P{^Sc=_ cham}', "");
Expect(0, 43616, '\p{Sc=_ cham}', "");
Expect(1, 43616, '\p{^Sc=_ cham}', "");
Expect(1, 43616, '\P{Sc=_ cham}', "");
Expect(0, 43616, '\P{^Sc=_ cham}', "");
Error('\p{Is_Script:   /a/_-CHAM}');
Error('\P{Is_Script:   /a/_-CHAM}');
Expect(1, 43615, '\p{Is_Script=cham}', "");
Expect(0, 43615, '\p{^Is_Script=cham}', "");
Expect(0, 43615, '\P{Is_Script=cham}', "");
Expect(1, 43615, '\P{^Is_Script=cham}', "");
Expect(0, 43616, '\p{Is_Script=cham}', "");
Expect(1, 43616, '\p{^Is_Script=cham}', "");
Expect(1, 43616, '\P{Is_Script=cham}', "");
Expect(0, 43616, '\P{^Is_Script=cham}', "");
Expect(1, 43615, '\p{Is_Script=		Cham}', "");
Expect(0, 43615, '\p{^Is_Script=		Cham}', "");
Expect(0, 43615, '\P{Is_Script=		Cham}', "");
Expect(1, 43615, '\P{^Is_Script=		Cham}', "");
Expect(0, 43616, '\p{Is_Script=		Cham}', "");
Expect(1, 43616, '\p{^Is_Script=		Cham}', "");
Expect(1, 43616, '\P{Is_Script=		Cham}', "");
Expect(0, 43616, '\P{^Is_Script=		Cham}', "");
Error('\p{Is_Sc=/a/-_cham}');
Error('\P{Is_Sc=/a/-_cham}');
Expect(1, 43615, '\p{Is_Sc:cham}', "");
Expect(0, 43615, '\p{^Is_Sc:cham}', "");
Expect(0, 43615, '\P{Is_Sc:cham}', "");
Expect(1, 43615, '\P{^Is_Sc:cham}', "");
Expect(0, 43616, '\p{Is_Sc:cham}', "");
Expect(1, 43616, '\p{^Is_Sc:cham}', "");
Expect(1, 43616, '\P{Is_Sc:cham}', "");
Expect(0, 43616, '\P{^Is_Sc:cham}', "");
Expect(1, 43615, '\p{Is_Sc=-	Cham}', "");
Expect(0, 43615, '\p{^Is_Sc=-	Cham}', "");
Expect(0, 43615, '\P{Is_Sc=-	Cham}', "");
Expect(1, 43615, '\P{^Is_Sc=-	Cham}', "");
Expect(0, 43616, '\p{Is_Sc=-	Cham}', "");
Expect(1, 43616, '\p{^Is_Sc=-	Cham}', "");
Expect(1, 43616, '\P{Is_Sc=-	Cham}', "");
Expect(0, 43616, '\P{^Is_Sc=-	Cham}', "");
Error('\p{Script=:=	CHEROKEE}');
Error('\P{Script=:=	CHEROKEE}');
Expect(1, 43967, '\p{Script=cherokee}', "");
Expect(0, 43967, '\p{^Script=cherokee}', "");
Expect(0, 43967, '\P{Script=cherokee}', "");
Expect(1, 43967, '\P{^Script=cherokee}', "");
Expect(0, 43968, '\p{Script=cherokee}', "");
Expect(1, 43968, '\p{^Script=cherokee}', "");
Expect(1, 43968, '\P{Script=cherokee}', "");
Expect(0, 43968, '\P{^Script=cherokee}', "");
Expect(1, 43967, '\p{Script:   		CHEROKEE}', "");
Expect(0, 43967, '\p{^Script:   		CHEROKEE}', "");
Expect(0, 43967, '\P{Script:   		CHEROKEE}', "");
Expect(1, 43967, '\P{^Script:   		CHEROKEE}', "");
Expect(0, 43968, '\p{Script:   		CHEROKEE}', "");
Expect(1, 43968, '\p{^Script:   		CHEROKEE}', "");
Expect(1, 43968, '\P{Script:   		CHEROKEE}', "");
Expect(0, 43968, '\P{^Script:   		CHEROKEE}', "");
Error('\p{Sc=:=	-Cher}');
Error('\P{Sc=:=	-Cher}');
Expect(1, 43967, '\p{Sc: cher}', "");
Expect(0, 43967, '\p{^Sc: cher}', "");
Expect(0, 43967, '\P{Sc: cher}', "");
Expect(1, 43967, '\P{^Sc: cher}', "");
Expect(0, 43968, '\p{Sc: cher}', "");
Expect(1, 43968, '\p{^Sc: cher}', "");
Expect(1, 43968, '\P{Sc: cher}', "");
Expect(0, 43968, '\P{^Sc: cher}', "");
Expect(1, 43967, '\p{Sc=_CHER}', "");
Expect(0, 43967, '\p{^Sc=_CHER}', "");
Expect(0, 43967, '\P{Sc=_CHER}', "");
Expect(1, 43967, '\P{^Sc=_CHER}', "");
Expect(0, 43968, '\p{Sc=_CHER}', "");
Expect(1, 43968, '\p{^Sc=_CHER}', "");
Expect(1, 43968, '\P{Sc=_CHER}', "");
Expect(0, 43968, '\P{^Sc=_CHER}', "");
Error('\p{Is_Script=	:=CHEROKEE}');
Error('\P{Is_Script=	:=CHEROKEE}');
Expect(1, 43967, '\p{Is_Script=cherokee}', "");
Expect(0, 43967, '\p{^Is_Script=cherokee}', "");
Expect(0, 43967, '\P{Is_Script=cherokee}', "");
Expect(1, 43967, '\P{^Is_Script=cherokee}', "");
Expect(0, 43968, '\p{Is_Script=cherokee}', "");
Expect(1, 43968, '\p{^Is_Script=cherokee}', "");
Expect(1, 43968, '\P{Is_Script=cherokee}', "");
Expect(0, 43968, '\P{^Is_Script=cherokee}', "");
Expect(1, 43967, '\p{Is_Script=_-CHEROKEE}', "");
Expect(0, 43967, '\p{^Is_Script=_-CHEROKEE}', "");
Expect(0, 43967, '\P{Is_Script=_-CHEROKEE}', "");
Expect(1, 43967, '\P{^Is_Script=_-CHEROKEE}', "");
Expect(0, 43968, '\p{Is_Script=_-CHEROKEE}', "");
Expect(1, 43968, '\p{^Is_Script=_-CHEROKEE}', "");
Expect(1, 43968, '\P{Is_Script=_-CHEROKEE}', "");
Expect(0, 43968, '\P{^Is_Script=_-CHEROKEE}', "");
Error('\p{Is_Sc=	_Cher/a/}');
Error('\P{Is_Sc=	_Cher/a/}');
Expect(1, 43967, '\p{Is_Sc=cher}', "");
Expect(0, 43967, '\p{^Is_Sc=cher}', "");
Expect(0, 43967, '\P{Is_Sc=cher}', "");
Expect(1, 43967, '\P{^Is_Sc=cher}', "");
Expect(0, 43968, '\p{Is_Sc=cher}', "");
Expect(1, 43968, '\p{^Is_Sc=cher}', "");
Expect(1, 43968, '\P{Is_Sc=cher}', "");
Expect(0, 43968, '\P{^Is_Sc=cher}', "");
Expect(1, 43967, '\p{Is_Sc=  CHER}', "");
Expect(0, 43967, '\p{^Is_Sc=  CHER}', "");
Expect(0, 43967, '\P{Is_Sc=  CHER}', "");
Expect(1, 43967, '\P{^Is_Sc=  CHER}', "");
Expect(0, 43968, '\p{Is_Sc=  CHER}', "");
Expect(1, 43968, '\p{^Is_Sc=  CHER}', "");
Expect(1, 43968, '\P{Is_Sc=  CHER}', "");
Expect(0, 43968, '\P{^Is_Sc=  CHER}', "");
Error('\p{Script=-/a/Coptic}');
Error('\P{Script=-/a/Coptic}');
Expect(1, 11519, '\p{Script=coptic}', "");
Expect(0, 11519, '\p{^Script=coptic}', "");
Expect(0, 11519, '\P{Script=coptic}', "");
Expect(1, 11519, '\P{^Script=coptic}', "");
Expect(0, 11520, '\p{Script=coptic}', "");
Expect(1, 11520, '\p{^Script=coptic}', "");
Expect(1, 11520, '\P{Script=coptic}', "");
Expect(0, 11520, '\P{^Script=coptic}', "");
Expect(1, 11519, '\p{Script=_COPTIC}', "");
Expect(0, 11519, '\p{^Script=_COPTIC}', "");
Expect(0, 11519, '\P{Script=_COPTIC}', "");
Expect(1, 11519, '\P{^Script=_COPTIC}', "");
Expect(0, 11520, '\p{Script=_COPTIC}', "");
Expect(1, 11520, '\p{^Script=_COPTIC}', "");
Expect(1, 11520, '\P{Script=_COPTIC}', "");
Expect(0, 11520, '\P{^Script=_COPTIC}', "");
Error('\p{Sc=-_Copt/a/}');
Error('\P{Sc=-_Copt/a/}');
Expect(1, 11519, '\p{Sc=copt}', "");
Expect(0, 11519, '\p{^Sc=copt}', "");
Expect(0, 11519, '\P{Sc=copt}', "");
Expect(1, 11519, '\P{^Sc=copt}', "");
Expect(0, 11520, '\p{Sc=copt}', "");
Expect(1, 11520, '\p{^Sc=copt}', "");
Expect(1, 11520, '\P{Sc=copt}', "");
Expect(0, 11520, '\P{^Sc=copt}', "");
Expect(1, 11519, '\p{Sc= 	Copt}', "");
Expect(0, 11519, '\p{^Sc= 	Copt}', "");
Expect(0, 11519, '\P{Sc= 	Copt}', "");
Expect(1, 11519, '\P{^Sc= 	Copt}', "");
Expect(0, 11520, '\p{Sc= 	Copt}', "");
Expect(1, 11520, '\p{^Sc= 	Copt}', "");
Expect(1, 11520, '\P{Sc= 	Copt}', "");
Expect(0, 11520, '\P{^Sc= 	Copt}', "");
Error('\p{Is_Script= /a/Qaac}');
Error('\P{Is_Script= /a/Qaac}');
Expect(1, 11519, '\p{Is_Script=qaac}', "");
Expect(0, 11519, '\p{^Is_Script=qaac}', "");
Expect(0, 11519, '\P{Is_Script=qaac}', "");
Expect(1, 11519, '\P{^Is_Script=qaac}', "");
Expect(0, 11520, '\p{Is_Script=qaac}', "");
Expect(1, 11520, '\p{^Is_Script=qaac}', "");
Expect(1, 11520, '\P{Is_Script=qaac}', "");
Expect(0, 11520, '\P{^Is_Script=qaac}', "");
Expect(1, 11519, '\p{Is_Script=  Qaac}', "");
Expect(0, 11519, '\p{^Is_Script=  Qaac}', "");
Expect(0, 11519, '\P{Is_Script=  Qaac}', "");
Expect(1, 11519, '\P{^Is_Script=  Qaac}', "");
Expect(0, 11520, '\p{Is_Script=  Qaac}', "");
Expect(1, 11520, '\p{^Is_Script=  Qaac}', "");
Expect(1, 11520, '\P{Is_Script=  Qaac}', "");
Expect(0, 11520, '\P{^Is_Script=  Qaac}', "");
Error('\p{Is_Sc::=COPTIC}');
Error('\P{Is_Sc::=COPTIC}');
Expect(1, 11519, '\p{Is_Sc=coptic}', "");
Expect(0, 11519, '\p{^Is_Sc=coptic}', "");
Expect(0, 11519, '\P{Is_Sc=coptic}', "");
Expect(1, 11519, '\P{^Is_Sc=coptic}', "");
Expect(0, 11520, '\p{Is_Sc=coptic}', "");
Expect(1, 11520, '\p{^Is_Sc=coptic}', "");
Expect(1, 11520, '\P{Is_Sc=coptic}', "");
Expect(0, 11520, '\P{^Is_Sc=coptic}', "");
Expect(1, 11519, '\p{Is_Sc=_-Coptic}', "");
Expect(0, 11519, '\p{^Is_Sc=_-Coptic}', "");
Expect(0, 11519, '\P{Is_Sc=_-Coptic}', "");
Expect(1, 11519, '\P{^Is_Sc=_-Coptic}', "");
Expect(0, 11520, '\p{Is_Sc=_-Coptic}', "");
Expect(1, 11520, '\p{^Is_Sc=_-Coptic}', "");
Expect(1, 11520, '\P{Is_Sc=_-Coptic}', "");
Expect(0, 11520, '\P{^Is_Sc=_-Coptic}', "");
Error('\p{Script=/a/Cypriot}');
Error('\P{Script=/a/Cypriot}');
Expect(1, 67647, '\p{Script=cypriot}', "");
Expect(0, 67647, '\p{^Script=cypriot}', "");
Expect(0, 67647, '\P{Script=cypriot}', "");
Expect(1, 67647, '\P{^Script=cypriot}', "");
Expect(0, 67648, '\p{Script=cypriot}', "");
Expect(1, 67648, '\p{^Script=cypriot}', "");
Expect(1, 67648, '\P{Script=cypriot}', "");
Expect(0, 67648, '\P{^Script=cypriot}', "");
Expect(1, 67647, '\p{Script=__cypriot}', "");
Expect(0, 67647, '\p{^Script=__cypriot}', "");
Expect(0, 67647, '\P{Script=__cypriot}', "");
Expect(1, 67647, '\P{^Script=__cypriot}', "");
Expect(0, 67648, '\p{Script=__cypriot}', "");
Expect(1, 67648, '\p{^Script=__cypriot}', "");
Expect(1, 67648, '\P{Script=__cypriot}', "");
Expect(0, 67648, '\P{^Script=__cypriot}', "");
Error('\p{Sc=_:=Cprt}');
Error('\P{Sc=_:=Cprt}');
Expect(1, 67647, '\p{Sc=cprt}', "");
Expect(0, 67647, '\p{^Sc=cprt}', "");
Expect(0, 67647, '\P{Sc=cprt}', "");
Expect(1, 67647, '\P{^Sc=cprt}', "");
Expect(0, 67648, '\p{Sc=cprt}', "");
Expect(1, 67648, '\p{^Sc=cprt}', "");
Expect(1, 67648, '\P{Sc=cprt}', "");
Expect(0, 67648, '\P{^Sc=cprt}', "");
Expect(1, 67647, '\p{Sc=_	Cprt}', "");
Expect(0, 67647, '\p{^Sc=_	Cprt}', "");
Expect(0, 67647, '\P{Sc=_	Cprt}', "");
Expect(1, 67647, '\P{^Sc=_	Cprt}', "");
Expect(0, 67648, '\p{Sc=_	Cprt}', "");
Expect(1, 67648, '\p{^Sc=_	Cprt}', "");
Expect(1, 67648, '\P{Sc=_	Cprt}', "");
Expect(0, 67648, '\P{^Sc=_	Cprt}', "");
Error('\p{Is_Script=/a/ cypriot}');
Error('\P{Is_Script=/a/ cypriot}');
Expect(1, 67647, '\p{Is_Script=cypriot}', "");
Expect(0, 67647, '\p{^Is_Script=cypriot}', "");
Expect(0, 67647, '\P{Is_Script=cypriot}', "");
Expect(1, 67647, '\P{^Is_Script=cypriot}', "");
Expect(0, 67648, '\p{Is_Script=cypriot}', "");
Expect(1, 67648, '\p{^Is_Script=cypriot}', "");
Expect(1, 67648, '\P{Is_Script=cypriot}', "");
Expect(0, 67648, '\P{^Is_Script=cypriot}', "");
Expect(1, 67647, '\p{Is_Script= cypriot}', "");
Expect(0, 67647, '\p{^Is_Script= cypriot}', "");
Expect(0, 67647, '\P{Is_Script= cypriot}', "");
Expect(1, 67647, '\P{^Is_Script= cypriot}', "");
Expect(0, 67648, '\p{Is_Script= cypriot}', "");
Expect(1, 67648, '\p{^Is_Script= cypriot}', "");
Expect(1, 67648, '\P{Is_Script= cypriot}', "");
Expect(0, 67648, '\P{^Is_Script= cypriot}', "");
Error('\p{Is_Sc= cprt/a/}');
Error('\P{Is_Sc= cprt/a/}');
Expect(1, 67647, '\p{Is_Sc=cprt}', "");
Expect(0, 67647, '\p{^Is_Sc=cprt}', "");
Expect(0, 67647, '\P{Is_Sc=cprt}', "");
Expect(1, 67647, '\P{^Is_Sc=cprt}', "");
Expect(0, 67648, '\p{Is_Sc=cprt}', "");
Expect(1, 67648, '\p{^Is_Sc=cprt}', "");
Expect(1, 67648, '\P{Is_Sc=cprt}', "");
Expect(0, 67648, '\P{^Is_Sc=cprt}', "");
Expect(1, 67647, '\p{Is_Sc= _Cprt}', "");
Expect(0, 67647, '\p{^Is_Sc= _Cprt}', "");
Expect(0, 67647, '\P{Is_Sc= _Cprt}', "");
Expect(1, 67647, '\P{^Is_Sc= _Cprt}', "");
Expect(0, 67648, '\p{Is_Sc= _Cprt}', "");
Expect(1, 67648, '\p{^Is_Sc= _Cprt}', "");
Expect(1, 67648, '\P{Is_Sc= _Cprt}', "");
Expect(0, 67648, '\P{^Is_Sc= _Cprt}', "");
Error('\p{Script=	:=cyrillic}');
Error('\P{Script=	:=cyrillic}');
Expect(1, 65071, '\p{Script=cyrillic}', "");
Expect(0, 65071, '\p{^Script=cyrillic}', "");
Expect(0, 65071, '\P{Script=cyrillic}', "");
Expect(1, 65071, '\P{^Script=cyrillic}', "");
Expect(0, 65072, '\p{Script=cyrillic}', "");
Expect(1, 65072, '\p{^Script=cyrillic}', "");
Expect(1, 65072, '\P{Script=cyrillic}', "");
Expect(0, 65072, '\P{^Script=cyrillic}', "");
Expect(1, 65071, '\p{Script=-CYRILLIC}', "");
Expect(0, 65071, '\p{^Script=-CYRILLIC}', "");
Expect(0, 65071, '\P{Script=-CYRILLIC}', "");
Expect(1, 65071, '\P{^Script=-CYRILLIC}', "");
Expect(0, 65072, '\p{Script=-CYRILLIC}', "");
Expect(1, 65072, '\p{^Script=-CYRILLIC}', "");
Expect(1, 65072, '\P{Script=-CYRILLIC}', "");
Expect(0, 65072, '\P{^Script=-CYRILLIC}', "");
Error('\p{Sc= /a/Cyrl}');
Error('\P{Sc= /a/Cyrl}');
Expect(1, 65071, '\p{Sc=cyrl}', "");
Expect(0, 65071, '\p{^Sc=cyrl}', "");
Expect(0, 65071, '\P{Sc=cyrl}', "");
Expect(1, 65071, '\P{^Sc=cyrl}', "");
Expect(0, 65072, '\p{Sc=cyrl}', "");
Expect(1, 65072, '\p{^Sc=cyrl}', "");
Expect(1, 65072, '\P{Sc=cyrl}', "");
Expect(0, 65072, '\P{^Sc=cyrl}', "");
Expect(1, 65071, '\p{Sc=	_cyrl}', "");
Expect(0, 65071, '\p{^Sc=	_cyrl}', "");
Expect(0, 65071, '\P{Sc=	_cyrl}', "");
Expect(1, 65071, '\P{^Sc=	_cyrl}', "");
Expect(0, 65072, '\p{Sc=	_cyrl}', "");
Expect(1, 65072, '\p{^Sc=	_cyrl}', "");
Expect(1, 65072, '\P{Sc=	_cyrl}', "");
Expect(0, 65072, '\P{^Sc=	_cyrl}', "");
Error('\p{Is_Script= /a/Cyrillic}');
Error('\P{Is_Script= /a/Cyrillic}');
Expect(1, 65071, '\p{Is_Script:   cyrillic}', "");
Expect(0, 65071, '\p{^Is_Script:   cyrillic}', "");
Expect(0, 65071, '\P{Is_Script:   cyrillic}', "");
Expect(1, 65071, '\P{^Is_Script:   cyrillic}', "");
Expect(0, 65072, '\p{Is_Script:   cyrillic}', "");
Expect(1, 65072, '\p{^Is_Script:   cyrillic}', "");
Expect(1, 65072, '\P{Is_Script:   cyrillic}', "");
Expect(0, 65072, '\P{^Is_Script:   cyrillic}', "");
Expect(1, 65071, '\p{Is_Script=_Cyrillic}', "");
Expect(0, 65071, '\p{^Is_Script=_Cyrillic}', "");
Expect(0, 65071, '\P{Is_Script=_Cyrillic}', "");
Expect(1, 65071, '\P{^Is_Script=_Cyrillic}', "");
Expect(0, 65072, '\p{Is_Script=_Cyrillic}', "");
Expect(1, 65072, '\p{^Is_Script=_Cyrillic}', "");
Expect(1, 65072, '\P{Is_Script=_Cyrillic}', "");
Expect(0, 65072, '\P{^Is_Script=_Cyrillic}', "");
Error('\p{Is_Sc= Cyrl:=}');
Error('\P{Is_Sc= Cyrl:=}');
Expect(1, 65071, '\p{Is_Sc=cyrl}', "");
Expect(0, 65071, '\p{^Is_Sc=cyrl}', "");
Expect(0, 65071, '\P{Is_Sc=cyrl}', "");
Expect(1, 65071, '\P{^Is_Sc=cyrl}', "");
Expect(0, 65072, '\p{Is_Sc=cyrl}', "");
Expect(1, 65072, '\p{^Is_Sc=cyrl}', "");
Expect(1, 65072, '\P{Is_Sc=cyrl}', "");
Expect(0, 65072, '\P{^Is_Sc=cyrl}', "");
Expect(1, 65071, '\p{Is_Sc=-Cyrl}', "");
Expect(0, 65071, '\p{^Is_Sc=-Cyrl}', "");
Expect(0, 65071, '\P{Is_Sc=-Cyrl}', "");
Expect(1, 65071, '\P{^Is_Sc=-Cyrl}', "");
Expect(0, 65072, '\p{Is_Sc=-Cyrl}', "");
Expect(1, 65072, '\p{^Is_Sc=-Cyrl}', "");
Expect(1, 65072, '\P{Is_Sc=-Cyrl}', "");
Expect(0, 65072, '\P{^Is_Sc=-Cyrl}', "");
Error('\p{Script:   -DEVANAGARI:=}');
Error('\P{Script:   -DEVANAGARI:=}');
Expect(1, 43261, '\p{Script=devanagari}', "");
Expect(0, 43261, '\p{^Script=devanagari}', "");
Expect(0, 43261, '\P{Script=devanagari}', "");
Expect(1, 43261, '\P{^Script=devanagari}', "");
Expect(0, 43262, '\p{Script=devanagari}', "");
Expect(1, 43262, '\p{^Script=devanagari}', "");
Expect(1, 43262, '\P{Script=devanagari}', "");
Expect(0, 43262, '\P{^Script=devanagari}', "");
Expect(1, 43261, '\p{Script=-	Devanagari}', "");
Expect(0, 43261, '\p{^Script=-	Devanagari}', "");
Expect(0, 43261, '\P{Script=-	Devanagari}', "");
Expect(1, 43261, '\P{^Script=-	Devanagari}', "");
Expect(0, 43262, '\p{Script=-	Devanagari}', "");
Expect(1, 43262, '\p{^Script=-	Devanagari}', "");
Expect(1, 43262, '\P{Script=-	Devanagari}', "");
Expect(0, 43262, '\P{^Script=-	Devanagari}', "");
Error('\p{Sc=_-deva:=}');
Error('\P{Sc=_-deva:=}');
Expect(1, 43261, '\p{Sc=deva}', "");
Expect(0, 43261, '\p{^Sc=deva}', "");
Expect(0, 43261, '\P{Sc=deva}', "");
Expect(1, 43261, '\P{^Sc=deva}', "");
Expect(0, 43262, '\p{Sc=deva}', "");
Expect(1, 43262, '\p{^Sc=deva}', "");
Expect(1, 43262, '\P{Sc=deva}', "");
Expect(0, 43262, '\P{^Sc=deva}', "");
Expect(1, 43261, '\p{Sc=		deva}', "");
Expect(0, 43261, '\p{^Sc=		deva}', "");
Expect(0, 43261, '\P{Sc=		deva}', "");
Expect(1, 43261, '\P{^Sc=		deva}', "");
Expect(0, 43262, '\p{Sc=		deva}', "");
Expect(1, 43262, '\p{^Sc=		deva}', "");
Expect(1, 43262, '\P{Sc=		deva}', "");
Expect(0, 43262, '\P{^Sc=		deva}', "");
Error('\p{Is_Script:	 _devanagari:=}');
Error('\P{Is_Script:	 _devanagari:=}');
Expect(1, 43261, '\p{Is_Script=devanagari}', "");
Expect(0, 43261, '\p{^Is_Script=devanagari}', "");
Expect(0, 43261, '\P{Is_Script=devanagari}', "");
Expect(1, 43261, '\P{^Is_Script=devanagari}', "");
Expect(0, 43262, '\p{Is_Script=devanagari}', "");
Expect(1, 43262, '\p{^Is_Script=devanagari}', "");
Expect(1, 43262, '\P{Is_Script=devanagari}', "");
Expect(0, 43262, '\P{^Is_Script=devanagari}', "");
Expect(1, 43261, '\p{Is_Script=-	devanagari}', "");
Expect(0, 43261, '\p{^Is_Script=-	devanagari}', "");
Expect(0, 43261, '\P{Is_Script=-	devanagari}', "");
Expect(1, 43261, '\P{^Is_Script=-	devanagari}', "");
Expect(0, 43262, '\p{Is_Script=-	devanagari}', "");
Expect(1, 43262, '\p{^Is_Script=-	devanagari}', "");
Expect(1, 43262, '\P{Is_Script=-	devanagari}', "");
Expect(0, 43262, '\P{^Is_Script=-	devanagari}', "");
Error('\p{Is_Sc=	Deva:=}');
Error('\P{Is_Sc=	Deva:=}');
Expect(1, 43261, '\p{Is_Sc=deva}', "");
Expect(0, 43261, '\p{^Is_Sc=deva}', "");
Expect(0, 43261, '\P{Is_Sc=deva}', "");
Expect(1, 43261, '\P{^Is_Sc=deva}', "");
Expect(0, 43262, '\p{Is_Sc=deva}', "");
Expect(1, 43262, '\p{^Is_Sc=deva}', "");
Expect(1, 43262, '\P{Is_Sc=deva}', "");
Expect(0, 43262, '\P{^Is_Sc=deva}', "");
Expect(1, 43261, '\p{Is_Sc=	deva}', "");
Expect(0, 43261, '\p{^Is_Sc=	deva}', "");
Expect(0, 43261, '\P{Is_Sc=	deva}', "");
Expect(1, 43261, '\P{^Is_Sc=	deva}', "");
Expect(0, 43262, '\p{Is_Sc=	deva}', "");
Expect(1, 43262, '\p{^Is_Sc=	deva}', "");
Expect(1, 43262, '\P{Is_Sc=	deva}', "");
Expect(0, 43262, '\P{^Is_Sc=	deva}', "");
Error('\p{Script=	deseret/a/}');
Error('\P{Script=	deseret/a/}');
Expect(1, 66639, '\p{Script=deseret}', "");
Expect(0, 66639, '\p{^Script=deseret}', "");
Expect(0, 66639, '\P{Script=deseret}', "");
Expect(1, 66639, '\P{^Script=deseret}', "");
Expect(0, 66640, '\p{Script=deseret}', "");
Expect(1, 66640, '\p{^Script=deseret}', "");
Expect(1, 66640, '\P{Script=deseret}', "");
Expect(0, 66640, '\P{^Script=deseret}', "");
Expect(1, 66639, '\p{Script=  deseret}', "");
Expect(0, 66639, '\p{^Script=  deseret}', "");
Expect(0, 66639, '\P{Script=  deseret}', "");
Expect(1, 66639, '\P{^Script=  deseret}', "");
Expect(0, 66640, '\p{Script=  deseret}', "");
Expect(1, 66640, '\p{^Script=  deseret}', "");
Expect(1, 66640, '\P{Script=  deseret}', "");
Expect(0, 66640, '\P{^Script=  deseret}', "");
Error('\p{Sc=:= -Dsrt}');
Error('\P{Sc=:= -Dsrt}');
Expect(1, 66639, '\p{Sc=dsrt}', "");
Expect(0, 66639, '\p{^Sc=dsrt}', "");
Expect(0, 66639, '\P{Sc=dsrt}', "");
Expect(1, 66639, '\P{^Sc=dsrt}', "");
Expect(0, 66640, '\p{Sc=dsrt}', "");
Expect(1, 66640, '\p{^Sc=dsrt}', "");
Expect(1, 66640, '\P{Sc=dsrt}', "");
Expect(0, 66640, '\P{^Sc=dsrt}', "");
Expect(1, 66639, '\p{Sc= 	dsrt}', "");
Expect(0, 66639, '\p{^Sc= 	dsrt}', "");
Expect(0, 66639, '\P{Sc= 	dsrt}', "");
Expect(1, 66639, '\P{^Sc= 	dsrt}', "");
Expect(0, 66640, '\p{Sc= 	dsrt}', "");
Expect(1, 66640, '\p{^Sc= 	dsrt}', "");
Expect(1, 66640, '\P{Sc= 	dsrt}', "");
Expect(0, 66640, '\P{^Sc= 	dsrt}', "");
Error('\p{Is_Script=_Deseret/a/}');
Error('\P{Is_Script=_Deseret/a/}');
Expect(1, 66639, '\p{Is_Script=deseret}', "");
Expect(0, 66639, '\p{^Is_Script=deseret}', "");
Expect(0, 66639, '\P{Is_Script=deseret}', "");
Expect(1, 66639, '\P{^Is_Script=deseret}', "");
Expect(0, 66640, '\p{Is_Script=deseret}', "");
Expect(1, 66640, '\p{^Is_Script=deseret}', "");
Expect(1, 66640, '\P{Is_Script=deseret}', "");
Expect(0, 66640, '\P{^Is_Script=deseret}', "");
Expect(1, 66639, '\p{Is_Script= Deseret}', "");
Expect(0, 66639, '\p{^Is_Script= Deseret}', "");
Expect(0, 66639, '\P{Is_Script= Deseret}', "");
Expect(1, 66639, '\P{^Is_Script= Deseret}', "");
Expect(0, 66640, '\p{Is_Script= Deseret}', "");
Expect(1, 66640, '\p{^Is_Script= Deseret}', "");
Expect(1, 66640, '\P{Is_Script= Deseret}', "");
Expect(0, 66640, '\P{^Is_Script= Deseret}', "");
Error('\p{Is_Sc=-Dsrt/a/}');
Error('\P{Is_Sc=-Dsrt/a/}');
Expect(1, 66639, '\p{Is_Sc: dsrt}', "");
Expect(0, 66639, '\p{^Is_Sc: dsrt}', "");
Expect(0, 66639, '\P{Is_Sc: dsrt}', "");
Expect(1, 66639, '\P{^Is_Sc: dsrt}', "");
Expect(0, 66640, '\p{Is_Sc: dsrt}', "");
Expect(1, 66640, '\p{^Is_Sc: dsrt}', "");
Expect(1, 66640, '\P{Is_Sc: dsrt}', "");
Expect(0, 66640, '\P{^Is_Sc: dsrt}', "");
Expect(1, 66639, '\p{Is_Sc=-_Dsrt}', "");
Expect(0, 66639, '\p{^Is_Sc=-_Dsrt}', "");
Expect(0, 66639, '\P{Is_Sc=-_Dsrt}', "");
Expect(1, 66639, '\P{^Is_Sc=-_Dsrt}', "");
Expect(0, 66640, '\p{Is_Sc=-_Dsrt}', "");
Expect(1, 66640, '\p{^Is_Sc=-_Dsrt}', "");
Expect(1, 66640, '\P{Is_Sc=-_Dsrt}', "");
Expect(0, 66640, '\P{^Is_Sc=-_Dsrt}', "");
Error('\p{Script=_:=DUPLOYAN}');
Error('\P{Script=_:=DUPLOYAN}');
Expect(1, 113823, '\p{Script=duployan}', "");
Expect(0, 113823, '\p{^Script=duployan}', "");
Expect(0, 113823, '\P{Script=duployan}', "");
Expect(1, 113823, '\P{^Script=duployan}', "");
Expect(0, 113824, '\p{Script=duployan}', "");
Expect(1, 113824, '\p{^Script=duployan}', "");
Expect(1, 113824, '\P{Script=duployan}', "");
Expect(0, 113824, '\P{^Script=duployan}', "");
Expect(1, 113823, '\p{Script=-DUPLOYAN}', "");
Expect(0, 113823, '\p{^Script=-DUPLOYAN}', "");
Expect(0, 113823, '\P{Script=-DUPLOYAN}', "");
Expect(1, 113823, '\P{^Script=-DUPLOYAN}', "");
Expect(0, 113824, '\p{Script=-DUPLOYAN}', "");
Expect(1, 113824, '\p{^Script=-DUPLOYAN}', "");
Expect(1, 113824, '\P{Script=-DUPLOYAN}', "");
Expect(0, 113824, '\P{^Script=-DUPLOYAN}', "");
Error('\p{Sc=  dupl:=}');
Error('\P{Sc=  dupl:=}');
Expect(1, 113823, '\p{Sc=dupl}', "");
Expect(0, 113823, '\p{^Sc=dupl}', "");
Expect(0, 113823, '\P{Sc=dupl}', "");
Expect(1, 113823, '\P{^Sc=dupl}', "");
Expect(0, 113824, '\p{Sc=dupl}', "");
Expect(1, 113824, '\p{^Sc=dupl}', "");
Expect(1, 113824, '\P{Sc=dupl}', "");
Expect(0, 113824, '\P{^Sc=dupl}', "");
Expect(1, 113823, '\p{Sc= Dupl}', "");
Expect(0, 113823, '\p{^Sc= Dupl}', "");
Expect(0, 113823, '\P{Sc= Dupl}', "");
Expect(1, 113823, '\P{^Sc= Dupl}', "");
Expect(0, 113824, '\p{Sc= Dupl}', "");
Expect(1, 113824, '\p{^Sc= Dupl}', "");
Expect(1, 113824, '\P{Sc= Dupl}', "");
Expect(0, 113824, '\P{^Sc= Dupl}', "");
Error('\p{Is_Script=/a/- DUPLOYAN}');
Error('\P{Is_Script=/a/- DUPLOYAN}');
Expect(1, 113823, '\p{Is_Script=duployan}', "");
Expect(0, 113823, '\p{^Is_Script=duployan}', "");
Expect(0, 113823, '\P{Is_Script=duployan}', "");
Expect(1, 113823, '\P{^Is_Script=duployan}', "");
Expect(0, 113824, '\p{Is_Script=duployan}', "");
Expect(1, 113824, '\p{^Is_Script=duployan}', "");
Expect(1, 113824, '\P{Is_Script=duployan}', "");
Expect(0, 113824, '\P{^Is_Script=duployan}', "");
Expect(1, 113823, '\p{Is_Script: -	duployan}', "");
Expect(0, 113823, '\p{^Is_Script: -	duployan}', "");
Expect(0, 113823, '\P{Is_Script: -	duployan}', "");
Expect(1, 113823, '\P{^Is_Script: -	duployan}', "");
Expect(0, 113824, '\p{Is_Script: -	duployan}', "");
Expect(1, 113824, '\p{^Is_Script: -	duployan}', "");
Expect(1, 113824, '\P{Is_Script: -	duployan}', "");
Expect(0, 113824, '\P{^Is_Script: -	duployan}', "");
Error('\p{Is_Sc=/a/ dupl}');
Error('\P{Is_Sc=/a/ dupl}');
Expect(1, 113823, '\p{Is_Sc=dupl}', "");
Expect(0, 113823, '\p{^Is_Sc=dupl}', "");
Expect(0, 113823, '\P{Is_Sc=dupl}', "");
Expect(1, 113823, '\P{^Is_Sc=dupl}', "");
Expect(0, 113824, '\p{Is_Sc=dupl}', "");
Expect(1, 113824, '\p{^Is_Sc=dupl}', "");
Expect(1, 113824, '\P{Is_Sc=dupl}', "");
Expect(0, 113824, '\P{^Is_Sc=dupl}', "");
Expect(1, 113823, '\p{Is_Sc=  Dupl}', "");
Expect(0, 113823, '\p{^Is_Sc=  Dupl}', "");
Expect(0, 113823, '\P{Is_Sc=  Dupl}', "");
Expect(1, 113823, '\P{^Is_Sc=  Dupl}', "");
Expect(0, 113824, '\p{Is_Sc=  Dupl}', "");
Expect(1, 113824, '\p{^Is_Sc=  Dupl}', "");
Expect(1, 113824, '\P{Is_Sc=  Dupl}', "");
Expect(0, 113824, '\P{^Is_Sc=  Dupl}', "");
Error('\p{Script=-/a/Egyptian_Hieroglyphs}');
Error('\P{Script=-/a/Egyptian_Hieroglyphs}');
Expect(1, 78894, '\p{Script=egyptianhieroglyphs}', "");
Expect(0, 78894, '\p{^Script=egyptianhieroglyphs}', "");
Expect(0, 78894, '\P{Script=egyptianhieroglyphs}', "");
Expect(1, 78894, '\P{^Script=egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{Script=egyptianhieroglyphs}', "");
Expect(1, 78895, '\p{^Script=egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{Script=egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{^Script=egyptianhieroglyphs}', "");
Expect(1, 78894, '\p{Script=EGYPTIAN_Hieroglyphs}', "");
Expect(0, 78894, '\p{^Script=EGYPTIAN_Hieroglyphs}', "");
Expect(0, 78894, '\P{Script=EGYPTIAN_Hieroglyphs}', "");
Expect(1, 78894, '\P{^Script=EGYPTIAN_Hieroglyphs}', "");
Expect(0, 78895, '\p{Script=EGYPTIAN_Hieroglyphs}', "");
Expect(1, 78895, '\p{^Script=EGYPTIAN_Hieroglyphs}', "");
Expect(1, 78895, '\P{Script=EGYPTIAN_Hieroglyphs}', "");
Expect(0, 78895, '\P{^Script=EGYPTIAN_Hieroglyphs}', "");
Error('\p{Sc=_-egyp:=}');
Error('\P{Sc=_-egyp:=}');
Expect(1, 78894, '\p{Sc=egyp}', "");
Expect(0, 78894, '\p{^Sc=egyp}', "");
Expect(0, 78894, '\P{Sc=egyp}', "");
Expect(1, 78894, '\P{^Sc=egyp}', "");
Expect(0, 78895, '\p{Sc=egyp}', "");
Expect(1, 78895, '\p{^Sc=egyp}', "");
Expect(1, 78895, '\P{Sc=egyp}', "");
Expect(0, 78895, '\P{^Sc=egyp}', "");
Expect(1, 78894, '\p{Sc:-	Egyp}', "");
Expect(0, 78894, '\p{^Sc:-	Egyp}', "");
Expect(0, 78894, '\P{Sc:-	Egyp}', "");
Expect(1, 78894, '\P{^Sc:-	Egyp}', "");
Expect(0, 78895, '\p{Sc:-	Egyp}', "");
Expect(1, 78895, '\p{^Sc:-	Egyp}', "");
Expect(1, 78895, '\P{Sc:-	Egyp}', "");
Expect(0, 78895, '\P{^Sc:-	Egyp}', "");
Error('\p{Is_Script=/a/	egyptian_Hieroglyphs}');
Error('\P{Is_Script=/a/	egyptian_Hieroglyphs}');
Expect(1, 78894, '\p{Is_Script=egyptianhieroglyphs}', "");
Expect(0, 78894, '\p{^Is_Script=egyptianhieroglyphs}', "");
Expect(0, 78894, '\P{Is_Script=egyptianhieroglyphs}', "");
Expect(1, 78894, '\P{^Is_Script=egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{Is_Script=egyptianhieroglyphs}', "");
Expect(1, 78895, '\p{^Is_Script=egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{Is_Script=egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{^Is_Script=egyptianhieroglyphs}', "");
Expect(1, 78894, '\p{Is_Script=_ Egyptian_Hieroglyphs}', "");
Expect(0, 78894, '\p{^Is_Script=_ Egyptian_Hieroglyphs}', "");
Expect(0, 78894, '\P{Is_Script=_ Egyptian_Hieroglyphs}', "");
Expect(1, 78894, '\P{^Is_Script=_ Egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\p{Is_Script=_ Egyptian_Hieroglyphs}', "");
Expect(1, 78895, '\p{^Is_Script=_ Egyptian_Hieroglyphs}', "");
Expect(1, 78895, '\P{Is_Script=_ Egyptian_Hieroglyphs}', "");
Expect(0, 78895, '\P{^Is_Script=_ Egyptian_Hieroglyphs}', "");
Error('\p{Is_Sc=-	Egyp:=}');
Error('\P{Is_Sc=-	Egyp:=}');
Expect(1, 78894, '\p{Is_Sc=egyp}', "");
Expect(0, 78894, '\p{^Is_Sc=egyp}', "");
Expect(0, 78894, '\P{Is_Sc=egyp}', "");
Expect(1, 78894, '\P{^Is_Sc=egyp}', "");
Expect(0, 78895, '\p{Is_Sc=egyp}', "");
Expect(1, 78895, '\p{^Is_Sc=egyp}', "");
Expect(1, 78895, '\P{Is_Sc=egyp}', "");
Expect(0, 78895, '\P{^Is_Sc=egyp}', "");
Expect(1, 78894, '\p{Is_Sc= _EGYP}', "");
Expect(0, 78894, '\p{^Is_Sc= _EGYP}', "");
Expect(0, 78894, '\P{Is_Sc= _EGYP}', "");
Expect(1, 78894, '\P{^Is_Sc= _EGYP}', "");
Expect(0, 78895, '\p{Is_Sc= _EGYP}', "");
Expect(1, 78895, '\p{^Is_Sc= _EGYP}', "");
Expect(1, 78895, '\P{Is_Sc= _EGYP}', "");
Expect(0, 78895, '\P{^Is_Sc= _EGYP}', "");
Error('\p{Script= -ELBASAN:=}');
Error('\P{Script= -ELBASAN:=}');
Expect(1, 66855, '\p{Script=elbasan}', "");
Expect(0, 66855, '\p{^Script=elbasan}', "");
Expect(0, 66855, '\P{Script=elbasan}', "");
Expect(1, 66855, '\P{^Script=elbasan}', "");
Expect(0, 66856, '\p{Script=elbasan}', "");
Expect(1, 66856, '\p{^Script=elbasan}', "");
Expect(1, 66856, '\P{Script=elbasan}', "");
Expect(0, 66856, '\P{^Script=elbasan}', "");
Expect(1, 66855, '\p{Script:			Elbasan}', "");
Expect(0, 66855, '\p{^Script:			Elbasan}', "");
Expect(0, 66855, '\P{Script:			Elbasan}', "");
Expect(1, 66855, '\P{^Script:			Elbasan}', "");
Expect(0, 66856, '\p{Script:			Elbasan}', "");
Expect(1, 66856, '\p{^Script:			Elbasan}', "");
Expect(1, 66856, '\P{Script:			Elbasan}', "");
Expect(0, 66856, '\P{^Script:			Elbasan}', "");
Error('\p{Sc= /a/elba}');
Error('\P{Sc= /a/elba}');
Expect(1, 66855, '\p{Sc=elba}', "");
Expect(0, 66855, '\p{^Sc=elba}', "");
Expect(0, 66855, '\P{Sc=elba}', "");
Expect(1, 66855, '\P{^Sc=elba}', "");
Expect(0, 66856, '\p{Sc=elba}', "");
Expect(1, 66856, '\p{^Sc=elba}', "");
Expect(1, 66856, '\P{Sc=elba}', "");
Expect(0, 66856, '\P{^Sc=elba}', "");
Expect(1, 66855, '\p{Sc=-Elba}', "");
Expect(0, 66855, '\p{^Sc=-Elba}', "");
Expect(0, 66855, '\P{Sc=-Elba}', "");
Expect(1, 66855, '\P{^Sc=-Elba}', "");
Expect(0, 66856, '\p{Sc=-Elba}', "");
Expect(1, 66856, '\p{^Sc=-Elba}', "");
Expect(1, 66856, '\P{Sc=-Elba}', "");
Expect(0, 66856, '\P{^Sc=-Elba}', "");
Error('\p{Is_Script= :=elbasan}');
Error('\P{Is_Script= :=elbasan}');
Expect(1, 66855, '\p{Is_Script=elbasan}', "");
Expect(0, 66855, '\p{^Is_Script=elbasan}', "");
Expect(0, 66855, '\P{Is_Script=elbasan}', "");
Expect(1, 66855, '\P{^Is_Script=elbasan}', "");
Expect(0, 66856, '\p{Is_Script=elbasan}', "");
Expect(1, 66856, '\p{^Is_Script=elbasan}', "");
Expect(1, 66856, '\P{Is_Script=elbasan}', "");
Expect(0, 66856, '\P{^Is_Script=elbasan}', "");
Expect(1, 66855, '\p{Is_Script:    elbasan}', "");
Expect(0, 66855, '\p{^Is_Script:    elbasan}', "");
Expect(0, 66855, '\P{Is_Script:    elbasan}', "");
Expect(1, 66855, '\P{^Is_Script:    elbasan}', "");
Expect(0, 66856, '\p{Is_Script:    elbasan}', "");
Expect(1, 66856, '\p{^Is_Script:    elbasan}', "");
Expect(1, 66856, '\P{Is_Script:    elbasan}', "");
Expect(0, 66856, '\P{^Is_Script:    elbasan}', "");
Error('\p{Is_Sc=-	ELBA:=}');
Error('\P{Is_Sc=-	ELBA:=}');
Expect(1, 66855, '\p{Is_Sc:	elba}', "");
Expect(0, 66855, '\p{^Is_Sc:	elba}', "");
Expect(0, 66855, '\P{Is_Sc:	elba}', "");
Expect(1, 66855, '\P{^Is_Sc:	elba}', "");
Expect(0, 66856, '\p{Is_Sc:	elba}', "");
Expect(1, 66856, '\p{^Is_Sc:	elba}', "");
Expect(1, 66856, '\P{Is_Sc:	elba}', "");
Expect(0, 66856, '\P{^Is_Sc:	elba}', "");
Expect(1, 66855, '\p{Is_Sc=_ ELBA}', "");
Expect(0, 66855, '\p{^Is_Sc=_ ELBA}', "");
Expect(0, 66855, '\P{Is_Sc=_ ELBA}', "");
Expect(1, 66855, '\P{^Is_Sc=_ ELBA}', "");
Expect(0, 66856, '\p{Is_Sc=_ ELBA}', "");
Expect(1, 66856, '\p{^Is_Sc=_ ELBA}', "");
Expect(1, 66856, '\P{Is_Sc=_ ELBA}', "");
Expect(0, 66856, '\P{^Is_Sc=_ ELBA}', "");
Error('\p{Script=	/a/Ethiopic}');
Error('\P{Script=	/a/Ethiopic}');
Expect(1, 43822, '\p{Script=ethiopic}', "");
Expect(0, 43822, '\p{^Script=ethiopic}', "");
Expect(0, 43822, '\P{Script=ethiopic}', "");
Expect(1, 43822, '\P{^Script=ethiopic}', "");
Expect(0, 43823, '\p{Script=ethiopic}', "");
Expect(1, 43823, '\p{^Script=ethiopic}', "");
Expect(1, 43823, '\P{Script=ethiopic}', "");
Expect(0, 43823, '\P{^Script=ethiopic}', "");
Expect(1, 43822, '\p{Script=-_Ethiopic}', "");
Expect(0, 43822, '\p{^Script=-_Ethiopic}', "");
Expect(0, 43822, '\P{Script=-_Ethiopic}', "");
Expect(1, 43822, '\P{^Script=-_Ethiopic}', "");
Expect(0, 43823, '\p{Script=-_Ethiopic}', "");
Expect(1, 43823, '\p{^Script=-_Ethiopic}', "");
Expect(1, 43823, '\P{Script=-_Ethiopic}', "");
Expect(0, 43823, '\P{^Script=-_Ethiopic}', "");
Error('\p{Sc=  Ethi:=}');
Error('\P{Sc=  Ethi:=}');
Expect(1, 43822, '\p{Sc=ethi}', "");
Expect(0, 43822, '\p{^Sc=ethi}', "");
Expect(0, 43822, '\P{Sc=ethi}', "");
Expect(1, 43822, '\P{^Sc=ethi}', "");
Expect(0, 43823, '\p{Sc=ethi}', "");
Expect(1, 43823, '\p{^Sc=ethi}', "");
Expect(1, 43823, '\P{Sc=ethi}', "");
Expect(0, 43823, '\P{^Sc=ethi}', "");
Expect(1, 43822, '\p{Sc: _Ethi}', "");
Expect(0, 43822, '\p{^Sc: _Ethi}', "");
Expect(0, 43822, '\P{Sc: _Ethi}', "");
Expect(1, 43822, '\P{^Sc: _Ethi}', "");
Expect(0, 43823, '\p{Sc: _Ethi}', "");
Expect(1, 43823, '\p{^Sc: _Ethi}', "");
Expect(1, 43823, '\P{Sc: _Ethi}', "");
Expect(0, 43823, '\P{^Sc: _Ethi}', "");
Error('\p{Is_Script=:= ethiopic}');
Error('\P{Is_Script=:= ethiopic}');
Expect(1, 43822, '\p{Is_Script=ethiopic}', "");
Expect(0, 43822, '\p{^Is_Script=ethiopic}', "");
Expect(0, 43822, '\P{Is_Script=ethiopic}', "");
Expect(1, 43822, '\P{^Is_Script=ethiopic}', "");
Expect(0, 43823, '\p{Is_Script=ethiopic}', "");
Expect(1, 43823, '\p{^Is_Script=ethiopic}', "");
Expect(1, 43823, '\P{Is_Script=ethiopic}', "");
Expect(0, 43823, '\P{^Is_Script=ethiopic}', "");
Expect(1, 43822, '\p{Is_Script: ethiopic}', "");
Expect(0, 43822, '\p{^Is_Script: ethiopic}', "");
Expect(0, 43822, '\P{Is_Script: ethiopic}', "");
Expect(1, 43822, '\P{^Is_Script: ethiopic}', "");
Expect(0, 43823, '\p{Is_Script: ethiopic}', "");
Expect(1, 43823, '\p{^Is_Script: ethiopic}', "");
Expect(1, 43823, '\P{Is_Script: ethiopic}', "");
Expect(0, 43823, '\P{^Is_Script: ethiopic}', "");
Error('\p{Is_Sc=-:=Ethi}');
Error('\P{Is_Sc=-:=Ethi}');
Expect(1, 43822, '\p{Is_Sc=ethi}', "");
Expect(0, 43822, '\p{^Is_Sc=ethi}', "");
Expect(0, 43822, '\P{Is_Sc=ethi}', "");
Expect(1, 43822, '\P{^Is_Sc=ethi}', "");
Expect(0, 43823, '\p{Is_Sc=ethi}', "");
Expect(1, 43823, '\p{^Is_Sc=ethi}', "");
Expect(1, 43823, '\P{Is_Sc=ethi}', "");
Expect(0, 43823, '\P{^Is_Sc=ethi}', "");
Expect(1, 43822, '\p{Is_Sc=__ethi}', "");
Expect(0, 43822, '\p{^Is_Sc=__ethi}', "");
Expect(0, 43822, '\P{Is_Sc=__ethi}', "");
Expect(1, 43822, '\P{^Is_Sc=__ethi}', "");
Expect(0, 43823, '\p{Is_Sc=__ethi}', "");
Expect(1, 43823, '\p{^Is_Sc=__ethi}', "");
Expect(1, 43823, '\P{Is_Sc=__ethi}', "");
Expect(0, 43823, '\P{^Is_Sc=__ethi}', "");
Error('\p{Script=/a/-	Georgian}');
Error('\P{Script=/a/-	Georgian}');
Expect(1, 11565, '\p{Script:   georgian}', "");
Expect(0, 11565, '\p{^Script:   georgian}', "");
Expect(0, 11565, '\P{Script:   georgian}', "");
Expect(1, 11565, '\P{^Script:   georgian}', "");
Expect(0, 11566, '\p{Script:   georgian}', "");
Expect(1, 11566, '\p{^Script:   georgian}', "");
Expect(1, 11566, '\P{Script:   georgian}', "");
Expect(0, 11566, '\P{^Script:   georgian}', "");
Expect(1, 11565, '\p{Script= georgian}', "");
Expect(0, 11565, '\p{^Script= georgian}', "");
Expect(0, 11565, '\P{Script= georgian}', "");
Expect(1, 11565, '\P{^Script= georgian}', "");
Expect(0, 11566, '\p{Script= georgian}', "");
Expect(1, 11566, '\p{^Script= georgian}', "");
Expect(1, 11566, '\P{Script= georgian}', "");
Expect(0, 11566, '\P{^Script= georgian}', "");
Error('\p{Sc=/a/	-GEOR}');
Error('\P{Sc=/a/	-GEOR}');
Expect(1, 11565, '\p{Sc:	geor}', "");
Expect(0, 11565, '\p{^Sc:	geor}', "");
Expect(0, 11565, '\P{Sc:	geor}', "");
Expect(1, 11565, '\P{^Sc:	geor}', "");
Expect(0, 11566, '\p{Sc:	geor}', "");
Expect(1, 11566, '\p{^Sc:	geor}', "");
Expect(1, 11566, '\P{Sc:	geor}', "");
Expect(0, 11566, '\P{^Sc:	geor}', "");
Expect(1, 11565, '\p{Sc=		Geor}', "");
Expect(0, 11565, '\p{^Sc=		Geor}', "");
Expect(0, 11565, '\P{Sc=		Geor}', "");
Expect(1, 11565, '\P{^Sc=		Geor}', "");
Expect(0, 11566, '\p{Sc=		Geor}', "");
Expect(1, 11566, '\p{^Sc=		Geor}', "");
Expect(1, 11566, '\P{Sc=		Geor}', "");
Expect(0, 11566, '\P{^Sc=		Geor}', "");
Error('\p{Is_Script=-	Georgian:=}');
Error('\P{Is_Script=-	Georgian:=}');
Expect(1, 11565, '\p{Is_Script=georgian}', "");
Expect(0, 11565, '\p{^Is_Script=georgian}', "");
Expect(0, 11565, '\P{Is_Script=georgian}', "");
Expect(1, 11565, '\P{^Is_Script=georgian}', "");
Expect(0, 11566, '\p{Is_Script=georgian}', "");
Expect(1, 11566, '\p{^Is_Script=georgian}', "");
Expect(1, 11566, '\P{Is_Script=georgian}', "");
Expect(0, 11566, '\P{^Is_Script=georgian}', "");
Expect(1, 11565, '\p{Is_Script=	-GEORGIAN}', "");
Expect(0, 11565, '\p{^Is_Script=	-GEORGIAN}', "");
Expect(0, 11565, '\P{Is_Script=	-GEORGIAN}', "");
Expect(1, 11565, '\P{^Is_Script=	-GEORGIAN}', "");
Expect(0, 11566, '\p{Is_Script=	-GEORGIAN}', "");
Expect(1, 11566, '\p{^Is_Script=	-GEORGIAN}', "");
Expect(1, 11566, '\P{Is_Script=	-GEORGIAN}', "");
Expect(0, 11566, '\P{^Is_Script=	-GEORGIAN}', "");
Error('\p{Is_Sc=	/a/Geor}');
Error('\P{Is_Sc=	/a/Geor}');
Expect(1, 11565, '\p{Is_Sc=geor}', "");
Expect(0, 11565, '\p{^Is_Sc=geor}', "");
Expect(0, 11565, '\P{Is_Sc=geor}', "");
Expect(1, 11565, '\P{^Is_Sc=geor}', "");
Expect(0, 11566, '\p{Is_Sc=geor}', "");
Expect(1, 11566, '\p{^Is_Sc=geor}', "");
Expect(1, 11566, '\P{Is_Sc=geor}', "");
Expect(0, 11566, '\P{^Is_Sc=geor}', "");
Expect(1, 11565, '\p{Is_Sc=_Geor}', "");
Expect(0, 11565, '\p{^Is_Sc=_Geor}', "");
Expect(0, 11565, '\P{Is_Sc=_Geor}', "");
Expect(1, 11565, '\P{^Is_Sc=_Geor}', "");
Expect(0, 11566, '\p{Is_Sc=_Geor}', "");
Expect(1, 11566, '\p{^Is_Sc=_Geor}', "");
Expect(1, 11566, '\P{Is_Sc=_Geor}', "");
Expect(0, 11566, '\P{^Is_Sc=_Geor}', "");
Error('\p{Script=-:=Glagolitic}');
Error('\P{Script=-:=Glagolitic}');
Expect(1, 11358, '\p{Script=glagolitic}', "");
Expect(0, 11358, '\p{^Script=glagolitic}', "");
Expect(0, 11358, '\P{Script=glagolitic}', "");
Expect(1, 11358, '\P{^Script=glagolitic}', "");
Expect(0, 11359, '\p{Script=glagolitic}', "");
Expect(1, 11359, '\p{^Script=glagolitic}', "");
Expect(1, 11359, '\P{Script=glagolitic}', "");
Expect(0, 11359, '\P{^Script=glagolitic}', "");
Expect(1, 11358, '\p{Script=- Glagolitic}', "");
Expect(0, 11358, '\p{^Script=- Glagolitic}', "");
Expect(0, 11358, '\P{Script=- Glagolitic}', "");
Expect(1, 11358, '\P{^Script=- Glagolitic}', "");
Expect(0, 11359, '\p{Script=- Glagolitic}', "");
Expect(1, 11359, '\p{^Script=- Glagolitic}', "");
Expect(1, 11359, '\P{Script=- Glagolitic}', "");
Expect(0, 11359, '\P{^Script=- Glagolitic}', "");
Error('\p{Sc= /a/Glag}');
Error('\P{Sc= /a/Glag}');
Expect(1, 11358, '\p{Sc=glag}', "");
Expect(0, 11358, '\p{^Sc=glag}', "");
Expect(0, 11358, '\P{Sc=glag}', "");
Expect(1, 11358, '\P{^Sc=glag}', "");
Expect(0, 11359, '\p{Sc=glag}', "");
Expect(1, 11359, '\p{^Sc=glag}', "");
Expect(1, 11359, '\P{Sc=glag}', "");
Expect(0, 11359, '\P{^Sc=glag}', "");
Expect(1, 11358, '\p{Sc=_-Glag}', "");
Expect(0, 11358, '\p{^Sc=_-Glag}', "");
Expect(0, 11358, '\P{Sc=_-Glag}', "");
Expect(1, 11358, '\P{^Sc=_-Glag}', "");
Expect(0, 11359, '\p{Sc=_-Glag}', "");
Expect(1, 11359, '\p{^Sc=_-Glag}', "");
Expect(1, 11359, '\P{Sc=_-Glag}', "");
Expect(0, 11359, '\P{^Sc=_-Glag}', "");
Error('\p{Is_Script=	 Glagolitic/a/}');
Error('\P{Is_Script=	 Glagolitic/a/}');
Expect(1, 11358, '\p{Is_Script=glagolitic}', "");
Expect(0, 11358, '\p{^Is_Script=glagolitic}', "");
Expect(0, 11358, '\P{Is_Script=glagolitic}', "");
Expect(1, 11358, '\P{^Is_Script=glagolitic}', "");
Expect(0, 11359, '\p{Is_Script=glagolitic}', "");
Expect(1, 11359, '\p{^Is_Script=glagolitic}', "");
Expect(1, 11359, '\P{Is_Script=glagolitic}', "");
Expect(0, 11359, '\P{^Is_Script=glagolitic}', "");
Expect(1, 11358, '\p{Is_Script= Glagolitic}', "");
Expect(0, 11358, '\p{^Is_Script= Glagolitic}', "");
Expect(0, 11358, '\P{Is_Script= Glagolitic}', "");
Expect(1, 11358, '\P{^Is_Script= Glagolitic}', "");
Expect(0, 11359, '\p{Is_Script= Glagolitic}', "");
Expect(1, 11359, '\p{^Is_Script= Glagolitic}', "");
Expect(1, 11359, '\P{Is_Script= Glagolitic}', "");
Expect(0, 11359, '\P{^Is_Script= Glagolitic}', "");
Error('\p{Is_Sc=:=  Glag}');
Error('\P{Is_Sc=:=  Glag}');
Expect(1, 11358, '\p{Is_Sc=glag}', "");
Expect(0, 11358, '\p{^Is_Sc=glag}', "");
Expect(0, 11358, '\P{Is_Sc=glag}', "");
Expect(1, 11358, '\P{^Is_Sc=glag}', "");
Expect(0, 11359, '\p{Is_Sc=glag}', "");
Expect(1, 11359, '\p{^Is_Sc=glag}', "");
Expect(1, 11359, '\P{Is_Sc=glag}', "");
Expect(0, 11359, '\P{^Is_Sc=glag}', "");
Expect(1, 11358, '\p{Is_Sc:	-	glag}', "");
Expect(0, 11358, '\p{^Is_Sc:	-	glag}', "");
Expect(0, 11358, '\P{Is_Sc:	-	glag}', "");
Expect(1, 11358, '\P{^Is_Sc:	-	glag}', "");
Expect(0, 11359, '\p{Is_Sc:	-	glag}', "");
Expect(1, 11359, '\p{^Is_Sc:	-	glag}', "");
Expect(1, 11359, '\P{Is_Sc:	-	glag}', "");
Expect(0, 11359, '\P{^Is_Sc:	-	glag}', "");
Error('\p{Script=:=Gothic}');
Error('\P{Script=:=Gothic}');
Expect(1, 66378, '\p{Script=gothic}', "");
Expect(0, 66378, '\p{^Script=gothic}', "");
Expect(0, 66378, '\P{Script=gothic}', "");
Expect(1, 66378, '\P{^Script=gothic}', "");
Expect(0, 66379, '\p{Script=gothic}', "");
Expect(1, 66379, '\p{^Script=gothic}', "");
Expect(1, 66379, '\P{Script=gothic}', "");
Expect(0, 66379, '\P{^Script=gothic}', "");
Expect(1, 66378, '\p{Script=-	Gothic}', "");
Expect(0, 66378, '\p{^Script=-	Gothic}', "");
Expect(0, 66378, '\P{Script=-	Gothic}', "");
Expect(1, 66378, '\P{^Script=-	Gothic}', "");
Expect(0, 66379, '\p{Script=-	Gothic}', "");
Expect(1, 66379, '\p{^Script=-	Gothic}', "");
Expect(1, 66379, '\P{Script=-	Gothic}', "");
Expect(0, 66379, '\P{^Script=-	Gothic}', "");
Error('\p{Sc=	Goth:=}');
Error('\P{Sc=	Goth:=}');
Expect(1, 66378, '\p{Sc=goth}', "");
Expect(0, 66378, '\p{^Sc=goth}', "");
Expect(0, 66378, '\P{Sc=goth}', "");
Expect(1, 66378, '\P{^Sc=goth}', "");
Expect(0, 66379, '\p{Sc=goth}', "");
Expect(1, 66379, '\p{^Sc=goth}', "");
Expect(1, 66379, '\P{Sc=goth}', "");
Expect(0, 66379, '\P{^Sc=goth}', "");
Expect(1, 66378, '\p{Sc=	-Goth}', "");
Expect(0, 66378, '\p{^Sc=	-Goth}', "");
Expect(0, 66378, '\P{Sc=	-Goth}', "");
Expect(1, 66378, '\P{^Sc=	-Goth}', "");
Expect(0, 66379, '\p{Sc=	-Goth}', "");
Expect(1, 66379, '\p{^Sc=	-Goth}', "");
Expect(1, 66379, '\P{Sc=	-Goth}', "");
Expect(0, 66379, '\P{^Sc=	-Goth}', "");
Error('\p{Is_Script=:=Gothic}');
Error('\P{Is_Script=:=Gothic}');
Expect(1, 66378, '\p{Is_Script=gothic}', "");
Expect(0, 66378, '\p{^Is_Script=gothic}', "");
Expect(0, 66378, '\P{Is_Script=gothic}', "");
Expect(1, 66378, '\P{^Is_Script=gothic}', "");
Expect(0, 66379, '\p{Is_Script=gothic}', "");
Expect(1, 66379, '\p{^Is_Script=gothic}', "");
Expect(1, 66379, '\P{Is_Script=gothic}', "");
Expect(0, 66379, '\P{^Is_Script=gothic}', "");
Expect(1, 66378, '\p{Is_Script=-	Gothic}', "");
Expect(0, 66378, '\p{^Is_Script=-	Gothic}', "");
Expect(0, 66378, '\P{Is_Script=-	Gothic}', "");
Expect(1, 66378, '\P{^Is_Script=-	Gothic}', "");
Expect(0, 66379, '\p{Is_Script=-	Gothic}', "");
Expect(1, 66379, '\p{^Is_Script=-	Gothic}', "");
Expect(1, 66379, '\P{Is_Script=-	Gothic}', "");
Expect(0, 66379, '\P{^Is_Script=-	Gothic}', "");
Error('\p{Is_Sc=-/a/Goth}');
Error('\P{Is_Sc=-/a/Goth}');
Expect(1, 66378, '\p{Is_Sc=goth}', "");
Expect(0, 66378, '\p{^Is_Sc=goth}', "");
Expect(0, 66378, '\P{Is_Sc=goth}', "");
Expect(1, 66378, '\P{^Is_Sc=goth}', "");
Expect(0, 66379, '\p{Is_Sc=goth}', "");
Expect(1, 66379, '\p{^Is_Sc=goth}', "");
Expect(1, 66379, '\P{Is_Sc=goth}', "");
Expect(0, 66379, '\P{^Is_Sc=goth}', "");
Expect(1, 66378, '\p{Is_Sc=-_Goth}', "");
Expect(0, 66378, '\p{^Is_Sc=-_Goth}', "");
Expect(0, 66378, '\P{Is_Sc=-_Goth}', "");
Expect(1, 66378, '\P{^Is_Sc=-_Goth}', "");
Expect(0, 66379, '\p{Is_Sc=-_Goth}', "");
Expect(1, 66379, '\p{^Is_Sc=-_Goth}', "");
Expect(1, 66379, '\P{Is_Sc=-_Goth}', "");
Expect(0, 66379, '\P{^Is_Sc=-_Goth}', "");
Error('\p{Script=-/a/GRANTHA}');
Error('\P{Script=-/a/GRANTHA}');
Expect(1, 70516, '\p{Script:grantha}', "");
Expect(0, 70516, '\p{^Script:grantha}', "");
Expect(0, 70516, '\P{Script:grantha}', "");
Expect(1, 70516, '\P{^Script:grantha}', "");
Expect(0, 70517, '\p{Script:grantha}', "");
Expect(1, 70517, '\p{^Script:grantha}', "");
Expect(1, 70517, '\P{Script:grantha}', "");
Expect(0, 70517, '\P{^Script:grantha}', "");
Error('\p{Sc:   _ Gran/a/}');
Error('\P{Sc:   _ Gran/a/}');
Expect(1, 70516, '\p{Sc=gran}', "");
Expect(0, 70516, '\p{^Sc=gran}', "");
Expect(0, 70516, '\P{Sc=gran}', "");
Expect(1, 70516, '\P{^Sc=gran}', "");
Expect(0, 70517, '\p{Sc=gran}', "");
Expect(1, 70517, '\p{^Sc=gran}', "");
Expect(1, 70517, '\P{Sc=gran}', "");
Expect(0, 70517, '\P{^Sc=gran}', "");
Expect(1, 70516, '\p{Sc= Gran}', "");
Expect(0, 70516, '\p{^Sc= Gran}', "");
Expect(0, 70516, '\P{Sc= Gran}', "");
Expect(1, 70516, '\P{^Sc= Gran}', "");
Expect(0, 70517, '\p{Sc= Gran}', "");
Expect(1, 70517, '\p{^Sc= Gran}', "");
Expect(1, 70517, '\P{Sc= Gran}', "");
Expect(0, 70517, '\P{^Sc= Gran}', "");
Error('\p{Is_Script=/a/Grantha}');
Error('\P{Is_Script=/a/Grantha}');
Expect(1, 70516, '\p{Is_Script=grantha}', "");
Expect(0, 70516, '\p{^Is_Script=grantha}', "");
Expect(0, 70516, '\P{Is_Script=grantha}', "");
Expect(1, 70516, '\P{^Is_Script=grantha}', "");
Expect(0, 70517, '\p{Is_Script=grantha}', "");
Expect(1, 70517, '\p{^Is_Script=grantha}', "");
Expect(1, 70517, '\P{Is_Script=grantha}', "");
Expect(0, 70517, '\P{^Is_Script=grantha}', "");
Expect(1, 70516, '\p{Is_Script: -Grantha}', "");
Expect(0, 70516, '\p{^Is_Script: -Grantha}', "");
Expect(0, 70516, '\P{Is_Script: -Grantha}', "");
Expect(1, 70516, '\P{^Is_Script: -Grantha}', "");
Expect(0, 70517, '\p{Is_Script: -Grantha}', "");
Expect(1, 70517, '\p{^Is_Script: -Grantha}', "");
Expect(1, 70517, '\P{Is_Script: -Grantha}', "");
Expect(0, 70517, '\P{^Is_Script: -Grantha}', "");
Error('\p{Is_Sc:   Gran/a/}');
Error('\P{Is_Sc:   Gran/a/}');
Expect(1, 70516, '\p{Is_Sc=gran}', "");
Expect(0, 70516, '\p{^Is_Sc=gran}', "");
Expect(0, 70516, '\P{Is_Sc=gran}', "");
Expect(1, 70516, '\P{^Is_Sc=gran}', "");
Expect(0, 70517, '\p{Is_Sc=gran}', "");
Expect(1, 70517, '\p{^Is_Sc=gran}', "");
Expect(1, 70517, '\P{Is_Sc=gran}', "");
Expect(0, 70517, '\P{^Is_Sc=gran}', "");
Expect(1, 70516, '\p{Is_Sc= 	Gran}', "");
Expect(0, 70516, '\p{^Is_Sc= 	Gran}', "");
Expect(0, 70516, '\P{Is_Sc= 	Gran}', "");
Expect(1, 70516, '\P{^Is_Sc= 	Gran}', "");
Expect(0, 70517, '\p{Is_Sc= 	Gran}', "");
Expect(1, 70517, '\p{^Is_Sc= 	Gran}', "");
Expect(1, 70517, '\P{Is_Sc= 	Gran}', "");
Expect(0, 70517, '\P{^Is_Sc= 	Gran}', "");
Error('\p{Script=:=- GREEK}');
Error('\P{Script=:=- GREEK}');
Expect(1, 119365, '\p{Script=greek}', "");
Expect(0, 119365, '\p{^Script=greek}', "");
Expect(0, 119365, '\P{Script=greek}', "");
Expect(1, 119365, '\P{^Script=greek}', "");
Expect(0, 119366, '\p{Script=greek}', "");
Expect(1, 119366, '\p{^Script=greek}', "");
Expect(1, 119366, '\P{Script=greek}', "");
Expect(0, 119366, '\P{^Script=greek}', "");
Expect(1, 119365, '\p{Script=--greek}', "");
Expect(0, 119365, '\p{^Script=--greek}', "");
Expect(0, 119365, '\P{Script=--greek}', "");
Expect(1, 119365, '\P{^Script=--greek}', "");
Expect(0, 119366, '\p{Script=--greek}', "");
Expect(1, 119366, '\p{^Script=--greek}', "");
Expect(1, 119366, '\P{Script=--greek}', "");
Expect(0, 119366, '\P{^Script=--greek}', "");
Error('\p{Sc=	grek:=}');
Error('\P{Sc=	grek:=}');
Expect(1, 119365, '\p{Sc=grek}', "");
Expect(0, 119365, '\p{^Sc=grek}', "");
Expect(0, 119365, '\P{Sc=grek}', "");
Expect(1, 119365, '\P{^Sc=grek}', "");
Expect(0, 119366, '\p{Sc=grek}', "");
Expect(1, 119366, '\p{^Sc=grek}', "");
Expect(1, 119366, '\P{Sc=grek}', "");
Expect(0, 119366, '\P{^Sc=grek}', "");
Expect(1, 119365, '\p{Sc= Grek}', "");
Expect(0, 119365, '\p{^Sc= Grek}', "");
Expect(0, 119365, '\P{Sc= Grek}', "");
Expect(1, 119365, '\P{^Sc= Grek}', "");
Expect(0, 119366, '\p{Sc= Grek}', "");
Expect(1, 119366, '\p{^Sc= Grek}', "");
Expect(1, 119366, '\P{Sc= Grek}', "");
Expect(0, 119366, '\P{^Sc= Grek}', "");
Error('\p{Is_Script:__Greek:=}');
Error('\P{Is_Script:__Greek:=}');
Expect(1, 119365, '\p{Is_Script=greek}', "");
Expect(0, 119365, '\p{^Is_Script=greek}', "");
Expect(0, 119365, '\P{Is_Script=greek}', "");
Expect(1, 119365, '\P{^Is_Script=greek}', "");
Expect(0, 119366, '\p{Is_Script=greek}', "");
Expect(1, 119366, '\p{^Is_Script=greek}', "");
Expect(1, 119366, '\P{Is_Script=greek}', "");
Expect(0, 119366, '\P{^Is_Script=greek}', "");
Expect(1, 119365, '\p{Is_Script= _Greek}', "");
Expect(0, 119365, '\p{^Is_Script= _Greek}', "");
Expect(0, 119365, '\P{Is_Script= _Greek}', "");
Expect(1, 119365, '\P{^Is_Script= _Greek}', "");
Expect(0, 119366, '\p{Is_Script= _Greek}', "");
Expect(1, 119366, '\p{^Is_Script= _Greek}', "");
Expect(1, 119366, '\P{Is_Script= _Greek}', "");
Expect(0, 119366, '\P{^Is_Script= _Greek}', "");
Error('\p{Is_Sc=/a/_	grek}');
Error('\P{Is_Sc=/a/_	grek}');
Expect(1, 119365, '\p{Is_Sc:grek}', "");
Expect(0, 119365, '\p{^Is_Sc:grek}', "");
Expect(0, 119365, '\P{Is_Sc:grek}', "");
Expect(1, 119365, '\P{^Is_Sc:grek}', "");
Expect(0, 119366, '\p{Is_Sc:grek}', "");
Expect(1, 119366, '\p{^Is_Sc:grek}', "");
Expect(1, 119366, '\P{Is_Sc:grek}', "");
Expect(0, 119366, '\P{^Is_Sc:grek}', "");
Expect(1, 119365, '\p{Is_Sc=_Grek}', "");
Expect(0, 119365, '\p{^Is_Sc=_Grek}', "");
Expect(0, 119365, '\P{Is_Sc=_Grek}', "");
Expect(1, 119365, '\P{^Is_Sc=_Grek}', "");
Expect(0, 119366, '\p{Is_Sc=_Grek}', "");
Expect(1, 119366, '\p{^Is_Sc=_Grek}', "");
Expect(1, 119366, '\P{Is_Sc=_Grek}', "");
Expect(0, 119366, '\P{^Is_Sc=_Grek}', "");
Error('\p{Script=		Gujarati:=}');
Error('\P{Script=		Gujarati:=}');
Expect(1, 2809, '\p{Script=gujarati}', "");
Expect(0, 2809, '\p{^Script=gujarati}', "");
Expect(0, 2809, '\P{Script=gujarati}', "");
Expect(1, 2809, '\P{^Script=gujarati}', "");
Expect(0, 2810, '\p{Script=gujarati}', "");
Expect(1, 2810, '\p{^Script=gujarati}', "");
Expect(1, 2810, '\P{Script=gujarati}', "");
Expect(0, 2810, '\P{^Script=gujarati}', "");
Expect(1, 2809, '\p{Script=-_GUJARATI}', "");
Expect(0, 2809, '\p{^Script=-_GUJARATI}', "");
Expect(0, 2809, '\P{Script=-_GUJARATI}', "");
Expect(1, 2809, '\P{^Script=-_GUJARATI}', "");
Expect(0, 2810, '\p{Script=-_GUJARATI}', "");
Expect(1, 2810, '\p{^Script=-_GUJARATI}', "");
Expect(1, 2810, '\P{Script=-_GUJARATI}', "");
Expect(0, 2810, '\P{^Script=-_GUJARATI}', "");
Error('\p{Sc:   	:=Gujr}');
Error('\P{Sc:   	:=Gujr}');
Expect(1, 2809, '\p{Sc=gujr}', "");
Expect(0, 2809, '\p{^Sc=gujr}', "");
Expect(0, 2809, '\P{Sc=gujr}', "");
Expect(1, 2809, '\P{^Sc=gujr}', "");
Expect(0, 2810, '\p{Sc=gujr}', "");
Expect(1, 2810, '\p{^Sc=gujr}', "");
Expect(1, 2810, '\P{Sc=gujr}', "");
Expect(0, 2810, '\P{^Sc=gujr}', "");
Expect(1, 2809, '\p{Sc=-	Gujr}', "");
Expect(0, 2809, '\p{^Sc=-	Gujr}', "");
Expect(0, 2809, '\P{Sc=-	Gujr}', "");
Expect(1, 2809, '\P{^Sc=-	Gujr}', "");
Expect(0, 2810, '\p{Sc=-	Gujr}', "");
Expect(1, 2810, '\p{^Sc=-	Gujr}', "");
Expect(1, 2810, '\P{Sc=-	Gujr}', "");
Expect(0, 2810, '\P{^Sc=-	Gujr}', "");
Error('\p{Is_Script=/a/_Gujarati}');
Error('\P{Is_Script=/a/_Gujarati}');
Expect(1, 2809, '\p{Is_Script:	gujarati}', "");
Expect(0, 2809, '\p{^Is_Script:	gujarati}', "");
Expect(0, 2809, '\P{Is_Script:	gujarati}', "");
Expect(1, 2809, '\P{^Is_Script:	gujarati}', "");
Expect(0, 2810, '\p{Is_Script:	gujarati}', "");
Expect(1, 2810, '\p{^Is_Script:	gujarati}', "");
Expect(1, 2810, '\P{Is_Script:	gujarati}', "");
Expect(0, 2810, '\P{^Is_Script:	gujarati}', "");
Expect(1, 2809, '\p{Is_Script=-_Gujarati}', "");
Expect(0, 2809, '\p{^Is_Script=-_Gujarati}', "");
Expect(0, 2809, '\P{Is_Script=-_Gujarati}', "");
Expect(1, 2809, '\P{^Is_Script=-_Gujarati}', "");
Expect(0, 2810, '\p{Is_Script=-_Gujarati}', "");
Expect(1, 2810, '\p{^Is_Script=-_Gujarati}', "");
Expect(1, 2810, '\P{Is_Script=-_Gujarati}', "");
Expect(0, 2810, '\P{^Is_Script=-_Gujarati}', "");
Error('\p{Is_Sc=_:=Gujr}');
Error('\P{Is_Sc=_:=Gujr}');
Expect(1, 2809, '\p{Is_Sc=gujr}', "");
Expect(0, 2809, '\p{^Is_Sc=gujr}', "");
Expect(0, 2809, '\P{Is_Sc=gujr}', "");
Expect(1, 2809, '\P{^Is_Sc=gujr}', "");
Expect(0, 2810, '\p{Is_Sc=gujr}', "");
Expect(1, 2810, '\p{^Is_Sc=gujr}', "");
Expect(1, 2810, '\P{Is_Sc=gujr}', "");
Expect(0, 2810, '\P{^Is_Sc=gujr}', "");
Expect(1, 2809, '\p{Is_Sc=_Gujr}', "");
Expect(0, 2809, '\p{^Is_Sc=_Gujr}', "");
Expect(0, 2809, '\P{Is_Sc=_Gujr}', "");
Expect(1, 2809, '\P{^Is_Sc=_Gujr}', "");
Expect(0, 2810, '\p{Is_Sc=_Gujr}', "");
Expect(1, 2810, '\p{^Is_Sc=_Gujr}', "");
Expect(1, 2810, '\P{Is_Sc=_Gujr}', "");
Expect(0, 2810, '\P{^Is_Sc=_Gujr}', "");
Error('\p{Script=_/a/GURMUKHI}');
Error('\P{Script=_/a/GURMUKHI}');
Expect(1, 2677, '\p{Script=gurmukhi}', "");
Expect(0, 2677, '\p{^Script=gurmukhi}', "");
Expect(0, 2677, '\P{Script=gurmukhi}', "");
Expect(1, 2677, '\P{^Script=gurmukhi}', "");
Expect(0, 2678, '\p{Script=gurmukhi}', "");
Expect(1, 2678, '\p{^Script=gurmukhi}', "");
Expect(1, 2678, '\P{Script=gurmukhi}', "");
Expect(0, 2678, '\P{^Script=gurmukhi}', "");
Expect(1, 2677, '\p{Script= gurmukhi}', "");
Expect(0, 2677, '\p{^Script= gurmukhi}', "");
Expect(0, 2677, '\P{Script= gurmukhi}', "");
Expect(1, 2677, '\P{^Script= gurmukhi}', "");
Expect(0, 2678, '\p{Script= gurmukhi}', "");
Expect(1, 2678, '\p{^Script= gurmukhi}', "");
Expect(1, 2678, '\P{Script= gurmukhi}', "");
Expect(0, 2678, '\P{^Script= gurmukhi}', "");
Error('\p{Sc: /a/_	guru}');
Error('\P{Sc: /a/_	guru}');
Expect(1, 2677, '\p{Sc=guru}', "");
Expect(0, 2677, '\p{^Sc=guru}', "");
Expect(0, 2677, '\P{Sc=guru}', "");
Expect(1, 2677, '\P{^Sc=guru}', "");
Expect(0, 2678, '\p{Sc=guru}', "");
Expect(1, 2678, '\p{^Sc=guru}', "");
Expect(1, 2678, '\P{Sc=guru}', "");
Expect(0, 2678, '\P{^Sc=guru}', "");
Expect(1, 2677, '\p{Sc=  Guru}', "");
Expect(0, 2677, '\p{^Sc=  Guru}', "");
Expect(0, 2677, '\P{Sc=  Guru}', "");
Expect(1, 2677, '\P{^Sc=  Guru}', "");
Expect(0, 2678, '\p{Sc=  Guru}', "");
Expect(1, 2678, '\p{^Sc=  Guru}', "");
Expect(1, 2678, '\P{Sc=  Guru}', "");
Expect(0, 2678, '\P{^Sc=  Guru}', "");
Error('\p{Is_Script= gurmukhi/a/}');
Error('\P{Is_Script= gurmukhi/a/}');
Expect(1, 2677, '\p{Is_Script=gurmukhi}', "");
Expect(0, 2677, '\p{^Is_Script=gurmukhi}', "");
Expect(0, 2677, '\P{Is_Script=gurmukhi}', "");
Expect(1, 2677, '\P{^Is_Script=gurmukhi}', "");
Expect(0, 2678, '\p{Is_Script=gurmukhi}', "");
Expect(1, 2678, '\p{^Is_Script=gurmukhi}', "");
Expect(1, 2678, '\P{Is_Script=gurmukhi}', "");
Expect(0, 2678, '\P{^Is_Script=gurmukhi}', "");
Expect(1, 2677, '\p{Is_Script=	_Gurmukhi}', "");
Expect(0, 2677, '\p{^Is_Script=	_Gurmukhi}', "");
Expect(0, 2677, '\P{Is_Script=	_Gurmukhi}', "");
Expect(1, 2677, '\P{^Is_Script=	_Gurmukhi}', "");
Expect(0, 2678, '\p{Is_Script=	_Gurmukhi}', "");
Expect(1, 2678, '\p{^Is_Script=	_Gurmukhi}', "");
Expect(1, 2678, '\P{Is_Script=	_Gurmukhi}', "");
Expect(0, 2678, '\P{^Is_Script=	_Gurmukhi}', "");
Error('\p{Is_Sc:		/a/guru}');
Error('\P{Is_Sc:		/a/guru}');
Expect(1, 2677, '\p{Is_Sc=guru}', "");
Expect(0, 2677, '\p{^Is_Sc=guru}', "");
Expect(0, 2677, '\P{Is_Sc=guru}', "");
Expect(1, 2677, '\P{^Is_Sc=guru}', "");
Expect(0, 2678, '\p{Is_Sc=guru}', "");
Expect(1, 2678, '\p{^Is_Sc=guru}', "");
Expect(1, 2678, '\P{Is_Sc=guru}', "");
Expect(0, 2678, '\P{^Is_Sc=guru}', "");
Expect(1, 2677, '\p{Is_Sc= 	Guru}', "");
Expect(0, 2677, '\p{^Is_Sc= 	Guru}', "");
Expect(0, 2677, '\P{Is_Sc= 	Guru}', "");
Expect(1, 2677, '\P{^Is_Sc= 	Guru}', "");
Expect(0, 2678, '\p{Is_Sc= 	Guru}', "");
Expect(1, 2678, '\p{^Is_Sc= 	Guru}', "");
Expect(1, 2678, '\P{Is_Sc= 	Guru}', "");
Expect(0, 2678, '\P{^Is_Sc= 	Guru}', "");
Error('\p{Script=	_HANGUL/a/}');
Error('\P{Script=	_HANGUL/a/}');
Expect(1, 65500, '\p{Script=hangul}', "");
Expect(0, 65500, '\p{^Script=hangul}', "");
Expect(0, 65500, '\P{Script=hangul}', "");
Expect(1, 65500, '\P{^Script=hangul}', "");
Expect(0, 65501, '\p{Script=hangul}', "");
Expect(1, 65501, '\p{^Script=hangul}', "");
Expect(1, 65501, '\P{Script=hangul}', "");
Expect(0, 65501, '\P{^Script=hangul}', "");
Expect(1, 65500, '\p{Script=__Hangul}', "");
Expect(0, 65500, '\p{^Script=__Hangul}', "");
Expect(0, 65500, '\P{Script=__Hangul}', "");
Expect(1, 65500, '\P{^Script=__Hangul}', "");
Expect(0, 65501, '\p{Script=__Hangul}', "");
Expect(1, 65501, '\p{^Script=__Hangul}', "");
Expect(1, 65501, '\P{Script=__Hangul}', "");
Expect(0, 65501, '\P{^Script=__Hangul}', "");
Error('\p{Sc=-:=HANG}');
Error('\P{Sc=-:=HANG}');
Expect(1, 65500, '\p{Sc=hang}', "");
Expect(0, 65500, '\p{^Sc=hang}', "");
Expect(0, 65500, '\P{Sc=hang}', "");
Expect(1, 65500, '\P{^Sc=hang}', "");
Expect(0, 65501, '\p{Sc=hang}', "");
Expect(1, 65501, '\p{^Sc=hang}', "");
Expect(1, 65501, '\P{Sc=hang}', "");
Expect(0, 65501, '\P{^Sc=hang}', "");
Expect(1, 65500, '\p{Sc=	-HANG}', "");
Expect(0, 65500, '\p{^Sc=	-HANG}', "");
Expect(0, 65500, '\P{Sc=	-HANG}', "");
Expect(1, 65500, '\P{^Sc=	-HANG}', "");
Expect(0, 65501, '\p{Sc=	-HANG}', "");
Expect(1, 65501, '\p{^Sc=	-HANG}', "");
Expect(1, 65501, '\P{Sc=	-HANG}', "");
Expect(0, 65501, '\P{^Sc=	-HANG}', "");
Error('\p{Is_Script=	:=HANGUL}');
Error('\P{Is_Script=	:=HANGUL}');
Expect(1, 65500, '\p{Is_Script=hangul}', "");
Expect(0, 65500, '\p{^Is_Script=hangul}', "");
Expect(0, 65500, '\P{Is_Script=hangul}', "");
Expect(1, 65500, '\P{^Is_Script=hangul}', "");
Expect(0, 65501, '\p{Is_Script=hangul}', "");
Expect(1, 65501, '\p{^Is_Script=hangul}', "");
Expect(1, 65501, '\P{Is_Script=hangul}', "");
Expect(0, 65501, '\P{^Is_Script=hangul}', "");
Expect(1, 65500, '\p{Is_Script= hangul}', "");
Expect(0, 65500, '\p{^Is_Script= hangul}', "");
Expect(0, 65500, '\P{Is_Script= hangul}', "");
Expect(1, 65500, '\P{^Is_Script= hangul}', "");
Expect(0, 65501, '\p{Is_Script= hangul}', "");
Expect(1, 65501, '\p{^Is_Script= hangul}', "");
Expect(1, 65501, '\P{Is_Script= hangul}', "");
Expect(0, 65501, '\P{^Is_Script= hangul}', "");
Error('\p{Is_Sc=-hang/a/}');
Error('\P{Is_Sc=-hang/a/}');
Expect(1, 65500, '\p{Is_Sc=hang}', "");
Expect(0, 65500, '\p{^Is_Sc=hang}', "");
Expect(0, 65500, '\P{Is_Sc=hang}', "");
Expect(1, 65500, '\P{^Is_Sc=hang}', "");
Expect(0, 65501, '\p{Is_Sc=hang}', "");
Expect(1, 65501, '\p{^Is_Sc=hang}', "");
Expect(1, 65501, '\P{Is_Sc=hang}', "");
Expect(0, 65501, '\P{^Is_Sc=hang}', "");
Expect(1, 65500, '\p{Is_Sc=	Hang}', "");
Expect(0, 65500, '\p{^Is_Sc=	Hang}', "");
Expect(0, 65500, '\P{Is_Sc=	Hang}', "");
Expect(1, 65500, '\P{^Is_Sc=	Hang}', "");
Expect(0, 65501, '\p{Is_Sc=	Hang}', "");
Expect(1, 65501, '\p{^Is_Sc=	Hang}', "");
Expect(1, 65501, '\P{Is_Sc=	Hang}', "");
Expect(0, 65501, '\P{^Is_Sc=	Hang}', "");
Error('\p{Script=:=- Han}');
Error('\P{Script=:=- Han}');
Expect(1, 195101, '\p{Script:han}', "");
Expect(0, 195101, '\p{^Script:han}', "");
Expect(0, 195101, '\P{Script:han}', "");
Expect(1, 195101, '\P{^Script:han}', "");
Expect(0, 195102, '\p{Script:han}', "");
Expect(1, 195102, '\p{^Script:han}', "");
Expect(1, 195102, '\P{Script:han}', "");
Expect(0, 195102, '\P{^Script:han}', "");
Expect(1, 195101, '\p{Script=-_Han}', "");
Expect(0, 195101, '\p{^Script=-_Han}', "");
Expect(0, 195101, '\P{Script=-_Han}', "");
Expect(1, 195101, '\P{^Script=-_Han}', "");
Expect(0, 195102, '\p{Script=-_Han}', "");
Expect(1, 195102, '\p{^Script=-_Han}', "");
Expect(1, 195102, '\P{Script=-_Han}', "");
Expect(0, 195102, '\P{^Script=-_Han}', "");
Error('\p{Sc: 	:=Hani}');
Error('\P{Sc: 	:=Hani}');
Expect(1, 195101, '\p{Sc=hani}', "");
Expect(0, 195101, '\p{^Sc=hani}', "");
Expect(0, 195101, '\P{Sc=hani}', "");
Expect(1, 195101, '\P{^Sc=hani}', "");
Expect(0, 195102, '\p{Sc=hani}', "");
Expect(1, 195102, '\p{^Sc=hani}', "");
Expect(1, 195102, '\P{Sc=hani}', "");
Expect(0, 195102, '\P{^Sc=hani}', "");
Expect(1, 195101, '\p{Sc= 	hani}', "");
Expect(0, 195101, '\p{^Sc= 	hani}', "");
Expect(0, 195101, '\P{Sc= 	hani}', "");
Expect(1, 195101, '\P{^Sc= 	hani}', "");
Expect(0, 195102, '\p{Sc= 	hani}', "");
Expect(1, 195102, '\p{^Sc= 	hani}', "");
Expect(1, 195102, '\P{Sc= 	hani}', "");
Expect(0, 195102, '\P{^Sc= 	hani}', "");
Error('\p{Is_Script= Han/a/}');
Error('\P{Is_Script= Han/a/}');
Expect(1, 195101, '\p{Is_Script=han}', "");
Expect(0, 195101, '\p{^Is_Script=han}', "");
Expect(0, 195101, '\P{Is_Script=han}', "");
Expect(1, 195101, '\P{^Is_Script=han}', "");
Expect(0, 195102, '\p{Is_Script=han}', "");
Expect(1, 195102, '\p{^Is_Script=han}', "");
Expect(1, 195102, '\P{Is_Script=han}', "");
Expect(0, 195102, '\P{^Is_Script=han}', "");
Expect(1, 195101, '\p{Is_Script=	 Han}', "");
Expect(0, 195101, '\p{^Is_Script=	 Han}', "");
Expect(0, 195101, '\P{Is_Script=	 Han}', "");
Expect(1, 195101, '\P{^Is_Script=	 Han}', "");
Expect(0, 195102, '\p{Is_Script=	 Han}', "");
Expect(1, 195102, '\p{^Is_Script=	 Han}', "");
Expect(1, 195102, '\P{Is_Script=	 Han}', "");
Expect(0, 195102, '\P{^Is_Script=	 Han}', "");
Error('\p{Is_Sc=_Hani/a/}');
Error('\P{Is_Sc=_Hani/a/}');
Expect(1, 195101, '\p{Is_Sc=hani}', "");
Expect(0, 195101, '\p{^Is_Sc=hani}', "");
Expect(0, 195101, '\P{Is_Sc=hani}', "");
Expect(1, 195101, '\P{^Is_Sc=hani}', "");
Expect(0, 195102, '\p{Is_Sc=hani}', "");
Expect(1, 195102, '\p{^Is_Sc=hani}', "");
Expect(1, 195102, '\P{Is_Sc=hani}', "");
Expect(0, 195102, '\P{^Is_Sc=hani}', "");
Expect(1, 195101, '\p{Is_Sc= -Hani}', "");
Expect(0, 195101, '\p{^Is_Sc= -Hani}', "");
Expect(0, 195101, '\P{Is_Sc= -Hani}', "");
Expect(1, 195101, '\P{^Is_Sc= -Hani}', "");
Expect(0, 195102, '\p{Is_Sc= -Hani}', "");
Expect(1, 195102, '\p{^Is_Sc= -Hani}', "");
Expect(1, 195102, '\P{Is_Sc= -Hani}', "");
Expect(0, 195102, '\P{^Is_Sc= -Hani}', "");
Error('\p{Script=	 hanunoo:=}');
Error('\P{Script=	 hanunoo:=}');
Expect(1, 5940, '\p{Script=hanunoo}', "");
Expect(0, 5940, '\p{^Script=hanunoo}', "");
Expect(0, 5940, '\P{Script=hanunoo}', "");
Expect(1, 5940, '\P{^Script=hanunoo}', "");
Expect(0, 5941, '\p{Script=hanunoo}', "");
Expect(1, 5941, '\p{^Script=hanunoo}', "");
Expect(1, 5941, '\P{Script=hanunoo}', "");
Expect(0, 5941, '\P{^Script=hanunoo}', "");
Expect(1, 5940, '\p{Script=--Hanunoo}', "");
Expect(0, 5940, '\p{^Script=--Hanunoo}', "");
Expect(0, 5940, '\P{Script=--Hanunoo}', "");
Expect(1, 5940, '\P{^Script=--Hanunoo}', "");
Expect(0, 5941, '\p{Script=--Hanunoo}', "");
Expect(1, 5941, '\p{^Script=--Hanunoo}', "");
Expect(1, 5941, '\P{Script=--Hanunoo}', "");
Expect(0, 5941, '\P{^Script=--Hanunoo}', "");
Error('\p{Sc=  Hano:=}');
Error('\P{Sc=  Hano:=}');
Expect(1, 5940, '\p{Sc=hano}', "");
Expect(0, 5940, '\p{^Sc=hano}', "");
Expect(0, 5940, '\P{Sc=hano}', "");
Expect(1, 5940, '\P{^Sc=hano}', "");
Expect(0, 5941, '\p{Sc=hano}', "");
Expect(1, 5941, '\p{^Sc=hano}', "");
Expect(1, 5941, '\P{Sc=hano}', "");
Expect(0, 5941, '\P{^Sc=hano}', "");
Expect(1, 5940, '\p{Sc=  Hano}', "");
Expect(0, 5940, '\p{^Sc=  Hano}', "");
Expect(0, 5940, '\P{Sc=  Hano}', "");
Expect(1, 5940, '\P{^Sc=  Hano}', "");
Expect(0, 5941, '\p{Sc=  Hano}', "");
Expect(1, 5941, '\p{^Sc=  Hano}', "");
Expect(1, 5941, '\P{Sc=  Hano}', "");
Expect(0, 5941, '\P{^Sc=  Hano}', "");
Error('\p{Is_Script=:=	-hanunoo}');
Error('\P{Is_Script=:=	-hanunoo}');
Expect(1, 5940, '\p{Is_Script=hanunoo}', "");
Expect(0, 5940, '\p{^Is_Script=hanunoo}', "");
Expect(0, 5940, '\P{Is_Script=hanunoo}', "");
Expect(1, 5940, '\P{^Is_Script=hanunoo}', "");
Expect(0, 5941, '\p{Is_Script=hanunoo}', "");
Expect(1, 5941, '\p{^Is_Script=hanunoo}', "");
Expect(1, 5941, '\P{Is_Script=hanunoo}', "");
Expect(0, 5941, '\P{^Is_Script=hanunoo}', "");
Expect(1, 5940, '\p{Is_Script= _HANUNOO}', "");
Expect(0, 5940, '\p{^Is_Script= _HANUNOO}', "");
Expect(0, 5940, '\P{Is_Script= _HANUNOO}', "");
Expect(1, 5940, '\P{^Is_Script= _HANUNOO}', "");
Expect(0, 5941, '\p{Is_Script= _HANUNOO}', "");
Expect(1, 5941, '\p{^Is_Script= _HANUNOO}', "");
Expect(1, 5941, '\P{Is_Script= _HANUNOO}', "");
Expect(0, 5941, '\P{^Is_Script= _HANUNOO}', "");
Error('\p{Is_Sc=:= Hano}');
Error('\P{Is_Sc=:= Hano}');
Expect(1, 5940, '\p{Is_Sc: hano}', "");
Expect(0, 5940, '\p{^Is_Sc: hano}', "");
Expect(0, 5940, '\P{Is_Sc: hano}', "");
Expect(1, 5940, '\P{^Is_Sc: hano}', "");
Expect(0, 5941, '\p{Is_Sc: hano}', "");
Expect(1, 5941, '\p{^Is_Sc: hano}', "");
Expect(1, 5941, '\P{Is_Sc: hano}', "");
Expect(0, 5941, '\P{^Is_Sc: hano}', "");
Expect(1, 5940, '\p{Is_Sc=-_hano}', "");
Expect(0, 5940, '\p{^Is_Sc=-_hano}', "");
Expect(0, 5940, '\P{Is_Sc=-_hano}', "");
Expect(1, 5940, '\P{^Is_Sc=-_hano}', "");
Expect(0, 5941, '\p{Is_Sc=-_hano}', "");
Expect(1, 5941, '\p{^Is_Sc=-_hano}', "");
Expect(1, 5941, '\P{Is_Sc=-_hano}', "");
Expect(0, 5941, '\P{^Is_Sc=-_hano}', "");
Error('\p{Script= /a/HATRAN}');
Error('\P{Script= /a/HATRAN}');
Expect(1, 67839, '\p{Script=hatran}', "");
Expect(0, 67839, '\p{^Script=hatran}', "");
Expect(0, 67839, '\P{Script=hatran}', "");
Expect(1, 67839, '\P{^Script=hatran}', "");
Expect(0, 67840, '\p{Script=hatran}', "");
Expect(1, 67840, '\p{^Script=hatran}', "");
Expect(1, 67840, '\P{Script=hatran}', "");
Expect(0, 67840, '\P{^Script=hatran}', "");
Expect(1, 67839, '\p{Script=	Hatran}', "");
Expect(0, 67839, '\p{^Script=	Hatran}', "");
Expect(0, 67839, '\P{Script=	Hatran}', "");
Expect(1, 67839, '\P{^Script=	Hatran}', "");
Expect(0, 67840, '\p{Script=	Hatran}', "");
Expect(1, 67840, '\p{^Script=	Hatran}', "");
Expect(1, 67840, '\P{Script=	Hatran}', "");
Expect(0, 67840, '\P{^Script=	Hatran}', "");
Error('\p{Sc=-:=hatr}');
Error('\P{Sc=-:=hatr}');
Expect(1, 67839, '\p{Sc=hatr}', "");
Expect(0, 67839, '\p{^Sc=hatr}', "");
Expect(0, 67839, '\P{Sc=hatr}', "");
Expect(1, 67839, '\P{^Sc=hatr}', "");
Expect(0, 67840, '\p{Sc=hatr}', "");
Expect(1, 67840, '\p{^Sc=hatr}', "");
Expect(1, 67840, '\P{Sc=hatr}', "");
Expect(0, 67840, '\P{^Sc=hatr}', "");
Expect(1, 67839, '\p{Sc=_Hatr}', "");
Expect(0, 67839, '\p{^Sc=_Hatr}', "");
Expect(0, 67839, '\P{Sc=_Hatr}', "");
Expect(1, 67839, '\P{^Sc=_Hatr}', "");
Expect(0, 67840, '\p{Sc=_Hatr}', "");
Expect(1, 67840, '\p{^Sc=_Hatr}', "");
Expect(1, 67840, '\P{Sc=_Hatr}', "");
Expect(0, 67840, '\P{^Sc=_Hatr}', "");
Error('\p{Is_Script= :=Hatran}');
Error('\P{Is_Script= :=Hatran}');
Expect(1, 67839, '\p{Is_Script=hatran}', "");
Expect(0, 67839, '\p{^Is_Script=hatran}', "");
Expect(0, 67839, '\P{Is_Script=hatran}', "");
Expect(1, 67839, '\P{^Is_Script=hatran}', "");
Expect(0, 67840, '\p{Is_Script=hatran}', "");
Expect(1, 67840, '\p{^Is_Script=hatran}', "");
Expect(1, 67840, '\P{Is_Script=hatran}', "");
Expect(0, 67840, '\P{^Is_Script=hatran}', "");
Expect(1, 67839, '\p{Is_Script:   --hatran}', "");
Expect(0, 67839, '\p{^Is_Script:   --hatran}', "");
Expect(0, 67839, '\P{Is_Script:   --hatran}', "");
Expect(1, 67839, '\P{^Is_Script:   --hatran}', "");
Expect(0, 67840, '\p{Is_Script:   --hatran}', "");
Expect(1, 67840, '\p{^Is_Script:   --hatran}', "");
Expect(1, 67840, '\P{Is_Script:   --hatran}', "");
Expect(0, 67840, '\P{^Is_Script:   --hatran}', "");
Error('\p{Is_Sc= :=HATR}');
Error('\P{Is_Sc= :=HATR}');
Expect(1, 67839, '\p{Is_Sc=hatr}', "");
Expect(0, 67839, '\p{^Is_Sc=hatr}', "");
Expect(0, 67839, '\P{Is_Sc=hatr}', "");
Expect(1, 67839, '\P{^Is_Sc=hatr}', "");
Expect(0, 67840, '\p{Is_Sc=hatr}', "");
Expect(1, 67840, '\p{^Is_Sc=hatr}', "");
Expect(1, 67840, '\P{Is_Sc=hatr}', "");
Expect(0, 67840, '\P{^Is_Sc=hatr}', "");
Expect(1, 67839, '\p{Is_Sc=-_Hatr}', "");
Expect(0, 67839, '\p{^Is_Sc=-_Hatr}', "");
Expect(0, 67839, '\P{Is_Sc=-_Hatr}', "");
Expect(1, 67839, '\P{^Is_Sc=-_Hatr}', "");
Expect(0, 67840, '\p{Is_Sc=-_Hatr}', "");
Expect(1, 67840, '\p{^Is_Sc=-_Hatr}', "");
Expect(1, 67840, '\P{Is_Sc=-_Hatr}', "");
Expect(0, 67840, '\P{^Is_Sc=-_Hatr}', "");
Error('\p{Script= :=HEBREW}');
Error('\P{Script= :=HEBREW}');
Expect(1, 64335, '\p{Script=hebrew}', "");
Expect(0, 64335, '\p{^Script=hebrew}', "");
Expect(0, 64335, '\P{Script=hebrew}', "");
Expect(1, 64335, '\P{^Script=hebrew}', "");
Expect(0, 64336, '\p{Script=hebrew}', "");
Expect(1, 64336, '\p{^Script=hebrew}', "");
Expect(1, 64336, '\P{Script=hebrew}', "");
Expect(0, 64336, '\P{^Script=hebrew}', "");
Expect(1, 64335, '\p{Script=		HEBREW}', "");
Expect(0, 64335, '\p{^Script=		HEBREW}', "");
Expect(0, 64335, '\P{Script=		HEBREW}', "");
Expect(1, 64335, '\P{^Script=		HEBREW}', "");
Expect(0, 64336, '\p{Script=		HEBREW}', "");
Expect(1, 64336, '\p{^Script=		HEBREW}', "");
Expect(1, 64336, '\P{Script=		HEBREW}', "");
Expect(0, 64336, '\P{^Script=		HEBREW}', "");
Error('\p{Sc=/a/	Hebr}');
Error('\P{Sc=/a/	Hebr}');
Expect(1, 64335, '\p{Sc=hebr}', "");
Expect(0, 64335, '\p{^Sc=hebr}', "");
Expect(0, 64335, '\P{Sc=hebr}', "");
Expect(1, 64335, '\P{^Sc=hebr}', "");
Expect(0, 64336, '\p{Sc=hebr}', "");
Expect(1, 64336, '\p{^Sc=hebr}', "");
Expect(1, 64336, '\P{Sc=hebr}', "");
Expect(0, 64336, '\P{^Sc=hebr}', "");
Expect(1, 64335, '\p{Sc=-HEBR}', "");
Expect(0, 64335, '\p{^Sc=-HEBR}', "");
Expect(0, 64335, '\P{Sc=-HEBR}', "");
Expect(1, 64335, '\P{^Sc=-HEBR}', "");
Expect(0, 64336, '\p{Sc=-HEBR}', "");
Expect(1, 64336, '\p{^Sc=-HEBR}', "");
Expect(1, 64336, '\P{Sc=-HEBR}', "");
Expect(0, 64336, '\P{^Sc=-HEBR}', "");
Error('\p{Is_Script=-Hebrew/a/}');
Error('\P{Is_Script=-Hebrew/a/}');
Expect(1, 64335, '\p{Is_Script=hebrew}', "");
Expect(0, 64335, '\p{^Is_Script=hebrew}', "");
Expect(0, 64335, '\P{Is_Script=hebrew}', "");
Expect(1, 64335, '\P{^Is_Script=hebrew}', "");
Expect(0, 64336, '\p{Is_Script=hebrew}', "");
Expect(1, 64336, '\p{^Is_Script=hebrew}', "");
Expect(1, 64336, '\P{Is_Script=hebrew}', "");
Expect(0, 64336, '\P{^Is_Script=hebrew}', "");
Expect(1, 64335, '\p{Is_Script=_	Hebrew}', "");
Expect(0, 64335, '\p{^Is_Script=_	Hebrew}', "");
Expect(0, 64335, '\P{Is_Script=_	Hebrew}', "");
Expect(1, 64335, '\P{^Is_Script=_	Hebrew}', "");
Expect(0, 64336, '\p{Is_Script=_	Hebrew}', "");
Expect(1, 64336, '\p{^Is_Script=_	Hebrew}', "");
Expect(1, 64336, '\P{Is_Script=_	Hebrew}', "");
Expect(0, 64336, '\P{^Is_Script=_	Hebrew}', "");
Error('\p{Is_Sc=- Hebr:=}');
Error('\P{Is_Sc=- Hebr:=}');
Expect(1, 64335, '\p{Is_Sc=hebr}', "");
Expect(0, 64335, '\p{^Is_Sc=hebr}', "");
Expect(0, 64335, '\P{Is_Sc=hebr}', "");
Expect(1, 64335, '\P{^Is_Sc=hebr}', "");
Expect(0, 64336, '\p{Is_Sc=hebr}', "");
Expect(1, 64336, '\p{^Is_Sc=hebr}', "");
Expect(1, 64336, '\P{Is_Sc=hebr}', "");
Expect(0, 64336, '\P{^Is_Sc=hebr}', "");
Expect(1, 64335, '\p{Is_Sc=	 hebr}', "");
Expect(0, 64335, '\p{^Is_Sc=	 hebr}', "");
Expect(0, 64335, '\P{Is_Sc=	 hebr}', "");
Expect(1, 64335, '\P{^Is_Sc=	 hebr}', "");
Expect(0, 64336, '\p{Is_Sc=	 hebr}', "");
Expect(1, 64336, '\p{^Is_Sc=	 hebr}', "");
Expect(1, 64336, '\P{Is_Sc=	 hebr}', "");
Expect(0, 64336, '\P{^Is_Sc=	 hebr}', "");
Error('\p{Script=:=Hiragana}');
Error('\P{Script=:=Hiragana}');
Expect(1, 127488, '\p{Script=hiragana}', "");
Expect(0, 127488, '\p{^Script=hiragana}', "");
Expect(0, 127488, '\P{Script=hiragana}', "");
Expect(1, 127488, '\P{^Script=hiragana}', "");
Expect(0, 127489, '\p{Script=hiragana}', "");
Expect(1, 127489, '\p{^Script=hiragana}', "");
Expect(1, 127489, '\P{Script=hiragana}', "");
Expect(0, 127489, '\P{^Script=hiragana}', "");
Expect(1, 127488, '\p{Script:   -Hiragana}', "");
Expect(0, 127488, '\p{^Script:   -Hiragana}', "");
Expect(0, 127488, '\P{Script:   -Hiragana}', "");
Expect(1, 127488, '\P{^Script:   -Hiragana}', "");
Expect(0, 127489, '\p{Script:   -Hiragana}', "");
Expect(1, 127489, '\p{^Script:   -Hiragana}', "");
Expect(1, 127489, '\P{Script:   -Hiragana}', "");
Expect(0, 127489, '\P{^Script:   -Hiragana}', "");
Error('\p{Sc:   /a/	 hira}');
Error('\P{Sc:   /a/	 hira}');
Expect(1, 127488, '\p{Sc=hira}', "");
Expect(0, 127488, '\p{^Sc=hira}', "");
Expect(0, 127488, '\P{Sc=hira}', "");
Expect(1, 127488, '\P{^Sc=hira}', "");
Expect(0, 127489, '\p{Sc=hira}', "");
Expect(1, 127489, '\p{^Sc=hira}', "");
Expect(1, 127489, '\P{Sc=hira}', "");
Expect(0, 127489, '\P{^Sc=hira}', "");
Expect(1, 127488, '\p{Sc=-	HIRA}', "");
Expect(0, 127488, '\p{^Sc=-	HIRA}', "");
Expect(0, 127488, '\P{Sc=-	HIRA}', "");
Expect(1, 127488, '\P{^Sc=-	HIRA}', "");
Expect(0, 127489, '\p{Sc=-	HIRA}', "");
Expect(1, 127489, '\p{^Sc=-	HIRA}', "");
Expect(1, 127489, '\P{Sc=-	HIRA}', "");
Expect(0, 127489, '\P{^Sc=-	HIRA}', "");
Error('\p{Is_Script=:=-	HIRAGANA}');
Error('\P{Is_Script=:=-	HIRAGANA}');
Expect(1, 127488, '\p{Is_Script=hiragana}', "");
Expect(0, 127488, '\p{^Is_Script=hiragana}', "");
Expect(0, 127488, '\P{Is_Script=hiragana}', "");
Expect(1, 127488, '\P{^Is_Script=hiragana}', "");
Expect(0, 127489, '\p{Is_Script=hiragana}', "");
Expect(1, 127489, '\p{^Is_Script=hiragana}', "");
Expect(1, 127489, '\P{Is_Script=hiragana}', "");
Expect(0, 127489, '\P{^Is_Script=hiragana}', "");
Expect(1, 127488, '\p{Is_Script=_Hiragana}', "");
Expect(0, 127488, '\p{^Is_Script=_Hiragana}', "");
Expect(0, 127488, '\P{Is_Script=_Hiragana}', "");
Expect(1, 127488, '\P{^Is_Script=_Hiragana}', "");
Expect(0, 127489, '\p{Is_Script=_Hiragana}', "");
Expect(1, 127489, '\p{^Is_Script=_Hiragana}', "");
Expect(1, 127489, '\P{Is_Script=_Hiragana}', "");
Expect(0, 127489, '\P{^Is_Script=_Hiragana}', "");
Error('\p{Is_Sc=/a/_ HIRA}');
Error('\P{Is_Sc=/a/_ HIRA}');
Expect(1, 127488, '\p{Is_Sc=hira}', "");
Expect(0, 127488, '\p{^Is_Sc=hira}', "");
Expect(0, 127488, '\P{Is_Sc=hira}', "");
Expect(1, 127488, '\P{^Is_Sc=hira}', "");
Expect(0, 127489, '\p{Is_Sc=hira}', "");
Expect(1, 127489, '\p{^Is_Sc=hira}', "");
Expect(1, 127489, '\P{Is_Sc=hira}', "");
Expect(0, 127489, '\P{^Is_Sc=hira}', "");
Expect(1, 127488, '\p{Is_Sc=		HIRA}', "");
Expect(0, 127488, '\p{^Is_Sc=		HIRA}', "");
Expect(0, 127488, '\P{Is_Sc=		HIRA}', "");
Expect(1, 127488, '\P{^Is_Sc=		HIRA}', "");
Expect(0, 127489, '\p{Is_Sc=		HIRA}', "");
Expect(1, 127489, '\p{^Is_Sc=		HIRA}', "");
Expect(1, 127489, '\P{Is_Sc=		HIRA}', "");
Expect(0, 127489, '\P{^Is_Sc=		HIRA}', "");
Error('\p{Script=	 Anatolian_Hieroglyphs/a/}');
Error('\P{Script=	 Anatolian_Hieroglyphs/a/}');
Expect(1, 83526, '\p{Script=anatolianhieroglyphs}', "");
Expect(0, 83526, '\p{^Script=anatolianhieroglyphs}', "");
Expect(0, 83526, '\P{Script=anatolianhieroglyphs}', "");
Expect(1, 83526, '\P{^Script=anatolianhieroglyphs}', "");
Expect(0, 83527, '\p{Script=anatolianhieroglyphs}', "");
Expect(1, 83527, '\p{^Script=anatolianhieroglyphs}', "");
Expect(1, 83527, '\P{Script=anatolianhieroglyphs}', "");
Expect(0, 83527, '\P{^Script=anatolianhieroglyphs}', "");
Expect(1, 83526, '\p{Script=-anatolian_hieroglyphs}', "");
Expect(0, 83526, '\p{^Script=-anatolian_hieroglyphs}', "");
Expect(0, 83526, '\P{Script=-anatolian_hieroglyphs}', "");
Expect(1, 83526, '\P{^Script=-anatolian_hieroglyphs}', "");
Expect(0, 83527, '\p{Script=-anatolian_hieroglyphs}', "");
Expect(1, 83527, '\p{^Script=-anatolian_hieroglyphs}', "");
Expect(1, 83527, '\P{Script=-anatolian_hieroglyphs}', "");
Expect(0, 83527, '\P{^Script=-anatolian_hieroglyphs}', "");
Error('\p{Sc:/a/	-Hluw}');
Error('\P{Sc:/a/	-Hluw}');
Expect(1, 83526, '\p{Sc=hluw}', "");
Expect(0, 83526, '\p{^Sc=hluw}', "");
Expect(0, 83526, '\P{Sc=hluw}', "");
Expect(1, 83526, '\P{^Sc=hluw}', "");
Expect(0, 83527, '\p{Sc=hluw}', "");
Expect(1, 83527, '\p{^Sc=hluw}', "");
Expect(1, 83527, '\P{Sc=hluw}', "");
Expect(0, 83527, '\P{^Sc=hluw}', "");
Expect(1, 83526, '\p{Sc=_Hluw}', "");
Expect(0, 83526, '\p{^Sc=_Hluw}', "");
Expect(0, 83526, '\P{Sc=_Hluw}', "");
Expect(1, 83526, '\P{^Sc=_Hluw}', "");
Expect(0, 83527, '\p{Sc=_Hluw}', "");
Expect(1, 83527, '\p{^Sc=_Hluw}', "");
Expect(1, 83527, '\P{Sc=_Hluw}', "");
Expect(0, 83527, '\P{^Sc=_Hluw}', "");
Error('\p{Is_Script:	 :=anatolian_Hieroglyphs}');
Error('\P{Is_Script:	 :=anatolian_Hieroglyphs}');
Expect(1, 83526, '\p{Is_Script=anatolianhieroglyphs}', "");
Expect(0, 83526, '\p{^Is_Script=anatolianhieroglyphs}', "");
Expect(0, 83526, '\P{Is_Script=anatolianhieroglyphs}', "");
Expect(1, 83526, '\P{^Is_Script=anatolianhieroglyphs}', "");
Expect(0, 83527, '\p{Is_Script=anatolianhieroglyphs}', "");
Expect(1, 83527, '\p{^Is_Script=anatolianhieroglyphs}', "");
Expect(1, 83527, '\P{Is_Script=anatolianhieroglyphs}', "");
Expect(0, 83527, '\P{^Is_Script=anatolianhieroglyphs}', "");
Expect(1, 83526, '\p{Is_Script=- anatolian_Hieroglyphs}', "");
Expect(0, 83526, '\p{^Is_Script=- anatolian_Hieroglyphs}', "");
Expect(0, 83526, '\P{Is_Script=- anatolian_Hieroglyphs}', "");
Expect(1, 83526, '\P{^Is_Script=- anatolian_Hieroglyphs}', "");
Expect(0, 83527, '\p{Is_Script=- anatolian_Hieroglyphs}', "");
Expect(1, 83527, '\p{^Is_Script=- anatolian_Hieroglyphs}', "");
Expect(1, 83527, '\P{Is_Script=- anatolian_Hieroglyphs}', "");
Expect(0, 83527, '\P{^Is_Script=- anatolian_Hieroglyphs}', "");
Error('\p{Is_Sc= /a/Hluw}');
Error('\P{Is_Sc= /a/Hluw}');
Expect(1, 83526, '\p{Is_Sc=hluw}', "");
Expect(0, 83526, '\p{^Is_Sc=hluw}', "");
Expect(0, 83526, '\P{Is_Sc=hluw}', "");
Expect(1, 83526, '\P{^Is_Sc=hluw}', "");
Expect(0, 83527, '\p{Is_Sc=hluw}', "");
Expect(1, 83527, '\p{^Is_Sc=hluw}', "");
Expect(1, 83527, '\P{Is_Sc=hluw}', "");
Expect(0, 83527, '\P{^Is_Sc=hluw}', "");
Expect(1, 83526, '\p{Is_Sc=__Hluw}', "");
Expect(0, 83526, '\p{^Is_Sc=__Hluw}', "");
Expect(0, 83526, '\P{Is_Sc=__Hluw}', "");
Expect(1, 83526, '\P{^Is_Sc=__Hluw}', "");
Expect(0, 83527, '\p{Is_Sc=__Hluw}', "");
Expect(1, 83527, '\p{^Is_Sc=__Hluw}', "");
Expect(1, 83527, '\P{Is_Sc=__Hluw}', "");
Expect(0, 83527, '\P{^Is_Sc=__Hluw}', "");
Error('\p{Script:	/a/  Pahawh_hmong}');
Error('\P{Script:	/a/  Pahawh_hmong}');
Expect(1, 93071, '\p{Script=pahawhhmong}', "");
Expect(0, 93071, '\p{^Script=pahawhhmong}', "");
Expect(0, 93071, '\P{Script=pahawhhmong}', "");
Expect(1, 93071, '\P{^Script=pahawhhmong}', "");
Expect(0, 93072, '\p{Script=pahawhhmong}', "");
Expect(1, 93072, '\p{^Script=pahawhhmong}', "");
Expect(1, 93072, '\P{Script=pahawhhmong}', "");
Expect(0, 93072, '\P{^Script=pahawhhmong}', "");
Expect(1, 93071, '\p{Script=__pahawh_Hmong}', "");
Expect(0, 93071, '\p{^Script=__pahawh_Hmong}', "");
Expect(0, 93071, '\P{Script=__pahawh_Hmong}', "");
Expect(1, 93071, '\P{^Script=__pahawh_Hmong}', "");
Expect(0, 93072, '\p{Script=__pahawh_Hmong}', "");
Expect(1, 93072, '\p{^Script=__pahawh_Hmong}', "");
Expect(1, 93072, '\P{Script=__pahawh_Hmong}', "");
Expect(0, 93072, '\P{^Script=__pahawh_Hmong}', "");
Error('\p{Sc=--Hmng:=}');
Error('\P{Sc=--Hmng:=}');
Expect(1, 93071, '\p{Sc=hmng}', "");
Expect(0, 93071, '\p{^Sc=hmng}', "");
Expect(0, 93071, '\P{Sc=hmng}', "");
Expect(1, 93071, '\P{^Sc=hmng}', "");
Expect(0, 93072, '\p{Sc=hmng}', "");
Expect(1, 93072, '\p{^Sc=hmng}', "");
Expect(1, 93072, '\P{Sc=hmng}', "");
Expect(0, 93072, '\P{^Sc=hmng}', "");
Expect(1, 93071, '\p{Sc=_-Hmng}', "");
Expect(0, 93071, '\p{^Sc=_-Hmng}', "");
Expect(0, 93071, '\P{Sc=_-Hmng}', "");
Expect(1, 93071, '\P{^Sc=_-Hmng}', "");
Expect(0, 93072, '\p{Sc=_-Hmng}', "");
Expect(1, 93072, '\p{^Sc=_-Hmng}', "");
Expect(1, 93072, '\P{Sc=_-Hmng}', "");
Expect(0, 93072, '\P{^Sc=_-Hmng}', "");
Error('\p{Is_Script=		PAHAWH_hmong/a/}');
Error('\P{Is_Script=		PAHAWH_hmong/a/}');
Expect(1, 93071, '\p{Is_Script=pahawhhmong}', "");
Expect(0, 93071, '\p{^Is_Script=pahawhhmong}', "");
Expect(0, 93071, '\P{Is_Script=pahawhhmong}', "");
Expect(1, 93071, '\P{^Is_Script=pahawhhmong}', "");
Expect(0, 93072, '\p{Is_Script=pahawhhmong}', "");
Expect(1, 93072, '\p{^Is_Script=pahawhhmong}', "");
Expect(1, 93072, '\P{Is_Script=pahawhhmong}', "");
Expect(0, 93072, '\P{^Is_Script=pahawhhmong}', "");
Expect(1, 93071, '\p{Is_Script=_PAHAWH_hmong}', "");
Expect(0, 93071, '\p{^Is_Script=_PAHAWH_hmong}', "");
Expect(0, 93071, '\P{Is_Script=_PAHAWH_hmong}', "");
Expect(1, 93071, '\P{^Is_Script=_PAHAWH_hmong}', "");
Expect(0, 93072, '\p{Is_Script=_PAHAWH_hmong}', "");
Expect(1, 93072, '\p{^Is_Script=_PAHAWH_hmong}', "");
Expect(1, 93072, '\P{Is_Script=_PAHAWH_hmong}', "");
Expect(0, 93072, '\P{^Is_Script=_PAHAWH_hmong}', "");
Error('\p{Is_Sc= :=Hmng}');
Error('\P{Is_Sc= :=Hmng}');
Expect(1, 93071, '\p{Is_Sc=hmng}', "");
Expect(0, 93071, '\p{^Is_Sc=hmng}', "");
Expect(0, 93071, '\P{Is_Sc=hmng}', "");
Expect(1, 93071, '\P{^Is_Sc=hmng}', "");
Expect(0, 93072, '\p{Is_Sc=hmng}', "");
Expect(1, 93072, '\p{^Is_Sc=hmng}', "");
Expect(1, 93072, '\P{Is_Sc=hmng}', "");
Expect(0, 93072, '\P{^Is_Sc=hmng}', "");
Expect(1, 93071, '\p{Is_Sc=  Hmng}', "");
Expect(0, 93071, '\p{^Is_Sc=  Hmng}', "");
Expect(0, 93071, '\P{Is_Sc=  Hmng}', "");
Expect(1, 93071, '\P{^Is_Sc=  Hmng}', "");
Expect(0, 93072, '\p{Is_Sc=  Hmng}', "");
Expect(1, 93072, '\p{^Is_Sc=  Hmng}', "");
Expect(1, 93072, '\P{Is_Sc=  Hmng}', "");
Expect(0, 93072, '\P{^Is_Sc=  Hmng}', "");
Error('\p{Script=Katakana_Or_Hiragana}');
Error('\P{Script=Katakana_Or_Hiragana}');
Error('\p{Sc=Hrkt}');
Error('\P{Sc=Hrkt}');
Error('\p{Is_Script=Katakana_Or_Hiragana}');
Error('\P{Is_Script=Katakana_Or_Hiragana}');
Error('\p{Is_Sc=Hrkt}');
Error('\P{Is_Sc=Hrkt}');
Error('\p{Script=_Old_Hungarian/a/}');
Error('\P{Script=_Old_Hungarian/a/}');
Expect(1, 68863, '\p{Script=oldhungarian}', "");
Expect(0, 68863, '\p{^Script=oldhungarian}', "");
Expect(0, 68863, '\P{Script=oldhungarian}', "");
Expect(1, 68863, '\P{^Script=oldhungarian}', "");
Expect(0, 68864, '\p{Script=oldhungarian}', "");
Expect(1, 68864, '\p{^Script=oldhungarian}', "");
Expect(1, 68864, '\P{Script=oldhungarian}', "");
Expect(0, 68864, '\P{^Script=oldhungarian}', "");
Expect(1, 68863, '\p{Script=	old_HUNGARIAN}', "");
Expect(0, 68863, '\p{^Script=	old_HUNGARIAN}', "");
Expect(0, 68863, '\P{Script=	old_HUNGARIAN}', "");
Expect(1, 68863, '\P{^Script=	old_HUNGARIAN}', "");
Expect(0, 68864, '\p{Script=	old_HUNGARIAN}', "");
Expect(1, 68864, '\p{^Script=	old_HUNGARIAN}', "");
Expect(1, 68864, '\P{Script=	old_HUNGARIAN}', "");
Expect(0, 68864, '\P{^Script=	old_HUNGARIAN}', "");
Error('\p{Sc=-/a/HUNG}');
Error('\P{Sc=-/a/HUNG}');
Expect(1, 68863, '\p{Sc=hung}', "");
Expect(0, 68863, '\p{^Sc=hung}', "");
Expect(0, 68863, '\P{Sc=hung}', "");
Expect(1, 68863, '\P{^Sc=hung}', "");
Expect(0, 68864, '\p{Sc=hung}', "");
Expect(1, 68864, '\p{^Sc=hung}', "");
Expect(1, 68864, '\P{Sc=hung}', "");
Expect(0, 68864, '\P{^Sc=hung}', "");
Expect(1, 68863, '\p{Sc=  hung}', "");
Expect(0, 68863, '\p{^Sc=  hung}', "");
Expect(0, 68863, '\P{Sc=  hung}', "");
Expect(1, 68863, '\P{^Sc=  hung}', "");
Expect(0, 68864, '\p{Sc=  hung}', "");
Expect(1, 68864, '\p{^Sc=  hung}', "");
Expect(1, 68864, '\P{Sc=  hung}', "");
Expect(0, 68864, '\P{^Sc=  hung}', "");
Error('\p{Is_Script=:=	OLD_hungarian}');
Error('\P{Is_Script=:=	OLD_hungarian}');
Expect(1, 68863, '\p{Is_Script=oldhungarian}', "");
Expect(0, 68863, '\p{^Is_Script=oldhungarian}', "");
Expect(0, 68863, '\P{Is_Script=oldhungarian}', "");
Expect(1, 68863, '\P{^Is_Script=oldhungarian}', "");
Expect(0, 68864, '\p{Is_Script=oldhungarian}', "");
Expect(1, 68864, '\p{^Is_Script=oldhungarian}', "");
Expect(1, 68864, '\P{Is_Script=oldhungarian}', "");
Expect(0, 68864, '\P{^Is_Script=oldhungarian}', "");
Expect(1, 68863, '\p{Is_Script=_-old_HUNGARIAN}', "");
Expect(0, 68863, '\p{^Is_Script=_-old_HUNGARIAN}', "");
Expect(0, 68863, '\P{Is_Script=_-old_HUNGARIAN}', "");
Expect(1, 68863, '\P{^Is_Script=_-old_HUNGARIAN}', "");
Expect(0, 68864, '\p{Is_Script=_-old_HUNGARIAN}', "");
Expect(1, 68864, '\p{^Is_Script=_-old_HUNGARIAN}', "");
Expect(1, 68864, '\P{Is_Script=_-old_HUNGARIAN}', "");
Expect(0, 68864, '\P{^Is_Script=_-old_HUNGARIAN}', "");
Error('\p{Is_Sc= /a/hung}');
Error('\P{Is_Sc= /a/hung}');
Expect(1, 68863, '\p{Is_Sc:   hung}', "");
Expect(0, 68863, '\p{^Is_Sc:   hung}', "");
Expect(0, 68863, '\P{Is_Sc:   hung}', "");
Expect(1, 68863, '\P{^Is_Sc:   hung}', "");
Expect(0, 68864, '\p{Is_Sc:   hung}', "");
Expect(1, 68864, '\p{^Is_Sc:   hung}', "");
Expect(1, 68864, '\P{Is_Sc:   hung}', "");
Expect(0, 68864, '\P{^Is_Sc:   hung}', "");
Expect(1, 68863, '\p{Is_Sc:	 -hung}', "");
Expect(0, 68863, '\p{^Is_Sc:	 -hung}', "");
Expect(0, 68863, '\P{Is_Sc:	 -hung}', "");
Expect(1, 68863, '\P{^Is_Sc:	 -hung}', "");
Expect(0, 68864, '\p{Is_Sc:	 -hung}', "");
Expect(1, 68864, '\p{^Is_Sc:	 -hung}', "");
Expect(1, 68864, '\P{Is_Sc:	 -hung}', "");
Expect(0, 68864, '\P{^Is_Sc:	 -hung}', "");
Error('\p{Script=:= -Old_Italic}');
Error('\P{Script=:= -Old_Italic}');
Expect(1, 66339, '\p{Script=olditalic}', "");
Expect(0, 66339, '\p{^Script=olditalic}', "");
Expect(0, 66339, '\P{Script=olditalic}', "");
Expect(1, 66339, '\P{^Script=olditalic}', "");
Expect(0, 66340, '\p{Script=olditalic}', "");
Expect(1, 66340, '\p{^Script=olditalic}', "");
Expect(1, 66340, '\P{Script=olditalic}', "");
Expect(0, 66340, '\P{^Script=olditalic}', "");
Expect(1, 66339, '\p{Script=--old_Italic}', "");
Expect(0, 66339, '\p{^Script=--old_Italic}', "");
Expect(0, 66339, '\P{Script=--old_Italic}', "");
Expect(1, 66339, '\P{^Script=--old_Italic}', "");
Expect(0, 66340, '\p{Script=--old_Italic}', "");
Expect(1, 66340, '\p{^Script=--old_Italic}', "");
Expect(1, 66340, '\P{Script=--old_Italic}', "");
Expect(0, 66340, '\P{^Script=--old_Italic}', "");
Error('\p{Sc=-/a/Ital}');
Error('\P{Sc=-/a/Ital}');
Expect(1, 66339, '\p{Sc=ital}', "");
Expect(0, 66339, '\p{^Sc=ital}', "");
Expect(0, 66339, '\P{Sc=ital}', "");
Expect(1, 66339, '\P{^Sc=ital}', "");
Expect(0, 66340, '\p{Sc=ital}', "");
Expect(1, 66340, '\p{^Sc=ital}', "");
Expect(1, 66340, '\P{Sc=ital}', "");
Expect(0, 66340, '\P{^Sc=ital}', "");
Expect(1, 66339, '\p{Sc= Ital}', "");
Expect(0, 66339, '\p{^Sc= Ital}', "");
Expect(0, 66339, '\P{Sc= Ital}', "");
Expect(1, 66339, '\P{^Sc= Ital}', "");
Expect(0, 66340, '\p{Sc= Ital}', "");
Expect(1, 66340, '\p{^Sc= Ital}', "");
Expect(1, 66340, '\P{Sc= Ital}', "");
Expect(0, 66340, '\P{^Sc= Ital}', "");
Error('\p{Is_Script=		OLD_Italic:=}');
Error('\P{Is_Script=		OLD_Italic:=}');
Expect(1, 66339, '\p{Is_Script=olditalic}', "");
Expect(0, 66339, '\p{^Is_Script=olditalic}', "");
Expect(0, 66339, '\P{Is_Script=olditalic}', "");
Expect(1, 66339, '\P{^Is_Script=olditalic}', "");
Expect(0, 66340, '\p{Is_Script=olditalic}', "");
Expect(1, 66340, '\p{^Is_Script=olditalic}', "");
Expect(1, 66340, '\P{Is_Script=olditalic}', "");
Expect(0, 66340, '\P{^Is_Script=olditalic}', "");
Expect(1, 66339, '\p{Is_Script=-	Old_italic}', "");
Expect(0, 66339, '\p{^Is_Script=-	Old_italic}', "");
Expect(0, 66339, '\P{Is_Script=-	Old_italic}', "");
Expect(1, 66339, '\P{^Is_Script=-	Old_italic}', "");
Expect(0, 66340, '\p{Is_Script=-	Old_italic}', "");
Expect(1, 66340, '\p{^Is_Script=-	Old_italic}', "");
Expect(1, 66340, '\P{Is_Script=-	Old_italic}', "");
Expect(0, 66340, '\P{^Is_Script=-	Old_italic}', "");
Error('\p{Is_Sc: 	ITAL:=}');
Error('\P{Is_Sc: 	ITAL:=}');
Expect(1, 66339, '\p{Is_Sc:ital}', "");
Expect(0, 66339, '\p{^Is_Sc:ital}', "");
Expect(0, 66339, '\P{Is_Sc:ital}', "");
Expect(1, 66339, '\P{^Is_Sc:ital}', "");
Expect(0, 66340, '\p{Is_Sc:ital}', "");
Expect(1, 66340, '\p{^Is_Sc:ital}', "");
Expect(1, 66340, '\P{Is_Sc:ital}', "");
Expect(0, 66340, '\P{^Is_Sc:ital}', "");
Expect(1, 66339, '\p{Is_Sc=Ital}', "");
Expect(0, 66339, '\p{^Is_Sc=Ital}', "");
Expect(0, 66339, '\P{Is_Sc=Ital}', "");
Expect(1, 66339, '\P{^Is_Sc=Ital}', "");
Expect(0, 66340, '\p{Is_Sc=Ital}', "");
Expect(1, 66340, '\p{^Is_Sc=Ital}', "");
Expect(1, 66340, '\P{Is_Sc=Ital}', "");
Expect(0, 66340, '\P{^Is_Sc=Ital}', "");
Error('\p{Script=_-javanese:=}');
Error('\P{Script=_-javanese:=}');
Expect(1, 43487, '\p{Script=javanese}', "");
Expect(0, 43487, '\p{^Script=javanese}', "");
Expect(0, 43487, '\P{Script=javanese}', "");
Expect(1, 43487, '\P{^Script=javanese}', "");
Expect(0, 43488, '\p{Script=javanese}', "");
Expect(1, 43488, '\p{^Script=javanese}', "");
Expect(1, 43488, '\P{Script=javanese}', "");
Expect(0, 43488, '\P{^Script=javanese}', "");
Expect(1, 43487, '\p{Script:  -javanese}', "");
Expect(0, 43487, '\p{^Script:  -javanese}', "");
Expect(0, 43487, '\P{Script:  -javanese}', "");
Expect(1, 43487, '\P{^Script:  -javanese}', "");
Expect(0, 43488, '\p{Script:  -javanese}', "");
Expect(1, 43488, '\p{^Script:  -javanese}', "");
Expect(1, 43488, '\P{Script:  -javanese}', "");
Expect(0, 43488, '\P{^Script:  -javanese}', "");
Error('\p{Sc=-:=Java}');
Error('\P{Sc=-:=Java}');
Expect(1, 43487, '\p{Sc=java}', "");
Expect(0, 43487, '\p{^Sc=java}', "");
Expect(0, 43487, '\P{Sc=java}', "");
Expect(1, 43487, '\P{^Sc=java}', "");
Expect(0, 43488, '\p{Sc=java}', "");
Expect(1, 43488, '\p{^Sc=java}', "");
Expect(1, 43488, '\P{Sc=java}', "");
Expect(0, 43488, '\P{^Sc=java}', "");
Expect(1, 43487, '\p{Sc= -Java}', "");
Expect(0, 43487, '\p{^Sc= -Java}', "");
Expect(0, 43487, '\P{Sc= -Java}', "");
Expect(1, 43487, '\P{^Sc= -Java}', "");
Expect(0, 43488, '\p{Sc= -Java}', "");
Expect(1, 43488, '\p{^Sc= -Java}', "");
Expect(1, 43488, '\P{Sc= -Java}', "");
Expect(0, 43488, '\P{^Sc= -Java}', "");
Error('\p{Is_Script=_-Javanese/a/}');
Error('\P{Is_Script=_-Javanese/a/}');
Expect(1, 43487, '\p{Is_Script=javanese}', "");
Expect(0, 43487, '\p{^Is_Script=javanese}', "");
Expect(0, 43487, '\P{Is_Script=javanese}', "");
Expect(1, 43487, '\P{^Is_Script=javanese}', "");
Expect(0, 43488, '\p{Is_Script=javanese}', "");
Expect(1, 43488, '\p{^Is_Script=javanese}', "");
Expect(1, 43488, '\P{Is_Script=javanese}', "");
Expect(0, 43488, '\P{^Is_Script=javanese}', "");
Expect(1, 43487, '\p{Is_Script=--Javanese}', "");
Expect(0, 43487, '\p{^Is_Script=--Javanese}', "");
Expect(0, 43487, '\P{Is_Script=--Javanese}', "");
Expect(1, 43487, '\P{^Is_Script=--Javanese}', "");
Expect(0, 43488, '\p{Is_Script=--Javanese}', "");
Expect(1, 43488, '\p{^Is_Script=--Javanese}', "");
Expect(1, 43488, '\P{Is_Script=--Javanese}', "");
Expect(0, 43488, '\P{^Is_Script=--Javanese}', "");
Error('\p{Is_Sc=:=Java}');
Error('\P{Is_Sc=:=Java}');
Expect(1, 43487, '\p{Is_Sc=java}', "");
Expect(0, 43487, '\p{^Is_Sc=java}', "");
Expect(0, 43487, '\P{Is_Sc=java}', "");
Expect(1, 43487, '\P{^Is_Sc=java}', "");
Expect(0, 43488, '\p{Is_Sc=java}', "");
Expect(1, 43488, '\p{^Is_Sc=java}', "");
Expect(1, 43488, '\P{Is_Sc=java}', "");
Expect(0, 43488, '\P{^Is_Sc=java}', "");
Expect(1, 43487, '\p{Is_Sc= 	Java}', "");
Expect(0, 43487, '\p{^Is_Sc= 	Java}', "");
Expect(0, 43487, '\P{Is_Sc= 	Java}', "");
Expect(1, 43487, '\P{^Is_Sc= 	Java}', "");
Expect(0, 43488, '\p{Is_Sc= 	Java}', "");
Expect(1, 43488, '\p{^Is_Sc= 	Java}', "");
Expect(1, 43488, '\P{Is_Sc= 	Java}', "");
Expect(0, 43488, '\P{^Is_Sc= 	Java}', "");
Error('\p{Script= /a/Kayah_Li}');
Error('\P{Script= /a/Kayah_Li}');
Expect(1, 43311, '\p{Script=kayahli}', "");
Expect(0, 43311, '\p{^Script=kayahli}', "");
Expect(0, 43311, '\P{Script=kayahli}', "");
Expect(1, 43311, '\P{^Script=kayahli}', "");
Expect(0, 43312, '\p{Script=kayahli}', "");
Expect(1, 43312, '\p{^Script=kayahli}', "");
Expect(1, 43312, '\P{Script=kayahli}', "");
Expect(0, 43312, '\P{^Script=kayahli}', "");
Expect(1, 43311, '\p{Script= Kayah_Li}', "");
Expect(0, 43311, '\p{^Script= Kayah_Li}', "");
Expect(0, 43311, '\P{Script= Kayah_Li}', "");
Expect(1, 43311, '\P{^Script= Kayah_Li}', "");
Expect(0, 43312, '\p{Script= Kayah_Li}', "");
Expect(1, 43312, '\p{^Script= Kayah_Li}', "");
Expect(1, 43312, '\P{Script= Kayah_Li}', "");
Expect(0, 43312, '\P{^Script= Kayah_Li}', "");
Error('\p{Sc=		Kali/a/}');
Error('\P{Sc=		Kali/a/}');
Expect(1, 43311, '\p{Sc: kali}', "");
Expect(0, 43311, '\p{^Sc: kali}', "");
Expect(0, 43311, '\P{Sc: kali}', "");
Expect(1, 43311, '\P{^Sc: kali}', "");
Expect(0, 43312, '\p{Sc: kali}', "");
Expect(1, 43312, '\p{^Sc: kali}', "");
Expect(1, 43312, '\P{Sc: kali}', "");
Expect(0, 43312, '\P{^Sc: kali}', "");
Expect(1, 43311, '\p{Sc=	-Kali}', "");
Expect(0, 43311, '\p{^Sc=	-Kali}', "");
Expect(0, 43311, '\P{Sc=	-Kali}', "");
Expect(1, 43311, '\P{^Sc=	-Kali}', "");
Expect(0, 43312, '\p{Sc=	-Kali}', "");
Expect(1, 43312, '\p{^Sc=	-Kali}', "");
Expect(1, 43312, '\P{Sc=	-Kali}', "");
Expect(0, 43312, '\P{^Sc=	-Kali}', "");
Error('\p{Is_Script=_/a/KAYAH_Li}');
Error('\P{Is_Script=_/a/KAYAH_Li}');
Expect(1, 43311, '\p{Is_Script=kayahli}', "");
Expect(0, 43311, '\p{^Is_Script=kayahli}', "");
Expect(0, 43311, '\P{Is_Script=kayahli}', "");
Expect(1, 43311, '\P{^Is_Script=kayahli}', "");
Expect(0, 43312, '\p{Is_Script=kayahli}', "");
Expect(1, 43312, '\p{^Is_Script=kayahli}', "");
Expect(1, 43312, '\P{Is_Script=kayahli}', "");
Expect(0, 43312, '\P{^Is_Script=kayahli}', "");
Expect(1, 43311, '\p{Is_Script=		Kayah_LI}', "");
Expect(0, 43311, '\p{^Is_Script=		Kayah_LI}', "");
Expect(0, 43311, '\P{Is_Script=		Kayah_LI}', "");
Expect(1, 43311, '\P{^Is_Script=		Kayah_LI}', "");
Expect(0, 43312, '\p{Is_Script=		Kayah_LI}', "");
Expect(1, 43312, '\p{^Is_Script=		Kayah_LI}', "");
Expect(1, 43312, '\P{Is_Script=		Kayah_LI}', "");
Expect(0, 43312, '\P{^Is_Script=		Kayah_LI}', "");
Error('\p{Is_Sc=/a/Kali}');
Error('\P{Is_Sc=/a/Kali}');
Expect(1, 43311, '\p{Is_Sc: kali}', "");
Expect(0, 43311, '\p{^Is_Sc: kali}', "");
Expect(0, 43311, '\P{Is_Sc: kali}', "");
Expect(1, 43311, '\P{^Is_Sc: kali}', "");
Expect(0, 43312, '\p{Is_Sc: kali}', "");
Expect(1, 43312, '\p{^Is_Sc: kali}', "");
Expect(1, 43312, '\P{Is_Sc: kali}', "");
Expect(0, 43312, '\P{^Is_Sc: kali}', "");
Expect(1, 43311, '\p{Is_Sc= Kali}', "");
Expect(0, 43311, '\p{^Is_Sc= Kali}', "");
Expect(0, 43311, '\P{Is_Sc= Kali}', "");
Expect(1, 43311, '\P{^Is_Sc= Kali}', "");
Expect(0, 43312, '\p{Is_Sc= Kali}', "");
Expect(1, 43312, '\p{^Is_Sc= Kali}', "");
Expect(1, 43312, '\P{Is_Sc= Kali}', "");
Expect(0, 43312, '\P{^Is_Sc= Kali}', "");
Error('\p{Script:	/a/ Katakana}');
Error('\P{Script:	/a/ Katakana}');
Expect(1, 110592, '\p{Script=katakana}', "");
Expect(0, 110592, '\p{^Script=katakana}', "");
Expect(0, 110592, '\P{Script=katakana}', "");
Expect(1, 110592, '\P{^Script=katakana}', "");
Expect(0, 110593, '\p{Script=katakana}', "");
Expect(1, 110593, '\p{^Script=katakana}', "");
Expect(1, 110593, '\P{Script=katakana}', "");
Expect(0, 110593, '\P{^Script=katakana}', "");
Expect(1, 110592, '\p{Script: 	Katakana}', "");
Expect(0, 110592, '\p{^Script: 	Katakana}', "");
Expect(0, 110592, '\P{Script: 	Katakana}', "");
Expect(1, 110592, '\P{^Script: 	Katakana}', "");
Expect(0, 110593, '\p{Script: 	Katakana}', "");
Expect(1, 110593, '\p{^Script: 	Katakana}', "");
Expect(1, 110593, '\P{Script: 	Katakana}', "");
Expect(0, 110593, '\P{^Script: 	Katakana}', "");
Error('\p{Sc=Kana:=}');
Error('\P{Sc=Kana:=}');
Expect(1, 110592, '\p{Sc=kana}', "");
Expect(0, 110592, '\p{^Sc=kana}', "");
Expect(0, 110592, '\P{Sc=kana}', "");
Expect(1, 110592, '\P{^Sc=kana}', "");
Expect(0, 110593, '\p{Sc=kana}', "");
Expect(1, 110593, '\p{^Sc=kana}', "");
Expect(1, 110593, '\P{Sc=kana}', "");
Expect(0, 110593, '\P{^Sc=kana}', "");
Expect(1, 110592, '\p{Sc=  kana}', "");
Expect(0, 110592, '\p{^Sc=  kana}', "");
Expect(0, 110592, '\P{Sc=  kana}', "");
Expect(1, 110592, '\P{^Sc=  kana}', "");
Expect(0, 110593, '\p{Sc=  kana}', "");
Expect(1, 110593, '\p{^Sc=  kana}', "");
Expect(1, 110593, '\P{Sc=  kana}', "");
Expect(0, 110593, '\P{^Sc=  kana}', "");
Error('\p{Is_Script= 	Katakana/a/}');
Error('\P{Is_Script= 	Katakana/a/}');
Expect(1, 110592, '\p{Is_Script=katakana}', "");
Expect(0, 110592, '\p{^Is_Script=katakana}', "");
Expect(0, 110592, '\P{Is_Script=katakana}', "");
Expect(1, 110592, '\P{^Is_Script=katakana}', "");
Expect(0, 110593, '\p{Is_Script=katakana}', "");
Expect(1, 110593, '\p{^Is_Script=katakana}', "");
Expect(1, 110593, '\P{Is_Script=katakana}', "");
Expect(0, 110593, '\P{^Is_Script=katakana}', "");
Error('\p{Is_Sc=/a/_-Kana}');
Error('\P{Is_Sc=/a/_-Kana}');
Expect(1, 110592, '\p{Is_Sc=kana}', "");
Expect(0, 110592, '\p{^Is_Sc=kana}', "");
Expect(0, 110592, '\P{Is_Sc=kana}', "");
Expect(1, 110592, '\P{^Is_Sc=kana}', "");
Expect(0, 110593, '\p{Is_Sc=kana}', "");
Expect(1, 110593, '\p{^Is_Sc=kana}', "");
Expect(1, 110593, '\P{Is_Sc=kana}', "");
Expect(0, 110593, '\P{^Is_Sc=kana}', "");
Expect(1, 110592, '\p{Is_Sc=_Kana}', "");
Expect(0, 110592, '\p{^Is_Sc=_Kana}', "");
Expect(0, 110592, '\P{Is_Sc=_Kana}', "");
Expect(1, 110592, '\P{^Is_Sc=_Kana}', "");
Expect(0, 110593, '\p{Is_Sc=_Kana}', "");
Expect(1, 110593, '\p{^Is_Sc=_Kana}', "");
Expect(1, 110593, '\P{Is_Sc=_Kana}', "");
Expect(0, 110593, '\P{^Is_Sc=_Kana}', "");
Error('\p{Script=__Kharoshthi:=}');
Error('\P{Script=__Kharoshthi:=}');
Expect(1, 68184, '\p{Script:	kharoshthi}', "");
Expect(0, 68184, '\p{^Script:	kharoshthi}', "");
Expect(0, 68184, '\P{Script:	kharoshthi}', "");
Expect(1, 68184, '\P{^Script:	kharoshthi}', "");
Expect(0, 68185, '\p{Script:	kharoshthi}', "");
Expect(1, 68185, '\p{^Script:	kharoshthi}', "");
Expect(1, 68185, '\P{Script:	kharoshthi}', "");
Expect(0, 68185, '\P{^Script:	kharoshthi}', "");
Expect(1, 68184, '\p{Script= Kharoshthi}', "");
Expect(0, 68184, '\p{^Script= Kharoshthi}', "");
Expect(0, 68184, '\P{Script= Kharoshthi}', "");
Expect(1, 68184, '\P{^Script= Kharoshthi}', "");
Expect(0, 68185, '\p{Script= Kharoshthi}', "");
Expect(1, 68185, '\p{^Script= Kharoshthi}', "");
Expect(1, 68185, '\P{Script= Kharoshthi}', "");
Expect(0, 68185, '\P{^Script= Kharoshthi}', "");
Error('\p{Sc=/a/-Khar}');
Error('\P{Sc=/a/-Khar}');
Expect(1, 68184, '\p{Sc=khar}', "");
Expect(0, 68184, '\p{^Sc=khar}', "");
Expect(0, 68184, '\P{Sc=khar}', "");
Expect(1, 68184, '\P{^Sc=khar}', "");
Expect(0, 68185, '\p{Sc=khar}', "");
Expect(1, 68185, '\p{^Sc=khar}', "");
Expect(1, 68185, '\P{Sc=khar}', "");
Expect(0, 68185, '\P{^Sc=khar}', "");
Expect(1, 68184, '\p{Sc= Khar}', "");
Expect(0, 68184, '\p{^Sc= Khar}', "");
Expect(0, 68184, '\P{Sc= Khar}', "");
Expect(1, 68184, '\P{^Sc= Khar}', "");
Expect(0, 68185, '\p{Sc= Khar}', "");
Expect(1, 68185, '\p{^Sc= Khar}', "");
Expect(1, 68185, '\P{Sc= Khar}', "");
Expect(0, 68185, '\P{^Sc= Khar}', "");
Error('\p{Is_Script= /a/kharoshthi}');
Error('\P{Is_Script= /a/kharoshthi}');
Expect(1, 68184, '\p{Is_Script=kharoshthi}', "");
Expect(0, 68184, '\p{^Is_Script=kharoshthi}', "");
Expect(0, 68184, '\P{Is_Script=kharoshthi}', "");
Expect(1, 68184, '\P{^Is_Script=kharoshthi}', "");
Expect(0, 68185, '\p{Is_Script=kharoshthi}', "");
Expect(1, 68185, '\p{^Is_Script=kharoshthi}', "");
Expect(1, 68185, '\P{Is_Script=kharoshthi}', "");
Expect(0, 68185, '\P{^Is_Script=kharoshthi}', "");
Expect(1, 68184, '\p{Is_Script=_KHAROSHTHI}', "");
Expect(0, 68184, '\p{^Is_Script=_KHAROSHTHI}', "");
Expect(0, 68184, '\P{Is_Script=_KHAROSHTHI}', "");
Expect(1, 68184, '\P{^Is_Script=_KHAROSHTHI}', "");
Expect(0, 68185, '\p{Is_Script=_KHAROSHTHI}', "");
Expect(1, 68185, '\p{^Is_Script=_KHAROSHTHI}', "");
Expect(1, 68185, '\P{Is_Script=_KHAROSHTHI}', "");
Expect(0, 68185, '\P{^Is_Script=_KHAROSHTHI}', "");
Error('\p{Is_Sc:_:=Khar}');
Error('\P{Is_Sc:_:=Khar}');
Expect(1, 68184, '\p{Is_Sc=khar}', "");
Expect(0, 68184, '\p{^Is_Sc=khar}', "");
Expect(0, 68184, '\P{Is_Sc=khar}', "");
Expect(1, 68184, '\P{^Is_Sc=khar}', "");
Expect(0, 68185, '\p{Is_Sc=khar}', "");
Expect(1, 68185, '\p{^Is_Sc=khar}', "");
Expect(1, 68185, '\P{Is_Sc=khar}', "");
Expect(0, 68185, '\P{^Is_Sc=khar}', "");
Expect(1, 68184, '\p{Is_Sc=	_Khar}', "");
Expect(0, 68184, '\p{^Is_Sc=	_Khar}', "");
Expect(0, 68184, '\P{Is_Sc=	_Khar}', "");
Expect(1, 68184, '\P{^Is_Sc=	_Khar}', "");
Expect(0, 68185, '\p{Is_Sc=	_Khar}', "");
Expect(1, 68185, '\p{^Is_Sc=	_Khar}', "");
Expect(1, 68185, '\P{Is_Sc=	_Khar}', "");
Expect(0, 68185, '\P{^Is_Sc=	_Khar}', "");
Error('\p{Script=-:=khmer}');
Error('\P{Script=-:=khmer}');
Expect(1, 6655, '\p{Script=khmer}', "");
Expect(0, 6655, '\p{^Script=khmer}', "");
Expect(0, 6655, '\P{Script=khmer}', "");
Expect(1, 6655, '\P{^Script=khmer}', "");
Expect(0, 6656, '\p{Script=khmer}', "");
Expect(1, 6656, '\p{^Script=khmer}', "");
Expect(1, 6656, '\P{Script=khmer}', "");
Expect(0, 6656, '\P{^Script=khmer}', "");
Expect(1, 6655, '\p{Script= khmer}', "");
Expect(0, 6655, '\p{^Script= khmer}', "");
Expect(0, 6655, '\P{Script= khmer}', "");
Expect(1, 6655, '\P{^Script= khmer}', "");
Expect(0, 6656, '\p{Script= khmer}', "");
Expect(1, 6656, '\p{^Script= khmer}', "");
Expect(1, 6656, '\P{Script= khmer}', "");
Expect(0, 6656, '\P{^Script= khmer}', "");
Error('\p{Sc= 	Khmr/a/}');
Error('\P{Sc= 	Khmr/a/}');
Expect(1, 6655, '\p{Sc=khmr}', "");
Expect(0, 6655, '\p{^Sc=khmr}', "");
Expect(0, 6655, '\P{Sc=khmr}', "");
Expect(1, 6655, '\P{^Sc=khmr}', "");
Expect(0, 6656, '\p{Sc=khmr}', "");
Expect(1, 6656, '\p{^Sc=khmr}', "");
Expect(1, 6656, '\P{Sc=khmr}', "");
Expect(0, 6656, '\P{^Sc=khmr}', "");
Expect(1, 6655, '\p{Sc=- Khmr}', "");
Expect(0, 6655, '\p{^Sc=- Khmr}', "");
Expect(0, 6655, '\P{Sc=- Khmr}', "");
Expect(1, 6655, '\P{^Sc=- Khmr}', "");
Expect(0, 6656, '\p{Sc=- Khmr}', "");
Expect(1, 6656, '\p{^Sc=- Khmr}', "");
Expect(1, 6656, '\P{Sc=- Khmr}', "");
Expect(0, 6656, '\P{^Sc=- Khmr}', "");
Error('\p{Is_Script:	_/a/KHMER}');
Error('\P{Is_Script:	_/a/KHMER}');
Expect(1, 6655, '\p{Is_Script=khmer}', "");
Expect(0, 6655, '\p{^Is_Script=khmer}', "");
Expect(0, 6655, '\P{Is_Script=khmer}', "");
Expect(1, 6655, '\P{^Is_Script=khmer}', "");
Expect(0, 6656, '\p{Is_Script=khmer}', "");
Expect(1, 6656, '\p{^Is_Script=khmer}', "");
Expect(1, 6656, '\P{Is_Script=khmer}', "");
Expect(0, 6656, '\P{^Is_Script=khmer}', "");
Expect(1, 6655, '\p{Is_Script=-KHMER}', "");
Expect(0, 6655, '\p{^Is_Script=-KHMER}', "");
Expect(0, 6655, '\P{Is_Script=-KHMER}', "");
Expect(1, 6655, '\P{^Is_Script=-KHMER}', "");
Expect(0, 6656, '\p{Is_Script=-KHMER}', "");
Expect(1, 6656, '\p{^Is_Script=-KHMER}', "");
Expect(1, 6656, '\P{Is_Script=-KHMER}', "");
Expect(0, 6656, '\P{^Is_Script=-KHMER}', "");
Error('\p{Is_Sc=--khmr:=}');
Error('\P{Is_Sc=--khmr:=}');
Expect(1, 6655, '\p{Is_Sc=khmr}', "");
Expect(0, 6655, '\p{^Is_Sc=khmr}', "");
Expect(0, 6655, '\P{Is_Sc=khmr}', "");
Expect(1, 6655, '\P{^Is_Sc=khmr}', "");
Expect(0, 6656, '\p{Is_Sc=khmr}', "");
Expect(1, 6656, '\p{^Is_Sc=khmr}', "");
Expect(1, 6656, '\P{Is_Sc=khmr}', "");
Expect(0, 6656, '\P{^Is_Sc=khmr}', "");
Expect(1, 6655, '\p{Is_Sc=_ KHMR}', "");
Expect(0, 6655, '\p{^Is_Sc=_ KHMR}', "");
Expect(0, 6655, '\P{Is_Sc=_ KHMR}', "");
Expect(1, 6655, '\P{^Is_Sc=_ KHMR}', "");
Expect(0, 6656, '\p{Is_Sc=_ KHMR}', "");
Expect(1, 6656, '\p{^Is_Sc=_ KHMR}', "");
Expect(1, 6656, '\P{Is_Sc=_ KHMR}', "");
Expect(0, 6656, '\P{^Is_Sc=_ KHMR}', "");
Error('\p{Script=_:=KHOJKI}');
Error('\P{Script=_:=KHOJKI}');
Expect(1, 70205, '\p{Script=khojki}', "");
Expect(0, 70205, '\p{^Script=khojki}', "");
Expect(0, 70205, '\P{Script=khojki}', "");
Expect(1, 70205, '\P{^Script=khojki}', "");
Expect(0, 70206, '\p{Script=khojki}', "");
Expect(1, 70206, '\p{^Script=khojki}', "");
Expect(1, 70206, '\P{Script=khojki}', "");
Expect(0, 70206, '\P{^Script=khojki}', "");
Error('\p{Sc=_:=KHOJ}');
Error('\P{Sc=_:=KHOJ}');
Expect(1, 70205, '\p{Sc=khoj}', "");
Expect(0, 70205, '\p{^Sc=khoj}', "");
Expect(0, 70205, '\P{Sc=khoj}', "");
Expect(1, 70205, '\P{^Sc=khoj}', "");
Expect(0, 70206, '\p{Sc=khoj}', "");
Expect(1, 70206, '\p{^Sc=khoj}', "");
Expect(1, 70206, '\P{Sc=khoj}', "");
Expect(0, 70206, '\P{^Sc=khoj}', "");
Expect(1, 70205, '\p{Sc=-Khoj}', "");
Expect(0, 70205, '\p{^Sc=-Khoj}', "");
Expect(0, 70205, '\P{Sc=-Khoj}', "");
Expect(1, 70205, '\P{^Sc=-Khoj}', "");
Expect(0, 70206, '\p{Sc=-Khoj}', "");
Expect(1, 70206, '\p{^Sc=-Khoj}', "");
Expect(1, 70206, '\P{Sc=-Khoj}', "");
Expect(0, 70206, '\P{^Sc=-Khoj}', "");
Error('\p{Is_Script:   /a/_Khojki}');
Error('\P{Is_Script:   /a/_Khojki}');
Expect(1, 70205, '\p{Is_Script=khojki}', "");
Expect(0, 70205, '\p{^Is_Script=khojki}', "");
Expect(0, 70205, '\P{Is_Script=khojki}', "");
Expect(1, 70205, '\P{^Is_Script=khojki}', "");
Expect(0, 70206, '\p{Is_Script=khojki}', "");
Expect(1, 70206, '\p{^Is_Script=khojki}', "");
Expect(1, 70206, '\P{Is_Script=khojki}', "");
Expect(0, 70206, '\P{^Is_Script=khojki}', "");
Expect(1, 70205, '\p{Is_Script=-KHOJKI}', "");
Expect(0, 70205, '\p{^Is_Script=-KHOJKI}', "");
Expect(0, 70205, '\P{Is_Script=-KHOJKI}', "");
Expect(1, 70205, '\P{^Is_Script=-KHOJKI}', "");
Expect(0, 70206, '\p{Is_Script=-KHOJKI}', "");
Expect(1, 70206, '\p{^Is_Script=-KHOJKI}', "");
Expect(1, 70206, '\P{Is_Script=-KHOJKI}', "");
Expect(0, 70206, '\P{^Is_Script=-KHOJKI}', "");
Error('\p{Is_Sc=_/a/Khoj}');
Error('\P{Is_Sc=_/a/Khoj}');
Expect(1, 70205, '\p{Is_Sc: khoj}', "");
Expect(0, 70205, '\p{^Is_Sc: khoj}', "");
Expect(0, 70205, '\P{Is_Sc: khoj}', "");
Expect(1, 70205, '\P{^Is_Sc: khoj}', "");
Expect(0, 70206, '\p{Is_Sc: khoj}', "");
Expect(1, 70206, '\p{^Is_Sc: khoj}', "");
Expect(1, 70206, '\P{Is_Sc: khoj}', "");
Expect(0, 70206, '\P{^Is_Sc: khoj}', "");
Expect(1, 70205, '\p{Is_Sc=	Khoj}', "");
Expect(0, 70205, '\p{^Is_Sc=	Khoj}', "");
Expect(0, 70205, '\P{Is_Sc=	Khoj}', "");
Expect(1, 70205, '\P{^Is_Sc=	Khoj}', "");
Expect(0, 70206, '\p{Is_Sc=	Khoj}', "");
Expect(1, 70206, '\p{^Is_Sc=	Khoj}', "");
Expect(1, 70206, '\P{Is_Sc=	Khoj}', "");
Expect(0, 70206, '\P{^Is_Sc=	Khoj}', "");
Error('\p{Script=/a/kannada}');
Error('\P{Script=/a/kannada}');
Expect(1, 3314, '\p{Script: kannada}', "");
Expect(0, 3314, '\p{^Script: kannada}', "");
Expect(0, 3314, '\P{Script: kannada}', "");
Expect(1, 3314, '\P{^Script: kannada}', "");
Expect(0, 3315, '\p{Script: kannada}', "");
Expect(1, 3315, '\p{^Script: kannada}', "");
Expect(1, 3315, '\P{Script: kannada}', "");
Expect(0, 3315, '\P{^Script: kannada}', "");
Expect(1, 3314, '\p{Script=	KANNADA}', "");
Expect(0, 3314, '\p{^Script=	KANNADA}', "");
Expect(0, 3314, '\P{Script=	KANNADA}', "");
Expect(1, 3314, '\P{^Script=	KANNADA}', "");
Expect(0, 3315, '\p{Script=	KANNADA}', "");
Expect(1, 3315, '\p{^Script=	KANNADA}', "");
Expect(1, 3315, '\P{Script=	KANNADA}', "");
Expect(0, 3315, '\P{^Script=	KANNADA}', "");
Error('\p{Sc=-:=Knda}');
Error('\P{Sc=-:=Knda}');
Expect(1, 3314, '\p{Sc=knda}', "");
Expect(0, 3314, '\p{^Sc=knda}', "");
Expect(0, 3314, '\P{Sc=knda}', "");
Expect(1, 3314, '\P{^Sc=knda}', "");
Expect(0, 3315, '\p{Sc=knda}', "");
Expect(1, 3315, '\p{^Sc=knda}', "");
Expect(1, 3315, '\P{Sc=knda}', "");
Expect(0, 3315, '\P{^Sc=knda}', "");
Expect(1, 3314, '\p{Sc= -knda}', "");
Expect(0, 3314, '\p{^Sc= -knda}', "");
Expect(0, 3314, '\P{Sc= -knda}', "");
Expect(1, 3314, '\P{^Sc= -knda}', "");
Expect(0, 3315, '\p{Sc= -knda}', "");
Expect(1, 3315, '\p{^Sc= -knda}', "");
Expect(1, 3315, '\P{Sc= -knda}', "");
Expect(0, 3315, '\P{^Sc= -knda}', "");
Error('\p{Is_Script=--KANNADA/a/}');
Error('\P{Is_Script=--KANNADA/a/}');
Expect(1, 3314, '\p{Is_Script=kannada}', "");
Expect(0, 3314, '\p{^Is_Script=kannada}', "");
Expect(0, 3314, '\P{Is_Script=kannada}', "");
Expect(1, 3314, '\P{^Is_Script=kannada}', "");
Expect(0, 3315, '\p{Is_Script=kannada}', "");
Expect(1, 3315, '\p{^Is_Script=kannada}', "");
Expect(1, 3315, '\P{Is_Script=kannada}', "");
Expect(0, 3315, '\P{^Is_Script=kannada}', "");
Expect(1, 3314, '\p{Is_Script= Kannada}', "");
Expect(0, 3314, '\p{^Is_Script= Kannada}', "");
Expect(0, 3314, '\P{Is_Script= Kannada}', "");
Expect(1, 3314, '\P{^Is_Script= Kannada}', "");
Expect(0, 3315, '\p{Is_Script= Kannada}', "");
Expect(1, 3315, '\p{^Is_Script= Kannada}', "");
Expect(1, 3315, '\P{Is_Script= Kannada}', "");
Expect(0, 3315, '\P{^Is_Script= Kannada}', "");
Error('\p{Is_Sc:/a/_Knda}');
Error('\P{Is_Sc:/a/_Knda}');
Expect(1, 3314, '\p{Is_Sc:	knda}', "");
Expect(0, 3314, '\p{^Is_Sc:	knda}', "");
Expect(0, 3314, '\P{Is_Sc:	knda}', "");
Expect(1, 3314, '\P{^Is_Sc:	knda}', "");
Expect(0, 3315, '\p{Is_Sc:	knda}', "");
Expect(1, 3315, '\p{^Is_Sc:	knda}', "");
Expect(1, 3315, '\P{Is_Sc:	knda}', "");
Expect(0, 3315, '\P{^Is_Sc:	knda}', "");
Expect(1, 3314, '\p{Is_Sc=_knda}', "");
Expect(0, 3314, '\p{^Is_Sc=_knda}', "");
Expect(0, 3314, '\P{Is_Sc=_knda}', "");
Expect(1, 3314, '\P{^Is_Sc=_knda}', "");
Expect(0, 3315, '\p{Is_Sc=_knda}', "");
Expect(1, 3315, '\p{^Is_Sc=_knda}', "");
Expect(1, 3315, '\P{Is_Sc=_knda}', "");
Expect(0, 3315, '\P{^Is_Sc=_knda}', "");
Error('\p{Script:   	 KAITHI/a/}');
Error('\P{Script:   	 KAITHI/a/}');
Expect(1, 69825, '\p{Script=kaithi}', "");
Expect(0, 69825, '\p{^Script=kaithi}', "");
Expect(0, 69825, '\P{Script=kaithi}', "");
Expect(1, 69825, '\P{^Script=kaithi}', "");
Expect(0, 69826, '\p{Script=kaithi}', "");
Expect(1, 69826, '\p{^Script=kaithi}', "");
Expect(1, 69826, '\P{Script=kaithi}', "");
Expect(0, 69826, '\P{^Script=kaithi}', "");
Expect(1, 69825, '\p{Script=		KAITHI}', "");
Expect(0, 69825, '\p{^Script=		KAITHI}', "");
Expect(0, 69825, '\P{Script=		KAITHI}', "");
Expect(1, 69825, '\P{^Script=		KAITHI}', "");
Expect(0, 69826, '\p{Script=		KAITHI}', "");
Expect(1, 69826, '\p{^Script=		KAITHI}', "");
Expect(1, 69826, '\P{Script=		KAITHI}', "");
Expect(0, 69826, '\P{^Script=		KAITHI}', "");
Error('\p{Sc=-_kthi:=}');
Error('\P{Sc=-_kthi:=}');
Expect(1, 69825, '\p{Sc=kthi}', "");
Expect(0, 69825, '\p{^Sc=kthi}', "");
Expect(0, 69825, '\P{Sc=kthi}', "");
Expect(1, 69825, '\P{^Sc=kthi}', "");
Expect(0, 69826, '\p{Sc=kthi}', "");
Expect(1, 69826, '\p{^Sc=kthi}', "");
Expect(1, 69826, '\P{Sc=kthi}', "");
Expect(0, 69826, '\P{^Sc=kthi}', "");
Expect(1, 69825, '\p{Sc=KTHI}', "");
Expect(0, 69825, '\p{^Sc=KTHI}', "");
Expect(0, 69825, '\P{Sc=KTHI}', "");
Expect(1, 69825, '\P{^Sc=KTHI}', "");
Expect(0, 69826, '\p{Sc=KTHI}', "");
Expect(1, 69826, '\p{^Sc=KTHI}', "");
Expect(1, 69826, '\P{Sc=KTHI}', "");
Expect(0, 69826, '\P{^Sc=KTHI}', "");
Error('\p{Is_Script=--Kaithi/a/}');
Error('\P{Is_Script=--Kaithi/a/}');
Expect(1, 69825, '\p{Is_Script=kaithi}', "");
Expect(0, 69825, '\p{^Is_Script=kaithi}', "");
Expect(0, 69825, '\P{Is_Script=kaithi}', "");
Expect(1, 69825, '\P{^Is_Script=kaithi}', "");
Expect(0, 69826, '\p{Is_Script=kaithi}', "");
Expect(1, 69826, '\p{^Is_Script=kaithi}', "");
Expect(1, 69826, '\P{Is_Script=kaithi}', "");
Expect(0, 69826, '\P{^Is_Script=kaithi}', "");
Expect(1, 69825, '\p{Is_Script=__KAITHI}', "");
Expect(0, 69825, '\p{^Is_Script=__KAITHI}', "");
Expect(0, 69825, '\P{Is_Script=__KAITHI}', "");
Expect(1, 69825, '\P{^Is_Script=__KAITHI}', "");
Expect(0, 69826, '\p{Is_Script=__KAITHI}', "");
Expect(1, 69826, '\p{^Is_Script=__KAITHI}', "");
Expect(1, 69826, '\P{Is_Script=__KAITHI}', "");
Expect(0, 69826, '\P{^Is_Script=__KAITHI}', "");
Error('\p{Is_Sc=/a/-	Kthi}');
Error('\P{Is_Sc=/a/-	Kthi}');
Expect(1, 69825, '\p{Is_Sc=kthi}', "");
Expect(0, 69825, '\p{^Is_Sc=kthi}', "");
Expect(0, 69825, '\P{Is_Sc=kthi}', "");
Expect(1, 69825, '\P{^Is_Sc=kthi}', "");
Expect(0, 69826, '\p{Is_Sc=kthi}', "");
Expect(1, 69826, '\p{^Is_Sc=kthi}', "");
Expect(1, 69826, '\P{Is_Sc=kthi}', "");
Expect(0, 69826, '\P{^Is_Sc=kthi}', "");
Expect(1, 69825, '\p{Is_Sc= Kthi}', "");
Expect(0, 69825, '\p{^Is_Sc= Kthi}', "");
Expect(0, 69825, '\P{Is_Sc= Kthi}', "");
Expect(1, 69825, '\P{^Is_Sc= Kthi}', "");
Expect(0, 69826, '\p{Is_Sc= Kthi}', "");
Expect(1, 69826, '\p{^Is_Sc= Kthi}', "");
Expect(1, 69826, '\P{Is_Sc= Kthi}', "");
Expect(0, 69826, '\P{^Is_Sc= Kthi}', "");
Error('\p{Script:	/a/	Tai_tham}');
Error('\P{Script:	/a/	Tai_tham}');
Expect(1, 6829, '\p{Script=taitham}', "");
Expect(0, 6829, '\p{^Script=taitham}', "");
Expect(0, 6829, '\P{Script=taitham}', "");
Expect(1, 6829, '\P{^Script=taitham}', "");
Expect(0, 6830, '\p{Script=taitham}', "");
Expect(1, 6830, '\p{^Script=taitham}', "");
Expect(1, 6830, '\P{Script=taitham}', "");
Expect(0, 6830, '\P{^Script=taitham}', "");
Expect(1, 6829, '\p{Script=-tai_Tham}', "");
Expect(0, 6829, '\p{^Script=-tai_Tham}', "");
Expect(0, 6829, '\P{Script=-tai_Tham}', "");
Expect(1, 6829, '\P{^Script=-tai_Tham}', "");
Expect(0, 6830, '\p{Script=-tai_Tham}', "");
Expect(1, 6830, '\p{^Script=-tai_Tham}', "");
Expect(1, 6830, '\P{Script=-tai_Tham}', "");
Expect(0, 6830, '\P{^Script=-tai_Tham}', "");
Error('\p{Sc=:= Lana}');
Error('\P{Sc=:= Lana}');
Expect(1, 6829, '\p{Sc=lana}', "");
Expect(0, 6829, '\p{^Sc=lana}', "");
Expect(0, 6829, '\P{Sc=lana}', "");
Expect(1, 6829, '\P{^Sc=lana}', "");
Expect(0, 6830, '\p{Sc=lana}', "");
Expect(1, 6830, '\p{^Sc=lana}', "");
Expect(1, 6830, '\P{Sc=lana}', "");
Expect(0, 6830, '\P{^Sc=lana}', "");
Expect(1, 6829, '\p{Sc=_Lana}', "");
Expect(0, 6829, '\p{^Sc=_Lana}', "");
Expect(0, 6829, '\P{Sc=_Lana}', "");
Expect(1, 6829, '\P{^Sc=_Lana}', "");
Expect(0, 6830, '\p{Sc=_Lana}', "");
Expect(1, 6830, '\p{^Sc=_Lana}', "");
Expect(1, 6830, '\P{Sc=_Lana}', "");
Expect(0, 6830, '\P{^Sc=_Lana}', "");
Error('\p{Is_Script= -tai_THAM/a/}');
Error('\P{Is_Script= -tai_THAM/a/}');
Expect(1, 6829, '\p{Is_Script=taitham}', "");
Expect(0, 6829, '\p{^Is_Script=taitham}', "");
Expect(0, 6829, '\P{Is_Script=taitham}', "");
Expect(1, 6829, '\P{^Is_Script=taitham}', "");
Expect(0, 6830, '\p{Is_Script=taitham}', "");
Expect(1, 6830, '\p{^Is_Script=taitham}', "");
Expect(1, 6830, '\P{Is_Script=taitham}', "");
Expect(0, 6830, '\P{^Is_Script=taitham}', "");
Expect(1, 6829, '\p{Is_Script=_-Tai_tham}', "");
Expect(0, 6829, '\p{^Is_Script=_-Tai_tham}', "");
Expect(0, 6829, '\P{Is_Script=_-Tai_tham}', "");
Expect(1, 6829, '\P{^Is_Script=_-Tai_tham}', "");
Expect(0, 6830, '\p{Is_Script=_-Tai_tham}', "");
Expect(1, 6830, '\p{^Is_Script=_-Tai_tham}', "");
Expect(1, 6830, '\P{Is_Script=_-Tai_tham}', "");
Expect(0, 6830, '\P{^Is_Script=_-Tai_tham}', "");
Error('\p{Is_Sc=/a/-	lana}');
Error('\P{Is_Sc=/a/-	lana}');
Expect(1, 6829, '\p{Is_Sc=lana}', "");
Expect(0, 6829, '\p{^Is_Sc=lana}', "");
Expect(0, 6829, '\P{Is_Sc=lana}', "");
Expect(1, 6829, '\P{^Is_Sc=lana}', "");
Expect(0, 6830, '\p{Is_Sc=lana}', "");
Expect(1, 6830, '\p{^Is_Sc=lana}', "");
Expect(1, 6830, '\P{Is_Sc=lana}', "");
Expect(0, 6830, '\P{^Is_Sc=lana}', "");
Expect(1, 6829, '\p{Is_Sc=	LANA}', "");
Expect(0, 6829, '\p{^Is_Sc=	LANA}', "");
Expect(0, 6829, '\P{Is_Sc=	LANA}', "");
Expect(1, 6829, '\P{^Is_Sc=	LANA}', "");
Expect(0, 6830, '\p{Is_Sc=	LANA}', "");
Expect(1, 6830, '\p{^Is_Sc=	LANA}', "");
Expect(1, 6830, '\P{Is_Sc=	LANA}', "");
Expect(0, 6830, '\P{^Is_Sc=	LANA}', "");
Error('\p{Script=/a/-	Lao}');
Error('\P{Script=/a/-	Lao}');
Expect(1, 3807, '\p{Script=lao}', "");
Expect(0, 3807, '\p{^Script=lao}', "");
Expect(0, 3807, '\P{Script=lao}', "");
Expect(1, 3807, '\P{^Script=lao}', "");
Expect(0, 3808, '\p{Script=lao}', "");
Expect(1, 3808, '\p{^Script=lao}', "");
Expect(1, 3808, '\P{Script=lao}', "");
Expect(0, 3808, '\P{^Script=lao}', "");
Expect(1, 3807, '\p{Script=-lao}', "");
Expect(0, 3807, '\p{^Script=-lao}', "");
Expect(0, 3807, '\P{Script=-lao}', "");
Expect(1, 3807, '\P{^Script=-lao}', "");
Expect(0, 3808, '\p{Script=-lao}', "");
Expect(1, 3808, '\p{^Script=-lao}', "");
Expect(1, 3808, '\P{Script=-lao}', "");
Expect(0, 3808, '\P{^Script=-lao}', "");
Error('\p{Sc=_Laoo:=}');
Error('\P{Sc=_Laoo:=}');
Expect(1, 3807, '\p{Sc=laoo}', "");
Expect(0, 3807, '\p{^Sc=laoo}', "");
Expect(0, 3807, '\P{Sc=laoo}', "");
Expect(1, 3807, '\P{^Sc=laoo}', "");
Expect(0, 3808, '\p{Sc=laoo}', "");
Expect(1, 3808, '\p{^Sc=laoo}', "");
Expect(1, 3808, '\P{Sc=laoo}', "");
Expect(0, 3808, '\P{^Sc=laoo}', "");
Expect(1, 3807, '\p{Sc=		laoo}', "");
Expect(0, 3807, '\p{^Sc=		laoo}', "");
Expect(0, 3807, '\P{Sc=		laoo}', "");
Expect(1, 3807, '\P{^Sc=		laoo}', "");
Expect(0, 3808, '\p{Sc=		laoo}', "");
Expect(1, 3808, '\p{^Sc=		laoo}', "");
Expect(1, 3808, '\P{Sc=		laoo}', "");
Expect(0, 3808, '\P{^Sc=		laoo}', "");
Error('\p{Is_Script= _Lao:=}');
Error('\P{Is_Script= _Lao:=}');
Expect(1, 3807, '\p{Is_Script=lao}', "");
Expect(0, 3807, '\p{^Is_Script=lao}', "");
Expect(0, 3807, '\P{Is_Script=lao}', "");
Expect(1, 3807, '\P{^Is_Script=lao}', "");
Expect(0, 3808, '\p{Is_Script=lao}', "");
Expect(1, 3808, '\p{^Is_Script=lao}', "");
Expect(1, 3808, '\P{Is_Script=lao}', "");
Expect(0, 3808, '\P{^Is_Script=lao}', "");
Expect(1, 3807, '\p{Is_Script= _lao}', "");
Expect(0, 3807, '\p{^Is_Script= _lao}', "");
Expect(0, 3807, '\P{Is_Script= _lao}', "");
Expect(1, 3807, '\P{^Is_Script= _lao}', "");
Expect(0, 3808, '\p{Is_Script= _lao}', "");
Expect(1, 3808, '\p{^Is_Script= _lao}', "");
Expect(1, 3808, '\P{Is_Script= _lao}', "");
Expect(0, 3808, '\P{^Is_Script= _lao}', "");
Error('\p{Is_Sc=:=-Laoo}');
Error('\P{Is_Sc=:=-Laoo}');
Expect(1, 3807, '\p{Is_Sc=laoo}', "");
Expect(0, 3807, '\p{^Is_Sc=laoo}', "");
Expect(0, 3807, '\P{Is_Sc=laoo}', "");
Expect(1, 3807, '\P{^Is_Sc=laoo}', "");
Expect(0, 3808, '\p{Is_Sc=laoo}', "");
Expect(1, 3808, '\p{^Is_Sc=laoo}', "");
Expect(1, 3808, '\P{Is_Sc=laoo}', "");
Expect(0, 3808, '\P{^Is_Sc=laoo}', "");
Expect(1, 3807, '\p{Is_Sc=	Laoo}', "");
Expect(0, 3807, '\p{^Is_Sc=	Laoo}', "");
Expect(0, 3807, '\P{Is_Sc=	Laoo}', "");
Expect(1, 3807, '\P{^Is_Sc=	Laoo}', "");
Expect(0, 3808, '\p{Is_Sc=	Laoo}', "");
Expect(1, 3808, '\p{^Is_Sc=	Laoo}', "");
Expect(1, 3808, '\P{Is_Sc=	Laoo}', "");
Expect(0, 3808, '\P{^Is_Sc=	Laoo}', "");
Error('\p{Script=	/a/Latin}');
Error('\P{Script=	/a/Latin}');
Expect(1, 65370, '\p{Script=latin}', "");
Expect(0, 65370, '\p{^Script=latin}', "");
Expect(0, 65370, '\P{Script=latin}', "");
Expect(1, 65370, '\P{^Script=latin}', "");
Expect(0, 65371, '\p{Script=latin}', "");
Expect(1, 65371, '\p{^Script=latin}', "");
Expect(1, 65371, '\P{Script=latin}', "");
Expect(0, 65371, '\P{^Script=latin}', "");
Expect(1, 65370, '\p{Script=-Latin}', "");
Expect(0, 65370, '\p{^Script=-Latin}', "");
Expect(0, 65370, '\P{Script=-Latin}', "");
Expect(1, 65370, '\P{^Script=-Latin}', "");
Expect(0, 65371, '\p{Script=-Latin}', "");
Expect(1, 65371, '\p{^Script=-Latin}', "");
Expect(1, 65371, '\P{Script=-Latin}', "");
Expect(0, 65371, '\P{^Script=-Latin}', "");
Error('\p{Sc=/a/  latn}');
Error('\P{Sc=/a/  latn}');
Expect(1, 65370, '\p{Sc:   latn}', "");
Expect(0, 65370, '\p{^Sc:   latn}', "");
Expect(0, 65370, '\P{Sc:   latn}', "");
Expect(1, 65370, '\P{^Sc:   latn}', "");
Expect(0, 65371, '\p{Sc:   latn}', "");
Expect(1, 65371, '\p{^Sc:   latn}', "");
Expect(1, 65371, '\P{Sc:   latn}', "");
Expect(0, 65371, '\P{^Sc:   latn}', "");
Expect(1, 65370, '\p{Sc=-Latn}', "");
Expect(0, 65370, '\p{^Sc=-Latn}', "");
Expect(0, 65370, '\P{Sc=-Latn}', "");
Expect(1, 65370, '\P{^Sc=-Latn}', "");
Expect(0, 65371, '\p{Sc=-Latn}', "");
Expect(1, 65371, '\p{^Sc=-Latn}', "");
Expect(1, 65371, '\P{Sc=-Latn}', "");
Expect(0, 65371, '\P{^Sc=-Latn}', "");
Error('\p{Is_Script:   :=_ latin}');
Error('\P{Is_Script:   :=_ latin}');
Expect(1, 65370, '\p{Is_Script=latin}', "");
Expect(0, 65370, '\p{^Is_Script=latin}', "");
Expect(0, 65370, '\P{Is_Script=latin}', "");
Expect(1, 65370, '\P{^Is_Script=latin}', "");
Expect(0, 65371, '\p{Is_Script=latin}', "");
Expect(1, 65371, '\p{^Is_Script=latin}', "");
Expect(1, 65371, '\P{Is_Script=latin}', "");
Expect(0, 65371, '\P{^Is_Script=latin}', "");
Expect(1, 65370, '\p{Is_Script:	--Latin}', "");
Expect(0, 65370, '\p{^Is_Script:	--Latin}', "");
Expect(0, 65370, '\P{Is_Script:	--Latin}', "");
Expect(1, 65370, '\P{^Is_Script:	--Latin}', "");
Expect(0, 65371, '\p{Is_Script:	--Latin}', "");
Expect(1, 65371, '\p{^Is_Script:	--Latin}', "");
Expect(1, 65371, '\P{Is_Script:	--Latin}', "");
Expect(0, 65371, '\P{^Is_Script:	--Latin}', "");
Error('\p{Is_Sc=:=	 Latn}');
Error('\P{Is_Sc=:=	 Latn}');
Expect(1, 65370, '\p{Is_Sc=latn}', "");
Expect(0, 65370, '\p{^Is_Sc=latn}', "");
Expect(0, 65370, '\P{Is_Sc=latn}', "");
Expect(1, 65370, '\P{^Is_Sc=latn}', "");
Expect(0, 65371, '\p{Is_Sc=latn}', "");
Expect(1, 65371, '\p{^Is_Sc=latn}', "");
Expect(1, 65371, '\P{Is_Sc=latn}', "");
Expect(0, 65371, '\P{^Is_Sc=latn}', "");
Expect(1, 65370, '\p{Is_Sc=-Latn}', "");
Expect(0, 65370, '\p{^Is_Sc=-Latn}', "");
Expect(0, 65370, '\P{Is_Sc=-Latn}', "");
Expect(1, 65370, '\P{^Is_Sc=-Latn}', "");
Expect(0, 65371, '\p{Is_Sc=-Latn}', "");
Expect(1, 65371, '\p{^Is_Sc=-Latn}', "");
Expect(1, 65371, '\P{Is_Sc=-Latn}', "");
Expect(0, 65371, '\P{^Is_Sc=-Latn}', "");
Error('\p{Script=Lepcha:=}');
Error('\P{Script=Lepcha:=}');
Expect(1, 7247, '\p{Script=lepcha}', "");
Expect(0, 7247, '\p{^Script=lepcha}', "");
Expect(0, 7247, '\P{Script=lepcha}', "");
Expect(1, 7247, '\P{^Script=lepcha}', "");
Expect(0, 7248, '\p{Script=lepcha}', "");
Expect(1, 7248, '\p{^Script=lepcha}', "");
Expect(1, 7248, '\P{Script=lepcha}', "");
Expect(0, 7248, '\P{^Script=lepcha}', "");
Expect(1, 7247, '\p{Script=-LEPCHA}', "");
Expect(0, 7247, '\p{^Script=-LEPCHA}', "");
Expect(0, 7247, '\P{Script=-LEPCHA}', "");
Expect(1, 7247, '\P{^Script=-LEPCHA}', "");
Expect(0, 7248, '\p{Script=-LEPCHA}', "");
Expect(1, 7248, '\p{^Script=-LEPCHA}', "");
Expect(1, 7248, '\P{Script=-LEPCHA}', "");
Expect(0, 7248, '\P{^Script=-LEPCHA}', "");
Error('\p{Sc=/a/Lepc}');
Error('\P{Sc=/a/Lepc}');
Expect(1, 7247, '\p{Sc=lepc}', "");
Expect(0, 7247, '\p{^Sc=lepc}', "");
Expect(0, 7247, '\P{Sc=lepc}', "");
Expect(1, 7247, '\P{^Sc=lepc}', "");
Expect(0, 7248, '\p{Sc=lepc}', "");
Expect(1, 7248, '\p{^Sc=lepc}', "");
Expect(1, 7248, '\P{Sc=lepc}', "");
Expect(0, 7248, '\P{^Sc=lepc}', "");
Expect(1, 7247, '\p{Sc: 	LEPC}', "");
Expect(0, 7247, '\p{^Sc: 	LEPC}', "");
Expect(0, 7247, '\P{Sc: 	LEPC}', "");
Expect(1, 7247, '\P{^Sc: 	LEPC}', "");
Expect(0, 7248, '\p{Sc: 	LEPC}', "");
Expect(1, 7248, '\p{^Sc: 	LEPC}', "");
Expect(1, 7248, '\P{Sc: 	LEPC}', "");
Expect(0, 7248, '\P{^Sc: 	LEPC}', "");
Error('\p{Is_Script=/a/  LEPCHA}');
Error('\P{Is_Script=/a/  LEPCHA}');
Expect(1, 7247, '\p{Is_Script=lepcha}', "");
Expect(0, 7247, '\p{^Is_Script=lepcha}', "");
Expect(0, 7247, '\P{Is_Script=lepcha}', "");
Expect(1, 7247, '\P{^Is_Script=lepcha}', "");
Expect(0, 7248, '\p{Is_Script=lepcha}', "");
Expect(1, 7248, '\p{^Is_Script=lepcha}', "");
Expect(1, 7248, '\P{Is_Script=lepcha}', "");
Expect(0, 7248, '\P{^Is_Script=lepcha}', "");
Expect(1, 7247, '\p{Is_Script=  lepcha}', "");
Expect(0, 7247, '\p{^Is_Script=  lepcha}', "");
Expect(0, 7247, '\P{Is_Script=  lepcha}', "");
Expect(1, 7247, '\P{^Is_Script=  lepcha}', "");
Expect(0, 7248, '\p{Is_Script=  lepcha}', "");
Expect(1, 7248, '\p{^Is_Script=  lepcha}', "");
Expect(1, 7248, '\P{Is_Script=  lepcha}', "");
Expect(0, 7248, '\P{^Is_Script=  lepcha}', "");
Error('\p{Is_Sc=	lepc/a/}');
Error('\P{Is_Sc=	lepc/a/}');
Expect(1, 7247, '\p{Is_Sc=lepc}', "");
Expect(0, 7247, '\p{^Is_Sc=lepc}', "");
Expect(0, 7247, '\P{Is_Sc=lepc}', "");
Expect(1, 7247, '\P{^Is_Sc=lepc}', "");
Expect(0, 7248, '\p{Is_Sc=lepc}', "");
Expect(1, 7248, '\p{^Is_Sc=lepc}', "");
Expect(1, 7248, '\P{Is_Sc=lepc}', "");
Expect(0, 7248, '\P{^Is_Sc=lepc}', "");
Expect(1, 7247, '\p{Is_Sc= -Lepc}', "");
Expect(0, 7247, '\p{^Is_Sc= -Lepc}', "");
Expect(0, 7247, '\P{Is_Sc= -Lepc}', "");
Expect(1, 7247, '\P{^Is_Sc= -Lepc}', "");
Expect(0, 7248, '\p{Is_Sc= -Lepc}', "");
Expect(1, 7248, '\p{^Is_Sc= -Lepc}', "");
Expect(1, 7248, '\P{Is_Sc= -Lepc}', "");
Expect(0, 7248, '\P{^Is_Sc= -Lepc}', "");
Error('\p{Script=:=-	limbu}');
Error('\P{Script=:=-	limbu}');
Expect(1, 6479, '\p{Script=limbu}', "");
Expect(0, 6479, '\p{^Script=limbu}', "");
Expect(0, 6479, '\P{Script=limbu}', "");
Expect(1, 6479, '\P{^Script=limbu}', "");
Expect(0, 6480, '\p{Script=limbu}', "");
Expect(1, 6480, '\p{^Script=limbu}', "");
Expect(1, 6480, '\P{Script=limbu}', "");
Expect(0, 6480, '\P{^Script=limbu}', "");
Expect(1, 6479, '\p{Script:   _	limbu}', "");
Expect(0, 6479, '\p{^Script:   _	limbu}', "");
Expect(0, 6479, '\P{Script:   _	limbu}', "");
Expect(1, 6479, '\P{^Script:   _	limbu}', "");
Expect(0, 6480, '\p{Script:   _	limbu}', "");
Expect(1, 6480, '\p{^Script:   _	limbu}', "");
Expect(1, 6480, '\P{Script:   _	limbu}', "");
Expect(0, 6480, '\P{^Script:   _	limbu}', "");
Error('\p{Sc=:=_limb}');
Error('\P{Sc=:=_limb}');
Expect(1, 6479, '\p{Sc=limb}', "");
Expect(0, 6479, '\p{^Sc=limb}', "");
Expect(0, 6479, '\P{Sc=limb}', "");
Expect(1, 6479, '\P{^Sc=limb}', "");
Expect(0, 6480, '\p{Sc=limb}', "");
Expect(1, 6480, '\p{^Sc=limb}', "");
Expect(1, 6480, '\P{Sc=limb}', "");
Expect(0, 6480, '\P{^Sc=limb}', "");
Expect(1, 6479, '\p{Sc= LIMB}', "");
Expect(0, 6479, '\p{^Sc= LIMB}', "");
Expect(0, 6479, '\P{Sc= LIMB}', "");
Expect(1, 6479, '\P{^Sc= LIMB}', "");
Expect(0, 6480, '\p{Sc= LIMB}', "");
Expect(1, 6480, '\p{^Sc= LIMB}', "");
Expect(1, 6480, '\P{Sc= LIMB}', "");
Expect(0, 6480, '\P{^Sc= LIMB}', "");
Error('\p{Is_Script:/a/ _LIMBU}');
Error('\P{Is_Script:/a/ _LIMBU}');
Expect(1, 6479, '\p{Is_Script=limbu}', "");
Expect(0, 6479, '\p{^Is_Script=limbu}', "");
Expect(0, 6479, '\P{Is_Script=limbu}', "");
Expect(1, 6479, '\P{^Is_Script=limbu}', "");
Expect(0, 6480, '\p{Is_Script=limbu}', "");
Expect(1, 6480, '\p{^Is_Script=limbu}', "");
Expect(1, 6480, '\P{Is_Script=limbu}', "");
Expect(0, 6480, '\P{^Is_Script=limbu}', "");
Expect(1, 6479, '\p{Is_Script=	-Limbu}', "");
Expect(0, 6479, '\p{^Is_Script=	-Limbu}', "");
Expect(0, 6479, '\P{Is_Script=	-Limbu}', "");
Expect(1, 6479, '\P{^Is_Script=	-Limbu}', "");
Expect(0, 6480, '\p{Is_Script=	-Limbu}', "");
Expect(1, 6480, '\p{^Is_Script=	-Limbu}', "");
Expect(1, 6480, '\P{Is_Script=	-Limbu}', "");
Expect(0, 6480, '\P{^Is_Script=	-Limbu}', "");
Error('\p{Is_Sc=/a/_	Limb}');
Error('\P{Is_Sc=/a/_	Limb}');
Expect(1, 6479, '\p{Is_Sc:   limb}', "");
Expect(0, 6479, '\p{^Is_Sc:   limb}', "");
Expect(0, 6479, '\P{Is_Sc:   limb}', "");
Expect(1, 6479, '\P{^Is_Sc:   limb}', "");
Expect(0, 6480, '\p{Is_Sc:   limb}', "");
Expect(1, 6480, '\p{^Is_Sc:   limb}', "");
Expect(1, 6480, '\P{Is_Sc:   limb}', "");
Expect(0, 6480, '\P{^Is_Sc:   limb}', "");
Expect(1, 6479, '\p{Is_Sc= 	Limb}', "");
Expect(0, 6479, '\p{^Is_Sc= 	Limb}', "");
Expect(0, 6479, '\P{Is_Sc= 	Limb}', "");
Expect(1, 6479, '\P{^Is_Sc= 	Limb}', "");
Expect(0, 6480, '\p{Is_Sc= 	Limb}', "");
Expect(1, 6480, '\p{^Is_Sc= 	Limb}', "");
Expect(1, 6480, '\P{Is_Sc= 	Limb}', "");
Expect(0, 6480, '\P{^Is_Sc= 	Limb}', "");
Error('\p{Script=/a/-LINEAR_a}');
Error('\P{Script=/a/-LINEAR_a}');
Expect(1, 67431, '\p{Script=lineara}', "");
Expect(0, 67431, '\p{^Script=lineara}', "");
Expect(0, 67431, '\P{Script=lineara}', "");
Expect(1, 67431, '\P{^Script=lineara}', "");
Expect(0, 67432, '\p{Script=lineara}', "");
Expect(1, 67432, '\p{^Script=lineara}', "");
Expect(1, 67432, '\P{Script=lineara}', "");
Expect(0, 67432, '\P{^Script=lineara}', "");
Expect(1, 67431, '\p{Script: -	Linear_a}', "");
Expect(0, 67431, '\p{^Script: -	Linear_a}', "");
Expect(0, 67431, '\P{Script: -	Linear_a}', "");
Expect(1, 67431, '\P{^Script: -	Linear_a}', "");
Expect(0, 67432, '\p{Script: -	Linear_a}', "");
Expect(1, 67432, '\p{^Script: -	Linear_a}', "");
Expect(1, 67432, '\P{Script: -	Linear_a}', "");
Expect(0, 67432, '\P{^Script: -	Linear_a}', "");
Error('\p{Sc= /a/LINA}');
Error('\P{Sc= /a/LINA}');
Expect(1, 67431, '\p{Sc=lina}', "");
Expect(0, 67431, '\p{^Sc=lina}', "");
Expect(0, 67431, '\P{Sc=lina}', "");
Expect(1, 67431, '\P{^Sc=lina}', "");
Expect(0, 67432, '\p{Sc=lina}', "");
Expect(1, 67432, '\p{^Sc=lina}', "");
Expect(1, 67432, '\P{Sc=lina}', "");
Expect(0, 67432, '\P{^Sc=lina}', "");
Expect(1, 67431, '\p{Sc=_ lina}', "");
Expect(0, 67431, '\p{^Sc=_ lina}', "");
Expect(0, 67431, '\P{Sc=_ lina}', "");
Expect(1, 67431, '\P{^Sc=_ lina}', "");
Expect(0, 67432, '\p{Sc=_ lina}', "");
Expect(1, 67432, '\p{^Sc=_ lina}', "");
Expect(1, 67432, '\P{Sc=_ lina}', "");
Expect(0, 67432, '\P{^Sc=_ lina}', "");
Error('\p{Is_Script=:=--LINEAR_A}');
Error('\P{Is_Script=:=--LINEAR_A}');
Expect(1, 67431, '\p{Is_Script=lineara}', "");
Expect(0, 67431, '\p{^Is_Script=lineara}', "");
Expect(0, 67431, '\P{Is_Script=lineara}', "");
Expect(1, 67431, '\P{^Is_Script=lineara}', "");
Expect(0, 67432, '\p{Is_Script=lineara}', "");
Expect(1, 67432, '\p{^Is_Script=lineara}', "");
Expect(1, 67432, '\P{Is_Script=lineara}', "");
Expect(0, 67432, '\P{^Is_Script=lineara}', "");
Expect(1, 67431, '\p{Is_Script=	-LINEAR_a}', "");
Expect(0, 67431, '\p{^Is_Script=	-LINEAR_a}', "");
Expect(0, 67431, '\P{Is_Script=	-LINEAR_a}', "");
Expect(1, 67431, '\P{^Is_Script=	-LINEAR_a}', "");
Expect(0, 67432, '\p{Is_Script=	-LINEAR_a}', "");
Expect(1, 67432, '\p{^Is_Script=	-LINEAR_a}', "");
Expect(1, 67432, '\P{Is_Script=	-LINEAR_a}', "");
Expect(0, 67432, '\P{^Is_Script=	-LINEAR_a}', "");
Error('\p{Is_Sc=	:=lina}');
Error('\P{Is_Sc=	:=lina}');
Expect(1, 67431, '\p{Is_Sc=lina}', "");
Expect(0, 67431, '\p{^Is_Sc=lina}', "");
Expect(0, 67431, '\P{Is_Sc=lina}', "");
Expect(1, 67431, '\P{^Is_Sc=lina}', "");
Expect(0, 67432, '\p{Is_Sc=lina}', "");
Expect(1, 67432, '\p{^Is_Sc=lina}', "");
Expect(1, 67432, '\P{Is_Sc=lina}', "");
Expect(0, 67432, '\P{^Is_Sc=lina}', "");
Expect(1, 67431, '\p{Is_Sc=LINA}', "");
Expect(0, 67431, '\p{^Is_Sc=LINA}', "");
Expect(0, 67431, '\P{Is_Sc=LINA}', "");
Expect(1, 67431, '\P{^Is_Sc=LINA}', "");
Expect(0, 67432, '\p{Is_Sc=LINA}', "");
Expect(1, 67432, '\p{^Is_Sc=LINA}', "");
Expect(1, 67432, '\P{Is_Sc=LINA}', "");
Expect(0, 67432, '\P{^Is_Sc=LINA}', "");
Error('\p{Script=_/a/Linear_B}');
Error('\P{Script=_/a/Linear_B}');
Expect(1, 65786, '\p{Script=linearb}', "");
Expect(0, 65786, '\p{^Script=linearb}', "");
Expect(0, 65786, '\P{Script=linearb}', "");
Expect(1, 65786, '\P{^Script=linearb}', "");
Expect(0, 65787, '\p{Script=linearb}', "");
Expect(1, 65787, '\p{^Script=linearb}', "");
Expect(1, 65787, '\P{Script=linearb}', "");
Expect(0, 65787, '\P{^Script=linearb}', "");
Expect(1, 65786, '\p{Script=		linear_B}', "");
Expect(0, 65786, '\p{^Script=		linear_B}', "");
Expect(0, 65786, '\P{Script=		linear_B}', "");
Expect(1, 65786, '\P{^Script=		linear_B}', "");
Expect(0, 65787, '\p{Script=		linear_B}', "");
Expect(1, 65787, '\p{^Script=		linear_B}', "");
Expect(1, 65787, '\P{Script=		linear_B}', "");
Expect(0, 65787, '\P{^Script=		linear_B}', "");
Error('\p{Sc=	 Linb/a/}');
Error('\P{Sc=	 Linb/a/}');
Expect(1, 65786, '\p{Sc=linb}', "");
Expect(0, 65786, '\p{^Sc=linb}', "");
Expect(0, 65786, '\P{Sc=linb}', "");
Expect(1, 65786, '\P{^Sc=linb}', "");
Expect(0, 65787, '\p{Sc=linb}', "");
Expect(1, 65787, '\p{^Sc=linb}', "");
Expect(1, 65787, '\P{Sc=linb}', "");
Expect(0, 65787, '\P{^Sc=linb}', "");
Expect(1, 65786, '\p{Sc=_Linb}', "");
Expect(0, 65786, '\p{^Sc=_Linb}', "");
Expect(0, 65786, '\P{Sc=_Linb}', "");
Expect(1, 65786, '\P{^Sc=_Linb}', "");
Expect(0, 65787, '\p{Sc=_Linb}', "");
Expect(1, 65787, '\p{^Sc=_Linb}', "");
Expect(1, 65787, '\P{Sc=_Linb}', "");
Expect(0, 65787, '\P{^Sc=_Linb}', "");
Error('\p{Is_Script=	Linear_B:=}');
Error('\P{Is_Script=	Linear_B:=}');
Expect(1, 65786, '\p{Is_Script=linearb}', "");
Expect(0, 65786, '\p{^Is_Script=linearb}', "");
Expect(0, 65786, '\P{Is_Script=linearb}', "");
Expect(1, 65786, '\P{^Is_Script=linearb}', "");
Expect(0, 65787, '\p{Is_Script=linearb}', "");
Expect(1, 65787, '\p{^Is_Script=linearb}', "");
Expect(1, 65787, '\P{Is_Script=linearb}', "");
Expect(0, 65787, '\P{^Is_Script=linearb}', "");
Expect(1, 65786, '\p{Is_Script=-	linear_B}', "");
Expect(0, 65786, '\p{^Is_Script=-	linear_B}', "");
Expect(0, 65786, '\P{Is_Script=-	linear_B}', "");
Expect(1, 65786, '\P{^Is_Script=-	linear_B}', "");
Expect(0, 65787, '\p{Is_Script=-	linear_B}', "");
Expect(1, 65787, '\p{^Is_Script=-	linear_B}', "");
Expect(1, 65787, '\P{Is_Script=-	linear_B}', "");
Expect(0, 65787, '\P{^Is_Script=-	linear_B}', "");
Error('\p{Is_Sc=- Linb/a/}');
Error('\P{Is_Sc=- Linb/a/}');
Expect(1, 65786, '\p{Is_Sc=linb}', "");
Expect(0, 65786, '\p{^Is_Sc=linb}', "");
Expect(0, 65786, '\P{Is_Sc=linb}', "");
Expect(1, 65786, '\P{^Is_Sc=linb}', "");
Expect(0, 65787, '\p{Is_Sc=linb}', "");
Expect(1, 65787, '\p{^Is_Sc=linb}', "");
Expect(1, 65787, '\P{Is_Sc=linb}', "");
Expect(0, 65787, '\P{^Is_Sc=linb}', "");
Expect(1, 65786, '\p{Is_Sc=	_LINB}', "");
Expect(0, 65786, '\p{^Is_Sc=	_LINB}', "");
Expect(0, 65786, '\P{Is_Sc=	_LINB}', "");
Expect(1, 65786, '\P{^Is_Sc=	_LINB}', "");
Expect(0, 65787, '\p{Is_Sc=	_LINB}', "");
Expect(1, 65787, '\p{^Is_Sc=	_LINB}', "");
Expect(1, 65787, '\P{Is_Sc=	_LINB}', "");
Expect(0, 65787, '\P{^Is_Sc=	_LINB}', "");
Error('\p{Script=/a/Lisu}');
Error('\P{Script=/a/Lisu}');
Expect(1, 42239, '\p{Script:	lisu}', "");
Expect(0, 42239, '\p{^Script:	lisu}', "");
Expect(0, 42239, '\P{Script:	lisu}', "");
Expect(1, 42239, '\P{^Script:	lisu}', "");
Expect(0, 42240, '\p{Script:	lisu}', "");
Expect(1, 42240, '\p{^Script:	lisu}', "");
Expect(1, 42240, '\P{Script:	lisu}', "");
Expect(0, 42240, '\P{^Script:	lisu}', "");
Expect(1, 42239, '\p{Script=	_Lisu}', "");
Expect(0, 42239, '\p{^Script=	_Lisu}', "");
Expect(0, 42239, '\P{Script=	_Lisu}', "");
Expect(1, 42239, '\P{^Script=	_Lisu}', "");
Expect(0, 42240, '\p{Script=	_Lisu}', "");
Expect(1, 42240, '\p{^Script=	_Lisu}', "");
Expect(1, 42240, '\P{Script=	_Lisu}', "");
Expect(0, 42240, '\P{^Script=	_Lisu}', "");
Error('\p{Sc=	/a/LISU}');
Error('\P{Sc=	/a/LISU}');
Expect(1, 42239, '\p{Sc=lisu}', "");
Expect(0, 42239, '\p{^Sc=lisu}', "");
Expect(0, 42239, '\P{Sc=lisu}', "");
Expect(1, 42239, '\P{^Sc=lisu}', "");
Expect(0, 42240, '\p{Sc=lisu}', "");
Expect(1, 42240, '\p{^Sc=lisu}', "");
Expect(1, 42240, '\P{Sc=lisu}', "");
Expect(0, 42240, '\P{^Sc=lisu}', "");
Expect(1, 42239, '\p{Sc=	LISU}', "");
Expect(0, 42239, '\p{^Sc=	LISU}', "");
Expect(0, 42239, '\P{Sc=	LISU}', "");
Expect(1, 42239, '\P{^Sc=	LISU}', "");
Expect(0, 42240, '\p{Sc=	LISU}', "");
Expect(1, 42240, '\p{^Sc=	LISU}', "");
Expect(1, 42240, '\P{Sc=	LISU}', "");
Expect(0, 42240, '\P{^Sc=	LISU}', "");
Error('\p{Is_Script=/a/-lisu}');
Error('\P{Is_Script=/a/-lisu}');
Expect(1, 42239, '\p{Is_Script=lisu}', "");
Expect(0, 42239, '\p{^Is_Script=lisu}', "");
Expect(0, 42239, '\P{Is_Script=lisu}', "");
Expect(1, 42239, '\P{^Is_Script=lisu}', "");
Expect(0, 42240, '\p{Is_Script=lisu}', "");
Expect(1, 42240, '\p{^Is_Script=lisu}', "");
Expect(1, 42240, '\P{Is_Script=lisu}', "");
Expect(0, 42240, '\P{^Is_Script=lisu}', "");
Expect(1, 42239, '\p{Is_Script=_-Lisu}', "");
Expect(0, 42239, '\p{^Is_Script=_-Lisu}', "");
Expect(0, 42239, '\P{Is_Script=_-Lisu}', "");
Expect(1, 42239, '\P{^Is_Script=_-Lisu}', "");
Expect(0, 42240, '\p{Is_Script=_-Lisu}', "");
Expect(1, 42240, '\p{^Is_Script=_-Lisu}', "");
Expect(1, 42240, '\P{Is_Script=_-Lisu}', "");
Expect(0, 42240, '\P{^Is_Script=_-Lisu}', "");
Error('\p{Is_Sc= _Lisu/a/}');
Error('\P{Is_Sc= _Lisu/a/}');
Expect(1, 42239, '\p{Is_Sc:   lisu}', "");
Expect(0, 42239, '\p{^Is_Sc:   lisu}', "");
Expect(0, 42239, '\P{Is_Sc:   lisu}', "");
Expect(1, 42239, '\P{^Is_Sc:   lisu}', "");
Expect(0, 42240, '\p{Is_Sc:   lisu}', "");
Expect(1, 42240, '\p{^Is_Sc:   lisu}', "");
Expect(1, 42240, '\P{Is_Sc:   lisu}', "");
Expect(0, 42240, '\P{^Is_Sc:   lisu}', "");
Expect(1, 42239, '\p{Is_Sc=	lisu}', "");
Expect(0, 42239, '\p{^Is_Sc=	lisu}', "");
Expect(0, 42239, '\P{Is_Sc=	lisu}', "");
Expect(1, 42239, '\P{^Is_Sc=	lisu}', "");
Expect(0, 42240, '\p{Is_Sc=	lisu}', "");
Expect(1, 42240, '\p{^Is_Sc=	lisu}', "");
Expect(1, 42240, '\P{Is_Sc=	lisu}', "");
Expect(0, 42240, '\P{^Is_Sc=	lisu}', "");
Error('\p{Script: _	lycian:=}');
Error('\P{Script: _	lycian:=}');
Expect(1, 66204, '\p{Script=lycian}', "");
Expect(0, 66204, '\p{^Script=lycian}', "");
Expect(0, 66204, '\P{Script=lycian}', "");
Expect(1, 66204, '\P{^Script=lycian}', "");
Expect(0, 66205, '\p{Script=lycian}', "");
Expect(1, 66205, '\p{^Script=lycian}', "");
Expect(1, 66205, '\P{Script=lycian}', "");
Expect(0, 66205, '\P{^Script=lycian}', "");
Expect(1, 66204, '\p{Script:	_Lycian}', "");
Expect(0, 66204, '\p{^Script:	_Lycian}', "");
Expect(0, 66204, '\P{Script:	_Lycian}', "");
Expect(1, 66204, '\P{^Script:	_Lycian}', "");
Expect(0, 66205, '\p{Script:	_Lycian}', "");
Expect(1, 66205, '\p{^Script:	_Lycian}', "");
Expect(1, 66205, '\P{Script:	_Lycian}', "");
Expect(0, 66205, '\P{^Script:	_Lycian}', "");
Error('\p{Sc:/a/LYCI}');
Error('\P{Sc:/a/LYCI}');
Expect(1, 66204, '\p{Sc=lyci}', "");
Expect(0, 66204, '\p{^Sc=lyci}', "");
Expect(0, 66204, '\P{Sc=lyci}', "");
Expect(1, 66204, '\P{^Sc=lyci}', "");
Expect(0, 66205, '\p{Sc=lyci}', "");
Expect(1, 66205, '\p{^Sc=lyci}', "");
Expect(1, 66205, '\P{Sc=lyci}', "");
Expect(0, 66205, '\P{^Sc=lyci}', "");
Expect(1, 66204, '\p{Sc=	-lyci}', "");
Expect(0, 66204, '\p{^Sc=	-lyci}', "");
Expect(0, 66204, '\P{Sc=	-lyci}', "");
Expect(1, 66204, '\P{^Sc=	-lyci}', "");
Expect(0, 66205, '\p{Sc=	-lyci}', "");
Expect(1, 66205, '\p{^Sc=	-lyci}', "");
Expect(1, 66205, '\P{Sc=	-lyci}', "");
Expect(0, 66205, '\P{^Sc=	-lyci}', "");
Error('\p{Is_Script=/a/_ Lycian}');
Error('\P{Is_Script=/a/_ Lycian}');
Expect(1, 66204, '\p{Is_Script=lycian}', "");
Expect(0, 66204, '\p{^Is_Script=lycian}', "");
Expect(0, 66204, '\P{Is_Script=lycian}', "");
Expect(1, 66204, '\P{^Is_Script=lycian}', "");
Expect(0, 66205, '\p{Is_Script=lycian}', "");
Expect(1, 66205, '\p{^Is_Script=lycian}', "");
Expect(1, 66205, '\P{Is_Script=lycian}', "");
Expect(0, 66205, '\P{^Is_Script=lycian}', "");
Expect(1, 66204, '\p{Is_Script=	lycian}', "");
Expect(0, 66204, '\p{^Is_Script=	lycian}', "");
Expect(0, 66204, '\P{Is_Script=	lycian}', "");
Expect(1, 66204, '\P{^Is_Script=	lycian}', "");
Expect(0, 66205, '\p{Is_Script=	lycian}', "");
Expect(1, 66205, '\p{^Is_Script=	lycian}', "");
Expect(1, 66205, '\P{Is_Script=	lycian}', "");
Expect(0, 66205, '\P{^Is_Script=	lycian}', "");
Error('\p{Is_Sc=/a/	 lyci}');
Error('\P{Is_Sc=/a/	 lyci}');
Expect(1, 66204, '\p{Is_Sc=lyci}', "");
Expect(0, 66204, '\p{^Is_Sc=lyci}', "");
Expect(0, 66204, '\P{Is_Sc=lyci}', "");
Expect(1, 66204, '\P{^Is_Sc=lyci}', "");
Expect(0, 66205, '\p{Is_Sc=lyci}', "");
Expect(1, 66205, '\p{^Is_Sc=lyci}', "");
Expect(1, 66205, '\P{Is_Sc=lyci}', "");
Expect(0, 66205, '\P{^Is_Sc=lyci}', "");
Expect(1, 66204, '\p{Is_Sc=__Lyci}', "");
Expect(0, 66204, '\p{^Is_Sc=__Lyci}', "");
Expect(0, 66204, '\P{Is_Sc=__Lyci}', "");
Expect(1, 66204, '\P{^Is_Sc=__Lyci}', "");
Expect(0, 66205, '\p{Is_Sc=__Lyci}', "");
Expect(1, 66205, '\p{^Is_Sc=__Lyci}', "");
Expect(1, 66205, '\P{Is_Sc=__Lyci}', "");
Expect(0, 66205, '\P{^Is_Sc=__Lyci}', "");
Error('\p{Script=		Lydian/a/}');
Error('\P{Script=		Lydian/a/}');
Expect(1, 67903, '\p{Script=lydian}', "");
Expect(0, 67903, '\p{^Script=lydian}', "");
Expect(0, 67903, '\P{Script=lydian}', "");
Expect(1, 67903, '\P{^Script=lydian}', "");
Expect(0, 67904, '\p{Script=lydian}', "");
Expect(1, 67904, '\p{^Script=lydian}', "");
Expect(1, 67904, '\P{Script=lydian}', "");
Expect(0, 67904, '\P{^Script=lydian}', "");
Expect(1, 67903, '\p{Script=	lydian}', "");
Expect(0, 67903, '\p{^Script=	lydian}', "");
Expect(0, 67903, '\P{Script=	lydian}', "");
Expect(1, 67903, '\P{^Script=	lydian}', "");
Expect(0, 67904, '\p{Script=	lydian}', "");
Expect(1, 67904, '\p{^Script=	lydian}', "");
Expect(1, 67904, '\P{Script=	lydian}', "");
Expect(0, 67904, '\P{^Script=	lydian}', "");
Error('\p{Sc=_Lydi/a/}');
Error('\P{Sc=_Lydi/a/}');
Expect(1, 67903, '\p{Sc=lydi}', "");
Expect(0, 67903, '\p{^Sc=lydi}', "");
Expect(0, 67903, '\P{Sc=lydi}', "");
Expect(1, 67903, '\P{^Sc=lydi}', "");
Expect(0, 67904, '\p{Sc=lydi}', "");
Expect(1, 67904, '\p{^Sc=lydi}', "");
Expect(1, 67904, '\P{Sc=lydi}', "");
Expect(0, 67904, '\P{^Sc=lydi}', "");
Expect(1, 67903, '\p{Sc=  Lydi}', "");
Expect(0, 67903, '\p{^Sc=  Lydi}', "");
Expect(0, 67903, '\P{Sc=  Lydi}', "");
Expect(1, 67903, '\P{^Sc=  Lydi}', "");
Expect(0, 67904, '\p{Sc=  Lydi}', "");
Expect(1, 67904, '\p{^Sc=  Lydi}', "");
Expect(1, 67904, '\P{Sc=  Lydi}', "");
Expect(0, 67904, '\P{^Sc=  Lydi}', "");
Error('\p{Is_Script=/a/-LYDIAN}');
Error('\P{Is_Script=/a/-LYDIAN}');
Expect(1, 67903, '\p{Is_Script=lydian}', "");
Expect(0, 67903, '\p{^Is_Script=lydian}', "");
Expect(0, 67903, '\P{Is_Script=lydian}', "");
Expect(1, 67903, '\P{^Is_Script=lydian}', "");
Expect(0, 67904, '\p{Is_Script=lydian}', "");
Expect(1, 67904, '\p{^Is_Script=lydian}', "");
Expect(1, 67904, '\P{Is_Script=lydian}', "");
Expect(0, 67904, '\P{^Is_Script=lydian}', "");
Expect(1, 67903, '\p{Is_Script=	Lydian}', "");
Expect(0, 67903, '\p{^Is_Script=	Lydian}', "");
Expect(0, 67903, '\P{Is_Script=	Lydian}', "");
Expect(1, 67903, '\P{^Is_Script=	Lydian}', "");
Expect(0, 67904, '\p{Is_Script=	Lydian}', "");
Expect(1, 67904, '\p{^Is_Script=	Lydian}', "");
Expect(1, 67904, '\P{Is_Script=	Lydian}', "");
Expect(0, 67904, '\P{^Is_Script=	Lydian}', "");
Error('\p{Is_Sc=-Lydi:=}');
Error('\P{Is_Sc=-Lydi:=}');
Expect(1, 67903, '\p{Is_Sc=lydi}', "");
Expect(0, 67903, '\p{^Is_Sc=lydi}', "");
Expect(0, 67903, '\P{Is_Sc=lydi}', "");
Expect(1, 67903, '\P{^Is_Sc=lydi}', "");
Expect(0, 67904, '\p{Is_Sc=lydi}', "");
Expect(1, 67904, '\p{^Is_Sc=lydi}', "");
Expect(1, 67904, '\P{Is_Sc=lydi}', "");
Expect(0, 67904, '\P{^Is_Sc=lydi}', "");
Expect(1, 67903, '\p{Is_Sc=__Lydi}', "");
Expect(0, 67903, '\p{^Is_Sc=__Lydi}', "");
Expect(0, 67903, '\P{Is_Sc=__Lydi}', "");
Expect(1, 67903, '\P{^Is_Sc=__Lydi}', "");
Expect(0, 67904, '\p{Is_Sc=__Lydi}', "");
Expect(1, 67904, '\p{^Is_Sc=__Lydi}', "");
Expect(1, 67904, '\P{Is_Sc=__Lydi}', "");
Expect(0, 67904, '\P{^Is_Sc=__Lydi}', "");
Error('\p{Script=/a/	-mahajani}');
Error('\P{Script=/a/	-mahajani}');
Expect(1, 70006, '\p{Script=mahajani}', "");
Expect(0, 70006, '\p{^Script=mahajani}', "");
Expect(0, 70006, '\P{Script=mahajani}', "");
Expect(1, 70006, '\P{^Script=mahajani}', "");
Expect(0, 70007, '\p{Script=mahajani}', "");
Expect(1, 70007, '\p{^Script=mahajani}', "");
Expect(1, 70007, '\P{Script=mahajani}', "");
Expect(0, 70007, '\P{^Script=mahajani}', "");
Expect(1, 70006, '\p{Script=-	Mahajani}', "");
Expect(0, 70006, '\p{^Script=-	Mahajani}', "");
Expect(0, 70006, '\P{Script=-	Mahajani}', "");
Expect(1, 70006, '\P{^Script=-	Mahajani}', "");
Expect(0, 70007, '\p{Script=-	Mahajani}', "");
Expect(1, 70007, '\p{^Script=-	Mahajani}', "");
Expect(1, 70007, '\P{Script=-	Mahajani}', "");
Expect(0, 70007, '\P{^Script=-	Mahajani}', "");
Error('\p{Sc=	-Mahj:=}');
Error('\P{Sc=	-Mahj:=}');
Expect(1, 70006, '\p{Sc:mahj}', "");
Expect(0, 70006, '\p{^Sc:mahj}', "");
Expect(0, 70006, '\P{Sc:mahj}', "");
Expect(1, 70006, '\P{^Sc:mahj}', "");
Expect(0, 70007, '\p{Sc:mahj}', "");
Expect(1, 70007, '\p{^Sc:mahj}', "");
Expect(1, 70007, '\P{Sc:mahj}', "");
Expect(0, 70007, '\P{^Sc:mahj}', "");
Expect(1, 70006, '\p{Sc=- Mahj}', "");
Expect(0, 70006, '\p{^Sc=- Mahj}', "");
Expect(0, 70006, '\P{Sc=- Mahj}', "");
Expect(1, 70006, '\P{^Sc=- Mahj}', "");
Expect(0, 70007, '\p{Sc=- Mahj}', "");
Expect(1, 70007, '\p{^Sc=- Mahj}', "");
Expect(1, 70007, '\P{Sc=- Mahj}', "");
Expect(0, 70007, '\P{^Sc=- Mahj}', "");
Error('\p{Is_Script=	:=Mahajani}');
Error('\P{Is_Script=	:=Mahajani}');
Expect(1, 70006, '\p{Is_Script=mahajani}', "");
Expect(0, 70006, '\p{^Is_Script=mahajani}', "");
Expect(0, 70006, '\P{Is_Script=mahajani}', "");
Expect(1, 70006, '\P{^Is_Script=mahajani}', "");
Expect(0, 70007, '\p{Is_Script=mahajani}', "");
Expect(1, 70007, '\p{^Is_Script=mahajani}', "");
Expect(1, 70007, '\P{Is_Script=mahajani}', "");
Expect(0, 70007, '\P{^Is_Script=mahajani}', "");
Expect(1, 70006, '\p{Is_Script=-	Mahajani}', "");
Expect(0, 70006, '\p{^Is_Script=-	Mahajani}', "");
Expect(0, 70006, '\P{Is_Script=-	Mahajani}', "");
Expect(1, 70006, '\P{^Is_Script=-	Mahajani}', "");
Expect(0, 70007, '\p{Is_Script=-	Mahajani}', "");
Expect(1, 70007, '\p{^Is_Script=-	Mahajani}', "");
Expect(1, 70007, '\P{Is_Script=-	Mahajani}', "");
Expect(0, 70007, '\P{^Is_Script=-	Mahajani}', "");
Error('\p{Is_Sc=/a/_ mahj}');
Error('\P{Is_Sc=/a/_ mahj}');
Expect(1, 70006, '\p{Is_Sc=mahj}', "");
Expect(0, 70006, '\p{^Is_Sc=mahj}', "");
Expect(0, 70006, '\P{Is_Sc=mahj}', "");
Expect(1, 70006, '\P{^Is_Sc=mahj}', "");
Expect(0, 70007, '\p{Is_Sc=mahj}', "");
Expect(1, 70007, '\p{^Is_Sc=mahj}', "");
Expect(1, 70007, '\P{Is_Sc=mahj}', "");
Expect(0, 70007, '\P{^Is_Sc=mahj}', "");
Expect(1, 70006, '\p{Is_Sc=-Mahj}', "");
Expect(0, 70006, '\p{^Is_Sc=-Mahj}', "");
Expect(0, 70006, '\P{Is_Sc=-Mahj}', "");
Expect(1, 70006, '\P{^Is_Sc=-Mahj}', "");
Expect(0, 70007, '\p{Is_Sc=-Mahj}', "");
Expect(1, 70007, '\p{^Is_Sc=-Mahj}', "");
Expect(1, 70007, '\P{Is_Sc=-Mahj}', "");
Expect(0, 70007, '\P{^Is_Sc=-Mahj}', "");
Error('\p{Script=_	mandaic/a/}');
Error('\P{Script=_	mandaic/a/}');
Expect(1, 2142, '\p{Script=mandaic}', "");
Expect(0, 2142, '\p{^Script=mandaic}', "");
Expect(0, 2142, '\P{Script=mandaic}', "");
Expect(1, 2142, '\P{^Script=mandaic}', "");
Expect(0, 2143, '\p{Script=mandaic}', "");
Expect(1, 2143, '\p{^Script=mandaic}', "");
Expect(1, 2143, '\P{Script=mandaic}', "");
Expect(0, 2143, '\P{^Script=mandaic}', "");
Expect(1, 2142, '\p{Script=		mandaic}', "");
Expect(0, 2142, '\p{^Script=		mandaic}', "");
Expect(0, 2142, '\P{Script=		mandaic}', "");
Expect(1, 2142, '\P{^Script=		mandaic}', "");
Expect(0, 2143, '\p{Script=		mandaic}', "");
Expect(1, 2143, '\p{^Script=		mandaic}', "");
Expect(1, 2143, '\P{Script=		mandaic}', "");
Expect(0, 2143, '\P{^Script=		mandaic}', "");
Error('\p{Sc=:= _MAND}');
Error('\P{Sc=:= _MAND}');
Expect(1, 2142, '\p{Sc=mand}', "");
Expect(0, 2142, '\p{^Sc=mand}', "");
Expect(0, 2142, '\P{Sc=mand}', "");
Expect(1, 2142, '\P{^Sc=mand}', "");
Expect(0, 2143, '\p{Sc=mand}', "");
Expect(1, 2143, '\p{^Sc=mand}', "");
Expect(1, 2143, '\P{Sc=mand}', "");
Expect(0, 2143, '\P{^Sc=mand}', "");
Expect(1, 2142, '\p{Sc=_mand}', "");
Expect(0, 2142, '\p{^Sc=_mand}', "");
Expect(0, 2142, '\P{Sc=_mand}', "");
Expect(1, 2142, '\P{^Sc=_mand}', "");
Expect(0, 2143, '\p{Sc=_mand}', "");
Expect(1, 2143, '\p{^Sc=_mand}', "");
Expect(1, 2143, '\P{Sc=_mand}', "");
Expect(0, 2143, '\P{^Sc=_mand}', "");
Error('\p{Is_Script=-_Mandaic/a/}');
Error('\P{Is_Script=-_Mandaic/a/}');
Expect(1, 2142, '\p{Is_Script=mandaic}', "");
Expect(0, 2142, '\p{^Is_Script=mandaic}', "");
Expect(0, 2142, '\P{Is_Script=mandaic}', "");
Expect(1, 2142, '\P{^Is_Script=mandaic}', "");
Expect(0, 2143, '\p{Is_Script=mandaic}', "");
Expect(1, 2143, '\p{^Is_Script=mandaic}', "");
Expect(1, 2143, '\P{Is_Script=mandaic}', "");
Expect(0, 2143, '\P{^Is_Script=mandaic}', "");
Expect(1, 2142, '\p{Is_Script=	-MANDAIC}', "");
Expect(0, 2142, '\p{^Is_Script=	-MANDAIC}', "");
Expect(0, 2142, '\P{Is_Script=	-MANDAIC}', "");
Expect(1, 2142, '\P{^Is_Script=	-MANDAIC}', "");
Expect(0, 2143, '\p{Is_Script=	-MANDAIC}', "");
Expect(1, 2143, '\p{^Is_Script=	-MANDAIC}', "");
Expect(1, 2143, '\P{Is_Script=	-MANDAIC}', "");
Expect(0, 2143, '\P{^Is_Script=	-MANDAIC}', "");
Error('\p{Is_Sc=-:=MAND}');
Error('\P{Is_Sc=-:=MAND}');
Expect(1, 2142, '\p{Is_Sc=mand}', "");
Expect(0, 2142, '\p{^Is_Sc=mand}', "");
Expect(0, 2142, '\P{Is_Sc=mand}', "");
Expect(1, 2142, '\P{^Is_Sc=mand}', "");
Expect(0, 2143, '\p{Is_Sc=mand}', "");
Expect(1, 2143, '\p{^Is_Sc=mand}', "");
Expect(1, 2143, '\P{Is_Sc=mand}', "");
Expect(0, 2143, '\P{^Is_Sc=mand}', "");
Expect(1, 2142, '\p{Is_Sc: mand}', "");
Expect(0, 2142, '\p{^Is_Sc: mand}', "");
Expect(0, 2142, '\P{Is_Sc: mand}', "");
Expect(1, 2142, '\P{^Is_Sc: mand}', "");
Expect(0, 2143, '\p{Is_Sc: mand}', "");
Expect(1, 2143, '\p{^Is_Sc: mand}', "");
Expect(1, 2143, '\P{Is_Sc: mand}', "");
Expect(0, 2143, '\P{^Is_Sc: mand}', "");
Error('\p{Script=	_manichaean/a/}');
Error('\P{Script=	_manichaean/a/}');
Expect(1, 68342, '\p{Script=manichaean}', "");
Expect(0, 68342, '\p{^Script=manichaean}', "");
Expect(0, 68342, '\P{Script=manichaean}', "");
Expect(1, 68342, '\P{^Script=manichaean}', "");
Expect(0, 68343, '\p{Script=manichaean}', "");
Expect(1, 68343, '\p{^Script=manichaean}', "");
Expect(1, 68343, '\P{Script=manichaean}', "");
Expect(0, 68343, '\P{^Script=manichaean}', "");
Expect(1, 68342, '\p{Script=-	manichaean}', "");
Expect(0, 68342, '\p{^Script=-	manichaean}', "");
Expect(0, 68342, '\P{Script=-	manichaean}', "");
Expect(1, 68342, '\P{^Script=-	manichaean}', "");
Expect(0, 68343, '\p{Script=-	manichaean}', "");
Expect(1, 68343, '\p{^Script=-	manichaean}', "");
Expect(1, 68343, '\P{Script=-	manichaean}', "");
Expect(0, 68343, '\P{^Script=-	manichaean}', "");
Error('\p{Sc=/a/ Mani}');
Error('\P{Sc=/a/ Mani}');
Expect(1, 68342, '\p{Sc=mani}', "");
Expect(0, 68342, '\p{^Sc=mani}', "");
Expect(0, 68342, '\P{Sc=mani}', "");
Expect(1, 68342, '\P{^Sc=mani}', "");
Expect(0, 68343, '\p{Sc=mani}', "");
Expect(1, 68343, '\p{^Sc=mani}', "");
Expect(1, 68343, '\P{Sc=mani}', "");
Expect(0, 68343, '\P{^Sc=mani}', "");
Expect(1, 68342, '\p{Sc=-	MANI}', "");
Expect(0, 68342, '\p{^Sc=-	MANI}', "");
Expect(0, 68342, '\P{Sc=-	MANI}', "");
Expect(1, 68342, '\P{^Sc=-	MANI}', "");
Expect(0, 68343, '\p{Sc=-	MANI}', "");
Expect(1, 68343, '\p{^Sc=-	MANI}', "");
Expect(1, 68343, '\P{Sc=-	MANI}', "");
Expect(0, 68343, '\P{^Sc=-	MANI}', "");
Error('\p{Is_Script=:=	 manichaean}');
Error('\P{Is_Script=:=	 manichaean}');
Expect(1, 68342, '\p{Is_Script=manichaean}', "");
Expect(0, 68342, '\p{^Is_Script=manichaean}', "");
Expect(0, 68342, '\P{Is_Script=manichaean}', "");
Expect(1, 68342, '\P{^Is_Script=manichaean}', "");
Expect(0, 68343, '\p{Is_Script=manichaean}', "");
Expect(1, 68343, '\p{^Is_Script=manichaean}', "");
Expect(1, 68343, '\P{Is_Script=manichaean}', "");
Expect(0, 68343, '\P{^Is_Script=manichaean}', "");
Expect(1, 68342, '\p{Is_Script=-Manichaean}', "");
Expect(0, 68342, '\p{^Is_Script=-Manichaean}', "");
Expect(0, 68342, '\P{Is_Script=-Manichaean}', "");
Expect(1, 68342, '\P{^Is_Script=-Manichaean}', "");
Expect(0, 68343, '\p{Is_Script=-Manichaean}', "");
Expect(1, 68343, '\p{^Is_Script=-Manichaean}', "");
Expect(1, 68343, '\P{Is_Script=-Manichaean}', "");
Expect(0, 68343, '\P{^Is_Script=-Manichaean}', "");
Error('\p{Is_Sc=		Mani/a/}');
Error('\P{Is_Sc=		Mani/a/}');
Expect(1, 68342, '\p{Is_Sc=mani}', "");
Expect(0, 68342, '\p{^Is_Sc=mani}', "");
Expect(0, 68342, '\P{Is_Sc=mani}', "");
Expect(1, 68342, '\P{^Is_Sc=mani}', "");
Expect(0, 68343, '\p{Is_Sc=mani}', "");
Expect(1, 68343, '\p{^Is_Sc=mani}', "");
Expect(1, 68343, '\P{Is_Sc=mani}', "");
Expect(0, 68343, '\P{^Is_Sc=mani}', "");
Expect(1, 68342, '\p{Is_Sc=_-Mani}', "");
Expect(0, 68342, '\p{^Is_Sc=_-Mani}', "");
Expect(0, 68342, '\P{Is_Sc=_-Mani}', "");
Expect(1, 68342, '\P{^Is_Sc=_-Mani}', "");
Expect(0, 68343, '\p{Is_Sc=_-Mani}', "");
Expect(1, 68343, '\p{^Is_Sc=_-Mani}', "");
Expect(1, 68343, '\P{Is_Sc=_-Mani}', "");
Expect(0, 68343, '\P{^Is_Sc=_-Mani}', "");
Error('\p{Script=	/a/Mende_KIKAKUI}');
Error('\P{Script=	/a/Mende_KIKAKUI}');
Expect(1, 125142, '\p{Script:   mendekikakui}', "");
Expect(0, 125142, '\p{^Script:   mendekikakui}', "");
Expect(0, 125142, '\P{Script:   mendekikakui}', "");
Expect(1, 125142, '\P{^Script:   mendekikakui}', "");
Expect(0, 125143, '\p{Script:   mendekikakui}', "");
Expect(1, 125143, '\p{^Script:   mendekikakui}', "");
Expect(1, 125143, '\P{Script:   mendekikakui}', "");
Expect(0, 125143, '\P{^Script:   mendekikakui}', "");
Expect(1, 125142, '\p{Script=MENDE_kikakui}', "");
Expect(0, 125142, '\p{^Script=MENDE_kikakui}', "");
Expect(0, 125142, '\P{Script=MENDE_kikakui}', "");
Expect(1, 125142, '\P{^Script=MENDE_kikakui}', "");
Expect(0, 125143, '\p{Script=MENDE_kikakui}', "");
Expect(1, 125143, '\p{^Script=MENDE_kikakui}', "");
Expect(1, 125143, '\P{Script=MENDE_kikakui}', "");
Expect(0, 125143, '\P{^Script=MENDE_kikakui}', "");
Error('\p{Sc=_:=Mend}');
Error('\P{Sc=_:=Mend}');
Expect(1, 125142, '\p{Sc=mend}', "");
Expect(0, 125142, '\p{^Sc=mend}', "");
Expect(0, 125142, '\P{Sc=mend}', "");
Expect(1, 125142, '\P{^Sc=mend}', "");
Expect(0, 125143, '\p{Sc=mend}', "");
Expect(1, 125143, '\p{^Sc=mend}', "");
Expect(1, 125143, '\P{Sc=mend}', "");
Expect(0, 125143, '\P{^Sc=mend}', "");
Expect(1, 125142, '\p{Sc=-	Mend}', "");
Expect(0, 125142, '\p{^Sc=-	Mend}', "");
Expect(0, 125142, '\P{Sc=-	Mend}', "");
Expect(1, 125142, '\P{^Sc=-	Mend}', "");
Expect(0, 125143, '\p{Sc=-	Mend}', "");
Expect(1, 125143, '\p{^Sc=-	Mend}', "");
Expect(1, 125143, '\P{Sc=-	Mend}', "");
Expect(0, 125143, '\P{^Sc=-	Mend}', "");
Error('\p{Is_Script:/a/_ Mende_Kikakui}');
Error('\P{Is_Script:/a/_ Mende_Kikakui}');
Expect(1, 125142, '\p{Is_Script=mendekikakui}', "");
Expect(0, 125142, '\p{^Is_Script=mendekikakui}', "");
Expect(0, 125142, '\P{Is_Script=mendekikakui}', "");
Expect(1, 125142, '\P{^Is_Script=mendekikakui}', "");
Expect(0, 125143, '\p{Is_Script=mendekikakui}', "");
Expect(1, 125143, '\p{^Is_Script=mendekikakui}', "");
Expect(1, 125143, '\P{Is_Script=mendekikakui}', "");
Expect(0, 125143, '\P{^Is_Script=mendekikakui}', "");
Expect(1, 125142, '\p{Is_Script=	_Mende_Kikakui}', "");
Expect(0, 125142, '\p{^Is_Script=	_Mende_Kikakui}', "");
Expect(0, 125142, '\P{Is_Script=	_Mende_Kikakui}', "");
Expect(1, 125142, '\P{^Is_Script=	_Mende_Kikakui}', "");
Expect(0, 125143, '\p{Is_Script=	_Mende_Kikakui}', "");
Expect(1, 125143, '\p{^Is_Script=	_Mende_Kikakui}', "");
Expect(1, 125143, '\P{Is_Script=	_Mende_Kikakui}', "");
Expect(0, 125143, '\P{^Is_Script=	_Mende_Kikakui}', "");
Error('\p{Is_Sc=:=-	Mend}');
Error('\P{Is_Sc=:=-	Mend}');
Expect(1, 125142, '\p{Is_Sc=mend}', "");
Expect(0, 125142, '\p{^Is_Sc=mend}', "");
Expect(0, 125142, '\P{Is_Sc=mend}', "");
Expect(1, 125142, '\P{^Is_Sc=mend}', "");
Expect(0, 125143, '\p{Is_Sc=mend}', "");
Expect(1, 125143, '\p{^Is_Sc=mend}', "");
Expect(1, 125143, '\P{Is_Sc=mend}', "");
Expect(0, 125143, '\P{^Is_Sc=mend}', "");
Expect(1, 125142, '\p{Is_Sc=-	MEND}', "");
Expect(0, 125142, '\p{^Is_Sc=-	MEND}', "");
Expect(0, 125142, '\P{Is_Sc=-	MEND}', "");
Expect(1, 125142, '\P{^Is_Sc=-	MEND}', "");
Expect(0, 125143, '\p{Is_Sc=-	MEND}', "");
Expect(1, 125143, '\p{^Is_Sc=-	MEND}', "");
Expect(1, 125143, '\P{Is_Sc=-	MEND}', "");
Expect(0, 125143, '\P{^Is_Sc=-	MEND}', "");
Error('\p{Script=	meroitic_CURSIVE/a/}');
Error('\P{Script=	meroitic_CURSIVE/a/}');
Expect(1, 68095, '\p{Script=meroiticcursive}', "");
Expect(0, 68095, '\p{^Script=meroiticcursive}', "");
Expect(0, 68095, '\P{Script=meroiticcursive}', "");
Expect(1, 68095, '\P{^Script=meroiticcursive}', "");
Expect(0, 68096, '\p{Script=meroiticcursive}', "");
Expect(1, 68096, '\p{^Script=meroiticcursive}', "");
Expect(1, 68096, '\P{Script=meroiticcursive}', "");
Expect(0, 68096, '\P{^Script=meroiticcursive}', "");
Expect(1, 68095, '\p{Script=-Meroitic_Cursive}', "");
Expect(0, 68095, '\p{^Script=-Meroitic_Cursive}', "");
Expect(0, 68095, '\P{Script=-Meroitic_Cursive}', "");
Expect(1, 68095, '\P{^Script=-Meroitic_Cursive}', "");
Expect(0, 68096, '\p{Script=-Meroitic_Cursive}', "");
Expect(1, 68096, '\p{^Script=-Meroitic_Cursive}', "");
Expect(1, 68096, '\P{Script=-Meroitic_Cursive}', "");
Expect(0, 68096, '\P{^Script=-Meroitic_Cursive}', "");
Error('\p{Sc=_ merc/a/}');
Error('\P{Sc=_ merc/a/}');
Expect(1, 68095, '\p{Sc:   merc}', "");
Expect(0, 68095, '\p{^Sc:   merc}', "");
Expect(0, 68095, '\P{Sc:   merc}', "");
Expect(1, 68095, '\P{^Sc:   merc}', "");
Expect(0, 68096, '\p{Sc:   merc}', "");
Expect(1, 68096, '\p{^Sc:   merc}', "");
Expect(1, 68096, '\P{Sc:   merc}', "");
Expect(0, 68096, '\P{^Sc:   merc}', "");
Expect(1, 68095, '\p{Sc=_	Merc}', "");
Expect(0, 68095, '\p{^Sc=_	Merc}', "");
Expect(0, 68095, '\P{Sc=_	Merc}', "");
Expect(1, 68095, '\P{^Sc=_	Merc}', "");
Expect(0, 68096, '\p{Sc=_	Merc}', "");
Expect(1, 68096, '\p{^Sc=_	Merc}', "");
Expect(1, 68096, '\P{Sc=_	Merc}', "");
Expect(0, 68096, '\P{^Sc=_	Merc}', "");
Error('\p{Is_Script=_-meroitic_CURSIVE/a/}');
Error('\P{Is_Script=_-meroitic_CURSIVE/a/}');
Expect(1, 68095, '\p{Is_Script=meroiticcursive}', "");
Expect(0, 68095, '\p{^Is_Script=meroiticcursive}', "");
Expect(0, 68095, '\P{Is_Script=meroiticcursive}', "");
Expect(1, 68095, '\P{^Is_Script=meroiticcursive}', "");
Expect(0, 68096, '\p{Is_Script=meroiticcursive}', "");
Expect(1, 68096, '\p{^Is_Script=meroiticcursive}', "");
Expect(1, 68096, '\P{Is_Script=meroiticcursive}', "");
Expect(0, 68096, '\P{^Is_Script=meroiticcursive}', "");
Expect(1, 68095, '\p{Is_Script=_ MEROITIC_CURSIVE}', "");
Expect(0, 68095, '\p{^Is_Script=_ MEROITIC_CURSIVE}', "");
Expect(0, 68095, '\P{Is_Script=_ MEROITIC_CURSIVE}', "");
Expect(1, 68095, '\P{^Is_Script=_ MEROITIC_CURSIVE}', "");
Expect(0, 68096, '\p{Is_Script=_ MEROITIC_CURSIVE}', "");
Expect(1, 68096, '\p{^Is_Script=_ MEROITIC_CURSIVE}', "");
Expect(1, 68096, '\P{Is_Script=_ MEROITIC_CURSIVE}', "");
Expect(0, 68096, '\P{^Is_Script=_ MEROITIC_CURSIVE}', "");
Error('\p{Is_Sc= merc:=}');
Error('\P{Is_Sc= merc:=}');
Expect(1, 68095, '\p{Is_Sc=merc}', "");
Expect(0, 68095, '\p{^Is_Sc=merc}', "");
Expect(0, 68095, '\P{Is_Sc=merc}', "");
Expect(1, 68095, '\P{^Is_Sc=merc}', "");
Expect(0, 68096, '\p{Is_Sc=merc}', "");
Expect(1, 68096, '\p{^Is_Sc=merc}', "");
Expect(1, 68096, '\P{Is_Sc=merc}', "");
Expect(0, 68096, '\P{^Is_Sc=merc}', "");
Expect(1, 68095, '\p{Is_Sc=_-Merc}', "");
Expect(0, 68095, '\p{^Is_Sc=_-Merc}', "");
Expect(0, 68095, '\P{Is_Sc=_-Merc}', "");
Expect(1, 68095, '\P{^Is_Sc=_-Merc}', "");
Expect(0, 68096, '\p{Is_Sc=_-Merc}', "");
Expect(1, 68096, '\p{^Is_Sc=_-Merc}', "");
Expect(1, 68096, '\P{Is_Sc=_-Merc}', "");
Expect(0, 68096, '\P{^Is_Sc=_-Merc}', "");
Error('\p{Script=:=	_MEROITIC_HIEROGLYPHS}');
Error('\P{Script=:=	_MEROITIC_HIEROGLYPHS}');
Expect(1, 67999, '\p{Script: meroitichieroglyphs}', "");
Expect(0, 67999, '\p{^Script: meroitichieroglyphs}', "");
Expect(0, 67999, '\P{Script: meroitichieroglyphs}', "");
Expect(1, 67999, '\P{^Script: meroitichieroglyphs}', "");
Expect(0, 68000, '\p{Script: meroitichieroglyphs}', "");
Expect(1, 68000, '\p{^Script: meroitichieroglyphs}', "");
Expect(1, 68000, '\P{Script: meroitichieroglyphs}', "");
Expect(0, 68000, '\P{^Script: meroitichieroglyphs}', "");
Expect(1, 67999, '\p{Script=-Meroitic_hieroglyphs}', "");
Expect(0, 67999, '\p{^Script=-Meroitic_hieroglyphs}', "");
Expect(0, 67999, '\P{Script=-Meroitic_hieroglyphs}', "");
Expect(1, 67999, '\P{^Script=-Meroitic_hieroglyphs}', "");
Expect(0, 68000, '\p{Script=-Meroitic_hieroglyphs}', "");
Expect(1, 68000, '\p{^Script=-Meroitic_hieroglyphs}', "");
Expect(1, 68000, '\P{Script=-Meroitic_hieroglyphs}', "");
Expect(0, 68000, '\P{^Script=-Meroitic_hieroglyphs}', "");
Error('\p{Sc=:=-_Mero}');
Error('\P{Sc=:=-_Mero}');
Expect(1, 67999, '\p{Sc=mero}', "");
Expect(0, 67999, '\p{^Sc=mero}', "");
Expect(0, 67999, '\P{Sc=mero}', "");
Expect(1, 67999, '\P{^Sc=mero}', "");
Expect(0, 68000, '\p{Sc=mero}', "");
Expect(1, 68000, '\p{^Sc=mero}', "");
Expect(1, 68000, '\P{Sc=mero}', "");
Expect(0, 68000, '\P{^Sc=mero}', "");
Expect(1, 67999, '\p{Sc=-Mero}', "");
Expect(0, 67999, '\p{^Sc=-Mero}', "");
Expect(0, 67999, '\P{Sc=-Mero}', "");
Expect(1, 67999, '\P{^Sc=-Mero}', "");
Expect(0, 68000, '\p{Sc=-Mero}', "");
Expect(1, 68000, '\p{^Sc=-Mero}', "");
Expect(1, 68000, '\P{Sc=-Mero}', "");
Expect(0, 68000, '\P{^Sc=-Mero}', "");
Error('\p{Is_Script=_Meroitic_hieroglyphs/a/}');
Error('\P{Is_Script=_Meroitic_hieroglyphs/a/}');
Expect(1, 67999, '\p{Is_Script:   meroitichieroglyphs}', "");
Expect(0, 67999, '\p{^Is_Script:   meroitichieroglyphs}', "");
Expect(0, 67999, '\P{Is_Script:   meroitichieroglyphs}', "");
Expect(1, 67999, '\P{^Is_Script:   meroitichieroglyphs}', "");
Expect(0, 68000, '\p{Is_Script:   meroitichieroglyphs}', "");
Expect(1, 68000, '\p{^Is_Script:   meroitichieroglyphs}', "");
Expect(1, 68000, '\P{Is_Script:   meroitichieroglyphs}', "");
Expect(0, 68000, '\P{^Is_Script:   meroitichieroglyphs}', "");
Expect(1, 67999, '\p{Is_Script= 	MEROITIC_Hieroglyphs}', "");
Expect(0, 67999, '\p{^Is_Script= 	MEROITIC_Hieroglyphs}', "");
Expect(0, 67999, '\P{Is_Script= 	MEROITIC_Hieroglyphs}', "");
Expect(1, 67999, '\P{^Is_Script= 	MEROITIC_Hieroglyphs}', "");
Expect(0, 68000, '\p{Is_Script= 	MEROITIC_Hieroglyphs}', "");
Expect(1, 68000, '\p{^Is_Script= 	MEROITIC_Hieroglyphs}', "");
Expect(1, 68000, '\P{Is_Script= 	MEROITIC_Hieroglyphs}', "");
Expect(0, 68000, '\P{^Is_Script= 	MEROITIC_Hieroglyphs}', "");
Error('\p{Is_Sc= -mero:=}');
Error('\P{Is_Sc= -mero:=}');
Expect(1, 67999, '\p{Is_Sc=mero}', "");
Expect(0, 67999, '\p{^Is_Sc=mero}', "");
Expect(0, 67999, '\P{Is_Sc=mero}', "");
Expect(1, 67999, '\P{^Is_Sc=mero}', "");
Expect(0, 68000, '\p{Is_Sc=mero}', "");
Expect(1, 68000, '\p{^Is_Sc=mero}', "");
Expect(1, 68000, '\P{Is_Sc=mero}', "");
Expect(0, 68000, '\P{^Is_Sc=mero}', "");
Expect(1, 67999, '\p{Is_Sc= 	Mero}', "");
Expect(0, 67999, '\p{^Is_Sc= 	Mero}', "");
Expect(0, 67999, '\P{Is_Sc= 	Mero}', "");
Expect(1, 67999, '\P{^Is_Sc= 	Mero}', "");
Expect(0, 68000, '\p{Is_Sc= 	Mero}', "");
Expect(1, 68000, '\p{^Is_Sc= 	Mero}', "");
Expect(1, 68000, '\P{Is_Sc= 	Mero}', "");
Expect(0, 68000, '\P{^Is_Sc= 	Mero}', "");
Error('\p{Script:	-/a/Malayalam}');
Error('\P{Script:	-/a/Malayalam}');
Expect(1, 3455, '\p{Script=malayalam}', "");
Expect(0, 3455, '\p{^Script=malayalam}', "");
Expect(0, 3455, '\P{Script=malayalam}', "");
Expect(1, 3455, '\P{^Script=malayalam}', "");
Expect(0, 3456, '\p{Script=malayalam}', "");
Expect(1, 3456, '\p{^Script=malayalam}', "");
Expect(1, 3456, '\P{Script=malayalam}', "");
Expect(0, 3456, '\P{^Script=malayalam}', "");
Expect(1, 3455, '\p{Script= MALAYALAM}', "");
Expect(0, 3455, '\p{^Script= MALAYALAM}', "");
Expect(0, 3455, '\P{Script= MALAYALAM}', "");
Expect(1, 3455, '\P{^Script= MALAYALAM}', "");
Expect(0, 3456, '\p{Script= MALAYALAM}', "");
Expect(1, 3456, '\p{^Script= MALAYALAM}', "");
Expect(1, 3456, '\P{Script= MALAYALAM}', "");
Expect(0, 3456, '\P{^Script= MALAYALAM}', "");
Error('\p{Sc:   	_MLYM:=}');
Error('\P{Sc:   	_MLYM:=}');
Expect(1, 3455, '\p{Sc=mlym}', "");
Expect(0, 3455, '\p{^Sc=mlym}', "");
Expect(0, 3455, '\P{Sc=mlym}', "");
Expect(1, 3455, '\P{^Sc=mlym}', "");
Expect(0, 3456, '\p{Sc=mlym}', "");
Expect(1, 3456, '\p{^Sc=mlym}', "");
Expect(1, 3456, '\P{Sc=mlym}', "");
Expect(0, 3456, '\P{^Sc=mlym}', "");
Expect(1, 3455, '\p{Sc=-mlym}', "");
Expect(0, 3455, '\p{^Sc=-mlym}', "");
Expect(0, 3455, '\P{Sc=-mlym}', "");
Expect(1, 3455, '\P{^Sc=-mlym}', "");
Expect(0, 3456, '\p{Sc=-mlym}', "");
Expect(1, 3456, '\p{^Sc=-mlym}', "");
Expect(1, 3456, '\P{Sc=-mlym}', "");
Expect(0, 3456, '\P{^Sc=-mlym}', "");
Error('\p{Is_Script=	-malayalam/a/}');
Error('\P{Is_Script=	-malayalam/a/}');
Expect(1, 3455, '\p{Is_Script=malayalam}', "");
Expect(0, 3455, '\p{^Is_Script=malayalam}', "");
Expect(0, 3455, '\P{Is_Script=malayalam}', "");
Expect(1, 3455, '\P{^Is_Script=malayalam}', "");
Expect(0, 3456, '\p{Is_Script=malayalam}', "");
Expect(1, 3456, '\p{^Is_Script=malayalam}', "");
Expect(1, 3456, '\P{Is_Script=malayalam}', "");
Expect(0, 3456, '\P{^Is_Script=malayalam}', "");
Expect(1, 3455, '\p{Is_Script=__Malayalam}', "");
Expect(0, 3455, '\p{^Is_Script=__Malayalam}', "");
Expect(0, 3455, '\P{Is_Script=__Malayalam}', "");
Expect(1, 3455, '\P{^Is_Script=__Malayalam}', "");
Expect(0, 3456, '\p{Is_Script=__Malayalam}', "");
Expect(1, 3456, '\p{^Is_Script=__Malayalam}', "");
Expect(1, 3456, '\P{Is_Script=__Malayalam}', "");
Expect(0, 3456, '\P{^Is_Script=__Malayalam}', "");
Error('\p{Is_Sc=:=  MLYM}');
Error('\P{Is_Sc=:=  MLYM}');
Expect(1, 3455, '\p{Is_Sc=mlym}', "");
Expect(0, 3455, '\p{^Is_Sc=mlym}', "");
Expect(0, 3455, '\P{Is_Sc=mlym}', "");
Expect(1, 3455, '\P{^Is_Sc=mlym}', "");
Expect(0, 3456, '\p{Is_Sc=mlym}', "");
Expect(1, 3456, '\p{^Is_Sc=mlym}', "");
Expect(1, 3456, '\P{Is_Sc=mlym}', "");
Expect(0, 3456, '\P{^Is_Sc=mlym}', "");
Expect(1, 3455, '\p{Is_Sc=	Mlym}', "");
Expect(0, 3455, '\p{^Is_Sc=	Mlym}', "");
Expect(0, 3455, '\P{Is_Sc=	Mlym}', "");
Expect(1, 3455, '\P{^Is_Sc=	Mlym}', "");
Expect(0, 3456, '\p{Is_Sc=	Mlym}', "");
Expect(1, 3456, '\p{^Is_Sc=	Mlym}', "");
Expect(1, 3456, '\P{Is_Sc=	Mlym}', "");
Expect(0, 3456, '\P{^Is_Sc=	Mlym}', "");
Error('\p{Script=_:=Modi}');
Error('\P{Script=_:=Modi}');
Expect(1, 71257, '\p{Script=modi}', "");
Expect(0, 71257, '\p{^Script=modi}', "");
Expect(0, 71257, '\P{Script=modi}', "");
Expect(1, 71257, '\P{^Script=modi}', "");
Expect(0, 71258, '\p{Script=modi}', "");
Expect(1, 71258, '\p{^Script=modi}', "");
Expect(1, 71258, '\P{Script=modi}', "");
Expect(0, 71258, '\P{^Script=modi}', "");
Expect(1, 71257, '\p{Script= modi}', "");
Expect(0, 71257, '\p{^Script= modi}', "");
Expect(0, 71257, '\P{Script= modi}', "");
Expect(1, 71257, '\P{^Script= modi}', "");
Expect(0, 71258, '\p{Script= modi}', "");
Expect(1, 71258, '\p{^Script= modi}', "");
Expect(1, 71258, '\P{Script= modi}', "");
Expect(0, 71258, '\P{^Script= modi}', "");
Error('\p{Sc=:=	-Modi}');
Error('\P{Sc=:=	-Modi}');
Expect(1, 71257, '\p{Sc=modi}', "");
Expect(0, 71257, '\p{^Sc=modi}', "");
Expect(0, 71257, '\P{Sc=modi}', "");
Expect(1, 71257, '\P{^Sc=modi}', "");
Expect(0, 71258, '\p{Sc=modi}', "");
Expect(1, 71258, '\p{^Sc=modi}', "");
Expect(1, 71258, '\P{Sc=modi}', "");
Expect(0, 71258, '\P{^Sc=modi}', "");
Expect(1, 71257, '\p{Sc=  modi}', "");
Expect(0, 71257, '\p{^Sc=  modi}', "");
Expect(0, 71257, '\P{Sc=  modi}', "");
Expect(1, 71257, '\P{^Sc=  modi}', "");
Expect(0, 71258, '\p{Sc=  modi}', "");
Expect(1, 71258, '\p{^Sc=  modi}', "");
Expect(1, 71258, '\P{Sc=  modi}', "");
Expect(0, 71258, '\P{^Sc=  modi}', "");
Error('\p{Is_Script=:= -MODI}');
Error('\P{Is_Script=:= -MODI}');
Expect(1, 71257, '\p{Is_Script=modi}', "");
Expect(0, 71257, '\p{^Is_Script=modi}', "");
Expect(0, 71257, '\P{Is_Script=modi}', "");
Expect(1, 71257, '\P{^Is_Script=modi}', "");
Expect(0, 71258, '\p{Is_Script=modi}', "");
Expect(1, 71258, '\p{^Is_Script=modi}', "");
Expect(1, 71258, '\P{Is_Script=modi}', "");
Expect(0, 71258, '\P{^Is_Script=modi}', "");
Expect(1, 71257, '\p{Is_Script=-	MODI}', "");
Expect(0, 71257, '\p{^Is_Script=-	MODI}', "");
Expect(0, 71257, '\P{Is_Script=-	MODI}', "");
Expect(1, 71257, '\P{^Is_Script=-	MODI}', "");
Expect(0, 71258, '\p{Is_Script=-	MODI}', "");
Expect(1, 71258, '\p{^Is_Script=-	MODI}', "");
Expect(1, 71258, '\P{Is_Script=-	MODI}', "");
Expect(0, 71258, '\P{^Is_Script=-	MODI}', "");
Error('\p{Is_Sc:		 Modi/a/}');
Error('\P{Is_Sc:		 Modi/a/}');
Expect(1, 71257, '\p{Is_Sc=modi}', "");
Expect(0, 71257, '\p{^Is_Sc=modi}', "");
Expect(0, 71257, '\P{Is_Sc=modi}', "");
Expect(1, 71257, '\P{^Is_Sc=modi}', "");
Expect(0, 71258, '\p{Is_Sc=modi}', "");
Expect(1, 71258, '\p{^Is_Sc=modi}', "");
Expect(1, 71258, '\P{Is_Sc=modi}', "");
Expect(0, 71258, '\P{^Is_Sc=modi}', "");
Expect(1, 71257, '\p{Is_Sc=	-Modi}', "");
Expect(0, 71257, '\p{^Is_Sc=	-Modi}', "");
Expect(0, 71257, '\P{Is_Sc=	-Modi}', "");
Expect(1, 71257, '\P{^Is_Sc=	-Modi}', "");
Expect(0, 71258, '\p{Is_Sc=	-Modi}', "");
Expect(1, 71258, '\p{^Is_Sc=	-Modi}', "");
Expect(1, 71258, '\P{Is_Sc=	-Modi}', "");
Expect(0, 71258, '\P{^Is_Sc=	-Modi}', "");
Error('\p{Script= mongolian/a/}');
Error('\P{Script= mongolian/a/}');
Expect(1, 6314, '\p{Script=mongolian}', "");
Expect(0, 6314, '\p{^Script=mongolian}', "");
Expect(0, 6314, '\P{Script=mongolian}', "");
Expect(1, 6314, '\P{^Script=mongolian}', "");
Expect(0, 6315, '\p{Script=mongolian}', "");
Expect(1, 6315, '\p{^Script=mongolian}', "");
Expect(1, 6315, '\P{Script=mongolian}', "");
Expect(0, 6315, '\P{^Script=mongolian}', "");
Expect(1, 6314, '\p{Script=_ MONGOLIAN}', "");
Expect(0, 6314, '\p{^Script=_ MONGOLIAN}', "");
Expect(0, 6314, '\P{Script=_ MONGOLIAN}', "");
Expect(1, 6314, '\P{^Script=_ MONGOLIAN}', "");
Expect(0, 6315, '\p{Script=_ MONGOLIAN}', "");
Expect(1, 6315, '\p{^Script=_ MONGOLIAN}', "");
Expect(1, 6315, '\P{Script=_ MONGOLIAN}', "");
Expect(0, 6315, '\P{^Script=_ MONGOLIAN}', "");
Error('\p{Sc=-_Mong/a/}');
Error('\P{Sc=-_Mong/a/}');
Expect(1, 6314, '\p{Sc=mong}', "");
Expect(0, 6314, '\p{^Sc=mong}', "");
Expect(0, 6314, '\P{Sc=mong}', "");
Expect(1, 6314, '\P{^Sc=mong}', "");
Expect(0, 6315, '\p{Sc=mong}', "");
Expect(1, 6315, '\p{^Sc=mong}', "");
Expect(1, 6315, '\P{Sc=mong}', "");
Expect(0, 6315, '\P{^Sc=mong}', "");
Expect(1, 6314, '\p{Sc=	-Mong}', "");
Expect(0, 6314, '\p{^Sc=	-Mong}', "");
Expect(0, 6314, '\P{Sc=	-Mong}', "");
Expect(1, 6314, '\P{^Sc=	-Mong}', "");
Expect(0, 6315, '\p{Sc=	-Mong}', "");
Expect(1, 6315, '\p{^Sc=	-Mong}', "");
Expect(1, 6315, '\P{Sc=	-Mong}', "");
Expect(0, 6315, '\P{^Sc=	-Mong}', "");
Error('\p{Is_Script=/a/ Mongolian}');
Error('\P{Is_Script=/a/ Mongolian}');
Expect(1, 6314, '\p{Is_Script=mongolian}', "");
Expect(0, 6314, '\p{^Is_Script=mongolian}', "");
Expect(0, 6314, '\P{Is_Script=mongolian}', "");
Expect(1, 6314, '\P{^Is_Script=mongolian}', "");
Expect(0, 6315, '\p{Is_Script=mongolian}', "");
Expect(1, 6315, '\p{^Is_Script=mongolian}', "");
Expect(1, 6315, '\P{Is_Script=mongolian}', "");
Expect(0, 6315, '\P{^Is_Script=mongolian}', "");
Expect(1, 6314, '\p{Is_Script=_ MONGOLIAN}', "");
Expect(0, 6314, '\p{^Is_Script=_ MONGOLIAN}', "");
Expect(0, 6314, '\P{Is_Script=_ MONGOLIAN}', "");
Expect(1, 6314, '\P{^Is_Script=_ MONGOLIAN}', "");
Expect(0, 6315, '\p{Is_Script=_ MONGOLIAN}', "");
Expect(1, 6315, '\p{^Is_Script=_ MONGOLIAN}', "");
Expect(1, 6315, '\P{Is_Script=_ MONGOLIAN}', "");
Expect(0, 6315, '\P{^Is_Script=_ MONGOLIAN}', "");
Error('\p{Is_Sc=:=	_Mong}');
Error('\P{Is_Sc=:=	_Mong}');
Expect(1, 6314, '\p{Is_Sc=mong}', "");
Expect(0, 6314, '\p{^Is_Sc=mong}', "");
Expect(0, 6314, '\P{Is_Sc=mong}', "");
Expect(1, 6314, '\P{^Is_Sc=mong}', "");
Expect(0, 6315, '\p{Is_Sc=mong}', "");
Expect(1, 6315, '\p{^Is_Sc=mong}', "");
Expect(1, 6315, '\P{Is_Sc=mong}', "");
Expect(0, 6315, '\P{^Is_Sc=mong}', "");
Expect(1, 6314, '\p{Is_Sc=_Mong}', "");
Expect(0, 6314, '\p{^Is_Sc=_Mong}', "");
Expect(0, 6314, '\P{Is_Sc=_Mong}', "");
Expect(1, 6314, '\P{^Is_Sc=_Mong}', "");
Expect(0, 6315, '\p{Is_Sc=_Mong}', "");
Expect(1, 6315, '\p{^Is_Sc=_Mong}', "");
Expect(1, 6315, '\P{Is_Sc=_Mong}', "");
Expect(0, 6315, '\P{^Is_Sc=_Mong}', "");
Error('\p{Script=:=_	mro}');
Error('\P{Script=:=_	mro}');
Expect(1, 92783, '\p{Script=mro}', "");
Expect(0, 92783, '\p{^Script=mro}', "");
Expect(0, 92783, '\P{Script=mro}', "");
Expect(1, 92783, '\P{^Script=mro}', "");
Expect(0, 92784, '\p{Script=mro}', "");
Expect(1, 92784, '\p{^Script=mro}', "");
Expect(1, 92784, '\P{Script=mro}', "");
Expect(0, 92784, '\P{^Script=mro}', "");
Expect(1, 92783, '\p{Script:   - mro}', "");
Expect(0, 92783, '\p{^Script:   - mro}', "");
Expect(0, 92783, '\P{Script:   - mro}', "");
Expect(1, 92783, '\P{^Script:   - mro}', "");
Expect(0, 92784, '\p{Script:   - mro}', "");
Expect(1, 92784, '\p{^Script:   - mro}', "");
Expect(1, 92784, '\P{Script:   - mro}', "");
Expect(0, 92784, '\P{^Script:   - mro}', "");
Error('\p{Sc=_	Mroo:=}');
Error('\P{Sc=_	Mroo:=}');
Expect(1, 92783, '\p{Sc=mroo}', "");
Expect(0, 92783, '\p{^Sc=mroo}', "");
Expect(0, 92783, '\P{Sc=mroo}', "");
Expect(1, 92783, '\P{^Sc=mroo}', "");
Expect(0, 92784, '\p{Sc=mroo}', "");
Expect(1, 92784, '\p{^Sc=mroo}', "");
Expect(1, 92784, '\P{Sc=mroo}', "");
Expect(0, 92784, '\P{^Sc=mroo}', "");
Expect(1, 92783, '\p{Sc=-MROO}', "");
Expect(0, 92783, '\p{^Sc=-MROO}', "");
Expect(0, 92783, '\P{Sc=-MROO}', "");
Expect(1, 92783, '\P{^Sc=-MROO}', "");
Expect(0, 92784, '\p{Sc=-MROO}', "");
Expect(1, 92784, '\p{^Sc=-MROO}', "");
Expect(1, 92784, '\P{Sc=-MROO}', "");
Expect(0, 92784, '\P{^Sc=-MROO}', "");
Error('\p{Is_Script=	/a/MRO}');
Error('\P{Is_Script=	/a/MRO}');
Expect(1, 92783, '\p{Is_Script=mro}', "");
Expect(0, 92783, '\p{^Is_Script=mro}', "");
Expect(0, 92783, '\P{Is_Script=mro}', "");
Expect(1, 92783, '\P{^Is_Script=mro}', "");
Expect(0, 92784, '\p{Is_Script=mro}', "");
Expect(1, 92784, '\p{^Is_Script=mro}', "");
Expect(1, 92784, '\P{Is_Script=mro}', "");
Expect(0, 92784, '\P{^Is_Script=mro}', "");
Expect(1, 92783, '\p{Is_Script=_Mro}', "");
Expect(0, 92783, '\p{^Is_Script=_Mro}', "");
Expect(0, 92783, '\P{Is_Script=_Mro}', "");
Expect(1, 92783, '\P{^Is_Script=_Mro}', "");
Expect(0, 92784, '\p{Is_Script=_Mro}', "");
Expect(1, 92784, '\p{^Is_Script=_Mro}', "");
Expect(1, 92784, '\P{Is_Script=_Mro}', "");
Expect(0, 92784, '\P{^Is_Script=_Mro}', "");
Error('\p{Is_Sc=-/a/Mroo}');
Error('\P{Is_Sc=-/a/Mroo}');
Expect(1, 92783, '\p{Is_Sc=mroo}', "");
Expect(0, 92783, '\p{^Is_Sc=mroo}', "");
Expect(0, 92783, '\P{Is_Sc=mroo}', "");
Expect(1, 92783, '\P{^Is_Sc=mroo}', "");
Expect(0, 92784, '\p{Is_Sc=mroo}', "");
Expect(1, 92784, '\p{^Is_Sc=mroo}', "");
Expect(1, 92784, '\P{Is_Sc=mroo}', "");
Expect(0, 92784, '\P{^Is_Sc=mroo}', "");
Expect(1, 92783, '\p{Is_Sc=-	mroo}', "");
Expect(0, 92783, '\p{^Is_Sc=-	mroo}', "");
Expect(0, 92783, '\P{Is_Sc=-	mroo}', "");
Expect(1, 92783, '\P{^Is_Sc=-	mroo}', "");
Expect(0, 92784, '\p{Is_Sc=-	mroo}', "");
Expect(1, 92784, '\p{^Is_Sc=-	mroo}', "");
Expect(1, 92784, '\P{Is_Sc=-	mroo}', "");
Expect(0, 92784, '\P{^Is_Sc=-	mroo}', "");
Error('\p{Script=-:=MEETEI_MAYEK}');
Error('\P{Script=-:=MEETEI_MAYEK}');
Expect(1, 44025, '\p{Script=meeteimayek}', "");
Expect(0, 44025, '\p{^Script=meeteimayek}', "");
Expect(0, 44025, '\P{Script=meeteimayek}', "");
Expect(1, 44025, '\P{^Script=meeteimayek}', "");
Expect(0, 44026, '\p{Script=meeteimayek}', "");
Expect(1, 44026, '\p{^Script=meeteimayek}', "");
Expect(1, 44026, '\P{Script=meeteimayek}', "");
Expect(0, 44026, '\P{^Script=meeteimayek}', "");
Expect(1, 44025, '\p{Script: Meetei_mayek}', "");
Expect(0, 44025, '\p{^Script: Meetei_mayek}', "");
Expect(0, 44025, '\P{Script: Meetei_mayek}', "");
Expect(1, 44025, '\P{^Script: Meetei_mayek}', "");
Expect(0, 44026, '\p{Script: Meetei_mayek}', "");
Expect(1, 44026, '\p{^Script: Meetei_mayek}', "");
Expect(1, 44026, '\P{Script: Meetei_mayek}', "");
Expect(0, 44026, '\P{^Script: Meetei_mayek}', "");
Error('\p{Sc=- MTEI/a/}');
Error('\P{Sc=- MTEI/a/}');
Expect(1, 44025, '\p{Sc=mtei}', "");
Expect(0, 44025, '\p{^Sc=mtei}', "");
Expect(0, 44025, '\P{Sc=mtei}', "");
Expect(1, 44025, '\P{^Sc=mtei}', "");
Expect(0, 44026, '\p{Sc=mtei}', "");
Expect(1, 44026, '\p{^Sc=mtei}', "");
Expect(1, 44026, '\P{Sc=mtei}', "");
Expect(0, 44026, '\P{^Sc=mtei}', "");
Expect(1, 44025, '\p{Sc=_	mtei}', "");
Expect(0, 44025, '\p{^Sc=_	mtei}', "");
Expect(0, 44025, '\P{Sc=_	mtei}', "");
Expect(1, 44025, '\P{^Sc=_	mtei}', "");
Expect(0, 44026, '\p{Sc=_	mtei}', "");
Expect(1, 44026, '\p{^Sc=_	mtei}', "");
Expect(1, 44026, '\P{Sc=_	mtei}', "");
Expect(0, 44026, '\P{^Sc=_	mtei}', "");
Error('\p{Is_Script= Meetei_MAYEK/a/}');
Error('\P{Is_Script= Meetei_MAYEK/a/}');
Expect(1, 44025, '\p{Is_Script=meeteimayek}', "");
Expect(0, 44025, '\p{^Is_Script=meeteimayek}', "");
Expect(0, 44025, '\P{Is_Script=meeteimayek}', "");
Expect(1, 44025, '\P{^Is_Script=meeteimayek}', "");
Expect(0, 44026, '\p{Is_Script=meeteimayek}', "");
Expect(1, 44026, '\p{^Is_Script=meeteimayek}', "");
Expect(1, 44026, '\P{Is_Script=meeteimayek}', "");
Expect(0, 44026, '\P{^Is_Script=meeteimayek}', "");
Expect(1, 44025, '\p{Is_Script=		MEETEI_Mayek}', "");
Expect(0, 44025, '\p{^Is_Script=		MEETEI_Mayek}', "");
Expect(0, 44025, '\P{Is_Script=		MEETEI_Mayek}', "");
Expect(1, 44025, '\P{^Is_Script=		MEETEI_Mayek}', "");
Expect(0, 44026, '\p{Is_Script=		MEETEI_Mayek}', "");
Expect(1, 44026, '\p{^Is_Script=		MEETEI_Mayek}', "");
Expect(1, 44026, '\P{Is_Script=		MEETEI_Mayek}', "");
Expect(0, 44026, '\P{^Is_Script=		MEETEI_Mayek}', "");
Error('\p{Is_Sc=_/a/MTEI}');
Error('\P{Is_Sc=_/a/MTEI}');
Expect(1, 44025, '\p{Is_Sc=mtei}', "");
Expect(0, 44025, '\p{^Is_Sc=mtei}', "");
Expect(0, 44025, '\P{Is_Sc=mtei}', "");
Expect(1, 44025, '\P{^Is_Sc=mtei}', "");
Expect(0, 44026, '\p{Is_Sc=mtei}', "");
Expect(1, 44026, '\p{^Is_Sc=mtei}', "");
Expect(1, 44026, '\P{Is_Sc=mtei}', "");
Expect(0, 44026, '\P{^Is_Sc=mtei}', "");
Expect(1, 44025, '\p{Is_Sc=-_MTEI}', "");
Expect(0, 44025, '\p{^Is_Sc=-_MTEI}', "");
Expect(0, 44025, '\P{Is_Sc=-_MTEI}', "");
Expect(1, 44025, '\P{^Is_Sc=-_MTEI}', "");
Expect(0, 44026, '\p{Is_Sc=-_MTEI}', "");
Expect(1, 44026, '\p{^Is_Sc=-_MTEI}', "");
Expect(1, 44026, '\P{Is_Sc=-_MTEI}', "");
Expect(0, 44026, '\P{^Is_Sc=-_MTEI}', "");
Error('\p{Script=:=_-MULTANI}');
Error('\P{Script=:=_-MULTANI}');
Expect(1, 70313, '\p{Script=multani}', "");
Expect(0, 70313, '\p{^Script=multani}', "");
Expect(0, 70313, '\P{Script=multani}', "");
Expect(1, 70313, '\P{^Script=multani}', "");
Expect(0, 70314, '\p{Script=multani}', "");
Expect(1, 70314, '\p{^Script=multani}', "");
Expect(1, 70314, '\P{Script=multani}', "");
Expect(0, 70314, '\P{^Script=multani}', "");
Expect(1, 70313, '\p{Script=	Multani}', "");
Expect(0, 70313, '\p{^Script=	Multani}', "");
Expect(0, 70313, '\P{Script=	Multani}', "");
Expect(1, 70313, '\P{^Script=	Multani}', "");
Expect(0, 70314, '\p{Script=	Multani}', "");
Expect(1, 70314, '\p{^Script=	Multani}', "");
Expect(1, 70314, '\P{Script=	Multani}', "");
Expect(0, 70314, '\P{^Script=	Multani}', "");
Error('\p{Sc:   :=_	MULT}');
Error('\P{Sc:   :=_	MULT}');
Expect(1, 70313, '\p{Sc=mult}', "");
Expect(0, 70313, '\p{^Sc=mult}', "");
Expect(0, 70313, '\P{Sc=mult}', "");
Expect(1, 70313, '\P{^Sc=mult}', "");
Expect(0, 70314, '\p{Sc=mult}', "");
Expect(1, 70314, '\p{^Sc=mult}', "");
Expect(1, 70314, '\P{Sc=mult}', "");
Expect(0, 70314, '\P{^Sc=mult}', "");
Expect(1, 70313, '\p{Sc=  MULT}', "");
Expect(0, 70313, '\p{^Sc=  MULT}', "");
Expect(0, 70313, '\P{Sc=  MULT}', "");
Expect(1, 70313, '\P{^Sc=  MULT}', "");
Expect(0, 70314, '\p{Sc=  MULT}', "");
Expect(1, 70314, '\p{^Sc=  MULT}', "");
Expect(1, 70314, '\P{Sc=  MULT}', "");
Expect(0, 70314, '\P{^Sc=  MULT}', "");
Error('\p{Is_Script:   _/a/multani}');
Error('\P{Is_Script:   _/a/multani}');
Expect(1, 70313, '\p{Is_Script:	multani}', "");
Expect(0, 70313, '\p{^Is_Script:	multani}', "");
Expect(0, 70313, '\P{Is_Script:	multani}', "");
Expect(1, 70313, '\P{^Is_Script:	multani}', "");
Expect(0, 70314, '\p{Is_Script:	multani}', "");
Expect(1, 70314, '\p{^Is_Script:	multani}', "");
Expect(1, 70314, '\P{Is_Script:	multani}', "");
Expect(0, 70314, '\P{^Is_Script:	multani}', "");
Expect(1, 70313, '\p{Is_Script= Multani}', "");
Expect(0, 70313, '\p{^Is_Script= Multani}', "");
Expect(0, 70313, '\P{Is_Script= Multani}', "");
Expect(1, 70313, '\P{^Is_Script= Multani}', "");
Expect(0, 70314, '\p{Is_Script= Multani}', "");
Expect(1, 70314, '\p{^Is_Script= Multani}', "");
Expect(1, 70314, '\P{Is_Script= Multani}', "");
Expect(0, 70314, '\P{^Is_Script= Multani}', "");
Error('\p{Is_Sc=_:=Mult}');
Error('\P{Is_Sc=_:=Mult}');
Expect(1, 70313, '\p{Is_Sc=mult}', "");
Expect(0, 70313, '\p{^Is_Sc=mult}', "");
Expect(0, 70313, '\P{Is_Sc=mult}', "");
Expect(1, 70313, '\P{^Is_Sc=mult}', "");
Expect(0, 70314, '\p{Is_Sc=mult}', "");
Expect(1, 70314, '\p{^Is_Sc=mult}', "");
Expect(1, 70314, '\P{Is_Sc=mult}', "");
Expect(0, 70314, '\P{^Is_Sc=mult}', "");
Expect(1, 70313, '\p{Is_Sc=--MULT}', "");
Expect(0, 70313, '\p{^Is_Sc=--MULT}', "");
Expect(0, 70313, '\P{Is_Sc=--MULT}', "");
Expect(1, 70313, '\P{^Is_Sc=--MULT}', "");
Expect(0, 70314, '\p{Is_Sc=--MULT}', "");
Expect(1, 70314, '\p{^Is_Sc=--MULT}', "");
Expect(1, 70314, '\P{Is_Sc=--MULT}', "");
Expect(0, 70314, '\P{^Is_Sc=--MULT}', "");
Error('\p{Script= Myanmar/a/}');
Error('\P{Script= Myanmar/a/}');
Expect(1, 43647, '\p{Script=myanmar}', "");
Expect(0, 43647, '\p{^Script=myanmar}', "");
Expect(0, 43647, '\P{Script=myanmar}', "");
Expect(1, 43647, '\P{^Script=myanmar}', "");
Expect(0, 43648, '\p{Script=myanmar}', "");
Expect(1, 43648, '\p{^Script=myanmar}', "");
Expect(1, 43648, '\P{Script=myanmar}', "");
Expect(0, 43648, '\P{^Script=myanmar}', "");
Expect(1, 43647, '\p{Script=  myanmar}', "");
Expect(0, 43647, '\p{^Script=  myanmar}', "");
Expect(0, 43647, '\P{Script=  myanmar}', "");
Expect(1, 43647, '\P{^Script=  myanmar}', "");
Expect(0, 43648, '\p{Script=  myanmar}', "");
Expect(1, 43648, '\p{^Script=  myanmar}', "");
Expect(1, 43648, '\P{Script=  myanmar}', "");
Expect(0, 43648, '\P{^Script=  myanmar}', "");
Error('\p{Sc=/a/_Mymr}');
Error('\P{Sc=/a/_Mymr}');
Expect(1, 43647, '\p{Sc:   mymr}', "");
Expect(0, 43647, '\p{^Sc:   mymr}', "");
Expect(0, 43647, '\P{Sc:   mymr}', "");
Expect(1, 43647, '\P{^Sc:   mymr}', "");
Expect(0, 43648, '\p{Sc:   mymr}', "");
Expect(1, 43648, '\p{^Sc:   mymr}', "");
Expect(1, 43648, '\P{Sc:   mymr}', "");
Expect(0, 43648, '\P{^Sc:   mymr}', "");
Expect(1, 43647, '\p{Sc= 	Mymr}', "");
Expect(0, 43647, '\p{^Sc= 	Mymr}', "");
Expect(0, 43647, '\P{Sc= 	Mymr}', "");
Expect(1, 43647, '\P{^Sc= 	Mymr}', "");
Expect(0, 43648, '\p{Sc= 	Mymr}', "");
Expect(1, 43648, '\p{^Sc= 	Mymr}', "");
Expect(1, 43648, '\P{Sc= 	Mymr}', "");
Expect(0, 43648, '\P{^Sc= 	Mymr}', "");
Error('\p{Is_Script=:=__Myanmar}');
Error('\P{Is_Script=:=__Myanmar}');
Expect(1, 43647, '\p{Is_Script=myanmar}', "");
Expect(0, 43647, '\p{^Is_Script=myanmar}', "");
Expect(0, 43647, '\P{Is_Script=myanmar}', "");
Expect(1, 43647, '\P{^Is_Script=myanmar}', "");
Expect(0, 43648, '\p{Is_Script=myanmar}', "");
Expect(1, 43648, '\p{^Is_Script=myanmar}', "");
Expect(1, 43648, '\P{Is_Script=myanmar}', "");
Expect(0, 43648, '\P{^Is_Script=myanmar}', "");
Expect(1, 43647, '\p{Is_Script= -Myanmar}', "");
Expect(0, 43647, '\p{^Is_Script= -Myanmar}', "");
Expect(0, 43647, '\P{Is_Script= -Myanmar}', "");
Expect(1, 43647, '\P{^Is_Script= -Myanmar}', "");
Expect(0, 43648, '\p{Is_Script= -Myanmar}', "");
Expect(1, 43648, '\p{^Is_Script= -Myanmar}', "");
Expect(1, 43648, '\P{Is_Script= -Myanmar}', "");
Expect(0, 43648, '\P{^Is_Script= -Myanmar}', "");
Error('\p{Is_Sc=/a/--MYMR}');
Error('\P{Is_Sc=/a/--MYMR}');
Expect(1, 43647, '\p{Is_Sc=mymr}', "");
Expect(0, 43647, '\p{^Is_Sc=mymr}', "");
Expect(0, 43647, '\P{Is_Sc=mymr}', "");
Expect(1, 43647, '\P{^Is_Sc=mymr}', "");
Expect(0, 43648, '\p{Is_Sc=mymr}', "");
Expect(1, 43648, '\p{^Is_Sc=mymr}', "");
Expect(1, 43648, '\P{Is_Sc=mymr}', "");
Expect(0, 43648, '\P{^Is_Sc=mymr}', "");
Expect(1, 43647, '\p{Is_Sc:		_mymr}', "");
Expect(0, 43647, '\p{^Is_Sc:		_mymr}', "");
Expect(0, 43647, '\P{Is_Sc:		_mymr}', "");
Expect(1, 43647, '\P{^Is_Sc:		_mymr}', "");
Expect(0, 43648, '\p{Is_Sc:		_mymr}', "");
Expect(1, 43648, '\p{^Is_Sc:		_mymr}', "");
Expect(1, 43648, '\P{Is_Sc:		_mymr}', "");
Expect(0, 43648, '\P{^Is_Sc:		_mymr}', "");
Error('\p{Script=/a/_ Old_North_Arabian}');
Error('\P{Script=/a/_ Old_North_Arabian}');
Expect(1, 68255, '\p{Script=oldnortharabian}', "");
Expect(0, 68255, '\p{^Script=oldnortharabian}', "");
Expect(0, 68255, '\P{Script=oldnortharabian}', "");
Expect(1, 68255, '\P{^Script=oldnortharabian}', "");
Expect(0, 68256, '\p{Script=oldnortharabian}', "");
Expect(1, 68256, '\p{^Script=oldnortharabian}', "");
Expect(1, 68256, '\P{Script=oldnortharabian}', "");
Expect(0, 68256, '\P{^Script=oldnortharabian}', "");
Expect(1, 68255, '\p{Script=__old_north_Arabian}', "");
Expect(0, 68255, '\p{^Script=__old_north_Arabian}', "");
Expect(0, 68255, '\P{Script=__old_north_Arabian}', "");
Expect(1, 68255, '\P{^Script=__old_north_Arabian}', "");
Expect(0, 68256, '\p{Script=__old_north_Arabian}', "");
Expect(1, 68256, '\p{^Script=__old_north_Arabian}', "");
Expect(1, 68256, '\P{Script=__old_north_Arabian}', "");
Expect(0, 68256, '\P{^Script=__old_north_Arabian}', "");
Error('\p{Sc=_/a/Narb}');
Error('\P{Sc=_/a/Narb}');
Expect(1, 68255, '\p{Sc=narb}', "");
Expect(0, 68255, '\p{^Sc=narb}', "");
Expect(0, 68255, '\P{Sc=narb}', "");
Expect(1, 68255, '\P{^Sc=narb}', "");
Expect(0, 68256, '\p{Sc=narb}', "");
Expect(1, 68256, '\p{^Sc=narb}', "");
Expect(1, 68256, '\P{Sc=narb}', "");
Expect(0, 68256, '\P{^Sc=narb}', "");
Expect(1, 68255, '\p{Sc=-_narb}', "");
Expect(0, 68255, '\p{^Sc=-_narb}', "");
Expect(0, 68255, '\P{Sc=-_narb}', "");
Expect(1, 68255, '\P{^Sc=-_narb}', "");
Expect(0, 68256, '\p{Sc=-_narb}', "");
Expect(1, 68256, '\p{^Sc=-_narb}', "");
Expect(1, 68256, '\P{Sc=-_narb}', "");
Expect(0, 68256, '\P{^Sc=-_narb}', "");
Error('\p{Is_Script=/a/	 old_NORTH_Arabian}');
Error('\P{Is_Script=/a/	 old_NORTH_Arabian}');
Expect(1, 68255, '\p{Is_Script=oldnortharabian}', "");
Expect(0, 68255, '\p{^Is_Script=oldnortharabian}', "");
Expect(0, 68255, '\P{Is_Script=oldnortharabian}', "");
Expect(1, 68255, '\P{^Is_Script=oldnortharabian}', "");
Expect(0, 68256, '\p{Is_Script=oldnortharabian}', "");
Expect(1, 68256, '\p{^Is_Script=oldnortharabian}', "");
Expect(1, 68256, '\P{Is_Script=oldnortharabian}', "");
Expect(0, 68256, '\P{^Is_Script=oldnortharabian}', "");
Expect(1, 68255, '\p{Is_Script=_ old_NORTH_Arabian}', "");
Expect(0, 68255, '\p{^Is_Script=_ old_NORTH_Arabian}', "");
Expect(0, 68255, '\P{Is_Script=_ old_NORTH_Arabian}', "");
Expect(1, 68255, '\P{^Is_Script=_ old_NORTH_Arabian}', "");
Expect(0, 68256, '\p{Is_Script=_ old_NORTH_Arabian}', "");
Expect(1, 68256, '\p{^Is_Script=_ old_NORTH_Arabian}', "");
Expect(1, 68256, '\P{Is_Script=_ old_NORTH_Arabian}', "");
Expect(0, 68256, '\P{^Is_Script=_ old_NORTH_Arabian}', "");
Error('\p{Is_Sc= 	narb/a/}');
Error('\P{Is_Sc= 	narb/a/}');
Expect(1, 68255, '\p{Is_Sc=narb}', "");
Expect(0, 68255, '\p{^Is_Sc=narb}', "");
Expect(0, 68255, '\P{Is_Sc=narb}', "");
Expect(1, 68255, '\P{^Is_Sc=narb}', "");
Expect(0, 68256, '\p{Is_Sc=narb}', "");
Expect(1, 68256, '\p{^Is_Sc=narb}', "");
Expect(1, 68256, '\P{Is_Sc=narb}', "");
Expect(0, 68256, '\P{^Is_Sc=narb}', "");
Expect(1, 68255, '\p{Is_Sc=- NARB}', "");
Expect(0, 68255, '\p{^Is_Sc=- NARB}', "");
Expect(0, 68255, '\P{Is_Sc=- NARB}', "");
Expect(1, 68255, '\P{^Is_Sc=- NARB}', "");
Expect(0, 68256, '\p{Is_Sc=- NARB}', "");
Expect(1, 68256, '\p{^Is_Sc=- NARB}', "");
Expect(1, 68256, '\P{Is_Sc=- NARB}', "");
Expect(0, 68256, '\P{^Is_Sc=- NARB}', "");
Error('\p{Script= _Nabataean/a/}');
Error('\P{Script= _Nabataean/a/}');
Expect(1, 67759, '\p{Script=nabataean}', "");
Expect(0, 67759, '\p{^Script=nabataean}', "");
Expect(0, 67759, '\P{Script=nabataean}', "");
Expect(1, 67759, '\P{^Script=nabataean}', "");
Expect(0, 67760, '\p{Script=nabataean}', "");
Expect(1, 67760, '\p{^Script=nabataean}', "");
Expect(1, 67760, '\P{Script=nabataean}', "");
Expect(0, 67760, '\P{^Script=nabataean}', "");
Expect(1, 67759, '\p{Script= nabataean}', "");
Expect(0, 67759, '\p{^Script= nabataean}', "");
Expect(0, 67759, '\P{Script= nabataean}', "");
Expect(1, 67759, '\P{^Script= nabataean}', "");
Expect(0, 67760, '\p{Script= nabataean}', "");
Expect(1, 67760, '\p{^Script= nabataean}', "");
Expect(1, 67760, '\P{Script= nabataean}', "");
Expect(0, 67760, '\P{^Script= nabataean}', "");
Error('\p{Sc=_	Nbat/a/}');
Error('\P{Sc=_	Nbat/a/}');
Expect(1, 67759, '\p{Sc=nbat}', "");
Expect(0, 67759, '\p{^Sc=nbat}', "");
Expect(0, 67759, '\P{Sc=nbat}', "");
Expect(1, 67759, '\P{^Sc=nbat}', "");
Expect(0, 67760, '\p{Sc=nbat}', "");
Expect(1, 67760, '\p{^Sc=nbat}', "");
Expect(1, 67760, '\P{Sc=nbat}', "");
Expect(0, 67760, '\P{^Sc=nbat}', "");
Expect(1, 67759, '\p{Sc: __nbat}', "");
Expect(0, 67759, '\p{^Sc: __nbat}', "");
Expect(0, 67759, '\P{Sc: __nbat}', "");
Expect(1, 67759, '\P{^Sc: __nbat}', "");
Expect(0, 67760, '\p{Sc: __nbat}', "");
Expect(1, 67760, '\p{^Sc: __nbat}', "");
Expect(1, 67760, '\P{Sc: __nbat}', "");
Expect(0, 67760, '\P{^Sc: __nbat}', "");
Error('\p{Is_Script=:=_-Nabataean}');
Error('\P{Is_Script=:=_-Nabataean}');
Expect(1, 67759, '\p{Is_Script:   nabataean}', "");
Expect(0, 67759, '\p{^Is_Script:   nabataean}', "");
Expect(0, 67759, '\P{Is_Script:   nabataean}', "");
Expect(1, 67759, '\P{^Is_Script:   nabataean}', "");
Expect(0, 67760, '\p{Is_Script:   nabataean}', "");
Expect(1, 67760, '\p{^Is_Script:   nabataean}', "");
Expect(1, 67760, '\P{Is_Script:   nabataean}', "");
Expect(0, 67760, '\P{^Is_Script:   nabataean}', "");
Expect(1, 67759, '\p{Is_Script=_ NABATAEAN}', "");
Expect(0, 67759, '\p{^Is_Script=_ NABATAEAN}', "");
Expect(0, 67759, '\P{Is_Script=_ NABATAEAN}', "");
Expect(1, 67759, '\P{^Is_Script=_ NABATAEAN}', "");
Expect(0, 67760, '\p{Is_Script=_ NABATAEAN}', "");
Expect(1, 67760, '\p{^Is_Script=_ NABATAEAN}', "");
Expect(1, 67760, '\P{Is_Script=_ NABATAEAN}', "");
Expect(0, 67760, '\P{^Is_Script=_ NABATAEAN}', "");
Error('\p{Is_Sc=_:=Nbat}');
Error('\P{Is_Sc=_:=Nbat}');
Expect(1, 67759, '\p{Is_Sc=nbat}', "");
Expect(0, 67759, '\p{^Is_Sc=nbat}', "");
Expect(0, 67759, '\P{Is_Sc=nbat}', "");
Expect(1, 67759, '\P{^Is_Sc=nbat}', "");
Expect(0, 67760, '\p{Is_Sc=nbat}', "");
Expect(1, 67760, '\p{^Is_Sc=nbat}', "");
Expect(1, 67760, '\P{Is_Sc=nbat}', "");
Expect(0, 67760, '\P{^Is_Sc=nbat}', "");
Expect(1, 67759, '\p{Is_Sc=_-Nbat}', "");
Expect(0, 67759, '\p{^Is_Sc=_-Nbat}', "");
Expect(0, 67759, '\P{Is_Sc=_-Nbat}', "");
Expect(1, 67759, '\P{^Is_Sc=_-Nbat}', "");
Expect(0, 67760, '\p{Is_Sc=_-Nbat}', "");
Expect(1, 67760, '\p{^Is_Sc=_-Nbat}', "");
Expect(1, 67760, '\P{Is_Sc=_-Nbat}', "");
Expect(0, 67760, '\P{^Is_Sc=_-Nbat}', "");
Error('\p{Script= 	nko:=}');
Error('\P{Script= 	nko:=}');
Expect(1, 2042, '\p{Script=nko}', "");
Expect(0, 2042, '\p{^Script=nko}', "");
Expect(0, 2042, '\P{Script=nko}', "");
Expect(1, 2042, '\P{^Script=nko}', "");
Expect(0, 2043, '\p{Script=nko}', "");
Expect(1, 2043, '\p{^Script=nko}', "");
Expect(1, 2043, '\P{Script=nko}', "");
Expect(0, 2043, '\P{^Script=nko}', "");
Expect(1, 2042, '\p{Script=Nko}', "");
Expect(0, 2042, '\p{^Script=Nko}', "");
Expect(0, 2042, '\P{Script=Nko}', "");
Expect(1, 2042, '\P{^Script=Nko}', "");
Expect(0, 2043, '\p{Script=Nko}', "");
Expect(1, 2043, '\p{^Script=Nko}', "");
Expect(1, 2043, '\P{Script=Nko}', "");
Expect(0, 2043, '\P{^Script=Nko}', "");
Error('\p{Sc=-_nkoo/a/}');
Error('\P{Sc=-_nkoo/a/}');
Expect(1, 2042, '\p{Sc=nkoo}', "");
Expect(0, 2042, '\p{^Sc=nkoo}', "");
Expect(0, 2042, '\P{Sc=nkoo}', "");
Expect(1, 2042, '\P{^Sc=nkoo}', "");
Expect(0, 2043, '\p{Sc=nkoo}', "");
Expect(1, 2043, '\p{^Sc=nkoo}', "");
Expect(1, 2043, '\P{Sc=nkoo}', "");
Expect(0, 2043, '\P{^Sc=nkoo}', "");
Expect(1, 2042, '\p{Sc=	Nkoo}', "");
Expect(0, 2042, '\p{^Sc=	Nkoo}', "");
Expect(0, 2042, '\P{Sc=	Nkoo}', "");
Expect(1, 2042, '\P{^Sc=	Nkoo}', "");
Expect(0, 2043, '\p{Sc=	Nkoo}', "");
Expect(1, 2043, '\p{^Sc=	Nkoo}', "");
Expect(1, 2043, '\P{Sc=	Nkoo}', "");
Expect(0, 2043, '\P{^Sc=	Nkoo}', "");
Error('\p{Is_Script=:=_Nko}');
Error('\P{Is_Script=:=_Nko}');
Expect(1, 2042, '\p{Is_Script=nko}', "");
Expect(0, 2042, '\p{^Is_Script=nko}', "");
Expect(0, 2042, '\P{Is_Script=nko}', "");
Expect(1, 2042, '\P{^Is_Script=nko}', "");
Expect(0, 2043, '\p{Is_Script=nko}', "");
Expect(1, 2043, '\p{^Is_Script=nko}', "");
Expect(1, 2043, '\P{Is_Script=nko}', "");
Expect(0, 2043, '\P{^Is_Script=nko}', "");
Expect(1, 2042, '\p{Is_Script=__nko}', "");
Expect(0, 2042, '\p{^Is_Script=__nko}', "");
Expect(0, 2042, '\P{Is_Script=__nko}', "");
Expect(1, 2042, '\P{^Is_Script=__nko}', "");
Expect(0, 2043, '\p{Is_Script=__nko}', "");
Expect(1, 2043, '\p{^Is_Script=__nko}', "");
Expect(1, 2043, '\P{Is_Script=__nko}', "");
Expect(0, 2043, '\P{^Is_Script=__nko}', "");
Error('\p{Is_Sc=:=-nkoo}');
Error('\P{Is_Sc=:=-nkoo}');
Expect(1, 2042, '\p{Is_Sc=nkoo}', "");
Expect(0, 2042, '\p{^Is_Sc=nkoo}', "");
Expect(0, 2042, '\P{Is_Sc=nkoo}', "");
Expect(1, 2042, '\P{^Is_Sc=nkoo}', "");
Expect(0, 2043, '\p{Is_Sc=nkoo}', "");
Expect(1, 2043, '\p{^Is_Sc=nkoo}', "");
Expect(1, 2043, '\P{Is_Sc=nkoo}', "");
Expect(0, 2043, '\P{^Is_Sc=nkoo}', "");
Expect(1, 2042, '\p{Is_Sc=_nkoo}', "");
Expect(0, 2042, '\p{^Is_Sc=_nkoo}', "");
Expect(0, 2042, '\P{Is_Sc=_nkoo}', "");
Expect(1, 2042, '\P{^Is_Sc=_nkoo}', "");
Expect(0, 2043, '\p{Is_Sc=_nkoo}', "");
Expect(1, 2043, '\p{^Is_Sc=_nkoo}', "");
Expect(1, 2043, '\P{Is_Sc=_nkoo}', "");
Expect(0, 2043, '\P{^Is_Sc=_nkoo}', "");
Error('\p{Script= Ogham:=}');
Error('\P{Script= Ogham:=}');
Expect(1, 5788, '\p{Script:	ogham}', "");
Expect(0, 5788, '\p{^Script:	ogham}', "");
Expect(0, 5788, '\P{Script:	ogham}', "");
Expect(1, 5788, '\P{^Script:	ogham}', "");
Expect(0, 5789, '\p{Script:	ogham}', "");
Expect(1, 5789, '\p{^Script:	ogham}', "");
Expect(1, 5789, '\P{Script:	ogham}', "");
Expect(0, 5789, '\P{^Script:	ogham}', "");
Expect(1, 5788, '\p{Script=	-Ogham}', "");
Expect(0, 5788, '\p{^Script=	-Ogham}', "");
Expect(0, 5788, '\P{Script=	-Ogham}', "");
Expect(1, 5788, '\P{^Script=	-Ogham}', "");
Expect(0, 5789, '\p{Script=	-Ogham}', "");
Expect(1, 5789, '\p{^Script=	-Ogham}', "");
Expect(1, 5789, '\P{Script=	-Ogham}', "");
Expect(0, 5789, '\P{^Script=	-Ogham}', "");
Error('\p{Sc=_/a/OGAM}');
Error('\P{Sc=_/a/OGAM}');
Expect(1, 5788, '\p{Sc=ogam}', "");
Expect(0, 5788, '\p{^Sc=ogam}', "");
Expect(0, 5788, '\P{Sc=ogam}', "");
Expect(1, 5788, '\P{^Sc=ogam}', "");
Expect(0, 5789, '\p{Sc=ogam}', "");
Expect(1, 5789, '\p{^Sc=ogam}', "");
Expect(1, 5789, '\P{Sc=ogam}', "");
Expect(0, 5789, '\P{^Sc=ogam}', "");
Expect(1, 5788, '\p{Sc= Ogam}', "");
Expect(0, 5788, '\p{^Sc= Ogam}', "");
Expect(0, 5788, '\P{Sc= Ogam}', "");
Expect(1, 5788, '\P{^Sc= Ogam}', "");
Expect(0, 5789, '\p{Sc= Ogam}', "");
Expect(1, 5789, '\p{^Sc= Ogam}', "");
Expect(1, 5789, '\P{Sc= Ogam}', "");
Expect(0, 5789, '\P{^Sc= Ogam}', "");
Error('\p{Is_Script:/a/-_Ogham}');
Error('\P{Is_Script:/a/-_Ogham}');
Expect(1, 5788, '\p{Is_Script=ogham}', "");
Expect(0, 5788, '\p{^Is_Script=ogham}', "");
Expect(0, 5788, '\P{Is_Script=ogham}', "");
Expect(1, 5788, '\P{^Is_Script=ogham}', "");
Expect(0, 5789, '\p{Is_Script=ogham}', "");
Expect(1, 5789, '\p{^Is_Script=ogham}', "");
Expect(1, 5789, '\P{Is_Script=ogham}', "");
Expect(0, 5789, '\P{^Is_Script=ogham}', "");
Expect(1, 5788, '\p{Is_Script= ogham}', "");
Expect(0, 5788, '\p{^Is_Script= ogham}', "");
Expect(0, 5788, '\P{Is_Script= ogham}', "");
Expect(1, 5788, '\P{^Is_Script= ogham}', "");
Expect(0, 5789, '\p{Is_Script= ogham}', "");
Expect(1, 5789, '\p{^Is_Script= ogham}', "");
Expect(1, 5789, '\P{Is_Script= ogham}', "");
Expect(0, 5789, '\P{^Is_Script= ogham}', "");
Error('\p{Is_Sc= _OGAM/a/}');
Error('\P{Is_Sc= _OGAM/a/}');
Expect(1, 5788, '\p{Is_Sc=ogam}', "");
Expect(0, 5788, '\p{^Is_Sc=ogam}', "");
Expect(0, 5788, '\P{Is_Sc=ogam}', "");
Expect(1, 5788, '\P{^Is_Sc=ogam}', "");
Expect(0, 5789, '\p{Is_Sc=ogam}', "");
Expect(1, 5789, '\p{^Is_Sc=ogam}', "");
Expect(1, 5789, '\P{Is_Sc=ogam}', "");
Expect(0, 5789, '\P{^Is_Sc=ogam}', "");
Expect(1, 5788, '\p{Is_Sc= 	ogam}', "");
Expect(0, 5788, '\p{^Is_Sc= 	ogam}', "");
Expect(0, 5788, '\P{Is_Sc= 	ogam}', "");
Expect(1, 5788, '\P{^Is_Sc= 	ogam}', "");
Expect(0, 5789, '\p{Is_Sc= 	ogam}', "");
Expect(1, 5789, '\p{^Is_Sc= 	ogam}', "");
Expect(1, 5789, '\P{Is_Sc= 	ogam}', "");
Expect(0, 5789, '\P{^Is_Sc= 	ogam}', "");
Error('\p{Script=:=Ol_CHIKI}');
Error('\P{Script=:=Ol_CHIKI}');
Expect(1, 7295, '\p{Script=olchiki}', "");
Expect(0, 7295, '\p{^Script=olchiki}', "");
Expect(0, 7295, '\P{Script=olchiki}', "");
Expect(1, 7295, '\P{^Script=olchiki}', "");
Expect(0, 7296, '\p{Script=olchiki}', "");
Expect(1, 7296, '\p{^Script=olchiki}', "");
Expect(1, 7296, '\P{Script=olchiki}', "");
Expect(0, 7296, '\P{^Script=olchiki}', "");
Expect(1, 7295, '\p{Script=- Ol_Chiki}', "");
Expect(0, 7295, '\p{^Script=- Ol_Chiki}', "");
Expect(0, 7295, '\P{Script=- Ol_Chiki}', "");
Expect(1, 7295, '\P{^Script=- Ol_Chiki}', "");
Expect(0, 7296, '\p{Script=- Ol_Chiki}', "");
Expect(1, 7296, '\p{^Script=- Ol_Chiki}', "");
Expect(1, 7296, '\P{Script=- Ol_Chiki}', "");
Expect(0, 7296, '\P{^Script=- Ol_Chiki}', "");
Error('\p{Sc=	/a/Olck}');
Error('\P{Sc=	/a/Olck}');
Expect(1, 7295, '\p{Sc=olck}', "");
Expect(0, 7295, '\p{^Sc=olck}', "");
Expect(0, 7295, '\P{Sc=olck}', "");
Expect(1, 7295, '\P{^Sc=olck}', "");
Expect(0, 7296, '\p{Sc=olck}', "");
Expect(1, 7296, '\p{^Sc=olck}', "");
Expect(1, 7296, '\P{Sc=olck}', "");
Expect(0, 7296, '\P{^Sc=olck}', "");
Expect(1, 7295, '\p{Sc:		_Olck}', "");
Expect(0, 7295, '\p{^Sc:		_Olck}', "");
Expect(0, 7295, '\P{Sc:		_Olck}', "");
Expect(1, 7295, '\P{^Sc:		_Olck}', "");
Expect(0, 7296, '\p{Sc:		_Olck}', "");
Expect(1, 7296, '\p{^Sc:		_Olck}', "");
Expect(1, 7296, '\P{Sc:		_Olck}', "");
Expect(0, 7296, '\P{^Sc:		_Olck}', "");
Error('\p{Is_Script=-_ol_chiki:=}');
Error('\P{Is_Script=-_ol_chiki:=}');
Expect(1, 7295, '\p{Is_Script=olchiki}', "");
Expect(0, 7295, '\p{^Is_Script=olchiki}', "");
Expect(0, 7295, '\P{Is_Script=olchiki}', "");
Expect(1, 7295, '\P{^Is_Script=olchiki}', "");
Expect(0, 7296, '\p{Is_Script=olchiki}', "");
Expect(1, 7296, '\p{^Is_Script=olchiki}', "");
Expect(1, 7296, '\P{Is_Script=olchiki}', "");
Expect(0, 7296, '\P{^Is_Script=olchiki}', "");
Expect(1, 7295, '\p{Is_Script= Ol_Chiki}', "");
Expect(0, 7295, '\p{^Is_Script= Ol_Chiki}', "");
Expect(0, 7295, '\P{Is_Script= Ol_Chiki}', "");
Expect(1, 7295, '\P{^Is_Script= Ol_Chiki}', "");
Expect(0, 7296, '\p{Is_Script= Ol_Chiki}', "");
Expect(1, 7296, '\p{^Is_Script= Ol_Chiki}', "");
Expect(1, 7296, '\P{Is_Script= Ol_Chiki}', "");
Expect(0, 7296, '\P{^Is_Script= Ol_Chiki}', "");
Error('\p{Is_Sc=/a/olck}');
Error('\P{Is_Sc=/a/olck}');
Expect(1, 7295, '\p{Is_Sc=olck}', "");
Expect(0, 7295, '\p{^Is_Sc=olck}', "");
Expect(0, 7295, '\P{Is_Sc=olck}', "");
Expect(1, 7295, '\P{^Is_Sc=olck}', "");
Expect(0, 7296, '\p{Is_Sc=olck}', "");
Expect(1, 7296, '\p{^Is_Sc=olck}', "");
Expect(1, 7296, '\P{Is_Sc=olck}', "");
Expect(0, 7296, '\P{^Is_Sc=olck}', "");
Expect(1, 7295, '\p{Is_Sc=	-olck}', "");
Expect(0, 7295, '\p{^Is_Sc=	-olck}', "");
Expect(0, 7295, '\P{Is_Sc=	-olck}', "");
Expect(1, 7295, '\P{^Is_Sc=	-olck}', "");
Expect(0, 7296, '\p{Is_Sc=	-olck}', "");
Expect(1, 7296, '\p{^Is_Sc=	-olck}', "");
Expect(1, 7296, '\P{Is_Sc=	-olck}', "");
Expect(0, 7296, '\P{^Is_Sc=	-olck}', "");
Error('\p{Script=/a/	 Old_TURKIC}');
Error('\P{Script=/a/	 Old_TURKIC}');
Expect(1, 68680, '\p{Script:	oldturkic}', "");
Expect(0, 68680, '\p{^Script:	oldturkic}', "");
Expect(0, 68680, '\P{Script:	oldturkic}', "");
Expect(1, 68680, '\P{^Script:	oldturkic}', "");
Expect(0, 68681, '\p{Script:	oldturkic}', "");
Expect(1, 68681, '\p{^Script:	oldturkic}', "");
Expect(1, 68681, '\P{Script:	oldturkic}', "");
Expect(0, 68681, '\P{^Script:	oldturkic}', "");
Expect(1, 68680, '\p{Script=	old_Turkic}', "");
Expect(0, 68680, '\p{^Script=	old_Turkic}', "");
Expect(0, 68680, '\P{Script=	old_Turkic}', "");
Expect(1, 68680, '\P{^Script=	old_Turkic}', "");
Expect(0, 68681, '\p{Script=	old_Turkic}', "");
Expect(1, 68681, '\p{^Script=	old_Turkic}', "");
Expect(1, 68681, '\P{Script=	old_Turkic}', "");
Expect(0, 68681, '\P{^Script=	old_Turkic}', "");
Error('\p{Sc=:=_ Orkh}');
Error('\P{Sc=:=_ Orkh}');
Expect(1, 68680, '\p{Sc=orkh}', "");
Expect(0, 68680, '\p{^Sc=orkh}', "");
Expect(0, 68680, '\P{Sc=orkh}', "");
Expect(1, 68680, '\P{^Sc=orkh}', "");
Expect(0, 68681, '\p{Sc=orkh}', "");
Expect(1, 68681, '\p{^Sc=orkh}', "");
Expect(1, 68681, '\P{Sc=orkh}', "");
Expect(0, 68681, '\P{^Sc=orkh}', "");
Expect(1, 68680, '\p{Sc= 	Orkh}', "");
Expect(0, 68680, '\p{^Sc= 	Orkh}', "");
Expect(0, 68680, '\P{Sc= 	Orkh}', "");
Expect(1, 68680, '\P{^Sc= 	Orkh}', "");
Expect(0, 68681, '\p{Sc= 	Orkh}', "");
Expect(1, 68681, '\p{^Sc= 	Orkh}', "");
Expect(1, 68681, '\P{Sc= 	Orkh}', "");
Expect(0, 68681, '\P{^Sc= 	Orkh}', "");
Error('\p{Is_Script=	-Old_Turkic/a/}');
Error('\P{Is_Script=	-Old_Turkic/a/}');
Expect(1, 68680, '\p{Is_Script=oldturkic}', "");
Expect(0, 68680, '\p{^Is_Script=oldturkic}', "");
Expect(0, 68680, '\P{Is_Script=oldturkic}', "");
Expect(1, 68680, '\P{^Is_Script=oldturkic}', "");
Expect(0, 68681, '\p{Is_Script=oldturkic}', "");
Expect(1, 68681, '\p{^Is_Script=oldturkic}', "");
Expect(1, 68681, '\P{Is_Script=oldturkic}', "");
Expect(0, 68681, '\P{^Is_Script=oldturkic}', "");
Expect(1, 68680, '\p{Is_Script=	OLD_TURKIC}', "");
Expect(0, 68680, '\p{^Is_Script=	OLD_TURKIC}', "");
Expect(0, 68680, '\P{Is_Script=	OLD_TURKIC}', "");
Expect(1, 68680, '\P{^Is_Script=	OLD_TURKIC}', "");
Expect(0, 68681, '\p{Is_Script=	OLD_TURKIC}', "");
Expect(1, 68681, '\p{^Is_Script=	OLD_TURKIC}', "");
Expect(1, 68681, '\P{Is_Script=	OLD_TURKIC}', "");
Expect(0, 68681, '\P{^Is_Script=	OLD_TURKIC}', "");
Error('\p{Is_Sc=/a/orkh}');
Error('\P{Is_Sc=/a/orkh}');
Expect(1, 68680, '\p{Is_Sc=orkh}', "");
Expect(0, 68680, '\p{^Is_Sc=orkh}', "");
Expect(0, 68680, '\P{Is_Sc=orkh}', "");
Expect(1, 68680, '\P{^Is_Sc=orkh}', "");
Expect(0, 68681, '\p{Is_Sc=orkh}', "");
Expect(1, 68681, '\p{^Is_Sc=orkh}', "");
Expect(1, 68681, '\P{Is_Sc=orkh}', "");
Expect(0, 68681, '\P{^Is_Sc=orkh}', "");
Expect(1, 68680, '\p{Is_Sc= -Orkh}', "");
Expect(0, 68680, '\p{^Is_Sc= -Orkh}', "");
Expect(0, 68680, '\P{Is_Sc= -Orkh}', "");
Expect(1, 68680, '\P{^Is_Sc= -Orkh}', "");
Expect(0, 68681, '\p{Is_Sc= -Orkh}', "");
Expect(1, 68681, '\p{^Is_Sc= -Orkh}', "");
Expect(1, 68681, '\P{Is_Sc= -Orkh}', "");
Expect(0, 68681, '\P{^Is_Sc= -Orkh}', "");
Error('\p{Script=	 Oriya:=}');
Error('\P{Script=	 Oriya:=}');
Expect(1, 2935, '\p{Script=oriya}', "");
Expect(0, 2935, '\p{^Script=oriya}', "");
Expect(0, 2935, '\P{Script=oriya}', "");
Expect(1, 2935, '\P{^Script=oriya}', "");
Expect(0, 2936, '\p{Script=oriya}', "");
Expect(1, 2936, '\p{^Script=oriya}', "");
Expect(1, 2936, '\P{Script=oriya}', "");
Expect(0, 2936, '\P{^Script=oriya}', "");
Expect(1, 2935, '\p{Script=		ORIYA}', "");
Expect(0, 2935, '\p{^Script=		ORIYA}', "");
Expect(0, 2935, '\P{Script=		ORIYA}', "");
Expect(1, 2935, '\P{^Script=		ORIYA}', "");
Expect(0, 2936, '\p{Script=		ORIYA}', "");
Expect(1, 2936, '\p{^Script=		ORIYA}', "");
Expect(1, 2936, '\P{Script=		ORIYA}', "");
Expect(0, 2936, '\P{^Script=		ORIYA}', "");
Error('\p{Sc=:= Orya}');
Error('\P{Sc=:= Orya}');
Expect(1, 2935, '\p{Sc=orya}', "");
Expect(0, 2935, '\p{^Sc=orya}', "");
Expect(0, 2935, '\P{Sc=orya}', "");
Expect(1, 2935, '\P{^Sc=orya}', "");
Expect(0, 2936, '\p{Sc=orya}', "");
Expect(1, 2936, '\p{^Sc=orya}', "");
Expect(1, 2936, '\P{Sc=orya}', "");
Expect(0, 2936, '\P{^Sc=orya}', "");
Expect(1, 2935, '\p{Sc= 	Orya}', "");
Expect(0, 2935, '\p{^Sc= 	Orya}', "");
Expect(0, 2935, '\P{Sc= 	Orya}', "");
Expect(1, 2935, '\P{^Sc= 	Orya}', "");
Expect(0, 2936, '\p{Sc= 	Orya}', "");
Expect(1, 2936, '\p{^Sc= 	Orya}', "");
Expect(1, 2936, '\P{Sc= 	Orya}', "");
Expect(0, 2936, '\P{^Sc= 	Orya}', "");
Error('\p{Is_Script=:=oriya}');
Error('\P{Is_Script=:=oriya}');
Expect(1, 2935, '\p{Is_Script=oriya}', "");
Expect(0, 2935, '\p{^Is_Script=oriya}', "");
Expect(0, 2935, '\P{Is_Script=oriya}', "");
Expect(1, 2935, '\P{^Is_Script=oriya}', "");
Expect(0, 2936, '\p{Is_Script=oriya}', "");
Expect(1, 2936, '\p{^Is_Script=oriya}', "");
Expect(1, 2936, '\P{Is_Script=oriya}', "");
Expect(0, 2936, '\P{^Is_Script=oriya}', "");
Expect(1, 2935, '\p{Is_Script=_Oriya}', "");
Expect(0, 2935, '\p{^Is_Script=_Oriya}', "");
Expect(0, 2935, '\P{Is_Script=_Oriya}', "");
Expect(1, 2935, '\P{^Is_Script=_Oriya}', "");
Expect(0, 2936, '\p{Is_Script=_Oriya}', "");
Expect(1, 2936, '\p{^Is_Script=_Oriya}', "");
Expect(1, 2936, '\P{Is_Script=_Oriya}', "");
Expect(0, 2936, '\P{^Is_Script=_Oriya}', "");
Error('\p{Is_Sc=/a/	orya}');
Error('\P{Is_Sc=/a/	orya}');
Expect(1, 2935, '\p{Is_Sc=orya}', "");
Expect(0, 2935, '\p{^Is_Sc=orya}', "");
Expect(0, 2935, '\P{Is_Sc=orya}', "");
Expect(1, 2935, '\P{^Is_Sc=orya}', "");
Expect(0, 2936, '\p{Is_Sc=orya}', "");
Expect(1, 2936, '\p{^Is_Sc=orya}', "");
Expect(1, 2936, '\P{Is_Sc=orya}', "");
Expect(0, 2936, '\P{^Is_Sc=orya}', "");
Expect(1, 2935, '\p{Is_Sc=_orya}', "");
Expect(0, 2935, '\p{^Is_Sc=_orya}', "");
Expect(0, 2935, '\P{Is_Sc=_orya}', "");
Expect(1, 2935, '\P{^Is_Sc=_orya}', "");
Expect(0, 2936, '\p{Is_Sc=_orya}', "");
Expect(1, 2936, '\p{^Is_Sc=_orya}', "");
Expect(1, 2936, '\P{Is_Sc=_orya}', "");
Expect(0, 2936, '\P{^Is_Sc=_orya}', "");
Error('\p{Script=_-osmanya/a/}');
Error('\P{Script=_-osmanya/a/}');
Expect(1, 66729, '\p{Script=osmanya}', "");
Expect(0, 66729, '\p{^Script=osmanya}', "");
Expect(0, 66729, '\P{Script=osmanya}', "");
Expect(1, 66729, '\P{^Script=osmanya}', "");
Expect(0, 66730, '\p{Script=osmanya}', "");
Expect(1, 66730, '\p{^Script=osmanya}', "");
Expect(1, 66730, '\P{Script=osmanya}', "");
Expect(0, 66730, '\P{^Script=osmanya}', "");
Expect(1, 66729, '\p{Script=	osmanya}', "");
Expect(0, 66729, '\p{^Script=	osmanya}', "");
Expect(0, 66729, '\P{Script=	osmanya}', "");
Expect(1, 66729, '\P{^Script=	osmanya}', "");
Expect(0, 66730, '\p{Script=	osmanya}', "");
Expect(1, 66730, '\p{^Script=	osmanya}', "");
Expect(1, 66730, '\P{Script=	osmanya}', "");
Expect(0, 66730, '\P{^Script=	osmanya}', "");
Error('\p{Sc= _osma:=}');
Error('\P{Sc= _osma:=}');
Expect(1, 66729, '\p{Sc=osma}', "");
Expect(0, 66729, '\p{^Sc=osma}', "");
Expect(0, 66729, '\P{Sc=osma}', "");
Expect(1, 66729, '\P{^Sc=osma}', "");
Expect(0, 66730, '\p{Sc=osma}', "");
Expect(1, 66730, '\p{^Sc=osma}', "");
Expect(1, 66730, '\P{Sc=osma}', "");
Expect(0, 66730, '\P{^Sc=osma}', "");
Expect(1, 66729, '\p{Sc= -Osma}', "");
Expect(0, 66729, '\p{^Sc= -Osma}', "");
Expect(0, 66729, '\P{Sc= -Osma}', "");
Expect(1, 66729, '\P{^Sc= -Osma}', "");
Expect(0, 66730, '\p{Sc= -Osma}', "");
Expect(1, 66730, '\p{^Sc= -Osma}', "");
Expect(1, 66730, '\P{Sc= -Osma}', "");
Expect(0, 66730, '\P{^Sc= -Osma}', "");
Error('\p{Is_Script=-_osmanya:=}');
Error('\P{Is_Script=-_osmanya:=}');
Expect(1, 66729, '\p{Is_Script=osmanya}', "");
Expect(0, 66729, '\p{^Is_Script=osmanya}', "");
Expect(0, 66729, '\P{Is_Script=osmanya}', "");
Expect(1, 66729, '\P{^Is_Script=osmanya}', "");
Expect(0, 66730, '\p{Is_Script=osmanya}', "");
Expect(1, 66730, '\p{^Is_Script=osmanya}', "");
Expect(1, 66730, '\P{Is_Script=osmanya}', "");
Expect(0, 66730, '\P{^Is_Script=osmanya}', "");
Expect(1, 66729, '\p{Is_Script=-_osmanya}', "");
Expect(0, 66729, '\p{^Is_Script=-_osmanya}', "");
Expect(0, 66729, '\P{Is_Script=-_osmanya}', "");
Expect(1, 66729, '\P{^Is_Script=-_osmanya}', "");
Expect(0, 66730, '\p{Is_Script=-_osmanya}', "");
Expect(1, 66730, '\p{^Is_Script=-_osmanya}', "");
Expect(1, 66730, '\P{Is_Script=-_osmanya}', "");
Expect(0, 66730, '\P{^Is_Script=-_osmanya}', "");
Error('\p{Is_Sc=_ Osma:=}');
Error('\P{Is_Sc=_ Osma:=}');
Expect(1, 66729, '\p{Is_Sc=osma}', "");
Expect(0, 66729, '\p{^Is_Sc=osma}', "");
Expect(0, 66729, '\P{Is_Sc=osma}', "");
Expect(1, 66729, '\P{^Is_Sc=osma}', "");
Expect(0, 66730, '\p{Is_Sc=osma}', "");
Expect(1, 66730, '\p{^Is_Sc=osma}', "");
Expect(1, 66730, '\P{Is_Sc=osma}', "");
Expect(0, 66730, '\P{^Is_Sc=osma}', "");
Expect(1, 66729, '\p{Is_Sc=	_Osma}', "");
Expect(0, 66729, '\p{^Is_Sc=	_Osma}', "");
Expect(0, 66729, '\P{Is_Sc=	_Osma}', "");
Expect(1, 66729, '\P{^Is_Sc=	_Osma}', "");
Expect(0, 66730, '\p{Is_Sc=	_Osma}', "");
Expect(1, 66730, '\p{^Is_Sc=	_Osma}', "");
Expect(1, 66730, '\P{Is_Sc=	_Osma}', "");
Expect(0, 66730, '\P{^Is_Sc=	_Osma}', "");
Error('\p{Script=/a/ Palmyrene}');
Error('\P{Script=/a/ Palmyrene}');
Expect(1, 67711, '\p{Script:   palmyrene}', "");
Expect(0, 67711, '\p{^Script:   palmyrene}', "");
Expect(0, 67711, '\P{Script:   palmyrene}', "");
Expect(1, 67711, '\P{^Script:   palmyrene}', "");
Expect(0, 67712, '\p{Script:   palmyrene}', "");
Expect(1, 67712, '\p{^Script:   palmyrene}', "");
Expect(1, 67712, '\P{Script:   palmyrene}', "");
Expect(0, 67712, '\P{^Script:   palmyrene}', "");
Expect(1, 67711, '\p{Script=-	Palmyrene}', "");
Expect(0, 67711, '\p{^Script=-	Palmyrene}', "");
Expect(0, 67711, '\P{Script=-	Palmyrene}', "");
Expect(1, 67711, '\P{^Script=-	Palmyrene}', "");
Expect(0, 67712, '\p{Script=-	Palmyrene}', "");
Expect(1, 67712, '\p{^Script=-	Palmyrene}', "");
Expect(1, 67712, '\P{Script=-	Palmyrene}', "");
Expect(0, 67712, '\P{^Script=-	Palmyrene}', "");
Error('\p{Sc=/a/	PALM}');
Error('\P{Sc=/a/	PALM}');
Expect(1, 67711, '\p{Sc:   palm}', "");
Expect(0, 67711, '\p{^Sc:   palm}', "");
Expect(0, 67711, '\P{Sc:   palm}', "");
Expect(1, 67711, '\P{^Sc:   palm}', "");
Expect(0, 67712, '\p{Sc:   palm}', "");
Expect(1, 67712, '\p{^Sc:   palm}', "");
Expect(1, 67712, '\P{Sc:   palm}', "");
Expect(0, 67712, '\P{^Sc:   palm}', "");
Expect(1, 67711, '\p{Sc=		PALM}', "");
Expect(0, 67711, '\p{^Sc=		PALM}', "");
Expect(0, 67711, '\P{Sc=		PALM}', "");
Expect(1, 67711, '\P{^Sc=		PALM}', "");
Expect(0, 67712, '\p{Sc=		PALM}', "");
Expect(1, 67712, '\p{^Sc=		PALM}', "");
Expect(1, 67712, '\P{Sc=		PALM}', "");
Expect(0, 67712, '\P{^Sc=		PALM}', "");
Error('\p{Is_Script=/a/ -Palmyrene}');
Error('\P{Is_Script=/a/ -Palmyrene}');
Expect(1, 67711, '\p{Is_Script:   palmyrene}', "");
Expect(0, 67711, '\p{^Is_Script:   palmyrene}', "");
Expect(0, 67711, '\P{Is_Script:   palmyrene}', "");
Expect(1, 67711, '\P{^Is_Script:   palmyrene}', "");
Expect(0, 67712, '\p{Is_Script:   palmyrene}', "");
Expect(1, 67712, '\p{^Is_Script:   palmyrene}', "");
Expect(1, 67712, '\P{Is_Script:   palmyrene}', "");
Expect(0, 67712, '\P{^Is_Script:   palmyrene}', "");
Expect(1, 67711, '\p{Is_Script=	-Palmyrene}', "");
Expect(0, 67711, '\p{^Is_Script=	-Palmyrene}', "");
Expect(0, 67711, '\P{Is_Script=	-Palmyrene}', "");
Expect(1, 67711, '\P{^Is_Script=	-Palmyrene}', "");
Expect(0, 67712, '\p{Is_Script=	-Palmyrene}', "");
Expect(1, 67712, '\p{^Is_Script=	-Palmyrene}', "");
Expect(1, 67712, '\P{Is_Script=	-Palmyrene}', "");
Expect(0, 67712, '\P{^Is_Script=	-Palmyrene}', "");
Error('\p{Is_Sc= :=Palm}');
Error('\P{Is_Sc= :=Palm}');
Expect(1, 67711, '\p{Is_Sc=palm}', "");
Expect(0, 67711, '\p{^Is_Sc=palm}', "");
Expect(0, 67711, '\P{Is_Sc=palm}', "");
Expect(1, 67711, '\P{^Is_Sc=palm}', "");
Expect(0, 67712, '\p{Is_Sc=palm}', "");
Expect(1, 67712, '\p{^Is_Sc=palm}', "");
Expect(1, 67712, '\P{Is_Sc=palm}', "");
Expect(0, 67712, '\P{^Is_Sc=palm}', "");
Expect(1, 67711, '\p{Is_Sc=_palm}', "");
Expect(0, 67711, '\p{^Is_Sc=_palm}', "");
Expect(0, 67711, '\P{Is_Sc=_palm}', "");
Expect(1, 67711, '\P{^Is_Sc=_palm}', "");
Expect(0, 67712, '\p{Is_Sc=_palm}', "");
Expect(1, 67712, '\p{^Is_Sc=_palm}', "");
Expect(1, 67712, '\P{Is_Sc=_palm}', "");
Expect(0, 67712, '\P{^Is_Sc=_palm}', "");
Error('\p{Script=/a/  Pau_cin_hau}');
Error('\P{Script=/a/  Pau_cin_hau}');
Expect(1, 72440, '\p{Script=paucinhau}', "");
Expect(0, 72440, '\p{^Script=paucinhau}', "");
Expect(0, 72440, '\P{Script=paucinhau}', "");
Expect(1, 72440, '\P{^Script=paucinhau}', "");
Expect(0, 72441, '\p{Script=paucinhau}', "");
Expect(1, 72441, '\p{^Script=paucinhau}', "");
Expect(1, 72441, '\P{Script=paucinhau}', "");
Expect(0, 72441, '\P{^Script=paucinhau}', "");
Expect(1, 72440, '\p{Script=_ PAU_CIN_HAU}', "");
Expect(0, 72440, '\p{^Script=_ PAU_CIN_HAU}', "");
Expect(0, 72440, '\P{Script=_ PAU_CIN_HAU}', "");
Expect(1, 72440, '\P{^Script=_ PAU_CIN_HAU}', "");
Expect(0, 72441, '\p{Script=_ PAU_CIN_HAU}', "");
Expect(1, 72441, '\p{^Script=_ PAU_CIN_HAU}', "");
Expect(1, 72441, '\P{Script=_ PAU_CIN_HAU}', "");
Expect(0, 72441, '\P{^Script=_ PAU_CIN_HAU}', "");
Error('\p{Sc=:=Pauc}');
Error('\P{Sc=:=Pauc}');
Expect(1, 72440, '\p{Sc=pauc}', "");
Expect(0, 72440, '\p{^Sc=pauc}', "");
Expect(0, 72440, '\P{Sc=pauc}', "");
Expect(1, 72440, '\P{^Sc=pauc}', "");
Expect(0, 72441, '\p{Sc=pauc}', "");
Expect(1, 72441, '\p{^Sc=pauc}', "");
Expect(1, 72441, '\P{Sc=pauc}', "");
Expect(0, 72441, '\P{^Sc=pauc}', "");
Expect(1, 72440, '\p{Sc=	_PAUC}', "");
Expect(0, 72440, '\p{^Sc=	_PAUC}', "");
Expect(0, 72440, '\P{Sc=	_PAUC}', "");
Expect(1, 72440, '\P{^Sc=	_PAUC}', "");
Expect(0, 72441, '\p{Sc=	_PAUC}', "");
Expect(1, 72441, '\p{^Sc=	_PAUC}', "");
Expect(1, 72441, '\P{Sc=	_PAUC}', "");
Expect(0, 72441, '\P{^Sc=	_PAUC}', "");
Error('\p{Is_Script= /a/Pau_CIN_hau}');
Error('\P{Is_Script= /a/Pau_CIN_hau}');
Expect(1, 72440, '\p{Is_Script=paucinhau}', "");
Expect(0, 72440, '\p{^Is_Script=paucinhau}', "");
Expect(0, 72440, '\P{Is_Script=paucinhau}', "");
Expect(1, 72440, '\P{^Is_Script=paucinhau}', "");
Expect(0, 72441, '\p{Is_Script=paucinhau}', "");
Expect(1, 72441, '\p{^Is_Script=paucinhau}', "");
Expect(1, 72441, '\P{Is_Script=paucinhau}', "");
Expect(0, 72441, '\P{^Is_Script=paucinhau}', "");
Expect(1, 72440, '\p{Is_Script:__Pau_CIN_HAU}', "");
Expect(0, 72440, '\p{^Is_Script:__Pau_CIN_HAU}', "");
Expect(0, 72440, '\P{Is_Script:__Pau_CIN_HAU}', "");
Expect(1, 72440, '\P{^Is_Script:__Pau_CIN_HAU}', "");
Expect(0, 72441, '\p{Is_Script:__Pau_CIN_HAU}', "");
Expect(1, 72441, '\p{^Is_Script:__Pau_CIN_HAU}', "");
Expect(1, 72441, '\P{Is_Script:__Pau_CIN_HAU}', "");
Expect(0, 72441, '\P{^Is_Script:__Pau_CIN_HAU}', "");
Error('\p{Is_Sc:   /a/_PAUC}');
Error('\P{Is_Sc:   /a/_PAUC}');
Expect(1, 72440, '\p{Is_Sc=pauc}', "");
Expect(0, 72440, '\p{^Is_Sc=pauc}', "");
Expect(0, 72440, '\P{Is_Sc=pauc}', "");
Expect(1, 72440, '\P{^Is_Sc=pauc}', "");
Expect(0, 72441, '\p{Is_Sc=pauc}', "");
Expect(1, 72441, '\p{^Is_Sc=pauc}', "");
Expect(1, 72441, '\P{Is_Sc=pauc}', "");
Expect(0, 72441, '\P{^Is_Sc=pauc}', "");
Expect(1, 72440, '\p{Is_Sc= _PAUC}', "");
Expect(0, 72440, '\p{^Is_Sc= _PAUC}', "");
Expect(0, 72440, '\P{Is_Sc= _PAUC}', "");
Expect(1, 72440, '\P{^Is_Sc= _PAUC}', "");
Expect(0, 72441, '\p{Is_Sc= _PAUC}', "");
Expect(1, 72441, '\p{^Is_Sc= _PAUC}', "");
Expect(1, 72441, '\P{Is_Sc= _PAUC}', "");
Expect(0, 72441, '\P{^Is_Sc= _PAUC}', "");
Error('\p{Script=:=-Old_PERMIC}');
Error('\P{Script=:=-Old_PERMIC}');
Expect(1, 66426, '\p{Script=oldpermic}', "");
Expect(0, 66426, '\p{^Script=oldpermic}', "");
Expect(0, 66426, '\P{Script=oldpermic}', "");
Expect(1, 66426, '\P{^Script=oldpermic}', "");
Expect(0, 66427, '\p{Script=oldpermic}', "");
Expect(1, 66427, '\p{^Script=oldpermic}', "");
Expect(1, 66427, '\P{Script=oldpermic}', "");
Expect(0, 66427, '\P{^Script=oldpermic}', "");
Expect(1, 66426, '\p{Script=	-OLD_Permic}', "");
Expect(0, 66426, '\p{^Script=	-OLD_Permic}', "");
Expect(0, 66426, '\P{Script=	-OLD_Permic}', "");
Expect(1, 66426, '\P{^Script=	-OLD_Permic}', "");
Expect(0, 66427, '\p{Script=	-OLD_Permic}', "");
Expect(1, 66427, '\p{^Script=	-OLD_Permic}', "");
Expect(1, 66427, '\P{Script=	-OLD_Permic}', "");
Expect(0, 66427, '\P{^Script=	-OLD_Permic}', "");
Error('\p{Sc=/a/__Perm}');
Error('\P{Sc=/a/__Perm}');
Expect(1, 66426, '\p{Sc=perm}', "");
Expect(0, 66426, '\p{^Sc=perm}', "");
Expect(0, 66426, '\P{Sc=perm}', "");
Expect(1, 66426, '\P{^Sc=perm}', "");
Expect(0, 66427, '\p{Sc=perm}', "");
Expect(1, 66427, '\p{^Sc=perm}', "");
Expect(1, 66427, '\P{Sc=perm}', "");
Expect(0, 66427, '\P{^Sc=perm}', "");
Expect(1, 66426, '\p{Sc= _PERM}', "");
Expect(0, 66426, '\p{^Sc= _PERM}', "");
Expect(0, 66426, '\P{Sc= _PERM}', "");
Expect(1, 66426, '\P{^Sc= _PERM}', "");
Expect(0, 66427, '\p{Sc= _PERM}', "");
Expect(1, 66427, '\p{^Sc= _PERM}', "");
Expect(1, 66427, '\P{Sc= _PERM}', "");
Expect(0, 66427, '\P{^Sc= _PERM}', "");
Error('\p{Is_Script=/a/-	old_Permic}');
Error('\P{Is_Script=/a/-	old_Permic}');
Expect(1, 66426, '\p{Is_Script: oldpermic}', "");
Expect(0, 66426, '\p{^Is_Script: oldpermic}', "");
Expect(0, 66426, '\P{Is_Script: oldpermic}', "");
Expect(1, 66426, '\P{^Is_Script: oldpermic}', "");
Expect(0, 66427, '\p{Is_Script: oldpermic}', "");
Expect(1, 66427, '\p{^Is_Script: oldpermic}', "");
Expect(1, 66427, '\P{Is_Script: oldpermic}', "");
Expect(0, 66427, '\P{^Is_Script: oldpermic}', "");
Expect(1, 66426, '\p{Is_Script=-_Old_PERMIC}', "");
Expect(0, 66426, '\p{^Is_Script=-_Old_PERMIC}', "");
Expect(0, 66426, '\P{Is_Script=-_Old_PERMIC}', "");
Expect(1, 66426, '\P{^Is_Script=-_Old_PERMIC}', "");
Expect(0, 66427, '\p{Is_Script=-_Old_PERMIC}', "");
Expect(1, 66427, '\p{^Is_Script=-_Old_PERMIC}', "");
Expect(1, 66427, '\P{Is_Script=-_Old_PERMIC}', "");
Expect(0, 66427, '\P{^Is_Script=-_Old_PERMIC}', "");
Error('\p{Is_Sc= :=Perm}');
Error('\P{Is_Sc= :=Perm}');
Expect(1, 66426, '\p{Is_Sc=perm}', "");
Expect(0, 66426, '\p{^Is_Sc=perm}', "");
Expect(0, 66426, '\P{Is_Sc=perm}', "");
Expect(1, 66426, '\P{^Is_Sc=perm}', "");
Expect(0, 66427, '\p{Is_Sc=perm}', "");
Expect(1, 66427, '\p{^Is_Sc=perm}', "");
Expect(1, 66427, '\P{Is_Sc=perm}', "");
Expect(0, 66427, '\P{^Is_Sc=perm}', "");
Expect(1, 66426, '\p{Is_Sc=_perm}', "");
Expect(0, 66426, '\p{^Is_Sc=_perm}', "");
Expect(0, 66426, '\P{Is_Sc=_perm}', "");
Expect(1, 66426, '\P{^Is_Sc=_perm}', "");
Expect(0, 66427, '\p{Is_Sc=_perm}', "");
Expect(1, 66427, '\p{^Is_Sc=_perm}', "");
Expect(1, 66427, '\P{Is_Sc=_perm}', "");
Expect(0, 66427, '\P{^Is_Sc=_perm}', "");
Error('\p{Script=/a/ PHAGS_Pa}');
Error('\P{Script=/a/ PHAGS_Pa}');
Expect(1, 43127, '\p{Script=phagspa}', "");
Expect(0, 43127, '\p{^Script=phagspa}', "");
Expect(0, 43127, '\P{Script=phagspa}', "");
Expect(1, 43127, '\P{^Script=phagspa}', "");
Expect(0, 43128, '\p{Script=phagspa}', "");
Expect(1, 43128, '\p{^Script=phagspa}', "");
Expect(1, 43128, '\P{Script=phagspa}', "");
Expect(0, 43128, '\P{^Script=phagspa}', "");
Expect(1, 43127, '\p{Script=_	Phags_PA}', "");
Expect(0, 43127, '\p{^Script=_	Phags_PA}', "");
Expect(0, 43127, '\P{Script=_	Phags_PA}', "");
Expect(1, 43127, '\P{^Script=_	Phags_PA}', "");
Expect(0, 43128, '\p{Script=_	Phags_PA}', "");
Expect(1, 43128, '\p{^Script=_	Phags_PA}', "");
Expect(1, 43128, '\P{Script=_	Phags_PA}', "");
Expect(0, 43128, '\P{^Script=_	Phags_PA}', "");
Error('\p{Sc=- Phag/a/}');
Error('\P{Sc=- Phag/a/}');
Expect(1, 43127, '\p{Sc=phag}', "");
Expect(0, 43127, '\p{^Sc=phag}', "");
Expect(0, 43127, '\P{Sc=phag}', "");
Expect(1, 43127, '\P{^Sc=phag}', "");
Expect(0, 43128, '\p{Sc=phag}', "");
Expect(1, 43128, '\p{^Sc=phag}', "");
Expect(1, 43128, '\P{Sc=phag}', "");
Expect(0, 43128, '\P{^Sc=phag}', "");
Expect(1, 43127, '\p{Sc=-phag}', "");
Expect(0, 43127, '\p{^Sc=-phag}', "");
Expect(0, 43127, '\P{Sc=-phag}', "");
Expect(1, 43127, '\P{^Sc=-phag}', "");
Expect(0, 43128, '\p{Sc=-phag}', "");
Expect(1, 43128, '\p{^Sc=-phag}', "");
Expect(1, 43128, '\P{Sc=-phag}', "");
Expect(0, 43128, '\P{^Sc=-phag}', "");
Error('\p{Is_Script=:=-Phags_pa}');
Error('\P{Is_Script=:=-Phags_pa}');
Expect(1, 43127, '\p{Is_Script=phagspa}', "");
Expect(0, 43127, '\p{^Is_Script=phagspa}', "");
Expect(0, 43127, '\P{Is_Script=phagspa}', "");
Expect(1, 43127, '\P{^Is_Script=phagspa}', "");
Expect(0, 43128, '\p{Is_Script=phagspa}', "");
Expect(1, 43128, '\p{^Is_Script=phagspa}', "");
Expect(1, 43128, '\P{Is_Script=phagspa}', "");
Expect(0, 43128, '\P{^Is_Script=phagspa}', "");
Expect(1, 43127, '\p{Is_Script=  PHAGS_Pa}', "");
Expect(0, 43127, '\p{^Is_Script=  PHAGS_Pa}', "");
Expect(0, 43127, '\P{Is_Script=  PHAGS_Pa}', "");
Expect(1, 43127, '\P{^Is_Script=  PHAGS_Pa}', "");
Expect(0, 43128, '\p{Is_Script=  PHAGS_Pa}', "");
Expect(1, 43128, '\p{^Is_Script=  PHAGS_Pa}', "");
Expect(1, 43128, '\P{Is_Script=  PHAGS_Pa}', "");
Expect(0, 43128, '\P{^Is_Script=  PHAGS_Pa}', "");
Error('\p{Is_Sc=:= -phag}');
Error('\P{Is_Sc=:= -phag}');
Expect(1, 43127, '\p{Is_Sc=phag}', "");
Expect(0, 43127, '\p{^Is_Sc=phag}', "");
Expect(0, 43127, '\P{Is_Sc=phag}', "");
Expect(1, 43127, '\P{^Is_Sc=phag}', "");
Expect(0, 43128, '\p{Is_Sc=phag}', "");
Expect(1, 43128, '\p{^Is_Sc=phag}', "");
Expect(1, 43128, '\P{Is_Sc=phag}', "");
Expect(0, 43128, '\P{^Is_Sc=phag}', "");
Expect(1, 43127, '\p{Is_Sc=_	Phag}', "");
Expect(0, 43127, '\p{^Is_Sc=_	Phag}', "");
Expect(0, 43127, '\P{Is_Sc=_	Phag}', "");
Expect(1, 43127, '\P{^Is_Sc=_	Phag}', "");
Expect(0, 43128, '\p{Is_Sc=_	Phag}', "");
Expect(1, 43128, '\p{^Is_Sc=_	Phag}', "");
Expect(1, 43128, '\P{Is_Sc=_	Phag}', "");
Expect(0, 43128, '\P{^Is_Sc=_	Phag}', "");
Error('\p{Script: _:=Inscriptional_Pahlavi}');
Error('\P{Script: _:=Inscriptional_Pahlavi}');
Expect(1, 68479, '\p{Script=inscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^Script=inscriptionalpahlavi}', "");
Expect(0, 68479, '\P{Script=inscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^Script=inscriptionalpahlavi}', "");
Expect(0, 68480, '\p{Script=inscriptionalpahlavi}', "");
Expect(1, 68480, '\p{^Script=inscriptionalpahlavi}', "");
Expect(1, 68480, '\P{Script=inscriptionalpahlavi}', "");
Expect(0, 68480, '\P{^Script=inscriptionalpahlavi}', "");
Expect(1, 68479, '\p{Script=-INSCRIPTIONAL_pahlavi}', "");
Expect(0, 68479, '\p{^Script=-INSCRIPTIONAL_pahlavi}', "");
Expect(0, 68479, '\P{Script=-INSCRIPTIONAL_pahlavi}', "");
Expect(1, 68479, '\P{^Script=-INSCRIPTIONAL_pahlavi}', "");
Expect(0, 68480, '\p{Script=-INSCRIPTIONAL_pahlavi}', "");
Expect(1, 68480, '\p{^Script=-INSCRIPTIONAL_pahlavi}', "");
Expect(1, 68480, '\P{Script=-INSCRIPTIONAL_pahlavi}', "");
Expect(0, 68480, '\P{^Script=-INSCRIPTIONAL_pahlavi}', "");
Error('\p{Sc=/a/	_Phli}');
Error('\P{Sc=/a/	_Phli}');
Expect(1, 68479, '\p{Sc=phli}', "");
Expect(0, 68479, '\p{^Sc=phli}', "");
Expect(0, 68479, '\P{Sc=phli}', "");
Expect(1, 68479, '\P{^Sc=phli}', "");
Expect(0, 68480, '\p{Sc=phli}', "");
Expect(1, 68480, '\p{^Sc=phli}', "");
Expect(1, 68480, '\P{Sc=phli}', "");
Expect(0, 68480, '\P{^Sc=phli}', "");
Expect(1, 68479, '\p{Sc: - Phli}', "");
Expect(0, 68479, '\p{^Sc: - Phli}', "");
Expect(0, 68479, '\P{Sc: - Phli}', "");
Expect(1, 68479, '\P{^Sc: - Phli}', "");
Expect(0, 68480, '\p{Sc: - Phli}', "");
Expect(1, 68480, '\p{^Sc: - Phli}', "");
Expect(1, 68480, '\P{Sc: - Phli}', "");
Expect(0, 68480, '\P{^Sc: - Phli}', "");
Error('\p{Is_Script=  Inscriptional_Pahlavi:=}');
Error('\P{Is_Script=  Inscriptional_Pahlavi:=}');
Expect(1, 68479, '\p{Is_Script=inscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^Is_Script=inscriptionalpahlavi}', "");
Expect(0, 68479, '\P{Is_Script=inscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^Is_Script=inscriptionalpahlavi}', "");
Expect(0, 68480, '\p{Is_Script=inscriptionalpahlavi}', "");
Expect(1, 68480, '\p{^Is_Script=inscriptionalpahlavi}', "");
Expect(1, 68480, '\P{Is_Script=inscriptionalpahlavi}', "");
Expect(0, 68480, '\P{^Is_Script=inscriptionalpahlavi}', "");
Expect(1, 68479, '\p{Is_Script: _ Inscriptional_Pahlavi}', "");
Expect(0, 68479, '\p{^Is_Script: _ Inscriptional_Pahlavi}', "");
Expect(0, 68479, '\P{Is_Script: _ Inscriptional_Pahlavi}', "");
Expect(1, 68479, '\P{^Is_Script: _ Inscriptional_Pahlavi}', "");
Expect(0, 68480, '\p{Is_Script: _ Inscriptional_Pahlavi}', "");
Expect(1, 68480, '\p{^Is_Script: _ Inscriptional_Pahlavi}', "");
Expect(1, 68480, '\P{Is_Script: _ Inscriptional_Pahlavi}', "");
Expect(0, 68480, '\P{^Is_Script: _ Inscriptional_Pahlavi}', "");
Error('\p{Is_Sc=:=phli}');
Error('\P{Is_Sc=:=phli}');
Expect(1, 68479, '\p{Is_Sc=phli}', "");
Expect(0, 68479, '\p{^Is_Sc=phli}', "");
Expect(0, 68479, '\P{Is_Sc=phli}', "");
Expect(1, 68479, '\P{^Is_Sc=phli}', "");
Expect(0, 68480, '\p{Is_Sc=phli}', "");
Expect(1, 68480, '\p{^Is_Sc=phli}', "");
Expect(1, 68480, '\P{Is_Sc=phli}', "");
Expect(0, 68480, '\P{^Is_Sc=phli}', "");
Expect(1, 68479, '\p{Is_Sc=	 Phli}', "");
Expect(0, 68479, '\p{^Is_Sc=	 Phli}', "");
Expect(0, 68479, '\P{Is_Sc=	 Phli}', "");
Expect(1, 68479, '\P{^Is_Sc=	 Phli}', "");
Expect(0, 68480, '\p{Is_Sc=	 Phli}', "");
Expect(1, 68480, '\p{^Is_Sc=	 Phli}', "");
Expect(1, 68480, '\P{Is_Sc=	 Phli}', "");
Expect(0, 68480, '\P{^Is_Sc=	 Phli}', "");
Error('\p{Script=		Psalter_Pahlavi/a/}');
Error('\P{Script=		Psalter_Pahlavi/a/}');
Expect(1, 68527, '\p{Script:	psalterpahlavi}', "");
Expect(0, 68527, '\p{^Script:	psalterpahlavi}', "");
Expect(0, 68527, '\P{Script:	psalterpahlavi}', "");
Expect(1, 68527, '\P{^Script:	psalterpahlavi}', "");
Expect(0, 68528, '\p{Script:	psalterpahlavi}', "");
Expect(1, 68528, '\p{^Script:	psalterpahlavi}', "");
Expect(1, 68528, '\P{Script:	psalterpahlavi}', "");
Expect(0, 68528, '\P{^Script:	psalterpahlavi}', "");
Expect(1, 68527, '\p{Script= -PSALTER_Pahlavi}', "");
Expect(0, 68527, '\p{^Script= -PSALTER_Pahlavi}', "");
Expect(0, 68527, '\P{Script= -PSALTER_Pahlavi}', "");
Expect(1, 68527, '\P{^Script= -PSALTER_Pahlavi}', "");
Expect(0, 68528, '\p{Script= -PSALTER_Pahlavi}', "");
Expect(1, 68528, '\p{^Script= -PSALTER_Pahlavi}', "");
Expect(1, 68528, '\P{Script= -PSALTER_Pahlavi}', "");
Expect(0, 68528, '\P{^Script= -PSALTER_Pahlavi}', "");
Error('\p{Sc=/a/_	Phlp}');
Error('\P{Sc=/a/_	Phlp}');
Expect(1, 68527, '\p{Sc=phlp}', "");
Expect(0, 68527, '\p{^Sc=phlp}', "");
Expect(0, 68527, '\P{Sc=phlp}', "");
Expect(1, 68527, '\P{^Sc=phlp}', "");
Expect(0, 68528, '\p{Sc=phlp}', "");
Expect(1, 68528, '\p{^Sc=phlp}', "");
Expect(1, 68528, '\P{Sc=phlp}', "");
Expect(0, 68528, '\P{^Sc=phlp}', "");
Expect(1, 68527, '\p{Sc=		PHLP}', "");
Expect(0, 68527, '\p{^Sc=		PHLP}', "");
Expect(0, 68527, '\P{Sc=		PHLP}', "");
Expect(1, 68527, '\P{^Sc=		PHLP}', "");
Expect(0, 68528, '\p{Sc=		PHLP}', "");
Expect(1, 68528, '\p{^Sc=		PHLP}', "");
Expect(1, 68528, '\P{Sc=		PHLP}', "");
Expect(0, 68528, '\P{^Sc=		PHLP}', "");
Error('\p{Is_Script=/a/	Psalter_PAHLAVI}');
Error('\P{Is_Script=/a/	Psalter_PAHLAVI}');
Expect(1, 68527, '\p{Is_Script=psalterpahlavi}', "");
Expect(0, 68527, '\p{^Is_Script=psalterpahlavi}', "");
Expect(0, 68527, '\P{Is_Script=psalterpahlavi}', "");
Expect(1, 68527, '\P{^Is_Script=psalterpahlavi}', "");
Expect(0, 68528, '\p{Is_Script=psalterpahlavi}', "");
Expect(1, 68528, '\p{^Is_Script=psalterpahlavi}', "");
Expect(1, 68528, '\P{Is_Script=psalterpahlavi}', "");
Expect(0, 68528, '\P{^Is_Script=psalterpahlavi}', "");
Expect(1, 68527, '\p{Is_Script=_ Psalter_PAHLAVI}', "");
Expect(0, 68527, '\p{^Is_Script=_ Psalter_PAHLAVI}', "");
Expect(0, 68527, '\P{Is_Script=_ Psalter_PAHLAVI}', "");
Expect(1, 68527, '\P{^Is_Script=_ Psalter_PAHLAVI}', "");
Expect(0, 68528, '\p{Is_Script=_ Psalter_PAHLAVI}', "");
Expect(1, 68528, '\p{^Is_Script=_ Psalter_PAHLAVI}', "");
Expect(1, 68528, '\P{Is_Script=_ Psalter_PAHLAVI}', "");
Expect(0, 68528, '\P{^Is_Script=_ Psalter_PAHLAVI}', "");
Error('\p{Is_Sc=:=-	phlp}');
Error('\P{Is_Sc=:=-	phlp}');
Expect(1, 68527, '\p{Is_Sc:phlp}', "");
Expect(0, 68527, '\p{^Is_Sc:phlp}', "");
Expect(0, 68527, '\P{Is_Sc:phlp}', "");
Expect(1, 68527, '\P{^Is_Sc:phlp}', "");
Expect(0, 68528, '\p{Is_Sc:phlp}', "");
Expect(1, 68528, '\p{^Is_Sc:phlp}', "");
Expect(1, 68528, '\P{Is_Sc:phlp}', "");
Expect(0, 68528, '\P{^Is_Sc:phlp}', "");
Expect(1, 68527, '\p{Is_Sc= _phlp}', "");
Expect(0, 68527, '\p{^Is_Sc= _phlp}', "");
Expect(0, 68527, '\P{Is_Sc= _phlp}', "");
Expect(1, 68527, '\P{^Is_Sc= _phlp}', "");
Expect(0, 68528, '\p{Is_Sc= _phlp}', "");
Expect(1, 68528, '\p{^Is_Sc= _phlp}', "");
Expect(1, 68528, '\P{Is_Sc= _phlp}', "");
Expect(0, 68528, '\P{^Is_Sc= _phlp}', "");
Error('\p{Script=/a/_Phoenician}');
Error('\P{Script=/a/_Phoenician}');
Expect(1, 67871, '\p{Script=phoenician}', "");
Expect(0, 67871, '\p{^Script=phoenician}', "");
Expect(0, 67871, '\P{Script=phoenician}', "");
Expect(1, 67871, '\P{^Script=phoenician}', "");
Expect(0, 67872, '\p{Script=phoenician}', "");
Expect(1, 67872, '\p{^Script=phoenician}', "");
Expect(1, 67872, '\P{Script=phoenician}', "");
Expect(0, 67872, '\P{^Script=phoenician}', "");
Expect(1, 67871, '\p{Script=_Phoenician}', "");
Expect(0, 67871, '\p{^Script=_Phoenician}', "");
Expect(0, 67871, '\P{Script=_Phoenician}', "");
Expect(1, 67871, '\P{^Script=_Phoenician}', "");
Expect(0, 67872, '\p{Script=_Phoenician}', "");
Expect(1, 67872, '\p{^Script=_Phoenician}', "");
Expect(1, 67872, '\P{Script=_Phoenician}', "");
Expect(0, 67872, '\P{^Script=_Phoenician}', "");
Error('\p{Sc:	:=Phnx}');
Error('\P{Sc:	:=Phnx}');
Expect(1, 67871, '\p{Sc=phnx}', "");
Expect(0, 67871, '\p{^Sc=phnx}', "");
Expect(0, 67871, '\P{Sc=phnx}', "");
Expect(1, 67871, '\P{^Sc=phnx}', "");
Expect(0, 67872, '\p{Sc=phnx}', "");
Expect(1, 67872, '\p{^Sc=phnx}', "");
Expect(1, 67872, '\P{Sc=phnx}', "");
Expect(0, 67872, '\P{^Sc=phnx}', "");
Expect(1, 67871, '\p{Sc=_PHNX}', "");
Expect(0, 67871, '\p{^Sc=_PHNX}', "");
Expect(0, 67871, '\P{Sc=_PHNX}', "");
Expect(1, 67871, '\P{^Sc=_PHNX}', "");
Expect(0, 67872, '\p{Sc=_PHNX}', "");
Expect(1, 67872, '\p{^Sc=_PHNX}', "");
Expect(1, 67872, '\P{Sc=_PHNX}', "");
Expect(0, 67872, '\P{^Sc=_PHNX}', "");
Error('\p{Is_Script=		phoenician:=}');
Error('\P{Is_Script=		phoenician:=}');
Expect(1, 67871, '\p{Is_Script=phoenician}', "");
Expect(0, 67871, '\p{^Is_Script=phoenician}', "");
Expect(0, 67871, '\P{Is_Script=phoenician}', "");
Expect(1, 67871, '\P{^Is_Script=phoenician}', "");
Expect(0, 67872, '\p{Is_Script=phoenician}', "");
Expect(1, 67872, '\p{^Is_Script=phoenician}', "");
Expect(1, 67872, '\P{Is_Script=phoenician}', "");
Expect(0, 67872, '\P{^Is_Script=phoenician}', "");
Expect(1, 67871, '\p{Is_Script=  Phoenician}', "");
Expect(0, 67871, '\p{^Is_Script=  Phoenician}', "");
Expect(0, 67871, '\P{Is_Script=  Phoenician}', "");
Expect(1, 67871, '\P{^Is_Script=  Phoenician}', "");
Expect(0, 67872, '\p{Is_Script=  Phoenician}', "");
Expect(1, 67872, '\p{^Is_Script=  Phoenician}', "");
Expect(1, 67872, '\P{Is_Script=  Phoenician}', "");
Expect(0, 67872, '\P{^Is_Script=  Phoenician}', "");
Error('\p{Is_Sc=/a/ -phnx}');
Error('\P{Is_Sc=/a/ -phnx}');
Expect(1, 67871, '\p{Is_Sc=phnx}', "");
Expect(0, 67871, '\p{^Is_Sc=phnx}', "");
Expect(0, 67871, '\P{Is_Sc=phnx}', "");
Expect(1, 67871, '\P{^Is_Sc=phnx}', "");
Expect(0, 67872, '\p{Is_Sc=phnx}', "");
Expect(1, 67872, '\p{^Is_Sc=phnx}', "");
Expect(1, 67872, '\P{Is_Sc=phnx}', "");
Expect(0, 67872, '\P{^Is_Sc=phnx}', "");
Expect(1, 67871, '\p{Is_Sc=-PHNX}', "");
Expect(0, 67871, '\p{^Is_Sc=-PHNX}', "");
Expect(0, 67871, '\P{Is_Sc=-PHNX}', "");
Expect(1, 67871, '\P{^Is_Sc=-PHNX}', "");
Expect(0, 67872, '\p{Is_Sc=-PHNX}', "");
Expect(1, 67872, '\p{^Is_Sc=-PHNX}', "");
Expect(1, 67872, '\P{Is_Sc=-PHNX}', "");
Expect(0, 67872, '\P{^Is_Sc=-PHNX}', "");
Error('\p{Script=:=MIAO}');
Error('\P{Script=:=MIAO}');
Expect(1, 94111, '\p{Script=miao}', "");
Expect(0, 94111, '\p{^Script=miao}', "");
Expect(0, 94111, '\P{Script=miao}', "");
Expect(1, 94111, '\P{^Script=miao}', "");
Expect(0, 94112, '\p{Script=miao}', "");
Expect(1, 94112, '\p{^Script=miao}', "");
Expect(1, 94112, '\P{Script=miao}', "");
Expect(0, 94112, '\P{^Script=miao}', "");
Expect(1, 94111, '\p{Script=__miao}', "");
Expect(0, 94111, '\p{^Script=__miao}', "");
Expect(0, 94111, '\P{Script=__miao}', "");
Expect(1, 94111, '\P{^Script=__miao}', "");
Expect(0, 94112, '\p{Script=__miao}', "");
Expect(1, 94112, '\p{^Script=__miao}', "");
Expect(1, 94112, '\P{Script=__miao}', "");
Expect(0, 94112, '\P{^Script=__miao}', "");
Error('\p{Sc=	/a/plrd}');
Error('\P{Sc=	/a/plrd}');
Expect(1, 94111, '\p{Sc=plrd}', "");
Expect(0, 94111, '\p{^Sc=plrd}', "");
Expect(0, 94111, '\P{Sc=plrd}', "");
Expect(1, 94111, '\P{^Sc=plrd}', "");
Expect(0, 94112, '\p{Sc=plrd}', "");
Expect(1, 94112, '\p{^Sc=plrd}', "");
Expect(1, 94112, '\P{Sc=plrd}', "");
Expect(0, 94112, '\P{^Sc=plrd}', "");
Expect(1, 94111, '\p{Sc=Plrd}', "");
Expect(0, 94111, '\p{^Sc=Plrd}', "");
Expect(0, 94111, '\P{Sc=Plrd}', "");
Expect(1, 94111, '\P{^Sc=Plrd}', "");
Expect(0, 94112, '\p{Sc=Plrd}', "");
Expect(1, 94112, '\p{^Sc=Plrd}', "");
Expect(1, 94112, '\P{Sc=Plrd}', "");
Expect(0, 94112, '\P{^Sc=Plrd}', "");
Error('\p{Is_Script=	_Miao/a/}');
Error('\P{Is_Script=	_Miao/a/}');
Expect(1, 94111, '\p{Is_Script=miao}', "");
Expect(0, 94111, '\p{^Is_Script=miao}', "");
Expect(0, 94111, '\P{Is_Script=miao}', "");
Expect(1, 94111, '\P{^Is_Script=miao}', "");
Expect(0, 94112, '\p{Is_Script=miao}', "");
Expect(1, 94112, '\p{^Is_Script=miao}', "");
Expect(1, 94112, '\P{Is_Script=miao}', "");
Expect(0, 94112, '\P{^Is_Script=miao}', "");
Expect(1, 94111, '\p{Is_Script= -Miao}', "");
Expect(0, 94111, '\p{^Is_Script= -Miao}', "");
Expect(0, 94111, '\P{Is_Script= -Miao}', "");
Expect(1, 94111, '\P{^Is_Script= -Miao}', "");
Expect(0, 94112, '\p{Is_Script= -Miao}', "");
Expect(1, 94112, '\p{^Is_Script= -Miao}', "");
Expect(1, 94112, '\P{Is_Script= -Miao}', "");
Expect(0, 94112, '\P{^Is_Script= -Miao}', "");
Error('\p{Is_Sc=:=_	PLRD}');
Error('\P{Is_Sc=:=_	PLRD}');
Expect(1, 94111, '\p{Is_Sc=plrd}', "");
Expect(0, 94111, '\p{^Is_Sc=plrd}', "");
Expect(0, 94111, '\P{Is_Sc=plrd}', "");
Expect(1, 94111, '\P{^Is_Sc=plrd}', "");
Expect(0, 94112, '\p{Is_Sc=plrd}', "");
Expect(1, 94112, '\p{^Is_Sc=plrd}', "");
Expect(1, 94112, '\P{Is_Sc=plrd}', "");
Expect(0, 94112, '\P{^Is_Sc=plrd}', "");
Expect(1, 94111, '\p{Is_Sc=  PLRD}', "");
Expect(0, 94111, '\p{^Is_Sc=  PLRD}', "");
Expect(0, 94111, '\P{Is_Sc=  PLRD}', "");
Expect(1, 94111, '\P{^Is_Sc=  PLRD}', "");
Expect(0, 94112, '\p{Is_Sc=  PLRD}', "");
Expect(1, 94112, '\p{^Is_Sc=  PLRD}', "");
Expect(1, 94112, '\P{Is_Sc=  PLRD}', "");
Expect(0, 94112, '\P{^Is_Sc=  PLRD}', "");
Error('\p{Script=:= Inscriptional_Parthian}');
Error('\P{Script=:= Inscriptional_Parthian}');
Expect(1, 68447, '\p{Script=inscriptionalparthian}', "");
Expect(0, 68447, '\p{^Script=inscriptionalparthian}', "");
Expect(0, 68447, '\P{Script=inscriptionalparthian}', "");
Expect(1, 68447, '\P{^Script=inscriptionalparthian}', "");
Expect(0, 68448, '\p{Script=inscriptionalparthian}', "");
Expect(1, 68448, '\p{^Script=inscriptionalparthian}', "");
Expect(1, 68448, '\P{Script=inscriptionalparthian}', "");
Expect(0, 68448, '\P{^Script=inscriptionalparthian}', "");
Expect(1, 68447, '\p{Script: __Inscriptional_Parthian}', "");
Expect(0, 68447, '\p{^Script: __Inscriptional_Parthian}', "");
Expect(0, 68447, '\P{Script: __Inscriptional_Parthian}', "");
Expect(1, 68447, '\P{^Script: __Inscriptional_Parthian}', "");
Expect(0, 68448, '\p{Script: __Inscriptional_Parthian}', "");
Expect(1, 68448, '\p{^Script: __Inscriptional_Parthian}', "");
Expect(1, 68448, '\P{Script: __Inscriptional_Parthian}', "");
Expect(0, 68448, '\P{^Script: __Inscriptional_Parthian}', "");
Error('\p{Sc=Prti:=}');
Error('\P{Sc=Prti:=}');
Expect(1, 68447, '\p{Sc=prti}', "");
Expect(0, 68447, '\p{^Sc=prti}', "");
Expect(0, 68447, '\P{Sc=prti}', "");
Expect(1, 68447, '\P{^Sc=prti}', "");
Expect(0, 68448, '\p{Sc=prti}', "");
Expect(1, 68448, '\p{^Sc=prti}', "");
Expect(1, 68448, '\P{Sc=prti}', "");
Expect(0, 68448, '\P{^Sc=prti}', "");
Expect(1, 68447, '\p{Sc=_Prti}', "");
Expect(0, 68447, '\p{^Sc=_Prti}', "");
Expect(0, 68447, '\P{Sc=_Prti}', "");
Expect(1, 68447, '\P{^Sc=_Prti}', "");
Expect(0, 68448, '\p{Sc=_Prti}', "");
Expect(1, 68448, '\p{^Sc=_Prti}', "");
Expect(1, 68448, '\P{Sc=_Prti}', "");
Expect(0, 68448, '\P{^Sc=_Prti}', "");
Error('\p{Is_Script: INSCRIPTIONAL_PARTHIAN:=}');
Error('\P{Is_Script: INSCRIPTIONAL_PARTHIAN:=}');
Expect(1, 68447, '\p{Is_Script: inscriptionalparthian}', "");
Expect(0, 68447, '\p{^Is_Script: inscriptionalparthian}', "");
Expect(0, 68447, '\P{Is_Script: inscriptionalparthian}', "");
Expect(1, 68447, '\P{^Is_Script: inscriptionalparthian}', "");
Expect(0, 68448, '\p{Is_Script: inscriptionalparthian}', "");
Expect(1, 68448, '\p{^Is_Script: inscriptionalparthian}', "");
Expect(1, 68448, '\P{Is_Script: inscriptionalparthian}', "");
Expect(0, 68448, '\P{^Is_Script: inscriptionalparthian}', "");
Expect(1, 68447, '\p{Is_Script=_Inscriptional_PARTHIAN}', "");
Expect(0, 68447, '\p{^Is_Script=_Inscriptional_PARTHIAN}', "");
Expect(0, 68447, '\P{Is_Script=_Inscriptional_PARTHIAN}', "");
Expect(1, 68447, '\P{^Is_Script=_Inscriptional_PARTHIAN}', "");
Expect(0, 68448, '\p{Is_Script=_Inscriptional_PARTHIAN}', "");
Expect(1, 68448, '\p{^Is_Script=_Inscriptional_PARTHIAN}', "");
Expect(1, 68448, '\P{Is_Script=_Inscriptional_PARTHIAN}', "");
Expect(0, 68448, '\P{^Is_Script=_Inscriptional_PARTHIAN}', "");
Error('\p{Is_Sc=_/a/PRTI}');
Error('\P{Is_Sc=_/a/PRTI}');
Expect(1, 68447, '\p{Is_Sc:   prti}', "");
Expect(0, 68447, '\p{^Is_Sc:   prti}', "");
Expect(0, 68447, '\P{Is_Sc:   prti}', "");
Expect(1, 68447, '\P{^Is_Sc:   prti}', "");
Expect(0, 68448, '\p{Is_Sc:   prti}', "");
Expect(1, 68448, '\p{^Is_Sc:   prti}', "");
Expect(1, 68448, '\P{Is_Sc:   prti}', "");
Expect(0, 68448, '\P{^Is_Sc:   prti}', "");
Expect(1, 68447, '\p{Is_Sc= prti}', "");
Expect(0, 68447, '\p{^Is_Sc= prti}', "");
Expect(0, 68447, '\P{Is_Sc= prti}', "");
Expect(1, 68447, '\P{^Is_Sc= prti}', "");
Expect(0, 68448, '\p{Is_Sc= prti}', "");
Expect(1, 68448, '\p{^Is_Sc= prti}', "");
Expect(1, 68448, '\P{Is_Sc= prti}', "");
Expect(0, 68448, '\P{^Is_Sc= prti}', "");
Error('\p{Script=/a/ _REJANG}');
Error('\P{Script=/a/ _REJANG}');
Expect(1, 43359, '\p{Script=rejang}', "");
Expect(0, 43359, '\p{^Script=rejang}', "");
Expect(0, 43359, '\P{Script=rejang}', "");
Expect(1, 43359, '\P{^Script=rejang}', "");
Expect(0, 43360, '\p{Script=rejang}', "");
Expect(1, 43360, '\p{^Script=rejang}', "");
Expect(1, 43360, '\P{Script=rejang}', "");
Expect(0, 43360, '\P{^Script=rejang}', "");
Expect(1, 43359, '\p{Script:   --Rejang}', "");
Expect(0, 43359, '\p{^Script:   --Rejang}', "");
Expect(0, 43359, '\P{Script:   --Rejang}', "");
Expect(1, 43359, '\P{^Script:   --Rejang}', "");
Expect(0, 43360, '\p{Script:   --Rejang}', "");
Expect(1, 43360, '\p{^Script:   --Rejang}', "");
Expect(1, 43360, '\P{Script:   --Rejang}', "");
Expect(0, 43360, '\P{^Script:   --Rejang}', "");
Error('\p{Sc=:=_Rjng}');
Error('\P{Sc=:=_Rjng}');
Expect(1, 43359, '\p{Sc=rjng}', "");
Expect(0, 43359, '\p{^Sc=rjng}', "");
Expect(0, 43359, '\P{Sc=rjng}', "");
Expect(1, 43359, '\P{^Sc=rjng}', "");
Expect(0, 43360, '\p{Sc=rjng}', "");
Expect(1, 43360, '\p{^Sc=rjng}', "");
Expect(1, 43360, '\P{Sc=rjng}', "");
Expect(0, 43360, '\P{^Sc=rjng}', "");
Expect(1, 43359, '\p{Sc=_-rjng}', "");
Expect(0, 43359, '\p{^Sc=_-rjng}', "");
Expect(0, 43359, '\P{Sc=_-rjng}', "");
Expect(1, 43359, '\P{^Sc=_-rjng}', "");
Expect(0, 43360, '\p{Sc=_-rjng}', "");
Expect(1, 43360, '\p{^Sc=_-rjng}', "");
Expect(1, 43360, '\P{Sc=_-rjng}', "");
Expect(0, 43360, '\P{^Sc=_-rjng}', "");
Error('\p{Is_Script=:=  Rejang}');
Error('\P{Is_Script=:=  Rejang}');
Expect(1, 43359, '\p{Is_Script=rejang}', "");
Expect(0, 43359, '\p{^Is_Script=rejang}', "");
Expect(0, 43359, '\P{Is_Script=rejang}', "");
Expect(1, 43359, '\P{^Is_Script=rejang}', "");
Expect(0, 43360, '\p{Is_Script=rejang}', "");
Expect(1, 43360, '\p{^Is_Script=rejang}', "");
Expect(1, 43360, '\P{Is_Script=rejang}', "");
Expect(0, 43360, '\P{^Is_Script=rejang}', "");
Expect(1, 43359, '\p{Is_Script=_-Rejang}', "");
Expect(0, 43359, '\p{^Is_Script=_-Rejang}', "");
Expect(0, 43359, '\P{Is_Script=_-Rejang}', "");
Expect(1, 43359, '\P{^Is_Script=_-Rejang}', "");
Expect(0, 43360, '\p{Is_Script=_-Rejang}', "");
Expect(1, 43360, '\p{^Is_Script=_-Rejang}', "");
Expect(1, 43360, '\P{Is_Script=_-Rejang}', "");
Expect(0, 43360, '\P{^Is_Script=_-Rejang}', "");
Error('\p{Is_Sc= /a/Rjng}');
Error('\P{Is_Sc= /a/Rjng}');
Expect(1, 43359, '\p{Is_Sc=rjng}', "");
Expect(0, 43359, '\p{^Is_Sc=rjng}', "");
Expect(0, 43359, '\P{Is_Sc=rjng}', "");
Expect(1, 43359, '\P{^Is_Sc=rjng}', "");
Expect(0, 43360, '\p{Is_Sc=rjng}', "");
Expect(1, 43360, '\p{^Is_Sc=rjng}', "");
Expect(1, 43360, '\P{Is_Sc=rjng}', "");
Expect(0, 43360, '\P{^Is_Sc=rjng}', "");
Expect(1, 43359, '\p{Is_Sc=_RJNG}', "");
Expect(0, 43359, '\p{^Is_Sc=_RJNG}', "");
Expect(0, 43359, '\P{Is_Sc=_RJNG}', "");
Expect(1, 43359, '\P{^Is_Sc=_RJNG}', "");
Expect(0, 43360, '\p{Is_Sc=_RJNG}', "");
Expect(1, 43360, '\p{^Is_Sc=_RJNG}', "");
Expect(1, 43360, '\P{Is_Sc=_RJNG}', "");
Expect(0, 43360, '\P{^Is_Sc=_RJNG}', "");
Error('\p{Script=:=-Runic}');
Error('\P{Script=:=-Runic}');
Expect(1, 5880, '\p{Script=runic}', "");
Expect(0, 5880, '\p{^Script=runic}', "");
Expect(0, 5880, '\P{Script=runic}', "");
Expect(1, 5880, '\P{^Script=runic}', "");
Expect(0, 5881, '\p{Script=runic}', "");
Expect(1, 5881, '\p{^Script=runic}', "");
Expect(1, 5881, '\P{Script=runic}', "");
Expect(0, 5881, '\P{^Script=runic}', "");
Expect(1, 5880, '\p{Script= Runic}', "");
Expect(0, 5880, '\p{^Script= Runic}', "");
Expect(0, 5880, '\P{Script= Runic}', "");
Expect(1, 5880, '\P{^Script= Runic}', "");
Expect(0, 5881, '\p{Script= Runic}', "");
Expect(1, 5881, '\p{^Script= Runic}', "");
Expect(1, 5881, '\P{Script= Runic}', "");
Expect(0, 5881, '\P{^Script= Runic}', "");
Error('\p{Sc=_ RUNR:=}');
Error('\P{Sc=_ RUNR:=}');
Expect(1, 5880, '\p{Sc:	runr}', "");
Expect(0, 5880, '\p{^Sc:	runr}', "");
Expect(0, 5880, '\P{Sc:	runr}', "");
Expect(1, 5880, '\P{^Sc:	runr}', "");
Expect(0, 5881, '\p{Sc:	runr}', "");
Expect(1, 5881, '\p{^Sc:	runr}', "");
Expect(1, 5881, '\P{Sc:	runr}', "");
Expect(0, 5881, '\P{^Sc:	runr}', "");
Expect(1, 5880, '\p{Sc=-runr}', "");
Expect(0, 5880, '\p{^Sc=-runr}', "");
Expect(0, 5880, '\P{Sc=-runr}', "");
Expect(1, 5880, '\P{^Sc=-runr}', "");
Expect(0, 5881, '\p{Sc=-runr}', "");
Expect(1, 5881, '\p{^Sc=-runr}', "");
Expect(1, 5881, '\P{Sc=-runr}', "");
Expect(0, 5881, '\P{^Sc=-runr}', "");
Error('\p{Is_Script=	 Runic/a/}');
Error('\P{Is_Script=	 Runic/a/}');
Expect(1, 5880, '\p{Is_Script=runic}', "");
Expect(0, 5880, '\p{^Is_Script=runic}', "");
Expect(0, 5880, '\P{Is_Script=runic}', "");
Expect(1, 5880, '\P{^Is_Script=runic}', "");
Expect(0, 5881, '\p{Is_Script=runic}', "");
Expect(1, 5881, '\p{^Is_Script=runic}', "");
Expect(1, 5881, '\P{Is_Script=runic}', "");
Expect(0, 5881, '\P{^Is_Script=runic}', "");
Expect(1, 5880, '\p{Is_Script=	 Runic}', "");
Expect(0, 5880, '\p{^Is_Script=	 Runic}', "");
Expect(0, 5880, '\P{Is_Script=	 Runic}', "");
Expect(1, 5880, '\P{^Is_Script=	 Runic}', "");
Expect(0, 5881, '\p{Is_Script=	 Runic}', "");
Expect(1, 5881, '\p{^Is_Script=	 Runic}', "");
Expect(1, 5881, '\P{Is_Script=	 Runic}', "");
Expect(0, 5881, '\P{^Is_Script=	 Runic}', "");
Error('\p{Is_Sc=	:=Runr}');
Error('\P{Is_Sc=	:=Runr}');
Expect(1, 5880, '\p{Is_Sc=runr}', "");
Expect(0, 5880, '\p{^Is_Sc=runr}', "");
Expect(0, 5880, '\P{Is_Sc=runr}', "");
Expect(1, 5880, '\P{^Is_Sc=runr}', "");
Expect(0, 5881, '\p{Is_Sc=runr}', "");
Expect(1, 5881, '\p{^Is_Sc=runr}', "");
Expect(1, 5881, '\P{Is_Sc=runr}', "");
Expect(0, 5881, '\P{^Is_Sc=runr}', "");
Expect(1, 5880, '\p{Is_Sc= 	runr}', "");
Expect(0, 5880, '\p{^Is_Sc= 	runr}', "");
Expect(0, 5880, '\P{Is_Sc= 	runr}', "");
Expect(1, 5880, '\P{^Is_Sc= 	runr}', "");
Expect(0, 5881, '\p{Is_Sc= 	runr}', "");
Expect(1, 5881, '\p{^Is_Sc= 	runr}', "");
Expect(1, 5881, '\P{Is_Sc= 	runr}', "");
Expect(0, 5881, '\P{^Is_Sc= 	runr}', "");
Error('\p{Script=_/a/Samaritan}');
Error('\P{Script=_/a/Samaritan}');
Expect(1, 2110, '\p{Script=samaritan}', "");
Expect(0, 2110, '\p{^Script=samaritan}', "");
Expect(0, 2110, '\P{Script=samaritan}', "");
Expect(1, 2110, '\P{^Script=samaritan}', "");
Expect(0, 2111, '\p{Script=samaritan}', "");
Expect(1, 2111, '\p{^Script=samaritan}', "");
Expect(1, 2111, '\P{Script=samaritan}', "");
Expect(0, 2111, '\P{^Script=samaritan}', "");
Expect(1, 2110, '\p{Script= SAMARITAN}', "");
Expect(0, 2110, '\p{^Script= SAMARITAN}', "");
Expect(0, 2110, '\P{Script= SAMARITAN}', "");
Expect(1, 2110, '\P{^Script= SAMARITAN}', "");
Expect(0, 2111, '\p{Script= SAMARITAN}', "");
Expect(1, 2111, '\p{^Script= SAMARITAN}', "");
Expect(1, 2111, '\P{Script= SAMARITAN}', "");
Expect(0, 2111, '\P{^Script= SAMARITAN}', "");
Error('\p{Sc=	Samr/a/}');
Error('\P{Sc=	Samr/a/}');
Expect(1, 2110, '\p{Sc=samr}', "");
Expect(0, 2110, '\p{^Sc=samr}', "");
Expect(0, 2110, '\P{Sc=samr}', "");
Expect(1, 2110, '\P{^Sc=samr}', "");
Expect(0, 2111, '\p{Sc=samr}', "");
Expect(1, 2111, '\p{^Sc=samr}', "");
Expect(1, 2111, '\P{Sc=samr}', "");
Expect(0, 2111, '\P{^Sc=samr}', "");
Expect(1, 2110, '\p{Sc=  Samr}', "");
Expect(0, 2110, '\p{^Sc=  Samr}', "");
Expect(0, 2110, '\P{Sc=  Samr}', "");
Expect(1, 2110, '\P{^Sc=  Samr}', "");
Expect(0, 2111, '\p{Sc=  Samr}', "");
Expect(1, 2111, '\p{^Sc=  Samr}', "");
Expect(1, 2111, '\P{Sc=  Samr}', "");
Expect(0, 2111, '\P{^Sc=  Samr}', "");
Error('\p{Is_Script=_ Samaritan:=}');
Error('\P{Is_Script=_ Samaritan:=}');
Expect(1, 2110, '\p{Is_Script=samaritan}', "");
Expect(0, 2110, '\p{^Is_Script=samaritan}', "");
Expect(0, 2110, '\P{Is_Script=samaritan}', "");
Expect(1, 2110, '\P{^Is_Script=samaritan}', "");
Expect(0, 2111, '\p{Is_Script=samaritan}', "");
Expect(1, 2111, '\p{^Is_Script=samaritan}', "");
Expect(1, 2111, '\P{Is_Script=samaritan}', "");
Expect(0, 2111, '\P{^Is_Script=samaritan}', "");
Expect(1, 2110, '\p{Is_Script:  samaritan}', "");
Expect(0, 2110, '\p{^Is_Script:  samaritan}', "");
Expect(0, 2110, '\P{Is_Script:  samaritan}', "");
Expect(1, 2110, '\P{^Is_Script:  samaritan}', "");
Expect(0, 2111, '\p{Is_Script:  samaritan}', "");
Expect(1, 2111, '\p{^Is_Script:  samaritan}', "");
Expect(1, 2111, '\P{Is_Script:  samaritan}', "");
Expect(0, 2111, '\P{^Is_Script:  samaritan}', "");
Error('\p{Is_Sc= SAMR:=}');
Error('\P{Is_Sc= SAMR:=}');
Expect(1, 2110, '\p{Is_Sc=samr}', "");
Expect(0, 2110, '\p{^Is_Sc=samr}', "");
Expect(0, 2110, '\P{Is_Sc=samr}', "");
Expect(1, 2110, '\P{^Is_Sc=samr}', "");
Expect(0, 2111, '\p{Is_Sc=samr}', "");
Expect(1, 2111, '\p{^Is_Sc=samr}', "");
Expect(1, 2111, '\P{Is_Sc=samr}', "");
Expect(0, 2111, '\P{^Is_Sc=samr}', "");
Expect(1, 2110, '\p{Is_Sc=	-SAMR}', "");
Expect(0, 2110, '\p{^Is_Sc=	-SAMR}', "");
Expect(0, 2110, '\P{Is_Sc=	-SAMR}', "");
Expect(1, 2110, '\P{^Is_Sc=	-SAMR}', "");
Expect(0, 2111, '\p{Is_Sc=	-SAMR}', "");
Expect(1, 2111, '\p{^Is_Sc=	-SAMR}', "");
Expect(1, 2111, '\P{Is_Sc=	-SAMR}', "");
Expect(0, 2111, '\P{^Is_Sc=	-SAMR}', "");
Error('\p{Script=_ Old_SOUTH_ARABIAN/a/}');
Error('\P{Script=_ Old_SOUTH_ARABIAN/a/}');
Expect(1, 68223, '\p{Script: oldsoutharabian}', "");
Expect(0, 68223, '\p{^Script: oldsoutharabian}', "");
Expect(0, 68223, '\P{Script: oldsoutharabian}', "");
Expect(1, 68223, '\P{^Script: oldsoutharabian}', "");
Expect(0, 68224, '\p{Script: oldsoutharabian}', "");
Expect(1, 68224, '\p{^Script: oldsoutharabian}', "");
Expect(1, 68224, '\P{Script: oldsoutharabian}', "");
Expect(0, 68224, '\P{^Script: oldsoutharabian}', "");
Expect(1, 68223, '\p{Script=	OLD_South_Arabian}', "");
Expect(0, 68223, '\p{^Script=	OLD_South_Arabian}', "");
Expect(0, 68223, '\P{Script=	OLD_South_Arabian}', "");
Expect(1, 68223, '\P{^Script=	OLD_South_Arabian}', "");
Expect(0, 68224, '\p{Script=	OLD_South_Arabian}', "");
Expect(1, 68224, '\p{^Script=	OLD_South_Arabian}', "");
Expect(1, 68224, '\P{Script=	OLD_South_Arabian}', "");
Expect(0, 68224, '\P{^Script=	OLD_South_Arabian}', "");
Error('\p{Sc: 	 SARB/a/}');
Error('\P{Sc: 	 SARB/a/}');
Expect(1, 68223, '\p{Sc=sarb}', "");
Expect(0, 68223, '\p{^Sc=sarb}', "");
Expect(0, 68223, '\P{Sc=sarb}', "");
Expect(1, 68223, '\P{^Sc=sarb}', "");
Expect(0, 68224, '\p{Sc=sarb}', "");
Expect(1, 68224, '\p{^Sc=sarb}', "");
Expect(1, 68224, '\P{Sc=sarb}', "");
Expect(0, 68224, '\P{^Sc=sarb}', "");
Expect(1, 68223, '\p{Sc: -	sarb}', "");
Expect(0, 68223, '\p{^Sc: -	sarb}', "");
Expect(0, 68223, '\P{Sc: -	sarb}', "");
Expect(1, 68223, '\P{^Sc: -	sarb}', "");
Expect(0, 68224, '\p{Sc: -	sarb}', "");
Expect(1, 68224, '\p{^Sc: -	sarb}', "");
Expect(1, 68224, '\P{Sc: -	sarb}', "");
Expect(0, 68224, '\P{^Sc: -	sarb}', "");
Error('\p{Is_Script= 	Old_South_Arabian:=}');
Error('\P{Is_Script= 	Old_South_Arabian:=}');
Expect(1, 68223, '\p{Is_Script:	oldsoutharabian}', "");
Expect(0, 68223, '\p{^Is_Script:	oldsoutharabian}', "");
Expect(0, 68223, '\P{Is_Script:	oldsoutharabian}', "");
Expect(1, 68223, '\P{^Is_Script:	oldsoutharabian}', "");
Expect(0, 68224, '\p{Is_Script:	oldsoutharabian}', "");
Expect(1, 68224, '\p{^Is_Script:	oldsoutharabian}', "");
Expect(1, 68224, '\P{Is_Script:	oldsoutharabian}', "");
Expect(0, 68224, '\P{^Is_Script:	oldsoutharabian}', "");
Expect(1, 68223, '\p{Is_Script= Old_SOUTH_Arabian}', "");
Expect(0, 68223, '\p{^Is_Script= Old_SOUTH_Arabian}', "");
Expect(0, 68223, '\P{Is_Script= Old_SOUTH_Arabian}', "");
Expect(1, 68223, '\P{^Is_Script= Old_SOUTH_Arabian}', "");
Expect(0, 68224, '\p{Is_Script= Old_SOUTH_Arabian}', "");
Expect(1, 68224, '\p{^Is_Script= Old_SOUTH_Arabian}', "");
Expect(1, 68224, '\P{Is_Script= Old_SOUTH_Arabian}', "");
Expect(0, 68224, '\P{^Is_Script= Old_SOUTH_Arabian}', "");
Error('\p{Is_Sc::=_sarb}');
Error('\P{Is_Sc::=_sarb}');
Expect(1, 68223, '\p{Is_Sc=sarb}', "");
Expect(0, 68223, '\p{^Is_Sc=sarb}', "");
Expect(0, 68223, '\P{Is_Sc=sarb}', "");
Expect(1, 68223, '\P{^Is_Sc=sarb}', "");
Expect(0, 68224, '\p{Is_Sc=sarb}', "");
Expect(1, 68224, '\p{^Is_Sc=sarb}', "");
Expect(1, 68224, '\P{Is_Sc=sarb}', "");
Expect(0, 68224, '\P{^Is_Sc=sarb}', "");
Expect(1, 68223, '\p{Is_Sc= Sarb}', "");
Expect(0, 68223, '\p{^Is_Sc= Sarb}', "");
Expect(0, 68223, '\P{Is_Sc= Sarb}', "");
Expect(1, 68223, '\P{^Is_Sc= Sarb}', "");
Expect(0, 68224, '\p{Is_Sc= Sarb}', "");
Expect(1, 68224, '\p{^Is_Sc= Sarb}', "");
Expect(1, 68224, '\P{Is_Sc= Sarb}', "");
Expect(0, 68224, '\P{^Is_Sc= Sarb}', "");
Error('\p{Script=:= -saurashtra}');
Error('\P{Script=:= -saurashtra}');
Expect(1, 43225, '\p{Script:saurashtra}', "");
Expect(0, 43225, '\p{^Script:saurashtra}', "");
Expect(0, 43225, '\P{Script:saurashtra}', "");
Expect(1, 43225, '\P{^Script:saurashtra}', "");
Expect(0, 43226, '\p{Script:saurashtra}', "");
Expect(1, 43226, '\p{^Script:saurashtra}', "");
Expect(1, 43226, '\P{Script:saurashtra}', "");
Expect(0, 43226, '\P{^Script:saurashtra}', "");
Expect(1, 43225, '\p{Script=_SAURASHTRA}', "");
Expect(0, 43225, '\p{^Script=_SAURASHTRA}', "");
Expect(0, 43225, '\P{Script=_SAURASHTRA}', "");
Expect(1, 43225, '\P{^Script=_SAURASHTRA}', "");
Expect(0, 43226, '\p{Script=_SAURASHTRA}', "");
Expect(1, 43226, '\p{^Script=_SAURASHTRA}', "");
Expect(1, 43226, '\P{Script=_SAURASHTRA}', "");
Expect(0, 43226, '\P{^Script=_SAURASHTRA}', "");
Error('\p{Sc= :=SAUR}');
Error('\P{Sc= :=SAUR}');
Expect(1, 43225, '\p{Sc=saur}', "");
Expect(0, 43225, '\p{^Sc=saur}', "");
Expect(0, 43225, '\P{Sc=saur}', "");
Expect(1, 43225, '\P{^Sc=saur}', "");
Expect(0, 43226, '\p{Sc=saur}', "");
Expect(1, 43226, '\p{^Sc=saur}', "");
Expect(1, 43226, '\P{Sc=saur}', "");
Expect(0, 43226, '\P{^Sc=saur}', "");
Expect(1, 43225, '\p{Sc=		Saur}', "");
Expect(0, 43225, '\p{^Sc=		Saur}', "");
Expect(0, 43225, '\P{Sc=		Saur}', "");
Expect(1, 43225, '\P{^Sc=		Saur}', "");
Expect(0, 43226, '\p{Sc=		Saur}', "");
Expect(1, 43226, '\p{^Sc=		Saur}', "");
Expect(1, 43226, '\P{Sc=		Saur}', "");
Expect(0, 43226, '\P{^Sc=		Saur}', "");
Error('\p{Is_Script=-_SAURASHTRA:=}');
Error('\P{Is_Script=-_SAURASHTRA:=}');
Expect(1, 43225, '\p{Is_Script=saurashtra}', "");
Expect(0, 43225, '\p{^Is_Script=saurashtra}', "");
Expect(0, 43225, '\P{Is_Script=saurashtra}', "");
Expect(1, 43225, '\P{^Is_Script=saurashtra}', "");
Expect(0, 43226, '\p{Is_Script=saurashtra}', "");
Expect(1, 43226, '\p{^Is_Script=saurashtra}', "");
Expect(1, 43226, '\P{Is_Script=saurashtra}', "");
Expect(0, 43226, '\P{^Is_Script=saurashtra}', "");
Expect(1, 43225, '\p{Is_Script: 		Saurashtra}', "");
Expect(0, 43225, '\p{^Is_Script: 		Saurashtra}', "");
Expect(0, 43225, '\P{Is_Script: 		Saurashtra}', "");
Expect(1, 43225, '\P{^Is_Script: 		Saurashtra}', "");
Expect(0, 43226, '\p{Is_Script: 		Saurashtra}', "");
Expect(1, 43226, '\p{^Is_Script: 		Saurashtra}', "");
Expect(1, 43226, '\P{Is_Script: 		Saurashtra}', "");
Expect(0, 43226, '\P{^Is_Script: 		Saurashtra}', "");
Error('\p{Is_Sc=  Saur/a/}');
Error('\P{Is_Sc=  Saur/a/}');
Expect(1, 43225, '\p{Is_Sc=saur}', "");
Expect(0, 43225, '\p{^Is_Sc=saur}', "");
Expect(0, 43225, '\P{Is_Sc=saur}', "");
Expect(1, 43225, '\P{^Is_Sc=saur}', "");
Expect(0, 43226, '\p{Is_Sc=saur}', "");
Expect(1, 43226, '\p{^Is_Sc=saur}', "");
Expect(1, 43226, '\P{Is_Sc=saur}', "");
Expect(0, 43226, '\P{^Is_Sc=saur}', "");
Expect(1, 43225, '\p{Is_Sc= Saur}', "");
Expect(0, 43225, '\p{^Is_Sc= Saur}', "");
Expect(0, 43225, '\P{Is_Sc= Saur}', "");
Expect(1, 43225, '\P{^Is_Sc= Saur}', "");
Expect(0, 43226, '\p{Is_Sc= Saur}', "");
Expect(1, 43226, '\p{^Is_Sc= Saur}', "");
Expect(1, 43226, '\P{Is_Sc= Saur}', "");
Expect(0, 43226, '\P{^Is_Sc= Saur}', "");
Error('\p{Script=-:=signwriting}');
Error('\P{Script=-:=signwriting}');
Expect(1, 121519, '\p{Script=signwriting}', "");
Expect(0, 121519, '\p{^Script=signwriting}', "");
Expect(0, 121519, '\P{Script=signwriting}', "");
Expect(1, 121519, '\P{^Script=signwriting}', "");
Expect(0, 121520, '\p{Script=signwriting}', "");
Expect(1, 121520, '\p{^Script=signwriting}', "");
Expect(1, 121520, '\P{Script=signwriting}', "");
Expect(0, 121520, '\P{^Script=signwriting}', "");
Expect(1, 121519, '\p{Script=_ SignWriting}', "");
Expect(0, 121519, '\p{^Script=_ SignWriting}', "");
Expect(0, 121519, '\P{Script=_ SignWriting}', "");
Expect(1, 121519, '\P{^Script=_ SignWriting}', "");
Expect(0, 121520, '\p{Script=_ SignWriting}', "");
Expect(1, 121520, '\p{^Script=_ SignWriting}', "");
Expect(1, 121520, '\P{Script=_ SignWriting}', "");
Expect(0, 121520, '\P{^Script=_ SignWriting}', "");
Error('\p{Sc=_	Sgnw/a/}');
Error('\P{Sc=_	Sgnw/a/}');
Expect(1, 121519, '\p{Sc=sgnw}', "");
Expect(0, 121519, '\p{^Sc=sgnw}', "");
Expect(0, 121519, '\P{Sc=sgnw}', "");
Expect(1, 121519, '\P{^Sc=sgnw}', "");
Expect(0, 121520, '\p{Sc=sgnw}', "");
Expect(1, 121520, '\p{^Sc=sgnw}', "");
Expect(1, 121520, '\P{Sc=sgnw}', "");
Expect(0, 121520, '\P{^Sc=sgnw}', "");
Expect(1, 121519, '\p{Sc=_ Sgnw}', "");
Expect(0, 121519, '\p{^Sc=_ Sgnw}', "");
Expect(0, 121519, '\P{Sc=_ Sgnw}', "");
Expect(1, 121519, '\P{^Sc=_ Sgnw}', "");
Expect(0, 121520, '\p{Sc=_ Sgnw}', "");
Expect(1, 121520, '\p{^Sc=_ Sgnw}', "");
Expect(1, 121520, '\P{Sc=_ Sgnw}', "");
Expect(0, 121520, '\P{^Sc=_ Sgnw}', "");
Error('\p{Is_Script=-/a/SignWriting}');
Error('\P{Is_Script=-/a/SignWriting}');
Expect(1, 121519, '\p{Is_Script=signwriting}', "");
Expect(0, 121519, '\p{^Is_Script=signwriting}', "");
Expect(0, 121519, '\P{Is_Script=signwriting}', "");
Expect(1, 121519, '\P{^Is_Script=signwriting}', "");
Expect(0, 121520, '\p{Is_Script=signwriting}', "");
Expect(1, 121520, '\p{^Is_Script=signwriting}', "");
Expect(1, 121520, '\P{Is_Script=signwriting}', "");
Expect(0, 121520, '\P{^Is_Script=signwriting}', "");
Expect(1, 121519, '\p{Is_Script= -SIGNWRITING}', "");
Expect(0, 121519, '\p{^Is_Script= -SIGNWRITING}', "");
Expect(0, 121519, '\P{Is_Script= -SIGNWRITING}', "");
Expect(1, 121519, '\P{^Is_Script= -SIGNWRITING}', "");
Expect(0, 121520, '\p{Is_Script= -SIGNWRITING}', "");
Expect(1, 121520, '\p{^Is_Script= -SIGNWRITING}', "");
Expect(1, 121520, '\P{Is_Script= -SIGNWRITING}', "");
Expect(0, 121520, '\P{^Is_Script= -SIGNWRITING}', "");
Error('\p{Is_Sc= SGNW/a/}');
Error('\P{Is_Sc= SGNW/a/}');
Expect(1, 121519, '\p{Is_Sc=sgnw}', "");
Expect(0, 121519, '\p{^Is_Sc=sgnw}', "");
Expect(0, 121519, '\P{Is_Sc=sgnw}', "");
Expect(1, 121519, '\P{^Is_Sc=sgnw}', "");
Expect(0, 121520, '\p{Is_Sc=sgnw}', "");
Expect(1, 121520, '\p{^Is_Sc=sgnw}', "");
Expect(1, 121520, '\P{Is_Sc=sgnw}', "");
Expect(0, 121520, '\P{^Is_Sc=sgnw}', "");
Expect(1, 121519, '\p{Is_Sc=--sgnw}', "");
Expect(0, 121519, '\p{^Is_Sc=--sgnw}', "");
Expect(0, 121519, '\P{Is_Sc=--sgnw}', "");
Expect(1, 121519, '\P{^Is_Sc=--sgnw}', "");
Expect(0, 121520, '\p{Is_Sc=--sgnw}', "");
Expect(1, 121520, '\p{^Is_Sc=--sgnw}', "");
Expect(1, 121520, '\P{Is_Sc=--sgnw}', "");
Expect(0, 121520, '\P{^Is_Sc=--sgnw}', "");
Error('\p{Script=_/a/Shavian}');
Error('\P{Script=_/a/Shavian}');
Expect(1, 66687, '\p{Script=shavian}', "");
Expect(0, 66687, '\p{^Script=shavian}', "");
Expect(0, 66687, '\P{Script=shavian}', "");
Expect(1, 66687, '\P{^Script=shavian}', "");
Expect(0, 66688, '\p{Script=shavian}', "");
Expect(1, 66688, '\p{^Script=shavian}', "");
Expect(1, 66688, '\P{Script=shavian}', "");
Expect(0, 66688, '\P{^Script=shavian}', "");
Expect(1, 66687, '\p{Script=__Shavian}', "");
Expect(0, 66687, '\p{^Script=__Shavian}', "");
Expect(0, 66687, '\P{Script=__Shavian}', "");
Expect(1, 66687, '\P{^Script=__Shavian}', "");
Expect(0, 66688, '\p{Script=__Shavian}', "");
Expect(1, 66688, '\p{^Script=__Shavian}', "");
Expect(1, 66688, '\P{Script=__Shavian}', "");
Expect(0, 66688, '\P{^Script=__Shavian}', "");
Error('\p{Sc=:=SHAW}');
Error('\P{Sc=:=SHAW}');
Expect(1, 66687, '\p{Sc=shaw}', "");
Expect(0, 66687, '\p{^Sc=shaw}', "");
Expect(0, 66687, '\P{Sc=shaw}', "");
Expect(1, 66687, '\P{^Sc=shaw}', "");
Expect(0, 66688, '\p{Sc=shaw}', "");
Expect(1, 66688, '\p{^Sc=shaw}', "");
Expect(1, 66688, '\P{Sc=shaw}', "");
Expect(0, 66688, '\P{^Sc=shaw}', "");
Expect(1, 66687, '\p{Sc=-_Shaw}', "");
Expect(0, 66687, '\p{^Sc=-_Shaw}', "");
Expect(0, 66687, '\P{Sc=-_Shaw}', "");
Expect(1, 66687, '\P{^Sc=-_Shaw}', "");
Expect(0, 66688, '\p{Sc=-_Shaw}', "");
Expect(1, 66688, '\p{^Sc=-_Shaw}', "");
Expect(1, 66688, '\P{Sc=-_Shaw}', "");
Expect(0, 66688, '\P{^Sc=-_Shaw}', "");
Error('\p{Is_Script=/a/_	Shavian}');
Error('\P{Is_Script=/a/_	Shavian}');
Expect(1, 66687, '\p{Is_Script: shavian}', "");
Expect(0, 66687, '\p{^Is_Script: shavian}', "");
Expect(0, 66687, '\P{Is_Script: shavian}', "");
Expect(1, 66687, '\P{^Is_Script: shavian}', "");
Expect(0, 66688, '\p{Is_Script: shavian}', "");
Expect(1, 66688, '\p{^Is_Script: shavian}', "");
Expect(1, 66688, '\P{Is_Script: shavian}', "");
Expect(0, 66688, '\P{^Is_Script: shavian}', "");
Expect(1, 66687, '\p{Is_Script:   	SHAVIAN}', "");
Expect(0, 66687, '\p{^Is_Script:   	SHAVIAN}', "");
Expect(0, 66687, '\P{Is_Script:   	SHAVIAN}', "");
Expect(1, 66687, '\P{^Is_Script:   	SHAVIAN}', "");
Expect(0, 66688, '\p{Is_Script:   	SHAVIAN}', "");
Expect(1, 66688, '\p{^Is_Script:   	SHAVIAN}', "");
Expect(1, 66688, '\P{Is_Script:   	SHAVIAN}', "");
Expect(0, 66688, '\P{^Is_Script:   	SHAVIAN}', "");
Error('\p{Is_Sc= _Shaw/a/}');
Error('\P{Is_Sc= _Shaw/a/}');
Expect(1, 66687, '\p{Is_Sc=shaw}', "");
Expect(0, 66687, '\p{^Is_Sc=shaw}', "");
Expect(0, 66687, '\P{Is_Sc=shaw}', "");
Expect(1, 66687, '\P{^Is_Sc=shaw}', "");
Expect(0, 66688, '\p{Is_Sc=shaw}', "");
Expect(1, 66688, '\p{^Is_Sc=shaw}', "");
Expect(1, 66688, '\P{Is_Sc=shaw}', "");
Expect(0, 66688, '\P{^Is_Sc=shaw}', "");
Expect(1, 66687, '\p{Is_Sc= Shaw}', "");
Expect(0, 66687, '\p{^Is_Sc= Shaw}', "");
Expect(0, 66687, '\P{Is_Sc= Shaw}', "");
Expect(1, 66687, '\P{^Is_Sc= Shaw}', "");
Expect(0, 66688, '\p{Is_Sc= Shaw}', "");
Expect(1, 66688, '\p{^Is_Sc= Shaw}', "");
Expect(1, 66688, '\P{Is_Sc= Shaw}', "");
Expect(0, 66688, '\P{^Is_Sc= Shaw}', "");
Error('\p{Script=_Sharada/a/}');
Error('\P{Script=_Sharada/a/}');
Expect(1, 70111, '\p{Script=sharada}', "");
Expect(0, 70111, '\p{^Script=sharada}', "");
Expect(0, 70111, '\P{Script=sharada}', "");
Expect(1, 70111, '\P{^Script=sharada}', "");
Expect(0, 70112, '\p{Script=sharada}', "");
Expect(1, 70112, '\p{^Script=sharada}', "");
Expect(1, 70112, '\P{Script=sharada}', "");
Expect(0, 70112, '\P{^Script=sharada}', "");
Expect(1, 70111, '\p{Script=-	Sharada}', "");
Expect(0, 70111, '\p{^Script=-	Sharada}', "");
Expect(0, 70111, '\P{Script=-	Sharada}', "");
Expect(1, 70111, '\P{^Script=-	Sharada}', "");
Expect(0, 70112, '\p{Script=-	Sharada}', "");
Expect(1, 70112, '\p{^Script=-	Sharada}', "");
Expect(1, 70112, '\P{Script=-	Sharada}', "");
Expect(0, 70112, '\P{^Script=-	Sharada}', "");
Error('\p{Sc=_/a/SHRD}');
Error('\P{Sc=_/a/SHRD}');
Expect(1, 70111, '\p{Sc=shrd}', "");
Expect(0, 70111, '\p{^Sc=shrd}', "");
Expect(0, 70111, '\P{Sc=shrd}', "");
Expect(1, 70111, '\P{^Sc=shrd}', "");
Expect(0, 70112, '\p{Sc=shrd}', "");
Expect(1, 70112, '\p{^Sc=shrd}', "");
Expect(1, 70112, '\P{Sc=shrd}', "");
Expect(0, 70112, '\P{^Sc=shrd}', "");
Expect(1, 70111, '\p{Sc=- Shrd}', "");
Expect(0, 70111, '\p{^Sc=- Shrd}', "");
Expect(0, 70111, '\P{Sc=- Shrd}', "");
Expect(1, 70111, '\P{^Sc=- Shrd}', "");
Expect(0, 70112, '\p{Sc=- Shrd}', "");
Expect(1, 70112, '\p{^Sc=- Shrd}', "");
Expect(1, 70112, '\P{Sc=- Shrd}', "");
Expect(0, 70112, '\P{^Sc=- Shrd}', "");
Error('\p{Is_Script=_Sharada/a/}');
Error('\P{Is_Script=_Sharada/a/}');
Expect(1, 70111, '\p{Is_Script=sharada}', "");
Expect(0, 70111, '\p{^Is_Script=sharada}', "");
Expect(0, 70111, '\P{Is_Script=sharada}', "");
Expect(1, 70111, '\P{^Is_Script=sharada}', "");
Expect(0, 70112, '\p{Is_Script=sharada}', "");
Expect(1, 70112, '\p{^Is_Script=sharada}', "");
Expect(1, 70112, '\P{Is_Script=sharada}', "");
Expect(0, 70112, '\P{^Is_Script=sharada}', "");
Expect(1, 70111, '\p{Is_Script= SHARADA}', "");
Expect(0, 70111, '\p{^Is_Script= SHARADA}', "");
Expect(0, 70111, '\P{Is_Script= SHARADA}', "");
Expect(1, 70111, '\P{^Is_Script= SHARADA}', "");
Expect(0, 70112, '\p{Is_Script= SHARADA}', "");
Expect(1, 70112, '\p{^Is_Script= SHARADA}', "");
Expect(1, 70112, '\P{Is_Script= SHARADA}', "");
Expect(0, 70112, '\P{^Is_Script= SHARADA}', "");
Error('\p{Is_Sc=/a/ 	SHRD}');
Error('\P{Is_Sc=/a/ 	SHRD}');
Expect(1, 70111, '\p{Is_Sc=shrd}', "");
Expect(0, 70111, '\p{^Is_Sc=shrd}', "");
Expect(0, 70111, '\P{Is_Sc=shrd}', "");
Expect(1, 70111, '\P{^Is_Sc=shrd}', "");
Expect(0, 70112, '\p{Is_Sc=shrd}', "");
Expect(1, 70112, '\p{^Is_Sc=shrd}', "");
Expect(1, 70112, '\P{Is_Sc=shrd}', "");
Expect(0, 70112, '\P{^Is_Sc=shrd}', "");
Expect(1, 70111, '\p{Is_Sc=	_shrd}', "");
Expect(0, 70111, '\p{^Is_Sc=	_shrd}', "");
Expect(0, 70111, '\P{Is_Sc=	_shrd}', "");
Expect(1, 70111, '\P{^Is_Sc=	_shrd}', "");
Expect(0, 70112, '\p{Is_Sc=	_shrd}', "");
Expect(1, 70112, '\p{^Is_Sc=	_shrd}', "");
Expect(1, 70112, '\P{Is_Sc=	_shrd}', "");
Expect(0, 70112, '\P{^Is_Sc=	_shrd}', "");
Error('\p{Script=/a/	_SIDDHAM}');
Error('\P{Script=/a/	_SIDDHAM}');
Expect(1, 71133, '\p{Script=siddham}', "");
Expect(0, 71133, '\p{^Script=siddham}', "");
Expect(0, 71133, '\P{Script=siddham}', "");
Expect(1, 71133, '\P{^Script=siddham}', "");
Expect(0, 71134, '\p{Script=siddham}', "");
Expect(1, 71134, '\p{^Script=siddham}', "");
Expect(1, 71134, '\P{Script=siddham}', "");
Expect(0, 71134, '\P{^Script=siddham}', "");
Expect(1, 71133, '\p{Script:   	siddham}', "");
Expect(0, 71133, '\p{^Script:   	siddham}', "");
Expect(0, 71133, '\P{Script:   	siddham}', "");
Expect(1, 71133, '\P{^Script:   	siddham}', "");
Expect(0, 71134, '\p{Script:   	siddham}', "");
Expect(1, 71134, '\p{^Script:   	siddham}', "");
Expect(1, 71134, '\P{Script:   	siddham}', "");
Expect(0, 71134, '\P{^Script:   	siddham}', "");
Error('\p{Sc=-/a/Sidd}');
Error('\P{Sc=-/a/Sidd}');
Expect(1, 71133, '\p{Sc=sidd}', "");
Expect(0, 71133, '\p{^Sc=sidd}', "");
Expect(0, 71133, '\P{Sc=sidd}', "");
Expect(1, 71133, '\P{^Sc=sidd}', "");
Expect(0, 71134, '\p{Sc=sidd}', "");
Expect(1, 71134, '\p{^Sc=sidd}', "");
Expect(1, 71134, '\P{Sc=sidd}', "");
Expect(0, 71134, '\P{^Sc=sidd}', "");
Expect(1, 71133, '\p{Sc=-_Sidd}', "");
Expect(0, 71133, '\p{^Sc=-_Sidd}', "");
Expect(0, 71133, '\P{Sc=-_Sidd}', "");
Expect(1, 71133, '\P{^Sc=-_Sidd}', "");
Expect(0, 71134, '\p{Sc=-_Sidd}', "");
Expect(1, 71134, '\p{^Sc=-_Sidd}', "");
Expect(1, 71134, '\P{Sc=-_Sidd}', "");
Expect(0, 71134, '\P{^Sc=-_Sidd}', "");
Error('\p{Is_Script=:= _siddham}');
Error('\P{Is_Script=:= _siddham}');
Expect(1, 71133, '\p{Is_Script=siddham}', "");
Expect(0, 71133, '\p{^Is_Script=siddham}', "");
Expect(0, 71133, '\P{Is_Script=siddham}', "");
Expect(1, 71133, '\P{^Is_Script=siddham}', "");
Expect(0, 71134, '\p{Is_Script=siddham}', "");
Expect(1, 71134, '\p{^Is_Script=siddham}', "");
Expect(1, 71134, '\P{Is_Script=siddham}', "");
Expect(0, 71134, '\P{^Is_Script=siddham}', "");
Expect(1, 71133, '\p{Is_Script= SIDDHAM}', "");
Expect(0, 71133, '\p{^Is_Script= SIDDHAM}', "");
Expect(0, 71133, '\P{Is_Script= SIDDHAM}', "");
Expect(1, 71133, '\P{^Is_Script= SIDDHAM}', "");
Expect(0, 71134, '\p{Is_Script= SIDDHAM}', "");
Expect(1, 71134, '\p{^Is_Script= SIDDHAM}', "");
Expect(1, 71134, '\P{Is_Script= SIDDHAM}', "");
Expect(0, 71134, '\P{^Is_Script= SIDDHAM}', "");
Error('\p{Is_Sc=-:=sidd}');
Error('\P{Is_Sc=-:=sidd}');
Expect(1, 71133, '\p{Is_Sc:sidd}', "");
Expect(0, 71133, '\p{^Is_Sc:sidd}', "");
Expect(0, 71133, '\P{Is_Sc:sidd}', "");
Expect(1, 71133, '\P{^Is_Sc:sidd}', "");
Expect(0, 71134, '\p{Is_Sc:sidd}', "");
Expect(1, 71134, '\p{^Is_Sc:sidd}', "");
Expect(1, 71134, '\P{Is_Sc:sidd}', "");
Expect(0, 71134, '\P{^Is_Sc:sidd}', "");
Expect(1, 71133, '\p{Is_Sc=	_Sidd}', "");
Expect(0, 71133, '\p{^Is_Sc=	_Sidd}', "");
Expect(0, 71133, '\P{Is_Sc=	_Sidd}', "");
Expect(1, 71133, '\P{^Is_Sc=	_Sidd}', "");
Expect(0, 71134, '\p{Is_Sc=	_Sidd}', "");
Expect(1, 71134, '\p{^Is_Sc=	_Sidd}', "");
Expect(1, 71134, '\P{Is_Sc=	_Sidd}', "");
Expect(0, 71134, '\P{^Is_Sc=	_Sidd}', "");
Error('\p{Script:--Khudawadi:=}');
Error('\P{Script:--Khudawadi:=}');
Expect(1, 70393, '\p{Script=khudawadi}', "");
Expect(0, 70393, '\p{^Script=khudawadi}', "");
Expect(0, 70393, '\P{Script=khudawadi}', "");
Expect(1, 70393, '\P{^Script=khudawadi}', "");
Expect(0, 70394, '\p{Script=khudawadi}', "");
Expect(1, 70394, '\p{^Script=khudawadi}', "");
Expect(1, 70394, '\P{Script=khudawadi}', "");
Expect(0, 70394, '\P{^Script=khudawadi}', "");
Expect(1, 70393, '\p{Script=-_Khudawadi}', "");
Expect(0, 70393, '\p{^Script=-_Khudawadi}', "");
Expect(0, 70393, '\P{Script=-_Khudawadi}', "");
Expect(1, 70393, '\P{^Script=-_Khudawadi}', "");
Expect(0, 70394, '\p{Script=-_Khudawadi}', "");
Expect(1, 70394, '\p{^Script=-_Khudawadi}', "");
Expect(1, 70394, '\P{Script=-_Khudawadi}', "");
Expect(0, 70394, '\P{^Script=-_Khudawadi}', "");
Error('\p{Sc=	:=SIND}');
Error('\P{Sc=	:=SIND}');
Expect(1, 70393, '\p{Sc=sind}', "");
Expect(0, 70393, '\p{^Sc=sind}', "");
Expect(0, 70393, '\P{Sc=sind}', "");
Expect(1, 70393, '\P{^Sc=sind}', "");
Expect(0, 70394, '\p{Sc=sind}', "");
Expect(1, 70394, '\p{^Sc=sind}', "");
Expect(1, 70394, '\P{Sc=sind}', "");
Expect(0, 70394, '\P{^Sc=sind}', "");
Expect(1, 70393, '\p{Sc=__Sind}', "");
Expect(0, 70393, '\p{^Sc=__Sind}', "");
Expect(0, 70393, '\P{Sc=__Sind}', "");
Expect(1, 70393, '\P{^Sc=__Sind}', "");
Expect(0, 70394, '\p{Sc=__Sind}', "");
Expect(1, 70394, '\p{^Sc=__Sind}', "");
Expect(1, 70394, '\P{Sc=__Sind}', "");
Expect(0, 70394, '\P{^Sc=__Sind}', "");
Error('\p{Is_Script:   /a/KHUDAWADI}');
Error('\P{Is_Script:   /a/KHUDAWADI}');
Expect(1, 70393, '\p{Is_Script=khudawadi}', "");
Expect(0, 70393, '\p{^Is_Script=khudawadi}', "");
Expect(0, 70393, '\P{Is_Script=khudawadi}', "");
Expect(1, 70393, '\P{^Is_Script=khudawadi}', "");
Expect(0, 70394, '\p{Is_Script=khudawadi}', "");
Expect(1, 70394, '\p{^Is_Script=khudawadi}', "");
Expect(1, 70394, '\P{Is_Script=khudawadi}', "");
Expect(0, 70394, '\P{^Is_Script=khudawadi}', "");
Expect(1, 70393, '\p{Is_Script=	Khudawadi}', "");
Expect(0, 70393, '\p{^Is_Script=	Khudawadi}', "");
Expect(0, 70393, '\P{Is_Script=	Khudawadi}', "");
Expect(1, 70393, '\P{^Is_Script=	Khudawadi}', "");
Expect(0, 70394, '\p{Is_Script=	Khudawadi}', "");
Expect(1, 70394, '\p{^Is_Script=	Khudawadi}', "");
Expect(1, 70394, '\P{Is_Script=	Khudawadi}', "");
Expect(0, 70394, '\P{^Is_Script=	Khudawadi}', "");
Error('\p{Is_Sc=/a/ 	SIND}');
Error('\P{Is_Sc=/a/ 	SIND}');
Expect(1, 70393, '\p{Is_Sc=sind}', "");
Expect(0, 70393, '\p{^Is_Sc=sind}', "");
Expect(0, 70393, '\P{Is_Sc=sind}', "");
Expect(1, 70393, '\P{^Is_Sc=sind}', "");
Expect(0, 70394, '\p{Is_Sc=sind}', "");
Expect(1, 70394, '\p{^Is_Sc=sind}', "");
Expect(1, 70394, '\P{Is_Sc=sind}', "");
Expect(0, 70394, '\P{^Is_Sc=sind}', "");
Expect(1, 70393, '\p{Is_Sc=_	Sind}', "");
Expect(0, 70393, '\p{^Is_Sc=_	Sind}', "");
Expect(0, 70393, '\P{Is_Sc=_	Sind}', "");
Expect(1, 70393, '\P{^Is_Sc=_	Sind}', "");
Expect(0, 70394, '\p{Is_Sc=_	Sind}', "");
Expect(1, 70394, '\p{^Is_Sc=_	Sind}', "");
Expect(1, 70394, '\P{Is_Sc=_	Sind}', "");
Expect(0, 70394, '\P{^Is_Sc=_	Sind}', "");
Error('\p{Script: :=Sinhala}');
Error('\P{Script: :=Sinhala}');
Expect(1, 70132, '\p{Script=sinhala}', "");
Expect(0, 70132, '\p{^Script=sinhala}', "");
Expect(0, 70132, '\P{Script=sinhala}', "");
Expect(1, 70132, '\P{^Script=sinhala}', "");
Expect(0, 70133, '\p{Script=sinhala}', "");
Expect(1, 70133, '\p{^Script=sinhala}', "");
Expect(1, 70133, '\P{Script=sinhala}', "");
Expect(0, 70133, '\P{^Script=sinhala}', "");
Expect(1, 70132, '\p{Script= _Sinhala}', "");
Expect(0, 70132, '\p{^Script= _Sinhala}', "");
Expect(0, 70132, '\P{Script= _Sinhala}', "");
Expect(1, 70132, '\P{^Script= _Sinhala}', "");
Expect(0, 70133, '\p{Script= _Sinhala}', "");
Expect(1, 70133, '\p{^Script= _Sinhala}', "");
Expect(1, 70133, '\P{Script= _Sinhala}', "");
Expect(0, 70133, '\P{^Script= _Sinhala}', "");
Error('\p{Sc= 	sinh/a/}');
Error('\P{Sc= 	sinh/a/}');
Expect(1, 70132, '\p{Sc=sinh}', "");
Expect(0, 70132, '\p{^Sc=sinh}', "");
Expect(0, 70132, '\P{Sc=sinh}', "");
Expect(1, 70132, '\P{^Sc=sinh}', "");
Expect(0, 70133, '\p{Sc=sinh}', "");
Expect(1, 70133, '\p{^Sc=sinh}', "");
Expect(1, 70133, '\P{Sc=sinh}', "");
Expect(0, 70133, '\P{^Sc=sinh}', "");
Expect(1, 70132, '\p{Sc= Sinh}', "");
Expect(0, 70132, '\p{^Sc= Sinh}', "");
Expect(0, 70132, '\P{Sc= Sinh}', "");
Expect(1, 70132, '\P{^Sc= Sinh}', "");
Expect(0, 70133, '\p{Sc= Sinh}', "");
Expect(1, 70133, '\p{^Sc= Sinh}', "");
Expect(1, 70133, '\P{Sc= Sinh}', "");
Expect(0, 70133, '\P{^Sc= Sinh}', "");
Error('\p{Is_Script=	/a/SINHALA}');
Error('\P{Is_Script=	/a/SINHALA}');
Expect(1, 70132, '\p{Is_Script=sinhala}', "");
Expect(0, 70132, '\p{^Is_Script=sinhala}', "");
Expect(0, 70132, '\P{Is_Script=sinhala}', "");
Expect(1, 70132, '\P{^Is_Script=sinhala}', "");
Expect(0, 70133, '\p{Is_Script=sinhala}', "");
Expect(1, 70133, '\p{^Is_Script=sinhala}', "");
Expect(1, 70133, '\P{Is_Script=sinhala}', "");
Expect(0, 70133, '\P{^Is_Script=sinhala}', "");
Expect(1, 70132, '\p{Is_Script=__sinhala}', "");
Expect(0, 70132, '\p{^Is_Script=__sinhala}', "");
Expect(0, 70132, '\P{Is_Script=__sinhala}', "");
Expect(1, 70132, '\P{^Is_Script=__sinhala}', "");
Expect(0, 70133, '\p{Is_Script=__sinhala}', "");
Expect(1, 70133, '\p{^Is_Script=__sinhala}', "");
Expect(1, 70133, '\P{Is_Script=__sinhala}', "");
Expect(0, 70133, '\P{^Is_Script=__sinhala}', "");
Error('\p{Is_Sc=/a/ Sinh}');
Error('\P{Is_Sc=/a/ Sinh}');
Expect(1, 70132, '\p{Is_Sc=sinh}', "");
Expect(0, 70132, '\p{^Is_Sc=sinh}', "");
Expect(0, 70132, '\P{Is_Sc=sinh}', "");
Expect(1, 70132, '\P{^Is_Sc=sinh}', "");
Expect(0, 70133, '\p{Is_Sc=sinh}', "");
Expect(1, 70133, '\p{^Is_Sc=sinh}', "");
Expect(1, 70133, '\P{Is_Sc=sinh}', "");
Expect(0, 70133, '\P{^Is_Sc=sinh}', "");
Expect(1, 70132, '\p{Is_Sc=- Sinh}', "");
Expect(0, 70132, '\p{^Is_Sc=- Sinh}', "");
Expect(0, 70132, '\P{Is_Sc=- Sinh}', "");
Expect(1, 70132, '\P{^Is_Sc=- Sinh}', "");
Expect(0, 70133, '\p{Is_Sc=- Sinh}', "");
Expect(1, 70133, '\p{^Is_Sc=- Sinh}', "");
Expect(1, 70133, '\P{Is_Sc=- Sinh}', "");
Expect(0, 70133, '\P{^Is_Sc=- Sinh}', "");
Error('\p{Script=:=  Sora_Sompeng}');
Error('\P{Script=:=  Sora_Sompeng}');
Expect(1, 69881, '\p{Script=sorasompeng}', "");
Expect(0, 69881, '\p{^Script=sorasompeng}', "");
Expect(0, 69881, '\P{Script=sorasompeng}', "");
Expect(1, 69881, '\P{^Script=sorasompeng}', "");
Expect(0, 69882, '\p{Script=sorasompeng}', "");
Expect(1, 69882, '\p{^Script=sorasompeng}', "");
Expect(1, 69882, '\P{Script=sorasompeng}', "");
Expect(0, 69882, '\P{^Script=sorasompeng}', "");
Expect(1, 69881, '\p{Script= _Sora_Sompeng}', "");
Expect(0, 69881, '\p{^Script= _Sora_Sompeng}', "");
Expect(0, 69881, '\P{Script= _Sora_Sompeng}', "");
Expect(1, 69881, '\P{^Script= _Sora_Sompeng}', "");
Expect(0, 69882, '\p{Script= _Sora_Sompeng}', "");
Expect(1, 69882, '\p{^Script= _Sora_Sompeng}', "");
Expect(1, 69882, '\P{Script= _Sora_Sompeng}', "");
Expect(0, 69882, '\P{^Script= _Sora_Sompeng}', "");
Error('\p{Sc=_/a/Sora}');
Error('\P{Sc=_/a/Sora}');
Expect(1, 69881, '\p{Sc=sora}', "");
Expect(0, 69881, '\p{^Sc=sora}', "");
Expect(0, 69881, '\P{Sc=sora}', "");
Expect(1, 69881, '\P{^Sc=sora}', "");
Expect(0, 69882, '\p{Sc=sora}', "");
Expect(1, 69882, '\p{^Sc=sora}', "");
Expect(1, 69882, '\P{Sc=sora}', "");
Expect(0, 69882, '\P{^Sc=sora}', "");
Expect(1, 69881, '\p{Sc=_-Sora}', "");
Expect(0, 69881, '\p{^Sc=_-Sora}', "");
Expect(0, 69881, '\P{Sc=_-Sora}', "");
Expect(1, 69881, '\P{^Sc=_-Sora}', "");
Expect(0, 69882, '\p{Sc=_-Sora}', "");
Expect(1, 69882, '\p{^Sc=_-Sora}', "");
Expect(1, 69882, '\P{Sc=_-Sora}', "");
Expect(0, 69882, '\P{^Sc=_-Sora}', "");
Error('\p{Is_Script:--Sora_Sompeng/a/}');
Error('\P{Is_Script:--Sora_Sompeng/a/}');
Expect(1, 69881, '\p{Is_Script=sorasompeng}', "");
Expect(0, 69881, '\p{^Is_Script=sorasompeng}', "");
Expect(0, 69881, '\P{Is_Script=sorasompeng}', "");
Expect(1, 69881, '\P{^Is_Script=sorasompeng}', "");
Expect(0, 69882, '\p{Is_Script=sorasompeng}', "");
Expect(1, 69882, '\p{^Is_Script=sorasompeng}', "");
Expect(1, 69882, '\P{Is_Script=sorasompeng}', "");
Expect(0, 69882, '\P{^Is_Script=sorasompeng}', "");
Expect(1, 69881, '\p{Is_Script=	SORA_sompeng}', "");
Expect(0, 69881, '\p{^Is_Script=	SORA_sompeng}', "");
Expect(0, 69881, '\P{Is_Script=	SORA_sompeng}', "");
Expect(1, 69881, '\P{^Is_Script=	SORA_sompeng}', "");
Expect(0, 69882, '\p{Is_Script=	SORA_sompeng}', "");
Expect(1, 69882, '\p{^Is_Script=	SORA_sompeng}', "");
Expect(1, 69882, '\P{Is_Script=	SORA_sompeng}', "");
Expect(0, 69882, '\P{^Is_Script=	SORA_sompeng}', "");
Error('\p{Is_Sc=_:=Sora}');
Error('\P{Is_Sc=_:=Sora}');
Expect(1, 69881, '\p{Is_Sc=sora}', "");
Expect(0, 69881, '\p{^Is_Sc=sora}', "");
Expect(0, 69881, '\P{Is_Sc=sora}', "");
Expect(1, 69881, '\P{^Is_Sc=sora}', "");
Expect(0, 69882, '\p{Is_Sc=sora}', "");
Expect(1, 69882, '\p{^Is_Sc=sora}', "");
Expect(1, 69882, '\P{Is_Sc=sora}', "");
Expect(0, 69882, '\P{^Is_Sc=sora}', "");
Expect(1, 69881, '\p{Is_Sc:	__Sora}', "");
Expect(0, 69881, '\p{^Is_Sc:	__Sora}', "");
Expect(0, 69881, '\P{Is_Sc:	__Sora}', "");
Expect(1, 69881, '\P{^Is_Sc:	__Sora}', "");
Expect(0, 69882, '\p{Is_Sc:	__Sora}', "");
Expect(1, 69882, '\p{^Is_Sc:	__Sora}', "");
Expect(1, 69882, '\P{Is_Sc:	__Sora}', "");
Expect(0, 69882, '\P{^Is_Sc:	__Sora}', "");
Error('\p{Script: 	/a/sundanese}');
Error('\P{Script: 	/a/sundanese}');
Expect(1, 7367, '\p{Script=sundanese}', "");
Expect(0, 7367, '\p{^Script=sundanese}', "");
Expect(0, 7367, '\P{Script=sundanese}', "");
Expect(1, 7367, '\P{^Script=sundanese}', "");
Expect(0, 7368, '\p{Script=sundanese}', "");
Expect(1, 7368, '\p{^Script=sundanese}', "");
Expect(1, 7368, '\P{Script=sundanese}', "");
Expect(0, 7368, '\P{^Script=sundanese}', "");
Expect(1, 7367, '\p{Script=	-sundanese}', "");
Expect(0, 7367, '\p{^Script=	-sundanese}', "");
Expect(0, 7367, '\P{Script=	-sundanese}', "");
Expect(1, 7367, '\P{^Script=	-sundanese}', "");
Expect(0, 7368, '\p{Script=	-sundanese}', "");
Expect(1, 7368, '\p{^Script=	-sundanese}', "");
Expect(1, 7368, '\P{Script=	-sundanese}', "");
Expect(0, 7368, '\P{^Script=	-sundanese}', "");
Error('\p{Sc:   /a/ SUND}');
Error('\P{Sc:   /a/ SUND}');
Expect(1, 7367, '\p{Sc=sund}', "");
Expect(0, 7367, '\p{^Sc=sund}', "");
Expect(0, 7367, '\P{Sc=sund}', "");
Expect(1, 7367, '\P{^Sc=sund}', "");
Expect(0, 7368, '\p{Sc=sund}', "");
Expect(1, 7368, '\p{^Sc=sund}', "");
Expect(1, 7368, '\P{Sc=sund}', "");
Expect(0, 7368, '\P{^Sc=sund}', "");
Expect(1, 7367, '\p{Sc=-sund}', "");
Expect(0, 7367, '\p{^Sc=-sund}', "");
Expect(0, 7367, '\P{Sc=-sund}', "");
Expect(1, 7367, '\P{^Sc=-sund}', "");
Expect(0, 7368, '\p{Sc=-sund}', "");
Expect(1, 7368, '\p{^Sc=-sund}', "");
Expect(1, 7368, '\P{Sc=-sund}', "");
Expect(0, 7368, '\P{^Sc=-sund}', "");
Error('\p{Is_Script=:=_Sundanese}');
Error('\P{Is_Script=:=_Sundanese}');
Expect(1, 7367, '\p{Is_Script=sundanese}', "");
Expect(0, 7367, '\p{^Is_Script=sundanese}', "");
Expect(0, 7367, '\P{Is_Script=sundanese}', "");
Expect(1, 7367, '\P{^Is_Script=sundanese}', "");
Expect(0, 7368, '\p{Is_Script=sundanese}', "");
Expect(1, 7368, '\p{^Is_Script=sundanese}', "");
Expect(1, 7368, '\P{Is_Script=sundanese}', "");
Expect(0, 7368, '\P{^Is_Script=sundanese}', "");
Expect(1, 7367, '\p{Is_Script=-	Sundanese}', "");
Expect(0, 7367, '\p{^Is_Script=-	Sundanese}', "");
Expect(0, 7367, '\P{Is_Script=-	Sundanese}', "");
Expect(1, 7367, '\P{^Is_Script=-	Sundanese}', "");
Expect(0, 7368, '\p{Is_Script=-	Sundanese}', "");
Expect(1, 7368, '\p{^Is_Script=-	Sundanese}', "");
Expect(1, 7368, '\P{Is_Script=-	Sundanese}', "");
Expect(0, 7368, '\P{^Is_Script=-	Sundanese}', "");
Error('\p{Is_Sc=	:=sund}');
Error('\P{Is_Sc=	:=sund}');
Expect(1, 7367, '\p{Is_Sc=sund}', "");
Expect(0, 7367, '\p{^Is_Sc=sund}', "");
Expect(0, 7367, '\P{Is_Sc=sund}', "");
Expect(1, 7367, '\P{^Is_Sc=sund}', "");
Expect(0, 7368, '\p{Is_Sc=sund}', "");
Expect(1, 7368, '\p{^Is_Sc=sund}', "");
Expect(1, 7368, '\P{Is_Sc=sund}', "");
Expect(0, 7368, '\P{^Is_Sc=sund}', "");
Expect(1, 7367, '\p{Is_Sc=_-Sund}', "");
Expect(0, 7367, '\p{^Is_Sc=_-Sund}', "");
Expect(0, 7367, '\P{Is_Sc=_-Sund}', "");
Expect(1, 7367, '\P{^Is_Sc=_-Sund}', "");
Expect(0, 7368, '\p{Is_Sc=_-Sund}', "");
Expect(1, 7368, '\p{^Is_Sc=_-Sund}', "");
Expect(1, 7368, '\P{Is_Sc=_-Sund}', "");
Expect(0, 7368, '\P{^Is_Sc=_-Sund}', "");
Error('\p{Script:	Syloti_Nagri:=}');
Error('\P{Script:	Syloti_Nagri:=}');
Expect(1, 43051, '\p{Script=sylotinagri}', "");
Expect(0, 43051, '\p{^Script=sylotinagri}', "");
Expect(0, 43051, '\P{Script=sylotinagri}', "");
Expect(1, 43051, '\P{^Script=sylotinagri}', "");
Expect(0, 43052, '\p{Script=sylotinagri}', "");
Expect(1, 43052, '\p{^Script=sylotinagri}', "");
Expect(1, 43052, '\P{Script=sylotinagri}', "");
Expect(0, 43052, '\P{^Script=sylotinagri}', "");
Expect(1, 43051, '\p{Script=		syloti_NAGRI}', "");
Expect(0, 43051, '\p{^Script=		syloti_NAGRI}', "");
Expect(0, 43051, '\P{Script=		syloti_NAGRI}', "");
Expect(1, 43051, '\P{^Script=		syloti_NAGRI}', "");
Expect(0, 43052, '\p{Script=		syloti_NAGRI}', "");
Expect(1, 43052, '\p{^Script=		syloti_NAGRI}', "");
Expect(1, 43052, '\P{Script=		syloti_NAGRI}', "");
Expect(0, 43052, '\P{^Script=		syloti_NAGRI}', "");
Error('\p{Sc=:=SYLO}');
Error('\P{Sc=:=SYLO}');
Expect(1, 43051, '\p{Sc=sylo}', "");
Expect(0, 43051, '\p{^Sc=sylo}', "");
Expect(0, 43051, '\P{Sc=sylo}', "");
Expect(1, 43051, '\P{^Sc=sylo}', "");
Expect(0, 43052, '\p{Sc=sylo}', "");
Expect(1, 43052, '\p{^Sc=sylo}', "");
Expect(1, 43052, '\P{Sc=sylo}', "");
Expect(0, 43052, '\P{^Sc=sylo}', "");
Expect(1, 43051, '\p{Sc=-SYLO}', "");
Expect(0, 43051, '\p{^Sc=-SYLO}', "");
Expect(0, 43051, '\P{Sc=-SYLO}', "");
Expect(1, 43051, '\P{^Sc=-SYLO}', "");
Expect(0, 43052, '\p{Sc=-SYLO}', "");
Expect(1, 43052, '\p{^Sc=-SYLO}', "");
Expect(1, 43052, '\P{Sc=-SYLO}', "");
Expect(0, 43052, '\P{^Sc=-SYLO}', "");
Error('\p{Is_Script= -Syloti_nagri/a/}');
Error('\P{Is_Script= -Syloti_nagri/a/}');
Expect(1, 43051, '\p{Is_Script=sylotinagri}', "");
Expect(0, 43051, '\p{^Is_Script=sylotinagri}', "");
Expect(0, 43051, '\P{Is_Script=sylotinagri}', "");
Expect(1, 43051, '\P{^Is_Script=sylotinagri}', "");
Expect(0, 43052, '\p{Is_Script=sylotinagri}', "");
Expect(1, 43052, '\p{^Is_Script=sylotinagri}', "");
Expect(1, 43052, '\P{Is_Script=sylotinagri}', "");
Expect(0, 43052, '\P{^Is_Script=sylotinagri}', "");
Expect(1, 43051, '\p{Is_Script=- Syloti_nagri}', "");
Expect(0, 43051, '\p{^Is_Script=- Syloti_nagri}', "");
Expect(0, 43051, '\P{Is_Script=- Syloti_nagri}', "");
Expect(1, 43051, '\P{^Is_Script=- Syloti_nagri}', "");
Expect(0, 43052, '\p{Is_Script=- Syloti_nagri}', "");
Expect(1, 43052, '\p{^Is_Script=- Syloti_nagri}', "");
Expect(1, 43052, '\P{Is_Script=- Syloti_nagri}', "");
Expect(0, 43052, '\P{^Is_Script=- Syloti_nagri}', "");
Error('\p{Is_Sc=/a/sylo}');
Error('\P{Is_Sc=/a/sylo}');
Expect(1, 43051, '\p{Is_Sc=sylo}', "");
Expect(0, 43051, '\p{^Is_Sc=sylo}', "");
Expect(0, 43051, '\P{Is_Sc=sylo}', "");
Expect(1, 43051, '\P{^Is_Sc=sylo}', "");
Expect(0, 43052, '\p{Is_Sc=sylo}', "");
Expect(1, 43052, '\p{^Is_Sc=sylo}', "");
Expect(1, 43052, '\P{Is_Sc=sylo}', "");
Expect(0, 43052, '\P{^Is_Sc=sylo}', "");
Expect(1, 43051, '\p{Is_Sc=	Sylo}', "");
Expect(0, 43051, '\p{^Is_Sc=	Sylo}', "");
Expect(0, 43051, '\P{Is_Sc=	Sylo}', "");
Expect(1, 43051, '\P{^Is_Sc=	Sylo}', "");
Expect(0, 43052, '\p{Is_Sc=	Sylo}', "");
Expect(1, 43052, '\p{^Is_Sc=	Sylo}', "");
Expect(1, 43052, '\P{Is_Sc=	Sylo}', "");
Expect(0, 43052, '\P{^Is_Sc=	Sylo}', "");
Error('\p{Script= SYRIAC:=}');
Error('\P{Script= SYRIAC:=}');
Expect(1, 1871, '\p{Script: syriac}', "");
Expect(0, 1871, '\p{^Script: syriac}', "");
Expect(0, 1871, '\P{Script: syriac}', "");
Expect(1, 1871, '\P{^Script: syriac}', "");
Expect(0, 1872, '\p{Script: syriac}', "");
Expect(1, 1872, '\p{^Script: syriac}', "");
Expect(1, 1872, '\P{Script: syriac}', "");
Expect(0, 1872, '\P{^Script: syriac}', "");
Expect(1, 1871, '\p{Script: _	syriac}', "");
Expect(0, 1871, '\p{^Script: _	syriac}', "");
Expect(0, 1871, '\P{Script: _	syriac}', "");
Expect(1, 1871, '\P{^Script: _	syriac}', "");
Expect(0, 1872, '\p{Script: _	syriac}', "");
Expect(1, 1872, '\p{^Script: _	syriac}', "");
Expect(1, 1872, '\P{Script: _	syriac}', "");
Expect(0, 1872, '\P{^Script: _	syriac}', "");
Error('\p{Sc=/a/	_Syrc}');
Error('\P{Sc=/a/	_Syrc}');
Expect(1, 1871, '\p{Sc=syrc}', "");
Expect(0, 1871, '\p{^Sc=syrc}', "");
Expect(0, 1871, '\P{Sc=syrc}', "");
Expect(1, 1871, '\P{^Sc=syrc}', "");
Expect(0, 1872, '\p{Sc=syrc}', "");
Expect(1, 1872, '\p{^Sc=syrc}', "");
Expect(1, 1872, '\P{Sc=syrc}', "");
Expect(0, 1872, '\P{^Sc=syrc}', "");
Expect(1, 1871, '\p{Sc: _syrc}', "");
Expect(0, 1871, '\p{^Sc: _syrc}', "");
Expect(0, 1871, '\P{Sc: _syrc}', "");
Expect(1, 1871, '\P{^Sc: _syrc}', "");
Expect(0, 1872, '\p{Sc: _syrc}', "");
Expect(1, 1872, '\p{^Sc: _syrc}', "");
Expect(1, 1872, '\P{Sc: _syrc}', "");
Expect(0, 1872, '\P{^Sc: _syrc}', "");
Error('\p{Is_Script=/a/Syriac}');
Error('\P{Is_Script=/a/Syriac}');
Expect(1, 1871, '\p{Is_Script=syriac}', "");
Expect(0, 1871, '\p{^Is_Script=syriac}', "");
Expect(0, 1871, '\P{Is_Script=syriac}', "");
Expect(1, 1871, '\P{^Is_Script=syriac}', "");
Expect(0, 1872, '\p{Is_Script=syriac}', "");
Expect(1, 1872, '\p{^Is_Script=syriac}', "");
Expect(1, 1872, '\P{Is_Script=syriac}', "");
Expect(0, 1872, '\P{^Is_Script=syriac}', "");
Expect(1, 1871, '\p{Is_Script= _Syriac}', "");
Expect(0, 1871, '\p{^Is_Script= _Syriac}', "");
Expect(0, 1871, '\P{Is_Script= _Syriac}', "");
Expect(1, 1871, '\P{^Is_Script= _Syriac}', "");
Expect(0, 1872, '\p{Is_Script= _Syriac}', "");
Expect(1, 1872, '\p{^Is_Script= _Syriac}', "");
Expect(1, 1872, '\P{Is_Script= _Syriac}', "");
Expect(0, 1872, '\P{^Is_Script= _Syriac}', "");
Error('\p{Is_Sc= :=Syrc}');
Error('\P{Is_Sc= :=Syrc}');
Expect(1, 1871, '\p{Is_Sc=syrc}', "");
Expect(0, 1871, '\p{^Is_Sc=syrc}', "");
Expect(0, 1871, '\P{Is_Sc=syrc}', "");
Expect(1, 1871, '\P{^Is_Sc=syrc}', "");
Expect(0, 1872, '\p{Is_Sc=syrc}', "");
Expect(1, 1872, '\p{^Is_Sc=syrc}', "");
Expect(1, 1872, '\P{Is_Sc=syrc}', "");
Expect(0, 1872, '\P{^Is_Sc=syrc}', "");
Expect(1, 1871, '\p{Is_Sc=--syrc}', "");
Expect(0, 1871, '\p{^Is_Sc=--syrc}', "");
Expect(0, 1871, '\P{Is_Sc=--syrc}', "");
Expect(1, 1871, '\P{^Is_Sc=--syrc}', "");
Expect(0, 1872, '\p{Is_Sc=--syrc}', "");
Expect(1, 1872, '\p{^Is_Sc=--syrc}', "");
Expect(1, 1872, '\P{Is_Sc=--syrc}', "");
Expect(0, 1872, '\P{^Is_Sc=--syrc}', "");
Error('\p{Script=	:=Tagbanwa}');
Error('\P{Script=	:=Tagbanwa}');
Expect(1, 6003, '\p{Script=tagbanwa}', "");
Expect(0, 6003, '\p{^Script=tagbanwa}', "");
Expect(0, 6003, '\P{Script=tagbanwa}', "");
Expect(1, 6003, '\P{^Script=tagbanwa}', "");
Expect(0, 6004, '\p{Script=tagbanwa}', "");
Expect(1, 6004, '\p{^Script=tagbanwa}', "");
Expect(1, 6004, '\P{Script=tagbanwa}', "");
Expect(0, 6004, '\P{^Script=tagbanwa}', "");
Expect(1, 6003, '\p{Script:	 TAGBANWA}', "");
Expect(0, 6003, '\p{^Script:	 TAGBANWA}', "");
Expect(0, 6003, '\P{Script:	 TAGBANWA}', "");
Expect(1, 6003, '\P{^Script:	 TAGBANWA}', "");
Expect(0, 6004, '\p{Script:	 TAGBANWA}', "");
Expect(1, 6004, '\p{^Script:	 TAGBANWA}', "");
Expect(1, 6004, '\P{Script:	 TAGBANWA}', "");
Expect(0, 6004, '\P{^Script:	 TAGBANWA}', "");
Error('\p{Sc=	-TAGB/a/}');
Error('\P{Sc=	-TAGB/a/}');
Expect(1, 6003, '\p{Sc=tagb}', "");
Expect(0, 6003, '\p{^Sc=tagb}', "");
Expect(0, 6003, '\P{Sc=tagb}', "");
Expect(1, 6003, '\P{^Sc=tagb}', "");
Expect(0, 6004, '\p{Sc=tagb}', "");
Expect(1, 6004, '\p{^Sc=tagb}', "");
Expect(1, 6004, '\P{Sc=tagb}', "");
Expect(0, 6004, '\P{^Sc=tagb}', "");
Expect(1, 6003, '\p{Sc=	-Tagb}', "");
Expect(0, 6003, '\p{^Sc=	-Tagb}', "");
Expect(0, 6003, '\P{Sc=	-Tagb}', "");
Expect(1, 6003, '\P{^Sc=	-Tagb}', "");
Expect(0, 6004, '\p{Sc=	-Tagb}', "");
Expect(1, 6004, '\p{^Sc=	-Tagb}', "");
Expect(1, 6004, '\P{Sc=	-Tagb}', "");
Expect(0, 6004, '\P{^Sc=	-Tagb}', "");
Error('\p{Is_Script=-:=Tagbanwa}');
Error('\P{Is_Script=-:=Tagbanwa}');
Expect(1, 6003, '\p{Is_Script=tagbanwa}', "");
Expect(0, 6003, '\p{^Is_Script=tagbanwa}', "");
Expect(0, 6003, '\P{Is_Script=tagbanwa}', "");
Expect(1, 6003, '\P{^Is_Script=tagbanwa}', "");
Expect(0, 6004, '\p{Is_Script=tagbanwa}', "");
Expect(1, 6004, '\p{^Is_Script=tagbanwa}', "");
Expect(1, 6004, '\P{Is_Script=tagbanwa}', "");
Expect(0, 6004, '\P{^Is_Script=tagbanwa}', "");
Expect(1, 6003, '\p{Is_Script=		TAGBANWA}', "");
Expect(0, 6003, '\p{^Is_Script=		TAGBANWA}', "");
Expect(0, 6003, '\P{Is_Script=		TAGBANWA}', "");
Expect(1, 6003, '\P{^Is_Script=		TAGBANWA}', "");
Expect(0, 6004, '\p{Is_Script=		TAGBANWA}', "");
Expect(1, 6004, '\p{^Is_Script=		TAGBANWA}', "");
Expect(1, 6004, '\P{Is_Script=		TAGBANWA}', "");
Expect(0, 6004, '\P{^Is_Script=		TAGBANWA}', "");
Error('\p{Is_Sc=-TAGB/a/}');
Error('\P{Is_Sc=-TAGB/a/}');
Expect(1, 6003, '\p{Is_Sc=tagb}', "");
Expect(0, 6003, '\p{^Is_Sc=tagb}', "");
Expect(0, 6003, '\P{Is_Sc=tagb}', "");
Expect(1, 6003, '\P{^Is_Sc=tagb}', "");
Expect(0, 6004, '\p{Is_Sc=tagb}', "");
Expect(1, 6004, '\p{^Is_Sc=tagb}', "");
Expect(1, 6004, '\P{Is_Sc=tagb}', "");
Expect(0, 6004, '\P{^Is_Sc=tagb}', "");
Expect(1, 6003, '\p{Is_Sc=--TAGB}', "");
Expect(0, 6003, '\p{^Is_Sc=--TAGB}', "");
Expect(0, 6003, '\P{Is_Sc=--TAGB}', "");
Expect(1, 6003, '\P{^Is_Sc=--TAGB}', "");
Expect(0, 6004, '\p{Is_Sc=--TAGB}', "");
Expect(1, 6004, '\p{^Is_Sc=--TAGB}', "");
Expect(1, 6004, '\P{Is_Sc=--TAGB}', "");
Expect(0, 6004, '\P{^Is_Sc=--TAGB}', "");
Error('\p{Script=	/a/takri}');
Error('\P{Script=	/a/takri}');
Expect(1, 71369, '\p{Script=takri}', "");
Expect(0, 71369, '\p{^Script=takri}', "");
Expect(0, 71369, '\P{Script=takri}', "");
Expect(1, 71369, '\P{^Script=takri}', "");
Expect(0, 71370, '\p{Script=takri}', "");
Expect(1, 71370, '\p{^Script=takri}', "");
Expect(1, 71370, '\P{Script=takri}', "");
Expect(0, 71370, '\P{^Script=takri}', "");
Expect(1, 71369, '\p{Script=_-Takri}', "");
Expect(0, 71369, '\p{^Script=_-Takri}', "");
Expect(0, 71369, '\P{Script=_-Takri}', "");
Expect(1, 71369, '\P{^Script=_-Takri}', "");
Expect(0, 71370, '\p{Script=_-Takri}', "");
Expect(1, 71370, '\p{^Script=_-Takri}', "");
Expect(1, 71370, '\P{Script=_-Takri}', "");
Expect(0, 71370, '\P{^Script=_-Takri}', "");
Error('\p{Sc=- Takr:=}');
Error('\P{Sc=- Takr:=}');
Expect(1, 71369, '\p{Sc=takr}', "");
Expect(0, 71369, '\p{^Sc=takr}', "");
Expect(0, 71369, '\P{Sc=takr}', "");
Expect(1, 71369, '\P{^Sc=takr}', "");
Expect(0, 71370, '\p{Sc=takr}', "");
Expect(1, 71370, '\p{^Sc=takr}', "");
Expect(1, 71370, '\P{Sc=takr}', "");
Expect(0, 71370, '\P{^Sc=takr}', "");
Expect(1, 71369, '\p{Sc=	 Takr}', "");
Expect(0, 71369, '\p{^Sc=	 Takr}', "");
Expect(0, 71369, '\P{Sc=	 Takr}', "");
Expect(1, 71369, '\P{^Sc=	 Takr}', "");
Expect(0, 71370, '\p{Sc=	 Takr}', "");
Expect(1, 71370, '\p{^Sc=	 Takr}', "");
Expect(1, 71370, '\P{Sc=	 Takr}', "");
Expect(0, 71370, '\P{^Sc=	 Takr}', "");
Error('\p{Is_Script=__TAKRI/a/}');
Error('\P{Is_Script=__TAKRI/a/}');
Expect(1, 71369, '\p{Is_Script=takri}', "");
Expect(0, 71369, '\p{^Is_Script=takri}', "");
Expect(0, 71369, '\P{Is_Script=takri}', "");
Expect(1, 71369, '\P{^Is_Script=takri}', "");
Expect(0, 71370, '\p{Is_Script=takri}', "");
Expect(1, 71370, '\p{^Is_Script=takri}', "");
Expect(1, 71370, '\P{Is_Script=takri}', "");
Expect(0, 71370, '\P{^Is_Script=takri}', "");
Expect(1, 71369, '\p{Is_Script= -Takri}', "");
Expect(0, 71369, '\p{^Is_Script= -Takri}', "");
Expect(0, 71369, '\P{Is_Script= -Takri}', "");
Expect(1, 71369, '\P{^Is_Script= -Takri}', "");
Expect(0, 71370, '\p{Is_Script= -Takri}', "");
Expect(1, 71370, '\p{^Is_Script= -Takri}', "");
Expect(1, 71370, '\P{Is_Script= -Takri}', "");
Expect(0, 71370, '\P{^Is_Script= -Takri}', "");
Error('\p{Is_Sc=-:=Takr}');
Error('\P{Is_Sc=-:=Takr}');
Expect(1, 71369, '\p{Is_Sc=takr}', "");
Expect(0, 71369, '\p{^Is_Sc=takr}', "");
Expect(0, 71369, '\P{Is_Sc=takr}', "");
Expect(1, 71369, '\P{^Is_Sc=takr}', "");
Expect(0, 71370, '\p{Is_Sc=takr}', "");
Expect(1, 71370, '\p{^Is_Sc=takr}', "");
Expect(1, 71370, '\P{Is_Sc=takr}', "");
Expect(0, 71370, '\P{^Is_Sc=takr}', "");
Expect(1, 71369, '\p{Is_Sc=_	TAKR}', "");
Expect(0, 71369, '\p{^Is_Sc=_	TAKR}', "");
Expect(0, 71369, '\P{Is_Sc=_	TAKR}', "");
Expect(1, 71369, '\P{^Is_Sc=_	TAKR}', "");
Expect(0, 71370, '\p{Is_Sc=_	TAKR}', "");
Expect(1, 71370, '\p{^Is_Sc=_	TAKR}', "");
Expect(1, 71370, '\P{Is_Sc=_	TAKR}', "");
Expect(0, 71370, '\P{^Is_Sc=_	TAKR}', "");
Error('\p{Script=	/a/tai_Le}');
Error('\P{Script=	/a/tai_Le}');
Expect(1, 6516, '\p{Script=taile}', "");
Expect(0, 6516, '\p{^Script=taile}', "");
Expect(0, 6516, '\P{Script=taile}', "");
Expect(1, 6516, '\P{^Script=taile}', "");
Expect(0, 6517, '\p{Script=taile}', "");
Expect(1, 6517, '\p{^Script=taile}', "");
Expect(1, 6517, '\P{Script=taile}', "");
Expect(0, 6517, '\P{^Script=taile}', "");
Expect(1, 6516, '\p{Script=	-Tai_Le}', "");
Expect(0, 6516, '\p{^Script=	-Tai_Le}', "");
Expect(0, 6516, '\P{Script=	-Tai_Le}', "");
Expect(1, 6516, '\P{^Script=	-Tai_Le}', "");
Expect(0, 6517, '\p{Script=	-Tai_Le}', "");
Expect(1, 6517, '\p{^Script=	-Tai_Le}', "");
Expect(1, 6517, '\P{Script=	-Tai_Le}', "");
Expect(0, 6517, '\P{^Script=	-Tai_Le}', "");
Error('\p{Sc=:=	_Tale}');
Error('\P{Sc=:=	_Tale}');
Expect(1, 6516, '\p{Sc=tale}', "");
Expect(0, 6516, '\p{^Sc=tale}', "");
Expect(0, 6516, '\P{Sc=tale}', "");
Expect(1, 6516, '\P{^Sc=tale}', "");
Expect(0, 6517, '\p{Sc=tale}', "");
Expect(1, 6517, '\p{^Sc=tale}', "");
Expect(1, 6517, '\P{Sc=tale}', "");
Expect(0, 6517, '\P{^Sc=tale}', "");
Expect(1, 6516, '\p{Sc=_	Tale}', "");
Expect(0, 6516, '\p{^Sc=_	Tale}', "");
Expect(0, 6516, '\P{Sc=_	Tale}', "");
Expect(1, 6516, '\P{^Sc=_	Tale}', "");
Expect(0, 6517, '\p{Sc=_	Tale}', "");
Expect(1, 6517, '\p{^Sc=_	Tale}', "");
Expect(1, 6517, '\P{Sc=_	Tale}', "");
Expect(0, 6517, '\P{^Sc=_	Tale}', "");
Error('\p{Is_Script= :=tai_le}');
Error('\P{Is_Script= :=tai_le}');
Expect(1, 6516, '\p{Is_Script=taile}', "");
Expect(0, 6516, '\p{^Is_Script=taile}', "");
Expect(0, 6516, '\P{Is_Script=taile}', "");
Expect(1, 6516, '\P{^Is_Script=taile}', "");
Expect(0, 6517, '\p{Is_Script=taile}', "");
Expect(1, 6517, '\p{^Is_Script=taile}', "");
Expect(1, 6517, '\P{Is_Script=taile}', "");
Expect(0, 6517, '\P{^Is_Script=taile}', "");
Expect(1, 6516, '\p{Is_Script=_Tai_le}', "");
Expect(0, 6516, '\p{^Is_Script=_Tai_le}', "");
Expect(0, 6516, '\P{Is_Script=_Tai_le}', "");
Expect(1, 6516, '\P{^Is_Script=_Tai_le}', "");
Expect(0, 6517, '\p{Is_Script=_Tai_le}', "");
Expect(1, 6517, '\p{^Is_Script=_Tai_le}', "");
Expect(1, 6517, '\P{Is_Script=_Tai_le}', "");
Expect(0, 6517, '\P{^Is_Script=_Tai_le}', "");
Error('\p{Is_Sc=/a/ _TALE}');
Error('\P{Is_Sc=/a/ _TALE}');
Expect(1, 6516, '\p{Is_Sc=tale}', "");
Expect(0, 6516, '\p{^Is_Sc=tale}', "");
Expect(0, 6516, '\P{Is_Sc=tale}', "");
Expect(1, 6516, '\P{^Is_Sc=tale}', "");
Expect(0, 6517, '\p{Is_Sc=tale}', "");
Expect(1, 6517, '\p{^Is_Sc=tale}', "");
Expect(1, 6517, '\P{Is_Sc=tale}', "");
Expect(0, 6517, '\P{^Is_Sc=tale}', "");
Expect(1, 6516, '\p{Is_Sc=-_Tale}', "");
Expect(0, 6516, '\p{^Is_Sc=-_Tale}', "");
Expect(0, 6516, '\P{Is_Sc=-_Tale}', "");
Expect(1, 6516, '\P{^Is_Sc=-_Tale}', "");
Expect(0, 6517, '\p{Is_Sc=-_Tale}', "");
Expect(1, 6517, '\p{^Is_Sc=-_Tale}', "");
Expect(1, 6517, '\P{Is_Sc=-_Tale}', "");
Expect(0, 6517, '\P{^Is_Sc=-_Tale}', "");
Error('\p{Script=:=-	NEW_Tai_lue}');
Error('\P{Script=:=-	NEW_Tai_lue}');
Expect(1, 6623, '\p{Script:   newtailue}', "");
Expect(0, 6623, '\p{^Script:   newtailue}', "");
Expect(0, 6623, '\P{Script:   newtailue}', "");
Expect(1, 6623, '\P{^Script:   newtailue}', "");
Expect(0, 6624, '\p{Script:   newtailue}', "");
Expect(1, 6624, '\p{^Script:   newtailue}', "");
Expect(1, 6624, '\P{Script:   newtailue}', "");
Expect(0, 6624, '\P{^Script:   newtailue}', "");
Expect(1, 6623, '\p{Script=-New_TAI_lue}', "");
Expect(0, 6623, '\p{^Script=-New_TAI_lue}', "");
Expect(0, 6623, '\P{Script=-New_TAI_lue}', "");
Expect(1, 6623, '\P{^Script=-New_TAI_lue}', "");
Expect(0, 6624, '\p{Script=-New_TAI_lue}', "");
Expect(1, 6624, '\p{^Script=-New_TAI_lue}', "");
Expect(1, 6624, '\P{Script=-New_TAI_lue}', "");
Expect(0, 6624, '\P{^Script=-New_TAI_lue}', "");
Error('\p{Sc=/a/_-TALU}');
Error('\P{Sc=/a/_-TALU}');
Expect(1, 6623, '\p{Sc:	talu}', "");
Expect(0, 6623, '\p{^Sc:	talu}', "");
Expect(0, 6623, '\P{Sc:	talu}', "");
Expect(1, 6623, '\P{^Sc:	talu}', "");
Expect(0, 6624, '\p{Sc:	talu}', "");
Expect(1, 6624, '\p{^Sc:	talu}', "");
Expect(1, 6624, '\P{Sc:	talu}', "");
Expect(0, 6624, '\P{^Sc:	talu}', "");
Expect(1, 6623, '\p{Sc= 	TALU}', "");
Expect(0, 6623, '\p{^Sc= 	TALU}', "");
Expect(0, 6623, '\P{Sc= 	TALU}', "");
Expect(1, 6623, '\P{^Sc= 	TALU}', "");
Expect(0, 6624, '\p{Sc= 	TALU}', "");
Expect(1, 6624, '\p{^Sc= 	TALU}', "");
Expect(1, 6624, '\P{Sc= 	TALU}', "");
Expect(0, 6624, '\P{^Sc= 	TALU}', "");
Error('\p{Is_Script=  New_Tai_Lue/a/}');
Error('\P{Is_Script=  New_Tai_Lue/a/}');
Expect(1, 6623, '\p{Is_Script=newtailue}', "");
Expect(0, 6623, '\p{^Is_Script=newtailue}', "");
Expect(0, 6623, '\P{Is_Script=newtailue}', "");
Expect(1, 6623, '\P{^Is_Script=newtailue}', "");
Expect(0, 6624, '\p{Is_Script=newtailue}', "");
Expect(1, 6624, '\p{^Is_Script=newtailue}', "");
Expect(1, 6624, '\P{Is_Script=newtailue}', "");
Expect(0, 6624, '\P{^Is_Script=newtailue}', "");
Expect(1, 6623, '\p{Is_Script= new_TAI_lue}', "");
Expect(0, 6623, '\p{^Is_Script= new_TAI_lue}', "");
Expect(0, 6623, '\P{Is_Script= new_TAI_lue}', "");
Expect(1, 6623, '\P{^Is_Script= new_TAI_lue}', "");
Expect(0, 6624, '\p{Is_Script= new_TAI_lue}', "");
Expect(1, 6624, '\p{^Is_Script= new_TAI_lue}', "");
Expect(1, 6624, '\P{Is_Script= new_TAI_lue}', "");
Expect(0, 6624, '\P{^Is_Script= new_TAI_lue}', "");
Error('\p{Is_Sc=-Talu/a/}');
Error('\P{Is_Sc=-Talu/a/}');
Expect(1, 6623, '\p{Is_Sc:talu}', "");
Expect(0, 6623, '\p{^Is_Sc:talu}', "");
Expect(0, 6623, '\P{Is_Sc:talu}', "");
Expect(1, 6623, '\P{^Is_Sc:talu}', "");
Expect(0, 6624, '\p{Is_Sc:talu}', "");
Expect(1, 6624, '\p{^Is_Sc:talu}', "");
Expect(1, 6624, '\P{Is_Sc:talu}', "");
Expect(0, 6624, '\P{^Is_Sc:talu}', "");
Expect(1, 6623, '\p{Is_Sc=	Talu}', "");
Expect(0, 6623, '\p{^Is_Sc=	Talu}', "");
Expect(0, 6623, '\P{Is_Sc=	Talu}', "");
Expect(1, 6623, '\P{^Is_Sc=	Talu}', "");
Expect(0, 6624, '\p{Is_Sc=	Talu}', "");
Expect(1, 6624, '\p{^Is_Sc=	Talu}', "");
Expect(1, 6624, '\P{Is_Sc=	Talu}', "");
Expect(0, 6624, '\P{^Is_Sc=	Talu}', "");
Error('\p{Script=:=--Tamil}');
Error('\P{Script=:=--Tamil}');
Expect(1, 3066, '\p{Script=tamil}', "");
Expect(0, 3066, '\p{^Script=tamil}', "");
Expect(0, 3066, '\P{Script=tamil}', "");
Expect(1, 3066, '\P{^Script=tamil}', "");
Expect(0, 3067, '\p{Script=tamil}', "");
Expect(1, 3067, '\p{^Script=tamil}', "");
Expect(1, 3067, '\P{Script=tamil}', "");
Expect(0, 3067, '\P{^Script=tamil}', "");
Expect(1, 3066, '\p{Script: -Tamil}', "");
Expect(0, 3066, '\p{^Script: -Tamil}', "");
Expect(0, 3066, '\P{Script: -Tamil}', "");
Expect(1, 3066, '\P{^Script: -Tamil}', "");
Expect(0, 3067, '\p{Script: -Tamil}', "");
Expect(1, 3067, '\p{^Script: -Tamil}', "");
Expect(1, 3067, '\P{Script: -Tamil}', "");
Expect(0, 3067, '\P{^Script: -Tamil}', "");
Error('\p{Sc=:=	Taml}');
Error('\P{Sc=:=	Taml}');
Expect(1, 3066, '\p{Sc=taml}', "");
Expect(0, 3066, '\p{^Sc=taml}', "");
Expect(0, 3066, '\P{Sc=taml}', "");
Expect(1, 3066, '\P{^Sc=taml}', "");
Expect(0, 3067, '\p{Sc=taml}', "");
Expect(1, 3067, '\p{^Sc=taml}', "");
Expect(1, 3067, '\P{Sc=taml}', "");
Expect(0, 3067, '\P{^Sc=taml}', "");
Expect(1, 3066, '\p{Sc= -Taml}', "");
Expect(0, 3066, '\p{^Sc= -Taml}', "");
Expect(0, 3066, '\P{Sc= -Taml}', "");
Expect(1, 3066, '\P{^Sc= -Taml}', "");
Expect(0, 3067, '\p{Sc= -Taml}', "");
Expect(1, 3067, '\p{^Sc= -Taml}', "");
Expect(1, 3067, '\P{Sc= -Taml}', "");
Expect(0, 3067, '\P{^Sc= -Taml}', "");
Error('\p{Is_Script=:=Tamil}');
Error('\P{Is_Script=:=Tamil}');
Expect(1, 3066, '\p{Is_Script=tamil}', "");
Expect(0, 3066, '\p{^Is_Script=tamil}', "");
Expect(0, 3066, '\P{Is_Script=tamil}', "");
Expect(1, 3066, '\P{^Is_Script=tamil}', "");
Expect(0, 3067, '\p{Is_Script=tamil}', "");
Expect(1, 3067, '\p{^Is_Script=tamil}', "");
Expect(1, 3067, '\P{Is_Script=tamil}', "");
Expect(0, 3067, '\P{^Is_Script=tamil}', "");
Expect(1, 3066, '\p{Is_Script=-tamil}', "");
Expect(0, 3066, '\p{^Is_Script=-tamil}', "");
Expect(0, 3066, '\P{Is_Script=-tamil}', "");
Expect(1, 3066, '\P{^Is_Script=-tamil}', "");
Expect(0, 3067, '\p{Is_Script=-tamil}', "");
Expect(1, 3067, '\p{^Is_Script=-tamil}', "");
Expect(1, 3067, '\P{Is_Script=-tamil}', "");
Expect(0, 3067, '\P{^Is_Script=-tamil}', "");
Error('\p{Is_Sc::=taml}');
Error('\P{Is_Sc::=taml}');
Expect(1, 3066, '\p{Is_Sc=taml}', "");
Expect(0, 3066, '\p{^Is_Sc=taml}', "");
Expect(0, 3066, '\P{Is_Sc=taml}', "");
Expect(1, 3066, '\P{^Is_Sc=taml}', "");
Expect(0, 3067, '\p{Is_Sc=taml}', "");
Expect(1, 3067, '\p{^Is_Sc=taml}', "");
Expect(1, 3067, '\P{Is_Sc=taml}', "");
Expect(0, 3067, '\P{^Is_Sc=taml}', "");
Expect(1, 3066, '\p{Is_Sc=- taml}', "");
Expect(0, 3066, '\p{^Is_Sc=- taml}', "");
Expect(0, 3066, '\P{Is_Sc=- taml}', "");
Expect(1, 3066, '\P{^Is_Sc=- taml}', "");
Expect(0, 3067, '\p{Is_Sc=- taml}', "");
Expect(1, 3067, '\p{^Is_Sc=- taml}', "");
Expect(1, 3067, '\P{Is_Sc=- taml}', "");
Expect(0, 3067, '\P{^Is_Sc=- taml}', "");
Error('\p{Script=- Tai_Viet:=}');
Error('\P{Script=- Tai_Viet:=}');
Expect(1, 43743, '\p{Script=taiviet}', "");
Expect(0, 43743, '\p{^Script=taiviet}', "");
Expect(0, 43743, '\P{Script=taiviet}', "");
Expect(1, 43743, '\P{^Script=taiviet}', "");
Expect(0, 43744, '\p{Script=taiviet}', "");
Expect(1, 43744, '\p{^Script=taiviet}', "");
Expect(1, 43744, '\P{Script=taiviet}', "");
Expect(0, 43744, '\P{^Script=taiviet}', "");
Expect(1, 43743, '\p{Script= _tai_viet}', "");
Expect(0, 43743, '\p{^Script= _tai_viet}', "");
Expect(0, 43743, '\P{Script= _tai_viet}', "");
Expect(1, 43743, '\P{^Script= _tai_viet}', "");
Expect(0, 43744, '\p{Script= _tai_viet}', "");
Expect(1, 43744, '\p{^Script= _tai_viet}', "");
Expect(1, 43744, '\P{Script= _tai_viet}', "");
Expect(0, 43744, '\P{^Script= _tai_viet}', "");
Error('\p{Sc= 	tavt:=}');
Error('\P{Sc= 	tavt:=}');
Expect(1, 43743, '\p{Sc=tavt}', "");
Expect(0, 43743, '\p{^Sc=tavt}', "");
Expect(0, 43743, '\P{Sc=tavt}', "");
Expect(1, 43743, '\P{^Sc=tavt}', "");
Expect(0, 43744, '\p{Sc=tavt}', "");
Expect(1, 43744, '\p{^Sc=tavt}', "");
Expect(1, 43744, '\P{Sc=tavt}', "");
Expect(0, 43744, '\P{^Sc=tavt}', "");
Expect(1, 43743, '\p{Sc=-_tavt}', "");
Expect(0, 43743, '\p{^Sc=-_tavt}', "");
Expect(0, 43743, '\P{Sc=-_tavt}', "");
Expect(1, 43743, '\P{^Sc=-_tavt}', "");
Expect(0, 43744, '\p{Sc=-_tavt}', "");
Expect(1, 43744, '\p{^Sc=-_tavt}', "");
Expect(1, 43744, '\P{Sc=-_tavt}', "");
Expect(0, 43744, '\P{^Sc=-_tavt}', "");
Error('\p{Is_Script:tai_viet/a/}');
Error('\P{Is_Script:tai_viet/a/}');
Expect(1, 43743, '\p{Is_Script=taiviet}', "");
Expect(0, 43743, '\p{^Is_Script=taiviet}', "");
Expect(0, 43743, '\P{Is_Script=taiviet}', "");
Expect(1, 43743, '\P{^Is_Script=taiviet}', "");
Expect(0, 43744, '\p{Is_Script=taiviet}', "");
Expect(1, 43744, '\p{^Is_Script=taiviet}', "");
Expect(1, 43744, '\P{Is_Script=taiviet}', "");
Expect(0, 43744, '\P{^Is_Script=taiviet}', "");
Expect(1, 43743, '\p{Is_Script= 	Tai_Viet}', "");
Expect(0, 43743, '\p{^Is_Script= 	Tai_Viet}', "");
Expect(0, 43743, '\P{Is_Script= 	Tai_Viet}', "");
Expect(1, 43743, '\P{^Is_Script= 	Tai_Viet}', "");
Expect(0, 43744, '\p{Is_Script= 	Tai_Viet}', "");
Expect(1, 43744, '\p{^Is_Script= 	Tai_Viet}', "");
Expect(1, 43744, '\P{Is_Script= 	Tai_Viet}', "");
Expect(0, 43744, '\P{^Is_Script= 	Tai_Viet}', "");
Error('\p{Is_Sc= TAVT:=}');
Error('\P{Is_Sc= TAVT:=}');
Expect(1, 43743, '\p{Is_Sc:tavt}', "");
Expect(0, 43743, '\p{^Is_Sc:tavt}', "");
Expect(0, 43743, '\P{Is_Sc:tavt}', "");
Expect(1, 43743, '\P{^Is_Sc:tavt}', "");
Expect(0, 43744, '\p{Is_Sc:tavt}', "");
Expect(1, 43744, '\p{^Is_Sc:tavt}', "");
Expect(1, 43744, '\P{Is_Sc:tavt}', "");
Expect(0, 43744, '\P{^Is_Sc:tavt}', "");
Expect(1, 43743, '\p{Is_Sc=  Tavt}', "");
Expect(0, 43743, '\p{^Is_Sc=  Tavt}', "");
Expect(0, 43743, '\P{Is_Sc=  Tavt}', "");
Expect(1, 43743, '\P{^Is_Sc=  Tavt}', "");
Expect(0, 43744, '\p{Is_Sc=  Tavt}', "");
Expect(1, 43744, '\p{^Is_Sc=  Tavt}', "");
Expect(1, 43744, '\P{Is_Sc=  Tavt}', "");
Expect(0, 43744, '\P{^Is_Sc=  Tavt}', "");
Error('\p{Script=	-Telugu/a/}');
Error('\P{Script=	-Telugu/a/}');
Expect(1, 3199, '\p{Script=telugu}', "");
Expect(0, 3199, '\p{^Script=telugu}', "");
Expect(0, 3199, '\P{Script=telugu}', "");
Expect(1, 3199, '\P{^Script=telugu}', "");
Expect(0, 3200, '\p{Script=telugu}', "");
Expect(1, 3200, '\p{^Script=telugu}', "");
Expect(1, 3200, '\P{Script=telugu}', "");
Expect(0, 3200, '\P{^Script=telugu}', "");
Expect(1, 3199, '\p{Script=	-Telugu}', "");
Expect(0, 3199, '\p{^Script=	-Telugu}', "");
Expect(0, 3199, '\P{Script=	-Telugu}', "");
Expect(1, 3199, '\P{^Script=	-Telugu}', "");
Expect(0, 3200, '\p{Script=	-Telugu}', "");
Expect(1, 3200, '\p{^Script=	-Telugu}', "");
Expect(1, 3200, '\P{Script=	-Telugu}', "");
Expect(0, 3200, '\P{^Script=	-Telugu}', "");
Error('\p{Sc=/a/	_telu}');
Error('\P{Sc=/a/	_telu}');
Expect(1, 3199, '\p{Sc=telu}', "");
Expect(0, 3199, '\p{^Sc=telu}', "");
Expect(0, 3199, '\P{Sc=telu}', "");
Expect(1, 3199, '\P{^Sc=telu}', "");
Expect(0, 3200, '\p{Sc=telu}', "");
Expect(1, 3200, '\p{^Sc=telu}', "");
Expect(1, 3200, '\P{Sc=telu}', "");
Expect(0, 3200, '\P{^Sc=telu}', "");
Expect(1, 3199, '\p{Sc= Telu}', "");
Expect(0, 3199, '\p{^Sc= Telu}', "");
Expect(0, 3199, '\P{Sc= Telu}', "");
Expect(1, 3199, '\P{^Sc= Telu}', "");
Expect(0, 3200, '\p{Sc= Telu}', "");
Expect(1, 3200, '\p{^Sc= Telu}', "");
Expect(1, 3200, '\P{Sc= Telu}', "");
Expect(0, 3200, '\P{^Sc= Telu}', "");
Error('\p{Is_Script=	 telugu/a/}');
Error('\P{Is_Script=	 telugu/a/}');
Expect(1, 3199, '\p{Is_Script=telugu}', "");
Expect(0, 3199, '\p{^Is_Script=telugu}', "");
Expect(0, 3199, '\P{Is_Script=telugu}', "");
Expect(1, 3199, '\P{^Is_Script=telugu}', "");
Expect(0, 3200, '\p{Is_Script=telugu}', "");
Expect(1, 3200, '\p{^Is_Script=telugu}', "");
Expect(1, 3200, '\P{Is_Script=telugu}', "");
Expect(0, 3200, '\P{^Is_Script=telugu}', "");
Expect(1, 3199, '\p{Is_Script=	-Telugu}', "");
Expect(0, 3199, '\p{^Is_Script=	-Telugu}', "");
Expect(0, 3199, '\P{Is_Script=	-Telugu}', "");
Expect(1, 3199, '\P{^Is_Script=	-Telugu}', "");
Expect(0, 3200, '\p{Is_Script=	-Telugu}', "");
Expect(1, 3200, '\p{^Is_Script=	-Telugu}', "");
Expect(1, 3200, '\P{Is_Script=	-Telugu}', "");
Expect(0, 3200, '\P{^Is_Script=	-Telugu}', "");
Error('\p{Is_Sc::= -TELU}');
Error('\P{Is_Sc::= -TELU}');
Expect(1, 3199, '\p{Is_Sc=telu}', "");
Expect(0, 3199, '\p{^Is_Sc=telu}', "");
Expect(0, 3199, '\P{Is_Sc=telu}', "");
Expect(1, 3199, '\P{^Is_Sc=telu}', "");
Expect(0, 3200, '\p{Is_Sc=telu}', "");
Expect(1, 3200, '\p{^Is_Sc=telu}', "");
Expect(1, 3200, '\P{Is_Sc=telu}', "");
Expect(0, 3200, '\P{^Is_Sc=telu}', "");
Expect(1, 3199, '\p{Is_Sc=-_Telu}', "");
Expect(0, 3199, '\p{^Is_Sc=-_Telu}', "");
Expect(0, 3199, '\P{Is_Sc=-_Telu}', "");
Expect(1, 3199, '\P{^Is_Sc=-_Telu}', "");
Expect(0, 3200, '\p{Is_Sc=-_Telu}', "");
Expect(1, 3200, '\p{^Is_Sc=-_Telu}', "");
Expect(1, 3200, '\P{Is_Sc=-_Telu}', "");
Expect(0, 3200, '\P{^Is_Sc=-_Telu}', "");
Error('\p{Script:	:=Tifinagh}');
Error('\P{Script:	:=Tifinagh}');
Expect(1, 11647, '\p{Script=tifinagh}', "");
Expect(0, 11647, '\p{^Script=tifinagh}', "");
Expect(0, 11647, '\P{Script=tifinagh}', "");
Expect(1, 11647, '\P{^Script=tifinagh}', "");
Expect(0, 11648, '\p{Script=tifinagh}', "");
Expect(1, 11648, '\p{^Script=tifinagh}', "");
Expect(1, 11648, '\P{Script=tifinagh}', "");
Expect(0, 11648, '\P{^Script=tifinagh}', "");
Expect(1, 11647, '\p{Script=		Tifinagh}', "");
Expect(0, 11647, '\p{^Script=		Tifinagh}', "");
Expect(0, 11647, '\P{Script=		Tifinagh}', "");
Expect(1, 11647, '\P{^Script=		Tifinagh}', "");
Expect(0, 11648, '\p{Script=		Tifinagh}', "");
Expect(1, 11648, '\p{^Script=		Tifinagh}', "");
Expect(1, 11648, '\P{Script=		Tifinagh}', "");
Expect(0, 11648, '\P{^Script=		Tifinagh}', "");
Error('\p{Sc= /a/Tfng}');
Error('\P{Sc= /a/Tfng}');
Expect(1, 11647, '\p{Sc=tfng}', "");
Expect(0, 11647, '\p{^Sc=tfng}', "");
Expect(0, 11647, '\P{Sc=tfng}', "");
Expect(1, 11647, '\P{^Sc=tfng}', "");
Expect(0, 11648, '\p{Sc=tfng}', "");
Expect(1, 11648, '\p{^Sc=tfng}', "");
Expect(1, 11648, '\P{Sc=tfng}', "");
Expect(0, 11648, '\P{^Sc=tfng}', "");
Expect(1, 11647, '\p{Sc=-	Tfng}', "");
Expect(0, 11647, '\p{^Sc=-	Tfng}', "");
Expect(0, 11647, '\P{Sc=-	Tfng}', "");
Expect(1, 11647, '\P{^Sc=-	Tfng}', "");
Expect(0, 11648, '\p{Sc=-	Tfng}', "");
Expect(1, 11648, '\p{^Sc=-	Tfng}', "");
Expect(1, 11648, '\P{Sc=-	Tfng}', "");
Expect(0, 11648, '\P{^Sc=-	Tfng}', "");
Error('\p{Is_Script=/a/_Tifinagh}');
Error('\P{Is_Script=/a/_Tifinagh}');
Expect(1, 11647, '\p{Is_Script: tifinagh}', "");
Expect(0, 11647, '\p{^Is_Script: tifinagh}', "");
Expect(0, 11647, '\P{Is_Script: tifinagh}', "");
Expect(1, 11647, '\P{^Is_Script: tifinagh}', "");
Expect(0, 11648, '\p{Is_Script: tifinagh}', "");
Expect(1, 11648, '\p{^Is_Script: tifinagh}', "");
Expect(1, 11648, '\P{Is_Script: tifinagh}', "");
Expect(0, 11648, '\P{^Is_Script: tifinagh}', "");
Expect(1, 11647, '\p{Is_Script= -Tifinagh}', "");
Expect(0, 11647, '\p{^Is_Script= -Tifinagh}', "");
Expect(0, 11647, '\P{Is_Script= -Tifinagh}', "");
Expect(1, 11647, '\P{^Is_Script= -Tifinagh}', "");
Expect(0, 11648, '\p{Is_Script= -Tifinagh}', "");
Expect(1, 11648, '\p{^Is_Script= -Tifinagh}', "");
Expect(1, 11648, '\P{Is_Script= -Tifinagh}', "");
Expect(0, 11648, '\P{^Is_Script= -Tifinagh}', "");
Error('\p{Is_Sc=Tfng/a/}');
Error('\P{Is_Sc=Tfng/a/}');
Expect(1, 11647, '\p{Is_Sc=tfng}', "");
Expect(0, 11647, '\p{^Is_Sc=tfng}', "");
Expect(0, 11647, '\P{Is_Sc=tfng}', "");
Expect(1, 11647, '\P{^Is_Sc=tfng}', "");
Expect(0, 11648, '\p{Is_Sc=tfng}', "");
Expect(1, 11648, '\p{^Is_Sc=tfng}', "");
Expect(1, 11648, '\P{Is_Sc=tfng}', "");
Expect(0, 11648, '\P{^Is_Sc=tfng}', "");
Expect(1, 11647, '\p{Is_Sc=_Tfng}', "");
Expect(0, 11647, '\p{^Is_Sc=_Tfng}', "");
Expect(0, 11647, '\P{Is_Sc=_Tfng}', "");
Expect(1, 11647, '\P{^Is_Sc=_Tfng}', "");
Expect(0, 11648, '\p{Is_Sc=_Tfng}', "");
Expect(1, 11648, '\p{^Is_Sc=_Tfng}', "");
Expect(1, 11648, '\P{Is_Sc=_Tfng}', "");
Expect(0, 11648, '\P{^Is_Sc=_Tfng}', "");
Error('\p{Script= TAGALOG/a/}');
Error('\P{Script= TAGALOG/a/}');
Expect(1, 5908, '\p{Script=tagalog}', "");
Expect(0, 5908, '\p{^Script=tagalog}', "");
Expect(0, 5908, '\P{Script=tagalog}', "");
Expect(1, 5908, '\P{^Script=tagalog}', "");
Expect(0, 5909, '\p{Script=tagalog}', "");
Expect(1, 5909, '\p{^Script=tagalog}', "");
Expect(1, 5909, '\P{Script=tagalog}', "");
Expect(0, 5909, '\P{^Script=tagalog}', "");
Expect(1, 5908, '\p{Script=		TAGALOG}', "");
Expect(0, 5908, '\p{^Script=		TAGALOG}', "");
Expect(0, 5908, '\P{Script=		TAGALOG}', "");
Expect(1, 5908, '\P{^Script=		TAGALOG}', "");
Expect(0, 5909, '\p{Script=		TAGALOG}', "");
Expect(1, 5909, '\p{^Script=		TAGALOG}', "");
Expect(1, 5909, '\P{Script=		TAGALOG}', "");
Expect(0, 5909, '\P{^Script=		TAGALOG}', "");
Error('\p{Sc=:=	tglg}');
Error('\P{Sc=:=	tglg}');
Expect(1, 5908, '\p{Sc=tglg}', "");
Expect(0, 5908, '\p{^Sc=tglg}', "");
Expect(0, 5908, '\P{Sc=tglg}', "");
Expect(1, 5908, '\P{^Sc=tglg}', "");
Expect(0, 5909, '\p{Sc=tglg}', "");
Expect(1, 5909, '\p{^Sc=tglg}', "");
Expect(1, 5909, '\P{Sc=tglg}', "");
Expect(0, 5909, '\P{^Sc=tglg}', "");
Expect(1, 5908, '\p{Sc=	_tglg}', "");
Expect(0, 5908, '\p{^Sc=	_tglg}', "");
Expect(0, 5908, '\P{Sc=	_tglg}', "");
Expect(1, 5908, '\P{^Sc=	_tglg}', "");
Expect(0, 5909, '\p{Sc=	_tglg}', "");
Expect(1, 5909, '\p{^Sc=	_tglg}', "");
Expect(1, 5909, '\P{Sc=	_tglg}', "");
Expect(0, 5909, '\P{^Sc=	_tglg}', "");
Error('\p{Is_Script=_-Tagalog/a/}');
Error('\P{Is_Script=_-Tagalog/a/}');
Expect(1, 5908, '\p{Is_Script=tagalog}', "");
Expect(0, 5908, '\p{^Is_Script=tagalog}', "");
Expect(0, 5908, '\P{Is_Script=tagalog}', "");
Expect(1, 5908, '\P{^Is_Script=tagalog}', "");
Expect(0, 5909, '\p{Is_Script=tagalog}', "");
Expect(1, 5909, '\p{^Is_Script=tagalog}', "");
Expect(1, 5909, '\P{Is_Script=tagalog}', "");
Expect(0, 5909, '\P{^Is_Script=tagalog}', "");
Expect(1, 5908, '\p{Is_Script=_-Tagalog}', "");
Expect(0, 5908, '\p{^Is_Script=_-Tagalog}', "");
Expect(0, 5908, '\P{Is_Script=_-Tagalog}', "");
Expect(1, 5908, '\P{^Is_Script=_-Tagalog}', "");
Expect(0, 5909, '\p{Is_Script=_-Tagalog}', "");
Expect(1, 5909, '\p{^Is_Script=_-Tagalog}', "");
Expect(1, 5909, '\P{Is_Script=_-Tagalog}', "");
Expect(0, 5909, '\P{^Is_Script=_-Tagalog}', "");
Error('\p{Is_Sc=:=__TGLG}');
Error('\P{Is_Sc=:=__TGLG}');
Expect(1, 5908, '\p{Is_Sc=tglg}', "");
Expect(0, 5908, '\p{^Is_Sc=tglg}', "");
Expect(0, 5908, '\P{Is_Sc=tglg}', "");
Expect(1, 5908, '\P{^Is_Sc=tglg}', "");
Expect(0, 5909, '\p{Is_Sc=tglg}', "");
Expect(1, 5909, '\p{^Is_Sc=tglg}', "");
Expect(1, 5909, '\P{Is_Sc=tglg}', "");
Expect(0, 5909, '\P{^Is_Sc=tglg}', "");
Expect(1, 5908, '\p{Is_Sc=	-Tglg}', "");
Expect(0, 5908, '\p{^Is_Sc=	-Tglg}', "");
Expect(0, 5908, '\P{Is_Sc=	-Tglg}', "");
Expect(1, 5908, '\P{^Is_Sc=	-Tglg}', "");
Expect(0, 5909, '\p{Is_Sc=	-Tglg}', "");
Expect(1, 5909, '\p{^Is_Sc=	-Tglg}', "");
Expect(1, 5909, '\P{Is_Sc=	-Tglg}', "");
Expect(0, 5909, '\P{^Is_Sc=	-Tglg}', "");
Error('\p{Script=_thaana:=}');
Error('\P{Script=_thaana:=}');
Expect(1, 1969, '\p{Script=thaana}', "");
Expect(0, 1969, '\p{^Script=thaana}', "");
Expect(0, 1969, '\P{Script=thaana}', "");
Expect(1, 1969, '\P{^Script=thaana}', "");
Expect(0, 1970, '\p{Script=thaana}', "");
Expect(1, 1970, '\p{^Script=thaana}', "");
Expect(1, 1970, '\P{Script=thaana}', "");
Expect(0, 1970, '\P{^Script=thaana}', "");
Expect(1, 1969, '\p{Script= -Thaana}', "");
Expect(0, 1969, '\p{^Script= -Thaana}', "");
Expect(0, 1969, '\P{Script= -Thaana}', "");
Expect(1, 1969, '\P{^Script= -Thaana}', "");
Expect(0, 1970, '\p{Script= -Thaana}', "");
Expect(1, 1970, '\p{^Script= -Thaana}', "");
Expect(1, 1970, '\P{Script= -Thaana}', "");
Expect(0, 1970, '\P{^Script= -Thaana}', "");
Error('\p{Sc:     Thaa/a/}');
Error('\P{Sc:     Thaa/a/}');
Expect(1, 1969, '\p{Sc=thaa}', "");
Expect(0, 1969, '\p{^Sc=thaa}', "");
Expect(0, 1969, '\P{Sc=thaa}', "");
Expect(1, 1969, '\P{^Sc=thaa}', "");
Expect(0, 1970, '\p{Sc=thaa}', "");
Expect(1, 1970, '\p{^Sc=thaa}', "");
Expect(1, 1970, '\P{Sc=thaa}', "");
Expect(0, 1970, '\P{^Sc=thaa}', "");
Expect(1, 1969, '\p{Sc=-Thaa}', "");
Expect(0, 1969, '\p{^Sc=-Thaa}', "");
Expect(0, 1969, '\P{Sc=-Thaa}', "");
Expect(1, 1969, '\P{^Sc=-Thaa}', "");
Expect(0, 1970, '\p{Sc=-Thaa}', "");
Expect(1, 1970, '\p{^Sc=-Thaa}', "");
Expect(1, 1970, '\P{Sc=-Thaa}', "");
Expect(0, 1970, '\P{^Sc=-Thaa}', "");
Error('\p{Is_Script= thaana/a/}');
Error('\P{Is_Script= thaana/a/}');
Expect(1, 1969, '\p{Is_Script=thaana}', "");
Expect(0, 1969, '\p{^Is_Script=thaana}', "");
Expect(0, 1969, '\P{Is_Script=thaana}', "");
Expect(1, 1969, '\P{^Is_Script=thaana}', "");
Expect(0, 1970, '\p{Is_Script=thaana}', "");
Expect(1, 1970, '\p{^Is_Script=thaana}', "");
Expect(1, 1970, '\P{Is_Script=thaana}', "");
Expect(0, 1970, '\P{^Is_Script=thaana}', "");
Expect(1, 1969, '\p{Is_Script:	_-Thaana}', "");
Expect(0, 1969, '\p{^Is_Script:	_-Thaana}', "");
Expect(0, 1969, '\P{Is_Script:	_-Thaana}', "");
Expect(1, 1969, '\P{^Is_Script:	_-Thaana}', "");
Expect(0, 1970, '\p{Is_Script:	_-Thaana}', "");
Expect(1, 1970, '\p{^Is_Script:	_-Thaana}', "");
Expect(1, 1970, '\P{Is_Script:	_-Thaana}', "");
Expect(0, 1970, '\P{^Is_Script:	_-Thaana}', "");
Error('\p{Is_Sc=/a/	 Thaa}');
Error('\P{Is_Sc=/a/	 Thaa}');
Expect(1, 1969, '\p{Is_Sc=thaa}', "");
Expect(0, 1969, '\p{^Is_Sc=thaa}', "");
Expect(0, 1969, '\P{Is_Sc=thaa}', "");
Expect(1, 1969, '\P{^Is_Sc=thaa}', "");
Expect(0, 1970, '\p{Is_Sc=thaa}', "");
Expect(1, 1970, '\p{^Is_Sc=thaa}', "");
Expect(1, 1970, '\P{Is_Sc=thaa}', "");
Expect(0, 1970, '\P{^Is_Sc=thaa}', "");
Expect(1, 1969, '\p{Is_Sc=--thaa}', "");
Expect(0, 1969, '\p{^Is_Sc=--thaa}', "");
Expect(0, 1969, '\P{Is_Sc=--thaa}', "");
Expect(1, 1969, '\P{^Is_Sc=--thaa}', "");
Expect(0, 1970, '\p{Is_Sc=--thaa}', "");
Expect(1, 1970, '\p{^Is_Sc=--thaa}', "");
Expect(1, 1970, '\P{Is_Sc=--thaa}', "");
Expect(0, 1970, '\P{^Is_Sc=--thaa}', "");
Error('\p{Script=--thai/a/}');
Error('\P{Script=--thai/a/}');
Expect(1, 3675, '\p{Script=thai}', "");
Expect(0, 3675, '\p{^Script=thai}', "");
Expect(0, 3675, '\P{Script=thai}', "");
Expect(1, 3675, '\P{^Script=thai}', "");
Expect(0, 3676, '\p{Script=thai}', "");
Expect(1, 3676, '\p{^Script=thai}', "");
Expect(1, 3676, '\P{Script=thai}', "");
Expect(0, 3676, '\P{^Script=thai}', "");
Expect(1, 3675, '\p{Script=-THAI}', "");
Expect(0, 3675, '\p{^Script=-THAI}', "");
Expect(0, 3675, '\P{Script=-THAI}', "");
Expect(1, 3675, '\P{^Script=-THAI}', "");
Expect(0, 3676, '\p{Script=-THAI}', "");
Expect(1, 3676, '\p{^Script=-THAI}', "");
Expect(1, 3676, '\P{Script=-THAI}', "");
Expect(0, 3676, '\P{^Script=-THAI}', "");
Error('\p{Sc=		THAI/a/}');
Error('\P{Sc=		THAI/a/}');
Expect(1, 3675, '\p{Sc: thai}', "");
Expect(0, 3675, '\p{^Sc: thai}', "");
Expect(0, 3675, '\P{Sc: thai}', "");
Expect(1, 3675, '\P{^Sc: thai}', "");
Expect(0, 3676, '\p{Sc: thai}', "");
Expect(1, 3676, '\p{^Sc: thai}', "");
Expect(1, 3676, '\P{Sc: thai}', "");
Expect(0, 3676, '\P{^Sc: thai}', "");
Error('\p{Is_Script:   	:=THAI}');
Error('\P{Is_Script:   	:=THAI}');
Expect(1, 3675, '\p{Is_Script=thai}', "");
Expect(0, 3675, '\p{^Is_Script=thai}', "");
Expect(0, 3675, '\P{Is_Script=thai}', "");
Expect(1, 3675, '\P{^Is_Script=thai}', "");
Expect(0, 3676, '\p{Is_Script=thai}', "");
Expect(1, 3676, '\p{^Is_Script=thai}', "");
Expect(1, 3676, '\P{Is_Script=thai}', "");
Expect(0, 3676, '\P{^Is_Script=thai}', "");
Expect(1, 3675, '\p{Is_Script:	--Thai}', "");
Expect(0, 3675, '\p{^Is_Script:	--Thai}', "");
Expect(0, 3675, '\P{Is_Script:	--Thai}', "");
Expect(1, 3675, '\P{^Is_Script:	--Thai}', "");
Expect(0, 3676, '\p{Is_Script:	--Thai}', "");
Expect(1, 3676, '\p{^Is_Script:	--Thai}', "");
Expect(1, 3676, '\P{Is_Script:	--Thai}', "");
Expect(0, 3676, '\P{^Is_Script:	--Thai}', "");
Error('\p{Is_Sc= Thai:=}');
Error('\P{Is_Sc= Thai:=}');
Expect(1, 3675, '\p{Is_Sc:thai}', "");
Expect(0, 3675, '\p{^Is_Sc:thai}', "");
Expect(0, 3675, '\P{Is_Sc:thai}', "");
Expect(1, 3675, '\P{^Is_Sc:thai}', "");
Expect(0, 3676, '\p{Is_Sc:thai}', "");
Expect(1, 3676, '\p{^Is_Sc:thai}', "");
Expect(1, 3676, '\P{Is_Sc:thai}', "");
Expect(0, 3676, '\P{^Is_Sc:thai}', "");
Expect(1, 3675, '\p{Is_Sc=Thai}', "");
Expect(0, 3675, '\p{^Is_Sc=Thai}', "");
Expect(0, 3675, '\P{Is_Sc=Thai}', "");
Expect(1, 3675, '\P{^Is_Sc=Thai}', "");
Expect(0, 3676, '\p{Is_Sc=Thai}', "");
Expect(1, 3676, '\p{^Is_Sc=Thai}', "");
Expect(1, 3676, '\P{Is_Sc=Thai}', "");
Expect(0, 3676, '\P{^Is_Sc=Thai}', "");
Error('\p{Script=/a/--Tibetan}');
Error('\P{Script=/a/--Tibetan}');
Expect(1, 4058, '\p{Script=tibetan}', "");
Expect(0, 4058, '\p{^Script=tibetan}', "");
Expect(0, 4058, '\P{Script=tibetan}', "");
Expect(1, 4058, '\P{^Script=tibetan}', "");
Expect(0, 4059, '\p{Script=tibetan}', "");
Expect(1, 4059, '\p{^Script=tibetan}', "");
Expect(1, 4059, '\P{Script=tibetan}', "");
Expect(0, 4059, '\P{^Script=tibetan}', "");
Expect(1, 4058, '\p{Script=_	Tibetan}', "");
Expect(0, 4058, '\p{^Script=_	Tibetan}', "");
Expect(0, 4058, '\P{Script=_	Tibetan}', "");
Expect(1, 4058, '\P{^Script=_	Tibetan}', "");
Expect(0, 4059, '\p{Script=_	Tibetan}', "");
Expect(1, 4059, '\p{^Script=_	Tibetan}', "");
Expect(1, 4059, '\P{Script=_	Tibetan}', "");
Expect(0, 4059, '\P{^Script=_	Tibetan}', "");
Error('\p{Sc:   -Tibt:=}');
Error('\P{Sc:   -Tibt:=}');
Expect(1, 4058, '\p{Sc=tibt}', "");
Expect(0, 4058, '\p{^Sc=tibt}', "");
Expect(0, 4058, '\P{Sc=tibt}', "");
Expect(1, 4058, '\P{^Sc=tibt}', "");
Expect(0, 4059, '\p{Sc=tibt}', "");
Expect(1, 4059, '\p{^Sc=tibt}', "");
Expect(1, 4059, '\P{Sc=tibt}', "");
Expect(0, 4059, '\P{^Sc=tibt}', "");
Expect(1, 4058, '\p{Sc=_Tibt}', "");
Expect(0, 4058, '\p{^Sc=_Tibt}', "");
Expect(0, 4058, '\P{Sc=_Tibt}', "");
Expect(1, 4058, '\P{^Sc=_Tibt}', "");
Expect(0, 4059, '\p{Sc=_Tibt}', "");
Expect(1, 4059, '\p{^Sc=_Tibt}', "");
Expect(1, 4059, '\P{Sc=_Tibt}', "");
Expect(0, 4059, '\P{^Sc=_Tibt}', "");
Error('\p{Is_Script:   :=_ TIBETAN}');
Error('\P{Is_Script:   :=_ TIBETAN}');
Expect(1, 4058, '\p{Is_Script=tibetan}', "");
Expect(0, 4058, '\p{^Is_Script=tibetan}', "");
Expect(0, 4058, '\P{Is_Script=tibetan}', "");
Expect(1, 4058, '\P{^Is_Script=tibetan}', "");
Expect(0, 4059, '\p{Is_Script=tibetan}', "");
Expect(1, 4059, '\p{^Is_Script=tibetan}', "");
Expect(1, 4059, '\P{Is_Script=tibetan}', "");
Expect(0, 4059, '\P{^Is_Script=tibetan}', "");
Expect(1, 4058, '\p{Is_Script=	 tibetan}', "");
Expect(0, 4058, '\p{^Is_Script=	 tibetan}', "");
Expect(0, 4058, '\P{Is_Script=	 tibetan}', "");
Expect(1, 4058, '\P{^Is_Script=	 tibetan}', "");
Expect(0, 4059, '\p{Is_Script=	 tibetan}', "");
Expect(1, 4059, '\p{^Is_Script=	 tibetan}', "");
Expect(1, 4059, '\P{Is_Script=	 tibetan}', "");
Expect(0, 4059, '\P{^Is_Script=	 tibetan}', "");
Error('\p{Is_Sc=:=__TIBT}');
Error('\P{Is_Sc=:=__TIBT}');
Expect(1, 4058, '\p{Is_Sc=tibt}', "");
Expect(0, 4058, '\p{^Is_Sc=tibt}', "");
Expect(0, 4058, '\P{Is_Sc=tibt}', "");
Expect(1, 4058, '\P{^Is_Sc=tibt}', "");
Expect(0, 4059, '\p{Is_Sc=tibt}', "");
Expect(1, 4059, '\p{^Is_Sc=tibt}', "");
Expect(1, 4059, '\P{Is_Sc=tibt}', "");
Expect(0, 4059, '\P{^Is_Sc=tibt}', "");
Expect(1, 4058, '\p{Is_Sc=__TIBT}', "");
Expect(0, 4058, '\p{^Is_Sc=__TIBT}', "");
Expect(0, 4058, '\P{Is_Sc=__TIBT}', "");
Expect(1, 4058, '\P{^Is_Sc=__TIBT}', "");
Expect(0, 4059, '\p{Is_Sc=__TIBT}', "");
Expect(1, 4059, '\p{^Is_Sc=__TIBT}', "");
Expect(1, 4059, '\P{Is_Sc=__TIBT}', "");
Expect(0, 4059, '\P{^Is_Sc=__TIBT}', "");
Error('\p{Script=:= Tirhuta}');
Error('\P{Script=:= Tirhuta}');
Expect(1, 70873, '\p{Script=tirhuta}', "");
Expect(0, 70873, '\p{^Script=tirhuta}', "");
Expect(0, 70873, '\P{Script=tirhuta}', "");
Expect(1, 70873, '\P{^Script=tirhuta}', "");
Expect(0, 70874, '\p{Script=tirhuta}', "");
Expect(1, 70874, '\p{^Script=tirhuta}', "");
Expect(1, 70874, '\P{Script=tirhuta}', "");
Expect(0, 70874, '\P{^Script=tirhuta}', "");
Expect(1, 70873, '\p{Script=_TIRHUTA}', "");
Expect(0, 70873, '\p{^Script=_TIRHUTA}', "");
Expect(0, 70873, '\P{Script=_TIRHUTA}', "");
Expect(1, 70873, '\P{^Script=_TIRHUTA}', "");
Expect(0, 70874, '\p{Script=_TIRHUTA}', "");
Expect(1, 70874, '\p{^Script=_TIRHUTA}', "");
Expect(1, 70874, '\P{Script=_TIRHUTA}', "");
Expect(0, 70874, '\P{^Script=_TIRHUTA}', "");
Error('\p{Sc=_/a/TIRH}');
Error('\P{Sc=_/a/TIRH}');
Expect(1, 70873, '\p{Sc=tirh}', "");
Expect(0, 70873, '\p{^Sc=tirh}', "");
Expect(0, 70873, '\P{Sc=tirh}', "");
Expect(1, 70873, '\P{^Sc=tirh}', "");
Expect(0, 70874, '\p{Sc=tirh}', "");
Expect(1, 70874, '\p{^Sc=tirh}', "");
Expect(1, 70874, '\P{Sc=tirh}', "");
Expect(0, 70874, '\P{^Sc=tirh}', "");
Expect(1, 70873, '\p{Sc=_TIRH}', "");
Expect(0, 70873, '\p{^Sc=_TIRH}', "");
Expect(0, 70873, '\P{Sc=_TIRH}', "");
Expect(1, 70873, '\P{^Sc=_TIRH}', "");
Expect(0, 70874, '\p{Sc=_TIRH}', "");
Expect(1, 70874, '\p{^Sc=_TIRH}', "");
Expect(1, 70874, '\P{Sc=_TIRH}', "");
Expect(0, 70874, '\P{^Sc=_TIRH}', "");
Error('\p{Is_Script:   _:=TIRHUTA}');
Error('\P{Is_Script:   _:=TIRHUTA}');
Expect(1, 70873, '\p{Is_Script: tirhuta}', "");
Expect(0, 70873, '\p{^Is_Script: tirhuta}', "");
Expect(0, 70873, '\P{Is_Script: tirhuta}', "");
Expect(1, 70873, '\P{^Is_Script: tirhuta}', "");
Expect(0, 70874, '\p{Is_Script: tirhuta}', "");
Expect(1, 70874, '\p{^Is_Script: tirhuta}', "");
Expect(1, 70874, '\P{Is_Script: tirhuta}', "");
Expect(0, 70874, '\P{^Is_Script: tirhuta}', "");
Expect(1, 70873, '\p{Is_Script=-Tirhuta}', "");
Expect(0, 70873, '\p{^Is_Script=-Tirhuta}', "");
Expect(0, 70873, '\P{Is_Script=-Tirhuta}', "");
Expect(1, 70873, '\P{^Is_Script=-Tirhuta}', "");
Expect(0, 70874, '\p{Is_Script=-Tirhuta}', "");
Expect(1, 70874, '\p{^Is_Script=-Tirhuta}', "");
Expect(1, 70874, '\P{Is_Script=-Tirhuta}', "");
Expect(0, 70874, '\P{^Is_Script=-Tirhuta}', "");
Error('\p{Is_Sc:    :=TIRH}');
Error('\P{Is_Sc:    :=TIRH}');
Expect(1, 70873, '\p{Is_Sc:	tirh}', "");
Expect(0, 70873, '\p{^Is_Sc:	tirh}', "");
Expect(0, 70873, '\P{Is_Sc:	tirh}', "");
Expect(1, 70873, '\P{^Is_Sc:	tirh}', "");
Expect(0, 70874, '\p{Is_Sc:	tirh}', "");
Expect(1, 70874, '\p{^Is_Sc:	tirh}', "");
Expect(1, 70874, '\P{Is_Sc:	tirh}', "");
Expect(0, 70874, '\P{^Is_Sc:	tirh}', "");
Expect(1, 70873, '\p{Is_Sc=-	tirh}', "");
Expect(0, 70873, '\p{^Is_Sc=-	tirh}', "");
Expect(0, 70873, '\P{Is_Sc=-	tirh}', "");
Expect(1, 70873, '\P{^Is_Sc=-	tirh}', "");
Expect(0, 70874, '\p{Is_Sc=-	tirh}', "");
Expect(1, 70874, '\p{^Is_Sc=-	tirh}', "");
Expect(1, 70874, '\P{Is_Sc=-	tirh}', "");
Expect(0, 70874, '\P{^Is_Sc=-	tirh}', "");
Error('\p{Script=		ugaritic/a/}');
Error('\P{Script=		ugaritic/a/}');
Expect(1, 66463, '\p{Script=ugaritic}', "");
Expect(0, 66463, '\p{^Script=ugaritic}', "");
Expect(0, 66463, '\P{Script=ugaritic}', "");
Expect(1, 66463, '\P{^Script=ugaritic}', "");
Expect(0, 66464, '\p{Script=ugaritic}', "");
Expect(1, 66464, '\p{^Script=ugaritic}', "");
Expect(1, 66464, '\P{Script=ugaritic}', "");
Expect(0, 66464, '\P{^Script=ugaritic}', "");
Expect(1, 66463, '\p{Script=_ugaritic}', "");
Expect(0, 66463, '\p{^Script=_ugaritic}', "");
Expect(0, 66463, '\P{Script=_ugaritic}', "");
Expect(1, 66463, '\P{^Script=_ugaritic}', "");
Expect(0, 66464, '\p{Script=_ugaritic}', "");
Expect(1, 66464, '\p{^Script=_ugaritic}', "");
Expect(1, 66464, '\P{Script=_ugaritic}', "");
Expect(0, 66464, '\P{^Script=_ugaritic}', "");
Error('\p{Sc=_-Ugar/a/}');
Error('\P{Sc=_-Ugar/a/}');
Expect(1, 66463, '\p{Sc=ugar}', "");
Expect(0, 66463, '\p{^Sc=ugar}', "");
Expect(0, 66463, '\P{Sc=ugar}', "");
Expect(1, 66463, '\P{^Sc=ugar}', "");
Expect(0, 66464, '\p{Sc=ugar}', "");
Expect(1, 66464, '\p{^Sc=ugar}', "");
Expect(1, 66464, '\P{Sc=ugar}', "");
Expect(0, 66464, '\P{^Sc=ugar}', "");
Expect(1, 66463, '\p{Sc=-Ugar}', "");
Expect(0, 66463, '\p{^Sc=-Ugar}', "");
Expect(0, 66463, '\P{Sc=-Ugar}', "");
Expect(1, 66463, '\P{^Sc=-Ugar}', "");
Expect(0, 66464, '\p{Sc=-Ugar}', "");
Expect(1, 66464, '\p{^Sc=-Ugar}', "");
Expect(1, 66464, '\P{Sc=-Ugar}', "");
Expect(0, 66464, '\P{^Sc=-Ugar}', "");
Error('\p{Is_Script=:=	-ugaritic}');
Error('\P{Is_Script=:=	-ugaritic}');
Expect(1, 66463, '\p{Is_Script=ugaritic}', "");
Expect(0, 66463, '\p{^Is_Script=ugaritic}', "");
Expect(0, 66463, '\P{Is_Script=ugaritic}', "");
Expect(1, 66463, '\P{^Is_Script=ugaritic}', "");
Expect(0, 66464, '\p{Is_Script=ugaritic}', "");
Expect(1, 66464, '\p{^Is_Script=ugaritic}', "");
Expect(1, 66464, '\P{Is_Script=ugaritic}', "");
Expect(0, 66464, '\P{^Is_Script=ugaritic}', "");
Expect(1, 66463, '\p{Is_Script=__UGARITIC}', "");
Expect(0, 66463, '\p{^Is_Script=__UGARITIC}', "");
Expect(0, 66463, '\P{Is_Script=__UGARITIC}', "");
Expect(1, 66463, '\P{^Is_Script=__UGARITIC}', "");
Expect(0, 66464, '\p{Is_Script=__UGARITIC}', "");
Expect(1, 66464, '\p{^Is_Script=__UGARITIC}', "");
Expect(1, 66464, '\P{Is_Script=__UGARITIC}', "");
Expect(0, 66464, '\P{^Is_Script=__UGARITIC}', "");
Error('\p{Is_Sc=_/a/ugar}');
Error('\P{Is_Sc=_/a/ugar}');
Expect(1, 66463, '\p{Is_Sc=ugar}', "");
Expect(0, 66463, '\p{^Is_Sc=ugar}', "");
Expect(0, 66463, '\P{Is_Sc=ugar}', "");
Expect(1, 66463, '\P{^Is_Sc=ugar}', "");
Expect(0, 66464, '\p{Is_Sc=ugar}', "");
Expect(1, 66464, '\p{^Is_Sc=ugar}', "");
Expect(1, 66464, '\P{Is_Sc=ugar}', "");
Expect(0, 66464, '\P{^Is_Sc=ugar}', "");
Expect(1, 66463, '\p{Is_Sc:	--ugar}', "");
Expect(0, 66463, '\p{^Is_Sc:	--ugar}', "");
Expect(0, 66463, '\P{Is_Sc:	--ugar}', "");
Expect(1, 66463, '\P{^Is_Sc:	--ugar}', "");
Expect(0, 66464, '\p{Is_Sc:	--ugar}', "");
Expect(1, 66464, '\p{^Is_Sc:	--ugar}', "");
Expect(1, 66464, '\P{Is_Sc:	--ugar}', "");
Expect(0, 66464, '\P{^Is_Sc:	--ugar}', "");
Error('\p{Script:_-vai:=}');
Error('\P{Script:_-vai:=}');
Expect(1, 42539, '\p{Script:vai}', "");
Expect(0, 42539, '\p{^Script:vai}', "");
Expect(0, 42539, '\P{Script:vai}', "");
Expect(1, 42539, '\P{^Script:vai}', "");
Expect(0, 42540, '\p{Script:vai}', "");
Expect(1, 42540, '\p{^Script:vai}', "");
Expect(1, 42540, '\P{Script:vai}', "");
Expect(0, 42540, '\P{^Script:vai}', "");
Expect(1, 42539, '\p{Script=_ VAI}', "");
Expect(0, 42539, '\p{^Script=_ VAI}', "");
Expect(0, 42539, '\P{Script=_ VAI}', "");
Expect(1, 42539, '\P{^Script=_ VAI}', "");
Expect(0, 42540, '\p{Script=_ VAI}', "");
Expect(1, 42540, '\p{^Script=_ VAI}', "");
Expect(1, 42540, '\P{Script=_ VAI}', "");
Expect(0, 42540, '\P{^Script=_ VAI}', "");
Error('\p{Sc=:=vaii}');
Error('\P{Sc=:=vaii}');
Expect(1, 42539, '\p{Sc=vaii}', "");
Expect(0, 42539, '\p{^Sc=vaii}', "");
Expect(0, 42539, '\P{Sc=vaii}', "");
Expect(1, 42539, '\P{^Sc=vaii}', "");
Expect(0, 42540, '\p{Sc=vaii}', "");
Expect(1, 42540, '\p{^Sc=vaii}', "");
Expect(1, 42540, '\P{Sc=vaii}', "");
Expect(0, 42540, '\P{^Sc=vaii}', "");
Expect(1, 42539, '\p{Sc= -VAII}', "");
Expect(0, 42539, '\p{^Sc= -VAII}', "");
Expect(0, 42539, '\P{Sc= -VAII}', "");
Expect(1, 42539, '\P{^Sc= -VAII}', "");
Expect(0, 42540, '\p{Sc= -VAII}', "");
Expect(1, 42540, '\p{^Sc= -VAII}', "");
Expect(1, 42540, '\P{Sc= -VAII}', "");
Expect(0, 42540, '\P{^Sc= -VAII}', "");
Error('\p{Is_Script=_:=Vai}');
Error('\P{Is_Script=_:=Vai}');
Expect(1, 42539, '\p{Is_Script=vai}', "");
Expect(0, 42539, '\p{^Is_Script=vai}', "");
Expect(0, 42539, '\P{Is_Script=vai}', "");
Expect(1, 42539, '\P{^Is_Script=vai}', "");
Expect(0, 42540, '\p{Is_Script=vai}', "");
Expect(1, 42540, '\p{^Is_Script=vai}', "");
Expect(1, 42540, '\P{Is_Script=vai}', "");
Expect(0, 42540, '\P{^Is_Script=vai}', "");
Expect(1, 42539, '\p{Is_Script= 	VAI}', "");
Expect(0, 42539, '\p{^Is_Script= 	VAI}', "");
Expect(0, 42539, '\P{Is_Script= 	VAI}', "");
Expect(1, 42539, '\P{^Is_Script= 	VAI}', "");
Expect(0, 42540, '\p{Is_Script= 	VAI}', "");
Expect(1, 42540, '\p{^Is_Script= 	VAI}', "");
Expect(1, 42540, '\P{Is_Script= 	VAI}', "");
Expect(0, 42540, '\P{^Is_Script= 	VAI}', "");
Error('\p{Is_Sc=_/a/Vaii}');
Error('\P{Is_Sc=_/a/Vaii}');
Expect(1, 42539, '\p{Is_Sc: vaii}', "");
Expect(0, 42539, '\p{^Is_Sc: vaii}', "");
Expect(0, 42539, '\P{Is_Sc: vaii}', "");
Expect(1, 42539, '\P{^Is_Sc: vaii}', "");
Expect(0, 42540, '\p{Is_Sc: vaii}', "");
Expect(1, 42540, '\p{^Is_Sc: vaii}', "");
Expect(1, 42540, '\P{Is_Sc: vaii}', "");
Expect(0, 42540, '\P{^Is_Sc: vaii}', "");
Expect(1, 42539, '\p{Is_Sc=_ VAII}', "");
Expect(0, 42539, '\p{^Is_Sc=_ VAII}', "");
Expect(0, 42539, '\P{Is_Sc=_ VAII}', "");
Expect(1, 42539, '\P{^Is_Sc=_ VAII}', "");
Expect(0, 42540, '\p{Is_Sc=_ VAII}', "");
Expect(1, 42540, '\p{^Is_Sc=_ VAII}', "");
Expect(1, 42540, '\P{Is_Sc=_ VAII}', "");
Expect(0, 42540, '\P{^Is_Sc=_ VAII}', "");
Error('\p{Script=--Warang_Citi:=}');
Error('\P{Script=--Warang_Citi:=}');
Expect(1, 71935, '\p{Script=warangciti}', "");
Expect(0, 71935, '\p{^Script=warangciti}', "");
Expect(0, 71935, '\P{Script=warangciti}', "");
Expect(1, 71935, '\P{^Script=warangciti}', "");
Expect(0, 71936, '\p{Script=warangciti}', "");
Expect(1, 71936, '\p{^Script=warangciti}', "");
Expect(1, 71936, '\P{Script=warangciti}', "");
Expect(0, 71936, '\P{^Script=warangciti}', "");
Expect(1, 71935, '\p{Script=	 Warang_Citi}', "");
Expect(0, 71935, '\p{^Script=	 Warang_Citi}', "");
Expect(0, 71935, '\P{Script=	 Warang_Citi}', "");
Expect(1, 71935, '\P{^Script=	 Warang_Citi}', "");
Expect(0, 71936, '\p{Script=	 Warang_Citi}', "");
Expect(1, 71936, '\p{^Script=	 Warang_Citi}', "");
Expect(1, 71936, '\P{Script=	 Warang_Citi}', "");
Expect(0, 71936, '\P{^Script=	 Warang_Citi}', "");
Error('\p{Sc=:=	wara}');
Error('\P{Sc=:=	wara}');
Expect(1, 71935, '\p{Sc=wara}', "");
Expect(0, 71935, '\p{^Sc=wara}', "");
Expect(0, 71935, '\P{Sc=wara}', "");
Expect(1, 71935, '\P{^Sc=wara}', "");
Expect(0, 71936, '\p{Sc=wara}', "");
Expect(1, 71936, '\p{^Sc=wara}', "");
Expect(1, 71936, '\P{Sc=wara}', "");
Expect(0, 71936, '\P{^Sc=wara}', "");
Expect(1, 71935, '\p{Sc:	_wara}', "");
Expect(0, 71935, '\p{^Sc:	_wara}', "");
Expect(0, 71935, '\P{Sc:	_wara}', "");
Expect(1, 71935, '\P{^Sc:	_wara}', "");
Expect(0, 71936, '\p{Sc:	_wara}', "");
Expect(1, 71936, '\p{^Sc:	_wara}', "");
Expect(1, 71936, '\P{Sc:	_wara}', "");
Expect(0, 71936, '\P{^Sc:	_wara}', "");
Error('\p{Is_Script=:=  Warang_CITI}');
Error('\P{Is_Script=:=  Warang_CITI}');
Expect(1, 71935, '\p{Is_Script=warangciti}', "");
Expect(0, 71935, '\p{^Is_Script=warangciti}', "");
Expect(0, 71935, '\P{Is_Script=warangciti}', "");
Expect(1, 71935, '\P{^Is_Script=warangciti}', "");
Expect(0, 71936, '\p{Is_Script=warangciti}', "");
Expect(1, 71936, '\p{^Is_Script=warangciti}', "");
Expect(1, 71936, '\P{Is_Script=warangciti}', "");
Expect(0, 71936, '\P{^Is_Script=warangciti}', "");
Expect(1, 71935, '\p{Is_Script=--Warang_CITI}', "");
Expect(0, 71935, '\p{^Is_Script=--Warang_CITI}', "");
Expect(0, 71935, '\P{Is_Script=--Warang_CITI}', "");
Expect(1, 71935, '\P{^Is_Script=--Warang_CITI}', "");
Expect(0, 71936, '\p{Is_Script=--Warang_CITI}', "");
Expect(1, 71936, '\p{^Is_Script=--Warang_CITI}', "");
Expect(1, 71936, '\P{Is_Script=--Warang_CITI}', "");
Expect(0, 71936, '\P{^Is_Script=--Warang_CITI}', "");
Error('\p{Is_Sc=_/a/Wara}');
Error('\P{Is_Sc=_/a/Wara}');
Expect(1, 71935, '\p{Is_Sc=wara}', "");
Expect(0, 71935, '\p{^Is_Sc=wara}', "");
Expect(0, 71935, '\P{Is_Sc=wara}', "");
Expect(1, 71935, '\P{^Is_Sc=wara}', "");
Expect(0, 71936, '\p{Is_Sc=wara}', "");
Expect(1, 71936, '\p{^Is_Sc=wara}', "");
Expect(1, 71936, '\P{Is_Sc=wara}', "");
Expect(0, 71936, '\P{^Is_Sc=wara}', "");
Expect(1, 71935, '\p{Is_Sc=	_Wara}', "");
Expect(0, 71935, '\p{^Is_Sc=	_Wara}', "");
Expect(0, 71935, '\P{Is_Sc=	_Wara}', "");
Expect(1, 71935, '\P{^Is_Sc=	_Wara}', "");
Expect(0, 71936, '\p{Is_Sc=	_Wara}', "");
Expect(1, 71936, '\p{^Is_Sc=	_Wara}', "");
Expect(1, 71936, '\P{Is_Sc=	_Wara}', "");
Expect(0, 71936, '\P{^Is_Sc=	_Wara}', "");
Error('\p{Script=-Old_PERSIAN/a/}');
Error('\P{Script=-Old_PERSIAN/a/}');
Expect(1, 66517, '\p{Script=oldpersian}', "");
Expect(0, 66517, '\p{^Script=oldpersian}', "");
Expect(0, 66517, '\P{Script=oldpersian}', "");
Expect(1, 66517, '\P{^Script=oldpersian}', "");
Expect(0, 66518, '\p{Script=oldpersian}', "");
Expect(1, 66518, '\p{^Script=oldpersian}', "");
Expect(1, 66518, '\P{Script=oldpersian}', "");
Expect(0, 66518, '\P{^Script=oldpersian}', "");
Expect(1, 66517, '\p{Script= -Old_Persian}', "");
Expect(0, 66517, '\p{^Script= -Old_Persian}', "");
Expect(0, 66517, '\P{Script= -Old_Persian}', "");
Expect(1, 66517, '\P{^Script= -Old_Persian}', "");
Expect(0, 66518, '\p{Script= -Old_Persian}', "");
Expect(1, 66518, '\p{^Script= -Old_Persian}', "");
Expect(1, 66518, '\P{Script= -Old_Persian}', "");
Expect(0, 66518, '\P{^Script= -Old_Persian}', "");
Error('\p{Sc=_:=Xpeo}');
Error('\P{Sc=_:=Xpeo}');
Expect(1, 66517, '\p{Sc=xpeo}', "");
Expect(0, 66517, '\p{^Sc=xpeo}', "");
Expect(0, 66517, '\P{Sc=xpeo}', "");
Expect(1, 66517, '\P{^Sc=xpeo}', "");
Expect(0, 66518, '\p{Sc=xpeo}', "");
Expect(1, 66518, '\p{^Sc=xpeo}', "");
Expect(1, 66518, '\P{Sc=xpeo}', "");
Expect(0, 66518, '\P{^Sc=xpeo}', "");
Expect(1, 66517, '\p{Sc=__Xpeo}', "");
Expect(0, 66517, '\p{^Sc=__Xpeo}', "");
Expect(0, 66517, '\P{Sc=__Xpeo}', "");
Expect(1, 66517, '\P{^Sc=__Xpeo}', "");
Expect(0, 66518, '\p{Sc=__Xpeo}', "");
Expect(1, 66518, '\p{^Sc=__Xpeo}', "");
Expect(1, 66518, '\P{Sc=__Xpeo}', "");
Expect(0, 66518, '\P{^Sc=__Xpeo}', "");
Error('\p{Is_Script=/a/- Old_Persian}');
Error('\P{Is_Script=/a/- Old_Persian}');
Expect(1, 66517, '\p{Is_Script:	oldpersian}', "");
Expect(0, 66517, '\p{^Is_Script:	oldpersian}', "");
Expect(0, 66517, '\P{Is_Script:	oldpersian}', "");
Expect(1, 66517, '\P{^Is_Script:	oldpersian}', "");
Expect(0, 66518, '\p{Is_Script:	oldpersian}', "");
Expect(1, 66518, '\p{^Is_Script:	oldpersian}', "");
Expect(1, 66518, '\P{Is_Script:	oldpersian}', "");
Expect(0, 66518, '\P{^Is_Script:	oldpersian}', "");
Expect(1, 66517, '\p{Is_Script=_ Old_persian}', "");
Expect(0, 66517, '\p{^Is_Script=_ Old_persian}', "");
Expect(0, 66517, '\P{Is_Script=_ Old_persian}', "");
Expect(1, 66517, '\P{^Is_Script=_ Old_persian}', "");
Expect(0, 66518, '\p{Is_Script=_ Old_persian}', "");
Expect(1, 66518, '\p{^Is_Script=_ Old_persian}', "");
Expect(1, 66518, '\P{Is_Script=_ Old_persian}', "");
Expect(0, 66518, '\P{^Is_Script=_ Old_persian}', "");
Error('\p{Is_Sc=/a/-_XPEO}');
Error('\P{Is_Sc=/a/-_XPEO}');
Expect(1, 66517, '\p{Is_Sc=xpeo}', "");
Expect(0, 66517, '\p{^Is_Sc=xpeo}', "");
Expect(0, 66517, '\P{Is_Sc=xpeo}', "");
Expect(1, 66517, '\P{^Is_Sc=xpeo}', "");
Expect(0, 66518, '\p{Is_Sc=xpeo}', "");
Expect(1, 66518, '\p{^Is_Sc=xpeo}', "");
Expect(1, 66518, '\P{Is_Sc=xpeo}', "");
Expect(0, 66518, '\P{^Is_Sc=xpeo}', "");
Expect(1, 66517, '\p{Is_Sc: Xpeo}', "");
Expect(0, 66517, '\p{^Is_Sc: Xpeo}', "");
Expect(0, 66517, '\P{Is_Sc: Xpeo}', "");
Expect(1, 66517, '\P{^Is_Sc: Xpeo}', "");
Expect(0, 66518, '\p{Is_Sc: Xpeo}', "");
Expect(1, 66518, '\p{^Is_Sc: Xpeo}', "");
Expect(1, 66518, '\P{Is_Sc: Xpeo}', "");
Expect(0, 66518, '\P{^Is_Sc: Xpeo}', "");
Error('\p{Script=	_Cuneiform/a/}');
Error('\P{Script=	_Cuneiform/a/}');
Expect(1, 75075, '\p{Script=cuneiform}', "");
Expect(0, 75075, '\p{^Script=cuneiform}', "");
Expect(0, 75075, '\P{Script=cuneiform}', "");
Expect(1, 75075, '\P{^Script=cuneiform}', "");
Expect(0, 75076, '\p{Script=cuneiform}', "");
Expect(1, 75076, '\p{^Script=cuneiform}', "");
Expect(1, 75076, '\P{Script=cuneiform}', "");
Expect(0, 75076, '\P{^Script=cuneiform}', "");
Expect(1, 75075, '\p{Script=	_CUNEIFORM}', "");
Expect(0, 75075, '\p{^Script=	_CUNEIFORM}', "");
Expect(0, 75075, '\P{Script=	_CUNEIFORM}', "");
Expect(1, 75075, '\P{^Script=	_CUNEIFORM}', "");
Expect(0, 75076, '\p{Script=	_CUNEIFORM}', "");
Expect(1, 75076, '\p{^Script=	_CUNEIFORM}', "");
Expect(1, 75076, '\P{Script=	_CUNEIFORM}', "");
Expect(0, 75076, '\P{^Script=	_CUNEIFORM}', "");
Error('\p{Sc=/a/  Xsux}');
Error('\P{Sc=/a/  Xsux}');
Expect(1, 75075, '\p{Sc=xsux}', "");
Expect(0, 75075, '\p{^Sc=xsux}', "");
Expect(0, 75075, '\P{Sc=xsux}', "");
Expect(1, 75075, '\P{^Sc=xsux}', "");
Expect(0, 75076, '\p{Sc=xsux}', "");
Expect(1, 75076, '\p{^Sc=xsux}', "");
Expect(1, 75076, '\P{Sc=xsux}', "");
Expect(0, 75076, '\P{^Sc=xsux}', "");
Expect(1, 75075, '\p{Sc=__xsux}', "");
Expect(0, 75075, '\p{^Sc=__xsux}', "");
Expect(0, 75075, '\P{Sc=__xsux}', "");
Expect(1, 75075, '\P{^Sc=__xsux}', "");
Expect(0, 75076, '\p{Sc=__xsux}', "");
Expect(1, 75076, '\p{^Sc=__xsux}', "");
Expect(1, 75076, '\P{Sc=__xsux}', "");
Expect(0, 75076, '\P{^Sc=__xsux}', "");
Error('\p{Is_Script=:= 	cuneiform}');
Error('\P{Is_Script=:= 	cuneiform}');
Expect(1, 75075, '\p{Is_Script=cuneiform}', "");
Expect(0, 75075, '\p{^Is_Script=cuneiform}', "");
Expect(0, 75075, '\P{Is_Script=cuneiform}', "");
Expect(1, 75075, '\P{^Is_Script=cuneiform}', "");
Expect(0, 75076, '\p{Is_Script=cuneiform}', "");
Expect(1, 75076, '\p{^Is_Script=cuneiform}', "");
Expect(1, 75076, '\P{Is_Script=cuneiform}', "");
Expect(0, 75076, '\P{^Is_Script=cuneiform}', "");
Expect(1, 75075, '\p{Is_Script= Cuneiform}', "");
Expect(0, 75075, '\p{^Is_Script= Cuneiform}', "");
Expect(0, 75075, '\P{Is_Script= Cuneiform}', "");
Expect(1, 75075, '\P{^Is_Script= Cuneiform}', "");
Expect(0, 75076, '\p{Is_Script= Cuneiform}', "");
Expect(1, 75076, '\p{^Is_Script= Cuneiform}', "");
Expect(1, 75076, '\P{Is_Script= Cuneiform}', "");
Expect(0, 75076, '\P{^Is_Script= Cuneiform}', "");
Error('\p{Is_Sc= :=Xsux}');
Error('\P{Is_Sc= :=Xsux}');
Expect(1, 75075, '\p{Is_Sc: xsux}', "");
Expect(0, 75075, '\p{^Is_Sc: xsux}', "");
Expect(0, 75075, '\P{Is_Sc: xsux}', "");
Expect(1, 75075, '\P{^Is_Sc: xsux}', "");
Expect(0, 75076, '\p{Is_Sc: xsux}', "");
Expect(1, 75076, '\p{^Is_Sc: xsux}', "");
Expect(1, 75076, '\P{Is_Sc: xsux}', "");
Expect(0, 75076, '\P{^Is_Sc: xsux}', "");
Expect(1, 75075, '\p{Is_Sc=- Xsux}', "");
Expect(0, 75075, '\p{^Is_Sc=- Xsux}', "");
Expect(0, 75075, '\P{Is_Sc=- Xsux}', "");
Expect(1, 75075, '\P{^Is_Sc=- Xsux}', "");
Expect(0, 75076, '\p{Is_Sc=- Xsux}', "");
Expect(1, 75076, '\p{^Is_Sc=- Xsux}', "");
Expect(1, 75076, '\P{Is_Sc=- Xsux}', "");
Expect(0, 75076, '\P{^Is_Sc=- Xsux}', "");
Error('\p{Script=-/a/yi}');
Error('\P{Script=-/a/yi}');
Expect(1, 42182, '\p{Script=yi}', "");
Expect(0, 42182, '\p{^Script=yi}', "");
Expect(0, 42182, '\P{Script=yi}', "");
Expect(1, 42182, '\P{^Script=yi}', "");
Expect(0, 42183, '\p{Script=yi}', "");
Expect(1, 42183, '\p{^Script=yi}', "");
Expect(1, 42183, '\P{Script=yi}', "");
Expect(0, 42183, '\P{^Script=yi}', "");
Expect(1, 42182, '\p{Script=-_Yi}', "");
Expect(0, 42182, '\p{^Script=-_Yi}', "");
Expect(0, 42182, '\P{Script=-_Yi}', "");
Expect(1, 42182, '\P{^Script=-_Yi}', "");
Expect(0, 42183, '\p{Script=-_Yi}', "");
Expect(1, 42183, '\p{^Script=-_Yi}', "");
Expect(1, 42183, '\P{Script=-_Yi}', "");
Expect(0, 42183, '\P{^Script=-_Yi}', "");
Error('\p{Sc=:=	 Yiii}');
Error('\P{Sc=:=	 Yiii}');
Expect(1, 42182, '\p{Sc=yiii}', "");
Expect(0, 42182, '\p{^Sc=yiii}', "");
Expect(0, 42182, '\P{Sc=yiii}', "");
Expect(1, 42182, '\P{^Sc=yiii}', "");
Expect(0, 42183, '\p{Sc=yiii}', "");
Expect(1, 42183, '\p{^Sc=yiii}', "");
Expect(1, 42183, '\P{Sc=yiii}', "");
Expect(0, 42183, '\P{^Sc=yiii}', "");
Expect(1, 42182, '\p{Sc: 	_Yiii}', "");
Expect(0, 42182, '\p{^Sc: 	_Yiii}', "");
Expect(0, 42182, '\P{Sc: 	_Yiii}', "");
Expect(1, 42182, '\P{^Sc: 	_Yiii}', "");
Expect(0, 42183, '\p{Sc: 	_Yiii}', "");
Expect(1, 42183, '\p{^Sc: 	_Yiii}', "");
Expect(1, 42183, '\P{Sc: 	_Yiii}', "");
Expect(0, 42183, '\P{^Sc: 	_Yiii}', "");
Error('\p{Is_Script=:= Yi}');
Error('\P{Is_Script=:= Yi}');
Expect(1, 42182, '\p{Is_Script=yi}', "");
Expect(0, 42182, '\p{^Is_Script=yi}', "");
Expect(0, 42182, '\P{Is_Script=yi}', "");
Expect(1, 42182, '\P{^Is_Script=yi}', "");
Expect(0, 42183, '\p{Is_Script=yi}', "");
Expect(1, 42183, '\p{^Is_Script=yi}', "");
Expect(1, 42183, '\P{Is_Script=yi}', "");
Expect(0, 42183, '\P{^Is_Script=yi}', "");
Expect(1, 42182, '\p{Is_Script=-Yi}', "");
Expect(0, 42182, '\p{^Is_Script=-Yi}', "");
Expect(0, 42182, '\P{Is_Script=-Yi}', "");
Expect(1, 42182, '\P{^Is_Script=-Yi}', "");
Expect(0, 42183, '\p{Is_Script=-Yi}', "");
Expect(1, 42183, '\p{^Is_Script=-Yi}', "");
Expect(1, 42183, '\P{Is_Script=-Yi}', "");
Expect(0, 42183, '\P{^Is_Script=-Yi}', "");
Error('\p{Is_Sc=-Yiii:=}');
Error('\P{Is_Sc=-Yiii:=}');
Expect(1, 42182, '\p{Is_Sc:	yiii}', "");
Expect(0, 42182, '\p{^Is_Sc:	yiii}', "");
Expect(0, 42182, '\P{Is_Sc:	yiii}', "");
Expect(1, 42182, '\P{^Is_Sc:	yiii}', "");
Expect(0, 42183, '\p{Is_Sc:	yiii}', "");
Expect(1, 42183, '\p{^Is_Sc:	yiii}', "");
Expect(1, 42183, '\P{Is_Sc:	yiii}', "");
Expect(0, 42183, '\P{^Is_Sc:	yiii}', "");
Expect(1, 42182, '\p{Is_Sc=_YIII}', "");
Expect(0, 42182, '\p{^Is_Sc=_YIII}', "");
Expect(0, 42182, '\P{Is_Sc=_YIII}', "");
Expect(1, 42182, '\P{^Is_Sc=_YIII}', "");
Expect(0, 42183, '\p{Is_Sc=_YIII}', "");
Expect(1, 42183, '\p{^Is_Sc=_YIII}', "");
Expect(1, 42183, '\P{Is_Sc=_YIII}', "");
Expect(0, 42183, '\P{^Is_Sc=_YIII}', "");
Error('\p{Script:   :=inherited}');
Error('\P{Script:   :=inherited}');
Expect(1, 917999, '\p{Script=inherited}', "");
Expect(0, 917999, '\p{^Script=inherited}', "");
Expect(0, 917999, '\P{Script=inherited}', "");
Expect(1, 917999, '\P{^Script=inherited}', "");
Expect(0, 918000, '\p{Script=inherited}', "");
Expect(1, 918000, '\p{^Script=inherited}', "");
Expect(1, 918000, '\P{Script=inherited}', "");
Expect(0, 918000, '\P{^Script=inherited}', "");
Expect(1, 917999, '\p{Script=-	INHERITED}', "");
Expect(0, 917999, '\p{^Script=-	INHERITED}', "");
Expect(0, 917999, '\P{Script=-	INHERITED}', "");
Expect(1, 917999, '\P{^Script=-	INHERITED}', "");
Expect(0, 918000, '\p{Script=-	INHERITED}', "");
Expect(1, 918000, '\p{^Script=-	INHERITED}', "");
Expect(1, 918000, '\P{Script=-	INHERITED}', "");
Expect(0, 918000, '\P{^Script=-	INHERITED}', "");
Error('\p{Sc=/a/_ Zinh}');
Error('\P{Sc=/a/_ Zinh}');
Expect(1, 917999, '\p{Sc=zinh}', "");
Expect(0, 917999, '\p{^Sc=zinh}', "");
Expect(0, 917999, '\P{Sc=zinh}', "");
Expect(1, 917999, '\P{^Sc=zinh}', "");
Expect(0, 918000, '\p{Sc=zinh}', "");
Expect(1, 918000, '\p{^Sc=zinh}', "");
Expect(1, 918000, '\P{Sc=zinh}', "");
Expect(0, 918000, '\P{^Sc=zinh}', "");
Expect(1, 917999, '\p{Sc=-ZINH}', "");
Expect(0, 917999, '\p{^Sc=-ZINH}', "");
Expect(0, 917999, '\P{Sc=-ZINH}', "");
Expect(1, 917999, '\P{^Sc=-ZINH}', "");
Expect(0, 918000, '\p{Sc=-ZINH}', "");
Expect(1, 918000, '\p{^Sc=-ZINH}', "");
Expect(1, 918000, '\P{Sc=-ZINH}', "");
Expect(0, 918000, '\P{^Sc=-ZINH}', "");
Error('\p{Is_Script=_/a/qaai}');
Error('\P{Is_Script=_/a/qaai}');
Expect(1, 917999, '\p{Is_Script=qaai}', "");
Expect(0, 917999, '\p{^Is_Script=qaai}', "");
Expect(0, 917999, '\P{Is_Script=qaai}', "");
Expect(1, 917999, '\P{^Is_Script=qaai}', "");
Expect(0, 918000, '\p{Is_Script=qaai}', "");
Expect(1, 918000, '\p{^Is_Script=qaai}', "");
Expect(1, 918000, '\P{Is_Script=qaai}', "");
Expect(0, 918000, '\P{^Is_Script=qaai}', "");
Expect(1, 917999, '\p{Is_Script= 	Qaai}', "");
Expect(0, 917999, '\p{^Is_Script= 	Qaai}', "");
Expect(0, 917999, '\P{Is_Script= 	Qaai}', "");
Expect(1, 917999, '\P{^Is_Script= 	Qaai}', "");
Expect(0, 918000, '\p{Is_Script= 	Qaai}', "");
Expect(1, 918000, '\p{^Is_Script= 	Qaai}', "");
Expect(1, 918000, '\P{Is_Script= 	Qaai}', "");
Expect(0, 918000, '\P{^Is_Script= 	Qaai}', "");
Error('\p{Is_Sc=/a/	 INHERITED}');
Error('\P{Is_Sc=/a/	 INHERITED}');
Expect(1, 917999, '\p{Is_Sc=inherited}', "");
Expect(0, 917999, '\p{^Is_Sc=inherited}', "");
Expect(0, 917999, '\P{Is_Sc=inherited}', "");
Expect(1, 917999, '\P{^Is_Sc=inherited}', "");
Expect(0, 918000, '\p{Is_Sc=inherited}', "");
Expect(1, 918000, '\p{^Is_Sc=inherited}', "");
Expect(1, 918000, '\P{Is_Sc=inherited}', "");
Expect(0, 918000, '\P{^Is_Sc=inherited}', "");
Expect(1, 917999, '\p{Is_Sc=_INHERITED}', "");
Expect(0, 917999, '\p{^Is_Sc=_INHERITED}', "");
Expect(0, 917999, '\P{Is_Sc=_INHERITED}', "");
Expect(1, 917999, '\P{^Is_Sc=_INHERITED}', "");
Expect(0, 918000, '\p{Is_Sc=_INHERITED}', "");
Expect(1, 918000, '\p{^Is_Sc=_INHERITED}', "");
Expect(1, 918000, '\P{Is_Sc=_INHERITED}', "");
Expect(0, 918000, '\P{^Is_Sc=_INHERITED}', "");
Error('\p{Script=:=Common}');
Error('\P{Script=:=Common}');
Expect(1, 917631, '\p{Script=common}', "");
Expect(0, 917631, '\p{^Script=common}', "");
Expect(0, 917631, '\P{Script=common}', "");
Expect(1, 917631, '\P{^Script=common}', "");
Expect(0, 917632, '\p{Script=common}', "");
Expect(1, 917632, '\p{^Script=common}', "");
Expect(1, 917632, '\P{Script=common}', "");
Expect(0, 917632, '\P{^Script=common}', "");
Expect(1, 917631, '\p{Script= 	Common}', "");
Expect(0, 917631, '\p{^Script= 	Common}', "");
Expect(0, 917631, '\P{Script= 	Common}', "");
Expect(1, 917631, '\P{^Script= 	Common}', "");
Expect(0, 917632, '\p{Script= 	Common}', "");
Expect(1, 917632, '\p{^Script= 	Common}', "");
Expect(1, 917632, '\P{Script= 	Common}', "");
Expect(0, 917632, '\P{^Script= 	Common}', "");
Error('\p{Sc:	 /a/ZYYY}');
Error('\P{Sc:	 /a/ZYYY}');
Expect(1, 917631, '\p{Sc=zyyy}', "");
Expect(0, 917631, '\p{^Sc=zyyy}', "");
Expect(0, 917631, '\P{Sc=zyyy}', "");
Expect(1, 917631, '\P{^Sc=zyyy}', "");
Expect(0, 917632, '\p{Sc=zyyy}', "");
Expect(1, 917632, '\p{^Sc=zyyy}', "");
Expect(1, 917632, '\P{Sc=zyyy}', "");
Expect(0, 917632, '\P{^Sc=zyyy}', "");
Expect(1, 917631, '\p{Sc=	 Zyyy}', "");
Expect(0, 917631, '\p{^Sc=	 Zyyy}', "");
Expect(0, 917631, '\P{Sc=	 Zyyy}', "");
Expect(1, 917631, '\P{^Sc=	 Zyyy}', "");
Expect(0, 917632, '\p{Sc=	 Zyyy}', "");
Expect(1, 917632, '\p{^Sc=	 Zyyy}', "");
Expect(1, 917632, '\P{Sc=	 Zyyy}', "");
Expect(0, 917632, '\P{^Sc=	 Zyyy}', "");
Error('\p{Is_Script=Common:=}');
Error('\P{Is_Script=Common:=}');
Expect(1, 917631, '\p{Is_Script=common}', "");
Expect(0, 917631, '\p{^Is_Script=common}', "");
Expect(0, 917631, '\P{Is_Script=common}', "");
Expect(1, 917631, '\P{^Is_Script=common}', "");
Expect(0, 917632, '\p{Is_Script=common}', "");
Expect(1, 917632, '\p{^Is_Script=common}', "");
Expect(1, 917632, '\P{Is_Script=common}', "");
Expect(0, 917632, '\P{^Is_Script=common}', "");
Expect(1, 917631, '\p{Is_Script=	 common}', "");
Expect(0, 917631, '\p{^Is_Script=	 common}', "");
Expect(0, 917631, '\P{Is_Script=	 common}', "");
Expect(1, 917631, '\P{^Is_Script=	 common}', "");
Expect(0, 917632, '\p{Is_Script=	 common}', "");
Expect(1, 917632, '\p{^Is_Script=	 common}', "");
Expect(1, 917632, '\P{Is_Script=	 common}', "");
Expect(0, 917632, '\P{^Is_Script=	 common}', "");
Error('\p{Is_Sc=-/a/Zyyy}');
Error('\P{Is_Sc=-/a/Zyyy}');
Expect(1, 917631, '\p{Is_Sc=zyyy}', "");
Expect(0, 917631, '\p{^Is_Sc=zyyy}', "");
Expect(0, 917631, '\P{Is_Sc=zyyy}', "");
Expect(1, 917631, '\P{^Is_Sc=zyyy}', "");
Expect(0, 917632, '\p{Is_Sc=zyyy}', "");
Expect(1, 917632, '\p{^Is_Sc=zyyy}', "");
Expect(1, 917632, '\P{Is_Sc=zyyy}', "");
Expect(0, 917632, '\P{^Is_Sc=zyyy}', "");
Expect(1, 917631, '\p{Is_Sc= zyyy}', "");
Expect(0, 917631, '\p{^Is_Sc= zyyy}', "");
Expect(0, 917631, '\P{Is_Sc= zyyy}', "");
Expect(1, 917631, '\P{^Is_Sc= zyyy}', "");
Expect(0, 917632, '\p{Is_Sc= zyyy}', "");
Expect(1, 917632, '\p{^Is_Sc= zyyy}', "");
Expect(1, 917632, '\P{Is_Sc= zyyy}', "");
Expect(0, 917632, '\P{^Is_Sc= zyyy}', "");
Error('\p{Script:   -:=Unknown}');
Error('\P{Script:   -:=Unknown}');
Expect(1, 918000, '\p{Script=unknown}', "");
Expect(0, 918000, '\p{^Script=unknown}', "");
Expect(0, 918000, '\P{Script=unknown}', "");
Expect(1, 918000, '\P{^Script=unknown}', "");
Expect(0, 917999, '\p{Script=unknown}', "");
Expect(1, 917999, '\p{^Script=unknown}', "");
Expect(1, 917999, '\P{Script=unknown}', "");
Expect(0, 917999, '\P{^Script=unknown}', "");
Expect(1, 918000, '\p{Script= Unknown}', "");
Expect(0, 918000, '\p{^Script= Unknown}', "");
Expect(0, 918000, '\P{Script= Unknown}', "");
Expect(1, 918000, '\P{^Script= Unknown}', "");
Expect(0, 917999, '\p{Script= Unknown}', "");
Expect(1, 917999, '\p{^Script= Unknown}', "");
Expect(1, 917999, '\P{Script= Unknown}', "");
Expect(0, 917999, '\P{^Script= Unknown}', "");
Error('\p{Sc= :=Zzzz}');
Error('\P{Sc= :=Zzzz}');
Expect(1, 918000, '\p{Sc=zzzz}', "");
Expect(0, 918000, '\p{^Sc=zzzz}', "");
Expect(0, 918000, '\P{Sc=zzzz}', "");
Expect(1, 918000, '\P{^Sc=zzzz}', "");
Expect(0, 917999, '\p{Sc=zzzz}', "");
Expect(1, 917999, '\p{^Sc=zzzz}', "");
Expect(1, 917999, '\P{Sc=zzzz}', "");
Expect(0, 917999, '\P{^Sc=zzzz}', "");
Expect(1, 918000, '\p{Sc=_-Zzzz}', "");
Expect(0, 918000, '\p{^Sc=_-Zzzz}', "");
Expect(0, 918000, '\P{Sc=_-Zzzz}', "");
Expect(1, 918000, '\P{^Sc=_-Zzzz}', "");
Expect(0, 917999, '\p{Sc=_-Zzzz}', "");
Expect(1, 917999, '\p{^Sc=_-Zzzz}', "");
Expect(1, 917999, '\P{Sc=_-Zzzz}', "");
Expect(0, 917999, '\P{^Sc=_-Zzzz}', "");
Error('\p{Is_Script: :=unknown}');
Error('\P{Is_Script: :=unknown}');
Expect(1, 918000, '\p{Is_Script=unknown}', "");
Expect(0, 918000, '\p{^Is_Script=unknown}', "");
Expect(0, 918000, '\P{Is_Script=unknown}', "");
Expect(1, 918000, '\P{^Is_Script=unknown}', "");
Expect(0, 917999, '\p{Is_Script=unknown}', "");
Expect(1, 917999, '\p{^Is_Script=unknown}', "");
Expect(1, 917999, '\P{Is_Script=unknown}', "");
Expect(0, 917999, '\P{^Is_Script=unknown}', "");
Expect(1, 918000, '\p{Is_Script= 	UNKNOWN}', "");
Expect(0, 918000, '\p{^Is_Script= 	UNKNOWN}', "");
Expect(0, 918000, '\P{Is_Script= 	UNKNOWN}', "");
Expect(1, 918000, '\P{^Is_Script= 	UNKNOWN}', "");
Expect(0, 917999, '\p{Is_Script= 	UNKNOWN}', "");
Expect(1, 917999, '\p{^Is_Script= 	UNKNOWN}', "");
Expect(1, 917999, '\P{Is_Script= 	UNKNOWN}', "");
Expect(0, 917999, '\P{^Is_Script= 	UNKNOWN}', "");
Error('\p{Is_Sc=:=Zzzz}');
Error('\P{Is_Sc=:=Zzzz}');
Expect(1, 918000, '\p{Is_Sc=zzzz}', "");
Expect(0, 918000, '\p{^Is_Sc=zzzz}', "");
Expect(0, 918000, '\P{Is_Sc=zzzz}', "");
Expect(1, 918000, '\P{^Is_Sc=zzzz}', "");
Expect(0, 917999, '\p{Is_Sc=zzzz}', "");
Expect(1, 917999, '\p{^Is_Sc=zzzz}', "");
Expect(1, 917999, '\P{Is_Sc=zzzz}', "");
Expect(0, 917999, '\P{^Is_Sc=zzzz}', "");
Expect(1, 918000, '\p{Is_Sc:		ZZZZ}', "");
Expect(0, 918000, '\p{^Is_Sc:		ZZZZ}', "");
Expect(0, 918000, '\P{Is_Sc:		ZZZZ}', "");
Expect(1, 918000, '\P{^Is_Sc:		ZZZZ}', "");
Expect(0, 917999, '\p{Is_Sc:		ZZZZ}', "");
Expect(1, 917999, '\p{^Is_Sc:		ZZZZ}', "");
Expect(1, 917999, '\P{Is_Sc:		ZZZZ}', "");
Expect(0, 917999, '\P{^Is_Sc:		ZZZZ}', "");
Error('\p{Script_Extensions: /a/__caucasian_Albanian}');
Error('\P{Script_Extensions: /a/__caucasian_Albanian}');
Expect(1, 66927, '\p{Script_Extensions=caucasianalbanian}', "");
Expect(0, 66927, '\p{^Script_Extensions=caucasianalbanian}', "");
Expect(0, 66927, '\P{Script_Extensions=caucasianalbanian}', "");
Expect(1, 66927, '\P{^Script_Extensions=caucasianalbanian}', "");
Expect(0, 66928, '\p{Script_Extensions=caucasianalbanian}', "");
Expect(1, 66928, '\p{^Script_Extensions=caucasianalbanian}', "");
Expect(1, 66928, '\P{Script_Extensions=caucasianalbanian}', "");
Expect(0, 66928, '\P{^Script_Extensions=caucasianalbanian}', "");
Expect(1, 66927, '\p{Script_Extensions=	-Caucasian_ALBANIAN}', "");
Expect(0, 66927, '\p{^Script_Extensions=	-Caucasian_ALBANIAN}', "");
Expect(0, 66927, '\P{Script_Extensions=	-Caucasian_ALBANIAN}', "");
Expect(1, 66927, '\P{^Script_Extensions=	-Caucasian_ALBANIAN}', "");
Expect(0, 66928, '\p{Script_Extensions=	-Caucasian_ALBANIAN}', "");
Expect(1, 66928, '\p{^Script_Extensions=	-Caucasian_ALBANIAN}', "");
Expect(1, 66928, '\P{Script_Extensions=	-Caucasian_ALBANIAN}', "");
Expect(0, 66928, '\P{^Script_Extensions=	-Caucasian_ALBANIAN}', "");
Error('\p{Scx=:=	 aghb}');
Error('\P{Scx=:=	 aghb}');
Expect(1, 66927, '\p{Scx=aghb}', "");
Expect(0, 66927, '\p{^Scx=aghb}', "");
Expect(0, 66927, '\P{Scx=aghb}', "");
Expect(1, 66927, '\P{^Scx=aghb}', "");
Expect(0, 66928, '\p{Scx=aghb}', "");
Expect(1, 66928, '\p{^Scx=aghb}', "");
Expect(1, 66928, '\P{Scx=aghb}', "");
Expect(0, 66928, '\P{^Scx=aghb}', "");
Expect(1, 66927, '\p{Scx=_Aghb}', "");
Expect(0, 66927, '\p{^Scx=_Aghb}', "");
Expect(0, 66927, '\P{Scx=_Aghb}', "");
Expect(1, 66927, '\P{^Scx=_Aghb}', "");
Expect(0, 66928, '\p{Scx=_Aghb}', "");
Expect(1, 66928, '\p{^Scx=_Aghb}', "");
Expect(1, 66928, '\P{Scx=_Aghb}', "");
Expect(0, 66928, '\P{^Scx=_Aghb}', "");
Error('\p{Is_Script_Extensions=:=	_Caucasian_Albanian}');
Error('\P{Is_Script_Extensions=:=	_Caucasian_Albanian}');
Expect(1, 66927, '\p{Is_Script_Extensions=caucasianalbanian}', "");
Expect(0, 66927, '\p{^Is_Script_Extensions=caucasianalbanian}', "");
Expect(0, 66927, '\P{Is_Script_Extensions=caucasianalbanian}', "");
Expect(1, 66927, '\P{^Is_Script_Extensions=caucasianalbanian}', "");
Expect(0, 66928, '\p{Is_Script_Extensions=caucasianalbanian}', "");
Expect(1, 66928, '\p{^Is_Script_Extensions=caucasianalbanian}', "");
Expect(1, 66928, '\P{Is_Script_Extensions=caucasianalbanian}', "");
Expect(0, 66928, '\P{^Is_Script_Extensions=caucasianalbanian}', "");
Expect(1, 66927, '\p{Is_Script_Extensions=-	caucasian_ALBANIAN}', "");
Expect(0, 66927, '\p{^Is_Script_Extensions=-	caucasian_ALBANIAN}', "");
Expect(0, 66927, '\P{Is_Script_Extensions=-	caucasian_ALBANIAN}', "");
Expect(1, 66927, '\P{^Is_Script_Extensions=-	caucasian_ALBANIAN}', "");
Expect(0, 66928, '\p{Is_Script_Extensions=-	caucasian_ALBANIAN}', "");
Expect(1, 66928, '\p{^Is_Script_Extensions=-	caucasian_ALBANIAN}', "");
Expect(1, 66928, '\P{Is_Script_Extensions=-	caucasian_ALBANIAN}', "");
Expect(0, 66928, '\P{^Is_Script_Extensions=-	caucasian_ALBANIAN}', "");
Error('\p{Is_Scx:   _:=aghb}');
Error('\P{Is_Scx:   _:=aghb}');
Expect(1, 66927, '\p{Is_Scx=aghb}', "");
Expect(0, 66927, '\p{^Is_Scx=aghb}', "");
Expect(0, 66927, '\P{Is_Scx=aghb}', "");
Expect(1, 66927, '\P{^Is_Scx=aghb}', "");
Expect(0, 66928, '\p{Is_Scx=aghb}', "");
Expect(1, 66928, '\p{^Is_Scx=aghb}', "");
Expect(1, 66928, '\P{Is_Scx=aghb}', "");
Expect(0, 66928, '\P{^Is_Scx=aghb}', "");
Expect(1, 66927, '\p{Is_Scx= aghb}', "");
Expect(0, 66927, '\p{^Is_Scx= aghb}', "");
Expect(0, 66927, '\P{Is_Scx= aghb}', "");
Expect(1, 66927, '\P{^Is_Scx= aghb}', "");
Expect(0, 66928, '\p{Is_Scx= aghb}', "");
Expect(1, 66928, '\p{^Is_Scx= aghb}', "");
Expect(1, 66928, '\P{Is_Scx= aghb}', "");
Expect(0, 66928, '\P{^Is_Scx= aghb}', "");
Error('\p{Script_Extensions=	:=Ahom}');
Error('\P{Script_Extensions=	:=Ahom}');
Expect(1, 71487, '\p{Script_Extensions=ahom}', "");
Expect(0, 71487, '\p{^Script_Extensions=ahom}', "");
Expect(0, 71487, '\P{Script_Extensions=ahom}', "");
Expect(1, 71487, '\P{^Script_Extensions=ahom}', "");
Expect(0, 71488, '\p{Script_Extensions=ahom}', "");
Expect(1, 71488, '\p{^Script_Extensions=ahom}', "");
Expect(1, 71488, '\P{Script_Extensions=ahom}', "");
Expect(0, 71488, '\P{^Script_Extensions=ahom}', "");
Expect(1, 71487, '\p{Script_Extensions= AHOM}', "");
Expect(0, 71487, '\p{^Script_Extensions= AHOM}', "");
Expect(0, 71487, '\P{Script_Extensions= AHOM}', "");
Expect(1, 71487, '\P{^Script_Extensions= AHOM}', "");
Expect(0, 71488, '\p{Script_Extensions= AHOM}', "");
Expect(1, 71488, '\p{^Script_Extensions= AHOM}', "");
Expect(1, 71488, '\P{Script_Extensions= AHOM}', "");
Expect(0, 71488, '\P{^Script_Extensions= AHOM}', "");
Error('\p{Scx=_-ahom:=}');
Error('\P{Scx=_-ahom:=}');
Expect(1, 71487, '\p{Scx=ahom}', "");
Expect(0, 71487, '\p{^Scx=ahom}', "");
Expect(0, 71487, '\P{Scx=ahom}', "");
Expect(1, 71487, '\P{^Scx=ahom}', "");
Expect(0, 71488, '\p{Scx=ahom}', "");
Expect(1, 71488, '\p{^Scx=ahom}', "");
Expect(1, 71488, '\P{Scx=ahom}', "");
Expect(0, 71488, '\P{^Scx=ahom}', "");
Expect(1, 71487, '\p{Scx=	ahom}', "");
Expect(0, 71487, '\p{^Scx=	ahom}', "");
Expect(0, 71487, '\P{Scx=	ahom}', "");
Expect(1, 71487, '\P{^Scx=	ahom}', "");
Expect(0, 71488, '\p{Scx=	ahom}', "");
Expect(1, 71488, '\p{^Scx=	ahom}', "");
Expect(1, 71488, '\P{Scx=	ahom}', "");
Expect(0, 71488, '\P{^Scx=	ahom}', "");
Error('\p{Is_Script_Extensions=_	AHOM:=}');
Error('\P{Is_Script_Extensions=_	AHOM:=}');
Expect(1, 71487, '\p{Is_Script_Extensions=ahom}', "");
Expect(0, 71487, '\p{^Is_Script_Extensions=ahom}', "");
Expect(0, 71487, '\P{Is_Script_Extensions=ahom}', "");
Expect(1, 71487, '\P{^Is_Script_Extensions=ahom}', "");
Expect(0, 71488, '\p{Is_Script_Extensions=ahom}', "");
Expect(1, 71488, '\p{^Is_Script_Extensions=ahom}', "");
Expect(1, 71488, '\P{Is_Script_Extensions=ahom}', "");
Expect(0, 71488, '\P{^Is_Script_Extensions=ahom}', "");
Expect(1, 71487, '\p{Is_Script_Extensions:   		AHOM}', "");
Expect(0, 71487, '\p{^Is_Script_Extensions:   		AHOM}', "");
Expect(0, 71487, '\P{Is_Script_Extensions:   		AHOM}', "");
Expect(1, 71487, '\P{^Is_Script_Extensions:   		AHOM}', "");
Expect(0, 71488, '\p{Is_Script_Extensions:   		AHOM}', "");
Expect(1, 71488, '\p{^Is_Script_Extensions:   		AHOM}', "");
Expect(1, 71488, '\P{Is_Script_Extensions:   		AHOM}', "");
Expect(0, 71488, '\P{^Is_Script_Extensions:   		AHOM}', "");
Error('\p{Is_Scx=	/a/Ahom}');
Error('\P{Is_Scx=	/a/Ahom}');
Expect(1, 71487, '\p{Is_Scx=ahom}', "");
Expect(0, 71487, '\p{^Is_Scx=ahom}', "");
Expect(0, 71487, '\P{Is_Scx=ahom}', "");
Expect(1, 71487, '\P{^Is_Scx=ahom}', "");
Expect(0, 71488, '\p{Is_Scx=ahom}', "");
Expect(1, 71488, '\p{^Is_Scx=ahom}', "");
Expect(1, 71488, '\P{Is_Scx=ahom}', "");
Expect(0, 71488, '\P{^Is_Scx=ahom}', "");
Expect(1, 71487, '\p{Is_Scx=		Ahom}', "");
Expect(0, 71487, '\p{^Is_Scx=		Ahom}', "");
Expect(0, 71487, '\P{Is_Scx=		Ahom}', "");
Expect(1, 71487, '\P{^Is_Scx=		Ahom}', "");
Expect(0, 71488, '\p{Is_Scx=		Ahom}', "");
Expect(1, 71488, '\p{^Is_Scx=		Ahom}', "");
Expect(1, 71488, '\P{Is_Scx=		Ahom}', "");
Expect(0, 71488, '\P{^Is_Scx=		Ahom}', "");
Error('\p{Script_Extensions=-/a/arabic}');
Error('\P{Script_Extensions=-/a/arabic}');
Expect(1, 126705, '\p{Script_Extensions=arabic}', "");
Expect(0, 126705, '\p{^Script_Extensions=arabic}', "");
Expect(0, 126705, '\P{Script_Extensions=arabic}', "");
Expect(1, 126705, '\P{^Script_Extensions=arabic}', "");
Expect(0, 126706, '\p{Script_Extensions=arabic}', "");
Expect(1, 126706, '\p{^Script_Extensions=arabic}', "");
Expect(1, 126706, '\P{Script_Extensions=arabic}', "");
Expect(0, 126706, '\P{^Script_Extensions=arabic}', "");
Expect(1, 126705, '\p{Script_Extensions=-ARABIC}', "");
Expect(0, 126705, '\p{^Script_Extensions=-ARABIC}', "");
Expect(0, 126705, '\P{Script_Extensions=-ARABIC}', "");
Expect(1, 126705, '\P{^Script_Extensions=-ARABIC}', "");
Expect(0, 126706, '\p{Script_Extensions=-ARABIC}', "");
Expect(1, 126706, '\p{^Script_Extensions=-ARABIC}', "");
Expect(1, 126706, '\P{Script_Extensions=-ARABIC}', "");
Expect(0, 126706, '\P{^Script_Extensions=-ARABIC}', "");
Error('\p{Scx=:=ARAB}');
Error('\P{Scx=:=ARAB}');
Expect(1, 126705, '\p{Scx=arab}', "");
Expect(0, 126705, '\p{^Scx=arab}', "");
Expect(0, 126705, '\P{Scx=arab}', "");
Expect(1, 126705, '\P{^Scx=arab}', "");
Expect(0, 126706, '\p{Scx=arab}', "");
Expect(1, 126706, '\p{^Scx=arab}', "");
Expect(1, 126706, '\P{Scx=arab}', "");
Expect(0, 126706, '\P{^Scx=arab}', "");
Expect(1, 126705, '\p{Scx: -Arab}', "");
Expect(0, 126705, '\p{^Scx: -Arab}', "");
Expect(0, 126705, '\P{Scx: -Arab}', "");
Expect(1, 126705, '\P{^Scx: -Arab}', "");
Expect(0, 126706, '\p{Scx: -Arab}', "");
Expect(1, 126706, '\p{^Scx: -Arab}', "");
Expect(1, 126706, '\P{Scx: -Arab}', "");
Expect(0, 126706, '\P{^Scx: -Arab}', "");
Error('\p{Is_Script_Extensions=_/a/arabic}');
Error('\P{Is_Script_Extensions=_/a/arabic}');
Expect(1, 126705, '\p{Is_Script_Extensions=arabic}', "");
Expect(0, 126705, '\p{^Is_Script_Extensions=arabic}', "");
Expect(0, 126705, '\P{Is_Script_Extensions=arabic}', "");
Expect(1, 126705, '\P{^Is_Script_Extensions=arabic}', "");
Expect(0, 126706, '\p{Is_Script_Extensions=arabic}', "");
Expect(1, 126706, '\p{^Is_Script_Extensions=arabic}', "");
Expect(1, 126706, '\P{Is_Script_Extensions=arabic}', "");
Expect(0, 126706, '\P{^Is_Script_Extensions=arabic}', "");
Expect(1, 126705, '\p{Is_Script_Extensions=-	Arabic}', "");
Expect(0, 126705, '\p{^Is_Script_Extensions=-	Arabic}', "");
Expect(0, 126705, '\P{Is_Script_Extensions=-	Arabic}', "");
Expect(1, 126705, '\P{^Is_Script_Extensions=-	Arabic}', "");
Expect(0, 126706, '\p{Is_Script_Extensions=-	Arabic}', "");
Expect(1, 126706, '\p{^Is_Script_Extensions=-	Arabic}', "");
Expect(1, 126706, '\P{Is_Script_Extensions=-	Arabic}', "");
Expect(0, 126706, '\P{^Is_Script_Extensions=-	Arabic}', "");
Error('\p{Is_Scx=		ARAB:=}');
Error('\P{Is_Scx=		ARAB:=}');
Expect(1, 126705, '\p{Is_Scx=arab}', "");
Expect(0, 126705, '\p{^Is_Scx=arab}', "");
Expect(0, 126705, '\P{Is_Scx=arab}', "");
Expect(1, 126705, '\P{^Is_Scx=arab}', "");
Expect(0, 126706, '\p{Is_Scx=arab}', "");
Expect(1, 126706, '\p{^Is_Scx=arab}', "");
Expect(1, 126706, '\P{Is_Scx=arab}', "");
Expect(0, 126706, '\P{^Is_Scx=arab}', "");
Expect(1, 126705, '\p{Is_Scx= -Arab}', "");
Expect(0, 126705, '\p{^Is_Scx= -Arab}', "");
Expect(0, 126705, '\P{Is_Scx= -Arab}', "");
Expect(1, 126705, '\P{^Is_Scx= -Arab}', "");
Expect(0, 126706, '\p{Is_Scx= -Arab}', "");
Expect(1, 126706, '\p{^Is_Scx= -Arab}', "");
Expect(1, 126706, '\P{Is_Scx= -Arab}', "");
Expect(0, 126706, '\P{^Is_Scx= -Arab}', "");
Error('\p{Script_Extensions: imperial_ARAMAIC/a/}');
Error('\P{Script_Extensions: imperial_ARAMAIC/a/}');
Expect(1, 67679, '\p{Script_Extensions=imperialaramaic}', "");
Expect(0, 67679, '\p{^Script_Extensions=imperialaramaic}', "");
Expect(0, 67679, '\P{Script_Extensions=imperialaramaic}', "");
Expect(1, 67679, '\P{^Script_Extensions=imperialaramaic}', "");
Expect(0, 67680, '\p{Script_Extensions=imperialaramaic}', "");
Expect(1, 67680, '\p{^Script_Extensions=imperialaramaic}', "");
Expect(1, 67680, '\P{Script_Extensions=imperialaramaic}', "");
Expect(0, 67680, '\P{^Script_Extensions=imperialaramaic}', "");
Expect(1, 67679, '\p{Script_Extensions:	_imperial_ARAMAIC}', "");
Expect(0, 67679, '\p{^Script_Extensions:	_imperial_ARAMAIC}', "");
Expect(0, 67679, '\P{Script_Extensions:	_imperial_ARAMAIC}', "");
Expect(1, 67679, '\P{^Script_Extensions:	_imperial_ARAMAIC}', "");
Expect(0, 67680, '\p{Script_Extensions:	_imperial_ARAMAIC}', "");
Expect(1, 67680, '\p{^Script_Extensions:	_imperial_ARAMAIC}', "");
Expect(1, 67680, '\P{Script_Extensions:	_imperial_ARAMAIC}', "");
Expect(0, 67680, '\P{^Script_Extensions:	_imperial_ARAMAIC}', "");
Error('\p{Scx=/a/Armi}');
Error('\P{Scx=/a/Armi}');
Expect(1, 67679, '\p{Scx=armi}', "");
Expect(0, 67679, '\p{^Scx=armi}', "");
Expect(0, 67679, '\P{Scx=armi}', "");
Expect(1, 67679, '\P{^Scx=armi}', "");
Expect(0, 67680, '\p{Scx=armi}', "");
Expect(1, 67680, '\p{^Scx=armi}', "");
Expect(1, 67680, '\P{Scx=armi}', "");
Expect(0, 67680, '\P{^Scx=armi}', "");
Expect(1, 67679, '\p{Scx= ARMI}', "");
Expect(0, 67679, '\p{^Scx= ARMI}', "");
Expect(0, 67679, '\P{Scx= ARMI}', "");
Expect(1, 67679, '\P{^Scx= ARMI}', "");
Expect(0, 67680, '\p{Scx= ARMI}', "");
Expect(1, 67680, '\p{^Scx= ARMI}', "");
Expect(1, 67680, '\P{Scx= ARMI}', "");
Expect(0, 67680, '\P{^Scx= ARMI}', "");
Error('\p{Is_Script_Extensions=_IMPERIAL_aramaic/a/}');
Error('\P{Is_Script_Extensions=_IMPERIAL_aramaic/a/}');
Expect(1, 67679, '\p{Is_Script_Extensions:imperialaramaic}', "");
Expect(0, 67679, '\p{^Is_Script_Extensions:imperialaramaic}', "");
Expect(0, 67679, '\P{Is_Script_Extensions:imperialaramaic}', "");
Expect(1, 67679, '\P{^Is_Script_Extensions:imperialaramaic}', "");
Expect(0, 67680, '\p{Is_Script_Extensions:imperialaramaic}', "");
Expect(1, 67680, '\p{^Is_Script_Extensions:imperialaramaic}', "");
Expect(1, 67680, '\P{Is_Script_Extensions:imperialaramaic}', "");
Expect(0, 67680, '\P{^Is_Script_Extensions:imperialaramaic}', "");
Expect(1, 67679, '\p{Is_Script_Extensions=-_imperial_Aramaic}', "");
Expect(0, 67679, '\p{^Is_Script_Extensions=-_imperial_Aramaic}', "");
Expect(0, 67679, '\P{Is_Script_Extensions=-_imperial_Aramaic}', "");
Expect(1, 67679, '\P{^Is_Script_Extensions=-_imperial_Aramaic}', "");
Expect(0, 67680, '\p{Is_Script_Extensions=-_imperial_Aramaic}', "");
Expect(1, 67680, '\p{^Is_Script_Extensions=-_imperial_Aramaic}', "");
Expect(1, 67680, '\P{Is_Script_Extensions=-_imperial_Aramaic}', "");
Expect(0, 67680, '\P{^Is_Script_Extensions=-_imperial_Aramaic}', "");
Error('\p{Is_Scx=:=  Armi}');
Error('\P{Is_Scx=:=  Armi}');
Expect(1, 67679, '\p{Is_Scx=armi}', "");
Expect(0, 67679, '\p{^Is_Scx=armi}', "");
Expect(0, 67679, '\P{Is_Scx=armi}', "");
Expect(1, 67679, '\P{^Is_Scx=armi}', "");
Expect(0, 67680, '\p{Is_Scx=armi}', "");
Expect(1, 67680, '\p{^Is_Scx=armi}', "");
Expect(1, 67680, '\P{Is_Scx=armi}', "");
Expect(0, 67680, '\P{^Is_Scx=armi}', "");
Expect(1, 67679, '\p{Is_Scx=	armi}', "");
Expect(0, 67679, '\p{^Is_Scx=	armi}', "");
Expect(0, 67679, '\P{Is_Scx=	armi}', "");
Expect(1, 67679, '\P{^Is_Scx=	armi}', "");
Expect(0, 67680, '\p{Is_Scx=	armi}', "");
Expect(1, 67680, '\p{^Is_Scx=	armi}', "");
Expect(1, 67680, '\P{Is_Scx=	armi}', "");
Expect(0, 67680, '\P{^Is_Scx=	armi}', "");
Error('\p{Script_Extensions=-Armenian:=}');
Error('\P{Script_Extensions=-Armenian:=}');
Expect(1, 64279, '\p{Script_Extensions=armenian}', "");
Expect(0, 64279, '\p{^Script_Extensions=armenian}', "");
Expect(0, 64279, '\P{Script_Extensions=armenian}', "");
Expect(1, 64279, '\P{^Script_Extensions=armenian}', "");
Expect(0, 64280, '\p{Script_Extensions=armenian}', "");
Expect(1, 64280, '\p{^Script_Extensions=armenian}', "");
Expect(1, 64280, '\P{Script_Extensions=armenian}', "");
Expect(0, 64280, '\P{^Script_Extensions=armenian}', "");
Expect(1, 64279, '\p{Script_Extensions= 	ARMENIAN}', "");
Expect(0, 64279, '\p{^Script_Extensions= 	ARMENIAN}', "");
Expect(0, 64279, '\P{Script_Extensions= 	ARMENIAN}', "");
Expect(1, 64279, '\P{^Script_Extensions= 	ARMENIAN}', "");
Expect(0, 64280, '\p{Script_Extensions= 	ARMENIAN}', "");
Expect(1, 64280, '\p{^Script_Extensions= 	ARMENIAN}', "");
Expect(1, 64280, '\P{Script_Extensions= 	ARMENIAN}', "");
Expect(0, 64280, '\P{^Script_Extensions= 	ARMENIAN}', "");
Error('\p{Scx=	/a/Armn}');
Error('\P{Scx=	/a/Armn}');
Expect(1, 64279, '\p{Scx=armn}', "");
Expect(0, 64279, '\p{^Scx=armn}', "");
Expect(0, 64279, '\P{Scx=armn}', "");
Expect(1, 64279, '\P{^Scx=armn}', "");
Expect(0, 64280, '\p{Scx=armn}', "");
Expect(1, 64280, '\p{^Scx=armn}', "");
Expect(1, 64280, '\P{Scx=armn}', "");
Expect(0, 64280, '\P{^Scx=armn}', "");
Expect(1, 64279, '\p{Scx=	Armn}', "");
Expect(0, 64279, '\p{^Scx=	Armn}', "");
Expect(0, 64279, '\P{Scx=	Armn}', "");
Expect(1, 64279, '\P{^Scx=	Armn}', "");
Expect(0, 64280, '\p{Scx=	Armn}', "");
Expect(1, 64280, '\p{^Scx=	Armn}', "");
Expect(1, 64280, '\P{Scx=	Armn}', "");
Expect(0, 64280, '\P{^Scx=	Armn}', "");
Error('\p{Is_Script_Extensions=_Armenian:=}');
Error('\P{Is_Script_Extensions=_Armenian:=}');
Expect(1, 64279, '\p{Is_Script_Extensions=armenian}', "");
Expect(0, 64279, '\p{^Is_Script_Extensions=armenian}', "");
Expect(0, 64279, '\P{Is_Script_Extensions=armenian}', "");
Expect(1, 64279, '\P{^Is_Script_Extensions=armenian}', "");
Expect(0, 64280, '\p{Is_Script_Extensions=armenian}', "");
Expect(1, 64280, '\p{^Is_Script_Extensions=armenian}', "");
Expect(1, 64280, '\P{Is_Script_Extensions=armenian}', "");
Expect(0, 64280, '\P{^Is_Script_Extensions=armenian}', "");
Expect(1, 64279, '\p{Is_Script_Extensions=	_ARMENIAN}', "");
Expect(0, 64279, '\p{^Is_Script_Extensions=	_ARMENIAN}', "");
Expect(0, 64279, '\P{Is_Script_Extensions=	_ARMENIAN}', "");
Expect(1, 64279, '\P{^Is_Script_Extensions=	_ARMENIAN}', "");
Expect(0, 64280, '\p{Is_Script_Extensions=	_ARMENIAN}', "");
Expect(1, 64280, '\p{^Is_Script_Extensions=	_ARMENIAN}', "");
Expect(1, 64280, '\P{Is_Script_Extensions=	_ARMENIAN}', "");
Expect(0, 64280, '\P{^Is_Script_Extensions=	_ARMENIAN}', "");
Error('\p{Is_Scx=:=-	Armn}');
Error('\P{Is_Scx=:=-	Armn}');
Expect(1, 64279, '\p{Is_Scx:   armn}', "");
Expect(0, 64279, '\p{^Is_Scx:   armn}', "");
Expect(0, 64279, '\P{Is_Scx:   armn}', "");
Expect(1, 64279, '\P{^Is_Scx:   armn}', "");
Expect(0, 64280, '\p{Is_Scx:   armn}', "");
Expect(1, 64280, '\p{^Is_Scx:   armn}', "");
Expect(1, 64280, '\P{Is_Scx:   armn}', "");
Expect(0, 64280, '\P{^Is_Scx:   armn}', "");
Expect(1, 64279, '\p{Is_Scx=--Armn}', "");
Expect(0, 64279, '\p{^Is_Scx=--Armn}', "");
Expect(0, 64279, '\P{Is_Scx=--Armn}', "");
Expect(1, 64279, '\P{^Is_Scx=--Armn}', "");
Expect(0, 64280, '\p{Is_Scx=--Armn}', "");
Expect(1, 64280, '\p{^Is_Scx=--Armn}', "");
Expect(1, 64280, '\P{Is_Scx=--Armn}', "");
Expect(0, 64280, '\P{^Is_Scx=--Armn}', "");
Error('\p{Script_Extensions=_/a/avestan}');
Error('\P{Script_Extensions=_/a/avestan}');
Expect(1, 68415, '\p{Script_Extensions:   avestan}', "");
Expect(0, 68415, '\p{^Script_Extensions:   avestan}', "");
Expect(0, 68415, '\P{Script_Extensions:   avestan}', "");
Expect(1, 68415, '\P{^Script_Extensions:   avestan}', "");
Expect(0, 68416, '\p{Script_Extensions:   avestan}', "");
Expect(1, 68416, '\p{^Script_Extensions:   avestan}', "");
Expect(1, 68416, '\P{Script_Extensions:   avestan}', "");
Expect(0, 68416, '\P{^Script_Extensions:   avestan}', "");
Expect(1, 68415, '\p{Script_Extensions=-_AVESTAN}', "");
Expect(0, 68415, '\p{^Script_Extensions=-_AVESTAN}', "");
Expect(0, 68415, '\P{Script_Extensions=-_AVESTAN}', "");
Expect(1, 68415, '\P{^Script_Extensions=-_AVESTAN}', "");
Expect(0, 68416, '\p{Script_Extensions=-_AVESTAN}', "");
Expect(1, 68416, '\p{^Script_Extensions=-_AVESTAN}', "");
Expect(1, 68416, '\P{Script_Extensions=-_AVESTAN}', "");
Expect(0, 68416, '\P{^Script_Extensions=-_AVESTAN}', "");
Error('\p{Scx=  Avst:=}');
Error('\P{Scx=  Avst:=}');
Expect(1, 68415, '\p{Scx=avst}', "");
Expect(0, 68415, '\p{^Scx=avst}', "");
Expect(0, 68415, '\P{Scx=avst}', "");
Expect(1, 68415, '\P{^Scx=avst}', "");
Expect(0, 68416, '\p{Scx=avst}', "");
Expect(1, 68416, '\p{^Scx=avst}', "");
Expect(1, 68416, '\P{Scx=avst}', "");
Expect(0, 68416, '\P{^Scx=avst}', "");
Expect(1, 68415, '\p{Scx= _Avst}', "");
Expect(0, 68415, '\p{^Scx= _Avst}', "");
Expect(0, 68415, '\P{Scx= _Avst}', "");
Expect(1, 68415, '\P{^Scx= _Avst}', "");
Expect(0, 68416, '\p{Scx= _Avst}', "");
Expect(1, 68416, '\p{^Scx= _Avst}', "");
Expect(1, 68416, '\P{Scx= _Avst}', "");
Expect(0, 68416, '\P{^Scx= _Avst}', "");
Error('\p{Is_Script_Extensions=_/a/Avestan}');
Error('\P{Is_Script_Extensions=_/a/Avestan}');
Expect(1, 68415, '\p{Is_Script_Extensions=avestan}', "");
Expect(0, 68415, '\p{^Is_Script_Extensions=avestan}', "");
Expect(0, 68415, '\P{Is_Script_Extensions=avestan}', "");
Expect(1, 68415, '\P{^Is_Script_Extensions=avestan}', "");
Expect(0, 68416, '\p{Is_Script_Extensions=avestan}', "");
Expect(1, 68416, '\p{^Is_Script_Extensions=avestan}', "");
Expect(1, 68416, '\P{Is_Script_Extensions=avestan}', "");
Expect(0, 68416, '\P{^Is_Script_Extensions=avestan}', "");
Expect(1, 68415, '\p{Is_Script_Extensions=Avestan}', "");
Expect(0, 68415, '\p{^Is_Script_Extensions=Avestan}', "");
Expect(0, 68415, '\P{Is_Script_Extensions=Avestan}', "");
Expect(1, 68415, '\P{^Is_Script_Extensions=Avestan}', "");
Expect(0, 68416, '\p{Is_Script_Extensions=Avestan}', "");
Expect(1, 68416, '\p{^Is_Script_Extensions=Avestan}', "");
Expect(1, 68416, '\P{Is_Script_Extensions=Avestan}', "");
Expect(0, 68416, '\P{^Is_Script_Extensions=Avestan}', "");
Error('\p{Is_Scx=-AVST/a/}');
Error('\P{Is_Scx=-AVST/a/}');
Expect(1, 68415, '\p{Is_Scx=avst}', "");
Expect(0, 68415, '\p{^Is_Scx=avst}', "");
Expect(0, 68415, '\P{Is_Scx=avst}', "");
Expect(1, 68415, '\P{^Is_Scx=avst}', "");
Expect(0, 68416, '\p{Is_Scx=avst}', "");
Expect(1, 68416, '\p{^Is_Scx=avst}', "");
Expect(1, 68416, '\P{Is_Scx=avst}', "");
Expect(0, 68416, '\P{^Is_Scx=avst}', "");
Expect(1, 68415, '\p{Is_Scx= 	Avst}', "");
Expect(0, 68415, '\p{^Is_Scx= 	Avst}', "");
Expect(0, 68415, '\P{Is_Scx= 	Avst}', "");
Expect(1, 68415, '\P{^Is_Scx= 	Avst}', "");
Expect(0, 68416, '\p{Is_Scx= 	Avst}', "");
Expect(1, 68416, '\p{^Is_Scx= 	Avst}', "");
Expect(1, 68416, '\P{Is_Scx= 	Avst}', "");
Expect(0, 68416, '\P{^Is_Scx= 	Avst}', "");
Error('\p{Script_Extensions: /a/BALINESE}');
Error('\P{Script_Extensions: /a/BALINESE}');
Expect(1, 7036, '\p{Script_Extensions=balinese}', "");
Expect(0, 7036, '\p{^Script_Extensions=balinese}', "");
Expect(0, 7036, '\P{Script_Extensions=balinese}', "");
Expect(1, 7036, '\P{^Script_Extensions=balinese}', "");
Expect(0, 7037, '\p{Script_Extensions=balinese}', "");
Expect(1, 7037, '\p{^Script_Extensions=balinese}', "");
Expect(1, 7037, '\P{Script_Extensions=balinese}', "");
Expect(0, 7037, '\P{^Script_Extensions=balinese}', "");
Expect(1, 7036, '\p{Script_Extensions= 	Balinese}', "");
Expect(0, 7036, '\p{^Script_Extensions= 	Balinese}', "");
Expect(0, 7036, '\P{Script_Extensions= 	Balinese}', "");
Expect(1, 7036, '\P{^Script_Extensions= 	Balinese}', "");
Expect(0, 7037, '\p{Script_Extensions= 	Balinese}', "");
Expect(1, 7037, '\p{^Script_Extensions= 	Balinese}', "");
Expect(1, 7037, '\P{Script_Extensions= 	Balinese}', "");
Expect(0, 7037, '\P{^Script_Extensions= 	Balinese}', "");
Error('\p{Scx= :=bali}');
Error('\P{Scx= :=bali}');
Expect(1, 7036, '\p{Scx=bali}', "");
Expect(0, 7036, '\p{^Scx=bali}', "");
Expect(0, 7036, '\P{Scx=bali}', "");
Expect(1, 7036, '\P{^Scx=bali}', "");
Expect(0, 7037, '\p{Scx=bali}', "");
Expect(1, 7037, '\p{^Scx=bali}', "");
Expect(1, 7037, '\P{Scx=bali}', "");
Expect(0, 7037, '\P{^Scx=bali}', "");
Expect(1, 7036, '\p{Scx=_Bali}', "");
Expect(0, 7036, '\p{^Scx=_Bali}', "");
Expect(0, 7036, '\P{Scx=_Bali}', "");
Expect(1, 7036, '\P{^Scx=_Bali}', "");
Expect(0, 7037, '\p{Scx=_Bali}', "");
Expect(1, 7037, '\p{^Scx=_Bali}', "");
Expect(1, 7037, '\P{Scx=_Bali}', "");
Expect(0, 7037, '\P{^Scx=_Bali}', "");
Error('\p{Is_Script_Extensions=/a/_ balinese}');
Error('\P{Is_Script_Extensions=/a/_ balinese}');
Expect(1, 7036, '\p{Is_Script_Extensions=balinese}', "");
Expect(0, 7036, '\p{^Is_Script_Extensions=balinese}', "");
Expect(0, 7036, '\P{Is_Script_Extensions=balinese}', "");
Expect(1, 7036, '\P{^Is_Script_Extensions=balinese}', "");
Expect(0, 7037, '\p{Is_Script_Extensions=balinese}', "");
Expect(1, 7037, '\p{^Is_Script_Extensions=balinese}', "");
Expect(1, 7037, '\P{Is_Script_Extensions=balinese}', "");
Expect(0, 7037, '\P{^Is_Script_Extensions=balinese}', "");
Expect(1, 7036, '\p{Is_Script_Extensions= _Balinese}', "");
Expect(0, 7036, '\p{^Is_Script_Extensions= _Balinese}', "");
Expect(0, 7036, '\P{Is_Script_Extensions= _Balinese}', "");
Expect(1, 7036, '\P{^Is_Script_Extensions= _Balinese}', "");
Expect(0, 7037, '\p{Is_Script_Extensions= _Balinese}', "");
Expect(1, 7037, '\p{^Is_Script_Extensions= _Balinese}', "");
Expect(1, 7037, '\P{Is_Script_Extensions= _Balinese}', "");
Expect(0, 7037, '\P{^Is_Script_Extensions= _Balinese}', "");
Error('\p{Is_Scx=_:=BALI}');
Error('\P{Is_Scx=_:=BALI}');
Expect(1, 7036, '\p{Is_Scx=bali}', "");
Expect(0, 7036, '\p{^Is_Scx=bali}', "");
Expect(0, 7036, '\P{Is_Scx=bali}', "");
Expect(1, 7036, '\P{^Is_Scx=bali}', "");
Expect(0, 7037, '\p{Is_Scx=bali}', "");
Expect(1, 7037, '\p{^Is_Scx=bali}', "");
Expect(1, 7037, '\P{Is_Scx=bali}', "");
Expect(0, 7037, '\P{^Is_Scx=bali}', "");
Expect(1, 7036, '\p{Is_Scx=		BALI}', "");
Expect(0, 7036, '\p{^Is_Scx=		BALI}', "");
Expect(0, 7036, '\P{Is_Scx=		BALI}', "");
Expect(1, 7036, '\P{^Is_Scx=		BALI}', "");
Expect(0, 7037, '\p{Is_Scx=		BALI}', "");
Expect(1, 7037, '\p{^Is_Scx=		BALI}', "");
Expect(1, 7037, '\P{Is_Scx=		BALI}', "");
Expect(0, 7037, '\P{^Is_Scx=		BALI}', "");
Error('\p{Script_Extensions= Bamum:=}');
Error('\P{Script_Extensions= Bamum:=}');
Expect(1, 92728, '\p{Script_Extensions=bamum}', "");
Expect(0, 92728, '\p{^Script_Extensions=bamum}', "");
Expect(0, 92728, '\P{Script_Extensions=bamum}', "");
Expect(1, 92728, '\P{^Script_Extensions=bamum}', "");
Expect(0, 92729, '\p{Script_Extensions=bamum}', "");
Expect(1, 92729, '\p{^Script_Extensions=bamum}', "");
Expect(1, 92729, '\P{Script_Extensions=bamum}', "");
Expect(0, 92729, '\P{^Script_Extensions=bamum}', "");
Expect(1, 92728, '\p{Script_Extensions=- BAMUM}', "");
Expect(0, 92728, '\p{^Script_Extensions=- BAMUM}', "");
Expect(0, 92728, '\P{Script_Extensions=- BAMUM}', "");
Expect(1, 92728, '\P{^Script_Extensions=- BAMUM}', "");
Expect(0, 92729, '\p{Script_Extensions=- BAMUM}', "");
Expect(1, 92729, '\p{^Script_Extensions=- BAMUM}', "");
Expect(1, 92729, '\P{Script_Extensions=- BAMUM}', "");
Expect(0, 92729, '\P{^Script_Extensions=- BAMUM}', "");
Error('\p{Scx=--bamu:=}');
Error('\P{Scx=--bamu:=}');
Expect(1, 92728, '\p{Scx=bamu}', "");
Expect(0, 92728, '\p{^Scx=bamu}', "");
Expect(0, 92728, '\P{Scx=bamu}', "");
Expect(1, 92728, '\P{^Scx=bamu}', "");
Expect(0, 92729, '\p{Scx=bamu}', "");
Expect(1, 92729, '\p{^Scx=bamu}', "");
Expect(1, 92729, '\P{Scx=bamu}', "");
Expect(0, 92729, '\P{^Scx=bamu}', "");
Expect(1, 92728, '\p{Scx=	-Bamu}', "");
Expect(0, 92728, '\p{^Scx=	-Bamu}', "");
Expect(0, 92728, '\P{Scx=	-Bamu}', "");
Expect(1, 92728, '\P{^Scx=	-Bamu}', "");
Expect(0, 92729, '\p{Scx=	-Bamu}', "");
Expect(1, 92729, '\p{^Scx=	-Bamu}', "");
Expect(1, 92729, '\P{Scx=	-Bamu}', "");
Expect(0, 92729, '\P{^Scx=	-Bamu}', "");
Error('\p{Is_Script_Extensions=/a/-BAMUM}');
Error('\P{Is_Script_Extensions=/a/-BAMUM}');
Expect(1, 92728, '\p{Is_Script_Extensions=bamum}', "");
Expect(0, 92728, '\p{^Is_Script_Extensions=bamum}', "");
Expect(0, 92728, '\P{Is_Script_Extensions=bamum}', "");
Expect(1, 92728, '\P{^Is_Script_Extensions=bamum}', "");
Expect(0, 92729, '\p{Is_Script_Extensions=bamum}', "");
Expect(1, 92729, '\p{^Is_Script_Extensions=bamum}', "");
Expect(1, 92729, '\P{Is_Script_Extensions=bamum}', "");
Expect(0, 92729, '\P{^Is_Script_Extensions=bamum}', "");
Expect(1, 92728, '\p{Is_Script_Extensions=	bamum}', "");
Expect(0, 92728, '\p{^Is_Script_Extensions=	bamum}', "");
Expect(0, 92728, '\P{Is_Script_Extensions=	bamum}', "");
Expect(1, 92728, '\P{^Is_Script_Extensions=	bamum}', "");
Expect(0, 92729, '\p{Is_Script_Extensions=	bamum}', "");
Expect(1, 92729, '\p{^Is_Script_Extensions=	bamum}', "");
Expect(1, 92729, '\P{Is_Script_Extensions=	bamum}', "");
Expect(0, 92729, '\P{^Is_Script_Extensions=	bamum}', "");
Error('\p{Is_Scx=:=  BAMU}');
Error('\P{Is_Scx=:=  BAMU}');
Expect(1, 92728, '\p{Is_Scx=bamu}', "");
Expect(0, 92728, '\p{^Is_Scx=bamu}', "");
Expect(0, 92728, '\P{Is_Scx=bamu}', "");
Expect(1, 92728, '\P{^Is_Scx=bamu}', "");
Expect(0, 92729, '\p{Is_Scx=bamu}', "");
Expect(1, 92729, '\p{^Is_Scx=bamu}', "");
Expect(1, 92729, '\P{Is_Scx=bamu}', "");
Expect(0, 92729, '\P{^Is_Scx=bamu}', "");
Expect(1, 92728, '\p{Is_Scx: -bamu}', "");
Expect(0, 92728, '\p{^Is_Scx: -bamu}', "");
Expect(0, 92728, '\P{Is_Scx: -bamu}', "");
Expect(1, 92728, '\P{^Is_Scx: -bamu}', "");
Expect(0, 92729, '\p{Is_Scx: -bamu}', "");
Expect(1, 92729, '\p{^Is_Scx: -bamu}', "");
Expect(1, 92729, '\P{Is_Scx: -bamu}', "");
Expect(0, 92729, '\P{^Is_Scx: -bamu}', "");
Error('\p{Script_Extensions=/a/	-Bassa_VAH}');
Error('\P{Script_Extensions=/a/	-Bassa_VAH}');
Expect(1, 92917, '\p{Script_Extensions=bassavah}', "");
Expect(0, 92917, '\p{^Script_Extensions=bassavah}', "");
Expect(0, 92917, '\P{Script_Extensions=bassavah}', "");
Expect(1, 92917, '\P{^Script_Extensions=bassavah}', "");
Expect(0, 92918, '\p{Script_Extensions=bassavah}', "");
Expect(1, 92918, '\p{^Script_Extensions=bassavah}', "");
Expect(1, 92918, '\P{Script_Extensions=bassavah}', "");
Expect(0, 92918, '\P{^Script_Extensions=bassavah}', "");
Expect(1, 92917, '\p{Script_Extensions=-Bassa_vah}', "");
Expect(0, 92917, '\p{^Script_Extensions=-Bassa_vah}', "");
Expect(0, 92917, '\P{Script_Extensions=-Bassa_vah}', "");
Expect(1, 92917, '\P{^Script_Extensions=-Bassa_vah}', "");
Expect(0, 92918, '\p{Script_Extensions=-Bassa_vah}', "");
Expect(1, 92918, '\p{^Script_Extensions=-Bassa_vah}', "");
Expect(1, 92918, '\P{Script_Extensions=-Bassa_vah}', "");
Expect(0, 92918, '\P{^Script_Extensions=-Bassa_vah}', "");
Error('\p{Scx=:=	bass}');
Error('\P{Scx=:=	bass}');
Expect(1, 92917, '\p{Scx=bass}', "");
Expect(0, 92917, '\p{^Scx=bass}', "");
Expect(0, 92917, '\P{Scx=bass}', "");
Expect(1, 92917, '\P{^Scx=bass}', "");
Expect(0, 92918, '\p{Scx=bass}', "");
Expect(1, 92918, '\p{^Scx=bass}', "");
Expect(1, 92918, '\P{Scx=bass}', "");
Expect(0, 92918, '\P{^Scx=bass}', "");
Expect(1, 92917, '\p{Scx=_	BASS}', "");
Expect(0, 92917, '\p{^Scx=_	BASS}', "");
Expect(0, 92917, '\P{Scx=_	BASS}', "");
Expect(1, 92917, '\P{^Scx=_	BASS}', "");
Expect(0, 92918, '\p{Scx=_	BASS}', "");
Expect(1, 92918, '\p{^Scx=_	BASS}', "");
Expect(1, 92918, '\P{Scx=_	BASS}', "");
Expect(0, 92918, '\P{^Scx=_	BASS}', "");
Error('\p{Is_Script_Extensions=	-Bassa_vah/a/}');
Error('\P{Is_Script_Extensions=	-Bassa_vah/a/}');
Expect(1, 92917, '\p{Is_Script_Extensions=bassavah}', "");
Expect(0, 92917, '\p{^Is_Script_Extensions=bassavah}', "");
Expect(0, 92917, '\P{Is_Script_Extensions=bassavah}', "");
Expect(1, 92917, '\P{^Is_Script_Extensions=bassavah}', "");
Expect(0, 92918, '\p{Is_Script_Extensions=bassavah}', "");
Expect(1, 92918, '\p{^Is_Script_Extensions=bassavah}', "");
Expect(1, 92918, '\P{Is_Script_Extensions=bassavah}', "");
Expect(0, 92918, '\P{^Is_Script_Extensions=bassavah}', "");
Expect(1, 92917, '\p{Is_Script_Extensions=_BASSA_VAH}', "");
Expect(0, 92917, '\p{^Is_Script_Extensions=_BASSA_VAH}', "");
Expect(0, 92917, '\P{Is_Script_Extensions=_BASSA_VAH}', "");
Expect(1, 92917, '\P{^Is_Script_Extensions=_BASSA_VAH}', "");
Expect(0, 92918, '\p{Is_Script_Extensions=_BASSA_VAH}', "");
Expect(1, 92918, '\p{^Is_Script_Extensions=_BASSA_VAH}', "");
Expect(1, 92918, '\P{Is_Script_Extensions=_BASSA_VAH}', "");
Expect(0, 92918, '\P{^Is_Script_Extensions=_BASSA_VAH}', "");
Error('\p{Is_Scx:   _BASS/a/}');
Error('\P{Is_Scx:   _BASS/a/}');
Expect(1, 92917, '\p{Is_Scx=bass}', "");
Expect(0, 92917, '\p{^Is_Scx=bass}', "");
Expect(0, 92917, '\P{Is_Scx=bass}', "");
Expect(1, 92917, '\P{^Is_Scx=bass}', "");
Expect(0, 92918, '\p{Is_Scx=bass}', "");
Expect(1, 92918, '\p{^Is_Scx=bass}', "");
Expect(1, 92918, '\P{Is_Scx=bass}', "");
Expect(0, 92918, '\P{^Is_Scx=bass}', "");
Expect(1, 92917, '\p{Is_Scx=Bass}', "");
Expect(0, 92917, '\p{^Is_Scx=Bass}', "");
Expect(0, 92917, '\P{Is_Scx=Bass}', "");
Expect(1, 92917, '\P{^Is_Scx=Bass}', "");
Expect(0, 92918, '\p{Is_Scx=Bass}', "");
Expect(1, 92918, '\p{^Is_Scx=Bass}', "");
Expect(1, 92918, '\P{Is_Scx=Bass}', "");
Expect(0, 92918, '\P{^Is_Scx=Bass}', "");
Error('\p{Script_Extensions=/a/BATAK}');
Error('\P{Script_Extensions=/a/BATAK}');
Expect(1, 7167, '\p{Script_Extensions=batak}', "");
Expect(0, 7167, '\p{^Script_Extensions=batak}', "");
Expect(0, 7167, '\P{Script_Extensions=batak}', "");
Expect(1, 7167, '\P{^Script_Extensions=batak}', "");
Expect(0, 7168, '\p{Script_Extensions=batak}', "");
Expect(1, 7168, '\p{^Script_Extensions=batak}', "");
Expect(1, 7168, '\P{Script_Extensions=batak}', "");
Expect(0, 7168, '\P{^Script_Extensions=batak}', "");
Expect(1, 7167, '\p{Script_Extensions=	BATAK}', "");
Expect(0, 7167, '\p{^Script_Extensions=	BATAK}', "");
Expect(0, 7167, '\P{Script_Extensions=	BATAK}', "");
Expect(1, 7167, '\P{^Script_Extensions=	BATAK}', "");
Expect(0, 7168, '\p{Script_Extensions=	BATAK}', "");
Expect(1, 7168, '\p{^Script_Extensions=	BATAK}', "");
Expect(1, 7168, '\P{Script_Extensions=	BATAK}', "");
Expect(0, 7168, '\P{^Script_Extensions=	BATAK}', "");
Error('\p{Scx=_-Batk:=}');
Error('\P{Scx=_-Batk:=}');
Expect(1, 7167, '\p{Scx=batk}', "");
Expect(0, 7167, '\p{^Scx=batk}', "");
Expect(0, 7167, '\P{Scx=batk}', "");
Expect(1, 7167, '\P{^Scx=batk}', "");
Expect(0, 7168, '\p{Scx=batk}', "");
Expect(1, 7168, '\p{^Scx=batk}', "");
Expect(1, 7168, '\P{Scx=batk}', "");
Expect(0, 7168, '\P{^Scx=batk}', "");
Expect(1, 7167, '\p{Scx=	Batk}', "");
Expect(0, 7167, '\p{^Scx=	Batk}', "");
Expect(0, 7167, '\P{Scx=	Batk}', "");
Expect(1, 7167, '\P{^Scx=	Batk}', "");
Expect(0, 7168, '\p{Scx=	Batk}', "");
Expect(1, 7168, '\p{^Scx=	Batk}', "");
Expect(1, 7168, '\P{Scx=	Batk}', "");
Expect(0, 7168, '\P{^Scx=	Batk}', "");
Error('\p{Is_Script_Extensions=_-batak:=}');
Error('\P{Is_Script_Extensions=_-batak:=}');
Expect(1, 7167, '\p{Is_Script_Extensions=batak}', "");
Expect(0, 7167, '\p{^Is_Script_Extensions=batak}', "");
Expect(0, 7167, '\P{Is_Script_Extensions=batak}', "");
Expect(1, 7167, '\P{^Is_Script_Extensions=batak}', "");
Expect(0, 7168, '\p{Is_Script_Extensions=batak}', "");
Expect(1, 7168, '\p{^Is_Script_Extensions=batak}', "");
Expect(1, 7168, '\P{Is_Script_Extensions=batak}', "");
Expect(0, 7168, '\P{^Is_Script_Extensions=batak}', "");
Expect(1, 7167, '\p{Is_Script_Extensions=	batak}', "");
Expect(0, 7167, '\p{^Is_Script_Extensions=	batak}', "");
Expect(0, 7167, '\P{Is_Script_Extensions=	batak}', "");
Expect(1, 7167, '\P{^Is_Script_Extensions=	batak}', "");
Expect(0, 7168, '\p{Is_Script_Extensions=	batak}', "");
Expect(1, 7168, '\p{^Is_Script_Extensions=	batak}', "");
Expect(1, 7168, '\P{Is_Script_Extensions=	batak}', "");
Expect(0, 7168, '\P{^Is_Script_Extensions=	batak}', "");
Error('\p{Is_Scx=:= -BATK}');
Error('\P{Is_Scx=:= -BATK}');
Expect(1, 7167, '\p{Is_Scx:batk}', "");
Expect(0, 7167, '\p{^Is_Scx:batk}', "");
Expect(0, 7167, '\P{Is_Scx:batk}', "");
Expect(1, 7167, '\P{^Is_Scx:batk}', "");
Expect(0, 7168, '\p{Is_Scx:batk}', "");
Expect(1, 7168, '\p{^Is_Scx:batk}', "");
Expect(1, 7168, '\P{Is_Scx:batk}', "");
Expect(0, 7168, '\P{^Is_Scx:batk}', "");
Expect(1, 7167, '\p{Is_Scx=-Batk}', "");
Expect(0, 7167, '\p{^Is_Scx=-Batk}', "");
Expect(0, 7167, '\P{Is_Scx=-Batk}', "");
Expect(1, 7167, '\P{^Is_Scx=-Batk}', "");
Expect(0, 7168, '\p{Is_Scx=-Batk}', "");
Expect(1, 7168, '\p{^Is_Scx=-Batk}', "");
Expect(1, 7168, '\P{Is_Scx=-Batk}', "");
Expect(0, 7168, '\P{^Is_Scx=-Batk}', "");
Error('\p{Script_Extensions=/a/	-Bengali}');
Error('\P{Script_Extensions=/a/	-Bengali}');
Expect(1, 2555, '\p{Script_Extensions=bengali}', "");
Expect(0, 2555, '\p{^Script_Extensions=bengali}', "");
Expect(0, 2555, '\P{Script_Extensions=bengali}', "");
Expect(1, 2555, '\P{^Script_Extensions=bengali}', "");
Expect(0, 2556, '\p{Script_Extensions=bengali}', "");
Expect(1, 2556, '\p{^Script_Extensions=bengali}', "");
Expect(1, 2556, '\P{Script_Extensions=bengali}', "");
Expect(0, 2556, '\P{^Script_Extensions=bengali}', "");
Expect(1, 2555, '\p{Script_Extensions=_BENGALI}', "");
Expect(0, 2555, '\p{^Script_Extensions=_BENGALI}', "");
Expect(0, 2555, '\P{Script_Extensions=_BENGALI}', "");
Expect(1, 2555, '\P{^Script_Extensions=_BENGALI}', "");
Expect(0, 2556, '\p{Script_Extensions=_BENGALI}', "");
Expect(1, 2556, '\p{^Script_Extensions=_BENGALI}', "");
Expect(1, 2556, '\P{Script_Extensions=_BENGALI}', "");
Expect(0, 2556, '\P{^Script_Extensions=_BENGALI}', "");
Error('\p{Scx=:=-	BENG}');
Error('\P{Scx=:=-	BENG}');
Expect(1, 2555, '\p{Scx=beng}', "");
Expect(0, 2555, '\p{^Scx=beng}', "");
Expect(0, 2555, '\P{Scx=beng}', "");
Expect(1, 2555, '\P{^Scx=beng}', "");
Expect(0, 2556, '\p{Scx=beng}', "");
Expect(1, 2556, '\p{^Scx=beng}', "");
Expect(1, 2556, '\P{Scx=beng}', "");
Expect(0, 2556, '\P{^Scx=beng}', "");
Expect(1, 2555, '\p{Scx=BENG}', "");
Expect(0, 2555, '\p{^Scx=BENG}', "");
Expect(0, 2555, '\P{Scx=BENG}', "");
Expect(1, 2555, '\P{^Scx=BENG}', "");
Expect(0, 2556, '\p{Scx=BENG}', "");
Expect(1, 2556, '\p{^Scx=BENG}', "");
Expect(1, 2556, '\P{Scx=BENG}', "");
Expect(0, 2556, '\P{^Scx=BENG}', "");
Error('\p{Is_Script_Extensions=-:=bengali}');
Error('\P{Is_Script_Extensions=-:=bengali}');
Expect(1, 2555, '\p{Is_Script_Extensions=bengali}', "");
Expect(0, 2555, '\p{^Is_Script_Extensions=bengali}', "");
Expect(0, 2555, '\P{Is_Script_Extensions=bengali}', "");
Expect(1, 2555, '\P{^Is_Script_Extensions=bengali}', "");
Expect(0, 2556, '\p{Is_Script_Extensions=bengali}', "");
Expect(1, 2556, '\p{^Is_Script_Extensions=bengali}', "");
Expect(1, 2556, '\P{Is_Script_Extensions=bengali}', "");
Expect(0, 2556, '\P{^Is_Script_Extensions=bengali}', "");
Expect(1, 2555, '\p{Is_Script_Extensions= bengali}', "");
Expect(0, 2555, '\p{^Is_Script_Extensions= bengali}', "");
Expect(0, 2555, '\P{Is_Script_Extensions= bengali}', "");
Expect(1, 2555, '\P{^Is_Script_Extensions= bengali}', "");
Expect(0, 2556, '\p{Is_Script_Extensions= bengali}', "");
Expect(1, 2556, '\p{^Is_Script_Extensions= bengali}', "");
Expect(1, 2556, '\P{Is_Script_Extensions= bengali}', "");
Expect(0, 2556, '\P{^Is_Script_Extensions= bengali}', "");
Error('\p{Is_Scx=	/a/beng}');
Error('\P{Is_Scx=	/a/beng}');
Expect(1, 2555, '\p{Is_Scx=beng}', "");
Expect(0, 2555, '\p{^Is_Scx=beng}', "");
Expect(0, 2555, '\P{Is_Scx=beng}', "");
Expect(1, 2555, '\P{^Is_Scx=beng}', "");
Expect(0, 2556, '\p{Is_Scx=beng}', "");
Expect(1, 2556, '\p{^Is_Scx=beng}', "");
Expect(1, 2556, '\P{Is_Scx=beng}', "");
Expect(0, 2556, '\P{^Is_Scx=beng}', "");
Expect(1, 2555, '\p{Is_Scx=  Beng}', "");
Expect(0, 2555, '\p{^Is_Scx=  Beng}', "");
Expect(0, 2555, '\P{Is_Scx=  Beng}', "");
Expect(1, 2555, '\P{^Is_Scx=  Beng}', "");
Expect(0, 2556, '\p{Is_Scx=  Beng}', "");
Expect(1, 2556, '\p{^Is_Scx=  Beng}', "");
Expect(1, 2556, '\P{Is_Scx=  Beng}', "");
Expect(0, 2556, '\P{^Is_Scx=  Beng}', "");
Error('\p{Script_Extensions= BOPOMOFO:=}');
Error('\P{Script_Extensions= BOPOMOFO:=}');
Expect(1, 65381, '\p{Script_Extensions=bopomofo}', "");
Expect(0, 65381, '\p{^Script_Extensions=bopomofo}', "");
Expect(0, 65381, '\P{Script_Extensions=bopomofo}', "");
Expect(1, 65381, '\P{^Script_Extensions=bopomofo}', "");
Expect(0, 65382, '\p{Script_Extensions=bopomofo}', "");
Expect(1, 65382, '\p{^Script_Extensions=bopomofo}', "");
Expect(1, 65382, '\P{Script_Extensions=bopomofo}', "");
Expect(0, 65382, '\P{^Script_Extensions=bopomofo}', "");
Expect(1, 65381, '\p{Script_Extensions=	Bopomofo}', "");
Expect(0, 65381, '\p{^Script_Extensions=	Bopomofo}', "");
Expect(0, 65381, '\P{Script_Extensions=	Bopomofo}', "");
Expect(1, 65381, '\P{^Script_Extensions=	Bopomofo}', "");
Expect(0, 65382, '\p{Script_Extensions=	Bopomofo}', "");
Expect(1, 65382, '\p{^Script_Extensions=	Bopomofo}', "");
Expect(1, 65382, '\P{Script_Extensions=	Bopomofo}', "");
Expect(0, 65382, '\P{^Script_Extensions=	Bopomofo}', "");
Error('\p{Scx=/a/-	Bopo}');
Error('\P{Scx=/a/-	Bopo}');
Expect(1, 65381, '\p{Scx=bopo}', "");
Expect(0, 65381, '\p{^Scx=bopo}', "");
Expect(0, 65381, '\P{Scx=bopo}', "");
Expect(1, 65381, '\P{^Scx=bopo}', "");
Expect(0, 65382, '\p{Scx=bopo}', "");
Expect(1, 65382, '\p{^Scx=bopo}', "");
Expect(1, 65382, '\P{Scx=bopo}', "");
Expect(0, 65382, '\P{^Scx=bopo}', "");
Expect(1, 65381, '\p{Scx= _BOPO}', "");
Expect(0, 65381, '\p{^Scx= _BOPO}', "");
Expect(0, 65381, '\P{Scx= _BOPO}', "");
Expect(1, 65381, '\P{^Scx= _BOPO}', "");
Expect(0, 65382, '\p{Scx= _BOPO}', "");
Expect(1, 65382, '\p{^Scx= _BOPO}', "");
Expect(1, 65382, '\P{Scx= _BOPO}', "");
Expect(0, 65382, '\P{^Scx= _BOPO}', "");
Error('\p{Is_Script_Extensions=:=--Bopomofo}');
Error('\P{Is_Script_Extensions=:=--Bopomofo}');
Expect(1, 65381, '\p{Is_Script_Extensions=bopomofo}', "");
Expect(0, 65381, '\p{^Is_Script_Extensions=bopomofo}', "");
Expect(0, 65381, '\P{Is_Script_Extensions=bopomofo}', "");
Expect(1, 65381, '\P{^Is_Script_Extensions=bopomofo}', "");
Expect(0, 65382, '\p{Is_Script_Extensions=bopomofo}', "");
Expect(1, 65382, '\p{^Is_Script_Extensions=bopomofo}', "");
Expect(1, 65382, '\P{Is_Script_Extensions=bopomofo}', "");
Expect(0, 65382, '\P{^Is_Script_Extensions=bopomofo}', "");
Expect(1, 65381, '\p{Is_Script_Extensions=Bopomofo}', "");
Expect(0, 65381, '\p{^Is_Script_Extensions=Bopomofo}', "");
Expect(0, 65381, '\P{Is_Script_Extensions=Bopomofo}', "");
Expect(1, 65381, '\P{^Is_Script_Extensions=Bopomofo}', "");
Expect(0, 65382, '\p{Is_Script_Extensions=Bopomofo}', "");
Expect(1, 65382, '\p{^Is_Script_Extensions=Bopomofo}', "");
Expect(1, 65382, '\P{Is_Script_Extensions=Bopomofo}', "");
Expect(0, 65382, '\P{^Is_Script_Extensions=Bopomofo}', "");
Error('\p{Is_Scx=_bopo:=}');
Error('\P{Is_Scx=_bopo:=}');
Expect(1, 65381, '\p{Is_Scx=bopo}', "");
Expect(0, 65381, '\p{^Is_Scx=bopo}', "");
Expect(0, 65381, '\P{Is_Scx=bopo}', "");
Expect(1, 65381, '\P{^Is_Scx=bopo}', "");
Expect(0, 65382, '\p{Is_Scx=bopo}', "");
Expect(1, 65382, '\p{^Is_Scx=bopo}', "");
Expect(1, 65382, '\P{Is_Scx=bopo}', "");
Expect(0, 65382, '\P{^Is_Scx=bopo}', "");
Expect(1, 65381, '\p{Is_Scx=	 Bopo}', "");
Expect(0, 65381, '\p{^Is_Scx=	 Bopo}', "");
Expect(0, 65381, '\P{Is_Scx=	 Bopo}', "");
Expect(1, 65381, '\P{^Is_Scx=	 Bopo}', "");
Expect(0, 65382, '\p{Is_Scx=	 Bopo}', "");
Expect(1, 65382, '\p{^Is_Scx=	 Bopo}', "");
Expect(1, 65382, '\P{Is_Scx=	 Bopo}', "");
Expect(0, 65382, '\P{^Is_Scx=	 Bopo}', "");
Error('\p{Script_Extensions:    -Brahmi/a/}');
Error('\P{Script_Extensions:    -Brahmi/a/}');
Expect(1, 69759, '\p{Script_Extensions=brahmi}', "");
Expect(0, 69759, '\p{^Script_Extensions=brahmi}', "");
Expect(0, 69759, '\P{Script_Extensions=brahmi}', "");
Expect(1, 69759, '\P{^Script_Extensions=brahmi}', "");
Expect(0, 69760, '\p{Script_Extensions=brahmi}', "");
Expect(1, 69760, '\p{^Script_Extensions=brahmi}', "");
Expect(1, 69760, '\P{Script_Extensions=brahmi}', "");
Expect(0, 69760, '\P{^Script_Extensions=brahmi}', "");
Expect(1, 69759, '\p{Script_Extensions=_ Brahmi}', "");
Expect(0, 69759, '\p{^Script_Extensions=_ Brahmi}', "");
Expect(0, 69759, '\P{Script_Extensions=_ Brahmi}', "");
Expect(1, 69759, '\P{^Script_Extensions=_ Brahmi}', "");
Expect(0, 69760, '\p{Script_Extensions=_ Brahmi}', "");
Expect(1, 69760, '\p{^Script_Extensions=_ Brahmi}', "");
Expect(1, 69760, '\P{Script_Extensions=_ Brahmi}', "");
Expect(0, 69760, '\P{^Script_Extensions=_ Brahmi}', "");
Error('\p{Scx=:=-	Brah}');
Error('\P{Scx=:=-	Brah}');
Expect(1, 69759, '\p{Scx=brah}', "");
Expect(0, 69759, '\p{^Scx=brah}', "");
Expect(0, 69759, '\P{Scx=brah}', "");
Expect(1, 69759, '\P{^Scx=brah}', "");
Expect(0, 69760, '\p{Scx=brah}', "");
Expect(1, 69760, '\p{^Scx=brah}', "");
Expect(1, 69760, '\P{Scx=brah}', "");
Expect(0, 69760, '\P{^Scx=brah}', "");
Expect(1, 69759, '\p{Scx= 	BRAH}', "");
Expect(0, 69759, '\p{^Scx= 	BRAH}', "");
Expect(0, 69759, '\P{Scx= 	BRAH}', "");
Expect(1, 69759, '\P{^Scx= 	BRAH}', "");
Expect(0, 69760, '\p{Scx= 	BRAH}', "");
Expect(1, 69760, '\p{^Scx= 	BRAH}', "");
Expect(1, 69760, '\P{Scx= 	BRAH}', "");
Expect(0, 69760, '\P{^Scx= 	BRAH}', "");
Error('\p{Is_Script_Extensions: := _Brahmi}');
Error('\P{Is_Script_Extensions: := _Brahmi}');
Expect(1, 69759, '\p{Is_Script_Extensions=brahmi}', "");
Expect(0, 69759, '\p{^Is_Script_Extensions=brahmi}', "");
Expect(0, 69759, '\P{Is_Script_Extensions=brahmi}', "");
Expect(1, 69759, '\P{^Is_Script_Extensions=brahmi}', "");
Expect(0, 69760, '\p{Is_Script_Extensions=brahmi}', "");
Expect(1, 69760, '\p{^Is_Script_Extensions=brahmi}', "");
Expect(1, 69760, '\P{Is_Script_Extensions=brahmi}', "");
Expect(0, 69760, '\P{^Is_Script_Extensions=brahmi}', "");
Expect(1, 69759, '\p{Is_Script_Extensions=-Brahmi}', "");
Expect(0, 69759, '\p{^Is_Script_Extensions=-Brahmi}', "");
Expect(0, 69759, '\P{Is_Script_Extensions=-Brahmi}', "");
Expect(1, 69759, '\P{^Is_Script_Extensions=-Brahmi}', "");
Expect(0, 69760, '\p{Is_Script_Extensions=-Brahmi}', "");
Expect(1, 69760, '\p{^Is_Script_Extensions=-Brahmi}', "");
Expect(1, 69760, '\P{Is_Script_Extensions=-Brahmi}', "");
Expect(0, 69760, '\P{^Is_Script_Extensions=-Brahmi}', "");
Error('\p{Is_Scx=/a/ -brah}');
Error('\P{Is_Scx=/a/ -brah}');
Expect(1, 69759, '\p{Is_Scx:	brah}', "");
Expect(0, 69759, '\p{^Is_Scx:	brah}', "");
Expect(0, 69759, '\P{Is_Scx:	brah}', "");
Expect(1, 69759, '\P{^Is_Scx:	brah}', "");
Expect(0, 69760, '\p{Is_Scx:	brah}', "");
Expect(1, 69760, '\p{^Is_Scx:	brah}', "");
Expect(1, 69760, '\P{Is_Scx:	brah}', "");
Expect(0, 69760, '\P{^Is_Scx:	brah}', "");
Expect(1, 69759, '\p{Is_Scx=_ Brah}', "");
Expect(0, 69759, '\p{^Is_Scx=_ Brah}', "");
Expect(0, 69759, '\P{Is_Scx=_ Brah}', "");
Expect(1, 69759, '\P{^Is_Scx=_ Brah}', "");
Expect(0, 69760, '\p{Is_Scx=_ Brah}', "");
Expect(1, 69760, '\p{^Is_Scx=_ Brah}', "");
Expect(1, 69760, '\P{Is_Scx=_ Brah}', "");
Expect(0, 69760, '\P{^Is_Scx=_ Brah}', "");
Error('\p{Script_Extensions: 	:=braille}');
Error('\P{Script_Extensions: 	:=braille}');
Expect(1, 10495, '\p{Script_Extensions:braille}', "");
Expect(0, 10495, '\p{^Script_Extensions:braille}', "");
Expect(0, 10495, '\P{Script_Extensions:braille}', "");
Expect(1, 10495, '\P{^Script_Extensions:braille}', "");
Expect(0, 10496, '\p{Script_Extensions:braille}', "");
Expect(1, 10496, '\p{^Script_Extensions:braille}', "");
Expect(1, 10496, '\P{Script_Extensions:braille}', "");
Expect(0, 10496, '\P{^Script_Extensions:braille}', "");
Expect(1, 10495, '\p{Script_Extensions=	 Braille}', "");
Expect(0, 10495, '\p{^Script_Extensions=	 Braille}', "");
Expect(0, 10495, '\P{Script_Extensions=	 Braille}', "");
Expect(1, 10495, '\P{^Script_Extensions=	 Braille}', "");
Expect(0, 10496, '\p{Script_Extensions=	 Braille}', "");
Expect(1, 10496, '\p{^Script_Extensions=	 Braille}', "");
Expect(1, 10496, '\P{Script_Extensions=	 Braille}', "");
Expect(0, 10496, '\P{^Script_Extensions=	 Braille}', "");
Error('\p{Scx=/a/-Brai}');
Error('\P{Scx=/a/-Brai}');
Expect(1, 10495, '\p{Scx:brai}', "");
Expect(0, 10495, '\p{^Scx:brai}', "");
Expect(0, 10495, '\P{Scx:brai}', "");
Expect(1, 10495, '\P{^Scx:brai}', "");
Expect(0, 10496, '\p{Scx:brai}', "");
Expect(1, 10496, '\p{^Scx:brai}', "");
Expect(1, 10496, '\P{Scx:brai}', "");
Expect(0, 10496, '\P{^Scx:brai}', "");
Expect(1, 10495, '\p{Scx= 	Brai}', "");
Expect(0, 10495, '\p{^Scx= 	Brai}', "");
Expect(0, 10495, '\P{Scx= 	Brai}', "");
Expect(1, 10495, '\P{^Scx= 	Brai}', "");
Expect(0, 10496, '\p{Scx= 	Brai}', "");
Expect(1, 10496, '\p{^Scx= 	Brai}', "");
Expect(1, 10496, '\P{Scx= 	Brai}', "");
Expect(0, 10496, '\P{^Scx= 	Brai}', "");
Error('\p{Is_Script_Extensions=/a/_braille}');
Error('\P{Is_Script_Extensions=/a/_braille}');
Expect(1, 10495, '\p{Is_Script_Extensions=braille}', "");
Expect(0, 10495, '\p{^Is_Script_Extensions=braille}', "");
Expect(0, 10495, '\P{Is_Script_Extensions=braille}', "");
Expect(1, 10495, '\P{^Is_Script_Extensions=braille}', "");
Expect(0, 10496, '\p{Is_Script_Extensions=braille}', "");
Expect(1, 10496, '\p{^Is_Script_Extensions=braille}', "");
Expect(1, 10496, '\P{Is_Script_Extensions=braille}', "");
Expect(0, 10496, '\P{^Is_Script_Extensions=braille}', "");
Expect(1, 10495, '\p{Is_Script_Extensions= -Braille}', "");
Expect(0, 10495, '\p{^Is_Script_Extensions= -Braille}', "");
Expect(0, 10495, '\P{Is_Script_Extensions= -Braille}', "");
Expect(1, 10495, '\P{^Is_Script_Extensions= -Braille}', "");
Expect(0, 10496, '\p{Is_Script_Extensions= -Braille}', "");
Expect(1, 10496, '\p{^Is_Script_Extensions= -Braille}', "");
Expect(1, 10496, '\P{Is_Script_Extensions= -Braille}', "");
Expect(0, 10496, '\P{^Is_Script_Extensions= -Braille}', "");
Error('\p{Is_Scx= /a/Brai}');
Error('\P{Is_Scx= /a/Brai}');
Expect(1, 10495, '\p{Is_Scx=brai}', "");
Expect(0, 10495, '\p{^Is_Scx=brai}', "");
Expect(0, 10495, '\P{Is_Scx=brai}', "");
Expect(1, 10495, '\P{^Is_Scx=brai}', "");
Expect(0, 10496, '\p{Is_Scx=brai}', "");
Expect(1, 10496, '\p{^Is_Scx=brai}', "");
Expect(1, 10496, '\P{Is_Scx=brai}', "");
Expect(0, 10496, '\P{^Is_Scx=brai}', "");
Expect(1, 10495, '\p{Is_Scx=	_BRAI}', "");
Expect(0, 10495, '\p{^Is_Scx=	_BRAI}', "");
Expect(0, 10495, '\P{Is_Scx=	_BRAI}', "");
Expect(1, 10495, '\P{^Is_Scx=	_BRAI}', "");
Expect(0, 10496, '\p{Is_Scx=	_BRAI}', "");
Expect(1, 10496, '\p{^Is_Scx=	_BRAI}', "");
Expect(1, 10496, '\P{Is_Scx=	_BRAI}', "");
Expect(0, 10496, '\P{^Is_Scx=	_BRAI}', "");
Error('\p{Script_Extensions=-Buginese/a/}');
Error('\P{Script_Extensions=-Buginese/a/}');
Expect(1, 43471, '\p{Script_Extensions:	buginese}', "");
Expect(0, 43471, '\p{^Script_Extensions:	buginese}', "");
Expect(0, 43471, '\P{Script_Extensions:	buginese}', "");
Expect(1, 43471, '\P{^Script_Extensions:	buginese}', "");
Expect(0, 43472, '\p{Script_Extensions:	buginese}', "");
Expect(1, 43472, '\p{^Script_Extensions:	buginese}', "");
Expect(1, 43472, '\P{Script_Extensions:	buginese}', "");
Expect(0, 43472, '\P{^Script_Extensions:	buginese}', "");
Expect(1, 43471, '\p{Script_Extensions=		buginese}', "");
Expect(0, 43471, '\p{^Script_Extensions=		buginese}', "");
Expect(0, 43471, '\P{Script_Extensions=		buginese}', "");
Expect(1, 43471, '\P{^Script_Extensions=		buginese}', "");
Expect(0, 43472, '\p{Script_Extensions=		buginese}', "");
Expect(1, 43472, '\p{^Script_Extensions=		buginese}', "");
Expect(1, 43472, '\P{Script_Extensions=		buginese}', "");
Expect(0, 43472, '\P{^Script_Extensions=		buginese}', "");
Error('\p{Scx=/a/__BUGI}');
Error('\P{Scx=/a/__BUGI}');
Expect(1, 43471, '\p{Scx=bugi}', "");
Expect(0, 43471, '\p{^Scx=bugi}', "");
Expect(0, 43471, '\P{Scx=bugi}', "");
Expect(1, 43471, '\P{^Scx=bugi}', "");
Expect(0, 43472, '\p{Scx=bugi}', "");
Expect(1, 43472, '\p{^Scx=bugi}', "");
Expect(1, 43472, '\P{Scx=bugi}', "");
Expect(0, 43472, '\P{^Scx=bugi}', "");
Expect(1, 43471, '\p{Scx=_bugi}', "");
Expect(0, 43471, '\p{^Scx=_bugi}', "");
Expect(0, 43471, '\P{Scx=_bugi}', "");
Expect(1, 43471, '\P{^Scx=_bugi}', "");
Expect(0, 43472, '\p{Scx=_bugi}', "");
Expect(1, 43472, '\p{^Scx=_bugi}', "");
Expect(1, 43472, '\P{Scx=_bugi}', "");
Expect(0, 43472, '\P{^Scx=_bugi}', "");
Error('\p{Is_Script_Extensions=	/a/buginese}');
Error('\P{Is_Script_Extensions=	/a/buginese}');
Expect(1, 43471, '\p{Is_Script_Extensions=buginese}', "");
Expect(0, 43471, '\p{^Is_Script_Extensions=buginese}', "");
Expect(0, 43471, '\P{Is_Script_Extensions=buginese}', "");
Expect(1, 43471, '\P{^Is_Script_Extensions=buginese}', "");
Expect(0, 43472, '\p{Is_Script_Extensions=buginese}', "");
Expect(1, 43472, '\p{^Is_Script_Extensions=buginese}', "");
Expect(1, 43472, '\P{Is_Script_Extensions=buginese}', "");
Expect(0, 43472, '\P{^Is_Script_Extensions=buginese}', "");
Expect(1, 43471, '\p{Is_Script_Extensions:	-Buginese}', "");
Expect(0, 43471, '\p{^Is_Script_Extensions:	-Buginese}', "");
Expect(0, 43471, '\P{Is_Script_Extensions:	-Buginese}', "");
Expect(1, 43471, '\P{^Is_Script_Extensions:	-Buginese}', "");
Expect(0, 43472, '\p{Is_Script_Extensions:	-Buginese}', "");
Expect(1, 43472, '\p{^Is_Script_Extensions:	-Buginese}', "");
Expect(1, 43472, '\P{Is_Script_Extensions:	-Buginese}', "");
Expect(0, 43472, '\P{^Is_Script_Extensions:	-Buginese}', "");
Error('\p{Is_Scx=/a/Bugi}');
Error('\P{Is_Scx=/a/Bugi}');
Expect(1, 43471, '\p{Is_Scx=bugi}', "");
Expect(0, 43471, '\p{^Is_Scx=bugi}', "");
Expect(0, 43471, '\P{Is_Scx=bugi}', "");
Expect(1, 43471, '\P{^Is_Scx=bugi}', "");
Expect(0, 43472, '\p{Is_Scx=bugi}', "");
Expect(1, 43472, '\p{^Is_Scx=bugi}', "");
Expect(1, 43472, '\P{Is_Scx=bugi}', "");
Expect(0, 43472, '\P{^Is_Scx=bugi}', "");
Expect(1, 43471, '\p{Is_Scx=_bugi}', "");
Expect(0, 43471, '\p{^Is_Scx=_bugi}', "");
Expect(0, 43471, '\P{Is_Scx=_bugi}', "");
Expect(1, 43471, '\P{^Is_Scx=_bugi}', "");
Expect(0, 43472, '\p{Is_Scx=_bugi}', "");
Expect(1, 43472, '\p{^Is_Scx=_bugi}', "");
Expect(1, 43472, '\P{Is_Scx=_bugi}', "");
Expect(0, 43472, '\P{^Is_Scx=_bugi}', "");
Error('\p{Script_Extensions=:=- buhid}');
Error('\P{Script_Extensions=:=- buhid}');
Expect(1, 5971, '\p{Script_Extensions=buhid}', "");
Expect(0, 5971, '\p{^Script_Extensions=buhid}', "");
Expect(0, 5971, '\P{Script_Extensions=buhid}', "");
Expect(1, 5971, '\P{^Script_Extensions=buhid}', "");
Expect(0, 5972, '\p{Script_Extensions=buhid}', "");
Expect(1, 5972, '\p{^Script_Extensions=buhid}', "");
Expect(1, 5972, '\P{Script_Extensions=buhid}', "");
Expect(0, 5972, '\P{^Script_Extensions=buhid}', "");
Expect(1, 5971, '\p{Script_Extensions=_ BUHID}', "");
Expect(0, 5971, '\p{^Script_Extensions=_ BUHID}', "");
Expect(0, 5971, '\P{Script_Extensions=_ BUHID}', "");
Expect(1, 5971, '\P{^Script_Extensions=_ BUHID}', "");
Expect(0, 5972, '\p{Script_Extensions=_ BUHID}', "");
Expect(1, 5972, '\p{^Script_Extensions=_ BUHID}', "");
Expect(1, 5972, '\P{Script_Extensions=_ BUHID}', "");
Expect(0, 5972, '\P{^Script_Extensions=_ BUHID}', "");
Error('\p{Scx= -buhd/a/}');
Error('\P{Scx= -buhd/a/}');
Expect(1, 5971, '\p{Scx=buhd}', "");
Expect(0, 5971, '\p{^Scx=buhd}', "");
Expect(0, 5971, '\P{Scx=buhd}', "");
Expect(1, 5971, '\P{^Scx=buhd}', "");
Expect(0, 5972, '\p{Scx=buhd}', "");
Expect(1, 5972, '\p{^Scx=buhd}', "");
Expect(1, 5972, '\P{Scx=buhd}', "");
Expect(0, 5972, '\P{^Scx=buhd}', "");
Expect(1, 5971, '\p{Scx=_buhd}', "");
Expect(0, 5971, '\p{^Scx=_buhd}', "");
Expect(0, 5971, '\P{Scx=_buhd}', "");
Expect(1, 5971, '\P{^Scx=_buhd}', "");
Expect(0, 5972, '\p{Scx=_buhd}', "");
Expect(1, 5972, '\p{^Scx=_buhd}', "");
Expect(1, 5972, '\P{Scx=_buhd}', "");
Expect(0, 5972, '\P{^Scx=_buhd}', "");
Error('\p{Is_Script_Extensions=	:=BUHID}');
Error('\P{Is_Script_Extensions=	:=BUHID}');
Expect(1, 5971, '\p{Is_Script_Extensions=buhid}', "");
Expect(0, 5971, '\p{^Is_Script_Extensions=buhid}', "");
Expect(0, 5971, '\P{Is_Script_Extensions=buhid}', "");
Expect(1, 5971, '\P{^Is_Script_Extensions=buhid}', "");
Expect(0, 5972, '\p{Is_Script_Extensions=buhid}', "");
Expect(1, 5972, '\p{^Is_Script_Extensions=buhid}', "");
Expect(1, 5972, '\P{Is_Script_Extensions=buhid}', "");
Expect(0, 5972, '\P{^Is_Script_Extensions=buhid}', "");
Expect(1, 5971, '\p{Is_Script_Extensions=-buhid}', "");
Expect(0, 5971, '\p{^Is_Script_Extensions=-buhid}', "");
Expect(0, 5971, '\P{Is_Script_Extensions=-buhid}', "");
Expect(1, 5971, '\P{^Is_Script_Extensions=-buhid}', "");
Expect(0, 5972, '\p{Is_Script_Extensions=-buhid}', "");
Expect(1, 5972, '\p{^Is_Script_Extensions=-buhid}', "");
Expect(1, 5972, '\P{Is_Script_Extensions=-buhid}', "");
Expect(0, 5972, '\P{^Is_Script_Extensions=-buhid}', "");
Error('\p{Is_Scx=/a/_Buhd}');
Error('\P{Is_Scx=/a/_Buhd}');
Expect(1, 5971, '\p{Is_Scx=buhd}', "");
Expect(0, 5971, '\p{^Is_Scx=buhd}', "");
Expect(0, 5971, '\P{Is_Scx=buhd}', "");
Expect(1, 5971, '\P{^Is_Scx=buhd}', "");
Expect(0, 5972, '\p{Is_Scx=buhd}', "");
Expect(1, 5972, '\p{^Is_Scx=buhd}', "");
Expect(1, 5972, '\P{Is_Scx=buhd}', "");
Expect(0, 5972, '\P{^Is_Scx=buhd}', "");
Expect(1, 5971, '\p{Is_Scx:-Buhd}', "");
Expect(0, 5971, '\p{^Is_Scx:-Buhd}', "");
Expect(0, 5971, '\P{Is_Scx:-Buhd}', "");
Expect(1, 5971, '\P{^Is_Scx:-Buhd}', "");
Expect(0, 5972, '\p{Is_Scx:-Buhd}', "");
Expect(1, 5972, '\p{^Is_Scx:-Buhd}', "");
Expect(1, 5972, '\P{Is_Scx:-Buhd}', "");
Expect(0, 5972, '\P{^Is_Scx:-Buhd}', "");
Error('\p{Script_Extensions=:=	_CHAKMA}');
Error('\P{Script_Extensions=:=	_CHAKMA}');
Expect(1, 69955, '\p{Script_Extensions=chakma}', "");
Expect(0, 69955, '\p{^Script_Extensions=chakma}', "");
Expect(0, 69955, '\P{Script_Extensions=chakma}', "");
Expect(1, 69955, '\P{^Script_Extensions=chakma}', "");
Expect(0, 69956, '\p{Script_Extensions=chakma}', "");
Expect(1, 69956, '\p{^Script_Extensions=chakma}', "");
Expect(1, 69956, '\P{Script_Extensions=chakma}', "");
Expect(0, 69956, '\P{^Script_Extensions=chakma}', "");
Expect(1, 69955, '\p{Script_Extensions:		-Chakma}', "");
Expect(0, 69955, '\p{^Script_Extensions:		-Chakma}', "");
Expect(0, 69955, '\P{Script_Extensions:		-Chakma}', "");
Expect(1, 69955, '\P{^Script_Extensions:		-Chakma}', "");
Expect(0, 69956, '\p{Script_Extensions:		-Chakma}', "");
Expect(1, 69956, '\p{^Script_Extensions:		-Chakma}', "");
Expect(1, 69956, '\P{Script_Extensions:		-Chakma}', "");
Expect(0, 69956, '\P{^Script_Extensions:		-Chakma}', "");
Error('\p{Scx:	 :=cakm}');
Error('\P{Scx:	 :=cakm}');
Expect(1, 69955, '\p{Scx=cakm}', "");
Expect(0, 69955, '\p{^Scx=cakm}', "");
Expect(0, 69955, '\P{Scx=cakm}', "");
Expect(1, 69955, '\P{^Scx=cakm}', "");
Expect(0, 69956, '\p{Scx=cakm}', "");
Expect(1, 69956, '\p{^Scx=cakm}', "");
Expect(1, 69956, '\P{Scx=cakm}', "");
Expect(0, 69956, '\P{^Scx=cakm}', "");
Expect(1, 69955, '\p{Scx=_ Cakm}', "");
Expect(0, 69955, '\p{^Scx=_ Cakm}', "");
Expect(0, 69955, '\P{Scx=_ Cakm}', "");
Expect(1, 69955, '\P{^Scx=_ Cakm}', "");
Expect(0, 69956, '\p{Scx=_ Cakm}', "");
Expect(1, 69956, '\p{^Scx=_ Cakm}', "");
Expect(1, 69956, '\P{Scx=_ Cakm}', "");
Expect(0, 69956, '\P{^Scx=_ Cakm}', "");
Error('\p{Is_Script_Extensions=:=-Chakma}');
Error('\P{Is_Script_Extensions=:=-Chakma}');
Expect(1, 69955, '\p{Is_Script_Extensions=chakma}', "");
Expect(0, 69955, '\p{^Is_Script_Extensions=chakma}', "");
Expect(0, 69955, '\P{Is_Script_Extensions=chakma}', "");
Expect(1, 69955, '\P{^Is_Script_Extensions=chakma}', "");
Expect(0, 69956, '\p{Is_Script_Extensions=chakma}', "");
Expect(1, 69956, '\p{^Is_Script_Extensions=chakma}', "");
Expect(1, 69956, '\P{Is_Script_Extensions=chakma}', "");
Expect(0, 69956, '\P{^Is_Script_Extensions=chakma}', "");
Expect(1, 69955, '\p{Is_Script_Extensions=	Chakma}', "");
Expect(0, 69955, '\p{^Is_Script_Extensions=	Chakma}', "");
Expect(0, 69955, '\P{Is_Script_Extensions=	Chakma}', "");
Expect(1, 69955, '\P{^Is_Script_Extensions=	Chakma}', "");
Expect(0, 69956, '\p{Is_Script_Extensions=	Chakma}', "");
Expect(1, 69956, '\p{^Is_Script_Extensions=	Chakma}', "");
Expect(1, 69956, '\P{Is_Script_Extensions=	Chakma}', "");
Expect(0, 69956, '\P{^Is_Script_Extensions=	Chakma}', "");
Error('\p{Is_Scx=_/a/Cakm}');
Error('\P{Is_Scx=_/a/Cakm}');
Expect(1, 69955, '\p{Is_Scx=cakm}', "");
Expect(0, 69955, '\p{^Is_Scx=cakm}', "");
Expect(0, 69955, '\P{Is_Scx=cakm}', "");
Expect(1, 69955, '\P{^Is_Scx=cakm}', "");
Expect(0, 69956, '\p{Is_Scx=cakm}', "");
Expect(1, 69956, '\p{^Is_Scx=cakm}', "");
Expect(1, 69956, '\P{Is_Scx=cakm}', "");
Expect(0, 69956, '\P{^Is_Scx=cakm}', "");
Expect(1, 69955, '\p{Is_Scx= Cakm}', "");
Expect(0, 69955, '\p{^Is_Scx= Cakm}', "");
Expect(0, 69955, '\P{Is_Scx= Cakm}', "");
Expect(1, 69955, '\P{^Is_Scx= Cakm}', "");
Expect(0, 69956, '\p{Is_Scx= Cakm}', "");
Expect(1, 69956, '\p{^Is_Scx= Cakm}', "");
Expect(1, 69956, '\P{Is_Scx= Cakm}', "");
Expect(0, 69956, '\P{^Is_Scx= Cakm}', "");
Error('\p{Script_Extensions=/a/-	canadian_Aboriginal}');
Error('\P{Script_Extensions=/a/-	canadian_Aboriginal}');
Expect(1, 6389, '\p{Script_Extensions:   canadianaboriginal}', "");
Expect(0, 6389, '\p{^Script_Extensions:   canadianaboriginal}', "");
Expect(0, 6389, '\P{Script_Extensions:   canadianaboriginal}', "");
Expect(1, 6389, '\P{^Script_Extensions:   canadianaboriginal}', "");
Expect(0, 6390, '\p{Script_Extensions:   canadianaboriginal}', "");
Expect(1, 6390, '\p{^Script_Extensions:   canadianaboriginal}', "");
Expect(1, 6390, '\P{Script_Extensions:   canadianaboriginal}', "");
Expect(0, 6390, '\P{^Script_Extensions:   canadianaboriginal}', "");
Expect(1, 6389, '\p{Script_Extensions= CANADIAN_aboriginal}', "");
Expect(0, 6389, '\p{^Script_Extensions= CANADIAN_aboriginal}', "");
Expect(0, 6389, '\P{Script_Extensions= CANADIAN_aboriginal}', "");
Expect(1, 6389, '\P{^Script_Extensions= CANADIAN_aboriginal}', "");
Expect(0, 6390, '\p{Script_Extensions= CANADIAN_aboriginal}', "");
Expect(1, 6390, '\p{^Script_Extensions= CANADIAN_aboriginal}', "");
Expect(1, 6390, '\P{Script_Extensions= CANADIAN_aboriginal}', "");
Expect(0, 6390, '\P{^Script_Extensions= CANADIAN_aboriginal}', "");
Error('\p{Scx= Cans:=}');
Error('\P{Scx= Cans:=}');
Expect(1, 6389, '\p{Scx=cans}', "");
Expect(0, 6389, '\p{^Scx=cans}', "");
Expect(0, 6389, '\P{Scx=cans}', "");
Expect(1, 6389, '\P{^Scx=cans}', "");
Expect(0, 6390, '\p{Scx=cans}', "");
Expect(1, 6390, '\p{^Scx=cans}', "");
Expect(1, 6390, '\P{Scx=cans}', "");
Expect(0, 6390, '\P{^Scx=cans}', "");
Expect(1, 6389, '\p{Scx:   -	CANS}', "");
Expect(0, 6389, '\p{^Scx:   -	CANS}', "");
Expect(0, 6389, '\P{Scx:   -	CANS}', "");
Expect(1, 6389, '\P{^Scx:   -	CANS}', "");
Expect(0, 6390, '\p{Scx:   -	CANS}', "");
Expect(1, 6390, '\p{^Scx:   -	CANS}', "");
Expect(1, 6390, '\P{Scx:   -	CANS}', "");
Expect(0, 6390, '\P{^Scx:   -	CANS}', "");
Error('\p{Is_Script_Extensions=:=	Canadian_Aboriginal}');
Error('\P{Is_Script_Extensions=:=	Canadian_Aboriginal}');
Expect(1, 6389, '\p{Is_Script_Extensions=canadianaboriginal}', "");
Expect(0, 6389, '\p{^Is_Script_Extensions=canadianaboriginal}', "");
Expect(0, 6389, '\P{Is_Script_Extensions=canadianaboriginal}', "");
Expect(1, 6389, '\P{^Is_Script_Extensions=canadianaboriginal}', "");
Expect(0, 6390, '\p{Is_Script_Extensions=canadianaboriginal}', "");
Expect(1, 6390, '\p{^Is_Script_Extensions=canadianaboriginal}', "");
Expect(1, 6390, '\P{Is_Script_Extensions=canadianaboriginal}', "");
Expect(0, 6390, '\P{^Is_Script_Extensions=canadianaboriginal}', "");
Expect(1, 6389, '\p{Is_Script_Extensions=_Canadian_ABORIGINAL}', "");
Expect(0, 6389, '\p{^Is_Script_Extensions=_Canadian_ABORIGINAL}', "");
Expect(0, 6389, '\P{Is_Script_Extensions=_Canadian_ABORIGINAL}', "");
Expect(1, 6389, '\P{^Is_Script_Extensions=_Canadian_ABORIGINAL}', "");
Expect(0, 6390, '\p{Is_Script_Extensions=_Canadian_ABORIGINAL}', "");
Expect(1, 6390, '\p{^Is_Script_Extensions=_Canadian_ABORIGINAL}', "");
Expect(1, 6390, '\P{Is_Script_Extensions=_Canadian_ABORIGINAL}', "");
Expect(0, 6390, '\P{^Is_Script_Extensions=_Canadian_ABORIGINAL}', "");
Error('\p{Is_Scx=-/a/Cans}');
Error('\P{Is_Scx=-/a/Cans}');
Expect(1, 6389, '\p{Is_Scx=cans}', "");
Expect(0, 6389, '\p{^Is_Scx=cans}', "");
Expect(0, 6389, '\P{Is_Scx=cans}', "");
Expect(1, 6389, '\P{^Is_Scx=cans}', "");
Expect(0, 6390, '\p{Is_Scx=cans}', "");
Expect(1, 6390, '\p{^Is_Scx=cans}', "");
Expect(1, 6390, '\P{Is_Scx=cans}', "");
Expect(0, 6390, '\P{^Is_Scx=cans}', "");
Expect(1, 6389, '\p{Is_Scx=_cans}', "");
Expect(0, 6389, '\p{^Is_Scx=_cans}', "");
Expect(0, 6389, '\P{Is_Scx=_cans}', "");
Expect(1, 6389, '\P{^Is_Scx=_cans}', "");
Expect(0, 6390, '\p{Is_Scx=_cans}', "");
Expect(1, 6390, '\p{^Is_Scx=_cans}', "");
Expect(1, 6390, '\P{Is_Scx=_cans}', "");
Expect(0, 6390, '\P{^Is_Scx=_cans}', "");
Error('\p{Script_Extensions=/a/Carian}');
Error('\P{Script_Extensions=/a/Carian}');
Expect(1, 66256, '\p{Script_Extensions=carian}', "");
Expect(0, 66256, '\p{^Script_Extensions=carian}', "");
Expect(0, 66256, '\P{Script_Extensions=carian}', "");
Expect(1, 66256, '\P{^Script_Extensions=carian}', "");
Expect(0, 66257, '\p{Script_Extensions=carian}', "");
Expect(1, 66257, '\p{^Script_Extensions=carian}', "");
Expect(1, 66257, '\P{Script_Extensions=carian}', "");
Expect(0, 66257, '\P{^Script_Extensions=carian}', "");
Expect(1, 66256, '\p{Script_Extensions=	-carian}', "");
Expect(0, 66256, '\p{^Script_Extensions=	-carian}', "");
Expect(0, 66256, '\P{Script_Extensions=	-carian}', "");
Expect(1, 66256, '\P{^Script_Extensions=	-carian}', "");
Expect(0, 66257, '\p{Script_Extensions=	-carian}', "");
Expect(1, 66257, '\p{^Script_Extensions=	-carian}', "");
Expect(1, 66257, '\P{Script_Extensions=	-carian}', "");
Expect(0, 66257, '\P{^Script_Extensions=	-carian}', "");
Error('\p{Scx:   :=-Cari}');
Error('\P{Scx:   :=-Cari}');
Expect(1, 66256, '\p{Scx=cari}', "");
Expect(0, 66256, '\p{^Scx=cari}', "");
Expect(0, 66256, '\P{Scx=cari}', "");
Expect(1, 66256, '\P{^Scx=cari}', "");
Expect(0, 66257, '\p{Scx=cari}', "");
Expect(1, 66257, '\p{^Scx=cari}', "");
Expect(1, 66257, '\P{Scx=cari}', "");
Expect(0, 66257, '\P{^Scx=cari}', "");
Expect(1, 66256, '\p{Scx=  CARI}', "");
Expect(0, 66256, '\p{^Scx=  CARI}', "");
Expect(0, 66256, '\P{Scx=  CARI}', "");
Expect(1, 66256, '\P{^Scx=  CARI}', "");
Expect(0, 66257, '\p{Scx=  CARI}', "");
Expect(1, 66257, '\p{^Scx=  CARI}', "");
Expect(1, 66257, '\P{Scx=  CARI}', "");
Expect(0, 66257, '\P{^Scx=  CARI}', "");
Error('\p{Is_Script_Extensions=-CARIAN/a/}');
Error('\P{Is_Script_Extensions=-CARIAN/a/}');
Expect(1, 66256, '\p{Is_Script_Extensions=carian}', "");
Expect(0, 66256, '\p{^Is_Script_Extensions=carian}', "");
Expect(0, 66256, '\P{Is_Script_Extensions=carian}', "");
Expect(1, 66256, '\P{^Is_Script_Extensions=carian}', "");
Expect(0, 66257, '\p{Is_Script_Extensions=carian}', "");
Expect(1, 66257, '\p{^Is_Script_Extensions=carian}', "");
Expect(1, 66257, '\P{Is_Script_Extensions=carian}', "");
Expect(0, 66257, '\P{^Is_Script_Extensions=carian}', "");
Expect(1, 66256, '\p{Is_Script_Extensions= _carian}', "");
Expect(0, 66256, '\p{^Is_Script_Extensions= _carian}', "");
Expect(0, 66256, '\P{Is_Script_Extensions= _carian}', "");
Expect(1, 66256, '\P{^Is_Script_Extensions= _carian}', "");
Expect(0, 66257, '\p{Is_Script_Extensions= _carian}', "");
Expect(1, 66257, '\p{^Is_Script_Extensions= _carian}', "");
Expect(1, 66257, '\P{Is_Script_Extensions= _carian}', "");
Expect(0, 66257, '\P{^Is_Script_Extensions= _carian}', "");
Error('\p{Is_Scx=_CARI:=}');
Error('\P{Is_Scx=_CARI:=}');
Expect(1, 66256, '\p{Is_Scx=cari}', "");
Expect(0, 66256, '\p{^Is_Scx=cari}', "");
Expect(0, 66256, '\P{Is_Scx=cari}', "");
Expect(1, 66256, '\P{^Is_Scx=cari}', "");
Expect(0, 66257, '\p{Is_Scx=cari}', "");
Expect(1, 66257, '\p{^Is_Scx=cari}', "");
Expect(1, 66257, '\P{Is_Scx=cari}', "");
Expect(0, 66257, '\P{^Is_Scx=cari}', "");
Expect(1, 66256, '\p{Is_Scx=- Cari}', "");
Expect(0, 66256, '\p{^Is_Scx=- Cari}', "");
Expect(0, 66256, '\P{Is_Scx=- Cari}', "");
Expect(1, 66256, '\P{^Is_Scx=- Cari}', "");
Expect(0, 66257, '\p{Is_Scx=- Cari}', "");
Expect(1, 66257, '\p{^Is_Scx=- Cari}', "");
Expect(1, 66257, '\P{Is_Scx=- Cari}', "");
Expect(0, 66257, '\P{^Is_Scx=- Cari}', "");
Error('\p{Script_Extensions=_CHAM:=}');
Error('\P{Script_Extensions=_CHAM:=}');
Expect(1, 43615, '\p{Script_Extensions=cham}', "");
Expect(0, 43615, '\p{^Script_Extensions=cham}', "");
Expect(0, 43615, '\P{Script_Extensions=cham}', "");
Expect(1, 43615, '\P{^Script_Extensions=cham}', "");
Expect(0, 43616, '\p{Script_Extensions=cham}', "");
Expect(1, 43616, '\p{^Script_Extensions=cham}', "");
Expect(1, 43616, '\P{Script_Extensions=cham}', "");
Expect(0, 43616, '\P{^Script_Extensions=cham}', "");
Expect(1, 43615, '\p{Script_Extensions= CHAM}', "");
Expect(0, 43615, '\p{^Script_Extensions= CHAM}', "");
Expect(0, 43615, '\P{Script_Extensions= CHAM}', "");
Expect(1, 43615, '\P{^Script_Extensions= CHAM}', "");
Expect(0, 43616, '\p{Script_Extensions= CHAM}', "");
Expect(1, 43616, '\p{^Script_Extensions= CHAM}', "");
Expect(1, 43616, '\P{Script_Extensions= CHAM}', "");
Expect(0, 43616, '\P{^Script_Extensions= CHAM}', "");
Error('\p{Scx=-_Cham:=}');
Error('\P{Scx=-_Cham:=}');
Expect(1, 43615, '\p{Scx=cham}', "");
Expect(0, 43615, '\p{^Scx=cham}', "");
Expect(0, 43615, '\P{Scx=cham}', "");
Expect(1, 43615, '\P{^Scx=cham}', "");
Expect(0, 43616, '\p{Scx=cham}', "");
Expect(1, 43616, '\p{^Scx=cham}', "");
Expect(1, 43616, '\P{Scx=cham}', "");
Expect(0, 43616, '\P{^Scx=cham}', "");
Expect(1, 43615, '\p{Scx=	CHAM}', "");
Expect(0, 43615, '\p{^Scx=	CHAM}', "");
Expect(0, 43615, '\P{Scx=	CHAM}', "");
Expect(1, 43615, '\P{^Scx=	CHAM}', "");
Expect(0, 43616, '\p{Scx=	CHAM}', "");
Expect(1, 43616, '\p{^Scx=	CHAM}', "");
Expect(1, 43616, '\P{Scx=	CHAM}', "");
Expect(0, 43616, '\P{^Scx=	CHAM}', "");
Error('\p{Is_Script_Extensions= -cham/a/}');
Error('\P{Is_Script_Extensions= -cham/a/}');
Expect(1, 43615, '\p{Is_Script_Extensions=cham}', "");
Expect(0, 43615, '\p{^Is_Script_Extensions=cham}', "");
Expect(0, 43615, '\P{Is_Script_Extensions=cham}', "");
Expect(1, 43615, '\P{^Is_Script_Extensions=cham}', "");
Expect(0, 43616, '\p{Is_Script_Extensions=cham}', "");
Expect(1, 43616, '\p{^Is_Script_Extensions=cham}', "");
Expect(1, 43616, '\P{Is_Script_Extensions=cham}', "");
Expect(0, 43616, '\P{^Is_Script_Extensions=cham}', "");
Expect(1, 43615, '\p{Is_Script_Extensions= _CHAM}', "");
Expect(0, 43615, '\p{^Is_Script_Extensions= _CHAM}', "");
Expect(0, 43615, '\P{Is_Script_Extensions= _CHAM}', "");
Expect(1, 43615, '\P{^Is_Script_Extensions= _CHAM}', "");
Expect(0, 43616, '\p{Is_Script_Extensions= _CHAM}', "");
Expect(1, 43616, '\p{^Is_Script_Extensions= _CHAM}', "");
Expect(1, 43616, '\P{Is_Script_Extensions= _CHAM}', "");
Expect(0, 43616, '\P{^Is_Script_Extensions= _CHAM}', "");
Error('\p{Is_Scx=/a/_	CHAM}');
Error('\P{Is_Scx=/a/_	CHAM}');
Expect(1, 43615, '\p{Is_Scx: cham}', "");
Expect(0, 43615, '\p{^Is_Scx: cham}', "");
Expect(0, 43615, '\P{Is_Scx: cham}', "");
Expect(1, 43615, '\P{^Is_Scx: cham}', "");
Expect(0, 43616, '\p{Is_Scx: cham}', "");
Expect(1, 43616, '\p{^Is_Scx: cham}', "");
Expect(1, 43616, '\P{Is_Scx: cham}', "");
Expect(0, 43616, '\P{^Is_Scx: cham}', "");
Expect(1, 43615, '\p{Is_Scx= CHAM}', "");
Expect(0, 43615, '\p{^Is_Scx= CHAM}', "");
Expect(0, 43615, '\P{Is_Scx= CHAM}', "");
Expect(1, 43615, '\P{^Is_Scx= CHAM}', "");
Expect(0, 43616, '\p{Is_Scx= CHAM}', "");
Expect(1, 43616, '\p{^Is_Scx= CHAM}', "");
Expect(1, 43616, '\P{Is_Scx= CHAM}', "");
Expect(0, 43616, '\P{^Is_Scx= CHAM}', "");
Error('\p{Script_Extensions=/a/cherokee}');
Error('\P{Script_Extensions=/a/cherokee}');
Expect(1, 43967, '\p{Script_Extensions: cherokee}', "");
Expect(0, 43967, '\p{^Script_Extensions: cherokee}', "");
Expect(0, 43967, '\P{Script_Extensions: cherokee}', "");
Expect(1, 43967, '\P{^Script_Extensions: cherokee}', "");
Expect(0, 43968, '\p{Script_Extensions: cherokee}', "");
Expect(1, 43968, '\p{^Script_Extensions: cherokee}', "");
Expect(1, 43968, '\P{Script_Extensions: cherokee}', "");
Expect(0, 43968, '\P{^Script_Extensions: cherokee}', "");
Expect(1, 43967, '\p{Script_Extensions=	Cherokee}', "");
Expect(0, 43967, '\p{^Script_Extensions=	Cherokee}', "");
Expect(0, 43967, '\P{Script_Extensions=	Cherokee}', "");
Expect(1, 43967, '\P{^Script_Extensions=	Cherokee}', "");
Expect(0, 43968, '\p{Script_Extensions=	Cherokee}', "");
Expect(1, 43968, '\p{^Script_Extensions=	Cherokee}', "");
Expect(1, 43968, '\P{Script_Extensions=	Cherokee}', "");
Expect(0, 43968, '\P{^Script_Extensions=	Cherokee}', "");
Error('\p{Scx=_/a/CHER}');
Error('\P{Scx=_/a/CHER}');
Expect(1, 43967, '\p{Scx=cher}', "");
Expect(0, 43967, '\p{^Scx=cher}', "");
Expect(0, 43967, '\P{Scx=cher}', "");
Expect(1, 43967, '\P{^Scx=cher}', "");
Expect(0, 43968, '\p{Scx=cher}', "");
Expect(1, 43968, '\p{^Scx=cher}', "");
Expect(1, 43968, '\P{Scx=cher}', "");
Expect(0, 43968, '\P{^Scx=cher}', "");
Expect(1, 43967, '\p{Scx:	  CHER}', "");
Expect(0, 43967, '\p{^Scx:	  CHER}', "");
Expect(0, 43967, '\P{Scx:	  CHER}', "");
Expect(1, 43967, '\P{^Scx:	  CHER}', "");
Expect(0, 43968, '\p{Scx:	  CHER}', "");
Expect(1, 43968, '\p{^Scx:	  CHER}', "");
Expect(1, 43968, '\P{Scx:	  CHER}', "");
Expect(0, 43968, '\P{^Scx:	  CHER}', "");
Error('\p{Is_Script_Extensions: -/a/Cherokee}');
Error('\P{Is_Script_Extensions: -/a/Cherokee}');
Expect(1, 43967, '\p{Is_Script_Extensions=cherokee}', "");
Expect(0, 43967, '\p{^Is_Script_Extensions=cherokee}', "");
Expect(0, 43967, '\P{Is_Script_Extensions=cherokee}', "");
Expect(1, 43967, '\P{^Is_Script_Extensions=cherokee}', "");
Expect(0, 43968, '\p{Is_Script_Extensions=cherokee}', "");
Expect(1, 43968, '\p{^Is_Script_Extensions=cherokee}', "");
Expect(1, 43968, '\P{Is_Script_Extensions=cherokee}', "");
Expect(0, 43968, '\P{^Is_Script_Extensions=cherokee}', "");
Expect(1, 43967, '\p{Is_Script_Extensions=  CHEROKEE}', "");
Expect(0, 43967, '\p{^Is_Script_Extensions=  CHEROKEE}', "");
Expect(0, 43967, '\P{Is_Script_Extensions=  CHEROKEE}', "");
Expect(1, 43967, '\P{^Is_Script_Extensions=  CHEROKEE}', "");
Expect(0, 43968, '\p{Is_Script_Extensions=  CHEROKEE}', "");
Expect(1, 43968, '\p{^Is_Script_Extensions=  CHEROKEE}', "");
Expect(1, 43968, '\P{Is_Script_Extensions=  CHEROKEE}', "");
Expect(0, 43968, '\P{^Is_Script_Extensions=  CHEROKEE}', "");
Error('\p{Is_Scx=/a/	_CHER}');
Error('\P{Is_Scx=/a/	_CHER}');
Expect(1, 43967, '\p{Is_Scx=cher}', "");
Expect(0, 43967, '\p{^Is_Scx=cher}', "");
Expect(0, 43967, '\P{Is_Scx=cher}', "");
Expect(1, 43967, '\P{^Is_Scx=cher}', "");
Expect(0, 43968, '\p{Is_Scx=cher}', "");
Expect(1, 43968, '\p{^Is_Scx=cher}', "");
Expect(1, 43968, '\P{Is_Scx=cher}', "");
Expect(0, 43968, '\P{^Is_Scx=cher}', "");
Expect(1, 43967, '\p{Is_Scx= 	Cher}', "");
Expect(0, 43967, '\p{^Is_Scx= 	Cher}', "");
Expect(0, 43967, '\P{Is_Scx= 	Cher}', "");
Expect(1, 43967, '\P{^Is_Scx= 	Cher}', "");
Expect(0, 43968, '\p{Is_Scx= 	Cher}', "");
Expect(1, 43968, '\p{^Is_Scx= 	Cher}', "");
Expect(1, 43968, '\P{Is_Scx= 	Cher}', "");
Expect(0, 43968, '\P{^Is_Scx= 	Cher}', "");
Error('\p{Script_Extensions=/a/__Coptic}');
Error('\P{Script_Extensions=/a/__Coptic}');
Expect(1, 66299, '\p{Script_Extensions=coptic}', "");
Expect(0, 66299, '\p{^Script_Extensions=coptic}', "");
Expect(0, 66299, '\P{Script_Extensions=coptic}', "");
Expect(1, 66299, '\P{^Script_Extensions=coptic}', "");
Expect(0, 66300, '\p{Script_Extensions=coptic}', "");
Expect(1, 66300, '\p{^Script_Extensions=coptic}', "");
Expect(1, 66300, '\P{Script_Extensions=coptic}', "");
Expect(0, 66300, '\P{^Script_Extensions=coptic}', "");
Expect(1, 66299, '\p{Script_Extensions:	-COPTIC}', "");
Expect(0, 66299, '\p{^Script_Extensions:	-COPTIC}', "");
Expect(0, 66299, '\P{Script_Extensions:	-COPTIC}', "");
Expect(1, 66299, '\P{^Script_Extensions:	-COPTIC}', "");
Expect(0, 66300, '\p{Script_Extensions:	-COPTIC}', "");
Expect(1, 66300, '\p{^Script_Extensions:	-COPTIC}', "");
Expect(1, 66300, '\P{Script_Extensions:	-COPTIC}', "");
Expect(0, 66300, '\P{^Script_Extensions:	-COPTIC}', "");
Error('\p{Scx=-COPT:=}');
Error('\P{Scx=-COPT:=}');
Expect(1, 66299, '\p{Scx=copt}', "");
Expect(0, 66299, '\p{^Scx=copt}', "");
Expect(0, 66299, '\P{Scx=copt}', "");
Expect(1, 66299, '\P{^Scx=copt}', "");
Expect(0, 66300, '\p{Scx=copt}', "");
Expect(1, 66300, '\p{^Scx=copt}', "");
Expect(1, 66300, '\P{Scx=copt}', "");
Expect(0, 66300, '\P{^Scx=copt}', "");
Expect(1, 66299, '\p{Scx=-COPT}', "");
Expect(0, 66299, '\p{^Scx=-COPT}', "");
Expect(0, 66299, '\P{Scx=-COPT}', "");
Expect(1, 66299, '\P{^Scx=-COPT}', "");
Expect(0, 66300, '\p{Scx=-COPT}', "");
Expect(1, 66300, '\p{^Scx=-COPT}', "");
Expect(1, 66300, '\P{Scx=-COPT}', "");
Expect(0, 66300, '\P{^Scx=-COPT}', "");
Error('\p{Is_Script_Extensions=:=	 Qaac}');
Error('\P{Is_Script_Extensions=:=	 Qaac}');
Expect(1, 66299, '\p{Is_Script_Extensions=qaac}', "");
Expect(0, 66299, '\p{^Is_Script_Extensions=qaac}', "");
Expect(0, 66299, '\P{Is_Script_Extensions=qaac}', "");
Expect(1, 66299, '\P{^Is_Script_Extensions=qaac}', "");
Expect(0, 66300, '\p{Is_Script_Extensions=qaac}', "");
Expect(1, 66300, '\p{^Is_Script_Extensions=qaac}', "");
Expect(1, 66300, '\P{Is_Script_Extensions=qaac}', "");
Expect(0, 66300, '\P{^Is_Script_Extensions=qaac}', "");
Expect(1, 66299, '\p{Is_Script_Extensions=		qaac}', "");
Expect(0, 66299, '\p{^Is_Script_Extensions=		qaac}', "");
Expect(0, 66299, '\P{Is_Script_Extensions=		qaac}', "");
Expect(1, 66299, '\P{^Is_Script_Extensions=		qaac}', "");
Expect(0, 66300, '\p{Is_Script_Extensions=		qaac}', "");
Expect(1, 66300, '\p{^Is_Script_Extensions=		qaac}', "");
Expect(1, 66300, '\P{Is_Script_Extensions=		qaac}', "");
Expect(0, 66300, '\P{^Is_Script_Extensions=		qaac}', "");
Error('\p{Is_Scx=  Coptic:=}');
Error('\P{Is_Scx=  Coptic:=}');
Expect(1, 66299, '\p{Is_Scx=coptic}', "");
Expect(0, 66299, '\p{^Is_Scx=coptic}', "");
Expect(0, 66299, '\P{Is_Scx=coptic}', "");
Expect(1, 66299, '\P{^Is_Scx=coptic}', "");
Expect(0, 66300, '\p{Is_Scx=coptic}', "");
Expect(1, 66300, '\p{^Is_Scx=coptic}', "");
Expect(1, 66300, '\P{Is_Scx=coptic}', "");
Expect(0, 66300, '\P{^Is_Scx=coptic}', "");
Expect(1, 66299, '\p{Is_Scx=Coptic}', "");
Expect(0, 66299, '\p{^Is_Scx=Coptic}', "");
Expect(0, 66299, '\P{Is_Scx=Coptic}', "");
Expect(1, 66299, '\P{^Is_Scx=Coptic}', "");
Expect(0, 66300, '\p{Is_Scx=Coptic}', "");
Expect(1, 66300, '\p{^Is_Scx=Coptic}', "");
Expect(1, 66300, '\P{Is_Scx=Coptic}', "");
Expect(0, 66300, '\P{^Is_Scx=Coptic}', "");
Error('\p{Script_Extensions=  CYPRIOT:=}');
Error('\P{Script_Extensions=  CYPRIOT:=}');
Expect(1, 67647, '\p{Script_Extensions=cypriot}', "");
Expect(0, 67647, '\p{^Script_Extensions=cypriot}', "");
Expect(0, 67647, '\P{Script_Extensions=cypriot}', "");
Expect(1, 67647, '\P{^Script_Extensions=cypriot}', "");
Expect(0, 67648, '\p{Script_Extensions=cypriot}', "");
Expect(1, 67648, '\p{^Script_Extensions=cypriot}', "");
Expect(1, 67648, '\P{Script_Extensions=cypriot}', "");
Expect(0, 67648, '\P{^Script_Extensions=cypriot}', "");
Expect(1, 67647, '\p{Script_Extensions=--cypriot}', "");
Expect(0, 67647, '\p{^Script_Extensions=--cypriot}', "");
Expect(0, 67647, '\P{Script_Extensions=--cypriot}', "");
Expect(1, 67647, '\P{^Script_Extensions=--cypriot}', "");
Expect(0, 67648, '\p{Script_Extensions=--cypriot}', "");
Expect(1, 67648, '\p{^Script_Extensions=--cypriot}', "");
Expect(1, 67648, '\P{Script_Extensions=--cypriot}', "");
Expect(0, 67648, '\P{^Script_Extensions=--cypriot}', "");
Error('\p{Scx: Cprt:=}');
Error('\P{Scx: Cprt:=}');
Expect(1, 67647, '\p{Scx=cprt}', "");
Expect(0, 67647, '\p{^Scx=cprt}', "");
Expect(0, 67647, '\P{Scx=cprt}', "");
Expect(1, 67647, '\P{^Scx=cprt}', "");
Expect(0, 67648, '\p{Scx=cprt}', "");
Expect(1, 67648, '\p{^Scx=cprt}', "");
Expect(1, 67648, '\P{Scx=cprt}', "");
Expect(0, 67648, '\P{^Scx=cprt}', "");
Expect(1, 67647, '\p{Scx=	_cprt}', "");
Expect(0, 67647, '\p{^Scx=	_cprt}', "");
Expect(0, 67647, '\P{Scx=	_cprt}', "");
Expect(1, 67647, '\P{^Scx=	_cprt}', "");
Expect(0, 67648, '\p{Scx=	_cprt}', "");
Expect(1, 67648, '\p{^Scx=	_cprt}', "");
Expect(1, 67648, '\P{Scx=	_cprt}', "");
Expect(0, 67648, '\P{^Scx=	_cprt}', "");
Error('\p{Is_Script_Extensions=-/a/cypriot}');
Error('\P{Is_Script_Extensions=-/a/cypriot}');
Expect(1, 67647, '\p{Is_Script_Extensions=cypriot}', "");
Expect(0, 67647, '\p{^Is_Script_Extensions=cypriot}', "");
Expect(0, 67647, '\P{Is_Script_Extensions=cypriot}', "");
Expect(1, 67647, '\P{^Is_Script_Extensions=cypriot}', "");
Expect(0, 67648, '\p{Is_Script_Extensions=cypriot}', "");
Expect(1, 67648, '\p{^Is_Script_Extensions=cypriot}', "");
Expect(1, 67648, '\P{Is_Script_Extensions=cypriot}', "");
Expect(0, 67648, '\P{^Is_Script_Extensions=cypriot}', "");
Expect(1, 67647, '\p{Is_Script_Extensions=- Cypriot}', "");
Expect(0, 67647, '\p{^Is_Script_Extensions=- Cypriot}', "");
Expect(0, 67647, '\P{Is_Script_Extensions=- Cypriot}', "");
Expect(1, 67647, '\P{^Is_Script_Extensions=- Cypriot}', "");
Expect(0, 67648, '\p{Is_Script_Extensions=- Cypriot}', "");
Expect(1, 67648, '\p{^Is_Script_Extensions=- Cypriot}', "");
Expect(1, 67648, '\P{Is_Script_Extensions=- Cypriot}', "");
Expect(0, 67648, '\P{^Is_Script_Extensions=- Cypriot}', "");
Error('\p{Is_Scx=/a/_Cprt}');
Error('\P{Is_Scx=/a/_Cprt}');
Expect(1, 67647, '\p{Is_Scx:cprt}', "");
Expect(0, 67647, '\p{^Is_Scx:cprt}', "");
Expect(0, 67647, '\P{Is_Scx:cprt}', "");
Expect(1, 67647, '\P{^Is_Scx:cprt}', "");
Expect(0, 67648, '\p{Is_Scx:cprt}', "");
Expect(1, 67648, '\p{^Is_Scx:cprt}', "");
Expect(1, 67648, '\P{Is_Scx:cprt}', "");
Expect(0, 67648, '\P{^Is_Scx:cprt}', "");
Expect(1, 67647, '\p{Is_Scx=  cprt}', "");
Expect(0, 67647, '\p{^Is_Scx=  cprt}', "");
Expect(0, 67647, '\P{Is_Scx=  cprt}', "");
Expect(1, 67647, '\P{^Is_Scx=  cprt}', "");
Expect(0, 67648, '\p{Is_Scx=  cprt}', "");
Expect(1, 67648, '\p{^Is_Scx=  cprt}', "");
Expect(1, 67648, '\P{Is_Scx=  cprt}', "");
Expect(0, 67648, '\P{^Is_Scx=  cprt}', "");
Error('\p{Script_Extensions=__Cyrillic/a/}');
Error('\P{Script_Extensions=__Cyrillic/a/}');
Expect(1, 65071, '\p{Script_Extensions=cyrillic}', "");
Expect(0, 65071, '\p{^Script_Extensions=cyrillic}', "");
Expect(0, 65071, '\P{Script_Extensions=cyrillic}', "");
Expect(1, 65071, '\P{^Script_Extensions=cyrillic}', "");
Expect(0, 65072, '\p{Script_Extensions=cyrillic}', "");
Expect(1, 65072, '\p{^Script_Extensions=cyrillic}', "");
Expect(1, 65072, '\P{Script_Extensions=cyrillic}', "");
Expect(0, 65072, '\P{^Script_Extensions=cyrillic}', "");
Expect(1, 65071, '\p{Script_Extensions=_ Cyrillic}', "");
Expect(0, 65071, '\p{^Script_Extensions=_ Cyrillic}', "");
Expect(0, 65071, '\P{Script_Extensions=_ Cyrillic}', "");
Expect(1, 65071, '\P{^Script_Extensions=_ Cyrillic}', "");
Expect(0, 65072, '\p{Script_Extensions=_ Cyrillic}', "");
Expect(1, 65072, '\p{^Script_Extensions=_ Cyrillic}', "");
Expect(1, 65072, '\P{Script_Extensions=_ Cyrillic}', "");
Expect(0, 65072, '\P{^Script_Extensions=_ Cyrillic}', "");
Error('\p{Scx=:=_-Cyrl}');
Error('\P{Scx=:=_-Cyrl}');
Expect(1, 65071, '\p{Scx=cyrl}', "");
Expect(0, 65071, '\p{^Scx=cyrl}', "");
Expect(0, 65071, '\P{Scx=cyrl}', "");
Expect(1, 65071, '\P{^Scx=cyrl}', "");
Expect(0, 65072, '\p{Scx=cyrl}', "");
Expect(1, 65072, '\p{^Scx=cyrl}', "");
Expect(1, 65072, '\P{Scx=cyrl}', "");
Expect(0, 65072, '\P{^Scx=cyrl}', "");
Expect(1, 65071, '\p{Scx: 	Cyrl}', "");
Expect(0, 65071, '\p{^Scx: 	Cyrl}', "");
Expect(0, 65071, '\P{Scx: 	Cyrl}', "");
Expect(1, 65071, '\P{^Scx: 	Cyrl}', "");
Expect(0, 65072, '\p{Scx: 	Cyrl}', "");
Expect(1, 65072, '\p{^Scx: 	Cyrl}', "");
Expect(1, 65072, '\P{Scx: 	Cyrl}', "");
Expect(0, 65072, '\P{^Scx: 	Cyrl}', "");
Error('\p{Is_Script_Extensions=-/a/CYRILLIC}');
Error('\P{Is_Script_Extensions=-/a/CYRILLIC}');
Expect(1, 65071, '\p{Is_Script_Extensions=cyrillic}', "");
Expect(0, 65071, '\p{^Is_Script_Extensions=cyrillic}', "");
Expect(0, 65071, '\P{Is_Script_Extensions=cyrillic}', "");
Expect(1, 65071, '\P{^Is_Script_Extensions=cyrillic}', "");
Expect(0, 65072, '\p{Is_Script_Extensions=cyrillic}', "");
Expect(1, 65072, '\p{^Is_Script_Extensions=cyrillic}', "");
Expect(1, 65072, '\P{Is_Script_Extensions=cyrillic}', "");
Expect(0, 65072, '\P{^Is_Script_Extensions=cyrillic}', "");
Expect(1, 65071, '\p{Is_Script_Extensions= 	cyrillic}', "");
Expect(0, 65071, '\p{^Is_Script_Extensions= 	cyrillic}', "");
Expect(0, 65071, '\P{Is_Script_Extensions= 	cyrillic}', "");
Expect(1, 65071, '\P{^Is_Script_Extensions= 	cyrillic}', "");
Expect(0, 65072, '\p{Is_Script_Extensions= 	cyrillic}', "");
Expect(1, 65072, '\p{^Is_Script_Extensions= 	cyrillic}', "");
Expect(1, 65072, '\P{Is_Script_Extensions= 	cyrillic}', "");
Expect(0, 65072, '\P{^Is_Script_Extensions= 	cyrillic}', "");
Error('\p{Is_Scx=/a/cyrl}');
Error('\P{Is_Scx=/a/cyrl}');
Expect(1, 65071, '\p{Is_Scx=cyrl}', "");
Expect(0, 65071, '\p{^Is_Scx=cyrl}', "");
Expect(0, 65071, '\P{Is_Scx=cyrl}', "");
Expect(1, 65071, '\P{^Is_Scx=cyrl}', "");
Expect(0, 65072, '\p{Is_Scx=cyrl}', "");
Expect(1, 65072, '\p{^Is_Scx=cyrl}', "");
Expect(1, 65072, '\P{Is_Scx=cyrl}', "");
Expect(0, 65072, '\P{^Is_Scx=cyrl}', "");
Expect(1, 65071, '\p{Is_Scx=_ CYRL}', "");
Expect(0, 65071, '\p{^Is_Scx=_ CYRL}', "");
Expect(0, 65071, '\P{Is_Scx=_ CYRL}', "");
Expect(1, 65071, '\P{^Is_Scx=_ CYRL}', "");
Expect(0, 65072, '\p{Is_Scx=_ CYRL}', "");
Expect(1, 65072, '\p{^Is_Scx=_ CYRL}', "");
Expect(1, 65072, '\P{Is_Scx=_ CYRL}', "");
Expect(0, 65072, '\P{^Is_Scx=_ CYRL}', "");
Error('\p{Script_Extensions=-/a/DEVANAGARI}');
Error('\P{Script_Extensions=-/a/DEVANAGARI}');
Expect(1, 43261, '\p{Script_Extensions=devanagari}', "");
Expect(0, 43261, '\p{^Script_Extensions=devanagari}', "");
Expect(0, 43261, '\P{Script_Extensions=devanagari}', "");
Expect(1, 43261, '\P{^Script_Extensions=devanagari}', "");
Expect(0, 43262, '\p{Script_Extensions=devanagari}', "");
Expect(1, 43262, '\p{^Script_Extensions=devanagari}', "");
Expect(1, 43262, '\P{Script_Extensions=devanagari}', "");
Expect(0, 43262, '\P{^Script_Extensions=devanagari}', "");
Expect(1, 43261, '\p{Script_Extensions:		 devanagari}', "");
Expect(0, 43261, '\p{^Script_Extensions:		 devanagari}', "");
Expect(0, 43261, '\P{Script_Extensions:		 devanagari}', "");
Expect(1, 43261, '\P{^Script_Extensions:		 devanagari}', "");
Expect(0, 43262, '\p{Script_Extensions:		 devanagari}', "");
Expect(1, 43262, '\p{^Script_Extensions:		 devanagari}', "");
Expect(1, 43262, '\P{Script_Extensions:		 devanagari}', "");
Expect(0, 43262, '\P{^Script_Extensions:		 devanagari}', "");
Error('\p{Scx:	:=-DEVA}');
Error('\P{Scx:	:=-DEVA}');
Expect(1, 43261, '\p{Scx: deva}', "");
Expect(0, 43261, '\p{^Scx: deva}', "");
Expect(0, 43261, '\P{Scx: deva}', "");
Expect(1, 43261, '\P{^Scx: deva}', "");
Expect(0, 43262, '\p{Scx: deva}', "");
Expect(1, 43262, '\p{^Scx: deva}', "");
Expect(1, 43262, '\P{Scx: deva}', "");
Expect(0, 43262, '\P{^Scx: deva}', "");
Expect(1, 43261, '\p{Scx=-Deva}', "");
Expect(0, 43261, '\p{^Scx=-Deva}', "");
Expect(0, 43261, '\P{Scx=-Deva}', "");
Expect(1, 43261, '\P{^Scx=-Deva}', "");
Expect(0, 43262, '\p{Scx=-Deva}', "");
Expect(1, 43262, '\p{^Scx=-Deva}', "");
Expect(1, 43262, '\P{Scx=-Deva}', "");
Expect(0, 43262, '\P{^Scx=-Deva}', "");
Error('\p{Is_Script_Extensions=/a/_ devanagari}');
Error('\P{Is_Script_Extensions=/a/_ devanagari}');
Expect(1, 43261, '\p{Is_Script_Extensions=devanagari}', "");
Expect(0, 43261, '\p{^Is_Script_Extensions=devanagari}', "");
Expect(0, 43261, '\P{Is_Script_Extensions=devanagari}', "");
Expect(1, 43261, '\P{^Is_Script_Extensions=devanagari}', "");
Expect(0, 43262, '\p{Is_Script_Extensions=devanagari}', "");
Expect(1, 43262, '\p{^Is_Script_Extensions=devanagari}', "");
Expect(1, 43262, '\P{Is_Script_Extensions=devanagari}', "");
Expect(0, 43262, '\P{^Is_Script_Extensions=devanagari}', "");
Expect(1, 43261, '\p{Is_Script_Extensions=-	Devanagari}', "");
Expect(0, 43261, '\p{^Is_Script_Extensions=-	Devanagari}', "");
Expect(0, 43261, '\P{Is_Script_Extensions=-	Devanagari}', "");
Expect(1, 43261, '\P{^Is_Script_Extensions=-	Devanagari}', "");
Expect(0, 43262, '\p{Is_Script_Extensions=-	Devanagari}', "");
Expect(1, 43262, '\p{^Is_Script_Extensions=-	Devanagari}', "");
Expect(1, 43262, '\P{Is_Script_Extensions=-	Devanagari}', "");
Expect(0, 43262, '\P{^Is_Script_Extensions=-	Devanagari}', "");
Error('\p{Is_Scx=:= 	deva}');
Error('\P{Is_Scx=:= 	deva}');
Expect(1, 43261, '\p{Is_Scx: deva}', "");
Expect(0, 43261, '\p{^Is_Scx: deva}', "");
Expect(0, 43261, '\P{Is_Scx: deva}', "");
Expect(1, 43261, '\P{^Is_Scx: deva}', "");
Expect(0, 43262, '\p{Is_Scx: deva}', "");
Expect(1, 43262, '\p{^Is_Scx: deva}', "");
Expect(1, 43262, '\P{Is_Scx: deva}', "");
Expect(0, 43262, '\P{^Is_Scx: deva}', "");
Expect(1, 43261, '\p{Is_Scx=-	Deva}', "");
Expect(0, 43261, '\p{^Is_Scx=-	Deva}', "");
Expect(0, 43261, '\P{Is_Scx=-	Deva}', "");
Expect(1, 43261, '\P{^Is_Scx=-	Deva}', "");
Expect(0, 43262, '\p{Is_Scx=-	Deva}', "");
Expect(1, 43262, '\p{^Is_Scx=-	Deva}', "");
Expect(1, 43262, '\P{Is_Scx=-	Deva}', "");
Expect(0, 43262, '\P{^Is_Scx=-	Deva}', "");
Error('\p{Script_Extensions=/a/	-DESERET}');
Error('\P{Script_Extensions=/a/	-DESERET}');
Expect(1, 66639, '\p{Script_Extensions=deseret}', "");
Expect(0, 66639, '\p{^Script_Extensions=deseret}', "");
Expect(0, 66639, '\P{Script_Extensions=deseret}', "");
Expect(1, 66639, '\P{^Script_Extensions=deseret}', "");
Expect(0, 66640, '\p{Script_Extensions=deseret}', "");
Expect(1, 66640, '\p{^Script_Extensions=deseret}', "");
Expect(1, 66640, '\P{Script_Extensions=deseret}', "");
Expect(0, 66640, '\P{^Script_Extensions=deseret}', "");
Expect(1, 66639, '\p{Script_Extensions= -DESERET}', "");
Expect(0, 66639, '\p{^Script_Extensions= -DESERET}', "");
Expect(0, 66639, '\P{Script_Extensions= -DESERET}', "");
Expect(1, 66639, '\P{^Script_Extensions= -DESERET}', "");
Expect(0, 66640, '\p{Script_Extensions= -DESERET}', "");
Expect(1, 66640, '\p{^Script_Extensions= -DESERET}', "");
Expect(1, 66640, '\P{Script_Extensions= -DESERET}', "");
Expect(0, 66640, '\P{^Script_Extensions= -DESERET}', "");
Error('\p{Scx=:= 	dsrt}');
Error('\P{Scx=:= 	dsrt}');
Expect(1, 66639, '\p{Scx=dsrt}', "");
Expect(0, 66639, '\p{^Scx=dsrt}', "");
Expect(0, 66639, '\P{Scx=dsrt}', "");
Expect(1, 66639, '\P{^Scx=dsrt}', "");
Expect(0, 66640, '\p{Scx=dsrt}', "");
Expect(1, 66640, '\p{^Scx=dsrt}', "");
Expect(1, 66640, '\P{Scx=dsrt}', "");
Expect(0, 66640, '\P{^Scx=dsrt}', "");
Expect(1, 66639, '\p{Scx=	_Dsrt}', "");
Expect(0, 66639, '\p{^Scx=	_Dsrt}', "");
Expect(0, 66639, '\P{Scx=	_Dsrt}', "");
Expect(1, 66639, '\P{^Scx=	_Dsrt}', "");
Expect(0, 66640, '\p{Scx=	_Dsrt}', "");
Expect(1, 66640, '\p{^Scx=	_Dsrt}', "");
Expect(1, 66640, '\P{Scx=	_Dsrt}', "");
Expect(0, 66640, '\P{^Scx=	_Dsrt}', "");
Error('\p{Is_Script_Extensions= /a/deseret}');
Error('\P{Is_Script_Extensions= /a/deseret}');
Expect(1, 66639, '\p{Is_Script_Extensions=deseret}', "");
Expect(0, 66639, '\p{^Is_Script_Extensions=deseret}', "");
Expect(0, 66639, '\P{Is_Script_Extensions=deseret}', "");
Expect(1, 66639, '\P{^Is_Script_Extensions=deseret}', "");
Expect(0, 66640, '\p{Is_Script_Extensions=deseret}', "");
Expect(1, 66640, '\p{^Is_Script_Extensions=deseret}', "");
Expect(1, 66640, '\P{Is_Script_Extensions=deseret}', "");
Expect(0, 66640, '\P{^Is_Script_Extensions=deseret}', "");
Expect(1, 66639, '\p{Is_Script_Extensions= _Deseret}', "");
Expect(0, 66639, '\p{^Is_Script_Extensions= _Deseret}', "");
Expect(0, 66639, '\P{Is_Script_Extensions= _Deseret}', "");
Expect(1, 66639, '\P{^Is_Script_Extensions= _Deseret}', "");
Expect(0, 66640, '\p{Is_Script_Extensions= _Deseret}', "");
Expect(1, 66640, '\p{^Is_Script_Extensions= _Deseret}', "");
Expect(1, 66640, '\P{Is_Script_Extensions= _Deseret}', "");
Expect(0, 66640, '\P{^Is_Script_Extensions= _Deseret}', "");
Error('\p{Is_Scx=/a/_dsrt}');
Error('\P{Is_Scx=/a/_dsrt}');
Expect(1, 66639, '\p{Is_Scx=dsrt}', "");
Expect(0, 66639, '\p{^Is_Scx=dsrt}', "");
Expect(0, 66639, '\P{Is_Scx=dsrt}', "");
Expect(1, 66639, '\P{^Is_Scx=dsrt}', "");
Expect(0, 66640, '\p{Is_Scx=dsrt}', "");
Expect(1, 66640, '\p{^Is_Scx=dsrt}', "");
Expect(1, 66640, '\P{Is_Scx=dsrt}', "");
Expect(0, 66640, '\P{^Is_Scx=dsrt}', "");
Expect(1, 66639, '\p{Is_Scx=-DSRT}', "");
Expect(0, 66639, '\p{^Is_Scx=-DSRT}', "");
Expect(0, 66639, '\P{Is_Scx=-DSRT}', "");
Expect(1, 66639, '\P{^Is_Scx=-DSRT}', "");
Expect(0, 66640, '\p{Is_Scx=-DSRT}', "");
Expect(1, 66640, '\p{^Is_Scx=-DSRT}', "");
Expect(1, 66640, '\P{Is_Scx=-DSRT}', "");
Expect(0, 66640, '\P{^Is_Scx=-DSRT}', "");
Error('\p{Script_Extensions=:= -Duployan}');
Error('\P{Script_Extensions=:= -Duployan}');
Expect(1, 113827, '\p{Script_Extensions=duployan}', "");
Expect(0, 113827, '\p{^Script_Extensions=duployan}', "");
Expect(0, 113827, '\P{Script_Extensions=duployan}', "");
Expect(1, 113827, '\P{^Script_Extensions=duployan}', "");
Expect(0, 113828, '\p{Script_Extensions=duployan}', "");
Expect(1, 113828, '\p{^Script_Extensions=duployan}', "");
Expect(1, 113828, '\P{Script_Extensions=duployan}', "");
Expect(0, 113828, '\P{^Script_Extensions=duployan}', "");
Expect(1, 113827, '\p{Script_Extensions= duployan}', "");
Expect(0, 113827, '\p{^Script_Extensions= duployan}', "");
Expect(0, 113827, '\P{Script_Extensions= duployan}', "");
Expect(1, 113827, '\P{^Script_Extensions= duployan}', "");
Expect(0, 113828, '\p{Script_Extensions= duployan}', "");
Expect(1, 113828, '\p{^Script_Extensions= duployan}', "");
Expect(1, 113828, '\P{Script_Extensions= duployan}', "");
Expect(0, 113828, '\P{^Script_Extensions= duployan}', "");
Error('\p{Scx= /a/Dupl}');
Error('\P{Scx= /a/Dupl}');
Expect(1, 113827, '\p{Scx=dupl}', "");
Expect(0, 113827, '\p{^Scx=dupl}', "");
Expect(0, 113827, '\P{Scx=dupl}', "");
Expect(1, 113827, '\P{^Scx=dupl}', "");
Expect(0, 113828, '\p{Scx=dupl}', "");
Expect(1, 113828, '\p{^Scx=dupl}', "");
Expect(1, 113828, '\P{Scx=dupl}', "");
Expect(0, 113828, '\P{^Scx=dupl}', "");
Expect(1, 113827, '\p{Scx=		DUPL}', "");
Expect(0, 113827, '\p{^Scx=		DUPL}', "");
Expect(0, 113827, '\P{Scx=		DUPL}', "");
Expect(1, 113827, '\P{^Scx=		DUPL}', "");
Expect(0, 113828, '\p{Scx=		DUPL}', "");
Expect(1, 113828, '\p{^Scx=		DUPL}', "");
Expect(1, 113828, '\P{Scx=		DUPL}', "");
Expect(0, 113828, '\P{^Scx=		DUPL}', "");
Error('\p{Is_Script_Extensions=	/a/Duployan}');
Error('\P{Is_Script_Extensions=	/a/Duployan}');
Expect(1, 113827, '\p{Is_Script_Extensions:duployan}', "");
Expect(0, 113827, '\p{^Is_Script_Extensions:duployan}', "");
Expect(0, 113827, '\P{Is_Script_Extensions:duployan}', "");
Expect(1, 113827, '\P{^Is_Script_Extensions:duployan}', "");
Expect(0, 113828, '\p{Is_Script_Extensions:duployan}', "");
Expect(1, 113828, '\p{^Is_Script_Extensions:duployan}', "");
Expect(1, 113828, '\P{Is_Script_Extensions:duployan}', "");
Expect(0, 113828, '\P{^Is_Script_Extensions:duployan}', "");
Expect(1, 113827, '\p{Is_Script_Extensions:  	DUPLOYAN}', "");
Expect(0, 113827, '\p{^Is_Script_Extensions:  	DUPLOYAN}', "");
Expect(0, 113827, '\P{Is_Script_Extensions:  	DUPLOYAN}', "");
Expect(1, 113827, '\P{^Is_Script_Extensions:  	DUPLOYAN}', "");
Expect(0, 113828, '\p{Is_Script_Extensions:  	DUPLOYAN}', "");
Expect(1, 113828, '\p{^Is_Script_Extensions:  	DUPLOYAN}', "");
Expect(1, 113828, '\P{Is_Script_Extensions:  	DUPLOYAN}', "");
Expect(0, 113828, '\P{^Is_Script_Extensions:  	DUPLOYAN}', "");
Error('\p{Is_Scx= 	dupl/a/}');
Error('\P{Is_Scx= 	dupl/a/}');
Expect(1, 113827, '\p{Is_Scx=dupl}', "");
Expect(0, 113827, '\p{^Is_Scx=dupl}', "");
Expect(0, 113827, '\P{Is_Scx=dupl}', "");
Expect(1, 113827, '\P{^Is_Scx=dupl}', "");
Expect(0, 113828, '\p{Is_Scx=dupl}', "");
Expect(1, 113828, '\p{^Is_Scx=dupl}', "");
Expect(1, 113828, '\P{Is_Scx=dupl}', "");
Expect(0, 113828, '\P{^Is_Scx=dupl}', "");
Expect(1, 113827, '\p{Is_Scx=-_dupl}', "");
Expect(0, 113827, '\p{^Is_Scx=-_dupl}', "");
Expect(0, 113827, '\P{Is_Scx=-_dupl}', "");
Expect(1, 113827, '\P{^Is_Scx=-_dupl}', "");
Expect(0, 113828, '\p{Is_Scx=-_dupl}', "");
Expect(1, 113828, '\p{^Is_Scx=-_dupl}', "");
Expect(1, 113828, '\P{Is_Scx=-_dupl}', "");
Expect(0, 113828, '\P{^Is_Scx=-_dupl}', "");
Error('\p{Script_Extensions=- EGYPTIAN_Hieroglyphs:=}');
Error('\P{Script_Extensions=- EGYPTIAN_Hieroglyphs:=}');
Expect(1, 78894, '\p{Script_Extensions: egyptianhieroglyphs}', "");
Expect(0, 78894, '\p{^Script_Extensions: egyptianhieroglyphs}', "");
Expect(0, 78894, '\P{Script_Extensions: egyptianhieroglyphs}', "");
Expect(1, 78894, '\P{^Script_Extensions: egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{Script_Extensions: egyptianhieroglyphs}', "");
Expect(1, 78895, '\p{^Script_Extensions: egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{Script_Extensions: egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{^Script_Extensions: egyptianhieroglyphs}', "");
Expect(1, 78894, '\p{Script_Extensions: 		Egyptian_HIEROGLYPHS}', "");
Expect(0, 78894, '\p{^Script_Extensions: 		Egyptian_HIEROGLYPHS}', "");
Expect(0, 78894, '\P{Script_Extensions: 		Egyptian_HIEROGLYPHS}', "");
Expect(1, 78894, '\P{^Script_Extensions: 		Egyptian_HIEROGLYPHS}', "");
Expect(0, 78895, '\p{Script_Extensions: 		Egyptian_HIEROGLYPHS}', "");
Expect(1, 78895, '\p{^Script_Extensions: 		Egyptian_HIEROGLYPHS}', "");
Expect(1, 78895, '\P{Script_Extensions: 		Egyptian_HIEROGLYPHS}', "");
Expect(0, 78895, '\P{^Script_Extensions: 		Egyptian_HIEROGLYPHS}', "");
Error('\p{Scx=/a/	Egyp}');
Error('\P{Scx=/a/	Egyp}');
Expect(1, 78894, '\p{Scx=egyp}', "");
Expect(0, 78894, '\p{^Scx=egyp}', "");
Expect(0, 78894, '\P{Scx=egyp}', "");
Expect(1, 78894, '\P{^Scx=egyp}', "");
Expect(0, 78895, '\p{Scx=egyp}', "");
Expect(1, 78895, '\p{^Scx=egyp}', "");
Expect(1, 78895, '\P{Scx=egyp}', "");
Expect(0, 78895, '\P{^Scx=egyp}', "");
Expect(1, 78894, '\p{Scx=-	EGYP}', "");
Expect(0, 78894, '\p{^Scx=-	EGYP}', "");
Expect(0, 78894, '\P{Scx=-	EGYP}', "");
Expect(1, 78894, '\P{^Scx=-	EGYP}', "");
Expect(0, 78895, '\p{Scx=-	EGYP}', "");
Expect(1, 78895, '\p{^Scx=-	EGYP}', "");
Expect(1, 78895, '\P{Scx=-	EGYP}', "");
Expect(0, 78895, '\P{^Scx=-	EGYP}', "");
Error('\p{Is_Script_Extensions=:=_ Egyptian_Hieroglyphs}');
Error('\P{Is_Script_Extensions=:=_ Egyptian_Hieroglyphs}');
Expect(1, 78894, '\p{Is_Script_Extensions=egyptianhieroglyphs}', "");
Expect(0, 78894, '\p{^Is_Script_Extensions=egyptianhieroglyphs}', "");
Expect(0, 78894, '\P{Is_Script_Extensions=egyptianhieroglyphs}', "");
Expect(1, 78894, '\P{^Is_Script_Extensions=egyptianhieroglyphs}', "");
Expect(0, 78895, '\p{Is_Script_Extensions=egyptianhieroglyphs}', "");
Expect(1, 78895, '\p{^Is_Script_Extensions=egyptianhieroglyphs}', "");
Expect(1, 78895, '\P{Is_Script_Extensions=egyptianhieroglyphs}', "");
Expect(0, 78895, '\P{^Is_Script_Extensions=egyptianhieroglyphs}', "");
Expect(1, 78894, '\p{Is_Script_Extensions=_EGYPTIAN_HIEROGLYPHS}', "");
Expect(0, 78894, '\p{^Is_Script_Extensions=_EGYPTIAN_HIEROGLYPHS}', "");
Expect(0, 78894, '\P{Is_Script_Extensions=_EGYPTIAN_HIEROGLYPHS}', "");
Expect(1, 78894, '\P{^Is_Script_Extensions=_EGYPTIAN_HIEROGLYPHS}', "");
Expect(0, 78895, '\p{Is_Script_Extensions=_EGYPTIAN_HIEROGLYPHS}', "");
Expect(1, 78895, '\p{^Is_Script_Extensions=_EGYPTIAN_HIEROGLYPHS}', "");
Expect(1, 78895, '\P{Is_Script_Extensions=_EGYPTIAN_HIEROGLYPHS}', "");
Expect(0, 78895, '\P{^Is_Script_Extensions=_EGYPTIAN_HIEROGLYPHS}', "");
Error('\p{Is_Scx=- EGYP:=}');
Error('\P{Is_Scx=- EGYP:=}');
Expect(1, 78894, '\p{Is_Scx=egyp}', "");
Expect(0, 78894, '\p{^Is_Scx=egyp}', "");
Expect(0, 78894, '\P{Is_Scx=egyp}', "");
Expect(1, 78894, '\P{^Is_Scx=egyp}', "");
Expect(0, 78895, '\p{Is_Scx=egyp}', "");
Expect(1, 78895, '\p{^Is_Scx=egyp}', "");
Expect(1, 78895, '\P{Is_Scx=egyp}', "");
Expect(0, 78895, '\P{^Is_Scx=egyp}', "");
Expect(1, 78894, '\p{Is_Scx=Egyp}', "");
Expect(0, 78894, '\p{^Is_Scx=Egyp}', "");
Expect(0, 78894, '\P{Is_Scx=Egyp}', "");
Expect(1, 78894, '\P{^Is_Scx=Egyp}', "");
Expect(0, 78895, '\p{Is_Scx=Egyp}', "");
Expect(1, 78895, '\p{^Is_Scx=Egyp}', "");
Expect(1, 78895, '\P{Is_Scx=Egyp}', "");
Expect(0, 78895, '\P{^Is_Scx=Egyp}', "");
Error('\p{Script_Extensions: 	_Elbasan/a/}');
Error('\P{Script_Extensions: 	_Elbasan/a/}');
Expect(1, 66855, '\p{Script_Extensions=elbasan}', "");
Expect(0, 66855, '\p{^Script_Extensions=elbasan}', "");
Expect(0, 66855, '\P{Script_Extensions=elbasan}', "");
Expect(1, 66855, '\P{^Script_Extensions=elbasan}', "");
Expect(0, 66856, '\p{Script_Extensions=elbasan}', "");
Expect(1, 66856, '\p{^Script_Extensions=elbasan}', "");
Expect(1, 66856, '\P{Script_Extensions=elbasan}', "");
Expect(0, 66856, '\P{^Script_Extensions=elbasan}', "");
Expect(1, 66855, '\p{Script_Extensions=-ELBASAN}', "");
Expect(0, 66855, '\p{^Script_Extensions=-ELBASAN}', "");
Expect(0, 66855, '\P{Script_Extensions=-ELBASAN}', "");
Expect(1, 66855, '\P{^Script_Extensions=-ELBASAN}', "");
Expect(0, 66856, '\p{Script_Extensions=-ELBASAN}', "");
Expect(1, 66856, '\p{^Script_Extensions=-ELBASAN}', "");
Expect(1, 66856, '\P{Script_Extensions=-ELBASAN}', "");
Expect(0, 66856, '\P{^Script_Extensions=-ELBASAN}', "");
Error('\p{Scx= 	ELBA/a/}');
Error('\P{Scx= 	ELBA/a/}');
Expect(1, 66855, '\p{Scx=elba}', "");
Expect(0, 66855, '\p{^Scx=elba}', "");
Expect(0, 66855, '\P{Scx=elba}', "");
Expect(1, 66855, '\P{^Scx=elba}', "");
Expect(0, 66856, '\p{Scx=elba}', "");
Expect(1, 66856, '\p{^Scx=elba}', "");
Expect(1, 66856, '\P{Scx=elba}', "");
Expect(0, 66856, '\P{^Scx=elba}', "");
Expect(1, 66855, '\p{Scx:   __ELBA}', "");
Expect(0, 66855, '\p{^Scx:   __ELBA}', "");
Expect(0, 66855, '\P{Scx:   __ELBA}', "");
Expect(1, 66855, '\P{^Scx:   __ELBA}', "");
Expect(0, 66856, '\p{Scx:   __ELBA}', "");
Expect(1, 66856, '\p{^Scx:   __ELBA}', "");
Expect(1, 66856, '\P{Scx:   __ELBA}', "");
Expect(0, 66856, '\P{^Scx:   __ELBA}', "");
Error('\p{Is_Script_Extensions=_elbasan:=}');
Error('\P{Is_Script_Extensions=_elbasan:=}');
Expect(1, 66855, '\p{Is_Script_Extensions=elbasan}', "");
Expect(0, 66855, '\p{^Is_Script_Extensions=elbasan}', "");
Expect(0, 66855, '\P{Is_Script_Extensions=elbasan}', "");
Expect(1, 66855, '\P{^Is_Script_Extensions=elbasan}', "");
Expect(0, 66856, '\p{Is_Script_Extensions=elbasan}', "");
Expect(1, 66856, '\p{^Is_Script_Extensions=elbasan}', "");
Expect(1, 66856, '\P{Is_Script_Extensions=elbasan}', "");
Expect(0, 66856, '\P{^Is_Script_Extensions=elbasan}', "");
Expect(1, 66855, '\p{Is_Script_Extensions=_elbasan}', "");
Expect(0, 66855, '\p{^Is_Script_Extensions=_elbasan}', "");
Expect(0, 66855, '\P{Is_Script_Extensions=_elbasan}', "");
Expect(1, 66855, '\P{^Is_Script_Extensions=_elbasan}', "");
Expect(0, 66856, '\p{Is_Script_Extensions=_elbasan}', "");
Expect(1, 66856, '\p{^Is_Script_Extensions=_elbasan}', "");
Expect(1, 66856, '\P{Is_Script_Extensions=_elbasan}', "");
Expect(0, 66856, '\P{^Is_Script_Extensions=_elbasan}', "");
Error('\p{Is_Scx:/a/	ELBA}');
Error('\P{Is_Scx:/a/	ELBA}');
Expect(1, 66855, '\p{Is_Scx=elba}', "");
Expect(0, 66855, '\p{^Is_Scx=elba}', "");
Expect(0, 66855, '\P{Is_Scx=elba}', "");
Expect(1, 66855, '\P{^Is_Scx=elba}', "");
Expect(0, 66856, '\p{Is_Scx=elba}', "");
Expect(1, 66856, '\p{^Is_Scx=elba}', "");
Expect(1, 66856, '\P{Is_Scx=elba}', "");
Expect(0, 66856, '\P{^Is_Scx=elba}', "");
Expect(1, 66855, '\p{Is_Scx=-_Elba}', "");
Expect(0, 66855, '\p{^Is_Scx=-_Elba}', "");
Expect(0, 66855, '\P{Is_Scx=-_Elba}', "");
Expect(1, 66855, '\P{^Is_Scx=-_Elba}', "");
Expect(0, 66856, '\p{Is_Scx=-_Elba}', "");
Expect(1, 66856, '\p{^Is_Scx=-_Elba}', "");
Expect(1, 66856, '\P{Is_Scx=-_Elba}', "");
Expect(0, 66856, '\P{^Is_Scx=-_Elba}', "");
Error('\p{Script_Extensions=  ethiopic/a/}');
Error('\P{Script_Extensions=  ethiopic/a/}');
Expect(1, 43822, '\p{Script_Extensions=ethiopic}', "");
Expect(0, 43822, '\p{^Script_Extensions=ethiopic}', "");
Expect(0, 43822, '\P{Script_Extensions=ethiopic}', "");
Expect(1, 43822, '\P{^Script_Extensions=ethiopic}', "");
Expect(0, 43823, '\p{Script_Extensions=ethiopic}', "");
Expect(1, 43823, '\p{^Script_Extensions=ethiopic}', "");
Expect(1, 43823, '\P{Script_Extensions=ethiopic}', "");
Expect(0, 43823, '\P{^Script_Extensions=ethiopic}', "");
Expect(1, 43822, '\p{Script_Extensions=_ Ethiopic}', "");
Expect(0, 43822, '\p{^Script_Extensions=_ Ethiopic}', "");
Expect(0, 43822, '\P{Script_Extensions=_ Ethiopic}', "");
Expect(1, 43822, '\P{^Script_Extensions=_ Ethiopic}', "");
Expect(0, 43823, '\p{Script_Extensions=_ Ethiopic}', "");
Expect(1, 43823, '\p{^Script_Extensions=_ Ethiopic}', "");
Expect(1, 43823, '\P{Script_Extensions=_ Ethiopic}', "");
Expect(0, 43823, '\P{^Script_Extensions=_ Ethiopic}', "");
Error('\p{Scx= -Ethi/a/}');
Error('\P{Scx= -Ethi/a/}');
Expect(1, 43822, '\p{Scx=ethi}', "");
Expect(0, 43822, '\p{^Scx=ethi}', "");
Expect(0, 43822, '\P{Scx=ethi}', "");
Expect(1, 43822, '\P{^Scx=ethi}', "");
Expect(0, 43823, '\p{Scx=ethi}', "");
Expect(1, 43823, '\p{^Scx=ethi}', "");
Expect(1, 43823, '\P{Scx=ethi}', "");
Expect(0, 43823, '\P{^Scx=ethi}', "");
Expect(1, 43822, '\p{Scx= -Ethi}', "");
Expect(0, 43822, '\p{^Scx= -Ethi}', "");
Expect(0, 43822, '\P{Scx= -Ethi}', "");
Expect(1, 43822, '\P{^Scx= -Ethi}', "");
Expect(0, 43823, '\p{Scx= -Ethi}', "");
Expect(1, 43823, '\p{^Scx= -Ethi}', "");
Expect(1, 43823, '\P{Scx= -Ethi}', "");
Expect(0, 43823, '\P{^Scx= -Ethi}', "");
Error('\p{Is_Script_Extensions=	Ethiopic:=}');
Error('\P{Is_Script_Extensions=	Ethiopic:=}');
Expect(1, 43822, '\p{Is_Script_Extensions=ethiopic}', "");
Expect(0, 43822, '\p{^Is_Script_Extensions=ethiopic}', "");
Expect(0, 43822, '\P{Is_Script_Extensions=ethiopic}', "");
Expect(1, 43822, '\P{^Is_Script_Extensions=ethiopic}', "");
Expect(0, 43823, '\p{Is_Script_Extensions=ethiopic}', "");
Expect(1, 43823, '\p{^Is_Script_Extensions=ethiopic}', "");
Expect(1, 43823, '\P{Is_Script_Extensions=ethiopic}', "");
Expect(0, 43823, '\P{^Is_Script_Extensions=ethiopic}', "");
Expect(1, 43822, '\p{Is_Script_Extensions= 	ethiopic}', "");
Expect(0, 43822, '\p{^Is_Script_Extensions= 	ethiopic}', "");
Expect(0, 43822, '\P{Is_Script_Extensions= 	ethiopic}', "");
Expect(1, 43822, '\P{^Is_Script_Extensions= 	ethiopic}', "");
Expect(0, 43823, '\p{Is_Script_Extensions= 	ethiopic}', "");
Expect(1, 43823, '\p{^Is_Script_Extensions= 	ethiopic}', "");
Expect(1, 43823, '\P{Is_Script_Extensions= 	ethiopic}', "");
Expect(0, 43823, '\P{^Is_Script_Extensions= 	ethiopic}', "");
Error('\p{Is_Scx=:=_	ethi}');
Error('\P{Is_Scx=:=_	ethi}');
Expect(1, 43822, '\p{Is_Scx:	ethi}', "");
Expect(0, 43822, '\p{^Is_Scx:	ethi}', "");
Expect(0, 43822, '\P{Is_Scx:	ethi}', "");
Expect(1, 43822, '\P{^Is_Scx:	ethi}', "");
Expect(0, 43823, '\p{Is_Scx:	ethi}', "");
Expect(1, 43823, '\p{^Is_Scx:	ethi}', "");
Expect(1, 43823, '\P{Is_Scx:	ethi}', "");
Expect(0, 43823, '\P{^Is_Scx:	ethi}', "");
Expect(1, 43822, '\p{Is_Scx=- Ethi}', "");
Expect(0, 43822, '\p{^Is_Scx=- Ethi}', "");
Expect(0, 43822, '\P{Is_Scx=- Ethi}', "");
Expect(1, 43822, '\P{^Is_Scx=- Ethi}', "");
Expect(0, 43823, '\p{Is_Scx=- Ethi}', "");
Expect(1, 43823, '\p{^Is_Scx=- Ethi}', "");
Expect(1, 43823, '\P{Is_Scx=- Ethi}', "");
Expect(0, 43823, '\P{^Is_Scx=- Ethi}', "");
Error('\p{Script_Extensions=:=_	Georgian}');
Error('\P{Script_Extensions=:=_	Georgian}');
Expect(1, 11565, '\p{Script_Extensions=georgian}', "");
Expect(0, 11565, '\p{^Script_Extensions=georgian}', "");
Expect(0, 11565, '\P{Script_Extensions=georgian}', "");
Expect(1, 11565, '\P{^Script_Extensions=georgian}', "");
Expect(0, 11566, '\p{Script_Extensions=georgian}', "");
Expect(1, 11566, '\p{^Script_Extensions=georgian}', "");
Expect(1, 11566, '\P{Script_Extensions=georgian}', "");
Expect(0, 11566, '\P{^Script_Extensions=georgian}', "");
Expect(1, 11565, '\p{Script_Extensions=__GEORGIAN}', "");
Expect(0, 11565, '\p{^Script_Extensions=__GEORGIAN}', "");
Expect(0, 11565, '\P{Script_Extensions=__GEORGIAN}', "");
Expect(1, 11565, '\P{^Script_Extensions=__GEORGIAN}', "");
Expect(0, 11566, '\p{Script_Extensions=__GEORGIAN}', "");
Expect(1, 11566, '\p{^Script_Extensions=__GEORGIAN}', "");
Expect(1, 11566, '\P{Script_Extensions=__GEORGIAN}', "");
Expect(0, 11566, '\P{^Script_Extensions=__GEORGIAN}', "");
Error('\p{Scx=	:=Geor}');
Error('\P{Scx=	:=Geor}');
Expect(1, 11565, '\p{Scx=geor}', "");
Expect(0, 11565, '\p{^Scx=geor}', "");
Expect(0, 11565, '\P{Scx=geor}', "");
Expect(1, 11565, '\P{^Scx=geor}', "");
Expect(0, 11566, '\p{Scx=geor}', "");
Expect(1, 11566, '\p{^Scx=geor}', "");
Expect(1, 11566, '\P{Scx=geor}', "");
Expect(0, 11566, '\P{^Scx=geor}', "");
Expect(1, 11565, '\p{Scx=-Geor}', "");
Expect(0, 11565, '\p{^Scx=-Geor}', "");
Expect(0, 11565, '\P{Scx=-Geor}', "");
Expect(1, 11565, '\P{^Scx=-Geor}', "");
Expect(0, 11566, '\p{Scx=-Geor}', "");
Expect(1, 11566, '\p{^Scx=-Geor}', "");
Expect(1, 11566, '\P{Scx=-Geor}', "");
Expect(0, 11566, '\P{^Scx=-Geor}', "");
Error('\p{Is_Script_Extensions=:=GEORGIAN}');
Error('\P{Is_Script_Extensions=:=GEORGIAN}');
Expect(1, 11565, '\p{Is_Script_Extensions=georgian}', "");
Expect(0, 11565, '\p{^Is_Script_Extensions=georgian}', "");
Expect(0, 11565, '\P{Is_Script_Extensions=georgian}', "");
Expect(1, 11565, '\P{^Is_Script_Extensions=georgian}', "");
Expect(0, 11566, '\p{Is_Script_Extensions=georgian}', "");
Expect(1, 11566, '\p{^Is_Script_Extensions=georgian}', "");
Expect(1, 11566, '\P{Is_Script_Extensions=georgian}', "");
Expect(0, 11566, '\P{^Is_Script_Extensions=georgian}', "");
Expect(1, 11565, '\p{Is_Script_Extensions: -Georgian}', "");
Expect(0, 11565, '\p{^Is_Script_Extensions: -Georgian}', "");
Expect(0, 11565, '\P{Is_Script_Extensions: -Georgian}', "");
Expect(1, 11565, '\P{^Is_Script_Extensions: -Georgian}', "");
Expect(0, 11566, '\p{Is_Script_Extensions: -Georgian}', "");
Expect(1, 11566, '\p{^Is_Script_Extensions: -Georgian}', "");
Expect(1, 11566, '\P{Is_Script_Extensions: -Georgian}', "");
Expect(0, 11566, '\P{^Is_Script_Extensions: -Georgian}', "");
Error('\p{Is_Scx=	:=geor}');
Error('\P{Is_Scx=	:=geor}');
Expect(1, 11565, '\p{Is_Scx=geor}', "");
Expect(0, 11565, '\p{^Is_Scx=geor}', "");
Expect(0, 11565, '\P{Is_Scx=geor}', "");
Expect(1, 11565, '\P{^Is_Scx=geor}', "");
Expect(0, 11566, '\p{Is_Scx=geor}', "");
Expect(1, 11566, '\p{^Is_Scx=geor}', "");
Expect(1, 11566, '\P{Is_Scx=geor}', "");
Expect(0, 11566, '\P{^Is_Scx=geor}', "");
Expect(1, 11565, '\p{Is_Scx=--Geor}', "");
Expect(0, 11565, '\p{^Is_Scx=--Geor}', "");
Expect(0, 11565, '\P{Is_Scx=--Geor}', "");
Expect(1, 11565, '\P{^Is_Scx=--Geor}', "");
Expect(0, 11566, '\p{Is_Scx=--Geor}', "");
Expect(1, 11566, '\p{^Is_Scx=--Geor}', "");
Expect(1, 11566, '\P{Is_Scx=--Geor}', "");
Expect(0, 11566, '\P{^Is_Scx=--Geor}', "");
Error('\p{Script_Extensions= /a/Glagolitic}');
Error('\P{Script_Extensions= /a/Glagolitic}');
Expect(1, 42607, '\p{Script_Extensions:	glagolitic}', "");
Expect(0, 42607, '\p{^Script_Extensions:	glagolitic}', "");
Expect(0, 42607, '\P{Script_Extensions:	glagolitic}', "");
Expect(1, 42607, '\P{^Script_Extensions:	glagolitic}', "");
Expect(0, 42608, '\p{Script_Extensions:	glagolitic}', "");
Expect(1, 42608, '\p{^Script_Extensions:	glagolitic}', "");
Expect(1, 42608, '\P{Script_Extensions:	glagolitic}', "");
Expect(0, 42608, '\P{^Script_Extensions:	glagolitic}', "");
Expect(1, 42607, '\p{Script_Extensions=--Glagolitic}', "");
Expect(0, 42607, '\p{^Script_Extensions=--Glagolitic}', "");
Expect(0, 42607, '\P{Script_Extensions=--Glagolitic}', "");
Expect(1, 42607, '\P{^Script_Extensions=--Glagolitic}', "");
Expect(0, 42608, '\p{Script_Extensions=--Glagolitic}', "");
Expect(1, 42608, '\p{^Script_Extensions=--Glagolitic}', "");
Expect(1, 42608, '\P{Script_Extensions=--Glagolitic}', "");
Expect(0, 42608, '\P{^Script_Extensions=--Glagolitic}', "");
Error('\p{Scx=/a/_	Glag}');
Error('\P{Scx=/a/_	Glag}');
Expect(1, 42607, '\p{Scx=glag}', "");
Expect(0, 42607, '\p{^Scx=glag}', "");
Expect(0, 42607, '\P{Scx=glag}', "");
Expect(1, 42607, '\P{^Scx=glag}', "");
Expect(0, 42608, '\p{Scx=glag}', "");
Expect(1, 42608, '\p{^Scx=glag}', "");
Expect(1, 42608, '\P{Scx=glag}', "");
Expect(0, 42608, '\P{^Scx=glag}', "");
Expect(1, 42607, '\p{Scx:-Glag}', "");
Expect(0, 42607, '\p{^Scx:-Glag}', "");
Expect(0, 42607, '\P{Scx:-Glag}', "");
Expect(1, 42607, '\P{^Scx:-Glag}', "");
Expect(0, 42608, '\p{Scx:-Glag}', "");
Expect(1, 42608, '\p{^Scx:-Glag}', "");
Expect(1, 42608, '\P{Scx:-Glag}', "");
Expect(0, 42608, '\P{^Scx:-Glag}', "");
Error('\p{Is_Script_Extensions=:=	Glagolitic}');
Error('\P{Is_Script_Extensions=:=	Glagolitic}');
Expect(1, 42607, '\p{Is_Script_Extensions=glagolitic}', "");
Expect(0, 42607, '\p{^Is_Script_Extensions=glagolitic}', "");
Expect(0, 42607, '\P{Is_Script_Extensions=glagolitic}', "");
Expect(1, 42607, '\P{^Is_Script_Extensions=glagolitic}', "");
Expect(0, 42608, '\p{Is_Script_Extensions=glagolitic}', "");
Expect(1, 42608, '\p{^Is_Script_Extensions=glagolitic}', "");
Expect(1, 42608, '\P{Is_Script_Extensions=glagolitic}', "");
Expect(0, 42608, '\P{^Is_Script_Extensions=glagolitic}', "");
Expect(1, 42607, '\p{Is_Script_Extensions=	_glagolitic}', "");
Expect(0, 42607, '\p{^Is_Script_Extensions=	_glagolitic}', "");
Expect(0, 42607, '\P{Is_Script_Extensions=	_glagolitic}', "");
Expect(1, 42607, '\P{^Is_Script_Extensions=	_glagolitic}', "");
Expect(0, 42608, '\p{Is_Script_Extensions=	_glagolitic}', "");
Expect(1, 42608, '\p{^Is_Script_Extensions=	_glagolitic}', "");
Expect(1, 42608, '\P{Is_Script_Extensions=	_glagolitic}', "");
Expect(0, 42608, '\P{^Is_Script_Extensions=	_glagolitic}', "");
Error('\p{Is_Scx=:=--Glag}');
Error('\P{Is_Scx=:=--Glag}');
Expect(1, 42607, '\p{Is_Scx=glag}', "");
Expect(0, 42607, '\p{^Is_Scx=glag}', "");
Expect(0, 42607, '\P{Is_Scx=glag}', "");
Expect(1, 42607, '\P{^Is_Scx=glag}', "");
Expect(0, 42608, '\p{Is_Scx=glag}', "");
Expect(1, 42608, '\p{^Is_Scx=glag}', "");
Expect(1, 42608, '\P{Is_Scx=glag}', "");
Expect(0, 42608, '\P{^Is_Scx=glag}', "");
Expect(1, 42607, '\p{Is_Scx=	_glag}', "");
Expect(0, 42607, '\p{^Is_Scx=	_glag}', "");
Expect(0, 42607, '\P{Is_Scx=	_glag}', "");
Expect(1, 42607, '\P{^Is_Scx=	_glag}', "");
Expect(0, 42608, '\p{Is_Scx=	_glag}', "");
Expect(1, 42608, '\p{^Is_Scx=	_glag}', "");
Expect(1, 42608, '\P{Is_Scx=	_glag}', "");
Expect(0, 42608, '\P{^Is_Scx=	_glag}', "");
Error('\p{Script_Extensions=-/a/GOTHIC}');
Error('\P{Script_Extensions=-/a/GOTHIC}');
Expect(1, 66378, '\p{Script_Extensions=gothic}', "");
Expect(0, 66378, '\p{^Script_Extensions=gothic}', "");
Expect(0, 66378, '\P{Script_Extensions=gothic}', "");
Expect(1, 66378, '\P{^Script_Extensions=gothic}', "");
Expect(0, 66379, '\p{Script_Extensions=gothic}', "");
Expect(1, 66379, '\p{^Script_Extensions=gothic}', "");
Expect(1, 66379, '\P{Script_Extensions=gothic}', "");
Expect(0, 66379, '\P{^Script_Extensions=gothic}', "");
Expect(1, 66378, '\p{Script_Extensions=		Gothic}', "");
Expect(0, 66378, '\p{^Script_Extensions=		Gothic}', "");
Expect(0, 66378, '\P{Script_Extensions=		Gothic}', "");
Expect(1, 66378, '\P{^Script_Extensions=		Gothic}', "");
Expect(0, 66379, '\p{Script_Extensions=		Gothic}', "");
Expect(1, 66379, '\p{^Script_Extensions=		Gothic}', "");
Expect(1, 66379, '\P{Script_Extensions=		Gothic}', "");
Expect(0, 66379, '\P{^Script_Extensions=		Gothic}', "");
Error('\p{Scx=/a/Goth}');
Error('\P{Scx=/a/Goth}');
Expect(1, 66378, '\p{Scx=goth}', "");
Expect(0, 66378, '\p{^Scx=goth}', "");
Expect(0, 66378, '\P{Scx=goth}', "");
Expect(1, 66378, '\P{^Scx=goth}', "");
Expect(0, 66379, '\p{Scx=goth}', "");
Expect(1, 66379, '\p{^Scx=goth}', "");
Expect(1, 66379, '\P{Scx=goth}', "");
Expect(0, 66379, '\P{^Scx=goth}', "");
Expect(1, 66378, '\p{Scx=  goth}', "");
Expect(0, 66378, '\p{^Scx=  goth}', "");
Expect(0, 66378, '\P{Scx=  goth}', "");
Expect(1, 66378, '\P{^Scx=  goth}', "");
Expect(0, 66379, '\p{Scx=  goth}', "");
Expect(1, 66379, '\p{^Scx=  goth}', "");
Expect(1, 66379, '\P{Scx=  goth}', "");
Expect(0, 66379, '\P{^Scx=  goth}', "");
Error('\p{Is_Script_Extensions=/a/	Gothic}');
Error('\P{Is_Script_Extensions=/a/	Gothic}');
Expect(1, 66378, '\p{Is_Script_Extensions:gothic}', "");
Expect(0, 66378, '\p{^Is_Script_Extensions:gothic}', "");
Expect(0, 66378, '\P{Is_Script_Extensions:gothic}', "");
Expect(1, 66378, '\P{^Is_Script_Extensions:gothic}', "");
Expect(0, 66379, '\p{Is_Script_Extensions:gothic}', "");
Expect(1, 66379, '\p{^Is_Script_Extensions:gothic}', "");
Expect(1, 66379, '\P{Is_Script_Extensions:gothic}', "");
Expect(0, 66379, '\P{^Is_Script_Extensions:gothic}', "");
Expect(1, 66378, '\p{Is_Script_Extensions=-gothic}', "");
Expect(0, 66378, '\p{^Is_Script_Extensions=-gothic}', "");
Expect(0, 66378, '\P{Is_Script_Extensions=-gothic}', "");
Expect(1, 66378, '\P{^Is_Script_Extensions=-gothic}', "");
Expect(0, 66379, '\p{Is_Script_Extensions=-gothic}', "");
Expect(1, 66379, '\p{^Is_Script_Extensions=-gothic}', "");
Expect(1, 66379, '\P{Is_Script_Extensions=-gothic}', "");
Expect(0, 66379, '\P{^Is_Script_Extensions=-gothic}', "");
Error('\p{Is_Scx=/a/ -Goth}');
Error('\P{Is_Scx=/a/ -Goth}');
Expect(1, 66378, '\p{Is_Scx=goth}', "");
Expect(0, 66378, '\p{^Is_Scx=goth}', "");
Expect(0, 66378, '\P{Is_Scx=goth}', "");
Expect(1, 66378, '\P{^Is_Scx=goth}', "");
Expect(0, 66379, '\p{Is_Scx=goth}', "");
Expect(1, 66379, '\p{^Is_Scx=goth}', "");
Expect(1, 66379, '\P{Is_Scx=goth}', "");
Expect(0, 66379, '\P{^Is_Scx=goth}', "");
Expect(1, 66378, '\p{Is_Scx= Goth}', "");
Expect(0, 66378, '\p{^Is_Scx= Goth}', "");
Expect(0, 66378, '\P{Is_Scx= Goth}', "");
Expect(1, 66378, '\P{^Is_Scx= Goth}', "");
Expect(0, 66379, '\p{Is_Scx= Goth}', "");
Expect(1, 66379, '\p{^Is_Scx= Goth}', "");
Expect(1, 66379, '\P{Is_Scx= Goth}', "");
Expect(0, 66379, '\P{^Is_Scx= Goth}', "");
Error('\p{Script_Extensions=:=Grantha}');
Error('\P{Script_Extensions=:=Grantha}');
Expect(1, 70516, '\p{Script_Extensions=grantha}', "");
Expect(0, 70516, '\p{^Script_Extensions=grantha}', "");
Expect(0, 70516, '\P{Script_Extensions=grantha}', "");
Expect(1, 70516, '\P{^Script_Extensions=grantha}', "");
Expect(0, 70517, '\p{Script_Extensions=grantha}', "");
Expect(1, 70517, '\p{^Script_Extensions=grantha}', "");
Expect(1, 70517, '\P{Script_Extensions=grantha}', "");
Expect(0, 70517, '\P{^Script_Extensions=grantha}', "");
Expect(1, 70516, '\p{Script_Extensions=-_Grantha}', "");
Expect(0, 70516, '\p{^Script_Extensions=-_Grantha}', "");
Expect(0, 70516, '\P{Script_Extensions=-_Grantha}', "");
Expect(1, 70516, '\P{^Script_Extensions=-_Grantha}', "");
Expect(0, 70517, '\p{Script_Extensions=-_Grantha}', "");
Expect(1, 70517, '\p{^Script_Extensions=-_Grantha}', "");
Expect(1, 70517, '\P{Script_Extensions=-_Grantha}', "");
Expect(0, 70517, '\P{^Script_Extensions=-_Grantha}', "");
Error('\p{Scx=	_gran/a/}');
Error('\P{Scx=	_gran/a/}');
Expect(1, 70516, '\p{Scx=gran}', "");
Expect(0, 70516, '\p{^Scx=gran}', "");
Expect(0, 70516, '\P{Scx=gran}', "");
Expect(1, 70516, '\P{^Scx=gran}', "");
Expect(0, 70517, '\p{Scx=gran}', "");
Expect(1, 70517, '\p{^Scx=gran}', "");
Expect(1, 70517, '\P{Scx=gran}', "");
Expect(0, 70517, '\P{^Scx=gran}', "");
Expect(1, 70516, '\p{Scx=_-GRAN}', "");
Expect(0, 70516, '\p{^Scx=_-GRAN}', "");
Expect(0, 70516, '\P{Scx=_-GRAN}', "");
Expect(1, 70516, '\P{^Scx=_-GRAN}', "");
Expect(0, 70517, '\p{Scx=_-GRAN}', "");
Expect(1, 70517, '\p{^Scx=_-GRAN}', "");
Expect(1, 70517, '\P{Scx=_-GRAN}', "");
Expect(0, 70517, '\P{^Scx=_-GRAN}', "");
Error('\p{Is_Script_Extensions=-/a/Grantha}');
Error('\P{Is_Script_Extensions=-/a/Grantha}');
Expect(1, 70516, '\p{Is_Script_Extensions=grantha}', "");
Expect(0, 70516, '\p{^Is_Script_Extensions=grantha}', "");
Expect(0, 70516, '\P{Is_Script_Extensions=grantha}', "");
Expect(1, 70516, '\P{^Is_Script_Extensions=grantha}', "");
Expect(0, 70517, '\p{Is_Script_Extensions=grantha}', "");
Expect(1, 70517, '\p{^Is_Script_Extensions=grantha}', "");
Expect(1, 70517, '\P{Is_Script_Extensions=grantha}', "");
Expect(0, 70517, '\P{^Is_Script_Extensions=grantha}', "");
Expect(1, 70516, '\p{Is_Script_Extensions=_-GRANTHA}', "");
Expect(0, 70516, '\p{^Is_Script_Extensions=_-GRANTHA}', "");
Expect(0, 70516, '\P{Is_Script_Extensions=_-GRANTHA}', "");
Expect(1, 70516, '\P{^Is_Script_Extensions=_-GRANTHA}', "");
Expect(0, 70517, '\p{Is_Script_Extensions=_-GRANTHA}', "");
Expect(1, 70517, '\p{^Is_Script_Extensions=_-GRANTHA}', "");
Expect(1, 70517, '\P{Is_Script_Extensions=_-GRANTHA}', "");
Expect(0, 70517, '\P{^Is_Script_Extensions=_-GRANTHA}', "");
Error('\p{Is_Scx=:=-gran}');
Error('\P{Is_Scx=:=-gran}');
Expect(1, 70516, '\p{Is_Scx=gran}', "");
Expect(0, 70516, '\p{^Is_Scx=gran}', "");
Expect(0, 70516, '\P{Is_Scx=gran}', "");
Expect(1, 70516, '\P{^Is_Scx=gran}', "");
Expect(0, 70517, '\p{Is_Scx=gran}', "");
Expect(1, 70517, '\p{^Is_Scx=gran}', "");
Expect(1, 70517, '\P{Is_Scx=gran}', "");
Expect(0, 70517, '\P{^Is_Scx=gran}', "");
Expect(1, 70516, '\p{Is_Scx=__gran}', "");
Expect(0, 70516, '\p{^Is_Scx=__gran}', "");
Expect(0, 70516, '\P{Is_Scx=__gran}', "");
Expect(1, 70516, '\P{^Is_Scx=__gran}', "");
Expect(0, 70517, '\p{Is_Scx=__gran}', "");
Expect(1, 70517, '\p{^Is_Scx=__gran}', "");
Expect(1, 70517, '\P{Is_Scx=__gran}', "");
Expect(0, 70517, '\P{^Is_Scx=__gran}', "");
Error('\p{Script_Extensions=:= _greek}');
Error('\P{Script_Extensions=:= _greek}');
Expect(1, 119365, '\p{Script_Extensions=greek}', "");
Expect(0, 119365, '\p{^Script_Extensions=greek}', "");
Expect(0, 119365, '\P{Script_Extensions=greek}', "");
Expect(1, 119365, '\P{^Script_Extensions=greek}', "");
Expect(0, 119366, '\p{Script_Extensions=greek}', "");
Expect(1, 119366, '\p{^Script_Extensions=greek}', "");
Expect(1, 119366, '\P{Script_Extensions=greek}', "");
Expect(0, 119366, '\P{^Script_Extensions=greek}', "");
Expect(1, 119365, '\p{Script_Extensions=_-Greek}', "");
Expect(0, 119365, '\p{^Script_Extensions=_-Greek}', "");
Expect(0, 119365, '\P{Script_Extensions=_-Greek}', "");
Expect(1, 119365, '\P{^Script_Extensions=_-Greek}', "");
Expect(0, 119366, '\p{Script_Extensions=_-Greek}', "");
Expect(1, 119366, '\p{^Script_Extensions=_-Greek}', "");
Expect(1, 119366, '\P{Script_Extensions=_-Greek}', "");
Expect(0, 119366, '\P{^Script_Extensions=_-Greek}', "");
Error('\p{Scx=/a/		GREK}');
Error('\P{Scx=/a/		GREK}');
Expect(1, 119365, '\p{Scx=grek}', "");
Expect(0, 119365, '\p{^Scx=grek}', "");
Expect(0, 119365, '\P{Scx=grek}', "");
Expect(1, 119365, '\P{^Scx=grek}', "");
Expect(0, 119366, '\p{Scx=grek}', "");
Expect(1, 119366, '\p{^Scx=grek}', "");
Expect(1, 119366, '\P{Scx=grek}', "");
Expect(0, 119366, '\P{^Scx=grek}', "");
Expect(1, 119365, '\p{Scx=	 Grek}', "");
Expect(0, 119365, '\p{^Scx=	 Grek}', "");
Expect(0, 119365, '\P{Scx=	 Grek}', "");
Expect(1, 119365, '\P{^Scx=	 Grek}', "");
Expect(0, 119366, '\p{Scx=	 Grek}', "");
Expect(1, 119366, '\p{^Scx=	 Grek}', "");
Expect(1, 119366, '\P{Scx=	 Grek}', "");
Expect(0, 119366, '\P{^Scx=	 Grek}', "");
Error('\p{Is_Script_Extensions=/a/Greek}');
Error('\P{Is_Script_Extensions=/a/Greek}');
Expect(1, 119365, '\p{Is_Script_Extensions=greek}', "");
Expect(0, 119365, '\p{^Is_Script_Extensions=greek}', "");
Expect(0, 119365, '\P{Is_Script_Extensions=greek}', "");
Expect(1, 119365, '\P{^Is_Script_Extensions=greek}', "");
Expect(0, 119366, '\p{Is_Script_Extensions=greek}', "");
Expect(1, 119366, '\p{^Is_Script_Extensions=greek}', "");
Expect(1, 119366, '\P{Is_Script_Extensions=greek}', "");
Expect(0, 119366, '\P{^Is_Script_Extensions=greek}', "");
Expect(1, 119365, '\p{Is_Script_Extensions=-Greek}', "");
Expect(0, 119365, '\p{^Is_Script_Extensions=-Greek}', "");
Expect(0, 119365, '\P{Is_Script_Extensions=-Greek}', "");
Expect(1, 119365, '\P{^Is_Script_Extensions=-Greek}', "");
Expect(0, 119366, '\p{Is_Script_Extensions=-Greek}', "");
Expect(1, 119366, '\p{^Is_Script_Extensions=-Greek}', "");
Expect(1, 119366, '\P{Is_Script_Extensions=-Greek}', "");
Expect(0, 119366, '\P{^Is_Script_Extensions=-Greek}', "");
Error('\p{Is_Scx=_ grek:=}');
Error('\P{Is_Scx=_ grek:=}');
Expect(1, 119365, '\p{Is_Scx=grek}', "");
Expect(0, 119365, '\p{^Is_Scx=grek}', "");
Expect(0, 119365, '\P{Is_Scx=grek}', "");
Expect(1, 119365, '\P{^Is_Scx=grek}', "");
Expect(0, 119366, '\p{Is_Scx=grek}', "");
Expect(1, 119366, '\p{^Is_Scx=grek}', "");
Expect(1, 119366, '\P{Is_Scx=grek}', "");
Expect(0, 119366, '\P{^Is_Scx=grek}', "");
Expect(1, 119365, '\p{Is_Scx=_Grek}', "");
Expect(0, 119365, '\p{^Is_Scx=_Grek}', "");
Expect(0, 119365, '\P{Is_Scx=_Grek}', "");
Expect(1, 119365, '\P{^Is_Scx=_Grek}', "");
Expect(0, 119366, '\p{Is_Scx=_Grek}', "");
Expect(1, 119366, '\p{^Is_Scx=_Grek}', "");
Expect(1, 119366, '\P{Is_Scx=_Grek}', "");
Expect(0, 119366, '\P{^Is_Scx=_Grek}', "");
Error('\p{Script_Extensions=/a/	Gujarati}');
Error('\P{Script_Extensions=/a/	Gujarati}');
Expect(1, 43065, '\p{Script_Extensions=gujarati}', "");
Expect(0, 43065, '\p{^Script_Extensions=gujarati}', "");
Expect(0, 43065, '\P{Script_Extensions=gujarati}', "");
Expect(1, 43065, '\P{^Script_Extensions=gujarati}', "");
Expect(0, 43066, '\p{Script_Extensions=gujarati}', "");
Expect(1, 43066, '\p{^Script_Extensions=gujarati}', "");
Expect(1, 43066, '\P{Script_Extensions=gujarati}', "");
Expect(0, 43066, '\P{^Script_Extensions=gujarati}', "");
Expect(1, 43065, '\p{Script_Extensions=-gujarati}', "");
Expect(0, 43065, '\p{^Script_Extensions=-gujarati}', "");
Expect(0, 43065, '\P{Script_Extensions=-gujarati}', "");
Expect(1, 43065, '\P{^Script_Extensions=-gujarati}', "");
Expect(0, 43066, '\p{Script_Extensions=-gujarati}', "");
Expect(1, 43066, '\p{^Script_Extensions=-gujarati}', "");
Expect(1, 43066, '\P{Script_Extensions=-gujarati}', "");
Expect(0, 43066, '\P{^Script_Extensions=-gujarati}', "");
Error('\p{Scx=	/a/GUJR}');
Error('\P{Scx=	/a/GUJR}');
Expect(1, 43065, '\p{Scx=gujr}', "");
Expect(0, 43065, '\p{^Scx=gujr}', "");
Expect(0, 43065, '\P{Scx=gujr}', "");
Expect(1, 43065, '\P{^Scx=gujr}', "");
Expect(0, 43066, '\p{Scx=gujr}', "");
Expect(1, 43066, '\p{^Scx=gujr}', "");
Expect(1, 43066, '\P{Scx=gujr}', "");
Expect(0, 43066, '\P{^Scx=gujr}', "");
Expect(1, 43065, '\p{Scx=- GUJR}', "");
Expect(0, 43065, '\p{^Scx=- GUJR}', "");
Expect(0, 43065, '\P{Scx=- GUJR}', "");
Expect(1, 43065, '\P{^Scx=- GUJR}', "");
Expect(0, 43066, '\p{Scx=- GUJR}', "");
Expect(1, 43066, '\p{^Scx=- GUJR}', "");
Expect(1, 43066, '\P{Scx=- GUJR}', "");
Expect(0, 43066, '\P{^Scx=- GUJR}', "");
Error('\p{Is_Script_Extensions=:=Gujarati}');
Error('\P{Is_Script_Extensions=:=Gujarati}');
Expect(1, 43065, '\p{Is_Script_Extensions=gujarati}', "");
Expect(0, 43065, '\p{^Is_Script_Extensions=gujarati}', "");
Expect(0, 43065, '\P{Is_Script_Extensions=gujarati}', "");
Expect(1, 43065, '\P{^Is_Script_Extensions=gujarati}', "");
Expect(0, 43066, '\p{Is_Script_Extensions=gujarati}', "");
Expect(1, 43066, '\p{^Is_Script_Extensions=gujarati}', "");
Expect(1, 43066, '\P{Is_Script_Extensions=gujarati}', "");
Expect(0, 43066, '\P{^Is_Script_Extensions=gujarati}', "");
Expect(1, 43065, '\p{Is_Script_Extensions=	-Gujarati}', "");
Expect(0, 43065, '\p{^Is_Script_Extensions=	-Gujarati}', "");
Expect(0, 43065, '\P{Is_Script_Extensions=	-Gujarati}', "");
Expect(1, 43065, '\P{^Is_Script_Extensions=	-Gujarati}', "");
Expect(0, 43066, '\p{Is_Script_Extensions=	-Gujarati}', "");
Expect(1, 43066, '\p{^Is_Script_Extensions=	-Gujarati}', "");
Expect(1, 43066, '\P{Is_Script_Extensions=	-Gujarati}', "");
Expect(0, 43066, '\P{^Is_Script_Extensions=	-Gujarati}', "");
Error('\p{Is_Scx= _GUJR/a/}');
Error('\P{Is_Scx= _GUJR/a/}');
Expect(1, 43065, '\p{Is_Scx=gujr}', "");
Expect(0, 43065, '\p{^Is_Scx=gujr}', "");
Expect(0, 43065, '\P{Is_Scx=gujr}', "");
Expect(1, 43065, '\P{^Is_Scx=gujr}', "");
Expect(0, 43066, '\p{Is_Scx=gujr}', "");
Expect(1, 43066, '\p{^Is_Scx=gujr}', "");
Expect(1, 43066, '\P{Is_Scx=gujr}', "");
Expect(0, 43066, '\P{^Is_Scx=gujr}', "");
Expect(1, 43065, '\p{Is_Scx=	Gujr}', "");
Expect(0, 43065, '\p{^Is_Scx=	Gujr}', "");
Expect(0, 43065, '\P{Is_Scx=	Gujr}', "");
Expect(1, 43065, '\P{^Is_Scx=	Gujr}', "");
Expect(0, 43066, '\p{Is_Scx=	Gujr}', "");
Expect(1, 43066, '\p{^Is_Scx=	Gujr}', "");
Expect(1, 43066, '\P{Is_Scx=	Gujr}', "");
Expect(0, 43066, '\P{^Is_Scx=	Gujr}', "");
Error('\p{Script_Extensions=	/a/gurmukhi}');
Error('\P{Script_Extensions=	/a/gurmukhi}');
Expect(1, 43065, '\p{Script_Extensions=gurmukhi}', "");
Expect(0, 43065, '\p{^Script_Extensions=gurmukhi}', "");
Expect(0, 43065, '\P{Script_Extensions=gurmukhi}', "");
Expect(1, 43065, '\P{^Script_Extensions=gurmukhi}', "");
Expect(0, 43066, '\p{Script_Extensions=gurmukhi}', "");
Expect(1, 43066, '\p{^Script_Extensions=gurmukhi}', "");
Expect(1, 43066, '\P{Script_Extensions=gurmukhi}', "");
Expect(0, 43066, '\P{^Script_Extensions=gurmukhi}', "");
Expect(1, 43065, '\p{Script_Extensions: -_gurmukhi}', "");
Expect(0, 43065, '\p{^Script_Extensions: -_gurmukhi}', "");
Expect(0, 43065, '\P{Script_Extensions: -_gurmukhi}', "");
Expect(1, 43065, '\P{^Script_Extensions: -_gurmukhi}', "");
Expect(0, 43066, '\p{Script_Extensions: -_gurmukhi}', "");
Expect(1, 43066, '\p{^Script_Extensions: -_gurmukhi}', "");
Expect(1, 43066, '\P{Script_Extensions: -_gurmukhi}', "");
Expect(0, 43066, '\P{^Script_Extensions: -_gurmukhi}', "");
Error('\p{Scx=_-GURU:=}');
Error('\P{Scx=_-GURU:=}');
Expect(1, 43065, '\p{Scx=guru}', "");
Expect(0, 43065, '\p{^Scx=guru}', "");
Expect(0, 43065, '\P{Scx=guru}', "");
Expect(1, 43065, '\P{^Scx=guru}', "");
Expect(0, 43066, '\p{Scx=guru}', "");
Expect(1, 43066, '\p{^Scx=guru}', "");
Expect(1, 43066, '\P{Scx=guru}', "");
Expect(0, 43066, '\P{^Scx=guru}', "");
Expect(1, 43065, '\p{Scx= guru}', "");
Expect(0, 43065, '\p{^Scx= guru}', "");
Expect(0, 43065, '\P{Scx= guru}', "");
Expect(1, 43065, '\P{^Scx= guru}', "");
Expect(0, 43066, '\p{Scx= guru}', "");
Expect(1, 43066, '\p{^Scx= guru}', "");
Expect(1, 43066, '\P{Scx= guru}', "");
Expect(0, 43066, '\P{^Scx= guru}', "");
Error('\p{Is_Script_Extensions= /a/Gurmukhi}');
Error('\P{Is_Script_Extensions= /a/Gurmukhi}');
Expect(1, 43065, '\p{Is_Script_Extensions=gurmukhi}', "");
Expect(0, 43065, '\p{^Is_Script_Extensions=gurmukhi}', "");
Expect(0, 43065, '\P{Is_Script_Extensions=gurmukhi}', "");
Expect(1, 43065, '\P{^Is_Script_Extensions=gurmukhi}', "");
Expect(0, 43066, '\p{Is_Script_Extensions=gurmukhi}', "");
Expect(1, 43066, '\p{^Is_Script_Extensions=gurmukhi}', "");
Expect(1, 43066, '\P{Is_Script_Extensions=gurmukhi}', "");
Expect(0, 43066, '\P{^Is_Script_Extensions=gurmukhi}', "");
Expect(1, 43065, '\p{Is_Script_Extensions=_-GURMUKHI}', "");
Expect(0, 43065, '\p{^Is_Script_Extensions=_-GURMUKHI}', "");
Expect(0, 43065, '\P{Is_Script_Extensions=_-GURMUKHI}', "");
Expect(1, 43065, '\P{^Is_Script_Extensions=_-GURMUKHI}', "");
Expect(0, 43066, '\p{Is_Script_Extensions=_-GURMUKHI}', "");
Expect(1, 43066, '\p{^Is_Script_Extensions=_-GURMUKHI}', "");
Expect(1, 43066, '\P{Is_Script_Extensions=_-GURMUKHI}', "");
Expect(0, 43066, '\P{^Is_Script_Extensions=_-GURMUKHI}', "");
Error('\p{Is_Scx=/a/ guru}');
Error('\P{Is_Scx=/a/ guru}');
Expect(1, 43065, '\p{Is_Scx:	guru}', "");
Expect(0, 43065, '\p{^Is_Scx:	guru}', "");
Expect(0, 43065, '\P{Is_Scx:	guru}', "");
Expect(1, 43065, '\P{^Is_Scx:	guru}', "");
Expect(0, 43066, '\p{Is_Scx:	guru}', "");
Expect(1, 43066, '\p{^Is_Scx:	guru}', "");
Expect(1, 43066, '\P{Is_Scx:	guru}', "");
Expect(0, 43066, '\P{^Is_Scx:	guru}', "");
Expect(1, 43065, '\p{Is_Scx=--GURU}', "");
Expect(0, 43065, '\p{^Is_Scx=--GURU}', "");
Expect(0, 43065, '\P{Is_Scx=--GURU}', "");
Expect(1, 43065, '\P{^Is_Scx=--GURU}', "");
Expect(0, 43066, '\p{Is_Scx=--GURU}', "");
Expect(1, 43066, '\p{^Is_Scx=--GURU}', "");
Expect(1, 43066, '\P{Is_Scx=--GURU}', "");
Expect(0, 43066, '\P{^Is_Scx=--GURU}', "");
Error('\p{Script_Extensions=/a/-_hangul}');
Error('\P{Script_Extensions=/a/-_hangul}');
Expect(1, 65500, '\p{Script_Extensions=hangul}', "");
Expect(0, 65500, '\p{^Script_Extensions=hangul}', "");
Expect(0, 65500, '\P{Script_Extensions=hangul}', "");
Expect(1, 65500, '\P{^Script_Extensions=hangul}', "");
Expect(0, 65501, '\p{Script_Extensions=hangul}', "");
Expect(1, 65501, '\p{^Script_Extensions=hangul}', "");
Expect(1, 65501, '\P{Script_Extensions=hangul}', "");
Expect(0, 65501, '\P{^Script_Extensions=hangul}', "");
Expect(1, 65500, '\p{Script_Extensions=_	Hangul}', "");
Expect(0, 65500, '\p{^Script_Extensions=_	Hangul}', "");
Expect(0, 65500, '\P{Script_Extensions=_	Hangul}', "");
Expect(1, 65500, '\P{^Script_Extensions=_	Hangul}', "");
Expect(0, 65501, '\p{Script_Extensions=_	Hangul}', "");
Expect(1, 65501, '\p{^Script_Extensions=_	Hangul}', "");
Expect(1, 65501, '\P{Script_Extensions=_	Hangul}', "");
Expect(0, 65501, '\P{^Script_Extensions=_	Hangul}', "");
Error('\p{Scx=_ Hang:=}');
Error('\P{Scx=_ Hang:=}');
Expect(1, 65500, '\p{Scx=hang}', "");
Expect(0, 65500, '\p{^Scx=hang}', "");
Expect(0, 65500, '\P{Scx=hang}', "");
Expect(1, 65500, '\P{^Scx=hang}', "");
Expect(0, 65501, '\p{Scx=hang}', "");
Expect(1, 65501, '\p{^Scx=hang}', "");
Expect(1, 65501, '\P{Scx=hang}', "");
Expect(0, 65501, '\P{^Scx=hang}', "");
Expect(1, 65500, '\p{Scx:		hang}', "");
Expect(0, 65500, '\p{^Scx:		hang}', "");
Expect(0, 65500, '\P{Scx:		hang}', "");
Expect(1, 65500, '\P{^Scx:		hang}', "");
Expect(0, 65501, '\p{Scx:		hang}', "");
Expect(1, 65501, '\p{^Scx:		hang}', "");
Expect(1, 65501, '\P{Scx:		hang}', "");
Expect(0, 65501, '\P{^Scx:		hang}', "");
Error('\p{Is_Script_Extensions=	/a/Hangul}');
Error('\P{Is_Script_Extensions=	/a/Hangul}');
Expect(1, 65500, '\p{Is_Script_Extensions:	hangul}', "");
Expect(0, 65500, '\p{^Is_Script_Extensions:	hangul}', "");
Expect(0, 65500, '\P{Is_Script_Extensions:	hangul}', "");
Expect(1, 65500, '\P{^Is_Script_Extensions:	hangul}', "");
Expect(0, 65501, '\p{Is_Script_Extensions:	hangul}', "");
Expect(1, 65501, '\p{^Is_Script_Extensions:	hangul}', "");
Expect(1, 65501, '\P{Is_Script_Extensions:	hangul}', "");
Expect(0, 65501, '\P{^Is_Script_Extensions:	hangul}', "");
Expect(1, 65500, '\p{Is_Script_Extensions=	Hangul}', "");
Expect(0, 65500, '\p{^Is_Script_Extensions=	Hangul}', "");
Expect(0, 65500, '\P{Is_Script_Extensions=	Hangul}', "");
Expect(1, 65500, '\P{^Is_Script_Extensions=	Hangul}', "");
Expect(0, 65501, '\p{Is_Script_Extensions=	Hangul}', "");
Expect(1, 65501, '\p{^Is_Script_Extensions=	Hangul}', "");
Expect(1, 65501, '\P{Is_Script_Extensions=	Hangul}', "");
Expect(0, 65501, '\P{^Is_Script_Extensions=	Hangul}', "");
Error('\p{Is_Scx= :=hang}');
Error('\P{Is_Scx= :=hang}');
Expect(1, 65500, '\p{Is_Scx=hang}', "");
Expect(0, 65500, '\p{^Is_Scx=hang}', "");
Expect(0, 65500, '\P{Is_Scx=hang}', "");
Expect(1, 65500, '\P{^Is_Scx=hang}', "");
Expect(0, 65501, '\p{Is_Scx=hang}', "");
Expect(1, 65501, '\p{^Is_Scx=hang}', "");
Expect(1, 65501, '\P{Is_Scx=hang}', "");
Expect(0, 65501, '\P{^Is_Scx=hang}', "");
Expect(1, 65500, '\p{Is_Scx= 	hang}', "");
Expect(0, 65500, '\p{^Is_Scx= 	hang}', "");
Expect(0, 65500, '\P{Is_Scx= 	hang}', "");
Expect(1, 65500, '\P{^Is_Scx= 	hang}', "");
Expect(0, 65501, '\p{Is_Scx= 	hang}', "");
Expect(1, 65501, '\p{^Is_Scx= 	hang}', "");
Expect(1, 65501, '\P{Is_Scx= 	hang}', "");
Expect(0, 65501, '\P{^Is_Scx= 	hang}', "");
Error('\p{Script_Extensions=_:=Han}');
Error('\P{Script_Extensions=_:=Han}');
Expect(1, 195101, '\p{Script_Extensions=han}', "");
Expect(0, 195101, '\p{^Script_Extensions=han}', "");
Expect(0, 195101, '\P{Script_Extensions=han}', "");
Expect(1, 195101, '\P{^Script_Extensions=han}', "");
Expect(0, 195102, '\p{Script_Extensions=han}', "");
Expect(1, 195102, '\p{^Script_Extensions=han}', "");
Expect(1, 195102, '\P{Script_Extensions=han}', "");
Expect(0, 195102, '\P{^Script_Extensions=han}', "");
Expect(1, 195101, '\p{Script_Extensions=_Han}', "");
Expect(0, 195101, '\p{^Script_Extensions=_Han}', "");
Expect(0, 195101, '\P{Script_Extensions=_Han}', "");
Expect(1, 195101, '\P{^Script_Extensions=_Han}', "");
Expect(0, 195102, '\p{Script_Extensions=_Han}', "");
Expect(1, 195102, '\p{^Script_Extensions=_Han}', "");
Expect(1, 195102, '\P{Script_Extensions=_Han}', "");
Expect(0, 195102, '\P{^Script_Extensions=_Han}', "");
Error('\p{Scx=:=Hani}');
Error('\P{Scx=:=Hani}');
Expect(1, 195101, '\p{Scx=hani}', "");
Expect(0, 195101, '\p{^Scx=hani}', "");
Expect(0, 195101, '\P{Scx=hani}', "");
Expect(1, 195101, '\P{^Scx=hani}', "");
Expect(0, 195102, '\p{Scx=hani}', "");
Expect(1, 195102, '\p{^Scx=hani}', "");
Expect(1, 195102, '\P{Scx=hani}', "");
Expect(0, 195102, '\P{^Scx=hani}', "");
Expect(1, 195101, '\p{Scx= _Hani}', "");
Expect(0, 195101, '\p{^Scx= _Hani}', "");
Expect(0, 195101, '\P{Scx= _Hani}', "");
Expect(1, 195101, '\P{^Scx= _Hani}', "");
Expect(0, 195102, '\p{Scx= _Hani}', "");
Expect(1, 195102, '\p{^Scx= _Hani}', "");
Expect(1, 195102, '\P{Scx= _Hani}', "");
Expect(0, 195102, '\P{^Scx= _Hani}', "");
Error('\p{Is_Script_Extensions=/a/_-Han}');
Error('\P{Is_Script_Extensions=/a/_-Han}');
Expect(1, 195101, '\p{Is_Script_Extensions=han}', "");
Expect(0, 195101, '\p{^Is_Script_Extensions=han}', "");
Expect(0, 195101, '\P{Is_Script_Extensions=han}', "");
Expect(1, 195101, '\P{^Is_Script_Extensions=han}', "");
Expect(0, 195102, '\p{Is_Script_Extensions=han}', "");
Expect(1, 195102, '\p{^Is_Script_Extensions=han}', "");
Expect(1, 195102, '\P{Is_Script_Extensions=han}', "");
Expect(0, 195102, '\P{^Is_Script_Extensions=han}', "");
Expect(1, 195101, '\p{Is_Script_Extensions=-Han}', "");
Expect(0, 195101, '\p{^Is_Script_Extensions=-Han}', "");
Expect(0, 195101, '\P{Is_Script_Extensions=-Han}', "");
Expect(1, 195101, '\P{^Is_Script_Extensions=-Han}', "");
Expect(0, 195102, '\p{Is_Script_Extensions=-Han}', "");
Expect(1, 195102, '\p{^Is_Script_Extensions=-Han}', "");
Expect(1, 195102, '\P{Is_Script_Extensions=-Han}', "");
Expect(0, 195102, '\P{^Is_Script_Extensions=-Han}', "");
Error('\p{Is_Scx= /a/Hani}');
Error('\P{Is_Scx= /a/Hani}');
Expect(1, 195101, '\p{Is_Scx=hani}', "");
Expect(0, 195101, '\p{^Is_Scx=hani}', "");
Expect(0, 195101, '\P{Is_Scx=hani}', "");
Expect(1, 195101, '\P{^Is_Scx=hani}', "");
Expect(0, 195102, '\p{Is_Scx=hani}', "");
Expect(1, 195102, '\p{^Is_Scx=hani}', "");
Expect(1, 195102, '\P{Is_Scx=hani}', "");
Expect(0, 195102, '\P{^Is_Scx=hani}', "");
Expect(1, 195101, '\p{Is_Scx= -Hani}', "");
Expect(0, 195101, '\p{^Is_Scx= -Hani}', "");
Expect(0, 195101, '\P{Is_Scx= -Hani}', "");
Expect(1, 195101, '\P{^Is_Scx= -Hani}', "");
Expect(0, 195102, '\p{Is_Scx= -Hani}', "");
Expect(1, 195102, '\p{^Is_Scx= -Hani}', "");
Expect(1, 195102, '\P{Is_Scx= -Hani}', "");
Expect(0, 195102, '\P{^Is_Scx= -Hani}', "");
Error('\p{Script_Extensions=/a/_ Hanunoo}');
Error('\P{Script_Extensions=/a/_ Hanunoo}');
Expect(1, 5942, '\p{Script_Extensions=hanunoo}', "");
Expect(0, 5942, '\p{^Script_Extensions=hanunoo}', "");
Expect(0, 5942, '\P{Script_Extensions=hanunoo}', "");
Expect(1, 5942, '\P{^Script_Extensions=hanunoo}', "");
Expect(0, 5943, '\p{Script_Extensions=hanunoo}', "");
Expect(1, 5943, '\p{^Script_Extensions=hanunoo}', "");
Expect(1, 5943, '\P{Script_Extensions=hanunoo}', "");
Expect(0, 5943, '\P{^Script_Extensions=hanunoo}', "");
Error('\p{Scx=  Hano/a/}');
Error('\P{Scx=  Hano/a/}');
Expect(1, 5942, '\p{Scx=hano}', "");
Expect(0, 5942, '\p{^Scx=hano}', "");
Expect(0, 5942, '\P{Scx=hano}', "");
Expect(1, 5942, '\P{^Scx=hano}', "");
Expect(0, 5943, '\p{Scx=hano}', "");
Expect(1, 5943, '\p{^Scx=hano}', "");
Expect(1, 5943, '\P{Scx=hano}', "");
Expect(0, 5943, '\P{^Scx=hano}', "");
Expect(1, 5942, '\p{Scx: -	Hano}', "");
Expect(0, 5942, '\p{^Scx: -	Hano}', "");
Expect(0, 5942, '\P{Scx: -	Hano}', "");
Expect(1, 5942, '\P{^Scx: -	Hano}', "");
Expect(0, 5943, '\p{Scx: -	Hano}', "");
Expect(1, 5943, '\p{^Scx: -	Hano}', "");
Expect(1, 5943, '\P{Scx: -	Hano}', "");
Expect(0, 5943, '\P{^Scx: -	Hano}', "");
Error('\p{Is_Script_Extensions=-:=Hanunoo}');
Error('\P{Is_Script_Extensions=-:=Hanunoo}');
Expect(1, 5942, '\p{Is_Script_Extensions=hanunoo}', "");
Expect(0, 5942, '\p{^Is_Script_Extensions=hanunoo}', "");
Expect(0, 5942, '\P{Is_Script_Extensions=hanunoo}', "");
Expect(1, 5942, '\P{^Is_Script_Extensions=hanunoo}', "");
Expect(0, 5943, '\p{Is_Script_Extensions=hanunoo}', "");
Expect(1, 5943, '\p{^Is_Script_Extensions=hanunoo}', "");
Expect(1, 5943, '\P{Is_Script_Extensions=hanunoo}', "");
Expect(0, 5943, '\P{^Is_Script_Extensions=hanunoo}', "");
Expect(1, 5942, '\p{Is_Script_Extensions=	_hanunoo}', "");
Expect(0, 5942, '\p{^Is_Script_Extensions=	_hanunoo}', "");
Expect(0, 5942, '\P{Is_Script_Extensions=	_hanunoo}', "");
Expect(1, 5942, '\P{^Is_Script_Extensions=	_hanunoo}', "");
Expect(0, 5943, '\p{Is_Script_Extensions=	_hanunoo}', "");
Expect(1, 5943, '\p{^Is_Script_Extensions=	_hanunoo}', "");
Expect(1, 5943, '\P{Is_Script_Extensions=	_hanunoo}', "");
Expect(0, 5943, '\P{^Is_Script_Extensions=	_hanunoo}', "");
Error('\p{Is_Scx=__hano/a/}');
Error('\P{Is_Scx=__hano/a/}');
Expect(1, 5942, '\p{Is_Scx=hano}', "");
Expect(0, 5942, '\p{^Is_Scx=hano}', "");
Expect(0, 5942, '\P{Is_Scx=hano}', "");
Expect(1, 5942, '\P{^Is_Scx=hano}', "");
Expect(0, 5943, '\p{Is_Scx=hano}', "");
Expect(1, 5943, '\p{^Is_Scx=hano}', "");
Expect(1, 5943, '\P{Is_Scx=hano}', "");
Expect(0, 5943, '\P{^Is_Scx=hano}', "");
Expect(1, 5942, '\p{Is_Scx=-_HANO}', "");
Expect(0, 5942, '\p{^Is_Scx=-_HANO}', "");
Expect(0, 5942, '\P{Is_Scx=-_HANO}', "");
Expect(1, 5942, '\P{^Is_Scx=-_HANO}', "");
Expect(0, 5943, '\p{Is_Scx=-_HANO}', "");
Expect(1, 5943, '\p{^Is_Scx=-_HANO}', "");
Expect(1, 5943, '\P{Is_Scx=-_HANO}', "");
Expect(0, 5943, '\P{^Is_Scx=-_HANO}', "");
Error('\p{Script_Extensions= :=HATRAN}');
Error('\P{Script_Extensions= :=HATRAN}');
Expect(1, 67839, '\p{Script_Extensions=hatran}', "");
Expect(0, 67839, '\p{^Script_Extensions=hatran}', "");
Expect(0, 67839, '\P{Script_Extensions=hatran}', "");
Expect(1, 67839, '\P{^Script_Extensions=hatran}', "");
Expect(0, 67840, '\p{Script_Extensions=hatran}', "");
Expect(1, 67840, '\p{^Script_Extensions=hatran}', "");
Expect(1, 67840, '\P{Script_Extensions=hatran}', "");
Expect(0, 67840, '\P{^Script_Extensions=hatran}', "");
Expect(1, 67839, '\p{Script_Extensions=  Hatran}', "");
Expect(0, 67839, '\p{^Script_Extensions=  Hatran}', "");
Expect(0, 67839, '\P{Script_Extensions=  Hatran}', "");
Expect(1, 67839, '\P{^Script_Extensions=  Hatran}', "");
Expect(0, 67840, '\p{Script_Extensions=  Hatran}', "");
Expect(1, 67840, '\p{^Script_Extensions=  Hatran}', "");
Expect(1, 67840, '\P{Script_Extensions=  Hatran}', "");
Expect(0, 67840, '\P{^Script_Extensions=  Hatran}', "");
Error('\p{Scx=:=HATR}');
Error('\P{Scx=:=HATR}');
Expect(1, 67839, '\p{Scx=hatr}', "");
Expect(0, 67839, '\p{^Scx=hatr}', "");
Expect(0, 67839, '\P{Scx=hatr}', "");
Expect(1, 67839, '\P{^Scx=hatr}', "");
Expect(0, 67840, '\p{Scx=hatr}', "");
Expect(1, 67840, '\p{^Scx=hatr}', "");
Expect(1, 67840, '\P{Scx=hatr}', "");
Expect(0, 67840, '\P{^Scx=hatr}', "");
Expect(1, 67839, '\p{Scx= Hatr}', "");
Expect(0, 67839, '\p{^Scx= Hatr}', "");
Expect(0, 67839, '\P{Scx= Hatr}', "");
Expect(1, 67839, '\P{^Scx= Hatr}', "");
Expect(0, 67840, '\p{Scx= Hatr}', "");
Expect(1, 67840, '\p{^Scx= Hatr}', "");
Expect(1, 67840, '\P{Scx= Hatr}', "");
Expect(0, 67840, '\P{^Scx= Hatr}', "");
Error('\p{Is_Script_Extensions=:=Hatran}');
Error('\P{Is_Script_Extensions=:=Hatran}');
Expect(1, 67839, '\p{Is_Script_Extensions=hatran}', "");
Expect(0, 67839, '\p{^Is_Script_Extensions=hatran}', "");
Expect(0, 67839, '\P{Is_Script_Extensions=hatran}', "");
Expect(1, 67839, '\P{^Is_Script_Extensions=hatran}', "");
Expect(0, 67840, '\p{Is_Script_Extensions=hatran}', "");
Expect(1, 67840, '\p{^Is_Script_Extensions=hatran}', "");
Expect(1, 67840, '\P{Is_Script_Extensions=hatran}', "");
Expect(0, 67840, '\P{^Is_Script_Extensions=hatran}', "");
Expect(1, 67839, '\p{Is_Script_Extensions= 	hatran}', "");
Expect(0, 67839, '\p{^Is_Script_Extensions= 	hatran}', "");
Expect(0, 67839, '\P{Is_Script_Extensions= 	hatran}', "");
Expect(1, 67839, '\P{^Is_Script_Extensions= 	hatran}', "");
Expect(0, 67840, '\p{Is_Script_Extensions= 	hatran}', "");
Expect(1, 67840, '\p{^Is_Script_Extensions= 	hatran}', "");
Expect(1, 67840, '\P{Is_Script_Extensions= 	hatran}', "");
Expect(0, 67840, '\P{^Is_Script_Extensions= 	hatran}', "");
Error('\p{Is_Scx:   _	Hatr:=}');
Error('\P{Is_Scx:   _	Hatr:=}');
Expect(1, 67839, '\p{Is_Scx=hatr}', "");
Expect(0, 67839, '\p{^Is_Scx=hatr}', "");
Expect(0, 67839, '\P{Is_Scx=hatr}', "");
Expect(1, 67839, '\P{^Is_Scx=hatr}', "");
Expect(0, 67840, '\p{Is_Scx=hatr}', "");
Expect(1, 67840, '\p{^Is_Scx=hatr}', "");
Expect(1, 67840, '\P{Is_Scx=hatr}', "");
Expect(0, 67840, '\P{^Is_Scx=hatr}', "");
Expect(1, 67839, '\p{Is_Scx=__Hatr}', "");
Expect(0, 67839, '\p{^Is_Scx=__Hatr}', "");
Expect(0, 67839, '\P{Is_Scx=__Hatr}', "");
Expect(1, 67839, '\P{^Is_Scx=__Hatr}', "");
Expect(0, 67840, '\p{Is_Scx=__Hatr}', "");
Expect(1, 67840, '\p{^Is_Scx=__Hatr}', "");
Expect(1, 67840, '\P{Is_Scx=__Hatr}', "");
Expect(0, 67840, '\P{^Is_Scx=__Hatr}', "");
Error('\p{Script_Extensions:/a/	_Hebrew}');
Error('\P{Script_Extensions:/a/	_Hebrew}');
Expect(1, 64335, '\p{Script_Extensions=hebrew}', "");
Expect(0, 64335, '\p{^Script_Extensions=hebrew}', "");
Expect(0, 64335, '\P{Script_Extensions=hebrew}', "");
Expect(1, 64335, '\P{^Script_Extensions=hebrew}', "");
Expect(0, 64336, '\p{Script_Extensions=hebrew}', "");
Expect(1, 64336, '\p{^Script_Extensions=hebrew}', "");
Expect(1, 64336, '\P{Script_Extensions=hebrew}', "");
Expect(0, 64336, '\P{^Script_Extensions=hebrew}', "");
Expect(1, 64335, '\p{Script_Extensions:-_hebrew}', "");
Expect(0, 64335, '\p{^Script_Extensions:-_hebrew}', "");
Expect(0, 64335, '\P{Script_Extensions:-_hebrew}', "");
Expect(1, 64335, '\P{^Script_Extensions:-_hebrew}', "");
Expect(0, 64336, '\p{Script_Extensions:-_hebrew}', "");
Expect(1, 64336, '\p{^Script_Extensions:-_hebrew}', "");
Expect(1, 64336, '\P{Script_Extensions:-_hebrew}', "");
Expect(0, 64336, '\P{^Script_Extensions:-_hebrew}', "");
Error('\p{Scx=-	Hebr:=}');
Error('\P{Scx=-	Hebr:=}');
Expect(1, 64335, '\p{Scx=hebr}', "");
Expect(0, 64335, '\p{^Scx=hebr}', "");
Expect(0, 64335, '\P{Scx=hebr}', "");
Expect(1, 64335, '\P{^Scx=hebr}', "");
Expect(0, 64336, '\p{Scx=hebr}', "");
Expect(1, 64336, '\p{^Scx=hebr}', "");
Expect(1, 64336, '\P{Scx=hebr}', "");
Expect(0, 64336, '\P{^Scx=hebr}', "");
Expect(1, 64335, '\p{Scx=	Hebr}', "");
Expect(0, 64335, '\p{^Scx=	Hebr}', "");
Expect(0, 64335, '\P{Scx=	Hebr}', "");
Expect(1, 64335, '\P{^Scx=	Hebr}', "");
Expect(0, 64336, '\p{Scx=	Hebr}', "");
Expect(1, 64336, '\p{^Scx=	Hebr}', "");
Expect(1, 64336, '\P{Scx=	Hebr}', "");
Expect(0, 64336, '\P{^Scx=	Hebr}', "");
Error('\p{Is_Script_Extensions= /a/Hebrew}');
Error('\P{Is_Script_Extensions= /a/Hebrew}');
Expect(1, 64335, '\p{Is_Script_Extensions:	hebrew}', "");
Expect(0, 64335, '\p{^Is_Script_Extensions:	hebrew}', "");
Expect(0, 64335, '\P{Is_Script_Extensions:	hebrew}', "");
Expect(1, 64335, '\P{^Is_Script_Extensions:	hebrew}', "");
Expect(0, 64336, '\p{Is_Script_Extensions:	hebrew}', "");
Expect(1, 64336, '\p{^Is_Script_Extensions:	hebrew}', "");
Expect(1, 64336, '\P{Is_Script_Extensions:	hebrew}', "");
Expect(0, 64336, '\P{^Is_Script_Extensions:	hebrew}', "");
Expect(1, 64335, '\p{Is_Script_Extensions= 	Hebrew}', "");
Expect(0, 64335, '\p{^Is_Script_Extensions= 	Hebrew}', "");
Expect(0, 64335, '\P{Is_Script_Extensions= 	Hebrew}', "");
Expect(1, 64335, '\P{^Is_Script_Extensions= 	Hebrew}', "");
Expect(0, 64336, '\p{Is_Script_Extensions= 	Hebrew}', "");
Expect(1, 64336, '\p{^Is_Script_Extensions= 	Hebrew}', "");
Expect(1, 64336, '\P{Is_Script_Extensions= 	Hebrew}', "");
Expect(0, 64336, '\P{^Is_Script_Extensions= 	Hebrew}', "");
Error('\p{Is_Scx=_ Hebr:=}');
Error('\P{Is_Scx=_ Hebr:=}');
Expect(1, 64335, '\p{Is_Scx=hebr}', "");
Expect(0, 64335, '\p{^Is_Scx=hebr}', "");
Expect(0, 64335, '\P{Is_Scx=hebr}', "");
Expect(1, 64335, '\P{^Is_Scx=hebr}', "");
Expect(0, 64336, '\p{Is_Scx=hebr}', "");
Expect(1, 64336, '\p{^Is_Scx=hebr}', "");
Expect(1, 64336, '\P{Is_Scx=hebr}', "");
Expect(0, 64336, '\P{^Is_Scx=hebr}', "");
Expect(1, 64335, '\p{Is_Scx= -hebr}', "");
Expect(0, 64335, '\p{^Is_Scx= -hebr}', "");
Expect(0, 64335, '\P{Is_Scx= -hebr}', "");
Expect(1, 64335, '\P{^Is_Scx= -hebr}', "");
Expect(0, 64336, '\p{Is_Scx= -hebr}', "");
Expect(1, 64336, '\p{^Is_Scx= -hebr}', "");
Expect(1, 64336, '\P{Is_Scx= -hebr}', "");
Expect(0, 64336, '\P{^Is_Scx= -hebr}', "");
Error('\p{Script_Extensions=	/a/hiragana}');
Error('\P{Script_Extensions=	/a/hiragana}');
Expect(1, 127488, '\p{Script_Extensions=hiragana}', "");
Expect(0, 127488, '\p{^Script_Extensions=hiragana}', "");
Expect(0, 127488, '\P{Script_Extensions=hiragana}', "");
Expect(1, 127488, '\P{^Script_Extensions=hiragana}', "");
Expect(0, 127489, '\p{Script_Extensions=hiragana}', "");
Expect(1, 127489, '\p{^Script_Extensions=hiragana}', "");
Expect(1, 127489, '\P{Script_Extensions=hiragana}', "");
Expect(0, 127489, '\P{^Script_Extensions=hiragana}', "");
Expect(1, 127488, '\p{Script_Extensions= hiragana}', "");
Expect(0, 127488, '\p{^Script_Extensions= hiragana}', "");
Expect(0, 127488, '\P{Script_Extensions= hiragana}', "");
Expect(1, 127488, '\P{^Script_Extensions= hiragana}', "");
Expect(0, 127489, '\p{Script_Extensions= hiragana}', "");
Expect(1, 127489, '\p{^Script_Extensions= hiragana}', "");
Expect(1, 127489, '\P{Script_Extensions= hiragana}', "");
Expect(0, 127489, '\P{^Script_Extensions= hiragana}', "");
Error('\p{Scx: _:=hira}');
Error('\P{Scx: _:=hira}');
Expect(1, 127488, '\p{Scx=hira}', "");
Expect(0, 127488, '\p{^Scx=hira}', "");
Expect(0, 127488, '\P{Scx=hira}', "");
Expect(1, 127488, '\P{^Scx=hira}', "");
Expect(0, 127489, '\p{Scx=hira}', "");
Expect(1, 127489, '\p{^Scx=hira}', "");
Expect(1, 127489, '\P{Scx=hira}', "");
Expect(0, 127489, '\P{^Scx=hira}', "");
Expect(1, 127488, '\p{Scx=-_hira}', "");
Expect(0, 127488, '\p{^Scx=-_hira}', "");
Expect(0, 127488, '\P{Scx=-_hira}', "");
Expect(1, 127488, '\P{^Scx=-_hira}', "");
Expect(0, 127489, '\p{Scx=-_hira}', "");
Expect(1, 127489, '\p{^Scx=-_hira}', "");
Expect(1, 127489, '\P{Scx=-_hira}', "");
Expect(0, 127489, '\P{^Scx=-_hira}', "");
Error('\p{Is_Script_Extensions=-	HIRAGANA:=}');
Error('\P{Is_Script_Extensions=-	HIRAGANA:=}');
Expect(1, 127488, '\p{Is_Script_Extensions=hiragana}', "");
Expect(0, 127488, '\p{^Is_Script_Extensions=hiragana}', "");
Expect(0, 127488, '\P{Is_Script_Extensions=hiragana}', "");
Expect(1, 127488, '\P{^Is_Script_Extensions=hiragana}', "");
Expect(0, 127489, '\p{Is_Script_Extensions=hiragana}', "");
Expect(1, 127489, '\p{^Is_Script_Extensions=hiragana}', "");
Expect(1, 127489, '\P{Is_Script_Extensions=hiragana}', "");
Expect(0, 127489, '\P{^Is_Script_Extensions=hiragana}', "");
Expect(1, 127488, '\p{Is_Script_Extensions=	HIRAGANA}', "");
Expect(0, 127488, '\p{^Is_Script_Extensions=	HIRAGANA}', "");
Expect(0, 127488, '\P{Is_Script_Extensions=	HIRAGANA}', "");
Expect(1, 127488, '\P{^Is_Script_Extensions=	HIRAGANA}', "");
Expect(0, 127489, '\p{Is_Script_Extensions=	HIRAGANA}', "");
Expect(1, 127489, '\p{^Is_Script_Extensions=	HIRAGANA}', "");
Expect(1, 127489, '\P{Is_Script_Extensions=	HIRAGANA}', "");
Expect(0, 127489, '\P{^Is_Script_Extensions=	HIRAGANA}', "");
Error('\p{Is_Scx=_Hira/a/}');
Error('\P{Is_Scx=_Hira/a/}');
Expect(1, 127488, '\p{Is_Scx=hira}', "");
Expect(0, 127488, '\p{^Is_Scx=hira}', "");
Expect(0, 127488, '\P{Is_Scx=hira}', "");
Expect(1, 127488, '\P{^Is_Scx=hira}', "");
Expect(0, 127489, '\p{Is_Scx=hira}', "");
Expect(1, 127489, '\p{^Is_Scx=hira}', "");
Expect(1, 127489, '\P{Is_Scx=hira}', "");
Expect(0, 127489, '\P{^Is_Scx=hira}', "");
Expect(1, 127488, '\p{Is_Scx=- Hira}', "");
Expect(0, 127488, '\p{^Is_Scx=- Hira}', "");
Expect(0, 127488, '\P{Is_Scx=- Hira}', "");
Expect(1, 127488, '\P{^Is_Scx=- Hira}', "");
Expect(0, 127489, '\p{Is_Scx=- Hira}', "");
Expect(1, 127489, '\p{^Is_Scx=- Hira}', "");
Expect(1, 127489, '\P{Is_Scx=- Hira}', "");
Expect(0, 127489, '\P{^Is_Scx=- Hira}', "");
Error('\p{Script_Extensions=		ANATOLIAN_Hieroglyphs/a/}');
Error('\P{Script_Extensions=		ANATOLIAN_Hieroglyphs/a/}');
Expect(1, 83526, '\p{Script_Extensions=anatolianhieroglyphs}', "");
Expect(0, 83526, '\p{^Script_Extensions=anatolianhieroglyphs}', "");
Expect(0, 83526, '\P{Script_Extensions=anatolianhieroglyphs}', "");
Expect(1, 83526, '\P{^Script_Extensions=anatolianhieroglyphs}', "");
Expect(0, 83527, '\p{Script_Extensions=anatolianhieroglyphs}', "");
Expect(1, 83527, '\p{^Script_Extensions=anatolianhieroglyphs}', "");
Expect(1, 83527, '\P{Script_Extensions=anatolianhieroglyphs}', "");
Expect(0, 83527, '\P{^Script_Extensions=anatolianhieroglyphs}', "");
Expect(1, 83526, '\p{Script_Extensions= -ANATOLIAN_HIEROGLYPHS}', "");
Expect(0, 83526, '\p{^Script_Extensions= -ANATOLIAN_HIEROGLYPHS}', "");
Expect(0, 83526, '\P{Script_Extensions= -ANATOLIAN_HIEROGLYPHS}', "");
Expect(1, 83526, '\P{^Script_Extensions= -ANATOLIAN_HIEROGLYPHS}', "");
Expect(0, 83527, '\p{Script_Extensions= -ANATOLIAN_HIEROGLYPHS}', "");
Expect(1, 83527, '\p{^Script_Extensions= -ANATOLIAN_HIEROGLYPHS}', "");
Expect(1, 83527, '\P{Script_Extensions= -ANATOLIAN_HIEROGLYPHS}', "");
Expect(0, 83527, '\P{^Script_Extensions= -ANATOLIAN_HIEROGLYPHS}', "");
Error('\p{Scx=:=__Hluw}');
Error('\P{Scx=:=__Hluw}');
Expect(1, 83526, '\p{Scx=hluw}', "");
Expect(0, 83526, '\p{^Scx=hluw}', "");
Expect(0, 83526, '\P{Scx=hluw}', "");
Expect(1, 83526, '\P{^Scx=hluw}', "");
Expect(0, 83527, '\p{Scx=hluw}', "");
Expect(1, 83527, '\p{^Scx=hluw}', "");
Expect(1, 83527, '\P{Scx=hluw}', "");
Expect(0, 83527, '\P{^Scx=hluw}', "");
Expect(1, 83526, '\p{Scx=-_Hluw}', "");
Expect(0, 83526, '\p{^Scx=-_Hluw}', "");
Expect(0, 83526, '\P{Scx=-_Hluw}', "");
Expect(1, 83526, '\P{^Scx=-_Hluw}', "");
Expect(0, 83527, '\p{Scx=-_Hluw}', "");
Expect(1, 83527, '\p{^Scx=-_Hluw}', "");
Expect(1, 83527, '\P{Scx=-_Hluw}', "");
Expect(0, 83527, '\P{^Scx=-_Hluw}', "");
Error('\p{Is_Script_Extensions=_/a/Anatolian_Hieroglyphs}');
Error('\P{Is_Script_Extensions=_/a/Anatolian_Hieroglyphs}');
Expect(1, 83526, '\p{Is_Script_Extensions=anatolianhieroglyphs}', "");
Expect(0, 83526, '\p{^Is_Script_Extensions=anatolianhieroglyphs}', "");
Expect(0, 83526, '\P{Is_Script_Extensions=anatolianhieroglyphs}', "");
Expect(1, 83526, '\P{^Is_Script_Extensions=anatolianhieroglyphs}', "");
Expect(0, 83527, '\p{Is_Script_Extensions=anatolianhieroglyphs}', "");
Expect(1, 83527, '\p{^Is_Script_Extensions=anatolianhieroglyphs}', "");
Expect(1, 83527, '\P{Is_Script_Extensions=anatolianhieroglyphs}', "");
Expect(0, 83527, '\P{^Is_Script_Extensions=anatolianhieroglyphs}', "");
Expect(1, 83526, '\p{Is_Script_Extensions= 	anatolian_HIEROGLYPHS}', "");
Expect(0, 83526, '\p{^Is_Script_Extensions= 	anatolian_HIEROGLYPHS}', "");
Expect(0, 83526, '\P{Is_Script_Extensions= 	anatolian_HIEROGLYPHS}', "");
Expect(1, 83526, '\P{^Is_Script_Extensions= 	anatolian_HIEROGLYPHS}', "");
Expect(0, 83527, '\p{Is_Script_Extensions= 	anatolian_HIEROGLYPHS}', "");
Expect(1, 83527, '\p{^Is_Script_Extensions= 	anatolian_HIEROGLYPHS}', "");
Expect(1, 83527, '\P{Is_Script_Extensions= 	anatolian_HIEROGLYPHS}', "");
Expect(0, 83527, '\P{^Is_Script_Extensions= 	anatolian_HIEROGLYPHS}', "");
Error('\p{Is_Scx=HLUW/a/}');
Error('\P{Is_Scx=HLUW/a/}');
Expect(1, 83526, '\p{Is_Scx=hluw}', "");
Expect(0, 83526, '\p{^Is_Scx=hluw}', "");
Expect(0, 83526, '\P{Is_Scx=hluw}', "");
Expect(1, 83526, '\P{^Is_Scx=hluw}', "");
Expect(0, 83527, '\p{Is_Scx=hluw}', "");
Expect(1, 83527, '\p{^Is_Scx=hluw}', "");
Expect(1, 83527, '\P{Is_Scx=hluw}', "");
Expect(0, 83527, '\P{^Is_Scx=hluw}', "");
Expect(1, 83526, '\p{Is_Scx=	hluw}', "");
Expect(0, 83526, '\p{^Is_Scx=	hluw}', "");
Expect(0, 83526, '\P{Is_Scx=	hluw}', "");
Expect(1, 83526, '\P{^Is_Scx=	hluw}', "");
Expect(0, 83527, '\p{Is_Scx=	hluw}', "");
Expect(1, 83527, '\p{^Is_Scx=	hluw}', "");
Expect(1, 83527, '\P{Is_Scx=	hluw}', "");
Expect(0, 83527, '\P{^Is_Scx=	hluw}', "");
Error('\p{Script_Extensions:/a/--Pahawh_Hmong}');
Error('\P{Script_Extensions:/a/--Pahawh_Hmong}');
Expect(1, 93071, '\p{Script_Extensions=pahawhhmong}', "");
Expect(0, 93071, '\p{^Script_Extensions=pahawhhmong}', "");
Expect(0, 93071, '\P{Script_Extensions=pahawhhmong}', "");
Expect(1, 93071, '\P{^Script_Extensions=pahawhhmong}', "");
Expect(0, 93072, '\p{Script_Extensions=pahawhhmong}', "");
Expect(1, 93072, '\p{^Script_Extensions=pahawhhmong}', "");
Expect(1, 93072, '\P{Script_Extensions=pahawhhmong}', "");
Expect(0, 93072, '\P{^Script_Extensions=pahawhhmong}', "");
Expect(1, 93071, '\p{Script_Extensions=  Pahawh_HMONG}', "");
Expect(0, 93071, '\p{^Script_Extensions=  Pahawh_HMONG}', "");
Expect(0, 93071, '\P{Script_Extensions=  Pahawh_HMONG}', "");
Expect(1, 93071, '\P{^Script_Extensions=  Pahawh_HMONG}', "");
Expect(0, 93072, '\p{Script_Extensions=  Pahawh_HMONG}', "");
Expect(1, 93072, '\p{^Script_Extensions=  Pahawh_HMONG}', "");
Expect(1, 93072, '\P{Script_Extensions=  Pahawh_HMONG}', "");
Expect(0, 93072, '\P{^Script_Extensions=  Pahawh_HMONG}', "");
Error('\p{Scx=-	hmng:=}');
Error('\P{Scx=-	hmng:=}');
Expect(1, 93071, '\p{Scx: hmng}', "");
Expect(0, 93071, '\p{^Scx: hmng}', "");
Expect(0, 93071, '\P{Scx: hmng}', "");
Expect(1, 93071, '\P{^Scx: hmng}', "");
Expect(0, 93072, '\p{Scx: hmng}', "");
Expect(1, 93072, '\p{^Scx: hmng}', "");
Expect(1, 93072, '\P{Scx: hmng}', "");
Expect(0, 93072, '\P{^Scx: hmng}', "");
Expect(1, 93071, '\p{Scx=_-Hmng}', "");
Expect(0, 93071, '\p{^Scx=_-Hmng}', "");
Expect(0, 93071, '\P{Scx=_-Hmng}', "");
Expect(1, 93071, '\P{^Scx=_-Hmng}', "");
Expect(0, 93072, '\p{Scx=_-Hmng}', "");
Expect(1, 93072, '\p{^Scx=_-Hmng}', "");
Expect(1, 93072, '\P{Scx=_-Hmng}', "");
Expect(0, 93072, '\P{^Scx=_-Hmng}', "");
Error('\p{Is_Script_Extensions=:=PAHAWH_hmong}');
Error('\P{Is_Script_Extensions=:=PAHAWH_hmong}');
Expect(1, 93071, '\p{Is_Script_Extensions=pahawhhmong}', "");
Expect(0, 93071, '\p{^Is_Script_Extensions=pahawhhmong}', "");
Expect(0, 93071, '\P{Is_Script_Extensions=pahawhhmong}', "");
Expect(1, 93071, '\P{^Is_Script_Extensions=pahawhhmong}', "");
Expect(0, 93072, '\p{Is_Script_Extensions=pahawhhmong}', "");
Expect(1, 93072, '\p{^Is_Script_Extensions=pahawhhmong}', "");
Expect(1, 93072, '\P{Is_Script_Extensions=pahawhhmong}', "");
Expect(0, 93072, '\P{^Is_Script_Extensions=pahawhhmong}', "");
Expect(1, 93071, '\p{Is_Script_Extensions= pahawh_Hmong}', "");
Expect(0, 93071, '\p{^Is_Script_Extensions= pahawh_Hmong}', "");
Expect(0, 93071, '\P{Is_Script_Extensions= pahawh_Hmong}', "");
Expect(1, 93071, '\P{^Is_Script_Extensions= pahawh_Hmong}', "");
Expect(0, 93072, '\p{Is_Script_Extensions= pahawh_Hmong}', "");
Expect(1, 93072, '\p{^Is_Script_Extensions= pahawh_Hmong}', "");
Expect(1, 93072, '\P{Is_Script_Extensions= pahawh_Hmong}', "");
Expect(0, 93072, '\P{^Is_Script_Extensions= pahawh_Hmong}', "");
Error('\p{Is_Scx:   Hmng:=}');
Error('\P{Is_Scx:   Hmng:=}');
Expect(1, 93071, '\p{Is_Scx=hmng}', "");
Expect(0, 93071, '\p{^Is_Scx=hmng}', "");
Expect(0, 93071, '\P{Is_Scx=hmng}', "");
Expect(1, 93071, '\P{^Is_Scx=hmng}', "");
Expect(0, 93072, '\p{Is_Scx=hmng}', "");
Expect(1, 93072, '\p{^Is_Scx=hmng}', "");
Expect(1, 93072, '\P{Is_Scx=hmng}', "");
Expect(0, 93072, '\P{^Is_Scx=hmng}', "");
Expect(1, 93071, '\p{Is_Scx:-Hmng}', "");
Expect(0, 93071, '\p{^Is_Scx:-Hmng}', "");
Expect(0, 93071, '\P{Is_Scx:-Hmng}', "");
Expect(1, 93071, '\P{^Is_Scx:-Hmng}', "");
Expect(0, 93072, '\p{Is_Scx:-Hmng}', "");
Expect(1, 93072, '\p{^Is_Scx:-Hmng}', "");
Expect(1, 93072, '\P{Is_Scx:-Hmng}', "");
Expect(0, 93072, '\P{^Is_Scx:-Hmng}', "");
Error('\p{Script_Extensions=Katakana_Or_Hiragana}');
Error('\P{Script_Extensions=Katakana_Or_Hiragana}');
Error('\p{Scx=Hrkt}');
Error('\P{Scx=Hrkt}');
Error('\p{Is_Script_Extensions=Katakana_Or_Hiragana}');
Error('\P{Is_Script_Extensions=Katakana_Or_Hiragana}');
Error('\p{Is_Scx=Hrkt}');
Error('\P{Is_Scx=Hrkt}');
Error('\p{Script_Extensions= /a/Old_hungarian}');
Error('\P{Script_Extensions= /a/Old_hungarian}');
Expect(1, 68863, '\p{Script_Extensions=oldhungarian}', "");
Expect(0, 68863, '\p{^Script_Extensions=oldhungarian}', "");
Expect(0, 68863, '\P{Script_Extensions=oldhungarian}', "");
Expect(1, 68863, '\P{^Script_Extensions=oldhungarian}', "");
Expect(0, 68864, '\p{Script_Extensions=oldhungarian}', "");
Expect(1, 68864, '\p{^Script_Extensions=oldhungarian}', "");
Expect(1, 68864, '\P{Script_Extensions=oldhungarian}', "");
Expect(0, 68864, '\P{^Script_Extensions=oldhungarian}', "");
Expect(1, 68863, '\p{Script_Extensions=		Old_Hungarian}', "");
Expect(0, 68863, '\p{^Script_Extensions=		Old_Hungarian}', "");
Expect(0, 68863, '\P{Script_Extensions=		Old_Hungarian}', "");
Expect(1, 68863, '\P{^Script_Extensions=		Old_Hungarian}', "");
Expect(0, 68864, '\p{Script_Extensions=		Old_Hungarian}', "");
Expect(1, 68864, '\p{^Script_Extensions=		Old_Hungarian}', "");
Expect(1, 68864, '\P{Script_Extensions=		Old_Hungarian}', "");
Expect(0, 68864, '\P{^Script_Extensions=		Old_Hungarian}', "");
Error('\p{Scx=/a/__hung}');
Error('\P{Scx=/a/__hung}');
Expect(1, 68863, '\p{Scx=hung}', "");
Expect(0, 68863, '\p{^Scx=hung}', "");
Expect(0, 68863, '\P{Scx=hung}', "");
Expect(1, 68863, '\P{^Scx=hung}', "");
Expect(0, 68864, '\p{Scx=hung}', "");
Expect(1, 68864, '\p{^Scx=hung}', "");
Expect(1, 68864, '\P{Scx=hung}', "");
Expect(0, 68864, '\P{^Scx=hung}', "");
Expect(1, 68863, '\p{Scx:  hung}', "");
Expect(0, 68863, '\p{^Scx:  hung}', "");
Expect(0, 68863, '\P{Scx:  hung}', "");
Expect(1, 68863, '\P{^Scx:  hung}', "");
Expect(0, 68864, '\p{Scx:  hung}', "");
Expect(1, 68864, '\p{^Scx:  hung}', "");
Expect(1, 68864, '\P{Scx:  hung}', "");
Expect(0, 68864, '\P{^Scx:  hung}', "");
Error('\p{Is_Script_Extensions=:= Old_Hungarian}');
Error('\P{Is_Script_Extensions=:= Old_Hungarian}');
Expect(1, 68863, '\p{Is_Script_Extensions=oldhungarian}', "");
Expect(0, 68863, '\p{^Is_Script_Extensions=oldhungarian}', "");
Expect(0, 68863, '\P{Is_Script_Extensions=oldhungarian}', "");
Expect(1, 68863, '\P{^Is_Script_Extensions=oldhungarian}', "");
Expect(0, 68864, '\p{Is_Script_Extensions=oldhungarian}', "");
Expect(1, 68864, '\p{^Is_Script_Extensions=oldhungarian}', "");
Expect(1, 68864, '\P{Is_Script_Extensions=oldhungarian}', "");
Expect(0, 68864, '\P{^Is_Script_Extensions=oldhungarian}', "");
Expect(1, 68863, '\p{Is_Script_Extensions=	 old_hungarian}', "");
Expect(0, 68863, '\p{^Is_Script_Extensions=	 old_hungarian}', "");
Expect(0, 68863, '\P{Is_Script_Extensions=	 old_hungarian}', "");
Expect(1, 68863, '\P{^Is_Script_Extensions=	 old_hungarian}', "");
Expect(0, 68864, '\p{Is_Script_Extensions=	 old_hungarian}', "");
Expect(1, 68864, '\p{^Is_Script_Extensions=	 old_hungarian}', "");
Expect(1, 68864, '\P{Is_Script_Extensions=	 old_hungarian}', "");
Expect(0, 68864, '\P{^Is_Script_Extensions=	 old_hungarian}', "");
Error('\p{Is_Scx= _HUNG:=}');
Error('\P{Is_Scx= _HUNG:=}');
Expect(1, 68863, '\p{Is_Scx=hung}', "");
Expect(0, 68863, '\p{^Is_Scx=hung}', "");
Expect(0, 68863, '\P{Is_Scx=hung}', "");
Expect(1, 68863, '\P{^Is_Scx=hung}', "");
Expect(0, 68864, '\p{Is_Scx=hung}', "");
Expect(1, 68864, '\p{^Is_Scx=hung}', "");
Expect(1, 68864, '\P{Is_Scx=hung}', "");
Expect(0, 68864, '\P{^Is_Scx=hung}', "");
Expect(1, 68863, '\p{Is_Scx=- Hung}', "");
Expect(0, 68863, '\p{^Is_Scx=- Hung}', "");
Expect(0, 68863, '\P{Is_Scx=- Hung}', "");
Expect(1, 68863, '\P{^Is_Scx=- Hung}', "");
Expect(0, 68864, '\p{Is_Scx=- Hung}', "");
Expect(1, 68864, '\p{^Is_Scx=- Hung}', "");
Expect(1, 68864, '\P{Is_Scx=- Hung}', "");
Expect(0, 68864, '\P{^Is_Scx=- Hung}', "");
Error('\p{Script_Extensions=_:=Old_Italic}');
Error('\P{Script_Extensions=_:=Old_Italic}');
Expect(1, 66339, '\p{Script_Extensions=olditalic}', "");
Expect(0, 66339, '\p{^Script_Extensions=olditalic}', "");
Expect(0, 66339, '\P{Script_Extensions=olditalic}', "");
Expect(1, 66339, '\P{^Script_Extensions=olditalic}', "");
Expect(0, 66340, '\p{Script_Extensions=olditalic}', "");
Expect(1, 66340, '\p{^Script_Extensions=olditalic}', "");
Expect(1, 66340, '\P{Script_Extensions=olditalic}', "");
Expect(0, 66340, '\P{^Script_Extensions=olditalic}', "");
Expect(1, 66339, '\p{Script_Extensions:  old_italic}', "");
Expect(0, 66339, '\p{^Script_Extensions:  old_italic}', "");
Expect(0, 66339, '\P{Script_Extensions:  old_italic}', "");
Expect(1, 66339, '\P{^Script_Extensions:  old_italic}', "");
Expect(0, 66340, '\p{Script_Extensions:  old_italic}', "");
Expect(1, 66340, '\p{^Script_Extensions:  old_italic}', "");
Expect(1, 66340, '\P{Script_Extensions:  old_italic}', "");
Expect(0, 66340, '\P{^Script_Extensions:  old_italic}', "");
Error('\p{Scx=:=ITAL}');
Error('\P{Scx=:=ITAL}');
Expect(1, 66339, '\p{Scx=ital}', "");
Expect(0, 66339, '\p{^Scx=ital}', "");
Expect(0, 66339, '\P{Scx=ital}', "");
Expect(1, 66339, '\P{^Scx=ital}', "");
Expect(0, 66340, '\p{Scx=ital}', "");
Expect(1, 66340, '\p{^Scx=ital}', "");
Expect(1, 66340, '\P{Scx=ital}', "");
Expect(0, 66340, '\P{^Scx=ital}', "");
Expect(1, 66339, '\p{Scx:--ital}', "");
Expect(0, 66339, '\p{^Scx:--ital}', "");
Expect(0, 66339, '\P{Scx:--ital}', "");
Expect(1, 66339, '\P{^Scx:--ital}', "");
Expect(0, 66340, '\p{Scx:--ital}', "");
Expect(1, 66340, '\p{^Scx:--ital}', "");
Expect(1, 66340, '\P{Scx:--ital}', "");
Expect(0, 66340, '\P{^Scx:--ital}', "");
Error('\p{Is_Script_Extensions=_:=old_Italic}');
Error('\P{Is_Script_Extensions=_:=old_Italic}');
Expect(1, 66339, '\p{Is_Script_Extensions=olditalic}', "");
Expect(0, 66339, '\p{^Is_Script_Extensions=olditalic}', "");
Expect(0, 66339, '\P{Is_Script_Extensions=olditalic}', "");
Expect(1, 66339, '\P{^Is_Script_Extensions=olditalic}', "");
Expect(0, 66340, '\p{Is_Script_Extensions=olditalic}', "");
Expect(1, 66340, '\p{^Is_Script_Extensions=olditalic}', "");
Expect(1, 66340, '\P{Is_Script_Extensions=olditalic}', "");
Expect(0, 66340, '\P{^Is_Script_Extensions=olditalic}', "");
Expect(1, 66339, '\p{Is_Script_Extensions=-Old_Italic}', "");
Expect(0, 66339, '\p{^Is_Script_Extensions=-Old_Italic}', "");
Expect(0, 66339, '\P{Is_Script_Extensions=-Old_Italic}', "");
Expect(1, 66339, '\P{^Is_Script_Extensions=-Old_Italic}', "");
Expect(0, 66340, '\p{Is_Script_Extensions=-Old_Italic}', "");
Expect(1, 66340, '\p{^Is_Script_Extensions=-Old_Italic}', "");
Expect(1, 66340, '\P{Is_Script_Extensions=-Old_Italic}', "");
Expect(0, 66340, '\P{^Is_Script_Extensions=-Old_Italic}', "");
Error('\p{Is_Scx=:=	Ital}');
Error('\P{Is_Scx=:=	Ital}');
Expect(1, 66339, '\p{Is_Scx:ital}', "");
Expect(0, 66339, '\p{^Is_Scx:ital}', "");
Expect(0, 66339, '\P{Is_Scx:ital}', "");
Expect(1, 66339, '\P{^Is_Scx:ital}', "");
Expect(0, 66340, '\p{Is_Scx:ital}', "");
Expect(1, 66340, '\p{^Is_Scx:ital}', "");
Expect(1, 66340, '\P{Is_Scx:ital}', "");
Expect(0, 66340, '\P{^Is_Scx:ital}', "");
Expect(1, 66339, '\p{Is_Scx=-	ital}', "");
Expect(0, 66339, '\p{^Is_Scx=-	ital}', "");
Expect(0, 66339, '\P{Is_Scx=-	ital}', "");
Expect(1, 66339, '\P{^Is_Scx=-	ital}', "");
Expect(0, 66340, '\p{Is_Scx=-	ital}', "");
Expect(1, 66340, '\p{^Is_Scx=-	ital}', "");
Expect(1, 66340, '\P{Is_Scx=-	ital}', "");
Expect(0, 66340, '\P{^Is_Scx=-	ital}', "");
Error('\p{Script_Extensions=/a/	-Javanese}');
Error('\P{Script_Extensions=/a/	-Javanese}');
Expect(1, 43487, '\p{Script_Extensions=javanese}', "");
Expect(0, 43487, '\p{^Script_Extensions=javanese}', "");
Expect(0, 43487, '\P{Script_Extensions=javanese}', "");
Expect(1, 43487, '\P{^Script_Extensions=javanese}', "");
Expect(0, 43488, '\p{Script_Extensions=javanese}', "");
Expect(1, 43488, '\p{^Script_Extensions=javanese}', "");
Expect(1, 43488, '\P{Script_Extensions=javanese}', "");
Expect(0, 43488, '\P{^Script_Extensions=javanese}', "");
Expect(1, 43487, '\p{Script_Extensions=_	JAVANESE}', "");
Expect(0, 43487, '\p{^Script_Extensions=_	JAVANESE}', "");
Expect(0, 43487, '\P{Script_Extensions=_	JAVANESE}', "");
Expect(1, 43487, '\P{^Script_Extensions=_	JAVANESE}', "");
Expect(0, 43488, '\p{Script_Extensions=_	JAVANESE}', "");
Expect(1, 43488, '\p{^Script_Extensions=_	JAVANESE}', "");
Expect(1, 43488, '\P{Script_Extensions=_	JAVANESE}', "");
Expect(0, 43488, '\P{^Script_Extensions=_	JAVANESE}', "");
Error('\p{Scx=	:=Java}');
Error('\P{Scx=	:=Java}');
Expect(1, 43487, '\p{Scx=java}', "");
Expect(0, 43487, '\p{^Scx=java}', "");
Expect(0, 43487, '\P{Scx=java}', "");
Expect(1, 43487, '\P{^Scx=java}', "");
Expect(0, 43488, '\p{Scx=java}', "");
Expect(1, 43488, '\p{^Scx=java}', "");
Expect(1, 43488, '\P{Scx=java}', "");
Expect(0, 43488, '\P{^Scx=java}', "");
Expect(1, 43487, '\p{Scx=-	Java}', "");
Expect(0, 43487, '\p{^Scx=-	Java}', "");
Expect(0, 43487, '\P{Scx=-	Java}', "");
Expect(1, 43487, '\P{^Scx=-	Java}', "");
Expect(0, 43488, '\p{Scx=-	Java}', "");
Expect(1, 43488, '\p{^Scx=-	Java}', "");
Expect(1, 43488, '\P{Scx=-	Java}', "");
Expect(0, 43488, '\P{^Scx=-	Java}', "");
Error('\p{Is_Script_Extensions=:= -Javanese}');
Error('\P{Is_Script_Extensions=:= -Javanese}');
Expect(1, 43487, '\p{Is_Script_Extensions=javanese}', "");
Expect(0, 43487, '\p{^Is_Script_Extensions=javanese}', "");
Expect(0, 43487, '\P{Is_Script_Extensions=javanese}', "");
Expect(1, 43487, '\P{^Is_Script_Extensions=javanese}', "");
Expect(0, 43488, '\p{Is_Script_Extensions=javanese}', "");
Expect(1, 43488, '\p{^Is_Script_Extensions=javanese}', "");
Expect(1, 43488, '\P{Is_Script_Extensions=javanese}', "");
Expect(0, 43488, '\P{^Is_Script_Extensions=javanese}', "");
Expect(1, 43487, '\p{Is_Script_Extensions=	Javanese}', "");
Expect(0, 43487, '\p{^Is_Script_Extensions=	Javanese}', "");
Expect(0, 43487, '\P{Is_Script_Extensions=	Javanese}', "");
Expect(1, 43487, '\P{^Is_Script_Extensions=	Javanese}', "");
Expect(0, 43488, '\p{Is_Script_Extensions=	Javanese}', "");
Expect(1, 43488, '\p{^Is_Script_Extensions=	Javanese}', "");
Expect(1, 43488, '\P{Is_Script_Extensions=	Javanese}', "");
Expect(0, 43488, '\P{^Is_Script_Extensions=	Javanese}', "");
Error('\p{Is_Scx:	:= -Java}');
Error('\P{Is_Scx:	:= -Java}');
Expect(1, 43487, '\p{Is_Scx=java}', "");
Expect(0, 43487, '\p{^Is_Scx=java}', "");
Expect(0, 43487, '\P{Is_Scx=java}', "");
Expect(1, 43487, '\P{^Is_Scx=java}', "");
Expect(0, 43488, '\p{Is_Scx=java}', "");
Expect(1, 43488, '\p{^Is_Scx=java}', "");
Expect(1, 43488, '\P{Is_Scx=java}', "");
Expect(0, 43488, '\P{^Is_Scx=java}', "");
Expect(1, 43487, '\p{Is_Scx:_Java}', "");
Expect(0, 43487, '\p{^Is_Scx:_Java}', "");
Expect(0, 43487, '\P{Is_Scx:_Java}', "");
Expect(1, 43487, '\P{^Is_Scx:_Java}', "");
Expect(0, 43488, '\p{Is_Scx:_Java}', "");
Expect(1, 43488, '\p{^Is_Scx:_Java}', "");
Expect(1, 43488, '\P{Is_Scx:_Java}', "");
Expect(0, 43488, '\P{^Is_Scx:_Java}', "");
Error('\p{Script_Extensions=:= -Kayah_li}');
Error('\P{Script_Extensions=:= -Kayah_li}');
Expect(1, 43311, '\p{Script_Extensions=kayahli}', "");
Expect(0, 43311, '\p{^Script_Extensions=kayahli}', "");
Expect(0, 43311, '\P{Script_Extensions=kayahli}', "");
Expect(1, 43311, '\P{^Script_Extensions=kayahli}', "");
Expect(0, 43312, '\p{Script_Extensions=kayahli}', "");
Expect(1, 43312, '\p{^Script_Extensions=kayahli}', "");
Expect(1, 43312, '\P{Script_Extensions=kayahli}', "");
Expect(0, 43312, '\P{^Script_Extensions=kayahli}', "");
Expect(1, 43311, '\p{Script_Extensions=		kayah_li}', "");
Expect(0, 43311, '\p{^Script_Extensions=		kayah_li}', "");
Expect(0, 43311, '\P{Script_Extensions=		kayah_li}', "");
Expect(1, 43311, '\P{^Script_Extensions=		kayah_li}', "");
Expect(0, 43312, '\p{Script_Extensions=		kayah_li}', "");
Expect(1, 43312, '\p{^Script_Extensions=		kayah_li}', "");
Expect(1, 43312, '\P{Script_Extensions=		kayah_li}', "");
Expect(0, 43312, '\P{^Script_Extensions=		kayah_li}', "");
Error('\p{Scx=	/a/Kali}');
Error('\P{Scx=	/a/Kali}');
Expect(1, 43311, '\p{Scx=kali}', "");
Expect(0, 43311, '\p{^Scx=kali}', "");
Expect(0, 43311, '\P{Scx=kali}', "");
Expect(1, 43311, '\P{^Scx=kali}', "");
Expect(0, 43312, '\p{Scx=kali}', "");
Expect(1, 43312, '\p{^Scx=kali}', "");
Expect(1, 43312, '\P{Scx=kali}', "");
Expect(0, 43312, '\P{^Scx=kali}', "");
Expect(1, 43311, '\p{Scx= -kali}', "");
Expect(0, 43311, '\p{^Scx= -kali}', "");
Expect(0, 43311, '\P{Scx= -kali}', "");
Expect(1, 43311, '\P{^Scx= -kali}', "");
Expect(0, 43312, '\p{Scx= -kali}', "");
Expect(1, 43312, '\p{^Scx= -kali}', "");
Expect(1, 43312, '\P{Scx= -kali}', "");
Expect(0, 43312, '\P{^Scx= -kali}', "");
Error('\p{Is_Script_Extensions= :=KAYAH_Li}');
Error('\P{Is_Script_Extensions= :=KAYAH_Li}');
Expect(1, 43311, '\p{Is_Script_Extensions=kayahli}', "");
Expect(0, 43311, '\p{^Is_Script_Extensions=kayahli}', "");
Expect(0, 43311, '\P{Is_Script_Extensions=kayahli}', "");
Expect(1, 43311, '\P{^Is_Script_Extensions=kayahli}', "");
Expect(0, 43312, '\p{Is_Script_Extensions=kayahli}', "");
Expect(1, 43312, '\p{^Is_Script_Extensions=kayahli}', "");
Expect(1, 43312, '\P{Is_Script_Extensions=kayahli}', "");
Expect(0, 43312, '\P{^Is_Script_Extensions=kayahli}', "");
Expect(1, 43311, '\p{Is_Script_Extensions=-kayah_Li}', "");
Expect(0, 43311, '\p{^Is_Script_Extensions=-kayah_Li}', "");
Expect(0, 43311, '\P{Is_Script_Extensions=-kayah_Li}', "");
Expect(1, 43311, '\P{^Is_Script_Extensions=-kayah_Li}', "");
Expect(0, 43312, '\p{Is_Script_Extensions=-kayah_Li}', "");
Expect(1, 43312, '\p{^Is_Script_Extensions=-kayah_Li}', "");
Expect(1, 43312, '\P{Is_Script_Extensions=-kayah_Li}', "");
Expect(0, 43312, '\P{^Is_Script_Extensions=-kayah_Li}', "");
Error('\p{Is_Scx=/a/	_KALI}');
Error('\P{Is_Scx=/a/	_KALI}');
Expect(1, 43311, '\p{Is_Scx=kali}', "");
Expect(0, 43311, '\p{^Is_Scx=kali}', "");
Expect(0, 43311, '\P{Is_Scx=kali}', "");
Expect(1, 43311, '\P{^Is_Scx=kali}', "");
Expect(0, 43312, '\p{Is_Scx=kali}', "");
Expect(1, 43312, '\p{^Is_Scx=kali}', "");
Expect(1, 43312, '\P{Is_Scx=kali}', "");
Expect(0, 43312, '\P{^Is_Scx=kali}', "");
Error('\p{Script_Extensions=/a/ katakana}');
Error('\P{Script_Extensions=/a/ katakana}');
Expect(1, 110592, '\p{Script_Extensions=katakana}', "");
Expect(0, 110592, '\p{^Script_Extensions=katakana}', "");
Expect(0, 110592, '\P{Script_Extensions=katakana}', "");
Expect(1, 110592, '\P{^Script_Extensions=katakana}', "");
Expect(0, 110593, '\p{Script_Extensions=katakana}', "");
Expect(1, 110593, '\p{^Script_Extensions=katakana}', "");
Expect(1, 110593, '\P{Script_Extensions=katakana}', "");
Expect(0, 110593, '\P{^Script_Extensions=katakana}', "");
Expect(1, 110592, '\p{Script_Extensions=_katakana}', "");
Expect(0, 110592, '\p{^Script_Extensions=_katakana}', "");
Expect(0, 110592, '\P{Script_Extensions=_katakana}', "");
Expect(1, 110592, '\P{^Script_Extensions=_katakana}', "");
Expect(0, 110593, '\p{Script_Extensions=_katakana}', "");
Expect(1, 110593, '\p{^Script_Extensions=_katakana}', "");
Expect(1, 110593, '\P{Script_Extensions=_katakana}', "");
Expect(0, 110593, '\P{^Script_Extensions=_katakana}', "");
Error('\p{Scx=-/a/Kana}');
Error('\P{Scx=-/a/Kana}');
Expect(1, 110592, '\p{Scx=kana}', "");
Expect(0, 110592, '\p{^Scx=kana}', "");
Expect(0, 110592, '\P{Scx=kana}', "");
Expect(1, 110592, '\P{^Scx=kana}', "");
Expect(0, 110593, '\p{Scx=kana}', "");
Expect(1, 110593, '\p{^Scx=kana}', "");
Expect(1, 110593, '\P{Scx=kana}', "");
Expect(0, 110593, '\P{^Scx=kana}', "");
Expect(1, 110592, '\p{Scx: 	KANA}', "");
Expect(0, 110592, '\p{^Scx: 	KANA}', "");
Expect(0, 110592, '\P{Scx: 	KANA}', "");
Expect(1, 110592, '\P{^Scx: 	KANA}', "");
Expect(0, 110593, '\p{Scx: 	KANA}', "");
Expect(1, 110593, '\p{^Scx: 	KANA}', "");
Expect(1, 110593, '\P{Scx: 	KANA}', "");
Expect(0, 110593, '\P{^Scx: 	KANA}', "");
Error('\p{Is_Script_Extensions=-Katakana:=}');
Error('\P{Is_Script_Extensions=-Katakana:=}');
Expect(1, 110592, '\p{Is_Script_Extensions=katakana}', "");
Expect(0, 110592, '\p{^Is_Script_Extensions=katakana}', "");
Expect(0, 110592, '\P{Is_Script_Extensions=katakana}', "");
Expect(1, 110592, '\P{^Is_Script_Extensions=katakana}', "");
Expect(0, 110593, '\p{Is_Script_Extensions=katakana}', "");
Expect(1, 110593, '\p{^Is_Script_Extensions=katakana}', "");
Expect(1, 110593, '\P{Is_Script_Extensions=katakana}', "");
Expect(0, 110593, '\P{^Is_Script_Extensions=katakana}', "");
Expect(1, 110592, '\p{Is_Script_Extensions=_-Katakana}', "");
Expect(0, 110592, '\p{^Is_Script_Extensions=_-Katakana}', "");
Expect(0, 110592, '\P{Is_Script_Extensions=_-Katakana}', "");
Expect(1, 110592, '\P{^Is_Script_Extensions=_-Katakana}', "");
Expect(0, 110593, '\p{Is_Script_Extensions=_-Katakana}', "");
Expect(1, 110593, '\p{^Is_Script_Extensions=_-Katakana}', "");
Expect(1, 110593, '\P{Is_Script_Extensions=_-Katakana}', "");
Expect(0, 110593, '\P{^Is_Script_Extensions=_-Katakana}', "");
Error('\p{Is_Scx=/a/ KANA}');
Error('\P{Is_Scx=/a/ KANA}');
Expect(1, 110592, '\p{Is_Scx=kana}', "");
Expect(0, 110592, '\p{^Is_Scx=kana}', "");
Expect(0, 110592, '\P{Is_Scx=kana}', "");
Expect(1, 110592, '\P{^Is_Scx=kana}', "");
Expect(0, 110593, '\p{Is_Scx=kana}', "");
Expect(1, 110593, '\p{^Is_Scx=kana}', "");
Expect(1, 110593, '\P{Is_Scx=kana}', "");
Expect(0, 110593, '\P{^Is_Scx=kana}', "");
Expect(1, 110592, '\p{Is_Scx=_ KANA}', "");
Expect(0, 110592, '\p{^Is_Scx=_ KANA}', "");
Expect(0, 110592, '\P{Is_Scx=_ KANA}', "");
Expect(1, 110592, '\P{^Is_Scx=_ KANA}', "");
Expect(0, 110593, '\p{Is_Scx=_ KANA}', "");
Expect(1, 110593, '\p{^Is_Scx=_ KANA}', "");
Expect(1, 110593, '\P{Is_Scx=_ KANA}', "");
Expect(0, 110593, '\P{^Is_Scx=_ KANA}', "");
Error('\p{Script_Extensions=/a/ -Kharoshthi}');
Error('\P{Script_Extensions=/a/ -Kharoshthi}');
Expect(1, 68184, '\p{Script_Extensions=kharoshthi}', "");
Expect(0, 68184, '\p{^Script_Extensions=kharoshthi}', "");
Expect(0, 68184, '\P{Script_Extensions=kharoshthi}', "");
Expect(1, 68184, '\P{^Script_Extensions=kharoshthi}', "");
Expect(0, 68185, '\p{Script_Extensions=kharoshthi}', "");
Expect(1, 68185, '\p{^Script_Extensions=kharoshthi}', "");
Expect(1, 68185, '\P{Script_Extensions=kharoshthi}', "");
Expect(0, 68185, '\P{^Script_Extensions=kharoshthi}', "");
Expect(1, 68184, '\p{Script_Extensions=	_kharoshthi}', "");
Expect(0, 68184, '\p{^Script_Extensions=	_kharoshthi}', "");
Expect(0, 68184, '\P{Script_Extensions=	_kharoshthi}', "");
Expect(1, 68184, '\P{^Script_Extensions=	_kharoshthi}', "");
Expect(0, 68185, '\p{Script_Extensions=	_kharoshthi}', "");
Expect(1, 68185, '\p{^Script_Extensions=	_kharoshthi}', "");
Expect(1, 68185, '\P{Script_Extensions=	_kharoshthi}', "");
Expect(0, 68185, '\P{^Script_Extensions=	_kharoshthi}', "");
Error('\p{Scx=:= Khar}');
Error('\P{Scx=:= Khar}');
Expect(1, 68184, '\p{Scx: khar}', "");
Expect(0, 68184, '\p{^Scx: khar}', "");
Expect(0, 68184, '\P{Scx: khar}', "");
Expect(1, 68184, '\P{^Scx: khar}', "");
Expect(0, 68185, '\p{Scx: khar}', "");
Expect(1, 68185, '\p{^Scx: khar}', "");
Expect(1, 68185, '\P{Scx: khar}', "");
Expect(0, 68185, '\P{^Scx: khar}', "");
Expect(1, 68184, '\p{Scx=_Khar}', "");
Expect(0, 68184, '\p{^Scx=_Khar}', "");
Expect(0, 68184, '\P{Scx=_Khar}', "");
Expect(1, 68184, '\P{^Scx=_Khar}', "");
Expect(0, 68185, '\p{Scx=_Khar}', "");
Expect(1, 68185, '\p{^Scx=_Khar}', "");
Expect(1, 68185, '\P{Scx=_Khar}', "");
Expect(0, 68185, '\P{^Scx=_Khar}', "");
Error('\p{Is_Script_Extensions:/a/-	Kharoshthi}');
Error('\P{Is_Script_Extensions:/a/-	Kharoshthi}');
Expect(1, 68184, '\p{Is_Script_Extensions=kharoshthi}', "");
Expect(0, 68184, '\p{^Is_Script_Extensions=kharoshthi}', "");
Expect(0, 68184, '\P{Is_Script_Extensions=kharoshthi}', "");
Expect(1, 68184, '\P{^Is_Script_Extensions=kharoshthi}', "");
Expect(0, 68185, '\p{Is_Script_Extensions=kharoshthi}', "");
Expect(1, 68185, '\p{^Is_Script_Extensions=kharoshthi}', "");
Expect(1, 68185, '\P{Is_Script_Extensions=kharoshthi}', "");
Expect(0, 68185, '\P{^Is_Script_Extensions=kharoshthi}', "");
Expect(1, 68184, '\p{Is_Script_Extensions=	-KHAROSHTHI}', "");
Expect(0, 68184, '\p{^Is_Script_Extensions=	-KHAROSHTHI}', "");
Expect(0, 68184, '\P{Is_Script_Extensions=	-KHAROSHTHI}', "");
Expect(1, 68184, '\P{^Is_Script_Extensions=	-KHAROSHTHI}', "");
Expect(0, 68185, '\p{Is_Script_Extensions=	-KHAROSHTHI}', "");
Expect(1, 68185, '\p{^Is_Script_Extensions=	-KHAROSHTHI}', "");
Expect(1, 68185, '\P{Is_Script_Extensions=	-KHAROSHTHI}', "");
Expect(0, 68185, '\P{^Is_Script_Extensions=	-KHAROSHTHI}', "");
Error('\p{Is_Scx=:=  KHAR}');
Error('\P{Is_Scx=:=  KHAR}');
Expect(1, 68184, '\p{Is_Scx=khar}', "");
Expect(0, 68184, '\p{^Is_Scx=khar}', "");
Expect(0, 68184, '\P{Is_Scx=khar}', "");
Expect(1, 68184, '\P{^Is_Scx=khar}', "");
Expect(0, 68185, '\p{Is_Scx=khar}', "");
Expect(1, 68185, '\p{^Is_Scx=khar}', "");
Expect(1, 68185, '\P{Is_Scx=khar}', "");
Expect(0, 68185, '\P{^Is_Scx=khar}', "");
Expect(1, 68184, '\p{Is_Scx=_Khar}', "");
Expect(0, 68184, '\p{^Is_Scx=_Khar}', "");
Expect(0, 68184, '\P{Is_Scx=_Khar}', "");
Expect(1, 68184, '\P{^Is_Scx=_Khar}', "");
Expect(0, 68185, '\p{Is_Scx=_Khar}', "");
Expect(1, 68185, '\p{^Is_Scx=_Khar}', "");
Expect(1, 68185, '\P{Is_Scx=_Khar}', "");
Expect(0, 68185, '\P{^Is_Scx=_Khar}', "");
Error('\p{Script_Extensions= /a/Khmer}');
Error('\P{Script_Extensions= /a/Khmer}');
Expect(1, 6655, '\p{Script_Extensions=khmer}', "");
Expect(0, 6655, '\p{^Script_Extensions=khmer}', "");
Expect(0, 6655, '\P{Script_Extensions=khmer}', "");
Expect(1, 6655, '\P{^Script_Extensions=khmer}', "");
Expect(0, 6656, '\p{Script_Extensions=khmer}', "");
Expect(1, 6656, '\p{^Script_Extensions=khmer}', "");
Expect(1, 6656, '\P{Script_Extensions=khmer}', "");
Expect(0, 6656, '\P{^Script_Extensions=khmer}', "");
Expect(1, 6655, '\p{Script_Extensions:     Khmer}', "");
Expect(0, 6655, '\p{^Script_Extensions:     Khmer}', "");
Expect(0, 6655, '\P{Script_Extensions:     Khmer}', "");
Expect(1, 6655, '\P{^Script_Extensions:     Khmer}', "");
Expect(0, 6656, '\p{Script_Extensions:     Khmer}', "");
Expect(1, 6656, '\p{^Script_Extensions:     Khmer}', "");
Expect(1, 6656, '\P{Script_Extensions:     Khmer}', "");
Expect(0, 6656, '\P{^Script_Extensions:     Khmer}', "");
Error('\p{Scx=/a/		khmr}');
Error('\P{Scx=/a/		khmr}');
Expect(1, 6655, '\p{Scx=khmr}', "");
Expect(0, 6655, '\p{^Scx=khmr}', "");
Expect(0, 6655, '\P{Scx=khmr}', "");
Expect(1, 6655, '\P{^Scx=khmr}', "");
Expect(0, 6656, '\p{Scx=khmr}', "");
Expect(1, 6656, '\p{^Scx=khmr}', "");
Expect(1, 6656, '\P{Scx=khmr}', "");
Expect(0, 6656, '\P{^Scx=khmr}', "");
Expect(1, 6655, '\p{Scx=-_Khmr}', "");
Expect(0, 6655, '\p{^Scx=-_Khmr}', "");
Expect(0, 6655, '\P{Scx=-_Khmr}', "");
Expect(1, 6655, '\P{^Scx=-_Khmr}', "");
Expect(0, 6656, '\p{Scx=-_Khmr}', "");
Expect(1, 6656, '\p{^Scx=-_Khmr}', "");
Expect(1, 6656, '\P{Scx=-_Khmr}', "");
Expect(0, 6656, '\P{^Scx=-_Khmr}', "");
Error('\p{Is_Script_Extensions=- khmer:=}');
Error('\P{Is_Script_Extensions=- khmer:=}');
Expect(1, 6655, '\p{Is_Script_Extensions=khmer}', "");
Expect(0, 6655, '\p{^Is_Script_Extensions=khmer}', "");
Expect(0, 6655, '\P{Is_Script_Extensions=khmer}', "");
Expect(1, 6655, '\P{^Is_Script_Extensions=khmer}', "");
Expect(0, 6656, '\p{Is_Script_Extensions=khmer}', "");
Expect(1, 6656, '\p{^Is_Script_Extensions=khmer}', "");
Expect(1, 6656, '\P{Is_Script_Extensions=khmer}', "");
Expect(0, 6656, '\P{^Is_Script_Extensions=khmer}', "");
Expect(1, 6655, '\p{Is_Script_Extensions:-_khmer}', "");
Expect(0, 6655, '\p{^Is_Script_Extensions:-_khmer}', "");
Expect(0, 6655, '\P{Is_Script_Extensions:-_khmer}', "");
Expect(1, 6655, '\P{^Is_Script_Extensions:-_khmer}', "");
Expect(0, 6656, '\p{Is_Script_Extensions:-_khmer}', "");
Expect(1, 6656, '\p{^Is_Script_Extensions:-_khmer}', "");
Expect(1, 6656, '\P{Is_Script_Extensions:-_khmer}', "");
Expect(0, 6656, '\P{^Is_Script_Extensions:-_khmer}', "");
Error('\p{Is_Scx= Khmr:=}');
Error('\P{Is_Scx= Khmr:=}');
Expect(1, 6655, '\p{Is_Scx=khmr}', "");
Expect(0, 6655, '\p{^Is_Scx=khmr}', "");
Expect(0, 6655, '\P{Is_Scx=khmr}', "");
Expect(1, 6655, '\P{^Is_Scx=khmr}', "");
Expect(0, 6656, '\p{Is_Scx=khmr}', "");
Expect(1, 6656, '\p{^Is_Scx=khmr}', "");
Expect(1, 6656, '\P{Is_Scx=khmr}', "");
Expect(0, 6656, '\P{^Is_Scx=khmr}', "");
Expect(1, 6655, '\p{Is_Scx=_Khmr}', "");
Expect(0, 6655, '\p{^Is_Scx=_Khmr}', "");
Expect(0, 6655, '\P{Is_Scx=_Khmr}', "");
Expect(1, 6655, '\P{^Is_Scx=_Khmr}', "");
Expect(0, 6656, '\p{Is_Scx=_Khmr}', "");
Expect(1, 6656, '\p{^Is_Scx=_Khmr}', "");
Expect(1, 6656, '\P{Is_Scx=_Khmr}', "");
Expect(0, 6656, '\P{^Is_Scx=_Khmr}', "");
Error('\p{Script_Extensions: _khojki/a/}');
Error('\P{Script_Extensions: _khojki/a/}');
Expect(1, 70205, '\p{Script_Extensions=khojki}', "");
Expect(0, 70205, '\p{^Script_Extensions=khojki}', "");
Expect(0, 70205, '\P{Script_Extensions=khojki}', "");
Expect(1, 70205, '\P{^Script_Extensions=khojki}', "");
Expect(0, 70206, '\p{Script_Extensions=khojki}', "");
Expect(1, 70206, '\p{^Script_Extensions=khojki}', "");
Expect(1, 70206, '\P{Script_Extensions=khojki}', "");
Expect(0, 70206, '\P{^Script_Extensions=khojki}', "");
Expect(1, 70205, '\p{Script_Extensions=	-KHOJKI}', "");
Expect(0, 70205, '\p{^Script_Extensions=	-KHOJKI}', "");
Expect(0, 70205, '\P{Script_Extensions=	-KHOJKI}', "");
Expect(1, 70205, '\P{^Script_Extensions=	-KHOJKI}', "");
Expect(0, 70206, '\p{Script_Extensions=	-KHOJKI}', "");
Expect(1, 70206, '\p{^Script_Extensions=	-KHOJKI}', "");
Expect(1, 70206, '\P{Script_Extensions=	-KHOJKI}', "");
Expect(0, 70206, '\P{^Script_Extensions=	-KHOJKI}', "");
Error('\p{Scx=:= Khoj}');
Error('\P{Scx=:= Khoj}');
Expect(1, 70205, '\p{Scx=khoj}', "");
Expect(0, 70205, '\p{^Scx=khoj}', "");
Expect(0, 70205, '\P{Scx=khoj}', "");
Expect(1, 70205, '\P{^Scx=khoj}', "");
Expect(0, 70206, '\p{Scx=khoj}', "");
Expect(1, 70206, '\p{^Scx=khoj}', "");
Expect(1, 70206, '\P{Scx=khoj}', "");
Expect(0, 70206, '\P{^Scx=khoj}', "");
Expect(1, 70205, '\p{Scx=	khoj}', "");
Expect(0, 70205, '\p{^Scx=	khoj}', "");
Expect(0, 70205, '\P{Scx=	khoj}', "");
Expect(1, 70205, '\P{^Scx=	khoj}', "");
Expect(0, 70206, '\p{Scx=	khoj}', "");
Expect(1, 70206, '\p{^Scx=	khoj}', "");
Expect(1, 70206, '\P{Scx=	khoj}', "");
Expect(0, 70206, '\P{^Scx=	khoj}', "");
Error('\p{Is_Script_Extensions=	_Khojki/a/}');
Error('\P{Is_Script_Extensions=	_Khojki/a/}');
Expect(1, 70205, '\p{Is_Script_Extensions=khojki}', "");
Expect(0, 70205, '\p{^Is_Script_Extensions=khojki}', "");
Expect(0, 70205, '\P{Is_Script_Extensions=khojki}', "");
Expect(1, 70205, '\P{^Is_Script_Extensions=khojki}', "");
Expect(0, 70206, '\p{Is_Script_Extensions=khojki}', "");
Expect(1, 70206, '\p{^Is_Script_Extensions=khojki}', "");
Expect(1, 70206, '\P{Is_Script_Extensions=khojki}', "");
Expect(0, 70206, '\P{^Is_Script_Extensions=khojki}', "");
Expect(1, 70205, '\p{Is_Script_Extensions=_-Khojki}', "");
Expect(0, 70205, '\p{^Is_Script_Extensions=_-Khojki}', "");
Expect(0, 70205, '\P{Is_Script_Extensions=_-Khojki}', "");
Expect(1, 70205, '\P{^Is_Script_Extensions=_-Khojki}', "");
Expect(0, 70206, '\p{Is_Script_Extensions=_-Khojki}', "");
Expect(1, 70206, '\p{^Is_Script_Extensions=_-Khojki}', "");
Expect(1, 70206, '\P{Is_Script_Extensions=_-Khojki}', "");
Expect(0, 70206, '\P{^Is_Script_Extensions=_-Khojki}', "");
Error('\p{Is_Scx=/a/KHOJ}');
Error('\P{Is_Scx=/a/KHOJ}');
Expect(1, 70205, '\p{Is_Scx=khoj}', "");
Expect(0, 70205, '\p{^Is_Scx=khoj}', "");
Expect(0, 70205, '\P{Is_Scx=khoj}', "");
Expect(1, 70205, '\P{^Is_Scx=khoj}', "");
Expect(0, 70206, '\p{Is_Scx=khoj}', "");
Expect(1, 70206, '\p{^Is_Scx=khoj}', "");
Expect(1, 70206, '\P{Is_Scx=khoj}', "");
Expect(0, 70206, '\P{^Is_Scx=khoj}', "");
Expect(1, 70205, '\p{Is_Scx=		KHOJ}', "");
Expect(0, 70205, '\p{^Is_Scx=		KHOJ}', "");
Expect(0, 70205, '\P{Is_Scx=		KHOJ}', "");
Expect(1, 70205, '\P{^Is_Scx=		KHOJ}', "");
Expect(0, 70206, '\p{Is_Scx=		KHOJ}', "");
Expect(1, 70206, '\p{^Is_Scx=		KHOJ}', "");
Expect(1, 70206, '\P{Is_Scx=		KHOJ}', "");
Expect(0, 70206, '\P{^Is_Scx=		KHOJ}', "");
Error('\p{Script_Extensions= /a/Kannada}');
Error('\P{Script_Extensions= /a/Kannada}');
Expect(1, 7413, '\p{Script_Extensions=kannada}', "");
Expect(0, 7413, '\p{^Script_Extensions=kannada}', "");
Expect(0, 7413, '\P{Script_Extensions=kannada}', "");
Expect(1, 7413, '\P{^Script_Extensions=kannada}', "");
Expect(0, 7414, '\p{Script_Extensions=kannada}', "");
Expect(1, 7414, '\p{^Script_Extensions=kannada}', "");
Expect(1, 7414, '\P{Script_Extensions=kannada}', "");
Expect(0, 7414, '\P{^Script_Extensions=kannada}', "");
Expect(1, 7413, '\p{Script_Extensions=_-Kannada}', "");
Expect(0, 7413, '\p{^Script_Extensions=_-Kannada}', "");
Expect(0, 7413, '\P{Script_Extensions=_-Kannada}', "");
Expect(1, 7413, '\P{^Script_Extensions=_-Kannada}', "");
Expect(0, 7414, '\p{Script_Extensions=_-Kannada}', "");
Expect(1, 7414, '\p{^Script_Extensions=_-Kannada}', "");
Expect(1, 7414, '\P{Script_Extensions=_-Kannada}', "");
Expect(0, 7414, '\P{^Script_Extensions=_-Kannada}', "");
Error('\p{Scx: 	-knda/a/}');
Error('\P{Scx: 	-knda/a/}');
Expect(1, 7413, '\p{Scx=knda}', "");
Expect(0, 7413, '\p{^Scx=knda}', "");
Expect(0, 7413, '\P{Scx=knda}', "");
Expect(1, 7413, '\P{^Scx=knda}', "");
Expect(0, 7414, '\p{Scx=knda}', "");
Expect(1, 7414, '\p{^Scx=knda}', "");
Expect(1, 7414, '\P{Scx=knda}', "");
Expect(0, 7414, '\P{^Scx=knda}', "");
Expect(1, 7413, '\p{Scx=	knda}', "");
Expect(0, 7413, '\p{^Scx=	knda}', "");
Expect(0, 7413, '\P{Scx=	knda}', "");
Expect(1, 7413, '\P{^Scx=	knda}', "");
Expect(0, 7414, '\p{Scx=	knda}', "");
Expect(1, 7414, '\p{^Scx=	knda}', "");
Expect(1, 7414, '\P{Scx=	knda}', "");
Expect(0, 7414, '\P{^Scx=	knda}', "");
Error('\p{Is_Script_Extensions=_-Kannada/a/}');
Error('\P{Is_Script_Extensions=_-Kannada/a/}');
Expect(1, 7413, '\p{Is_Script_Extensions=kannada}', "");
Expect(0, 7413, '\p{^Is_Script_Extensions=kannada}', "");
Expect(0, 7413, '\P{Is_Script_Extensions=kannada}', "");
Expect(1, 7413, '\P{^Is_Script_Extensions=kannada}', "");
Expect(0, 7414, '\p{Is_Script_Extensions=kannada}', "");
Expect(1, 7414, '\p{^Is_Script_Extensions=kannada}', "");
Expect(1, 7414, '\P{Is_Script_Extensions=kannada}', "");
Expect(0, 7414, '\P{^Is_Script_Extensions=kannada}', "");
Expect(1, 7413, '\p{Is_Script_Extensions=	KANNADA}', "");
Expect(0, 7413, '\p{^Is_Script_Extensions=	KANNADA}', "");
Expect(0, 7413, '\P{Is_Script_Extensions=	KANNADA}', "");
Expect(1, 7413, '\P{^Is_Script_Extensions=	KANNADA}', "");
Expect(0, 7414, '\p{Is_Script_Extensions=	KANNADA}', "");
Expect(1, 7414, '\p{^Is_Script_Extensions=	KANNADA}', "");
Expect(1, 7414, '\P{Is_Script_Extensions=	KANNADA}', "");
Expect(0, 7414, '\P{^Is_Script_Extensions=	KANNADA}', "");
Error('\p{Is_Scx=/a/ 	Knda}');
Error('\P{Is_Scx=/a/ 	Knda}');
Expect(1, 7413, '\p{Is_Scx:	knda}', "");
Expect(0, 7413, '\p{^Is_Scx:	knda}', "");
Expect(0, 7413, '\P{Is_Scx:	knda}', "");
Expect(1, 7413, '\P{^Is_Scx:	knda}', "");
Expect(0, 7414, '\p{Is_Scx:	knda}', "");
Expect(1, 7414, '\p{^Is_Scx:	knda}', "");
Expect(1, 7414, '\P{Is_Scx:	knda}', "");
Expect(0, 7414, '\P{^Is_Scx:	knda}', "");
Expect(1, 7413, '\p{Is_Scx:	-knda}', "");
Expect(0, 7413, '\p{^Is_Scx:	-knda}', "");
Expect(0, 7413, '\P{Is_Scx:	-knda}', "");
Expect(1, 7413, '\P{^Is_Scx:	-knda}', "");
Expect(0, 7414, '\p{Is_Scx:	-knda}', "");
Expect(1, 7414, '\p{^Is_Scx:	-knda}', "");
Expect(1, 7414, '\P{Is_Scx:	-knda}', "");
Expect(0, 7414, '\P{^Is_Scx:	-knda}', "");
Error('\p{Script_Extensions=:=_	kaithi}');
Error('\P{Script_Extensions=:=_	kaithi}');
Expect(1, 69825, '\p{Script_Extensions=kaithi}', "");
Expect(0, 69825, '\p{^Script_Extensions=kaithi}', "");
Expect(0, 69825, '\P{Script_Extensions=kaithi}', "");
Expect(1, 69825, '\P{^Script_Extensions=kaithi}', "");
Expect(0, 69826, '\p{Script_Extensions=kaithi}', "");
Expect(1, 69826, '\p{^Script_Extensions=kaithi}', "");
Expect(1, 69826, '\P{Script_Extensions=kaithi}', "");
Expect(0, 69826, '\P{^Script_Extensions=kaithi}', "");
Expect(1, 69825, '\p{Script_Extensions=	KAITHI}', "");
Expect(0, 69825, '\p{^Script_Extensions=	KAITHI}', "");
Expect(0, 69825, '\P{Script_Extensions=	KAITHI}', "");
Expect(1, 69825, '\P{^Script_Extensions=	KAITHI}', "");
Expect(0, 69826, '\p{Script_Extensions=	KAITHI}', "");
Expect(1, 69826, '\p{^Script_Extensions=	KAITHI}', "");
Expect(1, 69826, '\P{Script_Extensions=	KAITHI}', "");
Expect(0, 69826, '\P{^Script_Extensions=	KAITHI}', "");
Error('\p{Scx=/a/-KTHI}');
Error('\P{Scx=/a/-KTHI}');
Expect(1, 69825, '\p{Scx=kthi}', "");
Expect(0, 69825, '\p{^Scx=kthi}', "");
Expect(0, 69825, '\P{Scx=kthi}', "");
Expect(1, 69825, '\P{^Scx=kthi}', "");
Expect(0, 69826, '\p{Scx=kthi}', "");
Expect(1, 69826, '\p{^Scx=kthi}', "");
Expect(1, 69826, '\P{Scx=kthi}', "");
Expect(0, 69826, '\P{^Scx=kthi}', "");
Expect(1, 69825, '\p{Scx= -KTHI}', "");
Expect(0, 69825, '\p{^Scx= -KTHI}', "");
Expect(0, 69825, '\P{Scx= -KTHI}', "");
Expect(1, 69825, '\P{^Scx= -KTHI}', "");
Expect(0, 69826, '\p{Scx= -KTHI}', "");
Expect(1, 69826, '\p{^Scx= -KTHI}', "");
Expect(1, 69826, '\P{Scx= -KTHI}', "");
Expect(0, 69826, '\P{^Scx= -KTHI}', "");
Error('\p{Is_Script_Extensions=:=_ Kaithi}');
Error('\P{Is_Script_Extensions=:=_ Kaithi}');
Expect(1, 69825, '\p{Is_Script_Extensions=kaithi}', "");
Expect(0, 69825, '\p{^Is_Script_Extensions=kaithi}', "");
Expect(0, 69825, '\P{Is_Script_Extensions=kaithi}', "");
Expect(1, 69825, '\P{^Is_Script_Extensions=kaithi}', "");
Expect(0, 69826, '\p{Is_Script_Extensions=kaithi}', "");
Expect(1, 69826, '\p{^Is_Script_Extensions=kaithi}', "");
Expect(1, 69826, '\P{Is_Script_Extensions=kaithi}', "");
Expect(0, 69826, '\P{^Is_Script_Extensions=kaithi}', "");
Expect(1, 69825, '\p{Is_Script_Extensions=	Kaithi}', "");
Expect(0, 69825, '\p{^Is_Script_Extensions=	Kaithi}', "");
Expect(0, 69825, '\P{Is_Script_Extensions=	Kaithi}', "");
Expect(1, 69825, '\P{^Is_Script_Extensions=	Kaithi}', "");
Expect(0, 69826, '\p{Is_Script_Extensions=	Kaithi}', "");
Expect(1, 69826, '\p{^Is_Script_Extensions=	Kaithi}', "");
Expect(1, 69826, '\P{Is_Script_Extensions=	Kaithi}', "");
Expect(0, 69826, '\P{^Is_Script_Extensions=	Kaithi}', "");
Error('\p{Is_Scx=/a/-	kthi}');
Error('\P{Is_Scx=/a/-	kthi}');
Expect(1, 69825, '\p{Is_Scx:kthi}', "");
Expect(0, 69825, '\p{^Is_Scx:kthi}', "");
Expect(0, 69825, '\P{Is_Scx:kthi}', "");
Expect(1, 69825, '\P{^Is_Scx:kthi}', "");
Expect(0, 69826, '\p{Is_Scx:kthi}', "");
Expect(1, 69826, '\p{^Is_Scx:kthi}', "");
Expect(1, 69826, '\P{Is_Scx:kthi}', "");
Expect(0, 69826, '\P{^Is_Scx:kthi}', "");
Expect(1, 69825, '\p{Is_Scx= _Kthi}', "");
Expect(0, 69825, '\p{^Is_Scx= _Kthi}', "");
Expect(0, 69825, '\P{Is_Scx= _Kthi}', "");
Expect(1, 69825, '\P{^Is_Scx= _Kthi}', "");
Expect(0, 69826, '\p{Is_Scx= _Kthi}', "");
Expect(1, 69826, '\p{^Is_Scx= _Kthi}', "");
Expect(1, 69826, '\P{Is_Scx= _Kthi}', "");
Expect(0, 69826, '\P{^Is_Scx= _Kthi}', "");
Error('\p{Script_Extensions=/a/_tai_THAM}');
Error('\P{Script_Extensions=/a/_tai_THAM}');
Expect(1, 6829, '\p{Script_Extensions=taitham}', "");
Expect(0, 6829, '\p{^Script_Extensions=taitham}', "");
Expect(0, 6829, '\P{Script_Extensions=taitham}', "");
Expect(1, 6829, '\P{^Script_Extensions=taitham}', "");
Expect(0, 6830, '\p{Script_Extensions=taitham}', "");
Expect(1, 6830, '\p{^Script_Extensions=taitham}', "");
Expect(1, 6830, '\P{Script_Extensions=taitham}', "");
Expect(0, 6830, '\P{^Script_Extensions=taitham}', "");
Expect(1, 6829, '\p{Script_Extensions:   	tai_Tham}', "");
Expect(0, 6829, '\p{^Script_Extensions:   	tai_Tham}', "");
Expect(0, 6829, '\P{Script_Extensions:   	tai_Tham}', "");
Expect(1, 6829, '\P{^Script_Extensions:   	tai_Tham}', "");
Expect(0, 6830, '\p{Script_Extensions:   	tai_Tham}', "");
Expect(1, 6830, '\p{^Script_Extensions:   	tai_Tham}', "");
Expect(1, 6830, '\P{Script_Extensions:   	tai_Tham}', "");
Expect(0, 6830, '\P{^Script_Extensions:   	tai_Tham}', "");
Error('\p{Scx=	/a/Lana}');
Error('\P{Scx=	/a/Lana}');
Expect(1, 6829, '\p{Scx=lana}', "");
Expect(0, 6829, '\p{^Scx=lana}', "");
Expect(0, 6829, '\P{Scx=lana}', "");
Expect(1, 6829, '\P{^Scx=lana}', "");
Expect(0, 6830, '\p{Scx=lana}', "");
Expect(1, 6830, '\p{^Scx=lana}', "");
Expect(1, 6830, '\P{Scx=lana}', "");
Expect(0, 6830, '\P{^Scx=lana}', "");
Expect(1, 6829, '\p{Scx=-Lana}', "");
Expect(0, 6829, '\p{^Scx=-Lana}', "");
Expect(0, 6829, '\P{Scx=-Lana}', "");
Expect(1, 6829, '\P{^Scx=-Lana}', "");
Expect(0, 6830, '\p{Scx=-Lana}', "");
Expect(1, 6830, '\p{^Scx=-Lana}', "");
Expect(1, 6830, '\P{Scx=-Lana}', "");
Expect(0, 6830, '\P{^Scx=-Lana}', "");
Error('\p{Is_Script_Extensions=__Tai_Tham:=}');
Error('\P{Is_Script_Extensions=__Tai_Tham:=}');
Expect(1, 6829, '\p{Is_Script_Extensions=taitham}', "");
Expect(0, 6829, '\p{^Is_Script_Extensions=taitham}', "");
Expect(0, 6829, '\P{Is_Script_Extensions=taitham}', "");
Expect(1, 6829, '\P{^Is_Script_Extensions=taitham}', "");
Expect(0, 6830, '\p{Is_Script_Extensions=taitham}', "");
Expect(1, 6830, '\p{^Is_Script_Extensions=taitham}', "");
Expect(1, 6830, '\P{Is_Script_Extensions=taitham}', "");
Expect(0, 6830, '\P{^Is_Script_Extensions=taitham}', "");
Expect(1, 6829, '\p{Is_Script_Extensions=	 Tai_Tham}', "");
Expect(0, 6829, '\p{^Is_Script_Extensions=	 Tai_Tham}', "");
Expect(0, 6829, '\P{Is_Script_Extensions=	 Tai_Tham}', "");
Expect(1, 6829, '\P{^Is_Script_Extensions=	 Tai_Tham}', "");
Expect(0, 6830, '\p{Is_Script_Extensions=	 Tai_Tham}', "");
Expect(1, 6830, '\p{^Is_Script_Extensions=	 Tai_Tham}', "");
Expect(1, 6830, '\P{Is_Script_Extensions=	 Tai_Tham}', "");
Expect(0, 6830, '\P{^Is_Script_Extensions=	 Tai_Tham}', "");
Error('\p{Is_Scx= _Lana/a/}');
Error('\P{Is_Scx= _Lana/a/}');
Expect(1, 6829, '\p{Is_Scx=lana}', "");
Expect(0, 6829, '\p{^Is_Scx=lana}', "");
Expect(0, 6829, '\P{Is_Scx=lana}', "");
Expect(1, 6829, '\P{^Is_Scx=lana}', "");
Expect(0, 6830, '\p{Is_Scx=lana}', "");
Expect(1, 6830, '\p{^Is_Scx=lana}', "");
Expect(1, 6830, '\P{Is_Scx=lana}', "");
Expect(0, 6830, '\P{^Is_Scx=lana}', "");
Error('\p{Script_Extensions=:=	lao}');
Error('\P{Script_Extensions=:=	lao}');
Expect(1, 3807, '\p{Script_Extensions=lao}', "");
Expect(0, 3807, '\p{^Script_Extensions=lao}', "");
Expect(0, 3807, '\P{Script_Extensions=lao}', "");
Expect(1, 3807, '\P{^Script_Extensions=lao}', "");
Expect(0, 3808, '\p{Script_Extensions=lao}', "");
Expect(1, 3808, '\p{^Script_Extensions=lao}', "");
Expect(1, 3808, '\P{Script_Extensions=lao}', "");
Expect(0, 3808, '\P{^Script_Extensions=lao}', "");
Expect(1, 3807, '\p{Script_Extensions=	LAO}', "");
Expect(0, 3807, '\p{^Script_Extensions=	LAO}', "");
Expect(0, 3807, '\P{Script_Extensions=	LAO}', "");
Expect(1, 3807, '\P{^Script_Extensions=	LAO}', "");
Expect(0, 3808, '\p{Script_Extensions=	LAO}', "");
Expect(1, 3808, '\p{^Script_Extensions=	LAO}', "");
Expect(1, 3808, '\P{Script_Extensions=	LAO}', "");
Expect(0, 3808, '\P{^Script_Extensions=	LAO}', "");
Error('\p{Scx=_ Laoo/a/}');
Error('\P{Scx=_ Laoo/a/}');
Expect(1, 3807, '\p{Scx=laoo}', "");
Expect(0, 3807, '\p{^Scx=laoo}', "");
Expect(0, 3807, '\P{Scx=laoo}', "");
Expect(1, 3807, '\P{^Scx=laoo}', "");
Expect(0, 3808, '\p{Scx=laoo}', "");
Expect(1, 3808, '\p{^Scx=laoo}', "");
Expect(1, 3808, '\P{Scx=laoo}', "");
Expect(0, 3808, '\P{^Scx=laoo}', "");
Expect(1, 3807, '\p{Scx=--LAOO}', "");
Expect(0, 3807, '\p{^Scx=--LAOO}', "");
Expect(0, 3807, '\P{Scx=--LAOO}', "");
Expect(1, 3807, '\P{^Scx=--LAOO}', "");
Expect(0, 3808, '\p{Scx=--LAOO}', "");
Expect(1, 3808, '\p{^Scx=--LAOO}', "");
Expect(1, 3808, '\P{Scx=--LAOO}', "");
Expect(0, 3808, '\P{^Scx=--LAOO}', "");
Error('\p{Is_Script_Extensions:/a/lao}');
Error('\P{Is_Script_Extensions:/a/lao}');
Expect(1, 3807, '\p{Is_Script_Extensions=lao}', "");
Expect(0, 3807, '\p{^Is_Script_Extensions=lao}', "");
Expect(0, 3807, '\P{Is_Script_Extensions=lao}', "");
Expect(1, 3807, '\P{^Is_Script_Extensions=lao}', "");
Expect(0, 3808, '\p{Is_Script_Extensions=lao}', "");
Expect(1, 3808, '\p{^Is_Script_Extensions=lao}', "");
Expect(1, 3808, '\P{Is_Script_Extensions=lao}', "");
Expect(0, 3808, '\P{^Is_Script_Extensions=lao}', "");
Expect(1, 3807, '\p{Is_Script_Extensions= 	Lao}', "");
Expect(0, 3807, '\p{^Is_Script_Extensions= 	Lao}', "");
Expect(0, 3807, '\P{Is_Script_Extensions= 	Lao}', "");
Expect(1, 3807, '\P{^Is_Script_Extensions= 	Lao}', "");
Expect(0, 3808, '\p{Is_Script_Extensions= 	Lao}', "");
Expect(1, 3808, '\p{^Is_Script_Extensions= 	Lao}', "");
Expect(1, 3808, '\P{Is_Script_Extensions= 	Lao}', "");
Expect(0, 3808, '\P{^Is_Script_Extensions= 	Lao}', "");
Error('\p{Is_Scx=/a/Laoo}');
Error('\P{Is_Scx=/a/Laoo}');
Expect(1, 3807, '\p{Is_Scx=laoo}', "");
Expect(0, 3807, '\p{^Is_Scx=laoo}', "");
Expect(0, 3807, '\P{Is_Scx=laoo}', "");
Expect(1, 3807, '\P{^Is_Scx=laoo}', "");
Expect(0, 3808, '\p{Is_Scx=laoo}', "");
Expect(1, 3808, '\p{^Is_Scx=laoo}', "");
Expect(1, 3808, '\P{Is_Scx=laoo}', "");
Expect(0, 3808, '\P{^Is_Scx=laoo}', "");
Expect(1, 3807, '\p{Is_Scx=	 Laoo}', "");
Expect(0, 3807, '\p{^Is_Scx=	 Laoo}', "");
Expect(0, 3807, '\P{Is_Scx=	 Laoo}', "");
Expect(1, 3807, '\P{^Is_Scx=	 Laoo}', "");
Expect(0, 3808, '\p{Is_Scx=	 Laoo}', "");
Expect(1, 3808, '\p{^Is_Scx=	 Laoo}', "");
Expect(1, 3808, '\P{Is_Scx=	 Laoo}', "");
Expect(0, 3808, '\P{^Is_Scx=	 Laoo}', "");
Error('\p{Script_Extensions=:=Latin}');
Error('\P{Script_Extensions=:=Latin}');
Expect(1, 65370, '\p{Script_Extensions=latin}', "");
Expect(0, 65370, '\p{^Script_Extensions=latin}', "");
Expect(0, 65370, '\P{Script_Extensions=latin}', "");
Expect(1, 65370, '\P{^Script_Extensions=latin}', "");
Expect(0, 65371, '\p{Script_Extensions=latin}', "");
Expect(1, 65371, '\p{^Script_Extensions=latin}', "");
Expect(1, 65371, '\P{Script_Extensions=latin}', "");
Expect(0, 65371, '\P{^Script_Extensions=latin}', "");
Expect(1, 65370, '\p{Script_Extensions:	--Latin}', "");
Expect(0, 65370, '\p{^Script_Extensions:	--Latin}', "");
Expect(0, 65370, '\P{Script_Extensions:	--Latin}', "");
Expect(1, 65370, '\P{^Script_Extensions:	--Latin}', "");
Expect(0, 65371, '\p{Script_Extensions:	--Latin}', "");
Expect(1, 65371, '\p{^Script_Extensions:	--Latin}', "");
Expect(1, 65371, '\P{Script_Extensions:	--Latin}', "");
Expect(0, 65371, '\P{^Script_Extensions:	--Latin}', "");
Error('\p{Scx=	:=latn}');
Error('\P{Scx=	:=latn}');
Expect(1, 65370, '\p{Scx=latn}', "");
Expect(0, 65370, '\p{^Scx=latn}', "");
Expect(0, 65370, '\P{Scx=latn}', "");
Expect(1, 65370, '\P{^Scx=latn}', "");
Expect(0, 65371, '\p{Scx=latn}', "");
Expect(1, 65371, '\p{^Scx=latn}', "");
Expect(1, 65371, '\P{Scx=latn}', "");
Expect(0, 65371, '\P{^Scx=latn}', "");
Expect(1, 65370, '\p{Scx=		LATN}', "");
Expect(0, 65370, '\p{^Scx=		LATN}', "");
Expect(0, 65370, '\P{Scx=		LATN}', "");
Expect(1, 65370, '\P{^Scx=		LATN}', "");
Expect(0, 65371, '\p{Scx=		LATN}', "");
Expect(1, 65371, '\p{^Scx=		LATN}', "");
Expect(1, 65371, '\P{Scx=		LATN}', "");
Expect(0, 65371, '\P{^Scx=		LATN}', "");
Error('\p{Is_Script_Extensions=_:=Latin}');
Error('\P{Is_Script_Extensions=_:=Latin}');
Expect(1, 65370, '\p{Is_Script_Extensions=latin}', "");
Expect(0, 65370, '\p{^Is_Script_Extensions=latin}', "");
Expect(0, 65370, '\P{Is_Script_Extensions=latin}', "");
Expect(1, 65370, '\P{^Is_Script_Extensions=latin}', "");
Expect(0, 65371, '\p{Is_Script_Extensions=latin}', "");
Expect(1, 65371, '\p{^Is_Script_Extensions=latin}', "");
Expect(1, 65371, '\P{Is_Script_Extensions=latin}', "");
Expect(0, 65371, '\P{^Is_Script_Extensions=latin}', "");
Expect(1, 65370, '\p{Is_Script_Extensions=	LATIN}', "");
Expect(0, 65370, '\p{^Is_Script_Extensions=	LATIN}', "");
Expect(0, 65370, '\P{Is_Script_Extensions=	LATIN}', "");
Expect(1, 65370, '\P{^Is_Script_Extensions=	LATIN}', "");
Expect(0, 65371, '\p{Is_Script_Extensions=	LATIN}', "");
Expect(1, 65371, '\p{^Is_Script_Extensions=	LATIN}', "");
Expect(1, 65371, '\P{Is_Script_Extensions=	LATIN}', "");
Expect(0, 65371, '\P{^Is_Script_Extensions=	LATIN}', "");
Error('\p{Is_Scx=:=	latn}');
Error('\P{Is_Scx=:=	latn}');
Expect(1, 65370, '\p{Is_Scx=latn}', "");
Expect(0, 65370, '\p{^Is_Scx=latn}', "");
Expect(0, 65370, '\P{Is_Scx=latn}', "");
Expect(1, 65370, '\P{^Is_Scx=latn}', "");
Expect(0, 65371, '\p{Is_Scx=latn}', "");
Expect(1, 65371, '\p{^Is_Scx=latn}', "");
Expect(1, 65371, '\P{Is_Scx=latn}', "");
Expect(0, 65371, '\P{^Is_Scx=latn}', "");
Expect(1, 65370, '\p{Is_Scx= 	LATN}', "");
Expect(0, 65370, '\p{^Is_Scx= 	LATN}', "");
Expect(0, 65370, '\P{Is_Scx= 	LATN}', "");
Expect(1, 65370, '\P{^Is_Scx= 	LATN}', "");
Expect(0, 65371, '\p{Is_Scx= 	LATN}', "");
Expect(1, 65371, '\p{^Is_Scx= 	LATN}', "");
Expect(1, 65371, '\P{Is_Scx= 	LATN}', "");
Expect(0, 65371, '\P{^Is_Scx= 	LATN}', "");
Error('\p{Script_Extensions=_-lepcha:=}');
Error('\P{Script_Extensions=_-lepcha:=}');
Expect(1, 7247, '\p{Script_Extensions=lepcha}', "");
Expect(0, 7247, '\p{^Script_Extensions=lepcha}', "");
Expect(0, 7247, '\P{Script_Extensions=lepcha}', "");
Expect(1, 7247, '\P{^Script_Extensions=lepcha}', "");
Expect(0, 7248, '\p{Script_Extensions=lepcha}', "");
Expect(1, 7248, '\p{^Script_Extensions=lepcha}', "");
Expect(1, 7248, '\P{Script_Extensions=lepcha}', "");
Expect(0, 7248, '\P{^Script_Extensions=lepcha}', "");
Expect(1, 7247, '\p{Script_Extensions:__Lepcha}', "");
Expect(0, 7247, '\p{^Script_Extensions:__Lepcha}', "");
Expect(0, 7247, '\P{Script_Extensions:__Lepcha}', "");
Expect(1, 7247, '\P{^Script_Extensions:__Lepcha}', "");
Expect(0, 7248, '\p{Script_Extensions:__Lepcha}', "");
Expect(1, 7248, '\p{^Script_Extensions:__Lepcha}', "");
Expect(1, 7248, '\P{Script_Extensions:__Lepcha}', "");
Expect(0, 7248, '\P{^Script_Extensions:__Lepcha}', "");
Error('\p{Scx=--Lepc/a/}');
Error('\P{Scx=--Lepc/a/}');
Expect(1, 7247, '\p{Scx=lepc}', "");
Expect(0, 7247, '\p{^Scx=lepc}', "");
Expect(0, 7247, '\P{Scx=lepc}', "");
Expect(1, 7247, '\P{^Scx=lepc}', "");
Expect(0, 7248, '\p{Scx=lepc}', "");
Expect(1, 7248, '\p{^Scx=lepc}', "");
Expect(1, 7248, '\P{Scx=lepc}', "");
Expect(0, 7248, '\P{^Scx=lepc}', "");
Expect(1, 7247, '\p{Scx=_-Lepc}', "");
Expect(0, 7247, '\p{^Scx=_-Lepc}', "");
Expect(0, 7247, '\P{Scx=_-Lepc}', "");
Expect(1, 7247, '\P{^Scx=_-Lepc}', "");
Expect(0, 7248, '\p{Scx=_-Lepc}', "");
Expect(1, 7248, '\p{^Scx=_-Lepc}', "");
Expect(1, 7248, '\P{Scx=_-Lepc}', "");
Expect(0, 7248, '\P{^Scx=_-Lepc}', "");
Error('\p{Is_Script_Extensions=_/a/Lepcha}');
Error('\P{Is_Script_Extensions=_/a/Lepcha}');
Expect(1, 7247, '\p{Is_Script_Extensions:	lepcha}', "");
Expect(0, 7247, '\p{^Is_Script_Extensions:	lepcha}', "");
Expect(0, 7247, '\P{Is_Script_Extensions:	lepcha}', "");
Expect(1, 7247, '\P{^Is_Script_Extensions:	lepcha}', "");
Expect(0, 7248, '\p{Is_Script_Extensions:	lepcha}', "");
Expect(1, 7248, '\p{^Is_Script_Extensions:	lepcha}', "");
Expect(1, 7248, '\P{Is_Script_Extensions:	lepcha}', "");
Expect(0, 7248, '\P{^Is_Script_Extensions:	lepcha}', "");
Expect(1, 7247, '\p{Is_Script_Extensions= Lepcha}', "");
Expect(0, 7247, '\p{^Is_Script_Extensions= Lepcha}', "");
Expect(0, 7247, '\P{Is_Script_Extensions= Lepcha}', "");
Expect(1, 7247, '\P{^Is_Script_Extensions= Lepcha}', "");
Expect(0, 7248, '\p{Is_Script_Extensions= Lepcha}', "");
Expect(1, 7248, '\p{^Is_Script_Extensions= Lepcha}', "");
Expect(1, 7248, '\P{Is_Script_Extensions= Lepcha}', "");
Expect(0, 7248, '\P{^Is_Script_Extensions= Lepcha}', "");
Error('\p{Is_Scx=/a/  lepc}');
Error('\P{Is_Scx=/a/  lepc}');
Expect(1, 7247, '\p{Is_Scx=lepc}', "");
Expect(0, 7247, '\p{^Is_Scx=lepc}', "");
Expect(0, 7247, '\P{Is_Scx=lepc}', "");
Expect(1, 7247, '\P{^Is_Scx=lepc}', "");
Expect(0, 7248, '\p{Is_Scx=lepc}', "");
Expect(1, 7248, '\p{^Is_Scx=lepc}', "");
Expect(1, 7248, '\P{Is_Scx=lepc}', "");
Expect(0, 7248, '\P{^Is_Scx=lepc}', "");
Expect(1, 7247, '\p{Is_Scx=	lepc}', "");
Expect(0, 7247, '\p{^Is_Scx=	lepc}', "");
Expect(0, 7247, '\P{Is_Scx=	lepc}', "");
Expect(1, 7247, '\P{^Is_Scx=	lepc}', "");
Expect(0, 7248, '\p{Is_Scx=	lepc}', "");
Expect(1, 7248, '\p{^Is_Scx=	lepc}', "");
Expect(1, 7248, '\P{Is_Scx=	lepc}', "");
Expect(0, 7248, '\P{^Is_Scx=	lepc}', "");
Error('\p{Script_Extensions=:=limbu}');
Error('\P{Script_Extensions=:=limbu}');
Expect(1, 6479, '\p{Script_Extensions=limbu}', "");
Expect(0, 6479, '\p{^Script_Extensions=limbu}', "");
Expect(0, 6479, '\P{Script_Extensions=limbu}', "");
Expect(1, 6479, '\P{^Script_Extensions=limbu}', "");
Expect(0, 6480, '\p{Script_Extensions=limbu}', "");
Expect(1, 6480, '\p{^Script_Extensions=limbu}', "");
Expect(1, 6480, '\P{Script_Extensions=limbu}', "");
Expect(0, 6480, '\P{^Script_Extensions=limbu}', "");
Expect(1, 6479, '\p{Script_Extensions= -Limbu}', "");
Expect(0, 6479, '\p{^Script_Extensions= -Limbu}', "");
Expect(0, 6479, '\P{Script_Extensions= -Limbu}', "");
Expect(1, 6479, '\P{^Script_Extensions= -Limbu}', "");
Expect(0, 6480, '\p{Script_Extensions= -Limbu}', "");
Expect(1, 6480, '\p{^Script_Extensions= -Limbu}', "");
Expect(1, 6480, '\P{Script_Extensions= -Limbu}', "");
Expect(0, 6480, '\P{^Script_Extensions= -Limbu}', "");
Error('\p{Scx=/a/__LIMB}');
Error('\P{Scx=/a/__LIMB}');
Expect(1, 6479, '\p{Scx=limb}', "");
Expect(0, 6479, '\p{^Scx=limb}', "");
Expect(0, 6479, '\P{Scx=limb}', "");
Expect(1, 6479, '\P{^Scx=limb}', "");
Expect(0, 6480, '\p{Scx=limb}', "");
Expect(1, 6480, '\p{^Scx=limb}', "");
Expect(1, 6480, '\P{Scx=limb}', "");
Expect(0, 6480, '\P{^Scx=limb}', "");
Expect(1, 6479, '\p{Scx= limb}', "");
Expect(0, 6479, '\p{^Scx= limb}', "");
Expect(0, 6479, '\P{Scx= limb}', "");
Expect(1, 6479, '\P{^Scx= limb}', "");
Expect(0, 6480, '\p{Scx= limb}', "");
Expect(1, 6480, '\p{^Scx= limb}', "");
Expect(1, 6480, '\P{Scx= limb}', "");
Expect(0, 6480, '\P{^Scx= limb}', "");
Error('\p{Is_Script_Extensions=:= limbu}');
Error('\P{Is_Script_Extensions=:= limbu}');
Expect(1, 6479, '\p{Is_Script_Extensions=limbu}', "");
Expect(0, 6479, '\p{^Is_Script_Extensions=limbu}', "");
Expect(0, 6479, '\P{Is_Script_Extensions=limbu}', "");
Expect(1, 6479, '\P{^Is_Script_Extensions=limbu}', "");
Expect(0, 6480, '\p{Is_Script_Extensions=limbu}', "");
Expect(1, 6480, '\p{^Is_Script_Extensions=limbu}', "");
Expect(1, 6480, '\P{Is_Script_Extensions=limbu}', "");
Expect(0, 6480, '\P{^Is_Script_Extensions=limbu}', "");
Expect(1, 6479, '\p{Is_Script_Extensions=	Limbu}', "");
Expect(0, 6479, '\p{^Is_Script_Extensions=	Limbu}', "");
Expect(0, 6479, '\P{Is_Script_Extensions=	Limbu}', "");
Expect(1, 6479, '\P{^Is_Script_Extensions=	Limbu}', "");
Expect(0, 6480, '\p{Is_Script_Extensions=	Limbu}', "");
Expect(1, 6480, '\p{^Is_Script_Extensions=	Limbu}', "");
Expect(1, 6480, '\P{Is_Script_Extensions=	Limbu}', "");
Expect(0, 6480, '\P{^Is_Script_Extensions=	Limbu}', "");
Error('\p{Is_Scx= Limb:=}');
Error('\P{Is_Scx= Limb:=}');
Expect(1, 6479, '\p{Is_Scx=limb}', "");
Expect(0, 6479, '\p{^Is_Scx=limb}', "");
Expect(0, 6479, '\P{Is_Scx=limb}', "");
Expect(1, 6479, '\P{^Is_Scx=limb}', "");
Expect(0, 6480, '\p{Is_Scx=limb}', "");
Expect(1, 6480, '\p{^Is_Scx=limb}', "");
Expect(1, 6480, '\P{Is_Scx=limb}', "");
Expect(0, 6480, '\P{^Is_Scx=limb}', "");
Expect(1, 6479, '\p{Is_Scx=-_Limb}', "");
Expect(0, 6479, '\p{^Is_Scx=-_Limb}', "");
Expect(0, 6479, '\P{Is_Scx=-_Limb}', "");
Expect(1, 6479, '\P{^Is_Scx=-_Limb}', "");
Expect(0, 6480, '\p{Is_Scx=-_Limb}', "");
Expect(1, 6480, '\p{^Is_Scx=-_Limb}', "");
Expect(1, 6480, '\P{Is_Scx=-_Limb}', "");
Expect(0, 6480, '\P{^Is_Scx=-_Limb}', "");
Error('\p{Script_Extensions=--Linear_a/a/}');
Error('\P{Script_Extensions=--Linear_a/a/}');
Expect(1, 67431, '\p{Script_Extensions=lineara}', "");
Expect(0, 67431, '\p{^Script_Extensions=lineara}', "");
Expect(0, 67431, '\P{Script_Extensions=lineara}', "");
Expect(1, 67431, '\P{^Script_Extensions=lineara}', "");
Expect(0, 67432, '\p{Script_Extensions=lineara}', "");
Expect(1, 67432, '\p{^Script_Extensions=lineara}', "");
Expect(1, 67432, '\P{Script_Extensions=lineara}', "");
Expect(0, 67432, '\P{^Script_Extensions=lineara}', "");
Expect(1, 67431, '\p{Script_Extensions=-LINEAR_A}', "");
Expect(0, 67431, '\p{^Script_Extensions=-LINEAR_A}', "");
Expect(0, 67431, '\P{Script_Extensions=-LINEAR_A}', "");
Expect(1, 67431, '\P{^Script_Extensions=-LINEAR_A}', "");
Expect(0, 67432, '\p{Script_Extensions=-LINEAR_A}', "");
Expect(1, 67432, '\p{^Script_Extensions=-LINEAR_A}', "");
Expect(1, 67432, '\P{Script_Extensions=-LINEAR_A}', "");
Expect(0, 67432, '\P{^Script_Extensions=-LINEAR_A}', "");
Error('\p{Scx=-/a/lina}');
Error('\P{Scx=-/a/lina}');
Expect(1, 67431, '\p{Scx=lina}', "");
Expect(0, 67431, '\p{^Scx=lina}', "");
Expect(0, 67431, '\P{Scx=lina}', "");
Expect(1, 67431, '\P{^Scx=lina}', "");
Expect(0, 67432, '\p{Scx=lina}', "");
Expect(1, 67432, '\p{^Scx=lina}', "");
Expect(1, 67432, '\P{Scx=lina}', "");
Expect(0, 67432, '\P{^Scx=lina}', "");
Expect(1, 67431, '\p{Scx=_-LINA}', "");
Expect(0, 67431, '\p{^Scx=_-LINA}', "");
Expect(0, 67431, '\P{Scx=_-LINA}', "");
Expect(1, 67431, '\P{^Scx=_-LINA}', "");
Expect(0, 67432, '\p{Scx=_-LINA}', "");
Expect(1, 67432, '\p{^Scx=_-LINA}', "");
Expect(1, 67432, '\P{Scx=_-LINA}', "");
Expect(0, 67432, '\P{^Scx=_-LINA}', "");
Error('\p{Is_Script_Extensions=- linear_A:=}');
Error('\P{Is_Script_Extensions=- linear_A:=}');
Expect(1, 67431, '\p{Is_Script_Extensions=lineara}', "");
Expect(0, 67431, '\p{^Is_Script_Extensions=lineara}', "");
Expect(0, 67431, '\P{Is_Script_Extensions=lineara}', "");
Expect(1, 67431, '\P{^Is_Script_Extensions=lineara}', "");
Expect(0, 67432, '\p{Is_Script_Extensions=lineara}', "");
Expect(1, 67432, '\p{^Is_Script_Extensions=lineara}', "");
Expect(1, 67432, '\P{Is_Script_Extensions=lineara}', "");
Expect(0, 67432, '\P{^Is_Script_Extensions=lineara}', "");
Expect(1, 67431, '\p{Is_Script_Extensions=- Linear_A}', "");
Expect(0, 67431, '\p{^Is_Script_Extensions=- Linear_A}', "");
Expect(0, 67431, '\P{Is_Script_Extensions=- Linear_A}', "");
Expect(1, 67431, '\P{^Is_Script_Extensions=- Linear_A}', "");
Expect(0, 67432, '\p{Is_Script_Extensions=- Linear_A}', "");
Expect(1, 67432, '\p{^Is_Script_Extensions=- Linear_A}', "");
Expect(1, 67432, '\P{Is_Script_Extensions=- Linear_A}', "");
Expect(0, 67432, '\P{^Is_Script_Extensions=- Linear_A}', "");
Error('\p{Is_Scx=/a/_LINA}');
Error('\P{Is_Scx=/a/_LINA}');
Expect(1, 67431, '\p{Is_Scx=lina}', "");
Expect(0, 67431, '\p{^Is_Scx=lina}', "");
Expect(0, 67431, '\P{Is_Scx=lina}', "");
Expect(1, 67431, '\P{^Is_Scx=lina}', "");
Expect(0, 67432, '\p{Is_Scx=lina}', "");
Expect(1, 67432, '\p{^Is_Scx=lina}', "");
Expect(1, 67432, '\P{Is_Scx=lina}', "");
Expect(0, 67432, '\P{^Is_Scx=lina}', "");
Expect(1, 67431, '\p{Is_Scx=Lina}', "");
Expect(0, 67431, '\p{^Is_Scx=Lina}', "");
Expect(0, 67431, '\P{Is_Scx=Lina}', "");
Expect(1, 67431, '\P{^Is_Scx=Lina}', "");
Expect(0, 67432, '\p{Is_Scx=Lina}', "");
Expect(1, 67432, '\p{^Is_Scx=Lina}', "");
Expect(1, 67432, '\P{Is_Scx=Lina}', "");
Expect(0, 67432, '\P{^Is_Scx=Lina}', "");
Error('\p{Script_Extensions=linear_b/a/}');
Error('\P{Script_Extensions=linear_b/a/}');
Expect(1, 65855, '\p{Script_Extensions=linearb}', "");
Expect(0, 65855, '\p{^Script_Extensions=linearb}', "");
Expect(0, 65855, '\P{Script_Extensions=linearb}', "");
Expect(1, 65855, '\P{^Script_Extensions=linearb}', "");
Expect(0, 65856, '\p{Script_Extensions=linearb}', "");
Expect(1, 65856, '\p{^Script_Extensions=linearb}', "");
Expect(1, 65856, '\P{Script_Extensions=linearb}', "");
Expect(0, 65856, '\P{^Script_Extensions=linearb}', "");
Expect(1, 65855, '\p{Script_Extensions=-LINEAR_B}', "");
Expect(0, 65855, '\p{^Script_Extensions=-LINEAR_B}', "");
Expect(0, 65855, '\P{Script_Extensions=-LINEAR_B}', "");
Expect(1, 65855, '\P{^Script_Extensions=-LINEAR_B}', "");
Expect(0, 65856, '\p{Script_Extensions=-LINEAR_B}', "");
Expect(1, 65856, '\p{^Script_Extensions=-LINEAR_B}', "");
Expect(1, 65856, '\P{Script_Extensions=-LINEAR_B}', "");
Expect(0, 65856, '\P{^Script_Extensions=-LINEAR_B}', "");
Error('\p{Scx= 	linb/a/}');
Error('\P{Scx= 	linb/a/}');
Expect(1, 65855, '\p{Scx=linb}', "");
Expect(0, 65855, '\p{^Scx=linb}', "");
Expect(0, 65855, '\P{Scx=linb}', "");
Expect(1, 65855, '\P{^Scx=linb}', "");
Expect(0, 65856, '\p{Scx=linb}', "");
Expect(1, 65856, '\p{^Scx=linb}', "");
Expect(1, 65856, '\P{Scx=linb}', "");
Expect(0, 65856, '\P{^Scx=linb}', "");
Expect(1, 65855, '\p{Scx=_	LINB}', "");
Expect(0, 65855, '\p{^Scx=_	LINB}', "");
Expect(0, 65855, '\P{Scx=_	LINB}', "");
Expect(1, 65855, '\P{^Scx=_	LINB}', "");
Expect(0, 65856, '\p{Scx=_	LINB}', "");
Expect(1, 65856, '\p{^Scx=_	LINB}', "");
Expect(1, 65856, '\P{Scx=_	LINB}', "");
Expect(0, 65856, '\P{^Scx=_	LINB}', "");
Error('\p{Is_Script_Extensions::= -LINEAR_B}');
Error('\P{Is_Script_Extensions::= -LINEAR_B}');
Expect(1, 65855, '\p{Is_Script_Extensions:   linearb}', "");
Expect(0, 65855, '\p{^Is_Script_Extensions:   linearb}', "");
Expect(0, 65855, '\P{Is_Script_Extensions:   linearb}', "");
Expect(1, 65855, '\P{^Is_Script_Extensions:   linearb}', "");
Expect(0, 65856, '\p{Is_Script_Extensions:   linearb}', "");
Expect(1, 65856, '\p{^Is_Script_Extensions:   linearb}', "");
Expect(1, 65856, '\P{Is_Script_Extensions:   linearb}', "");
Expect(0, 65856, '\P{^Is_Script_Extensions:   linearb}', "");
Expect(1, 65855, '\p{Is_Script_Extensions=_ LINEAR_b}', "");
Expect(0, 65855, '\p{^Is_Script_Extensions=_ LINEAR_b}', "");
Expect(0, 65855, '\P{Is_Script_Extensions=_ LINEAR_b}', "");
Expect(1, 65855, '\P{^Is_Script_Extensions=_ LINEAR_b}', "");
Expect(0, 65856, '\p{Is_Script_Extensions=_ LINEAR_b}', "");
Expect(1, 65856, '\p{^Is_Script_Extensions=_ LINEAR_b}', "");
Expect(1, 65856, '\P{Is_Script_Extensions=_ LINEAR_b}', "");
Expect(0, 65856, '\P{^Is_Script_Extensions=_ LINEAR_b}', "");
Error('\p{Is_Scx: -:=Linb}');
Error('\P{Is_Scx: -:=Linb}');
Expect(1, 65855, '\p{Is_Scx=linb}', "");
Expect(0, 65855, '\p{^Is_Scx=linb}', "");
Expect(0, 65855, '\P{Is_Scx=linb}', "");
Expect(1, 65855, '\P{^Is_Scx=linb}', "");
Expect(0, 65856, '\p{Is_Scx=linb}', "");
Expect(1, 65856, '\p{^Is_Scx=linb}', "");
Expect(1, 65856, '\P{Is_Scx=linb}', "");
Expect(0, 65856, '\P{^Is_Scx=linb}', "");
Expect(1, 65855, '\p{Is_Scx=-Linb}', "");
Expect(0, 65855, '\p{^Is_Scx=-Linb}', "");
Expect(0, 65855, '\P{Is_Scx=-Linb}', "");
Expect(1, 65855, '\P{^Is_Scx=-Linb}', "");
Expect(0, 65856, '\p{Is_Scx=-Linb}', "");
Expect(1, 65856, '\p{^Is_Scx=-Linb}', "");
Expect(1, 65856, '\P{Is_Scx=-Linb}', "");
Expect(0, 65856, '\P{^Is_Scx=-Linb}', "");
Error('\p{Script_Extensions=_Lisu:=}');
Error('\P{Script_Extensions=_Lisu:=}');
Expect(1, 42239, '\p{Script_Extensions=lisu}', "");
Expect(0, 42239, '\p{^Script_Extensions=lisu}', "");
Expect(0, 42239, '\P{Script_Extensions=lisu}', "");
Expect(1, 42239, '\P{^Script_Extensions=lisu}', "");
Expect(0, 42240, '\p{Script_Extensions=lisu}', "");
Expect(1, 42240, '\p{^Script_Extensions=lisu}', "");
Expect(1, 42240, '\P{Script_Extensions=lisu}', "");
Expect(0, 42240, '\P{^Script_Extensions=lisu}', "");
Expect(1, 42239, '\p{Script_Extensions= 	Lisu}', "");
Expect(0, 42239, '\p{^Script_Extensions= 	Lisu}', "");
Expect(0, 42239, '\P{Script_Extensions= 	Lisu}', "");
Expect(1, 42239, '\P{^Script_Extensions= 	Lisu}', "");
Expect(0, 42240, '\p{Script_Extensions= 	Lisu}', "");
Expect(1, 42240, '\p{^Script_Extensions= 	Lisu}', "");
Expect(1, 42240, '\P{Script_Extensions= 	Lisu}', "");
Expect(0, 42240, '\P{^Script_Extensions= 	Lisu}', "");
Error('\p{Scx= 	Lisu:=}');
Error('\P{Scx= 	Lisu:=}');
Expect(1, 42239, '\p{Scx=lisu}', "");
Expect(0, 42239, '\p{^Scx=lisu}', "");
Expect(0, 42239, '\P{Scx=lisu}', "");
Expect(1, 42239, '\P{^Scx=lisu}', "");
Expect(0, 42240, '\p{Scx=lisu}', "");
Expect(1, 42240, '\p{^Scx=lisu}', "");
Expect(1, 42240, '\P{Scx=lisu}', "");
Expect(0, 42240, '\P{^Scx=lisu}', "");
Expect(1, 42239, '\p{Scx=	LISU}', "");
Expect(0, 42239, '\p{^Scx=	LISU}', "");
Expect(0, 42239, '\P{Scx=	LISU}', "");
Expect(1, 42239, '\P{^Scx=	LISU}', "");
Expect(0, 42240, '\p{Scx=	LISU}', "");
Expect(1, 42240, '\p{^Scx=	LISU}', "");
Expect(1, 42240, '\P{Scx=	LISU}', "");
Expect(0, 42240, '\P{^Scx=	LISU}', "");
Error('\p{Is_Script_Extensions= Lisu:=}');
Error('\P{Is_Script_Extensions= Lisu:=}');
Expect(1, 42239, '\p{Is_Script_Extensions:lisu}', "");
Expect(0, 42239, '\p{^Is_Script_Extensions:lisu}', "");
Expect(0, 42239, '\P{Is_Script_Extensions:lisu}', "");
Expect(1, 42239, '\P{^Is_Script_Extensions:lisu}', "");
Expect(0, 42240, '\p{Is_Script_Extensions:lisu}', "");
Expect(1, 42240, '\p{^Is_Script_Extensions:lisu}', "");
Expect(1, 42240, '\P{Is_Script_Extensions:lisu}', "");
Expect(0, 42240, '\P{^Is_Script_Extensions:lisu}', "");
Expect(1, 42239, '\p{Is_Script_Extensions= Lisu}', "");
Expect(0, 42239, '\p{^Is_Script_Extensions= Lisu}', "");
Expect(0, 42239, '\P{Is_Script_Extensions= Lisu}', "");
Expect(1, 42239, '\P{^Is_Script_Extensions= Lisu}', "");
Expect(0, 42240, '\p{Is_Script_Extensions= Lisu}', "");
Expect(1, 42240, '\p{^Is_Script_Extensions= Lisu}', "");
Expect(1, 42240, '\P{Is_Script_Extensions= Lisu}', "");
Expect(0, 42240, '\P{^Is_Script_Extensions= Lisu}', "");
Error('\p{Is_Scx= _Lisu:=}');
Error('\P{Is_Scx= _Lisu:=}');
Expect(1, 42239, '\p{Is_Scx=lisu}', "");
Expect(0, 42239, '\p{^Is_Scx=lisu}', "");
Expect(0, 42239, '\P{Is_Scx=lisu}', "");
Expect(1, 42239, '\P{^Is_Scx=lisu}', "");
Expect(0, 42240, '\p{Is_Scx=lisu}', "");
Expect(1, 42240, '\p{^Is_Scx=lisu}', "");
Expect(1, 42240, '\P{Is_Scx=lisu}', "");
Expect(0, 42240, '\P{^Is_Scx=lisu}', "");
Expect(1, 42239, '\p{Is_Scx=_Lisu}', "");
Expect(0, 42239, '\p{^Is_Scx=_Lisu}', "");
Expect(0, 42239, '\P{Is_Scx=_Lisu}', "");
Expect(1, 42239, '\P{^Is_Scx=_Lisu}', "");
Expect(0, 42240, '\p{Is_Scx=_Lisu}', "");
Expect(1, 42240, '\p{^Is_Scx=_Lisu}', "");
Expect(1, 42240, '\P{Is_Scx=_Lisu}', "");
Expect(0, 42240, '\P{^Is_Scx=_Lisu}', "");
Error('\p{Script_Extensions=/a/_LYCIAN}');
Error('\P{Script_Extensions=/a/_LYCIAN}');
Expect(1, 66204, '\p{Script_Extensions=lycian}', "");
Expect(0, 66204, '\p{^Script_Extensions=lycian}', "");
Expect(0, 66204, '\P{Script_Extensions=lycian}', "");
Expect(1, 66204, '\P{^Script_Extensions=lycian}', "");
Expect(0, 66205, '\p{Script_Extensions=lycian}', "");
Expect(1, 66205, '\p{^Script_Extensions=lycian}', "");
Expect(1, 66205, '\P{Script_Extensions=lycian}', "");
Expect(0, 66205, '\P{^Script_Extensions=lycian}', "");
Expect(1, 66204, '\p{Script_Extensions= -Lycian}', "");
Expect(0, 66204, '\p{^Script_Extensions= -Lycian}', "");
Expect(0, 66204, '\P{Script_Extensions= -Lycian}', "");
Expect(1, 66204, '\P{^Script_Extensions= -Lycian}', "");
Expect(0, 66205, '\p{Script_Extensions= -Lycian}', "");
Expect(1, 66205, '\p{^Script_Extensions= -Lycian}', "");
Expect(1, 66205, '\P{Script_Extensions= -Lycian}', "");
Expect(0, 66205, '\P{^Script_Extensions= -Lycian}', "");
Error('\p{Scx=:= _Lyci}');
Error('\P{Scx=:= _Lyci}');
Expect(1, 66204, '\p{Scx=lyci}', "");
Expect(0, 66204, '\p{^Scx=lyci}', "");
Expect(0, 66204, '\P{Scx=lyci}', "");
Expect(1, 66204, '\P{^Scx=lyci}', "");
Expect(0, 66205, '\p{Scx=lyci}', "");
Expect(1, 66205, '\p{^Scx=lyci}', "");
Expect(1, 66205, '\P{Scx=lyci}', "");
Expect(0, 66205, '\P{^Scx=lyci}', "");
Expect(1, 66204, '\p{Scx=__LYCI}', "");
Expect(0, 66204, '\p{^Scx=__LYCI}', "");
Expect(0, 66204, '\P{Scx=__LYCI}', "");
Expect(1, 66204, '\P{^Scx=__LYCI}', "");
Expect(0, 66205, '\p{Scx=__LYCI}', "");
Expect(1, 66205, '\p{^Scx=__LYCI}', "");
Expect(1, 66205, '\P{Scx=__LYCI}', "");
Expect(0, 66205, '\P{^Scx=__LYCI}', "");
Error('\p{Is_Script_Extensions=:=-	LYCIAN}');
Error('\P{Is_Script_Extensions=:=-	LYCIAN}');
Expect(1, 66204, '\p{Is_Script_Extensions=lycian}', "");
Expect(0, 66204, '\p{^Is_Script_Extensions=lycian}', "");
Expect(0, 66204, '\P{Is_Script_Extensions=lycian}', "");
Expect(1, 66204, '\P{^Is_Script_Extensions=lycian}', "");
Expect(0, 66205, '\p{Is_Script_Extensions=lycian}', "");
Expect(1, 66205, '\p{^Is_Script_Extensions=lycian}', "");
Expect(1, 66205, '\P{Is_Script_Extensions=lycian}', "");
Expect(0, 66205, '\P{^Is_Script_Extensions=lycian}', "");
Expect(1, 66204, '\p{Is_Script_Extensions=_Lycian}', "");
Expect(0, 66204, '\p{^Is_Script_Extensions=_Lycian}', "");
Expect(0, 66204, '\P{Is_Script_Extensions=_Lycian}', "");
Expect(1, 66204, '\P{^Is_Script_Extensions=_Lycian}', "");
Expect(0, 66205, '\p{Is_Script_Extensions=_Lycian}', "");
Expect(1, 66205, '\p{^Is_Script_Extensions=_Lycian}', "");
Expect(1, 66205, '\P{Is_Script_Extensions=_Lycian}', "");
Expect(0, 66205, '\P{^Is_Script_Extensions=_Lycian}', "");
Error('\p{Is_Scx=_/a/Lyci}');
Error('\P{Is_Scx=_/a/Lyci}');
Expect(1, 66204, '\p{Is_Scx=lyci}', "");
Expect(0, 66204, '\p{^Is_Scx=lyci}', "");
Expect(0, 66204, '\P{Is_Scx=lyci}', "");
Expect(1, 66204, '\P{^Is_Scx=lyci}', "");
Expect(0, 66205, '\p{Is_Scx=lyci}', "");
Expect(1, 66205, '\p{^Is_Scx=lyci}', "");
Expect(1, 66205, '\P{Is_Scx=lyci}', "");
Expect(0, 66205, '\P{^Is_Scx=lyci}', "");
Expect(1, 66204, '\p{Is_Scx=	_lyci}', "");
Expect(0, 66204, '\p{^Is_Scx=	_lyci}', "");
Expect(0, 66204, '\P{Is_Scx=	_lyci}', "");
Expect(1, 66204, '\P{^Is_Scx=	_lyci}', "");
Expect(0, 66205, '\p{Is_Scx=	_lyci}', "");
Expect(1, 66205, '\p{^Is_Scx=	_lyci}', "");
Expect(1, 66205, '\P{Is_Scx=	_lyci}', "");
Expect(0, 66205, '\P{^Is_Scx=	_lyci}', "");
Error('\p{Script_Extensions:	:=  Lydian}');
Error('\P{Script_Extensions:	:=  Lydian}');
Expect(1, 67903, '\p{Script_Extensions=lydian}', "");
Expect(0, 67903, '\p{^Script_Extensions=lydian}', "");
Expect(0, 67903, '\P{Script_Extensions=lydian}', "");
Expect(1, 67903, '\P{^Script_Extensions=lydian}', "");
Expect(0, 67904, '\p{Script_Extensions=lydian}', "");
Expect(1, 67904, '\p{^Script_Extensions=lydian}', "");
Expect(1, 67904, '\P{Script_Extensions=lydian}', "");
Expect(0, 67904, '\P{^Script_Extensions=lydian}', "");
Expect(1, 67903, '\p{Script_Extensions= lydian}', "");
Expect(0, 67903, '\p{^Script_Extensions= lydian}', "");
Expect(0, 67903, '\P{Script_Extensions= lydian}', "");
Expect(1, 67903, '\P{^Script_Extensions= lydian}', "");
Expect(0, 67904, '\p{Script_Extensions= lydian}', "");
Expect(1, 67904, '\p{^Script_Extensions= lydian}', "");
Expect(1, 67904, '\P{Script_Extensions= lydian}', "");
Expect(0, 67904, '\P{^Script_Extensions= lydian}', "");
Error('\p{Scx=/a/-_lydi}');
Error('\P{Scx=/a/-_lydi}');
Expect(1, 67903, '\p{Scx=lydi}', "");
Expect(0, 67903, '\p{^Scx=lydi}', "");
Expect(0, 67903, '\P{Scx=lydi}', "");
Expect(1, 67903, '\P{^Scx=lydi}', "");
Expect(0, 67904, '\p{Scx=lydi}', "");
Expect(1, 67904, '\p{^Scx=lydi}', "");
Expect(1, 67904, '\P{Scx=lydi}', "");
Expect(0, 67904, '\P{^Scx=lydi}', "");
Expect(1, 67903, '\p{Scx=-_LYDI}', "");
Expect(0, 67903, '\p{^Scx=-_LYDI}', "");
Expect(0, 67903, '\P{Scx=-_LYDI}', "");
Expect(1, 67903, '\P{^Scx=-_LYDI}', "");
Expect(0, 67904, '\p{Scx=-_LYDI}', "");
Expect(1, 67904, '\p{^Scx=-_LYDI}', "");
Expect(1, 67904, '\P{Scx=-_LYDI}', "");
Expect(0, 67904, '\P{^Scx=-_LYDI}', "");
Error('\p{Is_Script_Extensions=:=		LYDIAN}');
Error('\P{Is_Script_Extensions=:=		LYDIAN}');
Expect(1, 67903, '\p{Is_Script_Extensions=lydian}', "");
Expect(0, 67903, '\p{^Is_Script_Extensions=lydian}', "");
Expect(0, 67903, '\P{Is_Script_Extensions=lydian}', "");
Expect(1, 67903, '\P{^Is_Script_Extensions=lydian}', "");
Expect(0, 67904, '\p{Is_Script_Extensions=lydian}', "");
Expect(1, 67904, '\p{^Is_Script_Extensions=lydian}', "");
Expect(1, 67904, '\P{Is_Script_Extensions=lydian}', "");
Expect(0, 67904, '\P{^Is_Script_Extensions=lydian}', "");
Expect(1, 67903, '\p{Is_Script_Extensions=	 Lydian}', "");
Expect(0, 67903, '\p{^Is_Script_Extensions=	 Lydian}', "");
Expect(0, 67903, '\P{Is_Script_Extensions=	 Lydian}', "");
Expect(1, 67903, '\P{^Is_Script_Extensions=	 Lydian}', "");
Expect(0, 67904, '\p{Is_Script_Extensions=	 Lydian}', "");
Expect(1, 67904, '\p{^Is_Script_Extensions=	 Lydian}', "");
Expect(1, 67904, '\P{Is_Script_Extensions=	 Lydian}', "");
Expect(0, 67904, '\P{^Is_Script_Extensions=	 Lydian}', "");
Error('\p{Is_Scx=	LYDI:=}');
Error('\P{Is_Scx=	LYDI:=}');
Expect(1, 67903, '\p{Is_Scx=lydi}', "");
Expect(0, 67903, '\p{^Is_Scx=lydi}', "");
Expect(0, 67903, '\P{Is_Scx=lydi}', "");
Expect(1, 67903, '\P{^Is_Scx=lydi}', "");
Expect(0, 67904, '\p{Is_Scx=lydi}', "");
Expect(1, 67904, '\p{^Is_Scx=lydi}', "");
Expect(1, 67904, '\P{Is_Scx=lydi}', "");
Expect(0, 67904, '\P{^Is_Scx=lydi}', "");
Expect(1, 67903, '\p{Is_Scx= Lydi}', "");
Expect(0, 67903, '\p{^Is_Scx= Lydi}', "");
Expect(0, 67903, '\P{Is_Scx= Lydi}', "");
Expect(1, 67903, '\P{^Is_Scx= Lydi}', "");
Expect(0, 67904, '\p{Is_Scx= Lydi}', "");
Expect(1, 67904, '\p{^Is_Scx= Lydi}', "");
Expect(1, 67904, '\P{Is_Scx= Lydi}', "");
Expect(0, 67904, '\P{^Is_Scx= Lydi}', "");
Error('\p{Script_Extensions=:= mahajani}');
Error('\P{Script_Extensions=:= mahajani}');
Expect(1, 70006, '\p{Script_Extensions=mahajani}', "");
Expect(0, 70006, '\p{^Script_Extensions=mahajani}', "");
Expect(0, 70006, '\P{Script_Extensions=mahajani}', "");
Expect(1, 70006, '\P{^Script_Extensions=mahajani}', "");
Expect(0, 70007, '\p{Script_Extensions=mahajani}', "");
Expect(1, 70007, '\p{^Script_Extensions=mahajani}', "");
Expect(1, 70007, '\P{Script_Extensions=mahajani}', "");
Expect(0, 70007, '\P{^Script_Extensions=mahajani}', "");
Expect(1, 70006, '\p{Script_Extensions=--Mahajani}', "");
Expect(0, 70006, '\p{^Script_Extensions=--Mahajani}', "");
Expect(0, 70006, '\P{Script_Extensions=--Mahajani}', "");
Expect(1, 70006, '\P{^Script_Extensions=--Mahajani}', "");
Expect(0, 70007, '\p{Script_Extensions=--Mahajani}', "");
Expect(1, 70007, '\p{^Script_Extensions=--Mahajani}', "");
Expect(1, 70007, '\P{Script_Extensions=--Mahajani}', "");
Expect(0, 70007, '\P{^Script_Extensions=--Mahajani}', "");
Error('\p{Scx=Mahj:=}');
Error('\P{Scx=Mahj:=}');
Expect(1, 70006, '\p{Scx=mahj}', "");
Expect(0, 70006, '\p{^Scx=mahj}', "");
Expect(0, 70006, '\P{Scx=mahj}', "");
Expect(1, 70006, '\P{^Scx=mahj}', "");
Expect(0, 70007, '\p{Scx=mahj}', "");
Expect(1, 70007, '\p{^Scx=mahj}', "");
Expect(1, 70007, '\P{Scx=mahj}', "");
Expect(0, 70007, '\P{^Scx=mahj}', "");
Expect(1, 70006, '\p{Scx=-_MAHJ}', "");
Expect(0, 70006, '\p{^Scx=-_MAHJ}', "");
Expect(0, 70006, '\P{Scx=-_MAHJ}', "");
Expect(1, 70006, '\P{^Scx=-_MAHJ}', "");
Expect(0, 70007, '\p{Scx=-_MAHJ}', "");
Expect(1, 70007, '\p{^Scx=-_MAHJ}', "");
Expect(1, 70007, '\P{Scx=-_MAHJ}', "");
Expect(0, 70007, '\P{^Scx=-_MAHJ}', "");
Error('\p{Is_Script_Extensions:	_Mahajani:=}');
Error('\P{Is_Script_Extensions:	_Mahajani:=}');
Expect(1, 70006, '\p{Is_Script_Extensions=mahajani}', "");
Expect(0, 70006, '\p{^Is_Script_Extensions=mahajani}', "");
Expect(0, 70006, '\P{Is_Script_Extensions=mahajani}', "");
Expect(1, 70006, '\P{^Is_Script_Extensions=mahajani}', "");
Expect(0, 70007, '\p{Is_Script_Extensions=mahajani}', "");
Expect(1, 70007, '\p{^Is_Script_Extensions=mahajani}', "");
Expect(1, 70007, '\P{Is_Script_Extensions=mahajani}', "");
Expect(0, 70007, '\P{^Is_Script_Extensions=mahajani}', "");
Expect(1, 70006, '\p{Is_Script_Extensions:   	MAHAJANI}', "");
Expect(0, 70006, '\p{^Is_Script_Extensions:   	MAHAJANI}', "");
Expect(0, 70006, '\P{Is_Script_Extensions:   	MAHAJANI}', "");
Expect(1, 70006, '\P{^Is_Script_Extensions:   	MAHAJANI}', "");
Expect(0, 70007, '\p{Is_Script_Extensions:   	MAHAJANI}', "");
Expect(1, 70007, '\p{^Is_Script_Extensions:   	MAHAJANI}', "");
Expect(1, 70007, '\P{Is_Script_Extensions:   	MAHAJANI}', "");
Expect(0, 70007, '\P{^Is_Script_Extensions:   	MAHAJANI}', "");
Error('\p{Is_Scx= MAHJ:=}');
Error('\P{Is_Scx= MAHJ:=}');
Expect(1, 70006, '\p{Is_Scx=mahj}', "");
Expect(0, 70006, '\p{^Is_Scx=mahj}', "");
Expect(0, 70006, '\P{Is_Scx=mahj}', "");
Expect(1, 70006, '\P{^Is_Scx=mahj}', "");
Expect(0, 70007, '\p{Is_Scx=mahj}', "");
Expect(1, 70007, '\p{^Is_Scx=mahj}', "");
Expect(1, 70007, '\P{Is_Scx=mahj}', "");
Expect(0, 70007, '\P{^Is_Scx=mahj}', "");
Expect(1, 70006, '\p{Is_Scx=- Mahj}', "");
Expect(0, 70006, '\p{^Is_Scx=- Mahj}', "");
Expect(0, 70006, '\P{Is_Scx=- Mahj}', "");
Expect(1, 70006, '\P{^Is_Scx=- Mahj}', "");
Expect(0, 70007, '\p{Is_Scx=- Mahj}', "");
Expect(1, 70007, '\p{^Is_Scx=- Mahj}', "");
Expect(1, 70007, '\P{Is_Scx=- Mahj}', "");
Expect(0, 70007, '\P{^Is_Scx=- Mahj}', "");
Error('\p{Script_Extensions=	 Mandaic:=}');
Error('\P{Script_Extensions=	 Mandaic:=}');
Expect(1, 2142, '\p{Script_Extensions=mandaic}', "");
Expect(0, 2142, '\p{^Script_Extensions=mandaic}', "");
Expect(0, 2142, '\P{Script_Extensions=mandaic}', "");
Expect(1, 2142, '\P{^Script_Extensions=mandaic}', "");
Expect(0, 2143, '\p{Script_Extensions=mandaic}', "");
Expect(1, 2143, '\p{^Script_Extensions=mandaic}', "");
Expect(1, 2143, '\P{Script_Extensions=mandaic}', "");
Expect(0, 2143, '\P{^Script_Extensions=mandaic}', "");
Expect(1, 2142, '\p{Script_Extensions=--Mandaic}', "");
Expect(0, 2142, '\p{^Script_Extensions=--Mandaic}', "");
Expect(0, 2142, '\P{Script_Extensions=--Mandaic}', "");
Expect(1, 2142, '\P{^Script_Extensions=--Mandaic}', "");
Expect(0, 2143, '\p{Script_Extensions=--Mandaic}', "");
Expect(1, 2143, '\p{^Script_Extensions=--Mandaic}', "");
Expect(1, 2143, '\P{Script_Extensions=--Mandaic}', "");
Expect(0, 2143, '\P{^Script_Extensions=--Mandaic}', "");
Error('\p{Scx=--MAND:=}');
Error('\P{Scx=--MAND:=}');
Expect(1, 2142, '\p{Scx=mand}', "");
Expect(0, 2142, '\p{^Scx=mand}', "");
Expect(0, 2142, '\P{Scx=mand}', "");
Expect(1, 2142, '\P{^Scx=mand}', "");
Expect(0, 2143, '\p{Scx=mand}', "");
Expect(1, 2143, '\p{^Scx=mand}', "");
Expect(1, 2143, '\P{Scx=mand}', "");
Expect(0, 2143, '\P{^Scx=mand}', "");
Expect(1, 2142, '\p{Scx=-	mand}', "");
Expect(0, 2142, '\p{^Scx=-	mand}', "");
Expect(0, 2142, '\P{Scx=-	mand}', "");
Expect(1, 2142, '\P{^Scx=-	mand}', "");
Expect(0, 2143, '\p{Scx=-	mand}', "");
Expect(1, 2143, '\p{^Scx=-	mand}', "");
Expect(1, 2143, '\P{Scx=-	mand}', "");
Expect(0, 2143, '\P{^Scx=-	mand}', "");
Error('\p{Is_Script_Extensions= -MANDAIC/a/}');
Error('\P{Is_Script_Extensions= -MANDAIC/a/}');
Expect(1, 2142, '\p{Is_Script_Extensions=mandaic}', "");
Expect(0, 2142, '\p{^Is_Script_Extensions=mandaic}', "");
Expect(0, 2142, '\P{Is_Script_Extensions=mandaic}', "");
Expect(1, 2142, '\P{^Is_Script_Extensions=mandaic}', "");
Expect(0, 2143, '\p{Is_Script_Extensions=mandaic}', "");
Expect(1, 2143, '\p{^Is_Script_Extensions=mandaic}', "");
Expect(1, 2143, '\P{Is_Script_Extensions=mandaic}', "");
Expect(0, 2143, '\P{^Is_Script_Extensions=mandaic}', "");
Expect(1, 2142, '\p{Is_Script_Extensions= mandaic}', "");
Expect(0, 2142, '\p{^Is_Script_Extensions= mandaic}', "");
Expect(0, 2142, '\P{Is_Script_Extensions= mandaic}', "");
Expect(1, 2142, '\P{^Is_Script_Extensions= mandaic}', "");
Expect(0, 2143, '\p{Is_Script_Extensions= mandaic}', "");
Expect(1, 2143, '\p{^Is_Script_Extensions= mandaic}', "");
Expect(1, 2143, '\P{Is_Script_Extensions= mandaic}', "");
Expect(0, 2143, '\P{^Is_Script_Extensions= mandaic}', "");
Error('\p{Is_Scx=_	MAND:=}');
Error('\P{Is_Scx=_	MAND:=}');
Expect(1, 2142, '\p{Is_Scx:mand}', "");
Expect(0, 2142, '\p{^Is_Scx:mand}', "");
Expect(0, 2142, '\P{Is_Scx:mand}', "");
Expect(1, 2142, '\P{^Is_Scx:mand}', "");
Expect(0, 2143, '\p{Is_Scx:mand}', "");
Expect(1, 2143, '\p{^Is_Scx:mand}', "");
Expect(1, 2143, '\P{Is_Scx:mand}', "");
Expect(0, 2143, '\P{^Is_Scx:mand}', "");
Expect(1, 2142, '\p{Is_Scx=--MAND}', "");
Expect(0, 2142, '\p{^Is_Scx=--MAND}', "");
Expect(0, 2142, '\P{Is_Scx=--MAND}', "");
Expect(1, 2142, '\P{^Is_Scx=--MAND}', "");
Expect(0, 2143, '\p{Is_Scx=--MAND}', "");
Expect(1, 2143, '\p{^Is_Scx=--MAND}', "");
Expect(1, 2143, '\P{Is_Scx=--MAND}', "");
Expect(0, 2143, '\P{^Is_Scx=--MAND}', "");
Error('\p{Script_Extensions=:=_manichaean}');
Error('\P{Script_Extensions=:=_manichaean}');
Expect(1, 68342, '\p{Script_Extensions=manichaean}', "");
Expect(0, 68342, '\p{^Script_Extensions=manichaean}', "");
Expect(0, 68342, '\P{Script_Extensions=manichaean}', "");
Expect(1, 68342, '\P{^Script_Extensions=manichaean}', "");
Expect(0, 68343, '\p{Script_Extensions=manichaean}', "");
Expect(1, 68343, '\p{^Script_Extensions=manichaean}', "");
Expect(1, 68343, '\P{Script_Extensions=manichaean}', "");
Expect(0, 68343, '\P{^Script_Extensions=manichaean}', "");
Expect(1, 68342, '\p{Script_Extensions=	Manichaean}', "");
Expect(0, 68342, '\p{^Script_Extensions=	Manichaean}', "");
Expect(0, 68342, '\P{Script_Extensions=	Manichaean}', "");
Expect(1, 68342, '\P{^Script_Extensions=	Manichaean}', "");
Expect(0, 68343, '\p{Script_Extensions=	Manichaean}', "");
Expect(1, 68343, '\p{^Script_Extensions=	Manichaean}', "");
Expect(1, 68343, '\P{Script_Extensions=	Manichaean}', "");
Expect(0, 68343, '\P{^Script_Extensions=	Manichaean}', "");
Error('\p{Scx: -	MANI/a/}');
Error('\P{Scx: -	MANI/a/}');
Expect(1, 68342, '\p{Scx=mani}', "");
Expect(0, 68342, '\p{^Scx=mani}', "");
Expect(0, 68342, '\P{Scx=mani}', "");
Expect(1, 68342, '\P{^Scx=mani}', "");
Expect(0, 68343, '\p{Scx=mani}', "");
Expect(1, 68343, '\p{^Scx=mani}', "");
Expect(1, 68343, '\P{Scx=mani}', "");
Expect(0, 68343, '\P{^Scx=mani}', "");
Expect(1, 68342, '\p{Scx=-Mani}', "");
Expect(0, 68342, '\p{^Scx=-Mani}', "");
Expect(0, 68342, '\P{Scx=-Mani}', "");
Expect(1, 68342, '\P{^Scx=-Mani}', "");
Expect(0, 68343, '\p{Scx=-Mani}', "");
Expect(1, 68343, '\p{^Scx=-Mani}', "");
Expect(1, 68343, '\P{Scx=-Mani}', "");
Expect(0, 68343, '\P{^Scx=-Mani}', "");
Error('\p{Is_Script_Extensions=-_Manichaean:=}');
Error('\P{Is_Script_Extensions=-_Manichaean:=}');
Expect(1, 68342, '\p{Is_Script_Extensions:manichaean}', "");
Expect(0, 68342, '\p{^Is_Script_Extensions:manichaean}', "");
Expect(0, 68342, '\P{Is_Script_Extensions:manichaean}', "");
Expect(1, 68342, '\P{^Is_Script_Extensions:manichaean}', "");
Expect(0, 68343, '\p{Is_Script_Extensions:manichaean}', "");
Expect(1, 68343, '\p{^Is_Script_Extensions:manichaean}', "");
Expect(1, 68343, '\P{Is_Script_Extensions:manichaean}', "");
Expect(0, 68343, '\P{^Is_Script_Extensions:manichaean}', "");
Expect(1, 68342, '\p{Is_Script_Extensions=	 manichaean}', "");
Expect(0, 68342, '\p{^Is_Script_Extensions=	 manichaean}', "");
Expect(0, 68342, '\P{Is_Script_Extensions=	 manichaean}', "");
Expect(1, 68342, '\P{^Is_Script_Extensions=	 manichaean}', "");
Expect(0, 68343, '\p{Is_Script_Extensions=	 manichaean}', "");
Expect(1, 68343, '\p{^Is_Script_Extensions=	 manichaean}', "");
Expect(1, 68343, '\P{Is_Script_Extensions=	 manichaean}', "");
Expect(0, 68343, '\P{^Is_Script_Extensions=	 manichaean}', "");
Error('\p{Is_Scx: :=Mani}');
Error('\P{Is_Scx: :=Mani}');
Expect(1, 68342, '\p{Is_Scx=mani}', "");
Expect(0, 68342, '\p{^Is_Scx=mani}', "");
Expect(0, 68342, '\P{Is_Scx=mani}', "");
Expect(1, 68342, '\P{^Is_Scx=mani}', "");
Expect(0, 68343, '\p{Is_Scx=mani}', "");
Expect(1, 68343, '\p{^Is_Scx=mani}', "");
Expect(1, 68343, '\P{Is_Scx=mani}', "");
Expect(0, 68343, '\P{^Is_Scx=mani}', "");
Expect(1, 68342, '\p{Is_Scx:	-Mani}', "");
Expect(0, 68342, '\p{^Is_Scx:	-Mani}', "");
Expect(0, 68342, '\P{Is_Scx:	-Mani}', "");
Expect(1, 68342, '\P{^Is_Scx:	-Mani}', "");
Expect(0, 68343, '\p{Is_Scx:	-Mani}', "");
Expect(1, 68343, '\p{^Is_Scx:	-Mani}', "");
Expect(1, 68343, '\P{Is_Scx:	-Mani}', "");
Expect(0, 68343, '\P{^Is_Scx:	-Mani}', "");
Error('\p{Script_Extensions= Mende_kikakui/a/}');
Error('\P{Script_Extensions= Mende_kikakui/a/}');
Expect(1, 125142, '\p{Script_Extensions=mendekikakui}', "");
Expect(0, 125142, '\p{^Script_Extensions=mendekikakui}', "");
Expect(0, 125142, '\P{Script_Extensions=mendekikakui}', "");
Expect(1, 125142, '\P{^Script_Extensions=mendekikakui}', "");
Expect(0, 125143, '\p{Script_Extensions=mendekikakui}', "");
Expect(1, 125143, '\p{^Script_Extensions=mendekikakui}', "");
Expect(1, 125143, '\P{Script_Extensions=mendekikakui}', "");
Expect(0, 125143, '\P{^Script_Extensions=mendekikakui}', "");
Expect(1, 125142, '\p{Script_Extensions=--mende_Kikakui}', "");
Expect(0, 125142, '\p{^Script_Extensions=--mende_Kikakui}', "");
Expect(0, 125142, '\P{Script_Extensions=--mende_Kikakui}', "");
Expect(1, 125142, '\P{^Script_Extensions=--mende_Kikakui}', "");
Expect(0, 125143, '\p{Script_Extensions=--mende_Kikakui}', "");
Expect(1, 125143, '\p{^Script_Extensions=--mende_Kikakui}', "");
Expect(1, 125143, '\P{Script_Extensions=--mende_Kikakui}', "");
Expect(0, 125143, '\P{^Script_Extensions=--mende_Kikakui}', "");
Error('\p{Scx: -:=MEND}');
Error('\P{Scx: -:=MEND}');
Expect(1, 125142, '\p{Scx=mend}', "");
Expect(0, 125142, '\p{^Scx=mend}', "");
Expect(0, 125142, '\P{Scx=mend}', "");
Expect(1, 125142, '\P{^Scx=mend}', "");
Expect(0, 125143, '\p{Scx=mend}', "");
Expect(1, 125143, '\p{^Scx=mend}', "");
Expect(1, 125143, '\P{Scx=mend}', "");
Expect(0, 125143, '\P{^Scx=mend}', "");
Expect(1, 125142, '\p{Scx= -MEND}', "");
Expect(0, 125142, '\p{^Scx= -MEND}', "");
Expect(0, 125142, '\P{Scx= -MEND}', "");
Expect(1, 125142, '\P{^Scx= -MEND}', "");
Expect(0, 125143, '\p{Scx= -MEND}', "");
Expect(1, 125143, '\p{^Scx= -MEND}', "");
Expect(1, 125143, '\P{Scx= -MEND}', "");
Expect(0, 125143, '\P{^Scx= -MEND}', "");
Error('\p{Is_Script_Extensions=/a/	mende_Kikakui}');
Error('\P{Is_Script_Extensions=/a/	mende_Kikakui}');
Expect(1, 125142, '\p{Is_Script_Extensions=mendekikakui}', "");
Expect(0, 125142, '\p{^Is_Script_Extensions=mendekikakui}', "");
Expect(0, 125142, '\P{Is_Script_Extensions=mendekikakui}', "");
Expect(1, 125142, '\P{^Is_Script_Extensions=mendekikakui}', "");
Expect(0, 125143, '\p{Is_Script_Extensions=mendekikakui}', "");
Expect(1, 125143, '\p{^Is_Script_Extensions=mendekikakui}', "");
Expect(1, 125143, '\P{Is_Script_Extensions=mendekikakui}', "");
Expect(0, 125143, '\P{^Is_Script_Extensions=mendekikakui}', "");
Expect(1, 125142, '\p{Is_Script_Extensions:	  Mende_Kikakui}', "");
Expect(0, 125142, '\p{^Is_Script_Extensions:	  Mende_Kikakui}', "");
Expect(0, 125142, '\P{Is_Script_Extensions:	  Mende_Kikakui}', "");
Expect(1, 125142, '\P{^Is_Script_Extensions:	  Mende_Kikakui}', "");
Expect(0, 125143, '\p{Is_Script_Extensions:	  Mende_Kikakui}', "");
Expect(1, 125143, '\p{^Is_Script_Extensions:	  Mende_Kikakui}', "");
Expect(1, 125143, '\P{Is_Script_Extensions:	  Mende_Kikakui}', "");
Expect(0, 125143, '\P{^Is_Script_Extensions:	  Mende_Kikakui}', "");
Error('\p{Is_Scx:	/a/-_mend}');
Error('\P{Is_Scx:	/a/-_mend}');
Expect(1, 125142, '\p{Is_Scx:   mend}', "");
Expect(0, 125142, '\p{^Is_Scx:   mend}', "");
Expect(0, 125142, '\P{Is_Scx:   mend}', "");
Expect(1, 125142, '\P{^Is_Scx:   mend}', "");
Expect(0, 125143, '\p{Is_Scx:   mend}', "");
Expect(1, 125143, '\p{^Is_Scx:   mend}', "");
Expect(1, 125143, '\P{Is_Scx:   mend}', "");
Expect(0, 125143, '\P{^Is_Scx:   mend}', "");
Expect(1, 125142, '\p{Is_Scx= -Mend}', "");
Expect(0, 125142, '\p{^Is_Scx= -Mend}', "");
Expect(0, 125142, '\P{Is_Scx= -Mend}', "");
Expect(1, 125142, '\P{^Is_Scx= -Mend}', "");
Expect(0, 125143, '\p{Is_Scx= -Mend}', "");
Expect(1, 125143, '\p{^Is_Scx= -Mend}', "");
Expect(1, 125143, '\P{Is_Scx= -Mend}', "");
Expect(0, 125143, '\P{^Is_Scx= -Mend}', "");
Error('\p{Script_Extensions=/a/_	Meroitic_Cursive}');
Error('\P{Script_Extensions=/a/_	Meroitic_Cursive}');
Expect(1, 68095, '\p{Script_Extensions=meroiticcursive}', "");
Expect(0, 68095, '\p{^Script_Extensions=meroiticcursive}', "");
Expect(0, 68095, '\P{Script_Extensions=meroiticcursive}', "");
Expect(1, 68095, '\P{^Script_Extensions=meroiticcursive}', "");
Expect(0, 68096, '\p{Script_Extensions=meroiticcursive}', "");
Expect(1, 68096, '\p{^Script_Extensions=meroiticcursive}', "");
Expect(1, 68096, '\P{Script_Extensions=meroiticcursive}', "");
Expect(0, 68096, '\P{^Script_Extensions=meroiticcursive}', "");
Expect(1, 68095, '\p{Script_Extensions=  MEROITIC_cursive}', "");
Expect(0, 68095, '\p{^Script_Extensions=  MEROITIC_cursive}', "");
Expect(0, 68095, '\P{Script_Extensions=  MEROITIC_cursive}', "");
Expect(1, 68095, '\P{^Script_Extensions=  MEROITIC_cursive}', "");
Expect(0, 68096, '\p{Script_Extensions=  MEROITIC_cursive}', "");
Expect(1, 68096, '\p{^Script_Extensions=  MEROITIC_cursive}', "");
Expect(1, 68096, '\P{Script_Extensions=  MEROITIC_cursive}', "");
Expect(0, 68096, '\P{^Script_Extensions=  MEROITIC_cursive}', "");
Error('\p{Scx=/a/_ Merc}');
Error('\P{Scx=/a/_ Merc}');
Expect(1, 68095, '\p{Scx=merc}', "");
Expect(0, 68095, '\p{^Scx=merc}', "");
Expect(0, 68095, '\P{Scx=merc}', "");
Expect(1, 68095, '\P{^Scx=merc}', "");
Expect(0, 68096, '\p{Scx=merc}', "");
Expect(1, 68096, '\p{^Scx=merc}', "");
Expect(1, 68096, '\P{Scx=merc}', "");
Expect(0, 68096, '\P{^Scx=merc}', "");
Expect(1, 68095, '\p{Scx= _Merc}', "");
Expect(0, 68095, '\p{^Scx= _Merc}', "");
Expect(0, 68095, '\P{Scx= _Merc}', "");
Expect(1, 68095, '\P{^Scx= _Merc}', "");
Expect(0, 68096, '\p{Scx= _Merc}', "");
Expect(1, 68096, '\p{^Scx= _Merc}', "");
Expect(1, 68096, '\P{Scx= _Merc}', "");
Expect(0, 68096, '\P{^Scx= _Merc}', "");
Error('\p{Is_Script_Extensions= :=meroitic_Cursive}');
Error('\P{Is_Script_Extensions= :=meroitic_Cursive}');
Expect(1, 68095, '\p{Is_Script_Extensions=meroiticcursive}', "");
Expect(0, 68095, '\p{^Is_Script_Extensions=meroiticcursive}', "");
Expect(0, 68095, '\P{Is_Script_Extensions=meroiticcursive}', "");
Expect(1, 68095, '\P{^Is_Script_Extensions=meroiticcursive}', "");
Expect(0, 68096, '\p{Is_Script_Extensions=meroiticcursive}', "");
Expect(1, 68096, '\p{^Is_Script_Extensions=meroiticcursive}', "");
Expect(1, 68096, '\P{Is_Script_Extensions=meroiticcursive}', "");
Expect(0, 68096, '\P{^Is_Script_Extensions=meroiticcursive}', "");
Expect(1, 68095, '\p{Is_Script_Extensions=	_meroitic_Cursive}', "");
Expect(0, 68095, '\p{^Is_Script_Extensions=	_meroitic_Cursive}', "");
Expect(0, 68095, '\P{Is_Script_Extensions=	_meroitic_Cursive}', "");
Expect(1, 68095, '\P{^Is_Script_Extensions=	_meroitic_Cursive}', "");
Expect(0, 68096, '\p{Is_Script_Extensions=	_meroitic_Cursive}', "");
Expect(1, 68096, '\p{^Is_Script_Extensions=	_meroitic_Cursive}', "");
Expect(1, 68096, '\P{Is_Script_Extensions=	_meroitic_Cursive}', "");
Expect(0, 68096, '\P{^Is_Script_Extensions=	_meroitic_Cursive}', "");
Error('\p{Is_Scx=/a/-_merc}');
Error('\P{Is_Scx=/a/-_merc}');
Expect(1, 68095, '\p{Is_Scx=merc}', "");
Expect(0, 68095, '\p{^Is_Scx=merc}', "");
Expect(0, 68095, '\P{Is_Scx=merc}', "");
Expect(1, 68095, '\P{^Is_Scx=merc}', "");
Expect(0, 68096, '\p{Is_Scx=merc}', "");
Expect(1, 68096, '\p{^Is_Scx=merc}', "");
Expect(1, 68096, '\P{Is_Scx=merc}', "");
Expect(0, 68096, '\P{^Is_Scx=merc}', "");
Expect(1, 68095, '\p{Is_Scx=_ Merc}', "");
Expect(0, 68095, '\p{^Is_Scx=_ Merc}', "");
Expect(0, 68095, '\P{Is_Scx=_ Merc}', "");
Expect(1, 68095, '\P{^Is_Scx=_ Merc}', "");
Expect(0, 68096, '\p{Is_Scx=_ Merc}', "");
Expect(1, 68096, '\p{^Is_Scx=_ Merc}', "");
Expect(1, 68096, '\P{Is_Scx=_ Merc}', "");
Expect(0, 68096, '\P{^Is_Scx=_ Merc}', "");
Error('\p{Script_Extensions=/a/- meroitic_Hieroglyphs}');
Error('\P{Script_Extensions=/a/- meroitic_Hieroglyphs}');
Expect(1, 67999, '\p{Script_Extensions=meroitichieroglyphs}', "");
Expect(0, 67999, '\p{^Script_Extensions=meroitichieroglyphs}', "");
Expect(0, 67999, '\P{Script_Extensions=meroitichieroglyphs}', "");
Expect(1, 67999, '\P{^Script_Extensions=meroitichieroglyphs}', "");
Expect(0, 68000, '\p{Script_Extensions=meroitichieroglyphs}', "");
Expect(1, 68000, '\p{^Script_Extensions=meroitichieroglyphs}', "");
Expect(1, 68000, '\P{Script_Extensions=meroitichieroglyphs}', "");
Expect(0, 68000, '\P{^Script_Extensions=meroitichieroglyphs}', "");
Expect(1, 67999, '\p{Script_Extensions=	-Meroitic_HIEROGLYPHS}', "");
Expect(0, 67999, '\p{^Script_Extensions=	-Meroitic_HIEROGLYPHS}', "");
Expect(0, 67999, '\P{Script_Extensions=	-Meroitic_HIEROGLYPHS}', "");
Expect(1, 67999, '\P{^Script_Extensions=	-Meroitic_HIEROGLYPHS}', "");
Expect(0, 68000, '\p{Script_Extensions=	-Meroitic_HIEROGLYPHS}', "");
Expect(1, 68000, '\p{^Script_Extensions=	-Meroitic_HIEROGLYPHS}', "");
Expect(1, 68000, '\P{Script_Extensions=	-Meroitic_HIEROGLYPHS}', "");
Expect(0, 68000, '\P{^Script_Extensions=	-Meroitic_HIEROGLYPHS}', "");
Error('\p{Scx=_/a/MERO}');
Error('\P{Scx=_/a/MERO}');
Expect(1, 67999, '\p{Scx=mero}', "");
Expect(0, 67999, '\p{^Scx=mero}', "");
Expect(0, 67999, '\P{Scx=mero}', "");
Expect(1, 67999, '\P{^Scx=mero}', "");
Expect(0, 68000, '\p{Scx=mero}', "");
Expect(1, 68000, '\p{^Scx=mero}', "");
Expect(1, 68000, '\P{Scx=mero}', "");
Expect(0, 68000, '\P{^Scx=mero}', "");
Expect(1, 67999, '\p{Scx=  MERO}', "");
Expect(0, 67999, '\p{^Scx=  MERO}', "");
Expect(0, 67999, '\P{Scx=  MERO}', "");
Expect(1, 67999, '\P{^Scx=  MERO}', "");
Expect(0, 68000, '\p{Scx=  MERO}', "");
Expect(1, 68000, '\p{^Scx=  MERO}', "");
Expect(1, 68000, '\P{Scx=  MERO}', "");
Expect(0, 68000, '\P{^Scx=  MERO}', "");
Error('\p{Is_Script_Extensions=:=_-MEROITIC_Hieroglyphs}');
Error('\P{Is_Script_Extensions=:=_-MEROITIC_Hieroglyphs}');
Expect(1, 67999, '\p{Is_Script_Extensions=meroitichieroglyphs}', "");
Expect(0, 67999, '\p{^Is_Script_Extensions=meroitichieroglyphs}', "");
Expect(0, 67999, '\P{Is_Script_Extensions=meroitichieroglyphs}', "");
Expect(1, 67999, '\P{^Is_Script_Extensions=meroitichieroglyphs}', "");
Expect(0, 68000, '\p{Is_Script_Extensions=meroitichieroglyphs}', "");
Expect(1, 68000, '\p{^Is_Script_Extensions=meroitichieroglyphs}', "");
Expect(1, 68000, '\P{Is_Script_Extensions=meroitichieroglyphs}', "");
Expect(0, 68000, '\P{^Is_Script_Extensions=meroitichieroglyphs}', "");
Expect(1, 67999, '\p{Is_Script_Extensions=_meroitic_Hieroglyphs}', "");
Expect(0, 67999, '\p{^Is_Script_Extensions=_meroitic_Hieroglyphs}', "");
Expect(0, 67999, '\P{Is_Script_Extensions=_meroitic_Hieroglyphs}', "");
Expect(1, 67999, '\P{^Is_Script_Extensions=_meroitic_Hieroglyphs}', "");
Expect(0, 68000, '\p{Is_Script_Extensions=_meroitic_Hieroglyphs}', "");
Expect(1, 68000, '\p{^Is_Script_Extensions=_meroitic_Hieroglyphs}', "");
Expect(1, 68000, '\P{Is_Script_Extensions=_meroitic_Hieroglyphs}', "");
Expect(0, 68000, '\P{^Is_Script_Extensions=_meroitic_Hieroglyphs}', "");
Error('\p{Is_Scx:   /a/ Mero}');
Error('\P{Is_Scx:   /a/ Mero}');
Expect(1, 67999, '\p{Is_Scx=mero}', "");
Expect(0, 67999, '\p{^Is_Scx=mero}', "");
Expect(0, 67999, '\P{Is_Scx=mero}', "");
Expect(1, 67999, '\P{^Is_Scx=mero}', "");
Expect(0, 68000, '\p{Is_Scx=mero}', "");
Expect(1, 68000, '\p{^Is_Scx=mero}', "");
Expect(1, 68000, '\P{Is_Scx=mero}', "");
Expect(0, 68000, '\P{^Is_Scx=mero}', "");
Expect(1, 67999, '\p{Is_Scx= -Mero}', "");
Expect(0, 67999, '\p{^Is_Scx= -Mero}', "");
Expect(0, 67999, '\P{Is_Scx= -Mero}', "");
Expect(1, 67999, '\P{^Is_Scx= -Mero}', "");
Expect(0, 68000, '\p{Is_Scx= -Mero}', "");
Expect(1, 68000, '\p{^Is_Scx= -Mero}', "");
Expect(1, 68000, '\P{Is_Scx= -Mero}', "");
Expect(0, 68000, '\P{^Is_Scx= -Mero}', "");
Error('\p{Script_Extensions=_/a/Malayalam}');
Error('\P{Script_Extensions=_/a/Malayalam}');
Expect(1, 7386, '\p{Script_Extensions=malayalam}', "");
Expect(0, 7386, '\p{^Script_Extensions=malayalam}', "");
Expect(0, 7386, '\P{Script_Extensions=malayalam}', "");
Expect(1, 7386, '\P{^Script_Extensions=malayalam}', "");
Expect(0, 7387, '\p{Script_Extensions=malayalam}', "");
Expect(1, 7387, '\p{^Script_Extensions=malayalam}', "");
Expect(1, 7387, '\P{Script_Extensions=malayalam}', "");
Expect(0, 7387, '\P{^Script_Extensions=malayalam}', "");
Expect(1, 7386, '\p{Script_Extensions=_Malayalam}', "");
Expect(0, 7386, '\p{^Script_Extensions=_Malayalam}', "");
Expect(0, 7386, '\P{Script_Extensions=_Malayalam}', "");
Expect(1, 7386, '\P{^Script_Extensions=_Malayalam}', "");
Expect(0, 7387, '\p{Script_Extensions=_Malayalam}', "");
Expect(1, 7387, '\p{^Script_Extensions=_Malayalam}', "");
Expect(1, 7387, '\P{Script_Extensions=_Malayalam}', "");
Expect(0, 7387, '\P{^Script_Extensions=_Malayalam}', "");
Error('\p{Scx=_:=Mlym}');
Error('\P{Scx=_:=Mlym}');
Expect(1, 7386, '\p{Scx=mlym}', "");
Expect(0, 7386, '\p{^Scx=mlym}', "");
Expect(0, 7386, '\P{Scx=mlym}', "");
Expect(1, 7386, '\P{^Scx=mlym}', "");
Expect(0, 7387, '\p{Scx=mlym}', "");
Expect(1, 7387, '\p{^Scx=mlym}', "");
Expect(1, 7387, '\P{Scx=mlym}', "");
Expect(0, 7387, '\P{^Scx=mlym}', "");
Expect(1, 7386, '\p{Scx=	 mlym}', "");
Expect(0, 7386, '\p{^Scx=	 mlym}', "");
Expect(0, 7386, '\P{Scx=	 mlym}', "");
Expect(1, 7386, '\P{^Scx=	 mlym}', "");
Expect(0, 7387, '\p{Scx=	 mlym}', "");
Expect(1, 7387, '\p{^Scx=	 mlym}', "");
Expect(1, 7387, '\P{Scx=	 mlym}', "");
Expect(0, 7387, '\P{^Scx=	 mlym}', "");
Error('\p{Is_Script_Extensions=:= Malayalam}');
Error('\P{Is_Script_Extensions=:= Malayalam}');
Expect(1, 7386, '\p{Is_Script_Extensions: malayalam}', "");
Expect(0, 7386, '\p{^Is_Script_Extensions: malayalam}', "");
Expect(0, 7386, '\P{Is_Script_Extensions: malayalam}', "");
Expect(1, 7386, '\P{^Is_Script_Extensions: malayalam}', "");
Expect(0, 7387, '\p{Is_Script_Extensions: malayalam}', "");
Expect(1, 7387, '\p{^Is_Script_Extensions: malayalam}', "");
Expect(1, 7387, '\P{Is_Script_Extensions: malayalam}', "");
Expect(0, 7387, '\P{^Is_Script_Extensions: malayalam}', "");
Expect(1, 7386, '\p{Is_Script_Extensions:_	malayalam}', "");
Expect(0, 7386, '\p{^Is_Script_Extensions:_	malayalam}', "");
Expect(0, 7386, '\P{Is_Script_Extensions:_	malayalam}', "");
Expect(1, 7386, '\P{^Is_Script_Extensions:_	malayalam}', "");
Expect(0, 7387, '\p{Is_Script_Extensions:_	malayalam}', "");
Expect(1, 7387, '\p{^Is_Script_Extensions:_	malayalam}', "");
Expect(1, 7387, '\P{Is_Script_Extensions:_	malayalam}', "");
Expect(0, 7387, '\P{^Is_Script_Extensions:_	malayalam}', "");
Error('\p{Is_Scx=/a/	mlym}');
Error('\P{Is_Scx=/a/	mlym}');
Expect(1, 7386, '\p{Is_Scx=mlym}', "");
Expect(0, 7386, '\p{^Is_Scx=mlym}', "");
Expect(0, 7386, '\P{Is_Scx=mlym}', "");
Expect(1, 7386, '\P{^Is_Scx=mlym}', "");
Expect(0, 7387, '\p{Is_Scx=mlym}', "");
Expect(1, 7387, '\p{^Is_Scx=mlym}', "");
Expect(1, 7387, '\P{Is_Scx=mlym}', "");
Expect(0, 7387, '\P{^Is_Scx=mlym}', "");
Expect(1, 7386, '\p{Is_Scx=-	MLYM}', "");
Expect(0, 7386, '\p{^Is_Scx=-	MLYM}', "");
Expect(0, 7386, '\P{Is_Scx=-	MLYM}', "");
Expect(1, 7386, '\P{^Is_Scx=-	MLYM}', "");
Expect(0, 7387, '\p{Is_Scx=-	MLYM}', "");
Expect(1, 7387, '\p{^Is_Scx=-	MLYM}', "");
Expect(1, 7387, '\P{Is_Scx=-	MLYM}', "");
Expect(0, 7387, '\P{^Is_Scx=-	MLYM}', "");
Error('\p{Script_Extensions:		Modi/a/}');
Error('\P{Script_Extensions:		Modi/a/}');
Expect(1, 71257, '\p{Script_Extensions=modi}', "");
Expect(0, 71257, '\p{^Script_Extensions=modi}', "");
Expect(0, 71257, '\P{Script_Extensions=modi}', "");
Expect(1, 71257, '\P{^Script_Extensions=modi}', "");
Expect(0, 71258, '\p{Script_Extensions=modi}', "");
Expect(1, 71258, '\p{^Script_Extensions=modi}', "");
Expect(1, 71258, '\P{Script_Extensions=modi}', "");
Expect(0, 71258, '\P{^Script_Extensions=modi}', "");
Expect(1, 71257, '\p{Script_Extensions=_	Modi}', "");
Expect(0, 71257, '\p{^Script_Extensions=_	Modi}', "");
Expect(0, 71257, '\P{Script_Extensions=_	Modi}', "");
Expect(1, 71257, '\P{^Script_Extensions=_	Modi}', "");
Expect(0, 71258, '\p{Script_Extensions=_	Modi}', "");
Expect(1, 71258, '\p{^Script_Extensions=_	Modi}', "");
Expect(1, 71258, '\P{Script_Extensions=_	Modi}', "");
Expect(0, 71258, '\P{^Script_Extensions=_	Modi}', "");
Error('\p{Scx= /a/modi}');
Error('\P{Scx= /a/modi}');
Expect(1, 71257, '\p{Scx=modi}', "");
Expect(0, 71257, '\p{^Scx=modi}', "");
Expect(0, 71257, '\P{Scx=modi}', "");
Expect(1, 71257, '\P{^Scx=modi}', "");
Expect(0, 71258, '\p{Scx=modi}', "");
Expect(1, 71258, '\p{^Scx=modi}', "");
Expect(1, 71258, '\P{Scx=modi}', "");
Expect(0, 71258, '\P{^Scx=modi}', "");
Expect(1, 71257, '\p{Scx=-_MODI}', "");
Expect(0, 71257, '\p{^Scx=-_MODI}', "");
Expect(0, 71257, '\P{Scx=-_MODI}', "");
Expect(1, 71257, '\P{^Scx=-_MODI}', "");
Expect(0, 71258, '\p{Scx=-_MODI}', "");
Expect(1, 71258, '\p{^Scx=-_MODI}', "");
Expect(1, 71258, '\P{Scx=-_MODI}', "");
Expect(0, 71258, '\P{^Scx=-_MODI}', "");
Error('\p{Is_Script_Extensions= :=Modi}');
Error('\P{Is_Script_Extensions= :=Modi}');
Expect(1, 71257, '\p{Is_Script_Extensions=modi}', "");
Expect(0, 71257, '\p{^Is_Script_Extensions=modi}', "");
Expect(0, 71257, '\P{Is_Script_Extensions=modi}', "");
Expect(1, 71257, '\P{^Is_Script_Extensions=modi}', "");
Expect(0, 71258, '\p{Is_Script_Extensions=modi}', "");
Expect(1, 71258, '\p{^Is_Script_Extensions=modi}', "");
Expect(1, 71258, '\P{Is_Script_Extensions=modi}', "");
Expect(0, 71258, '\P{^Is_Script_Extensions=modi}', "");
Expect(1, 71257, '\p{Is_Script_Extensions: 	 Modi}', "");
Expect(0, 71257, '\p{^Is_Script_Extensions: 	 Modi}', "");
Expect(0, 71257, '\P{Is_Script_Extensions: 	 Modi}', "");
Expect(1, 71257, '\P{^Is_Script_Extensions: 	 Modi}', "");
Expect(0, 71258, '\p{Is_Script_Extensions: 	 Modi}', "");
Expect(1, 71258, '\p{^Is_Script_Extensions: 	 Modi}', "");
Expect(1, 71258, '\P{Is_Script_Extensions: 	 Modi}', "");
Expect(0, 71258, '\P{^Is_Script_Extensions: 	 Modi}', "");
Error('\p{Is_Scx=:=	_Modi}');
Error('\P{Is_Scx=:=	_Modi}');
Expect(1, 71257, '\p{Is_Scx=modi}', "");
Expect(0, 71257, '\p{^Is_Scx=modi}', "");
Expect(0, 71257, '\P{Is_Scx=modi}', "");
Expect(1, 71257, '\P{^Is_Scx=modi}', "");
Expect(0, 71258, '\p{Is_Scx=modi}', "");
Expect(1, 71258, '\p{^Is_Scx=modi}', "");
Expect(1, 71258, '\P{Is_Scx=modi}', "");
Expect(0, 71258, '\P{^Is_Scx=modi}', "");
Expect(1, 71257, '\p{Is_Scx=- Modi}', "");
Expect(0, 71257, '\p{^Is_Scx=- Modi}', "");
Expect(0, 71257, '\P{Is_Scx=- Modi}', "");
Expect(1, 71257, '\P{^Is_Scx=- Modi}', "");
Expect(0, 71258, '\p{Is_Scx=- Modi}', "");
Expect(1, 71258, '\p{^Is_Scx=- Modi}', "");
Expect(1, 71258, '\P{Is_Scx=- Modi}', "");
Expect(0, 71258, '\P{^Is_Scx=- Modi}', "");
Error('\p{Script_Extensions=-/a/mongolian}');
Error('\P{Script_Extensions=-/a/mongolian}');
Expect(1, 6314, '\p{Script_Extensions=mongolian}', "");
Expect(0, 6314, '\p{^Script_Extensions=mongolian}', "");
Expect(0, 6314, '\P{Script_Extensions=mongolian}', "");
Expect(1, 6314, '\P{^Script_Extensions=mongolian}', "");
Expect(0, 6315, '\p{Script_Extensions=mongolian}', "");
Expect(1, 6315, '\p{^Script_Extensions=mongolian}', "");
Expect(1, 6315, '\P{Script_Extensions=mongolian}', "");
Expect(0, 6315, '\P{^Script_Extensions=mongolian}', "");
Expect(1, 6314, '\p{Script_Extensions:   MONGOLIAN}', "");
Expect(0, 6314, '\p{^Script_Extensions:   MONGOLIAN}', "");
Expect(0, 6314, '\P{Script_Extensions:   MONGOLIAN}', "");
Expect(1, 6314, '\P{^Script_Extensions:   MONGOLIAN}', "");
Expect(0, 6315, '\p{Script_Extensions:   MONGOLIAN}', "");
Expect(1, 6315, '\p{^Script_Extensions:   MONGOLIAN}', "");
Expect(1, 6315, '\P{Script_Extensions:   MONGOLIAN}', "");
Expect(0, 6315, '\P{^Script_Extensions:   MONGOLIAN}', "");
Error('\p{Scx=:=Mong}');
Error('\P{Scx=:=Mong}');
Expect(1, 6314, '\p{Scx=mong}', "");
Expect(0, 6314, '\p{^Scx=mong}', "");
Expect(0, 6314, '\P{Scx=mong}', "");
Expect(1, 6314, '\P{^Scx=mong}', "");
Expect(0, 6315, '\p{Scx=mong}', "");
Expect(1, 6315, '\p{^Scx=mong}', "");
Expect(1, 6315, '\P{Scx=mong}', "");
Expect(0, 6315, '\P{^Scx=mong}', "");
Expect(1, 6314, '\p{Scx:    Mong}', "");
Expect(0, 6314, '\p{^Scx:    Mong}', "");
Expect(0, 6314, '\P{Scx:    Mong}', "");
Expect(1, 6314, '\P{^Scx:    Mong}', "");
Expect(0, 6315, '\p{Scx:    Mong}', "");
Expect(1, 6315, '\p{^Scx:    Mong}', "");
Expect(1, 6315, '\P{Scx:    Mong}', "");
Expect(0, 6315, '\P{^Scx:    Mong}', "");
Error('\p{Is_Script_Extensions=/a/	_Mongolian}');
Error('\P{Is_Script_Extensions=/a/	_Mongolian}');
Expect(1, 6314, '\p{Is_Script_Extensions=mongolian}', "");
Expect(0, 6314, '\p{^Is_Script_Extensions=mongolian}', "");
Expect(0, 6314, '\P{Is_Script_Extensions=mongolian}', "");
Expect(1, 6314, '\P{^Is_Script_Extensions=mongolian}', "");
Expect(0, 6315, '\p{Is_Script_Extensions=mongolian}', "");
Expect(1, 6315, '\p{^Is_Script_Extensions=mongolian}', "");
Expect(1, 6315, '\P{Is_Script_Extensions=mongolian}', "");
Expect(0, 6315, '\P{^Is_Script_Extensions=mongolian}', "");
Expect(1, 6314, '\p{Is_Script_Extensions=_ Mongolian}', "");
Expect(0, 6314, '\p{^Is_Script_Extensions=_ Mongolian}', "");
Expect(0, 6314, '\P{Is_Script_Extensions=_ Mongolian}', "");
Expect(1, 6314, '\P{^Is_Script_Extensions=_ Mongolian}', "");
Expect(0, 6315, '\p{Is_Script_Extensions=_ Mongolian}', "");
Expect(1, 6315, '\p{^Is_Script_Extensions=_ Mongolian}', "");
Expect(1, 6315, '\P{Is_Script_Extensions=_ Mongolian}', "");
Expect(0, 6315, '\P{^Is_Script_Extensions=_ Mongolian}', "");
Error('\p{Is_Scx=-:=MONG}');
Error('\P{Is_Scx=-:=MONG}');
Expect(1, 6314, '\p{Is_Scx=mong}', "");
Expect(0, 6314, '\p{^Is_Scx=mong}', "");
Expect(0, 6314, '\P{Is_Scx=mong}', "");
Expect(1, 6314, '\P{^Is_Scx=mong}', "");
Expect(0, 6315, '\p{Is_Scx=mong}', "");
Expect(1, 6315, '\p{^Is_Scx=mong}', "");
Expect(1, 6315, '\P{Is_Scx=mong}', "");
Expect(0, 6315, '\P{^Is_Scx=mong}', "");
Expect(1, 6314, '\p{Is_Scx=	Mong}', "");
Expect(0, 6314, '\p{^Is_Scx=	Mong}', "");
Expect(0, 6314, '\P{Is_Scx=	Mong}', "");
Expect(1, 6314, '\P{^Is_Scx=	Mong}', "");
Expect(0, 6315, '\p{Is_Scx=	Mong}', "");
Expect(1, 6315, '\p{^Is_Scx=	Mong}', "");
Expect(1, 6315, '\P{Is_Scx=	Mong}', "");
Expect(0, 6315, '\P{^Is_Scx=	Mong}', "");
Error('\p{Script_Extensions=/a/ _MRO}');
Error('\P{Script_Extensions=/a/ _MRO}');
Expect(1, 92783, '\p{Script_Extensions=mro}', "");
Expect(0, 92783, '\p{^Script_Extensions=mro}', "");
Expect(0, 92783, '\P{Script_Extensions=mro}', "");
Expect(1, 92783, '\P{^Script_Extensions=mro}', "");
Expect(0, 92784, '\p{Script_Extensions=mro}', "");
Expect(1, 92784, '\p{^Script_Extensions=mro}', "");
Expect(1, 92784, '\P{Script_Extensions=mro}', "");
Expect(0, 92784, '\P{^Script_Extensions=mro}', "");
Expect(1, 92783, '\p{Script_Extensions:    	Mro}', "");
Expect(0, 92783, '\p{^Script_Extensions:    	Mro}', "");
Expect(0, 92783, '\P{Script_Extensions:    	Mro}', "");
Expect(1, 92783, '\P{^Script_Extensions:    	Mro}', "");
Expect(0, 92784, '\p{Script_Extensions:    	Mro}', "");
Expect(1, 92784, '\p{^Script_Extensions:    	Mro}', "");
Expect(1, 92784, '\P{Script_Extensions:    	Mro}', "");
Expect(0, 92784, '\P{^Script_Extensions:    	Mro}', "");
Error('\p{Scx=	_mroo:=}');
Error('\P{Scx=	_mroo:=}');
Expect(1, 92783, '\p{Scx=mroo}', "");
Expect(0, 92783, '\p{^Scx=mroo}', "");
Expect(0, 92783, '\P{Scx=mroo}', "");
Expect(1, 92783, '\P{^Scx=mroo}', "");
Expect(0, 92784, '\p{Scx=mroo}', "");
Expect(1, 92784, '\p{^Scx=mroo}', "");
Expect(1, 92784, '\P{Scx=mroo}', "");
Expect(0, 92784, '\P{^Scx=mroo}', "");
Expect(1, 92783, '\p{Scx= _Mroo}', "");
Expect(0, 92783, '\p{^Scx= _Mroo}', "");
Expect(0, 92783, '\P{Scx= _Mroo}', "");
Expect(1, 92783, '\P{^Scx= _Mroo}', "");
Expect(0, 92784, '\p{Scx= _Mroo}', "");
Expect(1, 92784, '\p{^Scx= _Mroo}', "");
Expect(1, 92784, '\P{Scx= _Mroo}', "");
Expect(0, 92784, '\P{^Scx= _Mroo}', "");
Error('\p{Is_Script_Extensions=	/a/Mro}');
Error('\P{Is_Script_Extensions=	/a/Mro}');
Expect(1, 92783, '\p{Is_Script_Extensions=mro}', "");
Expect(0, 92783, '\p{^Is_Script_Extensions=mro}', "");
Expect(0, 92783, '\P{Is_Script_Extensions=mro}', "");
Expect(1, 92783, '\P{^Is_Script_Extensions=mro}', "");
Expect(0, 92784, '\p{Is_Script_Extensions=mro}', "");
Expect(1, 92784, '\p{^Is_Script_Extensions=mro}', "");
Expect(1, 92784, '\P{Is_Script_Extensions=mro}', "");
Expect(0, 92784, '\P{^Is_Script_Extensions=mro}', "");
Expect(1, 92783, '\p{Is_Script_Extensions=	-mro}', "");
Expect(0, 92783, '\p{^Is_Script_Extensions=	-mro}', "");
Expect(0, 92783, '\P{Is_Script_Extensions=	-mro}', "");
Expect(1, 92783, '\P{^Is_Script_Extensions=	-mro}', "");
Expect(0, 92784, '\p{Is_Script_Extensions=	-mro}', "");
Expect(1, 92784, '\p{^Is_Script_Extensions=	-mro}', "");
Expect(1, 92784, '\P{Is_Script_Extensions=	-mro}', "");
Expect(0, 92784, '\P{^Is_Script_Extensions=	-mro}', "");
Error('\p{Is_Scx=/a/-Mroo}');
Error('\P{Is_Scx=/a/-Mroo}');
Expect(1, 92783, '\p{Is_Scx=mroo}', "");
Expect(0, 92783, '\p{^Is_Scx=mroo}', "");
Expect(0, 92783, '\P{Is_Scx=mroo}', "");
Expect(1, 92783, '\P{^Is_Scx=mroo}', "");
Expect(0, 92784, '\p{Is_Scx=mroo}', "");
Expect(1, 92784, '\p{^Is_Scx=mroo}', "");
Expect(1, 92784, '\P{Is_Scx=mroo}', "");
Expect(0, 92784, '\P{^Is_Scx=mroo}', "");
Expect(1, 92783, '\p{Is_Scx=  Mroo}', "");
Expect(0, 92783, '\p{^Is_Scx=  Mroo}', "");
Expect(0, 92783, '\P{Is_Scx=  Mroo}', "");
Expect(1, 92783, '\P{^Is_Scx=  Mroo}', "");
Expect(0, 92784, '\p{Is_Scx=  Mroo}', "");
Expect(1, 92784, '\p{^Is_Scx=  Mroo}', "");
Expect(1, 92784, '\P{Is_Scx=  Mroo}', "");
Expect(0, 92784, '\P{^Is_Scx=  Mroo}', "");
Error('\p{Script_Extensions=/a/Meetei_Mayek}');
Error('\P{Script_Extensions=/a/Meetei_Mayek}');
Expect(1, 44025, '\p{Script_Extensions=meeteimayek}', "");
Expect(0, 44025, '\p{^Script_Extensions=meeteimayek}', "");
Expect(0, 44025, '\P{Script_Extensions=meeteimayek}', "");
Expect(1, 44025, '\P{^Script_Extensions=meeteimayek}', "");
Expect(0, 44026, '\p{Script_Extensions=meeteimayek}', "");
Expect(1, 44026, '\p{^Script_Extensions=meeteimayek}', "");
Expect(1, 44026, '\P{Script_Extensions=meeteimayek}', "");
Expect(0, 44026, '\P{^Script_Extensions=meeteimayek}', "");
Expect(1, 44025, '\p{Script_Extensions:-_Meetei_Mayek}', "");
Expect(0, 44025, '\p{^Script_Extensions:-_Meetei_Mayek}', "");
Expect(0, 44025, '\P{Script_Extensions:-_Meetei_Mayek}', "");
Expect(1, 44025, '\P{^Script_Extensions:-_Meetei_Mayek}', "");
Expect(0, 44026, '\p{Script_Extensions:-_Meetei_Mayek}', "");
Expect(1, 44026, '\p{^Script_Extensions:-_Meetei_Mayek}', "");
Expect(1, 44026, '\P{Script_Extensions:-_Meetei_Mayek}', "");
Expect(0, 44026, '\P{^Script_Extensions:-_Meetei_Mayek}', "");
Error('\p{Scx=:=mtei}');
Error('\P{Scx=:=mtei}');
Expect(1, 44025, '\p{Scx=mtei}', "");
Expect(0, 44025, '\p{^Scx=mtei}', "");
Expect(0, 44025, '\P{Scx=mtei}', "");
Expect(1, 44025, '\P{^Scx=mtei}', "");
Expect(0, 44026, '\p{Scx=mtei}', "");
Expect(1, 44026, '\p{^Scx=mtei}', "");
Expect(1, 44026, '\P{Scx=mtei}', "");
Expect(0, 44026, '\P{^Scx=mtei}', "");
Expect(1, 44025, '\p{Scx=-	Mtei}', "");
Expect(0, 44025, '\p{^Scx=-	Mtei}', "");
Expect(0, 44025, '\P{Scx=-	Mtei}', "");
Expect(1, 44025, '\P{^Scx=-	Mtei}', "");
Expect(0, 44026, '\p{Scx=-	Mtei}', "");
Expect(1, 44026, '\p{^Scx=-	Mtei}', "");
Expect(1, 44026, '\P{Scx=-	Mtei}', "");
Expect(0, 44026, '\P{^Scx=-	Mtei}', "");
Error('\p{Is_Script_Extensions=	/a/Meetei_MAYEK}');
Error('\P{Is_Script_Extensions=	/a/Meetei_MAYEK}');
Expect(1, 44025, '\p{Is_Script_Extensions=meeteimayek}', "");
Expect(0, 44025, '\p{^Is_Script_Extensions=meeteimayek}', "");
Expect(0, 44025, '\P{Is_Script_Extensions=meeteimayek}', "");
Expect(1, 44025, '\P{^Is_Script_Extensions=meeteimayek}', "");
Expect(0, 44026, '\p{Is_Script_Extensions=meeteimayek}', "");
Expect(1, 44026, '\p{^Is_Script_Extensions=meeteimayek}', "");
Expect(1, 44026, '\P{Is_Script_Extensions=meeteimayek}', "");
Expect(0, 44026, '\P{^Is_Script_Extensions=meeteimayek}', "");
Expect(1, 44025, '\p{Is_Script_Extensions=Meetei_Mayek}', "");
Expect(0, 44025, '\p{^Is_Script_Extensions=Meetei_Mayek}', "");
Expect(0, 44025, '\P{Is_Script_Extensions=Meetei_Mayek}', "");
Expect(1, 44025, '\P{^Is_Script_Extensions=Meetei_Mayek}', "");
Expect(0, 44026, '\p{Is_Script_Extensions=Meetei_Mayek}', "");
Expect(1, 44026, '\p{^Is_Script_Extensions=Meetei_Mayek}', "");
Expect(1, 44026, '\P{Is_Script_Extensions=Meetei_Mayek}', "");
Expect(0, 44026, '\P{^Is_Script_Extensions=Meetei_Mayek}', "");
Error('\p{Is_Scx= MTEI/a/}');
Error('\P{Is_Scx= MTEI/a/}');
Expect(1, 44025, '\p{Is_Scx=mtei}', "");
Expect(0, 44025, '\p{^Is_Scx=mtei}', "");
Expect(0, 44025, '\P{Is_Scx=mtei}', "");
Expect(1, 44025, '\P{^Is_Scx=mtei}', "");
Expect(0, 44026, '\p{Is_Scx=mtei}', "");
Expect(1, 44026, '\p{^Is_Scx=mtei}', "");
Expect(1, 44026, '\P{Is_Scx=mtei}', "");
Expect(0, 44026, '\P{^Is_Scx=mtei}', "");
Expect(1, 44025, '\p{Is_Scx= 	Mtei}', "");
Expect(0, 44025, '\p{^Is_Scx= 	Mtei}', "");
Expect(0, 44025, '\P{Is_Scx= 	Mtei}', "");
Expect(1, 44025, '\P{^Is_Scx= 	Mtei}', "");
Expect(0, 44026, '\p{Is_Scx= 	Mtei}', "");
Expect(1, 44026, '\p{^Is_Scx= 	Mtei}', "");
Expect(1, 44026, '\P{Is_Scx= 	Mtei}', "");
Expect(0, 44026, '\P{^Is_Scx= 	Mtei}', "");
Error('\p{Script_Extensions=_multani:=}');
Error('\P{Script_Extensions=_multani:=}');
Expect(1, 70313, '\p{Script_Extensions=multani}', "");
Expect(0, 70313, '\p{^Script_Extensions=multani}', "");
Expect(0, 70313, '\P{Script_Extensions=multani}', "");
Expect(1, 70313, '\P{^Script_Extensions=multani}', "");
Expect(0, 70314, '\p{Script_Extensions=multani}', "");
Expect(1, 70314, '\p{^Script_Extensions=multani}', "");
Expect(1, 70314, '\P{Script_Extensions=multani}', "");
Expect(0, 70314, '\P{^Script_Extensions=multani}', "");
Expect(1, 70313, '\p{Script_Extensions=Multani}', "");
Expect(0, 70313, '\p{^Script_Extensions=Multani}', "");
Expect(0, 70313, '\P{Script_Extensions=Multani}', "");
Expect(1, 70313, '\P{^Script_Extensions=Multani}', "");
Expect(0, 70314, '\p{Script_Extensions=Multani}', "");
Expect(1, 70314, '\p{^Script_Extensions=Multani}', "");
Expect(1, 70314, '\P{Script_Extensions=Multani}', "");
Expect(0, 70314, '\P{^Script_Extensions=Multani}', "");
Error('\p{Scx:/a/ _MULT}');
Error('\P{Scx:/a/ _MULT}');
Expect(1, 70313, '\p{Scx=mult}', "");
Expect(0, 70313, '\p{^Scx=mult}', "");
Expect(0, 70313, '\P{Scx=mult}', "");
Expect(1, 70313, '\P{^Scx=mult}', "");
Expect(0, 70314, '\p{Scx=mult}', "");
Expect(1, 70314, '\p{^Scx=mult}', "");
Expect(1, 70314, '\P{Scx=mult}', "");
Expect(0, 70314, '\P{^Scx=mult}', "");
Expect(1, 70313, '\p{Scx=_mult}', "");
Expect(0, 70313, '\p{^Scx=_mult}', "");
Expect(0, 70313, '\P{Scx=_mult}', "");
Expect(1, 70313, '\P{^Scx=_mult}', "");
Expect(0, 70314, '\p{Scx=_mult}', "");
Expect(1, 70314, '\p{^Scx=_mult}', "");
Expect(1, 70314, '\P{Scx=_mult}', "");
Expect(0, 70314, '\P{^Scx=_mult}', "");
Error('\p{Is_Script_Extensions=:=_Multani}');
Error('\P{Is_Script_Extensions=:=_Multani}');
Expect(1, 70313, '\p{Is_Script_Extensions=multani}', "");
Expect(0, 70313, '\p{^Is_Script_Extensions=multani}', "");
Expect(0, 70313, '\P{Is_Script_Extensions=multani}', "");
Expect(1, 70313, '\P{^Is_Script_Extensions=multani}', "");
Expect(0, 70314, '\p{Is_Script_Extensions=multani}', "");
Expect(1, 70314, '\p{^Is_Script_Extensions=multani}', "");
Expect(1, 70314, '\P{Is_Script_Extensions=multani}', "");
Expect(0, 70314, '\P{^Is_Script_Extensions=multani}', "");
Expect(1, 70313, '\p{Is_Script_Extensions=--Multani}', "");
Expect(0, 70313, '\p{^Is_Script_Extensions=--Multani}', "");
Expect(0, 70313, '\P{Is_Script_Extensions=--Multani}', "");
Expect(1, 70313, '\P{^Is_Script_Extensions=--Multani}', "");
Expect(0, 70314, '\p{Is_Script_Extensions=--Multani}', "");
Expect(1, 70314, '\p{^Is_Script_Extensions=--Multani}', "");
Expect(1, 70314, '\P{Is_Script_Extensions=--Multani}', "");
Expect(0, 70314, '\P{^Is_Script_Extensions=--Multani}', "");
Error('\p{Is_Scx=	:=MULT}');
Error('\P{Is_Scx=	:=MULT}');
Expect(1, 70313, '\p{Is_Scx=mult}', "");
Expect(0, 70313, '\p{^Is_Scx=mult}', "");
Expect(0, 70313, '\P{Is_Scx=mult}', "");
Expect(1, 70313, '\P{^Is_Scx=mult}', "");
Expect(0, 70314, '\p{Is_Scx=mult}', "");
Expect(1, 70314, '\p{^Is_Scx=mult}', "");
Expect(1, 70314, '\P{Is_Scx=mult}', "");
Expect(0, 70314, '\P{^Is_Scx=mult}', "");
Expect(1, 70313, '\p{Is_Scx=-MULT}', "");
Expect(0, 70313, '\p{^Is_Scx=-MULT}', "");
Expect(0, 70313, '\P{Is_Scx=-MULT}', "");
Expect(1, 70313, '\P{^Is_Scx=-MULT}', "");
Expect(0, 70314, '\p{Is_Scx=-MULT}', "");
Expect(1, 70314, '\p{^Is_Scx=-MULT}', "");
Expect(1, 70314, '\P{Is_Scx=-MULT}', "");
Expect(0, 70314, '\P{^Is_Scx=-MULT}', "");
Error('\p{Script_Extensions=_ MYANMAR/a/}');
Error('\P{Script_Extensions=_ MYANMAR/a/}');
Expect(1, 43647, '\p{Script_Extensions=myanmar}', "");
Expect(0, 43647, '\p{^Script_Extensions=myanmar}', "");
Expect(0, 43647, '\P{Script_Extensions=myanmar}', "");
Expect(1, 43647, '\P{^Script_Extensions=myanmar}', "");
Expect(0, 43648, '\p{Script_Extensions=myanmar}', "");
Expect(1, 43648, '\p{^Script_Extensions=myanmar}', "");
Expect(1, 43648, '\P{Script_Extensions=myanmar}', "");
Expect(0, 43648, '\P{^Script_Extensions=myanmar}', "");
Expect(1, 43647, '\p{Script_Extensions= Myanmar}', "");
Expect(0, 43647, '\p{^Script_Extensions= Myanmar}', "");
Expect(0, 43647, '\P{Script_Extensions= Myanmar}', "");
Expect(1, 43647, '\P{^Script_Extensions= Myanmar}', "");
Expect(0, 43648, '\p{Script_Extensions= Myanmar}', "");
Expect(1, 43648, '\p{^Script_Extensions= Myanmar}', "");
Expect(1, 43648, '\P{Script_Extensions= Myanmar}', "");
Expect(0, 43648, '\P{^Script_Extensions= Myanmar}', "");
Error('\p{Scx=/a/ Mymr}');
Error('\P{Scx=/a/ Mymr}');
Expect(1, 43647, '\p{Scx=mymr}', "");
Expect(0, 43647, '\p{^Scx=mymr}', "");
Expect(0, 43647, '\P{Scx=mymr}', "");
Expect(1, 43647, '\P{^Scx=mymr}', "");
Expect(0, 43648, '\p{Scx=mymr}', "");
Expect(1, 43648, '\p{^Scx=mymr}', "");
Expect(1, 43648, '\P{Scx=mymr}', "");
Expect(0, 43648, '\P{^Scx=mymr}', "");
Expect(1, 43647, '\p{Scx= MYMR}', "");
Expect(0, 43647, '\p{^Scx= MYMR}', "");
Expect(0, 43647, '\P{Scx= MYMR}', "");
Expect(1, 43647, '\P{^Scx= MYMR}', "");
Expect(0, 43648, '\p{Scx= MYMR}', "");
Expect(1, 43648, '\p{^Scx= MYMR}', "");
Expect(1, 43648, '\P{Scx= MYMR}', "");
Expect(0, 43648, '\P{^Scx= MYMR}', "");
Error('\p{Is_Script_Extensions=	MYANMAR/a/}');
Error('\P{Is_Script_Extensions=	MYANMAR/a/}');
Expect(1, 43647, '\p{Is_Script_Extensions=myanmar}', "");
Expect(0, 43647, '\p{^Is_Script_Extensions=myanmar}', "");
Expect(0, 43647, '\P{Is_Script_Extensions=myanmar}', "");
Expect(1, 43647, '\P{^Is_Script_Extensions=myanmar}', "");
Expect(0, 43648, '\p{Is_Script_Extensions=myanmar}', "");
Expect(1, 43648, '\p{^Is_Script_Extensions=myanmar}', "");
Expect(1, 43648, '\P{Is_Script_Extensions=myanmar}', "");
Expect(0, 43648, '\P{^Is_Script_Extensions=myanmar}', "");
Expect(1, 43647, '\p{Is_Script_Extensions=- Myanmar}', "");
Expect(0, 43647, '\p{^Is_Script_Extensions=- Myanmar}', "");
Expect(0, 43647, '\P{Is_Script_Extensions=- Myanmar}', "");
Expect(1, 43647, '\P{^Is_Script_Extensions=- Myanmar}', "");
Expect(0, 43648, '\p{Is_Script_Extensions=- Myanmar}', "");
Expect(1, 43648, '\p{^Is_Script_Extensions=- Myanmar}', "");
Expect(1, 43648, '\P{Is_Script_Extensions=- Myanmar}', "");
Expect(0, 43648, '\P{^Is_Script_Extensions=- Myanmar}', "");
Error('\p{Is_Scx=/a/Mymr}');
Error('\P{Is_Scx=/a/Mymr}');
Expect(1, 43647, '\p{Is_Scx=mymr}', "");
Expect(0, 43647, '\p{^Is_Scx=mymr}', "");
Expect(0, 43647, '\P{Is_Scx=mymr}', "");
Expect(1, 43647, '\P{^Is_Scx=mymr}', "");
Expect(0, 43648, '\p{Is_Scx=mymr}', "");
Expect(1, 43648, '\p{^Is_Scx=mymr}', "");
Expect(1, 43648, '\P{Is_Scx=mymr}', "");
Expect(0, 43648, '\P{^Is_Scx=mymr}', "");
Expect(1, 43647, '\p{Is_Scx=_Mymr}', "");
Expect(0, 43647, '\p{^Is_Scx=_Mymr}', "");
Expect(0, 43647, '\P{Is_Scx=_Mymr}', "");
Expect(1, 43647, '\P{^Is_Scx=_Mymr}', "");
Expect(0, 43648, '\p{Is_Scx=_Mymr}', "");
Expect(1, 43648, '\p{^Is_Scx=_Mymr}', "");
Expect(1, 43648, '\P{Is_Scx=_Mymr}', "");
Expect(0, 43648, '\P{^Is_Scx=_Mymr}', "");
Error('\p{Script_Extensions=-:=Old_North_arabian}');
Error('\P{Script_Extensions=-:=Old_North_arabian}');
Expect(1, 68255, '\p{Script_Extensions=oldnortharabian}', "");
Expect(0, 68255, '\p{^Script_Extensions=oldnortharabian}', "");
Expect(0, 68255, '\P{Script_Extensions=oldnortharabian}', "");
Expect(1, 68255, '\P{^Script_Extensions=oldnortharabian}', "");
Expect(0, 68256, '\p{Script_Extensions=oldnortharabian}', "");
Expect(1, 68256, '\p{^Script_Extensions=oldnortharabian}', "");
Expect(1, 68256, '\P{Script_Extensions=oldnortharabian}', "");
Expect(0, 68256, '\P{^Script_Extensions=oldnortharabian}', "");
Expect(1, 68255, '\p{Script_Extensions=	old_North_Arabian}', "");
Expect(0, 68255, '\p{^Script_Extensions=	old_North_Arabian}', "");
Expect(0, 68255, '\P{Script_Extensions=	old_North_Arabian}', "");
Expect(1, 68255, '\P{^Script_Extensions=	old_North_Arabian}', "");
Expect(0, 68256, '\p{Script_Extensions=	old_North_Arabian}', "");
Expect(1, 68256, '\p{^Script_Extensions=	old_North_Arabian}', "");
Expect(1, 68256, '\P{Script_Extensions=	old_North_Arabian}', "");
Expect(0, 68256, '\P{^Script_Extensions=	old_North_Arabian}', "");
Error('\p{Scx=_/a/NARB}');
Error('\P{Scx=_/a/NARB}');
Expect(1, 68255, '\p{Scx=narb}', "");
Expect(0, 68255, '\p{^Scx=narb}', "");
Expect(0, 68255, '\P{Scx=narb}', "");
Expect(1, 68255, '\P{^Scx=narb}', "");
Expect(0, 68256, '\p{Scx=narb}', "");
Expect(1, 68256, '\p{^Scx=narb}', "");
Expect(1, 68256, '\P{Scx=narb}', "");
Expect(0, 68256, '\P{^Scx=narb}', "");
Expect(1, 68255, '\p{Scx=-	Narb}', "");
Expect(0, 68255, '\p{^Scx=-	Narb}', "");
Expect(0, 68255, '\P{Scx=-	Narb}', "");
Expect(1, 68255, '\P{^Scx=-	Narb}', "");
Expect(0, 68256, '\p{Scx=-	Narb}', "");
Expect(1, 68256, '\p{^Scx=-	Narb}', "");
Expect(1, 68256, '\P{Scx=-	Narb}', "");
Expect(0, 68256, '\P{^Scx=-	Narb}', "");
Error('\p{Is_Script_Extensions: _-old_north_Arabian:=}');
Error('\P{Is_Script_Extensions: _-old_north_Arabian:=}');
Expect(1, 68255, '\p{Is_Script_Extensions=oldnortharabian}', "");
Expect(0, 68255, '\p{^Is_Script_Extensions=oldnortharabian}', "");
Expect(0, 68255, '\P{Is_Script_Extensions=oldnortharabian}', "");
Expect(1, 68255, '\P{^Is_Script_Extensions=oldnortharabian}', "");
Expect(0, 68256, '\p{Is_Script_Extensions=oldnortharabian}', "");
Expect(1, 68256, '\p{^Is_Script_Extensions=oldnortharabian}', "");
Expect(1, 68256, '\P{Is_Script_Extensions=oldnortharabian}', "");
Expect(0, 68256, '\P{^Is_Script_Extensions=oldnortharabian}', "");
Expect(1, 68255, '\p{Is_Script_Extensions=	old_North_Arabian}', "");
Expect(0, 68255, '\p{^Is_Script_Extensions=	old_North_Arabian}', "");
Expect(0, 68255, '\P{Is_Script_Extensions=	old_North_Arabian}', "");
Expect(1, 68255, '\P{^Is_Script_Extensions=	old_North_Arabian}', "");
Expect(0, 68256, '\p{Is_Script_Extensions=	old_North_Arabian}', "");
Expect(1, 68256, '\p{^Is_Script_Extensions=	old_North_Arabian}', "");
Expect(1, 68256, '\P{Is_Script_Extensions=	old_North_Arabian}', "");
Expect(0, 68256, '\P{^Is_Script_Extensions=	old_North_Arabian}', "");
Error('\p{Is_Scx=/a/__NARB}');
Error('\P{Is_Scx=/a/__NARB}');
Expect(1, 68255, '\p{Is_Scx:	narb}', "");
Expect(0, 68255, '\p{^Is_Scx:	narb}', "");
Expect(0, 68255, '\P{Is_Scx:	narb}', "");
Expect(1, 68255, '\P{^Is_Scx:	narb}', "");
Expect(0, 68256, '\p{Is_Scx:	narb}', "");
Expect(1, 68256, '\p{^Is_Scx:	narb}', "");
Expect(1, 68256, '\P{Is_Scx:	narb}', "");
Expect(0, 68256, '\P{^Is_Scx:	narb}', "");
Expect(1, 68255, '\p{Is_Scx=-_NARB}', "");
Expect(0, 68255, '\p{^Is_Scx=-_NARB}', "");
Expect(0, 68255, '\P{Is_Scx=-_NARB}', "");
Expect(1, 68255, '\P{^Is_Scx=-_NARB}', "");
Expect(0, 68256, '\p{Is_Scx=-_NARB}', "");
Expect(1, 68256, '\p{^Is_Scx=-_NARB}', "");
Expect(1, 68256, '\P{Is_Scx=-_NARB}', "");
Expect(0, 68256, '\P{^Is_Scx=-_NARB}', "");
Error('\p{Script_Extensions=/a/_ Nabataean}');
Error('\P{Script_Extensions=/a/_ Nabataean}');
Expect(1, 67759, '\p{Script_Extensions=nabataean}', "");
Expect(0, 67759, '\p{^Script_Extensions=nabataean}', "");
Expect(0, 67759, '\P{Script_Extensions=nabataean}', "");
Expect(1, 67759, '\P{^Script_Extensions=nabataean}', "");
Expect(0, 67760, '\p{Script_Extensions=nabataean}', "");
Expect(1, 67760, '\p{^Script_Extensions=nabataean}', "");
Expect(1, 67760, '\P{Script_Extensions=nabataean}', "");
Expect(0, 67760, '\P{^Script_Extensions=nabataean}', "");
Expect(1, 67759, '\p{Script_Extensions= nabataean}', "");
Expect(0, 67759, '\p{^Script_Extensions= nabataean}', "");
Expect(0, 67759, '\P{Script_Extensions= nabataean}', "");
Expect(1, 67759, '\P{^Script_Extensions= nabataean}', "");
Expect(0, 67760, '\p{Script_Extensions= nabataean}', "");
Expect(1, 67760, '\p{^Script_Extensions= nabataean}', "");
Expect(1, 67760, '\P{Script_Extensions= nabataean}', "");
Expect(0, 67760, '\P{^Script_Extensions= nabataean}', "");
Error('\p{Scx= :=Nbat}');
Error('\P{Scx= :=Nbat}');
Expect(1, 67759, '\p{Scx=nbat}', "");
Expect(0, 67759, '\p{^Scx=nbat}', "");
Expect(0, 67759, '\P{Scx=nbat}', "");
Expect(1, 67759, '\P{^Scx=nbat}', "");
Expect(0, 67760, '\p{Scx=nbat}', "");
Expect(1, 67760, '\p{^Scx=nbat}', "");
Expect(1, 67760, '\P{Scx=nbat}', "");
Expect(0, 67760, '\P{^Scx=nbat}', "");
Expect(1, 67759, '\p{Scx=	_NBAT}', "");
Expect(0, 67759, '\p{^Scx=	_NBAT}', "");
Expect(0, 67759, '\P{Scx=	_NBAT}', "");
Expect(1, 67759, '\P{^Scx=	_NBAT}', "");
Expect(0, 67760, '\p{Scx=	_NBAT}', "");
Expect(1, 67760, '\p{^Scx=	_NBAT}', "");
Expect(1, 67760, '\P{Scx=	_NBAT}', "");
Expect(0, 67760, '\P{^Scx=	_NBAT}', "");
Error('\p{Is_Script_Extensions=:=	-nabataean}');
Error('\P{Is_Script_Extensions=:=	-nabataean}');
Expect(1, 67759, '\p{Is_Script_Extensions=nabataean}', "");
Expect(0, 67759, '\p{^Is_Script_Extensions=nabataean}', "");
Expect(0, 67759, '\P{Is_Script_Extensions=nabataean}', "");
Expect(1, 67759, '\P{^Is_Script_Extensions=nabataean}', "");
Expect(0, 67760, '\p{Is_Script_Extensions=nabataean}', "");
Expect(1, 67760, '\p{^Is_Script_Extensions=nabataean}', "");
Expect(1, 67760, '\P{Is_Script_Extensions=nabataean}', "");
Expect(0, 67760, '\P{^Is_Script_Extensions=nabataean}', "");
Expect(1, 67759, '\p{Is_Script_Extensions=_ Nabataean}', "");
Expect(0, 67759, '\p{^Is_Script_Extensions=_ Nabataean}', "");
Expect(0, 67759, '\P{Is_Script_Extensions=_ Nabataean}', "");
Expect(1, 67759, '\P{^Is_Script_Extensions=_ Nabataean}', "");
Expect(0, 67760, '\p{Is_Script_Extensions=_ Nabataean}', "");
Expect(1, 67760, '\p{^Is_Script_Extensions=_ Nabataean}', "");
Expect(1, 67760, '\P{Is_Script_Extensions=_ Nabataean}', "");
Expect(0, 67760, '\P{^Is_Script_Extensions=_ Nabataean}', "");
Error('\p{Is_Scx=- Nbat:=}');
Error('\P{Is_Scx=- Nbat:=}');
Expect(1, 67759, '\p{Is_Scx=nbat}', "");
Expect(0, 67759, '\p{^Is_Scx=nbat}', "");
Expect(0, 67759, '\P{Is_Scx=nbat}', "");
Expect(1, 67759, '\P{^Is_Scx=nbat}', "");
Expect(0, 67760, '\p{Is_Scx=nbat}', "");
Expect(1, 67760, '\p{^Is_Scx=nbat}', "");
Expect(1, 67760, '\P{Is_Scx=nbat}', "");
Expect(0, 67760, '\P{^Is_Scx=nbat}', "");
Expect(1, 67759, '\p{Is_Scx=_Nbat}', "");
Expect(0, 67759, '\p{^Is_Scx=_Nbat}', "");
Expect(0, 67759, '\P{Is_Scx=_Nbat}', "");
Expect(1, 67759, '\P{^Is_Scx=_Nbat}', "");
Expect(0, 67760, '\p{Is_Scx=_Nbat}', "");
Expect(1, 67760, '\p{^Is_Scx=_Nbat}', "");
Expect(1, 67760, '\P{Is_Scx=_Nbat}', "");
Expect(0, 67760, '\P{^Is_Scx=_Nbat}', "");
Error('\p{Script_Extensions=_/a/NKO}');
Error('\P{Script_Extensions=_/a/NKO}');
Expect(1, 2042, '\p{Script_Extensions:nko}', "");
Expect(0, 2042, '\p{^Script_Extensions:nko}', "");
Expect(0, 2042, '\P{Script_Extensions:nko}', "");
Expect(1, 2042, '\P{^Script_Extensions:nko}', "");
Expect(0, 2043, '\p{Script_Extensions:nko}', "");
Expect(1, 2043, '\p{^Script_Extensions:nko}', "");
Expect(1, 2043, '\P{Script_Extensions:nko}', "");
Expect(0, 2043, '\P{^Script_Extensions:nko}', "");
Expect(1, 2042, '\p{Script_Extensions=_nko}', "");
Expect(0, 2042, '\p{^Script_Extensions=_nko}', "");
Expect(0, 2042, '\P{Script_Extensions=_nko}', "");
Expect(1, 2042, '\P{^Script_Extensions=_nko}', "");
Expect(0, 2043, '\p{Script_Extensions=_nko}', "");
Expect(1, 2043, '\p{^Script_Extensions=_nko}', "");
Expect(1, 2043, '\P{Script_Extensions=_nko}', "");
Expect(0, 2043, '\P{^Script_Extensions=_nko}', "");
Error('\p{Scx=:=_	Nkoo}');
Error('\P{Scx=:=_	Nkoo}');
Expect(1, 2042, '\p{Scx=nkoo}', "");
Expect(0, 2042, '\p{^Scx=nkoo}', "");
Expect(0, 2042, '\P{Scx=nkoo}', "");
Expect(1, 2042, '\P{^Scx=nkoo}', "");
Expect(0, 2043, '\p{Scx=nkoo}', "");
Expect(1, 2043, '\p{^Scx=nkoo}', "");
Expect(1, 2043, '\P{Scx=nkoo}', "");
Expect(0, 2043, '\P{^Scx=nkoo}', "");
Expect(1, 2042, '\p{Scx=	-NKOO}', "");
Expect(0, 2042, '\p{^Scx=	-NKOO}', "");
Expect(0, 2042, '\P{Scx=	-NKOO}', "");
Expect(1, 2042, '\P{^Scx=	-NKOO}', "");
Expect(0, 2043, '\p{Scx=	-NKOO}', "");
Expect(1, 2043, '\p{^Scx=	-NKOO}', "");
Expect(1, 2043, '\P{Scx=	-NKOO}', "");
Expect(0, 2043, '\P{^Scx=	-NKOO}', "");
Error('\p{Is_Script_Extensions=-/a/NKO}');
Error('\P{Is_Script_Extensions=-/a/NKO}');
Expect(1, 2042, '\p{Is_Script_Extensions=nko}', "");
Expect(0, 2042, '\p{^Is_Script_Extensions=nko}', "");
Expect(0, 2042, '\P{Is_Script_Extensions=nko}', "");
Expect(1, 2042, '\P{^Is_Script_Extensions=nko}', "");
Expect(0, 2043, '\p{Is_Script_Extensions=nko}', "");
Expect(1, 2043, '\p{^Is_Script_Extensions=nko}', "");
Expect(1, 2043, '\P{Is_Script_Extensions=nko}', "");
Expect(0, 2043, '\P{^Is_Script_Extensions=nko}', "");
Expect(1, 2042, '\p{Is_Script_Extensions=- NKO}', "");
Expect(0, 2042, '\p{^Is_Script_Extensions=- NKO}', "");
Expect(0, 2042, '\P{Is_Script_Extensions=- NKO}', "");
Expect(1, 2042, '\P{^Is_Script_Extensions=- NKO}', "");
Expect(0, 2043, '\p{Is_Script_Extensions=- NKO}', "");
Expect(1, 2043, '\p{^Is_Script_Extensions=- NKO}', "");
Expect(1, 2043, '\P{Is_Script_Extensions=- NKO}', "");
Expect(0, 2043, '\P{^Is_Script_Extensions=- NKO}', "");
Error('\p{Is_Scx=_:=nkoo}');
Error('\P{Is_Scx=_:=nkoo}');
Expect(1, 2042, '\p{Is_Scx:	nkoo}', "");
Expect(0, 2042, '\p{^Is_Scx:	nkoo}', "");
Expect(0, 2042, '\P{Is_Scx:	nkoo}', "");
Expect(1, 2042, '\P{^Is_Scx:	nkoo}', "");
Expect(0, 2043, '\p{Is_Scx:	nkoo}', "");
Expect(1, 2043, '\p{^Is_Scx:	nkoo}', "");
Expect(1, 2043, '\P{Is_Scx:	nkoo}', "");
Expect(0, 2043, '\P{^Is_Scx:	nkoo}', "");
Expect(1, 2042, '\p{Is_Scx=- Nkoo}', "");
Expect(0, 2042, '\p{^Is_Scx=- Nkoo}', "");
Expect(0, 2042, '\P{Is_Scx=- Nkoo}', "");
Expect(1, 2042, '\P{^Is_Scx=- Nkoo}', "");
Expect(0, 2043, '\p{Is_Scx=- Nkoo}', "");
Expect(1, 2043, '\p{^Is_Scx=- Nkoo}', "");
Expect(1, 2043, '\P{Is_Scx=- Nkoo}', "");
Expect(0, 2043, '\P{^Is_Scx=- Nkoo}', "");
Error('\p{Script_Extensions=-:=OGHAM}');
Error('\P{Script_Extensions=-:=OGHAM}');
Expect(1, 5788, '\p{Script_Extensions=ogham}', "");
Expect(0, 5788, '\p{^Script_Extensions=ogham}', "");
Expect(0, 5788, '\P{Script_Extensions=ogham}', "");
Expect(1, 5788, '\P{^Script_Extensions=ogham}', "");
Expect(0, 5789, '\p{Script_Extensions=ogham}', "");
Expect(1, 5789, '\p{^Script_Extensions=ogham}', "");
Expect(1, 5789, '\P{Script_Extensions=ogham}', "");
Expect(0, 5789, '\P{^Script_Extensions=ogham}', "");
Expect(1, 5788, '\p{Script_Extensions=- ogham}', "");
Expect(0, 5788, '\p{^Script_Extensions=- ogham}', "");
Expect(0, 5788, '\P{Script_Extensions=- ogham}', "");
Expect(1, 5788, '\P{^Script_Extensions=- ogham}', "");
Expect(0, 5789, '\p{Script_Extensions=- ogham}', "");
Expect(1, 5789, '\p{^Script_Extensions=- ogham}', "");
Expect(1, 5789, '\P{Script_Extensions=- ogham}', "");
Expect(0, 5789, '\P{^Script_Extensions=- ogham}', "");
Error('\p{Scx=-/a/Ogam}');
Error('\P{Scx=-/a/Ogam}');
Expect(1, 5788, '\p{Scx=ogam}', "");
Expect(0, 5788, '\p{^Scx=ogam}', "");
Expect(0, 5788, '\P{Scx=ogam}', "");
Expect(1, 5788, '\P{^Scx=ogam}', "");
Expect(0, 5789, '\p{Scx=ogam}', "");
Expect(1, 5789, '\p{^Scx=ogam}', "");
Expect(1, 5789, '\P{Scx=ogam}', "");
Expect(0, 5789, '\P{^Scx=ogam}', "");
Expect(1, 5788, '\p{Scx=_ OGAM}', "");
Expect(0, 5788, '\p{^Scx=_ OGAM}', "");
Expect(0, 5788, '\P{Scx=_ OGAM}', "");
Expect(1, 5788, '\P{^Scx=_ OGAM}', "");
Expect(0, 5789, '\p{Scx=_ OGAM}', "");
Expect(1, 5789, '\p{^Scx=_ OGAM}', "");
Expect(1, 5789, '\P{Scx=_ OGAM}', "");
Expect(0, 5789, '\P{^Scx=_ OGAM}', "");
Error('\p{Is_Script_Extensions:_ogham:=}');
Error('\P{Is_Script_Extensions:_ogham:=}');
Expect(1, 5788, '\p{Is_Script_Extensions=ogham}', "");
Expect(0, 5788, '\p{^Is_Script_Extensions=ogham}', "");
Expect(0, 5788, '\P{Is_Script_Extensions=ogham}', "");
Expect(1, 5788, '\P{^Is_Script_Extensions=ogham}', "");
Expect(0, 5789, '\p{Is_Script_Extensions=ogham}', "");
Expect(1, 5789, '\p{^Is_Script_Extensions=ogham}', "");
Expect(1, 5789, '\P{Is_Script_Extensions=ogham}', "");
Expect(0, 5789, '\P{^Is_Script_Extensions=ogham}', "");
Expect(1, 5788, '\p{Is_Script_Extensions:__Ogham}', "");
Expect(0, 5788, '\p{^Is_Script_Extensions:__Ogham}', "");
Expect(0, 5788, '\P{Is_Script_Extensions:__Ogham}', "");
Expect(1, 5788, '\P{^Is_Script_Extensions:__Ogham}', "");
Expect(0, 5789, '\p{Is_Script_Extensions:__Ogham}', "");
Expect(1, 5789, '\p{^Is_Script_Extensions:__Ogham}', "");
Expect(1, 5789, '\P{Is_Script_Extensions:__Ogham}', "");
Expect(0, 5789, '\P{^Is_Script_Extensions:__Ogham}', "");
Error('\p{Is_Scx=/a/  OGAM}');
Error('\P{Is_Scx=/a/  OGAM}');
Expect(1, 5788, '\p{Is_Scx=ogam}', "");
Expect(0, 5788, '\p{^Is_Scx=ogam}', "");
Expect(0, 5788, '\P{Is_Scx=ogam}', "");
Expect(1, 5788, '\P{^Is_Scx=ogam}', "");
Expect(0, 5789, '\p{Is_Scx=ogam}', "");
Expect(1, 5789, '\p{^Is_Scx=ogam}', "");
Expect(1, 5789, '\P{Is_Scx=ogam}', "");
Expect(0, 5789, '\P{^Is_Scx=ogam}', "");
Expect(1, 5788, '\p{Is_Scx=  ogam}', "");
Expect(0, 5788, '\p{^Is_Scx=  ogam}', "");
Expect(0, 5788, '\P{Is_Scx=  ogam}', "");
Expect(1, 5788, '\P{^Is_Scx=  ogam}', "");
Expect(0, 5789, '\p{Is_Scx=  ogam}', "");
Expect(1, 5789, '\p{^Is_Scx=  ogam}', "");
Expect(1, 5789, '\P{Is_Scx=  ogam}', "");
Expect(0, 5789, '\P{^Is_Scx=  ogam}', "");
Error('\p{Script_Extensions=:=		Ol_chiki}');
Error('\P{Script_Extensions=:=		Ol_chiki}');
Expect(1, 7295, '\p{Script_Extensions=olchiki}', "");
Expect(0, 7295, '\p{^Script_Extensions=olchiki}', "");
Expect(0, 7295, '\P{Script_Extensions=olchiki}', "");
Expect(1, 7295, '\P{^Script_Extensions=olchiki}', "");
Expect(0, 7296, '\p{Script_Extensions=olchiki}', "");
Expect(1, 7296, '\p{^Script_Extensions=olchiki}', "");
Expect(1, 7296, '\P{Script_Extensions=olchiki}', "");
Expect(0, 7296, '\P{^Script_Extensions=olchiki}', "");
Expect(1, 7295, '\p{Script_Extensions=-ol_Chiki}', "");
Expect(0, 7295, '\p{^Script_Extensions=-ol_Chiki}', "");
Expect(0, 7295, '\P{Script_Extensions=-ol_Chiki}', "");
Expect(1, 7295, '\P{^Script_Extensions=-ol_Chiki}', "");
Expect(0, 7296, '\p{Script_Extensions=-ol_Chiki}', "");
Expect(1, 7296, '\p{^Script_Extensions=-ol_Chiki}', "");
Expect(1, 7296, '\P{Script_Extensions=-ol_Chiki}', "");
Expect(0, 7296, '\P{^Script_Extensions=-ol_Chiki}', "");
Error('\p{Scx= Olck/a/}');
Error('\P{Scx= Olck/a/}');
Expect(1, 7295, '\p{Scx=olck}', "");
Expect(0, 7295, '\p{^Scx=olck}', "");
Expect(0, 7295, '\P{Scx=olck}', "");
Expect(1, 7295, '\P{^Scx=olck}', "");
Expect(0, 7296, '\p{Scx=olck}', "");
Expect(1, 7296, '\p{^Scx=olck}', "");
Expect(1, 7296, '\P{Scx=olck}', "");
Expect(0, 7296, '\P{^Scx=olck}', "");
Expect(1, 7295, '\p{Scx=_ OLCK}', "");
Expect(0, 7295, '\p{^Scx=_ OLCK}', "");
Expect(0, 7295, '\P{Scx=_ OLCK}', "");
Expect(1, 7295, '\P{^Scx=_ OLCK}', "");
Expect(0, 7296, '\p{Scx=_ OLCK}', "");
Expect(1, 7296, '\p{^Scx=_ OLCK}', "");
Expect(1, 7296, '\P{Scx=_ OLCK}', "");
Expect(0, 7296, '\P{^Scx=_ OLCK}', "");
Error('\p{Is_Script_Extensions=-:=Ol_CHIKI}');
Error('\P{Is_Script_Extensions=-:=Ol_CHIKI}');
Expect(1, 7295, '\p{Is_Script_Extensions:	olchiki}', "");
Expect(0, 7295, '\p{^Is_Script_Extensions:	olchiki}', "");
Expect(0, 7295, '\P{Is_Script_Extensions:	olchiki}', "");
Expect(1, 7295, '\P{^Is_Script_Extensions:	olchiki}', "");
Expect(0, 7296, '\p{Is_Script_Extensions:	olchiki}', "");
Expect(1, 7296, '\p{^Is_Script_Extensions:	olchiki}', "");
Expect(1, 7296, '\P{Is_Script_Extensions:	olchiki}', "");
Expect(0, 7296, '\P{^Is_Script_Extensions:	olchiki}', "");
Expect(1, 7295, '\p{Is_Script_Extensions= ol_Chiki}', "");
Expect(0, 7295, '\p{^Is_Script_Extensions= ol_Chiki}', "");
Expect(0, 7295, '\P{Is_Script_Extensions= ol_Chiki}', "");
Expect(1, 7295, '\P{^Is_Script_Extensions= ol_Chiki}', "");
Expect(0, 7296, '\p{Is_Script_Extensions= ol_Chiki}', "");
Expect(1, 7296, '\p{^Is_Script_Extensions= ol_Chiki}', "");
Expect(1, 7296, '\P{Is_Script_Extensions= ol_Chiki}', "");
Expect(0, 7296, '\P{^Is_Script_Extensions= ol_Chiki}', "");
Error('\p{Is_Scx= 	Olck/a/}');
Error('\P{Is_Scx= 	Olck/a/}');
Expect(1, 7295, '\p{Is_Scx=olck}', "");
Expect(0, 7295, '\p{^Is_Scx=olck}', "");
Expect(0, 7295, '\P{Is_Scx=olck}', "");
Expect(1, 7295, '\P{^Is_Scx=olck}', "");
Expect(0, 7296, '\p{Is_Scx=olck}', "");
Expect(1, 7296, '\p{^Is_Scx=olck}', "");
Expect(1, 7296, '\P{Is_Scx=olck}', "");
Expect(0, 7296, '\P{^Is_Scx=olck}', "");
Expect(1, 7295, '\p{Is_Scx= -Olck}', "");
Expect(0, 7295, '\p{^Is_Scx= -Olck}', "");
Expect(0, 7295, '\P{Is_Scx= -Olck}', "");
Expect(1, 7295, '\P{^Is_Scx= -Olck}', "");
Expect(0, 7296, '\p{Is_Scx= -Olck}', "");
Expect(1, 7296, '\p{^Is_Scx= -Olck}', "");
Expect(1, 7296, '\P{Is_Scx= -Olck}', "");
Expect(0, 7296, '\P{^Is_Scx= -Olck}', "");
Error('\p{Script_Extensions=/a/		Old_TURKIC}');
Error('\P{Script_Extensions=/a/		Old_TURKIC}');
Expect(1, 68680, '\p{Script_Extensions=oldturkic}', "");
Expect(0, 68680, '\p{^Script_Extensions=oldturkic}', "");
Expect(0, 68680, '\P{Script_Extensions=oldturkic}', "");
Expect(1, 68680, '\P{^Script_Extensions=oldturkic}', "");
Expect(0, 68681, '\p{Script_Extensions=oldturkic}', "");
Expect(1, 68681, '\p{^Script_Extensions=oldturkic}', "");
Expect(1, 68681, '\P{Script_Extensions=oldturkic}', "");
Expect(0, 68681, '\P{^Script_Extensions=oldturkic}', "");
Expect(1, 68680, '\p{Script_Extensions=  Old_TURKIC}', "");
Expect(0, 68680, '\p{^Script_Extensions=  Old_TURKIC}', "");
Expect(0, 68680, '\P{Script_Extensions=  Old_TURKIC}', "");
Expect(1, 68680, '\P{^Script_Extensions=  Old_TURKIC}', "");
Expect(0, 68681, '\p{Script_Extensions=  Old_TURKIC}', "");
Expect(1, 68681, '\p{^Script_Extensions=  Old_TURKIC}', "");
Expect(1, 68681, '\P{Script_Extensions=  Old_TURKIC}', "");
Expect(0, 68681, '\P{^Script_Extensions=  Old_TURKIC}', "");
Error('\p{Scx=:=	_orkh}');
Error('\P{Scx=:=	_orkh}');
Expect(1, 68680, '\p{Scx=orkh}', "");
Expect(0, 68680, '\p{^Scx=orkh}', "");
Expect(0, 68680, '\P{Scx=orkh}', "");
Expect(1, 68680, '\P{^Scx=orkh}', "");
Expect(0, 68681, '\p{Scx=orkh}', "");
Expect(1, 68681, '\p{^Scx=orkh}', "");
Expect(1, 68681, '\P{Scx=orkh}', "");
Expect(0, 68681, '\P{^Scx=orkh}', "");
Expect(1, 68680, '\p{Scx=	_orkh}', "");
Expect(0, 68680, '\p{^Scx=	_orkh}', "");
Expect(0, 68680, '\P{Scx=	_orkh}', "");
Expect(1, 68680, '\P{^Scx=	_orkh}', "");
Expect(0, 68681, '\p{Scx=	_orkh}', "");
Expect(1, 68681, '\p{^Scx=	_orkh}', "");
Expect(1, 68681, '\P{Scx=	_orkh}', "");
Expect(0, 68681, '\P{^Scx=	_orkh}', "");
Error('\p{Is_Script_Extensions=-:=Old_Turkic}');
Error('\P{Is_Script_Extensions=-:=Old_Turkic}');
Expect(1, 68680, '\p{Is_Script_Extensions=oldturkic}', "");
Expect(0, 68680, '\p{^Is_Script_Extensions=oldturkic}', "");
Expect(0, 68680, '\P{Is_Script_Extensions=oldturkic}', "");
Expect(1, 68680, '\P{^Is_Script_Extensions=oldturkic}', "");
Expect(0, 68681, '\p{Is_Script_Extensions=oldturkic}', "");
Expect(1, 68681, '\p{^Is_Script_Extensions=oldturkic}', "");
Expect(1, 68681, '\P{Is_Script_Extensions=oldturkic}', "");
Expect(0, 68681, '\P{^Is_Script_Extensions=oldturkic}', "");
Expect(1, 68680, '\p{Is_Script_Extensions=-	old_turkic}', "");
Expect(0, 68680, '\p{^Is_Script_Extensions=-	old_turkic}', "");
Expect(0, 68680, '\P{Is_Script_Extensions=-	old_turkic}', "");
Expect(1, 68680, '\P{^Is_Script_Extensions=-	old_turkic}', "");
Expect(0, 68681, '\p{Is_Script_Extensions=-	old_turkic}', "");
Expect(1, 68681, '\p{^Is_Script_Extensions=-	old_turkic}', "");
Expect(1, 68681, '\P{Is_Script_Extensions=-	old_turkic}', "");
Expect(0, 68681, '\P{^Is_Script_Extensions=-	old_turkic}', "");
Error('\p{Is_Scx=/a/ 	ORKH}');
Error('\P{Is_Scx=/a/ 	ORKH}');
Expect(1, 68680, '\p{Is_Scx=orkh}', "");
Expect(0, 68680, '\p{^Is_Scx=orkh}', "");
Expect(0, 68680, '\P{Is_Scx=orkh}', "");
Expect(1, 68680, '\P{^Is_Scx=orkh}', "");
Expect(0, 68681, '\p{Is_Scx=orkh}', "");
Expect(1, 68681, '\p{^Is_Scx=orkh}', "");
Expect(1, 68681, '\P{Is_Scx=orkh}', "");
Expect(0, 68681, '\P{^Is_Scx=orkh}', "");
Expect(1, 68680, '\p{Is_Scx:   	ORKH}', "");
Expect(0, 68680, '\p{^Is_Scx:   	ORKH}', "");
Expect(0, 68680, '\P{Is_Scx:   	ORKH}', "");
Expect(1, 68680, '\P{^Is_Scx:   	ORKH}', "");
Expect(0, 68681, '\p{Is_Scx:   	ORKH}', "");
Expect(1, 68681, '\p{^Is_Scx:   	ORKH}', "");
Expect(1, 68681, '\P{Is_Scx:   	ORKH}', "");
Expect(0, 68681, '\P{^Is_Scx:   	ORKH}', "");
Error('\p{Script_Extensions=:=- Oriya}');
Error('\P{Script_Extensions=:=- Oriya}');
Expect(1, 2935, '\p{Script_Extensions=oriya}', "");
Expect(0, 2935, '\p{^Script_Extensions=oriya}', "");
Expect(0, 2935, '\P{Script_Extensions=oriya}', "");
Expect(1, 2935, '\P{^Script_Extensions=oriya}', "");
Expect(0, 2936, '\p{Script_Extensions=oriya}', "");
Expect(1, 2936, '\p{^Script_Extensions=oriya}', "");
Expect(1, 2936, '\P{Script_Extensions=oriya}', "");
Expect(0, 2936, '\P{^Script_Extensions=oriya}', "");
Expect(1, 2935, '\p{Script_Extensions=	_Oriya}', "");
Expect(0, 2935, '\p{^Script_Extensions=	_Oriya}', "");
Expect(0, 2935, '\P{Script_Extensions=	_Oriya}', "");
Expect(1, 2935, '\P{^Script_Extensions=	_Oriya}', "");
Expect(0, 2936, '\p{Script_Extensions=	_Oriya}', "");
Expect(1, 2936, '\p{^Script_Extensions=	_Oriya}', "");
Expect(1, 2936, '\P{Script_Extensions=	_Oriya}', "");
Expect(0, 2936, '\P{^Script_Extensions=	_Oriya}', "");
Error('\p{Scx=_:=Orya}');
Error('\P{Scx=_:=Orya}');
Expect(1, 2935, '\p{Scx=orya}', "");
Expect(0, 2935, '\p{^Scx=orya}', "");
Expect(0, 2935, '\P{Scx=orya}', "");
Expect(1, 2935, '\P{^Scx=orya}', "");
Expect(0, 2936, '\p{Scx=orya}', "");
Expect(1, 2936, '\p{^Scx=orya}', "");
Expect(1, 2936, '\P{Scx=orya}', "");
Expect(0, 2936, '\P{^Scx=orya}', "");
Expect(1, 2935, '\p{Scx=	-ORYA}', "");
Expect(0, 2935, '\p{^Scx=	-ORYA}', "");
Expect(0, 2935, '\P{Scx=	-ORYA}', "");
Expect(1, 2935, '\P{^Scx=	-ORYA}', "");
Expect(0, 2936, '\p{Scx=	-ORYA}', "");
Expect(1, 2936, '\p{^Scx=	-ORYA}', "");
Expect(1, 2936, '\P{Scx=	-ORYA}', "");
Expect(0, 2936, '\P{^Scx=	-ORYA}', "");
Error('\p{Is_Script_Extensions=_	ORIYA/a/}');
Error('\P{Is_Script_Extensions=_	ORIYA/a/}');
Expect(1, 2935, '\p{Is_Script_Extensions=oriya}', "");
Expect(0, 2935, '\p{^Is_Script_Extensions=oriya}', "");
Expect(0, 2935, '\P{Is_Script_Extensions=oriya}', "");
Expect(1, 2935, '\P{^Is_Script_Extensions=oriya}', "");
Expect(0, 2936, '\p{Is_Script_Extensions=oriya}', "");
Expect(1, 2936, '\p{^Is_Script_Extensions=oriya}', "");
Expect(1, 2936, '\P{Is_Script_Extensions=oriya}', "");
Expect(0, 2936, '\P{^Is_Script_Extensions=oriya}', "");
Expect(1, 2935, '\p{Is_Script_Extensions=	-ORIYA}', "");
Expect(0, 2935, '\p{^Is_Script_Extensions=	-ORIYA}', "");
Expect(0, 2935, '\P{Is_Script_Extensions=	-ORIYA}', "");
Expect(1, 2935, '\P{^Is_Script_Extensions=	-ORIYA}', "");
Expect(0, 2936, '\p{Is_Script_Extensions=	-ORIYA}', "");
Expect(1, 2936, '\p{^Is_Script_Extensions=	-ORIYA}', "");
Expect(1, 2936, '\P{Is_Script_Extensions=	-ORIYA}', "");
Expect(0, 2936, '\P{^Is_Script_Extensions=	-ORIYA}', "");
Error('\p{Is_Scx: 		Orya/a/}');
Error('\P{Is_Scx: 		Orya/a/}');
Expect(1, 2935, '\p{Is_Scx=orya}', "");
Expect(0, 2935, '\p{^Is_Scx=orya}', "");
Expect(0, 2935, '\P{Is_Scx=orya}', "");
Expect(1, 2935, '\P{^Is_Scx=orya}', "");
Expect(0, 2936, '\p{Is_Scx=orya}', "");
Expect(1, 2936, '\p{^Is_Scx=orya}', "");
Expect(1, 2936, '\P{Is_Scx=orya}', "");
Expect(0, 2936, '\P{^Is_Scx=orya}', "");
Expect(1, 2935, '\p{Is_Scx:		 ORYA}', "");
Expect(0, 2935, '\p{^Is_Scx:		 ORYA}', "");
Expect(0, 2935, '\P{Is_Scx:		 ORYA}', "");
Expect(1, 2935, '\P{^Is_Scx:		 ORYA}', "");
Expect(0, 2936, '\p{Is_Scx:		 ORYA}', "");
Expect(1, 2936, '\p{^Is_Scx:		 ORYA}', "");
Expect(1, 2936, '\P{Is_Scx:		 ORYA}', "");
Expect(0, 2936, '\P{^Is_Scx:		 ORYA}', "");
Error('\p{Script_Extensions=/a/Osmanya}');
Error('\P{Script_Extensions=/a/Osmanya}');
Expect(1, 66729, '\p{Script_Extensions=osmanya}', "");
Expect(0, 66729, '\p{^Script_Extensions=osmanya}', "");
Expect(0, 66729, '\P{Script_Extensions=osmanya}', "");
Expect(1, 66729, '\P{^Script_Extensions=osmanya}', "");
Expect(0, 66730, '\p{Script_Extensions=osmanya}', "");
Expect(1, 66730, '\p{^Script_Extensions=osmanya}', "");
Expect(1, 66730, '\P{Script_Extensions=osmanya}', "");
Expect(0, 66730, '\P{^Script_Extensions=osmanya}', "");
Expect(1, 66729, '\p{Script_Extensions: _osmanya}', "");
Expect(0, 66729, '\p{^Script_Extensions: _osmanya}', "");
Expect(0, 66729, '\P{Script_Extensions: _osmanya}', "");
Expect(1, 66729, '\P{^Script_Extensions: _osmanya}', "");
Expect(0, 66730, '\p{Script_Extensions: _osmanya}', "");
Expect(1, 66730, '\p{^Script_Extensions: _osmanya}', "");
Expect(1, 66730, '\P{Script_Extensions: _osmanya}', "");
Expect(0, 66730, '\P{^Script_Extensions: _osmanya}', "");
Error('\p{Scx=/a/__Osma}');
Error('\P{Scx=/a/__Osma}');
Expect(1, 66729, '\p{Scx=osma}', "");
Expect(0, 66729, '\p{^Scx=osma}', "");
Expect(0, 66729, '\P{Scx=osma}', "");
Expect(1, 66729, '\P{^Scx=osma}', "");
Expect(0, 66730, '\p{Scx=osma}', "");
Expect(1, 66730, '\p{^Scx=osma}', "");
Expect(1, 66730, '\P{Scx=osma}', "");
Expect(0, 66730, '\P{^Scx=osma}', "");
Expect(1, 66729, '\p{Scx=	-OSMA}', "");
Expect(0, 66729, '\p{^Scx=	-OSMA}', "");
Expect(0, 66729, '\P{Scx=	-OSMA}', "");
Expect(1, 66729, '\P{^Scx=	-OSMA}', "");
Expect(0, 66730, '\p{Scx=	-OSMA}', "");
Expect(1, 66730, '\p{^Scx=	-OSMA}', "");
Expect(1, 66730, '\P{Scx=	-OSMA}', "");
Expect(0, 66730, '\P{^Scx=	-OSMA}', "");
Error('\p{Is_Script_Extensions=/a/_osmanya}');
Error('\P{Is_Script_Extensions=/a/_osmanya}');
Expect(1, 66729, '\p{Is_Script_Extensions=osmanya}', "");
Expect(0, 66729, '\p{^Is_Script_Extensions=osmanya}', "");
Expect(0, 66729, '\P{Is_Script_Extensions=osmanya}', "");
Expect(1, 66729, '\P{^Is_Script_Extensions=osmanya}', "");
Expect(0, 66730, '\p{Is_Script_Extensions=osmanya}', "");
Expect(1, 66730, '\p{^Is_Script_Extensions=osmanya}', "");
Expect(1, 66730, '\P{Is_Script_Extensions=osmanya}', "");
Expect(0, 66730, '\P{^Is_Script_Extensions=osmanya}', "");
Expect(1, 66729, '\p{Is_Script_Extensions=-osmanya}', "");
Expect(0, 66729, '\p{^Is_Script_Extensions=-osmanya}', "");
Expect(0, 66729, '\P{Is_Script_Extensions=-osmanya}', "");
Expect(1, 66729, '\P{^Is_Script_Extensions=-osmanya}', "");
Expect(0, 66730, '\p{Is_Script_Extensions=-osmanya}', "");
Expect(1, 66730, '\p{^Is_Script_Extensions=-osmanya}', "");
Expect(1, 66730, '\P{Is_Script_Extensions=-osmanya}', "");
Expect(0, 66730, '\P{^Is_Script_Extensions=-osmanya}', "");
Error('\p{Is_Scx=	/a/Osma}');
Error('\P{Is_Scx=	/a/Osma}');
Expect(1, 66729, '\p{Is_Scx=osma}', "");
Expect(0, 66729, '\p{^Is_Scx=osma}', "");
Expect(0, 66729, '\P{Is_Scx=osma}', "");
Expect(1, 66729, '\P{^Is_Scx=osma}', "");
Expect(0, 66730, '\p{Is_Scx=osma}', "");
Expect(1, 66730, '\p{^Is_Scx=osma}', "");
Expect(1, 66730, '\P{Is_Scx=osma}', "");
Expect(0, 66730, '\P{^Is_Scx=osma}', "");
Expect(1, 66729, '\p{Is_Scx=_ Osma}', "");
Expect(0, 66729, '\p{^Is_Scx=_ Osma}', "");
Expect(0, 66729, '\P{Is_Scx=_ Osma}', "");
Expect(1, 66729, '\P{^Is_Scx=_ Osma}', "");
Expect(0, 66730, '\p{Is_Scx=_ Osma}', "");
Expect(1, 66730, '\p{^Is_Scx=_ Osma}', "");
Expect(1, 66730, '\P{Is_Scx=_ Osma}', "");
Expect(0, 66730, '\P{^Is_Scx=_ Osma}', "");
Error('\p{Script_Extensions=/a/_ Palmyrene}');
Error('\P{Script_Extensions=/a/_ Palmyrene}');
Expect(1, 67711, '\p{Script_Extensions=palmyrene}', "");
Expect(0, 67711, '\p{^Script_Extensions=palmyrene}', "");
Expect(0, 67711, '\P{Script_Extensions=palmyrene}', "");
Expect(1, 67711, '\P{^Script_Extensions=palmyrene}', "");
Expect(0, 67712, '\p{Script_Extensions=palmyrene}', "");
Expect(1, 67712, '\p{^Script_Extensions=palmyrene}', "");
Expect(1, 67712, '\P{Script_Extensions=palmyrene}', "");
Expect(0, 67712, '\P{^Script_Extensions=palmyrene}', "");
Expect(1, 67711, '\p{Script_Extensions=  PALMYRENE}', "");
Expect(0, 67711, '\p{^Script_Extensions=  PALMYRENE}', "");
Expect(0, 67711, '\P{Script_Extensions=  PALMYRENE}', "");
Expect(1, 67711, '\P{^Script_Extensions=  PALMYRENE}', "");
Expect(0, 67712, '\p{Script_Extensions=  PALMYRENE}', "");
Expect(1, 67712, '\p{^Script_Extensions=  PALMYRENE}', "");
Expect(1, 67712, '\P{Script_Extensions=  PALMYRENE}', "");
Expect(0, 67712, '\P{^Script_Extensions=  PALMYRENE}', "");
Error('\p{Scx=	palm/a/}');
Error('\P{Scx=	palm/a/}');
Expect(1, 67711, '\p{Scx=palm}', "");
Expect(0, 67711, '\p{^Scx=palm}', "");
Expect(0, 67711, '\P{Scx=palm}', "");
Expect(1, 67711, '\P{^Scx=palm}', "");
Expect(0, 67712, '\p{Scx=palm}', "");
Expect(1, 67712, '\p{^Scx=palm}', "");
Expect(1, 67712, '\P{Scx=palm}', "");
Expect(0, 67712, '\P{^Scx=palm}', "");
Expect(1, 67711, '\p{Scx=_-palm}', "");
Expect(0, 67711, '\p{^Scx=_-palm}', "");
Expect(0, 67711, '\P{Scx=_-palm}', "");
Expect(1, 67711, '\P{^Scx=_-palm}', "");
Expect(0, 67712, '\p{Scx=_-palm}', "");
Expect(1, 67712, '\p{^Scx=_-palm}', "");
Expect(1, 67712, '\P{Scx=_-palm}', "");
Expect(0, 67712, '\P{^Scx=_-palm}', "");
Error('\p{Is_Script_Extensions=--Palmyrene/a/}');
Error('\P{Is_Script_Extensions=--Palmyrene/a/}');
Expect(1, 67711, '\p{Is_Script_Extensions=palmyrene}', "");
Expect(0, 67711, '\p{^Is_Script_Extensions=palmyrene}', "");
Expect(0, 67711, '\P{Is_Script_Extensions=palmyrene}', "");
Expect(1, 67711, '\P{^Is_Script_Extensions=palmyrene}', "");
Expect(0, 67712, '\p{Is_Script_Extensions=palmyrene}', "");
Expect(1, 67712, '\p{^Is_Script_Extensions=palmyrene}', "");
Expect(1, 67712, '\P{Is_Script_Extensions=palmyrene}', "");
Expect(0, 67712, '\P{^Is_Script_Extensions=palmyrene}', "");
Expect(1, 67711, '\p{Is_Script_Extensions=_PALMYRENE}', "");
Expect(0, 67711, '\p{^Is_Script_Extensions=_PALMYRENE}', "");
Expect(0, 67711, '\P{Is_Script_Extensions=_PALMYRENE}', "");
Expect(1, 67711, '\P{^Is_Script_Extensions=_PALMYRENE}', "");
Expect(0, 67712, '\p{Is_Script_Extensions=_PALMYRENE}', "");
Expect(1, 67712, '\p{^Is_Script_Extensions=_PALMYRENE}', "");
Expect(1, 67712, '\P{Is_Script_Extensions=_PALMYRENE}', "");
Expect(0, 67712, '\P{^Is_Script_Extensions=_PALMYRENE}', "");
Error('\p{Is_Scx=-_PALM:=}');
Error('\P{Is_Scx=-_PALM:=}');
Expect(1, 67711, '\p{Is_Scx=palm}', "");
Expect(0, 67711, '\p{^Is_Scx=palm}', "");
Expect(0, 67711, '\P{Is_Scx=palm}', "");
Expect(1, 67711, '\P{^Is_Scx=palm}', "");
Expect(0, 67712, '\p{Is_Scx=palm}', "");
Expect(1, 67712, '\p{^Is_Scx=palm}', "");
Expect(1, 67712, '\P{Is_Scx=palm}', "");
Expect(0, 67712, '\P{^Is_Scx=palm}', "");
Expect(1, 67711, '\p{Is_Scx= -Palm}', "");
Expect(0, 67711, '\p{^Is_Scx= -Palm}', "");
Expect(0, 67711, '\P{Is_Scx= -Palm}', "");
Expect(1, 67711, '\P{^Is_Scx= -Palm}', "");
Expect(0, 67712, '\p{Is_Scx= -Palm}', "");
Expect(1, 67712, '\p{^Is_Scx= -Palm}', "");
Expect(1, 67712, '\P{Is_Scx= -Palm}', "");
Expect(0, 67712, '\P{^Is_Scx= -Palm}', "");
Error('\p{Script_Extensions=/a/ -PAU_Cin_Hau}');
Error('\P{Script_Extensions=/a/ -PAU_Cin_Hau}');
Expect(1, 72440, '\p{Script_Extensions=paucinhau}', "");
Expect(0, 72440, '\p{^Script_Extensions=paucinhau}', "");
Expect(0, 72440, '\P{Script_Extensions=paucinhau}', "");
Expect(1, 72440, '\P{^Script_Extensions=paucinhau}', "");
Expect(0, 72441, '\p{Script_Extensions=paucinhau}', "");
Expect(1, 72441, '\p{^Script_Extensions=paucinhau}', "");
Expect(1, 72441, '\P{Script_Extensions=paucinhau}', "");
Expect(0, 72441, '\P{^Script_Extensions=paucinhau}', "");
Expect(1, 72440, '\p{Script_Extensions=-_Pau_CIN_Hau}', "");
Expect(0, 72440, '\p{^Script_Extensions=-_Pau_CIN_Hau}', "");
Expect(0, 72440, '\P{Script_Extensions=-_Pau_CIN_Hau}', "");
Expect(1, 72440, '\P{^Script_Extensions=-_Pau_CIN_Hau}', "");
Expect(0, 72441, '\p{Script_Extensions=-_Pau_CIN_Hau}', "");
Expect(1, 72441, '\p{^Script_Extensions=-_Pau_CIN_Hau}', "");
Expect(1, 72441, '\P{Script_Extensions=-_Pau_CIN_Hau}', "");
Expect(0, 72441, '\P{^Script_Extensions=-_Pau_CIN_Hau}', "");
Error('\p{Scx=Pauc:=}');
Error('\P{Scx=Pauc:=}');
Expect(1, 72440, '\p{Scx=pauc}', "");
Expect(0, 72440, '\p{^Scx=pauc}', "");
Expect(0, 72440, '\P{Scx=pauc}', "");
Expect(1, 72440, '\P{^Scx=pauc}', "");
Expect(0, 72441, '\p{Scx=pauc}', "");
Expect(1, 72441, '\p{^Scx=pauc}', "");
Expect(1, 72441, '\P{Scx=pauc}', "");
Expect(0, 72441, '\P{^Scx=pauc}', "");
Expect(1, 72440, '\p{Scx=	_pauc}', "");
Expect(0, 72440, '\p{^Scx=	_pauc}', "");
Expect(0, 72440, '\P{Scx=	_pauc}', "");
Expect(1, 72440, '\P{^Scx=	_pauc}', "");
Expect(0, 72441, '\p{Scx=	_pauc}', "");
Expect(1, 72441, '\p{^Scx=	_pauc}', "");
Expect(1, 72441, '\P{Scx=	_pauc}', "");
Expect(0, 72441, '\P{^Scx=	_pauc}', "");
Error('\p{Is_Script_Extensions=/a/ 	Pau_CIN_Hau}');
Error('\P{Is_Script_Extensions=/a/ 	Pau_CIN_Hau}');
Expect(1, 72440, '\p{Is_Script_Extensions=paucinhau}', "");
Expect(0, 72440, '\p{^Is_Script_Extensions=paucinhau}', "");
Expect(0, 72440, '\P{Is_Script_Extensions=paucinhau}', "");
Expect(1, 72440, '\P{^Is_Script_Extensions=paucinhau}', "");
Expect(0, 72441, '\p{Is_Script_Extensions=paucinhau}', "");
Expect(1, 72441, '\p{^Is_Script_Extensions=paucinhau}', "");
Expect(1, 72441, '\P{Is_Script_Extensions=paucinhau}', "");
Expect(0, 72441, '\P{^Is_Script_Extensions=paucinhau}', "");
Expect(1, 72440, '\p{Is_Script_Extensions=-Pau_Cin_hau}', "");
Expect(0, 72440, '\p{^Is_Script_Extensions=-Pau_Cin_hau}', "");
Expect(0, 72440, '\P{Is_Script_Extensions=-Pau_Cin_hau}', "");
Expect(1, 72440, '\P{^Is_Script_Extensions=-Pau_Cin_hau}', "");
Expect(0, 72441, '\p{Is_Script_Extensions=-Pau_Cin_hau}', "");
Expect(1, 72441, '\p{^Is_Script_Extensions=-Pau_Cin_hau}', "");
Expect(1, 72441, '\P{Is_Script_Extensions=-Pau_Cin_hau}', "");
Expect(0, 72441, '\P{^Is_Script_Extensions=-Pau_Cin_hau}', "");
Error('\p{Is_Scx=__Pauc/a/}');
Error('\P{Is_Scx=__Pauc/a/}');
Expect(1, 72440, '\p{Is_Scx=pauc}', "");
Expect(0, 72440, '\p{^Is_Scx=pauc}', "");
Expect(0, 72440, '\P{Is_Scx=pauc}', "");
Expect(1, 72440, '\P{^Is_Scx=pauc}', "");
Expect(0, 72441, '\p{Is_Scx=pauc}', "");
Expect(1, 72441, '\p{^Is_Scx=pauc}', "");
Expect(1, 72441, '\P{Is_Scx=pauc}', "");
Expect(0, 72441, '\P{^Is_Scx=pauc}', "");
Expect(1, 72440, '\p{Is_Scx= Pauc}', "");
Expect(0, 72440, '\p{^Is_Scx= Pauc}', "");
Expect(0, 72440, '\P{Is_Scx= Pauc}', "");
Expect(1, 72440, '\P{^Is_Scx= Pauc}', "");
Expect(0, 72441, '\p{Is_Scx= Pauc}', "");
Expect(1, 72441, '\p{^Is_Scx= Pauc}', "");
Expect(1, 72441, '\P{Is_Scx= Pauc}', "");
Expect(0, 72441, '\P{^Is_Scx= Pauc}', "");
Error('\p{Script_Extensions=:=-_Old_permic}');
Error('\P{Script_Extensions=:=-_Old_permic}');
Expect(1, 66426, '\p{Script_Extensions=oldpermic}', "");
Expect(0, 66426, '\p{^Script_Extensions=oldpermic}', "");
Expect(0, 66426, '\P{Script_Extensions=oldpermic}', "");
Expect(1, 66426, '\P{^Script_Extensions=oldpermic}', "");
Expect(0, 66427, '\p{Script_Extensions=oldpermic}', "");
Expect(1, 66427, '\p{^Script_Extensions=oldpermic}', "");
Expect(1, 66427, '\P{Script_Extensions=oldpermic}', "");
Expect(0, 66427, '\P{^Script_Extensions=oldpermic}', "");
Expect(1, 66426, '\p{Script_Extensions= OLD_PERMIC}', "");
Expect(0, 66426, '\p{^Script_Extensions= OLD_PERMIC}', "");
Expect(0, 66426, '\P{Script_Extensions= OLD_PERMIC}', "");
Expect(1, 66426, '\P{^Script_Extensions= OLD_PERMIC}', "");
Expect(0, 66427, '\p{Script_Extensions= OLD_PERMIC}', "");
Expect(1, 66427, '\p{^Script_Extensions= OLD_PERMIC}', "");
Expect(1, 66427, '\P{Script_Extensions= OLD_PERMIC}', "");
Expect(0, 66427, '\P{^Script_Extensions= OLD_PERMIC}', "");
Error('\p{Scx=	perm/a/}');
Error('\P{Scx=	perm/a/}');
Expect(1, 66426, '\p{Scx=perm}', "");
Expect(0, 66426, '\p{^Scx=perm}', "");
Expect(0, 66426, '\P{Scx=perm}', "");
Expect(1, 66426, '\P{^Scx=perm}', "");
Expect(0, 66427, '\p{Scx=perm}', "");
Expect(1, 66427, '\p{^Scx=perm}', "");
Expect(1, 66427, '\P{Scx=perm}', "");
Expect(0, 66427, '\P{^Scx=perm}', "");
Expect(1, 66426, '\p{Scx=__PERM}', "");
Expect(0, 66426, '\p{^Scx=__PERM}', "");
Expect(0, 66426, '\P{Scx=__PERM}', "");
Expect(1, 66426, '\P{^Scx=__PERM}', "");
Expect(0, 66427, '\p{Scx=__PERM}', "");
Expect(1, 66427, '\p{^Scx=__PERM}', "");
Expect(1, 66427, '\P{Scx=__PERM}', "");
Expect(0, 66427, '\P{^Scx=__PERM}', "");
Error('\p{Is_Script_Extensions=:=_ old_PERMIC}');
Error('\P{Is_Script_Extensions=:=_ old_PERMIC}');
Expect(1, 66426, '\p{Is_Script_Extensions=oldpermic}', "");
Expect(0, 66426, '\p{^Is_Script_Extensions=oldpermic}', "");
Expect(0, 66426, '\P{Is_Script_Extensions=oldpermic}', "");
Expect(1, 66426, '\P{^Is_Script_Extensions=oldpermic}', "");
Expect(0, 66427, '\p{Is_Script_Extensions=oldpermic}', "");
Expect(1, 66427, '\p{^Is_Script_Extensions=oldpermic}', "");
Expect(1, 66427, '\P{Is_Script_Extensions=oldpermic}', "");
Expect(0, 66427, '\P{^Is_Script_Extensions=oldpermic}', "");
Expect(1, 66426, '\p{Is_Script_Extensions=_	Old_PERMIC}', "");
Expect(0, 66426, '\p{^Is_Script_Extensions=_	Old_PERMIC}', "");
Expect(0, 66426, '\P{Is_Script_Extensions=_	Old_PERMIC}', "");
Expect(1, 66426, '\P{^Is_Script_Extensions=_	Old_PERMIC}', "");
Expect(0, 66427, '\p{Is_Script_Extensions=_	Old_PERMIC}', "");
Expect(1, 66427, '\p{^Is_Script_Extensions=_	Old_PERMIC}', "");
Expect(1, 66427, '\P{Is_Script_Extensions=_	Old_PERMIC}', "");
Expect(0, 66427, '\P{^Is_Script_Extensions=_	Old_PERMIC}', "");
Error('\p{Is_Scx=--PERM/a/}');
Error('\P{Is_Scx=--PERM/a/}');
Expect(1, 66426, '\p{Is_Scx=perm}', "");
Expect(0, 66426, '\p{^Is_Scx=perm}', "");
Expect(0, 66426, '\P{Is_Scx=perm}', "");
Expect(1, 66426, '\P{^Is_Scx=perm}', "");
Expect(0, 66427, '\p{Is_Scx=perm}', "");
Expect(1, 66427, '\p{^Is_Scx=perm}', "");
Expect(1, 66427, '\P{Is_Scx=perm}', "");
Expect(0, 66427, '\P{^Is_Scx=perm}', "");
Expect(1, 66426, '\p{Is_Scx: -	perm}', "");
Expect(0, 66426, '\p{^Is_Scx: -	perm}', "");
Expect(0, 66426, '\P{Is_Scx: -	perm}', "");
Expect(1, 66426, '\P{^Is_Scx: -	perm}', "");
Expect(0, 66427, '\p{Is_Scx: -	perm}', "");
Expect(1, 66427, '\p{^Is_Scx: -	perm}', "");
Expect(1, 66427, '\P{Is_Scx: -	perm}', "");
Expect(0, 66427, '\P{^Is_Scx: -	perm}', "");
Error('\p{Script_Extensions=/a/	-phags_PA}');
Error('\P{Script_Extensions=/a/	-phags_PA}');
Expect(1, 43127, '\p{Script_Extensions=phagspa}', "");
Expect(0, 43127, '\p{^Script_Extensions=phagspa}', "");
Expect(0, 43127, '\P{Script_Extensions=phagspa}', "");
Expect(1, 43127, '\P{^Script_Extensions=phagspa}', "");
Expect(0, 43128, '\p{Script_Extensions=phagspa}', "");
Expect(1, 43128, '\p{^Script_Extensions=phagspa}', "");
Expect(1, 43128, '\P{Script_Extensions=phagspa}', "");
Expect(0, 43128, '\P{^Script_Extensions=phagspa}', "");
Expect(1, 43127, '\p{Script_Extensions= phags_PA}', "");
Expect(0, 43127, '\p{^Script_Extensions= phags_PA}', "");
Expect(0, 43127, '\P{Script_Extensions= phags_PA}', "");
Expect(1, 43127, '\P{^Script_Extensions= phags_PA}', "");
Expect(0, 43128, '\p{Script_Extensions= phags_PA}', "");
Expect(1, 43128, '\p{^Script_Extensions= phags_PA}', "");
Expect(1, 43128, '\P{Script_Extensions= phags_PA}', "");
Expect(0, 43128, '\P{^Script_Extensions= phags_PA}', "");
Error('\p{Scx=_	Phag:=}');
Error('\P{Scx=_	Phag:=}');
Expect(1, 43127, '\p{Scx=phag}', "");
Expect(0, 43127, '\p{^Scx=phag}', "");
Expect(0, 43127, '\P{Scx=phag}', "");
Expect(1, 43127, '\P{^Scx=phag}', "");
Expect(0, 43128, '\p{Scx=phag}', "");
Expect(1, 43128, '\p{^Scx=phag}', "");
Expect(1, 43128, '\P{Scx=phag}', "");
Expect(0, 43128, '\P{^Scx=phag}', "");
Expect(1, 43127, '\p{Scx= Phag}', "");
Expect(0, 43127, '\p{^Scx= Phag}', "");
Expect(0, 43127, '\P{Scx= Phag}', "");
Expect(1, 43127, '\P{^Scx= Phag}', "");
Expect(0, 43128, '\p{Scx= Phag}', "");
Expect(1, 43128, '\p{^Scx= Phag}', "");
Expect(1, 43128, '\P{Scx= Phag}', "");
Expect(0, 43128, '\P{^Scx= Phag}', "");
Error('\p{Is_Script_Extensions=/a/ 	PHAGS_Pa}');
Error('\P{Is_Script_Extensions=/a/ 	PHAGS_Pa}');
Expect(1, 43127, '\p{Is_Script_Extensions:	phagspa}', "");
Expect(0, 43127, '\p{^Is_Script_Extensions:	phagspa}', "");
Expect(0, 43127, '\P{Is_Script_Extensions:	phagspa}', "");
Expect(1, 43127, '\P{^Is_Script_Extensions:	phagspa}', "");
Expect(0, 43128, '\p{Is_Script_Extensions:	phagspa}', "");
Expect(1, 43128, '\p{^Is_Script_Extensions:	phagspa}', "");
Expect(1, 43128, '\P{Is_Script_Extensions:	phagspa}', "");
Expect(0, 43128, '\P{^Is_Script_Extensions:	phagspa}', "");
Expect(1, 43127, '\p{Is_Script_Extensions:   	PHAGS_pa}', "");
Expect(0, 43127, '\p{^Is_Script_Extensions:   	PHAGS_pa}', "");
Expect(0, 43127, '\P{Is_Script_Extensions:   	PHAGS_pa}', "");
Expect(1, 43127, '\P{^Is_Script_Extensions:   	PHAGS_pa}', "");
Expect(0, 43128, '\p{Is_Script_Extensions:   	PHAGS_pa}', "");
Expect(1, 43128, '\p{^Is_Script_Extensions:   	PHAGS_pa}', "");
Expect(1, 43128, '\P{Is_Script_Extensions:   	PHAGS_pa}', "");
Expect(0, 43128, '\P{^Is_Script_Extensions:   	PHAGS_pa}', "");
Error('\p{Is_Scx=_Phag/a/}');
Error('\P{Is_Scx=_Phag/a/}');
Expect(1, 43127, '\p{Is_Scx=phag}', "");
Expect(0, 43127, '\p{^Is_Scx=phag}', "");
Expect(0, 43127, '\P{Is_Scx=phag}', "");
Expect(1, 43127, '\P{^Is_Scx=phag}', "");
Expect(0, 43128, '\p{Is_Scx=phag}', "");
Expect(1, 43128, '\p{^Is_Scx=phag}', "");
Expect(1, 43128, '\P{Is_Scx=phag}', "");
Expect(0, 43128, '\P{^Is_Scx=phag}', "");
Expect(1, 43127, '\p{Is_Scx:	Phag}', "");
Expect(0, 43127, '\p{^Is_Scx:	Phag}', "");
Expect(0, 43127, '\P{Is_Scx:	Phag}', "");
Expect(1, 43127, '\P{^Is_Scx:	Phag}', "");
Expect(0, 43128, '\p{Is_Scx:	Phag}', "");
Expect(1, 43128, '\p{^Is_Scx:	Phag}', "");
Expect(1, 43128, '\P{Is_Scx:	Phag}', "");
Expect(0, 43128, '\P{^Is_Scx:	Phag}', "");
Error('\p{Script_Extensions: 	:=inscriptional_PAHLAVI}');
Error('\P{Script_Extensions: 	:=inscriptional_PAHLAVI}');
Expect(1, 68479, '\p{Script_Extensions=inscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^Script_Extensions=inscriptionalpahlavi}', "");
Expect(0, 68479, '\P{Script_Extensions=inscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^Script_Extensions=inscriptionalpahlavi}', "");
Expect(0, 68480, '\p{Script_Extensions=inscriptionalpahlavi}', "");
Expect(1, 68480, '\p{^Script_Extensions=inscriptionalpahlavi}', "");
Expect(1, 68480, '\P{Script_Extensions=inscriptionalpahlavi}', "");
Expect(0, 68480, '\P{^Script_Extensions=inscriptionalpahlavi}', "");
Expect(1, 68479, '\p{Script_Extensions=	Inscriptional_Pahlavi}', "");
Expect(0, 68479, '\p{^Script_Extensions=	Inscriptional_Pahlavi}', "");
Expect(0, 68479, '\P{Script_Extensions=	Inscriptional_Pahlavi}', "");
Expect(1, 68479, '\P{^Script_Extensions=	Inscriptional_Pahlavi}', "");
Expect(0, 68480, '\p{Script_Extensions=	Inscriptional_Pahlavi}', "");
Expect(1, 68480, '\p{^Script_Extensions=	Inscriptional_Pahlavi}', "");
Expect(1, 68480, '\P{Script_Extensions=	Inscriptional_Pahlavi}', "");
Expect(0, 68480, '\P{^Script_Extensions=	Inscriptional_Pahlavi}', "");
Error('\p{Scx=/a/Phli}');
Error('\P{Scx=/a/Phli}');
Expect(1, 68479, '\p{Scx=phli}', "");
Expect(0, 68479, '\p{^Scx=phli}', "");
Expect(0, 68479, '\P{Scx=phli}', "");
Expect(1, 68479, '\P{^Scx=phli}', "");
Expect(0, 68480, '\p{Scx=phli}', "");
Expect(1, 68480, '\p{^Scx=phli}', "");
Expect(1, 68480, '\P{Scx=phli}', "");
Expect(0, 68480, '\P{^Scx=phli}', "");
Error('\p{Is_Script_Extensions=/a/inscriptional_pahlavi}');
Error('\P{Is_Script_Extensions=/a/inscriptional_pahlavi}');
Expect(1, 68479, '\p{Is_Script_Extensions=inscriptionalpahlavi}', "");
Expect(0, 68479, '\p{^Is_Script_Extensions=inscriptionalpahlavi}', "");
Expect(0, 68479, '\P{Is_Script_Extensions=inscriptionalpahlavi}', "");
Expect(1, 68479, '\P{^Is_Script_Extensions=inscriptionalpahlavi}', "");
Expect(0, 68480, '\p{Is_Script_Extensions=inscriptionalpahlavi}', "");
Expect(1, 68480, '\p{^Is_Script_Extensions=inscriptionalpahlavi}', "");
Expect(1, 68480, '\P{Is_Script_Extensions=inscriptionalpahlavi}', "");
Expect(0, 68480, '\P{^Is_Script_Extensions=inscriptionalpahlavi}', "");
Expect(1, 68479, '\p{Is_Script_Extensions= -Inscriptional_PAHLAVI}', "");
Expect(0, 68479, '\p{^Is_Script_Extensions= -Inscriptional_PAHLAVI}', "");
Expect(0, 68479, '\P{Is_Script_Extensions= -Inscriptional_PAHLAVI}', "");
Expect(1, 68479, '\P{^Is_Script_Extensions= -Inscriptional_PAHLAVI}', "");
Expect(0, 68480, '\p{Is_Script_Extensions= -Inscriptional_PAHLAVI}', "");
Expect(1, 68480, '\p{^Is_Script_Extensions= -Inscriptional_PAHLAVI}', "");
Expect(1, 68480, '\P{Is_Script_Extensions= -Inscriptional_PAHLAVI}', "");
Expect(0, 68480, '\P{^Is_Script_Extensions= -Inscriptional_PAHLAVI}', "");
Error('\p{Is_Scx=_ PHLI/a/}');
Error('\P{Is_Scx=_ PHLI/a/}');
Expect(1, 68479, '\p{Is_Scx=phli}', "");
Expect(0, 68479, '\p{^Is_Scx=phli}', "");
Expect(0, 68479, '\P{Is_Scx=phli}', "");
Expect(1, 68479, '\P{^Is_Scx=phli}', "");
Expect(0, 68480, '\p{Is_Scx=phli}', "");
Expect(1, 68480, '\p{^Is_Scx=phli}', "");
Expect(1, 68480, '\P{Is_Scx=phli}', "");
Expect(0, 68480, '\P{^Is_Scx=phli}', "");
Expect(1, 68479, '\p{Is_Scx=-	phli}', "");
Expect(0, 68479, '\p{^Is_Scx=-	phli}', "");
Expect(0, 68479, '\P{Is_Scx=-	phli}', "");
Expect(1, 68479, '\P{^Is_Scx=-	phli}', "");
Expect(0, 68480, '\p{Is_Scx=-	phli}', "");
Expect(1, 68480, '\p{^Is_Scx=-	phli}', "");
Expect(1, 68480, '\P{Is_Scx=-	phli}', "");
Expect(0, 68480, '\P{^Is_Scx=-	phli}', "");
Error('\p{Script_Extensions=:=		Psalter_Pahlavi}');
Error('\P{Script_Extensions=:=		Psalter_Pahlavi}');
Expect(1, 68527, '\p{Script_Extensions=psalterpahlavi}', "");
Expect(0, 68527, '\p{^Script_Extensions=psalterpahlavi}', "");
Expect(0, 68527, '\P{Script_Extensions=psalterpahlavi}', "");
Expect(1, 68527, '\P{^Script_Extensions=psalterpahlavi}', "");
Expect(0, 68528, '\p{Script_Extensions=psalterpahlavi}', "");
Expect(1, 68528, '\p{^Script_Extensions=psalterpahlavi}', "");
Expect(1, 68528, '\P{Script_Extensions=psalterpahlavi}', "");
Expect(0, 68528, '\P{^Script_Extensions=psalterpahlavi}', "");
Expect(1, 68527, '\p{Script_Extensions=	Psalter_Pahlavi}', "");
Expect(0, 68527, '\p{^Script_Extensions=	Psalter_Pahlavi}', "");
Expect(0, 68527, '\P{Script_Extensions=	Psalter_Pahlavi}', "");
Expect(1, 68527, '\P{^Script_Extensions=	Psalter_Pahlavi}', "");
Expect(0, 68528, '\p{Script_Extensions=	Psalter_Pahlavi}', "");
Expect(1, 68528, '\p{^Script_Extensions=	Psalter_Pahlavi}', "");
Expect(1, 68528, '\P{Script_Extensions=	Psalter_Pahlavi}', "");
Expect(0, 68528, '\P{^Script_Extensions=	Psalter_Pahlavi}', "");
Error('\p{Scx:  /a/phlp}');
Error('\P{Scx:  /a/phlp}');
Expect(1, 68527, '\p{Scx:	phlp}', "");
Expect(0, 68527, '\p{^Scx:	phlp}', "");
Expect(0, 68527, '\P{Scx:	phlp}', "");
Expect(1, 68527, '\P{^Scx:	phlp}', "");
Expect(0, 68528, '\p{Scx:	phlp}', "");
Expect(1, 68528, '\p{^Scx:	phlp}', "");
Expect(1, 68528, '\P{Scx:	phlp}', "");
Expect(0, 68528, '\P{^Scx:	phlp}', "");
Expect(1, 68527, '\p{Scx=	phlp}', "");
Expect(0, 68527, '\p{^Scx=	phlp}', "");
Expect(0, 68527, '\P{Scx=	phlp}', "");
Expect(1, 68527, '\P{^Scx=	phlp}', "");
Expect(0, 68528, '\p{Scx=	phlp}', "");
Expect(1, 68528, '\p{^Scx=	phlp}', "");
Expect(1, 68528, '\P{Scx=	phlp}', "");
Expect(0, 68528, '\P{^Scx=	phlp}', "");
Error('\p{Is_Script_Extensions=:=-Psalter_PAHLAVI}');
Error('\P{Is_Script_Extensions=:=-Psalter_PAHLAVI}');
Expect(1, 68527, '\p{Is_Script_Extensions=psalterpahlavi}', "");
Expect(0, 68527, '\p{^Is_Script_Extensions=psalterpahlavi}', "");
Expect(0, 68527, '\P{Is_Script_Extensions=psalterpahlavi}', "");
Expect(1, 68527, '\P{^Is_Script_Extensions=psalterpahlavi}', "");
Expect(0, 68528, '\p{Is_Script_Extensions=psalterpahlavi}', "");
Expect(1, 68528, '\p{^Is_Script_Extensions=psalterpahlavi}', "");
Expect(1, 68528, '\P{Is_Script_Extensions=psalterpahlavi}', "");
Expect(0, 68528, '\P{^Is_Script_Extensions=psalterpahlavi}', "");
Expect(1, 68527, '\p{Is_Script_Extensions=_Psalter_pahlavi}', "");
Expect(0, 68527, '\p{^Is_Script_Extensions=_Psalter_pahlavi}', "");
Expect(0, 68527, '\P{Is_Script_Extensions=_Psalter_pahlavi}', "");
Expect(1, 68527, '\P{^Is_Script_Extensions=_Psalter_pahlavi}', "");
Expect(0, 68528, '\p{Is_Script_Extensions=_Psalter_pahlavi}', "");
Expect(1, 68528, '\p{^Is_Script_Extensions=_Psalter_pahlavi}', "");
Expect(1, 68528, '\P{Is_Script_Extensions=_Psalter_pahlavi}', "");
Expect(0, 68528, '\P{^Is_Script_Extensions=_Psalter_pahlavi}', "");
Error('\p{Is_Scx=-_PHLP:=}');
Error('\P{Is_Scx=-_PHLP:=}');
Expect(1, 68527, '\p{Is_Scx=phlp}', "");
Expect(0, 68527, '\p{^Is_Scx=phlp}', "");
Expect(0, 68527, '\P{Is_Scx=phlp}', "");
Expect(1, 68527, '\P{^Is_Scx=phlp}', "");
Expect(0, 68528, '\p{Is_Scx=phlp}', "");
Expect(1, 68528, '\p{^Is_Scx=phlp}', "");
Expect(1, 68528, '\P{Is_Scx=phlp}', "");
Expect(0, 68528, '\P{^Is_Scx=phlp}', "");
Expect(1, 68527, '\p{Is_Scx=		Phlp}', "");
Expect(0, 68527, '\p{^Is_Scx=		Phlp}', "");
Expect(0, 68527, '\P{Is_Scx=		Phlp}', "");
Expect(1, 68527, '\P{^Is_Scx=		Phlp}', "");
Expect(0, 68528, '\p{Is_Scx=		Phlp}', "");
Expect(1, 68528, '\p{^Is_Scx=		Phlp}', "");
Expect(1, 68528, '\P{Is_Scx=		Phlp}', "");
Expect(0, 68528, '\P{^Is_Scx=		Phlp}', "");
Error('\p{Script_Extensions=:=	 Phoenician}');
Error('\P{Script_Extensions=:=	 Phoenician}');
Expect(1, 67871, '\p{Script_Extensions=phoenician}', "");
Expect(0, 67871, '\p{^Script_Extensions=phoenician}', "");
Expect(0, 67871, '\P{Script_Extensions=phoenician}', "");
Expect(1, 67871, '\P{^Script_Extensions=phoenician}', "");
Expect(0, 67872, '\p{Script_Extensions=phoenician}', "");
Expect(1, 67872, '\p{^Script_Extensions=phoenician}', "");
Expect(1, 67872, '\P{Script_Extensions=phoenician}', "");
Expect(0, 67872, '\P{^Script_Extensions=phoenician}', "");
Expect(1, 67871, '\p{Script_Extensions=	Phoenician}', "");
Expect(0, 67871, '\p{^Script_Extensions=	Phoenician}', "");
Expect(0, 67871, '\P{Script_Extensions=	Phoenician}', "");
Expect(1, 67871, '\P{^Script_Extensions=	Phoenician}', "");
Expect(0, 67872, '\p{Script_Extensions=	Phoenician}', "");
Expect(1, 67872, '\p{^Script_Extensions=	Phoenician}', "");
Expect(1, 67872, '\P{Script_Extensions=	Phoenician}', "");
Expect(0, 67872, '\P{^Script_Extensions=	Phoenician}', "");
Error('\p{Scx=/a/ Phnx}');
Error('\P{Scx=/a/ Phnx}');
Expect(1, 67871, '\p{Scx=phnx}', "");
Expect(0, 67871, '\p{^Scx=phnx}', "");
Expect(0, 67871, '\P{Scx=phnx}', "");
Expect(1, 67871, '\P{^Scx=phnx}', "");
Expect(0, 67872, '\p{Scx=phnx}', "");
Expect(1, 67872, '\p{^Scx=phnx}', "");
Expect(1, 67872, '\P{Scx=phnx}', "");
Expect(0, 67872, '\P{^Scx=phnx}', "");
Expect(1, 67871, '\p{Scx=-	phnx}', "");
Expect(0, 67871, '\p{^Scx=-	phnx}', "");
Expect(0, 67871, '\P{Scx=-	phnx}', "");
Expect(1, 67871, '\P{^Scx=-	phnx}', "");
Expect(0, 67872, '\p{Scx=-	phnx}', "");
Expect(1, 67872, '\p{^Scx=-	phnx}', "");
Expect(1, 67872, '\P{Scx=-	phnx}', "");
Expect(0, 67872, '\P{^Scx=-	phnx}', "");
Error('\p{Is_Script_Extensions=-:=phoenician}');
Error('\P{Is_Script_Extensions=-:=phoenician}');
Expect(1, 67871, '\p{Is_Script_Extensions=phoenician}', "");
Expect(0, 67871, '\p{^Is_Script_Extensions=phoenician}', "");
Expect(0, 67871, '\P{Is_Script_Extensions=phoenician}', "");
Expect(1, 67871, '\P{^Is_Script_Extensions=phoenician}', "");
Expect(0, 67872, '\p{Is_Script_Extensions=phoenician}', "");
Expect(1, 67872, '\p{^Is_Script_Extensions=phoenician}', "");
Expect(1, 67872, '\P{Is_Script_Extensions=phoenician}', "");
Expect(0, 67872, '\P{^Is_Script_Extensions=phoenician}', "");
Expect(1, 67871, '\p{Is_Script_Extensions=-Phoenician}', "");
Expect(0, 67871, '\p{^Is_Script_Extensions=-Phoenician}', "");
Expect(0, 67871, '\P{Is_Script_Extensions=-Phoenician}', "");
Expect(1, 67871, '\P{^Is_Script_Extensions=-Phoenician}', "");
Expect(0, 67872, '\p{Is_Script_Extensions=-Phoenician}', "");
Expect(1, 67872, '\p{^Is_Script_Extensions=-Phoenician}', "");
Expect(1, 67872, '\P{Is_Script_Extensions=-Phoenician}', "");
Expect(0, 67872, '\P{^Is_Script_Extensions=-Phoenician}', "");
Error('\p{Is_Scx=_	PHNX:=}');
Error('\P{Is_Scx=_	PHNX:=}');
Expect(1, 67871, '\p{Is_Scx=phnx}', "");
Expect(0, 67871, '\p{^Is_Scx=phnx}', "");
Expect(0, 67871, '\P{Is_Scx=phnx}', "");
Expect(1, 67871, '\P{^Is_Scx=phnx}', "");
Expect(0, 67872, '\p{Is_Scx=phnx}', "");
Expect(1, 67872, '\p{^Is_Scx=phnx}', "");
Expect(1, 67872, '\P{Is_Scx=phnx}', "");
Expect(0, 67872, '\P{^Is_Scx=phnx}', "");
Expect(1, 67871, '\p{Is_Scx=_ PHNX}', "");
Expect(0, 67871, '\p{^Is_Scx=_ PHNX}', "");
Expect(0, 67871, '\P{Is_Scx=_ PHNX}', "");
Expect(1, 67871, '\P{^Is_Scx=_ PHNX}', "");
Expect(0, 67872, '\p{Is_Scx=_ PHNX}', "");
Expect(1, 67872, '\p{^Is_Scx=_ PHNX}', "");
Expect(1, 67872, '\P{Is_Scx=_ PHNX}', "");
Expect(0, 67872, '\P{^Is_Scx=_ PHNX}', "");
Error('\p{Script_Extensions:	--miao:=}');
Error('\P{Script_Extensions:	--miao:=}');
Expect(1, 94111, '\p{Script_Extensions=miao}', "");
Expect(0, 94111, '\p{^Script_Extensions=miao}', "");
Expect(0, 94111, '\P{Script_Extensions=miao}', "");
Expect(1, 94111, '\P{^Script_Extensions=miao}', "");
Expect(0, 94112, '\p{Script_Extensions=miao}', "");
Expect(1, 94112, '\p{^Script_Extensions=miao}', "");
Expect(1, 94112, '\P{Script_Extensions=miao}', "");
Expect(0, 94112, '\P{^Script_Extensions=miao}', "");
Expect(1, 94111, '\p{Script_Extensions=--Miao}', "");
Expect(0, 94111, '\p{^Script_Extensions=--Miao}', "");
Expect(0, 94111, '\P{Script_Extensions=--Miao}', "");
Expect(1, 94111, '\P{^Script_Extensions=--Miao}', "");
Expect(0, 94112, '\p{Script_Extensions=--Miao}', "");
Expect(1, 94112, '\p{^Script_Extensions=--Miao}', "");
Expect(1, 94112, '\P{Script_Extensions=--Miao}', "");
Expect(0, 94112, '\P{^Script_Extensions=--Miao}', "");
Error('\p{Scx=  Plrd/a/}');
Error('\P{Scx=  Plrd/a/}');
Expect(1, 94111, '\p{Scx=plrd}', "");
Expect(0, 94111, '\p{^Scx=plrd}', "");
Expect(0, 94111, '\P{Scx=plrd}', "");
Expect(1, 94111, '\P{^Scx=plrd}', "");
Expect(0, 94112, '\p{Scx=plrd}', "");
Expect(1, 94112, '\p{^Scx=plrd}', "");
Expect(1, 94112, '\P{Scx=plrd}', "");
Expect(0, 94112, '\P{^Scx=plrd}', "");
Expect(1, 94111, '\p{Scx=--Plrd}', "");
Expect(0, 94111, '\p{^Scx=--Plrd}', "");
Expect(0, 94111, '\P{Scx=--Plrd}', "");
Expect(1, 94111, '\P{^Scx=--Plrd}', "");
Expect(0, 94112, '\p{Scx=--Plrd}', "");
Expect(1, 94112, '\p{^Scx=--Plrd}', "");
Expect(1, 94112, '\P{Scx=--Plrd}', "");
Expect(0, 94112, '\P{^Scx=--Plrd}', "");
Error('\p{Is_Script_Extensions=_Miao/a/}');
Error('\P{Is_Script_Extensions=_Miao/a/}');
Expect(1, 94111, '\p{Is_Script_Extensions=miao}', "");
Expect(0, 94111, '\p{^Is_Script_Extensions=miao}', "");
Expect(0, 94111, '\P{Is_Script_Extensions=miao}', "");
Expect(1, 94111, '\P{^Is_Script_Extensions=miao}', "");
Expect(0, 94112, '\p{Is_Script_Extensions=miao}', "");
Expect(1, 94112, '\p{^Is_Script_Extensions=miao}', "");
Expect(1, 94112, '\P{Is_Script_Extensions=miao}', "");
Expect(0, 94112, '\P{^Is_Script_Extensions=miao}', "");
Expect(1, 94111, '\p{Is_Script_Extensions=_Miao}', "");
Expect(0, 94111, '\p{^Is_Script_Extensions=_Miao}', "");
Expect(0, 94111, '\P{Is_Script_Extensions=_Miao}', "");
Expect(1, 94111, '\P{^Is_Script_Extensions=_Miao}', "");
Expect(0, 94112, '\p{Is_Script_Extensions=_Miao}', "");
Expect(1, 94112, '\p{^Is_Script_Extensions=_Miao}', "");
Expect(1, 94112, '\P{Is_Script_Extensions=_Miao}', "");
Expect(0, 94112, '\P{^Is_Script_Extensions=_Miao}', "");
Error('\p{Is_Scx=/a/-_Plrd}');
Error('\P{Is_Scx=/a/-_Plrd}');
Expect(1, 94111, '\p{Is_Scx=plrd}', "");
Expect(0, 94111, '\p{^Is_Scx=plrd}', "");
Expect(0, 94111, '\P{Is_Scx=plrd}', "");
Expect(1, 94111, '\P{^Is_Scx=plrd}', "");
Expect(0, 94112, '\p{Is_Scx=plrd}', "");
Expect(1, 94112, '\p{^Is_Scx=plrd}', "");
Expect(1, 94112, '\P{Is_Scx=plrd}', "");
Expect(0, 94112, '\P{^Is_Scx=plrd}', "");
Expect(1, 94111, '\p{Is_Scx=PLRD}', "");
Expect(0, 94111, '\p{^Is_Scx=PLRD}', "");
Expect(0, 94111, '\P{Is_Scx=PLRD}', "");
Expect(1, 94111, '\P{^Is_Scx=PLRD}', "");
Expect(0, 94112, '\p{Is_Scx=PLRD}', "");
Expect(1, 94112, '\p{^Is_Scx=PLRD}', "");
Expect(1, 94112, '\P{Is_Scx=PLRD}', "");
Expect(0, 94112, '\P{^Is_Scx=PLRD}', "");
Error('\p{Script_Extensions=-	INSCRIPTIONAL_parthian/a/}');
Error('\P{Script_Extensions=-	INSCRIPTIONAL_parthian/a/}');
Expect(1, 68447, '\p{Script_Extensions=inscriptionalparthian}', "");
Expect(0, 68447, '\p{^Script_Extensions=inscriptionalparthian}', "");
Expect(0, 68447, '\P{Script_Extensions=inscriptionalparthian}', "");
Expect(1, 68447, '\P{^Script_Extensions=inscriptionalparthian}', "");
Expect(0, 68448, '\p{Script_Extensions=inscriptionalparthian}', "");
Expect(1, 68448, '\p{^Script_Extensions=inscriptionalparthian}', "");
Expect(1, 68448, '\P{Script_Extensions=inscriptionalparthian}', "");
Expect(0, 68448, '\P{^Script_Extensions=inscriptionalparthian}', "");
Expect(1, 68447, '\p{Script_Extensions=--INSCRIPTIONAL_Parthian}', "");
Expect(0, 68447, '\p{^Script_Extensions=--INSCRIPTIONAL_Parthian}', "");
Expect(0, 68447, '\P{Script_Extensions=--INSCRIPTIONAL_Parthian}', "");
Expect(1, 68447, '\P{^Script_Extensions=--INSCRIPTIONAL_Parthian}', "");
Expect(0, 68448, '\p{Script_Extensions=--INSCRIPTIONAL_Parthian}', "");
Expect(1, 68448, '\p{^Script_Extensions=--INSCRIPTIONAL_Parthian}', "");
Expect(1, 68448, '\P{Script_Extensions=--INSCRIPTIONAL_Parthian}', "");
Expect(0, 68448, '\P{^Script_Extensions=--INSCRIPTIONAL_Parthian}', "");
Error('\p{Scx=_/a/prti}');
Error('\P{Scx=_/a/prti}');
Expect(1, 68447, '\p{Scx=prti}', "");
Expect(0, 68447, '\p{^Scx=prti}', "");
Expect(0, 68447, '\P{Scx=prti}', "");
Expect(1, 68447, '\P{^Scx=prti}', "");
Expect(0, 68448, '\p{Scx=prti}', "");
Expect(1, 68448, '\p{^Scx=prti}', "");
Expect(1, 68448, '\P{Scx=prti}', "");
Expect(0, 68448, '\P{^Scx=prti}', "");
Expect(1, 68447, '\p{Scx=-prti}', "");
Expect(0, 68447, '\p{^Scx=-prti}', "");
Expect(0, 68447, '\P{Scx=-prti}', "");
Expect(1, 68447, '\P{^Scx=-prti}', "");
Expect(0, 68448, '\p{Scx=-prti}', "");
Expect(1, 68448, '\p{^Scx=-prti}', "");
Expect(1, 68448, '\P{Scx=-prti}', "");
Expect(0, 68448, '\P{^Scx=-prti}', "");
Error('\p{Is_Script_Extensions= /a/INSCRIPTIONAL_parthian}');
Error('\P{Is_Script_Extensions= /a/INSCRIPTIONAL_parthian}');
Expect(1, 68447, '\p{Is_Script_Extensions:   inscriptionalparthian}', "");
Expect(0, 68447, '\p{^Is_Script_Extensions:   inscriptionalparthian}', "");
Expect(0, 68447, '\P{Is_Script_Extensions:   inscriptionalparthian}', "");
Expect(1, 68447, '\P{^Is_Script_Extensions:   inscriptionalparthian}', "");
Expect(0, 68448, '\p{Is_Script_Extensions:   inscriptionalparthian}', "");
Expect(1, 68448, '\p{^Is_Script_Extensions:   inscriptionalparthian}', "");
Expect(1, 68448, '\P{Is_Script_Extensions:   inscriptionalparthian}', "");
Expect(0, 68448, '\P{^Is_Script_Extensions:   inscriptionalparthian}', "");
Expect(1, 68447, '\p{Is_Script_Extensions= -INSCRIPTIONAL_Parthian}', "");
Expect(0, 68447, '\p{^Is_Script_Extensions= -INSCRIPTIONAL_Parthian}', "");
Expect(0, 68447, '\P{Is_Script_Extensions= -INSCRIPTIONAL_Parthian}', "");
Expect(1, 68447, '\P{^Is_Script_Extensions= -INSCRIPTIONAL_Parthian}', "");
Expect(0, 68448, '\p{Is_Script_Extensions= -INSCRIPTIONAL_Parthian}', "");
Expect(1, 68448, '\p{^Is_Script_Extensions= -INSCRIPTIONAL_Parthian}', "");
Expect(1, 68448, '\P{Is_Script_Extensions= -INSCRIPTIONAL_Parthian}', "");
Expect(0, 68448, '\P{^Is_Script_Extensions= -INSCRIPTIONAL_Parthian}', "");
Error('\p{Is_Scx=:=__Prti}');
Error('\P{Is_Scx=:=__Prti}');
Expect(1, 68447, '\p{Is_Scx=prti}', "");
Expect(0, 68447, '\p{^Is_Scx=prti}', "");
Expect(0, 68447, '\P{Is_Scx=prti}', "");
Expect(1, 68447, '\P{^Is_Scx=prti}', "");
Expect(0, 68448, '\p{Is_Scx=prti}', "");
Expect(1, 68448, '\p{^Is_Scx=prti}', "");
Expect(1, 68448, '\P{Is_Scx=prti}', "");
Expect(0, 68448, '\P{^Is_Scx=prti}', "");
Expect(1, 68447, '\p{Is_Scx= -Prti}', "");
Expect(0, 68447, '\p{^Is_Scx= -Prti}', "");
Expect(0, 68447, '\P{Is_Scx= -Prti}', "");
Expect(1, 68447, '\P{^Is_Scx= -Prti}', "");
Expect(0, 68448, '\p{Is_Scx= -Prti}', "");
Expect(1, 68448, '\p{^Is_Scx= -Prti}', "");
Expect(1, 68448, '\P{Is_Scx= -Prti}', "");
Expect(0, 68448, '\P{^Is_Scx= -Prti}', "");
Error('\p{Script_Extensions=  REJANG:=}');
Error('\P{Script_Extensions=  REJANG:=}');
Expect(1, 43359, '\p{Script_Extensions=rejang}', "");
Expect(0, 43359, '\p{^Script_Extensions=rejang}', "");
Expect(0, 43359, '\P{Script_Extensions=rejang}', "");
Expect(1, 43359, '\P{^Script_Extensions=rejang}', "");
Expect(0, 43360, '\p{Script_Extensions=rejang}', "");
Expect(1, 43360, '\p{^Script_Extensions=rejang}', "");
Expect(1, 43360, '\P{Script_Extensions=rejang}', "");
Expect(0, 43360, '\P{^Script_Extensions=rejang}', "");
Expect(1, 43359, '\p{Script_Extensions= -REJANG}', "");
Expect(0, 43359, '\p{^Script_Extensions= -REJANG}', "");
Expect(0, 43359, '\P{Script_Extensions= -REJANG}', "");
Expect(1, 43359, '\P{^Script_Extensions= -REJANG}', "");
Expect(0, 43360, '\p{Script_Extensions= -REJANG}', "");
Expect(1, 43360, '\p{^Script_Extensions= -REJANG}', "");
Expect(1, 43360, '\P{Script_Extensions= -REJANG}', "");
Expect(0, 43360, '\P{^Script_Extensions= -REJANG}', "");
Error('\p{Scx=/a/RJNG}');
Error('\P{Scx=/a/RJNG}');
Expect(1, 43359, '\p{Scx=rjng}', "");
Expect(0, 43359, '\p{^Scx=rjng}', "");
Expect(0, 43359, '\P{Scx=rjng}', "");
Expect(1, 43359, '\P{^Scx=rjng}', "");
Expect(0, 43360, '\p{Scx=rjng}', "");
Expect(1, 43360, '\p{^Scx=rjng}', "");
Expect(1, 43360, '\P{Scx=rjng}', "");
Expect(0, 43360, '\P{^Scx=rjng}', "");
Expect(1, 43359, '\p{Scx= -rjng}', "");
Expect(0, 43359, '\p{^Scx= -rjng}', "");
Expect(0, 43359, '\P{Scx= -rjng}', "");
Expect(1, 43359, '\P{^Scx= -rjng}', "");
Expect(0, 43360, '\p{Scx= -rjng}', "");
Expect(1, 43360, '\p{^Scx= -rjng}', "");
Expect(1, 43360, '\P{Scx= -rjng}', "");
Expect(0, 43360, '\P{^Scx= -rjng}', "");
Error('\p{Is_Script_Extensions=	Rejang:=}');
Error('\P{Is_Script_Extensions=	Rejang:=}');
Expect(1, 43359, '\p{Is_Script_Extensions:   rejang}', "");
Expect(0, 43359, '\p{^Is_Script_Extensions:   rejang}', "");
Expect(0, 43359, '\P{Is_Script_Extensions:   rejang}', "");
Expect(1, 43359, '\P{^Is_Script_Extensions:   rejang}', "");
Expect(0, 43360, '\p{Is_Script_Extensions:   rejang}', "");
Expect(1, 43360, '\p{^Is_Script_Extensions:   rejang}', "");
Expect(1, 43360, '\P{Is_Script_Extensions:   rejang}', "");
Expect(0, 43360, '\P{^Is_Script_Extensions:   rejang}', "");
Expect(1, 43359, '\p{Is_Script_Extensions=	Rejang}', "");
Expect(0, 43359, '\p{^Is_Script_Extensions=	Rejang}', "");
Expect(0, 43359, '\P{Is_Script_Extensions=	Rejang}', "");
Expect(1, 43359, '\P{^Is_Script_Extensions=	Rejang}', "");
Expect(0, 43360, '\p{Is_Script_Extensions=	Rejang}', "");
Expect(1, 43360, '\p{^Is_Script_Extensions=	Rejang}', "");
Expect(1, 43360, '\P{Is_Script_Extensions=	Rejang}', "");
Expect(0, 43360, '\P{^Is_Script_Extensions=	Rejang}', "");
Error('\p{Is_Scx=_/a/RJNG}');
Error('\P{Is_Scx=_/a/RJNG}');
Expect(1, 43359, '\p{Is_Scx=rjng}', "");
Expect(0, 43359, '\p{^Is_Scx=rjng}', "");
Expect(0, 43359, '\P{Is_Scx=rjng}', "");
Expect(1, 43359, '\P{^Is_Scx=rjng}', "");
Expect(0, 43360, '\p{Is_Scx=rjng}', "");
Expect(1, 43360, '\p{^Is_Scx=rjng}', "");
Expect(1, 43360, '\P{Is_Scx=rjng}', "");
Expect(0, 43360, '\P{^Is_Scx=rjng}', "");
Expect(1, 43359, '\p{Is_Scx= RJNG}', "");
Expect(0, 43359, '\p{^Is_Scx= RJNG}', "");
Expect(0, 43359, '\P{Is_Scx= RJNG}', "");
Expect(1, 43359, '\P{^Is_Scx= RJNG}', "");
Expect(0, 43360, '\p{Is_Scx= RJNG}', "");
Expect(1, 43360, '\p{^Is_Scx= RJNG}', "");
Expect(1, 43360, '\P{Is_Scx= RJNG}', "");
Expect(0, 43360, '\P{^Is_Scx= RJNG}', "");
Error('\p{Script_Extensions:/a/_RUNIC}');
Error('\P{Script_Extensions:/a/_RUNIC}');
Expect(1, 5880, '\p{Script_Extensions=runic}', "");
Expect(0, 5880, '\p{^Script_Extensions=runic}', "");
Expect(0, 5880, '\P{Script_Extensions=runic}', "");
Expect(1, 5880, '\P{^Script_Extensions=runic}', "");
Expect(0, 5881, '\p{Script_Extensions=runic}', "");
Expect(1, 5881, '\p{^Script_Extensions=runic}', "");
Expect(1, 5881, '\P{Script_Extensions=runic}', "");
Expect(0, 5881, '\P{^Script_Extensions=runic}', "");
Expect(1, 5880, '\p{Script_Extensions=_Runic}', "");
Expect(0, 5880, '\p{^Script_Extensions=_Runic}', "");
Expect(0, 5880, '\P{Script_Extensions=_Runic}', "");
Expect(1, 5880, '\P{^Script_Extensions=_Runic}', "");
Expect(0, 5881, '\p{Script_Extensions=_Runic}', "");
Expect(1, 5881, '\p{^Script_Extensions=_Runic}', "");
Expect(1, 5881, '\P{Script_Extensions=_Runic}', "");
Expect(0, 5881, '\P{^Script_Extensions=_Runic}', "");
Error('\p{Scx=:=runr}');
Error('\P{Scx=:=runr}');
Expect(1, 5880, '\p{Scx=runr}', "");
Expect(0, 5880, '\p{^Scx=runr}', "");
Expect(0, 5880, '\P{Scx=runr}', "");
Expect(1, 5880, '\P{^Scx=runr}', "");
Expect(0, 5881, '\p{Scx=runr}', "");
Expect(1, 5881, '\p{^Scx=runr}', "");
Expect(1, 5881, '\P{Scx=runr}', "");
Expect(0, 5881, '\P{^Scx=runr}', "");
Expect(1, 5880, '\p{Scx=--Runr}', "");
Expect(0, 5880, '\p{^Scx=--Runr}', "");
Expect(0, 5880, '\P{Scx=--Runr}', "");
Expect(1, 5880, '\P{^Scx=--Runr}', "");
Expect(0, 5881, '\p{Scx=--Runr}', "");
Expect(1, 5881, '\p{^Scx=--Runr}', "");
Expect(1, 5881, '\P{Scx=--Runr}', "");
Expect(0, 5881, '\P{^Scx=--Runr}', "");
Error('\p{Is_Script_Extensions:		runic:=}');
Error('\P{Is_Script_Extensions:		runic:=}');
Expect(1, 5880, '\p{Is_Script_Extensions=runic}', "");
Expect(0, 5880, '\p{^Is_Script_Extensions=runic}', "");
Expect(0, 5880, '\P{Is_Script_Extensions=runic}', "");
Expect(1, 5880, '\P{^Is_Script_Extensions=runic}', "");
Expect(0, 5881, '\p{Is_Script_Extensions=runic}', "");
Expect(1, 5881, '\p{^Is_Script_Extensions=runic}', "");
Expect(1, 5881, '\P{Is_Script_Extensions=runic}', "");
Expect(0, 5881, '\P{^Is_Script_Extensions=runic}', "");
Expect(1, 5880, '\p{Is_Script_Extensions:  	runic}', "");
Expect(0, 5880, '\p{^Is_Script_Extensions:  	runic}', "");
Expect(0, 5880, '\P{Is_Script_Extensions:  	runic}', "");
Expect(1, 5880, '\P{^Is_Script_Extensions:  	runic}', "");
Expect(0, 5881, '\p{Is_Script_Extensions:  	runic}', "");
Expect(1, 5881, '\p{^Is_Script_Extensions:  	runic}', "");
Expect(1, 5881, '\P{Is_Script_Extensions:  	runic}', "");
Expect(0, 5881, '\P{^Is_Script_Extensions:  	runic}', "");
Error('\p{Is_Scx= runr/a/}');
Error('\P{Is_Scx= runr/a/}');
Expect(1, 5880, '\p{Is_Scx=runr}', "");
Expect(0, 5880, '\p{^Is_Scx=runr}', "");
Expect(0, 5880, '\P{Is_Scx=runr}', "");
Expect(1, 5880, '\P{^Is_Scx=runr}', "");
Expect(0, 5881, '\p{Is_Scx=runr}', "");
Expect(1, 5881, '\p{^Is_Scx=runr}', "");
Expect(1, 5881, '\P{Is_Scx=runr}', "");
Expect(0, 5881, '\P{^Is_Scx=runr}', "");
Expect(1, 5880, '\p{Is_Scx=_Runr}', "");
Expect(0, 5880, '\p{^Is_Scx=_Runr}', "");
Expect(0, 5880, '\P{Is_Scx=_Runr}', "");
Expect(1, 5880, '\P{^Is_Scx=_Runr}', "");
Expect(0, 5881, '\p{Is_Scx=_Runr}', "");
Expect(1, 5881, '\p{^Is_Scx=_Runr}', "");
Expect(1, 5881, '\P{Is_Scx=_Runr}', "");
Expect(0, 5881, '\P{^Is_Scx=_Runr}', "");
Error('\p{Script_Extensions=_/a/Samaritan}');
Error('\P{Script_Extensions=_/a/Samaritan}');
Expect(1, 2110, '\p{Script_Extensions=samaritan}', "");
Expect(0, 2110, '\p{^Script_Extensions=samaritan}', "");
Expect(0, 2110, '\P{Script_Extensions=samaritan}', "");
Expect(1, 2110, '\P{^Script_Extensions=samaritan}', "");
Expect(0, 2111, '\p{Script_Extensions=samaritan}', "");
Expect(1, 2111, '\p{^Script_Extensions=samaritan}', "");
Expect(1, 2111, '\P{Script_Extensions=samaritan}', "");
Expect(0, 2111, '\P{^Script_Extensions=samaritan}', "");
Expect(1, 2110, '\p{Script_Extensions:	 samaritan}', "");
Expect(0, 2110, '\p{^Script_Extensions:	 samaritan}', "");
Expect(0, 2110, '\P{Script_Extensions:	 samaritan}', "");
Expect(1, 2110, '\P{^Script_Extensions:	 samaritan}', "");
Expect(0, 2111, '\p{Script_Extensions:	 samaritan}', "");
Expect(1, 2111, '\p{^Script_Extensions:	 samaritan}', "");
Expect(1, 2111, '\P{Script_Extensions:	 samaritan}', "");
Expect(0, 2111, '\P{^Script_Extensions:	 samaritan}', "");
Error('\p{Scx=:=SAMR}');
Error('\P{Scx=:=SAMR}');
Expect(1, 2110, '\p{Scx=samr}', "");
Expect(0, 2110, '\p{^Scx=samr}', "");
Expect(0, 2110, '\P{Scx=samr}', "");
Expect(1, 2110, '\P{^Scx=samr}', "");
Expect(0, 2111, '\p{Scx=samr}', "");
Expect(1, 2111, '\p{^Scx=samr}', "");
Expect(1, 2111, '\P{Scx=samr}', "");
Expect(0, 2111, '\P{^Scx=samr}', "");
Expect(1, 2110, '\p{Scx=		Samr}', "");
Expect(0, 2110, '\p{^Scx=		Samr}', "");
Expect(0, 2110, '\P{Scx=		Samr}', "");
Expect(1, 2110, '\P{^Scx=		Samr}', "");
Expect(0, 2111, '\p{Scx=		Samr}', "");
Expect(1, 2111, '\p{^Scx=		Samr}', "");
Expect(1, 2111, '\P{Scx=		Samr}', "");
Expect(0, 2111, '\P{^Scx=		Samr}', "");
Error('\p{Is_Script_Extensions=:=Samaritan}');
Error('\P{Is_Script_Extensions=:=Samaritan}');
Expect(1, 2110, '\p{Is_Script_Extensions=samaritan}', "");
Expect(0, 2110, '\p{^Is_Script_Extensions=samaritan}', "");
Expect(0, 2110, '\P{Is_Script_Extensions=samaritan}', "");
Expect(1, 2110, '\P{^Is_Script_Extensions=samaritan}', "");
Expect(0, 2111, '\p{Is_Script_Extensions=samaritan}', "");
Expect(1, 2111, '\p{^Is_Script_Extensions=samaritan}', "");
Expect(1, 2111, '\P{Is_Script_Extensions=samaritan}', "");
Expect(0, 2111, '\P{^Is_Script_Extensions=samaritan}', "");
Expect(1, 2110, '\p{Is_Script_Extensions=- SAMARITAN}', "");
Expect(0, 2110, '\p{^Is_Script_Extensions=- SAMARITAN}', "");
Expect(0, 2110, '\P{Is_Script_Extensions=- SAMARITAN}', "");
Expect(1, 2110, '\P{^Is_Script_Extensions=- SAMARITAN}', "");
Expect(0, 2111, '\p{Is_Script_Extensions=- SAMARITAN}', "");
Expect(1, 2111, '\p{^Is_Script_Extensions=- SAMARITAN}', "");
Expect(1, 2111, '\P{Is_Script_Extensions=- SAMARITAN}', "");
Expect(0, 2111, '\P{^Is_Script_Extensions=- SAMARITAN}', "");
Error('\p{Is_Scx=_/a/SAMR}');
Error('\P{Is_Scx=_/a/SAMR}');
Expect(1, 2110, '\p{Is_Scx=samr}', "");
Expect(0, 2110, '\p{^Is_Scx=samr}', "");
Expect(0, 2110, '\P{Is_Scx=samr}', "");
Expect(1, 2110, '\P{^Is_Scx=samr}', "");
Expect(0, 2111, '\p{Is_Scx=samr}', "");
Expect(1, 2111, '\p{^Is_Scx=samr}', "");
Expect(1, 2111, '\P{Is_Scx=samr}', "");
Expect(0, 2111, '\P{^Is_Scx=samr}', "");
Expect(1, 2110, '\p{Is_Scx=_samr}', "");
Expect(0, 2110, '\p{^Is_Scx=_samr}', "");
Expect(0, 2110, '\P{Is_Scx=_samr}', "");
Expect(1, 2110, '\P{^Is_Scx=_samr}', "");
Expect(0, 2111, '\p{Is_Scx=_samr}', "");
Expect(1, 2111, '\p{^Is_Scx=_samr}', "");
Expect(1, 2111, '\P{Is_Scx=_samr}', "");
Expect(0, 2111, '\P{^Is_Scx=_samr}', "");
Error('\p{Script_Extensions=-Old_South_Arabian:=}');
Error('\P{Script_Extensions=-Old_South_Arabian:=}');
Expect(1, 68223, '\p{Script_Extensions=oldsoutharabian}', "");
Expect(0, 68223, '\p{^Script_Extensions=oldsoutharabian}', "");
Expect(0, 68223, '\P{Script_Extensions=oldsoutharabian}', "");
Expect(1, 68223, '\P{^Script_Extensions=oldsoutharabian}', "");
Expect(0, 68224, '\p{Script_Extensions=oldsoutharabian}', "");
Expect(1, 68224, '\p{^Script_Extensions=oldsoutharabian}', "");
Expect(1, 68224, '\P{Script_Extensions=oldsoutharabian}', "");
Expect(0, 68224, '\P{^Script_Extensions=oldsoutharabian}', "");
Expect(1, 68223, '\p{Script_Extensions= Old_South_ARABIAN}', "");
Expect(0, 68223, '\p{^Script_Extensions= Old_South_ARABIAN}', "");
Expect(0, 68223, '\P{Script_Extensions= Old_South_ARABIAN}', "");
Expect(1, 68223, '\P{^Script_Extensions= Old_South_ARABIAN}', "");
Expect(0, 68224, '\p{Script_Extensions= Old_South_ARABIAN}', "");
Expect(1, 68224, '\p{^Script_Extensions= Old_South_ARABIAN}', "");
Expect(1, 68224, '\P{Script_Extensions= Old_South_ARABIAN}', "");
Expect(0, 68224, '\P{^Script_Extensions= Old_South_ARABIAN}', "");
Error('\p{Scx:   := -sarb}');
Error('\P{Scx:   := -sarb}');
Expect(1, 68223, '\p{Scx=sarb}', "");
Expect(0, 68223, '\p{^Scx=sarb}', "");
Expect(0, 68223, '\P{Scx=sarb}', "");
Expect(1, 68223, '\P{^Scx=sarb}', "");
Expect(0, 68224, '\p{Scx=sarb}', "");
Expect(1, 68224, '\p{^Scx=sarb}', "");
Expect(1, 68224, '\P{Scx=sarb}', "");
Expect(0, 68224, '\P{^Scx=sarb}', "");
Expect(1, 68223, '\p{Scx= sarb}', "");
Expect(0, 68223, '\p{^Scx= sarb}', "");
Expect(0, 68223, '\P{Scx= sarb}', "");
Expect(1, 68223, '\P{^Scx= sarb}', "");
Expect(0, 68224, '\p{Scx= sarb}', "");
Expect(1, 68224, '\p{^Scx= sarb}', "");
Expect(1, 68224, '\P{Scx= sarb}', "");
Expect(0, 68224, '\P{^Scx= sarb}', "");
Error('\p{Is_Script_Extensions=/a/ Old_SOUTH_Arabian}');
Error('\P{Is_Script_Extensions=/a/ Old_SOUTH_Arabian}');
Expect(1, 68223, '\p{Is_Script_Extensions=oldsoutharabian}', "");
Expect(0, 68223, '\p{^Is_Script_Extensions=oldsoutharabian}', "");
Expect(0, 68223, '\P{Is_Script_Extensions=oldsoutharabian}', "");
Expect(1, 68223, '\P{^Is_Script_Extensions=oldsoutharabian}', "");
Expect(0, 68224, '\p{Is_Script_Extensions=oldsoutharabian}', "");
Expect(1, 68224, '\p{^Is_Script_Extensions=oldsoutharabian}', "");
Expect(1, 68224, '\P{Is_Script_Extensions=oldsoutharabian}', "");
Expect(0, 68224, '\P{^Is_Script_Extensions=oldsoutharabian}', "");
Expect(1, 68223, '\p{Is_Script_Extensions=_old_South_ARABIAN}', "");
Expect(0, 68223, '\p{^Is_Script_Extensions=_old_South_ARABIAN}', "");
Expect(0, 68223, '\P{Is_Script_Extensions=_old_South_ARABIAN}', "");
Expect(1, 68223, '\P{^Is_Script_Extensions=_old_South_ARABIAN}', "");
Expect(0, 68224, '\p{Is_Script_Extensions=_old_South_ARABIAN}', "");
Expect(1, 68224, '\p{^Is_Script_Extensions=_old_South_ARABIAN}', "");
Expect(1, 68224, '\P{Is_Script_Extensions=_old_South_ARABIAN}', "");
Expect(0, 68224, '\P{^Is_Script_Extensions=_old_South_ARABIAN}', "");
Error('\p{Is_Scx: /a/	 sarb}');
Error('\P{Is_Scx: /a/	 sarb}');
Expect(1, 68223, '\p{Is_Scx=sarb}', "");
Expect(0, 68223, '\p{^Is_Scx=sarb}', "");
Expect(0, 68223, '\P{Is_Scx=sarb}', "");
Expect(1, 68223, '\P{^Is_Scx=sarb}', "");
Expect(0, 68224, '\p{Is_Scx=sarb}', "");
Expect(1, 68224, '\p{^Is_Scx=sarb}', "");
Expect(1, 68224, '\P{Is_Scx=sarb}', "");
Expect(0, 68224, '\P{^Is_Scx=sarb}', "");
Expect(1, 68223, '\p{Is_Scx=	-Sarb}', "");
Expect(0, 68223, '\p{^Is_Scx=	-Sarb}', "");
Expect(0, 68223, '\P{Is_Scx=	-Sarb}', "");
Expect(1, 68223, '\P{^Is_Scx=	-Sarb}', "");
Expect(0, 68224, '\p{Is_Scx=	-Sarb}', "");
Expect(1, 68224, '\p{^Is_Scx=	-Sarb}', "");
Expect(1, 68224, '\P{Is_Scx=	-Sarb}', "");
Expect(0, 68224, '\P{^Is_Scx=	-Sarb}', "");
Error('\p{Script_Extensions:	/a/Saurashtra}');
Error('\P{Script_Extensions:	/a/Saurashtra}');
Expect(1, 43225, '\p{Script_Extensions=saurashtra}', "");
Expect(0, 43225, '\p{^Script_Extensions=saurashtra}', "");
Expect(0, 43225, '\P{Script_Extensions=saurashtra}', "");
Expect(1, 43225, '\P{^Script_Extensions=saurashtra}', "");
Expect(0, 43226, '\p{Script_Extensions=saurashtra}', "");
Expect(1, 43226, '\p{^Script_Extensions=saurashtra}', "");
Expect(1, 43226, '\P{Script_Extensions=saurashtra}', "");
Expect(0, 43226, '\P{^Script_Extensions=saurashtra}', "");
Expect(1, 43225, '\p{Script_Extensions=_Saurashtra}', "");
Expect(0, 43225, '\p{^Script_Extensions=_Saurashtra}', "");
Expect(0, 43225, '\P{Script_Extensions=_Saurashtra}', "");
Expect(1, 43225, '\P{^Script_Extensions=_Saurashtra}', "");
Expect(0, 43226, '\p{Script_Extensions=_Saurashtra}', "");
Expect(1, 43226, '\p{^Script_Extensions=_Saurashtra}', "");
Expect(1, 43226, '\P{Script_Extensions=_Saurashtra}', "");
Expect(0, 43226, '\P{^Script_Extensions=_Saurashtra}', "");
Error('\p{Scx=/a/ _Saur}');
Error('\P{Scx=/a/ _Saur}');
Expect(1, 43225, '\p{Scx=saur}', "");
Expect(0, 43225, '\p{^Scx=saur}', "");
Expect(0, 43225, '\P{Scx=saur}', "");
Expect(1, 43225, '\P{^Scx=saur}', "");
Expect(0, 43226, '\p{Scx=saur}', "");
Expect(1, 43226, '\p{^Scx=saur}', "");
Expect(1, 43226, '\P{Scx=saur}', "");
Expect(0, 43226, '\P{^Scx=saur}', "");
Expect(1, 43225, '\p{Scx= SAUR}', "");
Expect(0, 43225, '\p{^Scx= SAUR}', "");
Expect(0, 43225, '\P{Scx= SAUR}', "");
Expect(1, 43225, '\P{^Scx= SAUR}', "");
Expect(0, 43226, '\p{Scx= SAUR}', "");
Expect(1, 43226, '\p{^Scx= SAUR}', "");
Expect(1, 43226, '\P{Scx= SAUR}', "");
Expect(0, 43226, '\P{^Scx= SAUR}', "");
Error('\p{Is_Script_Extensions:	_Saurashtra:=}');
Error('\P{Is_Script_Extensions:	_Saurashtra:=}');
Expect(1, 43225, '\p{Is_Script_Extensions=saurashtra}', "");
Expect(0, 43225, '\p{^Is_Script_Extensions=saurashtra}', "");
Expect(0, 43225, '\P{Is_Script_Extensions=saurashtra}', "");
Expect(1, 43225, '\P{^Is_Script_Extensions=saurashtra}', "");
Expect(0, 43226, '\p{Is_Script_Extensions=saurashtra}', "");
Expect(1, 43226, '\p{^Is_Script_Extensions=saurashtra}', "");
Expect(1, 43226, '\P{Is_Script_Extensions=saurashtra}', "");
Expect(0, 43226, '\P{^Is_Script_Extensions=saurashtra}', "");
Expect(1, 43225, '\p{Is_Script_Extensions:    SAURASHTRA}', "");
Expect(0, 43225, '\p{^Is_Script_Extensions:    SAURASHTRA}', "");
Expect(0, 43225, '\P{Is_Script_Extensions:    SAURASHTRA}', "");
Expect(1, 43225, '\P{^Is_Script_Extensions:    SAURASHTRA}', "");
Expect(0, 43226, '\p{Is_Script_Extensions:    SAURASHTRA}', "");
Expect(1, 43226, '\p{^Is_Script_Extensions:    SAURASHTRA}', "");
Expect(1, 43226, '\P{Is_Script_Extensions:    SAURASHTRA}', "");
Expect(0, 43226, '\P{^Is_Script_Extensions:    SAURASHTRA}', "");
Error('\p{Is_Scx=	:=saur}');
Error('\P{Is_Scx=	:=saur}');
Expect(1, 43225, '\p{Is_Scx:	saur}', "");
Expect(0, 43225, '\p{^Is_Scx:	saur}', "");
Expect(0, 43225, '\P{Is_Scx:	saur}', "");
Expect(1, 43225, '\P{^Is_Scx:	saur}', "");
Expect(0, 43226, '\p{Is_Scx:	saur}', "");
Expect(1, 43226, '\p{^Is_Scx:	saur}', "");
Expect(1, 43226, '\P{Is_Scx:	saur}', "");
Expect(0, 43226, '\P{^Is_Scx:	saur}', "");
Expect(1, 43225, '\p{Is_Scx=	Saur}', "");
Expect(0, 43225, '\p{^Is_Scx=	Saur}', "");
Expect(0, 43225, '\P{Is_Scx=	Saur}', "");
Expect(1, 43225, '\P{^Is_Scx=	Saur}', "");
Expect(0, 43226, '\p{Is_Scx=	Saur}', "");
Expect(1, 43226, '\p{^Is_Scx=	Saur}', "");
Expect(1, 43226, '\P{Is_Scx=	Saur}', "");
Expect(0, 43226, '\P{^Is_Scx=	Saur}', "");
Error('\p{Script_Extensions=/a/ 	signwriting}');
Error('\P{Script_Extensions=/a/ 	signwriting}');
Expect(1, 121519, '\p{Script_Extensions=signwriting}', "");
Expect(0, 121519, '\p{^Script_Extensions=signwriting}', "");
Expect(0, 121519, '\P{Script_Extensions=signwriting}', "");
Expect(1, 121519, '\P{^Script_Extensions=signwriting}', "");
Expect(0, 121520, '\p{Script_Extensions=signwriting}', "");
Expect(1, 121520, '\p{^Script_Extensions=signwriting}', "");
Expect(1, 121520, '\P{Script_Extensions=signwriting}', "");
Expect(0, 121520, '\P{^Script_Extensions=signwriting}', "");
Expect(1, 121519, '\p{Script_Extensions=- SignWriting}', "");
Expect(0, 121519, '\p{^Script_Extensions=- SignWriting}', "");
Expect(0, 121519, '\P{Script_Extensions=- SignWriting}', "");
Expect(1, 121519, '\P{^Script_Extensions=- SignWriting}', "");
Expect(0, 121520, '\p{Script_Extensions=- SignWriting}', "");
Expect(1, 121520, '\p{^Script_Extensions=- SignWriting}', "");
Expect(1, 121520, '\P{Script_Extensions=- SignWriting}', "");
Expect(0, 121520, '\P{^Script_Extensions=- SignWriting}', "");
Error('\p{Scx=/a/	Sgnw}');
Error('\P{Scx=/a/	Sgnw}');
Expect(1, 121519, '\p{Scx: sgnw}', "");
Expect(0, 121519, '\p{^Scx: sgnw}', "");
Expect(0, 121519, '\P{Scx: sgnw}', "");
Expect(1, 121519, '\P{^Scx: sgnw}', "");
Expect(0, 121520, '\p{Scx: sgnw}', "");
Expect(1, 121520, '\p{^Scx: sgnw}', "");
Expect(1, 121520, '\P{Scx: sgnw}', "");
Expect(0, 121520, '\P{^Scx: sgnw}', "");
Expect(1, 121519, '\p{Scx=-	Sgnw}', "");
Expect(0, 121519, '\p{^Scx=-	Sgnw}', "");
Expect(0, 121519, '\P{Scx=-	Sgnw}', "");
Expect(1, 121519, '\P{^Scx=-	Sgnw}', "");
Expect(0, 121520, '\p{Scx=-	Sgnw}', "");
Expect(1, 121520, '\p{^Scx=-	Sgnw}', "");
Expect(1, 121520, '\P{Scx=-	Sgnw}', "");
Expect(0, 121520, '\P{^Scx=-	Sgnw}', "");
Error('\p{Is_Script_Extensions=/a/	 SignWriting}');
Error('\P{Is_Script_Extensions=/a/	 SignWriting}');
Expect(1, 121519, '\p{Is_Script_Extensions=signwriting}', "");
Expect(0, 121519, '\p{^Is_Script_Extensions=signwriting}', "");
Expect(0, 121519, '\P{Is_Script_Extensions=signwriting}', "");
Expect(1, 121519, '\P{^Is_Script_Extensions=signwriting}', "");
Expect(0, 121520, '\p{Is_Script_Extensions=signwriting}', "");
Expect(1, 121520, '\p{^Is_Script_Extensions=signwriting}', "");
Expect(1, 121520, '\P{Is_Script_Extensions=signwriting}', "");
Expect(0, 121520, '\P{^Is_Script_Extensions=signwriting}', "");
Expect(1, 121519, '\p{Is_Script_Extensions=_signwriting}', "");
Expect(0, 121519, '\p{^Is_Script_Extensions=_signwriting}', "");
Expect(0, 121519, '\P{Is_Script_Extensions=_signwriting}', "");
Expect(1, 121519, '\P{^Is_Script_Extensions=_signwriting}', "");
Expect(0, 121520, '\p{Is_Script_Extensions=_signwriting}', "");
Expect(1, 121520, '\p{^Is_Script_Extensions=_signwriting}', "");
Expect(1, 121520, '\P{Is_Script_Extensions=_signwriting}', "");
Expect(0, 121520, '\P{^Is_Script_Extensions=_signwriting}', "");
Error('\p{Is_Scx=:=_-Sgnw}');
Error('\P{Is_Scx=:=_-Sgnw}');
Expect(1, 121519, '\p{Is_Scx=sgnw}', "");
Expect(0, 121519, '\p{^Is_Scx=sgnw}', "");
Expect(0, 121519, '\P{Is_Scx=sgnw}', "");
Expect(1, 121519, '\P{^Is_Scx=sgnw}', "");
Expect(0, 121520, '\p{Is_Scx=sgnw}', "");
Expect(1, 121520, '\p{^Is_Scx=sgnw}', "");
Expect(1, 121520, '\P{Is_Scx=sgnw}', "");
Expect(0, 121520, '\P{^Is_Scx=sgnw}', "");
Expect(1, 121519, '\p{Is_Scx=	-Sgnw}', "");
Expect(0, 121519, '\p{^Is_Scx=	-Sgnw}', "");
Expect(0, 121519, '\P{Is_Scx=	-Sgnw}', "");
Expect(1, 121519, '\P{^Is_Scx=	-Sgnw}', "");
Expect(0, 121520, '\p{Is_Scx=	-Sgnw}', "");
Expect(1, 121520, '\p{^Is_Scx=	-Sgnw}', "");
Expect(1, 121520, '\P{Is_Scx=	-Sgnw}', "");
Expect(0, 121520, '\P{^Is_Scx=	-Sgnw}', "");
Error('\p{Script_Extensions=/a/ _SHAVIAN}');
Error('\P{Script_Extensions=/a/ _SHAVIAN}');
Expect(1, 66687, '\p{Script_Extensions=shavian}', "");
Expect(0, 66687, '\p{^Script_Extensions=shavian}', "");
Expect(0, 66687, '\P{Script_Extensions=shavian}', "");
Expect(1, 66687, '\P{^Script_Extensions=shavian}', "");
Expect(0, 66688, '\p{Script_Extensions=shavian}', "");
Expect(1, 66688, '\p{^Script_Extensions=shavian}', "");
Expect(1, 66688, '\P{Script_Extensions=shavian}', "");
Expect(0, 66688, '\P{^Script_Extensions=shavian}', "");
Expect(1, 66687, '\p{Script_Extensions=SHAVIAN}', "");
Expect(0, 66687, '\p{^Script_Extensions=SHAVIAN}', "");
Expect(0, 66687, '\P{Script_Extensions=SHAVIAN}', "");
Expect(1, 66687, '\P{^Script_Extensions=SHAVIAN}', "");
Expect(0, 66688, '\p{Script_Extensions=SHAVIAN}', "");
Expect(1, 66688, '\p{^Script_Extensions=SHAVIAN}', "");
Expect(1, 66688, '\P{Script_Extensions=SHAVIAN}', "");
Expect(0, 66688, '\P{^Script_Extensions=SHAVIAN}', "");
Error('\p{Scx=:=  SHAW}');
Error('\P{Scx=:=  SHAW}');
Expect(1, 66687, '\p{Scx=shaw}', "");
Expect(0, 66687, '\p{^Scx=shaw}', "");
Expect(0, 66687, '\P{Scx=shaw}', "");
Expect(1, 66687, '\P{^Scx=shaw}', "");
Expect(0, 66688, '\p{Scx=shaw}', "");
Expect(1, 66688, '\p{^Scx=shaw}', "");
Expect(1, 66688, '\P{Scx=shaw}', "");
Expect(0, 66688, '\P{^Scx=shaw}', "");
Expect(1, 66687, '\p{Scx=_Shaw}', "");
Expect(0, 66687, '\p{^Scx=_Shaw}', "");
Expect(0, 66687, '\P{Scx=_Shaw}', "");
Expect(1, 66687, '\P{^Scx=_Shaw}', "");
Expect(0, 66688, '\p{Scx=_Shaw}', "");
Expect(1, 66688, '\p{^Scx=_Shaw}', "");
Expect(1, 66688, '\P{Scx=_Shaw}', "");
Expect(0, 66688, '\P{^Scx=_Shaw}', "");
Error('\p{Is_Script_Extensions=:=-	Shavian}');
Error('\P{Is_Script_Extensions=:=-	Shavian}');
Expect(1, 66687, '\p{Is_Script_Extensions=shavian}', "");
Expect(0, 66687, '\p{^Is_Script_Extensions=shavian}', "");
Expect(0, 66687, '\P{Is_Script_Extensions=shavian}', "");
Expect(1, 66687, '\P{^Is_Script_Extensions=shavian}', "");
Expect(0, 66688, '\p{Is_Script_Extensions=shavian}', "");
Expect(1, 66688, '\p{^Is_Script_Extensions=shavian}', "");
Expect(1, 66688, '\P{Is_Script_Extensions=shavian}', "");
Expect(0, 66688, '\P{^Is_Script_Extensions=shavian}', "");
Expect(1, 66687, '\p{Is_Script_Extensions=	shavian}', "");
Expect(0, 66687, '\p{^Is_Script_Extensions=	shavian}', "");
Expect(0, 66687, '\P{Is_Script_Extensions=	shavian}', "");
Expect(1, 66687, '\P{^Is_Script_Extensions=	shavian}', "");
Expect(0, 66688, '\p{Is_Script_Extensions=	shavian}', "");
Expect(1, 66688, '\p{^Is_Script_Extensions=	shavian}', "");
Expect(1, 66688, '\P{Is_Script_Extensions=	shavian}', "");
Expect(0, 66688, '\P{^Is_Script_Extensions=	shavian}', "");
Error('\p{Is_Scx:-Shaw:=}');
Error('\P{Is_Scx:-Shaw:=}');
Expect(1, 66687, '\p{Is_Scx=shaw}', "");
Expect(0, 66687, '\p{^Is_Scx=shaw}', "");
Expect(0, 66687, '\P{Is_Scx=shaw}', "");
Expect(1, 66687, '\P{^Is_Scx=shaw}', "");
Expect(0, 66688, '\p{Is_Scx=shaw}', "");
Expect(1, 66688, '\p{^Is_Scx=shaw}', "");
Expect(1, 66688, '\P{Is_Scx=shaw}', "");
Expect(0, 66688, '\P{^Is_Scx=shaw}', "");
Expect(1, 66687, '\p{Is_Scx=_SHAW}', "");
Expect(0, 66687, '\p{^Is_Scx=_SHAW}', "");
Expect(0, 66687, '\P{Is_Scx=_SHAW}', "");
Expect(1, 66687, '\P{^Is_Scx=_SHAW}', "");
Expect(0, 66688, '\p{Is_Scx=_SHAW}', "");
Expect(1, 66688, '\p{^Is_Scx=_SHAW}', "");
Expect(1, 66688, '\P{Is_Scx=_SHAW}', "");
Expect(0, 66688, '\P{^Is_Scx=_SHAW}', "");
Error('\p{Script_Extensions= /a/Sharada}');
Error('\P{Script_Extensions= /a/Sharada}');
Expect(1, 70111, '\p{Script_Extensions=sharada}', "");
Expect(0, 70111, '\p{^Script_Extensions=sharada}', "");
Expect(0, 70111, '\P{Script_Extensions=sharada}', "");
Expect(1, 70111, '\P{^Script_Extensions=sharada}', "");
Expect(0, 70112, '\p{Script_Extensions=sharada}', "");
Expect(1, 70112, '\p{^Script_Extensions=sharada}', "");
Expect(1, 70112, '\P{Script_Extensions=sharada}', "");
Expect(0, 70112, '\P{^Script_Extensions=sharada}', "");
Expect(1, 70111, '\p{Script_Extensions=_-Sharada}', "");
Expect(0, 70111, '\p{^Script_Extensions=_-Sharada}', "");
Expect(0, 70111, '\P{Script_Extensions=_-Sharada}', "");
Expect(1, 70111, '\P{^Script_Extensions=_-Sharada}', "");
Expect(0, 70112, '\p{Script_Extensions=_-Sharada}', "");
Expect(1, 70112, '\p{^Script_Extensions=_-Sharada}', "");
Expect(1, 70112, '\P{Script_Extensions=_-Sharada}', "");
Expect(0, 70112, '\P{^Script_Extensions=_-Sharada}', "");
Error('\p{Scx=/a/Shrd}');
Error('\P{Scx=/a/Shrd}');
Expect(1, 70111, '\p{Scx=shrd}', "");
Expect(0, 70111, '\p{^Scx=shrd}', "");
Expect(0, 70111, '\P{Scx=shrd}', "");
Expect(1, 70111, '\P{^Scx=shrd}', "");
Expect(0, 70112, '\p{Scx=shrd}', "");
Expect(1, 70112, '\p{^Scx=shrd}', "");
Expect(1, 70112, '\P{Scx=shrd}', "");
Expect(0, 70112, '\P{^Scx=shrd}', "");
Expect(1, 70111, '\p{Scx=	-Shrd}', "");
Expect(0, 70111, '\p{^Scx=	-Shrd}', "");
Expect(0, 70111, '\P{Scx=	-Shrd}', "");
Expect(1, 70111, '\P{^Scx=	-Shrd}', "");
Expect(0, 70112, '\p{Scx=	-Shrd}', "");
Expect(1, 70112, '\p{^Scx=	-Shrd}', "");
Expect(1, 70112, '\P{Scx=	-Shrd}', "");
Expect(0, 70112, '\P{^Scx=	-Shrd}', "");
Error('\p{Is_Script_Extensions=_ Sharada:=}');
Error('\P{Is_Script_Extensions=_ Sharada:=}');
Expect(1, 70111, '\p{Is_Script_Extensions=sharada}', "");
Expect(0, 70111, '\p{^Is_Script_Extensions=sharada}', "");
Expect(0, 70111, '\P{Is_Script_Extensions=sharada}', "");
Expect(1, 70111, '\P{^Is_Script_Extensions=sharada}', "");
Expect(0, 70112, '\p{Is_Script_Extensions=sharada}', "");
Expect(1, 70112, '\p{^Is_Script_Extensions=sharada}', "");
Expect(1, 70112, '\P{Is_Script_Extensions=sharada}', "");
Expect(0, 70112, '\P{^Is_Script_Extensions=sharada}', "");
Expect(1, 70111, '\p{Is_Script_Extensions=__sharada}', "");
Expect(0, 70111, '\p{^Is_Script_Extensions=__sharada}', "");
Expect(0, 70111, '\P{Is_Script_Extensions=__sharada}', "");
Expect(1, 70111, '\P{^Is_Script_Extensions=__sharada}', "");
Expect(0, 70112, '\p{Is_Script_Extensions=__sharada}', "");
Expect(1, 70112, '\p{^Is_Script_Extensions=__sharada}', "");
Expect(1, 70112, '\P{Is_Script_Extensions=__sharada}', "");
Expect(0, 70112, '\P{^Is_Script_Extensions=__sharada}', "");
Error('\p{Is_Scx: -	shrd:=}');
Error('\P{Is_Scx: -	shrd:=}');
Expect(1, 70111, '\p{Is_Scx=shrd}', "");
Expect(0, 70111, '\p{^Is_Scx=shrd}', "");
Expect(0, 70111, '\P{Is_Scx=shrd}', "");
Expect(1, 70111, '\P{^Is_Scx=shrd}', "");
Expect(0, 70112, '\p{Is_Scx=shrd}', "");
Expect(1, 70112, '\p{^Is_Scx=shrd}', "");
Expect(1, 70112, '\P{Is_Scx=shrd}', "");
Expect(0, 70112, '\P{^Is_Scx=shrd}', "");
Expect(1, 70111, '\p{Is_Scx= SHRD}', "");
Expect(0, 70111, '\p{^Is_Scx= SHRD}', "");
Expect(0, 70111, '\P{Is_Scx= SHRD}', "");
Expect(1, 70111, '\P{^Is_Scx= SHRD}', "");
Expect(0, 70112, '\p{Is_Scx= SHRD}', "");
Expect(1, 70112, '\p{^Is_Scx= SHRD}', "");
Expect(1, 70112, '\P{Is_Scx= SHRD}', "");
Expect(0, 70112, '\P{^Is_Scx= SHRD}', "");
Error('\p{Script_Extensions=--siddham/a/}');
Error('\P{Script_Extensions=--siddham/a/}');
Expect(1, 71133, '\p{Script_Extensions=siddham}', "");
Expect(0, 71133, '\p{^Script_Extensions=siddham}', "");
Expect(0, 71133, '\P{Script_Extensions=siddham}', "");
Expect(1, 71133, '\P{^Script_Extensions=siddham}', "");
Expect(0, 71134, '\p{Script_Extensions=siddham}', "");
Expect(1, 71134, '\p{^Script_Extensions=siddham}', "");
Expect(1, 71134, '\P{Script_Extensions=siddham}', "");
Expect(0, 71134, '\P{^Script_Extensions=siddham}', "");
Expect(1, 71133, '\p{Script_Extensions=- Siddham}', "");
Expect(0, 71133, '\p{^Script_Extensions=- Siddham}', "");
Expect(0, 71133, '\P{Script_Extensions=- Siddham}', "");
Expect(1, 71133, '\P{^Script_Extensions=- Siddham}', "");
Expect(0, 71134, '\p{Script_Extensions=- Siddham}', "");
Expect(1, 71134, '\p{^Script_Extensions=- Siddham}', "");
Expect(1, 71134, '\P{Script_Extensions=- Siddham}', "");
Expect(0, 71134, '\P{^Script_Extensions=- Siddham}', "");
Error('\p{Scx=	-sidd/a/}');
Error('\P{Scx=	-sidd/a/}');
Expect(1, 71133, '\p{Scx=sidd}', "");
Expect(0, 71133, '\p{^Scx=sidd}', "");
Expect(0, 71133, '\P{Scx=sidd}', "");
Expect(1, 71133, '\P{^Scx=sidd}', "");
Expect(0, 71134, '\p{Scx=sidd}', "");
Expect(1, 71134, '\p{^Scx=sidd}', "");
Expect(1, 71134, '\P{Scx=sidd}', "");
Expect(0, 71134, '\P{^Scx=sidd}', "");
Expect(1, 71133, '\p{Scx: -Sidd}', "");
Expect(0, 71133, '\p{^Scx: -Sidd}', "");
Expect(0, 71133, '\P{Scx: -Sidd}', "");
Expect(1, 71133, '\P{^Scx: -Sidd}', "");
Expect(0, 71134, '\p{Scx: -Sidd}', "");
Expect(1, 71134, '\p{^Scx: -Sidd}', "");
Expect(1, 71134, '\P{Scx: -Sidd}', "");
Expect(0, 71134, '\P{^Scx: -Sidd}', "");
Error('\p{Is_Script_Extensions=	/a/SIDDHAM}');
Error('\P{Is_Script_Extensions=	/a/SIDDHAM}');
Expect(1, 71133, '\p{Is_Script_Extensions=siddham}', "");
Expect(0, 71133, '\p{^Is_Script_Extensions=siddham}', "");
Expect(0, 71133, '\P{Is_Script_Extensions=siddham}', "");
Expect(1, 71133, '\P{^Is_Script_Extensions=siddham}', "");
Expect(0, 71134, '\p{Is_Script_Extensions=siddham}', "");
Expect(1, 71134, '\p{^Is_Script_Extensions=siddham}', "");
Expect(1, 71134, '\P{Is_Script_Extensions=siddham}', "");
Expect(0, 71134, '\P{^Is_Script_Extensions=siddham}', "");
Expect(1, 71133, '\p{Is_Script_Extensions=- SIDDHAM}', "");
Expect(0, 71133, '\p{^Is_Script_Extensions=- SIDDHAM}', "");
Expect(0, 71133, '\P{Is_Script_Extensions=- SIDDHAM}', "");
Expect(1, 71133, '\P{^Is_Script_Extensions=- SIDDHAM}', "");
Expect(0, 71134, '\p{Is_Script_Extensions=- SIDDHAM}', "");
Expect(1, 71134, '\p{^Is_Script_Extensions=- SIDDHAM}', "");
Expect(1, 71134, '\P{Is_Script_Extensions=- SIDDHAM}', "");
Expect(0, 71134, '\P{^Is_Script_Extensions=- SIDDHAM}', "");
Error('\p{Is_Scx= :=Sidd}');
Error('\P{Is_Scx= :=Sidd}');
Expect(1, 71133, '\p{Is_Scx=sidd}', "");
Expect(0, 71133, '\p{^Is_Scx=sidd}', "");
Expect(0, 71133, '\P{Is_Scx=sidd}', "");
Expect(1, 71133, '\P{^Is_Scx=sidd}', "");
Expect(0, 71134, '\p{Is_Scx=sidd}', "");
Expect(1, 71134, '\p{^Is_Scx=sidd}', "");
Expect(1, 71134, '\P{Is_Scx=sidd}', "");
Expect(0, 71134, '\P{^Is_Scx=sidd}', "");
Expect(1, 71133, '\p{Is_Scx=	_Sidd}', "");
Expect(0, 71133, '\p{^Is_Scx=	_Sidd}', "");
Expect(0, 71133, '\P{Is_Scx=	_Sidd}', "");
Expect(1, 71133, '\P{^Is_Scx=	_Sidd}', "");
Expect(0, 71134, '\p{Is_Scx=	_Sidd}', "");
Expect(1, 71134, '\p{^Is_Scx=	_Sidd}', "");
Expect(1, 71134, '\P{Is_Scx=	_Sidd}', "");
Expect(0, 71134, '\P{^Is_Scx=	_Sidd}', "");
Error('\p{Script_Extensions=/a/--Khudawadi}');
Error('\P{Script_Extensions=/a/--Khudawadi}');
Expect(1, 70393, '\p{Script_Extensions=khudawadi}', "");
Expect(0, 70393, '\p{^Script_Extensions=khudawadi}', "");
Expect(0, 70393, '\P{Script_Extensions=khudawadi}', "");
Expect(1, 70393, '\P{^Script_Extensions=khudawadi}', "");
Expect(0, 70394, '\p{Script_Extensions=khudawadi}', "");
Expect(1, 70394, '\p{^Script_Extensions=khudawadi}', "");
Expect(1, 70394, '\P{Script_Extensions=khudawadi}', "");
Expect(0, 70394, '\P{^Script_Extensions=khudawadi}', "");
Expect(1, 70393, '\p{Script_Extensions=-_Khudawadi}', "");
Expect(0, 70393, '\p{^Script_Extensions=-_Khudawadi}', "");
Expect(0, 70393, '\P{Script_Extensions=-_Khudawadi}', "");
Expect(1, 70393, '\P{^Script_Extensions=-_Khudawadi}', "");
Expect(0, 70394, '\p{Script_Extensions=-_Khudawadi}', "");
Expect(1, 70394, '\p{^Script_Extensions=-_Khudawadi}', "");
Expect(1, 70394, '\P{Script_Extensions=-_Khudawadi}', "");
Expect(0, 70394, '\P{^Script_Extensions=-_Khudawadi}', "");
Error('\p{Scx=/a/_	Sind}');
Error('\P{Scx=/a/_	Sind}');
Expect(1, 70393, '\p{Scx=sind}', "");
Expect(0, 70393, '\p{^Scx=sind}', "");
Expect(0, 70393, '\P{Scx=sind}', "");
Expect(1, 70393, '\P{^Scx=sind}', "");
Expect(0, 70394, '\p{Scx=sind}', "");
Expect(1, 70394, '\p{^Scx=sind}', "");
Expect(1, 70394, '\P{Scx=sind}', "");
Expect(0, 70394, '\P{^Scx=sind}', "");
Expect(1, 70393, '\p{Scx=__sind}', "");
Expect(0, 70393, '\p{^Scx=__sind}', "");
Expect(0, 70393, '\P{Scx=__sind}', "");
Expect(1, 70393, '\P{^Scx=__sind}', "");
Expect(0, 70394, '\p{Scx=__sind}', "");
Expect(1, 70394, '\p{^Scx=__sind}', "");
Expect(1, 70394, '\P{Scx=__sind}', "");
Expect(0, 70394, '\P{^Scx=__sind}', "");
Error('\p{Is_Script_Extensions=:=-_KHUDAWADI}');
Error('\P{Is_Script_Extensions=:=-_KHUDAWADI}');
Expect(1, 70393, '\p{Is_Script_Extensions=khudawadi}', "");
Expect(0, 70393, '\p{^Is_Script_Extensions=khudawadi}', "");
Expect(0, 70393, '\P{Is_Script_Extensions=khudawadi}', "");
Expect(1, 70393, '\P{^Is_Script_Extensions=khudawadi}', "");
Expect(0, 70394, '\p{Is_Script_Extensions=khudawadi}', "");
Expect(1, 70394, '\p{^Is_Script_Extensions=khudawadi}', "");
Expect(1, 70394, '\P{Is_Script_Extensions=khudawadi}', "");
Expect(0, 70394, '\P{^Is_Script_Extensions=khudawadi}', "");
Expect(1, 70393, '\p{Is_Script_Extensions=-	Khudawadi}', "");
Expect(0, 70393, '\p{^Is_Script_Extensions=-	Khudawadi}', "");
Expect(0, 70393, '\P{Is_Script_Extensions=-	Khudawadi}', "");
Expect(1, 70393, '\P{^Is_Script_Extensions=-	Khudawadi}', "");
Expect(0, 70394, '\p{Is_Script_Extensions=-	Khudawadi}', "");
Expect(1, 70394, '\p{^Is_Script_Extensions=-	Khudawadi}', "");
Expect(1, 70394, '\P{Is_Script_Extensions=-	Khudawadi}', "");
Expect(0, 70394, '\P{^Is_Script_Extensions=-	Khudawadi}', "");
Error('\p{Is_Scx=/a/SIND}');
Error('\P{Is_Scx=/a/SIND}');
Expect(1, 70393, '\p{Is_Scx=sind}', "");
Expect(0, 70393, '\p{^Is_Scx=sind}', "");
Expect(0, 70393, '\P{Is_Scx=sind}', "");
Expect(1, 70393, '\P{^Is_Scx=sind}', "");
Expect(0, 70394, '\p{Is_Scx=sind}', "");
Expect(1, 70394, '\p{^Is_Scx=sind}', "");
Expect(1, 70394, '\P{Is_Scx=sind}', "");
Expect(0, 70394, '\P{^Is_Scx=sind}', "");
Expect(1, 70393, '\p{Is_Scx:	- Sind}', "");
Expect(0, 70393, '\p{^Is_Scx:	- Sind}', "");
Expect(0, 70393, '\P{Is_Scx:	- Sind}', "");
Expect(1, 70393, '\P{^Is_Scx:	- Sind}', "");
Expect(0, 70394, '\p{Is_Scx:	- Sind}', "");
Expect(1, 70394, '\p{^Is_Scx:	- Sind}', "");
Expect(1, 70394, '\P{Is_Scx:	- Sind}', "");
Expect(0, 70394, '\P{^Is_Scx:	- Sind}', "");
Error('\p{Script_Extensions=/a/	 Sinhala}');
Error('\P{Script_Extensions=/a/	 Sinhala}');
Expect(1, 70132, '\p{Script_Extensions=sinhala}', "");
Expect(0, 70132, '\p{^Script_Extensions=sinhala}', "");
Expect(0, 70132, '\P{Script_Extensions=sinhala}', "");
Expect(1, 70132, '\P{^Script_Extensions=sinhala}', "");
Expect(0, 70133, '\p{Script_Extensions=sinhala}', "");
Expect(1, 70133, '\p{^Script_Extensions=sinhala}', "");
Expect(1, 70133, '\P{Script_Extensions=sinhala}', "");
Expect(0, 70133, '\P{^Script_Extensions=sinhala}', "");
Expect(1, 70132, '\p{Script_Extensions:    SINHALA}', "");
Expect(0, 70132, '\p{^Script_Extensions:    SINHALA}', "");
Expect(0, 70132, '\P{Script_Extensions:    SINHALA}', "");
Expect(1, 70132, '\P{^Script_Extensions:    SINHALA}', "");
Expect(0, 70133, '\p{Script_Extensions:    SINHALA}', "");
Expect(1, 70133, '\p{^Script_Extensions:    SINHALA}', "");
Expect(1, 70133, '\P{Script_Extensions:    SINHALA}', "");
Expect(0, 70133, '\P{^Script_Extensions:    SINHALA}', "");
Error('\p{Scx=	_SINH:=}');
Error('\P{Scx=	_SINH:=}');
Expect(1, 70132, '\p{Scx=sinh}', "");
Expect(0, 70132, '\p{^Scx=sinh}', "");
Expect(0, 70132, '\P{Scx=sinh}', "");
Expect(1, 70132, '\P{^Scx=sinh}', "");
Expect(0, 70133, '\p{Scx=sinh}', "");
Expect(1, 70133, '\p{^Scx=sinh}', "");
Expect(1, 70133, '\P{Scx=sinh}', "");
Expect(0, 70133, '\P{^Scx=sinh}', "");
Expect(1, 70132, '\p{Scx=-_Sinh}', "");
Expect(0, 70132, '\p{^Scx=-_Sinh}', "");
Expect(0, 70132, '\P{Scx=-_Sinh}', "");
Expect(1, 70132, '\P{^Scx=-_Sinh}', "");
Expect(0, 70133, '\p{Scx=-_Sinh}', "");
Expect(1, 70133, '\p{^Scx=-_Sinh}', "");
Expect(1, 70133, '\P{Scx=-_Sinh}', "");
Expect(0, 70133, '\P{^Scx=-_Sinh}', "");
Error('\p{Is_Script_Extensions=	Sinhala/a/}');
Error('\P{Is_Script_Extensions=	Sinhala/a/}');
Expect(1, 70132, '\p{Is_Script_Extensions=sinhala}', "");
Expect(0, 70132, '\p{^Is_Script_Extensions=sinhala}', "");
Expect(0, 70132, '\P{Is_Script_Extensions=sinhala}', "");
Expect(1, 70132, '\P{^Is_Script_Extensions=sinhala}', "");
Expect(0, 70133, '\p{Is_Script_Extensions=sinhala}', "");
Expect(1, 70133, '\p{^Is_Script_Extensions=sinhala}', "");
Expect(1, 70133, '\P{Is_Script_Extensions=sinhala}', "");
Expect(0, 70133, '\P{^Is_Script_Extensions=sinhala}', "");
Expect(1, 70132, '\p{Is_Script_Extensions=__Sinhala}', "");
Expect(0, 70132, '\p{^Is_Script_Extensions=__Sinhala}', "");
Expect(0, 70132, '\P{Is_Script_Extensions=__Sinhala}', "");
Expect(1, 70132, '\P{^Is_Script_Extensions=__Sinhala}', "");
Expect(0, 70133, '\p{Is_Script_Extensions=__Sinhala}', "");
Expect(1, 70133, '\p{^Is_Script_Extensions=__Sinhala}', "");
Expect(1, 70133, '\P{Is_Script_Extensions=__Sinhala}', "");
Expect(0, 70133, '\P{^Is_Script_Extensions=__Sinhala}', "");
Error('\p{Is_Scx=-:=SINH}');
Error('\P{Is_Scx=-:=SINH}');
Expect(1, 70132, '\p{Is_Scx=sinh}', "");
Expect(0, 70132, '\p{^Is_Scx=sinh}', "");
Expect(0, 70132, '\P{Is_Scx=sinh}', "");
Expect(1, 70132, '\P{^Is_Scx=sinh}', "");
Expect(0, 70133, '\p{Is_Scx=sinh}', "");
Expect(1, 70133, '\p{^Is_Scx=sinh}', "");
Expect(1, 70133, '\P{Is_Scx=sinh}', "");
Expect(0, 70133, '\P{^Is_Scx=sinh}', "");
Error('\p{Script_Extensions=	SORA_SOMPENG/a/}');
Error('\P{Script_Extensions=	SORA_SOMPENG/a/}');
Expect(1, 69881, '\p{Script_Extensions=sorasompeng}', "");
Expect(0, 69881, '\p{^Script_Extensions=sorasompeng}', "");
Expect(0, 69881, '\P{Script_Extensions=sorasompeng}', "");
Expect(1, 69881, '\P{^Script_Extensions=sorasompeng}', "");
Expect(0, 69882, '\p{Script_Extensions=sorasompeng}', "");
Expect(1, 69882, '\p{^Script_Extensions=sorasompeng}', "");
Expect(1, 69882, '\P{Script_Extensions=sorasompeng}', "");
Expect(0, 69882, '\P{^Script_Extensions=sorasompeng}', "");
Expect(1, 69881, '\p{Script_Extensions=-sora_Sompeng}', "");
Expect(0, 69881, '\p{^Script_Extensions=-sora_Sompeng}', "");
Expect(0, 69881, '\P{Script_Extensions=-sora_Sompeng}', "");
Expect(1, 69881, '\P{^Script_Extensions=-sora_Sompeng}', "");
Expect(0, 69882, '\p{Script_Extensions=-sora_Sompeng}', "");
Expect(1, 69882, '\p{^Script_Extensions=-sora_Sompeng}', "");
Expect(1, 69882, '\P{Script_Extensions=-sora_Sompeng}', "");
Expect(0, 69882, '\P{^Script_Extensions=-sora_Sompeng}', "");
Error('\p{Scx=/a/	_Sora}');
Error('\P{Scx=/a/	_Sora}');
Expect(1, 69881, '\p{Scx=sora}', "");
Expect(0, 69881, '\p{^Scx=sora}', "");
Expect(0, 69881, '\P{Scx=sora}', "");
Expect(1, 69881, '\P{^Scx=sora}', "");
Expect(0, 69882, '\p{Scx=sora}', "");
Expect(1, 69882, '\p{^Scx=sora}', "");
Expect(1, 69882, '\P{Scx=sora}', "");
Expect(0, 69882, '\P{^Scx=sora}', "");
Expect(1, 69881, '\p{Scx= -Sora}', "");
Expect(0, 69881, '\p{^Scx= -Sora}', "");
Expect(0, 69881, '\P{Scx= -Sora}', "");
Expect(1, 69881, '\P{^Scx= -Sora}', "");
Expect(0, 69882, '\p{Scx= -Sora}', "");
Expect(1, 69882, '\p{^Scx= -Sora}', "");
Expect(1, 69882, '\P{Scx= -Sora}', "");
Expect(0, 69882, '\P{^Scx= -Sora}', "");
Error('\p{Is_Script_Extensions=	:=Sora_SOMPENG}');
Error('\P{Is_Script_Extensions=	:=Sora_SOMPENG}');
Expect(1, 69881, '\p{Is_Script_Extensions=sorasompeng}', "");
Expect(0, 69881, '\p{^Is_Script_Extensions=sorasompeng}', "");
Expect(0, 69881, '\P{Is_Script_Extensions=sorasompeng}', "");
Expect(1, 69881, '\P{^Is_Script_Extensions=sorasompeng}', "");
Expect(0, 69882, '\p{Is_Script_Extensions=sorasompeng}', "");
Expect(1, 69882, '\p{^Is_Script_Extensions=sorasompeng}', "");
Expect(1, 69882, '\P{Is_Script_Extensions=sorasompeng}', "");
Expect(0, 69882, '\P{^Is_Script_Extensions=sorasompeng}', "");
Expect(1, 69881, '\p{Is_Script_Extensions=_-sora_sompeng}', "");
Expect(0, 69881, '\p{^Is_Script_Extensions=_-sora_sompeng}', "");
Expect(0, 69881, '\P{Is_Script_Extensions=_-sora_sompeng}', "");
Expect(1, 69881, '\P{^Is_Script_Extensions=_-sora_sompeng}', "");
Expect(0, 69882, '\p{Is_Script_Extensions=_-sora_sompeng}', "");
Expect(1, 69882, '\p{^Is_Script_Extensions=_-sora_sompeng}', "");
Expect(1, 69882, '\P{Is_Script_Extensions=_-sora_sompeng}', "");
Expect(0, 69882, '\P{^Is_Script_Extensions=_-sora_sompeng}', "");
Error('\p{Is_Scx=Sora:=}');
Error('\P{Is_Scx=Sora:=}');
Expect(1, 69881, '\p{Is_Scx=sora}', "");
Expect(0, 69881, '\p{^Is_Scx=sora}', "");
Expect(0, 69881, '\P{Is_Scx=sora}', "");
Expect(1, 69881, '\P{^Is_Scx=sora}', "");
Expect(0, 69882, '\p{Is_Scx=sora}', "");
Expect(1, 69882, '\p{^Is_Scx=sora}', "");
Expect(1, 69882, '\P{Is_Scx=sora}', "");
Expect(0, 69882, '\P{^Is_Scx=sora}', "");
Expect(1, 69881, '\p{Is_Scx:   -_Sora}', "");
Expect(0, 69881, '\p{^Is_Scx:   -_Sora}', "");
Expect(0, 69881, '\P{Is_Scx:   -_Sora}', "");
Expect(1, 69881, '\P{^Is_Scx:   -_Sora}', "");
Expect(0, 69882, '\p{Is_Scx:   -_Sora}', "");
Expect(1, 69882, '\p{^Is_Scx:   -_Sora}', "");
Expect(1, 69882, '\P{Is_Scx:   -_Sora}', "");
Expect(0, 69882, '\P{^Is_Scx:   -_Sora}', "");
Error('\p{Script_Extensions=/a/-	Sundanese}');
Error('\P{Script_Extensions=/a/-	Sundanese}');
Expect(1, 7367, '\p{Script_Extensions=sundanese}', "");
Expect(0, 7367, '\p{^Script_Extensions=sundanese}', "");
Expect(0, 7367, '\P{Script_Extensions=sundanese}', "");
Expect(1, 7367, '\P{^Script_Extensions=sundanese}', "");
Expect(0, 7368, '\p{Script_Extensions=sundanese}', "");
Expect(1, 7368, '\p{^Script_Extensions=sundanese}', "");
Expect(1, 7368, '\P{Script_Extensions=sundanese}', "");
Expect(0, 7368, '\P{^Script_Extensions=sundanese}', "");
Expect(1, 7367, '\p{Script_Extensions=- Sundanese}', "");
Expect(0, 7367, '\p{^Script_Extensions=- Sundanese}', "");
Expect(0, 7367, '\P{Script_Extensions=- Sundanese}', "");
Expect(1, 7367, '\P{^Script_Extensions=- Sundanese}', "");
Expect(0, 7368, '\p{Script_Extensions=- Sundanese}', "");
Expect(1, 7368, '\p{^Script_Extensions=- Sundanese}', "");
Expect(1, 7368, '\P{Script_Extensions=- Sundanese}', "");
Expect(0, 7368, '\P{^Script_Extensions=- Sundanese}', "");
Error('\p{Scx= sund/a/}');
Error('\P{Scx= sund/a/}');
Expect(1, 7367, '\p{Scx=sund}', "");
Expect(0, 7367, '\p{^Scx=sund}', "");
Expect(0, 7367, '\P{Scx=sund}', "");
Expect(1, 7367, '\P{^Scx=sund}', "");
Expect(0, 7368, '\p{Scx=sund}', "");
Expect(1, 7368, '\p{^Scx=sund}', "");
Expect(1, 7368, '\P{Scx=sund}', "");
Expect(0, 7368, '\P{^Scx=sund}', "");
Expect(1, 7367, '\p{Scx=_-Sund}', "");
Expect(0, 7367, '\p{^Scx=_-Sund}', "");
Expect(0, 7367, '\P{Scx=_-Sund}', "");
Expect(1, 7367, '\P{^Scx=_-Sund}', "");
Expect(0, 7368, '\p{Scx=_-Sund}', "");
Expect(1, 7368, '\p{^Scx=_-Sund}', "");
Expect(1, 7368, '\P{Scx=_-Sund}', "");
Expect(0, 7368, '\P{^Scx=_-Sund}', "");
Error('\p{Is_Script_Extensions=_:=Sundanese}');
Error('\P{Is_Script_Extensions=_:=Sundanese}');
Expect(1, 7367, '\p{Is_Script_Extensions=sundanese}', "");
Expect(0, 7367, '\p{^Is_Script_Extensions=sundanese}', "");
Expect(0, 7367, '\P{Is_Script_Extensions=sundanese}', "");
Expect(1, 7367, '\P{^Is_Script_Extensions=sundanese}', "");
Expect(0, 7368, '\p{Is_Script_Extensions=sundanese}', "");
Expect(1, 7368, '\p{^Is_Script_Extensions=sundanese}', "");
Expect(1, 7368, '\P{Is_Script_Extensions=sundanese}', "");
Expect(0, 7368, '\P{^Is_Script_Extensions=sundanese}', "");
Expect(1, 7367, '\p{Is_Script_Extensions=-_SUNDANESE}', "");
Expect(0, 7367, '\p{^Is_Script_Extensions=-_SUNDANESE}', "");
Expect(0, 7367, '\P{Is_Script_Extensions=-_SUNDANESE}', "");
Expect(1, 7367, '\P{^Is_Script_Extensions=-_SUNDANESE}', "");
Expect(0, 7368, '\p{Is_Script_Extensions=-_SUNDANESE}', "");
Expect(1, 7368, '\p{^Is_Script_Extensions=-_SUNDANESE}', "");
Expect(1, 7368, '\P{Is_Script_Extensions=-_SUNDANESE}', "");
Expect(0, 7368, '\P{^Is_Script_Extensions=-_SUNDANESE}', "");
Error('\p{Is_Scx=/a/Sund}');
Error('\P{Is_Scx=/a/Sund}');
Expect(1, 7367, '\p{Is_Scx=sund}', "");
Expect(0, 7367, '\p{^Is_Scx=sund}', "");
Expect(0, 7367, '\P{Is_Scx=sund}', "");
Expect(1, 7367, '\P{^Is_Scx=sund}', "");
Expect(0, 7368, '\p{Is_Scx=sund}', "");
Expect(1, 7368, '\p{^Is_Scx=sund}', "");
Expect(1, 7368, '\P{Is_Scx=sund}', "");
Expect(0, 7368, '\P{^Is_Scx=sund}', "");
Expect(1, 7367, '\p{Is_Scx=__Sund}', "");
Expect(0, 7367, '\p{^Is_Scx=__Sund}', "");
Expect(0, 7367, '\P{Is_Scx=__Sund}', "");
Expect(1, 7367, '\P{^Is_Scx=__Sund}', "");
Expect(0, 7368, '\p{Is_Scx=__Sund}', "");
Expect(1, 7368, '\p{^Is_Scx=__Sund}', "");
Expect(1, 7368, '\P{Is_Scx=__Sund}', "");
Expect(0, 7368, '\P{^Is_Scx=__Sund}', "");
Error('\p{Script_Extensions=	_Syloti_Nagri/a/}');
Error('\P{Script_Extensions=	_Syloti_Nagri/a/}');
Expect(1, 43051, '\p{Script_Extensions=sylotinagri}', "");
Expect(0, 43051, '\p{^Script_Extensions=sylotinagri}', "");
Expect(0, 43051, '\P{Script_Extensions=sylotinagri}', "");
Expect(1, 43051, '\P{^Script_Extensions=sylotinagri}', "");
Expect(0, 43052, '\p{Script_Extensions=sylotinagri}', "");
Expect(1, 43052, '\p{^Script_Extensions=sylotinagri}', "");
Expect(1, 43052, '\P{Script_Extensions=sylotinagri}', "");
Expect(0, 43052, '\P{^Script_Extensions=sylotinagri}', "");
Expect(1, 43051, '\p{Script_Extensions:	 SYLOTI_Nagri}', "");
Expect(0, 43051, '\p{^Script_Extensions:	 SYLOTI_Nagri}', "");
Expect(0, 43051, '\P{Script_Extensions:	 SYLOTI_Nagri}', "");
Expect(1, 43051, '\P{^Script_Extensions:	 SYLOTI_Nagri}', "");
Expect(0, 43052, '\p{Script_Extensions:	 SYLOTI_Nagri}', "");
Expect(1, 43052, '\p{^Script_Extensions:	 SYLOTI_Nagri}', "");
Expect(1, 43052, '\P{Script_Extensions:	 SYLOTI_Nagri}', "");
Expect(0, 43052, '\P{^Script_Extensions:	 SYLOTI_Nagri}', "");
Error('\p{Scx:	/a/SYLO}');
Error('\P{Scx:	/a/SYLO}');
Expect(1, 43051, '\p{Scx=sylo}', "");
Expect(0, 43051, '\p{^Scx=sylo}', "");
Expect(0, 43051, '\P{Scx=sylo}', "");
Expect(1, 43051, '\P{^Scx=sylo}', "");
Expect(0, 43052, '\p{Scx=sylo}', "");
Expect(1, 43052, '\p{^Scx=sylo}', "");
Expect(1, 43052, '\P{Scx=sylo}', "");
Expect(0, 43052, '\P{^Scx=sylo}', "");
Expect(1, 43051, '\p{Scx=-_sylo}', "");
Expect(0, 43051, '\p{^Scx=-_sylo}', "");
Expect(0, 43051, '\P{Scx=-_sylo}', "");
Expect(1, 43051, '\P{^Scx=-_sylo}', "");
Expect(0, 43052, '\p{Scx=-_sylo}', "");
Expect(1, 43052, '\p{^Scx=-_sylo}', "");
Expect(1, 43052, '\P{Scx=-_sylo}', "");
Expect(0, 43052, '\P{^Scx=-_sylo}', "");
Error('\p{Is_Script_Extensions=:=	-Syloti_Nagri}');
Error('\P{Is_Script_Extensions=:=	-Syloti_Nagri}');
Expect(1, 43051, '\p{Is_Script_Extensions=sylotinagri}', "");
Expect(0, 43051, '\p{^Is_Script_Extensions=sylotinagri}', "");
Expect(0, 43051, '\P{Is_Script_Extensions=sylotinagri}', "");
Expect(1, 43051, '\P{^Is_Script_Extensions=sylotinagri}', "");
Expect(0, 43052, '\p{Is_Script_Extensions=sylotinagri}', "");
Expect(1, 43052, '\p{^Is_Script_Extensions=sylotinagri}', "");
Expect(1, 43052, '\P{Is_Script_Extensions=sylotinagri}', "");
Expect(0, 43052, '\P{^Is_Script_Extensions=sylotinagri}', "");
Expect(1, 43051, '\p{Is_Script_Extensions=--Syloti_Nagri}', "");
Expect(0, 43051, '\p{^Is_Script_Extensions=--Syloti_Nagri}', "");
Expect(0, 43051, '\P{Is_Script_Extensions=--Syloti_Nagri}', "");
Expect(1, 43051, '\P{^Is_Script_Extensions=--Syloti_Nagri}', "");
Expect(0, 43052, '\p{Is_Script_Extensions=--Syloti_Nagri}', "");
Expect(1, 43052, '\p{^Is_Script_Extensions=--Syloti_Nagri}', "");
Expect(1, 43052, '\P{Is_Script_Extensions=--Syloti_Nagri}', "");
Expect(0, 43052, '\P{^Is_Script_Extensions=--Syloti_Nagri}', "");
Error('\p{Is_Scx= 	Sylo:=}');
Error('\P{Is_Scx= 	Sylo:=}');
Expect(1, 43051, '\p{Is_Scx=sylo}', "");
Expect(0, 43051, '\p{^Is_Scx=sylo}', "");
Expect(0, 43051, '\P{Is_Scx=sylo}', "");
Expect(1, 43051, '\P{^Is_Scx=sylo}', "");
Expect(0, 43052, '\p{Is_Scx=sylo}', "");
Expect(1, 43052, '\p{^Is_Scx=sylo}', "");
Expect(1, 43052, '\P{Is_Scx=sylo}', "");
Expect(0, 43052, '\P{^Is_Scx=sylo}', "");
Expect(1, 43051, '\p{Is_Scx:			SYLO}', "");
Expect(0, 43051, '\p{^Is_Scx:			SYLO}', "");
Expect(0, 43051, '\P{Is_Scx:			SYLO}', "");
Expect(1, 43051, '\P{^Is_Scx:			SYLO}', "");
Expect(0, 43052, '\p{Is_Scx:			SYLO}', "");
Expect(1, 43052, '\p{^Is_Scx:			SYLO}', "");
Expect(1, 43052, '\P{Is_Scx:			SYLO}', "");
Expect(0, 43052, '\P{^Is_Scx:			SYLO}', "");
Error('\p{Script_Extensions=_:=syriac}');
Error('\P{Script_Extensions=_:=syriac}');
Expect(1, 1871, '\p{Script_Extensions=syriac}', "");
Expect(0, 1871, '\p{^Script_Extensions=syriac}', "");
Expect(0, 1871, '\P{Script_Extensions=syriac}', "");
Expect(1, 1871, '\P{^Script_Extensions=syriac}', "");
Expect(0, 1872, '\p{Script_Extensions=syriac}', "");
Expect(1, 1872, '\p{^Script_Extensions=syriac}', "");
Expect(1, 1872, '\P{Script_Extensions=syriac}', "");
Expect(0, 1872, '\P{^Script_Extensions=syriac}', "");
Expect(1, 1871, '\p{Script_Extensions=-syriac}', "");
Expect(0, 1871, '\p{^Script_Extensions=-syriac}', "");
Expect(0, 1871, '\P{Script_Extensions=-syriac}', "");
Expect(1, 1871, '\P{^Script_Extensions=-syriac}', "");
Expect(0, 1872, '\p{Script_Extensions=-syriac}', "");
Expect(1, 1872, '\p{^Script_Extensions=-syriac}', "");
Expect(1, 1872, '\P{Script_Extensions=-syriac}', "");
Expect(0, 1872, '\P{^Script_Extensions=-syriac}', "");
Error('\p{Scx=/a/	-syrc}');
Error('\P{Scx=/a/	-syrc}');
Expect(1, 1871, '\p{Scx=syrc}', "");
Expect(0, 1871, '\p{^Scx=syrc}', "");
Expect(0, 1871, '\P{Scx=syrc}', "");
Expect(1, 1871, '\P{^Scx=syrc}', "");
Expect(0, 1872, '\p{Scx=syrc}', "");
Expect(1, 1872, '\p{^Scx=syrc}', "");
Expect(1, 1872, '\P{Scx=syrc}', "");
Expect(0, 1872, '\P{^Scx=syrc}', "");
Expect(1, 1871, '\p{Scx=  syrc}', "");
Expect(0, 1871, '\p{^Scx=  syrc}', "");
Expect(0, 1871, '\P{Scx=  syrc}', "");
Expect(1, 1871, '\P{^Scx=  syrc}', "");
Expect(0, 1872, '\p{Scx=  syrc}', "");
Expect(1, 1872, '\p{^Scx=  syrc}', "");
Expect(1, 1872, '\P{Scx=  syrc}', "");
Expect(0, 1872, '\P{^Scx=  syrc}', "");
Error('\p{Is_Script_Extensions=:=		Syriac}');
Error('\P{Is_Script_Extensions=:=		Syriac}');
Expect(1, 1871, '\p{Is_Script_Extensions=syriac}', "");
Expect(0, 1871, '\p{^Is_Script_Extensions=syriac}', "");
Expect(0, 1871, '\P{Is_Script_Extensions=syriac}', "");
Expect(1, 1871, '\P{^Is_Script_Extensions=syriac}', "");
Expect(0, 1872, '\p{Is_Script_Extensions=syriac}', "");
Expect(1, 1872, '\p{^Is_Script_Extensions=syriac}', "");
Expect(1, 1872, '\P{Is_Script_Extensions=syriac}', "");
Expect(0, 1872, '\P{^Is_Script_Extensions=syriac}', "");
Expect(1, 1871, '\p{Is_Script_Extensions=_syriac}', "");
Expect(0, 1871, '\p{^Is_Script_Extensions=_syriac}', "");
Expect(0, 1871, '\P{Is_Script_Extensions=_syriac}', "");
Expect(1, 1871, '\P{^Is_Script_Extensions=_syriac}', "");
Expect(0, 1872, '\p{Is_Script_Extensions=_syriac}', "");
Expect(1, 1872, '\p{^Is_Script_Extensions=_syriac}', "");
Expect(1, 1872, '\P{Is_Script_Extensions=_syriac}', "");
Expect(0, 1872, '\P{^Is_Script_Extensions=_syriac}', "");
Error('\p{Is_Scx=/a/-Syrc}');
Error('\P{Is_Scx=/a/-Syrc}');
Expect(1, 1871, '\p{Is_Scx=syrc}', "");
Expect(0, 1871, '\p{^Is_Scx=syrc}', "");
Expect(0, 1871, '\P{Is_Scx=syrc}', "");
Expect(1, 1871, '\P{^Is_Scx=syrc}', "");
Expect(0, 1872, '\p{Is_Scx=syrc}', "");
Expect(1, 1872, '\p{^Is_Scx=syrc}', "");
Expect(1, 1872, '\P{Is_Scx=syrc}', "");
Expect(0, 1872, '\P{^Is_Scx=syrc}', "");
Expect(1, 1871, '\p{Is_Scx=	_Syrc}', "");
Expect(0, 1871, '\p{^Is_Scx=	_Syrc}', "");
Expect(0, 1871, '\P{Is_Scx=	_Syrc}', "");
Expect(1, 1871, '\P{^Is_Scx=	_Syrc}', "");
Expect(0, 1872, '\p{Is_Scx=	_Syrc}', "");
Expect(1, 1872, '\p{^Is_Scx=	_Syrc}', "");
Expect(1, 1872, '\P{Is_Scx=	_Syrc}', "");
Expect(0, 1872, '\P{^Is_Scx=	_Syrc}', "");
Error('\p{Script_Extensions=__Tagbanwa/a/}');
Error('\P{Script_Extensions=__Tagbanwa/a/}');
Expect(1, 6003, '\p{Script_Extensions=tagbanwa}', "");
Expect(0, 6003, '\p{^Script_Extensions=tagbanwa}', "");
Expect(0, 6003, '\P{Script_Extensions=tagbanwa}', "");
Expect(1, 6003, '\P{^Script_Extensions=tagbanwa}', "");
Expect(0, 6004, '\p{Script_Extensions=tagbanwa}', "");
Expect(1, 6004, '\p{^Script_Extensions=tagbanwa}', "");
Expect(1, 6004, '\P{Script_Extensions=tagbanwa}', "");
Expect(0, 6004, '\P{^Script_Extensions=tagbanwa}', "");
Expect(1, 6003, '\p{Script_Extensions=__Tagbanwa}', "");
Expect(0, 6003, '\p{^Script_Extensions=__Tagbanwa}', "");
Expect(0, 6003, '\P{Script_Extensions=__Tagbanwa}', "");
Expect(1, 6003, '\P{^Script_Extensions=__Tagbanwa}', "");
Expect(0, 6004, '\p{Script_Extensions=__Tagbanwa}', "");
Expect(1, 6004, '\p{^Script_Extensions=__Tagbanwa}', "");
Expect(1, 6004, '\P{Script_Extensions=__Tagbanwa}', "");
Expect(0, 6004, '\P{^Script_Extensions=__Tagbanwa}', "");
Error('\p{Scx=	 tagb/a/}');
Error('\P{Scx=	 tagb/a/}');
Expect(1, 6003, '\p{Scx=tagb}', "");
Expect(0, 6003, '\p{^Scx=tagb}', "");
Expect(0, 6003, '\P{Scx=tagb}', "");
Expect(1, 6003, '\P{^Scx=tagb}', "");
Expect(0, 6004, '\p{Scx=tagb}', "");
Expect(1, 6004, '\p{^Scx=tagb}', "");
Expect(1, 6004, '\P{Scx=tagb}', "");
Expect(0, 6004, '\P{^Scx=tagb}', "");
Expect(1, 6003, '\p{Scx=  TAGB}', "");
Expect(0, 6003, '\p{^Scx=  TAGB}', "");
Expect(0, 6003, '\P{Scx=  TAGB}', "");
Expect(1, 6003, '\P{^Scx=  TAGB}', "");
Expect(0, 6004, '\p{Scx=  TAGB}', "");
Expect(1, 6004, '\p{^Scx=  TAGB}', "");
Expect(1, 6004, '\P{Scx=  TAGB}', "");
Expect(0, 6004, '\P{^Scx=  TAGB}', "");
Error('\p{Is_Script_Extensions=/a/--Tagbanwa}');
Error('\P{Is_Script_Extensions=/a/--Tagbanwa}');
Expect(1, 6003, '\p{Is_Script_Extensions=tagbanwa}', "");
Expect(0, 6003, '\p{^Is_Script_Extensions=tagbanwa}', "");
Expect(0, 6003, '\P{Is_Script_Extensions=tagbanwa}', "");
Expect(1, 6003, '\P{^Is_Script_Extensions=tagbanwa}', "");
Expect(0, 6004, '\p{Is_Script_Extensions=tagbanwa}', "");
Expect(1, 6004, '\p{^Is_Script_Extensions=tagbanwa}', "");
Expect(1, 6004, '\P{Is_Script_Extensions=tagbanwa}', "");
Expect(0, 6004, '\P{^Is_Script_Extensions=tagbanwa}', "");
Expect(1, 6003, '\p{Is_Script_Extensions=-_Tagbanwa}', "");
Expect(0, 6003, '\p{^Is_Script_Extensions=-_Tagbanwa}', "");
Expect(0, 6003, '\P{Is_Script_Extensions=-_Tagbanwa}', "");
Expect(1, 6003, '\P{^Is_Script_Extensions=-_Tagbanwa}', "");
Expect(0, 6004, '\p{Is_Script_Extensions=-_Tagbanwa}', "");
Expect(1, 6004, '\p{^Is_Script_Extensions=-_Tagbanwa}', "");
Expect(1, 6004, '\P{Is_Script_Extensions=-_Tagbanwa}', "");
Expect(0, 6004, '\P{^Is_Script_Extensions=-_Tagbanwa}', "");
Error('\p{Is_Scx=/a/-TAGB}');
Error('\P{Is_Scx=/a/-TAGB}');
Expect(1, 6003, '\p{Is_Scx=tagb}', "");
Expect(0, 6003, '\p{^Is_Scx=tagb}', "");
Expect(0, 6003, '\P{Is_Scx=tagb}', "");
Expect(1, 6003, '\P{^Is_Scx=tagb}', "");
Expect(0, 6004, '\p{Is_Scx=tagb}', "");
Expect(1, 6004, '\p{^Is_Scx=tagb}', "");
Expect(1, 6004, '\P{Is_Scx=tagb}', "");
Expect(0, 6004, '\P{^Is_Scx=tagb}', "");
Expect(1, 6003, '\p{Is_Scx=_-TAGB}', "");
Expect(0, 6003, '\p{^Is_Scx=_-TAGB}', "");
Expect(0, 6003, '\P{Is_Scx=_-TAGB}', "");
Expect(1, 6003, '\P{^Is_Scx=_-TAGB}', "");
Expect(0, 6004, '\p{Is_Scx=_-TAGB}', "");
Expect(1, 6004, '\p{^Is_Scx=_-TAGB}', "");
Expect(1, 6004, '\P{Is_Scx=_-TAGB}', "");
Expect(0, 6004, '\P{^Is_Scx=_-TAGB}', "");
Error('\p{Script_Extensions=/a/takri}');
Error('\P{Script_Extensions=/a/takri}');
Expect(1, 71369, '\p{Script_Extensions=takri}', "");
Expect(0, 71369, '\p{^Script_Extensions=takri}', "");
Expect(0, 71369, '\P{Script_Extensions=takri}', "");
Expect(1, 71369, '\P{^Script_Extensions=takri}', "");
Expect(0, 71370, '\p{Script_Extensions=takri}', "");
Expect(1, 71370, '\p{^Script_Extensions=takri}', "");
Expect(1, 71370, '\P{Script_Extensions=takri}', "");
Expect(0, 71370, '\P{^Script_Extensions=takri}', "");
Error('\p{Scx:	:=	takr}');
Error('\P{Scx:	:=	takr}');
Expect(1, 71369, '\p{Scx:takr}', "");
Expect(0, 71369, '\p{^Scx:takr}', "");
Expect(0, 71369, '\P{Scx:takr}', "");
Expect(1, 71369, '\P{^Scx:takr}', "");
Expect(0, 71370, '\p{Scx:takr}', "");
Expect(1, 71370, '\p{^Scx:takr}', "");
Expect(1, 71370, '\P{Scx:takr}', "");
Expect(0, 71370, '\P{^Scx:takr}', "");
Expect(1, 71369, '\p{Scx:   	_Takr}', "");
Expect(0, 71369, '\p{^Scx:   	_Takr}', "");
Expect(0, 71369, '\P{Scx:   	_Takr}', "");
Expect(1, 71369, '\P{^Scx:   	_Takr}', "");
Expect(0, 71370, '\p{Scx:   	_Takr}', "");
Expect(1, 71370, '\p{^Scx:   	_Takr}', "");
Expect(1, 71370, '\P{Scx:   	_Takr}', "");
Expect(0, 71370, '\P{^Scx:   	_Takr}', "");
Error('\p{Is_Script_Extensions=-:=TAKRI}');
Error('\P{Is_Script_Extensions=-:=TAKRI}');
Expect(1, 71369, '\p{Is_Script_Extensions:   takri}', "");
Expect(0, 71369, '\p{^Is_Script_Extensions:   takri}', "");
Expect(0, 71369, '\P{Is_Script_Extensions:   takri}', "");
Expect(1, 71369, '\P{^Is_Script_Extensions:   takri}', "");
Expect(0, 71370, '\p{Is_Script_Extensions:   takri}', "");
Expect(1, 71370, '\p{^Is_Script_Extensions:   takri}', "");
Expect(1, 71370, '\P{Is_Script_Extensions:   takri}', "");
Expect(0, 71370, '\P{^Is_Script_Extensions:   takri}', "");
Expect(1, 71369, '\p{Is_Script_Extensions=	-takri}', "");
Expect(0, 71369, '\p{^Is_Script_Extensions=	-takri}', "");
Expect(0, 71369, '\P{Is_Script_Extensions=	-takri}', "");
Expect(1, 71369, '\P{^Is_Script_Extensions=	-takri}', "");
Expect(0, 71370, '\p{Is_Script_Extensions=	-takri}', "");
Expect(1, 71370, '\p{^Is_Script_Extensions=	-takri}', "");
Expect(1, 71370, '\P{Is_Script_Extensions=	-takri}', "");
Expect(0, 71370, '\P{^Is_Script_Extensions=	-takri}', "");
Error('\p{Is_Scx=__Takr:=}');
Error('\P{Is_Scx=__Takr:=}');
Expect(1, 71369, '\p{Is_Scx=takr}', "");
Expect(0, 71369, '\p{^Is_Scx=takr}', "");
Expect(0, 71369, '\P{Is_Scx=takr}', "");
Expect(1, 71369, '\P{^Is_Scx=takr}', "");
Expect(0, 71370, '\p{Is_Scx=takr}', "");
Expect(1, 71370, '\p{^Is_Scx=takr}', "");
Expect(1, 71370, '\P{Is_Scx=takr}', "");
Expect(0, 71370, '\P{^Is_Scx=takr}', "");
Expect(1, 71369, '\p{Is_Scx=_	Takr}', "");
Expect(0, 71369, '\p{^Is_Scx=_	Takr}', "");
Expect(0, 71369, '\P{Is_Scx=_	Takr}', "");
Expect(1, 71369, '\P{^Is_Scx=_	Takr}', "");
Expect(0, 71370, '\p{Is_Scx=_	Takr}', "");
Expect(1, 71370, '\p{^Is_Scx=_	Takr}', "");
Expect(1, 71370, '\P{Is_Scx=_	Takr}', "");
Expect(0, 71370, '\P{^Is_Scx=_	Takr}', "");
Error('\p{Script_Extensions=:=	Tai_Le}');
Error('\P{Script_Extensions=:=	Tai_Le}');
Expect(1, 6516, '\p{Script_Extensions=taile}', "");
Expect(0, 6516, '\p{^Script_Extensions=taile}', "");
Expect(0, 6516, '\P{Script_Extensions=taile}', "");
Expect(1, 6516, '\P{^Script_Extensions=taile}', "");
Expect(0, 6517, '\p{Script_Extensions=taile}', "");
Expect(1, 6517, '\p{^Script_Extensions=taile}', "");
Expect(1, 6517, '\P{Script_Extensions=taile}', "");
Expect(0, 6517, '\P{^Script_Extensions=taile}', "");
Expect(1, 6516, '\p{Script_Extensions=		Tai_Le}', "");
Expect(0, 6516, '\p{^Script_Extensions=		Tai_Le}', "");
Expect(0, 6516, '\P{Script_Extensions=		Tai_Le}', "");
Expect(1, 6516, '\P{^Script_Extensions=		Tai_Le}', "");
Expect(0, 6517, '\p{Script_Extensions=		Tai_Le}', "");
Expect(1, 6517, '\p{^Script_Extensions=		Tai_Le}', "");
Expect(1, 6517, '\P{Script_Extensions=		Tai_Le}', "");
Expect(0, 6517, '\P{^Script_Extensions=		Tai_Le}', "");
Error('\p{Scx=:=_TALE}');
Error('\P{Scx=:=_TALE}');
Expect(1, 6516, '\p{Scx=tale}', "");
Expect(0, 6516, '\p{^Scx=tale}', "");
Expect(0, 6516, '\P{Scx=tale}', "");
Expect(1, 6516, '\P{^Scx=tale}', "");
Expect(0, 6517, '\p{Scx=tale}', "");
Expect(1, 6517, '\p{^Scx=tale}', "");
Expect(1, 6517, '\P{Scx=tale}', "");
Expect(0, 6517, '\P{^Scx=tale}', "");
Expect(1, 6516, '\p{Scx=- Tale}', "");
Expect(0, 6516, '\p{^Scx=- Tale}', "");
Expect(0, 6516, '\P{Scx=- Tale}', "");
Expect(1, 6516, '\P{^Scx=- Tale}', "");
Expect(0, 6517, '\p{Scx=- Tale}', "");
Expect(1, 6517, '\p{^Scx=- Tale}', "");
Expect(1, 6517, '\P{Scx=- Tale}', "");
Expect(0, 6517, '\P{^Scx=- Tale}', "");
Error('\p{Is_Script_Extensions= :=Tai_LE}');
Error('\P{Is_Script_Extensions= :=Tai_LE}');
Expect(1, 6516, '\p{Is_Script_Extensions=taile}', "");
Expect(0, 6516, '\p{^Is_Script_Extensions=taile}', "");
Expect(0, 6516, '\P{Is_Script_Extensions=taile}', "");
Expect(1, 6516, '\P{^Is_Script_Extensions=taile}', "");
Expect(0, 6517, '\p{Is_Script_Extensions=taile}', "");
Expect(1, 6517, '\p{^Is_Script_Extensions=taile}', "");
Expect(1, 6517, '\P{Is_Script_Extensions=taile}', "");
Expect(0, 6517, '\P{^Is_Script_Extensions=taile}', "");
Expect(1, 6516, '\p{Is_Script_Extensions:	-TAI_le}', "");
Expect(0, 6516, '\p{^Is_Script_Extensions:	-TAI_le}', "");
Expect(0, 6516, '\P{Is_Script_Extensions:	-TAI_le}', "");
Expect(1, 6516, '\P{^Is_Script_Extensions:	-TAI_le}', "");
Expect(0, 6517, '\p{Is_Script_Extensions:	-TAI_le}', "");
Expect(1, 6517, '\p{^Is_Script_Extensions:	-TAI_le}', "");
Expect(1, 6517, '\P{Is_Script_Extensions:	-TAI_le}', "");
Expect(0, 6517, '\P{^Is_Script_Extensions:	-TAI_le}', "");
Error('\p{Is_Scx=/a/	TALE}');
Error('\P{Is_Scx=/a/	TALE}');
Expect(1, 6516, '\p{Is_Scx=tale}', "");
Expect(0, 6516, '\p{^Is_Scx=tale}', "");
Expect(0, 6516, '\P{Is_Scx=tale}', "");
Expect(1, 6516, '\P{^Is_Scx=tale}', "");
Expect(0, 6517, '\p{Is_Scx=tale}', "");
Expect(1, 6517, '\p{^Is_Scx=tale}', "");
Expect(1, 6517, '\P{Is_Scx=tale}', "");
Expect(0, 6517, '\P{^Is_Scx=tale}', "");
Expect(1, 6516, '\p{Is_Scx=	 Tale}', "");
Expect(0, 6516, '\p{^Is_Scx=	 Tale}', "");
Expect(0, 6516, '\P{Is_Scx=	 Tale}', "");
Expect(1, 6516, '\P{^Is_Scx=	 Tale}', "");
Expect(0, 6517, '\p{Is_Scx=	 Tale}', "");
Expect(1, 6517, '\p{^Is_Scx=	 Tale}', "");
Expect(1, 6517, '\P{Is_Scx=	 Tale}', "");
Expect(0, 6517, '\P{^Is_Scx=	 Tale}', "");
Error('\p{Script_Extensions=/a/- New_Tai_lue}');
Error('\P{Script_Extensions=/a/- New_Tai_lue}');
Expect(1, 6623, '\p{Script_Extensions=newtailue}', "");
Expect(0, 6623, '\p{^Script_Extensions=newtailue}', "");
Expect(0, 6623, '\P{Script_Extensions=newtailue}', "");
Expect(1, 6623, '\P{^Script_Extensions=newtailue}', "");
Expect(0, 6624, '\p{Script_Extensions=newtailue}', "");
Expect(1, 6624, '\p{^Script_Extensions=newtailue}', "");
Expect(1, 6624, '\P{Script_Extensions=newtailue}', "");
Expect(0, 6624, '\P{^Script_Extensions=newtailue}', "");
Expect(1, 6623, '\p{Script_Extensions=-	New_tai_lue}', "");
Expect(0, 6623, '\p{^Script_Extensions=-	New_tai_lue}', "");
Expect(0, 6623, '\P{Script_Extensions=-	New_tai_lue}', "");
Expect(1, 6623, '\P{^Script_Extensions=-	New_tai_lue}', "");
Expect(0, 6624, '\p{Script_Extensions=-	New_tai_lue}', "");
Expect(1, 6624, '\p{^Script_Extensions=-	New_tai_lue}', "");
Expect(1, 6624, '\P{Script_Extensions=-	New_tai_lue}', "");
Expect(0, 6624, '\P{^Script_Extensions=-	New_tai_lue}', "");
Error('\p{Scx=:= -TALU}');
Error('\P{Scx=:= -TALU}');
Expect(1, 6623, '\p{Scx=talu}', "");
Expect(0, 6623, '\p{^Scx=talu}', "");
Expect(0, 6623, '\P{Scx=talu}', "");
Expect(1, 6623, '\P{^Scx=talu}', "");
Expect(0, 6624, '\p{Scx=talu}', "");
Expect(1, 6624, '\p{^Scx=talu}', "");
Expect(1, 6624, '\P{Scx=talu}', "");
Expect(0, 6624, '\P{^Scx=talu}', "");
Expect(1, 6623, '\p{Scx=	talu}', "");
Expect(0, 6623, '\p{^Scx=	talu}', "");
Expect(0, 6623, '\P{Scx=	talu}', "");
Expect(1, 6623, '\P{^Scx=	talu}', "");
Expect(0, 6624, '\p{Scx=	talu}', "");
Expect(1, 6624, '\p{^Scx=	talu}', "");
Expect(1, 6624, '\P{Scx=	talu}', "");
Expect(0, 6624, '\P{^Scx=	talu}', "");
Error('\p{Is_Script_Extensions=  new_Tai_LUE:=}');
Error('\P{Is_Script_Extensions=  new_Tai_LUE:=}');
Expect(1, 6623, '\p{Is_Script_Extensions=newtailue}', "");
Expect(0, 6623, '\p{^Is_Script_Extensions=newtailue}', "");
Expect(0, 6623, '\P{Is_Script_Extensions=newtailue}', "");
Expect(1, 6623, '\P{^Is_Script_Extensions=newtailue}', "");
Expect(0, 6624, '\p{Is_Script_Extensions=newtailue}', "");
Expect(1, 6624, '\p{^Is_Script_Extensions=newtailue}', "");
Expect(1, 6624, '\P{Is_Script_Extensions=newtailue}', "");
Expect(0, 6624, '\P{^Is_Script_Extensions=newtailue}', "");
Expect(1, 6623, '\p{Is_Script_Extensions=-	NEW_Tai_lue}', "");
Expect(0, 6623, '\p{^Is_Script_Extensions=-	NEW_Tai_lue}', "");
Expect(0, 6623, '\P{Is_Script_Extensions=-	NEW_Tai_lue}', "");
Expect(1, 6623, '\P{^Is_Script_Extensions=-	NEW_Tai_lue}', "");
Expect(0, 6624, '\p{Is_Script_Extensions=-	NEW_Tai_lue}', "");
Expect(1, 6624, '\p{^Is_Script_Extensions=-	NEW_Tai_lue}', "");
Expect(1, 6624, '\P{Is_Script_Extensions=-	NEW_Tai_lue}', "");
Expect(0, 6624, '\P{^Is_Script_Extensions=-	NEW_Tai_lue}', "");
Error('\p{Is_Scx= /a/Talu}');
Error('\P{Is_Scx= /a/Talu}');
Expect(1, 6623, '\p{Is_Scx:	talu}', "");
Expect(0, 6623, '\p{^Is_Scx:	talu}', "");
Expect(0, 6623, '\P{Is_Scx:	talu}', "");
Expect(1, 6623, '\P{^Is_Scx:	talu}', "");
Expect(0, 6624, '\p{Is_Scx:	talu}', "");
Expect(1, 6624, '\p{^Is_Scx:	talu}', "");
Expect(1, 6624, '\P{Is_Scx:	talu}', "");
Expect(0, 6624, '\P{^Is_Scx:	talu}', "");
Expect(1, 6623, '\p{Is_Scx=__talu}', "");
Expect(0, 6623, '\p{^Is_Scx=__talu}', "");
Expect(0, 6623, '\P{Is_Scx=__talu}', "");
Expect(1, 6623, '\P{^Is_Scx=__talu}', "");
Expect(0, 6624, '\p{Is_Scx=__talu}', "");
Expect(1, 6624, '\p{^Is_Scx=__talu}', "");
Expect(1, 6624, '\P{Is_Scx=__talu}', "");
Expect(0, 6624, '\P{^Is_Scx=__talu}', "");
Error('\p{Script_Extensions=/a/Tamil}');
Error('\P{Script_Extensions=/a/Tamil}');
Expect(1, 43251, '\p{Script_Extensions:   tamil}', "");
Expect(0, 43251, '\p{^Script_Extensions:   tamil}', "");
Expect(0, 43251, '\P{Script_Extensions:   tamil}', "");
Expect(1, 43251, '\P{^Script_Extensions:   tamil}', "");
Expect(0, 43252, '\p{Script_Extensions:   tamil}', "");
Expect(1, 43252, '\p{^Script_Extensions:   tamil}', "");
Expect(1, 43252, '\P{Script_Extensions:   tamil}', "");
Expect(0, 43252, '\P{^Script_Extensions:   tamil}', "");
Expect(1, 43251, '\p{Script_Extensions=Tamil}', "");
Expect(0, 43251, '\p{^Script_Extensions=Tamil}', "");
Expect(0, 43251, '\P{Script_Extensions=Tamil}', "");
Expect(1, 43251, '\P{^Script_Extensions=Tamil}', "");
Expect(0, 43252, '\p{Script_Extensions=Tamil}', "");
Expect(1, 43252, '\p{^Script_Extensions=Tamil}', "");
Expect(1, 43252, '\P{Script_Extensions=Tamil}', "");
Expect(0, 43252, '\P{^Script_Extensions=Tamil}', "");
Error('\p{Scx=_Taml/a/}');
Error('\P{Scx=_Taml/a/}');
Expect(1, 43251, '\p{Scx=taml}', "");
Expect(0, 43251, '\p{^Scx=taml}', "");
Expect(0, 43251, '\P{Scx=taml}', "");
Expect(1, 43251, '\P{^Scx=taml}', "");
Expect(0, 43252, '\p{Scx=taml}', "");
Expect(1, 43252, '\p{^Scx=taml}', "");
Expect(1, 43252, '\P{Scx=taml}', "");
Expect(0, 43252, '\P{^Scx=taml}', "");
Expect(1, 43251, '\p{Scx=	-taml}', "");
Expect(0, 43251, '\p{^Scx=	-taml}', "");
Expect(0, 43251, '\P{Scx=	-taml}', "");
Expect(1, 43251, '\P{^Scx=	-taml}', "");
Expect(0, 43252, '\p{Scx=	-taml}', "");
Expect(1, 43252, '\p{^Scx=	-taml}', "");
Expect(1, 43252, '\P{Scx=	-taml}', "");
Expect(0, 43252, '\P{^Scx=	-taml}', "");
Error('\p{Is_Script_Extensions::=_	Tamil}');
Error('\P{Is_Script_Extensions::=_	Tamil}');
Expect(1, 43251, '\p{Is_Script_Extensions=tamil}', "");
Expect(0, 43251, '\p{^Is_Script_Extensions=tamil}', "");
Expect(0, 43251, '\P{Is_Script_Extensions=tamil}', "");
Expect(1, 43251, '\P{^Is_Script_Extensions=tamil}', "");
Expect(0, 43252, '\p{Is_Script_Extensions=tamil}', "");
Expect(1, 43252, '\p{^Is_Script_Extensions=tamil}', "");
Expect(1, 43252, '\P{Is_Script_Extensions=tamil}', "");
Expect(0, 43252, '\P{^Is_Script_Extensions=tamil}', "");
Expect(1, 43251, '\p{Is_Script_Extensions=_ Tamil}', "");
Expect(0, 43251, '\p{^Is_Script_Extensions=_ Tamil}', "");
Expect(0, 43251, '\P{Is_Script_Extensions=_ Tamil}', "");
Expect(1, 43251, '\P{^Is_Script_Extensions=_ Tamil}', "");
Expect(0, 43252, '\p{Is_Script_Extensions=_ Tamil}', "");
Expect(1, 43252, '\p{^Is_Script_Extensions=_ Tamil}', "");
Expect(1, 43252, '\P{Is_Script_Extensions=_ Tamil}', "");
Expect(0, 43252, '\P{^Is_Script_Extensions=_ Tamil}', "");
Error('\p{Is_Scx=--TAML:=}');
Error('\P{Is_Scx=--TAML:=}');
Expect(1, 43251, '\p{Is_Scx=taml}', "");
Expect(0, 43251, '\p{^Is_Scx=taml}', "");
Expect(0, 43251, '\P{Is_Scx=taml}', "");
Expect(1, 43251, '\P{^Is_Scx=taml}', "");
Expect(0, 43252, '\p{Is_Scx=taml}', "");
Expect(1, 43252, '\p{^Is_Scx=taml}', "");
Expect(1, 43252, '\P{Is_Scx=taml}', "");
Expect(0, 43252, '\P{^Is_Scx=taml}', "");
Expect(1, 43251, '\p{Is_Scx=-	TAML}', "");
Expect(0, 43251, '\p{^Is_Scx=-	TAML}', "");
Expect(0, 43251, '\P{Is_Scx=-	TAML}', "");
Expect(1, 43251, '\P{^Is_Scx=-	TAML}', "");
Expect(0, 43252, '\p{Is_Scx=-	TAML}', "");
Expect(1, 43252, '\p{^Is_Scx=-	TAML}', "");
Expect(1, 43252, '\P{Is_Scx=-	TAML}', "");
Expect(0, 43252, '\P{^Is_Scx=-	TAML}', "");
Error('\p{Script_Extensions= TAI_Viet:=}');
Error('\P{Script_Extensions= TAI_Viet:=}');
Expect(1, 43743, '\p{Script_Extensions:taiviet}', "");
Expect(0, 43743, '\p{^Script_Extensions:taiviet}', "");
Expect(0, 43743, '\P{Script_Extensions:taiviet}', "");
Expect(1, 43743, '\P{^Script_Extensions:taiviet}', "");
Expect(0, 43744, '\p{Script_Extensions:taiviet}', "");
Expect(1, 43744, '\p{^Script_Extensions:taiviet}', "");
Expect(1, 43744, '\P{Script_Extensions:taiviet}', "");
Expect(0, 43744, '\P{^Script_Extensions:taiviet}', "");
Expect(1, 43743, '\p{Script_Extensions=	-Tai_Viet}', "");
Expect(0, 43743, '\p{^Script_Extensions=	-Tai_Viet}', "");
Expect(0, 43743, '\P{Script_Extensions=	-Tai_Viet}', "");
Expect(1, 43743, '\P{^Script_Extensions=	-Tai_Viet}', "");
Expect(0, 43744, '\p{Script_Extensions=	-Tai_Viet}', "");
Expect(1, 43744, '\p{^Script_Extensions=	-Tai_Viet}', "");
Expect(1, 43744, '\P{Script_Extensions=	-Tai_Viet}', "");
Expect(0, 43744, '\P{^Script_Extensions=	-Tai_Viet}', "");
Error('\p{Scx=	 tavt/a/}');
Error('\P{Scx=	 tavt/a/}');
Expect(1, 43743, '\p{Scx:tavt}', "");
Expect(0, 43743, '\p{^Scx:tavt}', "");
Expect(0, 43743, '\P{Scx:tavt}', "");
Expect(1, 43743, '\P{^Scx:tavt}', "");
Expect(0, 43744, '\p{Scx:tavt}', "");
Expect(1, 43744, '\p{^Scx:tavt}', "");
Expect(1, 43744, '\P{Scx:tavt}', "");
Expect(0, 43744, '\P{^Scx:tavt}', "");
Expect(1, 43743, '\p{Scx=  Tavt}', "");
Expect(0, 43743, '\p{^Scx=  Tavt}', "");
Expect(0, 43743, '\P{Scx=  Tavt}', "");
Expect(1, 43743, '\P{^Scx=  Tavt}', "");
Expect(0, 43744, '\p{Scx=  Tavt}', "");
Expect(1, 43744, '\p{^Scx=  Tavt}', "");
Expect(1, 43744, '\P{Scx=  Tavt}', "");
Expect(0, 43744, '\P{^Scx=  Tavt}', "");
Error('\p{Is_Script_Extensions=/a/ TAI_viet}');
Error('\P{Is_Script_Extensions=/a/ TAI_viet}');
Expect(1, 43743, '\p{Is_Script_Extensions=taiviet}', "");
Expect(0, 43743, '\p{^Is_Script_Extensions=taiviet}', "");
Expect(0, 43743, '\P{Is_Script_Extensions=taiviet}', "");
Expect(1, 43743, '\P{^Is_Script_Extensions=taiviet}', "");
Expect(0, 43744, '\p{Is_Script_Extensions=taiviet}', "");
Expect(1, 43744, '\p{^Is_Script_Extensions=taiviet}', "");
Expect(1, 43744, '\P{Is_Script_Extensions=taiviet}', "");
Expect(0, 43744, '\P{^Is_Script_Extensions=taiviet}', "");
Expect(1, 43743, '\p{Is_Script_Extensions:	 Tai_VIET}', "");
Expect(0, 43743, '\p{^Is_Script_Extensions:	 Tai_VIET}', "");
Expect(0, 43743, '\P{Is_Script_Extensions:	 Tai_VIET}', "");
Expect(1, 43743, '\P{^Is_Script_Extensions:	 Tai_VIET}', "");
Expect(0, 43744, '\p{Is_Script_Extensions:	 Tai_VIET}', "");
Expect(1, 43744, '\p{^Is_Script_Extensions:	 Tai_VIET}', "");
Expect(1, 43744, '\P{Is_Script_Extensions:	 Tai_VIET}', "");
Expect(0, 43744, '\P{^Is_Script_Extensions:	 Tai_VIET}', "");
Error('\p{Is_Scx: _	TAVT/a/}');
Error('\P{Is_Scx: _	TAVT/a/}');
Expect(1, 43743, '\p{Is_Scx=tavt}', "");
Expect(0, 43743, '\p{^Is_Scx=tavt}', "");
Expect(0, 43743, '\P{Is_Scx=tavt}', "");
Expect(1, 43743, '\P{^Is_Scx=tavt}', "");
Expect(0, 43744, '\p{Is_Scx=tavt}', "");
Expect(1, 43744, '\p{^Is_Scx=tavt}', "");
Expect(1, 43744, '\P{Is_Scx=tavt}', "");
Expect(0, 43744, '\P{^Is_Scx=tavt}', "");
Expect(1, 43743, '\p{Is_Scx=--tavt}', "");
Expect(0, 43743, '\p{^Is_Scx=--tavt}', "");
Expect(0, 43743, '\P{Is_Scx=--tavt}', "");
Expect(1, 43743, '\P{^Is_Scx=--tavt}', "");
Expect(0, 43744, '\p{Is_Scx=--tavt}', "");
Expect(1, 43744, '\p{^Is_Scx=--tavt}', "");
Expect(1, 43744, '\P{Is_Scx=--tavt}', "");
Expect(0, 43744, '\P{^Is_Scx=--tavt}', "");
Error('\p{Script_Extensions=	_TELUGU/a/}');
Error('\P{Script_Extensions=	_TELUGU/a/}');
Expect(1, 7386, '\p{Script_Extensions=telugu}', "");
Expect(0, 7386, '\p{^Script_Extensions=telugu}', "");
Expect(0, 7386, '\P{Script_Extensions=telugu}', "");
Expect(1, 7386, '\P{^Script_Extensions=telugu}', "");
Expect(0, 7387, '\p{Script_Extensions=telugu}', "");
Expect(1, 7387, '\p{^Script_Extensions=telugu}', "");
Expect(1, 7387, '\P{Script_Extensions=telugu}', "");
Expect(0, 7387, '\P{^Script_Extensions=telugu}', "");
Expect(1, 7386, '\p{Script_Extensions=	 Telugu}', "");
Expect(0, 7386, '\p{^Script_Extensions=	 Telugu}', "");
Expect(0, 7386, '\P{Script_Extensions=	 Telugu}', "");
Expect(1, 7386, '\P{^Script_Extensions=	 Telugu}', "");
Expect(0, 7387, '\p{Script_Extensions=	 Telugu}', "");
Expect(1, 7387, '\p{^Script_Extensions=	 Telugu}', "");
Expect(1, 7387, '\P{Script_Extensions=	 Telugu}', "");
Expect(0, 7387, '\P{^Script_Extensions=	 Telugu}', "");
Error('\p{Scx=:= telu}');
Error('\P{Scx=:= telu}');
Expect(1, 7386, '\p{Scx:   telu}', "");
Expect(0, 7386, '\p{^Scx:   telu}', "");
Expect(0, 7386, '\P{Scx:   telu}', "");
Expect(1, 7386, '\P{^Scx:   telu}', "");
Expect(0, 7387, '\p{Scx:   telu}', "");
Expect(1, 7387, '\p{^Scx:   telu}', "");
Expect(1, 7387, '\P{Scx:   telu}', "");
Expect(0, 7387, '\P{^Scx:   telu}', "");
Expect(1, 7386, '\p{Scx=_telu}', "");
Expect(0, 7386, '\p{^Scx=_telu}', "");
Expect(0, 7386, '\P{Scx=_telu}', "");
Expect(1, 7386, '\P{^Scx=_telu}', "");
Expect(0, 7387, '\p{Scx=_telu}', "");
Expect(1, 7387, '\p{^Scx=_telu}', "");
Expect(1, 7387, '\P{Scx=_telu}', "");
Expect(0, 7387, '\P{^Scx=_telu}', "");
Error('\p{Is_Script_Extensions=_/a/Telugu}');
Error('\P{Is_Script_Extensions=_/a/Telugu}');
Expect(1, 7386, '\p{Is_Script_Extensions=telugu}', "");
Expect(0, 7386, '\p{^Is_Script_Extensions=telugu}', "");
Expect(0, 7386, '\P{Is_Script_Extensions=telugu}', "");
Expect(1, 7386, '\P{^Is_Script_Extensions=telugu}', "");
Expect(0, 7387, '\p{Is_Script_Extensions=telugu}', "");
Expect(1, 7387, '\p{^Is_Script_Extensions=telugu}', "");
Expect(1, 7387, '\P{Is_Script_Extensions=telugu}', "");
Expect(0, 7387, '\P{^Is_Script_Extensions=telugu}', "");
Expect(1, 7386, '\p{Is_Script_Extensions= Telugu}', "");
Expect(0, 7386, '\p{^Is_Script_Extensions= Telugu}', "");
Expect(0, 7386, '\P{Is_Script_Extensions= Telugu}', "");
Expect(1, 7386, '\P{^Is_Script_Extensions= Telugu}', "");
Expect(0, 7387, '\p{Is_Script_Extensions= Telugu}', "");
Expect(1, 7387, '\p{^Is_Script_Extensions= Telugu}', "");
Expect(1, 7387, '\P{Is_Script_Extensions= Telugu}', "");
Expect(0, 7387, '\P{^Is_Script_Extensions= Telugu}', "");
Error('\p{Is_Scx= _Telu/a/}');
Error('\P{Is_Scx= _Telu/a/}');
Expect(1, 7386, '\p{Is_Scx=telu}', "");
Expect(0, 7386, '\p{^Is_Scx=telu}', "");
Expect(0, 7386, '\P{Is_Scx=telu}', "");
Expect(1, 7386, '\P{^Is_Scx=telu}', "");
Expect(0, 7387, '\p{Is_Scx=telu}', "");
Expect(1, 7387, '\p{^Is_Scx=telu}', "");
Expect(1, 7387, '\P{Is_Scx=telu}', "");
Expect(0, 7387, '\P{^Is_Scx=telu}', "");
Expect(1, 7386, '\p{Is_Scx: -Telu}', "");
Expect(0, 7386, '\p{^Is_Scx: -Telu}', "");
Expect(0, 7386, '\P{Is_Scx: -Telu}', "");
Expect(1, 7386, '\P{^Is_Scx: -Telu}', "");
Expect(0, 7387, '\p{Is_Scx: -Telu}', "");
Expect(1, 7387, '\p{^Is_Scx: -Telu}', "");
Expect(1, 7387, '\P{Is_Scx: -Telu}', "");
Expect(0, 7387, '\P{^Is_Scx: -Telu}', "");
Error('\p{Script_Extensions:	-Tifinagh/a/}');
Error('\P{Script_Extensions:	-Tifinagh/a/}');
Expect(1, 11647, '\p{Script_Extensions=tifinagh}', "");
Expect(0, 11647, '\p{^Script_Extensions=tifinagh}', "");
Expect(0, 11647, '\P{Script_Extensions=tifinagh}', "");
Expect(1, 11647, '\P{^Script_Extensions=tifinagh}', "");
Expect(0, 11648, '\p{Script_Extensions=tifinagh}', "");
Expect(1, 11648, '\p{^Script_Extensions=tifinagh}', "");
Expect(1, 11648, '\P{Script_Extensions=tifinagh}', "");
Expect(0, 11648, '\P{^Script_Extensions=tifinagh}', "");
Expect(1, 11647, '\p{Script_Extensions=_ TIFINAGH}', "");
Expect(0, 11647, '\p{^Script_Extensions=_ TIFINAGH}', "");
Expect(0, 11647, '\P{Script_Extensions=_ TIFINAGH}', "");
Expect(1, 11647, '\P{^Script_Extensions=_ TIFINAGH}', "");
Expect(0, 11648, '\p{Script_Extensions=_ TIFINAGH}', "");
Expect(1, 11648, '\p{^Script_Extensions=_ TIFINAGH}', "");
Expect(1, 11648, '\P{Script_Extensions=_ TIFINAGH}', "");
Expect(0, 11648, '\P{^Script_Extensions=_ TIFINAGH}', "");
Error('\p{Scx=__Tfng/a/}');
Error('\P{Scx=__Tfng/a/}');
Expect(1, 11647, '\p{Scx=tfng}', "");
Expect(0, 11647, '\p{^Scx=tfng}', "");
Expect(0, 11647, '\P{Scx=tfng}', "");
Expect(1, 11647, '\P{^Scx=tfng}', "");
Expect(0, 11648, '\p{Scx=tfng}', "");
Expect(1, 11648, '\p{^Scx=tfng}', "");
Expect(1, 11648, '\P{Scx=tfng}', "");
Expect(0, 11648, '\P{^Scx=tfng}', "");
Expect(1, 11647, '\p{Scx:	Tfng}', "");
Expect(0, 11647, '\p{^Scx:	Tfng}', "");
Expect(0, 11647, '\P{Scx:	Tfng}', "");
Expect(1, 11647, '\P{^Scx:	Tfng}', "");
Expect(0, 11648, '\p{Scx:	Tfng}', "");
Expect(1, 11648, '\p{^Scx:	Tfng}', "");
Expect(1, 11648, '\P{Scx:	Tfng}', "");
Expect(0, 11648, '\P{^Scx:	Tfng}', "");
Error('\p{Is_Script_Extensions=:=	tifinagh}');
Error('\P{Is_Script_Extensions=:=	tifinagh}');
Expect(1, 11647, '\p{Is_Script_Extensions=tifinagh}', "");
Expect(0, 11647, '\p{^Is_Script_Extensions=tifinagh}', "");
Expect(0, 11647, '\P{Is_Script_Extensions=tifinagh}', "");
Expect(1, 11647, '\P{^Is_Script_Extensions=tifinagh}', "");
Expect(0, 11648, '\p{Is_Script_Extensions=tifinagh}', "");
Expect(1, 11648, '\p{^Is_Script_Extensions=tifinagh}', "");
Expect(1, 11648, '\P{Is_Script_Extensions=tifinagh}', "");
Expect(0, 11648, '\P{^Is_Script_Extensions=tifinagh}', "");
Expect(1, 11647, '\p{Is_Script_Extensions=_tifinagh}', "");
Expect(0, 11647, '\p{^Is_Script_Extensions=_tifinagh}', "");
Expect(0, 11647, '\P{Is_Script_Extensions=_tifinagh}', "");
Expect(1, 11647, '\P{^Is_Script_Extensions=_tifinagh}', "");
Expect(0, 11648, '\p{Is_Script_Extensions=_tifinagh}', "");
Expect(1, 11648, '\p{^Is_Script_Extensions=_tifinagh}', "");
Expect(1, 11648, '\P{Is_Script_Extensions=_tifinagh}', "");
Expect(0, 11648, '\P{^Is_Script_Extensions=_tifinagh}', "");
Error('\p{Is_Scx=:= Tfng}');
Error('\P{Is_Scx=:= Tfng}');
Expect(1, 11647, '\p{Is_Scx=tfng}', "");
Expect(0, 11647, '\p{^Is_Scx=tfng}', "");
Expect(0, 11647, '\P{Is_Scx=tfng}', "");
Expect(1, 11647, '\P{^Is_Scx=tfng}', "");
Expect(0, 11648, '\p{Is_Scx=tfng}', "");
Expect(1, 11648, '\p{^Is_Scx=tfng}', "");
Expect(1, 11648, '\P{Is_Scx=tfng}', "");
Expect(0, 11648, '\P{^Is_Scx=tfng}', "");
Expect(1, 11647, '\p{Is_Scx=Tfng}', "");
Expect(0, 11647, '\p{^Is_Scx=Tfng}', "");
Expect(0, 11647, '\P{Is_Scx=Tfng}', "");
Expect(1, 11647, '\P{^Is_Scx=Tfng}', "");
Expect(0, 11648, '\p{Is_Scx=Tfng}', "");
Expect(1, 11648, '\p{^Is_Scx=Tfng}', "");
Expect(1, 11648, '\P{Is_Scx=Tfng}', "");
Expect(0, 11648, '\P{^Is_Scx=Tfng}', "");
Error('\p{Script_Extensions=/a/-	Tagalog}');
Error('\P{Script_Extensions=/a/-	Tagalog}');
Expect(1, 5942, '\p{Script_Extensions=tagalog}', "");
Expect(0, 5942, '\p{^Script_Extensions=tagalog}', "");
Expect(0, 5942, '\P{Script_Extensions=tagalog}', "");
Expect(1, 5942, '\P{^Script_Extensions=tagalog}', "");
Expect(0, 5943, '\p{Script_Extensions=tagalog}', "");
Expect(1, 5943, '\p{^Script_Extensions=tagalog}', "");
Expect(1, 5943, '\P{Script_Extensions=tagalog}', "");
Expect(0, 5943, '\P{^Script_Extensions=tagalog}', "");
Expect(1, 5942, '\p{Script_Extensions= 	Tagalog}', "");
Expect(0, 5942, '\p{^Script_Extensions= 	Tagalog}', "");
Expect(0, 5942, '\P{Script_Extensions= 	Tagalog}', "");
Expect(1, 5942, '\P{^Script_Extensions= 	Tagalog}', "");
Expect(0, 5943, '\p{Script_Extensions= 	Tagalog}', "");
Expect(1, 5943, '\p{^Script_Extensions= 	Tagalog}', "");
Expect(1, 5943, '\P{Script_Extensions= 	Tagalog}', "");
Expect(0, 5943, '\P{^Script_Extensions= 	Tagalog}', "");
Error('\p{Scx=_tglg/a/}');
Error('\P{Scx=_tglg/a/}');
Expect(1, 5942, '\p{Scx=tglg}', "");
Expect(0, 5942, '\p{^Scx=tglg}', "");
Expect(0, 5942, '\P{Scx=tglg}', "");
Expect(1, 5942, '\P{^Scx=tglg}', "");
Expect(0, 5943, '\p{Scx=tglg}', "");
Expect(1, 5943, '\p{^Scx=tglg}', "");
Expect(1, 5943, '\P{Scx=tglg}', "");
Expect(0, 5943, '\P{^Scx=tglg}', "");
Expect(1, 5942, '\p{Scx=-_TGLG}', "");
Expect(0, 5942, '\p{^Scx=-_TGLG}', "");
Expect(0, 5942, '\P{Scx=-_TGLG}', "");
Expect(1, 5942, '\P{^Scx=-_TGLG}', "");
Expect(0, 5943, '\p{Scx=-_TGLG}', "");
Expect(1, 5943, '\p{^Scx=-_TGLG}', "");
Expect(1, 5943, '\P{Scx=-_TGLG}', "");
Expect(0, 5943, '\P{^Scx=-_TGLG}', "");
Error('\p{Is_Script_Extensions=:= Tagalog}');
Error('\P{Is_Script_Extensions=:= Tagalog}');
Expect(1, 5942, '\p{Is_Script_Extensions=tagalog}', "");
Expect(0, 5942, '\p{^Is_Script_Extensions=tagalog}', "");
Expect(0, 5942, '\P{Is_Script_Extensions=tagalog}', "");
Expect(1, 5942, '\P{^Is_Script_Extensions=tagalog}', "");
Expect(0, 5943, '\p{Is_Script_Extensions=tagalog}', "");
Expect(1, 5943, '\p{^Is_Script_Extensions=tagalog}', "");
Expect(1, 5943, '\P{Is_Script_Extensions=tagalog}', "");
Expect(0, 5943, '\P{^Is_Script_Extensions=tagalog}', "");
Expect(1, 5942, '\p{Is_Script_Extensions=_tagalog}', "");
Expect(0, 5942, '\p{^Is_Script_Extensions=_tagalog}', "");
Expect(0, 5942, '\P{Is_Script_Extensions=_tagalog}', "");
Expect(1, 5942, '\P{^Is_Script_Extensions=_tagalog}', "");
Expect(0, 5943, '\p{Is_Script_Extensions=_tagalog}', "");
Expect(1, 5943, '\p{^Is_Script_Extensions=_tagalog}', "");
Expect(1, 5943, '\P{Is_Script_Extensions=_tagalog}', "");
Expect(0, 5943, '\P{^Is_Script_Extensions=_tagalog}', "");
Error('\p{Is_Scx=_Tglg:=}');
Error('\P{Is_Scx=_Tglg:=}');
Expect(1, 5942, '\p{Is_Scx=tglg}', "");
Expect(0, 5942, '\p{^Is_Scx=tglg}', "");
Expect(0, 5942, '\P{Is_Scx=tglg}', "");
Expect(1, 5942, '\P{^Is_Scx=tglg}', "");
Expect(0, 5943, '\p{Is_Scx=tglg}', "");
Expect(1, 5943, '\p{^Is_Scx=tglg}', "");
Expect(1, 5943, '\P{Is_Scx=tglg}', "");
Expect(0, 5943, '\P{^Is_Scx=tglg}', "");
Expect(1, 5942, '\p{Is_Scx=	 Tglg}', "");
Expect(0, 5942, '\p{^Is_Scx=	 Tglg}', "");
Expect(0, 5942, '\P{Is_Scx=	 Tglg}', "");
Expect(1, 5942, '\P{^Is_Scx=	 Tglg}', "");
Expect(0, 5943, '\p{Is_Scx=	 Tglg}', "");
Expect(1, 5943, '\p{^Is_Scx=	 Tglg}', "");
Expect(1, 5943, '\P{Is_Scx=	 Tglg}', "");
Expect(0, 5943, '\P{^Is_Scx=	 Tglg}', "");
Error('\p{Script_Extensions=_:=thaana}');
Error('\P{Script_Extensions=_:=thaana}');
Expect(1, 65021, '\p{Script_Extensions=thaana}', "");
Expect(0, 65021, '\p{^Script_Extensions=thaana}', "");
Expect(0, 65021, '\P{Script_Extensions=thaana}', "");
Expect(1, 65021, '\P{^Script_Extensions=thaana}', "");
Expect(0, 65022, '\p{Script_Extensions=thaana}', "");
Expect(1, 65022, '\p{^Script_Extensions=thaana}', "");
Expect(1, 65022, '\P{Script_Extensions=thaana}', "");
Expect(0, 65022, '\P{^Script_Extensions=thaana}', "");
Expect(1, 65021, '\p{Script_Extensions=-thaana}', "");
Expect(0, 65021, '\p{^Script_Extensions=-thaana}', "");
Expect(0, 65021, '\P{Script_Extensions=-thaana}', "");
Expect(1, 65021, '\P{^Script_Extensions=-thaana}', "");
Expect(0, 65022, '\p{Script_Extensions=-thaana}', "");
Expect(1, 65022, '\p{^Script_Extensions=-thaana}', "");
Expect(1, 65022, '\P{Script_Extensions=-thaana}', "");
Expect(0, 65022, '\P{^Script_Extensions=-thaana}', "");
Error('\p{Scx=_Thaa/a/}');
Error('\P{Scx=_Thaa/a/}');
Expect(1, 65021, '\p{Scx=thaa}', "");
Expect(0, 65021, '\p{^Scx=thaa}', "");
Expect(0, 65021, '\P{Scx=thaa}', "");
Expect(1, 65021, '\P{^Scx=thaa}', "");
Expect(0, 65022, '\p{Scx=thaa}', "");
Expect(1, 65022, '\p{^Scx=thaa}', "");
Expect(1, 65022, '\P{Scx=thaa}', "");
Expect(0, 65022, '\P{^Scx=thaa}', "");
Expect(1, 65021, '\p{Scx=-Thaa}', "");
Expect(0, 65021, '\p{^Scx=-Thaa}', "");
Expect(0, 65021, '\P{Scx=-Thaa}', "");
Expect(1, 65021, '\P{^Scx=-Thaa}', "");
Expect(0, 65022, '\p{Scx=-Thaa}', "");
Expect(1, 65022, '\p{^Scx=-Thaa}', "");
Expect(1, 65022, '\P{Scx=-Thaa}', "");
Expect(0, 65022, '\P{^Scx=-Thaa}', "");
Error('\p{Is_Script_Extensions=THAANA:=}');
Error('\P{Is_Script_Extensions=THAANA:=}');
Expect(1, 65021, '\p{Is_Script_Extensions=thaana}', "");
Expect(0, 65021, '\p{^Is_Script_Extensions=thaana}', "");
Expect(0, 65021, '\P{Is_Script_Extensions=thaana}', "");
Expect(1, 65021, '\P{^Is_Script_Extensions=thaana}', "");
Expect(0, 65022, '\p{Is_Script_Extensions=thaana}', "");
Expect(1, 65022, '\p{^Is_Script_Extensions=thaana}', "");
Expect(1, 65022, '\P{Is_Script_Extensions=thaana}', "");
Expect(0, 65022, '\P{^Is_Script_Extensions=thaana}', "");
Expect(1, 65021, '\p{Is_Script_Extensions= 	THAANA}', "");
Expect(0, 65021, '\p{^Is_Script_Extensions= 	THAANA}', "");
Expect(0, 65021, '\P{Is_Script_Extensions= 	THAANA}', "");
Expect(1, 65021, '\P{^Is_Script_Extensions= 	THAANA}', "");
Expect(0, 65022, '\p{Is_Script_Extensions= 	THAANA}', "");
Expect(1, 65022, '\p{^Is_Script_Extensions= 	THAANA}', "");
Expect(1, 65022, '\P{Is_Script_Extensions= 	THAANA}', "");
Expect(0, 65022, '\P{^Is_Script_Extensions= 	THAANA}', "");
Error('\p{Is_Scx=_/a/THAA}');
Error('\P{Is_Scx=_/a/THAA}');
Expect(1, 65021, '\p{Is_Scx=thaa}', "");
Expect(0, 65021, '\p{^Is_Scx=thaa}', "");
Expect(0, 65021, '\P{Is_Scx=thaa}', "");
Expect(1, 65021, '\P{^Is_Scx=thaa}', "");
Expect(0, 65022, '\p{Is_Scx=thaa}', "");
Expect(1, 65022, '\p{^Is_Scx=thaa}', "");
Expect(1, 65022, '\P{Is_Scx=thaa}', "");
Expect(0, 65022, '\P{^Is_Scx=thaa}', "");
Expect(1, 65021, '\p{Is_Scx= Thaa}', "");
Expect(0, 65021, '\p{^Is_Scx= Thaa}', "");
Expect(0, 65021, '\P{Is_Scx= Thaa}', "");
Expect(1, 65021, '\P{^Is_Scx= Thaa}', "");
Expect(0, 65022, '\p{Is_Scx= Thaa}', "");
Expect(1, 65022, '\p{^Is_Scx= Thaa}', "");
Expect(1, 65022, '\P{Is_Scx= Thaa}', "");
Expect(0, 65022, '\P{^Is_Scx= Thaa}', "");
Error('\p{Script_Extensions=	/a/Thai}');
Error('\P{Script_Extensions=	/a/Thai}');
Expect(1, 3675, '\p{Script_Extensions=thai}', "");
Expect(0, 3675, '\p{^Script_Extensions=thai}', "");
Expect(0, 3675, '\P{Script_Extensions=thai}', "");
Expect(1, 3675, '\P{^Script_Extensions=thai}', "");
Expect(0, 3676, '\p{Script_Extensions=thai}', "");
Expect(1, 3676, '\p{^Script_Extensions=thai}', "");
Expect(1, 3676, '\P{Script_Extensions=thai}', "");
Expect(0, 3676, '\P{^Script_Extensions=thai}', "");
Expect(1, 3675, '\p{Script_Extensions:	-Thai}', "");
Expect(0, 3675, '\p{^Script_Extensions:	-Thai}', "");
Expect(0, 3675, '\P{Script_Extensions:	-Thai}', "");
Expect(1, 3675, '\P{^Script_Extensions:	-Thai}', "");
Expect(0, 3676, '\p{Script_Extensions:	-Thai}', "");
Expect(1, 3676, '\p{^Script_Extensions:	-Thai}', "");
Expect(1, 3676, '\P{Script_Extensions:	-Thai}', "");
Expect(0, 3676, '\P{^Script_Extensions:	-Thai}', "");
Error('\p{Scx=/a/	 Thai}');
Error('\P{Scx=/a/	 Thai}');
Expect(1, 3675, '\p{Scx=thai}', "");
Expect(0, 3675, '\p{^Scx=thai}', "");
Expect(0, 3675, '\P{Scx=thai}', "");
Expect(1, 3675, '\P{^Scx=thai}', "");
Expect(0, 3676, '\p{Scx=thai}', "");
Expect(1, 3676, '\p{^Scx=thai}', "");
Expect(1, 3676, '\P{Scx=thai}', "");
Expect(0, 3676, '\P{^Scx=thai}', "");
Expect(1, 3675, '\p{Scx=-Thai}', "");
Expect(0, 3675, '\p{^Scx=-Thai}', "");
Expect(0, 3675, '\P{Scx=-Thai}', "");
Expect(1, 3675, '\P{^Scx=-Thai}', "");
Expect(0, 3676, '\p{Scx=-Thai}', "");
Expect(1, 3676, '\p{^Scx=-Thai}', "");
Expect(1, 3676, '\P{Scx=-Thai}', "");
Expect(0, 3676, '\P{^Scx=-Thai}', "");
Error('\p{Is_Script_Extensions=_:=THAI}');
Error('\P{Is_Script_Extensions=_:=THAI}');
Expect(1, 3675, '\p{Is_Script_Extensions=thai}', "");
Expect(0, 3675, '\p{^Is_Script_Extensions=thai}', "");
Expect(0, 3675, '\P{Is_Script_Extensions=thai}', "");
Expect(1, 3675, '\P{^Is_Script_Extensions=thai}', "");
Expect(0, 3676, '\p{Is_Script_Extensions=thai}', "");
Expect(1, 3676, '\p{^Is_Script_Extensions=thai}', "");
Expect(1, 3676, '\P{Is_Script_Extensions=thai}', "");
Expect(0, 3676, '\P{^Is_Script_Extensions=thai}', "");
Expect(1, 3675, '\p{Is_Script_Extensions:	_	THAI}', "");
Expect(0, 3675, '\p{^Is_Script_Extensions:	_	THAI}', "");
Expect(0, 3675, '\P{Is_Script_Extensions:	_	THAI}', "");
Expect(1, 3675, '\P{^Is_Script_Extensions:	_	THAI}', "");
Expect(0, 3676, '\p{Is_Script_Extensions:	_	THAI}', "");
Expect(1, 3676, '\p{^Is_Script_Extensions:	_	THAI}', "");
Expect(1, 3676, '\P{Is_Script_Extensions:	_	THAI}', "");
Expect(0, 3676, '\P{^Is_Script_Extensions:	_	THAI}', "");
Error('\p{Is_Scx=/a/ THAI}');
Error('\P{Is_Scx=/a/ THAI}');
Expect(1, 3675, '\p{Is_Scx=thai}', "");
Expect(0, 3675, '\p{^Is_Scx=thai}', "");
Expect(0, 3675, '\P{Is_Scx=thai}', "");
Expect(1, 3675, '\P{^Is_Scx=thai}', "");
Expect(0, 3676, '\p{Is_Scx=thai}', "");
Expect(1, 3676, '\p{^Is_Scx=thai}', "");
Expect(1, 3676, '\P{Is_Scx=thai}', "");
Expect(0, 3676, '\P{^Is_Scx=thai}', "");
Expect(1, 3675, '\p{Is_Scx= 	Thai}', "");
Expect(0, 3675, '\p{^Is_Scx= 	Thai}', "");
Expect(0, 3675, '\P{Is_Scx= 	Thai}', "");
Expect(1, 3675, '\P{^Is_Scx= 	Thai}', "");
Expect(0, 3676, '\p{Is_Scx= 	Thai}', "");
Expect(1, 3676, '\p{^Is_Scx= 	Thai}', "");
Expect(1, 3676, '\P{Is_Scx= 	Thai}', "");
Expect(0, 3676, '\P{^Is_Scx= 	Thai}', "");
Error('\p{Script_Extensions=_	Tibetan:=}');
Error('\P{Script_Extensions=_	Tibetan:=}');
Expect(1, 4058, '\p{Script_Extensions=tibetan}', "");
Expect(0, 4058, '\p{^Script_Extensions=tibetan}', "");
Expect(0, 4058, '\P{Script_Extensions=tibetan}', "");
Expect(1, 4058, '\P{^Script_Extensions=tibetan}', "");
Expect(0, 4059, '\p{Script_Extensions=tibetan}', "");
Expect(1, 4059, '\p{^Script_Extensions=tibetan}', "");
Expect(1, 4059, '\P{Script_Extensions=tibetan}', "");
Expect(0, 4059, '\P{^Script_Extensions=tibetan}', "");
Expect(1, 4058, '\p{Script_Extensions=__tibetan}', "");
Expect(0, 4058, '\p{^Script_Extensions=__tibetan}', "");
Expect(0, 4058, '\P{Script_Extensions=__tibetan}', "");
Expect(1, 4058, '\P{^Script_Extensions=__tibetan}', "");
Expect(0, 4059, '\p{Script_Extensions=__tibetan}', "");
Expect(1, 4059, '\p{^Script_Extensions=__tibetan}', "");
Expect(1, 4059, '\P{Script_Extensions=__tibetan}', "");
Expect(0, 4059, '\P{^Script_Extensions=__tibetan}', "");
Error('\p{Scx=/a/ _Tibt}');
Error('\P{Scx=/a/ _Tibt}');
Expect(1, 4058, '\p{Scx=tibt}', "");
Expect(0, 4058, '\p{^Scx=tibt}', "");
Expect(0, 4058, '\P{Scx=tibt}', "");
Expect(1, 4058, '\P{^Scx=tibt}', "");
Expect(0, 4059, '\p{Scx=tibt}', "");
Expect(1, 4059, '\p{^Scx=tibt}', "");
Expect(1, 4059, '\P{Scx=tibt}', "");
Expect(0, 4059, '\P{^Scx=tibt}', "");
Expect(1, 4058, '\p{Scx=		tibt}', "");
Expect(0, 4058, '\p{^Scx=		tibt}', "");
Expect(0, 4058, '\P{Scx=		tibt}', "");
Expect(1, 4058, '\P{^Scx=		tibt}', "");
Expect(0, 4059, '\p{Scx=		tibt}', "");
Expect(1, 4059, '\p{^Scx=		tibt}', "");
Expect(1, 4059, '\P{Scx=		tibt}', "");
Expect(0, 4059, '\P{^Scx=		tibt}', "");
Error('\p{Is_Script_Extensions=/a/		Tibetan}');
Error('\P{Is_Script_Extensions=/a/		Tibetan}');
Expect(1, 4058, '\p{Is_Script_Extensions=tibetan}', "");
Expect(0, 4058, '\p{^Is_Script_Extensions=tibetan}', "");
Expect(0, 4058, '\P{Is_Script_Extensions=tibetan}', "");
Expect(1, 4058, '\P{^Is_Script_Extensions=tibetan}', "");
Expect(0, 4059, '\p{Is_Script_Extensions=tibetan}', "");
Expect(1, 4059, '\p{^Is_Script_Extensions=tibetan}', "");
Expect(1, 4059, '\P{Is_Script_Extensions=tibetan}', "");
Expect(0, 4059, '\P{^Is_Script_Extensions=tibetan}', "");
Expect(1, 4058, '\p{Is_Script_Extensions=-Tibetan}', "");
Expect(0, 4058, '\p{^Is_Script_Extensions=-Tibetan}', "");
Expect(0, 4058, '\P{Is_Script_Extensions=-Tibetan}', "");
Expect(1, 4058, '\P{^Is_Script_Extensions=-Tibetan}', "");
Expect(0, 4059, '\p{Is_Script_Extensions=-Tibetan}', "");
Expect(1, 4059, '\p{^Is_Script_Extensions=-Tibetan}', "");
Expect(1, 4059, '\P{Is_Script_Extensions=-Tibetan}', "");
Expect(0, 4059, '\P{^Is_Script_Extensions=-Tibetan}', "");
Error('\p{Is_Scx=/a/	-Tibt}');
Error('\P{Is_Scx=/a/	-Tibt}');
Expect(1, 4058, '\p{Is_Scx=tibt}', "");
Expect(0, 4058, '\p{^Is_Scx=tibt}', "");
Expect(0, 4058, '\P{Is_Scx=tibt}', "");
Expect(1, 4058, '\P{^Is_Scx=tibt}', "");
Expect(0, 4059, '\p{Is_Scx=tibt}', "");
Expect(1, 4059, '\p{^Is_Scx=tibt}', "");
Expect(1, 4059, '\P{Is_Scx=tibt}', "");
Expect(0, 4059, '\P{^Is_Scx=tibt}', "");
Expect(1, 4058, '\p{Is_Scx= Tibt}', "");
Expect(0, 4058, '\p{^Is_Scx= Tibt}', "");
Expect(0, 4058, '\P{Is_Scx= Tibt}', "");
Expect(1, 4058, '\P{^Is_Scx= Tibt}', "");
Expect(0, 4059, '\p{Is_Scx= Tibt}', "");
Expect(1, 4059, '\p{^Is_Scx= Tibt}', "");
Expect(1, 4059, '\P{Is_Scx= Tibt}', "");
Expect(0, 4059, '\P{^Is_Scx= Tibt}', "");
Error('\p{Script_Extensions=_-TIRHUTA/a/}');
Error('\P{Script_Extensions=_-TIRHUTA/a/}');
Expect(1, 70873, '\p{Script_Extensions=tirhuta}', "");
Expect(0, 70873, '\p{^Script_Extensions=tirhuta}', "");
Expect(0, 70873, '\P{Script_Extensions=tirhuta}', "");
Expect(1, 70873, '\P{^Script_Extensions=tirhuta}', "");
Expect(0, 70874, '\p{Script_Extensions=tirhuta}', "");
Expect(1, 70874, '\p{^Script_Extensions=tirhuta}', "");
Expect(1, 70874, '\P{Script_Extensions=tirhuta}', "");
Expect(0, 70874, '\P{^Script_Extensions=tirhuta}', "");
Expect(1, 70873, '\p{Script_Extensions=  Tirhuta}', "");
Expect(0, 70873, '\p{^Script_Extensions=  Tirhuta}', "");
Expect(0, 70873, '\P{Script_Extensions=  Tirhuta}', "");
Expect(1, 70873, '\P{^Script_Extensions=  Tirhuta}', "");
Expect(0, 70874, '\p{Script_Extensions=  Tirhuta}', "");
Expect(1, 70874, '\p{^Script_Extensions=  Tirhuta}', "");
Expect(1, 70874, '\P{Script_Extensions=  Tirhuta}', "");
Expect(0, 70874, '\P{^Script_Extensions=  Tirhuta}', "");
Error('\p{Scx=:=- Tirh}');
Error('\P{Scx=:=- Tirh}');
Expect(1, 70873, '\p{Scx=tirh}', "");
Expect(0, 70873, '\p{^Scx=tirh}', "");
Expect(0, 70873, '\P{Scx=tirh}', "");
Expect(1, 70873, '\P{^Scx=tirh}', "");
Expect(0, 70874, '\p{Scx=tirh}', "");
Expect(1, 70874, '\p{^Scx=tirh}', "");
Expect(1, 70874, '\P{Scx=tirh}', "");
Expect(0, 70874, '\P{^Scx=tirh}', "");
Expect(1, 70873, '\p{Scx=	tirh}', "");
Expect(0, 70873, '\p{^Scx=	tirh}', "");
Expect(0, 70873, '\P{Scx=	tirh}', "");
Expect(1, 70873, '\P{^Scx=	tirh}', "");
Expect(0, 70874, '\p{Scx=	tirh}', "");
Expect(1, 70874, '\p{^Scx=	tirh}', "");
Expect(1, 70874, '\P{Scx=	tirh}', "");
Expect(0, 70874, '\P{^Scx=	tirh}', "");
Error('\p{Is_Script_Extensions=_tirhuta/a/}');
Error('\P{Is_Script_Extensions=_tirhuta/a/}');
Expect(1, 70873, '\p{Is_Script_Extensions=tirhuta}', "");
Expect(0, 70873, '\p{^Is_Script_Extensions=tirhuta}', "");
Expect(0, 70873, '\P{Is_Script_Extensions=tirhuta}', "");
Expect(1, 70873, '\P{^Is_Script_Extensions=tirhuta}', "");
Expect(0, 70874, '\p{Is_Script_Extensions=tirhuta}', "");
Expect(1, 70874, '\p{^Is_Script_Extensions=tirhuta}', "");
Expect(1, 70874, '\P{Is_Script_Extensions=tirhuta}', "");
Expect(0, 70874, '\P{^Is_Script_Extensions=tirhuta}', "");
Expect(1, 70873, '\p{Is_Script_Extensions= Tirhuta}', "");
Expect(0, 70873, '\p{^Is_Script_Extensions= Tirhuta}', "");
Expect(0, 70873, '\P{Is_Script_Extensions= Tirhuta}', "");
Expect(1, 70873, '\P{^Is_Script_Extensions= Tirhuta}', "");
Expect(0, 70874, '\p{Is_Script_Extensions= Tirhuta}', "");
Expect(1, 70874, '\p{^Is_Script_Extensions= Tirhuta}', "");
Expect(1, 70874, '\P{Is_Script_Extensions= Tirhuta}', "");
Expect(0, 70874, '\P{^Is_Script_Extensions= Tirhuta}', "");
Error('\p{Is_Scx=/a/_	Tirh}');
Error('\P{Is_Scx=/a/_	Tirh}');
Expect(1, 70873, '\p{Is_Scx=tirh}', "");
Expect(0, 70873, '\p{^Is_Scx=tirh}', "");
Expect(0, 70873, '\P{Is_Scx=tirh}', "");
Expect(1, 70873, '\P{^Is_Scx=tirh}', "");
Expect(0, 70874, '\p{Is_Scx=tirh}', "");
Expect(1, 70874, '\p{^Is_Scx=tirh}', "");
Expect(1, 70874, '\P{Is_Scx=tirh}', "");
Expect(0, 70874, '\P{^Is_Scx=tirh}', "");
Expect(1, 70873, '\p{Is_Scx=_ TIRH}', "");
Expect(0, 70873, '\p{^Is_Scx=_ TIRH}', "");
Expect(0, 70873, '\P{Is_Scx=_ TIRH}', "");
Expect(1, 70873, '\P{^Is_Scx=_ TIRH}', "");
Expect(0, 70874, '\p{Is_Scx=_ TIRH}', "");
Expect(1, 70874, '\p{^Is_Scx=_ TIRH}', "");
Expect(1, 70874, '\P{Is_Scx=_ TIRH}', "");
Expect(0, 70874, '\P{^Is_Scx=_ TIRH}', "");
Error('\p{Script_Extensions::= 	Ugaritic}');
Error('\P{Script_Extensions::= 	Ugaritic}');
Expect(1, 66463, '\p{Script_Extensions=ugaritic}', "");
Expect(0, 66463, '\p{^Script_Extensions=ugaritic}', "");
Expect(0, 66463, '\P{Script_Extensions=ugaritic}', "");
Expect(1, 66463, '\P{^Script_Extensions=ugaritic}', "");
Expect(0, 66464, '\p{Script_Extensions=ugaritic}', "");
Expect(1, 66464, '\p{^Script_Extensions=ugaritic}', "");
Expect(1, 66464, '\P{Script_Extensions=ugaritic}', "");
Expect(0, 66464, '\P{^Script_Extensions=ugaritic}', "");
Expect(1, 66463, '\p{Script_Extensions=-ugaritic}', "");
Expect(0, 66463, '\p{^Script_Extensions=-ugaritic}', "");
Expect(0, 66463, '\P{Script_Extensions=-ugaritic}', "");
Expect(1, 66463, '\P{^Script_Extensions=-ugaritic}', "");
Expect(0, 66464, '\p{Script_Extensions=-ugaritic}', "");
Expect(1, 66464, '\p{^Script_Extensions=-ugaritic}', "");
Expect(1, 66464, '\P{Script_Extensions=-ugaritic}', "");
Expect(0, 66464, '\P{^Script_Extensions=-ugaritic}', "");
Error('\p{Scx=	_Ugar/a/}');
Error('\P{Scx=	_Ugar/a/}');
Expect(1, 66463, '\p{Scx=ugar}', "");
Expect(0, 66463, '\p{^Scx=ugar}', "");
Expect(0, 66463, '\P{Scx=ugar}', "");
Expect(1, 66463, '\P{^Scx=ugar}', "");
Expect(0, 66464, '\p{Scx=ugar}', "");
Expect(1, 66464, '\p{^Scx=ugar}', "");
Expect(1, 66464, '\P{Scx=ugar}', "");
Expect(0, 66464, '\P{^Scx=ugar}', "");
Expect(1, 66463, '\p{Scx= UGAR}', "");
Expect(0, 66463, '\p{^Scx= UGAR}', "");
Expect(0, 66463, '\P{Scx= UGAR}', "");
Expect(1, 66463, '\P{^Scx= UGAR}', "");
Expect(0, 66464, '\p{Scx= UGAR}', "");
Expect(1, 66464, '\p{^Scx= UGAR}', "");
Expect(1, 66464, '\P{Scx= UGAR}', "");
Expect(0, 66464, '\P{^Scx= UGAR}', "");
Error('\p{Is_Script_Extensions=:=	_Ugaritic}');
Error('\P{Is_Script_Extensions=:=	_Ugaritic}');
Expect(1, 66463, '\p{Is_Script_Extensions=ugaritic}', "");
Expect(0, 66463, '\p{^Is_Script_Extensions=ugaritic}', "");
Expect(0, 66463, '\P{Is_Script_Extensions=ugaritic}', "");
Expect(1, 66463, '\P{^Is_Script_Extensions=ugaritic}', "");
Expect(0, 66464, '\p{Is_Script_Extensions=ugaritic}', "");
Expect(1, 66464, '\p{^Is_Script_Extensions=ugaritic}', "");
Expect(1, 66464, '\P{Is_Script_Extensions=ugaritic}', "");
Expect(0, 66464, '\P{^Is_Script_Extensions=ugaritic}', "");
Expect(1, 66463, '\p{Is_Script_Extensions=_ UGARITIC}', "");
Expect(0, 66463, '\p{^Is_Script_Extensions=_ UGARITIC}', "");
Expect(0, 66463, '\P{Is_Script_Extensions=_ UGARITIC}', "");
Expect(1, 66463, '\P{^Is_Script_Extensions=_ UGARITIC}', "");
Expect(0, 66464, '\p{Is_Script_Extensions=_ UGARITIC}', "");
Expect(1, 66464, '\p{^Is_Script_Extensions=_ UGARITIC}', "");
Expect(1, 66464, '\P{Is_Script_Extensions=_ UGARITIC}', "");
Expect(0, 66464, '\P{^Is_Script_Extensions=_ UGARITIC}', "");
Error('\p{Is_Scx=_ ugar/a/}');
Error('\P{Is_Scx=_ ugar/a/}');
Expect(1, 66463, '\p{Is_Scx=ugar}', "");
Expect(0, 66463, '\p{^Is_Scx=ugar}', "");
Expect(0, 66463, '\P{Is_Scx=ugar}', "");
Expect(1, 66463, '\P{^Is_Scx=ugar}', "");
Expect(0, 66464, '\p{Is_Scx=ugar}', "");
Expect(1, 66464, '\p{^Is_Scx=ugar}', "");
Expect(1, 66464, '\P{Is_Scx=ugar}', "");
Expect(0, 66464, '\P{^Is_Scx=ugar}', "");
Expect(1, 66463, '\p{Is_Scx=_	Ugar}', "");
Expect(0, 66463, '\p{^Is_Scx=_	Ugar}', "");
Expect(0, 66463, '\P{Is_Scx=_	Ugar}', "");
Expect(1, 66463, '\P{^Is_Scx=_	Ugar}', "");
Expect(0, 66464, '\p{Is_Scx=_	Ugar}', "");
Expect(1, 66464, '\p{^Is_Scx=_	Ugar}', "");
Expect(1, 66464, '\P{Is_Scx=_	Ugar}', "");
Expect(0, 66464, '\P{^Is_Scx=_	Ugar}', "");
Error('\p{Script_Extensions=_	Vai/a/}');
Error('\P{Script_Extensions=_	Vai/a/}');
Expect(1, 42539, '\p{Script_Extensions=vai}', "");
Expect(0, 42539, '\p{^Script_Extensions=vai}', "");
Expect(0, 42539, '\P{Script_Extensions=vai}', "");
Expect(1, 42539, '\P{^Script_Extensions=vai}', "");
Expect(0, 42540, '\p{Script_Extensions=vai}', "");
Expect(1, 42540, '\p{^Script_Extensions=vai}', "");
Expect(1, 42540, '\P{Script_Extensions=vai}', "");
Expect(0, 42540, '\P{^Script_Extensions=vai}', "");
Expect(1, 42539, '\p{Script_Extensions:  	Vai}', "");
Expect(0, 42539, '\p{^Script_Extensions:  	Vai}', "");
Expect(0, 42539, '\P{Script_Extensions:  	Vai}', "");
Expect(1, 42539, '\P{^Script_Extensions:  	Vai}', "");
Expect(0, 42540, '\p{Script_Extensions:  	Vai}', "");
Expect(1, 42540, '\p{^Script_Extensions:  	Vai}', "");
Expect(1, 42540, '\P{Script_Extensions:  	Vai}', "");
Expect(0, 42540, '\P{^Script_Extensions:  	Vai}', "");
Error('\p{Scx=_-Vaii:=}');
Error('\P{Scx=_-Vaii:=}');
Expect(1, 42539, '\p{Scx: vaii}', "");
Expect(0, 42539, '\p{^Scx: vaii}', "");
Expect(0, 42539, '\P{Scx: vaii}', "");
Expect(1, 42539, '\P{^Scx: vaii}', "");
Expect(0, 42540, '\p{Scx: vaii}', "");
Expect(1, 42540, '\p{^Scx: vaii}', "");
Expect(1, 42540, '\P{Scx: vaii}', "");
Expect(0, 42540, '\P{^Scx: vaii}', "");
Expect(1, 42539, '\p{Scx=_VAII}', "");
Expect(0, 42539, '\p{^Scx=_VAII}', "");
Expect(0, 42539, '\P{Scx=_VAII}', "");
Expect(1, 42539, '\P{^Scx=_VAII}', "");
Expect(0, 42540, '\p{Scx=_VAII}', "");
Expect(1, 42540, '\p{^Scx=_VAII}', "");
Expect(1, 42540, '\P{Scx=_VAII}', "");
Expect(0, 42540, '\P{^Scx=_VAII}', "");
Error('\p{Is_Script_Extensions=:=	 Vai}');
Error('\P{Is_Script_Extensions=:=	 Vai}');
Expect(1, 42539, '\p{Is_Script_Extensions=vai}', "");
Expect(0, 42539, '\p{^Is_Script_Extensions=vai}', "");
Expect(0, 42539, '\P{Is_Script_Extensions=vai}', "");
Expect(1, 42539, '\P{^Is_Script_Extensions=vai}', "");
Expect(0, 42540, '\p{Is_Script_Extensions=vai}', "");
Expect(1, 42540, '\p{^Is_Script_Extensions=vai}', "");
Expect(1, 42540, '\P{Is_Script_Extensions=vai}', "");
Expect(0, 42540, '\P{^Is_Script_Extensions=vai}', "");
Expect(1, 42539, '\p{Is_Script_Extensions= VAI}', "");
Expect(0, 42539, '\p{^Is_Script_Extensions= VAI}', "");
Expect(0, 42539, '\P{Is_Script_Extensions= VAI}', "");
Expect(1, 42539, '\P{^Is_Script_Extensions= VAI}', "");
Expect(0, 42540, '\p{Is_Script_Extensions= VAI}', "");
Expect(1, 42540, '\p{^Is_Script_Extensions= VAI}', "");
Expect(1, 42540, '\P{Is_Script_Extensions= VAI}', "");
Expect(0, 42540, '\P{^Is_Script_Extensions= VAI}', "");
Error('\p{Is_Scx=	/a/Vaii}');
Error('\P{Is_Scx=	/a/Vaii}');
Expect(1, 42539, '\p{Is_Scx=vaii}', "");
Expect(0, 42539, '\p{^Is_Scx=vaii}', "");
Expect(0, 42539, '\P{Is_Scx=vaii}', "");
Expect(1, 42539, '\P{^Is_Scx=vaii}', "");
Expect(0, 42540, '\p{Is_Scx=vaii}', "");
Expect(1, 42540, '\p{^Is_Scx=vaii}', "");
Expect(1, 42540, '\P{Is_Scx=vaii}', "");
Expect(0, 42540, '\P{^Is_Scx=vaii}', "");
Expect(1, 42539, '\p{Is_Scx:   VAII}', "");
Expect(0, 42539, '\p{^Is_Scx:   VAII}', "");
Expect(0, 42539, '\P{Is_Scx:   VAII}', "");
Expect(1, 42539, '\P{^Is_Scx:   VAII}', "");
Expect(0, 42540, '\p{Is_Scx:   VAII}', "");
Expect(1, 42540, '\p{^Is_Scx:   VAII}', "");
Expect(1, 42540, '\P{Is_Scx:   VAII}', "");
Expect(0, 42540, '\P{^Is_Scx:   VAII}', "");
Error('\p{Script_Extensions:  Warang_Citi:=}');
Error('\P{Script_Extensions:  Warang_Citi:=}');
Expect(1, 71935, '\p{Script_Extensions=warangciti}', "");
Expect(0, 71935, '\p{^Script_Extensions=warangciti}', "");
Expect(0, 71935, '\P{Script_Extensions=warangciti}', "");
Expect(1, 71935, '\P{^Script_Extensions=warangciti}', "");
Expect(0, 71936, '\p{Script_Extensions=warangciti}', "");
Expect(1, 71936, '\p{^Script_Extensions=warangciti}', "");
Expect(1, 71936, '\P{Script_Extensions=warangciti}', "");
Expect(0, 71936, '\P{^Script_Extensions=warangciti}', "");
Expect(1, 71935, '\p{Script_Extensions= 	WARANG_CITI}', "");
Expect(0, 71935, '\p{^Script_Extensions= 	WARANG_CITI}', "");
Expect(0, 71935, '\P{Script_Extensions= 	WARANG_CITI}', "");
Expect(1, 71935, '\P{^Script_Extensions= 	WARANG_CITI}', "");
Expect(0, 71936, '\p{Script_Extensions= 	WARANG_CITI}', "");
Expect(1, 71936, '\p{^Script_Extensions= 	WARANG_CITI}', "");
Expect(1, 71936, '\P{Script_Extensions= 	WARANG_CITI}', "");
Expect(0, 71936, '\P{^Script_Extensions= 	WARANG_CITI}', "");
Error('\p{Scx= /a/Wara}');
Error('\P{Scx= /a/Wara}');
Expect(1, 71935, '\p{Scx=wara}', "");
Expect(0, 71935, '\p{^Scx=wara}', "");
Expect(0, 71935, '\P{Scx=wara}', "");
Expect(1, 71935, '\P{^Scx=wara}', "");
Expect(0, 71936, '\p{Scx=wara}', "");
Expect(1, 71936, '\p{^Scx=wara}', "");
Expect(1, 71936, '\P{Scx=wara}', "");
Expect(0, 71936, '\P{^Scx=wara}', "");
Expect(1, 71935, '\p{Scx=_wara}', "");
Expect(0, 71935, '\p{^Scx=_wara}', "");
Expect(0, 71935, '\P{Scx=_wara}', "");
Expect(1, 71935, '\P{^Scx=_wara}', "");
Expect(0, 71936, '\p{Scx=_wara}', "");
Expect(1, 71936, '\p{^Scx=_wara}', "");
Expect(1, 71936, '\P{Scx=_wara}', "");
Expect(0, 71936, '\P{^Scx=_wara}', "");
Error('\p{Is_Script_Extensions=- Warang_Citi:=}');
Error('\P{Is_Script_Extensions=- Warang_Citi:=}');
Expect(1, 71935, '\p{Is_Script_Extensions=warangciti}', "");
Expect(0, 71935, '\p{^Is_Script_Extensions=warangciti}', "");
Expect(0, 71935, '\P{Is_Script_Extensions=warangciti}', "");
Expect(1, 71935, '\P{^Is_Script_Extensions=warangciti}', "");
Expect(0, 71936, '\p{Is_Script_Extensions=warangciti}', "");
Expect(1, 71936, '\p{^Is_Script_Extensions=warangciti}', "");
Expect(1, 71936, '\P{Is_Script_Extensions=warangciti}', "");
Expect(0, 71936, '\P{^Is_Script_Extensions=warangciti}', "");
Expect(1, 71935, '\p{Is_Script_Extensions=	WARANG_Citi}', "");
Expect(0, 71935, '\p{^Is_Script_Extensions=	WARANG_Citi}', "");
Expect(0, 71935, '\P{Is_Script_Extensions=	WARANG_Citi}', "");
Expect(1, 71935, '\P{^Is_Script_Extensions=	WARANG_Citi}', "");
Expect(0, 71936, '\p{Is_Script_Extensions=	WARANG_Citi}', "");
Expect(1, 71936, '\p{^Is_Script_Extensions=	WARANG_Citi}', "");
Expect(1, 71936, '\P{Is_Script_Extensions=	WARANG_Citi}', "");
Expect(0, 71936, '\P{^Is_Script_Extensions=	WARANG_Citi}', "");
Error('\p{Is_Scx= :=Wara}');
Error('\P{Is_Scx= :=Wara}');
Expect(1, 71935, '\p{Is_Scx=wara}', "");
Expect(0, 71935, '\p{^Is_Scx=wara}', "");
Expect(0, 71935, '\P{Is_Scx=wara}', "");
Expect(1, 71935, '\P{^Is_Scx=wara}', "");
Expect(0, 71936, '\p{Is_Scx=wara}', "");
Expect(1, 71936, '\p{^Is_Scx=wara}', "");
Expect(1, 71936, '\P{Is_Scx=wara}', "");
Expect(0, 71936, '\P{^Is_Scx=wara}', "");
Expect(1, 71935, '\p{Is_Scx= wara}', "");
Expect(0, 71935, '\p{^Is_Scx= wara}', "");
Expect(0, 71935, '\P{Is_Scx= wara}', "");
Expect(1, 71935, '\P{^Is_Scx= wara}', "");
Expect(0, 71936, '\p{Is_Scx= wara}', "");
Expect(1, 71936, '\p{^Is_Scx= wara}', "");
Expect(1, 71936, '\P{Is_Scx= wara}', "");
Expect(0, 71936, '\P{^Is_Scx= wara}', "");
Error('\p{Script_Extensions=:=-Old_persian}');
Error('\P{Script_Extensions=:=-Old_persian}');
Expect(1, 66517, '\p{Script_Extensions=oldpersian}', "");
Expect(0, 66517, '\p{^Script_Extensions=oldpersian}', "");
Expect(0, 66517, '\P{Script_Extensions=oldpersian}', "");
Expect(1, 66517, '\P{^Script_Extensions=oldpersian}', "");
Expect(0, 66518, '\p{Script_Extensions=oldpersian}', "");
Expect(1, 66518, '\p{^Script_Extensions=oldpersian}', "");
Expect(1, 66518, '\P{Script_Extensions=oldpersian}', "");
Expect(0, 66518, '\P{^Script_Extensions=oldpersian}', "");
Expect(1, 66517, '\p{Script_Extensions:	-OLD_Persian}', "");
Expect(0, 66517, '\p{^Script_Extensions:	-OLD_Persian}', "");
Expect(0, 66517, '\P{Script_Extensions:	-OLD_Persian}', "");
Expect(1, 66517, '\P{^Script_Extensions:	-OLD_Persian}', "");
Expect(0, 66518, '\p{Script_Extensions:	-OLD_Persian}', "");
Expect(1, 66518, '\p{^Script_Extensions:	-OLD_Persian}', "");
Expect(1, 66518, '\P{Script_Extensions:	-OLD_Persian}', "");
Expect(0, 66518, '\P{^Script_Extensions:	-OLD_Persian}', "");
Error('\p{Scx= XPEO/a/}');
Error('\P{Scx= XPEO/a/}');
Expect(1, 66517, '\p{Scx=xpeo}', "");
Expect(0, 66517, '\p{^Scx=xpeo}', "");
Expect(0, 66517, '\P{Scx=xpeo}', "");
Expect(1, 66517, '\P{^Scx=xpeo}', "");
Expect(0, 66518, '\p{Scx=xpeo}', "");
Expect(1, 66518, '\p{^Scx=xpeo}', "");
Expect(1, 66518, '\P{Scx=xpeo}', "");
Expect(0, 66518, '\P{^Scx=xpeo}', "");
Expect(1, 66517, '\p{Scx=- XPEO}', "");
Expect(0, 66517, '\p{^Scx=- XPEO}', "");
Expect(0, 66517, '\P{Scx=- XPEO}', "");
Expect(1, 66517, '\P{^Scx=- XPEO}', "");
Expect(0, 66518, '\p{Scx=- XPEO}', "");
Expect(1, 66518, '\p{^Scx=- XPEO}', "");
Expect(1, 66518, '\P{Scx=- XPEO}', "");
Expect(0, 66518, '\P{^Scx=- XPEO}', "");
Error('\p{Is_Script_Extensions: -/a/Old_Persian}');
Error('\P{Is_Script_Extensions: -/a/Old_Persian}');
Expect(1, 66517, '\p{Is_Script_Extensions=oldpersian}', "");
Expect(0, 66517, '\p{^Is_Script_Extensions=oldpersian}', "");
Expect(0, 66517, '\P{Is_Script_Extensions=oldpersian}', "");
Expect(1, 66517, '\P{^Is_Script_Extensions=oldpersian}', "");
Expect(0, 66518, '\p{Is_Script_Extensions=oldpersian}', "");
Expect(1, 66518, '\p{^Is_Script_Extensions=oldpersian}', "");
Expect(1, 66518, '\P{Is_Script_Extensions=oldpersian}', "");
Expect(0, 66518, '\P{^Is_Script_Extensions=oldpersian}', "");
Expect(1, 66517, '\p{Is_Script_Extensions=-Old_PERSIAN}', "");
Expect(0, 66517, '\p{^Is_Script_Extensions=-Old_PERSIAN}', "");
Expect(0, 66517, '\P{Is_Script_Extensions=-Old_PERSIAN}', "");
Expect(1, 66517, '\P{^Is_Script_Extensions=-Old_PERSIAN}', "");
Expect(0, 66518, '\p{Is_Script_Extensions=-Old_PERSIAN}', "");
Expect(1, 66518, '\p{^Is_Script_Extensions=-Old_PERSIAN}', "");
Expect(1, 66518, '\P{Is_Script_Extensions=-Old_PERSIAN}', "");
Expect(0, 66518, '\P{^Is_Script_Extensions=-Old_PERSIAN}', "");
Error('\p{Is_Scx=	 XPEO:=}');
Error('\P{Is_Scx=	 XPEO:=}');
Expect(1, 66517, '\p{Is_Scx=xpeo}', "");
Expect(0, 66517, '\p{^Is_Scx=xpeo}', "");
Expect(0, 66517, '\P{Is_Scx=xpeo}', "");
Expect(1, 66517, '\P{^Is_Scx=xpeo}', "");
Expect(0, 66518, '\p{Is_Scx=xpeo}', "");
Expect(1, 66518, '\p{^Is_Scx=xpeo}', "");
Expect(1, 66518, '\P{Is_Scx=xpeo}', "");
Expect(0, 66518, '\P{^Is_Scx=xpeo}', "");
Expect(1, 66517, '\p{Is_Scx=_	Xpeo}', "");
Expect(0, 66517, '\p{^Is_Scx=_	Xpeo}', "");
Expect(0, 66517, '\P{Is_Scx=_	Xpeo}', "");
Expect(1, 66517, '\P{^Is_Scx=_	Xpeo}', "");
Expect(0, 66518, '\p{Is_Scx=_	Xpeo}', "");
Expect(1, 66518, '\p{^Is_Scx=_	Xpeo}', "");
Expect(1, 66518, '\P{Is_Scx=_	Xpeo}', "");
Expect(0, 66518, '\P{^Is_Scx=_	Xpeo}', "");
Error('\p{Script_Extensions=:=_	Cuneiform}');
Error('\P{Script_Extensions=:=_	Cuneiform}');
Expect(1, 75075, '\p{Script_Extensions=cuneiform}', "");
Expect(0, 75075, '\p{^Script_Extensions=cuneiform}', "");
Expect(0, 75075, '\P{Script_Extensions=cuneiform}', "");
Expect(1, 75075, '\P{^Script_Extensions=cuneiform}', "");
Expect(0, 75076, '\p{Script_Extensions=cuneiform}', "");
Expect(1, 75076, '\p{^Script_Extensions=cuneiform}', "");
Expect(1, 75076, '\P{Script_Extensions=cuneiform}', "");
Expect(0, 75076, '\P{^Script_Extensions=cuneiform}', "");
Expect(1, 75075, '\p{Script_Extensions=	-Cuneiform}', "");
Expect(0, 75075, '\p{^Script_Extensions=	-Cuneiform}', "");
Expect(0, 75075, '\P{Script_Extensions=	-Cuneiform}', "");
Expect(1, 75075, '\P{^Script_Extensions=	-Cuneiform}', "");
Expect(0, 75076, '\p{Script_Extensions=	-Cuneiform}', "");
Expect(1, 75076, '\p{^Script_Extensions=	-Cuneiform}', "");
Expect(1, 75076, '\P{Script_Extensions=	-Cuneiform}', "");
Expect(0, 75076, '\P{^Script_Extensions=	-Cuneiform}', "");
Error('\p{Scx=:=-Xsux}');
Error('\P{Scx=:=-Xsux}');
Expect(1, 75075, '\p{Scx=xsux}', "");
Expect(0, 75075, '\p{^Scx=xsux}', "");
Expect(0, 75075, '\P{Scx=xsux}', "");
Expect(1, 75075, '\P{^Scx=xsux}', "");
Expect(0, 75076, '\p{Scx=xsux}', "");
Expect(1, 75076, '\p{^Scx=xsux}', "");
Expect(1, 75076, '\P{Scx=xsux}', "");
Expect(0, 75076, '\P{^Scx=xsux}', "");
Expect(1, 75075, '\p{Scx:   -Xsux}', "");
Expect(0, 75075, '\p{^Scx:   -Xsux}', "");
Expect(0, 75075, '\P{Scx:   -Xsux}', "");
Expect(1, 75075, '\P{^Scx:   -Xsux}', "");
Expect(0, 75076, '\p{Scx:   -Xsux}', "");
Expect(1, 75076, '\p{^Scx:   -Xsux}', "");
Expect(1, 75076, '\P{Scx:   -Xsux}', "");
Expect(0, 75076, '\P{^Scx:   -Xsux}', "");
Error('\p{Is_Script_Extensions=	CUNEIFORM/a/}');
Error('\P{Is_Script_Extensions=	CUNEIFORM/a/}');
Expect(1, 75075, '\p{Is_Script_Extensions=cuneiform}', "");
Expect(0, 75075, '\p{^Is_Script_Extensions=cuneiform}', "");
Expect(0, 75075, '\P{Is_Script_Extensions=cuneiform}', "");
Expect(1, 75075, '\P{^Is_Script_Extensions=cuneiform}', "");
Expect(0, 75076, '\p{Is_Script_Extensions=cuneiform}', "");
Expect(1, 75076, '\p{^Is_Script_Extensions=cuneiform}', "");
Expect(1, 75076, '\P{Is_Script_Extensions=cuneiform}', "");
Expect(0, 75076, '\P{^Is_Script_Extensions=cuneiform}', "");
Expect(1, 75075, '\p{Is_Script_Extensions=_-CUNEIFORM}', "");
Expect(0, 75075, '\p{^Is_Script_Extensions=_-CUNEIFORM}', "");
Expect(0, 75075, '\P{Is_Script_Extensions=_-CUNEIFORM}', "");
Expect(1, 75075, '\P{^Is_Script_Extensions=_-CUNEIFORM}', "");
Expect(0, 75076, '\p{Is_Script_Extensions=_-CUNEIFORM}', "");
Expect(1, 75076, '\p{^Is_Script_Extensions=_-CUNEIFORM}', "");
Expect(1, 75076, '\P{Is_Script_Extensions=_-CUNEIFORM}', "");
Expect(0, 75076, '\P{^Is_Script_Extensions=_-CUNEIFORM}', "");
Error('\p{Is_Scx=_xsux/a/}');
Error('\P{Is_Scx=_xsux/a/}');
Expect(1, 75075, '\p{Is_Scx=xsux}', "");
Expect(0, 75075, '\p{^Is_Scx=xsux}', "");
Expect(0, 75075, '\P{Is_Scx=xsux}', "");
Expect(1, 75075, '\P{^Is_Scx=xsux}', "");
Expect(0, 75076, '\p{Is_Scx=xsux}', "");
Expect(1, 75076, '\p{^Is_Scx=xsux}', "");
Expect(1, 75076, '\P{Is_Scx=xsux}', "");
Expect(0, 75076, '\P{^Is_Scx=xsux}', "");
Expect(1, 75075, '\p{Is_Scx: __Xsux}', "");
Expect(0, 75075, '\p{^Is_Scx: __Xsux}', "");
Expect(0, 75075, '\P{Is_Scx: __Xsux}', "");
Expect(1, 75075, '\P{^Is_Scx: __Xsux}', "");
Expect(0, 75076, '\p{Is_Scx: __Xsux}', "");
Expect(1, 75076, '\p{^Is_Scx: __Xsux}', "");
Expect(1, 75076, '\P{Is_Scx: __Xsux}', "");
Expect(0, 75076, '\P{^Is_Scx: __Xsux}', "");
Error('\p{Script_Extensions=	Yi:=}');
Error('\P{Script_Extensions=	Yi:=}');
Expect(1, 65381, '\p{Script_Extensions=yi}', "");
Expect(0, 65381, '\p{^Script_Extensions=yi}', "");
Expect(0, 65381, '\P{Script_Extensions=yi}', "");
Expect(1, 65381, '\P{^Script_Extensions=yi}', "");
Expect(0, 65382, '\p{Script_Extensions=yi}', "");
Expect(1, 65382, '\p{^Script_Extensions=yi}', "");
Expect(1, 65382, '\P{Script_Extensions=yi}', "");
Expect(0, 65382, '\P{^Script_Extensions=yi}', "");
Expect(1, 65381, '\p{Script_Extensions:	 	YI}', "");
Expect(0, 65381, '\p{^Script_Extensions:	 	YI}', "");
Expect(0, 65381, '\P{Script_Extensions:	 	YI}', "");
Expect(1, 65381, '\P{^Script_Extensions:	 	YI}', "");
Expect(0, 65382, '\p{Script_Extensions:	 	YI}', "");
Expect(1, 65382, '\p{^Script_Extensions:	 	YI}', "");
Expect(1, 65382, '\P{Script_Extensions:	 	YI}', "");
Expect(0, 65382, '\P{^Script_Extensions:	 	YI}', "");
Error('\p{Scx=_Yiii/a/}');
Error('\P{Scx=_Yiii/a/}');
Expect(1, 65381, '\p{Scx=yiii}', "");
Expect(0, 65381, '\p{^Scx=yiii}', "");
Expect(0, 65381, '\P{Scx=yiii}', "");
Expect(1, 65381, '\P{^Scx=yiii}', "");
Expect(0, 65382, '\p{Scx=yiii}', "");
Expect(1, 65382, '\p{^Scx=yiii}', "");
Expect(1, 65382, '\P{Scx=yiii}', "");
Expect(0, 65382, '\P{^Scx=yiii}', "");
Expect(1, 65381, '\p{Scx=_YIII}', "");
Expect(0, 65381, '\p{^Scx=_YIII}', "");
Expect(0, 65381, '\P{Scx=_YIII}', "");
Expect(1, 65381, '\P{^Scx=_YIII}', "");
Expect(0, 65382, '\p{Scx=_YIII}', "");
Expect(1, 65382, '\p{^Scx=_YIII}', "");
Expect(1, 65382, '\P{Scx=_YIII}', "");
Expect(0, 65382, '\P{^Scx=_YIII}', "");
Error('\p{Is_Script_Extensions=/a/_	Yi}');
Error('\P{Is_Script_Extensions=/a/_	Yi}');
Expect(1, 65381, '\p{Is_Script_Extensions=yi}', "");
Expect(0, 65381, '\p{^Is_Script_Extensions=yi}', "");
Expect(0, 65381, '\P{Is_Script_Extensions=yi}', "");
Expect(1, 65381, '\P{^Is_Script_Extensions=yi}', "");
Expect(0, 65382, '\p{Is_Script_Extensions=yi}', "");
Expect(1, 65382, '\p{^Is_Script_Extensions=yi}', "");
Expect(1, 65382, '\P{Is_Script_Extensions=yi}', "");
Expect(0, 65382, '\P{^Is_Script_Extensions=yi}', "");
Expect(1, 65381, '\p{Is_Script_Extensions=	-Yi}', "");
Expect(0, 65381, '\p{^Is_Script_Extensions=	-Yi}', "");
Expect(0, 65381, '\P{Is_Script_Extensions=	-Yi}', "");
Expect(1, 65381, '\P{^Is_Script_Extensions=	-Yi}', "");
Expect(0, 65382, '\p{Is_Script_Extensions=	-Yi}', "");
Expect(1, 65382, '\p{^Is_Script_Extensions=	-Yi}', "");
Expect(1, 65382, '\P{Is_Script_Extensions=	-Yi}', "");
Expect(0, 65382, '\P{^Is_Script_Extensions=	-Yi}', "");
Error('\p{Is_Scx=_	Yiii/a/}');
Error('\P{Is_Scx=_	Yiii/a/}');
Expect(1, 65381, '\p{Is_Scx=yiii}', "");
Expect(0, 65381, '\p{^Is_Scx=yiii}', "");
Expect(0, 65381, '\P{Is_Scx=yiii}', "");
Expect(1, 65381, '\P{^Is_Scx=yiii}', "");
Expect(0, 65382, '\p{Is_Scx=yiii}', "");
Expect(1, 65382, '\p{^Is_Scx=yiii}', "");
Expect(1, 65382, '\P{Is_Scx=yiii}', "");
Expect(0, 65382, '\P{^Is_Scx=yiii}', "");
Expect(1, 65381, '\p{Is_Scx=_ Yiii}', "");
Expect(0, 65381, '\p{^Is_Scx=_ Yiii}', "");
Expect(0, 65381, '\P{Is_Scx=_ Yiii}', "");
Expect(1, 65381, '\P{^Is_Scx=_ Yiii}', "");
Expect(0, 65382, '\p{Is_Scx=_ Yiii}', "");
Expect(1, 65382, '\p{^Is_Scx=_ Yiii}', "");
Expect(1, 65382, '\P{Is_Scx=_ Yiii}', "");
Expect(0, 65382, '\P{^Is_Scx=_ Yiii}', "");
Error('\p{Script_Extensions=_:=Inherited}');
Error('\P{Script_Extensions=_:=Inherited}');
Expect(1, 917999, '\p{Script_Extensions=inherited}', "");
Expect(0, 917999, '\p{^Script_Extensions=inherited}', "");
Expect(0, 917999, '\P{Script_Extensions=inherited}', "");
Expect(1, 917999, '\P{^Script_Extensions=inherited}', "");
Expect(0, 918000, '\p{Script_Extensions=inherited}', "");
Expect(1, 918000, '\p{^Script_Extensions=inherited}', "");
Expect(1, 918000, '\P{Script_Extensions=inherited}', "");
Expect(0, 918000, '\P{^Script_Extensions=inherited}', "");
Expect(1, 917999, '\p{Script_Extensions=-	inherited}', "");
Expect(0, 917999, '\p{^Script_Extensions=-	inherited}', "");
Expect(0, 917999, '\P{Script_Extensions=-	inherited}', "");
Expect(1, 917999, '\P{^Script_Extensions=-	inherited}', "");
Expect(0, 918000, '\p{Script_Extensions=-	inherited}', "");
Expect(1, 918000, '\p{^Script_Extensions=-	inherited}', "");
Expect(1, 918000, '\P{Script_Extensions=-	inherited}', "");
Expect(0, 918000, '\P{^Script_Extensions=-	inherited}', "");
Error('\p{Scx=	Zinh:=}');
Error('\P{Scx=	Zinh:=}');
Expect(1, 917999, '\p{Scx=zinh}', "");
Expect(0, 917999, '\p{^Scx=zinh}', "");
Expect(0, 917999, '\P{Scx=zinh}', "");
Expect(1, 917999, '\P{^Scx=zinh}', "");
Expect(0, 918000, '\p{Scx=zinh}', "");
Expect(1, 918000, '\p{^Scx=zinh}', "");
Expect(1, 918000, '\P{Scx=zinh}', "");
Expect(0, 918000, '\P{^Scx=zinh}', "");
Expect(1, 917999, '\p{Scx=	zinh}', "");
Expect(0, 917999, '\p{^Scx=	zinh}', "");
Expect(0, 917999, '\P{Scx=	zinh}', "");
Expect(1, 917999, '\P{^Scx=	zinh}', "");
Expect(0, 918000, '\p{Scx=	zinh}', "");
Expect(1, 918000, '\p{^Scx=	zinh}', "");
Expect(1, 918000, '\P{Scx=	zinh}', "");
Expect(0, 918000, '\P{^Scx=	zinh}', "");
Error('\p{Is_Script_Extensions=	_Qaai:=}');
Error('\P{Is_Script_Extensions=	_Qaai:=}');
Expect(1, 917999, '\p{Is_Script_Extensions=qaai}', "");
Expect(0, 917999, '\p{^Is_Script_Extensions=qaai}', "");
Expect(0, 917999, '\P{Is_Script_Extensions=qaai}', "");
Expect(1, 917999, '\P{^Is_Script_Extensions=qaai}', "");
Expect(0, 918000, '\p{Is_Script_Extensions=qaai}', "");
Expect(1, 918000, '\p{^Is_Script_Extensions=qaai}', "");
Expect(1, 918000, '\P{Is_Script_Extensions=qaai}', "");
Expect(0, 918000, '\P{^Is_Script_Extensions=qaai}', "");
Expect(1, 917999, '\p{Is_Script_Extensions:-_Qaai}', "");
Expect(0, 917999, '\p{^Is_Script_Extensions:-_Qaai}', "");
Expect(0, 917999, '\P{Is_Script_Extensions:-_Qaai}', "");
Expect(1, 917999, '\P{^Is_Script_Extensions:-_Qaai}', "");
Expect(0, 918000, '\p{Is_Script_Extensions:-_Qaai}', "");
Expect(1, 918000, '\p{^Is_Script_Extensions:-_Qaai}', "");
Expect(1, 918000, '\P{Is_Script_Extensions:-_Qaai}', "");
Expect(0, 918000, '\P{^Is_Script_Extensions:-_Qaai}', "");
Error('\p{Is_Scx=:=inherited}');
Error('\P{Is_Scx=:=inherited}');
Expect(1, 917999, '\p{Is_Scx=inherited}', "");
Expect(0, 917999, '\p{^Is_Scx=inherited}', "");
Expect(0, 917999, '\P{Is_Scx=inherited}', "");
Expect(1, 917999, '\P{^Is_Scx=inherited}', "");
Expect(0, 918000, '\p{Is_Scx=inherited}', "");
Expect(1, 918000, '\p{^Is_Scx=inherited}', "");
Expect(1, 918000, '\P{Is_Scx=inherited}', "");
Expect(0, 918000, '\P{^Is_Scx=inherited}', "");
Expect(1, 917999, '\p{Is_Scx=_ Inherited}', "");
Expect(0, 917999, '\p{^Is_Scx=_ Inherited}', "");
Expect(0, 917999, '\P{Is_Scx=_ Inherited}', "");
Expect(1, 917999, '\P{^Is_Scx=_ Inherited}', "");
Expect(0, 918000, '\p{Is_Scx=_ Inherited}', "");
Expect(1, 918000, '\p{^Is_Scx=_ Inherited}', "");
Expect(1, 918000, '\P{Is_Scx=_ Inherited}', "");
Expect(0, 918000, '\P{^Is_Scx=_ Inherited}', "");
Error('\p{Script_Extensions= 	Common:=}');
Error('\P{Script_Extensions= 	Common:=}');
Expect(1, 917631, '\p{Script_Extensions: common}', "");
Expect(0, 917631, '\p{^Script_Extensions: common}', "");
Expect(0, 917631, '\P{Script_Extensions: common}', "");
Expect(1, 917631, '\P{^Script_Extensions: common}', "");
Expect(0, 917632, '\p{Script_Extensions: common}', "");
Expect(1, 917632, '\p{^Script_Extensions: common}', "");
Expect(1, 917632, '\P{Script_Extensions: common}', "");
Expect(0, 917632, '\P{^Script_Extensions: common}', "");
Expect(1, 917631, '\p{Script_Extensions=	-Common}', "");
Expect(0, 917631, '\p{^Script_Extensions=	-Common}', "");
Expect(0, 917631, '\P{Script_Extensions=	-Common}', "");
Expect(1, 917631, '\P{^Script_Extensions=	-Common}', "");
Expect(0, 917632, '\p{Script_Extensions=	-Common}', "");
Expect(1, 917632, '\p{^Script_Extensions=	-Common}', "");
Expect(1, 917632, '\P{Script_Extensions=	-Common}', "");
Expect(0, 917632, '\P{^Script_Extensions=	-Common}', "");
Error('\p{Scx=:=Zyyy}');
Error('\P{Scx=:=Zyyy}');
Expect(1, 917631, '\p{Scx=zyyy}', "");
Expect(0, 917631, '\p{^Scx=zyyy}', "");
Expect(0, 917631, '\P{Scx=zyyy}', "");
Expect(1, 917631, '\P{^Scx=zyyy}', "");
Expect(0, 917632, '\p{Scx=zyyy}', "");
Expect(1, 917632, '\p{^Scx=zyyy}', "");
Expect(1, 917632, '\P{Scx=zyyy}', "");
Expect(0, 917632, '\P{^Scx=zyyy}', "");
Expect(1, 917631, '\p{Scx=_	zyyy}', "");
Expect(0, 917631, '\p{^Scx=_	zyyy}', "");
Expect(0, 917631, '\P{Scx=_	zyyy}', "");
Expect(1, 917631, '\P{^Scx=_	zyyy}', "");
Expect(0, 917632, '\p{Scx=_	zyyy}', "");
Expect(1, 917632, '\p{^Scx=_	zyyy}', "");
Expect(1, 917632, '\P{Scx=_	zyyy}', "");
Expect(0, 917632, '\P{^Scx=_	zyyy}', "");
Error('\p{Is_Script_Extensions=_ common:=}');
Error('\P{Is_Script_Extensions=_ common:=}');
Expect(1, 917631, '\p{Is_Script_Extensions=common}', "");
Expect(0, 917631, '\p{^Is_Script_Extensions=common}', "");
Expect(0, 917631, '\P{Is_Script_Extensions=common}', "");
Expect(1, 917631, '\P{^Is_Script_Extensions=common}', "");
Expect(0, 917632, '\p{Is_Script_Extensions=common}', "");
Expect(1, 917632, '\p{^Is_Script_Extensions=common}', "");
Expect(1, 917632, '\P{Is_Script_Extensions=common}', "");
Expect(0, 917632, '\P{^Is_Script_Extensions=common}', "");
Expect(1, 917631, '\p{Is_Script_Extensions=__Common}', "");
Expect(0, 917631, '\p{^Is_Script_Extensions=__Common}', "");
Expect(0, 917631, '\P{Is_Script_Extensions=__Common}', "");
Expect(1, 917631, '\P{^Is_Script_Extensions=__Common}', "");
Expect(0, 917632, '\p{Is_Script_Extensions=__Common}', "");
Expect(1, 917632, '\p{^Is_Script_Extensions=__Common}', "");
Expect(1, 917632, '\P{Is_Script_Extensions=__Common}', "");
Expect(0, 917632, '\P{^Is_Script_Extensions=__Common}', "");
Error('\p{Is_Scx:_/a/zyyy}');
Error('\P{Is_Scx:_/a/zyyy}');
Expect(1, 917631, '\p{Is_Scx=zyyy}', "");
Expect(0, 917631, '\p{^Is_Scx=zyyy}', "");
Expect(0, 917631, '\P{Is_Scx=zyyy}', "");
Expect(1, 917631, '\P{^Is_Scx=zyyy}', "");
Expect(0, 917632, '\p{Is_Scx=zyyy}', "");
Expect(1, 917632, '\p{^Is_Scx=zyyy}', "");
Expect(1, 917632, '\P{Is_Scx=zyyy}', "");
Expect(0, 917632, '\P{^Is_Scx=zyyy}', "");
Expect(1, 917631, '\p{Is_Scx=	-Zyyy}', "");
Expect(0, 917631, '\p{^Is_Scx=	-Zyyy}', "");
Expect(0, 917631, '\P{Is_Scx=	-Zyyy}', "");
Expect(1, 917631, '\P{^Is_Scx=	-Zyyy}', "");
Expect(0, 917632, '\p{Is_Scx=	-Zyyy}', "");
Expect(1, 917632, '\p{^Is_Scx=	-Zyyy}', "");
Expect(1, 917632, '\P{Is_Scx=	-Zyyy}', "");
Expect(0, 917632, '\P{^Is_Scx=	-Zyyy}', "");
Error('\p{Script_Extensions=-	UNKNOWN/a/}');
Error('\P{Script_Extensions=-	UNKNOWN/a/}');
Expect(1, 918000, '\p{Script_Extensions=unknown}', "");
Expect(0, 918000, '\p{^Script_Extensions=unknown}', "");
Expect(0, 918000, '\P{Script_Extensions=unknown}', "");
Expect(1, 918000, '\P{^Script_Extensions=unknown}', "");
Expect(0, 917999, '\p{Script_Extensions=unknown}', "");
Expect(1, 917999, '\p{^Script_Extensions=unknown}', "");
Expect(1, 917999, '\P{Script_Extensions=unknown}', "");
Expect(0, 917999, '\P{^Script_Extensions=unknown}', "");
Expect(1, 918000, '\p{Script_Extensions= unknown}', "");
Expect(0, 918000, '\p{^Script_Extensions= unknown}', "");
Expect(0, 918000, '\P{Script_Extensions= unknown}', "");
Expect(1, 918000, '\P{^Script_Extensions= unknown}', "");
Expect(0, 917999, '\p{Script_Extensions= unknown}', "");
Expect(1, 917999, '\p{^Script_Extensions= unknown}', "");
Expect(1, 917999, '\P{Script_Extensions= unknown}', "");
Expect(0, 917999, '\P{^Script_Extensions= unknown}', "");
Error('\p{Scx=-_zzzz/a/}');
Error('\P{Scx=-_zzzz/a/}');
Expect(1, 918000, '\p{Scx=zzzz}', "");
Expect(0, 918000, '\p{^Scx=zzzz}', "");
Expect(0, 918000, '\P{Scx=zzzz}', "");
Expect(1, 918000, '\P{^Scx=zzzz}', "");
Expect(0, 917999, '\p{Scx=zzzz}', "");
Expect(1, 917999, '\p{^Scx=zzzz}', "");
Expect(1, 917999, '\P{Scx=zzzz}', "");
Expect(0, 917999, '\P{^Scx=zzzz}', "");
Expect(1, 918000, '\p{Scx=	 ZZZZ}', "");
Expect(0, 918000, '\p{^Scx=	 ZZZZ}', "");
Expect(0, 918000, '\P{Scx=	 ZZZZ}', "");
Expect(1, 918000, '\P{^Scx=	 ZZZZ}', "");
Expect(0, 917999, '\p{Scx=	 ZZZZ}', "");
Expect(1, 917999, '\p{^Scx=	 ZZZZ}', "");
Expect(1, 917999, '\P{Scx=	 ZZZZ}', "");
Expect(0, 917999, '\P{^Scx=	 ZZZZ}', "");
Error('\p{Is_Script_Extensions=--Unknown:=}');
Error('\P{Is_Script_Extensions=--Unknown:=}');
Expect(1, 918000, '\p{Is_Script_Extensions:   unknown}', "");
Expect(0, 918000, '\p{^Is_Script_Extensions:   unknown}', "");
Expect(0, 918000, '\P{Is_Script_Extensions:   unknown}', "");
Expect(1, 918000, '\P{^Is_Script_Extensions:   unknown}', "");
Expect(0, 917999, '\p{Is_Script_Extensions:   unknown}', "");
Expect(1, 917999, '\p{^Is_Script_Extensions:   unknown}', "");
Expect(1, 917999, '\P{Is_Script_Extensions:   unknown}', "");
Expect(0, 917999, '\P{^Is_Script_Extensions:   unknown}', "");
Expect(1, 918000, '\p{Is_Script_Extensions: _-Unknown}', "");
Expect(0, 918000, '\p{^Is_Script_Extensions: _-Unknown}', "");
Expect(0, 918000, '\P{Is_Script_Extensions: _-Unknown}', "");
Expect(1, 918000, '\P{^Is_Script_Extensions: _-Unknown}', "");
Expect(0, 917999, '\p{Is_Script_Extensions: _-Unknown}', "");
Expect(1, 917999, '\p{^Is_Script_Extensions: _-Unknown}', "");
Expect(1, 917999, '\P{Is_Script_Extensions: _-Unknown}', "");
Expect(0, 917999, '\P{^Is_Script_Extensions: _-Unknown}', "");
Error('\p{Is_Scx=:= Zzzz}');
Error('\P{Is_Scx=:= Zzzz}');
Expect(1, 918000, '\p{Is_Scx=zzzz}', "");
Expect(0, 918000, '\p{^Is_Scx=zzzz}', "");
Expect(0, 918000, '\P{Is_Scx=zzzz}', "");
Expect(1, 918000, '\P{^Is_Scx=zzzz}', "");
Expect(0, 917999, '\p{Is_Scx=zzzz}', "");
Expect(1, 917999, '\p{^Is_Scx=zzzz}', "");
Expect(1, 917999, '\P{Is_Scx=zzzz}', "");
Expect(0, 917999, '\P{^Is_Scx=zzzz}', "");
Expect(1, 918000, '\p{Is_Scx=-Zzzz}', "");
Expect(0, 918000, '\p{^Is_Scx=-Zzzz}', "");
Expect(0, 918000, '\P{Is_Scx=-Zzzz}', "");
Expect(1, 918000, '\P{^Is_Scx=-Zzzz}', "");
Expect(0, 917999, '\p{Is_Scx=-Zzzz}', "");
Expect(1, 917999, '\p{^Is_Scx=-Zzzz}', "");
Expect(1, 917999, '\P{Is_Scx=-Zzzz}', "");
Expect(0, 917999, '\P{^Is_Scx=-Zzzz}', "");
Test_GCB('÷ 0020 ÷ 0020 ÷');
Test_GCB('÷ 0020 × 0308 ÷ 0020 ÷');
Test_GCB('÷ 0020 ÷ 000D ÷');
Test_GCB('÷ 0020 × 0308 ÷ 000D ÷');
Test_GCB('÷ 0020 ÷ 000A ÷');
Test_GCB('÷ 0020 × 0308 ÷ 000A ÷');
Test_GCB('÷ 0020 ÷ 0001 ÷');
Test_GCB('÷ 0020 × 0308 ÷ 0001 ÷');
Test_GCB('÷ 0020 × 0300 ÷');
Test_GCB('÷ 0020 × 0308 × 0300 ÷');
Test_GCB('÷ 0020 × 0903 ÷');
Test_GCB('÷ 0020 × 0308 × 0903 ÷');
Test_GCB('÷ 0020 ÷ 1100 ÷');
Test_GCB('÷ 0020 × 0308 ÷ 1100 ÷');
Test_GCB('÷ 0020 ÷ 1160 ÷');
Test_GCB('÷ 0020 × 0308 ÷ 1160 ÷');
Test_GCB('÷ 0020 ÷ 11A8 ÷');
Test_GCB('÷ 0020 × 0308 ÷ 11A8 ÷');
Test_GCB('÷ 0020 ÷ AC00 ÷');
Test_GCB('÷ 0020 × 0308 ÷ AC00 ÷');
Test_GCB('÷ 0020 ÷ AC01 ÷');
Test_GCB('÷ 0020 × 0308 ÷ AC01 ÷');
Test_GCB('÷ 0020 ÷ 1F1E6 ÷');
Test_GCB('÷ 0020 × 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ 0020 ÷ 0378 ÷');
Test_GCB('÷ 0020 × 0308 ÷ 0378 ÷');
Test_GCB('÷ 0020 ÷ D800 ÷');
Test_GCB('÷ 0020 × 0308 ÷ D800 ÷');
Test_GCB('÷ 000D ÷ 0020 ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ 0020 ÷');
Test_GCB('÷ 000D ÷ 000D ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ 000D ÷');
Test_GCB('÷ 000D × 000A ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ 000A ÷');
Test_GCB('÷ 000D ÷ 0001 ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ 0001 ÷');
Test_GCB('÷ 000D ÷ 0300 ÷');
Test_GCB('÷ 000D ÷ 0308 × 0300 ÷');
Test_GCB('÷ 000D ÷ 0903 ÷');
Test_GCB('÷ 000D ÷ 0308 × 0903 ÷');
Test_GCB('÷ 000D ÷ 1100 ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ 1100 ÷');
Test_GCB('÷ 000D ÷ 1160 ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ 1160 ÷');
Test_GCB('÷ 000D ÷ 11A8 ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ 11A8 ÷');
Test_GCB('÷ 000D ÷ AC00 ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ AC00 ÷');
Test_GCB('÷ 000D ÷ AC01 ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ AC01 ÷');
Test_GCB('÷ 000D ÷ 1F1E6 ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ 000D ÷ 0378 ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ 0378 ÷');
Test_GCB('÷ 000D ÷ D800 ÷');
Test_GCB('÷ 000D ÷ 0308 ÷ D800 ÷');
Test_GCB('÷ 000A ÷ 0020 ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ 0020 ÷');
Test_GCB('÷ 000A ÷ 000D ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ 000D ÷');
Test_GCB('÷ 000A ÷ 000A ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ 000A ÷');
Test_GCB('÷ 000A ÷ 0001 ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ 0001 ÷');
Test_GCB('÷ 000A ÷ 0300 ÷');
Test_GCB('÷ 000A ÷ 0308 × 0300 ÷');
Test_GCB('÷ 000A ÷ 0903 ÷');
Test_GCB('÷ 000A ÷ 0308 × 0903 ÷');
Test_GCB('÷ 000A ÷ 1100 ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ 1100 ÷');
Test_GCB('÷ 000A ÷ 1160 ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ 1160 ÷');
Test_GCB('÷ 000A ÷ 11A8 ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ 11A8 ÷');
Test_GCB('÷ 000A ÷ AC00 ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ AC00 ÷');
Test_GCB('÷ 000A ÷ AC01 ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ AC01 ÷');
Test_GCB('÷ 000A ÷ 1F1E6 ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ 000A ÷ 0378 ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ 0378 ÷');
Test_GCB('÷ 000A ÷ D800 ÷');
Test_GCB('÷ 000A ÷ 0308 ÷ D800 ÷');
Test_GCB('÷ 0001 ÷ 0020 ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ 0020 ÷');
Test_GCB('÷ 0001 ÷ 000D ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ 000D ÷');
Test_GCB('÷ 0001 ÷ 000A ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ 000A ÷');
Test_GCB('÷ 0001 ÷ 0001 ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ 0001 ÷');
Test_GCB('÷ 0001 ÷ 0300 ÷');
Test_GCB('÷ 0001 ÷ 0308 × 0300 ÷');
Test_GCB('÷ 0001 ÷ 0903 ÷');
Test_GCB('÷ 0001 ÷ 0308 × 0903 ÷');
Test_GCB('÷ 0001 ÷ 1100 ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ 1100 ÷');
Test_GCB('÷ 0001 ÷ 1160 ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ 1160 ÷');
Test_GCB('÷ 0001 ÷ 11A8 ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ 11A8 ÷');
Test_GCB('÷ 0001 ÷ AC00 ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ AC00 ÷');
Test_GCB('÷ 0001 ÷ AC01 ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ AC01 ÷');
Test_GCB('÷ 0001 ÷ 1F1E6 ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ 0001 ÷ 0378 ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ 0378 ÷');
Test_GCB('÷ 0001 ÷ D800 ÷');
Test_GCB('÷ 0001 ÷ 0308 ÷ D800 ÷');
Test_GCB('÷ 0300 ÷ 0020 ÷');
Test_GCB('÷ 0300 × 0308 ÷ 0020 ÷');
Test_GCB('÷ 0300 ÷ 000D ÷');
Test_GCB('÷ 0300 × 0308 ÷ 000D ÷');
Test_GCB('÷ 0300 ÷ 000A ÷');
Test_GCB('÷ 0300 × 0308 ÷ 000A ÷');
Test_GCB('÷ 0300 ÷ 0001 ÷');
Test_GCB('÷ 0300 × 0308 ÷ 0001 ÷');
Test_GCB('÷ 0300 × 0300 ÷');
Test_GCB('÷ 0300 × 0308 × 0300 ÷');
Test_GCB('÷ 0300 × 0903 ÷');
Test_GCB('÷ 0300 × 0308 × 0903 ÷');
Test_GCB('÷ 0300 ÷ 1100 ÷');
Test_GCB('÷ 0300 × 0308 ÷ 1100 ÷');
Test_GCB('÷ 0300 ÷ 1160 ÷');
Test_GCB('÷ 0300 × 0308 ÷ 1160 ÷');
Test_GCB('÷ 0300 ÷ 11A8 ÷');
Test_GCB('÷ 0300 × 0308 ÷ 11A8 ÷');
Test_GCB('÷ 0300 ÷ AC00 ÷');
Test_GCB('÷ 0300 × 0308 ÷ AC00 ÷');
Test_GCB('÷ 0300 ÷ AC01 ÷');
Test_GCB('÷ 0300 × 0308 ÷ AC01 ÷');
Test_GCB('÷ 0300 ÷ 1F1E6 ÷');
Test_GCB('÷ 0300 × 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ 0300 ÷ 0378 ÷');
Test_GCB('÷ 0300 × 0308 ÷ 0378 ÷');
Test_GCB('÷ 0300 ÷ D800 ÷');
Test_GCB('÷ 0300 × 0308 ÷ D800 ÷');
Test_GCB('÷ 0903 ÷ 0020 ÷');
Test_GCB('÷ 0903 × 0308 ÷ 0020 ÷');
Test_GCB('÷ 0903 ÷ 000D ÷');
Test_GCB('÷ 0903 × 0308 ÷ 000D ÷');
Test_GCB('÷ 0903 ÷ 000A ÷');
Test_GCB('÷ 0903 × 0308 ÷ 000A ÷');
Test_GCB('÷ 0903 ÷ 0001 ÷');
Test_GCB('÷ 0903 × 0308 ÷ 0001 ÷');
Test_GCB('÷ 0903 × 0300 ÷');
Test_GCB('÷ 0903 × 0308 × 0300 ÷');
Test_GCB('÷ 0903 × 0903 ÷');
Test_GCB('÷ 0903 × 0308 × 0903 ÷');
Test_GCB('÷ 0903 ÷ 1100 ÷');
Test_GCB('÷ 0903 × 0308 ÷ 1100 ÷');
Test_GCB('÷ 0903 ÷ 1160 ÷');
Test_GCB('÷ 0903 × 0308 ÷ 1160 ÷');
Test_GCB('÷ 0903 ÷ 11A8 ÷');
Test_GCB('÷ 0903 × 0308 ÷ 11A8 ÷');
Test_GCB('÷ 0903 ÷ AC00 ÷');
Test_GCB('÷ 0903 × 0308 ÷ AC00 ÷');
Test_GCB('÷ 0903 ÷ AC01 ÷');
Test_GCB('÷ 0903 × 0308 ÷ AC01 ÷');
Test_GCB('÷ 0903 ÷ 1F1E6 ÷');
Test_GCB('÷ 0903 × 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ 0903 ÷ 0378 ÷');
Test_GCB('÷ 0903 × 0308 ÷ 0378 ÷');
Test_GCB('÷ 0903 ÷ D800 ÷');
Test_GCB('÷ 0903 × 0308 ÷ D800 ÷');
Test_GCB('÷ 1100 ÷ 0020 ÷');
Test_GCB('÷ 1100 × 0308 ÷ 0020 ÷');
Test_GCB('÷ 1100 ÷ 000D ÷');
Test_GCB('÷ 1100 × 0308 ÷ 000D ÷');
Test_GCB('÷ 1100 ÷ 000A ÷');
Test_GCB('÷ 1100 × 0308 ÷ 000A ÷');
Test_GCB('÷ 1100 ÷ 0001 ÷');
Test_GCB('÷ 1100 × 0308 ÷ 0001 ÷');
Test_GCB('÷ 1100 × 0300 ÷');
Test_GCB('÷ 1100 × 0308 × 0300 ÷');
Test_GCB('÷ 1100 × 0903 ÷');
Test_GCB('÷ 1100 × 0308 × 0903 ÷');
Test_GCB('÷ 1100 × 1100 ÷');
Test_GCB('÷ 1100 × 0308 ÷ 1100 ÷');
Test_GCB('÷ 1100 × 1160 ÷');
Test_GCB('÷ 1100 × 0308 ÷ 1160 ÷');
Test_GCB('÷ 1100 ÷ 11A8 ÷');
Test_GCB('÷ 1100 × 0308 ÷ 11A8 ÷');
Test_GCB('÷ 1100 × AC00 ÷');
Test_GCB('÷ 1100 × 0308 ÷ AC00 ÷');
Test_GCB('÷ 1100 × AC01 ÷');
Test_GCB('÷ 1100 × 0308 ÷ AC01 ÷');
Test_GCB('÷ 1100 ÷ 1F1E6 ÷');
Test_GCB('÷ 1100 × 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ 1100 ÷ 0378 ÷');
Test_GCB('÷ 1100 × 0308 ÷ 0378 ÷');
Test_GCB('÷ 1100 ÷ D800 ÷');
Test_GCB('÷ 1100 × 0308 ÷ D800 ÷');
Test_GCB('÷ 1160 ÷ 0020 ÷');
Test_GCB('÷ 1160 × 0308 ÷ 0020 ÷');
Test_GCB('÷ 1160 ÷ 000D ÷');
Test_GCB('÷ 1160 × 0308 ÷ 000D ÷');
Test_GCB('÷ 1160 ÷ 000A ÷');
Test_GCB('÷ 1160 × 0308 ÷ 000A ÷');
Test_GCB('÷ 1160 ÷ 0001 ÷');
Test_GCB('÷ 1160 × 0308 ÷ 0001 ÷');
Test_GCB('÷ 1160 × 0300 ÷');
Test_GCB('÷ 1160 × 0308 × 0300 ÷');
Test_GCB('÷ 1160 × 0903 ÷');
Test_GCB('÷ 1160 × 0308 × 0903 ÷');
Test_GCB('÷ 1160 ÷ 1100 ÷');
Test_GCB('÷ 1160 × 0308 ÷ 1100 ÷');
Test_GCB('÷ 1160 × 1160 ÷');
Test_GCB('÷ 1160 × 0308 ÷ 1160 ÷');
Test_GCB('÷ 1160 × 11A8 ÷');
Test_GCB('÷ 1160 × 0308 ÷ 11A8 ÷');
Test_GCB('÷ 1160 ÷ AC00 ÷');
Test_GCB('÷ 1160 × 0308 ÷ AC00 ÷');
Test_GCB('÷ 1160 ÷ AC01 ÷');
Test_GCB('÷ 1160 × 0308 ÷ AC01 ÷');
Test_GCB('÷ 1160 ÷ 1F1E6 ÷');
Test_GCB('÷ 1160 × 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ 1160 ÷ 0378 ÷');
Test_GCB('÷ 1160 × 0308 ÷ 0378 ÷');
Test_GCB('÷ 1160 ÷ D800 ÷');
Test_GCB('÷ 1160 × 0308 ÷ D800 ÷');
Test_GCB('÷ 11A8 ÷ 0020 ÷');
Test_GCB('÷ 11A8 × 0308 ÷ 0020 ÷');
Test_GCB('÷ 11A8 ÷ 000D ÷');
Test_GCB('÷ 11A8 × 0308 ÷ 000D ÷');
Test_GCB('÷ 11A8 ÷ 000A ÷');
Test_GCB('÷ 11A8 × 0308 ÷ 000A ÷');
Test_GCB('÷ 11A8 ÷ 0001 ÷');
Test_GCB('÷ 11A8 × 0308 ÷ 0001 ÷');
Test_GCB('÷ 11A8 × 0300 ÷');
Test_GCB('÷ 11A8 × 0308 × 0300 ÷');
Test_GCB('÷ 11A8 × 0903 ÷');
Test_GCB('÷ 11A8 × 0308 × 0903 ÷');
Test_GCB('÷ 11A8 ÷ 1100 ÷');
Test_GCB('÷ 11A8 × 0308 ÷ 1100 ÷');
Test_GCB('÷ 11A8 ÷ 1160 ÷');
Test_GCB('÷ 11A8 × 0308 ÷ 1160 ÷');
Test_GCB('÷ 11A8 × 11A8 ÷');
Test_GCB('÷ 11A8 × 0308 ÷ 11A8 ÷');
Test_GCB('÷ 11A8 ÷ AC00 ÷');
Test_GCB('÷ 11A8 × 0308 ÷ AC00 ÷');
Test_GCB('÷ 11A8 ÷ AC01 ÷');
Test_GCB('÷ 11A8 × 0308 ÷ AC01 ÷');
Test_GCB('÷ 11A8 ÷ 1F1E6 ÷');
Test_GCB('÷ 11A8 × 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ 11A8 ÷ 0378 ÷');
Test_GCB('÷ 11A8 × 0308 ÷ 0378 ÷');
Test_GCB('÷ 11A8 ÷ D800 ÷');
Test_GCB('÷ 11A8 × 0308 ÷ D800 ÷');
Test_GCB('÷ AC00 ÷ 0020 ÷');
Test_GCB('÷ AC00 × 0308 ÷ 0020 ÷');
Test_GCB('÷ AC00 ÷ 000D ÷');
Test_GCB('÷ AC00 × 0308 ÷ 000D ÷');
Test_GCB('÷ AC00 ÷ 000A ÷');
Test_GCB('÷ AC00 × 0308 ÷ 000A ÷');
Test_GCB('÷ AC00 ÷ 0001 ÷');
Test_GCB('÷ AC00 × 0308 ÷ 0001 ÷');
Test_GCB('÷ AC00 × 0300 ÷');
Test_GCB('÷ AC00 × 0308 × 0300 ÷');
Test_GCB('÷ AC00 × 0903 ÷');
Test_GCB('÷ AC00 × 0308 × 0903 ÷');
Test_GCB('÷ AC00 ÷ 1100 ÷');
Test_GCB('÷ AC00 × 0308 ÷ 1100 ÷');
Test_GCB('÷ AC00 × 1160 ÷');
Test_GCB('÷ AC00 × 0308 ÷ 1160 ÷');
Test_GCB('÷ AC00 × 11A8 ÷');
Test_GCB('÷ AC00 × 0308 ÷ 11A8 ÷');
Test_GCB('÷ AC00 ÷ AC00 ÷');
Test_GCB('÷ AC00 × 0308 ÷ AC00 ÷');
Test_GCB('÷ AC00 ÷ AC01 ÷');
Test_GCB('÷ AC00 × 0308 ÷ AC01 ÷');
Test_GCB('÷ AC00 ÷ 1F1E6 ÷');
Test_GCB('÷ AC00 × 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ AC00 ÷ 0378 ÷');
Test_GCB('÷ AC00 × 0308 ÷ 0378 ÷');
Test_GCB('÷ AC00 ÷ D800 ÷');
Test_GCB('÷ AC00 × 0308 ÷ D800 ÷');
Test_GCB('÷ AC01 ÷ 0020 ÷');
Test_GCB('÷ AC01 × 0308 ÷ 0020 ÷');
Test_GCB('÷ AC01 ÷ 000D ÷');
Test_GCB('÷ AC01 × 0308 ÷ 000D ÷');
Test_GCB('÷ AC01 ÷ 000A ÷');
Test_GCB('÷ AC01 × 0308 ÷ 000A ÷');
Test_GCB('÷ AC01 ÷ 0001 ÷');
Test_GCB('÷ AC01 × 0308 ÷ 0001 ÷');
Test_GCB('÷ AC01 × 0300 ÷');
Test_GCB('÷ AC01 × 0308 × 0300 ÷');
Test_GCB('÷ AC01 × 0903 ÷');
Test_GCB('÷ AC01 × 0308 × 0903 ÷');
Test_GCB('÷ AC01 ÷ 1100 ÷');
Test_GCB('÷ AC01 × 0308 ÷ 1100 ÷');
Test_GCB('÷ AC01 ÷ 1160 ÷');
Test_GCB('÷ AC01 × 0308 ÷ 1160 ÷');
Test_GCB('÷ AC01 × 11A8 ÷');
Test_GCB('÷ AC01 × 0308 ÷ 11A8 ÷');
Test_GCB('÷ AC01 ÷ AC00 ÷');
Test_GCB('÷ AC01 × 0308 ÷ AC00 ÷');
Test_GCB('÷ AC01 ÷ AC01 ÷');
Test_GCB('÷ AC01 × 0308 ÷ AC01 ÷');
Test_GCB('÷ AC01 ÷ 1F1E6 ÷');
Test_GCB('÷ AC01 × 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ AC01 ÷ 0378 ÷');
Test_GCB('÷ AC01 × 0308 ÷ 0378 ÷');
Test_GCB('÷ AC01 ÷ D800 ÷');
Test_GCB('÷ AC01 × 0308 ÷ D800 ÷');
Test_GCB('÷ 1F1E6 ÷ 0020 ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ 0020 ÷');
Test_GCB('÷ 1F1E6 ÷ 000D ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ 000D ÷');
Test_GCB('÷ 1F1E6 ÷ 000A ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ 000A ÷');
Test_GCB('÷ 1F1E6 ÷ 0001 ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ 0001 ÷');
Test_GCB('÷ 1F1E6 × 0300 ÷');
Test_GCB('÷ 1F1E6 × 0308 × 0300 ÷');
Test_GCB('÷ 1F1E6 × 0903 ÷');
Test_GCB('÷ 1F1E6 × 0308 × 0903 ÷');
Test_GCB('÷ 1F1E6 ÷ 1100 ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ 1100 ÷');
Test_GCB('÷ 1F1E6 ÷ 1160 ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ 1160 ÷');
Test_GCB('÷ 1F1E6 ÷ 11A8 ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ 11A8 ÷');
Test_GCB('÷ 1F1E6 ÷ AC00 ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ AC00 ÷');
Test_GCB('÷ 1F1E6 ÷ AC01 ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ AC01 ÷');
Test_GCB('÷ 1F1E6 × 1F1E6 ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ 1F1E6 ÷ 0378 ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ 0378 ÷');
Test_GCB('÷ 1F1E6 ÷ D800 ÷');
Test_GCB('÷ 1F1E6 × 0308 ÷ D800 ÷');
Test_GCB('÷ 0378 ÷ 0020 ÷');
Test_GCB('÷ 0378 × 0308 ÷ 0020 ÷');
Test_GCB('÷ 0378 ÷ 000D ÷');
Test_GCB('÷ 0378 × 0308 ÷ 000D ÷');
Test_GCB('÷ 0378 ÷ 000A ÷');
Test_GCB('÷ 0378 × 0308 ÷ 000A ÷');
Test_GCB('÷ 0378 ÷ 0001 ÷');
Test_GCB('÷ 0378 × 0308 ÷ 0001 ÷');
Test_GCB('÷ 0378 × 0300 ÷');
Test_GCB('÷ 0378 × 0308 × 0300 ÷');
Test_GCB('÷ 0378 × 0903 ÷');
Test_GCB('÷ 0378 × 0308 × 0903 ÷');
Test_GCB('÷ 0378 ÷ 1100 ÷');
Test_GCB('÷ 0378 × 0308 ÷ 1100 ÷');
Test_GCB('÷ 0378 ÷ 1160 ÷');
Test_GCB('÷ 0378 × 0308 ÷ 1160 ÷');
Test_GCB('÷ 0378 ÷ 11A8 ÷');
Test_GCB('÷ 0378 × 0308 ÷ 11A8 ÷');
Test_GCB('÷ 0378 ÷ AC00 ÷');
Test_GCB('÷ 0378 × 0308 ÷ AC00 ÷');
Test_GCB('÷ 0378 ÷ AC01 ÷');
Test_GCB('÷ 0378 × 0308 ÷ AC01 ÷');
Test_GCB('÷ 0378 ÷ 1F1E6 ÷');
Test_GCB('÷ 0378 × 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ 0378 ÷ 0378 ÷');
Test_GCB('÷ 0378 × 0308 ÷ 0378 ÷');
Test_GCB('÷ 0378 ÷ D800 ÷');
Test_GCB('÷ 0378 × 0308 ÷ D800 ÷');
Test_GCB('÷ D800 ÷ 0020 ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ 0020 ÷');
Test_GCB('÷ D800 ÷ 000D ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ 000D ÷');
Test_GCB('÷ D800 ÷ 000A ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ 000A ÷');
Test_GCB('÷ D800 ÷ 0001 ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ 0001 ÷');
Test_GCB('÷ D800 ÷ 0300 ÷');
Test_GCB('÷ D800 ÷ 0308 × 0300 ÷');
Test_GCB('÷ D800 ÷ 0903 ÷');
Test_GCB('÷ D800 ÷ 0308 × 0903 ÷');
Test_GCB('÷ D800 ÷ 1100 ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ 1100 ÷');
Test_GCB('÷ D800 ÷ 1160 ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ 1160 ÷');
Test_GCB('÷ D800 ÷ 11A8 ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ 11A8 ÷');
Test_GCB('÷ D800 ÷ AC00 ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ AC00 ÷');
Test_GCB('÷ D800 ÷ AC01 ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ AC01 ÷');
Test_GCB('÷ D800 ÷ 1F1E6 ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ 1F1E6 ÷');
Test_GCB('÷ D800 ÷ 0378 ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ 0378 ÷');
Test_GCB('÷ D800 ÷ D800 ÷');
Test_GCB('÷ D800 ÷ 0308 ÷ D800 ÷');
Test_GCB('÷ 0061 ÷ 1F1E6 ÷ 0062 ÷');
Test_GCB('÷ 1F1F7 × 1F1FA ÷');
Test_GCB('÷ 1F1F7 × 1F1FA × 1F1F8 ÷');
Test_GCB('÷ 1F1F7 × 1F1FA × 1F1F8 × 1F1EA ÷');
Test_GCB('÷ 1F1F7 × 1F1FA ÷ 200B ÷ 1F1F8 × 1F1EA ÷');
Test_GCB('÷ 1F1E6 × 1F1E7 × 1F1E8 ÷');
Test_GCB('÷ 1F1E6 × 200D ÷ 1F1E7 × 1F1E8 ÷');
Test_GCB('÷ 1F1E6 × 1F1E7 × 200D ÷ 1F1E8 ÷');
Test_GCB('÷ 0020 × 200D ÷ 0646 ÷');
Test_GCB('÷ 0646 × 200D ÷ 0020 ÷');
Test_LB('× 0023 × 0023 ÷');
Test_LB('× 0023 × 0020 ÷ 0023 ÷');
Test_LB('× 0023 × 0308 × 0023 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 0023 ÷ 2014 ÷');
Test_LB('× 0023 × 0020 ÷ 2014 ÷');
Test_LB('× 0023 × 0308 ÷ 2014 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 0023 × 0009 ÷');
Test_LB('× 0023 × 0020 ÷ 0009 ÷');
Test_LB('× 0023 × 0308 × 0009 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 0023 ÷ 00B4 ÷');
Test_LB('× 0023 × 0020 ÷ 00B4 ÷');
Test_LB('× 0023 × 0308 ÷ 00B4 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 0023 × 000B ÷');
Test_LB('× 0023 × 0020 × 000B ÷');
Test_LB('× 0023 × 0308 × 000B ÷');
Test_LB('× 0023 × 0308 × 0020 × 000B ÷');
Test_LB('× 0023 ÷ FFFC ÷');
Test_LB('× 0023 × 0020 ÷ FFFC ÷');
Test_LB('× 0023 × 0308 ÷ FFFC ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 0023 × 007D ÷');
Test_LB('× 0023 × 0020 × 007D ÷');
Test_LB('× 0023 × 0308 × 007D ÷');
Test_LB('× 0023 × 0308 × 0020 × 007D ÷');
Test_LB('× 0023 × 0029 ÷');
Test_LB('× 0023 × 0020 × 0029 ÷');
Test_LB('× 0023 × 0308 × 0029 ÷');
Test_LB('× 0023 × 0308 × 0020 × 0029 ÷');
Test_LB('× 0023 × 0001 ÷');
Test_LB('× 0023 × 0020 ÷ 0001 ÷');
Test_LB('× 0023 × 0308 × 0001 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 0023 × 000D ÷');
Test_LB('× 0023 × 0020 × 000D ÷');
Test_LB('× 0023 × 0308 × 000D ÷');
Test_LB('× 0023 × 0308 × 0020 × 000D ÷');
Test_LB('× 0023 × 0021 ÷');
Test_LB('× 0023 × 0020 × 0021 ÷');
Test_LB('× 0023 × 0308 × 0021 ÷');
Test_LB('× 0023 × 0308 × 0020 × 0021 ÷');
Test_LB('× 0023 × 00A0 ÷');
Test_LB('× 0023 × 0020 ÷ 00A0 ÷');
Test_LB('× 0023 × 0308 × 00A0 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 0023 ÷ AC00 ÷');
Test_LB('× 0023 × 0020 ÷ AC00 ÷');
Test_LB('× 0023 × 0308 ÷ AC00 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 0023 ÷ AC01 ÷');
Test_LB('× 0023 × 0020 ÷ AC01 ÷');
Test_LB('× 0023 × 0308 ÷ AC01 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 0023 × 05D0 ÷');
Test_LB('× 0023 × 0020 ÷ 05D0 ÷');
Test_LB('× 0023 × 0308 × 05D0 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 0023 × 002D ÷');
Test_LB('× 0023 × 0020 ÷ 002D ÷');
Test_LB('× 0023 × 0308 × 002D ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 0023 ÷ 231A ÷');
Test_LB('× 0023 × 0020 ÷ 231A ÷');
Test_LB('× 0023 × 0308 ÷ 231A ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 0023 × 2024 ÷');
Test_LB('× 0023 × 0020 ÷ 2024 ÷');
Test_LB('× 0023 × 0308 × 2024 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 0023 × 002C ÷');
Test_LB('× 0023 × 0020 × 002C ÷');
Test_LB('× 0023 × 0308 × 002C ÷');
Test_LB('× 0023 × 0308 × 0020 × 002C ÷');
Test_LB('× 0023 ÷ 1100 ÷');
Test_LB('× 0023 × 0020 ÷ 1100 ÷');
Test_LB('× 0023 × 0308 ÷ 1100 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 0023 ÷ 11A8 ÷');
Test_LB('× 0023 × 0020 ÷ 11A8 ÷');
Test_LB('× 0023 × 0308 ÷ 11A8 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 0023 ÷ 1160 ÷');
Test_LB('× 0023 × 0020 ÷ 1160 ÷');
Test_LB('× 0023 × 0308 ÷ 1160 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 0023 × 000A ÷');
Test_LB('× 0023 × 0020 × 000A ÷');
Test_LB('× 0023 × 0308 × 000A ÷');
Test_LB('× 0023 × 0308 × 0020 × 000A ÷');
Test_LB('× 0023 × 0085 ÷');
Test_LB('× 0023 × 0020 × 0085 ÷');
Test_LB('× 0023 × 0308 × 0085 ÷');
Test_LB('× 0023 × 0308 × 0020 × 0085 ÷');
Test_LB('× 0023 × 17D6 ÷');
Test_LB('× 0023 × 0020 ÷ 17D6 ÷');
Test_LB('× 0023 × 0308 × 17D6 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 0023 × 0030 ÷');
Test_LB('× 0023 × 0020 ÷ 0030 ÷');
Test_LB('× 0023 × 0308 × 0030 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 0023 × 0028 ÷');
Test_LB('× 0023 × 0020 ÷ 0028 ÷');
Test_LB('× 0023 × 0308 × 0028 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 0023 ÷ 0025 ÷');
Test_LB('× 0023 × 0020 ÷ 0025 ÷');
Test_LB('× 0023 × 0308 ÷ 0025 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 0023 ÷ 0024 ÷');
Test_LB('× 0023 × 0020 ÷ 0024 ÷');
Test_LB('× 0023 × 0308 ÷ 0024 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 0023 × 0022 ÷');
Test_LB('× 0023 × 0020 ÷ 0022 ÷');
Test_LB('× 0023 × 0308 × 0022 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 0023 × 0020 ÷');
Test_LB('× 0023 × 0020 × 0020 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷');
Test_LB('× 0023 × 0308 × 0020 × 0020 ÷');
Test_LB('× 0023 × 002F ÷');
Test_LB('× 0023 × 0020 × 002F ÷');
Test_LB('× 0023 × 0308 × 002F ÷');
Test_LB('× 0023 × 0308 × 0020 × 002F ÷');
Test_LB('× 0023 × 2060 ÷');
Test_LB('× 0023 × 0020 × 2060 ÷');
Test_LB('× 0023 × 0308 × 2060 ÷');
Test_LB('× 0023 × 0308 × 0020 × 2060 ÷');
Test_LB('× 0023 × 200B ÷');
Test_LB('× 0023 × 0020 × 200B ÷');
Test_LB('× 0023 × 0308 × 200B ÷');
Test_LB('× 0023 × 0308 × 0020 × 200B ÷');
Test_LB('× 0023 ÷ 1F1E6 ÷');
Test_LB('× 0023 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0023 × 0308 ÷ 1F1E6 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0023 × 00A7 ÷');
Test_LB('× 0023 × 0020 ÷ 00A7 ÷');
Test_LB('× 0023 × 0308 × 00A7 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 0023 × 50005 ÷');
Test_LB('× 0023 × 0020 ÷ 50005 ÷');
Test_LB('× 0023 × 0308 × 50005 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 0023 × 0E01 ÷');
Test_LB('× 0023 × 0020 ÷ 0E01 ÷');
Test_LB('× 0023 × 0308 × 0E01 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 0023 × 3041 ÷');
Test_LB('× 0023 × 0020 ÷ 3041 ÷');
Test_LB('× 0023 × 0308 × 3041 ÷');
Test_LB('× 0023 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 2014 ÷ 0023 ÷');
Test_LB('× 2014 × 0020 ÷ 0023 ÷');
Test_LB('× 2014 × 0308 ÷ 0023 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 2014 × 2014 ÷');
Test_LB('× 2014 × 0020 × 2014 ÷');
Test_LB('× 2014 × 0308 × 2014 ÷');
Test_LB('× 2014 × 0308 × 0020 × 2014 ÷');
Test_LB('× 2014 × 0009 ÷');
Test_LB('× 2014 × 0020 ÷ 0009 ÷');
Test_LB('× 2014 × 0308 × 0009 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 2014 ÷ 00B4 ÷');
Test_LB('× 2014 × 0020 ÷ 00B4 ÷');
Test_LB('× 2014 × 0308 ÷ 00B4 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 2014 × 000B ÷');
Test_LB('× 2014 × 0020 × 000B ÷');
Test_LB('× 2014 × 0308 × 000B ÷');
Test_LB('× 2014 × 0308 × 0020 × 000B ÷');
Test_LB('× 2014 ÷ FFFC ÷');
Test_LB('× 2014 × 0020 ÷ FFFC ÷');
Test_LB('× 2014 × 0308 ÷ FFFC ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 2014 × 007D ÷');
Test_LB('× 2014 × 0020 × 007D ÷');
Test_LB('× 2014 × 0308 × 007D ÷');
Test_LB('× 2014 × 0308 × 0020 × 007D ÷');
Test_LB('× 2014 × 0029 ÷');
Test_LB('× 2014 × 0020 × 0029 ÷');
Test_LB('× 2014 × 0308 × 0029 ÷');
Test_LB('× 2014 × 0308 × 0020 × 0029 ÷');
Test_LB('× 2014 × 0001 ÷');
Test_LB('× 2014 × 0020 ÷ 0001 ÷');
Test_LB('× 2014 × 0308 × 0001 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 2014 × 000D ÷');
Test_LB('× 2014 × 0020 × 000D ÷');
Test_LB('× 2014 × 0308 × 000D ÷');
Test_LB('× 2014 × 0308 × 0020 × 000D ÷');
Test_LB('× 2014 × 0021 ÷');
Test_LB('× 2014 × 0020 × 0021 ÷');
Test_LB('× 2014 × 0308 × 0021 ÷');
Test_LB('× 2014 × 0308 × 0020 × 0021 ÷');
Test_LB('× 2014 × 00A0 ÷');
Test_LB('× 2014 × 0020 ÷ 00A0 ÷');
Test_LB('× 2014 × 0308 × 00A0 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 2014 ÷ AC00 ÷');
Test_LB('× 2014 × 0020 ÷ AC00 ÷');
Test_LB('× 2014 × 0308 ÷ AC00 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 2014 ÷ AC01 ÷');
Test_LB('× 2014 × 0020 ÷ AC01 ÷');
Test_LB('× 2014 × 0308 ÷ AC01 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 2014 ÷ 05D0 ÷');
Test_LB('× 2014 × 0020 ÷ 05D0 ÷');
Test_LB('× 2014 × 0308 ÷ 05D0 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 2014 × 002D ÷');
Test_LB('× 2014 × 0020 ÷ 002D ÷');
Test_LB('× 2014 × 0308 × 002D ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 2014 ÷ 231A ÷');
Test_LB('× 2014 × 0020 ÷ 231A ÷');
Test_LB('× 2014 × 0308 ÷ 231A ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 2014 ÷ 2024 ÷');
Test_LB('× 2014 × 0020 ÷ 2024 ÷');
Test_LB('× 2014 × 0308 ÷ 2024 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 2014 × 002C ÷');
Test_LB('× 2014 × 0020 × 002C ÷');
Test_LB('× 2014 × 0308 × 002C ÷');
Test_LB('× 2014 × 0308 × 0020 × 002C ÷');
Test_LB('× 2014 ÷ 1100 ÷');
Test_LB('× 2014 × 0020 ÷ 1100 ÷');
Test_LB('× 2014 × 0308 ÷ 1100 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 2014 ÷ 11A8 ÷');
Test_LB('× 2014 × 0020 ÷ 11A8 ÷');
Test_LB('× 2014 × 0308 ÷ 11A8 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 2014 ÷ 1160 ÷');
Test_LB('× 2014 × 0020 ÷ 1160 ÷');
Test_LB('× 2014 × 0308 ÷ 1160 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 2014 × 000A ÷');
Test_LB('× 2014 × 0020 × 000A ÷');
Test_LB('× 2014 × 0308 × 000A ÷');
Test_LB('× 2014 × 0308 × 0020 × 000A ÷');
Test_LB('× 2014 × 0085 ÷');
Test_LB('× 2014 × 0020 × 0085 ÷');
Test_LB('× 2014 × 0308 × 0085 ÷');
Test_LB('× 2014 × 0308 × 0020 × 0085 ÷');
Test_LB('× 2014 × 17D6 ÷');
Test_LB('× 2014 × 0020 ÷ 17D6 ÷');
Test_LB('× 2014 × 0308 × 17D6 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 2014 ÷ 0030 ÷');
Test_LB('× 2014 × 0020 ÷ 0030 ÷');
Test_LB('× 2014 × 0308 ÷ 0030 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 2014 ÷ 0028 ÷');
Test_LB('× 2014 × 0020 ÷ 0028 ÷');
Test_LB('× 2014 × 0308 ÷ 0028 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 2014 ÷ 0025 ÷');
Test_LB('× 2014 × 0020 ÷ 0025 ÷');
Test_LB('× 2014 × 0308 ÷ 0025 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 2014 ÷ 0024 ÷');
Test_LB('× 2014 × 0020 ÷ 0024 ÷');
Test_LB('× 2014 × 0308 ÷ 0024 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 2014 × 0022 ÷');
Test_LB('× 2014 × 0020 ÷ 0022 ÷');
Test_LB('× 2014 × 0308 × 0022 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 2014 × 0020 ÷');
Test_LB('× 2014 × 0020 × 0020 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷');
Test_LB('× 2014 × 0308 × 0020 × 0020 ÷');
Test_LB('× 2014 × 002F ÷');
Test_LB('× 2014 × 0020 × 002F ÷');
Test_LB('× 2014 × 0308 × 002F ÷');
Test_LB('× 2014 × 0308 × 0020 × 002F ÷');
Test_LB('× 2014 × 2060 ÷');
Test_LB('× 2014 × 0020 × 2060 ÷');
Test_LB('× 2014 × 0308 × 2060 ÷');
Test_LB('× 2014 × 0308 × 0020 × 2060 ÷');
Test_LB('× 2014 × 200B ÷');
Test_LB('× 2014 × 0020 × 200B ÷');
Test_LB('× 2014 × 0308 × 200B ÷');
Test_LB('× 2014 × 0308 × 0020 × 200B ÷');
Test_LB('× 2014 ÷ 1F1E6 ÷');
Test_LB('× 2014 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 2014 × 0308 ÷ 1F1E6 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 2014 ÷ 00A7 ÷');
Test_LB('× 2014 × 0020 ÷ 00A7 ÷');
Test_LB('× 2014 × 0308 ÷ 00A7 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 2014 ÷ 50005 ÷');
Test_LB('× 2014 × 0020 ÷ 50005 ÷');
Test_LB('× 2014 × 0308 ÷ 50005 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 2014 ÷ 0E01 ÷');
Test_LB('× 2014 × 0020 ÷ 0E01 ÷');
Test_LB('× 2014 × 0308 ÷ 0E01 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 2014 × 3041 ÷');
Test_LB('× 2014 × 0020 ÷ 3041 ÷');
Test_LB('× 2014 × 0308 × 3041 ÷');
Test_LB('× 2014 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 0009 ÷ 0023 ÷');
Test_LB('× 0009 × 0020 ÷ 0023 ÷');
Test_LB('× 0009 × 0308 ÷ 0023 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 0009 ÷ 2014 ÷');
Test_LB('× 0009 × 0020 ÷ 2014 ÷');
Test_LB('× 0009 × 0308 ÷ 2014 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 0009 × 0009 ÷');
Test_LB('× 0009 × 0020 ÷ 0009 ÷');
Test_LB('× 0009 × 0308 × 0009 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 0009 ÷ 00B4 ÷');
Test_LB('× 0009 × 0020 ÷ 00B4 ÷');
Test_LB('× 0009 × 0308 ÷ 00B4 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 0009 × 000B ÷');
Test_LB('× 0009 × 0020 × 000B ÷');
Test_LB('× 0009 × 0308 × 000B ÷');
Test_LB('× 0009 × 0308 × 0020 × 000B ÷');
Test_LB('× 0009 ÷ FFFC ÷');
Test_LB('× 0009 × 0020 ÷ FFFC ÷');
Test_LB('× 0009 × 0308 ÷ FFFC ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 0009 × 007D ÷');
Test_LB('× 0009 × 0020 × 007D ÷');
Test_LB('× 0009 × 0308 × 007D ÷');
Test_LB('× 0009 × 0308 × 0020 × 007D ÷');
Test_LB('× 0009 × 0029 ÷');
Test_LB('× 0009 × 0020 × 0029 ÷');
Test_LB('× 0009 × 0308 × 0029 ÷');
Test_LB('× 0009 × 0308 × 0020 × 0029 ÷');
Test_LB('× 0009 × 0001 ÷');
Test_LB('× 0009 × 0020 ÷ 0001 ÷');
Test_LB('× 0009 × 0308 × 0001 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 0009 × 000D ÷');
Test_LB('× 0009 × 0020 × 000D ÷');
Test_LB('× 0009 × 0308 × 000D ÷');
Test_LB('× 0009 × 0308 × 0020 × 000D ÷');
Test_LB('× 0009 × 0021 ÷');
Test_LB('× 0009 × 0020 × 0021 ÷');
Test_LB('× 0009 × 0308 × 0021 ÷');
Test_LB('× 0009 × 0308 × 0020 × 0021 ÷');
Test_LB('× 0009 ÷ 00A0 ÷');
Test_LB('× 0009 × 0020 ÷ 00A0 ÷');
Test_LB('× 0009 × 0308 ÷ 00A0 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 0009 ÷ AC00 ÷');
Test_LB('× 0009 × 0020 ÷ AC00 ÷');
Test_LB('× 0009 × 0308 ÷ AC00 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 0009 ÷ AC01 ÷');
Test_LB('× 0009 × 0020 ÷ AC01 ÷');
Test_LB('× 0009 × 0308 ÷ AC01 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 0009 ÷ 05D0 ÷');
Test_LB('× 0009 × 0020 ÷ 05D0 ÷');
Test_LB('× 0009 × 0308 ÷ 05D0 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 0009 × 002D ÷');
Test_LB('× 0009 × 0020 ÷ 002D ÷');
Test_LB('× 0009 × 0308 × 002D ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 0009 ÷ 231A ÷');
Test_LB('× 0009 × 0020 ÷ 231A ÷');
Test_LB('× 0009 × 0308 ÷ 231A ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 0009 ÷ 2024 ÷');
Test_LB('× 0009 × 0020 ÷ 2024 ÷');
Test_LB('× 0009 × 0308 ÷ 2024 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 0009 × 002C ÷');
Test_LB('× 0009 × 0020 × 002C ÷');
Test_LB('× 0009 × 0308 × 002C ÷');
Test_LB('× 0009 × 0308 × 0020 × 002C ÷');
Test_LB('× 0009 ÷ 1100 ÷');
Test_LB('× 0009 × 0020 ÷ 1100 ÷');
Test_LB('× 0009 × 0308 ÷ 1100 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 0009 ÷ 11A8 ÷');
Test_LB('× 0009 × 0020 ÷ 11A8 ÷');
Test_LB('× 0009 × 0308 ÷ 11A8 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 0009 ÷ 1160 ÷');
Test_LB('× 0009 × 0020 ÷ 1160 ÷');
Test_LB('× 0009 × 0308 ÷ 1160 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 0009 × 000A ÷');
Test_LB('× 0009 × 0020 × 000A ÷');
Test_LB('× 0009 × 0308 × 000A ÷');
Test_LB('× 0009 × 0308 × 0020 × 000A ÷');
Test_LB('× 0009 × 0085 ÷');
Test_LB('× 0009 × 0020 × 0085 ÷');
Test_LB('× 0009 × 0308 × 0085 ÷');
Test_LB('× 0009 × 0308 × 0020 × 0085 ÷');
Test_LB('× 0009 × 17D6 ÷');
Test_LB('× 0009 × 0020 ÷ 17D6 ÷');
Test_LB('× 0009 × 0308 × 17D6 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 0009 ÷ 0030 ÷');
Test_LB('× 0009 × 0020 ÷ 0030 ÷');
Test_LB('× 0009 × 0308 ÷ 0030 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 0009 ÷ 0028 ÷');
Test_LB('× 0009 × 0020 ÷ 0028 ÷');
Test_LB('× 0009 × 0308 ÷ 0028 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 0009 ÷ 0025 ÷');
Test_LB('× 0009 × 0020 ÷ 0025 ÷');
Test_LB('× 0009 × 0308 ÷ 0025 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 0009 ÷ 0024 ÷');
Test_LB('× 0009 × 0020 ÷ 0024 ÷');
Test_LB('× 0009 × 0308 ÷ 0024 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 0009 × 0022 ÷');
Test_LB('× 0009 × 0020 ÷ 0022 ÷');
Test_LB('× 0009 × 0308 × 0022 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 0009 × 0020 ÷');
Test_LB('× 0009 × 0020 × 0020 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷');
Test_LB('× 0009 × 0308 × 0020 × 0020 ÷');
Test_LB('× 0009 × 002F ÷');
Test_LB('× 0009 × 0020 × 002F ÷');
Test_LB('× 0009 × 0308 × 002F ÷');
Test_LB('× 0009 × 0308 × 0020 × 002F ÷');
Test_LB('× 0009 × 2060 ÷');
Test_LB('× 0009 × 0020 × 2060 ÷');
Test_LB('× 0009 × 0308 × 2060 ÷');
Test_LB('× 0009 × 0308 × 0020 × 2060 ÷');
Test_LB('× 0009 × 200B ÷');
Test_LB('× 0009 × 0020 × 200B ÷');
Test_LB('× 0009 × 0308 × 200B ÷');
Test_LB('× 0009 × 0308 × 0020 × 200B ÷');
Test_LB('× 0009 ÷ 1F1E6 ÷');
Test_LB('× 0009 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0009 × 0308 ÷ 1F1E6 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0009 ÷ 00A7 ÷');
Test_LB('× 0009 × 0020 ÷ 00A7 ÷');
Test_LB('× 0009 × 0308 ÷ 00A7 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 0009 ÷ 50005 ÷');
Test_LB('× 0009 × 0020 ÷ 50005 ÷');
Test_LB('× 0009 × 0308 ÷ 50005 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 0009 ÷ 0E01 ÷');
Test_LB('× 0009 × 0020 ÷ 0E01 ÷');
Test_LB('× 0009 × 0308 ÷ 0E01 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 0009 × 3041 ÷');
Test_LB('× 0009 × 0020 ÷ 3041 ÷');
Test_LB('× 0009 × 0308 × 3041 ÷');
Test_LB('× 0009 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 00B4 × 0023 ÷');
Test_LB('× 00B4 × 0020 ÷ 0023 ÷');
Test_LB('× 00B4 × 0308 × 0023 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 00B4 × 2014 ÷');
Test_LB('× 00B4 × 0020 ÷ 2014 ÷');
Test_LB('× 00B4 × 0308 × 2014 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 00B4 × 0009 ÷');
Test_LB('× 00B4 × 0020 ÷ 0009 ÷');
Test_LB('× 00B4 × 0308 × 0009 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 00B4 × 00B4 ÷');
Test_LB('× 00B4 × 0020 ÷ 00B4 ÷');
Test_LB('× 00B4 × 0308 × 00B4 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 00B4 × 000B ÷');
Test_LB('× 00B4 × 0020 × 000B ÷');
Test_LB('× 00B4 × 0308 × 000B ÷');
Test_LB('× 00B4 × 0308 × 0020 × 000B ÷');
Test_LB('× 00B4 ÷ FFFC ÷');
Test_LB('× 00B4 × 0020 ÷ FFFC ÷');
Test_LB('× 00B4 × 0308 ÷ FFFC ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 00B4 × 007D ÷');
Test_LB('× 00B4 × 0020 × 007D ÷');
Test_LB('× 00B4 × 0308 × 007D ÷');
Test_LB('× 00B4 × 0308 × 0020 × 007D ÷');
Test_LB('× 00B4 × 0029 ÷');
Test_LB('× 00B4 × 0020 × 0029 ÷');
Test_LB('× 00B4 × 0308 × 0029 ÷');
Test_LB('× 00B4 × 0308 × 0020 × 0029 ÷');
Test_LB('× 00B4 × 0001 ÷');
Test_LB('× 00B4 × 0020 ÷ 0001 ÷');
Test_LB('× 00B4 × 0308 × 0001 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 00B4 × 000D ÷');
Test_LB('× 00B4 × 0020 × 000D ÷');
Test_LB('× 00B4 × 0308 × 000D ÷');
Test_LB('× 00B4 × 0308 × 0020 × 000D ÷');
Test_LB('× 00B4 × 0021 ÷');
Test_LB('× 00B4 × 0020 × 0021 ÷');
Test_LB('× 00B4 × 0308 × 0021 ÷');
Test_LB('× 00B4 × 0308 × 0020 × 0021 ÷');
Test_LB('× 00B4 × 00A0 ÷');
Test_LB('× 00B4 × 0020 ÷ 00A0 ÷');
Test_LB('× 00B4 × 0308 × 00A0 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 00B4 × AC00 ÷');
Test_LB('× 00B4 × 0020 ÷ AC00 ÷');
Test_LB('× 00B4 × 0308 × AC00 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 00B4 × AC01 ÷');
Test_LB('× 00B4 × 0020 ÷ AC01 ÷');
Test_LB('× 00B4 × 0308 × AC01 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 00B4 × 05D0 ÷');
Test_LB('× 00B4 × 0020 ÷ 05D0 ÷');
Test_LB('× 00B4 × 0308 × 05D0 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 00B4 × 002D ÷');
Test_LB('× 00B4 × 0020 ÷ 002D ÷');
Test_LB('× 00B4 × 0308 × 002D ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 00B4 × 231A ÷');
Test_LB('× 00B4 × 0020 ÷ 231A ÷');
Test_LB('× 00B4 × 0308 × 231A ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 00B4 × 2024 ÷');
Test_LB('× 00B4 × 0020 ÷ 2024 ÷');
Test_LB('× 00B4 × 0308 × 2024 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 00B4 × 002C ÷');
Test_LB('× 00B4 × 0020 × 002C ÷');
Test_LB('× 00B4 × 0308 × 002C ÷');
Test_LB('× 00B4 × 0308 × 0020 × 002C ÷');
Test_LB('× 00B4 × 1100 ÷');
Test_LB('× 00B4 × 0020 ÷ 1100 ÷');
Test_LB('× 00B4 × 0308 × 1100 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 00B4 × 11A8 ÷');
Test_LB('× 00B4 × 0020 ÷ 11A8 ÷');
Test_LB('× 00B4 × 0308 × 11A8 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 00B4 × 1160 ÷');
Test_LB('× 00B4 × 0020 ÷ 1160 ÷');
Test_LB('× 00B4 × 0308 × 1160 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 00B4 × 000A ÷');
Test_LB('× 00B4 × 0020 × 000A ÷');
Test_LB('× 00B4 × 0308 × 000A ÷');
Test_LB('× 00B4 × 0308 × 0020 × 000A ÷');
Test_LB('× 00B4 × 0085 ÷');
Test_LB('× 00B4 × 0020 × 0085 ÷');
Test_LB('× 00B4 × 0308 × 0085 ÷');
Test_LB('× 00B4 × 0308 × 0020 × 0085 ÷');
Test_LB('× 00B4 × 17D6 ÷');
Test_LB('× 00B4 × 0020 ÷ 17D6 ÷');
Test_LB('× 00B4 × 0308 × 17D6 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 00B4 × 0030 ÷');
Test_LB('× 00B4 × 0020 ÷ 0030 ÷');
Test_LB('× 00B4 × 0308 × 0030 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 00B4 × 0028 ÷');
Test_LB('× 00B4 × 0020 ÷ 0028 ÷');
Test_LB('× 00B4 × 0308 × 0028 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 00B4 × 0025 ÷');
Test_LB('× 00B4 × 0020 ÷ 0025 ÷');
Test_LB('× 00B4 × 0308 × 0025 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 00B4 × 0024 ÷');
Test_LB('× 00B4 × 0020 ÷ 0024 ÷');
Test_LB('× 00B4 × 0308 × 0024 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 00B4 × 0022 ÷');
Test_LB('× 00B4 × 0020 ÷ 0022 ÷');
Test_LB('× 00B4 × 0308 × 0022 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 00B4 × 0020 ÷');
Test_LB('× 00B4 × 0020 × 0020 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷');
Test_LB('× 00B4 × 0308 × 0020 × 0020 ÷');
Test_LB('× 00B4 × 002F ÷');
Test_LB('× 00B4 × 0020 × 002F ÷');
Test_LB('× 00B4 × 0308 × 002F ÷');
Test_LB('× 00B4 × 0308 × 0020 × 002F ÷');
Test_LB('× 00B4 × 2060 ÷');
Test_LB('× 00B4 × 0020 × 2060 ÷');
Test_LB('× 00B4 × 0308 × 2060 ÷');
Test_LB('× 00B4 × 0308 × 0020 × 2060 ÷');
Test_LB('× 00B4 × 200B ÷');
Test_LB('× 00B4 × 0020 × 200B ÷');
Test_LB('× 00B4 × 0308 × 200B ÷');
Test_LB('× 00B4 × 0308 × 0020 × 200B ÷');
Test_LB('× 00B4 × 1F1E6 ÷');
Test_LB('× 00B4 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 00B4 × 0308 × 1F1E6 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 00B4 × 00A7 ÷');
Test_LB('× 00B4 × 0020 ÷ 00A7 ÷');
Test_LB('× 00B4 × 0308 × 00A7 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 00B4 × 50005 ÷');
Test_LB('× 00B4 × 0020 ÷ 50005 ÷');
Test_LB('× 00B4 × 0308 × 50005 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 00B4 × 0E01 ÷');
Test_LB('× 00B4 × 0020 ÷ 0E01 ÷');
Test_LB('× 00B4 × 0308 × 0E01 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 00B4 × 3041 ÷');
Test_LB('× 00B4 × 0020 ÷ 3041 ÷');
Test_LB('× 00B4 × 0308 × 3041 ÷');
Test_LB('× 00B4 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 000B ÷ 0023 ÷');
Test_LB('× 000B ÷ 0020 ÷ 0023 ÷');
Test_LB('× 000B ÷ 0308 × 0023 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 000B ÷ 2014 ÷');
Test_LB('× 000B ÷ 0020 ÷ 2014 ÷');
Test_LB('× 000B ÷ 0308 ÷ 2014 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 000B ÷ 0009 ÷');
Test_LB('× 000B ÷ 0020 ÷ 0009 ÷');
Test_LB('× 000B ÷ 0308 × 0009 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 000B ÷ 00B4 ÷');
Test_LB('× 000B ÷ 0020 ÷ 00B4 ÷');
Test_LB('× 000B ÷ 0308 ÷ 00B4 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 000B ÷ 000B ÷');
Test_LB('× 000B ÷ 0020 × 000B ÷');
Test_LB('× 000B ÷ 0308 × 000B ÷');
Test_LB('× 000B ÷ 0308 × 0020 × 000B ÷');
Test_LB('× 000B ÷ FFFC ÷');
Test_LB('× 000B ÷ 0020 ÷ FFFC ÷');
Test_LB('× 000B ÷ 0308 ÷ FFFC ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 000B ÷ 007D ÷');
Test_LB('× 000B ÷ 0020 × 007D ÷');
Test_LB('× 000B ÷ 0308 × 007D ÷');
Test_LB('× 000B ÷ 0308 × 0020 × 007D ÷');
Test_LB('× 000B ÷ 0029 ÷');
Test_LB('× 000B ÷ 0020 × 0029 ÷');
Test_LB('× 000B ÷ 0308 × 0029 ÷');
Test_LB('× 000B ÷ 0308 × 0020 × 0029 ÷');
Test_LB('× 000B ÷ 0001 ÷');
Test_LB('× 000B ÷ 0020 ÷ 0001 ÷');
Test_LB('× 000B ÷ 0308 × 0001 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 000B ÷ 000D ÷');
Test_LB('× 000B ÷ 0020 × 000D ÷');
Test_LB('× 000B ÷ 0308 × 000D ÷');
Test_LB('× 000B ÷ 0308 × 0020 × 000D ÷');
Test_LB('× 000B ÷ 0021 ÷');
Test_LB('× 000B ÷ 0020 × 0021 ÷');
Test_LB('× 000B ÷ 0308 × 0021 ÷');
Test_LB('× 000B ÷ 0308 × 0020 × 0021 ÷');
Test_LB('× 000B ÷ 00A0 ÷');
Test_LB('× 000B ÷ 0020 ÷ 00A0 ÷');
Test_LB('× 000B ÷ 0308 × 00A0 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 000B ÷ AC00 ÷');
Test_LB('× 000B ÷ 0020 ÷ AC00 ÷');
Test_LB('× 000B ÷ 0308 ÷ AC00 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 000B ÷ AC01 ÷');
Test_LB('× 000B ÷ 0020 ÷ AC01 ÷');
Test_LB('× 000B ÷ 0308 ÷ AC01 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 000B ÷ 05D0 ÷');
Test_LB('× 000B ÷ 0020 ÷ 05D0 ÷');
Test_LB('× 000B ÷ 0308 × 05D0 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 000B ÷ 002D ÷');
Test_LB('× 000B ÷ 0020 ÷ 002D ÷');
Test_LB('× 000B ÷ 0308 × 002D ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 002D ÷');
Test_LB('× 000B ÷ 231A ÷');
Test_LB('× 000B ÷ 0020 ÷ 231A ÷');
Test_LB('× 000B ÷ 0308 ÷ 231A ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 231A ÷');
Test_LB('× 000B ÷ 2024 ÷');
Test_LB('× 000B ÷ 0020 ÷ 2024 ÷');
Test_LB('× 000B ÷ 0308 × 2024 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 000B ÷ 002C ÷');
Test_LB('× 000B ÷ 0020 × 002C ÷');
Test_LB('× 000B ÷ 0308 × 002C ÷');
Test_LB('× 000B ÷ 0308 × 0020 × 002C ÷');
Test_LB('× 000B ÷ 1100 ÷');
Test_LB('× 000B ÷ 0020 ÷ 1100 ÷');
Test_LB('× 000B ÷ 0308 ÷ 1100 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 000B ÷ 11A8 ÷');
Test_LB('× 000B ÷ 0020 ÷ 11A8 ÷');
Test_LB('× 000B ÷ 0308 ÷ 11A8 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 000B ÷ 1160 ÷');
Test_LB('× 000B ÷ 0020 ÷ 1160 ÷');
Test_LB('× 000B ÷ 0308 ÷ 1160 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 000B ÷ 000A ÷');
Test_LB('× 000B ÷ 0020 × 000A ÷');
Test_LB('× 000B ÷ 0308 × 000A ÷');
Test_LB('× 000B ÷ 0308 × 0020 × 000A ÷');
Test_LB('× 000B ÷ 0085 ÷');
Test_LB('× 000B ÷ 0020 × 0085 ÷');
Test_LB('× 000B ÷ 0308 × 0085 ÷');
Test_LB('× 000B ÷ 0308 × 0020 × 0085 ÷');
Test_LB('× 000B ÷ 17D6 ÷');
Test_LB('× 000B ÷ 0020 ÷ 17D6 ÷');
Test_LB('× 000B ÷ 0308 × 17D6 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 000B ÷ 0030 ÷');
Test_LB('× 000B ÷ 0020 ÷ 0030 ÷');
Test_LB('× 000B ÷ 0308 × 0030 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 000B ÷ 0028 ÷');
Test_LB('× 000B ÷ 0020 ÷ 0028 ÷');
Test_LB('× 000B ÷ 0308 × 0028 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 000B ÷ 0025 ÷');
Test_LB('× 000B ÷ 0020 ÷ 0025 ÷');
Test_LB('× 000B ÷ 0308 ÷ 0025 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 000B ÷ 0024 ÷');
Test_LB('× 000B ÷ 0020 ÷ 0024 ÷');
Test_LB('× 000B ÷ 0308 ÷ 0024 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 000B ÷ 0022 ÷');
Test_LB('× 000B ÷ 0020 ÷ 0022 ÷');
Test_LB('× 000B ÷ 0308 × 0022 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 000B ÷ 0020 ÷');
Test_LB('× 000B ÷ 0020 × 0020 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷');
Test_LB('× 000B ÷ 0308 × 0020 × 0020 ÷');
Test_LB('× 000B ÷ 002F ÷');
Test_LB('× 000B ÷ 0020 × 002F ÷');
Test_LB('× 000B ÷ 0308 × 002F ÷');
Test_LB('× 000B ÷ 0308 × 0020 × 002F ÷');
Test_LB('× 000B ÷ 2060 ÷');
Test_LB('× 000B ÷ 0020 × 2060 ÷');
Test_LB('× 000B ÷ 0308 × 2060 ÷');
Test_LB('× 000B ÷ 0308 × 0020 × 2060 ÷');
Test_LB('× 000B ÷ 200B ÷');
Test_LB('× 000B ÷ 0020 × 200B ÷');
Test_LB('× 000B ÷ 0308 × 200B ÷');
Test_LB('× 000B ÷ 0308 × 0020 × 200B ÷');
Test_LB('× 000B ÷ 1F1E6 ÷');
Test_LB('× 000B ÷ 0020 ÷ 1F1E6 ÷');
Test_LB('× 000B ÷ 0308 ÷ 1F1E6 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 000B ÷ 00A7 ÷');
Test_LB('× 000B ÷ 0020 ÷ 00A7 ÷');
Test_LB('× 000B ÷ 0308 × 00A7 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 000B ÷ 50005 ÷');
Test_LB('× 000B ÷ 0020 ÷ 50005 ÷');
Test_LB('× 000B ÷ 0308 × 50005 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 000B ÷ 0E01 ÷');
Test_LB('× 000B ÷ 0020 ÷ 0E01 ÷');
Test_LB('× 000B ÷ 0308 × 0E01 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 000B ÷ 3041 ÷');
Test_LB('× 000B ÷ 0020 ÷ 3041 ÷');
Test_LB('× 000B ÷ 0308 × 3041 ÷');
Test_LB('× 000B ÷ 0308 × 0020 ÷ 3041 ÷');
Test_LB('× FFFC ÷ 0023 ÷');
Test_LB('× FFFC × 0020 ÷ 0023 ÷');
Test_LB('× FFFC × 0308 ÷ 0023 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× FFFC ÷ 2014 ÷');
Test_LB('× FFFC × 0020 ÷ 2014 ÷');
Test_LB('× FFFC × 0308 ÷ 2014 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× FFFC ÷ 0009 ÷');
Test_LB('× FFFC × 0020 ÷ 0009 ÷');
Test_LB('× FFFC × 0308 ÷ 0009 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× FFFC ÷ 00B4 ÷');
Test_LB('× FFFC × 0020 ÷ 00B4 ÷');
Test_LB('× FFFC × 0308 ÷ 00B4 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× FFFC × 000B ÷');
Test_LB('× FFFC × 0020 × 000B ÷');
Test_LB('× FFFC × 0308 × 000B ÷');
Test_LB('× FFFC × 0308 × 0020 × 000B ÷');
Test_LB('× FFFC ÷ FFFC ÷');
Test_LB('× FFFC × 0020 ÷ FFFC ÷');
Test_LB('× FFFC × 0308 ÷ FFFC ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× FFFC × 007D ÷');
Test_LB('× FFFC × 0020 × 007D ÷');
Test_LB('× FFFC × 0308 × 007D ÷');
Test_LB('× FFFC × 0308 × 0020 × 007D ÷');
Test_LB('× FFFC × 0029 ÷');
Test_LB('× FFFC × 0020 × 0029 ÷');
Test_LB('× FFFC × 0308 × 0029 ÷');
Test_LB('× FFFC × 0308 × 0020 × 0029 ÷');
Test_LB('× FFFC × 0001 ÷');
Test_LB('× FFFC × 0020 ÷ 0001 ÷');
Test_LB('× FFFC × 0308 × 0001 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× FFFC × 000D ÷');
Test_LB('× FFFC × 0020 × 000D ÷');
Test_LB('× FFFC × 0308 × 000D ÷');
Test_LB('× FFFC × 0308 × 0020 × 000D ÷');
Test_LB('× FFFC × 0021 ÷');
Test_LB('× FFFC × 0020 × 0021 ÷');
Test_LB('× FFFC × 0308 × 0021 ÷');
Test_LB('× FFFC × 0308 × 0020 × 0021 ÷');
Test_LB('× FFFC × 00A0 ÷');
Test_LB('× FFFC × 0020 ÷ 00A0 ÷');
Test_LB('× FFFC × 0308 × 00A0 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× FFFC ÷ AC00 ÷');
Test_LB('× FFFC × 0020 ÷ AC00 ÷');
Test_LB('× FFFC × 0308 ÷ AC00 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× FFFC ÷ AC01 ÷');
Test_LB('× FFFC × 0020 ÷ AC01 ÷');
Test_LB('× FFFC × 0308 ÷ AC01 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× FFFC ÷ 05D0 ÷');
Test_LB('× FFFC × 0020 ÷ 05D0 ÷');
Test_LB('× FFFC × 0308 ÷ 05D0 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× FFFC ÷ 002D ÷');
Test_LB('× FFFC × 0020 ÷ 002D ÷');
Test_LB('× FFFC × 0308 ÷ 002D ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 002D ÷');
Test_LB('× FFFC ÷ 231A ÷');
Test_LB('× FFFC × 0020 ÷ 231A ÷');
Test_LB('× FFFC × 0308 ÷ 231A ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 231A ÷');
Test_LB('× FFFC ÷ 2024 ÷');
Test_LB('× FFFC × 0020 ÷ 2024 ÷');
Test_LB('× FFFC × 0308 ÷ 2024 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× FFFC × 002C ÷');
Test_LB('× FFFC × 0020 × 002C ÷');
Test_LB('× FFFC × 0308 × 002C ÷');
Test_LB('× FFFC × 0308 × 0020 × 002C ÷');
Test_LB('× FFFC ÷ 1100 ÷');
Test_LB('× FFFC × 0020 ÷ 1100 ÷');
Test_LB('× FFFC × 0308 ÷ 1100 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× FFFC ÷ 11A8 ÷');
Test_LB('× FFFC × 0020 ÷ 11A8 ÷');
Test_LB('× FFFC × 0308 ÷ 11A8 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× FFFC ÷ 1160 ÷');
Test_LB('× FFFC × 0020 ÷ 1160 ÷');
Test_LB('× FFFC × 0308 ÷ 1160 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× FFFC × 000A ÷');
Test_LB('× FFFC × 0020 × 000A ÷');
Test_LB('× FFFC × 0308 × 000A ÷');
Test_LB('× FFFC × 0308 × 0020 × 000A ÷');
Test_LB('× FFFC × 0085 ÷');
Test_LB('× FFFC × 0020 × 0085 ÷');
Test_LB('× FFFC × 0308 × 0085 ÷');
Test_LB('× FFFC × 0308 × 0020 × 0085 ÷');
Test_LB('× FFFC ÷ 17D6 ÷');
Test_LB('× FFFC × 0020 ÷ 17D6 ÷');
Test_LB('× FFFC × 0308 ÷ 17D6 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× FFFC ÷ 0030 ÷');
Test_LB('× FFFC × 0020 ÷ 0030 ÷');
Test_LB('× FFFC × 0308 ÷ 0030 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× FFFC ÷ 0028 ÷');
Test_LB('× FFFC × 0020 ÷ 0028 ÷');
Test_LB('× FFFC × 0308 ÷ 0028 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× FFFC ÷ 0025 ÷');
Test_LB('× FFFC × 0020 ÷ 0025 ÷');
Test_LB('× FFFC × 0308 ÷ 0025 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× FFFC ÷ 0024 ÷');
Test_LB('× FFFC × 0020 ÷ 0024 ÷');
Test_LB('× FFFC × 0308 ÷ 0024 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× FFFC × 0022 ÷');
Test_LB('× FFFC × 0020 ÷ 0022 ÷');
Test_LB('× FFFC × 0308 × 0022 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× FFFC × 0020 ÷');
Test_LB('× FFFC × 0020 × 0020 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷');
Test_LB('× FFFC × 0308 × 0020 × 0020 ÷');
Test_LB('× FFFC × 002F ÷');
Test_LB('× FFFC × 0020 × 002F ÷');
Test_LB('× FFFC × 0308 × 002F ÷');
Test_LB('× FFFC × 0308 × 0020 × 002F ÷');
Test_LB('× FFFC × 2060 ÷');
Test_LB('× FFFC × 0020 × 2060 ÷');
Test_LB('× FFFC × 0308 × 2060 ÷');
Test_LB('× FFFC × 0308 × 0020 × 2060 ÷');
Test_LB('× FFFC × 200B ÷');
Test_LB('× FFFC × 0020 × 200B ÷');
Test_LB('× FFFC × 0308 × 200B ÷');
Test_LB('× FFFC × 0308 × 0020 × 200B ÷');
Test_LB('× FFFC ÷ 1F1E6 ÷');
Test_LB('× FFFC × 0020 ÷ 1F1E6 ÷');
Test_LB('× FFFC × 0308 ÷ 1F1E6 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× FFFC ÷ 00A7 ÷');
Test_LB('× FFFC × 0020 ÷ 00A7 ÷');
Test_LB('× FFFC × 0308 ÷ 00A7 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× FFFC ÷ 50005 ÷');
Test_LB('× FFFC × 0020 ÷ 50005 ÷');
Test_LB('× FFFC × 0308 ÷ 50005 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× FFFC ÷ 0E01 ÷');
Test_LB('× FFFC × 0020 ÷ 0E01 ÷');
Test_LB('× FFFC × 0308 ÷ 0E01 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× FFFC ÷ 3041 ÷');
Test_LB('× FFFC × 0020 ÷ 3041 ÷');
Test_LB('× FFFC × 0308 ÷ 3041 ÷');
Test_LB('× FFFC × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 007D ÷ 0023 ÷');
Test_LB('× 007D × 0020 ÷ 0023 ÷');
Test_LB('× 007D × 0308 ÷ 0023 ÷');
Test_LB('× 007D × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 007D ÷ 2014 ÷');
Test_LB('× 007D × 0020 ÷ 2014 ÷');
Test_LB('× 007D × 0308 ÷ 2014 ÷');
Test_LB('× 007D × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 007D × 0009 ÷');
Test_LB('× 007D × 0020 ÷ 0009 ÷');
Test_LB('× 007D × 0308 × 0009 ÷');
Test_LB('× 007D × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 007D ÷ 00B4 ÷');
Test_LB('× 007D × 0020 ÷ 00B4 ÷');
Test_LB('× 007D × 0308 ÷ 00B4 ÷');
Test_LB('× 007D × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 007D × 000B ÷');
Test_LB('× 007D × 0020 × 000B ÷');
Test_LB('× 007D × 0308 × 000B ÷');
Test_LB('× 007D × 0308 × 0020 × 000B ÷');
Test_LB('× 007D ÷ FFFC ÷');
Test_LB('× 007D × 0020 ÷ FFFC ÷');
Test_LB('× 007D × 0308 ÷ FFFC ÷');
Test_LB('× 007D × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 007D × 007D ÷');
Test_LB('× 007D × 0020 × 007D ÷');
Test_LB('× 007D × 0308 × 007D ÷');
Test_LB('× 007D × 0308 × 0020 × 007D ÷');
Test_LB('× 007D × 0029 ÷');
Test_LB('× 007D × 0020 × 0029 ÷');
Test_LB('× 007D × 0308 × 0029 ÷');
Test_LB('× 007D × 0308 × 0020 × 0029 ÷');
Test_LB('× 007D × 0001 ÷');
Test_LB('× 007D × 0020 ÷ 0001 ÷');
Test_LB('× 007D × 0308 × 0001 ÷');
Test_LB('× 007D × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 007D × 000D ÷');
Test_LB('× 007D × 0020 × 000D ÷');
Test_LB('× 007D × 0308 × 000D ÷');
Test_LB('× 007D × 0308 × 0020 × 000D ÷');
Test_LB('× 007D × 0021 ÷');
Test_LB('× 007D × 0020 × 0021 ÷');
Test_LB('× 007D × 0308 × 0021 ÷');
Test_LB('× 007D × 0308 × 0020 × 0021 ÷');
Test_LB('× 007D × 00A0 ÷');
Test_LB('× 007D × 0020 ÷ 00A0 ÷');
Test_LB('× 007D × 0308 × 00A0 ÷');
Test_LB('× 007D × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 007D ÷ AC00 ÷');
Test_LB('× 007D × 0020 ÷ AC00 ÷');
Test_LB('× 007D × 0308 ÷ AC00 ÷');
Test_LB('× 007D × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 007D ÷ AC01 ÷');
Test_LB('× 007D × 0020 ÷ AC01 ÷');
Test_LB('× 007D × 0308 ÷ AC01 ÷');
Test_LB('× 007D × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 007D ÷ 05D0 ÷');
Test_LB('× 007D × 0020 ÷ 05D0 ÷');
Test_LB('× 007D × 0308 ÷ 05D0 ÷');
Test_LB('× 007D × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 007D × 002D ÷');
Test_LB('× 007D × 0020 ÷ 002D ÷');
Test_LB('× 007D × 0308 × 002D ÷');
Test_LB('× 007D × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 007D ÷ 231A ÷');
Test_LB('× 007D × 0020 ÷ 231A ÷');
Test_LB('× 007D × 0308 ÷ 231A ÷');
Test_LB('× 007D × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 007D ÷ 2024 ÷');
Test_LB('× 007D × 0020 ÷ 2024 ÷');
Test_LB('× 007D × 0308 ÷ 2024 ÷');
Test_LB('× 007D × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 007D × 002C ÷');
Test_LB('× 007D × 0020 × 002C ÷');
Test_LB('× 007D × 0308 × 002C ÷');
Test_LB('× 007D × 0308 × 0020 × 002C ÷');
Test_LB('× 007D ÷ 1100 ÷');
Test_LB('× 007D × 0020 ÷ 1100 ÷');
Test_LB('× 007D × 0308 ÷ 1100 ÷');
Test_LB('× 007D × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 007D ÷ 11A8 ÷');
Test_LB('× 007D × 0020 ÷ 11A8 ÷');
Test_LB('× 007D × 0308 ÷ 11A8 ÷');
Test_LB('× 007D × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 007D ÷ 1160 ÷');
Test_LB('× 007D × 0020 ÷ 1160 ÷');
Test_LB('× 007D × 0308 ÷ 1160 ÷');
Test_LB('× 007D × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 007D × 000A ÷');
Test_LB('× 007D × 0020 × 000A ÷');
Test_LB('× 007D × 0308 × 000A ÷');
Test_LB('× 007D × 0308 × 0020 × 000A ÷');
Test_LB('× 007D × 0085 ÷');
Test_LB('× 007D × 0020 × 0085 ÷');
Test_LB('× 007D × 0308 × 0085 ÷');
Test_LB('× 007D × 0308 × 0020 × 0085 ÷');
Test_LB('× 007D × 17D6 ÷');
Test_LB('× 007D × 0020 × 17D6 ÷');
Test_LB('× 007D × 0308 × 17D6 ÷');
Test_LB('× 007D × 0308 × 0020 × 17D6 ÷');
Test_LB('× 007D ÷ 0030 ÷');
Test_LB('× 007D × 0020 ÷ 0030 ÷');
Test_LB('× 007D × 0308 ÷ 0030 ÷');
Test_LB('× 007D × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 007D ÷ 0028 ÷');
Test_LB('× 007D × 0020 ÷ 0028 ÷');
Test_LB('× 007D × 0308 ÷ 0028 ÷');
Test_LB('× 007D × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 007D ÷ 0025 ÷');
Test_LB('× 007D × 0020 ÷ 0025 ÷');
Test_LB('× 007D × 0308 ÷ 0025 ÷');
Test_LB('× 007D × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 007D ÷ 0024 ÷');
Test_LB('× 007D × 0020 ÷ 0024 ÷');
Test_LB('× 007D × 0308 ÷ 0024 ÷');
Test_LB('× 007D × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 007D × 0022 ÷');
Test_LB('× 007D × 0020 ÷ 0022 ÷');
Test_LB('× 007D × 0308 × 0022 ÷');
Test_LB('× 007D × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 007D × 0020 ÷');
Test_LB('× 007D × 0020 × 0020 ÷');
Test_LB('× 007D × 0308 × 0020 ÷');
Test_LB('× 007D × 0308 × 0020 × 0020 ÷');
Test_LB('× 007D × 002F ÷');
Test_LB('× 007D × 0020 × 002F ÷');
Test_LB('× 007D × 0308 × 002F ÷');
Test_LB('× 007D × 0308 × 0020 × 002F ÷');
Test_LB('× 007D × 2060 ÷');
Test_LB('× 007D × 0020 × 2060 ÷');
Test_LB('× 007D × 0308 × 2060 ÷');
Test_LB('× 007D × 0308 × 0020 × 2060 ÷');
Test_LB('× 007D × 200B ÷');
Test_LB('× 007D × 0020 × 200B ÷');
Test_LB('× 007D × 0308 × 200B ÷');
Test_LB('× 007D × 0308 × 0020 × 200B ÷');
Test_LB('× 007D ÷ 1F1E6 ÷');
Test_LB('× 007D × 0020 ÷ 1F1E6 ÷');
Test_LB('× 007D × 0308 ÷ 1F1E6 ÷');
Test_LB('× 007D × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 007D ÷ 00A7 ÷');
Test_LB('× 007D × 0020 ÷ 00A7 ÷');
Test_LB('× 007D × 0308 ÷ 00A7 ÷');
Test_LB('× 007D × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 007D ÷ 50005 ÷');
Test_LB('× 007D × 0020 ÷ 50005 ÷');
Test_LB('× 007D × 0308 ÷ 50005 ÷');
Test_LB('× 007D × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 007D ÷ 0E01 ÷');
Test_LB('× 007D × 0020 ÷ 0E01 ÷');
Test_LB('× 007D × 0308 ÷ 0E01 ÷');
Test_LB('× 007D × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 007D × 3041 ÷');
Test_LB('× 007D × 0020 × 3041 ÷');
Test_LB('× 007D × 0308 × 3041 ÷');
Test_LB('× 007D × 0308 × 0020 × 3041 ÷');
Test_LB('× 0029 × 0023 ÷');
Test_LB('× 0029 × 0020 ÷ 0023 ÷');
Test_LB('× 0029 × 0308 × 0023 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 0029 ÷ 2014 ÷');
Test_LB('× 0029 × 0020 ÷ 2014 ÷');
Test_LB('× 0029 × 0308 ÷ 2014 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 0029 × 0009 ÷');
Test_LB('× 0029 × 0020 ÷ 0009 ÷');
Test_LB('× 0029 × 0308 × 0009 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 0029 ÷ 00B4 ÷');
Test_LB('× 0029 × 0020 ÷ 00B4 ÷');
Test_LB('× 0029 × 0308 ÷ 00B4 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 0029 × 000B ÷');
Test_LB('× 0029 × 0020 × 000B ÷');
Test_LB('× 0029 × 0308 × 000B ÷');
Test_LB('× 0029 × 0308 × 0020 × 000B ÷');
Test_LB('× 0029 ÷ FFFC ÷');
Test_LB('× 0029 × 0020 ÷ FFFC ÷');
Test_LB('× 0029 × 0308 ÷ FFFC ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 0029 × 007D ÷');
Test_LB('× 0029 × 0020 × 007D ÷');
Test_LB('× 0029 × 0308 × 007D ÷');
Test_LB('× 0029 × 0308 × 0020 × 007D ÷');
Test_LB('× 0029 × 0029 ÷');
Test_LB('× 0029 × 0020 × 0029 ÷');
Test_LB('× 0029 × 0308 × 0029 ÷');
Test_LB('× 0029 × 0308 × 0020 × 0029 ÷');
Test_LB('× 0029 × 0001 ÷');
Test_LB('× 0029 × 0020 ÷ 0001 ÷');
Test_LB('× 0029 × 0308 × 0001 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 0029 × 000D ÷');
Test_LB('× 0029 × 0020 × 000D ÷');
Test_LB('× 0029 × 0308 × 000D ÷');
Test_LB('× 0029 × 0308 × 0020 × 000D ÷');
Test_LB('× 0029 × 0021 ÷');
Test_LB('× 0029 × 0020 × 0021 ÷');
Test_LB('× 0029 × 0308 × 0021 ÷');
Test_LB('× 0029 × 0308 × 0020 × 0021 ÷');
Test_LB('× 0029 × 00A0 ÷');
Test_LB('× 0029 × 0020 ÷ 00A0 ÷');
Test_LB('× 0029 × 0308 × 00A0 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 0029 ÷ AC00 ÷');
Test_LB('× 0029 × 0020 ÷ AC00 ÷');
Test_LB('× 0029 × 0308 ÷ AC00 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 0029 ÷ AC01 ÷');
Test_LB('× 0029 × 0020 ÷ AC01 ÷');
Test_LB('× 0029 × 0308 ÷ AC01 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 0029 × 05D0 ÷');
Test_LB('× 0029 × 0020 ÷ 05D0 ÷');
Test_LB('× 0029 × 0308 × 05D0 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 0029 × 002D ÷');
Test_LB('× 0029 × 0020 ÷ 002D ÷');
Test_LB('× 0029 × 0308 × 002D ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 0029 ÷ 231A ÷');
Test_LB('× 0029 × 0020 ÷ 231A ÷');
Test_LB('× 0029 × 0308 ÷ 231A ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 0029 ÷ 2024 ÷');
Test_LB('× 0029 × 0020 ÷ 2024 ÷');
Test_LB('× 0029 × 0308 ÷ 2024 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 0029 × 002C ÷');
Test_LB('× 0029 × 0020 × 002C ÷');
Test_LB('× 0029 × 0308 × 002C ÷');
Test_LB('× 0029 × 0308 × 0020 × 002C ÷');
Test_LB('× 0029 ÷ 1100 ÷');
Test_LB('× 0029 × 0020 ÷ 1100 ÷');
Test_LB('× 0029 × 0308 ÷ 1100 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 0029 ÷ 11A8 ÷');
Test_LB('× 0029 × 0020 ÷ 11A8 ÷');
Test_LB('× 0029 × 0308 ÷ 11A8 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 0029 ÷ 1160 ÷');
Test_LB('× 0029 × 0020 ÷ 1160 ÷');
Test_LB('× 0029 × 0308 ÷ 1160 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 0029 × 000A ÷');
Test_LB('× 0029 × 0020 × 000A ÷');
Test_LB('× 0029 × 0308 × 000A ÷');
Test_LB('× 0029 × 0308 × 0020 × 000A ÷');
Test_LB('× 0029 × 0085 ÷');
Test_LB('× 0029 × 0020 × 0085 ÷');
Test_LB('× 0029 × 0308 × 0085 ÷');
Test_LB('× 0029 × 0308 × 0020 × 0085 ÷');
Test_LB('× 0029 × 17D6 ÷');
Test_LB('× 0029 × 0020 × 17D6 ÷');
Test_LB('× 0029 × 0308 × 17D6 ÷');
Test_LB('× 0029 × 0308 × 0020 × 17D6 ÷');
Test_LB('× 0029 × 0030 ÷');
Test_LB('× 0029 × 0020 ÷ 0030 ÷');
Test_LB('× 0029 × 0308 × 0030 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 0029 ÷ 0028 ÷');
Test_LB('× 0029 × 0020 ÷ 0028 ÷');
Test_LB('× 0029 × 0308 ÷ 0028 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 0029 ÷ 0025 ÷');
Test_LB('× 0029 × 0020 ÷ 0025 ÷');
Test_LB('× 0029 × 0308 ÷ 0025 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 0029 ÷ 0024 ÷');
Test_LB('× 0029 × 0020 ÷ 0024 ÷');
Test_LB('× 0029 × 0308 ÷ 0024 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 0029 × 0022 ÷');
Test_LB('× 0029 × 0020 ÷ 0022 ÷');
Test_LB('× 0029 × 0308 × 0022 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 0029 × 0020 ÷');
Test_LB('× 0029 × 0020 × 0020 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷');
Test_LB('× 0029 × 0308 × 0020 × 0020 ÷');
Test_LB('× 0029 × 002F ÷');
Test_LB('× 0029 × 0020 × 002F ÷');
Test_LB('× 0029 × 0308 × 002F ÷');
Test_LB('× 0029 × 0308 × 0020 × 002F ÷');
Test_LB('× 0029 × 2060 ÷');
Test_LB('× 0029 × 0020 × 2060 ÷');
Test_LB('× 0029 × 0308 × 2060 ÷');
Test_LB('× 0029 × 0308 × 0020 × 2060 ÷');
Test_LB('× 0029 × 200B ÷');
Test_LB('× 0029 × 0020 × 200B ÷');
Test_LB('× 0029 × 0308 × 200B ÷');
Test_LB('× 0029 × 0308 × 0020 × 200B ÷');
Test_LB('× 0029 ÷ 1F1E6 ÷');
Test_LB('× 0029 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0029 × 0308 ÷ 1F1E6 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0029 × 00A7 ÷');
Test_LB('× 0029 × 0020 ÷ 00A7 ÷');
Test_LB('× 0029 × 0308 × 00A7 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 0029 × 50005 ÷');
Test_LB('× 0029 × 0020 ÷ 50005 ÷');
Test_LB('× 0029 × 0308 × 50005 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 0029 × 0E01 ÷');
Test_LB('× 0029 × 0020 ÷ 0E01 ÷');
Test_LB('× 0029 × 0308 × 0E01 ÷');
Test_LB('× 0029 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 0029 × 3041 ÷');
Test_LB('× 0029 × 0020 × 3041 ÷');
Test_LB('× 0029 × 0308 × 3041 ÷');
Test_LB('× 0029 × 0308 × 0020 × 3041 ÷');
Test_LB('× 0001 × 0023 ÷');
Test_LB('× 0001 × 0020 ÷ 0023 ÷');
Test_LB('× 0001 × 0308 × 0023 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 0001 ÷ 2014 ÷');
Test_LB('× 0001 × 0020 ÷ 2014 ÷');
Test_LB('× 0001 × 0308 ÷ 2014 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 0001 × 0009 ÷');
Test_LB('× 0001 × 0020 ÷ 0009 ÷');
Test_LB('× 0001 × 0308 × 0009 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 0001 ÷ 00B4 ÷');
Test_LB('× 0001 × 0020 ÷ 00B4 ÷');
Test_LB('× 0001 × 0308 ÷ 00B4 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 0001 × 000B ÷');
Test_LB('× 0001 × 0020 × 000B ÷');
Test_LB('× 0001 × 0308 × 000B ÷');
Test_LB('× 0001 × 0308 × 0020 × 000B ÷');
Test_LB('× 0001 ÷ FFFC ÷');
Test_LB('× 0001 × 0020 ÷ FFFC ÷');
Test_LB('× 0001 × 0308 ÷ FFFC ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 0001 × 007D ÷');
Test_LB('× 0001 × 0020 × 007D ÷');
Test_LB('× 0001 × 0308 × 007D ÷');
Test_LB('× 0001 × 0308 × 0020 × 007D ÷');
Test_LB('× 0001 × 0029 ÷');
Test_LB('× 0001 × 0020 × 0029 ÷');
Test_LB('× 0001 × 0308 × 0029 ÷');
Test_LB('× 0001 × 0308 × 0020 × 0029 ÷');
Test_LB('× 0001 × 0001 ÷');
Test_LB('× 0001 × 0020 ÷ 0001 ÷');
Test_LB('× 0001 × 0308 × 0001 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 0001 × 000D ÷');
Test_LB('× 0001 × 0020 × 000D ÷');
Test_LB('× 0001 × 0308 × 000D ÷');
Test_LB('× 0001 × 0308 × 0020 × 000D ÷');
Test_LB('× 0001 × 0021 ÷');
Test_LB('× 0001 × 0020 × 0021 ÷');
Test_LB('× 0001 × 0308 × 0021 ÷');
Test_LB('× 0001 × 0308 × 0020 × 0021 ÷');
Test_LB('× 0001 × 00A0 ÷');
Test_LB('× 0001 × 0020 ÷ 00A0 ÷');
Test_LB('× 0001 × 0308 × 00A0 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 0001 ÷ AC00 ÷');
Test_LB('× 0001 × 0020 ÷ AC00 ÷');
Test_LB('× 0001 × 0308 ÷ AC00 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 0001 ÷ AC01 ÷');
Test_LB('× 0001 × 0020 ÷ AC01 ÷');
Test_LB('× 0001 × 0308 ÷ AC01 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 0001 × 05D0 ÷');
Test_LB('× 0001 × 0020 ÷ 05D0 ÷');
Test_LB('× 0001 × 0308 × 05D0 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 0001 × 002D ÷');
Test_LB('× 0001 × 0020 ÷ 002D ÷');
Test_LB('× 0001 × 0308 × 002D ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 0001 ÷ 231A ÷');
Test_LB('× 0001 × 0020 ÷ 231A ÷');
Test_LB('× 0001 × 0308 ÷ 231A ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 0001 × 2024 ÷');
Test_LB('× 0001 × 0020 ÷ 2024 ÷');
Test_LB('× 0001 × 0308 × 2024 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 0001 × 002C ÷');
Test_LB('× 0001 × 0020 × 002C ÷');
Test_LB('× 0001 × 0308 × 002C ÷');
Test_LB('× 0001 × 0308 × 0020 × 002C ÷');
Test_LB('× 0001 ÷ 1100 ÷');
Test_LB('× 0001 × 0020 ÷ 1100 ÷');
Test_LB('× 0001 × 0308 ÷ 1100 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 0001 ÷ 11A8 ÷');
Test_LB('× 0001 × 0020 ÷ 11A8 ÷');
Test_LB('× 0001 × 0308 ÷ 11A8 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 0001 ÷ 1160 ÷');
Test_LB('× 0001 × 0020 ÷ 1160 ÷');
Test_LB('× 0001 × 0308 ÷ 1160 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 0001 × 000A ÷');
Test_LB('× 0001 × 0020 × 000A ÷');
Test_LB('× 0001 × 0308 × 000A ÷');
Test_LB('× 0001 × 0308 × 0020 × 000A ÷');
Test_LB('× 0001 × 0085 ÷');
Test_LB('× 0001 × 0020 × 0085 ÷');
Test_LB('× 0001 × 0308 × 0085 ÷');
Test_LB('× 0001 × 0308 × 0020 × 0085 ÷');
Test_LB('× 0001 × 17D6 ÷');
Test_LB('× 0001 × 0020 ÷ 17D6 ÷');
Test_LB('× 0001 × 0308 × 17D6 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 0001 × 0030 ÷');
Test_LB('× 0001 × 0020 ÷ 0030 ÷');
Test_LB('× 0001 × 0308 × 0030 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 0001 × 0028 ÷');
Test_LB('× 0001 × 0020 ÷ 0028 ÷');
Test_LB('× 0001 × 0308 × 0028 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 0001 ÷ 0025 ÷');
Test_LB('× 0001 × 0020 ÷ 0025 ÷');
Test_LB('× 0001 × 0308 ÷ 0025 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 0001 ÷ 0024 ÷');
Test_LB('× 0001 × 0020 ÷ 0024 ÷');
Test_LB('× 0001 × 0308 ÷ 0024 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 0001 × 0022 ÷');
Test_LB('× 0001 × 0020 ÷ 0022 ÷');
Test_LB('× 0001 × 0308 × 0022 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 0001 × 0020 ÷');
Test_LB('× 0001 × 0020 × 0020 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷');
Test_LB('× 0001 × 0308 × 0020 × 0020 ÷');
Test_LB('× 0001 × 002F ÷');
Test_LB('× 0001 × 0020 × 002F ÷');
Test_LB('× 0001 × 0308 × 002F ÷');
Test_LB('× 0001 × 0308 × 0020 × 002F ÷');
Test_LB('× 0001 × 2060 ÷');
Test_LB('× 0001 × 0020 × 2060 ÷');
Test_LB('× 0001 × 0308 × 2060 ÷');
Test_LB('× 0001 × 0308 × 0020 × 2060 ÷');
Test_LB('× 0001 × 200B ÷');
Test_LB('× 0001 × 0020 × 200B ÷');
Test_LB('× 0001 × 0308 × 200B ÷');
Test_LB('× 0001 × 0308 × 0020 × 200B ÷');
Test_LB('× 0001 ÷ 1F1E6 ÷');
Test_LB('× 0001 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0001 × 0308 ÷ 1F1E6 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0001 × 00A7 ÷');
Test_LB('× 0001 × 0020 ÷ 00A7 ÷');
Test_LB('× 0001 × 0308 × 00A7 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 0001 × 50005 ÷');
Test_LB('× 0001 × 0020 ÷ 50005 ÷');
Test_LB('× 0001 × 0308 × 50005 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 0001 × 0E01 ÷');
Test_LB('× 0001 × 0020 ÷ 0E01 ÷');
Test_LB('× 0001 × 0308 × 0E01 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 0001 × 3041 ÷');
Test_LB('× 0001 × 0020 ÷ 3041 ÷');
Test_LB('× 0001 × 0308 × 3041 ÷');
Test_LB('× 0001 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 000D ÷ 0023 ÷');
Test_LB('× 000D ÷ 0020 ÷ 0023 ÷');
Test_LB('× 000D ÷ 0308 × 0023 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 000D ÷ 2014 ÷');
Test_LB('× 000D ÷ 0020 ÷ 2014 ÷');
Test_LB('× 000D ÷ 0308 ÷ 2014 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 000D ÷ 0009 ÷');
Test_LB('× 000D ÷ 0020 ÷ 0009 ÷');
Test_LB('× 000D ÷ 0308 × 0009 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 000D ÷ 00B4 ÷');
Test_LB('× 000D ÷ 0020 ÷ 00B4 ÷');
Test_LB('× 000D ÷ 0308 ÷ 00B4 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 000D ÷ 000B ÷');
Test_LB('× 000D ÷ 0020 × 000B ÷');
Test_LB('× 000D ÷ 0308 × 000B ÷');
Test_LB('× 000D ÷ 0308 × 0020 × 000B ÷');
Test_LB('× 000D ÷ FFFC ÷');
Test_LB('× 000D ÷ 0020 ÷ FFFC ÷');
Test_LB('× 000D ÷ 0308 ÷ FFFC ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 000D ÷ 007D ÷');
Test_LB('× 000D ÷ 0020 × 007D ÷');
Test_LB('× 000D ÷ 0308 × 007D ÷');
Test_LB('× 000D ÷ 0308 × 0020 × 007D ÷');
Test_LB('× 000D ÷ 0029 ÷');
Test_LB('× 000D ÷ 0020 × 0029 ÷');
Test_LB('× 000D ÷ 0308 × 0029 ÷');
Test_LB('× 000D ÷ 0308 × 0020 × 0029 ÷');
Test_LB('× 000D ÷ 0001 ÷');
Test_LB('× 000D ÷ 0020 ÷ 0001 ÷');
Test_LB('× 000D ÷ 0308 × 0001 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 000D ÷ 000D ÷');
Test_LB('× 000D ÷ 0020 × 000D ÷');
Test_LB('× 000D ÷ 0308 × 000D ÷');
Test_LB('× 000D ÷ 0308 × 0020 × 000D ÷');
Test_LB('× 000D ÷ 0021 ÷');
Test_LB('× 000D ÷ 0020 × 0021 ÷');
Test_LB('× 000D ÷ 0308 × 0021 ÷');
Test_LB('× 000D ÷ 0308 × 0020 × 0021 ÷');
Test_LB('× 000D ÷ 00A0 ÷');
Test_LB('× 000D ÷ 0020 ÷ 00A0 ÷');
Test_LB('× 000D ÷ 0308 × 00A0 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 000D ÷ AC00 ÷');
Test_LB('× 000D ÷ 0020 ÷ AC00 ÷');
Test_LB('× 000D ÷ 0308 ÷ AC00 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 000D ÷ AC01 ÷');
Test_LB('× 000D ÷ 0020 ÷ AC01 ÷');
Test_LB('× 000D ÷ 0308 ÷ AC01 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 000D ÷ 05D0 ÷');
Test_LB('× 000D ÷ 0020 ÷ 05D0 ÷');
Test_LB('× 000D ÷ 0308 × 05D0 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 000D ÷ 002D ÷');
Test_LB('× 000D ÷ 0020 ÷ 002D ÷');
Test_LB('× 000D ÷ 0308 × 002D ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 002D ÷');
Test_LB('× 000D ÷ 231A ÷');
Test_LB('× 000D ÷ 0020 ÷ 231A ÷');
Test_LB('× 000D ÷ 0308 ÷ 231A ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 231A ÷');
Test_LB('× 000D ÷ 2024 ÷');
Test_LB('× 000D ÷ 0020 ÷ 2024 ÷');
Test_LB('× 000D ÷ 0308 × 2024 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 000D ÷ 002C ÷');
Test_LB('× 000D ÷ 0020 × 002C ÷');
Test_LB('× 000D ÷ 0308 × 002C ÷');
Test_LB('× 000D ÷ 0308 × 0020 × 002C ÷');
Test_LB('× 000D ÷ 1100 ÷');
Test_LB('× 000D ÷ 0020 ÷ 1100 ÷');
Test_LB('× 000D ÷ 0308 ÷ 1100 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 000D ÷ 11A8 ÷');
Test_LB('× 000D ÷ 0020 ÷ 11A8 ÷');
Test_LB('× 000D ÷ 0308 ÷ 11A8 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 000D ÷ 1160 ÷');
Test_LB('× 000D ÷ 0020 ÷ 1160 ÷');
Test_LB('× 000D ÷ 0308 ÷ 1160 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 000D × 000A ÷');
Test_LB('× 000D ÷ 0020 × 000A ÷');
Test_LB('× 000D ÷ 0308 × 000A ÷');
Test_LB('× 000D ÷ 0308 × 0020 × 000A ÷');
Test_LB('× 000D ÷ 0085 ÷');
Test_LB('× 000D ÷ 0020 × 0085 ÷');
Test_LB('× 000D ÷ 0308 × 0085 ÷');
Test_LB('× 000D ÷ 0308 × 0020 × 0085 ÷');
Test_LB('× 000D ÷ 17D6 ÷');
Test_LB('× 000D ÷ 0020 ÷ 17D6 ÷');
Test_LB('× 000D ÷ 0308 × 17D6 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 000D ÷ 0030 ÷');
Test_LB('× 000D ÷ 0020 ÷ 0030 ÷');
Test_LB('× 000D ÷ 0308 × 0030 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 000D ÷ 0028 ÷');
Test_LB('× 000D ÷ 0020 ÷ 0028 ÷');
Test_LB('× 000D ÷ 0308 × 0028 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 000D ÷ 0025 ÷');
Test_LB('× 000D ÷ 0020 ÷ 0025 ÷');
Test_LB('× 000D ÷ 0308 ÷ 0025 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 000D ÷ 0024 ÷');
Test_LB('× 000D ÷ 0020 ÷ 0024 ÷');
Test_LB('× 000D ÷ 0308 ÷ 0024 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 000D ÷ 0022 ÷');
Test_LB('× 000D ÷ 0020 ÷ 0022 ÷');
Test_LB('× 000D ÷ 0308 × 0022 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 000D ÷ 0020 ÷');
Test_LB('× 000D ÷ 0020 × 0020 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷');
Test_LB('× 000D ÷ 0308 × 0020 × 0020 ÷');
Test_LB('× 000D ÷ 002F ÷');
Test_LB('× 000D ÷ 0020 × 002F ÷');
Test_LB('× 000D ÷ 0308 × 002F ÷');
Test_LB('× 000D ÷ 0308 × 0020 × 002F ÷');
Test_LB('× 000D ÷ 2060 ÷');
Test_LB('× 000D ÷ 0020 × 2060 ÷');
Test_LB('× 000D ÷ 0308 × 2060 ÷');
Test_LB('× 000D ÷ 0308 × 0020 × 2060 ÷');
Test_LB('× 000D ÷ 200B ÷');
Test_LB('× 000D ÷ 0020 × 200B ÷');
Test_LB('× 000D ÷ 0308 × 200B ÷');
Test_LB('× 000D ÷ 0308 × 0020 × 200B ÷');
Test_LB('× 000D ÷ 1F1E6 ÷');
Test_LB('× 000D ÷ 0020 ÷ 1F1E6 ÷');
Test_LB('× 000D ÷ 0308 ÷ 1F1E6 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 000D ÷ 00A7 ÷');
Test_LB('× 000D ÷ 0020 ÷ 00A7 ÷');
Test_LB('× 000D ÷ 0308 × 00A7 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 000D ÷ 50005 ÷');
Test_LB('× 000D ÷ 0020 ÷ 50005 ÷');
Test_LB('× 000D ÷ 0308 × 50005 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 000D ÷ 0E01 ÷');
Test_LB('× 000D ÷ 0020 ÷ 0E01 ÷');
Test_LB('× 000D ÷ 0308 × 0E01 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 000D ÷ 3041 ÷');
Test_LB('× 000D ÷ 0020 ÷ 3041 ÷');
Test_LB('× 000D ÷ 0308 × 3041 ÷');
Test_LB('× 000D ÷ 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 0021 ÷ 0023 ÷');
Test_LB('× 0021 × 0020 ÷ 0023 ÷');
Test_LB('× 0021 × 0308 ÷ 0023 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 0021 ÷ 2014 ÷');
Test_LB('× 0021 × 0020 ÷ 2014 ÷');
Test_LB('× 0021 × 0308 ÷ 2014 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 0021 × 0009 ÷');
Test_LB('× 0021 × 0020 ÷ 0009 ÷');
Test_LB('× 0021 × 0308 × 0009 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 0021 ÷ 00B4 ÷');
Test_LB('× 0021 × 0020 ÷ 00B4 ÷');
Test_LB('× 0021 × 0308 ÷ 00B4 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 0021 × 000B ÷');
Test_LB('× 0021 × 0020 × 000B ÷');
Test_LB('× 0021 × 0308 × 000B ÷');
Test_LB('× 0021 × 0308 × 0020 × 000B ÷');
Test_LB('× 0021 ÷ FFFC ÷');
Test_LB('× 0021 × 0020 ÷ FFFC ÷');
Test_LB('× 0021 × 0308 ÷ FFFC ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 0021 × 007D ÷');
Test_LB('× 0021 × 0020 × 007D ÷');
Test_LB('× 0021 × 0308 × 007D ÷');
Test_LB('× 0021 × 0308 × 0020 × 007D ÷');
Test_LB('× 0021 × 0029 ÷');
Test_LB('× 0021 × 0020 × 0029 ÷');
Test_LB('× 0021 × 0308 × 0029 ÷');
Test_LB('× 0021 × 0308 × 0020 × 0029 ÷');
Test_LB('× 0021 × 0001 ÷');
Test_LB('× 0021 × 0020 ÷ 0001 ÷');
Test_LB('× 0021 × 0308 × 0001 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 0021 × 000D ÷');
Test_LB('× 0021 × 0020 × 000D ÷');
Test_LB('× 0021 × 0308 × 000D ÷');
Test_LB('× 0021 × 0308 × 0020 × 000D ÷');
Test_LB('× 0021 × 0021 ÷');
Test_LB('× 0021 × 0020 × 0021 ÷');
Test_LB('× 0021 × 0308 × 0021 ÷');
Test_LB('× 0021 × 0308 × 0020 × 0021 ÷');
Test_LB('× 0021 × 00A0 ÷');
Test_LB('× 0021 × 0020 ÷ 00A0 ÷');
Test_LB('× 0021 × 0308 × 00A0 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 0021 ÷ AC00 ÷');
Test_LB('× 0021 × 0020 ÷ AC00 ÷');
Test_LB('× 0021 × 0308 ÷ AC00 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 0021 ÷ AC01 ÷');
Test_LB('× 0021 × 0020 ÷ AC01 ÷');
Test_LB('× 0021 × 0308 ÷ AC01 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 0021 ÷ 05D0 ÷');
Test_LB('× 0021 × 0020 ÷ 05D0 ÷');
Test_LB('× 0021 × 0308 ÷ 05D0 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 0021 × 002D ÷');
Test_LB('× 0021 × 0020 ÷ 002D ÷');
Test_LB('× 0021 × 0308 × 002D ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 0021 ÷ 231A ÷');
Test_LB('× 0021 × 0020 ÷ 231A ÷');
Test_LB('× 0021 × 0308 ÷ 231A ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 0021 × 2024 ÷');
Test_LB('× 0021 × 0020 ÷ 2024 ÷');
Test_LB('× 0021 × 0308 × 2024 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 0021 × 002C ÷');
Test_LB('× 0021 × 0020 × 002C ÷');
Test_LB('× 0021 × 0308 × 002C ÷');
Test_LB('× 0021 × 0308 × 0020 × 002C ÷');
Test_LB('× 0021 ÷ 1100 ÷');
Test_LB('× 0021 × 0020 ÷ 1100 ÷');
Test_LB('× 0021 × 0308 ÷ 1100 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 0021 ÷ 11A8 ÷');
Test_LB('× 0021 × 0020 ÷ 11A8 ÷');
Test_LB('× 0021 × 0308 ÷ 11A8 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 0021 ÷ 1160 ÷');
Test_LB('× 0021 × 0020 ÷ 1160 ÷');
Test_LB('× 0021 × 0308 ÷ 1160 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 0021 × 000A ÷');
Test_LB('× 0021 × 0020 × 000A ÷');
Test_LB('× 0021 × 0308 × 000A ÷');
Test_LB('× 0021 × 0308 × 0020 × 000A ÷');
Test_LB('× 0021 × 0085 ÷');
Test_LB('× 0021 × 0020 × 0085 ÷');
Test_LB('× 0021 × 0308 × 0085 ÷');
Test_LB('× 0021 × 0308 × 0020 × 0085 ÷');
Test_LB('× 0021 × 17D6 ÷');
Test_LB('× 0021 × 0020 ÷ 17D6 ÷');
Test_LB('× 0021 × 0308 × 17D6 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 0021 ÷ 0030 ÷');
Test_LB('× 0021 × 0020 ÷ 0030 ÷');
Test_LB('× 0021 × 0308 ÷ 0030 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 0021 ÷ 0028 ÷');
Test_LB('× 0021 × 0020 ÷ 0028 ÷');
Test_LB('× 0021 × 0308 ÷ 0028 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 0021 ÷ 0025 ÷');
Test_LB('× 0021 × 0020 ÷ 0025 ÷');
Test_LB('× 0021 × 0308 ÷ 0025 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 0021 ÷ 0024 ÷');
Test_LB('× 0021 × 0020 ÷ 0024 ÷');
Test_LB('× 0021 × 0308 ÷ 0024 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 0021 × 0022 ÷');
Test_LB('× 0021 × 0020 ÷ 0022 ÷');
Test_LB('× 0021 × 0308 × 0022 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 0021 × 0020 ÷');
Test_LB('× 0021 × 0020 × 0020 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷');
Test_LB('× 0021 × 0308 × 0020 × 0020 ÷');
Test_LB('× 0021 × 002F ÷');
Test_LB('× 0021 × 0020 × 002F ÷');
Test_LB('× 0021 × 0308 × 002F ÷');
Test_LB('× 0021 × 0308 × 0020 × 002F ÷');
Test_LB('× 0021 × 2060 ÷');
Test_LB('× 0021 × 0020 × 2060 ÷');
Test_LB('× 0021 × 0308 × 2060 ÷');
Test_LB('× 0021 × 0308 × 0020 × 2060 ÷');
Test_LB('× 0021 × 200B ÷');
Test_LB('× 0021 × 0020 × 200B ÷');
Test_LB('× 0021 × 0308 × 200B ÷');
Test_LB('× 0021 × 0308 × 0020 × 200B ÷');
Test_LB('× 0021 ÷ 1F1E6 ÷');
Test_LB('× 0021 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0021 × 0308 ÷ 1F1E6 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0021 ÷ 00A7 ÷');
Test_LB('× 0021 × 0020 ÷ 00A7 ÷');
Test_LB('× 0021 × 0308 ÷ 00A7 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 0021 ÷ 50005 ÷');
Test_LB('× 0021 × 0020 ÷ 50005 ÷');
Test_LB('× 0021 × 0308 ÷ 50005 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 0021 ÷ 0E01 ÷');
Test_LB('× 0021 × 0020 ÷ 0E01 ÷');
Test_LB('× 0021 × 0308 ÷ 0E01 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 0021 × 3041 ÷');
Test_LB('× 0021 × 0020 ÷ 3041 ÷');
Test_LB('× 0021 × 0308 × 3041 ÷');
Test_LB('× 0021 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 00A0 × 0023 ÷');
Test_LB('× 00A0 × 0020 ÷ 0023 ÷');
Test_LB('× 00A0 × 0308 × 0023 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 00A0 × 2014 ÷');
Test_LB('× 00A0 × 0020 ÷ 2014 ÷');
Test_LB('× 00A0 × 0308 × 2014 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 00A0 × 0009 ÷');
Test_LB('× 00A0 × 0020 ÷ 0009 ÷');
Test_LB('× 00A0 × 0308 × 0009 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 00A0 × 00B4 ÷');
Test_LB('× 00A0 × 0020 ÷ 00B4 ÷');
Test_LB('× 00A0 × 0308 × 00B4 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 00A0 × 000B ÷');
Test_LB('× 00A0 × 0020 × 000B ÷');
Test_LB('× 00A0 × 0308 × 000B ÷');
Test_LB('× 00A0 × 0308 × 0020 × 000B ÷');
Test_LB('× 00A0 × FFFC ÷');
Test_LB('× 00A0 × 0020 ÷ FFFC ÷');
Test_LB('× 00A0 × 0308 × FFFC ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 00A0 × 007D ÷');
Test_LB('× 00A0 × 0020 × 007D ÷');
Test_LB('× 00A0 × 0308 × 007D ÷');
Test_LB('× 00A0 × 0308 × 0020 × 007D ÷');
Test_LB('× 00A0 × 0029 ÷');
Test_LB('× 00A0 × 0020 × 0029 ÷');
Test_LB('× 00A0 × 0308 × 0029 ÷');
Test_LB('× 00A0 × 0308 × 0020 × 0029 ÷');
Test_LB('× 00A0 × 0001 ÷');
Test_LB('× 00A0 × 0020 ÷ 0001 ÷');
Test_LB('× 00A0 × 0308 × 0001 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 00A0 × 000D ÷');
Test_LB('× 00A0 × 0020 × 000D ÷');
Test_LB('× 00A0 × 0308 × 000D ÷');
Test_LB('× 00A0 × 0308 × 0020 × 000D ÷');
Test_LB('× 00A0 × 0021 ÷');
Test_LB('× 00A0 × 0020 × 0021 ÷');
Test_LB('× 00A0 × 0308 × 0021 ÷');
Test_LB('× 00A0 × 0308 × 0020 × 0021 ÷');
Test_LB('× 00A0 × 00A0 ÷');
Test_LB('× 00A0 × 0020 ÷ 00A0 ÷');
Test_LB('× 00A0 × 0308 × 00A0 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 00A0 × AC00 ÷');
Test_LB('× 00A0 × 0020 ÷ AC00 ÷');
Test_LB('× 00A0 × 0308 × AC00 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 00A0 × AC01 ÷');
Test_LB('× 00A0 × 0020 ÷ AC01 ÷');
Test_LB('× 00A0 × 0308 × AC01 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 00A0 × 05D0 ÷');
Test_LB('× 00A0 × 0020 ÷ 05D0 ÷');
Test_LB('× 00A0 × 0308 × 05D0 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 00A0 × 002D ÷');
Test_LB('× 00A0 × 0020 ÷ 002D ÷');
Test_LB('× 00A0 × 0308 × 002D ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 00A0 × 231A ÷');
Test_LB('× 00A0 × 0020 ÷ 231A ÷');
Test_LB('× 00A0 × 0308 × 231A ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 00A0 × 2024 ÷');
Test_LB('× 00A0 × 0020 ÷ 2024 ÷');
Test_LB('× 00A0 × 0308 × 2024 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 00A0 × 002C ÷');
Test_LB('× 00A0 × 0020 × 002C ÷');
Test_LB('× 00A0 × 0308 × 002C ÷');
Test_LB('× 00A0 × 0308 × 0020 × 002C ÷');
Test_LB('× 00A0 × 1100 ÷');
Test_LB('× 00A0 × 0020 ÷ 1100 ÷');
Test_LB('× 00A0 × 0308 × 1100 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 00A0 × 11A8 ÷');
Test_LB('× 00A0 × 0020 ÷ 11A8 ÷');
Test_LB('× 00A0 × 0308 × 11A8 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 00A0 × 1160 ÷');
Test_LB('× 00A0 × 0020 ÷ 1160 ÷');
Test_LB('× 00A0 × 0308 × 1160 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 00A0 × 000A ÷');
Test_LB('× 00A0 × 0020 × 000A ÷');
Test_LB('× 00A0 × 0308 × 000A ÷');
Test_LB('× 00A0 × 0308 × 0020 × 000A ÷');
Test_LB('× 00A0 × 0085 ÷');
Test_LB('× 00A0 × 0020 × 0085 ÷');
Test_LB('× 00A0 × 0308 × 0085 ÷');
Test_LB('× 00A0 × 0308 × 0020 × 0085 ÷');
Test_LB('× 00A0 × 17D6 ÷');
Test_LB('× 00A0 × 0020 ÷ 17D6 ÷');
Test_LB('× 00A0 × 0308 × 17D6 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 00A0 × 0030 ÷');
Test_LB('× 00A0 × 0020 ÷ 0030 ÷');
Test_LB('× 00A0 × 0308 × 0030 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 00A0 × 0028 ÷');
Test_LB('× 00A0 × 0020 ÷ 0028 ÷');
Test_LB('× 00A0 × 0308 × 0028 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 00A0 × 0025 ÷');
Test_LB('× 00A0 × 0020 ÷ 0025 ÷');
Test_LB('× 00A0 × 0308 × 0025 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 00A0 × 0024 ÷');
Test_LB('× 00A0 × 0020 ÷ 0024 ÷');
Test_LB('× 00A0 × 0308 × 0024 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 00A0 × 0022 ÷');
Test_LB('× 00A0 × 0020 ÷ 0022 ÷');
Test_LB('× 00A0 × 0308 × 0022 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 00A0 × 0020 ÷');
Test_LB('× 00A0 × 0020 × 0020 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷');
Test_LB('× 00A0 × 0308 × 0020 × 0020 ÷');
Test_LB('× 00A0 × 002F ÷');
Test_LB('× 00A0 × 0020 × 002F ÷');
Test_LB('× 00A0 × 0308 × 002F ÷');
Test_LB('× 00A0 × 0308 × 0020 × 002F ÷');
Test_LB('× 00A0 × 2060 ÷');
Test_LB('× 00A0 × 0020 × 2060 ÷');
Test_LB('× 00A0 × 0308 × 2060 ÷');
Test_LB('× 00A0 × 0308 × 0020 × 2060 ÷');
Test_LB('× 00A0 × 200B ÷');
Test_LB('× 00A0 × 0020 × 200B ÷');
Test_LB('× 00A0 × 0308 × 200B ÷');
Test_LB('× 00A0 × 0308 × 0020 × 200B ÷');
Test_LB('× 00A0 × 1F1E6 ÷');
Test_LB('× 00A0 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 00A0 × 0308 × 1F1E6 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 00A0 × 00A7 ÷');
Test_LB('× 00A0 × 0020 ÷ 00A7 ÷');
Test_LB('× 00A0 × 0308 × 00A7 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 00A0 × 50005 ÷');
Test_LB('× 00A0 × 0020 ÷ 50005 ÷');
Test_LB('× 00A0 × 0308 × 50005 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 00A0 × 0E01 ÷');
Test_LB('× 00A0 × 0020 ÷ 0E01 ÷');
Test_LB('× 00A0 × 0308 × 0E01 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 00A0 × 3041 ÷');
Test_LB('× 00A0 × 0020 ÷ 3041 ÷');
Test_LB('× 00A0 × 0308 × 3041 ÷');
Test_LB('× 00A0 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× AC00 ÷ 0023 ÷');
Test_LB('× AC00 × 0020 ÷ 0023 ÷');
Test_LB('× AC00 × 0308 ÷ 0023 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× AC00 ÷ 2014 ÷');
Test_LB('× AC00 × 0020 ÷ 2014 ÷');
Test_LB('× AC00 × 0308 ÷ 2014 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× AC00 × 0009 ÷');
Test_LB('× AC00 × 0020 ÷ 0009 ÷');
Test_LB('× AC00 × 0308 × 0009 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× AC00 ÷ 00B4 ÷');
Test_LB('× AC00 × 0020 ÷ 00B4 ÷');
Test_LB('× AC00 × 0308 ÷ 00B4 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× AC00 × 000B ÷');
Test_LB('× AC00 × 0020 × 000B ÷');
Test_LB('× AC00 × 0308 × 000B ÷');
Test_LB('× AC00 × 0308 × 0020 × 000B ÷');
Test_LB('× AC00 ÷ FFFC ÷');
Test_LB('× AC00 × 0020 ÷ FFFC ÷');
Test_LB('× AC00 × 0308 ÷ FFFC ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× AC00 × 007D ÷');
Test_LB('× AC00 × 0020 × 007D ÷');
Test_LB('× AC00 × 0308 × 007D ÷');
Test_LB('× AC00 × 0308 × 0020 × 007D ÷');
Test_LB('× AC00 × 0029 ÷');
Test_LB('× AC00 × 0020 × 0029 ÷');
Test_LB('× AC00 × 0308 × 0029 ÷');
Test_LB('× AC00 × 0308 × 0020 × 0029 ÷');
Test_LB('× AC00 × 0001 ÷');
Test_LB('× AC00 × 0020 ÷ 0001 ÷');
Test_LB('× AC00 × 0308 × 0001 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× AC00 × 000D ÷');
Test_LB('× AC00 × 0020 × 000D ÷');
Test_LB('× AC00 × 0308 × 000D ÷');
Test_LB('× AC00 × 0308 × 0020 × 000D ÷');
Test_LB('× AC00 × 0021 ÷');
Test_LB('× AC00 × 0020 × 0021 ÷');
Test_LB('× AC00 × 0308 × 0021 ÷');
Test_LB('× AC00 × 0308 × 0020 × 0021 ÷');
Test_LB('× AC00 × 00A0 ÷');
Test_LB('× AC00 × 0020 ÷ 00A0 ÷');
Test_LB('× AC00 × 0308 × 00A0 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× AC00 ÷ AC00 ÷');
Test_LB('× AC00 × 0020 ÷ AC00 ÷');
Test_LB('× AC00 × 0308 ÷ AC00 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× AC00 ÷ AC01 ÷');
Test_LB('× AC00 × 0020 ÷ AC01 ÷');
Test_LB('× AC00 × 0308 ÷ AC01 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× AC00 ÷ 05D0 ÷');
Test_LB('× AC00 × 0020 ÷ 05D0 ÷');
Test_LB('× AC00 × 0308 ÷ 05D0 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× AC00 × 002D ÷');
Test_LB('× AC00 × 0020 ÷ 002D ÷');
Test_LB('× AC00 × 0308 × 002D ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× AC00 ÷ 231A ÷');
Test_LB('× AC00 × 0020 ÷ 231A ÷');
Test_LB('× AC00 × 0308 ÷ 231A ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× AC00 × 2024 ÷');
Test_LB('× AC00 × 0020 ÷ 2024 ÷');
Test_LB('× AC00 × 0308 × 2024 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× AC00 × 002C ÷');
Test_LB('× AC00 × 0020 × 002C ÷');
Test_LB('× AC00 × 0308 × 002C ÷');
Test_LB('× AC00 × 0308 × 0020 × 002C ÷');
Test_LB('× AC00 ÷ 1100 ÷');
Test_LB('× AC00 × 0020 ÷ 1100 ÷');
Test_LB('× AC00 × 0308 ÷ 1100 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× AC00 × 11A8 ÷');
Test_LB('× AC00 × 0020 ÷ 11A8 ÷');
Test_LB('× AC00 × 0308 × 11A8 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× AC00 × 1160 ÷');
Test_LB('× AC00 × 0020 ÷ 1160 ÷');
Test_LB('× AC00 × 0308 × 1160 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× AC00 × 000A ÷');
Test_LB('× AC00 × 0020 × 000A ÷');
Test_LB('× AC00 × 0308 × 000A ÷');
Test_LB('× AC00 × 0308 × 0020 × 000A ÷');
Test_LB('× AC00 × 0085 ÷');
Test_LB('× AC00 × 0020 × 0085 ÷');
Test_LB('× AC00 × 0308 × 0085 ÷');
Test_LB('× AC00 × 0308 × 0020 × 0085 ÷');
Test_LB('× AC00 × 17D6 ÷');
Test_LB('× AC00 × 0020 ÷ 17D6 ÷');
Test_LB('× AC00 × 0308 × 17D6 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× AC00 ÷ 0030 ÷');
Test_LB('× AC00 × 0020 ÷ 0030 ÷');
Test_LB('× AC00 × 0308 ÷ 0030 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× AC00 ÷ 0028 ÷');
Test_LB('× AC00 × 0020 ÷ 0028 ÷');
Test_LB('× AC00 × 0308 ÷ 0028 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× AC00 × 0025 ÷');
Test_LB('× AC00 × 0020 ÷ 0025 ÷');
Test_LB('× AC00 × 0308 × 0025 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× AC00 ÷ 0024 ÷');
Test_LB('× AC00 × 0020 ÷ 0024 ÷');
Test_LB('× AC00 × 0308 ÷ 0024 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× AC00 × 0022 ÷');
Test_LB('× AC00 × 0020 ÷ 0022 ÷');
Test_LB('× AC00 × 0308 × 0022 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× AC00 × 0020 ÷');
Test_LB('× AC00 × 0020 × 0020 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷');
Test_LB('× AC00 × 0308 × 0020 × 0020 ÷');
Test_LB('× AC00 × 002F ÷');
Test_LB('× AC00 × 0020 × 002F ÷');
Test_LB('× AC00 × 0308 × 002F ÷');
Test_LB('× AC00 × 0308 × 0020 × 002F ÷');
Test_LB('× AC00 × 2060 ÷');
Test_LB('× AC00 × 0020 × 2060 ÷');
Test_LB('× AC00 × 0308 × 2060 ÷');
Test_LB('× AC00 × 0308 × 0020 × 2060 ÷');
Test_LB('× AC00 × 200B ÷');
Test_LB('× AC00 × 0020 × 200B ÷');
Test_LB('× AC00 × 0308 × 200B ÷');
Test_LB('× AC00 × 0308 × 0020 × 200B ÷');
Test_LB('× AC00 ÷ 1F1E6 ÷');
Test_LB('× AC00 × 0020 ÷ 1F1E6 ÷');
Test_LB('× AC00 × 0308 ÷ 1F1E6 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× AC00 ÷ 00A7 ÷');
Test_LB('× AC00 × 0020 ÷ 00A7 ÷');
Test_LB('× AC00 × 0308 ÷ 00A7 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× AC00 ÷ 50005 ÷');
Test_LB('× AC00 × 0020 ÷ 50005 ÷');
Test_LB('× AC00 × 0308 ÷ 50005 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× AC00 ÷ 0E01 ÷');
Test_LB('× AC00 × 0020 ÷ 0E01 ÷');
Test_LB('× AC00 × 0308 ÷ 0E01 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× AC00 × 3041 ÷');
Test_LB('× AC00 × 0020 ÷ 3041 ÷');
Test_LB('× AC00 × 0308 × 3041 ÷');
Test_LB('× AC00 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× AC01 ÷ 0023 ÷');
Test_LB('× AC01 × 0020 ÷ 0023 ÷');
Test_LB('× AC01 × 0308 ÷ 0023 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× AC01 ÷ 2014 ÷');
Test_LB('× AC01 × 0020 ÷ 2014 ÷');
Test_LB('× AC01 × 0308 ÷ 2014 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× AC01 × 0009 ÷');
Test_LB('× AC01 × 0020 ÷ 0009 ÷');
Test_LB('× AC01 × 0308 × 0009 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× AC01 ÷ 00B4 ÷');
Test_LB('× AC01 × 0020 ÷ 00B4 ÷');
Test_LB('× AC01 × 0308 ÷ 00B4 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× AC01 × 000B ÷');
Test_LB('× AC01 × 0020 × 000B ÷');
Test_LB('× AC01 × 0308 × 000B ÷');
Test_LB('× AC01 × 0308 × 0020 × 000B ÷');
Test_LB('× AC01 ÷ FFFC ÷');
Test_LB('× AC01 × 0020 ÷ FFFC ÷');
Test_LB('× AC01 × 0308 ÷ FFFC ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× AC01 × 007D ÷');
Test_LB('× AC01 × 0020 × 007D ÷');
Test_LB('× AC01 × 0308 × 007D ÷');
Test_LB('× AC01 × 0308 × 0020 × 007D ÷');
Test_LB('× AC01 × 0029 ÷');
Test_LB('× AC01 × 0020 × 0029 ÷');
Test_LB('× AC01 × 0308 × 0029 ÷');
Test_LB('× AC01 × 0308 × 0020 × 0029 ÷');
Test_LB('× AC01 × 0001 ÷');
Test_LB('× AC01 × 0020 ÷ 0001 ÷');
Test_LB('× AC01 × 0308 × 0001 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× AC01 × 000D ÷');
Test_LB('× AC01 × 0020 × 000D ÷');
Test_LB('× AC01 × 0308 × 000D ÷');
Test_LB('× AC01 × 0308 × 0020 × 000D ÷');
Test_LB('× AC01 × 0021 ÷');
Test_LB('× AC01 × 0020 × 0021 ÷');
Test_LB('× AC01 × 0308 × 0021 ÷');
Test_LB('× AC01 × 0308 × 0020 × 0021 ÷');
Test_LB('× AC01 × 00A0 ÷');
Test_LB('× AC01 × 0020 ÷ 00A0 ÷');
Test_LB('× AC01 × 0308 × 00A0 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× AC01 ÷ AC00 ÷');
Test_LB('× AC01 × 0020 ÷ AC00 ÷');
Test_LB('× AC01 × 0308 ÷ AC00 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× AC01 ÷ AC01 ÷');
Test_LB('× AC01 × 0020 ÷ AC01 ÷');
Test_LB('× AC01 × 0308 ÷ AC01 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× AC01 ÷ 05D0 ÷');
Test_LB('× AC01 × 0020 ÷ 05D0 ÷');
Test_LB('× AC01 × 0308 ÷ 05D0 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× AC01 × 002D ÷');
Test_LB('× AC01 × 0020 ÷ 002D ÷');
Test_LB('× AC01 × 0308 × 002D ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× AC01 ÷ 231A ÷');
Test_LB('× AC01 × 0020 ÷ 231A ÷');
Test_LB('× AC01 × 0308 ÷ 231A ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× AC01 × 2024 ÷');
Test_LB('× AC01 × 0020 ÷ 2024 ÷');
Test_LB('× AC01 × 0308 × 2024 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× AC01 × 002C ÷');
Test_LB('× AC01 × 0020 × 002C ÷');
Test_LB('× AC01 × 0308 × 002C ÷');
Test_LB('× AC01 × 0308 × 0020 × 002C ÷');
Test_LB('× AC01 ÷ 1100 ÷');
Test_LB('× AC01 × 0020 ÷ 1100 ÷');
Test_LB('× AC01 × 0308 ÷ 1100 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× AC01 × 11A8 ÷');
Test_LB('× AC01 × 0020 ÷ 11A8 ÷');
Test_LB('× AC01 × 0308 × 11A8 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× AC01 ÷ 1160 ÷');
Test_LB('× AC01 × 0020 ÷ 1160 ÷');
Test_LB('× AC01 × 0308 ÷ 1160 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× AC01 × 000A ÷');
Test_LB('× AC01 × 0020 × 000A ÷');
Test_LB('× AC01 × 0308 × 000A ÷');
Test_LB('× AC01 × 0308 × 0020 × 000A ÷');
Test_LB('× AC01 × 0085 ÷');
Test_LB('× AC01 × 0020 × 0085 ÷');
Test_LB('× AC01 × 0308 × 0085 ÷');
Test_LB('× AC01 × 0308 × 0020 × 0085 ÷');
Test_LB('× AC01 × 17D6 ÷');
Test_LB('× AC01 × 0020 ÷ 17D6 ÷');
Test_LB('× AC01 × 0308 × 17D6 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× AC01 ÷ 0030 ÷');
Test_LB('× AC01 × 0020 ÷ 0030 ÷');
Test_LB('× AC01 × 0308 ÷ 0030 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× AC01 ÷ 0028 ÷');
Test_LB('× AC01 × 0020 ÷ 0028 ÷');
Test_LB('× AC01 × 0308 ÷ 0028 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× AC01 × 0025 ÷');
Test_LB('× AC01 × 0020 ÷ 0025 ÷');
Test_LB('× AC01 × 0308 × 0025 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× AC01 ÷ 0024 ÷');
Test_LB('× AC01 × 0020 ÷ 0024 ÷');
Test_LB('× AC01 × 0308 ÷ 0024 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× AC01 × 0022 ÷');
Test_LB('× AC01 × 0020 ÷ 0022 ÷');
Test_LB('× AC01 × 0308 × 0022 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× AC01 × 0020 ÷');
Test_LB('× AC01 × 0020 × 0020 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷');
Test_LB('× AC01 × 0308 × 0020 × 0020 ÷');
Test_LB('× AC01 × 002F ÷');
Test_LB('× AC01 × 0020 × 002F ÷');
Test_LB('× AC01 × 0308 × 002F ÷');
Test_LB('× AC01 × 0308 × 0020 × 002F ÷');
Test_LB('× AC01 × 2060 ÷');
Test_LB('× AC01 × 0020 × 2060 ÷');
Test_LB('× AC01 × 0308 × 2060 ÷');
Test_LB('× AC01 × 0308 × 0020 × 2060 ÷');
Test_LB('× AC01 × 200B ÷');
Test_LB('× AC01 × 0020 × 200B ÷');
Test_LB('× AC01 × 0308 × 200B ÷');
Test_LB('× AC01 × 0308 × 0020 × 200B ÷');
Test_LB('× AC01 ÷ 1F1E6 ÷');
Test_LB('× AC01 × 0020 ÷ 1F1E6 ÷');
Test_LB('× AC01 × 0308 ÷ 1F1E6 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× AC01 ÷ 00A7 ÷');
Test_LB('× AC01 × 0020 ÷ 00A7 ÷');
Test_LB('× AC01 × 0308 ÷ 00A7 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× AC01 ÷ 50005 ÷');
Test_LB('× AC01 × 0020 ÷ 50005 ÷');
Test_LB('× AC01 × 0308 ÷ 50005 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× AC01 ÷ 0E01 ÷');
Test_LB('× AC01 × 0020 ÷ 0E01 ÷');
Test_LB('× AC01 × 0308 ÷ 0E01 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× AC01 × 3041 ÷');
Test_LB('× AC01 × 0020 ÷ 3041 ÷');
Test_LB('× AC01 × 0308 × 3041 ÷');
Test_LB('× AC01 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 05D0 × 0023 ÷');
Test_LB('× 05D0 × 0020 ÷ 0023 ÷');
Test_LB('× 05D0 × 0308 × 0023 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 05D0 ÷ 2014 ÷');
Test_LB('× 05D0 × 0020 ÷ 2014 ÷');
Test_LB('× 05D0 × 0308 ÷ 2014 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 05D0 × 0009 ÷');
Test_LB('× 05D0 × 0020 ÷ 0009 ÷');
Test_LB('× 05D0 × 0308 × 0009 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 05D0 ÷ 00B4 ÷');
Test_LB('× 05D0 × 0020 ÷ 00B4 ÷');
Test_LB('× 05D0 × 0308 ÷ 00B4 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 05D0 × 000B ÷');
Test_LB('× 05D0 × 0020 × 000B ÷');
Test_LB('× 05D0 × 0308 × 000B ÷');
Test_LB('× 05D0 × 0308 × 0020 × 000B ÷');
Test_LB('× 05D0 ÷ FFFC ÷');
Test_LB('× 05D0 × 0020 ÷ FFFC ÷');
Test_LB('× 05D0 × 0308 ÷ FFFC ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 05D0 × 007D ÷');
Test_LB('× 05D0 × 0020 × 007D ÷');
Test_LB('× 05D0 × 0308 × 007D ÷');
Test_LB('× 05D0 × 0308 × 0020 × 007D ÷');
Test_LB('× 05D0 × 0029 ÷');
Test_LB('× 05D0 × 0020 × 0029 ÷');
Test_LB('× 05D0 × 0308 × 0029 ÷');
Test_LB('× 05D0 × 0308 × 0020 × 0029 ÷');
Test_LB('× 05D0 × 0001 ÷');
Test_LB('× 05D0 × 0020 ÷ 0001 ÷');
Test_LB('× 05D0 × 0308 × 0001 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 05D0 × 000D ÷');
Test_LB('× 05D0 × 0020 × 000D ÷');
Test_LB('× 05D0 × 0308 × 000D ÷');
Test_LB('× 05D0 × 0308 × 0020 × 000D ÷');
Test_LB('× 05D0 × 0021 ÷');
Test_LB('× 05D0 × 0020 × 0021 ÷');
Test_LB('× 05D0 × 0308 × 0021 ÷');
Test_LB('× 05D0 × 0308 × 0020 × 0021 ÷');
Test_LB('× 05D0 × 00A0 ÷');
Test_LB('× 05D0 × 0020 ÷ 00A0 ÷');
Test_LB('× 05D0 × 0308 × 00A0 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 05D0 ÷ AC00 ÷');
Test_LB('× 05D0 × 0020 ÷ AC00 ÷');
Test_LB('× 05D0 × 0308 ÷ AC00 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 05D0 ÷ AC01 ÷');
Test_LB('× 05D0 × 0020 ÷ AC01 ÷');
Test_LB('× 05D0 × 0308 ÷ AC01 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 05D0 × 05D0 ÷');
Test_LB('× 05D0 × 0020 ÷ 05D0 ÷');
Test_LB('× 05D0 × 0308 × 05D0 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 05D0 × 002D ÷');
Test_LB('× 05D0 × 0020 ÷ 002D ÷');
Test_LB('× 05D0 × 0308 × 002D ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 05D0 ÷ 231A ÷');
Test_LB('× 05D0 × 0020 ÷ 231A ÷');
Test_LB('× 05D0 × 0308 ÷ 231A ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 05D0 × 2024 ÷');
Test_LB('× 05D0 × 0020 ÷ 2024 ÷');
Test_LB('× 05D0 × 0308 × 2024 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 05D0 × 002C ÷');
Test_LB('× 05D0 × 0020 × 002C ÷');
Test_LB('× 05D0 × 0308 × 002C ÷');
Test_LB('× 05D0 × 0308 × 0020 × 002C ÷');
Test_LB('× 05D0 ÷ 1100 ÷');
Test_LB('× 05D0 × 0020 ÷ 1100 ÷');
Test_LB('× 05D0 × 0308 ÷ 1100 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 05D0 ÷ 11A8 ÷');
Test_LB('× 05D0 × 0020 ÷ 11A8 ÷');
Test_LB('× 05D0 × 0308 ÷ 11A8 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 05D0 ÷ 1160 ÷');
Test_LB('× 05D0 × 0020 ÷ 1160 ÷');
Test_LB('× 05D0 × 0308 ÷ 1160 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 05D0 × 000A ÷');
Test_LB('× 05D0 × 0020 × 000A ÷');
Test_LB('× 05D0 × 0308 × 000A ÷');
Test_LB('× 05D0 × 0308 × 0020 × 000A ÷');
Test_LB('× 05D0 × 0085 ÷');
Test_LB('× 05D0 × 0020 × 0085 ÷');
Test_LB('× 05D0 × 0308 × 0085 ÷');
Test_LB('× 05D0 × 0308 × 0020 × 0085 ÷');
Test_LB('× 05D0 × 17D6 ÷');
Test_LB('× 05D0 × 0020 ÷ 17D6 ÷');
Test_LB('× 05D0 × 0308 × 17D6 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 05D0 × 0030 ÷');
Test_LB('× 05D0 × 0020 ÷ 0030 ÷');
Test_LB('× 05D0 × 0308 × 0030 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 05D0 × 0028 ÷');
Test_LB('× 05D0 × 0020 ÷ 0028 ÷');
Test_LB('× 05D0 × 0308 × 0028 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 05D0 ÷ 0025 ÷');
Test_LB('× 05D0 × 0020 ÷ 0025 ÷');
Test_LB('× 05D0 × 0308 ÷ 0025 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 05D0 ÷ 0024 ÷');
Test_LB('× 05D0 × 0020 ÷ 0024 ÷');
Test_LB('× 05D0 × 0308 ÷ 0024 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 05D0 × 0022 ÷');
Test_LB('× 05D0 × 0020 ÷ 0022 ÷');
Test_LB('× 05D0 × 0308 × 0022 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 05D0 × 0020 ÷');
Test_LB('× 05D0 × 0020 × 0020 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷');
Test_LB('× 05D0 × 0308 × 0020 × 0020 ÷');
Test_LB('× 05D0 × 002F ÷');
Test_LB('× 05D0 × 0020 × 002F ÷');
Test_LB('× 05D0 × 0308 × 002F ÷');
Test_LB('× 05D0 × 0308 × 0020 × 002F ÷');
Test_LB('× 05D0 × 2060 ÷');
Test_LB('× 05D0 × 0020 × 2060 ÷');
Test_LB('× 05D0 × 0308 × 2060 ÷');
Test_LB('× 05D0 × 0308 × 0020 × 2060 ÷');
Test_LB('× 05D0 × 200B ÷');
Test_LB('× 05D0 × 0020 × 200B ÷');
Test_LB('× 05D0 × 0308 × 200B ÷');
Test_LB('× 05D0 × 0308 × 0020 × 200B ÷');
Test_LB('× 05D0 ÷ 1F1E6 ÷');
Test_LB('× 05D0 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 05D0 × 0308 ÷ 1F1E6 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 05D0 × 00A7 ÷');
Test_LB('× 05D0 × 0020 ÷ 00A7 ÷');
Test_LB('× 05D0 × 0308 × 00A7 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 05D0 × 50005 ÷');
Test_LB('× 05D0 × 0020 ÷ 50005 ÷');
Test_LB('× 05D0 × 0308 × 50005 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 05D0 × 0E01 ÷');
Test_LB('× 05D0 × 0020 ÷ 0E01 ÷');
Test_LB('× 05D0 × 0308 × 0E01 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 05D0 × 3041 ÷');
Test_LB('× 05D0 × 0020 ÷ 3041 ÷');
Test_LB('× 05D0 × 0308 × 3041 ÷');
Test_LB('× 05D0 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 002D ÷ 0023 ÷');
Test_LB('× 002D × 0020 ÷ 0023 ÷');
Test_LB('× 002D × 0308 ÷ 0023 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 002D ÷ 2014 ÷');
Test_LB('× 002D × 0020 ÷ 2014 ÷');
Test_LB('× 002D × 0308 ÷ 2014 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 002D × 0009 ÷');
Test_LB('× 002D × 0020 ÷ 0009 ÷');
Test_LB('× 002D × 0308 × 0009 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 002D ÷ 00B4 ÷');
Test_LB('× 002D × 0020 ÷ 00B4 ÷');
Test_LB('× 002D × 0308 ÷ 00B4 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 002D × 000B ÷');
Test_LB('× 002D × 0020 × 000B ÷');
Test_LB('× 002D × 0308 × 000B ÷');
Test_LB('× 002D × 0308 × 0020 × 000B ÷');
Test_LB('× 002D ÷ FFFC ÷');
Test_LB('× 002D × 0020 ÷ FFFC ÷');
Test_LB('× 002D × 0308 ÷ FFFC ÷');
Test_LB('× 002D × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 002D × 007D ÷');
Test_LB('× 002D × 0020 × 007D ÷');
Test_LB('× 002D × 0308 × 007D ÷');
Test_LB('× 002D × 0308 × 0020 × 007D ÷');
Test_LB('× 002D × 0029 ÷');
Test_LB('× 002D × 0020 × 0029 ÷');
Test_LB('× 002D × 0308 × 0029 ÷');
Test_LB('× 002D × 0308 × 0020 × 0029 ÷');
Test_LB('× 002D × 0001 ÷');
Test_LB('× 002D × 0020 ÷ 0001 ÷');
Test_LB('× 002D × 0308 × 0001 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 002D × 000D ÷');
Test_LB('× 002D × 0020 × 000D ÷');
Test_LB('× 002D × 0308 × 000D ÷');
Test_LB('× 002D × 0308 × 0020 × 000D ÷');
Test_LB('× 002D × 0021 ÷');
Test_LB('× 002D × 0020 × 0021 ÷');
Test_LB('× 002D × 0308 × 0021 ÷');
Test_LB('× 002D × 0308 × 0020 × 0021 ÷');
Test_LB('× 002D ÷ 00A0 ÷');
Test_LB('× 002D × 0020 ÷ 00A0 ÷');
Test_LB('× 002D × 0308 ÷ 00A0 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 002D ÷ AC00 ÷');
Test_LB('× 002D × 0020 ÷ AC00 ÷');
Test_LB('× 002D × 0308 ÷ AC00 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 002D ÷ AC01 ÷');
Test_LB('× 002D × 0020 ÷ AC01 ÷');
Test_LB('× 002D × 0308 ÷ AC01 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 002D ÷ 05D0 ÷');
Test_LB('× 002D × 0020 ÷ 05D0 ÷');
Test_LB('× 002D × 0308 ÷ 05D0 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 002D × 002D ÷');
Test_LB('× 002D × 0020 ÷ 002D ÷');
Test_LB('× 002D × 0308 × 002D ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 002D ÷ 231A ÷');
Test_LB('× 002D × 0020 ÷ 231A ÷');
Test_LB('× 002D × 0308 ÷ 231A ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 002D ÷ 2024 ÷');
Test_LB('× 002D × 0020 ÷ 2024 ÷');
Test_LB('× 002D × 0308 ÷ 2024 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 002D × 002C ÷');
Test_LB('× 002D × 0020 × 002C ÷');
Test_LB('× 002D × 0308 × 002C ÷');
Test_LB('× 002D × 0308 × 0020 × 002C ÷');
Test_LB('× 002D ÷ 1100 ÷');
Test_LB('× 002D × 0020 ÷ 1100 ÷');
Test_LB('× 002D × 0308 ÷ 1100 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 002D ÷ 11A8 ÷');
Test_LB('× 002D × 0020 ÷ 11A8 ÷');
Test_LB('× 002D × 0308 ÷ 11A8 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 002D ÷ 1160 ÷');
Test_LB('× 002D × 0020 ÷ 1160 ÷');
Test_LB('× 002D × 0308 ÷ 1160 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 002D × 000A ÷');
Test_LB('× 002D × 0020 × 000A ÷');
Test_LB('× 002D × 0308 × 000A ÷');
Test_LB('× 002D × 0308 × 0020 × 000A ÷');
Test_LB('× 002D × 0085 ÷');
Test_LB('× 002D × 0020 × 0085 ÷');
Test_LB('× 002D × 0308 × 0085 ÷');
Test_LB('× 002D × 0308 × 0020 × 0085 ÷');
Test_LB('× 002D × 17D6 ÷');
Test_LB('× 002D × 0020 ÷ 17D6 ÷');
Test_LB('× 002D × 0308 × 17D6 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 002D × 0030 ÷');
Test_LB('× 002D × 0020 ÷ 0030 ÷');
Test_LB('× 002D × 0308 × 0030 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 002D ÷ 0028 ÷');
Test_LB('× 002D × 0020 ÷ 0028 ÷');
Test_LB('× 002D × 0308 ÷ 0028 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 002D ÷ 0025 ÷');
Test_LB('× 002D × 0020 ÷ 0025 ÷');
Test_LB('× 002D × 0308 ÷ 0025 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 002D ÷ 0024 ÷');
Test_LB('× 002D × 0020 ÷ 0024 ÷');
Test_LB('× 002D × 0308 ÷ 0024 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 002D × 0022 ÷');
Test_LB('× 002D × 0020 ÷ 0022 ÷');
Test_LB('× 002D × 0308 × 0022 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 002D × 0020 ÷');
Test_LB('× 002D × 0020 × 0020 ÷');
Test_LB('× 002D × 0308 × 0020 ÷');
Test_LB('× 002D × 0308 × 0020 × 0020 ÷');
Test_LB('× 002D × 002F ÷');
Test_LB('× 002D × 0020 × 002F ÷');
Test_LB('× 002D × 0308 × 002F ÷');
Test_LB('× 002D × 0308 × 0020 × 002F ÷');
Test_LB('× 002D × 2060 ÷');
Test_LB('× 002D × 0020 × 2060 ÷');
Test_LB('× 002D × 0308 × 2060 ÷');
Test_LB('× 002D × 0308 × 0020 × 2060 ÷');
Test_LB('× 002D × 200B ÷');
Test_LB('× 002D × 0020 × 200B ÷');
Test_LB('× 002D × 0308 × 200B ÷');
Test_LB('× 002D × 0308 × 0020 × 200B ÷');
Test_LB('× 002D ÷ 1F1E6 ÷');
Test_LB('× 002D × 0020 ÷ 1F1E6 ÷');
Test_LB('× 002D × 0308 ÷ 1F1E6 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 002D ÷ 00A7 ÷');
Test_LB('× 002D × 0020 ÷ 00A7 ÷');
Test_LB('× 002D × 0308 ÷ 00A7 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 002D ÷ 50005 ÷');
Test_LB('× 002D × 0020 ÷ 50005 ÷');
Test_LB('× 002D × 0308 ÷ 50005 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 002D ÷ 0E01 ÷');
Test_LB('× 002D × 0020 ÷ 0E01 ÷');
Test_LB('× 002D × 0308 ÷ 0E01 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 002D × 3041 ÷');
Test_LB('× 002D × 0020 ÷ 3041 ÷');
Test_LB('× 002D × 0308 × 3041 ÷');
Test_LB('× 002D × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 231A ÷ 0023 ÷');
Test_LB('× 231A × 0020 ÷ 0023 ÷');
Test_LB('× 231A × 0308 ÷ 0023 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 231A ÷ 2014 ÷');
Test_LB('× 231A × 0020 ÷ 2014 ÷');
Test_LB('× 231A × 0308 ÷ 2014 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 231A × 0009 ÷');
Test_LB('× 231A × 0020 ÷ 0009 ÷');
Test_LB('× 231A × 0308 × 0009 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 231A ÷ 00B4 ÷');
Test_LB('× 231A × 0020 ÷ 00B4 ÷');
Test_LB('× 231A × 0308 ÷ 00B4 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 231A × 000B ÷');
Test_LB('× 231A × 0020 × 000B ÷');
Test_LB('× 231A × 0308 × 000B ÷');
Test_LB('× 231A × 0308 × 0020 × 000B ÷');
Test_LB('× 231A ÷ FFFC ÷');
Test_LB('× 231A × 0020 ÷ FFFC ÷');
Test_LB('× 231A × 0308 ÷ FFFC ÷');
Test_LB('× 231A × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 231A × 007D ÷');
Test_LB('× 231A × 0020 × 007D ÷');
Test_LB('× 231A × 0308 × 007D ÷');
Test_LB('× 231A × 0308 × 0020 × 007D ÷');
Test_LB('× 231A × 0029 ÷');
Test_LB('× 231A × 0020 × 0029 ÷');
Test_LB('× 231A × 0308 × 0029 ÷');
Test_LB('× 231A × 0308 × 0020 × 0029 ÷');
Test_LB('× 231A × 0001 ÷');
Test_LB('× 231A × 0020 ÷ 0001 ÷');
Test_LB('× 231A × 0308 × 0001 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 231A × 000D ÷');
Test_LB('× 231A × 0020 × 000D ÷');
Test_LB('× 231A × 0308 × 000D ÷');
Test_LB('× 231A × 0308 × 0020 × 000D ÷');
Test_LB('× 231A × 0021 ÷');
Test_LB('× 231A × 0020 × 0021 ÷');
Test_LB('× 231A × 0308 × 0021 ÷');
Test_LB('× 231A × 0308 × 0020 × 0021 ÷');
Test_LB('× 231A × 00A0 ÷');
Test_LB('× 231A × 0020 ÷ 00A0 ÷');
Test_LB('× 231A × 0308 × 00A0 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 231A ÷ AC00 ÷');
Test_LB('× 231A × 0020 ÷ AC00 ÷');
Test_LB('× 231A × 0308 ÷ AC00 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 231A ÷ AC01 ÷');
Test_LB('× 231A × 0020 ÷ AC01 ÷');
Test_LB('× 231A × 0308 ÷ AC01 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 231A ÷ 05D0 ÷');
Test_LB('× 231A × 0020 ÷ 05D0 ÷');
Test_LB('× 231A × 0308 ÷ 05D0 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 231A × 002D ÷');
Test_LB('× 231A × 0020 ÷ 002D ÷');
Test_LB('× 231A × 0308 × 002D ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 231A ÷ 231A ÷');
Test_LB('× 231A × 0020 ÷ 231A ÷');
Test_LB('× 231A × 0308 ÷ 231A ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 231A × 2024 ÷');
Test_LB('× 231A × 0020 ÷ 2024 ÷');
Test_LB('× 231A × 0308 × 2024 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 231A × 002C ÷');
Test_LB('× 231A × 0020 × 002C ÷');
Test_LB('× 231A × 0308 × 002C ÷');
Test_LB('× 231A × 0308 × 0020 × 002C ÷');
Test_LB('× 231A ÷ 1100 ÷');
Test_LB('× 231A × 0020 ÷ 1100 ÷');
Test_LB('× 231A × 0308 ÷ 1100 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 231A ÷ 11A8 ÷');
Test_LB('× 231A × 0020 ÷ 11A8 ÷');
Test_LB('× 231A × 0308 ÷ 11A8 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 231A ÷ 1160 ÷');
Test_LB('× 231A × 0020 ÷ 1160 ÷');
Test_LB('× 231A × 0308 ÷ 1160 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 231A × 000A ÷');
Test_LB('× 231A × 0020 × 000A ÷');
Test_LB('× 231A × 0308 × 000A ÷');
Test_LB('× 231A × 0308 × 0020 × 000A ÷');
Test_LB('× 231A × 0085 ÷');
Test_LB('× 231A × 0020 × 0085 ÷');
Test_LB('× 231A × 0308 × 0085 ÷');
Test_LB('× 231A × 0308 × 0020 × 0085 ÷');
Test_LB('× 231A × 17D6 ÷');
Test_LB('× 231A × 0020 ÷ 17D6 ÷');
Test_LB('× 231A × 0308 × 17D6 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 231A ÷ 0030 ÷');
Test_LB('× 231A × 0020 ÷ 0030 ÷');
Test_LB('× 231A × 0308 ÷ 0030 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 231A ÷ 0028 ÷');
Test_LB('× 231A × 0020 ÷ 0028 ÷');
Test_LB('× 231A × 0308 ÷ 0028 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 231A × 0025 ÷');
Test_LB('× 231A × 0020 ÷ 0025 ÷');
Test_LB('× 231A × 0308 × 0025 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 231A ÷ 0024 ÷');
Test_LB('× 231A × 0020 ÷ 0024 ÷');
Test_LB('× 231A × 0308 ÷ 0024 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 231A × 0022 ÷');
Test_LB('× 231A × 0020 ÷ 0022 ÷');
Test_LB('× 231A × 0308 × 0022 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 231A × 0020 ÷');
Test_LB('× 231A × 0020 × 0020 ÷');
Test_LB('× 231A × 0308 × 0020 ÷');
Test_LB('× 231A × 0308 × 0020 × 0020 ÷');
Test_LB('× 231A × 002F ÷');
Test_LB('× 231A × 0020 × 002F ÷');
Test_LB('× 231A × 0308 × 002F ÷');
Test_LB('× 231A × 0308 × 0020 × 002F ÷');
Test_LB('× 231A × 2060 ÷');
Test_LB('× 231A × 0020 × 2060 ÷');
Test_LB('× 231A × 0308 × 2060 ÷');
Test_LB('× 231A × 0308 × 0020 × 2060 ÷');
Test_LB('× 231A × 200B ÷');
Test_LB('× 231A × 0020 × 200B ÷');
Test_LB('× 231A × 0308 × 200B ÷');
Test_LB('× 231A × 0308 × 0020 × 200B ÷');
Test_LB('× 231A ÷ 1F1E6 ÷');
Test_LB('× 231A × 0020 ÷ 1F1E6 ÷');
Test_LB('× 231A × 0308 ÷ 1F1E6 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 231A ÷ 00A7 ÷');
Test_LB('× 231A × 0020 ÷ 00A7 ÷');
Test_LB('× 231A × 0308 ÷ 00A7 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 231A ÷ 50005 ÷');
Test_LB('× 231A × 0020 ÷ 50005 ÷');
Test_LB('× 231A × 0308 ÷ 50005 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 231A ÷ 0E01 ÷');
Test_LB('× 231A × 0020 ÷ 0E01 ÷');
Test_LB('× 231A × 0308 ÷ 0E01 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 231A × 3041 ÷');
Test_LB('× 231A × 0020 ÷ 3041 ÷');
Test_LB('× 231A × 0308 × 3041 ÷');
Test_LB('× 231A × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 2024 ÷ 0023 ÷');
Test_LB('× 2024 × 0020 ÷ 0023 ÷');
Test_LB('× 2024 × 0308 ÷ 0023 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 2024 ÷ 2014 ÷');
Test_LB('× 2024 × 0020 ÷ 2014 ÷');
Test_LB('× 2024 × 0308 ÷ 2014 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 2024 × 0009 ÷');
Test_LB('× 2024 × 0020 ÷ 0009 ÷');
Test_LB('× 2024 × 0308 × 0009 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 2024 ÷ 00B4 ÷');
Test_LB('× 2024 × 0020 ÷ 00B4 ÷');
Test_LB('× 2024 × 0308 ÷ 00B4 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 2024 × 000B ÷');
Test_LB('× 2024 × 0020 × 000B ÷');
Test_LB('× 2024 × 0308 × 000B ÷');
Test_LB('× 2024 × 0308 × 0020 × 000B ÷');
Test_LB('× 2024 ÷ FFFC ÷');
Test_LB('× 2024 × 0020 ÷ FFFC ÷');
Test_LB('× 2024 × 0308 ÷ FFFC ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 2024 × 007D ÷');
Test_LB('× 2024 × 0020 × 007D ÷');
Test_LB('× 2024 × 0308 × 007D ÷');
Test_LB('× 2024 × 0308 × 0020 × 007D ÷');
Test_LB('× 2024 × 0029 ÷');
Test_LB('× 2024 × 0020 × 0029 ÷');
Test_LB('× 2024 × 0308 × 0029 ÷');
Test_LB('× 2024 × 0308 × 0020 × 0029 ÷');
Test_LB('× 2024 × 0001 ÷');
Test_LB('× 2024 × 0020 ÷ 0001 ÷');
Test_LB('× 2024 × 0308 × 0001 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 2024 × 000D ÷');
Test_LB('× 2024 × 0020 × 000D ÷');
Test_LB('× 2024 × 0308 × 000D ÷');
Test_LB('× 2024 × 0308 × 0020 × 000D ÷');
Test_LB('× 2024 × 0021 ÷');
Test_LB('× 2024 × 0020 × 0021 ÷');
Test_LB('× 2024 × 0308 × 0021 ÷');
Test_LB('× 2024 × 0308 × 0020 × 0021 ÷');
Test_LB('× 2024 × 00A0 ÷');
Test_LB('× 2024 × 0020 ÷ 00A0 ÷');
Test_LB('× 2024 × 0308 × 00A0 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 2024 ÷ AC00 ÷');
Test_LB('× 2024 × 0020 ÷ AC00 ÷');
Test_LB('× 2024 × 0308 ÷ AC00 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 2024 ÷ AC01 ÷');
Test_LB('× 2024 × 0020 ÷ AC01 ÷');
Test_LB('× 2024 × 0308 ÷ AC01 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 2024 ÷ 05D0 ÷');
Test_LB('× 2024 × 0020 ÷ 05D0 ÷');
Test_LB('× 2024 × 0308 ÷ 05D0 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 2024 × 002D ÷');
Test_LB('× 2024 × 0020 ÷ 002D ÷');
Test_LB('× 2024 × 0308 × 002D ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 2024 ÷ 231A ÷');
Test_LB('× 2024 × 0020 ÷ 231A ÷');
Test_LB('× 2024 × 0308 ÷ 231A ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 2024 × 2024 ÷');
Test_LB('× 2024 × 0020 ÷ 2024 ÷');
Test_LB('× 2024 × 0308 × 2024 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 2024 × 002C ÷');
Test_LB('× 2024 × 0020 × 002C ÷');
Test_LB('× 2024 × 0308 × 002C ÷');
Test_LB('× 2024 × 0308 × 0020 × 002C ÷');
Test_LB('× 2024 ÷ 1100 ÷');
Test_LB('× 2024 × 0020 ÷ 1100 ÷');
Test_LB('× 2024 × 0308 ÷ 1100 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 2024 ÷ 11A8 ÷');
Test_LB('× 2024 × 0020 ÷ 11A8 ÷');
Test_LB('× 2024 × 0308 ÷ 11A8 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 2024 ÷ 1160 ÷');
Test_LB('× 2024 × 0020 ÷ 1160 ÷');
Test_LB('× 2024 × 0308 ÷ 1160 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 2024 × 000A ÷');
Test_LB('× 2024 × 0020 × 000A ÷');
Test_LB('× 2024 × 0308 × 000A ÷');
Test_LB('× 2024 × 0308 × 0020 × 000A ÷');
Test_LB('× 2024 × 0085 ÷');
Test_LB('× 2024 × 0020 × 0085 ÷');
Test_LB('× 2024 × 0308 × 0085 ÷');
Test_LB('× 2024 × 0308 × 0020 × 0085 ÷');
Test_LB('× 2024 × 17D6 ÷');
Test_LB('× 2024 × 0020 ÷ 17D6 ÷');
Test_LB('× 2024 × 0308 × 17D6 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 2024 ÷ 0030 ÷');
Test_LB('× 2024 × 0020 ÷ 0030 ÷');
Test_LB('× 2024 × 0308 ÷ 0030 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 2024 ÷ 0028 ÷');
Test_LB('× 2024 × 0020 ÷ 0028 ÷');
Test_LB('× 2024 × 0308 ÷ 0028 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 2024 ÷ 0025 ÷');
Test_LB('× 2024 × 0020 ÷ 0025 ÷');
Test_LB('× 2024 × 0308 ÷ 0025 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 2024 ÷ 0024 ÷');
Test_LB('× 2024 × 0020 ÷ 0024 ÷');
Test_LB('× 2024 × 0308 ÷ 0024 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 2024 × 0022 ÷');
Test_LB('× 2024 × 0020 ÷ 0022 ÷');
Test_LB('× 2024 × 0308 × 0022 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 2024 × 0020 ÷');
Test_LB('× 2024 × 0020 × 0020 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷');
Test_LB('× 2024 × 0308 × 0020 × 0020 ÷');
Test_LB('× 2024 × 002F ÷');
Test_LB('× 2024 × 0020 × 002F ÷');
Test_LB('× 2024 × 0308 × 002F ÷');
Test_LB('× 2024 × 0308 × 0020 × 002F ÷');
Test_LB('× 2024 × 2060 ÷');
Test_LB('× 2024 × 0020 × 2060 ÷');
Test_LB('× 2024 × 0308 × 2060 ÷');
Test_LB('× 2024 × 0308 × 0020 × 2060 ÷');
Test_LB('× 2024 × 200B ÷');
Test_LB('× 2024 × 0020 × 200B ÷');
Test_LB('× 2024 × 0308 × 200B ÷');
Test_LB('× 2024 × 0308 × 0020 × 200B ÷');
Test_LB('× 2024 ÷ 1F1E6 ÷');
Test_LB('× 2024 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 2024 × 0308 ÷ 1F1E6 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 2024 ÷ 00A7 ÷');
Test_LB('× 2024 × 0020 ÷ 00A7 ÷');
Test_LB('× 2024 × 0308 ÷ 00A7 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 2024 ÷ 50005 ÷');
Test_LB('× 2024 × 0020 ÷ 50005 ÷');
Test_LB('× 2024 × 0308 ÷ 50005 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 2024 ÷ 0E01 ÷');
Test_LB('× 2024 × 0020 ÷ 0E01 ÷');
Test_LB('× 2024 × 0308 ÷ 0E01 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 2024 × 3041 ÷');
Test_LB('× 2024 × 0020 ÷ 3041 ÷');
Test_LB('× 2024 × 0308 × 3041 ÷');
Test_LB('× 2024 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 002C × 0023 ÷');
Test_LB('× 002C × 0020 ÷ 0023 ÷');
Test_LB('× 002C × 0308 × 0023 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 002C ÷ 2014 ÷');
Test_LB('× 002C × 0020 ÷ 2014 ÷');
Test_LB('× 002C × 0308 ÷ 2014 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 002C × 0009 ÷');
Test_LB('× 002C × 0020 ÷ 0009 ÷');
Test_LB('× 002C × 0308 × 0009 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 002C ÷ 00B4 ÷');
Test_LB('× 002C × 0020 ÷ 00B4 ÷');
Test_LB('× 002C × 0308 ÷ 00B4 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 002C × 000B ÷');
Test_LB('× 002C × 0020 × 000B ÷');
Test_LB('× 002C × 0308 × 000B ÷');
Test_LB('× 002C × 0308 × 0020 × 000B ÷');
Test_LB('× 002C ÷ FFFC ÷');
Test_LB('× 002C × 0020 ÷ FFFC ÷');
Test_LB('× 002C × 0308 ÷ FFFC ÷');
Test_LB('× 002C × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 002C × 007D ÷');
Test_LB('× 002C × 0020 × 007D ÷');
Test_LB('× 002C × 0308 × 007D ÷');
Test_LB('× 002C × 0308 × 0020 × 007D ÷');
Test_LB('× 002C × 0029 ÷');
Test_LB('× 002C × 0020 × 0029 ÷');
Test_LB('× 002C × 0308 × 0029 ÷');
Test_LB('× 002C × 0308 × 0020 × 0029 ÷');
Test_LB('× 002C × 0001 ÷');
Test_LB('× 002C × 0020 ÷ 0001 ÷');
Test_LB('× 002C × 0308 × 0001 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 002C × 000D ÷');
Test_LB('× 002C × 0020 × 000D ÷');
Test_LB('× 002C × 0308 × 000D ÷');
Test_LB('× 002C × 0308 × 0020 × 000D ÷');
Test_LB('× 002C × 0021 ÷');
Test_LB('× 002C × 0020 × 0021 ÷');
Test_LB('× 002C × 0308 × 0021 ÷');
Test_LB('× 002C × 0308 × 0020 × 0021 ÷');
Test_LB('× 002C × 00A0 ÷');
Test_LB('× 002C × 0020 ÷ 00A0 ÷');
Test_LB('× 002C × 0308 × 00A0 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 002C ÷ AC00 ÷');
Test_LB('× 002C × 0020 ÷ AC00 ÷');
Test_LB('× 002C × 0308 ÷ AC00 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 002C ÷ AC01 ÷');
Test_LB('× 002C × 0020 ÷ AC01 ÷');
Test_LB('× 002C × 0308 ÷ AC01 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 002C × 05D0 ÷');
Test_LB('× 002C × 0020 ÷ 05D0 ÷');
Test_LB('× 002C × 0308 × 05D0 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 002C × 002D ÷');
Test_LB('× 002C × 0020 ÷ 002D ÷');
Test_LB('× 002C × 0308 × 002D ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 002C ÷ 231A ÷');
Test_LB('× 002C × 0020 ÷ 231A ÷');
Test_LB('× 002C × 0308 ÷ 231A ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 002C ÷ 2024 ÷');
Test_LB('× 002C × 0020 ÷ 2024 ÷');
Test_LB('× 002C × 0308 ÷ 2024 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 002C × 002C ÷');
Test_LB('× 002C × 0020 × 002C ÷');
Test_LB('× 002C × 0308 × 002C ÷');
Test_LB('× 002C × 0308 × 0020 × 002C ÷');
Test_LB('× 002C ÷ 1100 ÷');
Test_LB('× 002C × 0020 ÷ 1100 ÷');
Test_LB('× 002C × 0308 ÷ 1100 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 002C ÷ 11A8 ÷');
Test_LB('× 002C × 0020 ÷ 11A8 ÷');
Test_LB('× 002C × 0308 ÷ 11A8 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 002C ÷ 1160 ÷');
Test_LB('× 002C × 0020 ÷ 1160 ÷');
Test_LB('× 002C × 0308 ÷ 1160 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 002C × 000A ÷');
Test_LB('× 002C × 0020 × 000A ÷');
Test_LB('× 002C × 0308 × 000A ÷');
Test_LB('× 002C × 0308 × 0020 × 000A ÷');
Test_LB('× 002C × 0085 ÷');
Test_LB('× 002C × 0020 × 0085 ÷');
Test_LB('× 002C × 0308 × 0085 ÷');
Test_LB('× 002C × 0308 × 0020 × 0085 ÷');
Test_LB('× 002C × 17D6 ÷');
Test_LB('× 002C × 0020 ÷ 17D6 ÷');
Test_LB('× 002C × 0308 × 17D6 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 002C ÷ 0030 ÷');
Test_LB('× 002C × 0020 ÷ 0030 ÷');
Test_LB('× 002C × 0308 ÷ 0030 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 002C ÷ 0028 ÷');
Test_LB('× 002C × 0020 ÷ 0028 ÷');
Test_LB('× 002C × 0308 ÷ 0028 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 002C ÷ 0025 ÷');
Test_LB('× 002C × 0020 ÷ 0025 ÷');
Test_LB('× 002C × 0308 ÷ 0025 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 002C ÷ 0024 ÷');
Test_LB('× 002C × 0020 ÷ 0024 ÷');
Test_LB('× 002C × 0308 ÷ 0024 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 002C × 0022 ÷');
Test_LB('× 002C × 0020 ÷ 0022 ÷');
Test_LB('× 002C × 0308 × 0022 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 002C × 0020 ÷');
Test_LB('× 002C × 0020 × 0020 ÷');
Test_LB('× 002C × 0308 × 0020 ÷');
Test_LB('× 002C × 0308 × 0020 × 0020 ÷');
Test_LB('× 002C × 002F ÷');
Test_LB('× 002C × 0020 × 002F ÷');
Test_LB('× 002C × 0308 × 002F ÷');
Test_LB('× 002C × 0308 × 0020 × 002F ÷');
Test_LB('× 002C × 2060 ÷');
Test_LB('× 002C × 0020 × 2060 ÷');
Test_LB('× 002C × 0308 × 2060 ÷');
Test_LB('× 002C × 0308 × 0020 × 2060 ÷');
Test_LB('× 002C × 200B ÷');
Test_LB('× 002C × 0020 × 200B ÷');
Test_LB('× 002C × 0308 × 200B ÷');
Test_LB('× 002C × 0308 × 0020 × 200B ÷');
Test_LB('× 002C ÷ 1F1E6 ÷');
Test_LB('× 002C × 0020 ÷ 1F1E6 ÷');
Test_LB('× 002C × 0308 ÷ 1F1E6 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 002C × 00A7 ÷');
Test_LB('× 002C × 0020 ÷ 00A7 ÷');
Test_LB('× 002C × 0308 × 00A7 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 002C × 50005 ÷');
Test_LB('× 002C × 0020 ÷ 50005 ÷');
Test_LB('× 002C × 0308 × 50005 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 002C × 0E01 ÷');
Test_LB('× 002C × 0020 ÷ 0E01 ÷');
Test_LB('× 002C × 0308 × 0E01 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 002C × 3041 ÷');
Test_LB('× 002C × 0020 ÷ 3041 ÷');
Test_LB('× 002C × 0308 × 3041 ÷');
Test_LB('× 002C × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 1100 ÷ 0023 ÷');
Test_LB('× 1100 × 0020 ÷ 0023 ÷');
Test_LB('× 1100 × 0308 ÷ 0023 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 1100 ÷ 2014 ÷');
Test_LB('× 1100 × 0020 ÷ 2014 ÷');
Test_LB('× 1100 × 0308 ÷ 2014 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 1100 × 0009 ÷');
Test_LB('× 1100 × 0020 ÷ 0009 ÷');
Test_LB('× 1100 × 0308 × 0009 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 1100 ÷ 00B4 ÷');
Test_LB('× 1100 × 0020 ÷ 00B4 ÷');
Test_LB('× 1100 × 0308 ÷ 00B4 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 1100 × 000B ÷');
Test_LB('× 1100 × 0020 × 000B ÷');
Test_LB('× 1100 × 0308 × 000B ÷');
Test_LB('× 1100 × 0308 × 0020 × 000B ÷');
Test_LB('× 1100 ÷ FFFC ÷');
Test_LB('× 1100 × 0020 ÷ FFFC ÷');
Test_LB('× 1100 × 0308 ÷ FFFC ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 1100 × 007D ÷');
Test_LB('× 1100 × 0020 × 007D ÷');
Test_LB('× 1100 × 0308 × 007D ÷');
Test_LB('× 1100 × 0308 × 0020 × 007D ÷');
Test_LB('× 1100 × 0029 ÷');
Test_LB('× 1100 × 0020 × 0029 ÷');
Test_LB('× 1100 × 0308 × 0029 ÷');
Test_LB('× 1100 × 0308 × 0020 × 0029 ÷');
Test_LB('× 1100 × 0001 ÷');
Test_LB('× 1100 × 0020 ÷ 0001 ÷');
Test_LB('× 1100 × 0308 × 0001 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 1100 × 000D ÷');
Test_LB('× 1100 × 0020 × 000D ÷');
Test_LB('× 1100 × 0308 × 000D ÷');
Test_LB('× 1100 × 0308 × 0020 × 000D ÷');
Test_LB('× 1100 × 0021 ÷');
Test_LB('× 1100 × 0020 × 0021 ÷');
Test_LB('× 1100 × 0308 × 0021 ÷');
Test_LB('× 1100 × 0308 × 0020 × 0021 ÷');
Test_LB('× 1100 × 00A0 ÷');
Test_LB('× 1100 × 0020 ÷ 00A0 ÷');
Test_LB('× 1100 × 0308 × 00A0 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 1100 × AC00 ÷');
Test_LB('× 1100 × 0020 ÷ AC00 ÷');
Test_LB('× 1100 × 0308 × AC00 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 1100 × AC01 ÷');
Test_LB('× 1100 × 0020 ÷ AC01 ÷');
Test_LB('× 1100 × 0308 × AC01 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 1100 ÷ 05D0 ÷');
Test_LB('× 1100 × 0020 ÷ 05D0 ÷');
Test_LB('× 1100 × 0308 ÷ 05D0 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 1100 × 002D ÷');
Test_LB('× 1100 × 0020 ÷ 002D ÷');
Test_LB('× 1100 × 0308 × 002D ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 1100 ÷ 231A ÷');
Test_LB('× 1100 × 0020 ÷ 231A ÷');
Test_LB('× 1100 × 0308 ÷ 231A ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 1100 × 2024 ÷');
Test_LB('× 1100 × 0020 ÷ 2024 ÷');
Test_LB('× 1100 × 0308 × 2024 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 1100 × 002C ÷');
Test_LB('× 1100 × 0020 × 002C ÷');
Test_LB('× 1100 × 0308 × 002C ÷');
Test_LB('× 1100 × 0308 × 0020 × 002C ÷');
Test_LB('× 1100 × 1100 ÷');
Test_LB('× 1100 × 0020 ÷ 1100 ÷');
Test_LB('× 1100 × 0308 × 1100 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 1100 ÷ 11A8 ÷');
Test_LB('× 1100 × 0020 ÷ 11A8 ÷');
Test_LB('× 1100 × 0308 ÷ 11A8 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 1100 × 1160 ÷');
Test_LB('× 1100 × 0020 ÷ 1160 ÷');
Test_LB('× 1100 × 0308 × 1160 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 1100 × 000A ÷');
Test_LB('× 1100 × 0020 × 000A ÷');
Test_LB('× 1100 × 0308 × 000A ÷');
Test_LB('× 1100 × 0308 × 0020 × 000A ÷');
Test_LB('× 1100 × 0085 ÷');
Test_LB('× 1100 × 0020 × 0085 ÷');
Test_LB('× 1100 × 0308 × 0085 ÷');
Test_LB('× 1100 × 0308 × 0020 × 0085 ÷');
Test_LB('× 1100 × 17D6 ÷');
Test_LB('× 1100 × 0020 ÷ 17D6 ÷');
Test_LB('× 1100 × 0308 × 17D6 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 1100 ÷ 0030 ÷');
Test_LB('× 1100 × 0020 ÷ 0030 ÷');
Test_LB('× 1100 × 0308 ÷ 0030 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 1100 ÷ 0028 ÷');
Test_LB('× 1100 × 0020 ÷ 0028 ÷');
Test_LB('× 1100 × 0308 ÷ 0028 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 1100 × 0025 ÷');
Test_LB('× 1100 × 0020 ÷ 0025 ÷');
Test_LB('× 1100 × 0308 × 0025 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 1100 ÷ 0024 ÷');
Test_LB('× 1100 × 0020 ÷ 0024 ÷');
Test_LB('× 1100 × 0308 ÷ 0024 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 1100 × 0022 ÷');
Test_LB('× 1100 × 0020 ÷ 0022 ÷');
Test_LB('× 1100 × 0308 × 0022 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 1100 × 0020 ÷');
Test_LB('× 1100 × 0020 × 0020 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷');
Test_LB('× 1100 × 0308 × 0020 × 0020 ÷');
Test_LB('× 1100 × 002F ÷');
Test_LB('× 1100 × 0020 × 002F ÷');
Test_LB('× 1100 × 0308 × 002F ÷');
Test_LB('× 1100 × 0308 × 0020 × 002F ÷');
Test_LB('× 1100 × 2060 ÷');
Test_LB('× 1100 × 0020 × 2060 ÷');
Test_LB('× 1100 × 0308 × 2060 ÷');
Test_LB('× 1100 × 0308 × 0020 × 2060 ÷');
Test_LB('× 1100 × 200B ÷');
Test_LB('× 1100 × 0020 × 200B ÷');
Test_LB('× 1100 × 0308 × 200B ÷');
Test_LB('× 1100 × 0308 × 0020 × 200B ÷');
Test_LB('× 1100 ÷ 1F1E6 ÷');
Test_LB('× 1100 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 1100 × 0308 ÷ 1F1E6 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 1100 ÷ 00A7 ÷');
Test_LB('× 1100 × 0020 ÷ 00A7 ÷');
Test_LB('× 1100 × 0308 ÷ 00A7 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 1100 ÷ 50005 ÷');
Test_LB('× 1100 × 0020 ÷ 50005 ÷');
Test_LB('× 1100 × 0308 ÷ 50005 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 1100 ÷ 0E01 ÷');
Test_LB('× 1100 × 0020 ÷ 0E01 ÷');
Test_LB('× 1100 × 0308 ÷ 0E01 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 1100 × 3041 ÷');
Test_LB('× 1100 × 0020 ÷ 3041 ÷');
Test_LB('× 1100 × 0308 × 3041 ÷');
Test_LB('× 1100 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 11A8 ÷ 0023 ÷');
Test_LB('× 11A8 × 0020 ÷ 0023 ÷');
Test_LB('× 11A8 × 0308 ÷ 0023 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 11A8 ÷ 2014 ÷');
Test_LB('× 11A8 × 0020 ÷ 2014 ÷');
Test_LB('× 11A8 × 0308 ÷ 2014 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 11A8 × 0009 ÷');
Test_LB('× 11A8 × 0020 ÷ 0009 ÷');
Test_LB('× 11A8 × 0308 × 0009 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 11A8 ÷ 00B4 ÷');
Test_LB('× 11A8 × 0020 ÷ 00B4 ÷');
Test_LB('× 11A8 × 0308 ÷ 00B4 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 11A8 × 000B ÷');
Test_LB('× 11A8 × 0020 × 000B ÷');
Test_LB('× 11A8 × 0308 × 000B ÷');
Test_LB('× 11A8 × 0308 × 0020 × 000B ÷');
Test_LB('× 11A8 ÷ FFFC ÷');
Test_LB('× 11A8 × 0020 ÷ FFFC ÷');
Test_LB('× 11A8 × 0308 ÷ FFFC ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 11A8 × 007D ÷');
Test_LB('× 11A8 × 0020 × 007D ÷');
Test_LB('× 11A8 × 0308 × 007D ÷');
Test_LB('× 11A8 × 0308 × 0020 × 007D ÷');
Test_LB('× 11A8 × 0029 ÷');
Test_LB('× 11A8 × 0020 × 0029 ÷');
Test_LB('× 11A8 × 0308 × 0029 ÷');
Test_LB('× 11A8 × 0308 × 0020 × 0029 ÷');
Test_LB('× 11A8 × 0001 ÷');
Test_LB('× 11A8 × 0020 ÷ 0001 ÷');
Test_LB('× 11A8 × 0308 × 0001 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 11A8 × 000D ÷');
Test_LB('× 11A8 × 0020 × 000D ÷');
Test_LB('× 11A8 × 0308 × 000D ÷');
Test_LB('× 11A8 × 0308 × 0020 × 000D ÷');
Test_LB('× 11A8 × 0021 ÷');
Test_LB('× 11A8 × 0020 × 0021 ÷');
Test_LB('× 11A8 × 0308 × 0021 ÷');
Test_LB('× 11A8 × 0308 × 0020 × 0021 ÷');
Test_LB('× 11A8 × 00A0 ÷');
Test_LB('× 11A8 × 0020 ÷ 00A0 ÷');
Test_LB('× 11A8 × 0308 × 00A0 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 11A8 ÷ AC00 ÷');
Test_LB('× 11A8 × 0020 ÷ AC00 ÷');
Test_LB('× 11A8 × 0308 ÷ AC00 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 11A8 ÷ AC01 ÷');
Test_LB('× 11A8 × 0020 ÷ AC01 ÷');
Test_LB('× 11A8 × 0308 ÷ AC01 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 11A8 ÷ 05D0 ÷');
Test_LB('× 11A8 × 0020 ÷ 05D0 ÷');
Test_LB('× 11A8 × 0308 ÷ 05D0 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 11A8 × 002D ÷');
Test_LB('× 11A8 × 0020 ÷ 002D ÷');
Test_LB('× 11A8 × 0308 × 002D ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 11A8 ÷ 231A ÷');
Test_LB('× 11A8 × 0020 ÷ 231A ÷');
Test_LB('× 11A8 × 0308 ÷ 231A ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 11A8 × 2024 ÷');
Test_LB('× 11A8 × 0020 ÷ 2024 ÷');
Test_LB('× 11A8 × 0308 × 2024 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 11A8 × 002C ÷');
Test_LB('× 11A8 × 0020 × 002C ÷');
Test_LB('× 11A8 × 0308 × 002C ÷');
Test_LB('× 11A8 × 0308 × 0020 × 002C ÷');
Test_LB('× 11A8 ÷ 1100 ÷');
Test_LB('× 11A8 × 0020 ÷ 1100 ÷');
Test_LB('× 11A8 × 0308 ÷ 1100 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 11A8 × 11A8 ÷');
Test_LB('× 11A8 × 0020 ÷ 11A8 ÷');
Test_LB('× 11A8 × 0308 × 11A8 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 11A8 ÷ 1160 ÷');
Test_LB('× 11A8 × 0020 ÷ 1160 ÷');
Test_LB('× 11A8 × 0308 ÷ 1160 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 11A8 × 000A ÷');
Test_LB('× 11A8 × 0020 × 000A ÷');
Test_LB('× 11A8 × 0308 × 000A ÷');
Test_LB('× 11A8 × 0308 × 0020 × 000A ÷');
Test_LB('× 11A8 × 0085 ÷');
Test_LB('× 11A8 × 0020 × 0085 ÷');
Test_LB('× 11A8 × 0308 × 0085 ÷');
Test_LB('× 11A8 × 0308 × 0020 × 0085 ÷');
Test_LB('× 11A8 × 17D6 ÷');
Test_LB('× 11A8 × 0020 ÷ 17D6 ÷');
Test_LB('× 11A8 × 0308 × 17D6 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 11A8 ÷ 0030 ÷');
Test_LB('× 11A8 × 0020 ÷ 0030 ÷');
Test_LB('× 11A8 × 0308 ÷ 0030 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 11A8 ÷ 0028 ÷');
Test_LB('× 11A8 × 0020 ÷ 0028 ÷');
Test_LB('× 11A8 × 0308 ÷ 0028 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 11A8 × 0025 ÷');
Test_LB('× 11A8 × 0020 ÷ 0025 ÷');
Test_LB('× 11A8 × 0308 × 0025 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 11A8 ÷ 0024 ÷');
Test_LB('× 11A8 × 0020 ÷ 0024 ÷');
Test_LB('× 11A8 × 0308 ÷ 0024 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 11A8 × 0022 ÷');
Test_LB('× 11A8 × 0020 ÷ 0022 ÷');
Test_LB('× 11A8 × 0308 × 0022 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 11A8 × 0020 ÷');
Test_LB('× 11A8 × 0020 × 0020 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷');
Test_LB('× 11A8 × 0308 × 0020 × 0020 ÷');
Test_LB('× 11A8 × 002F ÷');
Test_LB('× 11A8 × 0020 × 002F ÷');
Test_LB('× 11A8 × 0308 × 002F ÷');
Test_LB('× 11A8 × 0308 × 0020 × 002F ÷');
Test_LB('× 11A8 × 2060 ÷');
Test_LB('× 11A8 × 0020 × 2060 ÷');
Test_LB('× 11A8 × 0308 × 2060 ÷');
Test_LB('× 11A8 × 0308 × 0020 × 2060 ÷');
Test_LB('× 11A8 × 200B ÷');
Test_LB('× 11A8 × 0020 × 200B ÷');
Test_LB('× 11A8 × 0308 × 200B ÷');
Test_LB('× 11A8 × 0308 × 0020 × 200B ÷');
Test_LB('× 11A8 ÷ 1F1E6 ÷');
Test_LB('× 11A8 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 11A8 × 0308 ÷ 1F1E6 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 11A8 ÷ 00A7 ÷');
Test_LB('× 11A8 × 0020 ÷ 00A7 ÷');
Test_LB('× 11A8 × 0308 ÷ 00A7 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 11A8 ÷ 50005 ÷');
Test_LB('× 11A8 × 0020 ÷ 50005 ÷');
Test_LB('× 11A8 × 0308 ÷ 50005 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 11A8 ÷ 0E01 ÷');
Test_LB('× 11A8 × 0020 ÷ 0E01 ÷');
Test_LB('× 11A8 × 0308 ÷ 0E01 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 11A8 × 3041 ÷');
Test_LB('× 11A8 × 0020 ÷ 3041 ÷');
Test_LB('× 11A8 × 0308 × 3041 ÷');
Test_LB('× 11A8 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 1160 ÷ 0023 ÷');
Test_LB('× 1160 × 0020 ÷ 0023 ÷');
Test_LB('× 1160 × 0308 ÷ 0023 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 1160 ÷ 2014 ÷');
Test_LB('× 1160 × 0020 ÷ 2014 ÷');
Test_LB('× 1160 × 0308 ÷ 2014 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 1160 × 0009 ÷');
Test_LB('× 1160 × 0020 ÷ 0009 ÷');
Test_LB('× 1160 × 0308 × 0009 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 1160 ÷ 00B4 ÷');
Test_LB('× 1160 × 0020 ÷ 00B4 ÷');
Test_LB('× 1160 × 0308 ÷ 00B4 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 1160 × 000B ÷');
Test_LB('× 1160 × 0020 × 000B ÷');
Test_LB('× 1160 × 0308 × 000B ÷');
Test_LB('× 1160 × 0308 × 0020 × 000B ÷');
Test_LB('× 1160 ÷ FFFC ÷');
Test_LB('× 1160 × 0020 ÷ FFFC ÷');
Test_LB('× 1160 × 0308 ÷ FFFC ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 1160 × 007D ÷');
Test_LB('× 1160 × 0020 × 007D ÷');
Test_LB('× 1160 × 0308 × 007D ÷');
Test_LB('× 1160 × 0308 × 0020 × 007D ÷');
Test_LB('× 1160 × 0029 ÷');
Test_LB('× 1160 × 0020 × 0029 ÷');
Test_LB('× 1160 × 0308 × 0029 ÷');
Test_LB('× 1160 × 0308 × 0020 × 0029 ÷');
Test_LB('× 1160 × 0001 ÷');
Test_LB('× 1160 × 0020 ÷ 0001 ÷');
Test_LB('× 1160 × 0308 × 0001 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 1160 × 000D ÷');
Test_LB('× 1160 × 0020 × 000D ÷');
Test_LB('× 1160 × 0308 × 000D ÷');
Test_LB('× 1160 × 0308 × 0020 × 000D ÷');
Test_LB('× 1160 × 0021 ÷');
Test_LB('× 1160 × 0020 × 0021 ÷');
Test_LB('× 1160 × 0308 × 0021 ÷');
Test_LB('× 1160 × 0308 × 0020 × 0021 ÷');
Test_LB('× 1160 × 00A0 ÷');
Test_LB('× 1160 × 0020 ÷ 00A0 ÷');
Test_LB('× 1160 × 0308 × 00A0 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 1160 ÷ AC00 ÷');
Test_LB('× 1160 × 0020 ÷ AC00 ÷');
Test_LB('× 1160 × 0308 ÷ AC00 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 1160 ÷ AC01 ÷');
Test_LB('× 1160 × 0020 ÷ AC01 ÷');
Test_LB('× 1160 × 0308 ÷ AC01 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 1160 ÷ 05D0 ÷');
Test_LB('× 1160 × 0020 ÷ 05D0 ÷');
Test_LB('× 1160 × 0308 ÷ 05D0 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 1160 × 002D ÷');
Test_LB('× 1160 × 0020 ÷ 002D ÷');
Test_LB('× 1160 × 0308 × 002D ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 1160 ÷ 231A ÷');
Test_LB('× 1160 × 0020 ÷ 231A ÷');
Test_LB('× 1160 × 0308 ÷ 231A ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 1160 × 2024 ÷');
Test_LB('× 1160 × 0020 ÷ 2024 ÷');
Test_LB('× 1160 × 0308 × 2024 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 1160 × 002C ÷');
Test_LB('× 1160 × 0020 × 002C ÷');
Test_LB('× 1160 × 0308 × 002C ÷');
Test_LB('× 1160 × 0308 × 0020 × 002C ÷');
Test_LB('× 1160 ÷ 1100 ÷');
Test_LB('× 1160 × 0020 ÷ 1100 ÷');
Test_LB('× 1160 × 0308 ÷ 1100 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 1160 × 11A8 ÷');
Test_LB('× 1160 × 0020 ÷ 11A8 ÷');
Test_LB('× 1160 × 0308 × 11A8 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 1160 × 1160 ÷');
Test_LB('× 1160 × 0020 ÷ 1160 ÷');
Test_LB('× 1160 × 0308 × 1160 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 1160 × 000A ÷');
Test_LB('× 1160 × 0020 × 000A ÷');
Test_LB('× 1160 × 0308 × 000A ÷');
Test_LB('× 1160 × 0308 × 0020 × 000A ÷');
Test_LB('× 1160 × 0085 ÷');
Test_LB('× 1160 × 0020 × 0085 ÷');
Test_LB('× 1160 × 0308 × 0085 ÷');
Test_LB('× 1160 × 0308 × 0020 × 0085 ÷');
Test_LB('× 1160 × 17D6 ÷');
Test_LB('× 1160 × 0020 ÷ 17D6 ÷');
Test_LB('× 1160 × 0308 × 17D6 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 1160 ÷ 0030 ÷');
Test_LB('× 1160 × 0020 ÷ 0030 ÷');
Test_LB('× 1160 × 0308 ÷ 0030 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 1160 ÷ 0028 ÷');
Test_LB('× 1160 × 0020 ÷ 0028 ÷');
Test_LB('× 1160 × 0308 ÷ 0028 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 1160 × 0025 ÷');
Test_LB('× 1160 × 0020 ÷ 0025 ÷');
Test_LB('× 1160 × 0308 × 0025 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 1160 ÷ 0024 ÷');
Test_LB('× 1160 × 0020 ÷ 0024 ÷');
Test_LB('× 1160 × 0308 ÷ 0024 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 1160 × 0022 ÷');
Test_LB('× 1160 × 0020 ÷ 0022 ÷');
Test_LB('× 1160 × 0308 × 0022 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 1160 × 0020 ÷');
Test_LB('× 1160 × 0020 × 0020 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷');
Test_LB('× 1160 × 0308 × 0020 × 0020 ÷');
Test_LB('× 1160 × 002F ÷');
Test_LB('× 1160 × 0020 × 002F ÷');
Test_LB('× 1160 × 0308 × 002F ÷');
Test_LB('× 1160 × 0308 × 0020 × 002F ÷');
Test_LB('× 1160 × 2060 ÷');
Test_LB('× 1160 × 0020 × 2060 ÷');
Test_LB('× 1160 × 0308 × 2060 ÷');
Test_LB('× 1160 × 0308 × 0020 × 2060 ÷');
Test_LB('× 1160 × 200B ÷');
Test_LB('× 1160 × 0020 × 200B ÷');
Test_LB('× 1160 × 0308 × 200B ÷');
Test_LB('× 1160 × 0308 × 0020 × 200B ÷');
Test_LB('× 1160 ÷ 1F1E6 ÷');
Test_LB('× 1160 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 1160 × 0308 ÷ 1F1E6 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 1160 ÷ 00A7 ÷');
Test_LB('× 1160 × 0020 ÷ 00A7 ÷');
Test_LB('× 1160 × 0308 ÷ 00A7 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 1160 ÷ 50005 ÷');
Test_LB('× 1160 × 0020 ÷ 50005 ÷');
Test_LB('× 1160 × 0308 ÷ 50005 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 1160 ÷ 0E01 ÷');
Test_LB('× 1160 × 0020 ÷ 0E01 ÷');
Test_LB('× 1160 × 0308 ÷ 0E01 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 1160 × 3041 ÷');
Test_LB('× 1160 × 0020 ÷ 3041 ÷');
Test_LB('× 1160 × 0308 × 3041 ÷');
Test_LB('× 1160 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 000A ÷ 0023 ÷');
Test_LB('× 000A ÷ 0020 ÷ 0023 ÷');
Test_LB('× 000A ÷ 0308 × 0023 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 000A ÷ 2014 ÷');
Test_LB('× 000A ÷ 0020 ÷ 2014 ÷');
Test_LB('× 000A ÷ 0308 ÷ 2014 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 000A ÷ 0009 ÷');
Test_LB('× 000A ÷ 0020 ÷ 0009 ÷');
Test_LB('× 000A ÷ 0308 × 0009 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 000A ÷ 00B4 ÷');
Test_LB('× 000A ÷ 0020 ÷ 00B4 ÷');
Test_LB('× 000A ÷ 0308 ÷ 00B4 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 000A ÷ 000B ÷');
Test_LB('× 000A ÷ 0020 × 000B ÷');
Test_LB('× 000A ÷ 0308 × 000B ÷');
Test_LB('× 000A ÷ 0308 × 0020 × 000B ÷');
Test_LB('× 000A ÷ FFFC ÷');
Test_LB('× 000A ÷ 0020 ÷ FFFC ÷');
Test_LB('× 000A ÷ 0308 ÷ FFFC ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 000A ÷ 007D ÷');
Test_LB('× 000A ÷ 0020 × 007D ÷');
Test_LB('× 000A ÷ 0308 × 007D ÷');
Test_LB('× 000A ÷ 0308 × 0020 × 007D ÷');
Test_LB('× 000A ÷ 0029 ÷');
Test_LB('× 000A ÷ 0020 × 0029 ÷');
Test_LB('× 000A ÷ 0308 × 0029 ÷');
Test_LB('× 000A ÷ 0308 × 0020 × 0029 ÷');
Test_LB('× 000A ÷ 0001 ÷');
Test_LB('× 000A ÷ 0020 ÷ 0001 ÷');
Test_LB('× 000A ÷ 0308 × 0001 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 000A ÷ 000D ÷');
Test_LB('× 000A ÷ 0020 × 000D ÷');
Test_LB('× 000A ÷ 0308 × 000D ÷');
Test_LB('× 000A ÷ 0308 × 0020 × 000D ÷');
Test_LB('× 000A ÷ 0021 ÷');
Test_LB('× 000A ÷ 0020 × 0021 ÷');
Test_LB('× 000A ÷ 0308 × 0021 ÷');
Test_LB('× 000A ÷ 0308 × 0020 × 0021 ÷');
Test_LB('× 000A ÷ 00A0 ÷');
Test_LB('× 000A ÷ 0020 ÷ 00A0 ÷');
Test_LB('× 000A ÷ 0308 × 00A0 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 000A ÷ AC00 ÷');
Test_LB('× 000A ÷ 0020 ÷ AC00 ÷');
Test_LB('× 000A ÷ 0308 ÷ AC00 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 000A ÷ AC01 ÷');
Test_LB('× 000A ÷ 0020 ÷ AC01 ÷');
Test_LB('× 000A ÷ 0308 ÷ AC01 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 000A ÷ 05D0 ÷');
Test_LB('× 000A ÷ 0020 ÷ 05D0 ÷');
Test_LB('× 000A ÷ 0308 × 05D0 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 000A ÷ 002D ÷');
Test_LB('× 000A ÷ 0020 ÷ 002D ÷');
Test_LB('× 000A ÷ 0308 × 002D ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 002D ÷');
Test_LB('× 000A ÷ 231A ÷');
Test_LB('× 000A ÷ 0020 ÷ 231A ÷');
Test_LB('× 000A ÷ 0308 ÷ 231A ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 231A ÷');
Test_LB('× 000A ÷ 2024 ÷');
Test_LB('× 000A ÷ 0020 ÷ 2024 ÷');
Test_LB('× 000A ÷ 0308 × 2024 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 000A ÷ 002C ÷');
Test_LB('× 000A ÷ 0020 × 002C ÷');
Test_LB('× 000A ÷ 0308 × 002C ÷');
Test_LB('× 000A ÷ 0308 × 0020 × 002C ÷');
Test_LB('× 000A ÷ 1100 ÷');
Test_LB('× 000A ÷ 0020 ÷ 1100 ÷');
Test_LB('× 000A ÷ 0308 ÷ 1100 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 000A ÷ 11A8 ÷');
Test_LB('× 000A ÷ 0020 ÷ 11A8 ÷');
Test_LB('× 000A ÷ 0308 ÷ 11A8 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 000A ÷ 1160 ÷');
Test_LB('× 000A ÷ 0020 ÷ 1160 ÷');
Test_LB('× 000A ÷ 0308 ÷ 1160 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 000A ÷ 000A ÷');
Test_LB('× 000A ÷ 0020 × 000A ÷');
Test_LB('× 000A ÷ 0308 × 000A ÷');
Test_LB('× 000A ÷ 0308 × 0020 × 000A ÷');
Test_LB('× 000A ÷ 0085 ÷');
Test_LB('× 000A ÷ 0020 × 0085 ÷');
Test_LB('× 000A ÷ 0308 × 0085 ÷');
Test_LB('× 000A ÷ 0308 × 0020 × 0085 ÷');
Test_LB('× 000A ÷ 17D6 ÷');
Test_LB('× 000A ÷ 0020 ÷ 17D6 ÷');
Test_LB('× 000A ÷ 0308 × 17D6 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 000A ÷ 0030 ÷');
Test_LB('× 000A ÷ 0020 ÷ 0030 ÷');
Test_LB('× 000A ÷ 0308 × 0030 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 000A ÷ 0028 ÷');
Test_LB('× 000A ÷ 0020 ÷ 0028 ÷');
Test_LB('× 000A ÷ 0308 × 0028 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 000A ÷ 0025 ÷');
Test_LB('× 000A ÷ 0020 ÷ 0025 ÷');
Test_LB('× 000A ÷ 0308 ÷ 0025 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 000A ÷ 0024 ÷');
Test_LB('× 000A ÷ 0020 ÷ 0024 ÷');
Test_LB('× 000A ÷ 0308 ÷ 0024 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 000A ÷ 0022 ÷');
Test_LB('× 000A ÷ 0020 ÷ 0022 ÷');
Test_LB('× 000A ÷ 0308 × 0022 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 000A ÷ 0020 ÷');
Test_LB('× 000A ÷ 0020 × 0020 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷');
Test_LB('× 000A ÷ 0308 × 0020 × 0020 ÷');
Test_LB('× 000A ÷ 002F ÷');
Test_LB('× 000A ÷ 0020 × 002F ÷');
Test_LB('× 000A ÷ 0308 × 002F ÷');
Test_LB('× 000A ÷ 0308 × 0020 × 002F ÷');
Test_LB('× 000A ÷ 2060 ÷');
Test_LB('× 000A ÷ 0020 × 2060 ÷');
Test_LB('× 000A ÷ 0308 × 2060 ÷');
Test_LB('× 000A ÷ 0308 × 0020 × 2060 ÷');
Test_LB('× 000A ÷ 200B ÷');
Test_LB('× 000A ÷ 0020 × 200B ÷');
Test_LB('× 000A ÷ 0308 × 200B ÷');
Test_LB('× 000A ÷ 0308 × 0020 × 200B ÷');
Test_LB('× 000A ÷ 1F1E6 ÷');
Test_LB('× 000A ÷ 0020 ÷ 1F1E6 ÷');
Test_LB('× 000A ÷ 0308 ÷ 1F1E6 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 000A ÷ 00A7 ÷');
Test_LB('× 000A ÷ 0020 ÷ 00A7 ÷');
Test_LB('× 000A ÷ 0308 × 00A7 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 000A ÷ 50005 ÷');
Test_LB('× 000A ÷ 0020 ÷ 50005 ÷');
Test_LB('× 000A ÷ 0308 × 50005 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 000A ÷ 0E01 ÷');
Test_LB('× 000A ÷ 0020 ÷ 0E01 ÷');
Test_LB('× 000A ÷ 0308 × 0E01 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 000A ÷ 3041 ÷');
Test_LB('× 000A ÷ 0020 ÷ 3041 ÷');
Test_LB('× 000A ÷ 0308 × 3041 ÷');
Test_LB('× 000A ÷ 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 0085 ÷ 0023 ÷');
Test_LB('× 0085 ÷ 0020 ÷ 0023 ÷');
Test_LB('× 0085 ÷ 0308 × 0023 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 0085 ÷ 2014 ÷');
Test_LB('× 0085 ÷ 0020 ÷ 2014 ÷');
Test_LB('× 0085 ÷ 0308 ÷ 2014 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 0085 ÷ 0009 ÷');
Test_LB('× 0085 ÷ 0020 ÷ 0009 ÷');
Test_LB('× 0085 ÷ 0308 × 0009 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 0085 ÷ 00B4 ÷');
Test_LB('× 0085 ÷ 0020 ÷ 00B4 ÷');
Test_LB('× 0085 ÷ 0308 ÷ 00B4 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 0085 ÷ 000B ÷');
Test_LB('× 0085 ÷ 0020 × 000B ÷');
Test_LB('× 0085 ÷ 0308 × 000B ÷');
Test_LB('× 0085 ÷ 0308 × 0020 × 000B ÷');
Test_LB('× 0085 ÷ FFFC ÷');
Test_LB('× 0085 ÷ 0020 ÷ FFFC ÷');
Test_LB('× 0085 ÷ 0308 ÷ FFFC ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 0085 ÷ 007D ÷');
Test_LB('× 0085 ÷ 0020 × 007D ÷');
Test_LB('× 0085 ÷ 0308 × 007D ÷');
Test_LB('× 0085 ÷ 0308 × 0020 × 007D ÷');
Test_LB('× 0085 ÷ 0029 ÷');
Test_LB('× 0085 ÷ 0020 × 0029 ÷');
Test_LB('× 0085 ÷ 0308 × 0029 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 × 0029 ÷');
Test_LB('× 0085 ÷ 0001 ÷');
Test_LB('× 0085 ÷ 0020 ÷ 0001 ÷');
Test_LB('× 0085 ÷ 0308 × 0001 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 0085 ÷ 000D ÷');
Test_LB('× 0085 ÷ 0020 × 000D ÷');
Test_LB('× 0085 ÷ 0308 × 000D ÷');
Test_LB('× 0085 ÷ 0308 × 0020 × 000D ÷');
Test_LB('× 0085 ÷ 0021 ÷');
Test_LB('× 0085 ÷ 0020 × 0021 ÷');
Test_LB('× 0085 ÷ 0308 × 0021 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 × 0021 ÷');
Test_LB('× 0085 ÷ 00A0 ÷');
Test_LB('× 0085 ÷ 0020 ÷ 00A0 ÷');
Test_LB('× 0085 ÷ 0308 × 00A0 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 0085 ÷ AC00 ÷');
Test_LB('× 0085 ÷ 0020 ÷ AC00 ÷');
Test_LB('× 0085 ÷ 0308 ÷ AC00 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 0085 ÷ AC01 ÷');
Test_LB('× 0085 ÷ 0020 ÷ AC01 ÷');
Test_LB('× 0085 ÷ 0308 ÷ AC01 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 0085 ÷ 05D0 ÷');
Test_LB('× 0085 ÷ 0020 ÷ 05D0 ÷');
Test_LB('× 0085 ÷ 0308 × 05D0 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 0085 ÷ 002D ÷');
Test_LB('× 0085 ÷ 0020 ÷ 002D ÷');
Test_LB('× 0085 ÷ 0308 × 002D ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 002D ÷');
Test_LB('× 0085 ÷ 231A ÷');
Test_LB('× 0085 ÷ 0020 ÷ 231A ÷');
Test_LB('× 0085 ÷ 0308 ÷ 231A ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 231A ÷');
Test_LB('× 0085 ÷ 2024 ÷');
Test_LB('× 0085 ÷ 0020 ÷ 2024 ÷');
Test_LB('× 0085 ÷ 0308 × 2024 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 0085 ÷ 002C ÷');
Test_LB('× 0085 ÷ 0020 × 002C ÷');
Test_LB('× 0085 ÷ 0308 × 002C ÷');
Test_LB('× 0085 ÷ 0308 × 0020 × 002C ÷');
Test_LB('× 0085 ÷ 1100 ÷');
Test_LB('× 0085 ÷ 0020 ÷ 1100 ÷');
Test_LB('× 0085 ÷ 0308 ÷ 1100 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 0085 ÷ 11A8 ÷');
Test_LB('× 0085 ÷ 0020 ÷ 11A8 ÷');
Test_LB('× 0085 ÷ 0308 ÷ 11A8 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 0085 ÷ 1160 ÷');
Test_LB('× 0085 ÷ 0020 ÷ 1160 ÷');
Test_LB('× 0085 ÷ 0308 ÷ 1160 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 0085 ÷ 000A ÷');
Test_LB('× 0085 ÷ 0020 × 000A ÷');
Test_LB('× 0085 ÷ 0308 × 000A ÷');
Test_LB('× 0085 ÷ 0308 × 0020 × 000A ÷');
Test_LB('× 0085 ÷ 0085 ÷');
Test_LB('× 0085 ÷ 0020 × 0085 ÷');
Test_LB('× 0085 ÷ 0308 × 0085 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 × 0085 ÷');
Test_LB('× 0085 ÷ 17D6 ÷');
Test_LB('× 0085 ÷ 0020 ÷ 17D6 ÷');
Test_LB('× 0085 ÷ 0308 × 17D6 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 0085 ÷ 0030 ÷');
Test_LB('× 0085 ÷ 0020 ÷ 0030 ÷');
Test_LB('× 0085 ÷ 0308 × 0030 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 0085 ÷ 0028 ÷');
Test_LB('× 0085 ÷ 0020 ÷ 0028 ÷');
Test_LB('× 0085 ÷ 0308 × 0028 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 0085 ÷ 0025 ÷');
Test_LB('× 0085 ÷ 0020 ÷ 0025 ÷');
Test_LB('× 0085 ÷ 0308 ÷ 0025 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 0085 ÷ 0024 ÷');
Test_LB('× 0085 ÷ 0020 ÷ 0024 ÷');
Test_LB('× 0085 ÷ 0308 ÷ 0024 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 0085 ÷ 0022 ÷');
Test_LB('× 0085 ÷ 0020 ÷ 0022 ÷');
Test_LB('× 0085 ÷ 0308 × 0022 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 0085 ÷ 0020 ÷');
Test_LB('× 0085 ÷ 0020 × 0020 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 × 0020 ÷');
Test_LB('× 0085 ÷ 002F ÷');
Test_LB('× 0085 ÷ 0020 × 002F ÷');
Test_LB('× 0085 ÷ 0308 × 002F ÷');
Test_LB('× 0085 ÷ 0308 × 0020 × 002F ÷');
Test_LB('× 0085 ÷ 2060 ÷');
Test_LB('× 0085 ÷ 0020 × 2060 ÷');
Test_LB('× 0085 ÷ 0308 × 2060 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 × 2060 ÷');
Test_LB('× 0085 ÷ 200B ÷');
Test_LB('× 0085 ÷ 0020 × 200B ÷');
Test_LB('× 0085 ÷ 0308 × 200B ÷');
Test_LB('× 0085 ÷ 0308 × 0020 × 200B ÷');
Test_LB('× 0085 ÷ 1F1E6 ÷');
Test_LB('× 0085 ÷ 0020 ÷ 1F1E6 ÷');
Test_LB('× 0085 ÷ 0308 ÷ 1F1E6 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0085 ÷ 00A7 ÷');
Test_LB('× 0085 ÷ 0020 ÷ 00A7 ÷');
Test_LB('× 0085 ÷ 0308 × 00A7 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 0085 ÷ 50005 ÷');
Test_LB('× 0085 ÷ 0020 ÷ 50005 ÷');
Test_LB('× 0085 ÷ 0308 × 50005 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 0085 ÷ 0E01 ÷');
Test_LB('× 0085 ÷ 0020 ÷ 0E01 ÷');
Test_LB('× 0085 ÷ 0308 × 0E01 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 0085 ÷ 3041 ÷');
Test_LB('× 0085 ÷ 0020 ÷ 3041 ÷');
Test_LB('× 0085 ÷ 0308 × 3041 ÷');
Test_LB('× 0085 ÷ 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 17D6 ÷ 0023 ÷');
Test_LB('× 17D6 × 0020 ÷ 0023 ÷');
Test_LB('× 17D6 × 0308 ÷ 0023 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 17D6 ÷ 2014 ÷');
Test_LB('× 17D6 × 0020 ÷ 2014 ÷');
Test_LB('× 17D6 × 0308 ÷ 2014 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 17D6 × 0009 ÷');
Test_LB('× 17D6 × 0020 ÷ 0009 ÷');
Test_LB('× 17D6 × 0308 × 0009 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 17D6 ÷ 00B4 ÷');
Test_LB('× 17D6 × 0020 ÷ 00B4 ÷');
Test_LB('× 17D6 × 0308 ÷ 00B4 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 17D6 × 000B ÷');
Test_LB('× 17D6 × 0020 × 000B ÷');
Test_LB('× 17D6 × 0308 × 000B ÷');
Test_LB('× 17D6 × 0308 × 0020 × 000B ÷');
Test_LB('× 17D6 ÷ FFFC ÷');
Test_LB('× 17D6 × 0020 ÷ FFFC ÷');
Test_LB('× 17D6 × 0308 ÷ FFFC ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 17D6 × 007D ÷');
Test_LB('× 17D6 × 0020 × 007D ÷');
Test_LB('× 17D6 × 0308 × 007D ÷');
Test_LB('× 17D6 × 0308 × 0020 × 007D ÷');
Test_LB('× 17D6 × 0029 ÷');
Test_LB('× 17D6 × 0020 × 0029 ÷');
Test_LB('× 17D6 × 0308 × 0029 ÷');
Test_LB('× 17D6 × 0308 × 0020 × 0029 ÷');
Test_LB('× 17D6 × 0001 ÷');
Test_LB('× 17D6 × 0020 ÷ 0001 ÷');
Test_LB('× 17D6 × 0308 × 0001 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 17D6 × 000D ÷');
Test_LB('× 17D6 × 0020 × 000D ÷');
Test_LB('× 17D6 × 0308 × 000D ÷');
Test_LB('× 17D6 × 0308 × 0020 × 000D ÷');
Test_LB('× 17D6 × 0021 ÷');
Test_LB('× 17D6 × 0020 × 0021 ÷');
Test_LB('× 17D6 × 0308 × 0021 ÷');
Test_LB('× 17D6 × 0308 × 0020 × 0021 ÷');
Test_LB('× 17D6 × 00A0 ÷');
Test_LB('× 17D6 × 0020 ÷ 00A0 ÷');
Test_LB('× 17D6 × 0308 × 00A0 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 17D6 ÷ AC00 ÷');
Test_LB('× 17D6 × 0020 ÷ AC00 ÷');
Test_LB('× 17D6 × 0308 ÷ AC00 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 17D6 ÷ AC01 ÷');
Test_LB('× 17D6 × 0020 ÷ AC01 ÷');
Test_LB('× 17D6 × 0308 ÷ AC01 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 17D6 ÷ 05D0 ÷');
Test_LB('× 17D6 × 0020 ÷ 05D0 ÷');
Test_LB('× 17D6 × 0308 ÷ 05D0 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 17D6 × 002D ÷');
Test_LB('× 17D6 × 0020 ÷ 002D ÷');
Test_LB('× 17D6 × 0308 × 002D ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 17D6 ÷ 231A ÷');
Test_LB('× 17D6 × 0020 ÷ 231A ÷');
Test_LB('× 17D6 × 0308 ÷ 231A ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 17D6 ÷ 2024 ÷');
Test_LB('× 17D6 × 0020 ÷ 2024 ÷');
Test_LB('× 17D6 × 0308 ÷ 2024 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 17D6 × 002C ÷');
Test_LB('× 17D6 × 0020 × 002C ÷');
Test_LB('× 17D6 × 0308 × 002C ÷');
Test_LB('× 17D6 × 0308 × 0020 × 002C ÷');
Test_LB('× 17D6 ÷ 1100 ÷');
Test_LB('× 17D6 × 0020 ÷ 1100 ÷');
Test_LB('× 17D6 × 0308 ÷ 1100 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 17D6 ÷ 11A8 ÷');
Test_LB('× 17D6 × 0020 ÷ 11A8 ÷');
Test_LB('× 17D6 × 0308 ÷ 11A8 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 17D6 ÷ 1160 ÷');
Test_LB('× 17D6 × 0020 ÷ 1160 ÷');
Test_LB('× 17D6 × 0308 ÷ 1160 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 17D6 × 000A ÷');
Test_LB('× 17D6 × 0020 × 000A ÷');
Test_LB('× 17D6 × 0308 × 000A ÷');
Test_LB('× 17D6 × 0308 × 0020 × 000A ÷');
Test_LB('× 17D6 × 0085 ÷');
Test_LB('× 17D6 × 0020 × 0085 ÷');
Test_LB('× 17D6 × 0308 × 0085 ÷');
Test_LB('× 17D6 × 0308 × 0020 × 0085 ÷');
Test_LB('× 17D6 × 17D6 ÷');
Test_LB('× 17D6 × 0020 ÷ 17D6 ÷');
Test_LB('× 17D6 × 0308 × 17D6 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 17D6 ÷ 0030 ÷');
Test_LB('× 17D6 × 0020 ÷ 0030 ÷');
Test_LB('× 17D6 × 0308 ÷ 0030 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 17D6 ÷ 0028 ÷');
Test_LB('× 17D6 × 0020 ÷ 0028 ÷');
Test_LB('× 17D6 × 0308 ÷ 0028 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 17D6 ÷ 0025 ÷');
Test_LB('× 17D6 × 0020 ÷ 0025 ÷');
Test_LB('× 17D6 × 0308 ÷ 0025 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 17D6 ÷ 0024 ÷');
Test_LB('× 17D6 × 0020 ÷ 0024 ÷');
Test_LB('× 17D6 × 0308 ÷ 0024 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 17D6 × 0022 ÷');
Test_LB('× 17D6 × 0020 ÷ 0022 ÷');
Test_LB('× 17D6 × 0308 × 0022 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 17D6 × 0020 ÷');
Test_LB('× 17D6 × 0020 × 0020 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷');
Test_LB('× 17D6 × 0308 × 0020 × 0020 ÷');
Test_LB('× 17D6 × 002F ÷');
Test_LB('× 17D6 × 0020 × 002F ÷');
Test_LB('× 17D6 × 0308 × 002F ÷');
Test_LB('× 17D6 × 0308 × 0020 × 002F ÷');
Test_LB('× 17D6 × 2060 ÷');
Test_LB('× 17D6 × 0020 × 2060 ÷');
Test_LB('× 17D6 × 0308 × 2060 ÷');
Test_LB('× 17D6 × 0308 × 0020 × 2060 ÷');
Test_LB('× 17D6 × 200B ÷');
Test_LB('× 17D6 × 0020 × 200B ÷');
Test_LB('× 17D6 × 0308 × 200B ÷');
Test_LB('× 17D6 × 0308 × 0020 × 200B ÷');
Test_LB('× 17D6 ÷ 1F1E6 ÷');
Test_LB('× 17D6 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 17D6 × 0308 ÷ 1F1E6 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 17D6 ÷ 00A7 ÷');
Test_LB('× 17D6 × 0020 ÷ 00A7 ÷');
Test_LB('× 17D6 × 0308 ÷ 00A7 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 17D6 ÷ 50005 ÷');
Test_LB('× 17D6 × 0020 ÷ 50005 ÷');
Test_LB('× 17D6 × 0308 ÷ 50005 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 17D6 ÷ 0E01 ÷');
Test_LB('× 17D6 × 0020 ÷ 0E01 ÷');
Test_LB('× 17D6 × 0308 ÷ 0E01 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 17D6 × 3041 ÷');
Test_LB('× 17D6 × 0020 ÷ 3041 ÷');
Test_LB('× 17D6 × 0308 × 3041 ÷');
Test_LB('× 17D6 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 0030 × 0023 ÷');
Test_LB('× 0030 × 0020 ÷ 0023 ÷');
Test_LB('× 0030 × 0308 × 0023 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 0030 ÷ 2014 ÷');
Test_LB('× 0030 × 0020 ÷ 2014 ÷');
Test_LB('× 0030 × 0308 ÷ 2014 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 0030 × 0009 ÷');
Test_LB('× 0030 × 0020 ÷ 0009 ÷');
Test_LB('× 0030 × 0308 × 0009 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 0030 ÷ 00B4 ÷');
Test_LB('× 0030 × 0020 ÷ 00B4 ÷');
Test_LB('× 0030 × 0308 ÷ 00B4 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 0030 × 000B ÷');
Test_LB('× 0030 × 0020 × 000B ÷');
Test_LB('× 0030 × 0308 × 000B ÷');
Test_LB('× 0030 × 0308 × 0020 × 000B ÷');
Test_LB('× 0030 ÷ FFFC ÷');
Test_LB('× 0030 × 0020 ÷ FFFC ÷');
Test_LB('× 0030 × 0308 ÷ FFFC ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 0030 × 007D ÷');
Test_LB('× 0030 × 0020 × 007D ÷');
Test_LB('× 0030 × 0308 × 007D ÷');
Test_LB('× 0030 × 0308 × 0020 × 007D ÷');
Test_LB('× 0030 × 0029 ÷');
Test_LB('× 0030 × 0020 × 0029 ÷');
Test_LB('× 0030 × 0308 × 0029 ÷');
Test_LB('× 0030 × 0308 × 0020 × 0029 ÷');
Test_LB('× 0030 × 0001 ÷');
Test_LB('× 0030 × 0020 ÷ 0001 ÷');
Test_LB('× 0030 × 0308 × 0001 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 0030 × 000D ÷');
Test_LB('× 0030 × 0020 × 000D ÷');
Test_LB('× 0030 × 0308 × 000D ÷');
Test_LB('× 0030 × 0308 × 0020 × 000D ÷');
Test_LB('× 0030 × 0021 ÷');
Test_LB('× 0030 × 0020 × 0021 ÷');
Test_LB('× 0030 × 0308 × 0021 ÷');
Test_LB('× 0030 × 0308 × 0020 × 0021 ÷');
Test_LB('× 0030 × 00A0 ÷');
Test_LB('× 0030 × 0020 ÷ 00A0 ÷');
Test_LB('× 0030 × 0308 × 00A0 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 0030 ÷ AC00 ÷');
Test_LB('× 0030 × 0020 ÷ AC00 ÷');
Test_LB('× 0030 × 0308 ÷ AC00 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 0030 ÷ AC01 ÷');
Test_LB('× 0030 × 0020 ÷ AC01 ÷');
Test_LB('× 0030 × 0308 ÷ AC01 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 0030 × 05D0 ÷');
Test_LB('× 0030 × 0020 ÷ 05D0 ÷');
Test_LB('× 0030 × 0308 × 05D0 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 0030 × 002D ÷');
Test_LB('× 0030 × 0020 ÷ 002D ÷');
Test_LB('× 0030 × 0308 × 002D ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 0030 ÷ 231A ÷');
Test_LB('× 0030 × 0020 ÷ 231A ÷');
Test_LB('× 0030 × 0308 ÷ 231A ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 0030 × 2024 ÷');
Test_LB('× 0030 × 0020 ÷ 2024 ÷');
Test_LB('× 0030 × 0308 × 2024 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 0030 × 002C ÷');
Test_LB('× 0030 × 0020 × 002C ÷');
Test_LB('× 0030 × 0308 × 002C ÷');
Test_LB('× 0030 × 0308 × 0020 × 002C ÷');
Test_LB('× 0030 ÷ 1100 ÷');
Test_LB('× 0030 × 0020 ÷ 1100 ÷');
Test_LB('× 0030 × 0308 ÷ 1100 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 0030 ÷ 11A8 ÷');
Test_LB('× 0030 × 0020 ÷ 11A8 ÷');
Test_LB('× 0030 × 0308 ÷ 11A8 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 0030 ÷ 1160 ÷');
Test_LB('× 0030 × 0020 ÷ 1160 ÷');
Test_LB('× 0030 × 0308 ÷ 1160 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 0030 × 000A ÷');
Test_LB('× 0030 × 0020 × 000A ÷');
Test_LB('× 0030 × 0308 × 000A ÷');
Test_LB('× 0030 × 0308 × 0020 × 000A ÷');
Test_LB('× 0030 × 0085 ÷');
Test_LB('× 0030 × 0020 × 0085 ÷');
Test_LB('× 0030 × 0308 × 0085 ÷');
Test_LB('× 0030 × 0308 × 0020 × 0085 ÷');
Test_LB('× 0030 × 17D6 ÷');
Test_LB('× 0030 × 0020 ÷ 17D6 ÷');
Test_LB('× 0030 × 0308 × 17D6 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 0030 × 0030 ÷');
Test_LB('× 0030 × 0020 ÷ 0030 ÷');
Test_LB('× 0030 × 0308 × 0030 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 0030 × 0028 ÷');
Test_LB('× 0030 × 0020 ÷ 0028 ÷');
Test_LB('× 0030 × 0308 × 0028 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 0030 × 0025 ÷');
Test_LB('× 0030 × 0020 ÷ 0025 ÷');
Test_LB('× 0030 × 0308 × 0025 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 0030 × 0024 ÷');
Test_LB('× 0030 × 0020 ÷ 0024 ÷');
Test_LB('× 0030 × 0308 × 0024 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 0030 × 0022 ÷');
Test_LB('× 0030 × 0020 ÷ 0022 ÷');
Test_LB('× 0030 × 0308 × 0022 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 0030 × 0020 ÷');
Test_LB('× 0030 × 0020 × 0020 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷');
Test_LB('× 0030 × 0308 × 0020 × 0020 ÷');
Test_LB('× 0030 × 002F ÷');
Test_LB('× 0030 × 0020 × 002F ÷');
Test_LB('× 0030 × 0308 × 002F ÷');
Test_LB('× 0030 × 0308 × 0020 × 002F ÷');
Test_LB('× 0030 × 2060 ÷');
Test_LB('× 0030 × 0020 × 2060 ÷');
Test_LB('× 0030 × 0308 × 2060 ÷');
Test_LB('× 0030 × 0308 × 0020 × 2060 ÷');
Test_LB('× 0030 × 200B ÷');
Test_LB('× 0030 × 0020 × 200B ÷');
Test_LB('× 0030 × 0308 × 200B ÷');
Test_LB('× 0030 × 0308 × 0020 × 200B ÷');
Test_LB('× 0030 ÷ 1F1E6 ÷');
Test_LB('× 0030 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0030 × 0308 ÷ 1F1E6 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0030 × 00A7 ÷');
Test_LB('× 0030 × 0020 ÷ 00A7 ÷');
Test_LB('× 0030 × 0308 × 00A7 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 0030 × 50005 ÷');
Test_LB('× 0030 × 0020 ÷ 50005 ÷');
Test_LB('× 0030 × 0308 × 50005 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 0030 × 0E01 ÷');
Test_LB('× 0030 × 0020 ÷ 0E01 ÷');
Test_LB('× 0030 × 0308 × 0E01 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 0030 × 3041 ÷');
Test_LB('× 0030 × 0020 ÷ 3041 ÷');
Test_LB('× 0030 × 0308 × 3041 ÷');
Test_LB('× 0030 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 0028 × 0023 ÷');
Test_LB('× 0028 × 0020 × 0023 ÷');
Test_LB('× 0028 × 0308 × 0023 ÷');
Test_LB('× 0028 × 0308 × 0020 × 0023 ÷');
Test_LB('× 0028 × 2014 ÷');
Test_LB('× 0028 × 0020 × 2014 ÷');
Test_LB('× 0028 × 0308 × 2014 ÷');
Test_LB('× 0028 × 0308 × 0020 × 2014 ÷');
Test_LB('× 0028 × 0009 ÷');
Test_LB('× 0028 × 0020 × 0009 ÷');
Test_LB('× 0028 × 0308 × 0009 ÷');
Test_LB('× 0028 × 0308 × 0020 × 0009 ÷');
Test_LB('× 0028 × 00B4 ÷');
Test_LB('× 0028 × 0020 × 00B4 ÷');
Test_LB('× 0028 × 0308 × 00B4 ÷');
Test_LB('× 0028 × 0308 × 0020 × 00B4 ÷');
Test_LB('× 0028 × 000B ÷');
Test_LB('× 0028 × 0020 × 000B ÷');
Test_LB('× 0028 × 0308 × 000B ÷');
Test_LB('× 0028 × 0308 × 0020 × 000B ÷');
Test_LB('× 0028 × FFFC ÷');
Test_LB('× 0028 × 0020 × FFFC ÷');
Test_LB('× 0028 × 0308 × FFFC ÷');
Test_LB('× 0028 × 0308 × 0020 × FFFC ÷');
Test_LB('× 0028 × 007D ÷');
Test_LB('× 0028 × 0020 × 007D ÷');
Test_LB('× 0028 × 0308 × 007D ÷');
Test_LB('× 0028 × 0308 × 0020 × 007D ÷');
Test_LB('× 0028 × 0029 ÷');
Test_LB('× 0028 × 0020 × 0029 ÷');
Test_LB('× 0028 × 0308 × 0029 ÷');
Test_LB('× 0028 × 0308 × 0020 × 0029 ÷');
Test_LB('× 0028 × 0001 ÷');
Test_LB('× 0028 × 0020 × 0001 ÷');
Test_LB('× 0028 × 0308 × 0001 ÷');
Test_LB('× 0028 × 0308 × 0020 × 0001 ÷');
Test_LB('× 0028 × 000D ÷');
Test_LB('× 0028 × 0020 × 000D ÷');
Test_LB('× 0028 × 0308 × 000D ÷');
Test_LB('× 0028 × 0308 × 0020 × 000D ÷');
Test_LB('× 0028 × 0021 ÷');
Test_LB('× 0028 × 0020 × 0021 ÷');
Test_LB('× 0028 × 0308 × 0021 ÷');
Test_LB('× 0028 × 0308 × 0020 × 0021 ÷');
Test_LB('× 0028 × 00A0 ÷');
Test_LB('× 0028 × 0020 × 00A0 ÷');
Test_LB('× 0028 × 0308 × 00A0 ÷');
Test_LB('× 0028 × 0308 × 0020 × 00A0 ÷');
Test_LB('× 0028 × AC00 ÷');
Test_LB('× 0028 × 0020 × AC00 ÷');
Test_LB('× 0028 × 0308 × AC00 ÷');
Test_LB('× 0028 × 0308 × 0020 × AC00 ÷');
Test_LB('× 0028 × AC01 ÷');
Test_LB('× 0028 × 0020 × AC01 ÷');
Test_LB('× 0028 × 0308 × AC01 ÷');
Test_LB('× 0028 × 0308 × 0020 × AC01 ÷');
Test_LB('× 0028 × 05D0 ÷');
Test_LB('× 0028 × 0020 × 05D0 ÷');
Test_LB('× 0028 × 0308 × 05D0 ÷');
Test_LB('× 0028 × 0308 × 0020 × 05D0 ÷');
Test_LB('× 0028 × 002D ÷');
Test_LB('× 0028 × 0020 × 002D ÷');
Test_LB('× 0028 × 0308 × 002D ÷');
Test_LB('× 0028 × 0308 × 0020 × 002D ÷');
Test_LB('× 0028 × 231A ÷');
Test_LB('× 0028 × 0020 × 231A ÷');
Test_LB('× 0028 × 0308 × 231A ÷');
Test_LB('× 0028 × 0308 × 0020 × 231A ÷');
Test_LB('× 0028 × 2024 ÷');
Test_LB('× 0028 × 0020 × 2024 ÷');
Test_LB('× 0028 × 0308 × 2024 ÷');
Test_LB('× 0028 × 0308 × 0020 × 2024 ÷');
Test_LB('× 0028 × 002C ÷');
Test_LB('× 0028 × 0020 × 002C ÷');
Test_LB('× 0028 × 0308 × 002C ÷');
Test_LB('× 0028 × 0308 × 0020 × 002C ÷');
Test_LB('× 0028 × 1100 ÷');
Test_LB('× 0028 × 0020 × 1100 ÷');
Test_LB('× 0028 × 0308 × 1100 ÷');
Test_LB('× 0028 × 0308 × 0020 × 1100 ÷');
Test_LB('× 0028 × 11A8 ÷');
Test_LB('× 0028 × 0020 × 11A8 ÷');
Test_LB('× 0028 × 0308 × 11A8 ÷');
Test_LB('× 0028 × 0308 × 0020 × 11A8 ÷');
Test_LB('× 0028 × 1160 ÷');
Test_LB('× 0028 × 0020 × 1160 ÷');
Test_LB('× 0028 × 0308 × 1160 ÷');
Test_LB('× 0028 × 0308 × 0020 × 1160 ÷');
Test_LB('× 0028 × 000A ÷');
Test_LB('× 0028 × 0020 × 000A ÷');
Test_LB('× 0028 × 0308 × 000A ÷');
Test_LB('× 0028 × 0308 × 0020 × 000A ÷');
Test_LB('× 0028 × 0085 ÷');
Test_LB('× 0028 × 0020 × 0085 ÷');
Test_LB('× 0028 × 0308 × 0085 ÷');
Test_LB('× 0028 × 0308 × 0020 × 0085 ÷');
Test_LB('× 0028 × 17D6 ÷');
Test_LB('× 0028 × 0020 × 17D6 ÷');
Test_LB('× 0028 × 0308 × 17D6 ÷');
Test_LB('× 0028 × 0308 × 0020 × 17D6 ÷');
Test_LB('× 0028 × 0030 ÷');
Test_LB('× 0028 × 0020 × 0030 ÷');
Test_LB('× 0028 × 0308 × 0030 ÷');
Test_LB('× 0028 × 0308 × 0020 × 0030 ÷');
Test_LB('× 0028 × 0028 ÷');
Test_LB('× 0028 × 0020 × 0028 ÷');
Test_LB('× 0028 × 0308 × 0028 ÷');
Test_LB('× 0028 × 0308 × 0020 × 0028 ÷');
Test_LB('× 0028 × 0025 ÷');
Test_LB('× 0028 × 0020 × 0025 ÷');
Test_LB('× 0028 × 0308 × 0025 ÷');
Test_LB('× 0028 × 0308 × 0020 × 0025 ÷');
Test_LB('× 0028 × 0024 ÷');
Test_LB('× 0028 × 0020 × 0024 ÷');
Test_LB('× 0028 × 0308 × 0024 ÷');
Test_LB('× 0028 × 0308 × 0020 × 0024 ÷');
Test_LB('× 0028 × 0022 ÷');
Test_LB('× 0028 × 0020 × 0022 ÷');
Test_LB('× 0028 × 0308 × 0022 ÷');
Test_LB('× 0028 × 0308 × 0020 × 0022 ÷');
Test_LB('× 0028 × 0020 ÷');
Test_LB('× 0028 × 0020 × 0020 ÷');
Test_LB('× 0028 × 0308 × 0020 ÷');
Test_LB('× 0028 × 0308 × 0020 × 0020 ÷');
Test_LB('× 0028 × 002F ÷');
Test_LB('× 0028 × 0020 × 002F ÷');
Test_LB('× 0028 × 0308 × 002F ÷');
Test_LB('× 0028 × 0308 × 0020 × 002F ÷');
Test_LB('× 0028 × 2060 ÷');
Test_LB('× 0028 × 0020 × 2060 ÷');
Test_LB('× 0028 × 0308 × 2060 ÷');
Test_LB('× 0028 × 0308 × 0020 × 2060 ÷');
Test_LB('× 0028 × 200B ÷');
Test_LB('× 0028 × 0020 × 200B ÷');
Test_LB('× 0028 × 0308 × 200B ÷');
Test_LB('× 0028 × 0308 × 0020 × 200B ÷');
Test_LB('× 0028 × 1F1E6 ÷');
Test_LB('× 0028 × 0020 × 1F1E6 ÷');
Test_LB('× 0028 × 0308 × 1F1E6 ÷');
Test_LB('× 0028 × 0308 × 0020 × 1F1E6 ÷');
Test_LB('× 0028 × 00A7 ÷');
Test_LB('× 0028 × 0020 × 00A7 ÷');
Test_LB('× 0028 × 0308 × 00A7 ÷');
Test_LB('× 0028 × 0308 × 0020 × 00A7 ÷');
Test_LB('× 0028 × 50005 ÷');
Test_LB('× 0028 × 0020 × 50005 ÷');
Test_LB('× 0028 × 0308 × 50005 ÷');
Test_LB('× 0028 × 0308 × 0020 × 50005 ÷');
Test_LB('× 0028 × 0E01 ÷');
Test_LB('× 0028 × 0020 × 0E01 ÷');
Test_LB('× 0028 × 0308 × 0E01 ÷');
Test_LB('× 0028 × 0308 × 0020 × 0E01 ÷');
Test_LB('× 0028 × 3041 ÷');
Test_LB('× 0028 × 0020 × 3041 ÷');
Test_LB('× 0028 × 0308 × 3041 ÷');
Test_LB('× 0028 × 0308 × 0020 × 3041 ÷');
Test_LB('× 0025 × 0023 ÷');
Test_LB('× 0025 × 0020 ÷ 0023 ÷');
Test_LB('× 0025 × 0308 × 0023 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 0025 ÷ 2014 ÷');
Test_LB('× 0025 × 0020 ÷ 2014 ÷');
Test_LB('× 0025 × 0308 ÷ 2014 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 0025 × 0009 ÷');
Test_LB('× 0025 × 0020 ÷ 0009 ÷');
Test_LB('× 0025 × 0308 × 0009 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 0025 ÷ 00B4 ÷');
Test_LB('× 0025 × 0020 ÷ 00B4 ÷');
Test_LB('× 0025 × 0308 ÷ 00B4 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 0025 × 000B ÷');
Test_LB('× 0025 × 0020 × 000B ÷');
Test_LB('× 0025 × 0308 × 000B ÷');
Test_LB('× 0025 × 0308 × 0020 × 000B ÷');
Test_LB('× 0025 ÷ FFFC ÷');
Test_LB('× 0025 × 0020 ÷ FFFC ÷');
Test_LB('× 0025 × 0308 ÷ FFFC ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 0025 × 007D ÷');
Test_LB('× 0025 × 0020 × 007D ÷');
Test_LB('× 0025 × 0308 × 007D ÷');
Test_LB('× 0025 × 0308 × 0020 × 007D ÷');
Test_LB('× 0025 × 0029 ÷');
Test_LB('× 0025 × 0020 × 0029 ÷');
Test_LB('× 0025 × 0308 × 0029 ÷');
Test_LB('× 0025 × 0308 × 0020 × 0029 ÷');
Test_LB('× 0025 × 0001 ÷');
Test_LB('× 0025 × 0020 ÷ 0001 ÷');
Test_LB('× 0025 × 0308 × 0001 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 0025 × 000D ÷');
Test_LB('× 0025 × 0020 × 000D ÷');
Test_LB('× 0025 × 0308 × 000D ÷');
Test_LB('× 0025 × 0308 × 0020 × 000D ÷');
Test_LB('× 0025 × 0021 ÷');
Test_LB('× 0025 × 0020 × 0021 ÷');
Test_LB('× 0025 × 0308 × 0021 ÷');
Test_LB('× 0025 × 0308 × 0020 × 0021 ÷');
Test_LB('× 0025 × 00A0 ÷');
Test_LB('× 0025 × 0020 ÷ 00A0 ÷');
Test_LB('× 0025 × 0308 × 00A0 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 0025 ÷ AC00 ÷');
Test_LB('× 0025 × 0020 ÷ AC00 ÷');
Test_LB('× 0025 × 0308 ÷ AC00 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 0025 ÷ AC01 ÷');
Test_LB('× 0025 × 0020 ÷ AC01 ÷');
Test_LB('× 0025 × 0308 ÷ AC01 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 0025 × 05D0 ÷');
Test_LB('× 0025 × 0020 ÷ 05D0 ÷');
Test_LB('× 0025 × 0308 × 05D0 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 0025 × 002D ÷');
Test_LB('× 0025 × 0020 ÷ 002D ÷');
Test_LB('× 0025 × 0308 × 002D ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 0025 ÷ 231A ÷');
Test_LB('× 0025 × 0020 ÷ 231A ÷');
Test_LB('× 0025 × 0308 ÷ 231A ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 0025 ÷ 2024 ÷');
Test_LB('× 0025 × 0020 ÷ 2024 ÷');
Test_LB('× 0025 × 0308 ÷ 2024 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 0025 × 002C ÷');
Test_LB('× 0025 × 0020 × 002C ÷');
Test_LB('× 0025 × 0308 × 002C ÷');
Test_LB('× 0025 × 0308 × 0020 × 002C ÷');
Test_LB('× 0025 ÷ 1100 ÷');
Test_LB('× 0025 × 0020 ÷ 1100 ÷');
Test_LB('× 0025 × 0308 ÷ 1100 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 0025 ÷ 11A8 ÷');
Test_LB('× 0025 × 0020 ÷ 11A8 ÷');
Test_LB('× 0025 × 0308 ÷ 11A8 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 0025 ÷ 1160 ÷');
Test_LB('× 0025 × 0020 ÷ 1160 ÷');
Test_LB('× 0025 × 0308 ÷ 1160 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 0025 × 000A ÷');
Test_LB('× 0025 × 0020 × 000A ÷');
Test_LB('× 0025 × 0308 × 000A ÷');
Test_LB('× 0025 × 0308 × 0020 × 000A ÷');
Test_LB('× 0025 × 0085 ÷');
Test_LB('× 0025 × 0020 × 0085 ÷');
Test_LB('× 0025 × 0308 × 0085 ÷');
Test_LB('× 0025 × 0308 × 0020 × 0085 ÷');
Test_LB('× 0025 × 17D6 ÷');
Test_LB('× 0025 × 0020 ÷ 17D6 ÷');
Test_LB('× 0025 × 0308 × 17D6 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 0025 × 0030 ÷');
Test_LB('× 0025 × 0020 ÷ 0030 ÷');
Test_LB('× 0025 × 0308 × 0030 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 0025 ÷ 0028 ÷');
Test_LB('× 0025 × 0020 ÷ 0028 ÷');
Test_LB('× 0025 × 0308 ÷ 0028 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 0025 ÷ 0025 ÷');
Test_LB('× 0025 × 0020 ÷ 0025 ÷');
Test_LB('× 0025 × 0308 ÷ 0025 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 0025 ÷ 0024 ÷');
Test_LB('× 0025 × 0020 ÷ 0024 ÷');
Test_LB('× 0025 × 0308 ÷ 0024 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 0025 × 0022 ÷');
Test_LB('× 0025 × 0020 ÷ 0022 ÷');
Test_LB('× 0025 × 0308 × 0022 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 0025 × 0020 ÷');
Test_LB('× 0025 × 0020 × 0020 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷');
Test_LB('× 0025 × 0308 × 0020 × 0020 ÷');
Test_LB('× 0025 × 002F ÷');
Test_LB('× 0025 × 0020 × 002F ÷');
Test_LB('× 0025 × 0308 × 002F ÷');
Test_LB('× 0025 × 0308 × 0020 × 002F ÷');
Test_LB('× 0025 × 2060 ÷');
Test_LB('× 0025 × 0020 × 2060 ÷');
Test_LB('× 0025 × 0308 × 2060 ÷');
Test_LB('× 0025 × 0308 × 0020 × 2060 ÷');
Test_LB('× 0025 × 200B ÷');
Test_LB('× 0025 × 0020 × 200B ÷');
Test_LB('× 0025 × 0308 × 200B ÷');
Test_LB('× 0025 × 0308 × 0020 × 200B ÷');
Test_LB('× 0025 ÷ 1F1E6 ÷');
Test_LB('× 0025 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0025 × 0308 ÷ 1F1E6 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0025 × 00A7 ÷');
Test_LB('× 0025 × 0020 ÷ 00A7 ÷');
Test_LB('× 0025 × 0308 × 00A7 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 0025 × 50005 ÷');
Test_LB('× 0025 × 0020 ÷ 50005 ÷');
Test_LB('× 0025 × 0308 × 50005 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 0025 × 0E01 ÷');
Test_LB('× 0025 × 0020 ÷ 0E01 ÷');
Test_LB('× 0025 × 0308 × 0E01 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 0025 × 3041 ÷');
Test_LB('× 0025 × 0020 ÷ 3041 ÷');
Test_LB('× 0025 × 0308 × 3041 ÷');
Test_LB('× 0025 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 0024 × 0023 ÷');
Test_LB('× 0024 × 0020 ÷ 0023 ÷');
Test_LB('× 0024 × 0308 × 0023 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 0024 ÷ 2014 ÷');
Test_LB('× 0024 × 0020 ÷ 2014 ÷');
Test_LB('× 0024 × 0308 ÷ 2014 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 0024 × 0009 ÷');
Test_LB('× 0024 × 0020 ÷ 0009 ÷');
Test_LB('× 0024 × 0308 × 0009 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 0024 ÷ 00B4 ÷');
Test_LB('× 0024 × 0020 ÷ 00B4 ÷');
Test_LB('× 0024 × 0308 ÷ 00B4 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 0024 × 000B ÷');
Test_LB('× 0024 × 0020 × 000B ÷');
Test_LB('× 0024 × 0308 × 000B ÷');
Test_LB('× 0024 × 0308 × 0020 × 000B ÷');
Test_LB('× 0024 ÷ FFFC ÷');
Test_LB('× 0024 × 0020 ÷ FFFC ÷');
Test_LB('× 0024 × 0308 ÷ FFFC ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 0024 × 007D ÷');
Test_LB('× 0024 × 0020 × 007D ÷');
Test_LB('× 0024 × 0308 × 007D ÷');
Test_LB('× 0024 × 0308 × 0020 × 007D ÷');
Test_LB('× 0024 × 0029 ÷');
Test_LB('× 0024 × 0020 × 0029 ÷');
Test_LB('× 0024 × 0308 × 0029 ÷');
Test_LB('× 0024 × 0308 × 0020 × 0029 ÷');
Test_LB('× 0024 × 0001 ÷');
Test_LB('× 0024 × 0020 ÷ 0001 ÷');
Test_LB('× 0024 × 0308 × 0001 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 0024 × 000D ÷');
Test_LB('× 0024 × 0020 × 000D ÷');
Test_LB('× 0024 × 0308 × 000D ÷');
Test_LB('× 0024 × 0308 × 0020 × 000D ÷');
Test_LB('× 0024 × 0021 ÷');
Test_LB('× 0024 × 0020 × 0021 ÷');
Test_LB('× 0024 × 0308 × 0021 ÷');
Test_LB('× 0024 × 0308 × 0020 × 0021 ÷');
Test_LB('× 0024 × 00A0 ÷');
Test_LB('× 0024 × 0020 ÷ 00A0 ÷');
Test_LB('× 0024 × 0308 × 00A0 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 0024 × AC00 ÷');
Test_LB('× 0024 × 0020 ÷ AC00 ÷');
Test_LB('× 0024 × 0308 × AC00 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 0024 × AC01 ÷');
Test_LB('× 0024 × 0020 ÷ AC01 ÷');
Test_LB('× 0024 × 0308 × AC01 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 0024 × 05D0 ÷');
Test_LB('× 0024 × 0020 ÷ 05D0 ÷');
Test_LB('× 0024 × 0308 × 05D0 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 0024 × 002D ÷');
Test_LB('× 0024 × 0020 ÷ 002D ÷');
Test_LB('× 0024 × 0308 × 002D ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 0024 × 231A ÷');
Test_LB('× 0024 × 0020 ÷ 231A ÷');
Test_LB('× 0024 × 0308 × 231A ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 0024 ÷ 2024 ÷');
Test_LB('× 0024 × 0020 ÷ 2024 ÷');
Test_LB('× 0024 × 0308 ÷ 2024 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 0024 × 002C ÷');
Test_LB('× 0024 × 0020 × 002C ÷');
Test_LB('× 0024 × 0308 × 002C ÷');
Test_LB('× 0024 × 0308 × 0020 × 002C ÷');
Test_LB('× 0024 × 1100 ÷');
Test_LB('× 0024 × 0020 ÷ 1100 ÷');
Test_LB('× 0024 × 0308 × 1100 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 0024 × 11A8 ÷');
Test_LB('× 0024 × 0020 ÷ 11A8 ÷');
Test_LB('× 0024 × 0308 × 11A8 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 0024 × 1160 ÷');
Test_LB('× 0024 × 0020 ÷ 1160 ÷');
Test_LB('× 0024 × 0308 × 1160 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 0024 × 000A ÷');
Test_LB('× 0024 × 0020 × 000A ÷');
Test_LB('× 0024 × 0308 × 000A ÷');
Test_LB('× 0024 × 0308 × 0020 × 000A ÷');
Test_LB('× 0024 × 0085 ÷');
Test_LB('× 0024 × 0020 × 0085 ÷');
Test_LB('× 0024 × 0308 × 0085 ÷');
Test_LB('× 0024 × 0308 × 0020 × 0085 ÷');
Test_LB('× 0024 × 17D6 ÷');
Test_LB('× 0024 × 0020 ÷ 17D6 ÷');
Test_LB('× 0024 × 0308 × 17D6 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 0024 × 0030 ÷');
Test_LB('× 0024 × 0020 ÷ 0030 ÷');
Test_LB('× 0024 × 0308 × 0030 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 0024 ÷ 0028 ÷');
Test_LB('× 0024 × 0020 ÷ 0028 ÷');
Test_LB('× 0024 × 0308 ÷ 0028 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 0024 ÷ 0025 ÷');
Test_LB('× 0024 × 0020 ÷ 0025 ÷');
Test_LB('× 0024 × 0308 ÷ 0025 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 0024 ÷ 0024 ÷');
Test_LB('× 0024 × 0020 ÷ 0024 ÷');
Test_LB('× 0024 × 0308 ÷ 0024 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 0024 × 0022 ÷');
Test_LB('× 0024 × 0020 ÷ 0022 ÷');
Test_LB('× 0024 × 0308 × 0022 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 0024 × 0020 ÷');
Test_LB('× 0024 × 0020 × 0020 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷');
Test_LB('× 0024 × 0308 × 0020 × 0020 ÷');
Test_LB('× 0024 × 002F ÷');
Test_LB('× 0024 × 0020 × 002F ÷');
Test_LB('× 0024 × 0308 × 002F ÷');
Test_LB('× 0024 × 0308 × 0020 × 002F ÷');
Test_LB('× 0024 × 2060 ÷');
Test_LB('× 0024 × 0020 × 2060 ÷');
Test_LB('× 0024 × 0308 × 2060 ÷');
Test_LB('× 0024 × 0308 × 0020 × 2060 ÷');
Test_LB('× 0024 × 200B ÷');
Test_LB('× 0024 × 0020 × 200B ÷');
Test_LB('× 0024 × 0308 × 200B ÷');
Test_LB('× 0024 × 0308 × 0020 × 200B ÷');
Test_LB('× 0024 ÷ 1F1E6 ÷');
Test_LB('× 0024 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0024 × 0308 ÷ 1F1E6 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0024 × 00A7 ÷');
Test_LB('× 0024 × 0020 ÷ 00A7 ÷');
Test_LB('× 0024 × 0308 × 00A7 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 0024 × 50005 ÷');
Test_LB('× 0024 × 0020 ÷ 50005 ÷');
Test_LB('× 0024 × 0308 × 50005 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 0024 × 0E01 ÷');
Test_LB('× 0024 × 0020 ÷ 0E01 ÷');
Test_LB('× 0024 × 0308 × 0E01 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 0024 × 3041 ÷');
Test_LB('× 0024 × 0020 ÷ 3041 ÷');
Test_LB('× 0024 × 0308 × 3041 ÷');
Test_LB('× 0024 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 0022 × 0023 ÷');
Test_LB('× 0022 × 0020 ÷ 0023 ÷');
Test_LB('× 0022 × 0308 × 0023 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 0022 × 2014 ÷');
Test_LB('× 0022 × 0020 ÷ 2014 ÷');
Test_LB('× 0022 × 0308 × 2014 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 0022 × 0009 ÷');
Test_LB('× 0022 × 0020 ÷ 0009 ÷');
Test_LB('× 0022 × 0308 × 0009 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 0022 × 00B4 ÷');
Test_LB('× 0022 × 0020 ÷ 00B4 ÷');
Test_LB('× 0022 × 0308 × 00B4 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 0022 × 000B ÷');
Test_LB('× 0022 × 0020 × 000B ÷');
Test_LB('× 0022 × 0308 × 000B ÷');
Test_LB('× 0022 × 0308 × 0020 × 000B ÷');
Test_LB('× 0022 × FFFC ÷');
Test_LB('× 0022 × 0020 ÷ FFFC ÷');
Test_LB('× 0022 × 0308 × FFFC ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 0022 × 007D ÷');
Test_LB('× 0022 × 0020 × 007D ÷');
Test_LB('× 0022 × 0308 × 007D ÷');
Test_LB('× 0022 × 0308 × 0020 × 007D ÷');
Test_LB('× 0022 × 0029 ÷');
Test_LB('× 0022 × 0020 × 0029 ÷');
Test_LB('× 0022 × 0308 × 0029 ÷');
Test_LB('× 0022 × 0308 × 0020 × 0029 ÷');
Test_LB('× 0022 × 0001 ÷');
Test_LB('× 0022 × 0020 ÷ 0001 ÷');
Test_LB('× 0022 × 0308 × 0001 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 0022 × 000D ÷');
Test_LB('× 0022 × 0020 × 000D ÷');
Test_LB('× 0022 × 0308 × 000D ÷');
Test_LB('× 0022 × 0308 × 0020 × 000D ÷');
Test_LB('× 0022 × 0021 ÷');
Test_LB('× 0022 × 0020 × 0021 ÷');
Test_LB('× 0022 × 0308 × 0021 ÷');
Test_LB('× 0022 × 0308 × 0020 × 0021 ÷');
Test_LB('× 0022 × 00A0 ÷');
Test_LB('× 0022 × 0020 ÷ 00A0 ÷');
Test_LB('× 0022 × 0308 × 00A0 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 0022 × AC00 ÷');
Test_LB('× 0022 × 0020 ÷ AC00 ÷');
Test_LB('× 0022 × 0308 × AC00 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 0022 × AC01 ÷');
Test_LB('× 0022 × 0020 ÷ AC01 ÷');
Test_LB('× 0022 × 0308 × AC01 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 0022 × 05D0 ÷');
Test_LB('× 0022 × 0020 ÷ 05D0 ÷');
Test_LB('× 0022 × 0308 × 05D0 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 0022 × 002D ÷');
Test_LB('× 0022 × 0020 ÷ 002D ÷');
Test_LB('× 0022 × 0308 × 002D ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 0022 × 231A ÷');
Test_LB('× 0022 × 0020 ÷ 231A ÷');
Test_LB('× 0022 × 0308 × 231A ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 0022 × 2024 ÷');
Test_LB('× 0022 × 0020 ÷ 2024 ÷');
Test_LB('× 0022 × 0308 × 2024 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 0022 × 002C ÷');
Test_LB('× 0022 × 0020 × 002C ÷');
Test_LB('× 0022 × 0308 × 002C ÷');
Test_LB('× 0022 × 0308 × 0020 × 002C ÷');
Test_LB('× 0022 × 1100 ÷');
Test_LB('× 0022 × 0020 ÷ 1100 ÷');
Test_LB('× 0022 × 0308 × 1100 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 0022 × 11A8 ÷');
Test_LB('× 0022 × 0020 ÷ 11A8 ÷');
Test_LB('× 0022 × 0308 × 11A8 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 0022 × 1160 ÷');
Test_LB('× 0022 × 0020 ÷ 1160 ÷');
Test_LB('× 0022 × 0308 × 1160 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 0022 × 000A ÷');
Test_LB('× 0022 × 0020 × 000A ÷');
Test_LB('× 0022 × 0308 × 000A ÷');
Test_LB('× 0022 × 0308 × 0020 × 000A ÷');
Test_LB('× 0022 × 0085 ÷');
Test_LB('× 0022 × 0020 × 0085 ÷');
Test_LB('× 0022 × 0308 × 0085 ÷');
Test_LB('× 0022 × 0308 × 0020 × 0085 ÷');
Test_LB('× 0022 × 17D6 ÷');
Test_LB('× 0022 × 0020 ÷ 17D6 ÷');
Test_LB('× 0022 × 0308 × 17D6 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 0022 × 0030 ÷');
Test_LB('× 0022 × 0020 ÷ 0030 ÷');
Test_LB('× 0022 × 0308 × 0030 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 0022 × 0028 ÷');
Test_LB('× 0022 × 0020 × 0028 ÷');
Test_LB('× 0022 × 0308 × 0028 ÷');
Test_LB('× 0022 × 0308 × 0020 × 0028 ÷');
Test_LB('× 0022 × 0025 ÷');
Test_LB('× 0022 × 0020 ÷ 0025 ÷');
Test_LB('× 0022 × 0308 × 0025 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 0022 × 0024 ÷');
Test_LB('× 0022 × 0020 ÷ 0024 ÷');
Test_LB('× 0022 × 0308 × 0024 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 0022 × 0022 ÷');
Test_LB('× 0022 × 0020 ÷ 0022 ÷');
Test_LB('× 0022 × 0308 × 0022 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 0022 × 0020 ÷');
Test_LB('× 0022 × 0020 × 0020 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷');
Test_LB('× 0022 × 0308 × 0020 × 0020 ÷');
Test_LB('× 0022 × 002F ÷');
Test_LB('× 0022 × 0020 × 002F ÷');
Test_LB('× 0022 × 0308 × 002F ÷');
Test_LB('× 0022 × 0308 × 0020 × 002F ÷');
Test_LB('× 0022 × 2060 ÷');
Test_LB('× 0022 × 0020 × 2060 ÷');
Test_LB('× 0022 × 0308 × 2060 ÷');
Test_LB('× 0022 × 0308 × 0020 × 2060 ÷');
Test_LB('× 0022 × 200B ÷');
Test_LB('× 0022 × 0020 × 200B ÷');
Test_LB('× 0022 × 0308 × 200B ÷');
Test_LB('× 0022 × 0308 × 0020 × 200B ÷');
Test_LB('× 0022 × 1F1E6 ÷');
Test_LB('× 0022 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0022 × 0308 × 1F1E6 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0022 × 00A7 ÷');
Test_LB('× 0022 × 0020 ÷ 00A7 ÷');
Test_LB('× 0022 × 0308 × 00A7 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 0022 × 50005 ÷');
Test_LB('× 0022 × 0020 ÷ 50005 ÷');
Test_LB('× 0022 × 0308 × 50005 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 0022 × 0E01 ÷');
Test_LB('× 0022 × 0020 ÷ 0E01 ÷');
Test_LB('× 0022 × 0308 × 0E01 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 0022 × 3041 ÷');
Test_LB('× 0022 × 0020 ÷ 3041 ÷');
Test_LB('× 0022 × 0308 × 3041 ÷');
Test_LB('× 0022 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 0020 ÷ 0023 ÷');
Test_LB('× 0020 × 0020 ÷ 0023 ÷');
Test_LB('× 0020 ÷ 0308 × 0023 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 0020 ÷ 2014 ÷');
Test_LB('× 0020 × 0020 ÷ 2014 ÷');
Test_LB('× 0020 ÷ 0308 ÷ 2014 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 0020 ÷ 0009 ÷');
Test_LB('× 0020 × 0020 ÷ 0009 ÷');
Test_LB('× 0020 ÷ 0308 × 0009 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 0020 ÷ 00B4 ÷');
Test_LB('× 0020 × 0020 ÷ 00B4 ÷');
Test_LB('× 0020 ÷ 0308 ÷ 00B4 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 0020 × 000B ÷');
Test_LB('× 0020 × 0020 × 000B ÷');
Test_LB('× 0020 ÷ 0308 × 000B ÷');
Test_LB('× 0020 ÷ 0308 × 0020 × 000B ÷');
Test_LB('× 0020 ÷ FFFC ÷');
Test_LB('× 0020 × 0020 ÷ FFFC ÷');
Test_LB('× 0020 ÷ 0308 ÷ FFFC ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 0020 × 007D ÷');
Test_LB('× 0020 × 0020 × 007D ÷');
Test_LB('× 0020 ÷ 0308 × 007D ÷');
Test_LB('× 0020 ÷ 0308 × 0020 × 007D ÷');
Test_LB('× 0020 × 0029 ÷');
Test_LB('× 0020 × 0020 × 0029 ÷');
Test_LB('× 0020 ÷ 0308 × 0029 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 × 0029 ÷');
Test_LB('× 0020 ÷ 0001 ÷');
Test_LB('× 0020 × 0020 ÷ 0001 ÷');
Test_LB('× 0020 ÷ 0308 × 0001 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 0020 × 000D ÷');
Test_LB('× 0020 × 0020 × 000D ÷');
Test_LB('× 0020 ÷ 0308 × 000D ÷');
Test_LB('× 0020 ÷ 0308 × 0020 × 000D ÷');
Test_LB('× 0020 × 0021 ÷');
Test_LB('× 0020 × 0020 × 0021 ÷');
Test_LB('× 0020 ÷ 0308 × 0021 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 × 0021 ÷');
Test_LB('× 0020 ÷ 00A0 ÷');
Test_LB('× 0020 × 0020 ÷ 00A0 ÷');
Test_LB('× 0020 ÷ 0308 × 00A0 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 0020 ÷ AC00 ÷');
Test_LB('× 0020 × 0020 ÷ AC00 ÷');
Test_LB('× 0020 ÷ 0308 ÷ AC00 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 0020 ÷ AC01 ÷');
Test_LB('× 0020 × 0020 ÷ AC01 ÷');
Test_LB('× 0020 ÷ 0308 ÷ AC01 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 0020 ÷ 05D0 ÷');
Test_LB('× 0020 × 0020 ÷ 05D0 ÷');
Test_LB('× 0020 ÷ 0308 × 05D0 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 0020 ÷ 002D ÷');
Test_LB('× 0020 × 0020 ÷ 002D ÷');
Test_LB('× 0020 ÷ 0308 × 002D ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 002D ÷');
Test_LB('× 0020 ÷ 231A ÷');
Test_LB('× 0020 × 0020 ÷ 231A ÷');
Test_LB('× 0020 ÷ 0308 ÷ 231A ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 231A ÷');
Test_LB('× 0020 ÷ 2024 ÷');
Test_LB('× 0020 × 0020 ÷ 2024 ÷');
Test_LB('× 0020 ÷ 0308 × 2024 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 0020 × 002C ÷');
Test_LB('× 0020 × 0020 × 002C ÷');
Test_LB('× 0020 ÷ 0308 × 002C ÷');
Test_LB('× 0020 ÷ 0308 × 0020 × 002C ÷');
Test_LB('× 0020 ÷ 1100 ÷');
Test_LB('× 0020 × 0020 ÷ 1100 ÷');
Test_LB('× 0020 ÷ 0308 ÷ 1100 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 0020 ÷ 11A8 ÷');
Test_LB('× 0020 × 0020 ÷ 11A8 ÷');
Test_LB('× 0020 ÷ 0308 ÷ 11A8 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 0020 ÷ 1160 ÷');
Test_LB('× 0020 × 0020 ÷ 1160 ÷');
Test_LB('× 0020 ÷ 0308 ÷ 1160 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 0020 × 000A ÷');
Test_LB('× 0020 × 0020 × 000A ÷');
Test_LB('× 0020 ÷ 0308 × 000A ÷');
Test_LB('× 0020 ÷ 0308 × 0020 × 000A ÷');
Test_LB('× 0020 × 0085 ÷');
Test_LB('× 0020 × 0020 × 0085 ÷');
Test_LB('× 0020 ÷ 0308 × 0085 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 × 0085 ÷');
Test_LB('× 0020 ÷ 17D6 ÷');
Test_LB('× 0020 × 0020 ÷ 17D6 ÷');
Test_LB('× 0020 ÷ 0308 × 17D6 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 0020 ÷ 0030 ÷');
Test_LB('× 0020 × 0020 ÷ 0030 ÷');
Test_LB('× 0020 ÷ 0308 × 0030 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 0020 ÷ 0028 ÷');
Test_LB('× 0020 × 0020 ÷ 0028 ÷');
Test_LB('× 0020 ÷ 0308 × 0028 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 0020 ÷ 0025 ÷');
Test_LB('× 0020 × 0020 ÷ 0025 ÷');
Test_LB('× 0020 ÷ 0308 ÷ 0025 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 0020 ÷ 0024 ÷');
Test_LB('× 0020 × 0020 ÷ 0024 ÷');
Test_LB('× 0020 ÷ 0308 ÷ 0024 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 0020 ÷ 0022 ÷');
Test_LB('× 0020 × 0020 ÷ 0022 ÷');
Test_LB('× 0020 ÷ 0308 × 0022 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 0020 × 0020 ÷');
Test_LB('× 0020 × 0020 × 0020 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 × 0020 ÷');
Test_LB('× 0020 × 002F ÷');
Test_LB('× 0020 × 0020 × 002F ÷');
Test_LB('× 0020 ÷ 0308 × 002F ÷');
Test_LB('× 0020 ÷ 0308 × 0020 × 002F ÷');
Test_LB('× 0020 × 2060 ÷');
Test_LB('× 0020 × 0020 × 2060 ÷');
Test_LB('× 0020 ÷ 0308 × 2060 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 × 2060 ÷');
Test_LB('× 0020 × 200B ÷');
Test_LB('× 0020 × 0020 × 200B ÷');
Test_LB('× 0020 ÷ 0308 × 200B ÷');
Test_LB('× 0020 ÷ 0308 × 0020 × 200B ÷');
Test_LB('× 0020 ÷ 1F1E6 ÷');
Test_LB('× 0020 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0020 ÷ 0308 ÷ 1F1E6 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0020 ÷ 00A7 ÷');
Test_LB('× 0020 × 0020 ÷ 00A7 ÷');
Test_LB('× 0020 ÷ 0308 × 00A7 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 0020 ÷ 50005 ÷');
Test_LB('× 0020 × 0020 ÷ 50005 ÷');
Test_LB('× 0020 ÷ 0308 × 50005 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 0020 ÷ 0E01 ÷');
Test_LB('× 0020 × 0020 ÷ 0E01 ÷');
Test_LB('× 0020 ÷ 0308 × 0E01 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 0020 ÷ 3041 ÷');
Test_LB('× 0020 × 0020 ÷ 3041 ÷');
Test_LB('× 0020 ÷ 0308 × 3041 ÷');
Test_LB('× 0020 ÷ 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 002F ÷ 0023 ÷');
Test_LB('× 002F × 0020 ÷ 0023 ÷');
Test_LB('× 002F × 0308 ÷ 0023 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 002F ÷ 2014 ÷');
Test_LB('× 002F × 0020 ÷ 2014 ÷');
Test_LB('× 002F × 0308 ÷ 2014 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 002F × 0009 ÷');
Test_LB('× 002F × 0020 ÷ 0009 ÷');
Test_LB('× 002F × 0308 × 0009 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 002F ÷ 00B4 ÷');
Test_LB('× 002F × 0020 ÷ 00B4 ÷');
Test_LB('× 002F × 0308 ÷ 00B4 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 002F × 000B ÷');
Test_LB('× 002F × 0020 × 000B ÷');
Test_LB('× 002F × 0308 × 000B ÷');
Test_LB('× 002F × 0308 × 0020 × 000B ÷');
Test_LB('× 002F ÷ FFFC ÷');
Test_LB('× 002F × 0020 ÷ FFFC ÷');
Test_LB('× 002F × 0308 ÷ FFFC ÷');
Test_LB('× 002F × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 002F × 007D ÷');
Test_LB('× 002F × 0020 × 007D ÷');
Test_LB('× 002F × 0308 × 007D ÷');
Test_LB('× 002F × 0308 × 0020 × 007D ÷');
Test_LB('× 002F × 0029 ÷');
Test_LB('× 002F × 0020 × 0029 ÷');
Test_LB('× 002F × 0308 × 0029 ÷');
Test_LB('× 002F × 0308 × 0020 × 0029 ÷');
Test_LB('× 002F × 0001 ÷');
Test_LB('× 002F × 0020 ÷ 0001 ÷');
Test_LB('× 002F × 0308 × 0001 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 002F × 000D ÷');
Test_LB('× 002F × 0020 × 000D ÷');
Test_LB('× 002F × 0308 × 000D ÷');
Test_LB('× 002F × 0308 × 0020 × 000D ÷');
Test_LB('× 002F × 0021 ÷');
Test_LB('× 002F × 0020 × 0021 ÷');
Test_LB('× 002F × 0308 × 0021 ÷');
Test_LB('× 002F × 0308 × 0020 × 0021 ÷');
Test_LB('× 002F × 00A0 ÷');
Test_LB('× 002F × 0020 ÷ 00A0 ÷');
Test_LB('× 002F × 0308 × 00A0 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 002F ÷ AC00 ÷');
Test_LB('× 002F × 0020 ÷ AC00 ÷');
Test_LB('× 002F × 0308 ÷ AC00 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 002F ÷ AC01 ÷');
Test_LB('× 002F × 0020 ÷ AC01 ÷');
Test_LB('× 002F × 0308 ÷ AC01 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 002F × 05D0 ÷');
Test_LB('× 002F × 0020 ÷ 05D0 ÷');
Test_LB('× 002F × 0308 × 05D0 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 002F × 002D ÷');
Test_LB('× 002F × 0020 ÷ 002D ÷');
Test_LB('× 002F × 0308 × 002D ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 002F ÷ 231A ÷');
Test_LB('× 002F × 0020 ÷ 231A ÷');
Test_LB('× 002F × 0308 ÷ 231A ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 002F ÷ 2024 ÷');
Test_LB('× 002F × 0020 ÷ 2024 ÷');
Test_LB('× 002F × 0308 ÷ 2024 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 002F × 002C ÷');
Test_LB('× 002F × 0020 × 002C ÷');
Test_LB('× 002F × 0308 × 002C ÷');
Test_LB('× 002F × 0308 × 0020 × 002C ÷');
Test_LB('× 002F ÷ 1100 ÷');
Test_LB('× 002F × 0020 ÷ 1100 ÷');
Test_LB('× 002F × 0308 ÷ 1100 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 002F ÷ 11A8 ÷');
Test_LB('× 002F × 0020 ÷ 11A8 ÷');
Test_LB('× 002F × 0308 ÷ 11A8 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 002F ÷ 1160 ÷');
Test_LB('× 002F × 0020 ÷ 1160 ÷');
Test_LB('× 002F × 0308 ÷ 1160 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 002F × 000A ÷');
Test_LB('× 002F × 0020 × 000A ÷');
Test_LB('× 002F × 0308 × 000A ÷');
Test_LB('× 002F × 0308 × 0020 × 000A ÷');
Test_LB('× 002F × 0085 ÷');
Test_LB('× 002F × 0020 × 0085 ÷');
Test_LB('× 002F × 0308 × 0085 ÷');
Test_LB('× 002F × 0308 × 0020 × 0085 ÷');
Test_LB('× 002F × 17D6 ÷');
Test_LB('× 002F × 0020 ÷ 17D6 ÷');
Test_LB('× 002F × 0308 × 17D6 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 002F ÷ 0030 ÷');
Test_LB('× 002F × 0020 ÷ 0030 ÷');
Test_LB('× 002F × 0308 ÷ 0030 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 002F ÷ 0028 ÷');
Test_LB('× 002F × 0020 ÷ 0028 ÷');
Test_LB('× 002F × 0308 ÷ 0028 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 002F ÷ 0025 ÷');
Test_LB('× 002F × 0020 ÷ 0025 ÷');
Test_LB('× 002F × 0308 ÷ 0025 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 002F ÷ 0024 ÷');
Test_LB('× 002F × 0020 ÷ 0024 ÷');
Test_LB('× 002F × 0308 ÷ 0024 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 002F × 0022 ÷');
Test_LB('× 002F × 0020 ÷ 0022 ÷');
Test_LB('× 002F × 0308 × 0022 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 002F × 0020 ÷');
Test_LB('× 002F × 0020 × 0020 ÷');
Test_LB('× 002F × 0308 × 0020 ÷');
Test_LB('× 002F × 0308 × 0020 × 0020 ÷');
Test_LB('× 002F × 002F ÷');
Test_LB('× 002F × 0020 × 002F ÷');
Test_LB('× 002F × 0308 × 002F ÷');
Test_LB('× 002F × 0308 × 0020 × 002F ÷');
Test_LB('× 002F × 2060 ÷');
Test_LB('× 002F × 0020 × 2060 ÷');
Test_LB('× 002F × 0308 × 2060 ÷');
Test_LB('× 002F × 0308 × 0020 × 2060 ÷');
Test_LB('× 002F × 200B ÷');
Test_LB('× 002F × 0020 × 200B ÷');
Test_LB('× 002F × 0308 × 200B ÷');
Test_LB('× 002F × 0308 × 0020 × 200B ÷');
Test_LB('× 002F ÷ 1F1E6 ÷');
Test_LB('× 002F × 0020 ÷ 1F1E6 ÷');
Test_LB('× 002F × 0308 ÷ 1F1E6 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 002F ÷ 00A7 ÷');
Test_LB('× 002F × 0020 ÷ 00A7 ÷');
Test_LB('× 002F × 0308 ÷ 00A7 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 002F ÷ 50005 ÷');
Test_LB('× 002F × 0020 ÷ 50005 ÷');
Test_LB('× 002F × 0308 ÷ 50005 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 002F ÷ 0E01 ÷');
Test_LB('× 002F × 0020 ÷ 0E01 ÷');
Test_LB('× 002F × 0308 ÷ 0E01 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 002F × 3041 ÷');
Test_LB('× 002F × 0020 ÷ 3041 ÷');
Test_LB('× 002F × 0308 × 3041 ÷');
Test_LB('× 002F × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 2060 × 0023 ÷');
Test_LB('× 2060 × 0020 ÷ 0023 ÷');
Test_LB('× 2060 × 0308 × 0023 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 2060 × 2014 ÷');
Test_LB('× 2060 × 0020 ÷ 2014 ÷');
Test_LB('× 2060 × 0308 × 2014 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 2060 × 0009 ÷');
Test_LB('× 2060 × 0020 ÷ 0009 ÷');
Test_LB('× 2060 × 0308 × 0009 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 2060 × 00B4 ÷');
Test_LB('× 2060 × 0020 ÷ 00B4 ÷');
Test_LB('× 2060 × 0308 × 00B4 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 2060 × 000B ÷');
Test_LB('× 2060 × 0020 × 000B ÷');
Test_LB('× 2060 × 0308 × 000B ÷');
Test_LB('× 2060 × 0308 × 0020 × 000B ÷');
Test_LB('× 2060 × FFFC ÷');
Test_LB('× 2060 × 0020 ÷ FFFC ÷');
Test_LB('× 2060 × 0308 × FFFC ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 2060 × 007D ÷');
Test_LB('× 2060 × 0020 × 007D ÷');
Test_LB('× 2060 × 0308 × 007D ÷');
Test_LB('× 2060 × 0308 × 0020 × 007D ÷');
Test_LB('× 2060 × 0029 ÷');
Test_LB('× 2060 × 0020 × 0029 ÷');
Test_LB('× 2060 × 0308 × 0029 ÷');
Test_LB('× 2060 × 0308 × 0020 × 0029 ÷');
Test_LB('× 2060 × 0001 ÷');
Test_LB('× 2060 × 0020 ÷ 0001 ÷');
Test_LB('× 2060 × 0308 × 0001 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 2060 × 000D ÷');
Test_LB('× 2060 × 0020 × 000D ÷');
Test_LB('× 2060 × 0308 × 000D ÷');
Test_LB('× 2060 × 0308 × 0020 × 000D ÷');
Test_LB('× 2060 × 0021 ÷');
Test_LB('× 2060 × 0020 × 0021 ÷');
Test_LB('× 2060 × 0308 × 0021 ÷');
Test_LB('× 2060 × 0308 × 0020 × 0021 ÷');
Test_LB('× 2060 × 00A0 ÷');
Test_LB('× 2060 × 0020 ÷ 00A0 ÷');
Test_LB('× 2060 × 0308 × 00A0 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 2060 × AC00 ÷');
Test_LB('× 2060 × 0020 ÷ AC00 ÷');
Test_LB('× 2060 × 0308 × AC00 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 2060 × AC01 ÷');
Test_LB('× 2060 × 0020 ÷ AC01 ÷');
Test_LB('× 2060 × 0308 × AC01 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 2060 × 05D0 ÷');
Test_LB('× 2060 × 0020 ÷ 05D0 ÷');
Test_LB('× 2060 × 0308 × 05D0 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 2060 × 002D ÷');
Test_LB('× 2060 × 0020 ÷ 002D ÷');
Test_LB('× 2060 × 0308 × 002D ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 2060 × 231A ÷');
Test_LB('× 2060 × 0020 ÷ 231A ÷');
Test_LB('× 2060 × 0308 × 231A ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 2060 × 2024 ÷');
Test_LB('× 2060 × 0020 ÷ 2024 ÷');
Test_LB('× 2060 × 0308 × 2024 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 2060 × 002C ÷');
Test_LB('× 2060 × 0020 × 002C ÷');
Test_LB('× 2060 × 0308 × 002C ÷');
Test_LB('× 2060 × 0308 × 0020 × 002C ÷');
Test_LB('× 2060 × 1100 ÷');
Test_LB('× 2060 × 0020 ÷ 1100 ÷');
Test_LB('× 2060 × 0308 × 1100 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 2060 × 11A8 ÷');
Test_LB('× 2060 × 0020 ÷ 11A8 ÷');
Test_LB('× 2060 × 0308 × 11A8 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 2060 × 1160 ÷');
Test_LB('× 2060 × 0020 ÷ 1160 ÷');
Test_LB('× 2060 × 0308 × 1160 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 2060 × 000A ÷');
Test_LB('× 2060 × 0020 × 000A ÷');
Test_LB('× 2060 × 0308 × 000A ÷');
Test_LB('× 2060 × 0308 × 0020 × 000A ÷');
Test_LB('× 2060 × 0085 ÷');
Test_LB('× 2060 × 0020 × 0085 ÷');
Test_LB('× 2060 × 0308 × 0085 ÷');
Test_LB('× 2060 × 0308 × 0020 × 0085 ÷');
Test_LB('× 2060 × 17D6 ÷');
Test_LB('× 2060 × 0020 ÷ 17D6 ÷');
Test_LB('× 2060 × 0308 × 17D6 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 2060 × 0030 ÷');
Test_LB('× 2060 × 0020 ÷ 0030 ÷');
Test_LB('× 2060 × 0308 × 0030 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 2060 × 0028 ÷');
Test_LB('× 2060 × 0020 ÷ 0028 ÷');
Test_LB('× 2060 × 0308 × 0028 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 2060 × 0025 ÷');
Test_LB('× 2060 × 0020 ÷ 0025 ÷');
Test_LB('× 2060 × 0308 × 0025 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 2060 × 0024 ÷');
Test_LB('× 2060 × 0020 ÷ 0024 ÷');
Test_LB('× 2060 × 0308 × 0024 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 2060 × 0022 ÷');
Test_LB('× 2060 × 0020 ÷ 0022 ÷');
Test_LB('× 2060 × 0308 × 0022 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 2060 × 0020 ÷');
Test_LB('× 2060 × 0020 × 0020 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷');
Test_LB('× 2060 × 0308 × 0020 × 0020 ÷');
Test_LB('× 2060 × 002F ÷');
Test_LB('× 2060 × 0020 × 002F ÷');
Test_LB('× 2060 × 0308 × 002F ÷');
Test_LB('× 2060 × 0308 × 0020 × 002F ÷');
Test_LB('× 2060 × 2060 ÷');
Test_LB('× 2060 × 0020 × 2060 ÷');
Test_LB('× 2060 × 0308 × 2060 ÷');
Test_LB('× 2060 × 0308 × 0020 × 2060 ÷');
Test_LB('× 2060 × 200B ÷');
Test_LB('× 2060 × 0020 × 200B ÷');
Test_LB('× 2060 × 0308 × 200B ÷');
Test_LB('× 2060 × 0308 × 0020 × 200B ÷');
Test_LB('× 2060 × 1F1E6 ÷');
Test_LB('× 2060 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 2060 × 0308 × 1F1E6 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 2060 × 00A7 ÷');
Test_LB('× 2060 × 0020 ÷ 00A7 ÷');
Test_LB('× 2060 × 0308 × 00A7 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 2060 × 50005 ÷');
Test_LB('× 2060 × 0020 ÷ 50005 ÷');
Test_LB('× 2060 × 0308 × 50005 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 2060 × 0E01 ÷');
Test_LB('× 2060 × 0020 ÷ 0E01 ÷');
Test_LB('× 2060 × 0308 × 0E01 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 2060 × 3041 ÷');
Test_LB('× 2060 × 0020 ÷ 3041 ÷');
Test_LB('× 2060 × 0308 × 3041 ÷');
Test_LB('× 2060 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 200B ÷ 0023 ÷');
Test_LB('× 200B × 0020 ÷ 0023 ÷');
Test_LB('× 200B ÷ 0308 × 0023 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 200B ÷ 2014 ÷');
Test_LB('× 200B × 0020 ÷ 2014 ÷');
Test_LB('× 200B ÷ 0308 ÷ 2014 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 200B ÷ 0009 ÷');
Test_LB('× 200B × 0020 ÷ 0009 ÷');
Test_LB('× 200B ÷ 0308 × 0009 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 200B ÷ 00B4 ÷');
Test_LB('× 200B × 0020 ÷ 00B4 ÷');
Test_LB('× 200B ÷ 0308 ÷ 00B4 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 200B × 000B ÷');
Test_LB('× 200B × 0020 × 000B ÷');
Test_LB('× 200B ÷ 0308 × 000B ÷');
Test_LB('× 200B ÷ 0308 × 0020 × 000B ÷');
Test_LB('× 200B ÷ FFFC ÷');
Test_LB('× 200B × 0020 ÷ FFFC ÷');
Test_LB('× 200B ÷ 0308 ÷ FFFC ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 200B ÷ 007D ÷');
Test_LB('× 200B × 0020 ÷ 007D ÷');
Test_LB('× 200B ÷ 0308 × 007D ÷');
Test_LB('× 200B ÷ 0308 × 0020 × 007D ÷');
Test_LB('× 200B ÷ 0029 ÷');
Test_LB('× 200B × 0020 ÷ 0029 ÷');
Test_LB('× 200B ÷ 0308 × 0029 ÷');
Test_LB('× 200B ÷ 0308 × 0020 × 0029 ÷');
Test_LB('× 200B ÷ 0001 ÷');
Test_LB('× 200B × 0020 ÷ 0001 ÷');
Test_LB('× 200B ÷ 0308 × 0001 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 200B × 000D ÷');
Test_LB('× 200B × 0020 × 000D ÷');
Test_LB('× 200B ÷ 0308 × 000D ÷');
Test_LB('× 200B ÷ 0308 × 0020 × 000D ÷');
Test_LB('× 200B ÷ 0021 ÷');
Test_LB('× 200B × 0020 ÷ 0021 ÷');
Test_LB('× 200B ÷ 0308 × 0021 ÷');
Test_LB('× 200B ÷ 0308 × 0020 × 0021 ÷');
Test_LB('× 200B ÷ 00A0 ÷');
Test_LB('× 200B × 0020 ÷ 00A0 ÷');
Test_LB('× 200B ÷ 0308 × 00A0 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 200B ÷ AC00 ÷');
Test_LB('× 200B × 0020 ÷ AC00 ÷');
Test_LB('× 200B ÷ 0308 ÷ AC00 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 200B ÷ AC01 ÷');
Test_LB('× 200B × 0020 ÷ AC01 ÷');
Test_LB('× 200B ÷ 0308 ÷ AC01 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 200B ÷ 05D0 ÷');
Test_LB('× 200B × 0020 ÷ 05D0 ÷');
Test_LB('× 200B ÷ 0308 × 05D0 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 200B ÷ 002D ÷');
Test_LB('× 200B × 0020 ÷ 002D ÷');
Test_LB('× 200B ÷ 0308 × 002D ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 002D ÷');
Test_LB('× 200B ÷ 231A ÷');
Test_LB('× 200B × 0020 ÷ 231A ÷');
Test_LB('× 200B ÷ 0308 ÷ 231A ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 231A ÷');
Test_LB('× 200B ÷ 2024 ÷');
Test_LB('× 200B × 0020 ÷ 2024 ÷');
Test_LB('× 200B ÷ 0308 × 2024 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 200B ÷ 002C ÷');
Test_LB('× 200B × 0020 ÷ 002C ÷');
Test_LB('× 200B ÷ 0308 × 002C ÷');
Test_LB('× 200B ÷ 0308 × 0020 × 002C ÷');
Test_LB('× 200B ÷ 1100 ÷');
Test_LB('× 200B × 0020 ÷ 1100 ÷');
Test_LB('× 200B ÷ 0308 ÷ 1100 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 200B ÷ 11A8 ÷');
Test_LB('× 200B × 0020 ÷ 11A8 ÷');
Test_LB('× 200B ÷ 0308 ÷ 11A8 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 200B ÷ 1160 ÷');
Test_LB('× 200B × 0020 ÷ 1160 ÷');
Test_LB('× 200B ÷ 0308 ÷ 1160 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 200B × 000A ÷');
Test_LB('× 200B × 0020 × 000A ÷');
Test_LB('× 200B ÷ 0308 × 000A ÷');
Test_LB('× 200B ÷ 0308 × 0020 × 000A ÷');
Test_LB('× 200B × 0085 ÷');
Test_LB('× 200B × 0020 × 0085 ÷');
Test_LB('× 200B ÷ 0308 × 0085 ÷');
Test_LB('× 200B ÷ 0308 × 0020 × 0085 ÷');
Test_LB('× 200B ÷ 17D6 ÷');
Test_LB('× 200B × 0020 ÷ 17D6 ÷');
Test_LB('× 200B ÷ 0308 × 17D6 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 200B ÷ 0030 ÷');
Test_LB('× 200B × 0020 ÷ 0030 ÷');
Test_LB('× 200B ÷ 0308 × 0030 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 200B ÷ 0028 ÷');
Test_LB('× 200B × 0020 ÷ 0028 ÷');
Test_LB('× 200B ÷ 0308 × 0028 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 200B ÷ 0025 ÷');
Test_LB('× 200B × 0020 ÷ 0025 ÷');
Test_LB('× 200B ÷ 0308 ÷ 0025 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 200B ÷ 0024 ÷');
Test_LB('× 200B × 0020 ÷ 0024 ÷');
Test_LB('× 200B ÷ 0308 ÷ 0024 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 200B ÷ 0022 ÷');
Test_LB('× 200B × 0020 ÷ 0022 ÷');
Test_LB('× 200B ÷ 0308 × 0022 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 200B × 0020 ÷');
Test_LB('× 200B × 0020 × 0020 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷');
Test_LB('× 200B ÷ 0308 × 0020 × 0020 ÷');
Test_LB('× 200B ÷ 002F ÷');
Test_LB('× 200B × 0020 ÷ 002F ÷');
Test_LB('× 200B ÷ 0308 × 002F ÷');
Test_LB('× 200B ÷ 0308 × 0020 × 002F ÷');
Test_LB('× 200B ÷ 2060 ÷');
Test_LB('× 200B × 0020 ÷ 2060 ÷');
Test_LB('× 200B ÷ 0308 × 2060 ÷');
Test_LB('× 200B ÷ 0308 × 0020 × 2060 ÷');
Test_LB('× 200B × 200B ÷');
Test_LB('× 200B × 0020 × 200B ÷');
Test_LB('× 200B ÷ 0308 × 200B ÷');
Test_LB('× 200B ÷ 0308 × 0020 × 200B ÷');
Test_LB('× 200B ÷ 1F1E6 ÷');
Test_LB('× 200B × 0020 ÷ 1F1E6 ÷');
Test_LB('× 200B ÷ 0308 ÷ 1F1E6 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 200B ÷ 00A7 ÷');
Test_LB('× 200B × 0020 ÷ 00A7 ÷');
Test_LB('× 200B ÷ 0308 × 00A7 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 200B ÷ 50005 ÷');
Test_LB('× 200B × 0020 ÷ 50005 ÷');
Test_LB('× 200B ÷ 0308 × 50005 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 200B ÷ 0E01 ÷');
Test_LB('× 200B × 0020 ÷ 0E01 ÷');
Test_LB('× 200B ÷ 0308 × 0E01 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 200B ÷ 3041 ÷');
Test_LB('× 200B × 0020 ÷ 3041 ÷');
Test_LB('× 200B ÷ 0308 × 3041 ÷');
Test_LB('× 200B ÷ 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 1F1E6 ÷ 0023 ÷');
Test_LB('× 1F1E6 × 0020 ÷ 0023 ÷');
Test_LB('× 1F1E6 × 0308 ÷ 0023 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 1F1E6 ÷ 2014 ÷');
Test_LB('× 1F1E6 × 0020 ÷ 2014 ÷');
Test_LB('× 1F1E6 × 0308 ÷ 2014 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 1F1E6 × 0009 ÷');
Test_LB('× 1F1E6 × 0020 ÷ 0009 ÷');
Test_LB('× 1F1E6 × 0308 × 0009 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 1F1E6 ÷ 00B4 ÷');
Test_LB('× 1F1E6 × 0020 ÷ 00B4 ÷');
Test_LB('× 1F1E6 × 0308 ÷ 00B4 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 1F1E6 × 000B ÷');
Test_LB('× 1F1E6 × 0020 × 000B ÷');
Test_LB('× 1F1E6 × 0308 × 000B ÷');
Test_LB('× 1F1E6 × 0308 × 0020 × 000B ÷');
Test_LB('× 1F1E6 ÷ FFFC ÷');
Test_LB('× 1F1E6 × 0020 ÷ FFFC ÷');
Test_LB('× 1F1E6 × 0308 ÷ FFFC ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 1F1E6 × 007D ÷');
Test_LB('× 1F1E6 × 0020 × 007D ÷');
Test_LB('× 1F1E6 × 0308 × 007D ÷');
Test_LB('× 1F1E6 × 0308 × 0020 × 007D ÷');
Test_LB('× 1F1E6 × 0029 ÷');
Test_LB('× 1F1E6 × 0020 × 0029 ÷');
Test_LB('× 1F1E6 × 0308 × 0029 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 × 0029 ÷');
Test_LB('× 1F1E6 × 0001 ÷');
Test_LB('× 1F1E6 × 0020 ÷ 0001 ÷');
Test_LB('× 1F1E6 × 0308 × 0001 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 1F1E6 × 000D ÷');
Test_LB('× 1F1E6 × 0020 × 000D ÷');
Test_LB('× 1F1E6 × 0308 × 000D ÷');
Test_LB('× 1F1E6 × 0308 × 0020 × 000D ÷');
Test_LB('× 1F1E6 × 0021 ÷');
Test_LB('× 1F1E6 × 0020 × 0021 ÷');
Test_LB('× 1F1E6 × 0308 × 0021 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 × 0021 ÷');
Test_LB('× 1F1E6 × 00A0 ÷');
Test_LB('× 1F1E6 × 0020 ÷ 00A0 ÷');
Test_LB('× 1F1E6 × 0308 × 00A0 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 1F1E6 ÷ AC00 ÷');
Test_LB('× 1F1E6 × 0020 ÷ AC00 ÷');
Test_LB('× 1F1E6 × 0308 ÷ AC00 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 1F1E6 ÷ AC01 ÷');
Test_LB('× 1F1E6 × 0020 ÷ AC01 ÷');
Test_LB('× 1F1E6 × 0308 ÷ AC01 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 1F1E6 ÷ 05D0 ÷');
Test_LB('× 1F1E6 × 0020 ÷ 05D0 ÷');
Test_LB('× 1F1E6 × 0308 ÷ 05D0 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 1F1E6 × 002D ÷');
Test_LB('× 1F1E6 × 0020 ÷ 002D ÷');
Test_LB('× 1F1E6 × 0308 × 002D ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 1F1E6 ÷ 231A ÷');
Test_LB('× 1F1E6 × 0020 ÷ 231A ÷');
Test_LB('× 1F1E6 × 0308 ÷ 231A ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 1F1E6 ÷ 2024 ÷');
Test_LB('× 1F1E6 × 0020 ÷ 2024 ÷');
Test_LB('× 1F1E6 × 0308 ÷ 2024 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 1F1E6 × 002C ÷');
Test_LB('× 1F1E6 × 0020 × 002C ÷');
Test_LB('× 1F1E6 × 0308 × 002C ÷');
Test_LB('× 1F1E6 × 0308 × 0020 × 002C ÷');
Test_LB('× 1F1E6 ÷ 1100 ÷');
Test_LB('× 1F1E6 × 0020 ÷ 1100 ÷');
Test_LB('× 1F1E6 × 0308 ÷ 1100 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 1F1E6 ÷ 11A8 ÷');
Test_LB('× 1F1E6 × 0020 ÷ 11A8 ÷');
Test_LB('× 1F1E6 × 0308 ÷ 11A8 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 1F1E6 ÷ 1160 ÷');
Test_LB('× 1F1E6 × 0020 ÷ 1160 ÷');
Test_LB('× 1F1E6 × 0308 ÷ 1160 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 1F1E6 × 000A ÷');
Test_LB('× 1F1E6 × 0020 × 000A ÷');
Test_LB('× 1F1E6 × 0308 × 000A ÷');
Test_LB('× 1F1E6 × 0308 × 0020 × 000A ÷');
Test_LB('× 1F1E6 × 0085 ÷');
Test_LB('× 1F1E6 × 0020 × 0085 ÷');
Test_LB('× 1F1E6 × 0308 × 0085 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 × 0085 ÷');
Test_LB('× 1F1E6 × 17D6 ÷');
Test_LB('× 1F1E6 × 0020 ÷ 17D6 ÷');
Test_LB('× 1F1E6 × 0308 × 17D6 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 1F1E6 ÷ 0030 ÷');
Test_LB('× 1F1E6 × 0020 ÷ 0030 ÷');
Test_LB('× 1F1E6 × 0308 ÷ 0030 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 1F1E6 ÷ 0028 ÷');
Test_LB('× 1F1E6 × 0020 ÷ 0028 ÷');
Test_LB('× 1F1E6 × 0308 ÷ 0028 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 1F1E6 ÷ 0025 ÷');
Test_LB('× 1F1E6 × 0020 ÷ 0025 ÷');
Test_LB('× 1F1E6 × 0308 ÷ 0025 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 1F1E6 ÷ 0024 ÷');
Test_LB('× 1F1E6 × 0020 ÷ 0024 ÷');
Test_LB('× 1F1E6 × 0308 ÷ 0024 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 1F1E6 × 0022 ÷');
Test_LB('× 1F1E6 × 0020 ÷ 0022 ÷');
Test_LB('× 1F1E6 × 0308 × 0022 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 1F1E6 × 0020 ÷');
Test_LB('× 1F1E6 × 0020 × 0020 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 × 0020 ÷');
Test_LB('× 1F1E6 × 002F ÷');
Test_LB('× 1F1E6 × 0020 × 002F ÷');
Test_LB('× 1F1E6 × 0308 × 002F ÷');
Test_LB('× 1F1E6 × 0308 × 0020 × 002F ÷');
Test_LB('× 1F1E6 × 2060 ÷');
Test_LB('× 1F1E6 × 0020 × 2060 ÷');
Test_LB('× 1F1E6 × 0308 × 2060 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 × 2060 ÷');
Test_LB('× 1F1E6 × 200B ÷');
Test_LB('× 1F1E6 × 0020 × 200B ÷');
Test_LB('× 1F1E6 × 0308 × 200B ÷');
Test_LB('× 1F1E6 × 0308 × 0020 × 200B ÷');
Test_LB('× 1F1E6 × 1F1E6 ÷');
Test_LB('× 1F1E6 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 1F1E6 × 0308 × 1F1E6 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 1F1E6 ÷ 00A7 ÷');
Test_LB('× 1F1E6 × 0020 ÷ 00A7 ÷');
Test_LB('× 1F1E6 × 0308 ÷ 00A7 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 1F1E6 ÷ 50005 ÷');
Test_LB('× 1F1E6 × 0020 ÷ 50005 ÷');
Test_LB('× 1F1E6 × 0308 ÷ 50005 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 1F1E6 ÷ 0E01 ÷');
Test_LB('× 1F1E6 × 0020 ÷ 0E01 ÷');
Test_LB('× 1F1E6 × 0308 ÷ 0E01 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 1F1E6 × 3041 ÷');
Test_LB('× 1F1E6 × 0020 ÷ 3041 ÷');
Test_LB('× 1F1E6 × 0308 × 3041 ÷');
Test_LB('× 1F1E6 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 00A7 × 0023 ÷');
Test_LB('× 00A7 × 0020 ÷ 0023 ÷');
Test_LB('× 00A7 × 0308 × 0023 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 00A7 ÷ 2014 ÷');
Test_LB('× 00A7 × 0020 ÷ 2014 ÷');
Test_LB('× 00A7 × 0308 ÷ 2014 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 00A7 × 0009 ÷');
Test_LB('× 00A7 × 0020 ÷ 0009 ÷');
Test_LB('× 00A7 × 0308 × 0009 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 00A7 ÷ 00B4 ÷');
Test_LB('× 00A7 × 0020 ÷ 00B4 ÷');
Test_LB('× 00A7 × 0308 ÷ 00B4 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 00A7 × 000B ÷');
Test_LB('× 00A7 × 0020 × 000B ÷');
Test_LB('× 00A7 × 0308 × 000B ÷');
Test_LB('× 00A7 × 0308 × 0020 × 000B ÷');
Test_LB('× 00A7 ÷ FFFC ÷');
Test_LB('× 00A7 × 0020 ÷ FFFC ÷');
Test_LB('× 00A7 × 0308 ÷ FFFC ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 00A7 × 007D ÷');
Test_LB('× 00A7 × 0020 × 007D ÷');
Test_LB('× 00A7 × 0308 × 007D ÷');
Test_LB('× 00A7 × 0308 × 0020 × 007D ÷');
Test_LB('× 00A7 × 0029 ÷');
Test_LB('× 00A7 × 0020 × 0029 ÷');
Test_LB('× 00A7 × 0308 × 0029 ÷');
Test_LB('× 00A7 × 0308 × 0020 × 0029 ÷');
Test_LB('× 00A7 × 0001 ÷');
Test_LB('× 00A7 × 0020 ÷ 0001 ÷');
Test_LB('× 00A7 × 0308 × 0001 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 00A7 × 000D ÷');
Test_LB('× 00A7 × 0020 × 000D ÷');
Test_LB('× 00A7 × 0308 × 000D ÷');
Test_LB('× 00A7 × 0308 × 0020 × 000D ÷');
Test_LB('× 00A7 × 0021 ÷');
Test_LB('× 00A7 × 0020 × 0021 ÷');
Test_LB('× 00A7 × 0308 × 0021 ÷');
Test_LB('× 00A7 × 0308 × 0020 × 0021 ÷');
Test_LB('× 00A7 × 00A0 ÷');
Test_LB('× 00A7 × 0020 ÷ 00A0 ÷');
Test_LB('× 00A7 × 0308 × 00A0 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 00A7 ÷ AC00 ÷');
Test_LB('× 00A7 × 0020 ÷ AC00 ÷');
Test_LB('× 00A7 × 0308 ÷ AC00 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 00A7 ÷ AC01 ÷');
Test_LB('× 00A7 × 0020 ÷ AC01 ÷');
Test_LB('× 00A7 × 0308 ÷ AC01 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 00A7 × 05D0 ÷');
Test_LB('× 00A7 × 0020 ÷ 05D0 ÷');
Test_LB('× 00A7 × 0308 × 05D0 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 00A7 × 002D ÷');
Test_LB('× 00A7 × 0020 ÷ 002D ÷');
Test_LB('× 00A7 × 0308 × 002D ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 00A7 ÷ 231A ÷');
Test_LB('× 00A7 × 0020 ÷ 231A ÷');
Test_LB('× 00A7 × 0308 ÷ 231A ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 00A7 × 2024 ÷');
Test_LB('× 00A7 × 0020 ÷ 2024 ÷');
Test_LB('× 00A7 × 0308 × 2024 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 00A7 × 002C ÷');
Test_LB('× 00A7 × 0020 × 002C ÷');
Test_LB('× 00A7 × 0308 × 002C ÷');
Test_LB('× 00A7 × 0308 × 0020 × 002C ÷');
Test_LB('× 00A7 ÷ 1100 ÷');
Test_LB('× 00A7 × 0020 ÷ 1100 ÷');
Test_LB('× 00A7 × 0308 ÷ 1100 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 00A7 ÷ 11A8 ÷');
Test_LB('× 00A7 × 0020 ÷ 11A8 ÷');
Test_LB('× 00A7 × 0308 ÷ 11A8 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 00A7 ÷ 1160 ÷');
Test_LB('× 00A7 × 0020 ÷ 1160 ÷');
Test_LB('× 00A7 × 0308 ÷ 1160 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 00A7 × 000A ÷');
Test_LB('× 00A7 × 0020 × 000A ÷');
Test_LB('× 00A7 × 0308 × 000A ÷');
Test_LB('× 00A7 × 0308 × 0020 × 000A ÷');
Test_LB('× 00A7 × 0085 ÷');
Test_LB('× 00A7 × 0020 × 0085 ÷');
Test_LB('× 00A7 × 0308 × 0085 ÷');
Test_LB('× 00A7 × 0308 × 0020 × 0085 ÷');
Test_LB('× 00A7 × 17D6 ÷');
Test_LB('× 00A7 × 0020 ÷ 17D6 ÷');
Test_LB('× 00A7 × 0308 × 17D6 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 00A7 × 0030 ÷');
Test_LB('× 00A7 × 0020 ÷ 0030 ÷');
Test_LB('× 00A7 × 0308 × 0030 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 00A7 × 0028 ÷');
Test_LB('× 00A7 × 0020 ÷ 0028 ÷');
Test_LB('× 00A7 × 0308 × 0028 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 00A7 ÷ 0025 ÷');
Test_LB('× 00A7 × 0020 ÷ 0025 ÷');
Test_LB('× 00A7 × 0308 ÷ 0025 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 00A7 ÷ 0024 ÷');
Test_LB('× 00A7 × 0020 ÷ 0024 ÷');
Test_LB('× 00A7 × 0308 ÷ 0024 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 00A7 × 0022 ÷');
Test_LB('× 00A7 × 0020 ÷ 0022 ÷');
Test_LB('× 00A7 × 0308 × 0022 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 00A7 × 0020 ÷');
Test_LB('× 00A7 × 0020 × 0020 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷');
Test_LB('× 00A7 × 0308 × 0020 × 0020 ÷');
Test_LB('× 00A7 × 002F ÷');
Test_LB('× 00A7 × 0020 × 002F ÷');
Test_LB('× 00A7 × 0308 × 002F ÷');
Test_LB('× 00A7 × 0308 × 0020 × 002F ÷');
Test_LB('× 00A7 × 2060 ÷');
Test_LB('× 00A7 × 0020 × 2060 ÷');
Test_LB('× 00A7 × 0308 × 2060 ÷');
Test_LB('× 00A7 × 0308 × 0020 × 2060 ÷');
Test_LB('× 00A7 × 200B ÷');
Test_LB('× 00A7 × 0020 × 200B ÷');
Test_LB('× 00A7 × 0308 × 200B ÷');
Test_LB('× 00A7 × 0308 × 0020 × 200B ÷');
Test_LB('× 00A7 ÷ 1F1E6 ÷');
Test_LB('× 00A7 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 00A7 × 0308 ÷ 1F1E6 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 00A7 × 00A7 ÷');
Test_LB('× 00A7 × 0020 ÷ 00A7 ÷');
Test_LB('× 00A7 × 0308 × 00A7 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 00A7 × 50005 ÷');
Test_LB('× 00A7 × 0020 ÷ 50005 ÷');
Test_LB('× 00A7 × 0308 × 50005 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 00A7 × 0E01 ÷');
Test_LB('× 00A7 × 0020 ÷ 0E01 ÷');
Test_LB('× 00A7 × 0308 × 0E01 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 00A7 × 3041 ÷');
Test_LB('× 00A7 × 0020 ÷ 3041 ÷');
Test_LB('× 00A7 × 0308 × 3041 ÷');
Test_LB('× 00A7 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 50005 × 0023 ÷');
Test_LB('× 50005 × 0020 ÷ 0023 ÷');
Test_LB('× 50005 × 0308 × 0023 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 50005 ÷ 2014 ÷');
Test_LB('× 50005 × 0020 ÷ 2014 ÷');
Test_LB('× 50005 × 0308 ÷ 2014 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 50005 × 0009 ÷');
Test_LB('× 50005 × 0020 ÷ 0009 ÷');
Test_LB('× 50005 × 0308 × 0009 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 50005 ÷ 00B4 ÷');
Test_LB('× 50005 × 0020 ÷ 00B4 ÷');
Test_LB('× 50005 × 0308 ÷ 00B4 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 50005 × 000B ÷');
Test_LB('× 50005 × 0020 × 000B ÷');
Test_LB('× 50005 × 0308 × 000B ÷');
Test_LB('× 50005 × 0308 × 0020 × 000B ÷');
Test_LB('× 50005 ÷ FFFC ÷');
Test_LB('× 50005 × 0020 ÷ FFFC ÷');
Test_LB('× 50005 × 0308 ÷ FFFC ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 50005 × 007D ÷');
Test_LB('× 50005 × 0020 × 007D ÷');
Test_LB('× 50005 × 0308 × 007D ÷');
Test_LB('× 50005 × 0308 × 0020 × 007D ÷');
Test_LB('× 50005 × 0029 ÷');
Test_LB('× 50005 × 0020 × 0029 ÷');
Test_LB('× 50005 × 0308 × 0029 ÷');
Test_LB('× 50005 × 0308 × 0020 × 0029 ÷');
Test_LB('× 50005 × 0001 ÷');
Test_LB('× 50005 × 0020 ÷ 0001 ÷');
Test_LB('× 50005 × 0308 × 0001 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 50005 × 000D ÷');
Test_LB('× 50005 × 0020 × 000D ÷');
Test_LB('× 50005 × 0308 × 000D ÷');
Test_LB('× 50005 × 0308 × 0020 × 000D ÷');
Test_LB('× 50005 × 0021 ÷');
Test_LB('× 50005 × 0020 × 0021 ÷');
Test_LB('× 50005 × 0308 × 0021 ÷');
Test_LB('× 50005 × 0308 × 0020 × 0021 ÷');
Test_LB('× 50005 × 00A0 ÷');
Test_LB('× 50005 × 0020 ÷ 00A0 ÷');
Test_LB('× 50005 × 0308 × 00A0 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 50005 ÷ AC00 ÷');
Test_LB('× 50005 × 0020 ÷ AC00 ÷');
Test_LB('× 50005 × 0308 ÷ AC00 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 50005 ÷ AC01 ÷');
Test_LB('× 50005 × 0020 ÷ AC01 ÷');
Test_LB('× 50005 × 0308 ÷ AC01 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 50005 × 05D0 ÷');
Test_LB('× 50005 × 0020 ÷ 05D0 ÷');
Test_LB('× 50005 × 0308 × 05D0 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 50005 × 002D ÷');
Test_LB('× 50005 × 0020 ÷ 002D ÷');
Test_LB('× 50005 × 0308 × 002D ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 50005 ÷ 231A ÷');
Test_LB('× 50005 × 0020 ÷ 231A ÷');
Test_LB('× 50005 × 0308 ÷ 231A ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 50005 × 2024 ÷');
Test_LB('× 50005 × 0020 ÷ 2024 ÷');
Test_LB('× 50005 × 0308 × 2024 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 50005 × 002C ÷');
Test_LB('× 50005 × 0020 × 002C ÷');
Test_LB('× 50005 × 0308 × 002C ÷');
Test_LB('× 50005 × 0308 × 0020 × 002C ÷');
Test_LB('× 50005 ÷ 1100 ÷');
Test_LB('× 50005 × 0020 ÷ 1100 ÷');
Test_LB('× 50005 × 0308 ÷ 1100 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 50005 ÷ 11A8 ÷');
Test_LB('× 50005 × 0020 ÷ 11A8 ÷');
Test_LB('× 50005 × 0308 ÷ 11A8 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 50005 ÷ 1160 ÷');
Test_LB('× 50005 × 0020 ÷ 1160 ÷');
Test_LB('× 50005 × 0308 ÷ 1160 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 50005 × 000A ÷');
Test_LB('× 50005 × 0020 × 000A ÷');
Test_LB('× 50005 × 0308 × 000A ÷');
Test_LB('× 50005 × 0308 × 0020 × 000A ÷');
Test_LB('× 50005 × 0085 ÷');
Test_LB('× 50005 × 0020 × 0085 ÷');
Test_LB('× 50005 × 0308 × 0085 ÷');
Test_LB('× 50005 × 0308 × 0020 × 0085 ÷');
Test_LB('× 50005 × 17D6 ÷');
Test_LB('× 50005 × 0020 ÷ 17D6 ÷');
Test_LB('× 50005 × 0308 × 17D6 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 50005 × 0030 ÷');
Test_LB('× 50005 × 0020 ÷ 0030 ÷');
Test_LB('× 50005 × 0308 × 0030 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 50005 × 0028 ÷');
Test_LB('× 50005 × 0020 ÷ 0028 ÷');
Test_LB('× 50005 × 0308 × 0028 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 50005 ÷ 0025 ÷');
Test_LB('× 50005 × 0020 ÷ 0025 ÷');
Test_LB('× 50005 × 0308 ÷ 0025 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 50005 ÷ 0024 ÷');
Test_LB('× 50005 × 0020 ÷ 0024 ÷');
Test_LB('× 50005 × 0308 ÷ 0024 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 50005 × 0022 ÷');
Test_LB('× 50005 × 0020 ÷ 0022 ÷');
Test_LB('× 50005 × 0308 × 0022 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 50005 × 0020 ÷');
Test_LB('× 50005 × 0020 × 0020 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷');
Test_LB('× 50005 × 0308 × 0020 × 0020 ÷');
Test_LB('× 50005 × 002F ÷');
Test_LB('× 50005 × 0020 × 002F ÷');
Test_LB('× 50005 × 0308 × 002F ÷');
Test_LB('× 50005 × 0308 × 0020 × 002F ÷');
Test_LB('× 50005 × 2060 ÷');
Test_LB('× 50005 × 0020 × 2060 ÷');
Test_LB('× 50005 × 0308 × 2060 ÷');
Test_LB('× 50005 × 0308 × 0020 × 2060 ÷');
Test_LB('× 50005 × 200B ÷');
Test_LB('× 50005 × 0020 × 200B ÷');
Test_LB('× 50005 × 0308 × 200B ÷');
Test_LB('× 50005 × 0308 × 0020 × 200B ÷');
Test_LB('× 50005 ÷ 1F1E6 ÷');
Test_LB('× 50005 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 50005 × 0308 ÷ 1F1E6 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 50005 × 00A7 ÷');
Test_LB('× 50005 × 0020 ÷ 00A7 ÷');
Test_LB('× 50005 × 0308 × 00A7 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 50005 × 50005 ÷');
Test_LB('× 50005 × 0020 ÷ 50005 ÷');
Test_LB('× 50005 × 0308 × 50005 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 50005 × 0E01 ÷');
Test_LB('× 50005 × 0020 ÷ 0E01 ÷');
Test_LB('× 50005 × 0308 × 0E01 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 50005 × 3041 ÷');
Test_LB('× 50005 × 0020 ÷ 3041 ÷');
Test_LB('× 50005 × 0308 × 3041 ÷');
Test_LB('× 50005 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 0E01 × 0023 ÷');
Test_LB('× 0E01 × 0020 ÷ 0023 ÷');
Test_LB('× 0E01 × 0308 × 0023 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 0E01 ÷ 2014 ÷');
Test_LB('× 0E01 × 0020 ÷ 2014 ÷');
Test_LB('× 0E01 × 0308 ÷ 2014 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 0E01 × 0009 ÷');
Test_LB('× 0E01 × 0020 ÷ 0009 ÷');
Test_LB('× 0E01 × 0308 × 0009 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 0E01 ÷ 00B4 ÷');
Test_LB('× 0E01 × 0020 ÷ 00B4 ÷');
Test_LB('× 0E01 × 0308 ÷ 00B4 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 0E01 × 000B ÷');
Test_LB('× 0E01 × 0020 × 000B ÷');
Test_LB('× 0E01 × 0308 × 000B ÷');
Test_LB('× 0E01 × 0308 × 0020 × 000B ÷');
Test_LB('× 0E01 ÷ FFFC ÷');
Test_LB('× 0E01 × 0020 ÷ FFFC ÷');
Test_LB('× 0E01 × 0308 ÷ FFFC ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 0E01 × 007D ÷');
Test_LB('× 0E01 × 0020 × 007D ÷');
Test_LB('× 0E01 × 0308 × 007D ÷');
Test_LB('× 0E01 × 0308 × 0020 × 007D ÷');
Test_LB('× 0E01 × 0029 ÷');
Test_LB('× 0E01 × 0020 × 0029 ÷');
Test_LB('× 0E01 × 0308 × 0029 ÷');
Test_LB('× 0E01 × 0308 × 0020 × 0029 ÷');
Test_LB('× 0E01 × 0001 ÷');
Test_LB('× 0E01 × 0020 ÷ 0001 ÷');
Test_LB('× 0E01 × 0308 × 0001 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 0E01 × 000D ÷');
Test_LB('× 0E01 × 0020 × 000D ÷');
Test_LB('× 0E01 × 0308 × 000D ÷');
Test_LB('× 0E01 × 0308 × 0020 × 000D ÷');
Test_LB('× 0E01 × 0021 ÷');
Test_LB('× 0E01 × 0020 × 0021 ÷');
Test_LB('× 0E01 × 0308 × 0021 ÷');
Test_LB('× 0E01 × 0308 × 0020 × 0021 ÷');
Test_LB('× 0E01 × 00A0 ÷');
Test_LB('× 0E01 × 0020 ÷ 00A0 ÷');
Test_LB('× 0E01 × 0308 × 00A0 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 0E01 ÷ AC00 ÷');
Test_LB('× 0E01 × 0020 ÷ AC00 ÷');
Test_LB('× 0E01 × 0308 ÷ AC00 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 0E01 ÷ AC01 ÷');
Test_LB('× 0E01 × 0020 ÷ AC01 ÷');
Test_LB('× 0E01 × 0308 ÷ AC01 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 0E01 × 05D0 ÷');
Test_LB('× 0E01 × 0020 ÷ 05D0 ÷');
Test_LB('× 0E01 × 0308 × 05D0 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 0E01 × 002D ÷');
Test_LB('× 0E01 × 0020 ÷ 002D ÷');
Test_LB('× 0E01 × 0308 × 002D ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 0E01 ÷ 231A ÷');
Test_LB('× 0E01 × 0020 ÷ 231A ÷');
Test_LB('× 0E01 × 0308 ÷ 231A ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 0E01 × 2024 ÷');
Test_LB('× 0E01 × 0020 ÷ 2024 ÷');
Test_LB('× 0E01 × 0308 × 2024 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 0E01 × 002C ÷');
Test_LB('× 0E01 × 0020 × 002C ÷');
Test_LB('× 0E01 × 0308 × 002C ÷');
Test_LB('× 0E01 × 0308 × 0020 × 002C ÷');
Test_LB('× 0E01 ÷ 1100 ÷');
Test_LB('× 0E01 × 0020 ÷ 1100 ÷');
Test_LB('× 0E01 × 0308 ÷ 1100 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 0E01 ÷ 11A8 ÷');
Test_LB('× 0E01 × 0020 ÷ 11A8 ÷');
Test_LB('× 0E01 × 0308 ÷ 11A8 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 0E01 ÷ 1160 ÷');
Test_LB('× 0E01 × 0020 ÷ 1160 ÷');
Test_LB('× 0E01 × 0308 ÷ 1160 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 0E01 × 000A ÷');
Test_LB('× 0E01 × 0020 × 000A ÷');
Test_LB('× 0E01 × 0308 × 000A ÷');
Test_LB('× 0E01 × 0308 × 0020 × 000A ÷');
Test_LB('× 0E01 × 0085 ÷');
Test_LB('× 0E01 × 0020 × 0085 ÷');
Test_LB('× 0E01 × 0308 × 0085 ÷');
Test_LB('× 0E01 × 0308 × 0020 × 0085 ÷');
Test_LB('× 0E01 × 17D6 ÷');
Test_LB('× 0E01 × 0020 ÷ 17D6 ÷');
Test_LB('× 0E01 × 0308 × 17D6 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 0E01 × 0030 ÷');
Test_LB('× 0E01 × 0020 ÷ 0030 ÷');
Test_LB('× 0E01 × 0308 × 0030 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 0E01 × 0028 ÷');
Test_LB('× 0E01 × 0020 ÷ 0028 ÷');
Test_LB('× 0E01 × 0308 × 0028 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 0E01 ÷ 0025 ÷');
Test_LB('× 0E01 × 0020 ÷ 0025 ÷');
Test_LB('× 0E01 × 0308 ÷ 0025 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 0E01 ÷ 0024 ÷');
Test_LB('× 0E01 × 0020 ÷ 0024 ÷');
Test_LB('× 0E01 × 0308 ÷ 0024 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 0E01 × 0022 ÷');
Test_LB('× 0E01 × 0020 ÷ 0022 ÷');
Test_LB('× 0E01 × 0308 × 0022 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 0E01 × 0020 ÷');
Test_LB('× 0E01 × 0020 × 0020 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷');
Test_LB('× 0E01 × 0308 × 0020 × 0020 ÷');
Test_LB('× 0E01 × 002F ÷');
Test_LB('× 0E01 × 0020 × 002F ÷');
Test_LB('× 0E01 × 0308 × 002F ÷');
Test_LB('× 0E01 × 0308 × 0020 × 002F ÷');
Test_LB('× 0E01 × 2060 ÷');
Test_LB('× 0E01 × 0020 × 2060 ÷');
Test_LB('× 0E01 × 0308 × 2060 ÷');
Test_LB('× 0E01 × 0308 × 0020 × 2060 ÷');
Test_LB('× 0E01 × 200B ÷');
Test_LB('× 0E01 × 0020 × 200B ÷');
Test_LB('× 0E01 × 0308 × 200B ÷');
Test_LB('× 0E01 × 0308 × 0020 × 200B ÷');
Test_LB('× 0E01 ÷ 1F1E6 ÷');
Test_LB('× 0E01 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0E01 × 0308 ÷ 1F1E6 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 0E01 × 00A7 ÷');
Test_LB('× 0E01 × 0020 ÷ 00A7 ÷');
Test_LB('× 0E01 × 0308 × 00A7 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 0E01 × 50005 ÷');
Test_LB('× 0E01 × 0020 ÷ 50005 ÷');
Test_LB('× 0E01 × 0308 × 50005 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 0E01 × 0E01 ÷');
Test_LB('× 0E01 × 0020 ÷ 0E01 ÷');
Test_LB('× 0E01 × 0308 × 0E01 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 0E01 × 3041 ÷');
Test_LB('× 0E01 × 0020 ÷ 3041 ÷');
Test_LB('× 0E01 × 0308 × 3041 ÷');
Test_LB('× 0E01 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 3041 ÷ 0023 ÷');
Test_LB('× 3041 × 0020 ÷ 0023 ÷');
Test_LB('× 3041 × 0308 ÷ 0023 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 0023 ÷');
Test_LB('× 3041 ÷ 2014 ÷');
Test_LB('× 3041 × 0020 ÷ 2014 ÷');
Test_LB('× 3041 × 0308 ÷ 2014 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 2014 ÷');
Test_LB('× 3041 × 0009 ÷');
Test_LB('× 3041 × 0020 ÷ 0009 ÷');
Test_LB('× 3041 × 0308 × 0009 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 0009 ÷');
Test_LB('× 3041 ÷ 00B4 ÷');
Test_LB('× 3041 × 0020 ÷ 00B4 ÷');
Test_LB('× 3041 × 0308 ÷ 00B4 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 00B4 ÷');
Test_LB('× 3041 × 000B ÷');
Test_LB('× 3041 × 0020 × 000B ÷');
Test_LB('× 3041 × 0308 × 000B ÷');
Test_LB('× 3041 × 0308 × 0020 × 000B ÷');
Test_LB('× 3041 ÷ FFFC ÷');
Test_LB('× 3041 × 0020 ÷ FFFC ÷');
Test_LB('× 3041 × 0308 ÷ FFFC ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ FFFC ÷');
Test_LB('× 3041 × 007D ÷');
Test_LB('× 3041 × 0020 × 007D ÷');
Test_LB('× 3041 × 0308 × 007D ÷');
Test_LB('× 3041 × 0308 × 0020 × 007D ÷');
Test_LB('× 3041 × 0029 ÷');
Test_LB('× 3041 × 0020 × 0029 ÷');
Test_LB('× 3041 × 0308 × 0029 ÷');
Test_LB('× 3041 × 0308 × 0020 × 0029 ÷');
Test_LB('× 3041 × 0001 ÷');
Test_LB('× 3041 × 0020 ÷ 0001 ÷');
Test_LB('× 3041 × 0308 × 0001 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 0001 ÷');
Test_LB('× 3041 × 000D ÷');
Test_LB('× 3041 × 0020 × 000D ÷');
Test_LB('× 3041 × 0308 × 000D ÷');
Test_LB('× 3041 × 0308 × 0020 × 000D ÷');
Test_LB('× 3041 × 0021 ÷');
Test_LB('× 3041 × 0020 × 0021 ÷');
Test_LB('× 3041 × 0308 × 0021 ÷');
Test_LB('× 3041 × 0308 × 0020 × 0021 ÷');
Test_LB('× 3041 × 00A0 ÷');
Test_LB('× 3041 × 0020 ÷ 00A0 ÷');
Test_LB('× 3041 × 0308 × 00A0 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 00A0 ÷');
Test_LB('× 3041 ÷ AC00 ÷');
Test_LB('× 3041 × 0020 ÷ AC00 ÷');
Test_LB('× 3041 × 0308 ÷ AC00 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ AC00 ÷');
Test_LB('× 3041 ÷ AC01 ÷');
Test_LB('× 3041 × 0020 ÷ AC01 ÷');
Test_LB('× 3041 × 0308 ÷ AC01 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ AC01 ÷');
Test_LB('× 3041 ÷ 05D0 ÷');
Test_LB('× 3041 × 0020 ÷ 05D0 ÷');
Test_LB('× 3041 × 0308 ÷ 05D0 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 05D0 ÷');
Test_LB('× 3041 × 002D ÷');
Test_LB('× 3041 × 0020 ÷ 002D ÷');
Test_LB('× 3041 × 0308 × 002D ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 002D ÷');
Test_LB('× 3041 ÷ 231A ÷');
Test_LB('× 3041 × 0020 ÷ 231A ÷');
Test_LB('× 3041 × 0308 ÷ 231A ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 231A ÷');
Test_LB('× 3041 ÷ 2024 ÷');
Test_LB('× 3041 × 0020 ÷ 2024 ÷');
Test_LB('× 3041 × 0308 ÷ 2024 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 2024 ÷');
Test_LB('× 3041 × 002C ÷');
Test_LB('× 3041 × 0020 × 002C ÷');
Test_LB('× 3041 × 0308 × 002C ÷');
Test_LB('× 3041 × 0308 × 0020 × 002C ÷');
Test_LB('× 3041 ÷ 1100 ÷');
Test_LB('× 3041 × 0020 ÷ 1100 ÷');
Test_LB('× 3041 × 0308 ÷ 1100 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 1100 ÷');
Test_LB('× 3041 ÷ 11A8 ÷');
Test_LB('× 3041 × 0020 ÷ 11A8 ÷');
Test_LB('× 3041 × 0308 ÷ 11A8 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 11A8 ÷');
Test_LB('× 3041 ÷ 1160 ÷');
Test_LB('× 3041 × 0020 ÷ 1160 ÷');
Test_LB('× 3041 × 0308 ÷ 1160 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 1160 ÷');
Test_LB('× 3041 × 000A ÷');
Test_LB('× 3041 × 0020 × 000A ÷');
Test_LB('× 3041 × 0308 × 000A ÷');
Test_LB('× 3041 × 0308 × 0020 × 000A ÷');
Test_LB('× 3041 × 0085 ÷');
Test_LB('× 3041 × 0020 × 0085 ÷');
Test_LB('× 3041 × 0308 × 0085 ÷');
Test_LB('× 3041 × 0308 × 0020 × 0085 ÷');
Test_LB('× 3041 × 17D6 ÷');
Test_LB('× 3041 × 0020 ÷ 17D6 ÷');
Test_LB('× 3041 × 0308 × 17D6 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 17D6 ÷');
Test_LB('× 3041 ÷ 0030 ÷');
Test_LB('× 3041 × 0020 ÷ 0030 ÷');
Test_LB('× 3041 × 0308 ÷ 0030 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 0030 ÷');
Test_LB('× 3041 ÷ 0028 ÷');
Test_LB('× 3041 × 0020 ÷ 0028 ÷');
Test_LB('× 3041 × 0308 ÷ 0028 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 0028 ÷');
Test_LB('× 3041 ÷ 0025 ÷');
Test_LB('× 3041 × 0020 ÷ 0025 ÷');
Test_LB('× 3041 × 0308 ÷ 0025 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 0025 ÷');
Test_LB('× 3041 ÷ 0024 ÷');
Test_LB('× 3041 × 0020 ÷ 0024 ÷');
Test_LB('× 3041 × 0308 ÷ 0024 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 0024 ÷');
Test_LB('× 3041 × 0022 ÷');
Test_LB('× 3041 × 0020 ÷ 0022 ÷');
Test_LB('× 3041 × 0308 × 0022 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 0022 ÷');
Test_LB('× 3041 × 0020 ÷');
Test_LB('× 3041 × 0020 × 0020 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷');
Test_LB('× 3041 × 0308 × 0020 × 0020 ÷');
Test_LB('× 3041 × 002F ÷');
Test_LB('× 3041 × 0020 × 002F ÷');
Test_LB('× 3041 × 0308 × 002F ÷');
Test_LB('× 3041 × 0308 × 0020 × 002F ÷');
Test_LB('× 3041 × 2060 ÷');
Test_LB('× 3041 × 0020 × 2060 ÷');
Test_LB('× 3041 × 0308 × 2060 ÷');
Test_LB('× 3041 × 0308 × 0020 × 2060 ÷');
Test_LB('× 3041 × 200B ÷');
Test_LB('× 3041 × 0020 × 200B ÷');
Test_LB('× 3041 × 0308 × 200B ÷');
Test_LB('× 3041 × 0308 × 0020 × 200B ÷');
Test_LB('× 3041 ÷ 1F1E6 ÷');
Test_LB('× 3041 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 3041 × 0308 ÷ 1F1E6 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 1F1E6 ÷');
Test_LB('× 3041 ÷ 00A7 ÷');
Test_LB('× 3041 × 0020 ÷ 00A7 ÷');
Test_LB('× 3041 × 0308 ÷ 00A7 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 00A7 ÷');
Test_LB('× 3041 ÷ 50005 ÷');
Test_LB('× 3041 × 0020 ÷ 50005 ÷');
Test_LB('× 3041 × 0308 ÷ 50005 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 50005 ÷');
Test_LB('× 3041 ÷ 0E01 ÷');
Test_LB('× 3041 × 0020 ÷ 0E01 ÷');
Test_LB('× 3041 × 0308 ÷ 0E01 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 0E01 ÷');
Test_LB('× 3041 × 3041 ÷');
Test_LB('× 3041 × 0020 ÷ 3041 ÷');
Test_LB('× 3041 × 0308 × 3041 ÷');
Test_LB('× 3041 × 0308 × 0020 ÷ 3041 ÷');
Test_LB('× 0063 × 0061 × 006E × 0027 × 0074 ÷');
Test_LB('× 0063 × 0061 × 006E × 2019 × 0074 ÷');
Test_LB('× 0027 × 0063 × 0061 × 006E × 0027 × 0020 ÷ 006E × 006F × 0074 ÷');
Test_LB('× 0063 × 0061 × 006E × 0020 ÷ 0027 × 006E × 006F × 0074 × 0027 ÷');
Test_LB('× 0062 × 0075 × 0067 × 0028 × 0073 × 0029 × 0020 × 0020 × 0020 × 0020 × 0020 ÷');
Test_LB('× 0062 × 0075 × 0067 × 0028 × 0073 × 0029 × 00A0 × 0020 × 0020 × 0020 × 0020 × 0020 ÷');
Test_LB('× 002E × 002E ÷ 307E ÷ 3059 × 3002 ÷ 0058 × 004D × 004C ÷ 306E × 002E × 002E ÷');
Test_LB('× 0061 × 0062 × 00AD ÷ 0062 × 0079 ÷');
Test_LB('× 002D × 0033 ÷');
Test_LB('× 0065 × 002E × 0067 × 002E ÷');
Test_LB('× 4E00 × 002E ÷ 4E00 × 002E ÷');
Test_LB('× 0061 × 0020 × 0020 ÷ 0062 ÷');
Test_LB('× 0061 × 0020 × 0020 × 200B ÷ 0062 ÷');
Test_LB('× 0061 × 0020 ÷ 0308 × 0062 ÷');
Test_LB('× 0031 × 0308 × 0062 × 0028 × 0061 × 0029 × 002D ÷ 0028 × 0062 × 0029 ÷');
Test_LB('× 0067 × 0069 × 0076 × 0065 × 0020 ÷ 0062 × 006F × 006F × 006B × 0028 × 0073 × 0029 × 002E ÷');
Test_LB('× 307E ÷ 0028 × 3059 × 0029 ÷');
Test_LB('× 0066 × 0069 × 006E × 0064 × 0020 × 002E × 0063 × 006F × 006D ÷');
Test_LB('× 0065 × 0071 × 0075 × 0061 × 006C × 0073 × 0020 × 002E ÷ 0033 × 0035 × 0020 ÷ 0063 × 0065 × 006E × 0074 × 0073 ÷');
Test_LB('× 0028 × 0073 × 0029 × 0068 × 0065 ÷');
Test_LB('× 007B × 0073 × 007D ÷ 0068 × 0065 ÷');
Test_LB('× 02C8 × 0073 × 0049 × 006C × 0259 × 0062 × 0028 × 0259 × 0029 × 006C ÷');
Test_LB('× 02C8 × 0073 × 0049 × 006C × 0259 × 0062 × 007B × 0259 × 007D ÷ 006C ÷');
Test_LB('× 0063 × 006F × 0064 × 0065 × 0028 × 0073 × 0029 × 002E ÷');
Test_LB('× 0063 × 006F × 0064 × 0065 × 0028 × 0073 × 002E × 0029 ÷');
Test_LB('× 0063 × 006F × 0064 × 0065 × 0028 × 0073 × 0029 × 0021 ÷');
Test_LB('× 0063 × 006F × 0064 × 0065 × 0028 × 0073 × 0021 × 0029 ÷');
Test_LB('× 0063 × 006F × 0064 × 0065 ÷ 005C ÷ 0028 × 0073 ÷ 005C × 0029 ÷');
Test_LB('× 0063 × 006F × 0064 × 0065 × 0028 × 0020 × 0073 × 0020 × 0029 ÷');
Test_LB('× 0063 × 006F × 0064 × 0065 × 007B × 0073 × 007D ÷');
Test_LB('× 0063 × 006F × 0064 × 0065 × 007B × 0073 × 007D × 002E ÷');
Test_LB('× 0063 × 006F × 0064 × 0065 × 007B × 0073 × 007D × 0021 ÷');
Test_LB('× 0063 × 006F × 0064 × 0065 ÷ 005C ÷ 007B × 0073 ÷ 005C × 007D ÷');
Test_LB('× 0063 × 006F × 0064 × 0065 × 007B × 0020 × 0073 × 0020 × 007D ÷');
Test_LB('× 0063 × 006F × 0064 × 0028 × 0065 × 0029 ÷ 2026 ÷ 0028 × 0073 × 0029 ÷');
Test_LB('× 0028 × 0063 × 006F × 0064 × 0028 × 0065 × 0029 ÷ 2026 × 0029 × 0073 ÷');
Test_LB('× 0063 × 006F × 0064 × 007B × 0065 × 007D ÷ 2026 ÷ 007B × 0073 × 007D ÷');
Test_LB('× 007B × 0063 × 006F × 0064 × 007B × 0065 × 007D ÷ 2026 × 007D ÷ 0073 ÷');
Test_LB('× 0028 × 0063 × 006F × 006E × 002D × 0029 × 006C × 0061 × 006E × 0067 ÷');
Test_LB('× 0028 × 0063 × 006F × 006E × 00AD × 0029 × 006C × 0061 × 006E × 0067 ÷');
Test_LB('× 0028 × 0063 × 006F × 006E × 2011 × 0029 × 006C × 0061 × 006E × 0067 ÷');
Test_LB('× 0028 × 0063 × 006F × 006E × 0029 × 002D ÷ 006C × 0061 × 006E × 0067 ÷');
Test_LB('× 0028 × 0063 × 006F × 006E × 0029 × 00AD ÷ 006C × 0061 × 006E × 0067 ÷');
Test_LB('× 0028 × 0063 × 006F × 006E × 0029 × 2011 × 006C × 0061 × 006E × 0067 ÷');
Test_LB('× 007B × 0063 × 006F × 006E × 002D × 007D ÷ 006C × 0061 × 006E × 0067 ÷');
Test_LB('× 007B × 0063 × 006F × 006E × 00AD × 007D ÷ 006C × 0061 × 006E × 0067 ÷');
Test_LB('× 007B × 0063 × 006F × 006E × 2011 × 007D ÷ 006C × 0061 × 006E × 0067 ÷');
Test_LB('× 007B × 0063 × 006F × 006E × 007D × 002D ÷ 006C × 0061 × 006E × 0067 ÷');
Test_LB('× 007B × 0063 × 006F × 006E × 007D × 00AD ÷ 006C × 0061 × 006E × 0067 ÷');
Test_LB('× 007B × 0063 × 006F × 006E × 007D × 2011 × 006C × 0061 × 006E × 0067 ÷');
Test_LB('× 0063 × 0072 × 0065 × 0301 × 0028 × 0065 × 0301 × 0029 ÷ 0028 × 0065 × 0029 ÷');
Test_LB('× 0063 × 0072 × 0065 × 0301 × 005B × 0065 × 0072 × 007C ÷ 0065 × 0301 × 0028 × 0065 × 0029 ÷ 0028 × 0073 × 0029 × 005D ÷');
Test_LB('× 0063 × 0072 × 0065 × 0301 × 007B × 0065 × 0072 × 007C ÷ 0065 × 0301 × 0028 × 0065 × 0029 ÷ 0028 × 0073 × 0029 × 007D ÷');
Test_LB('× 0061 × 006D × 0062 × 0069 × 0067 × 0075 × 0028 × 0308 × 0029 ÷ 0028 × 0065 × 0308 × 0029 ÷');
Test_LB('× 0061 × 006D × 0062 × 0069 × 0067 × 0075 × 0028 × 00AB × 0308 × 00BB × 0029 ÷ 0028 × 0065 × 0308 × 0029 ÷');
Test_LB('× 0061 × 006D × 0062 × 0069 × 0067 × 0075 × 0028 × 00AB × 0020 ÷ 0308 × 0020 ÷ 00BB × 0029 ÷ 0028 × 0065 × 0308 × 0029 ÷');
Test_LB('× 0061 × 006D × 0062 × 0069 × 0067 × 0075 × 00AB × 0020 × 0028 × 0020 × 0308 × 0020 × 0029 × 0020 ÷ 00BB × 0028 × 0065 × 0308 × 0029 ÷');
Test_LB('× 0061 × 006D × 0062 × 0069 × 0067 × 0075 × 00AB × 202F × 0028 × 0020 × 0308 × 0020 × 0029 × 202F × 00BB × 0028 × 0065 × 0308 × 0029 ÷');
Test_LB('× 0061 × 006D × 0062 × 0069 × 0067 × 0075 × 007B × 0308 × 007D ÷ 0028 × 0065 × 0308 × 0029 ÷');
Test_LB('× 0061 × 006D × 0062 × 0069 × 0067 × 0075 × 007B × 00AB × 0308 × 00BB × 007D ÷ 0028 × 0065 × 0308 × 0029 ÷');
Test_LB('× 0061 × 006D × 0062 × 0069 × 0067 × 0075 × 007B × 00AB × 0020 ÷ 0308 × 0020 ÷ 00BB × 007D ÷ 0028 × 0065 × 0308 × 0029 ÷');
Test_LB('× 0061 × 006D × 0062 × 0069 × 0067 × 0075 × 00AB × 0020 × 007B × 0020 × 0308 × 0020 × 007D × 0020 ÷ 00BB × 0028 × 0065 × 0308 × 0029 ÷');
Test_LB('× 0061 × 006D × 0062 × 0069 × 0067 × 0075 × 00AB × 202F × 007B × 0020 × 0308 × 0020 × 007D × 202F × 00BB × 0028 × 0065 × 0308 × 0029 ÷');
Test_LB('× 0028 × 0063 × 007A × 0065 × 0072 × 0077 × 006F × 006E × 006F × 00AD ÷ 2011 × 0029 × 006E × 0069 × 0065 × 0062 × 0069 × 0065 × 0073 × 006B × 0061 ÷');
Test_LB('× 0028 × 0063 × 007A × 0065 × 0072 × 0077 × 006F × 006E × 006F × 00AD × 0029 × 2011 × 006E × 0069 × 0065 × 0062 × 0069 × 0065 × 0073 × 006B × 0061 ÷');
Test_LB('× 0028 × 0063 × 007A × 0065 × 0072 × 0077 × 006F × 006E × 006F × 0029 × 00AD ÷ 2011 × 006E × 0069 × 0065 × 0062 × 0069 × 0065 × 0073 × 006B × 0061 ÷');
Test_LB('× 007B × 0063 × 007A × 0065 × 0072 × 0077 × 006F × 006E × 006F × 00AD ÷ 2011 × 007D ÷ 006E × 0069 × 0065 × 0062 × 0069 × 0065 × 0073 × 006B × 0061 ÷');
Test_LB('× 007B × 0063 × 007A × 0065 × 0072 × 0077 × 006F × 006E × 006F × 00AD × 007D × 2011 × 006E × 0069 × 0065 × 0062 × 0069 × 0065 × 0073 × 006B × 0061 ÷');
Test_LB('× 007B × 0063 × 007A × 0065 × 0072 × 0077 × 006F × 006E × 006F × 007D × 00AD ÷ 2011 × 006E × 0069 × 0065 × 0062 × 0069 × 0065 × 0073 × 006B × 0061 ÷');
Test_LB('× 006F × 0070 × 0065 × 0072 × 0061 × 0074 × 006F × 0072 × 005B × 005D ÷ 0028 × 0030 × 0029 × 003B ÷');
Test_LB('× 006F × 0070 × 0065 × 0072 × 0061 × 0074 × 006F × 0072 × 005B × 005D ÷ 0028 × 0029 ÷ 007B × 007D ÷');
Test_LB('× 672C ÷ 0028 × 3092 × 0029 ÷ 8AAD ÷ 3080 ÷');
Test_LB('× 672C ÷ 0028 × 300C × 3092 × 300D × 0029 ÷ 8AAD ÷ 3080 ÷');
Test_LB('× 672C ÷ 300C × 0028 × 3092 × 0029 × 300D ÷ 8AAD ÷ 3080 ÷');
Test_LB('× 672C ÷ 007B × 3092 × 007D ÷ 8AAD ÷ 3080 ÷');
Test_LB('× 672C ÷ 007B × 300C × 3092 × 300D × 007D ÷ 8AAD ÷ 3080 ÷');
Test_LB('× 672C ÷ 005B × 0028 × 3092 × 0029 × 005D ÷ 8AAD ÷ 3080 ÷');
Test_LB('× 0028 × 30CB × 30E5 × 30FC × 30FB × 0029 ÷ 30E8 × 30FC ÷ 30AF ÷');
Test_LB('× 0028 × 30CB × 30E5 × 30FC × 0029 × 30FB ÷ 30E8 × 30FC ÷ 30AF ÷');
Test_LB('× 007B × 30CB × 30E5 × 30FC × 30FB × 007D ÷ 30E8 × 30FC ÷ 30AF ÷');
Test_LB('× 007B × 30CB × 30E5 × 30FC × 007D × 30FB ÷ 30E8 × 30FC ÷ 30AF ÷');
Test_LB('× 0028 × 1850 × 1846 × 1851 × 1846 ÷ 1806 × 0029 × 182A × 1822 × 1834 × 1822 × 182D × 180C ÷');
Test_LB('× 0028 × 1850 × 1846 × 1851 × 1846 × 0029 ÷ 1806 × 182A × 1822 × 1834 × 1822 × 182D × 180C ÷');
Test_LB('× 007B × 1850 × 1846 × 1851 × 1846 ÷ 1806 × 007D ÷ 182A × 1822 × 1834 × 1822 × 182D × 180C ÷');
Test_LB('× 007B × 1850 × 1846 × 1851 × 1846 × 007D ÷ 1806 × 182A × 1822 × 1834 × 1822 × 182D × 180C ÷');
Test_LB('× 0028 × 0068 × 0074 × 0074 × 0070 × 003A × 002F × 002F × 0029 × 0078 × 006E × 002D × 002D ÷ 0061 ÷');
Test_LB('× 007B × 0068 × 0074 × 0074 × 0070 × 003A × 002F × 002F × 007D ÷ 0078 × 006E × 002D × 002D ÷ 0061 ÷');
Test_LB('× 0028 × 0030 × 002C × 0031 × 0029 × 002B × 0028 × 0032 × 002C × 0033 × 0029 × 2295 × 0028 × 2212 × 0034 × 002C × 0035 × 0029 × 2296 × 0028 × 0036 × 002C × 0037 × 0029 ÷');
Test_LB('× 007B × 0030 × 002C × 0031 × 007D × 002B × 007B × 0032 × 002C × 0033 × 007D ÷ 2295 × 007B × 2212 × 0034 × 002C × 0035 × 007D ÷ 2296 × 007B × 0036 × 002C × 0037 × 007D ÷');
Test_LB('× 0061 × 0062 ÷');
Test_LB('× 0061 × 0062 × 0020 ÷');
Test_LB('× 0061 × 0062 × 0020 ÷ 0063 ÷');
Test_LB('× 0061 ÷ 307E ÷');
Test_LB('× 0939 × 093F × 0928 × 094D × 0926 × 0940 × 0020 ÷');
Test_LB('× 092F × 0938 × 0917 × 0941 × 091A × 093F × 0924 × 0940 × 092F × 0938 × 093E × 0020 ÷');
Test_LB('× 5370 ÷ 672C ÷');
Test_LB('× 8AAD ÷ 3080 ÷');
Test_LB('× 5165 ÷ 529B ÷ 3057 ÷ 30A8 ÷');
Test_LB('× 4F4D × 3002 ÷ 8A18 ÷');
Test_LB('× 672C × 3002 ÷');
Test_LB('× 967A × 300D ÷ 306E ÷');
Test_LB('× 3057 × 3087 ÷ 3046 ÷');
Test_LB('× 307E ÷ 0061 ÷ 672C ÷');
Test_LB('× C5C6 ÷ C5B4 ÷ C694 × 0020 ÷ 006F × 0072 × 0020 ÷ BABB ÷');
Test_LB('× 307E ÷ 0061 × 0062 × 0020 ÷');
Test_LB('× 3067 ÷ 4F7F ÷');
Test_LB('× 3059 ÷ 308B ÷');
Test_LB('× 306E ÷ 30D1 ÷ 30F3 ÷');
Test_LB('× 3046 × 3000 ÷ 3048 × 3000 ÷ 304A × 300D ÷');
Test_LB('× 308B × 0020 ÷ C740 ÷ C601 × 0020 ÷ 306B ÷');
Test_LB('× 3057 × 3087 ÷ 3046 × 3002 ÷');
Test_LB('× 30E0 ÷ 306E ÷ 4E00 ÷');
Test_LB('× 30D5 ÷ 30EA ÷');
Test_LB('× 30D5 ÷ 30EA × 30FC ÷ 767E ÷');
Test_LB('× 30D4 × 30E5 × 30FC ÷ 30BF ÷ 3067 ÷ 4F7F ÷ 7528 ÷ 3059 ÷ 308B ÷');
Test_LB('× 30BF × 30FC ÷ 30AD × 30FC ÷ 3092 ÷ 62BC ÷');
Test_LB('× 30B7 × 30E7 ÷ 30F3 ÷');
Test_LB('× 0061 × 002E ÷ 0032 × 0020 ÷');
Test_LB('× 0061 × 002E ÷ 0032 × 0020 ÷ 0915 ÷');
Test_LB('× 0061 × 002E ÷ 0032 × 0020 ÷ 672C ÷');
Test_LB('× 0061 × 002E ÷ 0032 × 3000 ÷ 672C ÷');
Test_LB('× 0061 × 002E ÷ 0032 × 3000 ÷ 307E ÷');
Test_LB('× 0061 × 002E ÷ 0032 × 3000 ÷ 0033 ÷');
Test_LB('× 0061 × 0062 × 002E × 0020 ÷ 0032 ÷');
Test_LB('× 0041 × 002E ÷ 0031 × 0020 ÷ BABB ÷');
Test_LB('× BD24 ÷ C5B4 × 002E × 0020 ÷ 0041 × 002E ÷ 0032 × 0020 ÷ BCFC ÷');
Test_LB('× BD10 ÷ C694 × 002E × 0020 ÷ 0041 × 002E ÷ 0033 × 0020 ÷ BABB ÷');
Test_LB('× C694 × 002E × 0020 ÷ 0041 × 002E ÷ 0034 × 0020 ÷ BABB ÷');
Test_LB('× 0061 × 002E ÷ 0032 × 3000 ÷ 300C ÷');
Test_LB('× 306B ÷ 300C × 30D0 ÷ 0028 × 0062 × 0061 × 0029 × 300D ÷ 3084 ÷ 300C × 30B9 ÷');
Test_LB('× 308B ÷ 300C × 0055 × 004B ÷ 30DD ÷ 30F3 ÷ 30C9 × 300D × FF09 × 3001 ÷ 30A8 ÷');
Test_LB('× 306F × 3001 ÷ 300C × 003D × 0072 × 0061 × 006E × 0064 × 0028 × 0029 × 300D ÷ 3068 ÷');
Test_LB('× 3067 × 3001 ÷ 300C × 0021 × 300D ÷ 3068 ÷');
Test_LB('× 8A33 ÷ 300C × 3059 ÷');
Test_LB('× 3066 ÷ 300C × BD24 ÷ C5B4 × 003F × 300D ÷ 3068 ÷');
Test_LB('× 306E ÷ 300C × 305D ÷');
Test_LB('× 306F ÷ 300C × 30A8 ÷');
Test_LB('× 4F8B × FF1A ÷ 300C × 3042 × 3000 ÷ 3044 ÷');
Test_LB('× 304F × 3001 ÷ 300C × D3C9 ÷ C591 ÷ C740 ÷');
Test_LB('× 306B ÷ 300C × C81C ÷ BAA9 ÷ 0028 × 984C ÷ 540D × 0029 ÷ C740 ÷');
Test_LB('× 5178 ÷ 300E × 30A6 × 30A3 ÷ 30AD ÷');
Test_LB('× 3067 ÷ 300E × 82F1 ÷ 8A9E ÷');
Test_LB('× 0028 × 0073 × 0029 × 0020 ÷ 672C ÷');
Test_LB('× 0028 × 0073 × 0029 × 0020 ÷ 307E ÷');
Test_LB('× 0028 × 0073 × 0029 × 0020 ÷ 30AF ÷');
Test_LB('× 308B × 3002 ÷ 0064 × 006F × 0067 × FF08 × 72AC × FF09 ÷ 3092 ÷');
Test_LB('× 672C ÷ FF08 × 307E ÷');
Test_LB('× 672C × 0020 ÷ 0028 × 0061 ÷');
Test_LB('× 70B9 × 0020 ÷ 005B × 7DE8 ÷ 96C6 × 005D ÷');
Test_LB('× 0061 × 0028 × 0073 × 0029 × 0020 ÷');
Test_LB('× FF08 × 30B6 × 30FB ÷ 30AF ÷ 30A4 × 30C3 ÷ 30AF × 30FB ÷ 30D6 ÷');
Test_LB('× 0070 × FF08 × 30AF ÷ 30A4 × 30C3 ÷ 30AF × 30FB ÷ 30D6 ÷');
Test_LB('× 0061 × 0062 × FF08 × 30AF ÷');
Test_LB('× 0028 × 5370 ÷ 672C × 0029 ÷');
Test_LB('× 30B9 ÷ FF08 × 3044 ÷');
Test_LB('× 30C9 ÷ FF08 × 30DD ÷');
Test_LB('× 30C9 × 0020 ÷ 0028 × 8CEA ÷');
Test_LB('× 0073 × 0029 × 300D ÷ 307E ÷');
Test_LB('× 0061 × FF09 × 300F ÷');
Test_LB('× 308B × 300D × FF09 ÷ 306F ÷');
Test_LB('× 30C9 × 300D × FF09 × 3001 ÷ 30A8 ÷');
Test_LB('× 0072 × 006B × 0029 × 300D ÷ 3082 ÷');
Test_LB('× 30AF ÷ 0028 × 0061 × 0062 × 0020 ÷ 0063 × 0064 × 0029 × 300D ÷ 3082 ÷');
Test_LB('× 30F3 × 30FB ÷ 30DE × 30FC ÷ 30AF ÷ 0028 × 0065 × 0078 ÷');
Test_LB('× 30DE × 30FC ÷ 0028 × 006D × 0061 × 0029 × 300D ÷ 306A ÷');
Test_LB('× 30AC ÷ 30EF × 300D × 3002 ÷ 3053 ÷');
Test_LB('× 30AF × 300D ÷ 307E ÷');
Test_LB('× 30EF × 300D × 3002 ÷ 3053 ÷');
Test_LB('× 30AF × 300D ÷ 307E × 3001 ÷ 672C ÷');
Test_LB('× 30AF × 300D × 3001 ÷ 30AF ÷');
Test_LB('× 30C7 × 30A3 ÷ 30A2 ÷ FF08 × 0061 × 0062 × FF09 × 300F ÷');
Test_LB('× CABD ÷ C774 ÷ C5D0 ÷ C694 × 003F × 300D ÷ 3068 ÷ 805E ÷');
Test_LB('× 540D × 0029 ÷ C740 × 0020 ÷ C54C ÷ C544 ÷ C694 × 003F × 300D ÷ 3068 ÷');
Test_LB('× 8CA8 × 0029 × 0020 ÷ 002D × 0020 ÷ 0028 × 0070 × 006F ÷');
Test_LB('× 91CF × 0029 × 0020 × 301C × 0020 ÷ 0028 × 0070 × 006F ÷');
Test_LB('× 30C9 ÷ 91CD × FF09 × 0020 × 301C × 0020 ÷ 529B × 30FB ÷ 91CD ÷');
Test_LB('× 0061 × 0062 × 0022 × FF08 × 307E ÷');
Test_LB('× 306F × 0020 ÷ 0022 × 0073 × 0022 × 0020 ÷');
Test_LB('× 306F × 3001 × 0022 × 0054 × 0068 × 0065 × 0020 ÷');
Test_LB('× 0064 × 006F × 0067 × 0022 × 0020 ÷ 3092 ÷');
Test_LB('× 0039 × 0030 × 0022 × 0020 ÷ 3068 ÷');
Test_LB('× 30B9 × 30FB ÷ 30AA × 30FC ÷ 30D0 × 30FC × 30FB ÷ 30B6 × 30FB ÷ 30EC ÷');
Test_LB('× 30B9 × 30FB ÷ 30B8 × 30E3 ÷ 30F3 ÷');
Test_LB('× 30F3 × 30FB ÷ 30D5 × 30A9 × 30C3 ÷ 30AF ÷');
Test_LB('× 30A4 ÷ 30B8 × 30FC × 30FB ÷ 30C9 × 30C3 ÷ 30B0 × 3001 ÷ 548C ÷');
Test_LB('× 30E1 × 30FC ÷ 30B7 × 30E7 ÷ 30F3 × 30FB ÷ 30DE × 30FC ÷ 30AF ÷');
Test_LB('× 30F3 × 30FB ÷ 30AF ÷ 0028 × 0061 ÷');
Test_LB('× 30B7 × 30E7 ÷ 30F3 × 30FB ÷ 30DE ÷');
Test_LB('× 672C × 003A × 0020 ÷');
Test_LB('× 672C × 003A × 0020 ÷ 30AF ÷');
Test_LB('× 51FA ÷ 5178 × 003A × 0020 ÷ 30D5 ÷ 30EA × 30FC ÷ 767E ÷');
Test_LB('× 5F8C × 2026 ÷ 306B ÷');
Test_LB('× 3057 × 3087 ÷ 3046 × 3002 × 3002 × 3002 ÷');
Test_LB('× 304D × 3001 × 0021 × 0021 × 3001 × 0021 × 0021 × 0021 ÷ 3068 ÷');
Test_LB('× 306F × 3001 × 003F ÷ 3068 × 0021 ÷ 3092 ÷');
Test_LB('× 305F × 3001 × 2049 ÷ 0028 × 0021 × 003F × 0029 ÷ 306E ÷');
Test_LB('× 3084 × 3001 × 2048 ÷ 0028 × 003F × 0021 × 0029 ÷ 306E ÷');
Test_LB('× 305F × 0020 ÷ 203D ÷ 3068 ÷');
Test_LB('× 305B × FF01 ÷ 0031 × 0030 × 0030 × 0025 ÷ 306E ÷ 5B8C ÷');
Test_LB('× 0032 × 0033 ÷ 672C ÷');
Test_LB('× 30A1 ÷ 30D9 × 30C3 ÷ 30C8 ÷ 0032 × 0036 ÷ 5B57 ÷ 3092 ÷');
Test_LB('× 4F8B × FF1A ÷ 00A3 × 0032 × 0033 ÷');
Test_LB('× 8A18 ÷ 53F7 × 0020 ÷ 00A3 × 3002 ÷');
Test_LB('× 308C ÷ 308B × 3002 ÷ 0071 × 0075 ÷');
Test_LB('× 307E × 3002 ÷');
Test_LB('× 307E × 3002 ÷ 0061 × 0062 × 0020 ÷');
Test_LB('× 308B × 3002 ÷ 6570 ÷');
Test_LB('× 308B × 3002 ÷ 3053 ÷');
Test_LB('× 3044 × 3002 ÷ 30D1 ÷');
Test_LB('× 30AC ÷ 30EF × 300D × 3002 ÷ 3053 ÷ 308C ÷');
Test_LB('× 8A9E ÷ 306E ÷ 0069 × 006F ÷ 306E × 3001 ÷ 0032 ÷ 5B57 ÷ 3092 ÷');
Test_LB('× 3001 ÷ 548C ÷');
Test_LB('× 3001 ÷ 30BF ÷');
Test_LB('× 3001 ÷ 304B ÷');
Test_LB('× 3001 ÷ 3053 ÷ 308C ÷ 3067 ÷ 306F × 0020 ÷');
Test_LB('× 3057 × 3001 ÷ 0061 × 0062 ÷ 3068 ÷');
Test_LB('× 0061 ÷ 1F1E6 ÷ 0062 ÷');
Test_LB('× 1F1F7 × 1F1FA ÷');
Test_LB('× 1F1F7 × 1F1FA × 1F1F8 ÷');
Test_LB('× 1F1F7 × 1F1FA × 1F1F8 × 1F1EA ÷');
Test_LB('× 1F1F7 × 1F1FA × 200B ÷ 1F1F8 × 1F1EA ÷');
Test_LB('× 05D0 × 002D × 05D0 ÷');
Test_LB('× 1F1E6 × 1F1E7 × 1F1E8 ÷');
Test_LB('× 1F1E6 × 200D × 1F1E7 × 1F1E8 ÷');
Test_LB('× 1F1E6 × 1F1E7 × 200D × 1F1E8 ÷');
Test_LB('× 0020 ÷ 200D × 0646 ÷');
Test_LB('× 0646 × 200D × 0020 ÷');
Test_SB('÷ 0001 × 0001 ÷');
Test_SB('÷ 0001 × 0308 × 0001 ÷');
Test_SB('÷ 0001 × 000D ÷');
Test_SB('÷ 0001 × 0308 × 000D ÷');
Test_SB('÷ 0001 × 000A ÷');
Test_SB('÷ 0001 × 0308 × 000A ÷');
Test_SB('÷ 0001 × 0085 ÷');
Test_SB('÷ 0001 × 0308 × 0085 ÷');
Test_SB('÷ 0001 × 0009 ÷');
Test_SB('÷ 0001 × 0308 × 0009 ÷');
Test_SB('÷ 0001 × 0061 ÷');
Test_SB('÷ 0001 × 0308 × 0061 ÷');
Test_SB('÷ 0001 × 0041 ÷');
Test_SB('÷ 0001 × 0308 × 0041 ÷');
Test_SB('÷ 0001 × 01BB ÷');
Test_SB('÷ 0001 × 0308 × 01BB ÷');
Test_SB('÷ 0001 × 0030 ÷');
Test_SB('÷ 0001 × 0308 × 0030 ÷');
Test_SB('÷ 0001 × 002E ÷');
Test_SB('÷ 0001 × 0308 × 002E ÷');
Test_SB('÷ 0001 × 0021 ÷');
Test_SB('÷ 0001 × 0308 × 0021 ÷');
Test_SB('÷ 0001 × 0022 ÷');
Test_SB('÷ 0001 × 0308 × 0022 ÷');
Test_SB('÷ 0001 × 002C ÷');
Test_SB('÷ 0001 × 0308 × 002C ÷');
Test_SB('÷ 0001 × 00AD ÷');
Test_SB('÷ 0001 × 0308 × 00AD ÷');
Test_SB('÷ 0001 × 0300 ÷');
Test_SB('÷ 0001 × 0308 × 0300 ÷');
Test_SB('÷ 000D ÷ 0001 ÷');
Test_SB('÷ 000D ÷ 0308 × 0001 ÷');
Test_SB('÷ 000D ÷ 000D ÷');
Test_SB('÷ 000D ÷ 0308 × 000D ÷');
Test_SB('÷ 000D × 000A ÷');
Test_SB('÷ 000D ÷ 0308 × 000A ÷');
Test_SB('÷ 000D ÷ 0085 ÷');
Test_SB('÷ 000D ÷ 0308 × 0085 ÷');
Test_SB('÷ 000D ÷ 0009 ÷');
Test_SB('÷ 000D ÷ 0308 × 0009 ÷');
Test_SB('÷ 000D ÷ 0061 ÷');
Test_SB('÷ 000D ÷ 0308 × 0061 ÷');
Test_SB('÷ 000D ÷ 0041 ÷');
Test_SB('÷ 000D ÷ 0308 × 0041 ÷');
Test_SB('÷ 000D ÷ 01BB ÷');
Test_SB('÷ 000D ÷ 0308 × 01BB ÷');
Test_SB('÷ 000D ÷ 0030 ÷');
Test_SB('÷ 000D ÷ 0308 × 0030 ÷');
Test_SB('÷ 000D ÷ 002E ÷');
Test_SB('÷ 000D ÷ 0308 × 002E ÷');
Test_SB('÷ 000D ÷ 0021 ÷');
Test_SB('÷ 000D ÷ 0308 × 0021 ÷');
Test_SB('÷ 000D ÷ 0022 ÷');
Test_SB('÷ 000D ÷ 0308 × 0022 ÷');
Test_SB('÷ 000D ÷ 002C ÷');
Test_SB('÷ 000D ÷ 0308 × 002C ÷');
Test_SB('÷ 000D ÷ 00AD ÷');
Test_SB('÷ 000D ÷ 0308 × 00AD ÷');
Test_SB('÷ 000D ÷ 0300 ÷');
Test_SB('÷ 000D ÷ 0308 × 0300 ÷');
Test_SB('÷ 000A ÷ 0001 ÷');
Test_SB('÷ 000A ÷ 0308 × 0001 ÷');
Test_SB('÷ 000A ÷ 000D ÷');
Test_SB('÷ 000A ÷ 0308 × 000D ÷');
Test_SB('÷ 000A ÷ 000A ÷');
Test_SB('÷ 000A ÷ 0308 × 000A ÷');
Test_SB('÷ 000A ÷ 0085 ÷');
Test_SB('÷ 000A ÷ 0308 × 0085 ÷');
Test_SB('÷ 000A ÷ 0009 ÷');
Test_SB('÷ 000A ÷ 0308 × 0009 ÷');
Test_SB('÷ 000A ÷ 0061 ÷');
Test_SB('÷ 000A ÷ 0308 × 0061 ÷');
Test_SB('÷ 000A ÷ 0041 ÷');
Test_SB('÷ 000A ÷ 0308 × 0041 ÷');
Test_SB('÷ 000A ÷ 01BB ÷');
Test_SB('÷ 000A ÷ 0308 × 01BB ÷');
Test_SB('÷ 000A ÷ 0030 ÷');
Test_SB('÷ 000A ÷ 0308 × 0030 ÷');
Test_SB('÷ 000A ÷ 002E ÷');
Test_SB('÷ 000A ÷ 0308 × 002E ÷');
Test_SB('÷ 000A ÷ 0021 ÷');
Test_SB('÷ 000A ÷ 0308 × 0021 ÷');
Test_SB('÷ 000A ÷ 0022 ÷');
Test_SB('÷ 000A ÷ 0308 × 0022 ÷');
Test_SB('÷ 000A ÷ 002C ÷');
Test_SB('÷ 000A ÷ 0308 × 002C ÷');
Test_SB('÷ 000A ÷ 00AD ÷');
Test_SB('÷ 000A ÷ 0308 × 00AD ÷');
Test_SB('÷ 000A ÷ 0300 ÷');
Test_SB('÷ 000A ÷ 0308 × 0300 ÷');
Test_SB('÷ 0085 ÷ 0001 ÷');
Test_SB('÷ 0085 ÷ 0308 × 0001 ÷');
Test_SB('÷ 0085 ÷ 000D ÷');
Test_SB('÷ 0085 ÷ 0308 × 000D ÷');
Test_SB('÷ 0085 ÷ 000A ÷');
Test_SB('÷ 0085 ÷ 0308 × 000A ÷');
Test_SB('÷ 0085 ÷ 0085 ÷');
Test_SB('÷ 0085 ÷ 0308 × 0085 ÷');
Test_SB('÷ 0085 ÷ 0009 ÷');
Test_SB('÷ 0085 ÷ 0308 × 0009 ÷');
Test_SB('÷ 0085 ÷ 0061 ÷');
Test_SB('÷ 0085 ÷ 0308 × 0061 ÷');
Test_SB('÷ 0085 ÷ 0041 ÷');
Test_SB('÷ 0085 ÷ 0308 × 0041 ÷');
Test_SB('÷ 0085 ÷ 01BB ÷');
Test_SB('÷ 0085 ÷ 0308 × 01BB ÷');
Test_SB('÷ 0085 ÷ 0030 ÷');
Test_SB('÷ 0085 ÷ 0308 × 0030 ÷');
Test_SB('÷ 0085 ÷ 002E ÷');
Test_SB('÷ 0085 ÷ 0308 × 002E ÷');
Test_SB('÷ 0085 ÷ 0021 ÷');
Test_SB('÷ 0085 ÷ 0308 × 0021 ÷');
Test_SB('÷ 0085 ÷ 0022 ÷');
Test_SB('÷ 0085 ÷ 0308 × 0022 ÷');
Test_SB('÷ 0085 ÷ 002C ÷');
Test_SB('÷ 0085 ÷ 0308 × 002C ÷');
Test_SB('÷ 0085 ÷ 00AD ÷');
Test_SB('÷ 0085 ÷ 0308 × 00AD ÷');
Test_SB('÷ 0085 ÷ 0300 ÷');
Test_SB('÷ 0085 ÷ 0308 × 0300 ÷');
Test_SB('÷ 0009 × 0001 ÷');
Test_SB('÷ 0009 × 0308 × 0001 ÷');
Test_SB('÷ 0009 × 000D ÷');
Test_SB('÷ 0009 × 0308 × 000D ÷');
Test_SB('÷ 0009 × 000A ÷');
Test_SB('÷ 0009 × 0308 × 000A ÷');
Test_SB('÷ 0009 × 0085 ÷');
Test_SB('÷ 0009 × 0308 × 0085 ÷');
Test_SB('÷ 0009 × 0009 ÷');
Test_SB('÷ 0009 × 0308 × 0009 ÷');
Test_SB('÷ 0009 × 0061 ÷');
Test_SB('÷ 0009 × 0308 × 0061 ÷');
Test_SB('÷ 0009 × 0041 ÷');
Test_SB('÷ 0009 × 0308 × 0041 ÷');
Test_SB('÷ 0009 × 01BB ÷');
Test_SB('÷ 0009 × 0308 × 01BB ÷');
Test_SB('÷ 0009 × 0030 ÷');
Test_SB('÷ 0009 × 0308 × 0030 ÷');
Test_SB('÷ 0009 × 002E ÷');
Test_SB('÷ 0009 × 0308 × 002E ÷');
Test_SB('÷ 0009 × 0021 ÷');
Test_SB('÷ 0009 × 0308 × 0021 ÷');
Test_SB('÷ 0009 × 0022 ÷');
Test_SB('÷ 0009 × 0308 × 0022 ÷');
Test_SB('÷ 0009 × 002C ÷');
Test_SB('÷ 0009 × 0308 × 002C ÷');
Test_SB('÷ 0009 × 00AD ÷');
Test_SB('÷ 0009 × 0308 × 00AD ÷');
Test_SB('÷ 0009 × 0300 ÷');
Test_SB('÷ 0009 × 0308 × 0300 ÷');
Test_SB('÷ 0061 × 0001 ÷');
Test_SB('÷ 0061 × 0308 × 0001 ÷');
Test_SB('÷ 0061 × 000D ÷');
Test_SB('÷ 0061 × 0308 × 000D ÷');
Test_SB('÷ 0061 × 000A ÷');
Test_SB('÷ 0061 × 0308 × 000A ÷');
Test_SB('÷ 0061 × 0085 ÷');
Test_SB('÷ 0061 × 0308 × 0085 ÷');
Test_SB('÷ 0061 × 0009 ÷');
Test_SB('÷ 0061 × 0308 × 0009 ÷');
Test_SB('÷ 0061 × 0061 ÷');
Test_SB('÷ 0061 × 0308 × 0061 ÷');
Test_SB('÷ 0061 × 0041 ÷');
Test_SB('÷ 0061 × 0308 × 0041 ÷');
Test_SB('÷ 0061 × 01BB ÷');
Test_SB('÷ 0061 × 0308 × 01BB ÷');
Test_SB('÷ 0061 × 0030 ÷');
Test_SB('÷ 0061 × 0308 × 0030 ÷');
Test_SB('÷ 0061 × 002E ÷');
Test_SB('÷ 0061 × 0308 × 002E ÷');
Test_SB('÷ 0061 × 0021 ÷');
Test_SB('÷ 0061 × 0308 × 0021 ÷');
Test_SB('÷ 0061 × 0022 ÷');
Test_SB('÷ 0061 × 0308 × 0022 ÷');
Test_SB('÷ 0061 × 002C ÷');
Test_SB('÷ 0061 × 0308 × 002C ÷');
Test_SB('÷ 0061 × 00AD ÷');
Test_SB('÷ 0061 × 0308 × 00AD ÷');
Test_SB('÷ 0061 × 0300 ÷');
Test_SB('÷ 0061 × 0308 × 0300 ÷');
Test_SB('÷ 0041 × 0001 ÷');
Test_SB('÷ 0041 × 0308 × 0001 ÷');
Test_SB('÷ 0041 × 000D ÷');
Test_SB('÷ 0041 × 0308 × 000D ÷');
Test_SB('÷ 0041 × 000A ÷');
Test_SB('÷ 0041 × 0308 × 000A ÷');
Test_SB('÷ 0041 × 0085 ÷');
Test_SB('÷ 0041 × 0308 × 0085 ÷');
Test_SB('÷ 0041 × 0009 ÷');
Test_SB('÷ 0041 × 0308 × 0009 ÷');
Test_SB('÷ 0041 × 0061 ÷');
Test_SB('÷ 0041 × 0308 × 0061 ÷');
Test_SB('÷ 0041 × 0041 ÷');
Test_SB('÷ 0041 × 0308 × 0041 ÷');
Test_SB('÷ 0041 × 01BB ÷');
Test_SB('÷ 0041 × 0308 × 01BB ÷');
Test_SB('÷ 0041 × 0030 ÷');
Test_SB('÷ 0041 × 0308 × 0030 ÷');
Test_SB('÷ 0041 × 002E ÷');
Test_SB('÷ 0041 × 0308 × 002E ÷');
Test_SB('÷ 0041 × 0021 ÷');
Test_SB('÷ 0041 × 0308 × 0021 ÷');
Test_SB('÷ 0041 × 0022 ÷');
Test_SB('÷ 0041 × 0308 × 0022 ÷');
Test_SB('÷ 0041 × 002C ÷');
Test_SB('÷ 0041 × 0308 × 002C ÷');
Test_SB('÷ 0041 × 00AD ÷');
Test_SB('÷ 0041 × 0308 × 00AD ÷');
Test_SB('÷ 0041 × 0300 ÷');
Test_SB('÷ 0041 × 0308 × 0300 ÷');
Test_SB('÷ 01BB × 0001 ÷');
Test_SB('÷ 01BB × 0308 × 0001 ÷');
Test_SB('÷ 01BB × 000D ÷');
Test_SB('÷ 01BB × 0308 × 000D ÷');
Test_SB('÷ 01BB × 000A ÷');
Test_SB('÷ 01BB × 0308 × 000A ÷');
Test_SB('÷ 01BB × 0085 ÷');
Test_SB('÷ 01BB × 0308 × 0085 ÷');
Test_SB('÷ 01BB × 0009 ÷');
Test_SB('÷ 01BB × 0308 × 0009 ÷');
Test_SB('÷ 01BB × 0061 ÷');
Test_SB('÷ 01BB × 0308 × 0061 ÷');
Test_SB('÷ 01BB × 0041 ÷');
Test_SB('÷ 01BB × 0308 × 0041 ÷');
Test_SB('÷ 01BB × 01BB ÷');
Test_SB('÷ 01BB × 0308 × 01BB ÷');
Test_SB('÷ 01BB × 0030 ÷');
Test_SB('÷ 01BB × 0308 × 0030 ÷');
Test_SB('÷ 01BB × 002E ÷');
Test_SB('÷ 01BB × 0308 × 002E ÷');
Test_SB('÷ 01BB × 0021 ÷');
Test_SB('÷ 01BB × 0308 × 0021 ÷');
Test_SB('÷ 01BB × 0022 ÷');
Test_SB('÷ 01BB × 0308 × 0022 ÷');
Test_SB('÷ 01BB × 002C ÷');
Test_SB('÷ 01BB × 0308 × 002C ÷');
Test_SB('÷ 01BB × 00AD ÷');
Test_SB('÷ 01BB × 0308 × 00AD ÷');
Test_SB('÷ 01BB × 0300 ÷');
Test_SB('÷ 01BB × 0308 × 0300 ÷');
Test_SB('÷ 0030 × 0001 ÷');
Test_SB('÷ 0030 × 0308 × 0001 ÷');
Test_SB('÷ 0030 × 000D ÷');
Test_SB('÷ 0030 × 0308 × 000D ÷');
Test_SB('÷ 0030 × 000A ÷');
Test_SB('÷ 0030 × 0308 × 000A ÷');
Test_SB('÷ 0030 × 0085 ÷');
Test_SB('÷ 0030 × 0308 × 0085 ÷');
Test_SB('÷ 0030 × 0009 ÷');
Test_SB('÷ 0030 × 0308 × 0009 ÷');
Test_SB('÷ 0030 × 0061 ÷');
Test_SB('÷ 0030 × 0308 × 0061 ÷');
Test_SB('÷ 0030 × 0041 ÷');
Test_SB('÷ 0030 × 0308 × 0041 ÷');
Test_SB('÷ 0030 × 01BB ÷');
Test_SB('÷ 0030 × 0308 × 01BB ÷');
Test_SB('÷ 0030 × 0030 ÷');
Test_SB('÷ 0030 × 0308 × 0030 ÷');
Test_SB('÷ 0030 × 002E ÷');
Test_SB('÷ 0030 × 0308 × 002E ÷');
Test_SB('÷ 0030 × 0021 ÷');
Test_SB('÷ 0030 × 0308 × 0021 ÷');
Test_SB('÷ 0030 × 0022 ÷');
Test_SB('÷ 0030 × 0308 × 0022 ÷');
Test_SB('÷ 0030 × 002C ÷');
Test_SB('÷ 0030 × 0308 × 002C ÷');
Test_SB('÷ 0030 × 00AD ÷');
Test_SB('÷ 0030 × 0308 × 00AD ÷');
Test_SB('÷ 0030 × 0300 ÷');
Test_SB('÷ 0030 × 0308 × 0300 ÷');
Test_SB('÷ 002E ÷ 0001 ÷');
Test_SB('÷ 002E × 0308 ÷ 0001 ÷');
Test_SB('÷ 002E × 000D ÷');
Test_SB('÷ 002E × 0308 × 000D ÷');
Test_SB('÷ 002E × 000A ÷');
Test_SB('÷ 002E × 0308 × 000A ÷');
Test_SB('÷ 002E × 0085 ÷');
Test_SB('÷ 002E × 0308 × 0085 ÷');
Test_SB('÷ 002E × 0009 ÷');
Test_SB('÷ 002E × 0308 × 0009 ÷');
Test_SB('÷ 002E × 0061 ÷');
Test_SB('÷ 002E × 0308 × 0061 ÷');
Test_SB('÷ 002E ÷ 0041 ÷');
Test_SB('÷ 002E × 0308 ÷ 0041 ÷');
Test_SB('÷ 002E ÷ 01BB ÷');
Test_SB('÷ 002E × 0308 ÷ 01BB ÷');
Test_SB('÷ 002E × 0030 ÷');
Test_SB('÷ 002E × 0308 × 0030 ÷');
Test_SB('÷ 002E × 002E ÷');
Test_SB('÷ 002E × 0308 × 002E ÷');
Test_SB('÷ 002E × 0021 ÷');
Test_SB('÷ 002E × 0308 × 0021 ÷');
Test_SB('÷ 002E × 0022 ÷');
Test_SB('÷ 002E × 0308 × 0022 ÷');
Test_SB('÷ 002E × 002C ÷');
Test_SB('÷ 002E × 0308 × 002C ÷');
Test_SB('÷ 002E × 00AD ÷');
Test_SB('÷ 002E × 0308 × 00AD ÷');
Test_SB('÷ 002E × 0300 ÷');
Test_SB('÷ 002E × 0308 × 0300 ÷');
Test_SB('÷ 0021 ÷ 0001 ÷');
Test_SB('÷ 0021 × 0308 ÷ 0001 ÷');
Test_SB('÷ 0021 × 000D ÷');
Test_SB('÷ 0021 × 0308 × 000D ÷');
Test_SB('÷ 0021 × 000A ÷');
Test_SB('÷ 0021 × 0308 × 000A ÷');
Test_SB('÷ 0021 × 0085 ÷');
Test_SB('÷ 0021 × 0308 × 0085 ÷');
Test_SB('÷ 0021 × 0009 ÷');
Test_SB('÷ 0021 × 0308 × 0009 ÷');
Test_SB('÷ 0021 ÷ 0061 ÷');
Test_SB('÷ 0021 × 0308 ÷ 0061 ÷');
Test_SB('÷ 0021 ÷ 0041 ÷');
Test_SB('÷ 0021 × 0308 ÷ 0041 ÷');
Test_SB('÷ 0021 ÷ 01BB ÷');
Test_SB('÷ 0021 × 0308 ÷ 01BB ÷');
Test_SB('÷ 0021 ÷ 0030 ÷');
Test_SB('÷ 0021 × 0308 ÷ 0030 ÷');
Test_SB('÷ 0021 × 002E ÷');
Test_SB('÷ 0021 × 0308 × 002E ÷');
Test_SB('÷ 0021 × 0021 ÷');
Test_SB('÷ 0021 × 0308 × 0021 ÷');
Test_SB('÷ 0021 × 0022 ÷');
Test_SB('÷ 0021 × 0308 × 0022 ÷');
Test_SB('÷ 0021 × 002C ÷');
Test_SB('÷ 0021 × 0308 × 002C ÷');
Test_SB('÷ 0021 × 00AD ÷');
Test_SB('÷ 0021 × 0308 × 00AD ÷');
Test_SB('÷ 0021 × 0300 ÷');
Test_SB('÷ 0021 × 0308 × 0300 ÷');
Test_SB('÷ 0022 × 0001 ÷');
Test_SB('÷ 0022 × 0308 × 0001 ÷');
Test_SB('÷ 0022 × 000D ÷');
Test_SB('÷ 0022 × 0308 × 000D ÷');
Test_SB('÷ 0022 × 000A ÷');
Test_SB('÷ 0022 × 0308 × 000A ÷');
Test_SB('÷ 0022 × 0085 ÷');
Test_SB('÷ 0022 × 0308 × 0085 ÷');
Test_SB('÷ 0022 × 0009 ÷');
Test_SB('÷ 0022 × 0308 × 0009 ÷');
Test_SB('÷ 0022 × 0061 ÷');
Test_SB('÷ 0022 × 0308 × 0061 ÷');
Test_SB('÷ 0022 × 0041 ÷');
Test_SB('÷ 0022 × 0308 × 0041 ÷');
Test_SB('÷ 0022 × 01BB ÷');
Test_SB('÷ 0022 × 0308 × 01BB ÷');
Test_SB('÷ 0022 × 0030 ÷');
Test_SB('÷ 0022 × 0308 × 0030 ÷');
Test_SB('÷ 0022 × 002E ÷');
Test_SB('÷ 0022 × 0308 × 002E ÷');
Test_SB('÷ 0022 × 0021 ÷');
Test_SB('÷ 0022 × 0308 × 0021 ÷');
Test_SB('÷ 0022 × 0022 ÷');
Test_SB('÷ 0022 × 0308 × 0022 ÷');
Test_SB('÷ 0022 × 002C ÷');
Test_SB('÷ 0022 × 0308 × 002C ÷');
Test_SB('÷ 0022 × 00AD ÷');
Test_SB('÷ 0022 × 0308 × 00AD ÷');
Test_SB('÷ 0022 × 0300 ÷');
Test_SB('÷ 0022 × 0308 × 0300 ÷');
Test_SB('÷ 002C × 0001 ÷');
Test_SB('÷ 002C × 0308 × 0001 ÷');
Test_SB('÷ 002C × 000D ÷');
Test_SB('÷ 002C × 0308 × 000D ÷');
Test_SB('÷ 002C × 000A ÷');
Test_SB('÷ 002C × 0308 × 000A ÷');
Test_SB('÷ 002C × 0085 ÷');
Test_SB('÷ 002C × 0308 × 0085 ÷');
Test_SB('÷ 002C × 0009 ÷');
Test_SB('÷ 002C × 0308 × 0009 ÷');
Test_SB('÷ 002C × 0061 ÷');
Test_SB('÷ 002C × 0308 × 0061 ÷');
Test_SB('÷ 002C × 0041 ÷');
Test_SB('÷ 002C × 0308 × 0041 ÷');
Test_SB('÷ 002C × 01BB ÷');
Test_SB('÷ 002C × 0308 × 01BB ÷');
Test_SB('÷ 002C × 0030 ÷');
Test_SB('÷ 002C × 0308 × 0030 ÷');
Test_SB('÷ 002C × 002E ÷');
Test_SB('÷ 002C × 0308 × 002E ÷');
Test_SB('÷ 002C × 0021 ÷');
Test_SB('÷ 002C × 0308 × 0021 ÷');
Test_SB('÷ 002C × 0022 ÷');
Test_SB('÷ 002C × 0308 × 0022 ÷');
Test_SB('÷ 002C × 002C ÷');
Test_SB('÷ 002C × 0308 × 002C ÷');
Test_SB('÷ 002C × 00AD ÷');
Test_SB('÷ 002C × 0308 × 00AD ÷');
Test_SB('÷ 002C × 0300 ÷');
Test_SB('÷ 002C × 0308 × 0300 ÷');
Test_SB('÷ 00AD × 0001 ÷');
Test_SB('÷ 00AD × 0308 × 0001 ÷');
Test_SB('÷ 00AD × 000D ÷');
Test_SB('÷ 00AD × 0308 × 000D ÷');
Test_SB('÷ 00AD × 000A ÷');
Test_SB('÷ 00AD × 0308 × 000A ÷');
Test_SB('÷ 00AD × 0085 ÷');
Test_SB('÷ 00AD × 0308 × 0085 ÷');
Test_SB('÷ 00AD × 0009 ÷');
Test_SB('÷ 00AD × 0308 × 0009 ÷');
Test_SB('÷ 00AD × 0061 ÷');
Test_SB('÷ 00AD × 0308 × 0061 ÷');
Test_SB('÷ 00AD × 0041 ÷');
Test_SB('÷ 00AD × 0308 × 0041 ÷');
Test_SB('÷ 00AD × 01BB ÷');
Test_SB('÷ 00AD × 0308 × 01BB ÷');
Test_SB('÷ 00AD × 0030 ÷');
Test_SB('÷ 00AD × 0308 × 0030 ÷');
Test_SB('÷ 00AD × 002E ÷');
Test_SB('÷ 00AD × 0308 × 002E ÷');
Test_SB('÷ 00AD × 0021 ÷');
Test_SB('÷ 00AD × 0308 × 0021 ÷');
Test_SB('÷ 00AD × 0022 ÷');
Test_SB('÷ 00AD × 0308 × 0022 ÷');
Test_SB('÷ 00AD × 002C ÷');
Test_SB('÷ 00AD × 0308 × 002C ÷');
Test_SB('÷ 00AD × 00AD ÷');
Test_SB('÷ 00AD × 0308 × 00AD ÷');
Test_SB('÷ 00AD × 0300 ÷');
Test_SB('÷ 00AD × 0308 × 0300 ÷');
Test_SB('÷ 0300 × 0001 ÷');
Test_SB('÷ 0300 × 0308 × 0001 ÷');
Test_SB('÷ 0300 × 000D ÷');
Test_SB('÷ 0300 × 0308 × 000D ÷');
Test_SB('÷ 0300 × 000A ÷');
Test_SB('÷ 0300 × 0308 × 000A ÷');
Test_SB('÷ 0300 × 0085 ÷');
Test_SB('÷ 0300 × 0308 × 0085 ÷');
Test_SB('÷ 0300 × 0009 ÷');
Test_SB('÷ 0300 × 0308 × 0009 ÷');
Test_SB('÷ 0300 × 0061 ÷');
Test_SB('÷ 0300 × 0308 × 0061 ÷');
Test_SB('÷ 0300 × 0041 ÷');
Test_SB('÷ 0300 × 0308 × 0041 ÷');
Test_SB('÷ 0300 × 01BB ÷');
Test_SB('÷ 0300 × 0308 × 01BB ÷');
Test_SB('÷ 0300 × 0030 ÷');
Test_SB('÷ 0300 × 0308 × 0030 ÷');
Test_SB('÷ 0300 × 002E ÷');
Test_SB('÷ 0300 × 0308 × 002E ÷');
Test_SB('÷ 0300 × 0021 ÷');
Test_SB('÷ 0300 × 0308 × 0021 ÷');
Test_SB('÷ 0300 × 0022 ÷');
Test_SB('÷ 0300 × 0308 × 0022 ÷');
Test_SB('÷ 0300 × 002C ÷');
Test_SB('÷ 0300 × 0308 × 002C ÷');
Test_SB('÷ 0300 × 00AD ÷');
Test_SB('÷ 0300 × 0308 × 00AD ÷');
Test_SB('÷ 0300 × 0300 ÷');
Test_SB('÷ 0300 × 0308 × 0300 ÷');
Test_SB('÷ 0028 × 0022 × 0047 × 006F × 002E × 0022 × 0029 × 0020 ÷ 0028 × 0048 × 0065 × 0020 × 0064 × 0069 × 0064 × 002E × 0029 ÷');
Test_SB('÷ 0028 × 201C × 0047 × 006F × 003F × 201D × 0029 × 0020 ÷ 0028 × 0048 × 0065 × 0020 × 0064 × 0069 × 0064 × 002E × 0029 ÷');
Test_SB('÷ 0055 × 002E × 0053 × 002E × 0041 × 0300 × 002E × 0020 × 0069 × 0073 ÷');
Test_SB('÷ 0055 × 002E × 0053 × 002E × 0041 × 0300 × 003F × 0020 ÷ 0048 × 0065 ÷');
Test_SB('÷ 0055 × 002E × 0053 × 002E × 0041 × 0300 × 002E ÷');
Test_SB('÷ 0033 × 002E × 0034 ÷');
Test_SB('÷ 0063 × 002E × 0064 ÷');
Test_SB('÷ 0043 × 002E × 0064 ÷');
Test_SB('÷ 0063 × 002E × 0044 ÷');
Test_SB('÷ 0043 × 002E × 0044 ÷');
Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 2019 × 00A0 × 0074 × 0068 × 0065 ÷');
Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 2019 × 00A0 ÷ 0054 × 0068 × 0065 ÷');
Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 2019 × 00A0 × 2018 × 0028 × 0074 × 0068 × 0065 ÷');
Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 2019 × 00A0 ÷ 2018 × 0028 × 0054 × 0068 × 0065 ÷');
Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 2019 × 00A0 × 0308 × 0074 × 0068 × 0065 ÷');
Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 2019 × 00A0 × 0308 ÷ 0054 × 0068 × 0065 ÷');
Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 2019 × 0308 ÷ 0054 × 0068 × 0065 ÷');
Test_SB('÷ 0065 × 0074 × 0063 × 002E × 0029 × 000A ÷ 0308 × 0054 × 0068 × 0065 ÷');
Test_SB('÷ 0074 × 0068 × 0065 × 0020 × 0072 × 0065 × 0073 × 0070 × 002E × 0020 × 006C × 0065 × 0061 × 0064 × 0065 × 0072 × 0073 × 0020 × 0061 × 0072 × 0065 ÷');
Test_SB('÷ 5B57 × 002E ÷ 5B57 ÷');
Test_SB('÷ 0065 × 0074 × 0063 × 002E ÷ 5B83 ÷');
Test_SB('÷ 0065 × 0074 × 0063 × 002E × 3002 ÷');
Test_SB('÷ 5B57 × 3002 ÷ 5B83 ÷');
Test_SB('÷ 0021 × 0020 × 0020 ÷');
Test_SB('÷ 2060 × 0028 × 2060 × 0022 × 2060 × 0047 × 2060 × 006F × 2060 × 002E × 2060 × 0022 × 2060 × 0029 × 2060 × 0020 × 2060 ÷ 0028 × 2060 × 0048 × 2060 × 0065 × 2060 × 0020 × 2060 × 0064 × 2060 × 0069 × 2060 × 0064 × 2060 × 002E × 2060 × 0029 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0028 × 2060 × 201C × 2060 × 0047 × 2060 × 006F × 2060 × 003F × 2060 × 201D × 2060 × 0029 × 2060 × 0020 × 2060 ÷ 0028 × 2060 × 0048 × 2060 × 0065 × 2060 × 0020 × 2060 × 0064 × 2060 × 0069 × 2060 × 0064 × 2060 × 002E × 2060 × 0029 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0055 × 2060 × 002E × 2060 × 0053 × 2060 × 002E × 2060 × 0041 × 2060 × 0300 × 002E × 2060 × 0020 × 2060 × 0069 × 2060 × 0073 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0055 × 2060 × 002E × 2060 × 0053 × 2060 × 002E × 2060 × 0041 × 2060 × 0300 × 003F × 2060 × 0020 × 2060 ÷ 0048 × 2060 × 0065 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0055 × 2060 × 002E × 2060 × 0053 × 2060 × 002E × 2060 × 0041 × 2060 × 0300 × 002E × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0033 × 2060 × 002E × 2060 × 0034 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0063 × 2060 × 002E × 2060 × 0064 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0043 × 2060 × 002E × 2060 × 0064 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0063 × 2060 × 002E × 2060 × 0044 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0043 × 2060 × 002E × 2060 × 0044 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 2019 × 2060 × 00A0 × 2060 × 0074 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 2019 × 2060 × 00A0 × 2060 ÷ 0054 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 2019 × 2060 × 00A0 × 2060 × 2018 × 2060 × 0028 × 2060 × 0074 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 2019 × 2060 × 00A0 × 2060 ÷ 2018 × 2060 × 0028 × 2060 × 0054 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 2019 × 2060 × 00A0 × 2060 × 0308 × 0074 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 2019 × 2060 × 00A0 × 2060 × 0308 ÷ 0054 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 2019 × 2060 × 0308 ÷ 0054 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 0029 × 2060 × 000A ÷ 2060 × 0308 × 2060 × 0054 × 2060 × 0068 × 2060 × 0065 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0074 × 2060 × 0068 × 2060 × 0065 × 2060 × 0020 × 2060 × 0072 × 2060 × 0065 × 2060 × 0073 × 2060 × 0070 × 2060 × 002E × 2060 × 0020 × 2060 × 006C × 2060 × 0065 × 2060 × 0061 × 2060 × 0064 × 2060 × 0065 × 2060 × 0072 × 2060 × 0073 × 2060 × 0020 × 2060 × 0061 × 2060 × 0072 × 2060 × 0065 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 5B57 × 2060 × 002E × 2060 ÷ 5B57 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 ÷ 5B83 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0065 × 2060 × 0074 × 2060 × 0063 × 2060 × 002E × 2060 × 3002 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 5B57 × 2060 × 3002 × 2060 ÷ 5B83 × 2060 × 2060 ÷');
Test_SB('÷ 2060 × 0021 × 2060 × 0020 × 2060 × 0020 × 2060 × 2060 ÷');
Test_SB('÷ 1F1E6 × 1F1E7 × 1F1E8 ÷');
Test_SB('÷ 1F1E6 × 200D × 1F1E7 × 1F1E8 ÷');
Test_SB('÷ 1F1E6 × 1F1E7 × 200D × 1F1E8 ÷');
Test_SB('÷ 0020 × 200D × 0646 ÷');
Test_SB('÷ 0646 × 200D × 0020 ÷');
Test_WB('÷ 0001 ÷ 0001 ÷');
Test_WB('÷ 0001 × 0308 ÷ 0001 ÷');
Test_WB('÷ 0001 ÷ 000D ÷');
Test_WB('÷ 0001 × 0308 ÷ 000D ÷');
Test_WB('÷ 0001 ÷ 000A ÷');
Test_WB('÷ 0001 × 0308 ÷ 000A ÷');
Test_WB('÷ 0001 ÷ 000B ÷');
Test_WB('÷ 0001 × 0308 ÷ 000B ÷');
Test_WB('÷ 0001 ÷ 3031 ÷');
Test_WB('÷ 0001 × 0308 ÷ 3031 ÷');
Test_WB('÷ 0001 ÷ 0041 ÷');
Test_WB('÷ 0001 × 0308 ÷ 0041 ÷');
Test_WB('÷ 0001 ÷ 003A ÷');
Test_WB('÷ 0001 × 0308 ÷ 003A ÷');
Test_WB('÷ 0001 ÷ 002C ÷');
Test_WB('÷ 0001 × 0308 ÷ 002C ÷');
Test_WB('÷ 0001 ÷ 002E ÷');
Test_WB('÷ 0001 × 0308 ÷ 002E ÷');
Test_WB('÷ 0001 ÷ 0030 ÷');
Test_WB('÷ 0001 × 0308 ÷ 0030 ÷');
Test_WB('÷ 0001 ÷ 005F ÷');
Test_WB('÷ 0001 × 0308 ÷ 005F ÷');
Test_WB('÷ 0001 ÷ 1F1E6 ÷');
Test_WB('÷ 0001 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0001 ÷ 05D0 ÷');
Test_WB('÷ 0001 × 0308 ÷ 05D0 ÷');
Test_WB('÷ 0001 ÷ 0022 ÷');
Test_WB('÷ 0001 × 0308 ÷ 0022 ÷');
Test_WB('÷ 0001 ÷ 0027 ÷');
Test_WB('÷ 0001 × 0308 ÷ 0027 ÷');
Test_WB('÷ 0001 × 00AD ÷');
Test_WB('÷ 0001 × 0308 × 00AD ÷');
Test_WB('÷ 0001 × 0300 ÷');
Test_WB('÷ 0001 × 0308 × 0300 ÷');
Test_WB('÷ 0001 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0001 × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0001 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0001 × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0001 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0001 × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0001 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0001 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0001 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0001 × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0001 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0001 × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0001 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0001 × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0001 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0001 × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0001 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0001 × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 000D ÷ 0001 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0001 ÷');
Test_WB('÷ 000D ÷ 000D ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 000D ÷');
Test_WB('÷ 000D × 000A ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 000A ÷');
Test_WB('÷ 000D ÷ 000B ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 000B ÷');
Test_WB('÷ 000D ÷ 3031 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 3031 ÷');
Test_WB('÷ 000D ÷ 0041 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0041 ÷');
Test_WB('÷ 000D ÷ 003A ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 003A ÷');
Test_WB('÷ 000D ÷ 002C ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 002C ÷');
Test_WB('÷ 000D ÷ 002E ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 002E ÷');
Test_WB('÷ 000D ÷ 0030 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0030 ÷');
Test_WB('÷ 000D ÷ 005F ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 005F ÷');
Test_WB('÷ 000D ÷ 1F1E6 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 000D ÷ 05D0 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 05D0 ÷');
Test_WB('÷ 000D ÷ 0022 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0022 ÷');
Test_WB('÷ 000D ÷ 0027 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0027 ÷');
Test_WB('÷ 000D ÷ 00AD ÷');
Test_WB('÷ 000D ÷ 0308 × 00AD ÷');
Test_WB('÷ 000D ÷ 0300 ÷');
Test_WB('÷ 000D ÷ 0308 × 0300 ÷');
Test_WB('÷ 000D ÷ 0061 × 2060 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 000D ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 000D ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 000D ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 000D ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 000D ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 000D ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 000D ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 000D ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 000D ÷ 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 000A ÷ 0001 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0001 ÷');
Test_WB('÷ 000A ÷ 000D ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 000D ÷');
Test_WB('÷ 000A ÷ 000A ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 000A ÷');
Test_WB('÷ 000A ÷ 000B ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 000B ÷');
Test_WB('÷ 000A ÷ 3031 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 3031 ÷');
Test_WB('÷ 000A ÷ 0041 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0041 ÷');
Test_WB('÷ 000A ÷ 003A ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 003A ÷');
Test_WB('÷ 000A ÷ 002C ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 002C ÷');
Test_WB('÷ 000A ÷ 002E ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 002E ÷');
Test_WB('÷ 000A ÷ 0030 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0030 ÷');
Test_WB('÷ 000A ÷ 005F ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 005F ÷');
Test_WB('÷ 000A ÷ 1F1E6 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 000A ÷ 05D0 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 05D0 ÷');
Test_WB('÷ 000A ÷ 0022 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0022 ÷');
Test_WB('÷ 000A ÷ 0027 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0027 ÷');
Test_WB('÷ 000A ÷ 00AD ÷');
Test_WB('÷ 000A ÷ 0308 × 00AD ÷');
Test_WB('÷ 000A ÷ 0300 ÷');
Test_WB('÷ 000A ÷ 0308 × 0300 ÷');
Test_WB('÷ 000A ÷ 0061 × 2060 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 000A ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 000A ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 000A ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 000A ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 000A ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 000A ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 000A ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 000A ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 000A ÷ 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 000B ÷ 0001 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0001 ÷');
Test_WB('÷ 000B ÷ 000D ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 000D ÷');
Test_WB('÷ 000B ÷ 000A ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 000A ÷');
Test_WB('÷ 000B ÷ 000B ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 000B ÷');
Test_WB('÷ 000B ÷ 3031 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 3031 ÷');
Test_WB('÷ 000B ÷ 0041 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0041 ÷');
Test_WB('÷ 000B ÷ 003A ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 003A ÷');
Test_WB('÷ 000B ÷ 002C ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 002C ÷');
Test_WB('÷ 000B ÷ 002E ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 002E ÷');
Test_WB('÷ 000B ÷ 0030 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0030 ÷');
Test_WB('÷ 000B ÷ 005F ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 005F ÷');
Test_WB('÷ 000B ÷ 1F1E6 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 000B ÷ 05D0 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 05D0 ÷');
Test_WB('÷ 000B ÷ 0022 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0022 ÷');
Test_WB('÷ 000B ÷ 0027 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0027 ÷');
Test_WB('÷ 000B ÷ 00AD ÷');
Test_WB('÷ 000B ÷ 0308 × 00AD ÷');
Test_WB('÷ 000B ÷ 0300 ÷');
Test_WB('÷ 000B ÷ 0308 × 0300 ÷');
Test_WB('÷ 000B ÷ 0061 × 2060 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 000B ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 000B ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 000B ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 000B ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 000B ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 000B ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 000B ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 000B ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 000B ÷ 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 3031 ÷ 0001 ÷');
Test_WB('÷ 3031 × 0308 ÷ 0001 ÷');
Test_WB('÷ 3031 ÷ 000D ÷');
Test_WB('÷ 3031 × 0308 ÷ 000D ÷');
Test_WB('÷ 3031 ÷ 000A ÷');
Test_WB('÷ 3031 × 0308 ÷ 000A ÷');
Test_WB('÷ 3031 ÷ 000B ÷');
Test_WB('÷ 3031 × 0308 ÷ 000B ÷');
Test_WB('÷ 3031 × 3031 ÷');
Test_WB('÷ 3031 × 0308 × 3031 ÷');
Test_WB('÷ 3031 ÷ 0041 ÷');
Test_WB('÷ 3031 × 0308 ÷ 0041 ÷');
Test_WB('÷ 3031 ÷ 003A ÷');
Test_WB('÷ 3031 × 0308 ÷ 003A ÷');
Test_WB('÷ 3031 ÷ 002C ÷');
Test_WB('÷ 3031 × 0308 ÷ 002C ÷');
Test_WB('÷ 3031 ÷ 002E ÷');
Test_WB('÷ 3031 × 0308 ÷ 002E ÷');
Test_WB('÷ 3031 ÷ 0030 ÷');
Test_WB('÷ 3031 × 0308 ÷ 0030 ÷');
Test_WB('÷ 3031 × 005F ÷');
Test_WB('÷ 3031 × 0308 × 005F ÷');
Test_WB('÷ 3031 ÷ 1F1E6 ÷');
Test_WB('÷ 3031 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 3031 ÷ 05D0 ÷');
Test_WB('÷ 3031 × 0308 ÷ 05D0 ÷');
Test_WB('÷ 3031 ÷ 0022 ÷');
Test_WB('÷ 3031 × 0308 ÷ 0022 ÷');
Test_WB('÷ 3031 ÷ 0027 ÷');
Test_WB('÷ 3031 × 0308 ÷ 0027 ÷');
Test_WB('÷ 3031 × 00AD ÷');
Test_WB('÷ 3031 × 0308 × 00AD ÷');
Test_WB('÷ 3031 × 0300 ÷');
Test_WB('÷ 3031 × 0308 × 0300 ÷');
Test_WB('÷ 3031 ÷ 0061 × 2060 ÷');
Test_WB('÷ 3031 × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 3031 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 3031 × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 3031 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 3031 × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 3031 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 3031 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 3031 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 3031 × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 3031 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 3031 × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 3031 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 3031 × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 3031 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 3031 × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 3031 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 3031 × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0041 ÷ 0001 ÷');
Test_WB('÷ 0041 × 0308 ÷ 0001 ÷');
Test_WB('÷ 0041 ÷ 000D ÷');
Test_WB('÷ 0041 × 0308 ÷ 000D ÷');
Test_WB('÷ 0041 ÷ 000A ÷');
Test_WB('÷ 0041 × 0308 ÷ 000A ÷');
Test_WB('÷ 0041 ÷ 000B ÷');
Test_WB('÷ 0041 × 0308 ÷ 000B ÷');
Test_WB('÷ 0041 ÷ 3031 ÷');
Test_WB('÷ 0041 × 0308 ÷ 3031 ÷');
Test_WB('÷ 0041 × 0041 ÷');
Test_WB('÷ 0041 × 0308 × 0041 ÷');
Test_WB('÷ 0041 ÷ 003A ÷');
Test_WB('÷ 0041 × 0308 ÷ 003A ÷');
Test_WB('÷ 0041 ÷ 002C ÷');
Test_WB('÷ 0041 × 0308 ÷ 002C ÷');
Test_WB('÷ 0041 ÷ 002E ÷');
Test_WB('÷ 0041 × 0308 ÷ 002E ÷');
Test_WB('÷ 0041 × 0030 ÷');
Test_WB('÷ 0041 × 0308 × 0030 ÷');
Test_WB('÷ 0041 × 005F ÷');
Test_WB('÷ 0041 × 0308 × 005F ÷');
Test_WB('÷ 0041 ÷ 1F1E6 ÷');
Test_WB('÷ 0041 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0041 × 05D0 ÷');
Test_WB('÷ 0041 × 0308 × 05D0 ÷');
Test_WB('÷ 0041 ÷ 0022 ÷');
Test_WB('÷ 0041 × 0308 ÷ 0022 ÷');
Test_WB('÷ 0041 ÷ 0027 ÷');
Test_WB('÷ 0041 × 0308 ÷ 0027 ÷');
Test_WB('÷ 0041 × 00AD ÷');
Test_WB('÷ 0041 × 0308 × 00AD ÷');
Test_WB('÷ 0041 × 0300 ÷');
Test_WB('÷ 0041 × 0308 × 0300 ÷');
Test_WB('÷ 0041 × 0061 × 2060 ÷');
Test_WB('÷ 0041 × 0308 × 0061 × 2060 ÷');
Test_WB('÷ 0041 × 0061 ÷ 003A ÷');
Test_WB('÷ 0041 × 0308 × 0061 ÷ 003A ÷');
Test_WB('÷ 0041 × 0061 ÷ 0027 ÷');
Test_WB('÷ 0041 × 0308 × 0061 ÷ 0027 ÷');
Test_WB('÷ 0041 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0041 × 0308 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0041 × 0061 ÷ 002C ÷');
Test_WB('÷ 0041 × 0308 × 0061 ÷ 002C ÷');
Test_WB('÷ 0041 × 0031 ÷ 003A ÷');
Test_WB('÷ 0041 × 0308 × 0031 ÷ 003A ÷');
Test_WB('÷ 0041 × 0031 ÷ 0027 ÷');
Test_WB('÷ 0041 × 0308 × 0031 ÷ 0027 ÷');
Test_WB('÷ 0041 × 0031 ÷ 002C ÷');
Test_WB('÷ 0041 × 0308 × 0031 ÷ 002C ÷');
Test_WB('÷ 0041 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0041 × 0308 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 003A ÷ 0001 ÷');
Test_WB('÷ 003A × 0308 ÷ 0001 ÷');
Test_WB('÷ 003A ÷ 000D ÷');
Test_WB('÷ 003A × 0308 ÷ 000D ÷');
Test_WB('÷ 003A ÷ 000A ÷');
Test_WB('÷ 003A × 0308 ÷ 000A ÷');
Test_WB('÷ 003A ÷ 000B ÷');
Test_WB('÷ 003A × 0308 ÷ 000B ÷');
Test_WB('÷ 003A ÷ 3031 ÷');
Test_WB('÷ 003A × 0308 ÷ 3031 ÷');
Test_WB('÷ 003A ÷ 0041 ÷');
Test_WB('÷ 003A × 0308 ÷ 0041 ÷');
Test_WB('÷ 003A ÷ 003A ÷');
Test_WB('÷ 003A × 0308 ÷ 003A ÷');
Test_WB('÷ 003A ÷ 002C ÷');
Test_WB('÷ 003A × 0308 ÷ 002C ÷');
Test_WB('÷ 003A ÷ 002E ÷');
Test_WB('÷ 003A × 0308 ÷ 002E ÷');
Test_WB('÷ 003A ÷ 0030 ÷');
Test_WB('÷ 003A × 0308 ÷ 0030 ÷');
Test_WB('÷ 003A ÷ 005F ÷');
Test_WB('÷ 003A × 0308 ÷ 005F ÷');
Test_WB('÷ 003A ÷ 1F1E6 ÷');
Test_WB('÷ 003A × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 003A ÷ 05D0 ÷');
Test_WB('÷ 003A × 0308 ÷ 05D0 ÷');
Test_WB('÷ 003A ÷ 0022 ÷');
Test_WB('÷ 003A × 0308 ÷ 0022 ÷');
Test_WB('÷ 003A ÷ 0027 ÷');
Test_WB('÷ 003A × 0308 ÷ 0027 ÷');
Test_WB('÷ 003A × 00AD ÷');
Test_WB('÷ 003A × 0308 × 00AD ÷');
Test_WB('÷ 003A × 0300 ÷');
Test_WB('÷ 003A × 0308 × 0300 ÷');
Test_WB('÷ 003A ÷ 0061 × 2060 ÷');
Test_WB('÷ 003A × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 003A ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 003A × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 003A ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 003A × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 003A ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 003A × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 003A ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 003A × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 003A ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 003A × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 003A ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 003A × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 003A ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 003A × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 003A ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 003A × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 002C ÷ 0001 ÷');
Test_WB('÷ 002C × 0308 ÷ 0001 ÷');
Test_WB('÷ 002C ÷ 000D ÷');
Test_WB('÷ 002C × 0308 ÷ 000D ÷');
Test_WB('÷ 002C ÷ 000A ÷');
Test_WB('÷ 002C × 0308 ÷ 000A ÷');
Test_WB('÷ 002C ÷ 000B ÷');
Test_WB('÷ 002C × 0308 ÷ 000B ÷');
Test_WB('÷ 002C ÷ 3031 ÷');
Test_WB('÷ 002C × 0308 ÷ 3031 ÷');
Test_WB('÷ 002C ÷ 0041 ÷');
Test_WB('÷ 002C × 0308 ÷ 0041 ÷');
Test_WB('÷ 002C ÷ 003A ÷');
Test_WB('÷ 002C × 0308 ÷ 003A ÷');
Test_WB('÷ 002C ÷ 002C ÷');
Test_WB('÷ 002C × 0308 ÷ 002C ÷');
Test_WB('÷ 002C ÷ 002E ÷');
Test_WB('÷ 002C × 0308 ÷ 002E ÷');
Test_WB('÷ 002C ÷ 0030 ÷');
Test_WB('÷ 002C × 0308 ÷ 0030 ÷');
Test_WB('÷ 002C ÷ 005F ÷');
Test_WB('÷ 002C × 0308 ÷ 005F ÷');
Test_WB('÷ 002C ÷ 1F1E6 ÷');
Test_WB('÷ 002C × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 002C ÷ 05D0 ÷');
Test_WB('÷ 002C × 0308 ÷ 05D0 ÷');
Test_WB('÷ 002C ÷ 0022 ÷');
Test_WB('÷ 002C × 0308 ÷ 0022 ÷');
Test_WB('÷ 002C ÷ 0027 ÷');
Test_WB('÷ 002C × 0308 ÷ 0027 ÷');
Test_WB('÷ 002C × 00AD ÷');
Test_WB('÷ 002C × 0308 × 00AD ÷');
Test_WB('÷ 002C × 0300 ÷');
Test_WB('÷ 002C × 0308 × 0300 ÷');
Test_WB('÷ 002C ÷ 0061 × 2060 ÷');
Test_WB('÷ 002C × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 002C ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 002C × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 002C ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 002C × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 002C ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 002C × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 002C ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 002C × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 002C ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 002C × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 002C ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 002C × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 002C ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 002C × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 002C ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 002C × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 002E ÷ 0001 ÷');
Test_WB('÷ 002E × 0308 ÷ 0001 ÷');
Test_WB('÷ 002E ÷ 000D ÷');
Test_WB('÷ 002E × 0308 ÷ 000D ÷');
Test_WB('÷ 002E ÷ 000A ÷');
Test_WB('÷ 002E × 0308 ÷ 000A ÷');
Test_WB('÷ 002E ÷ 000B ÷');
Test_WB('÷ 002E × 0308 ÷ 000B ÷');
Test_WB('÷ 002E ÷ 3031 ÷');
Test_WB('÷ 002E × 0308 ÷ 3031 ÷');
Test_WB('÷ 002E ÷ 0041 ÷');
Test_WB('÷ 002E × 0308 ÷ 0041 ÷');
Test_WB('÷ 002E ÷ 003A ÷');
Test_WB('÷ 002E × 0308 ÷ 003A ÷');
Test_WB('÷ 002E ÷ 002C ÷');
Test_WB('÷ 002E × 0308 ÷ 002C ÷');
Test_WB('÷ 002E ÷ 002E ÷');
Test_WB('÷ 002E × 0308 ÷ 002E ÷');
Test_WB('÷ 002E ÷ 0030 ÷');
Test_WB('÷ 002E × 0308 ÷ 0030 ÷');
Test_WB('÷ 002E ÷ 005F ÷');
Test_WB('÷ 002E × 0308 ÷ 005F ÷');
Test_WB('÷ 002E ÷ 1F1E6 ÷');
Test_WB('÷ 002E × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 002E ÷ 05D0 ÷');
Test_WB('÷ 002E × 0308 ÷ 05D0 ÷');
Test_WB('÷ 002E ÷ 0022 ÷');
Test_WB('÷ 002E × 0308 ÷ 0022 ÷');
Test_WB('÷ 002E ÷ 0027 ÷');
Test_WB('÷ 002E × 0308 ÷ 0027 ÷');
Test_WB('÷ 002E × 00AD ÷');
Test_WB('÷ 002E × 0308 × 00AD ÷');
Test_WB('÷ 002E × 0300 ÷');
Test_WB('÷ 002E × 0308 × 0300 ÷');
Test_WB('÷ 002E ÷ 0061 × 2060 ÷');
Test_WB('÷ 002E × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 002E ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 002E × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 002E ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 002E × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 002E ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 002E × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 002E ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 002E × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 002E ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 002E × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 002E ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 002E × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 002E ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 002E × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 002E ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 002E × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0030 ÷ 0001 ÷');
Test_WB('÷ 0030 × 0308 ÷ 0001 ÷');
Test_WB('÷ 0030 ÷ 000D ÷');
Test_WB('÷ 0030 × 0308 ÷ 000D ÷');
Test_WB('÷ 0030 ÷ 000A ÷');
Test_WB('÷ 0030 × 0308 ÷ 000A ÷');
Test_WB('÷ 0030 ÷ 000B ÷');
Test_WB('÷ 0030 × 0308 ÷ 000B ÷');
Test_WB('÷ 0030 ÷ 3031 ÷');
Test_WB('÷ 0030 × 0308 ÷ 3031 ÷');
Test_WB('÷ 0030 × 0041 ÷');
Test_WB('÷ 0030 × 0308 × 0041 ÷');
Test_WB('÷ 0030 ÷ 003A ÷');
Test_WB('÷ 0030 × 0308 ÷ 003A ÷');
Test_WB('÷ 0030 ÷ 002C ÷');
Test_WB('÷ 0030 × 0308 ÷ 002C ÷');
Test_WB('÷ 0030 ÷ 002E ÷');
Test_WB('÷ 0030 × 0308 ÷ 002E ÷');
Test_WB('÷ 0030 × 0030 ÷');
Test_WB('÷ 0030 × 0308 × 0030 ÷');
Test_WB('÷ 0030 × 005F ÷');
Test_WB('÷ 0030 × 0308 × 005F ÷');
Test_WB('÷ 0030 ÷ 1F1E6 ÷');
Test_WB('÷ 0030 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0030 × 05D0 ÷');
Test_WB('÷ 0030 × 0308 × 05D0 ÷');
Test_WB('÷ 0030 ÷ 0022 ÷');
Test_WB('÷ 0030 × 0308 ÷ 0022 ÷');
Test_WB('÷ 0030 ÷ 0027 ÷');
Test_WB('÷ 0030 × 0308 ÷ 0027 ÷');
Test_WB('÷ 0030 × 00AD ÷');
Test_WB('÷ 0030 × 0308 × 00AD ÷');
Test_WB('÷ 0030 × 0300 ÷');
Test_WB('÷ 0030 × 0308 × 0300 ÷');
Test_WB('÷ 0030 × 0061 × 2060 ÷');
Test_WB('÷ 0030 × 0308 × 0061 × 2060 ÷');
Test_WB('÷ 0030 × 0061 ÷ 003A ÷');
Test_WB('÷ 0030 × 0308 × 0061 ÷ 003A ÷');
Test_WB('÷ 0030 × 0061 ÷ 0027 ÷');
Test_WB('÷ 0030 × 0308 × 0061 ÷ 0027 ÷');
Test_WB('÷ 0030 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0030 × 0308 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0030 × 0061 ÷ 002C ÷');
Test_WB('÷ 0030 × 0308 × 0061 ÷ 002C ÷');
Test_WB('÷ 0030 × 0031 ÷ 003A ÷');
Test_WB('÷ 0030 × 0308 × 0031 ÷ 003A ÷');
Test_WB('÷ 0030 × 0031 ÷ 0027 ÷');
Test_WB('÷ 0030 × 0308 × 0031 ÷ 0027 ÷');
Test_WB('÷ 0030 × 0031 ÷ 002C ÷');
Test_WB('÷ 0030 × 0308 × 0031 ÷ 002C ÷');
Test_WB('÷ 0030 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0030 × 0308 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 005F ÷ 0001 ÷');
Test_WB('÷ 005F × 0308 ÷ 0001 ÷');
Test_WB('÷ 005F ÷ 000D ÷');
Test_WB('÷ 005F × 0308 ÷ 000D ÷');
Test_WB('÷ 005F ÷ 000A ÷');
Test_WB('÷ 005F × 0308 ÷ 000A ÷');
Test_WB('÷ 005F ÷ 000B ÷');
Test_WB('÷ 005F × 0308 ÷ 000B ÷');
Test_WB('÷ 005F × 3031 ÷');
Test_WB('÷ 005F × 0308 × 3031 ÷');
Test_WB('÷ 005F × 0041 ÷');
Test_WB('÷ 005F × 0308 × 0041 ÷');
Test_WB('÷ 005F ÷ 003A ÷');
Test_WB('÷ 005F × 0308 ÷ 003A ÷');
Test_WB('÷ 005F ÷ 002C ÷');
Test_WB('÷ 005F × 0308 ÷ 002C ÷');
Test_WB('÷ 005F ÷ 002E ÷');
Test_WB('÷ 005F × 0308 ÷ 002E ÷');
Test_WB('÷ 005F × 0030 ÷');
Test_WB('÷ 005F × 0308 × 0030 ÷');
Test_WB('÷ 005F × 005F ÷');
Test_WB('÷ 005F × 0308 × 005F ÷');
Test_WB('÷ 005F ÷ 1F1E6 ÷');
Test_WB('÷ 005F × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 005F × 05D0 ÷');
Test_WB('÷ 005F × 0308 × 05D0 ÷');
Test_WB('÷ 005F ÷ 0022 ÷');
Test_WB('÷ 005F × 0308 ÷ 0022 ÷');
Test_WB('÷ 005F ÷ 0027 ÷');
Test_WB('÷ 005F × 0308 ÷ 0027 ÷');
Test_WB('÷ 005F × 00AD ÷');
Test_WB('÷ 005F × 0308 × 00AD ÷');
Test_WB('÷ 005F × 0300 ÷');
Test_WB('÷ 005F × 0308 × 0300 ÷');
Test_WB('÷ 005F × 0061 × 2060 ÷');
Test_WB('÷ 005F × 0308 × 0061 × 2060 ÷');
Test_WB('÷ 005F × 0061 ÷ 003A ÷');
Test_WB('÷ 005F × 0308 × 0061 ÷ 003A ÷');
Test_WB('÷ 005F × 0061 ÷ 0027 ÷');
Test_WB('÷ 005F × 0308 × 0061 ÷ 0027 ÷');
Test_WB('÷ 005F × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 005F × 0308 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 005F × 0061 ÷ 002C ÷');
Test_WB('÷ 005F × 0308 × 0061 ÷ 002C ÷');
Test_WB('÷ 005F × 0031 ÷ 003A ÷');
Test_WB('÷ 005F × 0308 × 0031 ÷ 003A ÷');
Test_WB('÷ 005F × 0031 ÷ 0027 ÷');
Test_WB('÷ 005F × 0308 × 0031 ÷ 0027 ÷');
Test_WB('÷ 005F × 0031 ÷ 002C ÷');
Test_WB('÷ 005F × 0308 × 0031 ÷ 002C ÷');
Test_WB('÷ 005F × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 005F × 0308 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 1F1E6 ÷ 0001 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0001 ÷');
Test_WB('÷ 1F1E6 ÷ 000D ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 000D ÷');
Test_WB('÷ 1F1E6 ÷ 000A ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 000A ÷');
Test_WB('÷ 1F1E6 ÷ 000B ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 000B ÷');
Test_WB('÷ 1F1E6 ÷ 3031 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 3031 ÷');
Test_WB('÷ 1F1E6 ÷ 0041 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0041 ÷');
Test_WB('÷ 1F1E6 ÷ 003A ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 003A ÷');
Test_WB('÷ 1F1E6 ÷ 002C ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 002C ÷');
Test_WB('÷ 1F1E6 ÷ 002E ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 002E ÷');
Test_WB('÷ 1F1E6 ÷ 0030 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0030 ÷');
Test_WB('÷ 1F1E6 ÷ 005F ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 005F ÷');
Test_WB('÷ 1F1E6 × 1F1E6 ÷');
Test_WB('÷ 1F1E6 × 0308 × 1F1E6 ÷');
Test_WB('÷ 1F1E6 ÷ 05D0 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 05D0 ÷');
Test_WB('÷ 1F1E6 ÷ 0022 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0022 ÷');
Test_WB('÷ 1F1E6 ÷ 0027 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0027 ÷');
Test_WB('÷ 1F1E6 × 00AD ÷');
Test_WB('÷ 1F1E6 × 0308 × 00AD ÷');
Test_WB('÷ 1F1E6 × 0300 ÷');
Test_WB('÷ 1F1E6 × 0308 × 0300 ÷');
Test_WB('÷ 1F1E6 ÷ 0061 × 2060 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 1F1E6 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 1F1E6 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 1F1E6 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 1F1E6 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 1F1E6 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 1F1E6 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 1F1E6 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 1F1E6 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 1F1E6 × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 05D0 ÷ 0001 ÷');
Test_WB('÷ 05D0 × 0308 ÷ 0001 ÷');
Test_WB('÷ 05D0 ÷ 000D ÷');
Test_WB('÷ 05D0 × 0308 ÷ 000D ÷');
Test_WB('÷ 05D0 ÷ 000A ÷');
Test_WB('÷ 05D0 × 0308 ÷ 000A ÷');
Test_WB('÷ 05D0 ÷ 000B ÷');
Test_WB('÷ 05D0 × 0308 ÷ 000B ÷');
Test_WB('÷ 05D0 ÷ 3031 ÷');
Test_WB('÷ 05D0 × 0308 ÷ 3031 ÷');
Test_WB('÷ 05D0 × 0041 ÷');
Test_WB('÷ 05D0 × 0308 × 0041 ÷');
Test_WB('÷ 05D0 ÷ 003A ÷');
Test_WB('÷ 05D0 × 0308 ÷ 003A ÷');
Test_WB('÷ 05D0 ÷ 002C ÷');
Test_WB('÷ 05D0 × 0308 ÷ 002C ÷');
Test_WB('÷ 05D0 ÷ 002E ÷');
Test_WB('÷ 05D0 × 0308 ÷ 002E ÷');
Test_WB('÷ 05D0 × 0030 ÷');
Test_WB('÷ 05D0 × 0308 × 0030 ÷');
Test_WB('÷ 05D0 × 005F ÷');
Test_WB('÷ 05D0 × 0308 × 005F ÷');
Test_WB('÷ 05D0 ÷ 1F1E6 ÷');
Test_WB('÷ 05D0 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 05D0 × 05D0 ÷');
Test_WB('÷ 05D0 × 0308 × 05D0 ÷');
Test_WB('÷ 05D0 ÷ 0022 ÷');
Test_WB('÷ 05D0 × 0308 ÷ 0022 ÷');
Test_WB('÷ 05D0 × 0027 ÷');
Test_WB('÷ 05D0 × 0308 × 0027 ÷');
Test_WB('÷ 05D0 × 00AD ÷');
Test_WB('÷ 05D0 × 0308 × 00AD ÷');
Test_WB('÷ 05D0 × 0300 ÷');
Test_WB('÷ 05D0 × 0308 × 0300 ÷');
Test_WB('÷ 05D0 × 0061 × 2060 ÷');
Test_WB('÷ 05D0 × 0308 × 0061 × 2060 ÷');
Test_WB('÷ 05D0 × 0061 ÷ 003A ÷');
Test_WB('÷ 05D0 × 0308 × 0061 ÷ 003A ÷');
Test_WB('÷ 05D0 × 0061 ÷ 0027 ÷');
Test_WB('÷ 05D0 × 0308 × 0061 ÷ 0027 ÷');
Test_WB('÷ 05D0 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 05D0 × 0308 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 05D0 × 0061 ÷ 002C ÷');
Test_WB('÷ 05D0 × 0308 × 0061 ÷ 002C ÷');
Test_WB('÷ 05D0 × 0031 ÷ 003A ÷');
Test_WB('÷ 05D0 × 0308 × 0031 ÷ 003A ÷');
Test_WB('÷ 05D0 × 0031 ÷ 0027 ÷');
Test_WB('÷ 05D0 × 0308 × 0031 ÷ 0027 ÷');
Test_WB('÷ 05D0 × 0031 ÷ 002C ÷');
Test_WB('÷ 05D0 × 0308 × 0031 ÷ 002C ÷');
Test_WB('÷ 05D0 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 05D0 × 0308 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0022 ÷ 0001 ÷');
Test_WB('÷ 0022 × 0308 ÷ 0001 ÷');
Test_WB('÷ 0022 ÷ 000D ÷');
Test_WB('÷ 0022 × 0308 ÷ 000D ÷');
Test_WB('÷ 0022 ÷ 000A ÷');
Test_WB('÷ 0022 × 0308 ÷ 000A ÷');
Test_WB('÷ 0022 ÷ 000B ÷');
Test_WB('÷ 0022 × 0308 ÷ 000B ÷');
Test_WB('÷ 0022 ÷ 3031 ÷');
Test_WB('÷ 0022 × 0308 ÷ 3031 ÷');
Test_WB('÷ 0022 ÷ 0041 ÷');
Test_WB('÷ 0022 × 0308 ÷ 0041 ÷');
Test_WB('÷ 0022 ÷ 003A ÷');
Test_WB('÷ 0022 × 0308 ÷ 003A ÷');
Test_WB('÷ 0022 ÷ 002C ÷');
Test_WB('÷ 0022 × 0308 ÷ 002C ÷');
Test_WB('÷ 0022 ÷ 002E ÷');
Test_WB('÷ 0022 × 0308 ÷ 002E ÷');
Test_WB('÷ 0022 ÷ 0030 ÷');
Test_WB('÷ 0022 × 0308 ÷ 0030 ÷');
Test_WB('÷ 0022 ÷ 005F ÷');
Test_WB('÷ 0022 × 0308 ÷ 005F ÷');
Test_WB('÷ 0022 ÷ 1F1E6 ÷');
Test_WB('÷ 0022 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0022 ÷ 05D0 ÷');
Test_WB('÷ 0022 × 0308 ÷ 05D0 ÷');
Test_WB('÷ 0022 ÷ 0022 ÷');
Test_WB('÷ 0022 × 0308 ÷ 0022 ÷');
Test_WB('÷ 0022 ÷ 0027 ÷');
Test_WB('÷ 0022 × 0308 ÷ 0027 ÷');
Test_WB('÷ 0022 × 00AD ÷');
Test_WB('÷ 0022 × 0308 × 00AD ÷');
Test_WB('÷ 0022 × 0300 ÷');
Test_WB('÷ 0022 × 0308 × 0300 ÷');
Test_WB('÷ 0022 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0022 × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0022 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0022 × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0022 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0022 × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0022 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0022 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0022 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0022 × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0022 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0022 × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0022 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0022 × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0022 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0022 × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0022 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0022 × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0027 ÷ 0001 ÷');
Test_WB('÷ 0027 × 0308 ÷ 0001 ÷');
Test_WB('÷ 0027 ÷ 000D ÷');
Test_WB('÷ 0027 × 0308 ÷ 000D ÷');
Test_WB('÷ 0027 ÷ 000A ÷');
Test_WB('÷ 0027 × 0308 ÷ 000A ÷');
Test_WB('÷ 0027 ÷ 000B ÷');
Test_WB('÷ 0027 × 0308 ÷ 000B ÷');
Test_WB('÷ 0027 ÷ 3031 ÷');
Test_WB('÷ 0027 × 0308 ÷ 3031 ÷');
Test_WB('÷ 0027 ÷ 0041 ÷');
Test_WB('÷ 0027 × 0308 ÷ 0041 ÷');
Test_WB('÷ 0027 ÷ 003A ÷');
Test_WB('÷ 0027 × 0308 ÷ 003A ÷');
Test_WB('÷ 0027 ÷ 002C ÷');
Test_WB('÷ 0027 × 0308 ÷ 002C ÷');
Test_WB('÷ 0027 ÷ 002E ÷');
Test_WB('÷ 0027 × 0308 ÷ 002E ÷');
Test_WB('÷ 0027 ÷ 0030 ÷');
Test_WB('÷ 0027 × 0308 ÷ 0030 ÷');
Test_WB('÷ 0027 ÷ 005F ÷');
Test_WB('÷ 0027 × 0308 ÷ 005F ÷');
Test_WB('÷ 0027 ÷ 1F1E6 ÷');
Test_WB('÷ 0027 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0027 ÷ 05D0 ÷');
Test_WB('÷ 0027 × 0308 ÷ 05D0 ÷');
Test_WB('÷ 0027 ÷ 0022 ÷');
Test_WB('÷ 0027 × 0308 ÷ 0022 ÷');
Test_WB('÷ 0027 ÷ 0027 ÷');
Test_WB('÷ 0027 × 0308 ÷ 0027 ÷');
Test_WB('÷ 0027 × 00AD ÷');
Test_WB('÷ 0027 × 0308 × 00AD ÷');
Test_WB('÷ 0027 × 0300 ÷');
Test_WB('÷ 0027 × 0308 × 0300 ÷');
Test_WB('÷ 0027 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0027 × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0027 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0027 × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0027 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0027 × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0027 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0027 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0027 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0027 × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0027 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0027 × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0027 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0027 × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0027 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0027 × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0027 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0027 × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 00AD ÷ 0001 ÷');
Test_WB('÷ 00AD × 0308 ÷ 0001 ÷');
Test_WB('÷ 00AD ÷ 000D ÷');
Test_WB('÷ 00AD × 0308 ÷ 000D ÷');
Test_WB('÷ 00AD ÷ 000A ÷');
Test_WB('÷ 00AD × 0308 ÷ 000A ÷');
Test_WB('÷ 00AD ÷ 000B ÷');
Test_WB('÷ 00AD × 0308 ÷ 000B ÷');
Test_WB('÷ 00AD ÷ 3031 ÷');
Test_WB('÷ 00AD × 0308 ÷ 3031 ÷');
Test_WB('÷ 00AD ÷ 0041 ÷');
Test_WB('÷ 00AD × 0308 ÷ 0041 ÷');
Test_WB('÷ 00AD ÷ 003A ÷');
Test_WB('÷ 00AD × 0308 ÷ 003A ÷');
Test_WB('÷ 00AD ÷ 002C ÷');
Test_WB('÷ 00AD × 0308 ÷ 002C ÷');
Test_WB('÷ 00AD ÷ 002E ÷');
Test_WB('÷ 00AD × 0308 ÷ 002E ÷');
Test_WB('÷ 00AD ÷ 0030 ÷');
Test_WB('÷ 00AD × 0308 ÷ 0030 ÷');
Test_WB('÷ 00AD ÷ 005F ÷');
Test_WB('÷ 00AD × 0308 ÷ 005F ÷');
Test_WB('÷ 00AD ÷ 1F1E6 ÷');
Test_WB('÷ 00AD × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 00AD ÷ 05D0 ÷');
Test_WB('÷ 00AD × 0308 ÷ 05D0 ÷');
Test_WB('÷ 00AD ÷ 0022 ÷');
Test_WB('÷ 00AD × 0308 ÷ 0022 ÷');
Test_WB('÷ 00AD ÷ 0027 ÷');
Test_WB('÷ 00AD × 0308 ÷ 0027 ÷');
Test_WB('÷ 00AD × 00AD ÷');
Test_WB('÷ 00AD × 0308 × 00AD ÷');
Test_WB('÷ 00AD × 0300 ÷');
Test_WB('÷ 00AD × 0308 × 0300 ÷');
Test_WB('÷ 00AD ÷ 0061 × 2060 ÷');
Test_WB('÷ 00AD × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 00AD ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 00AD × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 00AD ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 00AD × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 00AD ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 00AD × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 00AD ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 00AD × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 00AD ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 00AD × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 00AD ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 00AD × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 00AD ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 00AD × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 00AD ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 00AD × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0300 ÷ 0001 ÷');
Test_WB('÷ 0300 × 0308 ÷ 0001 ÷');
Test_WB('÷ 0300 ÷ 000D ÷');
Test_WB('÷ 0300 × 0308 ÷ 000D ÷');
Test_WB('÷ 0300 ÷ 000A ÷');
Test_WB('÷ 0300 × 0308 ÷ 000A ÷');
Test_WB('÷ 0300 ÷ 000B ÷');
Test_WB('÷ 0300 × 0308 ÷ 000B ÷');
Test_WB('÷ 0300 ÷ 3031 ÷');
Test_WB('÷ 0300 × 0308 ÷ 3031 ÷');
Test_WB('÷ 0300 ÷ 0041 ÷');
Test_WB('÷ 0300 × 0308 ÷ 0041 ÷');
Test_WB('÷ 0300 ÷ 003A ÷');
Test_WB('÷ 0300 × 0308 ÷ 003A ÷');
Test_WB('÷ 0300 ÷ 002C ÷');
Test_WB('÷ 0300 × 0308 ÷ 002C ÷');
Test_WB('÷ 0300 ÷ 002E ÷');
Test_WB('÷ 0300 × 0308 ÷ 002E ÷');
Test_WB('÷ 0300 ÷ 0030 ÷');
Test_WB('÷ 0300 × 0308 ÷ 0030 ÷');
Test_WB('÷ 0300 ÷ 005F ÷');
Test_WB('÷ 0300 × 0308 ÷ 005F ÷');
Test_WB('÷ 0300 ÷ 1F1E6 ÷');
Test_WB('÷ 0300 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0300 ÷ 05D0 ÷');
Test_WB('÷ 0300 × 0308 ÷ 05D0 ÷');
Test_WB('÷ 0300 ÷ 0022 ÷');
Test_WB('÷ 0300 × 0308 ÷ 0022 ÷');
Test_WB('÷ 0300 ÷ 0027 ÷');
Test_WB('÷ 0300 × 0308 ÷ 0027 ÷');
Test_WB('÷ 0300 × 00AD ÷');
Test_WB('÷ 0300 × 0308 × 00AD ÷');
Test_WB('÷ 0300 × 0300 ÷');
Test_WB('÷ 0300 × 0308 × 0300 ÷');
Test_WB('÷ 0300 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0300 × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0300 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0300 × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0300 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0300 × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0300 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0300 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0300 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0300 × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0300 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0300 × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0300 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0300 × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0300 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0300 × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0300 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0300 × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0061 × 2060 ÷ 0001 ÷');
Test_WB('÷ 0061 × 2060 × 0308 ÷ 0001 ÷');
Test_WB('÷ 0061 × 2060 ÷ 000D ÷');
Test_WB('÷ 0061 × 2060 × 0308 ÷ 000D ÷');
Test_WB('÷ 0061 × 2060 ÷ 000A ÷');
Test_WB('÷ 0061 × 2060 × 0308 ÷ 000A ÷');
Test_WB('÷ 0061 × 2060 ÷ 000B ÷');
Test_WB('÷ 0061 × 2060 × 0308 ÷ 000B ÷');
Test_WB('÷ 0061 × 2060 ÷ 3031 ÷');
Test_WB('÷ 0061 × 2060 × 0308 ÷ 3031 ÷');
Test_WB('÷ 0061 × 2060 × 0041 ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0041 ÷');
Test_WB('÷ 0061 × 2060 ÷ 003A ÷');
Test_WB('÷ 0061 × 2060 × 0308 ÷ 003A ÷');
Test_WB('÷ 0061 × 2060 ÷ 002C ÷');
Test_WB('÷ 0061 × 2060 × 0308 ÷ 002C ÷');
Test_WB('÷ 0061 × 2060 ÷ 002E ÷');
Test_WB('÷ 0061 × 2060 × 0308 ÷ 002E ÷');
Test_WB('÷ 0061 × 2060 × 0030 ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0030 ÷');
Test_WB('÷ 0061 × 2060 × 005F ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 005F ÷');
Test_WB('÷ 0061 × 2060 ÷ 1F1E6 ÷');
Test_WB('÷ 0061 × 2060 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0061 × 2060 × 05D0 ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 05D0 ÷');
Test_WB('÷ 0061 × 2060 ÷ 0022 ÷');
Test_WB('÷ 0061 × 2060 × 0308 ÷ 0022 ÷');
Test_WB('÷ 0061 × 2060 ÷ 0027 ÷');
Test_WB('÷ 0061 × 2060 × 0308 ÷ 0027 ÷');
Test_WB('÷ 0061 × 2060 × 00AD ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 00AD ÷');
Test_WB('÷ 0061 × 2060 × 0300 ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0300 ÷');
Test_WB('÷ 0061 × 2060 × 0061 × 2060 ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0061 × 2060 ÷');
Test_WB('÷ 0061 × 2060 × 0061 ÷ 003A ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0061 ÷ 003A ÷');
Test_WB('÷ 0061 × 2060 × 0061 ÷ 0027 ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0061 ÷ 0027 ÷');
Test_WB('÷ 0061 × 2060 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0061 × 2060 × 0061 ÷ 002C ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0061 ÷ 002C ÷');
Test_WB('÷ 0061 × 2060 × 0031 ÷ 003A ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0031 ÷ 003A ÷');
Test_WB('÷ 0061 × 2060 × 0031 ÷ 0027 ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0031 ÷ 0027 ÷');
Test_WB('÷ 0061 × 2060 × 0031 ÷ 002C ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0031 ÷ 002C ÷');
Test_WB('÷ 0061 × 2060 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0061 × 2060 × 0308 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 0001 ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0001 ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 000D ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 000D ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 000A ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 000A ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 000B ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 000B ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 3031 ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 3031 ÷');
Test_WB('÷ 0061 × 003A × 0041 ÷');
Test_WB('÷ 0061 × 003A × 0308 × 0041 ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 002E ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 002E ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 0030 ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0030 ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 005F ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 005F ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 1F1E6 ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0061 × 003A × 05D0 ÷');
Test_WB('÷ 0061 × 003A × 0308 × 05D0 ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 0022 ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0022 ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 003A × 00AD ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 × 00AD ÷');
Test_WB('÷ 0061 ÷ 003A × 0300 ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 × 0300 ÷');
Test_WB('÷ 0061 × 003A × 0061 × 2060 ÷');
Test_WB('÷ 0061 × 003A × 0308 × 0061 × 2060 ÷');
Test_WB('÷ 0061 × 003A × 0061 ÷ 003A ÷');
Test_WB('÷ 0061 × 003A × 0308 × 0061 ÷ 003A ÷');
Test_WB('÷ 0061 × 003A × 0061 ÷ 0027 ÷');
Test_WB('÷ 0061 × 003A × 0308 × 0061 ÷ 0027 ÷');
Test_WB('÷ 0061 × 003A × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0061 × 003A × 0308 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0061 × 003A × 0061 ÷ 002C ÷');
Test_WB('÷ 0061 × 003A × 0308 × 0061 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0061 ÷ 003A × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 0001 ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0001 ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 000D ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 000D ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 000A ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 000A ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 000B ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 000B ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 3031 ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 3031 ÷');
Test_WB('÷ 0061 × 0027 × 0041 ÷');
Test_WB('÷ 0061 × 0027 × 0308 × 0041 ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 002E ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 002E ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 0030 ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0030 ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 005F ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 005F ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 1F1E6 ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0061 × 0027 × 05D0 ÷');
Test_WB('÷ 0061 × 0027 × 0308 × 05D0 ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 0022 ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0022 ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 0027 × 00AD ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 × 00AD ÷');
Test_WB('÷ 0061 ÷ 0027 × 0300 ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 × 0300 ÷');
Test_WB('÷ 0061 × 0027 × 0061 × 2060 ÷');
Test_WB('÷ 0061 × 0027 × 0308 × 0061 × 2060 ÷');
Test_WB('÷ 0061 × 0027 × 0061 ÷ 003A ÷');
Test_WB('÷ 0061 × 0027 × 0308 × 0061 ÷ 003A ÷');
Test_WB('÷ 0061 × 0027 × 0061 ÷ 0027 ÷');
Test_WB('÷ 0061 × 0027 × 0308 × 0061 ÷ 0027 ÷');
Test_WB('÷ 0061 × 0027 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0061 × 0027 × 0308 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0061 × 0027 × 0061 ÷ 002C ÷');
Test_WB('÷ 0061 × 0027 × 0308 × 0061 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 0027 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0061 ÷ 0027 × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0001 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0001 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 000D ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 000D ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 000A ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 000A ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 000B ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 000B ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 3031 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 3031 ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0041 ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0308 × 0041 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 002E ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 002E ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0030 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0030 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 005F ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 005F ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 1F1E6 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 05D0 ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0308 × 05D0 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0022 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0022 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 00AD ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 × 00AD ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0300 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 × 0300 ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0061 × 2060 ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0308 × 0061 × 2060 ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0061 ÷ 003A ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0308 × 0061 ÷ 003A ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0061 ÷ 0027 ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0308 × 0061 ÷ 0027 ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0308 × 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0061 ÷ 002C ÷');
Test_WB('÷ 0061 × 0027 × 2060 × 0308 × 0061 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0061 ÷ 0027 × 2060 × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0001 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0001 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 000D ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 000D ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 000A ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 000A ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 000B ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 000B ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 3031 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 3031 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0041 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0041 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 002E ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 002E ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0030 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0030 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 005F ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 005F ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 1F1E6 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 05D0 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 05D0 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0022 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0022 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 002C × 00AD ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 × 00AD ÷');
Test_WB('÷ 0061 ÷ 002C × 0300 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 × 0300 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0061 × 2060 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0061 ÷ 002C × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0001 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0001 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 000D ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 000D ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 000A ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 000A ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 000B ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 000B ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 3031 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 3031 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0041 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0041 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 002E ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 002E ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0030 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0030 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 005F ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 005F ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 1F1E6 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 05D0 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 05D0 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0022 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0022 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 003A × 00AD ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 × 00AD ÷');
Test_WB('÷ 0031 ÷ 003A × 0300 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 × 0300 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0061 × 2060 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0031 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0031 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0031 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0031 ÷ 003A × 0308 ÷ 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 0001 ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0001 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 000D ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 000D ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 000A ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 000A ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 000B ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 000B ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 3031 ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 3031 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 0041 ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0041 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 002E ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 002E ÷');
Test_WB('÷ 0031 × 0027 × 0030 ÷');
Test_WB('÷ 0031 × 0027 × 0308 × 0030 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 005F ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 005F ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 1F1E6 ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 05D0 ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 05D0 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 0022 ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0022 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 0027 × 00AD ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 × 00AD ÷');
Test_WB('÷ 0031 ÷ 0027 × 0300 ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 × 0300 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0031 ÷ 0027 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 0027 × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0031 × 0027 × 0031 ÷ 003A ÷');
Test_WB('÷ 0031 × 0027 × 0308 × 0031 ÷ 003A ÷');
Test_WB('÷ 0031 × 0027 × 0031 ÷ 0027 ÷');
Test_WB('÷ 0031 × 0027 × 0308 × 0031 ÷ 0027 ÷');
Test_WB('÷ 0031 × 0027 × 0031 ÷ 002C ÷');
Test_WB('÷ 0031 × 0027 × 0308 × 0031 ÷ 002C ÷');
Test_WB('÷ 0031 × 0027 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0031 × 0027 × 0308 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 0001 ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0001 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 000D ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 000D ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 000A ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 000A ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 000B ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 000B ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 3031 ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 3031 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 0041 ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0041 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 002E ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 002E ÷');
Test_WB('÷ 0031 × 002C × 0030 ÷');
Test_WB('÷ 0031 × 002C × 0308 × 0030 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 005F ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 005F ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 1F1E6 ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 05D0 ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 05D0 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 0022 ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0022 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 002C × 00AD ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 × 00AD ÷');
Test_WB('÷ 0031 ÷ 002C × 0300 ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 × 0300 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 0061 × 2060 ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 002C × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0031 × 002C × 0031 ÷ 003A ÷');
Test_WB('÷ 0031 × 002C × 0308 × 0031 ÷ 003A ÷');
Test_WB('÷ 0031 × 002C × 0031 ÷ 0027 ÷');
Test_WB('÷ 0031 × 002C × 0308 × 0031 ÷ 0027 ÷');
Test_WB('÷ 0031 × 002C × 0031 ÷ 002C ÷');
Test_WB('÷ 0031 × 002C × 0308 × 0031 ÷ 002C ÷');
Test_WB('÷ 0031 × 002C × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0031 × 002C × 0308 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0001 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0001 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 000D ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 000D ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 000A ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 000A ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 000B ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 000B ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 3031 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 3031 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0041 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0041 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 002E ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 002E ÷');
Test_WB('÷ 0031 × 002E × 2060 × 0030 ÷');
Test_WB('÷ 0031 × 002E × 2060 × 0308 × 0030 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 005F ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 005F ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 1F1E6 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 1F1E6 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 05D0 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 05D0 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0022 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0022 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 00AD ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 × 00AD ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0300 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 × 0300 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0061 × 2060 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0061 ÷ 003A ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0061 ÷ 0027 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0061 ÷ 0027 × 2060 ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0031 ÷ 002E × 2060 × 0308 ÷ 0061 ÷ 002C ÷');
Test_WB('÷ 0031 × 002E × 2060 × 0031 ÷ 003A ÷');
Test_WB('÷ 0031 × 002E × 2060 × 0308 × 0031 ÷ 003A ÷');
Test_WB('÷ 0031 × 002E × 2060 × 0031 ÷ 0027 ÷');
Test_WB('÷ 0031 × 002E × 2060 × 0308 × 0031 ÷ 0027 ÷');
Test_WB('÷ 0031 × 002E × 2060 × 0031 ÷ 002C ÷');
Test_WB('÷ 0031 × 002E × 2060 × 0308 × 0031 ÷ 002C ÷');
Test_WB('÷ 0031 × 002E × 2060 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0031 × 002E × 2060 × 0308 × 0031 ÷ 002E × 2060 ÷');
Test_WB('÷ 0063 × 0061 × 006E × 0027 × 0074 ÷');
Test_WB('÷ 0063 × 0061 × 006E × 2019 × 0074 ÷');
Test_WB('÷ 0061 × 0062 × 00AD × 0062 × 0079 ÷');
Test_WB('÷ 0061 ÷ 0024 ÷ 002D ÷ 0033 × 0034 × 002C × 0035 × 0036 × 0037 × 002E × 0031 × 0034 ÷ 0025 ÷ 0062 ÷');
Test_WB('÷ 0033 × 0061 ÷');
Test_WB('÷ 0063 × 002E × 0064 ÷');
Test_WB('÷ 0043 × 002E × 0064 ÷');
Test_WB('÷ 0063 × 002E × 0044 ÷');
Test_WB('÷ 0043 × 002E × 0044 ÷');
Test_WB('÷ 2060 ÷ 0063 × 2060 × 0061 × 2060 × 006E × 2060 × 0027 × 2060 × 0074 × 2060 × 2060 ÷');
Test_WB('÷ 2060 ÷ 0063 × 2060 × 0061 × 2060 × 006E × 2060 × 2019 × 2060 × 0074 × 2060 × 2060 ÷');
Test_WB('÷ 2060 ÷ 0061 × 2060 × 0062 × 2060 × 00AD × 2060 × 0062 × 2060 × 0079 × 2060 × 2060 ÷');
Test_WB('÷ 2060 ÷ 0061 × 2060 ÷ 0024 × 2060 ÷ 002D × 2060 ÷ 0033 × 2060 × 0034 × 2060 × 002C × 2060 × 0035 × 2060 × 0036 × 2060 × 0037 × 2060 × 002E × 2060 × 0031 × 2060 × 0034 × 2060 ÷ 0025 × 2060 ÷ 0062 × 2060 × 2060 ÷');
Test_WB('÷ 2060 ÷ 0033 × 2060 × 0061 × 2060 × 2060 ÷');
Test_WB('÷ 2060 ÷ 0063 × 2060 × 002E × 2060 × 0064 × 2060 × 2060 ÷');
Test_WB('÷ 2060 ÷ 0043 × 2060 × 002E × 2060 × 0064 × 2060 × 2060 ÷');
Test_WB('÷ 2060 ÷ 0063 × 2060 × 002E × 2060 × 0044 × 2060 × 2060 ÷');
Test_WB('÷ 2060 ÷ 0043 × 2060 × 002E × 2060 × 0044 × 2060 × 2060 ÷');
Test_WB('÷ 0061 ÷ 1F1E6 ÷ 0062 ÷');
Test_WB('÷ 1F1F7 × 1F1FA ÷');
Test_WB('÷ 1F1F7 × 1F1FA × 1F1F8 ÷');
Test_WB('÷ 1F1F7 × 1F1FA × 1F1F8 × 1F1EA ÷');
Test_WB('÷ 1F1F7 × 1F1FA ÷ 200B ÷ 1F1F8 × 1F1EA ÷');
Test_WB('÷ 05D0 × 0022 × 05D0 ÷');
Test_WB('÷ 1F1E6 × 1F1E7 × 1F1E8 ÷');
Test_WB('÷ 1F1E6 × 200D × 1F1E7 × 1F1E8 ÷');
Test_WB('÷ 1F1E6 × 1F1E7 × 200D × 1F1E8 ÷');
Test_WB('÷ 0020 × 200D ÷ 0646 ÷');
Test_WB('÷ 0646 × 200D ÷ 0020 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 003A ÷ 0031 ÷');
Test_WB('÷ 0031 × 005F × 0031 ÷ 003A ÷ 003A ÷ 0031 ÷');
Test_WB('÷ 0031 × 005F × 0061 ÷ 003A ÷ 003A ÷ 0031 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 003A ÷ 0061 ÷');
Test_WB('÷ 0031 × 005F × 0031 ÷ 003A ÷ 003A ÷ 0061 ÷');
Test_WB('÷ 0031 × 005F × 0061 ÷ 003A ÷ 003A ÷ 0061 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 002E ÷ 0031 ÷');
Test_WB('÷ 0031 × 005F × 0031 ÷ 003A ÷ 002E ÷ 0031 ÷');
Test_WB('÷ 0031 × 005F × 0061 ÷ 003A ÷ 002E ÷ 0031 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 002E ÷ 0061 ÷');
Test_WB('÷ 0031 × 005F × 0031 ÷ 003A ÷ 002E ÷ 0061 ÷');
Test_WB('÷ 0031 × 005F × 0061 ÷ 003A ÷ 002E ÷ 0061 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 002C ÷ 0031 ÷');
Test_WB('÷ 0031 × 005F × 0031 ÷ 003A ÷ 002C ÷ 0031 ÷');
Test_WB('÷ 0031 × 005F × 0061 ÷ 003A ÷ 002C ÷ 0031 ÷');
Test_WB('÷ 0031 ÷ 003A ÷ 002C ÷ 0061 ÷');
Test_WB('÷ 0031 × 005F × 0031 ÷ 003A ÷ 002C ÷ 0061 ÷');
Test_WB('÷ 0031 × 005F × 0061 ÷ 003A ÷ 002C ÷ 0061 ÷');
Test_WB('÷ 0031 ÷ 002E ÷ 003A ÷ 0031 ÷');
Test_WB('÷ 0031 × 005F × 0031 ÷ 002E ÷ 003A ÷ 0031 ÷');
Test_WB('÷ 0031 × 005F × 0061 ÷ 002E ÷ 003A ÷ 0031 ÷');
Test_WB('÷ 0031 ÷ 002E ÷ 003A ÷ 0061 ÷');
Test_WB('÷ 0031 × 005F × 0031 ÷ 002E ÷ 003A ÷ 0061 ÷');
Test_WB('÷ 0031 × 005F × 0061 ÷ 002E ÷ 003A ÷ 0061 ÷');
Test_WB('÷ 0031 ÷ 002E ÷ 002E ÷ 0031 ÷');
Test_WB('÷ 0031 × 005F × 0031 ÷ 002E ÷ 002E ÷ 0031 ÷');
Test_WB('÷ 0031 × 005F × 0061 ÷ 002E ÷ 002E ÷ 0031 ÷');
Test_WB('÷ 0031 ÷ 002E ÷ 002E ÷ 0061 ÷');
Test_WB('÷ 0031 × 005F × 0031 ÷ 002E ÷ 002E ÷ 0061 ÷');
Test_WB('÷ 0031 × 005F × 0061 ÷ 002E ÷ 002E ÷ 0061 ÷');
Test_WB('÷ 0031 ÷ 002E ÷ 002C ÷ 0031 ÷');
Test_WB('÷ 0031 × 005F × 0031 ÷ 002E ÷ 002C ÷ 0031 ÷');
Test_WB('÷ 0031 × 005F × 0061 ÷ 002E ÷ 002C ÷ 0031 ÷');
Test_WB('÷ 0031 ÷ 002E ÷ 002C ÷ 0061 ÷');
Test_WB('÷ 0031 × 005F × 0031 ÷ 002E ÷ 002C ÷ 0061 ÷');
Test_WB('÷ 0031 × 005F × 0061 ÷ 002E ÷ 002C ÷ 0061 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 003A ÷ 0031 ÷');
Test_WB('÷ 0031 × 005F × 0031 ÷ 002C ÷ 003A ÷ 0031 ÷');
Test_WB('÷ 0031 × 005F × 0061 ÷ 002C ÷ 003A ÷ 0031 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 003A ÷ 0061 ÷');
Test_WB('÷ 0031 × 005F × 0031 ÷ 002C ÷ 003A ÷ 0061 ÷');
Test_WB('÷ 0031 × 005F × 0061 ÷ 002C ÷ 003A ÷ 0061 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 002E ÷ 0031 ÷');
Test_WB('÷ 0031 × 005F × 0031 ÷ 002C ÷ 002E ÷ 0031 ÷');
Test_WB('÷ 0031 × 005F × 0061 ÷ 002C ÷ 002E ÷ 0031 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 002E ÷ 0061 ÷');
Test_WB('÷ 0031 × 005F × 0031 ÷ 002C ÷ 002E ÷ 0061 ÷');
Test_WB('÷ 0031 × 005F × 0061 ÷ 002C ÷ 002E ÷ 0061 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 002C ÷ 0031 ÷');
Test_WB('÷ 0031 × 005F × 0031 ÷ 002C ÷ 002C ÷ 0031 ÷');
Test_WB('÷ 0031 × 005F × 0061 ÷ 002C ÷ 002C ÷ 0031 ÷');
Test_WB('÷ 0031 ÷ 002C ÷ 002C ÷ 0061 ÷');
Test_WB('÷ 0031 × 005F × 0031 ÷ 002C ÷ 002C ÷ 0061 ÷');
Test_WB('÷ 0031 × 005F × 0061 ÷ 002C ÷ 002C ÷ 0061 ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 003A ÷ 0031 ÷');
Test_WB('÷ 0061 × 005F × 0031 ÷ 003A ÷ 003A ÷ 0031 ÷');
Test_WB('÷ 0061 × 005F × 0061 ÷ 003A ÷ 003A ÷ 0031 ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 003A ÷ 0061 ÷');
Test_WB('÷ 0061 × 005F × 0031 ÷ 003A ÷ 003A ÷ 0061 ÷');
Test_WB('÷ 0061 × 005F × 0061 ÷ 003A ÷ 003A ÷ 0061 ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 002E ÷ 0031 ÷');
Test_WB('÷ 0061 × 005F × 0031 ÷ 003A ÷ 002E ÷ 0031 ÷');
Test_WB('÷ 0061 × 005F × 0061 ÷ 003A ÷ 002E ÷ 0031 ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 002E ÷ 0061 ÷');
Test_WB('÷ 0061 × 005F × 0031 ÷ 003A ÷ 002E ÷ 0061 ÷');
Test_WB('÷ 0061 × 005F × 0061 ÷ 003A ÷ 002E ÷ 0061 ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 002C ÷ 0031 ÷');
Test_WB('÷ 0061 × 005F × 0031 ÷ 003A ÷ 002C ÷ 0031 ÷');
Test_WB('÷ 0061 × 005F × 0061 ÷ 003A ÷ 002C ÷ 0031 ÷');
Test_WB('÷ 0061 ÷ 003A ÷ 002C ÷ 0061 ÷');
Test_WB('÷ 0061 × 005F × 0031 ÷ 003A ÷ 002C ÷ 0061 ÷');
Test_WB('÷ 0061 × 005F × 0061 ÷ 003A ÷ 002C ÷ 0061 ÷');
Test_WB('÷ 0061 ÷ 002E ÷ 003A ÷ 0031 ÷');
Test_WB('÷ 0061 × 005F × 0031 ÷ 002E ÷ 003A ÷ 0031 ÷');
Test_WB('÷ 0061 × 005F × 0061 ÷ 002E ÷ 003A ÷ 0031 ÷');
Test_WB('÷ 0061 ÷ 002E ÷ 003A ÷ 0061 ÷');
Test_WB('÷ 0061 × 005F × 0031 ÷ 002E ÷ 003A ÷ 0061 ÷');
Test_WB('÷ 0061 × 005F × 0061 ÷ 002E ÷ 003A ÷ 0061 ÷');
Test_WB('÷ 0061 ÷ 002E ÷ 002E ÷ 0031 ÷');
Test_WB('÷ 0061 × 005F × 0031 ÷ 002E ÷ 002E ÷ 0031 ÷');
Test_WB('÷ 0061 × 005F × 0061 ÷ 002E ÷ 002E ÷ 0031 ÷');
Test_WB('÷ 0061 ÷ 002E ÷ 002E ÷ 0061 ÷');
Test_WB('÷ 0061 × 005F × 0031 ÷ 002E ÷ 002E ÷ 0061 ÷');
Test_WB('÷ 0061 × 005F × 0061 ÷ 002E ÷ 002E ÷ 0061 ÷');
Test_WB('÷ 0061 ÷ 002E ÷ 002C ÷ 0031 ÷');
Test_WB('÷ 0061 × 005F × 0031 ÷ 002E ÷ 002C ÷ 0031 ÷');
Test_WB('÷ 0061 × 005F × 0061 ÷ 002E ÷ 002C ÷ 0031 ÷');
Test_WB('÷ 0061 ÷ 002E ÷ 002C ÷ 0061 ÷');
Test_WB('÷ 0061 × 005F × 0031 ÷ 002E ÷ 002C ÷ 0061 ÷');
Test_WB('÷ 0061 × 005F × 0061 ÷ 002E ÷ 002C ÷ 0061 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 003A ÷ 0031 ÷');
Test_WB('÷ 0061 × 005F × 0031 ÷ 002C ÷ 003A ÷ 0031 ÷');
Test_WB('÷ 0061 × 005F × 0061 ÷ 002C ÷ 003A ÷ 0031 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 003A ÷ 0061 ÷');
Test_WB('÷ 0061 × 005F × 0031 ÷ 002C ÷ 003A ÷ 0061 ÷');
Test_WB('÷ 0061 × 005F × 0061 ÷ 002C ÷ 003A ÷ 0061 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 002E ÷ 0031 ÷');
Test_WB('÷ 0061 × 005F × 0031 ÷ 002C ÷ 002E ÷ 0031 ÷');
Test_WB('÷ 0061 × 005F × 0061 ÷ 002C ÷ 002E ÷ 0031 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 002E ÷ 0061 ÷');
Test_WB('÷ 0061 × 005F × 0031 ÷ 002C ÷ 002E ÷ 0061 ÷');
Test_WB('÷ 0061 × 005F × 0061 ÷ 002C ÷ 002E ÷ 0061 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 002C ÷ 0031 ÷');
Test_WB('÷ 0061 × 005F × 0031 ÷ 002C ÷ 002C ÷ 0031 ÷');
Test_WB('÷ 0061 × 005F × 0061 ÷ 002C ÷ 002C ÷ 0031 ÷');
Test_WB('÷ 0061 ÷ 002C ÷ 002C ÷ 0061 ÷');
Test_WB('÷ 0061 × 005F × 0031 ÷ 002C ÷ 002C ÷ 0061 ÷');
Test_WB('÷ 0061 × 005F × 0061 ÷ 002C ÷ 002C ÷ 0061 ÷');
Finished();
